private rule architecture {
	meta:
		bits = 32
		endianness = "little"
		architecture = "x86"
	condition:
		true
}

rule function_361_0 {
	meta:
		name = "Succeeded"
		size = 6
	strings:
		$1 = { 85 C0 0F 9D C0 C3 }
	condition:
		$1
}

rule function_362_0 {
	meta:
		name = "Failed"
		size = 6
	strings:
		$1 = { 85 C0 0F 9C C0 C3 }
	condition:
		$1
}

rule function_363_0 {
	meta:
		name = "HResultCode"
		size = 6
		altNames = "ResultCode"
	strings:
		$1 = { 25 FF FF 00 00 C3 }
	condition:
		$1
}

rule function_364_0 {
	meta:
		name = "HResultFacility"
		size = 9
		altNames = "ResultFacility"
	strings:
		$1 = { C1 E8 10 25 FF 1F 00 00 C3 }
	condition:
		$1
}

rule function_365_0 {
	meta:
		name = "ResultSeverity"
		size = 4
	strings:
		$1 = { C1 E8 1F C3 }
	condition:
		$1
}

rule function_366_0 {
	meta:
		name = "MakeResult"
		size = 13
	strings:
		$1 = { C1 E0 1F C1 E2 10 0B C2 0B C8 8B C1 C3 }
	condition:
		$1
}

rule function_367_0 {
	meta:
		name = "LHashValOfName"
		size = 10
		refs = "0005 LHashValOfNameSys"
	strings:
		$1 = { 52 50 6A 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_368_0 {
	meta:
		name = "WHashValOfLHashVal"
		size = 5
	strings:
		$1 = { 66 25 FF FF C3 }
	condition:
		$1
}

rule function_369_0 {
	meta:
		name = "IsHashValCompatible"
		size = 17
	strings:
		$1 = { 25 00 00 FF 00 81 E2 00 00 FF 00 3B C2 0F 94 C0 C3 }
	condition:
		$1
}

rule function_370_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__58D 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12365_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__189 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11930_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__71 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12069_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__460 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12091_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__B8 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12108_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__69 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12187_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__59 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12211_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__B7 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12219_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__60 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12225_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__5A 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12247_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__9E 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11916_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__172 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12378_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__74 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12412_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__78 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12444_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__B9 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12473_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__5C 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12496_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__97 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12501_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__53 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12772_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__25D 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12784_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__DE 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13097_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__1F1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10452_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__C5 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10073_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__191 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10075_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__CD 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10194_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__11F 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10221_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__F7 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10225_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__56 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10241_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__118 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10343_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__6B 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10369_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__C8 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10417_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__128 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13171_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__2EA 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10726_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__D4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10729_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__76 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11006_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__1DE 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11034_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__99 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11036_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__29 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11392_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__1D8 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11403_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__15A 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11760_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__3E5 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15622_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__6E 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14921_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__D7 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14925_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__D 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15354_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__210 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15389_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__D7 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15488_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__BC 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15494_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__54 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15508_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__33 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15579_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__139 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15589_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__60 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14877_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__38 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15667_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__D1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15694_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__30 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15696_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__3F 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_17797_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__1F62 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_17950_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__25C 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_18013_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__180 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_18169_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__20B 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_18220_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__8A 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13679_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__102 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13173_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__184 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13313_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__11E 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13539_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__170 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13555_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__7C 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13563_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__13 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13608_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__C1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13626_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__213 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13628_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__18 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13630_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__E 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9996_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__105 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13942_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__2C0 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13944_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__13 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13960_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__3B 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13981_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__29 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14768_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__C6 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14838_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__128 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14862_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__A6 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14864_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__F9 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_5090_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__33C 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3811_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__24 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3830_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__7B 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3838_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__37 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4361_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__24A 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4427_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__166 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4451_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__115 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4670_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__21F 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4715_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__109 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4717_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__A9 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3809_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__43 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_5105_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__4F 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_5371_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__2B8 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_5387_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__52 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_5498_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__1B1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_5506_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__4D 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6276_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__E4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6311_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__DB 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6429_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__BF 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1114_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__8A 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_407_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__8E 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_417_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__67 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_735_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__7C 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_740_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__60 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_758_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__80 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1071_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__ABF 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1073_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__95 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1089_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__B9 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1100_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__64 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6431_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__AC 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1124_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__5D 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1235_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__8B 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1460_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__BE 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_2006_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__BF 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3159_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__581 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3189_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__12B 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3320_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__33 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3322_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__1CF 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9249_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__68 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8425_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__38 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8665_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__22B 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8728_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__C6 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8805_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__13E 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8822_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__24 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8824_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__6E 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9052_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__1B6 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9080_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__37 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9082_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__B 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8423_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__55 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9262_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__21 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9346_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__121 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9362_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__32 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9434_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__3D 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9535_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__257 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9740_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__53A 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9815_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__143 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9968_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__C6 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7173_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__1C1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6555_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__AE 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6771_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__69 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6773_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__6D 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6775_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__4F 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6788_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__39 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6896_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__1A0 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6909_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__3F 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7060_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__1FF 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7073_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__A0 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_383_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__6A 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7185_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__38 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7190_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__4F 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7541_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__9E 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7554_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__64 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7577_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__A8 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8247_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__217 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8395_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__19 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8419_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _NV__8A 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_371_0 {
	meta:
		name = "ActiveX"
		size = 8
		refs = "0002 _NV__58D"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_741_0 {
	meta:
		name = "AxMaxMin"
		size = 8
		refs = "0002 _NV__60"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_736_0 {
	meta:
		name = "AxisIncr"
		size = 8
		refs = "0002 _NV__7C"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1072_0 {
	meta:
		name = "Bde"
		size = 8
		refs = "0002 _NV__ABF"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1074_0 {
	meta:
		name = "BdeConst"
		size = 8
		refs = "0002 _NV__95"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1101_0 {
	meta:
		name = "BrushDlg"
		size = 8
		refs = "0002 _NV__64"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_3812_0 {
	meta:
		name = "CPL"
		size = 8
		refs = "0002 _NV__24"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1236_0 {
	meta:
		name = "Calendar"
		size = 8
		refs = "0002 _NV__8B"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_2007_0 {
	meta:
		name = "ColorGrd"
		size = 8
		refs = "0002 _NV__BF"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_2923_0 {
	meta:
		name = "ComCtrls"
		size = 8
		refs = "0002 _NV__6AF"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_3321_0 {
	meta:
		name = "ComStrs"
		size = 8
		refs = "0002 _NV__33"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_3190_0 {
	meta:
		name = "CommDlg"
		size = 8
		refs = "0002 _NV__12B"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_3160_0 {
	meta:
		name = "Commctrl"
		size = 8
		refs = "0002 _NV__581"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_3323_0 {
	meta:
		name = "Consts"
		size = 8
		refs = "0002 _NV__1CF"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_3810_0 {
	meta:
		name = "CopyPrsr"
		size = 8
		refs = "0002 _NV__43"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4428_0 {
	meta:
		name = "DBCGrids"
		size = 8
		refs = "0002 _NV__166"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4452_0 {
	meta:
		name = "DBChart"
		size = 8
		refs = "0002 _NV__115"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4671_0 {
	meta:
		name = "DBClient"
		size = 8
		refs = "0002 _NV__21F"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4716_0 {
	meta:
		name = "DBCommon"
		size = 8
		refs = "0002 _NV__109"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_5372_0 {
	meta:
		name = "DBGrids"
		size = 8
		refs = "0002 _NV__2B8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_5388_0 {
	meta:
		name = "DBLogDlg"
		size = 8
		refs = "0002 _NV__52"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_5499_0 {
	meta:
		name = "DBLookup"
		size = 8
		refs = "0002 _NV__1B1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_5507_0 {
	meta:
		name = "DBPWDlg"
		size = 8
		refs = "0002 _NV__4D"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6170_0 {
	meta:
		name = "DBWeb"
		size = 8
		refs = "0002 _NV__C6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6556_0 {
	meta:
		name = "DRTable"
		size = 8
		refs = "0002 _NV__AE"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6774_0 {
	meta:
		name = "DSIntf"
		size = 8
		refs = "0002 _NV__6D"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4362_0 {
	meta:
		name = "Db"
		size = 8
		refs = "0002 _NV__24A"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4718_0 {
	meta:
		name = "DbConsts"
		size = 8
		refs = "0002 _NV__A9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_5120_0 {
	meta:
		name = "Dbexcept"
		size = 8
		refs = "0002 _NV__68"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6312_0 {
	meta:
		name = "Ddeml"
		size = 8
		refs = "0002 _NV__DB"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6430_0 {
	meta:
		name = "DirOutln"
		size = 8
		refs = "0002 _NV__BF"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6432_0 {
	meta:
		name = "Dlgs"
		size = 8
		refs = "0002 _NV__AC"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6752_0 {
	meta:
		name = "DsgnIntf"
		size = 8
		refs = "0002 _NV__1A4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6772_0 {
	meta:
		name = "DsgnWnds"
		size = 8
		refs = "0002 _NV__69"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6776_0 {
	meta:
		name = "DsnDBCst"
		size = 8
		refs = "0002 _NV__4F"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6897_0 {
	meta:
		name = "EditIntf"
		size = 8
		refs = "0002 _NV__1A0"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6910_0 {
	meta:
		name = "Exptintf"
		size = 8
		refs = "0002 _NV__3F"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_7061_0 {
	meta:
		name = "ExtCtrls"
		size = 8
		refs = "0002 _NV__1FF"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_7074_0 {
	meta:
		name = "ExtDlgs"
		size = 8
		refs = "0002 _NV__A0"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_7174_0 {
	meta:
		name = "FileCtrl"
		size = 8
		refs = "0002 _NV__1C1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_7186_0 {
	meta:
		name = "FileIntf"
		size = 8
		refs = "0002 _NV__38"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_7578_0 {
	meta:
		name = "Gauges"
		size = 8
		refs = "0002 _NV__A8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8248_0 {
	meta:
		name = "Grids"
		size = 8
		refs = "0002 _NV__217"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8394_0 {
	meta:
		name = "HTTPApp"
		size = 8
		refs = "0002 _NV__16B"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8396_0 {
	meta:
		name = "IBConst"
		size = 8
		refs = "0002 _NV__19"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8420_0 {
	meta:
		name = "IBCtrls"
		size = 8
		refs = "0002 _NV__8A"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8426_0 {
	meta:
		name = "IBPROC32"
		size = 8
		refs = "0002 _NV__38"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9081_0 {
	meta:
		name = "IStreams"
		size = 8
		refs = "0002 _NV__37"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8424_0 {
	meta:
		name = "Ibevnts"
		size = 8
		refs = "0002 _NV__55"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8729_0 {
	meta:
		name = "Imagehlp"
		size = 8
		refs = "0002 _NV__C6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8806_0 {
	meta:
		name = "Imm"
		size = 8
		refs = "0002 _NV__13E"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8821_0 {
	meta:
		name = "IniFiles"
		size = 8
		refs = "0002 _NV__42"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9263_0 {
	meta:
		name = "LZExpand"
		size = 8
		refs = "0002 _NV__21"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9250_0 {
	meta:
		name = "LibHelp"
		size = 8
		refs = "0002 _NV__68"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9741_0 {
	meta:
		name = "MMSystem"
		size = 8
		refs = "0002 _NV__53A"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9816_0 {
	meta:
		name = "MPlayer"
		size = 8
		refs = "0002 _NV__143"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9279_0 {
	meta:
		name = "Mapi"
		size = 8
		refs = "0002 _NV__75"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9347_0 {
	meta:
		name = "Mask"
		size = 8
		refs = "0002 _NV__121"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9363_0 {
	meta:
		name = "Masks"
		size = 8
		refs = "0002 _NV__32"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9435_0 {
	meta:
		name = "Math"
		size = 8
		refs = "0002 _NV__3D"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9536_0 {
	meta:
		name = "Messages"
		size = 8
		refs = "0002 _NV__257"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10730_0 {
	meta:
		name = "NB30"
		size = 8
		refs = "0002 _NV__76"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11007_0 {
	meta:
		name = "NSApi"
		size = 8
		refs = "0002 _NV__1DE"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11035_0 {
	meta:
		name = "OCXReg"
		size = 8
		refs = "0002 _NV__99"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11037_0 {
	meta:
		name = "OleConst"
		size = 8
		refs = "0002 _NV__29"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11393_0 {
	meta:
		name = "OleCtrls"
		size = 8
		refs = "0002 _NV__1D8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11404_0 {
	meta:
		name = "OleDlg"
		size = 8
		refs = "0002 _NV__15A"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11917_0 {
	meta:
		name = "Outline"
		size = 8
		refs = "0002 _NV__172"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11931_0 {
	meta:
		name = "PenDlg"
		size = 8
		refs = "0002 _NV__71"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12070_0 {
	meta:
		name = "PenWin"
		size = 8
		refs = "0002 _NV__460"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12092_0 {
	meta:
		name = "PicEdit"
		size = 8
		refs = "0002 _NV__B8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12162_0 {
	meta:
		name = "Printers"
		size = 8
		refs = "0002 _NV__A8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12188_0 {
	meta:
		name = "Provider"
		size = 8
		refs = "0002 _NV__59"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12497_0 {
	meta:
		name = "QRPrev"
		size = 8
		refs = "0002 _NV__97"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12502_0 {
	meta:
		name = "QRPrgres"
		size = 8
		refs = "0002 _NV__53"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12248_0 {
	meta:
		name = "Qrcomped"
		size = 8
		refs = "0002 _NV__9E"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12366_0 {
	meta:
		name = "Qrctrls"
		size = 8
		refs = "0002 _NV__189"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13172_0 {
	meta:
		name = "RegStr"
		size = 8
		refs = "0002 _NV__2EA"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13170_0 {
	meta:
		name = "Registry"
		size = 8
		refs = "0002 _NV__78"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13174_0 {
	meta:
		name = "RichEdit"
		size = 8
		refs = "0002 _NV__184"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13631_0 {
	meta:
		name = "SMIntf"
		size = 8
		refs = "0002 _NV__E"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13314_0 {
	meta:
		name = "ScktComp"
		size = 8
		refs = "0002 _NV__11E"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13609_0 {
	meta:
		name = "ShellAPI"
		size = 8
		refs = "0002 _NV__C1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13627_0 {
	meta:
		name = "ShlObj"
		size = 8
		refs = "0002 _NV__213"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13680_0 {
	meta:
		name = "Spin"
		size = 8
		refs = "0002 _NV__102"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13943_0 {
	meta:
		name = "StdCtrls"
		size = 8
		refs = "0002 _NV__2C0"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13945_0 {
	meta:
		name = "StdVCL"
		size = 8
		refs = "0002 _NV__13"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13961_0 {
	meta:
		name = "SyncObjs"
		size = 8
		refs = "0002 _NV__3B"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13982_0 {
	meta:
		name = "SysInit"
		size = 8
		refs = "0002 _NV__29"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15509_0 {
	meta:
		name = "TLHelp32"
		size = 8
		refs = "0002 _NV__33"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14769_0 {
	meta:
		name = "Tabnotbk"
		size = 8
		refs = "0002 _NV__C6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14839_0 {
	meta:
		name = "Tabs"
		size = 8
		refs = "0002 _NV__128"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15495_0 {
	meta:
		name = "TeExport"
		size = 8
		refs = "0002 _NV__54"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14863_0 {
	meta:
		name = "TeeAbout"
		size = 8
		refs = "0002 _NV__A6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14878_0 {
	meta:
		name = "TeeFunci"
		size = 8
		refs = "0002 _NV__38"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14922_0 {
	meta:
		name = "TeeGally"
		size = 8
		refs = "0002 _NV__D7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14926_0 {
	meta:
		name = "TeeLisB"
		size = 8
		refs = "0002 _NV__D"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15390_0 {
	meta:
		name = "TeePrevi"
		size = 8
		refs = "0002 _NV__D7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15580_0 {
	meta:
		name = "ToolIntf"
		size = 8
		refs = "0002 _NV__139"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15590_0 {
	meta:
		name = "ToolWin"
		size = 8
		refs = "0002 _NV__60"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15623_0 {
	meta:
		name = "TypInfo"
		size = 8
		refs = "0002 _NV__6E"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15668_0 {
	meta:
		name = "UrlMon"
		size = 8
		refs = "0002 _NV__D1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15695_0 {
	meta:
		name = "VirtIntf"
		size = 8
		refs = "0002 _NV__30"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15697_0 {
	meta:
		name = "WebConst"
		size = 8
		refs = "0002 _NV__3F"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17951_0 {
	meta:
		name = "WinInet"
		size = 8
		refs = "0002 _NV__25C"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_18014_0 {
	meta:
		name = "WinSock"
		size = 8
		refs = "0002 _NV__180"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_18170_0 {
	meta:
		name = "WinSpool"
		size = 8
		refs = "0002 _NV__20B"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_18221_0 {
	meta:
		name = "WinSvc"
		size = 8
		refs = "0002 _NV__8A"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17798_0 {
	meta:
		name = "Windows"
		size = 8
		refs = "0002 _NV__1F62"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8823_0 {
	meta:
		name = "isapi"
		size = 8
		refs = "0002 _NV__24"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8825_0 {
	meta:
		name = "isapi2"
		size = 8
		refs = "0002 _NV__6E"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9053_0 {
	meta:
		name = "isp3"
		size = 8
		refs = "0002 _NV__1B6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9083_0 {
	meta:
		name = "jconsts"
		size = 8
		refs = "0002 _NV__B"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10076_0 {
	meta:
		name = "mxConsts"
		size = 8
		refs = "0002 _NV__CD"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10195_0 {
	meta:
		name = "mxDB"
		size = 8
		refs = "0002 _NV__11F"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9997_0 {
	meta:
		name = "mxbutton"
		size = 8
		refs = "0002 _NV__105"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10074_0 {
	meta:
		name = "mxcommon"
		size = 8
		refs = "0002 _NV__191"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10222_0 {
	meta:
		name = "mxdcube"
		size = 8
		refs = "0002 _NV__F7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10226_0 {
	meta:
		name = "mxdsql"
		size = 8
		refs = "0002 _NV__56"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10242_0 {
	meta:
		name = "mxgraph"
		size = 8
		refs = "0002 _NV__118"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10331_0 {
	meta:
		name = "mxgrid"
		size = 8
		refs = "0002 _NV__1A7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10344_0 {
	meta:
		name = "mxpbar"
		size = 8
		refs = "0002 _NV__6B"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10370_0 {
	meta:
		name = "mxpivsrc"
		size = 8
		refs = "0002 _NV__C8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10418_0 {
	meta:
		name = "mxqedcom"
		size = 8
		refs = "0002 _NV__128"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10453_0 {
	meta:
		name = "mxqparse"
		size = 8
		refs = "0002 _NV__C5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10717_0 {
	meta:
		name = "mxstore"
		size = 8
		refs = "0002 _NV__2DB"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10727_0 {
	meta:
		name = "mxtables"
		size = 8
		refs = "0002 _NV__D4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12212_0 {
	meta:
		name = "qr2const"
		size = 8
		refs = "0002 _NV__B7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12220_0 {
	meta:
		name = "qrabout"
		size = 8
		refs = "0002 _NV__60"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12226_0 {
	meta:
		name = "qralias"
		size = 8
		refs = "0002 _NV__5A"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12379_0 {
	meta:
		name = "qrdatasu"
		size = 8
		refs = "0002 _NV__74"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12413_0 {
	meta:
		name = "qrexpbld"
		size = 8
		refs = "0002 _NV__78"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13629_0 {
	meta:
		name = "smconsts"
		size = 8
		refs = "0002 _NV__18"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14865_0 {
	meta:
		name = "teeconst"
		size = 8
		refs = "0002 _NV__F9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_372_0 {
	meta:
		name = "TAreaSeriesEditor.FormShow"
		size = 108
		refs = "0005 Screen 000e TScreen.SetCursor 002c TCustomRadioGroup.SetItemIndex 003a TCustomCheckBox.SetChecked 004d TCustomComboBox.SetItemIndex 0065 TAreaSeriesEditor.RefreshShape"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 08 02 00 00 8B F0 33 D2 8A 96 10 01 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8A 56 48 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 33 D2 8A 96 E5 00 00 00 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8A 96 D0 00 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_373_0 {
	meta:
		name = "TAreaSeriesEditor.RefreshShape"
		size = 82
		refs = "0017 TControl.SetVisible 002b TControl.SetEnabled 003e TAreaSeriesEditor.GetAreaColor 004b TBrush.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B 83 08 02 00 00 8A 50 48 80 F2 01 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 8A 50 44 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 8B B3 04 02 00 00 80 7E 44 00 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_374_0 {
	meta:
		name = "TAreaSeriesEditor.RGMultiAreaClick"
		size = 24
		refs = "0013 TAreaSeries.SetMultiArea"
	strings:
		$1 = { 8B 90 DC 01 00 00 8A 92 24 01 00 00 8B 80 08 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_375_0 {
	meta:
		name = "TAreaSeriesEditor.CBColorEachClick"
		size = 36
		refs = "000a TCustomCheckBox.GetChecked 0017 TChartSeries.SetColorEachPoint 001e TAreaSeriesEditor.RefreshShape"
	strings:
		$1 = { 53 8B D8 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_376_0 {
	meta:
		name = "TAreaSeriesEditor.GetAreaColor"
		size = 27
	strings:
		$1 = { 8B 80 08 02 00 00 8B 90 E0 00 00 00 81 FA 00 00 00 80 75 04 8B 40 44 C3 8B C2 C3 }
	condition:
		$1
}

rule function_377_0 {
	meta:
		name = "TAreaSeriesEditor.BAreaColorClick"
		size = 41
		refs = "0006 TAreaSeriesEditor.GetAreaColor 000f EditColor 0023 TAreaSeriesEditor.RefreshShape"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 08 02 00 00 8B 08 FF 51 4C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_378_0 {
	meta:
		name = "TAreaSeriesEditor.CBStairsClick"
		size = 29
		refs = "000a TCustomCheckBox.GetChecked 0017 TCustomSeries.SetStairs"
	strings:
		$1 = { 53 8B D8 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_379_0 {
	meta:
		name = "TAreaSeriesEditor.CBAreaBrushChange"
		size = 29
		refs = "000a TCustomComboBox.GetItemIndex 0017 TCustomSeries.SetAreaBrush"
	strings:
		$1 = { 53 8B D8 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_380_0 {
	meta:
		name = "TAreaSeriesEditor.BAreaLinesPenClick"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 08 02 00 00 8B 92 D8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_381_0 {
	meta:
		name = "TAreaSeriesEditor.SHAreaColorMouseUp"
		size = 14
		refs = "0006 TAreaSeriesEditor.BAreaColorClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_416_0 {
	meta:
		name = "TArrowSeriesEditor.SHArrowColorMouseUp"
		size = 14
		refs = "0006 TArrowSeriesEditor.BArrowColorClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_756_0 {
	meta:
		name = "TBarSeriesEditor.SHBarColorMouseUp"
		size = 14
		refs = "0006 TBarSeriesEditor.BBarColorClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_1097_0 {
	meta:
		name = "TBrushDialog.SHColorMouseUp"
		size = 14
		refs = "0006 TBrushDialog.BColorClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_8519_0 {
	meta:
		name = "TChartEditForm.PaintBox1MouseUp"
		size = 14
		refs = "0006 TChartEditForm.BGradientStartClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_8520_0 {
	meta:
		name = "TChartEditForm.PaintBox2MouseUp"
		size = 14
		refs = "0006 TChartEditForm.BGradientEndClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_13543_0 {
	meta:
		name = "TChartShapeEditor.Shape1MouseUp"
		size = 14
		refs = "0006 TChartShapeEditor.BShapeColorClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_11927_0 {
	meta:
		name = "TPenDialog.SHColorMouseUp"
		size = 14
		refs = "0006 TPenDialog.BColorClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_382_0 {
	meta:
		name = "TAreaSeriesEditor.BAreaLinePenClick"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 08 02 00 00 8B 92 DC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_384_0 {
	meta:
		name = "AreaEdit"
		size = 20
		refs = "0002 _NV__6A 000a _DV_TAreaSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_418_0 {
	meta:
		name = "Arrowedi"
		size = 20
		refs = "0002 _NV__67 000a _DV_TArrowSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_759_0 {
	meta:
		name = "BarEdit"
		size = 20
		refs = "0002 _NV__80 000a _DV_TBarSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1125_0 {
	meta:
		name = "BubblEdi"
		size = 20
		refs = "0002 _NV__5D 000a _DV_TBubbleSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3831_0 {
	meta:
		name = "CustEdit"
		size = 20
		refs = "0002 _NV__7B 000a _DV_TCustomSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7191_0 {
	meta:
		name = "FLineEdi"
		size = 20
		refs = "0002 _NV__4F 000a _DV_TFastLineSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7555_0 {
	meta:
		name = "GanttEdi"
		size = 20
		refs = "0002 _NV__64 000a _DV_TGanttSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8666_0 {
	meta:
		name = "IEditCha"
		size = 20
		refs = "0002 _NV__22B 000a _DV_TChartEditForm 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12109_0 {
	meta:
		name = "PieEdit"
		size = 20
		refs = "0002 _NV__69 000a _DV_TPieSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12785_0 {
	meta:
		name = "QrTee"
		size = 20
		refs = "0002 _NV__DE 000a _DV_TQRDBChart 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13556_0 {
	meta:
		name = "ShapeEdi"
		size = 20
		refs = "0002 _NV__7C 000a _DV_TChartShapeEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_385_0 {
	meta:
		name = "TArrowSeries.Create"
		size = 204
		refs = "000e @ClassCreate 001c TPointSeries.Create 002d TChartValueList.SetDateTime 0032 TArrowSeries.Create 003b _Dn_TChartValueList 0040 TChartValueList.Create 0077 TSeriesPointer.SetInflateMargins 0084 TChartPen.SetVisible 008e TSeriesMarks.SetBackTransparent"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 CC 00 00 00 00 B2 01 8B 43 2C E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 10 01 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 14 01 00 00 33 D2 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 43 3C 8B 40 1C 33 D2 E8 ?? ?? ?? ?? B2 01 8B 43 3C E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 45 6E 64 58 00 00 00 00 FF FF FF FF 04 00 00 00 45 6E 64 59 00 00 00 00 }
	condition:
		$1
}

rule function_386_0 {
	meta:
		name = "TArrowSeries.SetEndXValues"
		size = 14
		refs = "0009 TChartSeries.SetChartValueList"
		altNames = "TBubbleSeries.SetRadiusValues TGanttSeries.SetEndValues"
	strings:
		$1 = { 8D 88 10 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_387_0 {
	meta:
		name = "TArrowSeries.SetEndYValues"
		size = 14
		refs = "0009 TChartSeries.SetChartValueList"
		altNames = "TGanttSeries.SetNextTask"
	strings:
		$1 = { 8D 88 14 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1103_0 {
	meta:
		name = "TBubbleSeries.SetSquared"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 14 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_388_0 {
	meta:
		name = "TArrowSeries.AddArrow"
		size = 95
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F0 FF 75 24 FF 75 20 FF 75 1C FF 75 18 8B 4D FC 8B C6 8B 18 FF 93 90 00 00 00 8B D8 8B 86 10 01 00 00 8B 55 10 89 50 18 8B 55 14 89 50 1C 8B 86 14 01 00 00 8B 55 08 89 50 18 8B 55 0C 89 50 1C 8B D3 8B C6 8B 08 FF 91 B8 00 00 00 8B C3 5E 5B 59 5D C2 20 00 }
	condition:
		$1
}

rule function_389_0 {
	meta:
		name = "TArrowSeries.FillSampleValues"
		size = 245
		refs = "0035 TChartSeries.CalcRandomBounds 003e @ROUND 0060 @RandInt 00db TArrowSeries.AddArrow 00e9 TChartSeries.RefreshSeries"
	strings:
		$1 = { 53 56 57 55 83 C4 BC 89 14 24 8B E8 8B C5 8B 10 FF 92 88 00 00 00 8D 44 24 24 50 8D 44 24 20 50 8D 44 24 34 50 8D 44 24 40 50 8D 4C 24 24 8B 54 24 10 8B C5 E8 ?? ?? ?? ?? DD 44 24 34 E8 ?? ?? ?? ?? 8B F8 8B 34 24 85 F6 0F 8E 97 00 00 00 DB 04 24 DC 4C 24 24 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 89 44 24 3C DB 44 24 3C DC 44 24 14 DD 5C 24 04 9B 8B C7 E8 ?? ?? ?? ?? 89 44 24 3C DB 44 24 3C DC 44 24 2C DD 5C 24 0C 9B FF 74 24 08 FF 74 24 08 FF 74 24 18 FF 74 24 18 8B C3 E8 ?? ?? ?? ?? 89 44 24 4C DB 44 24 4C DC 44 24 14 83 C4 F8 DD 1C 24 9B 8B C7 E8 ?? ?? ?? ?? 89 44 24 58 DB 44 24 58 DC 44 24 24 83 C4 F8 DD 1C 24 9B B9 00 00 00 80 33 D2 8B C5 E8 ?? ?? ?? ?? 4E 0F 85 69 FF FF FF 8B C5 E8 ?? ?? ?? ?? 83 C4 44 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_390_0 {
	meta:
		name = "TArrowSeries.GetArrowWidth"
		size = 10
	strings:
		$1 = { 8B 80 D4 00 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_391_0 {
	meta:
		name = "TArrowSeries.GetArrowHeight"
		size = 10
	strings:
		$1 = { 8B 80 D4 00 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_392_0 {
	meta:
		name = "TArrowSeries.SetArrowWidth"
		size = 12
		refs = "0007 TSeriesPointer.SetHorizSize"
	strings:
		$1 = { 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_393_0 {
	meta:
		name = "TArrowSeries.SetArrowHeight"
		size = 12
		refs = "0007 TSeriesPointer.SetVertSize"
	strings:
		$1 = { 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_394_0 {
	meta:
		name = "_NF__AE"
		size = 78
		refs = "0021 @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 DD 40 F8 8B 45 08 DC 48 F0 8B 45 08 DD 40 E8 8B 45 08 DC 48 E0 DE C1 E8 ?? ?? ?? ?? 89 03 8B 45 08 DD 40 F8 D9 E0 8B 45 08 DC 48 E0 8B 45 08 DD 40 E8 8B 45 08 DC 48 F0 DE C1 E8 ?? ?? ?? ?? 89 43 04 5B 5D C3 }
	condition:
		$1
}

rule function_395_0 {
	meta:
		name = "TArrowSeries.DrawValue"
		size = 800
		refs = "0043 TChartValueList.GetValue 0051 TChartSeries.CalcXPosValue 006f TChartSeries.CalcYPosValue 00aa TArrowSeries.DrawValue 00ba TArrowSeries.GetArrowWidth 00c4 TArrowSeries.GetArrowHeight 00cd @ROUND 00d3 MinLong 0152 _NF__AE 020c TSeriesPointer.PrepareCanvas 02a5 TCustomTeePanel.DoPolygon 02c9 TPen.SetColor 02d6 TCanvas.MoveTo 02e2 TCanvas.LineTo"
	strings:
		$1 = { 55 8B EC 81 C4 38 FF FF FF 53 56 57 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 89 45 DC 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 89 45 AC 8B D6 8B C3 8B 08 FF 91 B4 00 00 00 89 45 B0 8B D6 8B 83 10 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 89 45 A4 8B D6 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B F8 89 7D A8 8B 75 A4 2B 75 AC 8B 45 B0 2B C7 89 45 D4 8B C6 F7 EE 8B 55 D4 0F AF 55 D4 03 C2 89 85 70 FF FF FF DB 85 70 FF FF FF D9 FA DD 5D B4 9B DD 45 B4 D8 1D ?? ?? ?? ?? DF E0 9E 0F 86 3B 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 D8 8B C3 E8 ?? ?? ?? ?? 50 DD 45 B4 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? DB 45 D4 DC 75 B4 DD 5D E0 9B 89 B5 70 FF FF FF DB 85 70 FF FF FF DC 75 B4 DD 5D F0 9B DB 45 A4 DC 4D F0 89 BD 70 FF FF FF DB 85 70 FF FF FF DC 4D E0 DE E9 DD 5D C4 9B DB 45 A4 DC 4D E0 89 BD 70 FF FF FF DB 85 70 FF FF FF DC 4D F0 DE C1 DD 5D BC 9B 89 85 70 FF FF FF DB 85 70 FF FF FF DC 6D C4 DD 5D F8 9B DB 45 D8 D8 0D ?? ?? ?? ?? DC 6D BC DD 5D E8 9B 55 8D 45 9C E8 ?? ?? ?? ?? 59 DB 45 D8 D8 0D ?? ?? ?? ?? DC 45 BC DD 5D E8 9B 55 8D 45 94 E8 ?? ?? ?? ?? 59 8B 43 40 80 B8 C8 01 00 00 00 74 75 DB 45 D8 D8 0D ?? ?? ?? ?? DD 5D CC 9B DD 45 BC DC 65 CC DD 5D E8 9B 55 8D 45 8C E8 ?? ?? ?? ?? 59 DD 45 BC DC 45 CC DD 5D E8 9B 55 8D 45 84 E8 ?? ?? ?? ?? 59 DB 45 AC DC 4D F0 DB 45 B0 DC 4D E0 DE E9 DD 5D F8 9B DD 45 BC DC 65 CC DD 5D E8 9B 55 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 59 DD 45 BC DC 45 CC DD 5D E8 9B 55 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 59 8B 73 40 80 BE C8 01 00 00 00 0F 84 A9 00 00 00 8B 55 DC 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 89 85 38 FF FF FF 8B 85 78 FF FF FF 89 85 3C FF FF FF 8B 85 7C FF FF FF 89 85 40 FF FF FF 8B 45 80 89 85 44 FF FF FF 8B 45 8C 89 85 48 FF FF FF 8B 45 90 89 85 4C FF FF FF 8B 45 9C 89 85 50 FF FF FF 8B 45 A0 89 85 54 FF FF FF 8B 45 A4 89 85 58 FF FF FF 8B 45 A8 89 85 5C FF FF FF 8B 45 94 89 85 60 FF FF FF 8B 45 98 89 85 64 FF FF FF 8B 45 84 89 85 68 FF FF FF 8B 45 88 89 85 6C FF FF FF 8D 95 38 FF FF FF B9 06 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 61 8B B6 50 01 00 00 8B 83 D4 00 00 00 8B 50 10 8B 46 10 8B 08 FF 51 08 8B 55 DC 8B 46 10 E8 ?? ?? ?? ?? 8B 4D B0 8B 55 AC 8B C6 E8 ?? ?? ?? ?? 8B CF 8B 55 A4 8B C6 E8 ?? ?? ?? ?? 8B 4D 98 8B 55 94 8B C6 E8 ?? ?? ?? ?? 8B CF 8B 55 A4 8B C6 E8 ?? ?? ?? ?? 8B 4D A0 8B 55 9C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 3F 00 00 80 3E }
	condition:
		$1
}

rule function_396_0 {
	meta:
		name = "TArrowSeries.MaxXValue"
		size = 48
		refs = "0009 TChartSeries.MaxXValue 0021 MaxDouble"
		altNames = "TGanttSeries.MaxXValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 10 01 00 00 FF 70 3C FF 70 38 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_397_0 {
	meta:
		name = "TArrowSeries.MinXValue"
		size = 48
		refs = "0009 TChartSeries.MinXValue 0021 MinDouble"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 10 01 00 00 FF 70 44 FF 70 40 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_398_0 {
	meta:
		name = "TArrowSeries.MaxYValue"
		size = 48
		refs = "0009 TChartSeries.MaxYValue 0021 MaxDouble"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 14 01 00 00 FF 70 3C FF 70 38 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_399_0 {
	meta:
		name = "TArrowSeries.MinYValue"
		size = 48
		refs = "0009 TChartSeries.MinYValue 0021 MinDouble"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 14 01 00 00 FF 70 44 FF 70 40 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_400_0 {
	meta:
		name = "TArrowSeries.GetEditorClass"
		size = 48
		refs = "0006 TArrowSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 12 00 00 00 54 41 72 72 6F 77 53 65 72 69 65 73 45 64 69 74 6F 72 00 00 }
	condition:
		$1
}

rule function_401_0 {
	meta:
		name = "TArrowSeries.GetStartXValues"
		size = 4
		altNames = "TDecisionSource.GetDecisionCube TGanttSeries.GetStartValues THorizBarSeries.MandatoryValueList TPrinterSettings.GetMinExtentY"
	strings:
		$1 = { 8B 40 2C C3 }
	condition:
		$1
}

rule function_403_0 {
	meta:
		name = "TArrowSeries.GetStartYValues"
		size = 4
		altNames = "TChartSeries.MandatoryValueList TPieSeries.GetPieValues"
	strings:
		$1 = { 8B 40 30 C3 }
	condition:
		$1
}

rule function_405_0 {
	meta:
		name = "TArrowSeries.PrepareForGallery"
		size = 51
		refs = "0006 TChartSeries.PrepareForGallery 0021 TArrowSeries.SetArrowWidth 002d TArrowSeries.SetArrowHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_406_0 {
	meta:
		name = "TArrowSeries.IsValidSourceOf"
		size = 18
		refs = "0007 _DV_TArrowSeries 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1112_0 {
	meta:
		name = "TBubbleSeries.IsValidSourceOf"
		size = 18
		refs = "0007 _DV_TBubbleSeries 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15481_0 {
	meta:
		name = "TChartShape.IsValidSourceOf"
		size = 18
		refs = "0007 _DV_TChartShape 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7539_0 {
	meta:
		name = "TGanttSeries.IsValidSourceOf"
		size = 18
		refs = "0007 _DV_TGanttSeries 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_408_0 {
	meta:
		name = "ArrowCha"
		size = 114
		refs = "000b ArrowCha 0017 _NV__8E 0024 TeeMsg_GalleryStandard 0029 LoadResString 0035 TeeMsg_GalleryArrow 0042 _DV_TArrowSeries 0048 RegisterTeeSeries 0062 @LStrArrayClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 2E 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_1115_0 {
	meta:
		name = "BubbleCh"
		size = 114
		refs = "000b BubbleCh 0017 _NV__8A 0024 TeeMsg_GalleryStandard 0029 LoadResString 0035 TeeMsg_GalleryBubble 0042 _DV_TBubbleSeries 0048 RegisterTeeSeries 0062 @LStrArrayClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 2E 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_15489_0 {
	meta:
		name = "TeeShape"
		size = 114
		refs = "000b TeeShape 0017 _NV__BC 0024 TeeMsg_GalleryStandard 0029 LoadResString 0035 TeeMsg_GalleryShape 0042 _DV_TChartShape 0048 RegisterTeeSeries 0062 @LStrArrayClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 2E 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_409_0 {
	meta:
		name = "TArrowSeriesEditor.CBColorEachClick"
		size = 103
		refs = "000a TCustomCheckBox.GetChecked 0017 TChartSeries.SetColorEachPoint 002e TControl.SetEnabled 004d TBrush.SetColor 0061 TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 8A 50 48 80 F2 01 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 80 78 48 00 74 13 8B 80 D4 00 00 00 8B 40 14 BA 00 00 00 80 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 8A 50 45 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_410_0 {
	meta:
		name = "TArrowSeriesEditor.BArrowColorClick"
		size = 52
		refs = "0010 EditColor 002d TBrush.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B B3 04 02 00 00 8B 56 44 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 4C 8B 83 00 02 00 00 8B 80 BC 00 00 00 8B 56 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_411_0 {
	meta:
		name = "TArrowSeriesEditor.BPenClick"
		size = 21
		refs = "0010 EditChartPen"
	strings:
		$1 = { 8B 90 04 02 00 00 8B 92 D4 00 00 00 8B 52 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_412_0 {
	meta:
		name = "TArrowSeriesEditor.BBrushClick"
		size = 21
		refs = "0010 EditChartBrush"
	strings:
		$1 = { 8B 90 04 02 00 00 8B 92 D4 00 00 00 8B 52 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_413_0 {
	meta:
		name = "TArrowSeriesEditor.SEArrowWidthChange"
		size = 99
		refs = "000c TArrowSeriesEditor.SEArrowWidthChange 0020 TControl.GetText 0031 TSpinEdit.GetValue 003e TArrowSeries.SetArrowWidth 0053 @LStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_414_0 {
	meta:
		name = "TArrowSeriesEditor.SEArrowHeightChange"
		size = 99
		refs = "000c TArrowSeriesEditor.SEArrowHeightChange 0020 TControl.GetText 0031 TSpinEdit.GetValue 003e TArrowSeries.SetArrowHeight 0053 @LStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_415_0 {
	meta:
		name = "TArrowSeriesEditor.FormShow"
		size = 106
		refs = "0005 Screen 000e TScreen.SetCursor 0027 TCustomCheckBox.SetChecked 002e TArrowSeries.GetArrowWidth 003b TSpinEdit.SetValue 0042 TArrowSeries.GetArrowHeight 0063 TBrush.SetColor"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 04 02 00 00 8B F0 8A 56 48 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 8B 80 BC 00 00 00 8B 56 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_419_0 {
	meta:
		name = "_NF__2AE"
		size = 74
		refs = "0014 TAggregatedObject._AddRef 001e TAggregatedObject._Release 0022 _NF__2AE"
	strings:
		$1 = { CC 83 44 24 04 F8 8B 44 24 04 8B 00 FF 20 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 08 00 00 00 }
	condition:
		$1
}

rule function_420_0 {
	meta:
		name = "_NF__2B5"
		size = 146
		refs = "0007 TConnectionPoint.GetConnectionInterface 0011 TConnectionPoint.GetConnectionPointContainer 001b TConnectionPoint.Advise 0025 TConnectionPoint.Unadvise 002f TConnectionPoint.EnumConnections 0046 TAggregatedObject._AddRef 0050 TAggregatedObject._Release 0056 _NF__2B5"
	strings:
		$1 = { CC 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 8B 44 24 04 8B 00 FF 20 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 86 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_421_0 {
	meta:
		name = "_NF__2B8"
		size = 101
		refs = "0007 TConnectionPoints.EnumConnectionPoints 0011 TConnectionPoints.FindConnectionPoint 001b TAggregatedObject.QueryInterface 0025 TAggregatedObject._AddRef 002f TAggregatedObject._Release 0035 _NF__2B8"
	strings:
		$1 = { CC 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 08 00 00 00 }
	condition:
		$1
}

rule function_422_0 {
	meta:
		name = "_NF__2BD"
		size = 1727
		refs = "0007 TActiveXControl.PreMessageFilter 0011 TActiveXControl.PostMessageFilter 001b TComObject.QueryInterface 0025 TComObject._AddRef 002f TComObject._Release 0039 TActiveXControl.GetPages 0061 TActiveXControl.GetDisplayString 006b TActiveXControl.MapPropertyToPage 0075 TActiveXControl.GetPredefinedStrings 007f TActiveXControl.GetPredefinedValue 00a7 TActiveXControl.ViewObjectGetExtent 00b1 TActiveXControl.Draw 00bb TActiveXControl.GetColorSet 00c5 TActiveXControl.Freeze 00cf TActiveXControl.Unfreeze 00d9 TActiveXControl.SetAdvise 00e3 TActiveXControl.GetAdvise 0165 TActiveXControl.TranslateAccelerator 016f TActiveXControl.OnFrameWindowActivate 0179 TActiveXControl.OnDocWindowActivate 0183 TActiveXControl.ResizeBorder 018d TActiveXControl.EnableModeless 0197 TActiveXControl.GetWindow 01a1 TActiveXControl.ContextSensitiveHelp 01c9 TActiveXControl.InPlaceDeactivate 01d3 TActiveXControl.UIDeactivate 01dd TActiveXControl.SetObjectRects 01e7 TActiveXControl.ReactivateAndUndo 0223 TActiveXControl.GetControlInfo 022d TActiveXControl.OnMnemonic 0237 TActiveXControl.OnAmbientPropertyChange 0241 TActiveXControl.FreezeEvents 0269 TActiveXControl.SetClientSite 0273 TActiveXControl.GetClientSite 027d TActiveXControl.SetHostNames 0287 TActiveXControl.Close 0291 TActiveXControl.SetMoniker 029b TActiveXControl.GetMoniker 02a5 TActiveXControl.InitFromData 02af TActiveXControl.GetClipboardData 02b9 TActiveXControl.DoVerb 02c3 TActiveXControl.EnumVerbs 02cd TActiveXControl.Update 02d7 TActiveXControl.IsUpToDate 02e1 TActiveXControl.GetUserClassID 02eb TActiveXControl.GetUserType 02f5 TActiveXControl.SetExtent 02ff TActiveXControl.GetExtent 0309 TActiveXControl.Advise 0313 TActiveXControl.Unadvise 031d TActiveXControl.EnumAdvise 0327 TActiveXControl.GetMiscStatus 0331 TActiveXControl.SetColorScheme 0359 TActiveXControl.IsDirty 0363 TActiveXControl.PersistStorageInitNew 036d TActiveXControl.PersistStorageLoad 0377 TActiveXControl.PersistStorageSave 0381 TActiveXControl.SaveCompleted 038b TActiveXControl.HandsOffStorage 0395 TActiveXControl.GetClassID 03bd TActiveXControl.InitNew 03d1 TActiveXControl.PersistStreamLoad 03db TActiveXControl.PersistStreamSave 03e5 TActiveXControl.GetSizeMax 0413 _NF__2BD"
	strings:
		$1 = { CC 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 BC E9 ?? ?? ?? ?? 83 44 24 04 BC E9 ?? ?? ?? ?? 83 44 24 04 BC E9 ?? ?? ?? ?? 83 44 24 04 BC E9 ?? ?? ?? ?? 83 44 24 04 C0 E9 ?? ?? ?? ?? 83 44 24 04 C0 E9 ?? ?? ?? ?? 83 44 24 04 C0 E9 ?? ?? ?? ?? 83 44 24 04 C0 E9 ?? ?? ?? ?? 83 44 24 04 C0 E9 ?? ?? ?? ?? 83 44 24 04 C0 E9 ?? ?? ?? ?? 83 44 24 04 C0 E9 ?? ?? ?? ?? 83 44 24 04 C4 E9 ?? ?? ?? ?? 83 44 24 04 C4 E9 ?? ?? ?? ?? 83 44 24 04 C4 E9 ?? ?? ?? ?? 83 44 24 04 C4 E9 ?? ?? ?? ?? 83 44 24 04 C4 E9 ?? ?? ?? ?? 83 44 24 04 C4 E9 ?? ?? ?? ?? 83 44 24 04 C4 E9 ?? ?? ?? ?? 83 44 24 04 C4 E9 ?? ?? ?? ?? 83 44 24 04 C4 E9 ?? ?? ?? ?? 83 44 24 04 C4 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0B 00 00 00 01 0E 2B 74 E6 14 1B 10 91 4E 00 AA 00 30 0C AB ?? ?? ?? ?? 48 00 00 00 8B B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 44 00 00 00 AA D3 6B 37 45 38 1B 10 84 ED 08 00 2B 2E C7 13 ?? ?? ?? ?? 40 00 00 00 27 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 3C 00 00 00 0D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 38 00 00 00 17 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 34 00 00 00 13 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 30 00 00 00 88 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 2C 00 00 00 12 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 28 00 00 00 0A 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 24 00 00 00 80 23 D5 7F 07 4E 1B 10 AE 2D 08 00 2B 2E C7 13 ?? ?? ?? ?? 20 00 00 00 }
	condition:
		$1
}

rule function_423_0 {
	meta:
		name = "_NF__2C3"
		size = 200
		refs = "005a TActiveFormControl.FreeOnRelease 0067 TComObject.QueryInterface 0074 TComObject._AddRef 0081 TComObject._Release 0088 _NF__2C3"
	strings:
		$1 = { CC 81 44 24 04 68 FF FF FF 8B 44 24 04 8B 00 FF 60 18 81 44 24 04 68 FF FF FF 8B 44 24 04 8B 00 FF 60 14 81 44 24 04 68 FF FF FF 8B 44 24 04 8B 00 FF 60 10 81 44 24 04 68 FF FF FF 8B 44 24 04 8B 00 FF 60 1C 05 68 FF FF FF 50 8B 00 8B 40 EC 87 04 24 C3 05 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 A0 92 78 E0 2F F5 CF 11 BD 2F 00 20 AF 0E 5B 81 ?? ?? ?? ?? 98 00 00 00 }
	condition:
		$1
}

rule function_424_0 {
	meta:
		name = "_NF__2D3"
		size = 462
		refs = "0007 TActiveXPropertyPage.EditProperty 0011 TActiveXPropertyPage.SetPageSite 001b TActiveXPropertyPage.Activate 0025 TActiveXPropertyPage.Deactivate 002f TActiveXPropertyPage.GetPageInfo 0039 TActiveXPropertyPage.SetObjects 0043 TActiveXPropertyPage.Show 004d TActiveXPropertyPage.Move 0057 TActiveXPropertyPage.IsPageDirty 0061 TActiveXPropertyPage.Apply 006b TActiveXPropertyPage.Help 0075 TActiveXPropertyPage.TranslateAccelerator 007f TComObject.QueryInterface 0089 TComObject._AddRef 0093 TComObject._Release 0126 _NF__2D3"
	strings:
		$1 = { CC 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 65 46 E4 01 AC 24 1B 10 84 ED 08 00 2B 2E C7 13 ?? ?? ?? ?? 1C 00 00 00 8D B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 18 00 00 00 }
	condition:
		$1
}

rule function_426_0 {
	meta:
		name = "_NF__2DC"
		size = 100
		refs = "0007 TAdapterNotifier.OnChanged 0011 TAdapterNotifier.OnRequestEdit 001b TInterfacedObject.QueryInterface 0025 TInterfacedObject._AddRef 002f TInterfacedObject._Release 0034 _NF__2DC"
	strings:
		$1 = { CC 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_427_0 {
	meta:
		name = "_NF__2E0"
		size = 177
		refs = "0005 TFontAdapter.GetOleFont 000d TFontAdapter.SetOleFont 0017 TInterfacedObject.QueryInterface 0021 TInterfacedObject._AddRef 002b TInterfacedObject._Release 0059 _NF__2E0"
	strings:
		$1 = { CC 83 C0 E0 E9 ?? ?? ?? ?? 83 C0 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 C0 E4 50 8B 00 8B 00 87 04 24 C3 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 A0 5C A5 CB 57 0E D0 11 BD 2F 00 20 AF 0E 5B 81 ?? ?? ?? ?? 20 00 00 00 21 23 B6 1F A7 44 D0 11 9E 93 00 20 AF 3D 82 DA ?? ?? ?? ?? 1C 00 00 00 }
	condition:
		$1
}

rule function_428_0 {
	meta:
		name = "_NF__2E4"
		size = 178
		refs = "0005 TPictureAdapter.GetOlePicture 000d TPictureAdapter.SetOlePicture 0017 TInterfacedObject.QueryInterface 0021 TInterfacedObject._AddRef 002b TInterfacedObject._Release 005a _NF__2E4"
	strings:
		$1 = { CC 83 C0 E0 E9 ?? ?? ?? ?? 83 C0 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 C0 E4 50 8B 00 8B 00 87 04 24 C3 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 31 4D 5D 79 D7 43 D0 11 9E 92 00 20 AF 3D 82 DA ?? ?? ?? ?? 20 00 00 00 21 23 B6 1F A7 44 D0 11 9E 93 00 20 AF 3D 82 DA ?? ?? ?? ?? 1C 00 00 00 }
	condition:
		$1
}

rule function_429_0 {
	meta:
		name = "_NF__2E9"
		size = 344
		refs = "0005 TStringsAdapter.ReferenceStrings 000d TStringsAdapter.ReleaseStrings 0017 TInterfacedObject.QueryInterface 0021 TInterfacedObject._AddRef 002b TInterfacedObject._Release 0035 TStringsAdapter.Get_ControlDefault 003f TStringsAdapter.Set_ControlDefault 0049 TStringsAdapter.Count 0053 TStringsAdapter.Get_Item 005d TStringsAdapter.Set_Item 0067 TStringsAdapter.Remove 0071 TStringsAdapter.Clear 007b TStringsAdapter.Add 0085 TStringsAdapter._NewEnum 008f TAutoIntfObject.GetTypeInfoCount 0099 TAutoIntfObject.GetTypeInfo 00a3 TAutoIntfObject.GetIDsOfNames 00ad TAutoIntfObject.Invoke 00d0 _NF__2E9"
	strings:
		$1 = { CC 83 C0 D0 E9 ?? ?? ?? ?? 83 C0 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 34 2F 9C 73 EC 52 D0 11 9E A6 00 20 AF 3D 82 DA ?? ?? ?? ?? 30 00 00 00 E2 DF 05 EE 49 55 D0 11 9E A9 00 20 AF 3D 82 DA ?? ?? ?? ?? 2C 00 00 00 }
	condition:
		$1
}

rule function_430_0 {
	meta:
		name = "_NF__2F1"
		size = 133
		refs = "006d SendMessage 007b DefWindowProc"
	strings:
		$1 = { 55 8B EC 53 56 8B 55 14 8B 4D 10 8B 45 0C 8B D8 83 C3 D5 83 EB 03 72 0D 83 EB 0B 74 08 81 EB D8 00 00 00 75 4E 8B D8 83 FB 2D 7F 0C 74 1E 83 EB 2B 74 1E 4B 74 20 EB 27 83 EB 39 74 0A 81 EB D8 00 00 00 74 16 EB 18 8B 72 04 EB 17 8B 72 04 EB 12 8B 72 04 EB 0D 8B 72 04 EB 08 8B F2 EB 04 33 C0 EB 1C 52 51 05 00 20 00 00 50 56 E8 ?? ?? ?? ?? EB 0C 52 51 50 8B 45 08 50 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_431_0 {
	meta:
		name = "_NF__2F2"
		size = 312
		refs = "0010 _NF__2F2 001c _NV__2F0 0033 @FillChar 0041 HInstance 0049 GetClassInfo 005e _NF__2F1 006f RegisterClass 007c SWindowClass 0081 LoadResString 008b _Dn_EOutOfResources 0090 Exception.Create 0095 @RaiseExcept 00ae GetSystemMetrics 00da CreateWindowEx 00f6 SetWindowPos 0111 @LStrClr 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 C0 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 85 DB 0F 85 D8 00 00 00 8D 45 D8 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 85 C0 75 48 A1 ?? ?? ?? ?? 8B 00 89 45 E8 C7 45 DC ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 FC 8D 45 D8 50 E8 ?? ?? ?? ?? 66 85 C0 75 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 8B 00 50 6A 00 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 6A 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 68 00 00 00 80 6A 00 8B 45 FC 50 68 80 00 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 5C 6A 00 6A 00 6A 00 6A 00 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 44 41 58 50 61 72 6B 69 6E 67 57 69 6E 64 6F 77 00 00 00 00 }
	condition:
		$1
}

rule function_432_0 {
	meta:
		name = "_NF__2F3"
		size = 43
		refs = "0002 ExceptObject 000c _Dn_EOleSysError 0011 @IsClass"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 83 7B 0C 00 7D 05 8B 43 0C 5B C3 B8 FF FF 00 80 5B C3 }
	condition:
		$1
}

rule function_433_0 {
	meta:
		name = "_NF__2F4"
		size = 36
		refs = "0012 TList.Get 0017 TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B 5E 08 4B 83 FB 00 7C 14 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 EC 5E 5B C3 }
	condition:
		$1
}

rule function_434_0 {
	meta:
		name = "_NF__2F5"
		size = 23
		refs = "000a _NF__2F4 0011 TObject.Free"
	strings:
		$1 = { 53 8B D8 85 DB 74 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_435_0 {
	meta:
		name = "_NF__2F6"
		size = 42
		refs = "0006 CoTaskMemAlloc 0016 OleError 0021 @FillChar"
	strings:
		$1 = { 53 56 8B F0 56 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0A B8 0E 00 07 80 E8 ?? ?? ?? ?? 8B C3 33 C9 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_436_0 {
	meta:
		name = "_NF__2F7"
		size = 11
		refs = "0006 CoTaskMemFree"
	strings:
		$1 = { 85 C0 74 06 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_437_0 {
	meta:
		name = "_NF__2F8"
		size = 108
		refs = "000d _NF__2F8 001d @WStrFromLStr 0025 @WStrLen 0031 _NF__2F6 003b @WStrToPWChar 0044 Move 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 40 8B D8 03 DB 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_438_0 {
	meta:
		name = "_NF__2F9"
		size = 164
		refs = "001a _NF__2F9 002c @IntfClear 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 03 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 85 C0 7C 25 8D 45 F4 E8 ?? ?? ?? ?? 50 57 8B 45 F8 50 8B 00 FF 50 10 85 C0 7C 0E 53 8B 45 FC 50 8B 45 F4 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_11215_0 {
	meta:
		name = "_NF__1DF"
		size = 164
		refs = "001a _NF__1DF 002c @IntfClear 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 03 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 85 C0 7C 25 8D 45 F4 E8 ?? ?? ?? ?? 50 57 8B 45 F8 50 8B 00 FF 50 10 85 C0 7C 0E 53 8B 45 FC 50 8B 45 F4 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_439_0 {
	meta:
		name = "_NF__2FA"
		size = 164
		refs = "0014 _NF__2FA 0027 @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 00 74 42 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 85 C0 7C 2B 8D 45 F8 E8 ?? ?? ?? ?? 50 57 8B 45 FC 50 8B 00 FF 50 10 85 C0 7C 14 8B 03 50 8B 45 F8 50 8B 00 FF 50 18 85 C0 7C 04 33 C0 89 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_11216_0 {
	meta:
		name = "_NF__1E0"
		size = 164
		refs = "0014 _NF__1E0 0027 @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 00 74 42 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 85 C0 7C 2B 8D 45 F8 E8 ?? ?? ?? ?? 50 57 8B 45 FC 50 8B 00 FF 50 10 85 C0 7C 14 8B 03 50 8B 45 F8 50 8B 00 FF 50 18 85 C0 7C 04 33 C0 89 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_440_0 {
	meta:
		name = "_NF__2FB"
		size = 76
		refs = "0011 _DV_TFontAdapter 0016 TFontAdapter.Create 0023 @IntfCopy 002d _NF__2FB 0032 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 1C 00 75 1B 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 1C 8D 43 1C E8 ?? ?? ?? ?? 8B C6 8B 53 1C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 A0 5C A5 CB 57 0E D0 11 BD 2F 00 20 AF 0E 5B 81 }
	condition:
		$1
}

rule function_441_0 {
	meta:
		name = "_NF__2FC"
		size = 76
		refs = "0011 _DV_TPictureAdapter 0016 TPictureAdapter.Create 0023 @IntfCopy 002d _NF__2FC 0032 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 75 1B 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 1C 8D 43 10 E8 ?? ?? ?? ?? 8B C6 8B 53 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 31 4D 5D 79 D7 43 D0 11 9E 92 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_442_0 {
	meta:
		name = "GetOleFont"
		size = 79
		refs = "000f GetOleFont 001f _NF__2FB 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_444_0 {
	meta:
		name = "GetOlePicture"
		size = 79
		refs = "000f GetOlePicture 001f _NF__2FC 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_443_0 {
	meta:
		name = "SetOleFont"
		size = 79
		refs = "000f SetOleFont 001f _NF__2FB 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_445_0 {
	meta:
		name = "SetOlePicture"
		size = 79
		refs = "000f SetOlePicture 001f _NF__2FC 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_446_0 {
	meta:
		name = "_NF__309"
		size = 54
		refs = "0006 GetKeyState"
	strings:
		$1 = { 53 33 DB 6A 10 E8 ?? ?? ?? ?? 66 85 C0 7D 05 BB 01 00 00 00 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 03 83 CB 02 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7D 03 83 CB 04 8B C3 5B C3 }
	condition:
		$1
}

rule function_447_0 {
	meta:
		name = "_NF__30B"
		size = 23
		refs = "0011 _NV__30A"
	strings:
		$1 = { 51 88 04 24 8A 04 24 24 07 25 FF 00 00 00 0F B6 80 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_448_0 {
	meta:
		name = "_NF__30C"
		size = 10
	strings:
		$1 = { 8B C8 B8 01 00 00 00 D3 E0 C3 }
	condition:
		$1
}

rule function_449_0 {
	meta:
		name = "TOleStream.Create"
		size = 51
		refs = "000b @ClassCreate 001b @IntfCopy"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14658_0 {
	meta:
		name = "Exception.Create"
		size = 51
		refs = "000b @ClassCreate 001b @LStrAsg"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8807_0 {
	meta:
		name = "TIniFile.Create"
		size = 51
		refs = "000b @ClassCreate 001b @LStrAsg"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_450_0 {
	meta:
		name = "TOleStream.Read"
		size = 35
		refs = "0017 OleCheck"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 54 57 56 8B 43 04 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_451_0 {
	meta:
		name = "TOleStream.Seek"
		size = 61
		refs = "002a OleCheck 0032 @ROUND"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F9 8B F2 8B D8 54 0F B7 C7 50 89 74 24 10 DB 44 24 10 83 C4 F8 DF 3C 24 9B 8B 43 04 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? DF 2C 24 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_452_0 {
	meta:
		name = "TOleStream.Write"
		size = 35
		refs = "0017 OleCheck"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 54 57 56 8B 43 04 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_453_0 {
	meta:
		name = "TAggregatedObject.Create"
		size = 30
		refs = "0008 @ClassCreate"
		altNames = "TDragControlObject.Create THandleStream.Create TOleObjectEditor.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 04 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_454_0 {
	meta:
		name = "TAggregatedObject.GetController"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_455_0 {
	meta:
		name = "TAggregatedObject.QueryInterface"
		size = 26
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 55 0C 52 8B 40 04 50 8B 00 FF 10 5D C2 0C 00 }
	condition:
		$1
}

rule function_456_0 {
	meta:
		name = "TAggregatedObject._AddRef"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 04 50 8B 00 FF 50 04 5D C2 04 00 }
	condition:
		$1
}

rule function_457_0 {
	meta:
		name = "TAggregatedObject._Release"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 04 50 8B 00 FF 50 08 5D C2 04 00 }
	condition:
		$1
}

rule function_458_0 {
	meta:
		name = "TComObject.ObjQueryInterface"
		size = 38
		refs = "0010 TObject.GetInterface"
		altNames = "TComObjectFactory.QueryInterface TContainedObject.QueryInterface TInterfacedObject.QueryInterface _NF__347"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 4D 10 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 02 40 00 80 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_459_0 {
	meta:
		name = "_NF__32F"
		size = 131
		refs = "0007 _NF__334 0011 _NF__335 001b _NF__336 0025 _NF__337 003c TAggregatedObject._AddRef 0046 TAggregatedObject._Release 004b _NF__32F"
	strings:
		$1 = { CC 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 8B 44 24 04 8B 00 FF 20 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 87 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_460_0 {
	meta:
		name = "_NF__332"
		size = 133
		refs = "0010 @ClassCreate 001e _NF__332 002e TAggregatedObject.GetController 003a TAggregatedObject.Create 0061 @IntfClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 8B 45 08 89 47 14 8B 46 24 8B 40 08 89 47 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_461_0 {
	meta:
		name = "_NF__334"
		size = 114
		refs = "001b TList.Get 0034 @IntfCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 10 8B 5D 08 33 F6 EB 33 8B 43 10 8B 40 24 8B 53 14 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 19 33 C0 89 04 F7 8D 04 F7 8B 55 FC E8 ?? ?? ?? ?? 8B 43 14 40 89 44 F7 04 46 FF 43 14 3B 75 0C 7D 08 8B 43 14 3B 43 18 7C C0 83 7D 14 00 74 05 8B 45 14 89 30 3B 75 0C 75 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_462_0 {
	meta:
		name = "_NF__335"
		size = 68
		refs = "001d TList.Get"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 BF 01 00 00 00 EB 16 8B 43 10 8B 40 24 8B 53 14 E8 ?? ?? ?? ?? 85 C0 74 01 4E FF 43 14 85 F6 7E 08 8B 43 14 3B 43 18 7C DE 85 F6 75 02 33 FF 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_463_0 {
	meta:
		name = "_NF__336"
		size = 17
		altNames = "_NF__35B"
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 89 50 14 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_464_0 {
	meta:
		name = "_NF__337"
		size = 102
		refs = "0018 _NF__337 002c _NV__330 0031 _NF__332 003e @IntfCopy 004f @HandleAnyException 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 14 50 8B 4B 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 0C 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_479_0 {
	meta:
		name = "_NF__35C"
		size = 102
		refs = "0018 _NF__35C 002c _NV__355 0031 _NF__357 003e @IntfCopy 004f @HandleAnyException 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 14 50 8B 4B 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 0C 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_465_0 {
	meta:
		name = "TConnectionPoint.Create"
		size = 188
		refs = "0016 @ClassCreate 0025 TConnectionPoint.Create 0035 TAggregatedObject.GetController 0041 TAggregatedObject.Create 0050 TList.Add 0057 _Dn_TList 005c TObject.Create 0095 @IntfClear 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 89 43 10 8B 40 0C 8B D3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 8B 45 14 8B F0 8D 7B 14 B9 04 00 00 00 F3 A5 8A 45 10 88 43 30 8B 45 08 89 43 28 8B 45 0C 89 43 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_466_0 {
	meta:
		name = "TConnectionPoint.Destroy"
		size = 108
		refs = "0015 TList.Remove 0031 TList.Get 003e _NF__343 004a TObject.Free 0056 TObject.Destroy 0061 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 45 10 85 C0 74 0A 8B 40 0C 8B D5 E8 ?? ?? ?? ?? 8B 45 24 85 C0 74 2E 8B 78 08 4F 85 FF 7C 1E 47 33 F6 8B D6 8B 45 24 E8 ?? ?? ?? ?? 85 C0 74 09 8B D6 8B C5 E8 ?? ?? ?? ?? 46 4F 75 E5 8B 45 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C5 E8 ?? ?? ?? ?? 84 DB 74 07 8B C5 E8 ?? ?? ?? ?? 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_467_0 {
	meta:
		name = "_NF__342"
		size = 74
		refs = "0011 TList.Get 002d TList.Add 0038 TList.Put"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 33 DB EB 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 85 C0 75 09 43 8B 7E 24 3B 5F 08 7C EA 8B 46 24 3B 58 08 7C 09 8B D5 E8 ?? ?? ?? ?? EB 09 8B CD 8B D3 E8 ?? ?? ?? ?? 55 8B 45 00 FF 50 04 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_468_0 {
	meta:
		name = "_NF__343"
		size = 49
		refs = "0010 TList.Get 001f TList.Put"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 89 45 FC 33 C9 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 08 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_469_0 {
	meta:
		name = "TConnectionPoint.GetConnectionInterface"
		size = 31
	strings:
		$1 = { 55 8B EC 56 57 8B 45 08 8B 55 0C 8B FA 8D 70 14 B9 04 00 00 00 F3 A5 33 C0 5F 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_470_0 {
	meta:
		name = "TConnectionPoint.GetConnectionPointContainer"
		size = 39
		refs = "001c @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 53 10 83 C2 08 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_471_0 {
	meta:
		name = "TConnectionPoint.Advise"
		size = 118
		refs = "0026 TConnectionPoint.Advise 0046 _NF__342 005d @HandleAnyException 0062 _NF__2F3 0069 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 80 7B 30 00 75 10 8B 43 24 83 78 08 00 7E 07 BB 02 02 04 80 EB 4B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 2A 00 74 0A B1 01 8B D6 8B 43 2C FF 53 28 8B D6 8B C3 E8 ?? ?? ?? ?? 40 8B 55 10 89 02 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_472_0 {
	meta:
		name = "TConnectionPoint.Unadvise"
		size = 134
		refs = "001f TList.Get 0032 TConnectionPoint.Unadvise 005c _NF__343 006d @HandleAnyException 0072 _NF__2F3 0079 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 4E 85 F6 7C 16 8B 43 24 3B 70 08 7D 0E 8B 43 24 8B D6 E8 ?? ?? ?? ?? 85 C0 75 07 BB 00 02 04 80 EB 4F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 2A 00 74 14 8B 43 24 8B D6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 2C FF 53 28 8B D6 8B C3 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_473_0 {
	meta:
		name = "TConnectionPoint.EnumConnections"
		size = 101
		refs = "0018 TConnectionPoint.EnumConnections 0029 _NV__330 002e _NF__332 003b @IntfCopy 004c @HandleAnyException 0051 _NF__2F3 0058 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 0C 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_474_0 {
	meta:
		name = "_NF__354"
		size = 130
		refs = "0007 _NF__359 0011 _NF__35A 001b _NF__35B 0025 _NF__35C 003c TAggregatedObject._AddRef 0046 TAggregatedObject._Release 004a _NF__354"
	strings:
		$1 = { CC 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 8B 44 24 04 8B 00 FF 20 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 85 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_475_0 {
	meta:
		name = "_NF__357"
		size = 124
		refs = "0010 @ClassCreate 001e _NF__357 002e TAggregatedObject.GetController 003a TAggregatedObject.Create 0058 @IntfClear 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 8B 45 08 89 47 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_476_0 {
	meta:
		name = "_NF__359"
		size = 109
		refs = "001b TList.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 0C 8B 5D 08 33 F6 EB 2A 8B 43 10 8B 40 0C 8B 53 14 E8 ?? ?? ?? ?? 83 C0 0C 89 45 FC 8B 45 FC 50 8B 00 FF 50 04 8B 45 10 8B 55 FC 89 14 B0 46 FF 43 14 3B FE 7E 0E 8B 43 10 8B 40 0C 8B 40 08 3B 43 14 7F C4 83 7D 14 00 74 05 8B 45 14 89 30 3B FE 75 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_477_0 {
	meta:
		name = "_NF__35A"
		size = 48
	strings:
		$1 = { 55 8B EC 53 8B 55 0C 8B 45 08 8B 48 10 8B 49 0C 8B 49 08 8B 58 14 03 DA 3B CB 7C 07 01 50 14 33 C0 EB 08 89 48 14 B8 01 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_480_0 {
	meta:
		name = "TConnectionPoints.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TAggregatedObject.Create 001e _Dn_TList 0023 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_481_0 {
	meta:
		name = "TConnectionPoints.Destroy"
		size = 30
		refs = "000a _NF__2F5 0015 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_482_0 {
	meta:
		name = "TConnectionPoints.CreateConnectionPoint"
		size = 31
		refs = "000d _DV_TConnectionPoint 0017 TConnectionPoint.Create"
	strings:
		$1 = { 55 8B EC 52 51 FF 75 0C FF 75 08 8B 15 ?? ?? ?? ?? B1 01 92 87 CA E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_483_0 {
	meta:
		name = "TConnectionPoints.EnumConnectionPoints"
		size = 99
		refs = "0018 TConnectionPoints.EnumConnectionPoints 0029 _NV__355 002e _NF__357 003b @IntfCopy 004c @HandleAnyException 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 0C 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_484_0 {
	meta:
		name = "TConnectionPoints.FindConnectionPoint"
		size = 99
		refs = "002b TList.Get 003a IsEqualGUID 004b @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 08 8B 40 0C 8B 70 08 4E 85 F6 7C 38 46 33 FF 8B 45 08 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 45 0C 50 8D 43 14 50 E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 10 8B D3 83 C2 0C E8 ?? ?? ?? ?? 33 C0 EB 09 47 4E 75 CB B8 00 02 04 80 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_485_0 {
	meta:
		name = "_NF__372"
		size = 127
		refs = "000f @ClassCreate 001d TWinControl.CreateParented"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 7D 08 89 BE 18 01 00 00 8B D6 8B C7 8B 08 FF 51 3C 8B 86 18 01 00 00 8B 50 38 52 8B 50 3C 52 33 C9 33 D2 8B 18 FF 53 4C 8B 86 18 01 00 00 8B 50 38 52 8B 40 3C 50 8B 4E 34 8B 56 30 8B C6 8B 18 FF 53 4C 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_486_0 {
	meta:
		name = "_NF__373"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 18 01 00 00 8B 08 FF 51 40 5E C3 }
	condition:
		$1
}

rule function_487_0 {
	meta:
		name = "_NF__374"
		size = 58
		refs = "0011 _Dn_TWinControl 0016 @IsClass 0021 TWinControl.GetHandle 0027 SetFocus 0032 TWinControl.WMSetFocus"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 18 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_488_0 {
	meta:
		name = "_NF__375"
		size = 167
		refs = "0027 _NF__375 0091 @HandleFinally 009e TWinControl.WMSize"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 80 B8 1C 01 00 00 00 75 7E 8B 45 FC C6 80 1C 01 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 0F B7 40 08 50 8B 45 F8 0F B7 40 0A 50 8B 45 FC 8B 80 18 01 00 00 33 C9 33 D2 8B 18 FF 53 4C 8B 45 FC 8B 80 18 01 00 00 8B 50 38 52 8B 40 3C 50 8B 45 FC 8B 48 34 8B 45 FC 8B 50 30 8B 45 FC 8B 18 FF 53 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 1C 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_489_0 {
	meta:
		name = "_NF__376"
		size = 196
		refs = "0007 _NF__37B 0011 _NF__37C 001b _NF__37D 0025 _NF__37E 002f _NF__37A 0039 TInterfacedObject._AddRef 0043 TInterfacedObject._Release 0068 _NF__376"
	strings:
		$1 = { CC 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 10 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_490_0 {
	meta:
		name = "_NF__379"
		size = 150
		refs = "000f @ClassCreate 0021 @IntfAddRef 0029 _NF__379 0038 TObject.Create 004e @IntfClear 005d OleCheck 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 56 57 83 C7 18 B9 04 00 00 00 F3 A5 5F 5E 8D 47 14 E8 ?? ?? ?? ?? 50 56 8B 45 FC 50 8B 00 FF 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_491_0 {
	meta:
		name = "_NF__37A"
		size = 77
		refs = "0013 TInterfacedObject.QueryInterface 0024 IsEqualGUID 0034 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 57 56 53 E8 ?? ?? ?? ?? 3D 02 40 00 80 75 28 8D 43 18 50 56 E8 ?? ?? ?? ?? 84 C0 74 10 8B C7 8B D3 83 C2 10 E8 ?? ?? ?? ?? 33 C0 EB 0A 57 56 8B 43 14 50 8B 00 FF 10 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_492_0 {
	meta:
		name = "_NF__37B"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 8B 40 14 50 8B 00 FF 50 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_493_0 {
	meta:
		name = "_NF__37C"
		size = 31
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 14 50 8B 00 FF 50 10 5D C2 10 00 }
	condition:
		$1
}

rule function_494_0 {
	meta:
		name = "_NF__37D"
		size = 39
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 14 50 8B 00 FF 50 14 5D C2 18 00 }
	condition:
		$1
}

rule function_495_0 {
	meta:
		name = "_NF__37E"
		size = 54
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 28 52 8B 55 24 52 8B 55 20 52 8B 55 1C 52 66 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 14 50 8B 00 FF 50 18 33 C0 5D C2 24 00 }
	condition:
		$1
}

rule function_496_0 {
	meta:
		name = "_NF__37F"
		size = 291
		refs = "0007 _NF__385 0011 _NF__386 001b _NF__387 0025 _NF__388 002f _NF__389 0039 _NF__38A 0043 _NF__38B 004d _NF__38C 0057 _NF__38D 0061 _NF__38E 006b _NF__38F 0075 _NF__384 007f TInterfacedObject._AddRef 0089 TInterfacedObject._Release 00ab _NF__37F"
	strings:
		$1 = { CC 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 10 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_497_0 {
	meta:
		name = "_NF__382"
		size = 117
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 _NF__382 0034 TObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 14 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_498_0 {
	meta:
		name = "TTextCont.Destroy"
		size = 34
		refs = "000e TObject.Destroy 0019 @ClassDestroy"
		altNames = "TTextRec.Destroy _NF__383"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10240_0 {
	meta:
		name = "TDecisionGraphDataLink.Destroy"
		size = 34
		refs = "000e TDecisionDataLink.Destroy 0019 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10315_0 {
	meta:
		name = "TDecisionGridDataLink.Destroy"
		size = 34
		refs = "000e TDecisionDataLink.Destroy 0019 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10545_0 {
	meta:
		name = "TMultiDimDataLink.Destroy"
		size = 34
		refs = "000e TDataLink.Destroy 0019 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10368_0 {
	meta:
		name = "TPivotDataLink.Destroy"
		size = 34
		refs = "000e TDecisionDataLink.Destroy 0019 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13068_0 {
	meta:
		name = "TQRDesigner.Destroy"
		size = 34
		refs = "000e TControl.Destroy 0019 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_499_0 {
	meta:
		name = "_NF__384"
		size = 26
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 55 0C 52 8B 40 14 50 8B 00 FF 10 5D C2 0C 00 }
	condition:
		$1
}

rule function_500_0 {
	meta:
		name = "TActiveXControl.ContextSensitiveHelp"
		size = 12
		altNames = "TActiveXControl.GetSizeMax TActiveXControl.SetColorScheme TActiveXControl.Unfreeze TActiveXPropertyPage.EditProperty TActiveXPropertyPage.Help _NF__351 _NF__355 _NF__365 _NF__385 _NF__386 _NF__389 _NF__38F"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_502_0 {
	meta:
		name = "TActiveXControl.SetMoniker"
		size = 12
		altNames = "_NF__263 _NF__271 _NF__354 _NF__35D _NF__387 _NF__38B"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 0C 00 }
	condition:
		$1
}

rule function_503_0 {
	meta:
		name = "TStreamAdapter.Clone"
		size = 23
		altNames = "_NF__352 _NF__388 _NF__38D"
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 B8 01 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_505_0 {
	meta:
		name = "_NF__38A"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 0C 33 D2 89 10 B8 05 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_507_0 {
	meta:
		name = "TActiveXControl.HandsOffStorage"
		size = 9
		altNames = "TActiveXControl.IsUpToDate TActiveXControl.Update TCustomBarSeries.InternalClicked TDataSet.Locate TIVCLStreamAdapter.GetModifyTime _NF__268 _NF__34A _NF__359 _NF__38C"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_509_0 {
	meta:
		name = "TActiveXControl.ReactivateAndUndo"
		size = 12
		altNames = "_NF__26A _NF__274 _NF__34F _NF__350 _NF__356 _NF__360 _NF__38E"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 04 00 }
	condition:
		$1
}

rule function_511_0 {
	meta:
		name = "TActiveXControl.Initialize"
		size = 220
		refs = "000c _DV_TConnectionPoints 0011 TConnectionPoints.Create 0026 _NF__399 0033 TConnectionPoints.CreateConnectionPoint 003c TActiveXControl.Initialize 004e _NF__2F2 005d TWinControl.CreateParented 0080 _NV__370 0085 _NF__372"
	strings:
		$1 = { 53 56 8B F0 8B CE 83 C1 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 8B 46 10 89 46 4C 83 78 6C 00 74 13 56 68 ?? ?? ?? ?? 8D 50 70 33 C9 8B 46 50 E8 ?? ?? ?? ?? 6A 00 6A 00 BA ?? ?? ?? ?? B1 01 8B 46 50 E8 ?? ?? ?? ?? 89 46 58 E8 ?? ?? ?? ?? 8B C8 8B 46 4C 8B 40 60 B2 01 E8 ?? ?? ?? ?? 8B D8 89 9E 84 00 00 00 F6 43 41 40 74 22 8B 86 84 00 00 00 50 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 00 00 00 EB 06 89 9E 90 00 00 00 8B 86 84 00 00 00 8B 50 28 89 96 88 00 00 00 8B 50 2C 89 96 8C 00 00 00 8B 86 84 00 00 00 89 70 2C 8B 16 8B 52 44 89 50 28 8B C6 8B 10 FF 52 34 5E 5B C3 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_512_0 {
	meta:
		name = "TActiveXControl.Destroy"
		size = 106
		refs = "002f TObject.Free 0056 TComObject.Destroy 0061 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 66 83 BE 8A 00 00 00 00 74 18 8B 86 84 00 00 00 8B 96 88 00 00 00 89 50 28 8B 96 8C 00 00 00 89 50 2C 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B 86 90 00 00 00 3B 86 84 00 00 00 74 05 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_513_0 {
	meta:
		name = "_NF__395"
		size = 29
		refs = "000d @IntfClear 0013 CreateOleAdviseHolder"
	strings:
		$1 = { 53 8B D8 83 7B 78 00 75 10 8D 43 78 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_514_0 {
	meta:
		name = "TActiveForm.DefinePropertyPages"
		size = 7
		altNames = "TActiveXControl.DefinePropertyPages TChartSeries.DoSeriesMouseUp TComponent.GetChildren TCustomChart.FillSeriesSourceItems TCustomRadioGroup.GetChildren TCustomRemoteServer.GetProviderNames TDBNavigator.GetChildren TDragObject.Finished TIVCLStreamAdapter.SetModifyTime TPropertyEditor.GetProperties TPropertyEditor.GetValues TSpinEdit.GetChildren TTabSet.GetChildren _NF__279"
	strings:
		$1 = { 55 8B EC 5D C2 08 00 }
	condition:
		$1
}

rule function_515_0 {
	meta:
		name = "_NF__399"
		size = 92
		refs = "000e @IntfClear 0020 OleCheck 0030 _NV__377 0035 _NF__379"
	strings:
		$1 = { 56 57 8B FA 8B F0 84 C9 74 3E 8D 46 54 E8 ?? ?? ?? ?? 50 8B 46 4C 83 C0 70 50 57 8B 07 FF 10 E8 ?? ?? ?? ?? 8B 46 4C 83 C0 70 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 0C 8B C6 8B 08 FF 51 24 5F 5E C3 8D 46 54 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 24 5F 5E C3 }
	condition:
		$1
}

rule function_519_0 {
	meta:
		name = "TActiveXControl.GetPropertyValue"
		size = 7
		altNames = "TChartSeries.DoSeriesMouseMove TChartSeries.PrepareLegendCanvas TComponent.UpdateRegistry TCustomGrid.SetEditText TIVCLStreamAdapter.Flush TQRExportFilter.Start _NF__27A _NF__27B"
	strings:
		$1 = { 55 8B EC 5D C2 04 00 }
	condition:
		$1
}

rule function_521_0 {
	meta:
		name = "TActiveXControl.InPlaceActivate"
		size = 624
		refs = "001c TControl.SetVisible 0038 TActiveXControl.InPlaceActivate 0051 OleError 005c @IntfClear 0072 OleCheck 0139 TWinControl.SetParentWindow 016e @HandleAnyException 01b0 _NF__2F3 01b7 @DoneExcept 01f9 TWinControl.GetHandle 01ff SetFocus"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B DA 89 45 FC 33 F6 8B 45 FC 8B 80 90 00 00 00 B2 01 E8 ?? ?? ?? ?? C6 45 FB 00 8B 45 FC 80 B8 95 00 00 00 00 0F 85 91 01 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 78 5C 00 75 0A B8 05 40 00 80 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 6C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 8B 40 5C 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 6C 50 8B 00 FF 50 14 85 C0 74 0A B8 05 40 00 80 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 6C 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? C6 45 FB 01 8D 45 F4 50 8B 45 FC 8B 40 6C 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? C7 45 C0 14 00 00 00 8D 45 C0 50 8D 45 D4 50 8D 45 E4 50 8B 45 FC 83 C0 74 E8 ?? ?? ?? ?? 50 8B 45 FC 83 C0 70 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 6C 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 FC 83 78 70 00 75 0A B8 05 40 00 80 E8 ?? ?? ?? ?? 8B 4D EC 8B 45 E4 2B C8 51 8B 4D F0 8B 55 E8 2B CA 51 8B 4D FC 8B 89 90 00 00 00 91 87 D1 8B 38 FF 57 4C 8B 45 FC 8B 80 90 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 00 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC C6 80 95 00 00 00 01 8B 45 FC 8B 40 5C 50 8B 00 FF 50 18 33 C0 5A 59 59 64 89 10 EB 58 E9 ?? ?? ?? ?? 8B 45 FC C6 80 95 00 00 00 00 8B 45 FC 83 C0 74 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 E8 ?? ?? ?? ?? 80 7D FB 00 74 0C 8B 45 FC 8B 40 6C 50 8B 00 FF 50 2C 8B 45 FC 83 C0 6C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? E9 95 00 00 00 E8 ?? ?? ?? ?? 84 DB 0F 84 88 00 00 00 8B 45 FC 80 B8 96 00 00 00 00 75 7C 8B 45 FC C6 80 96 00 00 00 01 8B 45 FC 8B 40 6C 50 8B 00 FF 50 1C 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 5D FC 83 C3 34 53 8B 45 FC 8B 40 70 50 8B 00 FF 50 20 8B 45 FC 83 78 74 00 74 0F 6A 00 53 8B 45 FC 8B 40 74 50 8B 00 FF 50 20 6A 00 8B 45 FC 8B 40 70 50 8B 00 FF 50 1C 8B 45 FC 83 78 74 00 74 0E 6A 00 8B 45 FC 8B 40 74 50 8B 00 FF 50 1C 8B C6 5F 5E 5B 8B E5 5D C3 00 00 19 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_522_0 {
	meta:
		name = "TActiveXControl.LoadFromStream"
		size = 85
		refs = "000a _DV_TOleStream 0011 TOleStream.Create 001c TActiveXControl.LoadFromStream 0030 TStream.ReadComponent 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 93 84 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_523_0 {
	meta:
		name = "TActiveXControl.ObjQueryInterface"
		size = 176
		refs = "000d TActiveXControl.ObjQueryInterface 0013 IsEqualGUID 0032 TComObject.ObjQueryInterface 005a _NV__380 005f _NF__382 006c @IntfCopy 007b TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 84 C0 74 10 8B 43 4C F6 40 66 01 75 07 BF 02 40 00 80 EB 5A 8B 45 10 50 56 53 E8 ?? ?? ?? ?? 8B F8 85 FF 74 49 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 84 C0 74 27 8B 45 10 33 D2 89 10 8B CB 83 C1 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 10 8B 45 10 E8 ?? ?? ?? ?? EB 13 8B 4D 10 8B D6 8B 43 50 E8 ?? ?? ?? ?? 84 C0 74 02 33 FF 8B C7 5F 5E 5B 5D C2 0C 00 00 00 01 0E 2B 74 E6 14 1B 10 91 4E 00 AA 00 30 0C AB 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_525_0 {
	meta:
		name = "_NF__3B9"
		size = 133
		refs = "0015 _NF__3B9 002c @LStrFromWStr 0044 GetThreadLocale 0050 GUID_NULL 005c OleCheck 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 89 45 F4 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 83 7D F0 00 75 09 C7 45 F8 FF FF FF FF EB 21 8D 45 F8 50 E8 ?? ?? ?? ?? 50 6A 01 8D 45 F4 50 A1 ?? ?? ?? ?? 50 53 8B 03 FF 50 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_526_0 {
	meta:
		name = "TActiveXControl.PropRequestEdit"
		size = 240
		refs = "001a TConnectData 001f @InitializeRecord 0027 TActiveXControl.PropRequestEdit 0038 _NF__3B9 0042 @IntfClear 004c TConnectionPoint.EnumConnections 0051 OleCheck 0064 @IntfCast 0090 @FinalizeRecord 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 8B F2 8B F8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B D6 8B C7 E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? 50 8B 47 58 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 56 8D 45 EC 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 10 85 C0 0F 94 C3 8D 45 F4 E8 ?? ?? ?? ?? 84 DB 74 22 8D 45 F0 50 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 74 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B C3 5F 5E 5B 8B E5 5D C3 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_527_0 {
	meta:
		name = "TActiveXControl.PropChanged"
		size = 228
		refs = "0019 TConnectData 001e @InitializeRecord 0026 TActiveXControl.PropChanged 0035 _NF__3B9 003f @IntfClear 0049 TConnectionPoint.EnumConnections 004e OleCheck 0061 @IntfCast 0084 @FinalizeRecord 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D FC 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 45 FC E8 ?? ?? ?? ?? 50 8B 46 58 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 53 8D 45 EC 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 0C 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 15 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 74 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C3 00 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_528_0 {
	meta:
		name = "_NF__3C0"
		size = 109
		refs = "000c TWinControl.HandleAllocated 0023 TWinControl.GetHandle 0029 GetWindow 0031 TActiveXControl.InPlaceDeactivate 003c TWinControl.DestroyHandle 0045 TActiveXControl.InPlaceActivate 0065 SetWindowPos"
	strings:
		$1 = { 53 56 57 8B F0 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 55 8A 9E 96 00 00 00 6A 03 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 56 E8 ?? ?? ?? ?? 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1C 6A 13 6A 00 6A 00 6A 00 6A 00 57 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_529_0 {
	meta:
		name = "TActiveXControl.SaveToStream"
		size = 163
		refs = "000c _DV_TOleStream 0013 TOleStream.Create 001e TActiveXControl.SaveToStream 0033 _Dn_TWriter 0038 TFiler.Create 0060 TWriter.WriteDescendent 0075 TObject.Free 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 10 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 20 01 8B 93 84 00 00 00 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_530_0 {
	meta:
		name = "TActiveXControl.ShowPropertyDialog"
		size = 360
		refs = "0015 TActiveXControl.ShowPropertyDialog 0045 TActiveXControl.GetPages 004a OleCheck 0095 @IntfCopy 00aa @IntfDispCall 00b5 @WStrToPWChar 00c9 GetSystemDefaultLCID 00d3 GetActiveWindow 00e2 _NF__633 0111 @HandleFinally 0128 _NF__2F7 0145 @WStrClr 014d @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 D2 89 55 EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 60 00 74 14 8B 45 FC 8B 40 60 50 8B 00 FF 50 24 85 C0 0F 84 F8 00 00 00 8D 45 F0 50 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 00 0F 8E B1 00 00 00 8B 45 FC 83 78 70 00 74 0E 6A 00 8B 45 FC 8B 40 70 50 8B 00 FF 50 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC 83 C2 04 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 50 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 EC E8 ?? ?? ?? ?? 50 6A 01 8D 45 F8 50 8B 45 F0 50 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? B9 10 00 00 00 BA 10 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 78 70 00 74 0E 6A FF 8B 45 FC 8B 40 70 50 8B 00 FF 50 34 C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 00 00 00 42 FD FF FF 08 02 00 00 }
	condition:
		$1
}

rule function_531_0 {
	meta:
		name = "TActiveXControl.StdClickEvent"
		size = 36
		refs = "0007 TActiveXControl.StdClickEvent 0012 @IntfDispCall"
	strings:
		$1 = { 83 78 54 00 74 13 68 ?? ?? ?? ?? 8B 40 54 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C C3 00 00 A8 FD FF FF 00 01 00 00 }
	condition:
		$1
}

rule function_532_0 {
	meta:
		name = "TActiveXControl.StdDblClickEvent"
		size = 36
		refs = "0007 TActiveXControl.StdDblClickEvent 0012 @IntfDispCall"
	strings:
		$1 = { 83 78 54 00 74 13 68 ?? ?? ?? ?? 8B 40 54 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C C3 00 00 A7 FD FF FF 00 01 00 00 }
	condition:
		$1
}

rule function_533_0 {
	meta:
		name = "TActiveXControl.StdKeyDownEvent"
		size = 64
		refs = "0013 _NF__30B 001a TActiveXControl.StdKeyDownEvent 0025 @IntfDispCall"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 83 7B 54 00 74 1D 8A 45 08 E8 ?? ?? ?? ?? 50 56 68 ?? ?? ?? ?? 8B 43 54 50 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5E 5B 5D C2 04 00 00 00 A6 FD FF FF 00 01 02 00 82 02 00 00 }
	condition:
		$1
}

rule function_535_0 {
	meta:
		name = "TActiveXControl.StdKeyUpEvent"
		size = 64
		refs = "0013 _NF__30B 001a TActiveXControl.StdKeyUpEvent 0025 @IntfDispCall"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 83 7B 54 00 74 1D 8A 45 08 E8 ?? ?? ?? ?? 50 56 68 ?? ?? ?? ?? 8B 43 54 50 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5E 5B 5D C2 04 00 00 00 A6 FD FF FF 00 01 02 00 82 02 00 00 }
	condition:
		$1
}

rule function_534_0 {
	meta:
		name = "TActiveXControl.StdKeyPressEvent"
		size = 60
		refs = "0014 TActiveXControl.StdKeyPressEvent 001f @IntfDispCall"
	strings:
		$1 = { 53 51 8B D9 83 78 54 00 74 22 33 D2 8A 13 66 89 14 24 54 68 ?? ?? ?? ?? 8B 40 54 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 66 8B 04 24 88 03 5A 5B C3 00 A5 FD FF FF 00 01 01 00 82 00 00 00 }
	condition:
		$1
}

rule function_536_0 {
	meta:
		name = "TActiveXControl.StdMouseDownEvent"
		size = 80
		refs = "001b _NF__30B 0023 _NF__30C 0029 TActiveXControl.StdMouseDownEvent 0034 @IntfDispCall"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F0 83 7E 54 00 74 2C 8B 45 08 50 8B 45 0C 50 8A 45 10 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 46 54 50 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B 5D C2 0C 00 00 00 00 A3 FD FF FF 00 01 04 00 02 02 03 03 }
	condition:
		$1
}

rule function_537_0 {
	meta:
		name = "TActiveXControl.StdMouseMoveEvent"
		size = 84
		refs = "001c _NF__30B 002f TActiveXControl.StdMouseMoveEvent 003a @IntfDispCall"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 83 7B 54 00 74 31 8B 45 08 50 8B 45 0C 50 8A 45 FF E8 ?? ?? ?? ?? 50 33 C0 8A 45 FF C1 E8 03 66 83 E0 07 50 68 ?? ?? ?? ?? 8B 43 54 50 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 5B 59 5D C2 08 00 00 A2 FD FF FF 00 01 04 00 02 02 03 03 }
	condition:
		$1
}

rule function_538_0 {
	meta:
		name = "TActiveXControl.StdMouseUpEvent"
		size = 80
		refs = "001b _NF__30B 0023 _NF__30C 0029 TActiveXControl.StdMouseUpEvent 0034 @IntfDispCall"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F0 83 7E 54 00 74 2C 8B 45 08 50 8B 45 0C 50 8A 45 10 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 46 54 50 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B 5D C2 0C 00 00 00 00 A1 FD FF FF 00 01 04 00 02 02 03 03 }
	condition:
		$1
}

rule function_539_0 {
	meta:
		name = "_NF__3EE"
		size = 41
		refs = "0023 @IntfClear"
	strings:
		$1 = { 53 8B D8 83 7B 7C 00 74 1E 6A FF 6A 01 8B 43 7C 50 8B 00 FF 50 10 F6 83 80 00 00 00 04 74 08 8D 43 7C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_540_0 {
	meta:
		name = "_NF__3EF"
		size = 79
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 5B FC 8B 03 3D 00 20 00 00 7C 0D 3D 00 24 00 00 7D 06 81 03 00 9C 00 00 8B 45 08 8B 70 F8 8B D3 8B 86 8C 00 00 00 FF 96 88 00 00 00 8B 03 3D 00 BC 00 00 7C 0D 3D 00 C0 00 00 7D 06 81 2B 00 9C 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_541_0 {
	meta:
		name = "TActiveXControl.WndProc"
		size = 490
		refs = "00c8 _NF__3EF 0113 TControl.SetVisible 012b TActiveXControl.UIDeactivate 015c _NF__3C0 016d _NF__3EE"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 89 45 F8 8B 45 F8 8B 80 84 00 00 00 8B B8 CC 00 00 00 8B 75 FC 8B 36 81 FE 00 B0 00 00 7C 0B 8B 45 FC 81 FE 00 C0 00 00 7C 15 8B 45 F8 83 78 64 00 74 0C 8B 45 F8 80 B8 95 00 00 00 00 75 04 33 DB EB 02 B3 01 84 DB 74 31 8D 45 F4 50 8B 45 FC 83 C0 0C 50 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 04 50 8B 45 FC 56 57 8B 45 F8 8B 40 64 50 8B 00 FF 50 0C 48 0F 84 5D 01 00 00 8B 45 FC 8B 00 3D 0B B0 00 00 7F 21 74 65 83 C0 F9 83 E8 02 72 2A 83 E8 03 0F 84 CE 00 00 00 83 E8 78 0F 84 E2 00 00 00 E9 F9 00 00 00 2D 33 B0 00 00 74 7E 48 0F 84 B2 00 00 00 E9 E6 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F8 83 78 60 00 0F 84 D9 00 00 00 8B 45 FC 83 38 07 0F 94 C0 F6 D8 1B C0 50 8B 45 F8 8B 40 60 50 8B 00 FF 50 20 E9 BA 00 00 00 8B 45 F8 8B 80 90 00 00 00 8B 55 F8 8B 92 84 00 00 00 3B C2 74 08 8A 52 44 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 90 00 00 00 80 78 44 00 75 09 8B 45 F8 50 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 EB 7B 8B 45 F8 80 B8 95 00 00 00 00 74 1E 8B 45 F8 8B 80 84 00 00 00 8B 55 F8 3B 82 90 00 00 00 75 0A 8B 45 F8 E8 ?? ?? ?? ?? EB 51 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? EB 40 55 E8 ?? ?? ?? ?? 59 8B 45 F8 80 B8 95 00 00 00 00 75 2D 8B 45 F8 E8 ?? ?? ?? ?? EB 23 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 78 0C FF 75 13 8B 45 FC C7 40 0C 01 00 00 00 EB 07 55 E8 ?? ?? ?? ?? 59 84 DB 74 2C 8B 45 F4 50 8B 45 FC 83 C0 0C 50 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 04 50 8B 45 FC 8B 00 50 57 8B 45 F8 8B 40 64 50 8B 00 FF 50 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_542_0 {
	meta:
		name = "TActiveXControl.Get_BackColor"
		size = 65
		refs = "000e TActiveXControl.Get_BackColor 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 84 00 00 00 8B 40 54 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_543_0 {
	meta:
		name = "TActiveXControl.Get_Caption"
		size = 98
		refs = "001b TActiveXControl.Get_Caption 002f TControl.GetText 003a @WStrFromLStr 004c @HandleAutoException 0054 @LStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_549_0 {
	meta:
		name = "TActiveXControl.Get_Text"
		size = 98
		refs = "001b TActiveXControl.Get_Text 002f TControl.GetText 003a @WStrFromLStr 004c @HandleAutoException 0054 @LStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_544_0 {
	meta:
		name = "TActiveXControl.Get_Enabled"
		size = 70
		refs = "000e TActiveXControl.Get_Enabled 0039 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 84 00 00 00 8A 40 45 F6 D8 1B C0 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_545_0 {
	meta:
		name = "TActiveXControl.Get_Font"
		size = 79
		refs = "0019 TActiveXControl.Get_Font 0030 GetOleFont 0042 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 83 84 00 00 00 8B 40 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_546_0 {
	meta:
		name = "TActiveXControl.Get_ForeColor"
		size = 68
		refs = "000e TActiveXControl.Get_ForeColor 0037 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 84 00 00 00 8B 40 50 8B 40 14 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_547_0 {
	meta:
		name = "TActiveXControl.Get_HWnd"
		size = 67
		refs = "000e TActiveXControl.Get_HWnd 001f TWinControl.GetHandle 0036 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_548_0 {
	meta:
		name = "TActiveXControl.Get_TabStop"
		size = 73
		refs = "000e TActiveXControl.Get_TabStop 003c @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 84 00 00 00 8A 80 D4 00 00 00 F6 D8 1B C0 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_550_0 {
	meta:
		name = "TActiveXControl.Set_BackColor"
		size = 65
		refs = "000e TActiveXControl.Set_BackColor 0022 TControl.SetColor 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 0C 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_551_0 {
	meta:
		name = "TActiveXControl.Set_Caption"
		size = 87
		refs = "0010 TActiveXControl.Set_Caption 0021 @LStrFromWStr 002f TControl.SetText 0041 @HandleAutoException 0049 @LStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_556_0 {
	meta:
		name = "TActiveXControl.Set_Text"
		size = 87
		refs = "0010 TActiveXControl.Set_Text 0021 @LStrFromWStr 002f TControl.SetText 0041 @HandleAutoException 0049 @LStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_552_0 {
	meta:
		name = "TActiveXControl.Set_Enabled"
		size = 73
		refs = "000e TActiveXControl.Set_Enabled 002a TControl.SetEnabled 003c @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 8B 55 0C 66 F7 DA 1B D2 F7 DA 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_555_0 {
	meta:
		name = "TActiveXControl.Set_TabStop"
		size = 73
		refs = "000e TActiveXControl.Set_TabStop 002a TWinControl.SetTabStop 003c @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 8B 55 0C 66 F7 DA 1B D2 F7 DA 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_553_0 {
	meta:
		name = "TActiveXControl.Set_Font"
		size = 68
		refs = "000e TActiveXControl.Set_Font 0025 SetOleFont 0037 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 84 00 00 00 8B 40 50 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_554_0 {
	meta:
		name = "TActiveXControl.Set_ForeColor"
		size = 68
		refs = "000e TActiveXControl.Set_ForeColor 0025 TFont.SetColor 0037 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 84 00 00 00 8B 40 50 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_557_0 {
	meta:
		name = "TActiveXControl.GetClassID"
		size = 34
		altNames = "TActiveXControl.GetUserClassID"
	strings:
		$1 = { 55 8B EC 56 57 8B 45 08 8B 40 10 8B 55 0C 8D 70 1C 8B FA B9 04 00 00 00 F3 A5 33 C0 5F 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_558_0 {
	meta:
		name = "TActiveXControl.IsDirty"
		size = 28
	strings:
		$1 = { 55 8B EC 8B 45 08 80 B8 94 00 00 00 00 74 04 33 C0 EB 05 B8 01 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_559_0 {
	meta:
		name = "TActiveXControl.PersistStreamLoad"
		size = 78
		refs = "000d TActiveXControl.PersistStreamLoad 0035 @HandleAnyException 003a _NF__2F3 0041 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B C3 8B 08 FF 51 38 C6 83 94 00 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_560_0 {
	meta:
		name = "TActiveXControl.PersistStreamSave"
		size = 84
		refs = "000d TActiveXControl.PersistStreamSave 003b @HandleAnyException 0040 _NF__2F3 0047 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B C6 8B 08 FF 51 40 83 7D 10 00 74 07 C6 86 94 00 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_562_0 {
	meta:
		name = "TActiveXControl.InitNew"
		size = 68
		refs = "000d TActiveXControl.InitNew 002b @HandleAnyException 0030 _NF__2F3 0037 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 80 94 00 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_563_0 {
	meta:
		name = "TActiveXControl.PersistStorageInitNew"
		size = 16
		refs = "0008 TActiveXControl.InitNew"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_564_0 {
	meta:
		name = "TActiveXControl.PersistStorageLoad"
		size = 200
		refs = "000f TActiveXControl.PersistStorageLoad 002b @IntfClear 0045 OleCheck 0067 @HandleAnyException 006c _NF__2F3 0073 @DoneExcept 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 10 6A 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 38 C6 83 94 00 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 08 00 00 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 53 00 41 00 56 00 45 00 53 00 54 00 52 00 45 00 41 00 4D 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_565_0 {
	meta:
		name = "TActiveXControl.PersistStorageSave"
		size = 196
		refs = "000f TActiveXControl.PersistStorageSave 002b @IntfClear 0048 OleCheck 0063 @HandleAnyException 0068 _NF__2F3 006f @DoneExcept 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 68 11 10 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 40 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 0C 00 00 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 53 00 41 00 56 00 45 00 53 00 54 00 52 00 45 00 41 00 4D 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_566_0 {
	meta:
		name = "TActiveXControl.SaveCompleted"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 08 C6 80 94 00 00 00 00 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_568_0 {
	meta:
		name = "TActiveXControl.SetClientSite"
		size = 204
		refs = "0022 @IntfCopy 002a @IntfClear 0030 TActiveXControl.SetClientSite 006c TActiveXControl.OnAmbientPropertyChange"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 8B 5D 08 85 F6 74 63 83 7B 5C 00 74 07 B8 05 40 00 80 EB 78 8D 43 5C 8B D6 E8 ?? ?? ?? ?? 8D 43 60 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 8B 43 4C F6 40 66 01 74 13 8D 43 64 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 8D 43 68 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 6A 00 53 E8 ?? ?? ?? ?? EB 20 8D 43 68 E8 ?? ?? ?? ?? 8D 43 64 E8 ?? ?? ?? ?? 8D 43 60 E8 ?? ?? ?? ?? 8D 43 5C E8 ?? ?? ?? ?? 33 C0 5E 5B 5D C2 08 00 00 00 89 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 01 0E 2B 74 E6 14 1B 10 91 4E 00 AA 00 30 0C AB 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_569_0 {
	meta:
		name = "TActiveXControl.GetClientSite"
		size = 36
		refs = "0019 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 53 5C E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_570_0 {
	meta:
		name = "TActiveXControl.SetHostNames"
		size = 9
		altNames = "TDataSet.CurrToBCD _NF__248 _NF__366"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_571_0 {
	meta:
		name = "TActiveXControl.Close"
		size = 48
		refs = "0027 TActiveXControl.InPlaceDeactivate"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 7D 0C 01 74 18 80 BB 94 00 00 00 00 74 0F 83 7B 5C 00 74 09 8B 43 5C 50 8B 00 FF 50 0C 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_573_0 {
	meta:
		name = "TActiveXControl.GetMoniker"
		size = 23
		altNames = "_NF__34B"
	strings:
		$1 = { 55 8B EC 8B 45 14 85 C0 74 04 33 D2 89 10 B8 01 40 00 80 5D C2 10 00 }
	condition:
		$1
}

rule function_574_0 {
	meta:
		name = "TActiveXControl.InitFromData"
		size = 12
		altNames = "_NF__25C"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 10 00 }
	condition:
		$1
}

rule function_575_0 {
	meta:
		name = "TActiveXControl.GetClipboardData"
		size = 23
		altNames = "TActiveXControl.GetDisplayString"
	strings:
		$1 = { 55 8B EC 8B 45 10 85 C0 74 04 33 D2 89 10 B8 01 40 00 80 5D C2 0C 00 }
	condition:
		$1
}

rule function_576_0 {
	meta:
		name = "TActiveXControl.DoVerb"
		size = 203
		refs = "0010 TActiveXControl.DoVerb 0050 TActiveXControl.InPlaceActivate 006e TControl.SetVisible 0079 TActiveXControl.ShowPropertyDialog 008d TStrings.IndexOfObject 00b2 @HandleAnyException 00b7 _NF__2F3 00be @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 0C 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 83 C0 07 83 F8 07 77 5D FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 4F 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 42 8B 86 90 00 00 00 33 D2 E8 ?? ?? ?? ?? 33 DB EB 31 8B C6 E8 ?? ?? ?? ?? 33 DB EB 26 8B 46 4C 8B 80 80 00 00 00 8B D7 E8 ?? ?? ?? ?? 85 C0 7C 0D 8B D7 8B C6 8B 08 FF 51 3C 33 DB EB 05 BB 80 01 04 00 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_577_0 {
	meta:
		name = "TActiveXControl.EnumVerbs"
		size = 44
		refs = "0016 @IntfClear 0023 OleRegEnumVerbs"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C E8 ?? ?? ?? ?? 50 8B 43 10 83 C0 1C 50 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_581_0 {
	meta:
		name = "TActiveXControl.GetUserType"
		size = 30
		refs = "0016 OleRegGetUserType"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 55 0C 52 8B 40 10 83 C0 1C 50 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_582_0 {
	meta:
		name = "TActiveXControl.SetExtent"
		size = 152
		refs = "0010 TActiveXControl.SetExtent 0026 OleError 0030 Screen 003e MulDiv 007f @HandleAnyException 0084 _NF__2F3 008b @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 10 8B 5D 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 7D 0C 01 74 0A B8 6B 00 04 80 E8 ?? ?? ?? ?? 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 8B 06 50 E8 ?? ?? ?? ?? 8B F8 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B 83 90 00 00 00 57 52 8B 48 34 8B 50 30 8B 18 FF 53 4C 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_583_0 {
	meta:
		name = "TActiveXControl.GetExtent"
		size = 99
		refs = "0019 Screen 0033 MulDiv"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 10 8B 5D 08 83 7D 0C 01 74 07 B8 6B 00 04 80 EB 45 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 68 EC 09 00 00 8B 83 90 00 00 00 8B 40 38 50 E8 ?? ?? ?? ?? 89 06 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 68 EC 09 00 00 8B 83 90 00 00 00 8B 40 3C 50 E8 ?? ?? ?? ?? 89 46 04 33 C0 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_584_0 {
	meta:
		name = "TActiveXControl.Advise"
		size = 40
		refs = "000a _NF__395"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 85 C0 75 11 8B 45 10 50 8B 45 0C 50 8B 43 78 50 8B 00 FF 50 0C 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_585_0 {
	meta:
		name = "TActiveXControl.Unadvise"
		size = 36
		refs = "000a _NF__395"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 45 0C 50 8B 43 78 50 8B 00 FF 50 10 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_586_0 {
	meta:
		name = "TActiveXControl.EnumAdvise"
		size = 52
		refs = "0015 _NF__395 0021 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B C3 E8 ?? ?? ?? ?? 85 C0 75 12 8B 45 0C E8 ?? ?? ?? ?? 50 8B 43 78 50 8B 00 FF 50 14 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_587_0 {
	meta:
		name = "TActiveXControl.GetMiscStatus"
		size = 36
	strings:
		$1 = { 55 8B EC 8B 45 08 83 7D 0C 01 74 07 B8 6B 00 04 80 EB 0D 8B 40 4C 8B 40 64 8B 55 10 89 02 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_589_0 {
	meta:
		name = "TActiveXControl.GetControlInfo"
		size = 34
	strings:
		$1 = { 55 8B EC 8B 45 0C C7 00 10 00 00 00 33 D2 89 50 04 66 C7 40 08 00 00 33 D2 89 50 0C 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_590_0 {
	meta:
		name = "TActiveXControl.OnDocWindowActivate"
		size = 17
		refs = "0009 TActiveXControl.InPlaceActivate"
		altNames = "TActiveXControl.OnFrameWindowActivate TActiveXControl.OnMnemonic"
	strings:
		$1 = { 55 8B EC 8B 45 08 B2 01 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_591_0 {
	meta:
		name = "TActiveXControl.OnAmbientPropertyChange"
		size = 360
		refs = "0015 TActiveXControl.OnAmbientPropertyChange 0043 @IntfDispCall 0058 TControl.Perform 0076 _Dn_TFont 007b TFont.Create 00b7 TFont.SetColor 00d7 SetOleFont 00ff @HandleAnyException 0104 @DoneExcept 0119 TObject.Free 011f @HandleFinally 0138 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 90 00 00 00 85 F6 0F 84 F8 00 00 00 83 7B 68 00 0F 84 EE 00 00 00 68 ?? ?? ?? ?? 8B 43 68 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 50 8B C6 B9 01 00 00 00 BA 09 B0 00 00 E8 ?? ?? ?? ?? 6A 01 8B 83 90 00 00 00 B9 01 00 00 00 BA 11 B0 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 43 68 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 8B D0 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 68 50 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 90 00 00 00 B9 01 00 00 00 BA 08 B0 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 00 43 FD FF FF 03 02 00 00 40 FD FF FF 03 02 00 00 41 FD FF FF 09 02 00 00 }
	condition:
		$1
}

rule function_592_0 {
	meta:
		name = "TActiveXControl.FreezeEvents"
		size = 27
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C F7 DA 1B D2 F7 DA 88 90 97 00 00 00 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_593_0 {
	meta:
		name = "TActiveXControl.GetWindow"
		size = 52
		refs = "000e TWinControl.HandleAllocated 001d TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 14 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 EB 05 B8 05 40 00 80 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_595_0 {
	meta:
		name = "TActiveXControl.InPlaceDeactivate"
		size = 113
		refs = "0012 TActiveXControl.UIDeactivate 0026 TControl.SetVisible 002b _NF__2F2 0038 TWinControl.SetParentWindow 0040 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 80 BB 95 00 00 00 00 74 4D 53 E8 ?? ?? ?? ?? C6 83 95 00 00 00 00 33 D2 8B 83 90 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8D 43 74 E8 ?? ?? ?? ?? 8D 43 70 E8 ?? ?? ?? ?? 8B 43 6C 50 8B 00 FF 50 2C 8D 43 6C E8 ?? ?? ?? ?? 33 D2 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_596_0 {
	meta:
		name = "TActiveXControl.UIDeactivate"
		size = 73
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 80 BB 96 00 00 00 00 74 32 83 7B 74 00 74 0D 6A 00 6A 00 8B 43 74 50 8B 00 FF 50 20 6A 00 6A 00 8B 43 70 50 8B 00 FF 50 20 6A 00 8B 43 6C 50 8B 00 FF 50 28 C6 83 96 00 00 00 00 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_597_0 {
	meta:
		name = "TActiveXControl.SetObjectRects"
		size = 75
		refs = "000d TActiveXControl.SetObjectRects 0021 TControl.SetBoundsRect 0032 @HandleAnyException 0037 _NF__2F3 003e @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 0C 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_599_0 {
	meta:
		name = "TActiveXControl.TranslateAccelerator"
		size = 348
		refs = "0026 FindControl 0034 GetParent 0065 TControl.Perform 00eb TranslateMessage 00f1 DispatchMessage 0109 GetParentForm 0137 _NF__309"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 0C 8B 43 04 3D 00 01 00 00 0F 8C 15 01 00 00 3D 08 01 00 00 0F 8F 0A 01 00 00 8B 03 E8 ?? ?? ?? ?? 8B F8 85 FF 75 1F 8B 33 56 E8 ?? ?? ?? ?? 8B F0 85 F6 74 09 8B C6 E8 ?? ?? ?? ?? 8B F8 85 F6 74 04 85 FF 74 E3 85 FF 0F 84 D6 00 00 00 33 F6 57 8B 4B 08 BA 2E B0 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 85 E1 00 00 00 33 C0 89 45 FC 8B 43 08 83 F8 1B 7F 13 74 32 83 E8 03 74 2D 83 E8 06 74 16 83 E8 04 74 23 EB 28 83 C0 DF 83 E8 08 72 10 83 E8 02 74 14 EB 19 C7 45 FC 02 00 00 00 EB 10 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 04 00 00 00 83 7D FC 00 74 38 6A 00 8B 4B 08 BA 1E B0 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 75 15 6A 00 33 C9 BA 87 00 00 00 8B C7 E8 ?? ?? ?? ?? 23 45 FC 74 0E 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? EB 5B 81 7B 04 00 01 00 00 75 11 83 7F 24 00 74 0B 8B C7 E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 85 FF 74 16 8B 43 0C 50 8B 4B 08 BA 05 B0 00 00 8B C7 E8 ?? ?? ?? ?? 48 74 25 8B 45 08 83 78 60 00 74 17 E8 ?? ?? ?? ?? 50 53 8B 45 08 8B 40 60 50 8B 00 FF 50 1C 8B F0 EB 05 BE 01 00 00 00 8B C6 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_602_0 {
	meta:
		name = "TActiveXControl.ResizeBorder"
		size = 9
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 10 00 }
	condition:
		$1
}

rule function_603_0 {
	meta:
		name = "TActiveXControl.EnableModeless"
		size = 9
		altNames = "TAdapterNotifier.OnRequestEdit TStreamAdapter.Commit _NF__26C _NF__320 _NF__32A _NF__34E _NF__357 _NF__36B _NF__36C _NF__373"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_604_0 {
	meta:
		name = "TActiveXControl.Draw"
		size = 330
		refs = "000d TActiveXControl.Draw 0023 OleError 0047 TControl.SetVisible 0057 TWinControl.GetHandle 005d ShowWindow 007b LPtoDP 0084 SaveDC 00a4 SetViewportOrgEx 00b3 SetWindowOrgEx 00be SetMapMode 00d6 TWinControl.PaintTo 00f0 RestoreDC 00f6 @HandleFinally 012f @HandleAnyException 0134 _NF__2F3 013b @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D 0C 01 74 0A B8 6B 00 04 80 E8 ?? ?? ?? ?? 8B 45 08 8B 80 84 00 00 00 8A 50 44 88 55 FB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 E8 ?? ?? ?? ?? 6A 01 8B 45 08 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 24 8B F0 8D 7D E8 B9 04 00 00 00 F3 A5 6A 02 8D 45 E8 50 8B 45 20 50 E8 ?? ?? ?? ?? 8B 45 20 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8B 45 20 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 20 50 E8 ?? ?? ?? ?? 6A 01 8B 45 20 50 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 08 8B 80 84 00 00 00 8B 4D E8 8B 55 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 8B 45 20 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 80 84 00 00 00 8A 55 FB E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 2C 00 }
	condition:
		$1
}

rule function_605_0 {
	meta:
		name = "TActiveXControl.GetColorSet"
		size = 12
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 1C 00 }
	condition:
		$1
}

rule function_606_0 {
	meta:
		name = "TActiveXControl.Freeze"
		size = 12
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 14 00 }
	condition:
		$1
}

rule function_608_0 {
	meta:
		name = "TActiveXControl.SetAdvise"
		size = 63
		refs = "0024 @IntfCopy 0034 _NF__3EE"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 F6 45 0C 01 75 07 B8 6B 00 04 80 EB 26 8B 45 10 89 83 80 00 00 00 8D 43 7C 8B 55 14 E8 ?? ?? ?? ?? F6 83 80 00 00 00 02 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_609_0 {
	meta:
		name = "TActiveXControl.GetAdvise"
		size = 75
		refs = "003e @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 85 F6 74 06 C7 06 01 00 00 00 85 FF 74 08 8B 83 80 00 00 00 89 07 8B 45 14 85 C0 74 0B 8B 45 14 8B 53 7C E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_610_0 {
	meta:
		name = "TActiveXControl.ViewObjectGetExtent"
		size = 24
		refs = "0010 TActiveXControl.GetExtent"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 18 52 8B 55 0C 52 50 E8 ?? ?? ?? ?? 5D C2 14 00 }
	condition:
		$1
}

rule function_612_0 {
	meta:
		name = "TActiveXControl.MapPropertyToPage"
		size = 40
		refs = "000e GUID_NULL"
	strings:
		$1 = { 55 8B EC 56 57 8B 45 10 85 C0 74 11 8B 15 ?? ?? ?? ?? 8B F2 8B F8 B9 04 00 00 00 F3 A5 B8 01 40 00 80 5F 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_613_0 {
	meta:
		name = "TActiveXControl.GetPredefinedStrings"
		size = 455
		refs = "0015 TActiveXControl.GetPredefinedStrings 0077 _Dn_TStringList 007c TObject.Create 00ba _NF__2F6 00e7 _NF__2F8 0146 TObject.Free 014c @HandleFinally 015d @HandleAnyException 0179 _NF__2F7 0192 _NF__2F3 019a @DoneExcept 01af @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C0 89 45 E8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 33 C0 89 45 F4 33 C0 89 45 EC 8B 45 10 85 C0 74 07 8B 45 14 85 C0 75 0C C7 45 FC 03 40 00 80 E9 56 01 00 00 8B 45 10 33 D2 89 10 8B 45 10 33 D2 89 50 04 8B 45 14 33 D2 89 10 8B 45 14 33 D2 89 50 04 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 0C 8B C3 8B 18 FF 53 2C 84 C0 0F 84 88 00 00 00 8B 45 F0 8B 10 FF 52 14 89 45 EC 8B 5D EC C1 E3 02 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 75 EC 4E 85 F6 7C 32 46 33 DB 8D 4D E8 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 F8 89 04 9A 8B D3 8B 45 F0 8B 08 FF 51 18 8B 55 F4 89 04 9A 43 4E 75 D1 8B 45 10 8B 55 EC 89 10 8B 45 10 8B 55 F8 89 50 04 8B 45 14 8B 55 EC 89 10 8B 45 14 8B 55 F4 89 50 04 33 C0 89 45 FC EB 07 C7 45 FC 01 40 00 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 42 E9 ?? ?? ?? ?? 83 7D F8 00 74 1A 8B 75 EC 4E 85 F6 7C 12 46 33 DB 8B 45 F8 8B 04 98 E8 ?? ?? ?? ?? 43 4E 75 F1 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_614_0 {
	meta:
		name = "TActiveXControl.GetPredefinedValue"
		size = 118
		refs = "0028 TActiveXControl.GetPredefinedValue 004a @VarCopy 0061 @VarClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B 5D 08 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 4D 10 8B 55 0C 8B C3 8B 18 FF 53 30 8B 45 14 8D 55 F0 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_615_0 {
	meta:
		name = "_NF__4F4"
		size = 34
	strings:
		$1 = { 53 56 57 8B 58 04 85 DB 74 11 8B 48 08 03 C9 8D 3C CB 8B F2 B9 04 00 00 00 F3 A5 FF 40 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_616_0 {
	meta:
		name = "TActiveXControl.GetPages"
		size = 224
		refs = "0011 TActiveXControl.GetPages 001e _NV__4F2 0023 TObject.Create 003d _NF__4F4 0052 _NF__2F6 00a5 _NF__2F7 00ad TObject.Free 00b3 @HandleFinally 00c6 @HandleAnyException 00cb _NF__2F3 00d2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 0C 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 8B 45 FC 8B 40 08 C1 E0 04 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B 45 FC 33 D2 89 50 08 8B 45 FC 50 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 8B 45 FC 8B 40 08 89 06 8B 45 FC 8B 40 04 89 46 04 8B 45 FC 33 D2 89 50 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_617_0 {
	meta:
		name = "TActiveXControl.PreMessageFilter"
		size = 53
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 64 00 74 23 8B 55 20 52 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 64 50 8B 00 FF 50 0C EB 02 33 C0 5D C2 1C 00 }
	condition:
		$1
}

rule function_618_0 {
	meta:
		name = "TActiveXControl.PostMessageFilter"
		size = 53
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 64 00 74 23 8B 55 20 52 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 64 50 8B 00 FF 50 10 EB 02 33 C0 5D C2 1C 00 }
	condition:
		$1
}

rule function_619_0 {
	meta:
		name = "TActiveXControlFactory.Create"
		size = 332
		refs = "0016 @ClassCreate 0026 TActiveXControlFactory.Create 0045 TAutoObjectFactory.Create 0075 TTypedComObjectFactory.GetInterfaceTypeInfo 0080 @IntfCopy 0098 OleCheck 00bd _Dn_TStringList 00c2 TObject.Create 00d6 TActiveXControlFactory.AddVerb 00e0 @WStrFromLStr 010f @IntfClear 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 89 43 60 8B 45 1C 50 8B 45 14 50 6A 02 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 08 83 C8 01 83 C8 10 0D 80 00 00 00 0D 00 01 00 00 0D 00 00 02 00 89 43 64 8B 45 10 89 43 68 8D 4D F4 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 6C E8 ?? ?? ?? ?? 83 7B 6C 00 74 30 8D 45 F8 50 8B 43 6C 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F8 56 8B F0 8D 7B 70 B9 04 00 00 00 F3 A5 5E 8B 45 F8 50 8B 43 6C 50 8B 00 FF 50 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 00 00 00 B9 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 48 8B D6 E8 ?? ?? ?? ?? 85 F6 0F 95 C0 88 43 51 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 18 00 00 00 FF FF FF FF 0A 00 00 00 50 72 6F 70 65 72 74 69 65 73 00 00 }
	condition:
		$1
}

rule function_620_0 {
	meta:
		name = "TActiveXControlFactory.Destroy"
		size = 56
		refs = "000d TObject.Free 0024 TComObjectFactory.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_621_0 {
	meta:
		name = "TActiveXControlFactory.AddVerb"
		size = 16
	strings:
		$1 = { 53 8B 80 80 00 00 00 87 CA 8B 18 FF 53 38 5B C3 }
	condition:
		$1
}

rule function_622_0 {
	meta:
		name = "TActiveXControlFactory.GetLicenseFileName"
		size = 104
		refs = "000f TActiveXControlFactory.GetLicenseFileName 002f ChangeFileExt 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 14 8B 08 FF 51 0C 8B 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 2E 6C 69 63 00 00 00 00 }
	condition:
		$1
}

rule function_623_0 {
	meta:
		name = "TActiveXControlFactory.HasMachineLicense"
		size = 252
		refs = "0013 TActiveXControlFactory.HasMachineLicense 0077 @HandleAnyException 007e @DoneExcept 00a6 @WStrFromLStr 00df @WStrClr 00e7 @LStrClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 45 FC 80 78 51 00 0F 84 A2 00 00 00 8B 45 FC 80 B8 88 00 00 00 00 75 4A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 1C 8B 55 F8 8B 45 FC 8B 80 84 00 00 00 8B 08 FF 51 58 8B 45 FC C6 80 88 00 00 00 01 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 84 DB 74 48 33 F6 33 DB EB 2C 8D 4D F8 8B 45 FC 8B 80 84 00 00 00 8B D6 8B 18 FF 53 0C 8B 55 F8 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 0C 8B D8 46 8B 45 FC 8B 80 84 00 00 00 8B 10 FF 52 14 3B F0 7D 04 84 DB 74 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_624_0 {
	meta:
		name = "TActiveXControlFactory.UpdateRegistry"
		size = 852
		refs = "0017 TActiveXControlFactory.UpdateRegistry 0028 GUIDToString 0038 @LStrCat3 004c TTypedComObjectFactory.UpdateRegistry 006b CreateRegKey 0076 IntToStr 00c3 @LStrCatN 0151 @LStrCat 01e3 DeleteRegKey 0285 @LStrArrayClr 028d @LStrClr 0293 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8D 43 1C E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FF 00 0F 84 56 01 00 00 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 B9 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8D 55 F0 8B 43 64 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 59 E8 ?? ?? ?? ?? 8D 55 EC 8B 43 14 8B 08 FF 51 0C FF 75 EC 68 ?? ?? ?? ?? 8D 55 E8 8B 43 68 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 59 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 33 C9 33 D2 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 3D 01 00 00 40 89 45 F4 33 F6 8D 4D F0 8B D6 8B 83 80 00 00 00 8B 38 FF 57 0C 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 FF 75 F8 68 ?? ?? ?? ?? 8B D6 8B 83 80 00 00 00 8B 08 FF 51 18 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 59 E8 ?? ?? ?? ?? 46 FF 4D F4 75 A1 E9 D3 00 00 00 8B 83 80 00 00 00 8B 10 FF 52 14 48 85 C0 7C 41 40 89 45 F4 33 F6 FF 75 F8 68 ?? ?? ?? ?? 8B D6 8B 83 80 00 00 00 8B 08 FF 51 18 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 46 FF 4D F4 75 C5 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 06 00 00 00 43 4C 53 49 44 5C 00 00 FF FF FF FF 0B 00 00 00 5C 4D 69 73 63 53 74 61 74 75 73 00 FF FF FF FF 01 00 00 00 30 00 00 00 FF FF FF FF 0D 00 00 00 5C 4D 69 73 63 53 74 61 74 75 73 5C 31 00 00 00 FF FF FF FF 01 00 00 00 2C 00 00 00 FF FF FF FF 10 00 00 00 5C 54 6F 6F 6C 62 6F 78 42 69 74 6D 61 70 33 32 00 00 00 00 FF FF FF FF 08 00 00 00 5C 43 6F 6E 74 72 6F 6C 00 00 00 00 FF FF FF FF 05 00 00 00 5C 56 65 72 62 00 00 00 FF FF FF FF 04 00 00 00 2C 30 2C 32 00 00 00 00 FF FF FF FF 06 00 00 00 5C 56 65 72 62 5C 00 00 }
	condition:
		$1
}

rule function_625_0 {
	meta:
		name = "TActiveFormControl.DefinePropertyPages"
		size = 52
		refs = "0011 _DV_TActiveForm 0016 @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B B3 84 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 FF 75 0C FF 75 08 8B C6 8B 10 FF 92 80 00 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_627_0 {
	meta:
		name = "TActiveFormControl.InitializeControl"
		size = 132
		refs = "000d TActiveFormControl.InitializeControl 001a TActiveXControl.InitializeControl 002c @IntfCast 0040 _DV_TActiveForm 0045 @AsClass 0062 @IntfClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B D3 83 C2 04 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B B3 84 00 00 00 89 46 1C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 A0 92 78 E0 2F F5 CF 11 BD 2F 00 20 AF 0E 5B 81 }
	condition:
		$1
}

rule function_628_0 {
	meta:
		name = "TActiveFormControl.Invoke"
		size = 70
	strings:
		$1 = { 55 8B EC 53 8B 55 18 8B 45 08 F6 C2 0C 74 04 66 BA 0C 00 8B 5D 28 53 8B 5D 24 53 8B 5D 20 53 8B 5D 1C 53 52 8B 55 0C 52 8B 48 10 8B 51 5C 8B 52 14 03 90 84 00 00 00 52 8B 41 58 50 8B 00 FF 50 2C 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_629_0 {
	meta:
		name = "TActiveFormControl.ObjQueryInterface"
		size = 62
		refs = "0020 TObject.GetInterface 002c TActiveXControl.ObjQueryInterface"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 33 C0 89 45 FC 8B CF 8B D6 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 0B 57 56 53 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_630_0 {
	meta:
		name = "TActiveFormControl.EventSinkChanged"
		size = 46
		refs = "0011 _DV_TActiveForm 0016 @IsClass"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 84 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B C6 8B 08 FF 91 84 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_631_0 {
	meta:
		name = "TActiveForm.Create"
		size = 88
		refs = "000a @ClassCreate 001e TCustomForm.Create 0027 TCustomForm.SetBorderStyle 002d TActiveForm.Create 0034 TCustomForm.SetBorderIcons 003d TWinControl.SetTabStop"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 86 DC 01 00 00 01 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_633_0 {
	meta:
		name = "TActiveForm.SetAxBorderStyle"
		size = 26
		refs = "0015 TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 DC 01 00 00 74 11 88 90 DC 01 00 00 F6 40 20 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_634_0 {
	meta:
		name = "TActiveForm.CreateParams"
		size = 83
		refs = "000b TCustomForm.CreateParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 75 3B 81 66 04 FF FF 3F FF 8A 83 DC 01 00 00 FE C8 74 0A FE C8 74 0F FE C8 74 14 EB 20 81 4E 04 00 00 80 00 EB 17 81 4E 08 00 02 00 00 EB 0E 81 4E 04 00 00 40 00 81 4E 08 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_637_0 {
	meta:
		name = "TActiveForm.WantChildKey"
		size = 59
		refs = "0029 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B 33 81 FE 02 01 00 00 75 06 83 7B 04 09 74 1E 8B 43 08 50 8B 4B 04 8B D6 81 C2 00 BC 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_638_0 {
	meta:
		name = "TActiveFormFactory.GetIntfEntry"
		size = 33
		refs = "0017 TObject.GetInterfaceEntry"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D4 8B 40 60 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_640_0 {
	meta:
		name = "TPropertyPage.Modified"
		size = 18
		refs = "000d _NF__566"
	strings:
		$1 = { 8B 90 DC 01 00 00 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_642_0 {
	meta:
		name = "_NF__558"
		size = 141
		refs = "000f _NF__558 0031 OleCheck 0040 TStrings.IndexOfObject 004e @LStrFromWStr 0073 @LStrClr 007b @WStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8D 45 FC 50 53 8B 45 08 8B 40 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B F3 8B D6 E8 ?? ?? ?? ?? 40 75 1B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 F8 8B CE 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_643_0 {
	meta:
		name = "_NF__559"
		size = 261
		refs = "0015 _NF__559 0052 @IntfClear 0061 OleCheck 0091 IsEqualGUID 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 66 8B 43 04 66 83 E8 1A 74 0B 66 83 E8 03 74 1B E9 A7 00 00 00 8B 45 08 50 8B 13 8B C6 E8 ?? ?? ?? ?? 59 88 45 FF E9 91 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 03 50 56 8B 06 FF 50 38 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 C0 E8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 75 1F 8B 45 F4 83 78 28 06 75 16 8B 45 08 50 8B 45 F4 8D 50 3C 8B 45 F8 E8 ?? ?? ?? ?? 59 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_644_0 {
	meta:
		name = "_NF__55A"
		size = 148
		refs = "002f OleCheck 0037 _NF__55A 0059 @TryFinallyExit 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F8 89 45 FC 4A 85 D2 7C 77 42 89 55 EC C7 45 F4 00 00 00 00 8D 45 F0 50 8B 45 F4 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 00 3B 45 F8 75 14 8B 45 F0 8B 40 10 23 45 08 74 09 B3 01 E8 ?? ?? ?? ?? EB 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 50 8B 00 FF 50 50 C3 E9 ?? ?? ?? ?? EB EB FF 45 F4 FF 4D EC 75 94 33 DB 8B C3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_645_0 {
	meta:
		name = "TPropertyPage.EnumCtlProps"
		size = 644
		refs = "002b TPropertyPage.EnumCtlProps 003f @VarToIntf 004f @IntfCast 0057 @IntfClear 006a OleCheck 00eb _NF__559 00fb _NF__558 011c @HandleFinally 0184 _NF__55A"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D FC 89 5D E0 8B F2 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CC 8D 93 E0 01 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 E0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 C8 01 00 00 8D 45 DC 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 0F B7 40 2E 48 85 C0 0F 8C 82 00 00 00 40 89 45 D0 C7 45 E4 00 00 00 00 8D 45 D4 50 8B 45 E4 50 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 F6 40 1C 01 74 20 55 8B 45 D4 8D 50 0C 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 74 0C 55 8B 45 D4 8B 00 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 50 8B 45 FC 50 8B 00 FF 50 54 C3 E9 ?? ?? ?? ?? EB EB FF 45 E4 FF 4D D0 75 89 8B 45 DC 0F B7 40 2C 48 85 C0 0F 8C E4 00 00 00 40 89 45 D0 C7 45 E4 00 00 00 00 8D 45 D8 50 8B 45 E4 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 83 78 10 02 75 2E 6A 0C 8B 45 D8 8B 08 8B 45 DC 0F B7 50 2C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 55 8B 45 D8 8D 50 20 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 75 44 8B 45 D8 F6 40 10 0C 74 47 6A 02 8B 45 D8 8B 08 8B 45 DC 0F B7 50 2C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 55 8B 45 D8 0F BF 40 18 03 C0 8B 55 D8 8B 52 08 8D 54 C2 F0 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 74 0C 55 8B 45 D8 8B 00 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 50 8B 45 FC 50 8B 00 FF 50 50 C3 E9 ?? ?? ?? ?? EB EB FF 45 E4 FF 4D D0 0F 85 27 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 50 8B 45 FC 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_647_0 {
	meta:
		name = "TActiveXPropertyPage.Initialize"
		size = 50
		refs = "0021 TCustomForm.SetBorderStyle 002b TCustomForm.SetPosition"
	strings:
		$1 = { 53 56 8B D8 8B 43 10 8B 40 18 33 C9 B2 01 FF 50 24 8B F0 89 73 20 89 9E DC 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_648_0 {
	meta:
		name = "TActiveXPropertyPage.Destroy"
		size = 30
		refs = "000a TObject.Free 0015 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 20 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_649_0 {
	meta:
		name = "_NF__566"
		size = 28
	strings:
		$1 = { 80 78 28 00 74 15 C6 40 29 01 83 78 24 00 74 0B 6A 03 8B 40 24 50 8B 00 FF 50 0C C3 }
	condition:
		$1
}

rule function_650_0 {
	meta:
		name = "TActiveXPropertyPage.SetPageSite"
		size = 25
		refs = "000e @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 43 24 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_651_0 {
	meta:
		name = "TActiveXPropertyPage.Activate"
		size = 119
		refs = "000d TActiveXPropertyPage.Activate 001e TControl.SetBoundsRect 0029 TWinControl.SetParentWindow 0036 VarIsNull 005e @HandleAnyException 0063 _NF__2F3 006a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 10 8B 43 20 E8 ?? ?? ?? ?? 8B 43 20 8B 55 0C E8 ?? ?? ?? ?? 8B 43 20 05 E0 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 43 20 8B 10 FF 92 84 00 00 00 C6 43 28 01 C6 43 29 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_652_0 {
	meta:
		name = "TActiveXPropertyPage.Deactivate"
		size = 83
		refs = "000d TActiveXPropertyPage.Deactivate 001f TCustomForm.Hide 0029 TWinControl.SetParentWindow 003a @HandleAnyException 003f _NF__2F3 0046 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 28 00 8B 43 20 E8 ?? ?? ?? ?? 8B 43 20 33 D2 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_653_0 {
	meta:
		name = "TActiveXPropertyPage.GetPageInfo"
		size = 165
		refs = "0012 TActiveXPropertyPage.GetPageInfo 0035 @FillChar 0040 TControl.GetText 0048 _NF__2F8 006e @HandleAnyException 0073 _NF__2F3 007a @DoneExcept 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 33 C9 BA 18 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 43 20 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 46 04 8B 43 20 8B 40 38 89 46 08 8B 43 20 8B 40 3C 89 46 0C 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_654_0 {
	meta:
		name = "TActiveXPropertyPage.SetObjects"
		size = 184
		refs = "000f TActiveXPropertyPage.SetObjects 0032 Null 0037 @VarCopy 004f @IntfCast 005d @VarFromDisp 006e @HandleAnyException 0073 _NF__2F3 007a @DoneExcept 008f @IntfClear 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 20 8D 86 E0 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 0C 00 7E 20 8D 45 FC 8B 55 10 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 86 E0 01 00 00 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 0C 00 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_655_0 {
	meta:
		name = "TActiveXPropertyPage.Show"
		size = 76
		refs = "000d TActiveXPropertyPage.Show 0022 TCustomForm.SetVisible 0033 @HandleAnyException 0038 _NF__2F3 003f @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D 0C 00 0F 95 C2 8B 40 20 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_656_0 {
	meta:
		name = "TActiveXPropertyPage.Move"
		size = 72
		refs = "000d TActiveXPropertyPage.Move 001e TControl.SetBoundsRect 002f @HandleAnyException 0034 _NF__2F3 003b @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 0C 8B 40 20 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_657_0 {
	meta:
		name = "TActiveXPropertyPage.IsPageDirty"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 29 00 74 04 33 C0 EB 05 B8 01 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_658_0 {
	meta:
		name = "_NF__580"
		size = 324
		refs = "0012 TConnectData 0017 @InitializeRecord 001f _NF__580 003c @VarToIntf 0044 @IntfClear 0088 OleCheck 009c @IntfCast 00bf @FinalizeRecord 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 8B 52 08 8B 52 20 81 C2 E0 01 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 75 79 8D 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 10 85 C0 75 5E 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? EB 23 6A FF 8D 45 E0 8B 55 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 0C 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 15 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 50 6A 01 8B 45 F0 50 8B 00 FF 50 0C 85 C0 74 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 8B E5 5D C3 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_659_0 {
	meta:
		name = "TActiveXPropertyPage.Apply"
		size = 86
		refs = "000a TActiveXPropertyPage.Apply 002b _NF__580 003d @HandleAnyException 0042 _NF__2F3 0049 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 20 8B 10 FF 92 80 00 00 00 8B 45 08 C6 40 29 00 55 E8 ?? ?? ?? ?? 59 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_661_0 {
	meta:
		name = "TActiveXPropertyPage.TranslateAccelerator"
		size = 113
		refs = "000d TActiveXPropertyPage.TranslateAccelerator 0029 TWinControl.GetHandle 002f GetWindowLong 0044 SetWindowLong 0058 @HandleAnyException 005d _NF__2F3 0064 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 20 83 BE CC 00 00 00 00 74 25 6A EC 8B 43 20 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0D 00 00 01 00 50 6A EC 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? BB 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_663_0 {
	meta:
		name = "TActiveXPropertyPageFactory.Create"
		size = 208
		refs = "0019 @ClassCreate 002b TActiveXPropertyPageFactory.Create 0049 TObject.ClassName 0065 Format 0076 TComObjectFactory.Create 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 08 50 6A 00 8D 45 F8 50 8D 95 F0 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 89 45 F0 C6 45 F4 04 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 6A 02 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 FF FF FF FF 10 00 00 00 25 73 20 70 72 6F 70 65 72 74 79 20 70 61 67 65 00 00 00 00 }
	condition:
		$1
}

rule function_664_0 {
	meta:
		name = "TActiveXPropertyPageFactory.CreateComObject"
		size = 16
		refs = "0004 _DV_TActiveXPropertyPage 000b TComObject.CreateFromFactory"
	strings:
		$1 = { 52 8B C8 A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15678_0 {
	meta:
		name = "TComponentFactory.CreateComObject"
		size = 16
		refs = "0004 _NV__54 000b TComObject.CreateFromFactory"
	strings:
		$1 = { 52 8B C8 A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_665_0 {
	meta:
		name = "TCustomAdapter.Create"
		size = 64
		refs = "000a @ClassCreate 0017 _DV_TAdapterNotifier 001c TAdapterNotifier.Create 0029 @IntfCopy"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 04 8D 46 14 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_666_0 {
	meta:
		name = "TCustomAdapter.Destroy"
		size = 29
		refs = "0009 TCustomAdapter.ReleaseOleObject 0014 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1511_0 {
	meta:
		name = "TList.Destroy"
		size = 29
		refs = "0009 TList.Clear 0014 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4734_0 {
	meta:
		name = "TPaintControl.Destroy"
		size = 29
		refs = "0009 TPaintControl.DestroyHandle 0014 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_667_0 {
	meta:
		name = "TCustomAdapter.Changed"
		size = 12
		refs = "0007 TCustomAdapter.ReleaseOleObject"
	strings:
		$1 = { 80 78 18 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_668_0 {
	meta:
		name = "TCustomAdapter.ConnectOleObject"
		size = 132
		refs = "000e @IntfAddRef 0016 TCustomAdapter.ConnectOleObject 0029 TCustomAdapter.ReleaseOleObject 0043 _NF__2F9 004e @IntfCopy 0063 @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 74 07 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 14 8D 43 10 50 BA ?? ?? ?? ?? 8B 4B 14 8B 45 FC E8 ?? ?? ?? ?? 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_669_0 {
	meta:
		name = "TCustomAdapter.ReleaseOleObject"
		size = 48
		refs = "0007 TCustomAdapter.ReleaseOleObject 000f _NF__2FA 0017 @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 4B 10 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8D 43 0C E8 ?? ?? ?? ?? 5B C3 00 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_670_0 {
	meta:
		name = "TAdapterNotifier.Create"
		size = 30
		refs = "0008 @ClassCreate"
		altNames = "_NF__21E"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 10 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_671_0 {
	meta:
		name = "TAdapterNotifier.OnChanged"
		size = 69
		refs = "000d TAdapterNotifier.OnChanged 002c @HandleAnyException 0031 _NF__2F3 0038 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 10 8B 10 FF 52 04 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_673_0 {
	meta:
		name = "TFontAdapter.Create"
		size = 53
		refs = "000b @ClassCreate 001a TCustomAdapter.Create"
		altNames = "TPictureAdapter.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 24 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_674_0 {
	meta:
		name = "TFontAdapter.Update"
		size = 456
		refs = "0019 TFontAdapter.Update 003f @IntfCast 0047 @WStrClr 00d0 _Dn_TFont 00d5 TFont.Create 0106 @LStrFromWStr 0111 TFont.SetName 0121 @ROUND 012b TFont.SetSize 0135 TFont.SetStyle 0140 TFont.SetCharset 016a TObject.Free 0170 @HandleFinally 0187 @LStrClr 018f @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 DC 89 55 F4 89 55 E0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 18 00 0F 85 46 01 00 00 8D 45 E0 8B 55 FC 8B 52 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 E0 50 8B 00 FF 50 0C 8D 45 EC 50 8B 45 E0 50 8B 00 FF 50 14 8A 1D ?? ?? ?? ?? 8D 45 E8 50 8B 45 E0 50 8B 00 FF 50 1C 83 7D E8 00 74 03 80 CB 01 8D 45 E8 50 8B 45 E0 50 8B 00 FF 50 24 83 7D E8 00 74 03 80 CB 02 8D 45 E8 50 8B 45 E0 50 8B 00 FF 50 2C 83 7D E8 00 74 03 80 CB 04 8D 45 E8 50 8B 45 E0 50 8B 00 FF 50 34 83 7D E8 00 74 03 80 CB 08 8D 45 E6 50 8B 45 E0 50 8B 00 FF 50 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC C6 40 18 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 24 8B 45 F8 8B 08 FF 51 08 8D 45 DC 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DF 6D EC DE C9 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8A 55 E6 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 8B 55 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 18 00 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 02 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB 00 00 00 00 2C 65 19 E2 58 17 B7 D1 F1 3F 00 00 }
	condition:
		$1
}

rule function_675_0 {
	meta:
		name = "TFontAdapter.Changed"
		size = 400
		refs = "0011 TFontAdapter.Changed 004c @IntfCast 005a TFont.GetName 0065 @WStrFromLStr 007d TFont.GetSize 00a4 TFont.GetStyle 011c TFont.GetCharset 0145 @HandleFinally 015c @LStrClr 0164 @WStrClr 016c @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 18 00 0F 85 23 01 00 00 8B 45 FC C6 40 18 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC 8B 52 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 10 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 45 F8 50 8B 00 FF 50 18 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? A8 01 0F 95 C0 F6 D8 1B C0 50 8B 45 F8 50 8B 00 FF 50 20 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? A8 02 0F 95 C0 F6 D8 1B C0 50 8B 45 F8 50 8B 00 FF 50 28 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? A8 04 0F 95 C0 F6 D8 1B C0 50 8B 45 F8 50 8B 00 FF 50 30 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? A8 08 0F 95 C0 F6 D8 1B C0 50 8B 45 F8 50 8B 00 FF 50 38 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 25 FF 00 00 00 50 8B 45 F8 50 8B 00 FF 50 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 18 00 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 02 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB 00 40 1C 46 }
	condition:
		$1
}

rule function_676_0 {
	meta:
		name = "TFontAdapter.GetOleFont"
		size = 356
		refs = "001b TFontAdapter.GetOleFont 0036 TFont.GetName 0041 @WStrFromLStr 0050 @WStrToPWChar 005b TFont.GetSize 0073 TFont.GetStyle 008d TFont.GetCharset 00da @IntfClear 00e9 _NF__634 00ee OleCheck 00f8 TCustomAdapter.ConnectOleObject 0107 @IntfCast 011c @LStrClr 012c @WStrClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D D4 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 0F 85 CD 00 00 00 8D 55 D4 8B 43 24 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? C7 45 D8 20 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 DC 8B 43 24 E8 ?? ?? ?? ?? 89 45 D0 DB 45 D0 D8 0D ?? ?? ?? ?? DF 7D E0 9B 8B 43 24 E8 ?? ?? ?? ?? A8 01 74 08 66 C7 45 E8 BC 02 EB 06 66 C7 45 E8 90 01 8B 43 24 E8 ?? ?? ?? ?? 25 FF 00 00 00 66 89 45 EA 8B 43 24 E8 ?? ?? ?? ?? A8 02 0F 95 C0 F6 D8 1B C0 89 45 EC 8B 43 24 E8 ?? ?? ?? ?? A8 04 0F 95 C0 F6 D8 1B C0 89 45 F0 8B 43 24 E8 ?? ?? ?? ?? A8 08 0F 95 C0 F6 D8 1B C0 89 45 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 40 1C 46 02 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB 03 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_677_0 {
	meta:
		name = "TFontAdapter.SetOleFont"
		size = 108
		refs = "000f TFontAdapter.SetOleFont 0024 @IntfCast 002e TCustomAdapter.ConnectOleObject 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 02 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_679_0 {
	meta:
		name = "TPictureAdapter.Update"
		size = 140
		refs = "0013 _DV_TOleGraphic 0018 TGraphic.Create 0023 TPictureAdapter.Update 003f @IntfCast 004d TPicture.SetGraphic 0069 TObject.Free 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC C6 40 18 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 C0 18 8B 55 FC 8B 52 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 18 00 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 59 59 5D C3 00 00 00 80 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_680_0 {
	meta:
		name = "TPictureAdapter.GetOlePicture"
		size = 564
		refs = "0033 _Dn_TBitmap 0038 @IsClass 004f TBitmap.Create 005a TPictureAdapter.GetOlePicture 0079 TBitmap.ReleaseHandle 0084 TBitmap.ReleasePalette 00a0 TObject.Free 00a6 @HandleFinally 00b0 _Dn_TIcon 00c7 TPicture.GetIcon 00cc TIcon.GetHandle 00e3 _Dn_TMetafile 00fc TMetafile.Create 0118 TPicture.GetWidth 012d TPicture.GetHeight 0143 _Dn_TMetafileCanvas 0148 TMetafileCanvas.Create 016f TCanvas.Draw 0194 TMetafile.ReleaseHandle 01bf TPicture.GetMetafile 01c4 TMetafile.GetHandle 01cf @IntfClear 01e4 _NF__635 01e9 OleCheck 01f6 TCustomAdapter.ConnectOleObject 0209 @IntfCast"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 89 55 F8 89 45 FC 8B 45 FC 83 78 0C 00 0F 85 DF 01 00 00 C6 45 F7 00 C7 45 D4 14 00 00 00 8B 45 FC 8B 70 24 8B 5E 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6C C7 45 D8 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 8B 50 04 8B 45 EC 8B 08 FF 51 08 8B 45 EC E8 ?? ?? ?? ?? 89 45 DC 8B 45 EC E8 ?? ?? ?? ?? 89 45 E0 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B C7 45 D8 03 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC E9 F3 00 00 00 C7 45 D8 04 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 C8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 08 FF 51 40 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 08 FF 51 34 6A 00 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 8B 40 04 50 33 C9 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 E8 ?? ?? ?? ?? 89 45 DC C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 45 F8 E8 ?? ?? ?? ?? 50 8A 45 F7 F6 D8 1B C9 BA ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 12 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 8B 52 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 00 80 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB 81 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_681_0 {
	meta:
		name = "TPictureAdapter.SetOlePicture"
		size = 19
		refs = "0006 TCustomAdapter.ConnectOleObject"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 04 5B C3 }
	condition:
		$1
}

rule function_682_0 {
	meta:
		name = "TOleGraphic.Assign"
		size = 49
		refs = "000a _DV_TOleGraphic 000f @IsClass 001e @IntfCopy 002a TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8D 43 18 8B 56 18 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_684_0 {
	meta:
		name = "TOleGraphic.Draw"
		size = 271
		refs = "001f TCanvas.Lock 0027 TOleGraphic.Draw 0035 TCanvas.GetHandle 0051 SelectPalette 0059 RealizePalette 008c PlayEnhMetaFile 0099 TOleGraphic.GetMMHeight 00a3 TOleGraphic.GetMMWidth 00d8 OleCheck 00fc TCanvas.Unlock 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B D8 83 7B 18 00 0F 84 ED 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 52 24 8B F8 C6 45 F7 00 85 FF 74 15 6A FF 57 56 E8 ?? ?? ?? ?? 8B F8 56 E8 ?? ?? ?? ?? C6 45 F7 01 8D 45 F4 50 8B 43 18 50 8B 00 FF 50 14 66 83 7D F4 04 75 1D 8D 45 F0 50 8B 43 18 50 8B 00 FF 50 0C 8B 45 F8 50 8B 45 F0 50 56 E8 ?? ?? ?? ?? EB 4A 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? F7 D8 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B 45 F8 8B 40 0C 50 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 F8 8B 00 50 56 8B 43 18 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 80 7D F7 00 74 09 6A FF 57 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_685_0 {
	meta:
		name = "TOleGraphic.GetEmpty"
		size = 41
	strings:
		$1 = { 53 51 8B D8 83 7B 18 00 74 1A 54 8B 43 18 50 8B 00 FF 50 14 85 C0 75 0C 66 83 3C 24 00 7E 05 33 C0 5A 5B C3 B0 01 5A 5B C3 }
	condition:
		$1
}

rule function_686_0 {
	meta:
		name = "_NF__5D2"
		size = 70
		refs = "0012 GetDC 001c SetMapMode 0034 LPtoDP 003c ReleaseDC"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 8B DA 6A 00 E8 ?? ?? ?? ?? 8B F0 6A 03 56 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 F7 5B 04 6A 01 53 56 E8 ?? ?? ?? ?? 56 6A 00 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_687_0 {
	meta:
		name = "TOleGraphic.GetHeight"
		size = 46
		refs = "0009 TOleGraphic.GetMMHeight 0016 Point 0021 _NF__5D2"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4C 24 08 33 C0 E8 ?? ?? ?? ?? 8D 44 24 08 8B D4 E8 ?? ?? ?? ?? 8B 44 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_688_0 {
	meta:
		name = "TOleGraphic.GetMMHeight"
		size = 27
	strings:
		$1 = { 51 33 D2 89 14 24 83 78 18 00 74 0A 54 8B 40 18 50 8B 00 FF 50 1C 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_689_0 {
	meta:
		name = "TOleGraphic.GetMMWidth"
		size = 27
	strings:
		$1 = { 51 33 D2 89 14 24 83 78 18 00 74 0A 54 8B 40 18 50 8B 00 FF 50 18 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_690_0 {
	meta:
		name = "TOleGraphic.GetPalette"
		size = 27
	strings:
		$1 = { 51 33 D2 89 14 24 83 78 18 00 74 0A 54 8B 40 18 50 8B 00 FF 50 10 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_691_0 {
	meta:
		name = "TOleGraphic.GetTransparent"
		size = 30
	strings:
		$1 = { 51 33 D2 83 78 18 00 74 11 54 8B 40 18 50 8B 00 FF 50 40 F6 04 24 02 0F 95 C2 8B C2 5A C3 }
	condition:
		$1
}

rule function_692_0 {
	meta:
		name = "TOleGraphic.GetWidth"
		size = 43
		refs = "0009 TOleGraphic.GetMMWidth 0014 Point 001f _NF__5D2"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 08 33 D2 E8 ?? ?? ?? ?? 8D 44 24 08 8B D4 E8 ?? ?? ?? ?? 8B 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_693_0 {
	meta:
		name = "_NF__5DF"
		size = 24
		refs = "0008 _Dn_EInvalidGraphicOperation 000d Exception.Create 0012 @RaiseExcept"
		altNames = "_NF__D6"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3863_0 {
	meta:
		name = "DatabaseError"
		size = 24
		refs = "0008 _DV_EDatabaseError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5533_0 {
	meta:
		name = "DbiError"
		size = 24
		refs = "0008 _DV_EDBEngineError 000d EDBEngineError.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9436_0 {
	meta:
		name = "_NF__10D"
		size = 24
		refs = "0008 _DV_EMenuError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7945_0 {
	meta:
		name = "_NF__21A"
		size = 24
		refs = "0008 _DV_EInvalidGridOperation 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14477_0 {
	meta:
		name = "_NF__287"
		size = 24
		refs = "0008 _DV_EConvertError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5121_0 {
	meta:
		name = "_NF__2B9"
		size = 24
		refs = "0008 _Dn_EInvalidGridOperation 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9364_0 {
	meta:
		name = "_NF__3F"
		size = 24
		refs = "0008 _DV_EInvalidArgument 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7715_0 {
	meta:
		name = "_NF__404"
		size = 24
		refs = "0008 _DV_EInvalidGraphicOperation 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7716_0 {
	meta:
		name = "_NF__405"
		size = 24
		refs = "0008 _DV_EInvalidGraphic 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1709_0 {
	meta:
		name = "_NF__4D1"
		size = 24
		refs = "0008 _DV_EReadError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2148_0 {
	meta:
		name = "_NF__81C"
		size = 24
		refs = "0008 _DV_ETreeViewError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12111_0 {
	meta:
		name = "_NF__AB"
		size = 24
		refs = "0008 _DV_EPrinter 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6068_0 {
	meta:
		name = "_NF__C7"
		size = 24
		refs = "0008 _Dn_Exception 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_694_0 {
	meta:
		name = "TOleGraphic.SetHeight"
		size = 72
		refs = "0009 TOleGraphic.SetHeight 0017 SOleGraphic 001c LoadResString 0024 _NF__5DF 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_7931_0 {
	meta:
		name = "TIcon.SetHeight"
		size = 72
		refs = "0009 TIcon.SetHeight 0017 SChangeIconSize 001c LoadResString 0024 _NF__404 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_7932_0 {
	meta:
		name = "TIcon.SetWidth"
		size = 72
		refs = "0009 TIcon.SetWidth 0017 SChangeIconSize 001c LoadResString 0024 _NF__404 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9132_0 {
	meta:
		name = "TJPEGImage.SetHeight"
		size = 72
		refs = "0009 TJPEGImage.SetHeight 0017 sChangeJPGSize 001c LoadResString 0024 _NF__D6 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9138_0 {
	meta:
		name = "TJPEGImage.SetWidth"
		size = 72
		refs = "0009 TJPEGImage.SetWidth 0017 sChangeJPGSize 001c LoadResString 0024 _NF__D6 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_696_0 {
	meta:
		name = "TOleGraphic.SetWidth"
		size = 72
		refs = "0009 TOleGraphic.SetWidth 0017 SOleGraphic 001c LoadResString 0024 _NF__5DF 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8214_0 {
	meta:
		name = "TStringGridStrings.Delete"
		size = 72
		refs = "0009 TStringGridStrings.Delete 0017 SInvalidStringGridOp 001c LoadResString 0024 _NF__21A 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9437_0 {
	meta:
		name = "_NF__10E"
		size = 72
		refs = "0009 _NF__10E 0017 SMenuIndexError 001c LoadResString 0024 _NF__10D 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_7717_0 {
	meta:
		name = "_NF__406"
		size = 72
		refs = "0009 _NF__406 0017 SInvalidBitmap 001c LoadResString 0024 _NF__405 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_7718_0 {
	meta:
		name = "_NF__407"
		size = 72
		refs = "0009 _NF__407 0017 SInvalidIcon 001c LoadResString 0024 _NF__405 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_7719_0 {
	meta:
		name = "_NF__408"
		size = 72
		refs = "0009 _NF__408 0017 SInvalidMetafile 001c LoadResString 0024 _NF__405 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1710_0 {
	meta:
		name = "_NF__4D2"
		size = 72
		refs = "0009 _NF__4D2 0017 SInvalidPropertyValue 001c LoadResString 0024 _NF__4D1 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1711_0 {
	meta:
		name = "_NF__4D3"
		size = 72
		refs = "0009 _NF__4D3 0017 SUnknownProperty 001c LoadResString 0024 _NF__4D1 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_695_0 {
	meta:
		name = "TOleGraphic.SetPalette"
		size = 30
		refs = "0017 OleCheck"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 18 00 74 0F 56 8B 43 18 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_698_0 {
	meta:
		name = "TOleGraphic.LoadFromStream"
		size = 72
		refs = "0007 TOleGraphic.LoadFromStream 000f @IntfClear 0019 _Dn_TStreamAdapter 001e TStreamAdapter.Create 002b _NF__636 0030 OleCheck"
	strings:
		$1 = { 53 56 8B F2 8B D8 68 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 0C 83 C9 FF 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 80 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_699_0 {
	meta:
		name = "TOleGraphic.SaveToStream"
		size = 128
		refs = "000f TOleGraphic.SaveToStream 0020 _Dn_TStreamAdapter 0025 TStreamAdapter.Create 0039 @IntfCast 0047 OleCheck 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 0C 50 8D 45 FC 8B 53 18 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 09 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_700_0 {
	meta:
		name = "TOleGraphic.LoadFromClipboardFormat"
		size = 76
		refs = "000a TOleGraphic.LoadFromClipboardFormat 0018 SOleGraphic 001d LoadResString 0025 _NF__5DF 003a @LStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7934_0 {
	meta:
		name = "TIcon.LoadFromClipboardFormat"
		size = 76
		refs = "000a TIcon.LoadFromClipboardFormat 0018 SIconToClipboard 001d LoadResString 0025 _NF__404 003a @LStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7935_0 {
	meta:
		name = "TIcon.SaveToClipboardFormat"
		size = 76
		refs = "000a TIcon.SaveToClipboardFormat 0018 SIconToClipboard 001d LoadResString 0025 _NF__404 003a @LStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_701_0 {
	meta:
		name = "TOleGraphic.SaveToClipboardFormat"
		size = 76
		refs = "000a TOleGraphic.SaveToClipboardFormat 0018 SOleGraphic 001d LoadResString 0025 _NF__5DF 003a @LStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_702_0 {
	meta:
		name = "_NF__5FC"
		size = 132
		refs = "0007 _NF__600 0011 _NF__601 001b _NF__602 0025 _NF__603 003c TAggregatedObject._AddRef 0046 TAggregatedObject._Release 004c _NF__5FC"
	strings:
		$1 = { CC 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 8B 44 24 04 8B 00 FF 20 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 01 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_703_0 {
	meta:
		name = "_NF__5FF"
		size = 62
		refs = "000b @ClassCreate 001c TAggregatedObject.Create 0026 @IntfCopy"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 14 8B D6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_704_0 {
	meta:
		name = "_NF__600"
		size = 193
		refs = "0018 _NF__600 002a @VarClr 003a @CheckAutoResult 0045 @VarToWStr 004d @WStrToPWChar 00aa @WStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 7D 0C 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB EB 35 8D 45 EC E8 ?? ?? ?? ?? 50 53 8B 46 14 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 10 89 04 9A 43 FF 46 10 3B FB 7E 1A 8D 45 E8 50 8B 46 14 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 E8 3B 46 10 7F AD 83 7D 14 00 74 05 8B 45 14 89 18 3B FB 75 04 33 DB EB 05 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_705_0 {
	meta:
		name = "_NF__601"
		size = 85
		refs = "001a @CheckAutoResult"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 0C 8B 5D 08 8D 45 FC 50 8B 43 14 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 10 03 D6 3B C2 7C 07 01 73 10 33 C0 EB 1D 8D 45 FC 50 8B 43 14 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 FC 89 43 10 B8 01 00 00 00 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_706_0 {
	meta:
		name = "_NF__602"
		size = 17
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 89 50 10 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_707_0 {
	meta:
		name = "_NF__603"
		size = 50
		refs = "001a _NF__5FF 0027 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 4B 14 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D0 83 C2 0C 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_708_0 {
	meta:
		name = "TStringsAdapter.Create"
		size = 160
		refs = "0010 @ClassCreate 001e TStringsAdapter.Create 002c @IntfClear 0038 LIBID_StdVCL 003e LoadRegTypeLib 0043 OleCheck 0054 TAutoIntfObject.Create 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 01 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 00 00 E2 DF 05 EE 49 55 D0 11 9E A9 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_709_0 {
	meta:
		name = "TStringsAdapter.ReferenceStrings"
		size = 4
	strings:
		$1 = { 89 50 34 C3 }
	condition:
		$1
}

rule function_710_0 {
	meta:
		name = "TStringsAdapter.ReleaseStrings"
		size = 6
	strings:
		$1 = { 33 D2 89 50 34 C3 }
	condition:
		$1
}

rule function_711_0 {
	meta:
		name = "TStringsAdapter.Get_ControlDefault"
		size = 98
		refs = "0025 TStringsAdapter.Get_ControlDefault 0033 @VarClr 003e TStringsAdapter.Get_Item 0043 @CheckAutoResult 0055 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 10 8B 55 10 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 E8 ?? ?? ?? ?? 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_712_0 {
	meta:
		name = "TStringsAdapter.Set_ControlDefault"
		size = 94
		refs = "000d @VarAddRef 0016 TStringsAdapter.Set_ControlDefault 0032 TStringsAdapter.Set_Item 0037 @CheckAutoResult 0049 @HandleAutoException 0051 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_713_0 {
	meta:
		name = "TStringsAdapter.Count"
		size = 74
		refs = "0011 TStringsAdapter.Count 003d @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 8B 7B 34 85 FF 74 09 8B C7 8B 10 FF 52 14 89 06 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_714_0 {
	meta:
		name = "TStringsAdapter.Get_Item"
		size = 152
		refs = "0029 TStringsAdapter.Get_Item 0038 Null 003d @OleVarFromVar 005c @WStrFromLStr 0067 @VarFromWStr 0079 @HandleAutoException 0081 @LStrClr 0089 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 8B 55 10 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 34 85 F6 74 23 8D 4D F8 8B 55 0C 8B C6 8B 18 FF 53 0C 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_715_0 {
	meta:
		name = "TStringsAdapter.Set_Item"
		size = 109
		refs = "000f @VarAddRef 0018 TStringsAdapter.Set_Item 0030 @VarToLStr 004f @HandleAutoException 0057 @LStrClr 005f @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 34 85 F6 74 18 8D 45 FC 8D 55 10 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 0C 8B C6 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_716_0 {
	meta:
		name = "TStringsAdapter.Remove"
		size = 68
		refs = "000e TStringsAdapter.Remove 0037 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 70 34 85 F6 74 0A 8B 55 0C 8B C6 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_717_0 {
	meta:
		name = "TStringsAdapter.Clear"
		size = 65
		refs = "000e TStringsAdapter.Clear 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 70 34 85 F6 74 07 8B C6 8B 10 FF 52 40 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_718_0 {
	meta:
		name = "TStringsAdapter.Add"
		size = 117
		refs = "0012 @VarAddRef 001b TStringsAdapter.Add 0039 @VarToLStr 0057 @HandleAutoException 005f @LStrClr 0067 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 75 1C 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 06 FF FF FF FF 8B 7B 34 85 FF 74 17 8D 45 FC 8D 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 34 89 06 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_719_0 {
	meta:
		name = "TStringsAdapter._NewEnum"
		size = 92
		refs = "0019 TStringsAdapter._NewEnum 002b _NV__5FD 0030 _NF__5FF 003d @IntfCopy 004f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 83 C1 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_720_0 {
	meta:
		name = "GetOleStrings"
		size = 84
		refs = "0009 @IntfClear 001c _DV_TStringsAdapter 0021 TStringsAdapter.Create 002d TStrings.SetStringsAdapter 0037 GetOleStrings 003c @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 2F 83 7B 08 00 75 1A 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 30 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 E2 DF 05 EE 49 55 D0 11 9E A9 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_721_0 {
	meta:
		name = "SetOleStrings"
		size = 167
		refs = "0018 SetOleStrings 003b @CheckAutoResult 004e @VarClr 0069 @VarToLStr 0094 @LStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 55 8B C7 8B 10 FF 52 40 8D 45 F8 50 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 5D F8 4B 85 DB 7C 34 43 33 F6 8D 45 E4 E8 ?? ?? ?? ?? 50 56 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 55 E4 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 8B 08 FF 51 34 46 4B 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_722_0 {
	meta:
		name = "_NF__632"
		size = 292
		refs = "000a SetErrorMode 0015 _NF__632 0021 _NV__62D 002e LoadLibrary 004c GetProcAddress 0051 _NV__62E 0066 _NV__62F 007b _NV__630 0090 _NV__631 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 68 00 80 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 6C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 54 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 59 5D C3 00 00 00 6F 6C 65 70 72 6F 33 32 2E 64 6C 6C 00 00 00 00 4F 6C 65 43 72 65 61 74 65 50 72 6F 70 65 72 74 79 46 72 61 6D 65 00 00 4F 6C 65 43 72 65 61 74 65 46 6F 6E 74 49 6E 64 69 72 65 63 74 00 00 00 4F 6C 65 43 72 65 61 74 65 50 69 63 74 75 72 65 49 6E 64 69 72 65 63 74 00 00 00 00 4F 6C 65 4C 6F 61 64 50 69 63 74 75 72 65 00 00 }
	condition:
		$1
}

rule function_723_0 {
	meta:
		name = "_NF__633"
		size = 66
		refs = "0006 _NV__62E"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 2B 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 8B 5D 1C 53 8B 5D 20 53 8B 5D 24 53 51 52 50 FF 15 ?? ?? ?? ?? EB 05 B8 FF FF 00 80 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_724_0 {
	meta:
		name = "_NF__634"
		size = 25
		refs = "0002 _NV__62F"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0A 51 52 50 FF 15 ?? ?? ?? ?? C3 B8 FF FF 00 80 C3 }
	condition:
		$1
}

rule function_725_0 {
	meta:
		name = "_NF__635"
		size = 38
		refs = "0006 _NV__630"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 0F 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? EB 05 B8 FF FF 00 80 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_726_0 {
	meta:
		name = "_NF__636"
		size = 111
		refs = "0011 @IntfAddRef 0019 _NF__636 0025 _NV__631 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 18 8B 45 08 50 8B 45 0C 50 56 53 8B 45 FC 50 FF 15 ?? ?? ?? ?? 8B D8 EB 05 BB FF FF 00 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_727_0 {
	meta:
		name = "Finalization"
		size = 88
		refs = "0007 Finalization 0013 _NV__2EC 001b _NV__2F0 0029 DestroyWindow 002f _NV__62D 003d FreeLibrary 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 28 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_728_0 {
	meta:
		name = "AxCtrls"
		size = 35
		refs = "0002 _NV__2EC 000a _DV_TOleGraphic 0014 _Dn_TPicture 0019 TPicture.RegisterFileFormat 001e _NF__632"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 19 A1 ?? ?? ?? ?? 50 33 C9 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_729_0 {
	meta:
		name = "TAxisIncrement.FormShow"
		size = 454
		refs = "000d TAxisIncrement.FormShow 0018 Screen 0021 TScreen.SetCursor 0032 TControl.SetVisible 004d TControl.SetEnabled 005e TCustomCheckBox.SetChecked 0079 TeeMsg_EnterDateTime 007e LoadResString 0085 TAxisIncrement.SetEditText 00a4 TCustomRadioGroup.SetItemIndex 00b7 TCustomComboBox.SetItemIndex 00c4 TControl.SetText 013c @LStrClr 0151 FloatToStr 017f TControl.SetTop 01bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8A 93 F8 01 00 00 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B 83 DC 01 00 00 83 B8 24 01 00 00 00 0F 94 C2 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8A 93 F9 01 00 00 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 80 BB F8 01 00 00 00 0F 84 99 00 00 00 8B 83 E4 01 00 00 8D 50 60 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB F9 01 00 00 00 74 53 80 BB 04 02 00 00 19 74 4A 33 D2 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 33 D2 8A 93 04 02 00 00 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 8B 10 FF 52 78 E9 BF 00 00 00 BA 01 00 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 83 CA FF 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? E9 9C 00 00 00 33 D2 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 83 E4 01 00 00 83 C0 60 E8 ?? ?? ?? ?? DD 83 FC 01 00 00 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B 83 E4 01 00 00 8B 70 34 8B 93 F0 01 00 00 2B 72 34 8B 93 E8 01 00 00 8B 52 34 E8 ?? ?? ?? ?? 8B 83 E4 01 00 00 8B 50 34 2B D6 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 83 E4 01 00 00 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_730_0 {
	meta:
		name = "TAxisIncrement.SetEditText"
		size = 344
		refs = "0011 TAxisIncrement.SetEditText 002d DateTimeStep 003a TimeToStr 0048 TControl.SetText 006d @INT 007c FloatToStr 0095 @FRAC 00b0 TControl.GetText 00e2 @LStrCatN 012a @LStrArrayClr 0132 @LStrClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 83 FC 01 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 77 25 A1 ?? ?? ?? ?? FF 70 04 FF 30 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? E9 C3 00 00 00 DD 83 FC 01 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 0F 82 8C 00 00 00 DD 83 FC 01 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? DD 83 FC 01 00 00 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 74 70 8D 55 F4 8B B3 E4 01 00 00 8B C6 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? DD 83 FC 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 22 FF B3 00 02 00 00 FF B3 FC 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 00 00 00 80 3F FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_731_0 {
	meta:
		name = "TAxisIncrement.RadioGroup1Click"
		size = 218
		refs = "0024 TControl.SetEnabled 0031 TCustomCheckBox.SetChecked 006b TCustomComboBox.SetItemIndex 00c9 TAxisIncrement.SetEditText"
	strings:
		$1 = { 53 8B D8 8B 83 DC 01 00 00 8B 80 24 01 00 00 83 E8 01 72 07 74 75 E9 BD 00 00 00 33 D2 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? C6 83 F9 01 00 00 01 B2 01 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8A 83 04 02 00 00 3C 19 74 11 33 D2 8A D0 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 8B 10 FF 52 78 5B C3 33 D2 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? C6 83 F9 01 00 00 00 33 D2 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 E4 01 00 00 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_732_0 {
	meta:
		name = "TAxisIncrement.BitBtn1Click"
		size = 608
		refs = "001e TAxisIncrement.BitBtn1Click 0062 TCustomComboBox.GetItemIndex 006b DateTimeStep 0097 TControl.GetText 00a4 AnsiPos 00d1 StrToTime 00ed @HandleOnException 00f5 _Dn_Exception 0112 StrToFloat 0121 @DoneExcept 014b @LStrCopy 01ee TeeMsg_IncorrectMaxMinValue 01f3 LoadResString 020c Format 0214 ShowMessage 0233 @LStrArrayClr 0246 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D E4 89 4D E0 89 4D F8 89 4D F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 F8 01 00 00 00 0F 84 53 01 00 00 8B 45 FC 8B 80 DC 01 00 00 83 B8 24 01 00 00 00 75 32 8B 45 FC 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 4D FC 8B 1C C2 89 99 FC 01 00 00 8B 5C C2 04 89 99 00 02 00 00 E9 32 01 00 00 8D 55 F8 8B 45 FC 8B 80 E4 01 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 7C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 80 E4 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC DD 98 FC 01 00 00 9B 33 C0 5A 59 59 64 89 10 E9 D0 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 80 E4 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC DD 98 FC 01 00 00 9B E8 ?? ?? ?? ?? E9 92 00 00 00 8D 45 F8 50 8D 55 F4 8B 45 FC 8B 80 E4 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B CB 49 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DB 7D E8 9B 8D 45 F8 50 8D 55 F4 8B 45 FC 8B 80 E4 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 53 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DB 6D E8 DE C1 8B 45 FC DD 98 FC 01 00 00 9B EB 23 8D 55 F8 8B 45 FC 8B 80 E4 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC DD 98 FC 01 00 00 9B 8B 45 FC C7 80 50 01 00 00 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 4A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 43 04 89 45 D8 C6 45 DC 0B 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_733_0 {
	meta:
		name = "TAxisIncrement.CBExactClick"
		size = 77
		refs = "000b TCustomCheckBox.GetChecked 0027 TCustomRadioGroup.SetItemIndex 0034 TControl.SetEnabled 003b TAxisIncrement.SetEditText"
	strings:
		$1 = { 53 56 8B F0 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B D8 88 9E F9 01 00 00 84 DB 75 2F BA 01 00 00 00 8B 86 DC 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 86 E4 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 E4 01 00 00 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_734_0 {
	meta:
		name = "TAxisIncrement.CBStepsChange"
		size = 22
		refs = "000a TCustomComboBox.GetItemIndex"
	strings:
		$1 = { 53 8B D8 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 88 83 04 02 00 00 5B C3 }
	condition:
		$1
}

rule function_737_0 {
	meta:
		name = "TAxisMaxMin.FormShow"
		size = 316
		refs = "000c TAxisMaxMin.FormShow 0017 Screen 0020 TScreen.SetCursor 004e DateToStr 005c TControl.SetText 006b TControl.SetVisible 008c TimeToStr 00aa @LStrClr 00c0 TeeMsg_AxisDlgValue 00c5 LoadResString 00e8 FloatToStr 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 80 BB F4 01 00 00 00 74 73 DD 83 F8 01 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 72 24 FF B3 FC 01 00 00 FF B3 F8 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? EB 1A 33 D2 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? FF B3 FC 01 00 00 FF B3 F8 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? EB 74 8B 83 E4 01 00 00 83 C0 60 E8 ?? ?? ?? ?? 8B 83 E8 01 00 00 83 C0 60 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? DD 83 F8 01 00 00 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_738_0 {
	meta:
		name = "TAxisMaxMin.BitBtn1Click"
		size = 352
		refs = "0015 TAxisMaxMin.BitBtn1Click 0048 TControl.GetText 006e @LStrCatN 0076 StrToDateTime 0095 StrToTime 00b4 StrToFloat 00d4 @HandleOnException 00dc _Dn_Exception 00ee TeeMsg_IncorrectMaxMinValue 00f3 LoadResString 010c Format 0114 ShowMessage 0119 @DoneExcept 0133 @LStrArrayClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F4 01 00 00 00 74 6C 8B B3 E4 01 00 00 80 7E 44 00 74 41 8D 55 F8 8B C6 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 9B F8 01 00 00 9B EB 3C 8D 55 FC 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 9B F8 01 00 00 9B EB 1D 8D 55 FC 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 9B F8 01 00 00 9B C7 83 50 01 00 00 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 4A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 43 04 89 45 E4 C6 45 E8 0B 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_739_0 {
	meta:
		name = "TAxisMaxMin.BitBtn2Click"
		size = 11
		altNames = "TQRTableSelect.CancelClick"
	strings:
		$1 = { C7 80 50 01 00 00 02 00 00 00 C3 }
	condition:
		$1
}

rule function_742_0 {
	meta:
		name = "TBarSeriesEditor.FormShow"
		size = 309
		refs = "000d TBarSeriesEditor.FormShow 0018 Screen 0021 TScreen.SetCursor 0046 TCustomComboBox.SetItemIndex 0057 TSpinEdit.SetValue 0079 TCustomCheckBox.SetChecked 008e FloatToStr 009c TControl.SetText 00ad TControl.SetEnabled 00c0 TCustomRadioGroup.SetItemIndex 0108 TBarSeriesEditor.RefreshShape 0124 @LStrClr 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C6 83 28 02 00 00 01 8B 43 0C 89 83 2C 02 00 00 8B F0 33 D2 8A 96 D4 00 00 00 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B 96 D0 00 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 96 F4 00 00 00 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8A 96 D5 00 00 00 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? DD 86 D8 00 00 00 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8A 96 D5 00 00 00 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 33 D2 8A 96 E8 00 00 00 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8A 56 48 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8A 96 F8 00 00 00 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8A 96 F1 00 00 00 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8A 96 F0 00 00 00 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 28 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_743_0 {
	meta:
		name = "TBarSeriesEditor.RefreshShape"
		size = 80
		refs = "0016 TControl.SetVisible 002a TControl.SetEnabled 004a TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B 83 2C 02 00 00 8A 50 48 80 F2 01 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 8A 50 44 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 80 78 44 00 74 14 8B 93 2C 02 00 00 8B 52 44 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_744_0 {
	meta:
		name = "TBarSeriesEditor.SEBarwidthChange"
		size = 108
		refs = "000c TBarSeriesEditor.SEBarwidthChange 0029 TControl.GetText 003a TSpinEdit.GetValue 0047 TCustomBarSeries.SetBarWidthPercent 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 28 02 00 00 00 75 2C 8D 55 FC 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_745_0 {
	meta:
		name = "TBarSeriesEditor.CBYOriginClick"
		size = 78
		refs = "0013 TCustomCheckBox.GetChecked 0020 TCustomBarSeries.SetUseYOrigin 0037 TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 80 BB 28 02 00 00 00 75 40 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 8A 90 D5 00 00 00 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 80 78 45 00 74 05 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_746_0 {
	meta:
		name = "TBarSeriesEditor.EYOriginChange"
		size = 124
		refs = "000c TBarSeriesEditor.EYOriginChange 0029 TControl.GetText 0045 StrToFloat 0057 TCustomBarSeries.SetYOrigin 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 28 02 00 00 00 75 3C 8D 55 FC 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 28 8D 55 FC 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_747_0 {
	meta:
		name = "TBarSeriesEditor.CBBarStyleChange"
		size = 38
		refs = "0013 TCustomComboBox.GetItemIndex 0020 TCustomBarSeries.SetBarStyle"
	strings:
		$1 = { 53 8B D8 80 BB 28 02 00 00 00 75 18 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_748_0 {
	meta:
		name = "TBarSeriesEditor.BBarPenClick"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 2C 02 00 00 8B 92 E0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_749_0 {
	meta:
		name = "TBarSeriesEditor.BBarBrushClick"
		size = 18
		refs = "000d EditChartBrush"
	strings:
		$1 = { 8B 90 2C 02 00 00 8B 92 E4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_750_0 {
	meta:
		name = "TBarSeriesEditor.RGMultiBarClick"
		size = 33
		refs = "001c TCustomBarSeries.SetMultiBar"
	strings:
		$1 = { 80 B8 28 02 00 00 00 75 17 8B 90 FC 01 00 00 8A 92 24 01 00 00 8B 80 2C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_751_0 {
	meta:
		name = "TBarSeriesEditor.CBColorEachClick"
		size = 45
		refs = "0013 TCustomCheckBox.GetChecked 0020 TChartSeries.SetColorEachPoint 0027 TBarSeriesEditor.RefreshShape"
	strings:
		$1 = { 53 8B D8 80 BB 28 02 00 00 00 75 1F 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_752_0 {
	meta:
		name = "TBarSeriesEditor.BBarColorClick"
		size = 52
		refs = "0010 EditColor 0026 TCustomCheckBox.SetChecked 002d TBarSeriesEditor.RefreshShape"
	strings:
		$1 = { 53 56 8B D8 8B B3 2C 02 00 00 8B 56 44 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 4C 33 D2 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_753_0 {
	meta:
		name = "TBarSeriesEditor.CBDarkBarClick"
		size = 38
		refs = "0013 TCustomCheckBox.GetChecked 0020 TCustomBarSeries.SetDark3d"
	strings:
		$1 = { 53 8B D8 80 BB 28 02 00 00 00 75 18 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_754_0 {
	meta:
		name = "TBarSeriesEditor.CBBarSideMarginsClick"
		size = 38
		refs = "0013 TCustomCheckBox.GetChecked 0020 TCustomBarSeries.SetSideMargins"
	strings:
		$1 = { 53 8B D8 80 BB 28 02 00 00 00 75 18 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_755_0 {
	meta:
		name = "TBarSeriesEditor.SEBarOffsetChange"
		size = 108
		refs = "000c TBarSeriesEditor.SEBarOffsetChange 0029 TControl.GetText 003a TSpinEdit.GetValue 0047 TCustomBarSeries.SetOffsetPercent 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 28 02 00 00 00 75 2C 8D 55 FC 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_757_0 {
	meta:
		name = "TBarSeriesEditor.CBMarksAutoPositionClick"
		size = 29
		refs = "000a TCustomCheckBox.GetChecked 0017 TCustomBarSeries.SetAutoMarkPosition"
	strings:
		$1 = { 53 8B D8 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_760_0 {
	meta:
		name = "ErrCat"
		size = 7
		altNames = "HiByte"
	strings:
		$1 = { 0F B7 C0 C1 E8 08 C3 }
	condition:
		$1
}

rule function_761_0 {
	meta:
		name = "ErrCode"
		size = 5
	strings:
		$1 = { 66 25 FF 00 C3 }
	condition:
		$1
}

rule function_762_0 {
	meta:
		name = "DbiInit"
		size = 21
		refs = "000d DbiInitFn"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 68 90 01 00 00 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_763_0 {
	meta:
		name = "_NF__AC6"
		size = 6082
		refs = "000b _NF__AC6 0010 _NV__FB3 0028 _NF__FB6"
	strings:
		$1 = { 57 56 52 0F B7 C0 8B D0 03 C0 BE ?? ?? ?? ?? BF ?? ?? ?? ?? 89 57 04 66 8B 14 06 0F B7 D2 89 57 08 8B C7 5A 5E 5F 50 E8 ?? ?? ?? ?? A9 00 00 FF FF 74 01 50 C3 EB C9 66 B8 00 00 EB F8 66 B8 01 00 EB F2 66 B8 02 00 EB EC 66 B8 03 00 EB E6 66 B8 04 00 EB E0 66 B8 05 00 EB DA 66 B8 06 00 EB D4 66 B8 07 00 EB CE 66 B8 08 00 EB C8 66 B8 09 00 EB C2 66 B8 0A 00 EB BC 66 B8 0B 00 EB B6 66 B8 0C 00 EB B0 66 B8 0D 00 EB AA 66 B8 0E 00 EB A4 66 B8 0F 00 EB 9E 66 B8 10 00 EB 98 66 B8 11 00 EB 92 66 B8 12 00 EB 8C 66 B8 13 00 EB 86 E9 4C FF FF FF 66 B8 14 00 EB F5 66 B8 15 00 EB EF 66 B8 16 00 EB E9 66 B8 17 00 EB E3 66 B8 18 00 EB DD 66 B8 19 00 EB D7 66 B8 1A 00 EB D1 66 B8 1B 00 EB CB 66 B8 1C 00 EB C5 66 B8 1D 00 EB BF 66 B8 1E 00 EB B9 66 B8 1F 00 EB B3 66 B8 20 00 EB AD 66 B8 21 00 EB A7 66 B8 22 00 EB A1 66 B8 23 00 EB 9B 66 B8 24 00 EB 95 66 B8 25 00 EB 8F 66 B8 26 00 EB 89 66 B8 27 00 EB 83 E9 CF FE FF FF 66 B8 28 00 EB F5 66 B8 29 00 EB EF 66 B8 2A 00 EB E9 66 B8 2B 00 EB E3 66 B8 2C 00 EB DD 66 B8 2D 00 EB D7 66 B8 2E 00 EB D1 66 B8 2F 00 EB CB 66 B8 30 00 EB C5 66 B8 31 00 EB BF 66 B8 32 00 EB B9 66 B8 33 00 EB B3 66 B8 34 00 EB AD 66 B8 35 00 EB A7 66 B8 36 00 EB A1 66 B8 37 00 EB 9B 66 B8 38 00 EB 95 66 B8 39 00 EB 8F 66 B8 3A 00 EB 89 66 B8 3B 00 EB 83 E9 52 FE FF FF 66 B8 3C 00 EB F5 66 B8 3D 00 EB EF 66 B8 3E 00 EB E9 66 B8 3F 00 EB E3 66 B8 40 00 EB DD 66 B8 41 00 EB D7 66 B8 42 00 EB D1 66 B8 43 00 EB CB 66 B8 44 00 EB C5 66 B8 45 00 EB BF 66 B8 46 00 EB B9 66 B8 47 00 EB B3 66 B8 48 00 EB AD 66 B8 49 00 EB A7 66 B8 4A 00 EB A1 66 B8 4B 00 EB 9B 66 B8 4C 00 EB 95 66 B8 4D 00 EB 8F 66 B8 4E 00 EB 89 66 B8 4F 00 EB 83 E9 D5 FD FF FF 66 B8 50 00 EB F5 66 B8 51 00 EB EF 66 B8 52 00 EB E9 66 B8 53 00 EB E3 66 B8 54 00 EB DD 66 B8 55 00 EB D7 66 B8 56 00 EB D1 66 B8 57 00 EB CB 66 B8 58 00 EB C5 66 B8 59 00 EB BF 66 B8 5A 00 EB B9 66 B8 5B 00 EB B3 66 B8 5C 00 EB AD 66 B8 5D 00 EB A7 66 B8 5E 00 EB A1 66 B8 5F 00 EB 9B 66 B8 60 00 EB 95 66 B8 61 00 EB 8F 66 B8 62 00 EB 89 66 B8 63 00 EB 83 E9 58 FD FF FF 66 B8 64 00 EB F5 66 B8 65 00 EB EF 66 B8 66 00 EB E9 66 B8 67 00 EB E3 66 B8 68 00 EB DD 66 B8 69 00 EB D7 66 B8 6A 00 EB D1 66 B8 6B 00 EB CB 66 B8 6C 00 EB C5 66 B8 6D 00 EB BF 66 B8 6E 00 EB B9 66 B8 6F 00 EB B3 66 B8 70 00 EB AD 66 B8 71 00 EB A7 66 B8 72 00 EB A1 66 B8 73 00 EB 9B 66 B8 74 00 EB 95 66 B8 75 00 EB 8F 66 B8 76 00 EB 89 66 B8 77 00 EB 83 E9 DB FC FF FF 66 B8 78 00 EB F5 66 B8 79 00 EB EF 66 B8 7A 00 EB E9 66 B8 7B 00 EB E3 66 B8 7C 00 EB DD 66 B8 7D 00 EB D7 66 B8 7E 00 EB D1 66 B8 7F 00 EB CB 66 B8 80 00 EB C5 66 B8 81 00 EB BF 66 B8 82 00 EB B9 66 B8 83 00 EB B3 66 B8 84 00 EB AD 66 B8 85 00 EB A7 66 B8 86 00 EB A1 66 B8 87 00 EB 9B 66 B8 88 00 EB 95 66 B8 89 00 EB 8F 66 B8 8A 00 EB 89 66 B8 8B 00 EB 83 E9 5E FC FF FF 66 B8 8C 00 EB F5 66 B8 8D 00 EB EF 66 B8 8E 00 EB E9 66 B8 8F 00 EB E3 66 B8 90 00 EB DD 66 B8 91 00 EB D7 66 B8 92 00 EB D1 66 B8 93 00 EB CB 66 B8 94 00 EB C5 66 B8 95 00 EB BF 66 B8 96 00 EB B9 66 B8 97 00 EB B3 66 B8 98 00 EB AD 66 B8 99 00 EB A7 66 B8 9A 00 EB A1 66 B8 9B 00 EB 9B 66 B8 9C 00 EB 95 66 B8 9D 00 EB 8F 66 B8 9E 00 EB 89 66 B8 9F 00 EB 83 E9 E1 FB FF FF 66 B8 A0 00 EB F5 66 B8 A1 00 EB EF 66 B8 A2 00 EB E9 66 B8 A3 00 EB E3 66 B8 A4 00 EB DD 66 B8 A5 00 EB D7 66 B8 A6 00 EB D1 66 B8 A7 00 EB CB 66 B8 A8 00 EB C5 66 B8 A9 00 EB BF 66 B8 AA 00 EB B9 66 B8 AB 00 EB B3 66 B8 AC 00 EB AD 66 B8 AD 00 EB A7 66 B8 AE 00 EB A1 66 B8 AF 00 EB 9B 66 B8 B0 00 EB 95 66 B8 B1 00 EB 8F 66 B8 B2 00 EB 89 66 B8 B3 00 EB 83 E9 64 FB FF FF 66 B8 B4 00 EB F5 66 B8 B5 00 EB EF 66 B8 B6 00 EB E9 66 B8 B7 00 EB E3 66 B8 B8 00 EB DD 66 B8 B9 00 EB D7 66 B8 BA 00 EB D1 66 B8 BB 00 EB CB 66 B8 BC 00 EB C5 66 B8 BD 00 EB BF 66 B8 BE 00 EB B9 66 B8 BF 00 EB B3 66 B8 C0 00 EB AD 66 B8 C1 00 EB A7 66 B8 C2 00 EB A1 66 B8 C3 00 EB 9B 66 B8 C4 00 EB 95 66 B8 C5 00 EB 8F 66 B8 C6 00 EB 89 66 B8 C7 00 EB 83 E9 E7 FA FF FF 66 B8 C8 00 EB F5 66 B8 C9 00 EB EF 66 B8 CA 00 EB E9 66 B8 CB 00 EB E3 66 B8 CC 00 EB DD 66 B8 CD 00 EB D7 66 B8 CE 00 EB D1 66 B8 CF 00 EB CB 66 B8 D0 00 EB C5 66 B8 D1 00 EB BF 66 B8 D2 00 EB B9 66 B8 D3 00 EB B3 66 B8 D4 00 EB AD 66 B8 D5 00 EB A7 66 B8 D6 00 EB A1 66 B8 D7 00 EB 9B 66 B8 D8 00 EB 95 66 B8 D9 00 EB 8F 66 B8 DA 00 EB 89 66 B8 DB 00 EB 83 E9 6A FA FF FF 66 B8 DC 00 EB F5 66 B8 DD 00 EB EF 66 B8 DE 00 EB E9 66 B8 DF 00 EB E3 66 B8 E0 00 EB DD 66 B8 E1 00 EB D7 66 B8 E2 00 EB D1 66 B8 E3 00 EB CB 66 B8 E4 00 EB C5 66 B8 E5 00 EB BF 66 B8 E6 00 EB B9 66 B8 E7 00 EB B3 66 B8 E8 00 EB AD 66 B8 E9 00 EB A7 66 B8 EA 00 EB A1 66 B8 EB 00 EB 9B 66 B8 EC 00 EB 95 66 B8 ED 00 EB 8F 66 B8 EE 00 EB 89 66 B8 EF 00 EB 83 E9 ED F9 FF FF 66 B8 F0 00 EB F5 66 B8 F1 00 EB EF 66 B8 F2 00 EB E9 66 B8 F3 00 EB E3 66 B8 F4 00 EB DD 66 B8 F5 00 EB D7 66 B8 F6 00 EB D1 66 B8 F7 00 EB CB 66 B8 F8 00 EB C5 66 B8 F9 00 EB BF 66 B8 FA 00 EB B9 66 B8 FB 00 EB B3 66 B8 FC 00 EB AD 66 B8 FD 00 EB A7 66 B8 FE 00 EB A1 66 B8 FF 00 EB 9B 66 B8 00 01 EB 95 66 B8 01 01 EB 8F 66 B8 02 01 EB 89 66 B8 03 01 EB 83 E9 70 F9 FF FF 66 B8 04 01 EB F5 66 B8 05 01 EB EF 66 B8 06 01 EB E9 66 B8 07 01 EB E3 66 B8 08 01 EB DD 66 B8 09 01 EB D7 66 B8 0A 01 EB D1 66 B8 0B 01 EB CB 66 B8 0C 01 EB C5 66 B8 0D 01 EB BF 66 B8 0E 01 EB B9 66 B8 0F 01 EB B3 66 B8 10 01 EB AD 66 B8 11 01 EB A7 66 B8 12 01 EB A1 66 B8 13 01 EB 9B 66 B8 14 01 EB 95 66 B8 15 01 EB 8F 66 B8 16 01 EB 89 66 B8 17 01 EB 83 E9 F3 F8 FF FF 66 B8 18 01 EB F5 66 B8 19 01 EB EF 66 B8 1A 01 EB E9 66 B8 1B 01 EB E3 66 B8 1C 01 EB DD 66 B8 1D 01 EB D7 66 B8 1E 01 EB D1 66 B8 1F 01 EB CB 66 B8 20 01 EB C5 66 B8 21 01 EB BF 66 B8 22 01 EB B9 66 B8 23 01 EB B3 66 B8 24 01 EB AD 66 B8 25 01 EB A7 66 B8 26 01 EB A1 66 B8 27 01 EB 9B 66 B8 28 01 EB 95 66 B8 29 01 EB 8F 66 B8 2A 01 EB 89 66 B8 2B 01 EB 83 E9 76 F8 FF FF 66 B8 2C 01 EB F5 66 B8 2D 01 EB EF 66 B8 2E 01 EB E9 66 B8 2F 01 EB E3 66 B8 30 01 EB DD 66 B8 31 01 EB D7 66 B8 32 01 EB D1 66 B8 33 01 EB CB 66 B8 34 01 EB C5 66 B8 35 01 EB BF 66 B8 36 01 EB B9 66 B8 37 01 EB B3 66 B8 38 01 EB AD 66 B8 39 01 EB A7 66 B8 3A 01 EB A1 66 B8 3B 01 EB 9B 66 B8 3C 01 EB 95 66 B8 3D 01 EB 8F 66 B8 3E 01 EB 89 66 B8 3F 01 EB 83 E9 F9 F7 FF FF 66 B8 40 01 EB F5 66 B8 41 01 EB EF 66 B8 42 01 EB E9 66 B8 43 01 EB E3 66 B8 44 01 EB DD 66 B8 45 01 EB D7 66 B8 46 01 EB D1 66 B8 47 01 EB CB 66 B8 48 01 EB C5 66 B8 49 01 EB BF 66 B8 4A 01 EB B9 66 B8 4B 01 EB B3 66 B8 4C 01 EB AD 66 B8 4D 01 EB A7 66 B8 4E 01 EB A1 66 B8 4F 01 EB 9B 66 B8 50 01 EB 95 66 B8 51 01 EB 8F 66 B8 52 01 EB 89 66 B8 53 01 EB 83 E9 7C F7 FF FF 66 B8 54 01 EB F5 66 B8 55 01 EB EF 66 B8 56 01 EB E9 66 B8 57 01 EB E3 66 B8 58 01 EB DD 66 B8 59 01 EB D7 66 B8 5A 01 EB D1 66 B8 5B 01 EB CB 66 B8 5C 01 EB C5 66 B8 5D 01 EB BF 66 B8 5E 01 EB B9 66 B8 5F 01 EB B3 66 B8 60 01 EB AD 66 B8 61 01 EB A7 66 B8 62 01 EB A1 66 B8 63 01 EB 9B 66 B8 64 01 EB 95 66 B8 65 01 EB 8F 66 B8 66 01 EB 89 66 B8 67 01 EB 83 E9 FF F6 FF FF 66 B8 68 01 EB F5 66 B8 69 01 EB EF 66 B8 6A 01 EB E9 66 B8 6B 01 EB E3 66 B8 6C 01 EB DD 66 B8 6D 01 EB D7 66 B8 6E 01 EB D1 66 B8 6F 01 EB CB 66 B8 70 01 EB C5 66 B8 71 01 EB BF 66 B8 72 01 EB B9 66 B8 73 01 EB B3 66 B8 74 01 EB AD 66 B8 75 01 EB A7 66 B8 76 01 EB A1 66 B8 77 01 EB 9B 66 B8 78 01 EB 95 66 B8 79 01 EB 8F 66 B8 7A 01 EB 89 66 B8 7B 01 EB 83 E9 82 F6 FF FF 66 B8 7C 01 EB F5 66 B8 7D 01 EB EF 66 B8 7E 01 EB E9 66 B8 7F 01 EB E3 66 B8 80 01 EB DD 66 B8 81 01 EB D7 66 B8 82 01 EB D1 66 B8 83 01 EB CB 66 B8 84 01 EB C5 66 B8 85 01 EB BF 66 B8 86 01 EB B9 66 B8 87 01 EB B3 66 B8 88 01 EB AD 66 B8 89 01 EB A7 66 B8 8A 01 EB A1 66 B8 8B 01 EB 9B 66 B8 8C 01 EB 95 66 B8 8D 01 EB 8F 66 B8 8E 01 EB 89 66 B8 8F 01 EB 83 E9 05 F6 FF FF 66 B8 90 01 EB F5 66 B8 91 01 EB EF 66 B8 92 01 EB E9 66 B8 93 01 EB E3 66 B8 94 01 EB DD 66 B8 95 01 EB D7 66 B8 96 01 EB D1 66 B8 97 01 EB CB 66 B8 98 01 EB C5 66 B8 99 01 EB BF 66 B8 9A 01 EB B9 66 B8 9B 01 EB B3 66 B8 9C 01 EB AD 66 B8 9D 01 EB A7 66 B8 9E 01 EB A1 66 B8 9F 01 EB 9B 66 B8 A0 01 EB 95 66 B8 A1 01 EB 8F 66 B8 A2 01 EB 89 66 B8 A3 01 EB 83 E9 88 F5 FF FF 66 B8 A4 01 EB F5 66 B8 A5 01 EB EF 66 B8 A6 01 EB E9 66 B8 A7 01 EB E3 66 B8 A8 01 EB DD 66 B8 A9 01 EB D7 66 B8 AA 01 EB D1 66 B8 AB 01 EB CB 66 B8 AC 01 EB C5 66 B8 AD 01 EB BF 66 B8 AE 01 EB B9 66 B8 AF 01 EB B3 66 B8 B0 01 EB AD 66 B8 B1 01 EB A7 66 B8 B2 01 EB A1 66 B8 B3 01 EB 9B 66 B8 B4 01 EB 95 66 B8 B5 01 EB 8F 66 B8 B6 01 EB 89 66 B8 B7 01 EB 83 E9 0B F5 FF FF 66 B8 B8 01 EB F5 66 B8 B9 01 EB EF 66 B8 BA 01 EB E9 66 B8 BB 01 EB E3 66 B8 BC 01 EB DD 66 B8 BD 01 EB D7 66 B8 BE 01 EB D1 66 B8 BF 01 EB CB 66 B8 C0 01 EB C5 66 B8 C1 01 EB BF 66 B8 C2 01 EB B9 66 B8 C3 01 EB B3 66 B8 C4 01 EB AD 66 B8 C5 01 EB A7 66 B8 C6 01 EB A1 66 B8 C7 01 EB 9B 66 B8 C8 01 EB 95 66 B8 C9 01 EB 8F 66 B8 CA 01 EB 89 66 B8 CB 01 EB 83 E9 8E F4 FF FF 66 B8 CC 01 EB F5 66 B8 CD 01 EB EF 66 B8 CE 01 EB E9 66 B8 CF 01 EB E3 66 B8 D0 01 EB DD 66 B8 D1 01 EB D7 66 B8 D2 01 EB D1 66 B8 D3 01 EB CB 66 B8 D4 01 EB C5 66 B8 D5 01 EB BF 66 B8 D6 01 EB B9 66 B8 D7 01 EB B3 66 B8 D8 01 EB AD 66 B8 D9 01 EB A7 66 B8 DA 01 EB A1 66 B8 DB 01 EB 9B 66 B8 DC 01 EB 95 66 B8 DD 01 EB 8F 66 B8 DE 01 EB 89 66 B8 DF 01 EB 83 E9 11 F4 FF FF 66 B8 E0 01 EB F5 66 B8 E1 01 EB EF 66 B8 E2 01 EB E9 66 B8 E3 01 EB E3 66 B8 E4 01 EB DD 66 B8 E5 01 EB D7 66 B8 E6 01 EB D1 66 B8 E7 01 EB CB 66 B8 E8 01 EB C5 66 B8 E9 01 EB BF 66 B8 EA 01 EB B9 66 B8 EB 01 EB B3 66 B8 EC 01 EB AD 66 B8 ED 01 EB A7 66 B8 EE 01 EB A1 66 B8 EF 01 EB 9B 66 B8 F0 01 EB 95 66 B8 F1 01 EB 8F 66 B8 F2 01 EB 89 66 B8 F3 01 EB 83 E9 94 F3 FF FF 66 B8 F4 01 EB F5 66 B8 F5 01 EB EF 66 B8 F6 01 EB E9 66 B8 F7 01 EB E3 66 B8 F8 01 EB DD 66 B8 F9 01 EB D7 66 B8 FA 01 EB D1 66 B8 FB 01 EB CB 66 B8 FC 01 EB C5 66 B8 FD 01 EB BF 66 B8 FE 01 EB B9 66 B8 FF 01 EB B3 66 B8 00 02 EB AD 66 B8 01 02 EB A7 66 B8 02 02 EB A1 66 B8 03 02 EB 9B 66 B8 04 02 EB 95 66 B8 05 02 EB 8F 66 B8 06 02 EB 89 66 B8 07 02 EB 83 E9 17 F3 FF FF 66 B8 08 02 EB F5 66 B8 09 02 EB EF 66 B8 0A 02 EB E9 66 B8 0B 02 EB E3 66 B8 0C 02 EB DD 66 B8 0D 02 EB D7 66 B8 0E 02 EB D1 66 B8 0F 02 EB CB 66 B8 10 02 EB C5 66 B8 11 02 EB BF 66 B8 12 02 EB B9 66 B8 13 02 EB B3 66 B8 14 02 EB AD 66 B8 15 02 EB A7 66 B8 16 02 EB A1 66 B8 17 02 EB 9B 66 B8 18 02 EB 95 66 B8 19 02 EB 8F 66 B8 1A 02 EB 89 66 B8 1B 02 EB 83 E9 9A F2 FF FF 66 B8 1C 02 EB F5 66 B8 1D 02 EB EF 66 B8 1E 02 EB E9 66 B8 1F 02 EB E3 66 B8 20 02 EB DD 66 B8 21 02 EB D7 66 B8 22 02 EB D1 66 B8 23 02 EB CB 66 B8 24 02 EB C5 66 B8 25 02 EB BF 66 B8 26 02 EB B9 66 B8 27 02 EB B3 66 B8 28 02 EB AD 66 B8 29 02 EB A7 66 B8 2A 02 EB A1 66 B8 2B 02 EB 9B 66 B8 2C 02 EB 95 66 B8 2D 02 EB 8F 66 B8 2E 02 EB 89 66 B8 2F 02 EB 83 E9 1D F2 FF FF 66 B8 30 02 EB F5 66 B8 31 02 EB EF 66 B8 32 02 EB E9 66 B8 33 02 EB E3 66 B8 34 02 EB DD 66 B8 35 02 EB D7 66 B8 36 02 EB D1 66 B8 37 02 EB CB 66 B8 38 02 EB C5 66 B8 39 02 EB BF 66 B8 3A 02 EB B9 66 B8 3B 02 EB B3 66 B8 3C 02 EB AD 66 B8 3D 02 EB A7 66 B8 3E 02 EB A1 66 B8 3F 02 EB 9B 66 B8 40 02 EB 95 66 B8 41 02 EB 8F 66 B8 42 02 EB 89 66 B8 43 02 EB 83 E9 A0 F1 FF FF 66 B8 44 02 EB F5 66 B8 45 02 EB EF 66 B8 46 02 EB E9 66 B8 47 02 EB E3 66 B8 48 02 EB DD 66 B8 49 02 EB D7 66 B8 4A 02 EB D1 66 B8 4B 02 EB CB 66 B8 4C 02 EB C5 66 B8 4D 02 EB BF 66 B8 4E 02 EB B9 66 B8 4F 02 EB B3 66 B8 50 02 EB AD 66 B8 51 02 EB A7 66 B8 52 02 EB A1 66 B8 53 02 EB 9B 66 B8 54 02 EB 95 66 B8 55 02 EB 8F 66 B8 56 02 EB 89 66 B8 57 02 EB 83 E9 23 F1 FF FF 66 B8 58 02 EB F5 66 B8 59 02 EB EF 66 B8 5A 02 EB E9 66 B8 5B 02 EB E3 66 B8 5C 02 EB DD 66 B8 5D 02 EB D7 66 B8 5E 02 EB D1 66 B8 5F 02 EB CB 66 B8 60 02 EB C5 66 B8 61 02 EB BF 66 B8 62 02 EB B9 66 B8 63 02 EB B3 66 B8 64 02 EB AD 66 B8 65 02 EB A7 66 B8 66 02 EB A1 66 B8 67 02 EB 9B 66 B8 68 02 EB 95 66 B8 69 02 EB 8F 66 B8 6A 02 EB 89 66 B8 6B 02 EB 83 E9 A6 F0 FF FF 66 B8 6C 02 EB F5 66 B8 6D 02 EB EF 66 B8 6E 02 EB E9 66 B8 6F 02 EB E3 66 B8 70 02 EB DD 66 B8 71 02 EB D7 66 B8 72 02 EB D1 66 B8 73 02 EB CB 66 B8 74 02 EB C5 66 B8 75 02 EB BF 66 B8 76 02 EB B9 66 B8 77 02 EB B3 66 B8 78 02 EB AD 66 B8 79 02 EB A7 66 B8 7A 02 EB A1 66 B8 7B 02 EB 9B 66 B8 7C 02 EB 95 66 B8 7D 02 EB 8F 66 B8 7E 02 EB 89 66 B8 7F 02 EB 83 E9 29 F0 FF FF 66 B8 80 02 EB F5 66 B8 81 02 EB EF 66 B8 82 02 EB E9 66 B8 83 02 EB E3 66 B8 84 02 EB DD 66 B8 85 02 EB D7 66 B8 86 02 EB }
	condition:
		$1
}

rule function_1066_0 {
	meta:
		name = "_NF__FB5"
		size = 1233
		refs = "00a7 IsDBCSLeadByte 00d0 GetCurrentDirectoryA 00e4 FatalAppExitA 014b GlobalAlloc 0151 GlobalLock 016d FindFirstFileA 0178 FindClose 01a0 _NV__FBC 01aa RegOpenKeyExA 01cd RegQueryValueExA 01dd RegCloseKey 01f4 _NV__FBD 01f9 InitializeCriticalSection 0222 DeleteCriticalSection 023b InterlockedIncrement 0249 CreateMutexA 0263 InterlockedDecrement 026d ReleaseMutex 027b CloseHandle 0285 EnterCriticalSection 02a3 LeaveCriticalSection 02c1 SetErrorMode 030c LoadLibraryA 0347 SearchPathA 036e GetLastError 039e _NV__FBE 03a8 _NV__FBF 0468 GetModuleHandleA"
	strings:
		$1 = { 55 8B EC 53 8B 55 08 8B 45 0C 80 38 00 74 0A 8A 08 40 8A 1A 42 3A CB 74 F1 80 38 00 75 0C 80 3A 00 75 07 B8 01 00 00 00 EB 02 33 C0 5B 5D C2 08 00 55 8B EC 53 56 57 8B 75 08 8B 55 0C 8B 4D 10 66 85 F6 74 2E 33 C0 EB 0F 0F B7 D8 8D 3C 19 0F B7 D8 8A 1C 1A 88 1F 40 0F B7 D8 80 3C 1A 00 74 0B 0F B7 D8 0F B7 FE 4F 3B DF 7C DD 0F B7 C0 C6 04 01 00 5F 5E 5B 5D C2 0C 00 55 8B EC 53 56 57 8B 7D 08 8B 75 0C 83 C8 FF 33 DB 3B FB 7E 2E 8A 14 1E 84 D2 75 05 83 C8 FF EB 22 48 75 07 B8 02 00 00 00 EB 13 52 E8 ?? ?? ?? ?? 85 C0 74 07 B8 01 00 00 00 EB 02 33 C0 43 3B FB 7F D2 5F 5E 5B 5D C2 08 00 55 8B EC 53 8B 5D 0C 53 FF 75 08 E8 ?? ?? ?? ?? 8B C3 5B 5D C2 08 00 55 8B EC FF 75 08 6A 00 E8 ?? ?? ?? ?? 5D C2 04 00 55 8B EC 53 56 8B 75 10 8B DE 8B 45 0C 33 D2 EB 08 8A 08 40 43 88 4B FF 42 80 38 00 75 F3 3B F3 74 1A 80 7B FF 5C 75 10 56 0F BF C2 48 50 E8 5B FF FF FF 83 F8 02 75 04 C6 03 5C 43 8B 45 08 EB 07 8A 10 40 43 88 53 FF 80 38 00 75 F4 C6 03 00 5E 5B 5D C2 0C 00 55 8B EC FF 75 08 6A 40 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D C2 04 00 55 8B EC 81 C4 C0 FE FF FF 8D 85 C0 FE FF FF 50 FF 75 08 E8 ?? ?? ?? ?? 83 F8 FF 74 0D 50 E8 ?? ?? ?? ?? B8 01 00 00 00 EB 02 33 C0 8B E5 5D C2 04 00 55 8B EC 83 C4 F8 53 33 DB 8D 45 FC 50 68 19 00 02 00 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 75 31 0F B7 55 08 89 55 F8 8D 4D F8 51 FF 75 0C 6A 00 6A 00 68 ?? ?? ?? ?? FF 75 FC E8 ?? ?? ?? ?? 85 C0 74 04 66 BB 04 2A FF 75 FC E8 ?? ?? ?? ?? EB 04 66 BB 04 2A 8B C3 5B 59 59 5D C2 08 00 55 8B EC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 5D C3 55 8B EC 83 3D ?? ?? ?? ?? 00 74 11 33 C0 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 55 8B EC 53 83 3D ?? ?? ?? ?? 00 75 4A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 01 6A 00 E8 ?? ?? ?? ?? 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 93 FF FF FF 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 08 53 E8 ?? ?? ?? ?? EB 0C 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 01 00 00 00 5B 5D C3 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 55 8B EC 81 C4 F0 FC FF FF 53 56 57 8B 5D 08 8B 75 0C 68 00 80 00 00 E8 ?? ?? ?? ?? 8B F8 85 DB 74 04 8B C3 EB 17 8D 95 F8 FE FF FF 52 68 04 01 00 00 E8 E4 FD FF FF 8D 85 F8 FE FF FF 8D 95 F0 FC FF FF 52 50 56 E8 F8 FD FF FF 8D 8D F0 FC FF FF 51 E8 59 FE FF FF 85 C0 74 12 8D 85 F0 FC FF FF 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 5C 8D 85 F4 FD FF FF 50 68 04 01 00 00 E8 64 FE FF FF 66 85 C0 75 35 8D 55 FC 52 8D 8D F0 FC FF FF 51 68 04 01 00 00 6A 00 56 8D 85 F4 FD FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 12 8D 95 F0 FC FF FF 52 E8 ?? ?? ?? ?? 8B D8 85 DB 75 11 56 E8 ?? ?? ?? ?? 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 55 8B EC 8B 45 08 5D C2 04 00 55 8B EC 5D C2 04 00 55 8B EC 53 56 57 8B 75 08 BF ?? ?? ?? ?? E8 81 FE FF FF B8 ?? ?? ?? ?? 2B C7 B9 30 00 00 00 33 D2 F7 F1 33 DB 3B C3 76 11 8B D3 03 D2 8D 14 52 3B 34 D7 74 05 43 3B C3 77 EF 3B C3 76 64 33 F6 EB 20 8B C3 C1 E0 04 8D 04 40 03 C7 50 56 8B D3 03 D2 8D 14 52 8B 4C D7 2A FF 34 B1 E8 C6 00 00 00 46 8B C3 03 C0 8D 04 40 0F B7 54 C7 04 3B F2 72 D0 8B CB C1 E1 04 8D 0C 49 03 CF 51 E8 6D FF FF FF 8B D3 03 D2 8D 14 52 33 C9 89 0C D0 8B D3 03 D2 8D 14 52 66 C7 44 D0 2E 00 00 50 E8 57 FF FF FF E8 CE FD FF FF 5F 5E 5B 5D C2 04 00 55 8B EC 51 53 56 57 8B 7D 08 33 C0 89 45 FC 57 E8 2C FF FF FF 8B D8 85 DB 75 06 66 B8 01 25 EB 50 8D 57 06 52 E8 ?? ?? ?? ?? 8B F0 85 F6 75 24 83 C7 06 57 6A 00 E8 2C FE FF FF 8B F0 85 F6 75 0C 53 E8 04 FF FF FF 66 B8 0A 21 EB 24 C7 45 FC 01 00 00 00 89 33 66 8B 55 FC 66 09 53 2E 53 E8 E7 FE FF FF 56 68 ?? ?? ?? ?? E8 15 02 00 00 33 C0 5F 5E 5B 59 5D C2 04 00 55 8B EC 8B 45 10 8B 50 26 8B 4D 0C 8B 45 08 89 04 8A 5D C2 0C 00 }
	condition:
		$1
}

rule function_1067_0 {
	meta:
		name = "_NF__FB6"
		size = 661
		refs = "0040 GetProcAddress 007e _NV__FBE 0090 _NV__FBF 00ce FreeLibrary 01c3 _NV__FBC 0264 GetLastError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 8B 1E 8B 7E 04 E8 44 FD FF FF 85 C0 75 07 B8 06 2A 00 00 EB 42 83 3B 00 75 12 53 E8 48 FF FF FF 66 85 C0 74 07 0F B7 D0 8B C2 EB 2B 66 8B 46 08 0F B7 D0 52 FF 33 E8 ?? ?? ?? ?? 8B F0 85 F6 75 07 B8 4F 27 00 00 EB 0F 53 57 56 E8 91 FF FF FF E8 62 FD FF FF 8B C6 5F 5E 5B 5D C2 04 00 55 8B EC E8 B0 FC FF FF B8 01 00 00 00 5D C3 55 8B EC 51 53 56 57 BF ?? ?? ?? ?? E8 D0 FC FF FF 85 C0 0F 84 B5 00 00 00 B8 ?? ?? ?? ?? 2B C7 B9 30 00 00 00 33 D2 F7 F1 89 45 FC 33 DB 3B 5D FC 73 63 8B C3 03 C0 8D 04 40 8B 34 C7 85 F6 74 1B 56 E8 6E 01 00 00 8B C3 03 C0 8D 04 40 66 83 7C C7 2E 00 74 06 56 E8 ?? ?? ?? ?? 33 F6 EB 20 8B C3 C1 E0 04 8D 04 40 03 C7 50 56 8B D3 03 D2 8D 14 52 8B 4C D7 2A FF 34 B1 E8 F5 FE FF FF 46 8B C3 03 C0 8D 04 40 0F B7 54 C7 04 3B F2 72 D0 43 3B 5D FC 72 9D 57 E8 A0 FD FF FF 33 DB 3B 5D FC 73 20 8B D3 03 D2 8D 14 52 33 C9 89 0C D0 8B D3 03 D2 8D 14 52 66 C7 44 D0 2E 00 00 43 3B 5D FC 72 E0 50 E8 7D FD FF FF E8 F4 FB FF FF 5F 5E 5B 59 5D C3 55 8B EC 53 56 57 8B 75 0C 56 FF 75 08 E8 D3 F9 FF FF 85 C0 74 0A B8 01 00 00 00 E9 84 00 00 00 B8 ?? ?? ?? ?? 2D ?? ?? ?? ?? B9 30 00 00 00 33 D2 F7 F1 8B F8 33 DB 3B FB 76 67 8B C3 C1 E0 04 8D 04 40 05 ?? ?? ?? ?? 50 56 E8 96 F9 FF FF 85 C0 75 4A 8B D3 03 D2 8D 14 52 83 3C D5 ?? ?? ?? ?? 00 74 04 33 C0 EB 3C 68 ?? ?? ?? ?? E8 F6 FC FF FF 8B D8 85 DB 75 0A 68 ?? ?? ?? ?? E8 3E FA FF FF 8D 43 06 50 FF 75 08 6A 20 E8 86 F9 FF FF 53 E8 DC FC FF FF B8 01 00 00 00 EB 07 43 3B FB 77 99 33 C0 5F 5E 5B 5D C2 08 00 55 8B EC 83 C4 F4 68 ?? ?? ?? ?? FF 75 0C E8 ?? ?? ?? ?? 66 C7 45 F4 01 00 C7 45 F6 ?? ?? ?? ?? 8B 55 08 89 55 FA 85 C0 74 06 8D 4D F4 51 FF D0 8B E5 5D C2 08 00 55 8B EC 53 8B 5D 08 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 04 FF D0 EB 16 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 07 68 ?? ?? ?? ?? FF D0 5B 5D C2 04 00 55 8B EC E8 ?? ?? ?? ?? 83 C0 FE 83 E8 02 72 11 83 E8 0A 74 12 83 E8 70 74 07 83 E8 23 74 02 EB 0C 66 B8 08 21 EB 0A 66 B8 01 25 EB 04 66 B8 09 21 5D C2 04 00 }
	condition:
		$1
}

rule function_1068_0 {
	meta:
		name = "DbiInitFn"
		size = 251
		refs = "0017 _NV__FBC 0075 GetProcAddress 00d8 FreeLibrary"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 FC 33 D2 89 55 F8 33 FF 83 3D ?? ?? ?? ?? 00 75 40 68 ?? ?? ?? ?? 6A 00 E8 19 FB FF FF 8B D8 85 DB 75 0F 53 E8 95 FF FF FF 8B F0 33 DB E9 8D 00 00 00 C7 45 F8 01 00 00 00 E8 87 FD FF FF 85 C0 75 06 66 BE 01 25 EB 77 C7 45 FC 01 00 00 00 EB 06 8B 1D ?? ?? ?? ?? E8 59 FA FF FF BF 01 00 00 00 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 75 06 66 BE 06 2A EB 49 FF 75 0C 66 8B 55 08 52 FF D0 8B F0 66 85 F6 75 38 66 83 3D ?? ?? ?? ?? 00 75 12 68 ?? ?? ?? ?? E8 75 FB FF FF 89 18 50 E8 77 FB FF FF 68 ?? ?? ?? ?? E8 63 FB FF FF 66 FF 00 50 E8 64 FB FF FF E8 63 FA FF FF 33 C0 EB 26 85 DB 74 0C 83 7D F8 00 74 06 53 E8 ?? ?? ?? ?? 83 7D FC 00 74 05 E8 FA FC FF FF 85 FF 74 05 E8 3B FA FF FF 8B C6 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1069_0 {
	meta:
		name = "DbiExit"
		size = 128
		refs = "0006 _NV__FBC 0011 GetProcAddress 0062 FreeLibrary"
	strings:
		$1 = { 55 8B EC 53 56 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 06 66 B8 4F 27 EB 5B FF D3 66 85 C0 75 54 66 83 3D ?? ?? ?? ?? 00 76 48 68 ?? ?? ?? ?? E8 E6 FA FF FF 8B D8 85 DB 74 03 66 FF 0B 66 83 3D ?? ?? ?? ?? 00 75 25 68 ?? ?? ?? ?? E8 C9 FA FF FF 8B F0 FF 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 74 04 33 C0 89 06 56 E8 B8 FA FF FF 53 E8 B2 FA FF FF 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1070_0 {
	meta:
		name = "DbiDLLExit"
		size = 100
		refs = "0008 _NV__FBF 000d _NV__FBE 0033 _NV__FB4 005e DbiGetSysVersion"
	strings:
		$1 = { 55 8B EC 53 56 33 F6 B8 ?? ?? ?? ?? 2D ?? ?? ?? ?? B9 30 00 00 00 33 D2 F7 F1 85 C0 74 07 E8 43 FC FF FF EB 2D E8 1D F9 FF FF 85 C0 75 04 8B C6 EB 22 BB ?? ?? ?? ?? 8B 03 85 C0 74 10 50 E8 D8 FD FF FF 33 D2 89 13 66 C7 43 2E 00 00 E8 D6 F8 FF FF 8B C6 5E 5B 5D C3 55 8B EC 6A 00 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_1075_0 {
	meta:
		name = "EUpdateError.Create"
		size = 154
		refs = "000e @ClassCreate 001d @LStrAddRef 002d EUpdateError.Create 003e @LStrAsg 005a Exception.Create 006f @LStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 10 8B 55 10 E8 ?? ?? ?? ?? 66 8B 45 0C 66 89 46 0C 66 8B 45 08 66 89 46 0E 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_1076_0 {
	meta:
		name = "_NF__C2"
		size = 39
		refs = "000c _DV_TProvider 0011 TProvider.Create"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 8B 08 FF 51 28 89 73 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1077_0 {
	meta:
		name = "TProvider.Create"
		size = 82
		refs = "000b @ClassCreate 001c TComponent.Create 0024 _Dn_TDBDataSet 0029 @IsClass"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 89 77 34 66 C7 47 28 FF FF C6 47 63 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1078_0 {
	meta:
		name = "TProvider.Notification"
		size = 45
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 83 7F 34 00 74 0A 3B 77 34 75 05 33 C0 89 47 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1079_0 {
	meta:
		name = "TProvider.DoOnGetData"
		size = 177
		refs = "0014 TProvider.DoOnGetData 0031 _Dn_TClientDataSet 0036 TClientDataSet.Create 0044 TClientDataSet.SetData 004f TClientDataSet.AppendData 0060 TClientDataSet.GetChangeCount 006c TClientDataSet.MergeChangeLog 0077 TClientDataSet.GetData 0081 @VarCopy 0089 TClientDataSet.EmptyDataSet 009e @VarClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 76 00 74 68 8B 43 54 85 C0 75 1E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 54 8B D6 8B C7 E8 ?? ?? ?? ?? EB 09 8B D6 33 C9 E8 ?? ?? ?? ?? 8B 53 54 8B 43 78 FF 53 74 8B 43 54 E8 ?? ?? ?? ?? 85 C0 7E 1D 8B 43 54 E8 ?? ?? ?? ?? 8D 55 F0 8B 43 54 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 43 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1080_0 {
	meta:
		name = "TProvider.GetRecords"
		size = 540
		refs = "0021 TProvider.GetRecords 0038 SMissingDataSet 003d LoadResString 0045 DatabaseError 0073 TDataSet.GetActive 0082 TDataSet.Open 00a9 TDataSet.CheckBrowseMode 00c4 DbiSetToEnd 00e6 DbiSetToBegin 00f3 TDataSet.UpdateCursorPos 010b DbiGetPriorRecord 0122 TBDEDataSet.ConstraintCallBack 0139 DsProviderGetDataPacket 013e Check 0149 SafeArrayToVariant 0154 @OleVarFromVar 018b DbiGetNextRecord 01a3 TDataSet.CursorPosChanged 01c2 TProvider.DoOnGetData 01d1 @HandleAnyException 01e1 @RaiseAgain 01e6 @DoneExcept 01fb @VarClr 0203 @LStrClr 0209 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 34 00 75 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8A 1D ?? ?? ?? ?? 8B 45 FC 80 78 63 00 75 04 85 F6 75 10 80 CB 08 8B 45 FC 66 83 78 28 00 74 03 80 CB 02 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 84 C0 75 19 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 8B 45 FC C6 40 62 01 8B 45 FC C6 40 60 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 8B 45 FC 80 78 60 00 74 14 8B 45 FC 8B 40 34 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? EB 45 83 FE FF 75 1D 8B 45 FC 83 78 5C 00 75 14 8B 45 FC 8B 40 34 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? EB 23 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 FC 8B 40 34 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 89 37 8D 45 F4 50 8D 45 F8 50 57 8B 45 FC 8B 40 34 50 68 ?? ?? ?? ?? 33 C0 8A C3 50 8B 45 FC 8B 40 34 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 08 E8 ?? ?? ?? ?? 8B 07 8B 55 FC 01 42 5C 3B 37 74 0C 33 D2 8B 45 FC 8B 08 FF 51 40 EB 4B 8B 45 FC C6 40 63 00 6A 00 6A 00 6A 00 8B 45 FC 8B 40 34 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 3D 02 22 0F 94 C0 8B 55 FC 88 42 60 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 34 8A 15 ?? ?? ?? ?? 8B 08 FF 91 A4 01 00 00 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 83 CA FF 8B 45 FC 8B 08 FF 51 40 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 }
	condition:
		$1
}

rule function_1081_0 {
	meta:
		name = "TProvider.Reset"
		size = 91
		refs = "001c TDataSet.Close 0028 TDataSet.GetActive 0034 TDataSet.First 004f TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 34 00 74 2C 80 7B 62 00 74 12 80 7B 61 00 75 0C 8B 43 34 E8 ?? ?? ?? ?? C6 43 62 00 8B 43 34 E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 34 E8 ?? ?? ?? ?? 66 F7 DE 1B C0 F7 D8 88 43 63 33 C0 89 43 5C C6 43 60 00 8B 43 54 E8 ?? ?? ?? ?? 33 C0 89 43 54 5E 5B C3 }
	condition:
		$1
}

rule function_1082_0 {
	meta:
		name = "_NF__D5"
		size = 339
		refs = "0019 _NF__D5 002f VarArrayHighBound 0038 TBDEDataSet.GetIndexFieldCount 0066 @VarArrayGet 0071 VarIsArray 00aa @VarToLStr 00b4 TDataSet.FieldByName 00f3 TBDEDataSet.GetIndexField 0130 @VarClr 0138 @LStrClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 C0 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 3B D8 7C 0A 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 8B F3 85 F6 0F 8C CB 00 00 00 46 33 DB 53 6A 01 8B 45 08 83 C0 F0 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 75 6A 00 6A 01 53 6A 01 8B 45 08 83 C0 F0 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 DC 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 F0 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 50 6A 01 6A 01 53 6A 01 8B 45 08 83 C0 F0 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 DC 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 F0 58 8B 08 FF 51 7C EB 29 8B D3 8B C7 E8 ?? ?? ?? ?? 50 53 6A 01 8B 45 08 83 C0 F0 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 F0 58 8B 08 FF 51 7C 43 4E 0F 85 38 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1083_0 {
	meta:
		name = "_NF__D6"
		size = 358
		refs = "0019 _NF__D6 002a VarIsNull 0042 VarArrayHighBound 004b TParams.Count 0079 @VarArrayGet 0084 VarIsArray 00bd @VarToLStr 00c7 TParams.ParamByName 00fb TParam.SetAsVariant 0106 TParams.GetParam 0143 @VarClr 014b @LStrClr 0159 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 FC 00 00 00 8B 45 08 83 C0 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 3B D8 7C 0A 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 8B F3 85 F6 0F 8C CB 00 00 00 46 33 DB 53 6A 01 8B 45 08 83 C0 F0 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 75 6A 00 6A 01 53 6A 01 8B 45 08 83 C0 F0 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 DC 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 F0 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 50 6A 01 6A 01 53 6A 01 8B 45 08 83 C0 F0 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 DC 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 F0 58 E8 ?? ?? ?? ?? EB 29 8B D3 8B C7 E8 ?? ?? ?? ?? 50 53 6A 01 8B 45 08 83 C0 F0 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 F0 58 E8 ?? ?? ?? ?? 43 4E 0F 85 38 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1084_0 {
	meta:
		name = "TProvider.SetParams"
		size = 374
		refs = "0029 @VarAddRef 0031 TProvider.SetParams 0049 VarIsNull 0055 VarIsArray 0075 VarArrayOf 0080 @OleVarFromVar 008b _Dn_TTable 0090 @IsClass 00a9 TTable.CancelRange 00b9 TDataSet.Open 00c0 TTable.SetRangeStart 00c9 _NF__D5 00d1 TTable.SetRangeEnd 00e2 TTable.ApplyRange 00f3 _Dn_TQuery 0106 _Dn_TStoredProc 012d _NF__D6 015b @VarClr 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D E0 89 4D E4 89 4D E8 89 4D EC 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B F8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7F 34 00 0F 84 05 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 33 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 27 57 8D 75 F0 8D 7D D0 B9 04 00 00 00 F3 A5 5F 8D 45 D0 8D 4D E0 33 D2 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8B 5F 34 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 54 8B F3 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 10 8B C6 E8 ?? ?? ?? ?? C6 47 61 00 E9 8B 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 55 8B 47 34 E8 ?? ?? ?? ?? 59 8B C6 E8 ?? ?? ?? ?? 55 8B 47 34 E8 ?? ?? ?? ?? 59 8B C6 E8 ?? ?? ?? ?? C6 47 61 01 EB 55 8B 77 34 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 75 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 8B 47 34 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 0F 55 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 59 EB 0D 55 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 59 33 D2 8B C7 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1085_0 {
	meta:
		name = "_NF__DA"
		size = 199
		refs = "000d _NF__DA 001e _Dn_TQuery 0023 @IsClass 0040 @LStrAsg 0048 @LStrClr 0052 _Dn_TTable 0066 @LStrLen 0076 @LStrSetLength 007f TDBDataSet.GetDBLocale 0088 @LStrToPChar 0099 AnsiToNative 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 34 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 FC 8B 86 F0 01 00 00 8B 08 FF 51 1C 8B 55 FC 8D 43 4C E8 ?? ?? ?? ?? 8D 43 48 E8 ?? ?? ?? ?? EB 57 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 2D 8D 43 48 8B D6 E8 ?? ?? ?? ?? 56 8B 43 34 E8 ?? ?? ?? ?? 50 8B 43 48 E8 ?? ?? ?? ?? 8B C8 8B 43 34 8B 90 F8 01 00 00 58 E8 ?? ?? ?? ?? 8D 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1086_0 {
	meta:
		name = "TProvider.DoOnUpdateData"
		size = 62
		refs = "0010 _Dn_TClientDataSet 0015 TClientDataSet.Create 0024 TClientDataSet.SetData 002e TClientDataSet.SetReadOnly"
	strings:
		$1 = { 53 56 8B D8 66 83 7B 6E 00 74 30 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 50 8D 53 38 8B C6 E8 ?? ?? ?? ?? B2 01 8B 43 50 E8 ?? ?? ?? ?? 8B 53 50 8B 43 70 FF 53 6C 5E 5B C3 }
	condition:
		$1
}

rule function_1087_0 {
	meta:
		name = "TProvider.ApplyUpdates"
		size = 526
		refs = "0046 @VarAddRef 004e TProvider.ApplyUpdates 0062 @VarCopy 0078 TProvider.DoOnUpdateData 008c SMissingDataSet 0091 LoadResString 009c DatabaseError 00a4 _NF__DA 00af TDBDataSet.OpenDatabase 00d9 _NF__E2 00fa @LStrToPChar 0110 TBDEDataSet.ConstraintCallBack 0151 DsResolver 0156 Check 0164 SafeArrayToVariant 0172 @OleVarFromVar 018d TDBDataSet.CloseDatabase 0193 @HandleFinally 01ad TObject.Free 01c1 Null 01e6 @VarClr 01f1 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 64 FF FF FF 53 56 57 33 DB 89 9D 64 FF FF FF 89 9D 68 FF FF FF 89 9D 6C FF FF FF 89 9D 70 FF FF FF 89 9D 74 FF FF FF 8B F2 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 8B F1 89 45 FC 8B 5D 0C 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 38 8D 55 E8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 34 00 75 1B 8D 95 74 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C6 89 42 58 89 03 8B 45 FC 66 83 78 66 00 74 07 B8 ?? ?? ?? ?? EB 02 33 C0 8B 55 FC 8B 52 40 89 55 C8 89 45 B8 8B 45 FC 89 45 A8 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 89 45 88 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 89 45 98 B8 ?? ?? ?? ?? 89 85 78 FF FF FF 8D 45 D8 50 53 8B 45 FC 8B 40 34 50 8D 85 78 FF FF FF 50 8D 45 B8 50 8D 45 A8 50 8D 45 88 50 8D 45 98 50 6A 00 6A 00 6A 00 8B 45 F8 8B 40 38 50 8D 45 C8 50 6A 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 64 FF FF FF 8B 45 D8 E8 ?? ?? ?? ?? 8D 95 64 FF FF FF 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 34 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 50 8B 45 FC 83 C0 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1088_0 {
	meta:
		name = "_NF__E2"
		size = 404
		refs = "0019 _NF__E2 0040 _Dn_TClientDataSet 0045 TClientDataSet.Create 005c TClientDataSet.SetData 008f TClientDataSet.SetAltRecBuffers 00d0 @LStrFromPChar 00f3 _DV_EUpdateError 00f8 EUpdateError.Create 00fd @RaiseExcept 010c @HandleOnException 0136 @DoneExcept 0145 @HandleAnyException 014a Application 0154 TApplication.HandleException 017d @LStrArrayClr 0183 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 7D 28 8B 75 24 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 83 78 50 00 75 26 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 50 8B 45 08 8D 50 38 8B 45 08 8B 40 50 E8 ?? ?? ?? ?? 80 FB 02 75 06 C6 45 FE 02 EB 0F 80 FB 04 75 06 C6 45 FE 01 EB 04 C6 45 FE 00 80 7D FE 02 75 15 8B 45 2C 50 8B 45 08 8B 40 50 8B CF 8B D6 E8 ?? ?? ?? ?? EB 13 8B 45 2C 50 8B 45 08 8B 40 50 8B CE 8B D7 E8 ?? ?? ?? ?? 8B 45 08 83 78 58 00 74 06 C6 45 FF 00 EB 04 C6 45 FF 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 8B 55 20 E8 ?? ?? ?? ?? 8B 45 F8 50 66 8B 45 18 50 66 8B 45 0C 50 8D 45 F4 8B 55 1C E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2F E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8A 55 FE 52 8D 55 FF 52 8B 55 08 8B 52 50 8B 5D 08 8B C8 8B 43 68 FF 53 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 08 E8 ?? ?? ?? ?? C6 45 FF 01 E8 ?? ?? ?? ?? 33 DB 8A 5D FF 43 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule function_1090_0 {
	meta:
		name = "BdeProv"
		size = 31
		refs = "0002 _NV__B9 000a CreateProviderProc 001a _NF__C2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 A1 ?? ?? ?? ?? 83 38 00 75 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1091_0 {
	meta:
		name = "InternalEditFont"
		size = 116
		refs = "000e _Dn_TFontDialog 0013 TFontDialog.Create 001e InternalEditFont 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 4C 8B 55 FC 8B 08 FF 51 08 8B 45 F8 8B 10 FF 52 34 84 C0 74 0E 8B 45 F8 8B 50 4C 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_1092_0 {
	meta:
		name = "EditChartBrush"
		size = 88
		refs = "000c _DV_TBrushDialog 0011 TCustomForm.Create 001c EditChartBrush 0033 TCustomForm.ShowModal 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 F4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1093_0 {
	meta:
		name = "TBrushDialog.RedrawShape"
		size = 82
		refs = "000a TBrush.GetStyle 001a TControl.SetEnabled 0025 TBrush.GetColor 0038 TBrush.SetColor 004c TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 95 C2 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 01 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 8B 83 E8 01 00 00 8A 50 45 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1094_0 {
	meta:
		name = "TBrushDialog.FormShow"
		size = 118
		refs = "0005 Screen 000e TScreen.SetCursor 0015 _Dn_TChartBrush 001a TChartBrush.Create 003a TBrush.GetStyle 004b TCustomRadioGroup.SetItemIndex 006f TBrushDialog.RedrawShape"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F8 01 00 00 8B 93 F4 01 00 00 8B C6 8B 08 FF 51 08 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 0F 33 D2 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? EB 1B 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 33 D2 8A D0 4A 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1095_0 {
	meta:
		name = "TBrushDialog.RGStyleClick"
		size = 60
		refs = "001b TBrush.SetStyle 0036 TBrushDialog.RedrawShape"
	strings:
		$1 = { 53 8B D8 8B 83 DC 01 00 00 83 B8 24 01 00 00 00 75 0F 33 D2 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? EB 12 8A 90 24 01 00 00 42 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1096_0 {
	meta:
		name = "TBrushDialog.BColorClick"
		size = 45
		refs = "000d TBrush.GetColor 0016 EditColor 001f TBrush.SetColor 0026 TBrushDialog.RedrawShape"
	strings:
		$1 = { 53 56 8B D8 8B B3 F4 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1098_0 {
	meta:
		name = "TBrushDialog.Button3Click"
		size = 32
	strings:
		$1 = { 53 8B D8 8B 93 F8 01 00 00 8B 83 F4 01 00 00 8B 08 FF 51 08 C7 83 50 01 00 00 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1099_0 {
	meta:
		name = "TBrushDialog.FormClose"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6029_0 {
	meta:
		name = "TQuery.ParamByName"
		size = 12
		refs = "0007 TParams.ParamByName"
	strings:
		$1 = { 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6020_0 {
	meta:
		name = "TQuery.SetParamsList"
		size = 12
		refs = "0007 TParams.AssignValues"
	strings:
		$1 = { 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1102_0 {
	meta:
		name = "TBubbleSeries.Create"
		size = 152
		refs = "000a @ClassCreate 0017 TPointSeries.Create 001c TBubbleSeries.Create 0025 _Dn_TChartValueList 002a TChartValueList.Create 003d TSeriesPointer.SetInflateMargins 004a TSeriesPointer.SetStyle 0057 TChartPen.SetVisible 0061 TSeriesMarks.SetBackTransparent 0071 TChartSeries.SetColorEachPoint"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 10 01 00 00 33 D2 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? B2 01 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? 8B 46 3C 8B 40 1C 33 D2 E8 ?? ?? ?? ?? B2 01 8B 46 3C E8 ?? ?? ?? ?? C6 86 14 01 00 00 01 B2 01 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 FF FF FF FF 06 00 00 00 52 61 64 69 75 73 00 00 }
	condition:
		$1
}

rule function_1105_0 {
	meta:
		name = "TBubbleSeries.AddBubble"
		size = 77
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F0 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 4D FC 8B C6 8B 18 FF 93 90 00 00 00 8B D8 8B 86 10 01 00 00 8B 55 08 89 50 18 8B 55 0C 89 50 1C 8B D3 8B C6 8B 08 FF 91 B8 00 00 00 8B C3 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_1106_0 {
	meta:
		name = "TBubbleSeries.FillSampleValues"
		size = 200
		refs = "0032 TChartSeries.CalcRandomBounds 0043 @ROUND 0048 @RandInt 0082 TBubbleSeries.FillSampleValues 009c TBubbleSeries.AddBubble 00af TChartSeries.RefreshSeries"
	strings:
		$1 = { 53 56 57 55 83 C4 CC 8B DA 8B F0 8B FC 8D 6C 24 20 8B C6 8B 10 FF 92 88 00 00 00 8D 44 24 10 50 8D 44 24 0C 50 8D 44 24 20 50 55 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 DB 7E 72 FF 77 04 FF 37 DD 45 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 30 DB 44 24 30 83 C4 F8 DD 1C 24 9B B8 19 00 00 00 E8 ?? ?? ?? ?? 83 C0 0A 89 44 24 3C DB 44 24 3C DC 7D 00 E8 ?? ?? ?? ?? 89 44 24 40 DB 44 24 40 DB 2D ?? ?? ?? ?? DC 4D 00 DE C1 83 C4 F8 DD 1C 24 9B B9 00 00 00 80 33 D2 8B C6 E8 ?? ?? ?? ?? DD 07 DC 44 24 10 DD 1F 9B 4B 75 8E 8B C6 E8 ?? ?? ?? ?? 83 C4 34 5D 5F 5E 5B C3 00 0A D7 A3 70 3D 0A D7 A3 FA 3F 00 00 }
	condition:
		$1
}

rule function_1107_0 {
	meta:
		name = "TBubbleSeries.DrawValue"
		size = 181
		refs = "0010 TChartValueList.GetValue 001e TChartSeries.CalcYSizeValue 0036 TSeriesPointer.ChangeHorizSize 0053 TChartSeries.CalcXSizeValue 006d TSeriesPointer.ChangeVertSize 0085 TSeriesPointer.PrepareCanvas"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B 83 10 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B F8 80 BB 14 01 00 00 00 74 0F 8B D7 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? EB 28 8B D6 8B 83 10 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 48 8B F8 8B D7 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 57 56 8B D6 8B C3 8B 08 FF 91 B4 00 00 00 50 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 8B D0 8B C3 59 8B 18 FF 93 10 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1108_0 {
	meta:
		name = "TBubbleSeries.MaxYValue"
		size = 105
		refs = "000b TChartSeries.MaxYValue 0016 TChartSeries.Count 0043 TChartValueList.GetValue 0053 MaxDouble"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3E 47 33 DB FF 74 24 04 FF 74 24 04 8B D3 8B C6 8B 08 FF 51 40 DD 5C 24 10 9B 8B D3 8B 86 10 01 00 00 E8 ?? ?? ?? ?? DC 44 24 10 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B 43 4F 75 C5 DD 04 24 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1109_0 {
	meta:
		name = "TBubbleSeries.MinYValue"
		size = 105
		refs = "000b TChartSeries.MinYValue 0016 TChartSeries.Count 0043 TChartValueList.GetValue 0053 MinDouble"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3E 47 33 DB FF 74 24 04 FF 74 24 04 8B D3 8B C6 8B 08 FF 51 40 DD 5C 24 10 9B 8B D3 8B 86 10 01 00 00 E8 ?? ?? ?? ?? DC 6C 24 10 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B 43 4F 75 C5 DD 04 24 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1110_0 {
	meta:
		name = "TBubbleSeries.Assign"
		size = 47
		refs = "000a _DV_TBubbleSeries 000f @IsClass 0028 TPointSeries.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8A 86 14 01 00 00 88 83 14 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1111_0 {
	meta:
		name = "TBubbleSeries.GetEditorClass"
		size = 48
		refs = "0006 TBubbleSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 13 00 00 00 54 42 75 62 62 6C 65 53 65 72 69 65 73 45 64 69 74 6F 72 00 }
	condition:
		$1
}

rule function_1113_0 {
	meta:
		name = "TBubbleSeries.DrawLegendShape"
		size = 70
		refs = "0016 MinLong 0025 TSeriesPointer.ChangeHorizSize 0032 TSeriesPointer.ChangeVertSize 003d TCustomSeries.DrawLegendShape"
	strings:
		$1 = { 53 56 57 55 8B D9 8B EA 8B F0 8B 53 0C 2B 53 04 8B 43 08 2B 03 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B D5 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1116_0 {
	meta:
		name = "TBubbleSeriesEditor.FormShow"
		size = 151
		refs = "0005 Screen 000e TScreen.SetCursor 002d TCustomCheckBox.SetChecked 0043 TCustomRadioGroup.SetItemIndex 005b TControl.SetEnabled 007d TBrush.GetColor"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 F8 01 00 00 8B F0 8B 86 D4 00 00 00 8A 50 0C 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 33 D2 8A 50 0D 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 80 78 0D 00 0F 94 C2 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 8A 50 19 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 8B 40 14 E8 ?? ?? ?? ?? 3D 00 00 00 80 0F 94 C2 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1117_0 {
	meta:
		name = "TBubbleSeriesEditor.CB3dPointClick"
		size = 35
		refs = "000a TCustomCheckBox.GetChecked 001d TSeriesPointer.Set3D"
	strings:
		$1 = { 53 8B D8 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 F8 01 00 00 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1118_0 {
	meta:
		name = "TBubbleSeriesEditor.BPointFillColorClick"
		size = 60
		refs = "0016 TBrush.GetColor 001f EditColor 0028 TBrush.SetColor 0035 TCustomCheckBox.SetChecked"
	strings:
		$1 = { 53 56 8B D8 8B 83 F8 01 00 00 8B 80 D4 00 00 00 8B 70 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1119_0 {
	meta:
		name = "TBubbleSeriesEditor.CBPointColorDefClick"
		size = 45
		refs = "000a TCustomCheckBox.GetChecked 0027 TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 19 8B 83 F8 01 00 00 8B 80 D4 00 00 00 8B 40 14 BA 00 00 00 80 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1120_0 {
	meta:
		name = "TBubbleSeriesEditor.BPoinPenColClick"
		size = 21
		refs = "0010 EditChartPen"
	strings:
		$1 = { 8B 90 F8 01 00 00 8B 92 D4 00 00 00 8B 52 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1121_0 {
	meta:
		name = "TBubbleSeriesEditor.FormCreate"
		size = 9
	strings:
		$1 = { 33 D2 89 90 F8 01 00 00 C3 }
	condition:
		$1
}

rule function_1122_0 {
	meta:
		name = "TBubbleSeriesEditor.CBInflateClick"
		size = 35
		refs = "000a TCustomCheckBox.GetChecked 001d TSeriesPointer.SetInflateMargins"
	strings:
		$1 = { 53 8B D8 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 F8 01 00 00 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1123_0 {
	meta:
		name = "TBubbleSeriesEditor.RGStyleClick"
		size = 64
		refs = "001c TSeriesPointer.SetStyle 003a TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 E8 01 00 00 8A 90 24 01 00 00 8B 83 F8 01 00 00 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 8B 80 D4 00 00 00 80 78 0D 00 0F 94 C2 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1126_0 {
	meta:
		name = "_NF__15C"
		size = 88
	strings:
		$1 = { 42 42 4F 4B 00 00 00 00 42 42 43 41 4E 43 45 4C 00 00 00 00 42 42 48 45 4C 50 00 00 42 42 59 45 53 00 00 00 42 42 4E 4F 00 00 00 00 42 42 43 4C 4F 53 45 00 42 42 41 42 4F 52 54 00 42 42 52 45 54 52 59 00 42 42 49 47 4E 4F 52 45 00 00 00 00 42 42 41 4C 4C 00 00 00 }
	condition:
		$1
}

rule function_1127_0 {
	meta:
		name = "DrawButtonFace"
		size = 624
		refs = "0019 NewStyleControls 0049 TBrush.SetColor 0053 TBrush.SetStyle 005a TCanvas.GetHandle 0070 DrawEdge 00eb TPen.SetColor 0117 TCanvas.Rectangle 012f TCanvas.SetPixel 017c InflateRect 01c6 Frame3D 01e4 Point 0233 TCanvas.Polyline 0250 Rect 0263 OffsetRect"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 4D FC 8B F2 8B D8 8B 45 18 84 C0 75 0B 8B 15 ?? ?? ?? ?? 80 3A 00 75 08 3C 02 74 04 33 C0 EB 02 B0 01 56 8D 7D EC B9 04 00 00 00 F3 A5 5E 84 C0 0F 84 A2 00 00 00 BA 0F 00 00 80 8B 43 14 E8 ?? ?? ?? ?? 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 80 7D 10 00 74 3E 6A 03 6A 08 8D 45 EC 50 53 E8 ?? ?? ?? ?? 6A 0C 6A 02 8D 45 EC 50 53 E8 ?? ?? ?? ?? FF 4D F8 FF 4D F4 FF 45 F0 FF 45 EC 68 03 08 00 00 6A 02 8D 45 EC 50 53 E8 ?? ?? ?? ?? E9 93 01 00 00 6A 0C 6A 01 8D 45 EC 50 53 E8 ?? ?? ?? ?? FF 4D F8 FF 4D F4 6A 03 6A 04 8D 45 EC 50 53 E8 ?? ?? ?? ?? FF 45 F0 FF 45 EC 68 0C 08 00 00 6A 04 8D 45 EC 50 53 E8 ?? ?? ?? ?? E9 55 01 00 00 BA 06 00 00 80 8B 43 10 E8 ?? ?? ?? ?? BA 0F 00 00 80 8B 43 14 E8 ?? ?? ?? ?? 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 4D F0 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 80 7D 14 00 74 4C 68 0F 00 00 80 8B 4D F0 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 68 0F 00 00 80 8B 4D F8 49 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 68 0F 00 00 80 8B 55 F4 4A 8B 4D F0 8B C3 E8 ?? ?? ?? ?? 68 0F 00 00 80 8B 4D F8 49 8B 55 F4 4A 8B C3 E8 ?? ?? ?? ?? 80 7D 0C 00 74 2C 6A FF 6A FF 8D 45 EC 50 E8 ?? ?? ?? ?? B2 01 8B 43 14 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 4D F0 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 EC 50 E8 ?? ?? ?? ?? 80 7D 10 00 75 1A 68 10 00 00 80 8B 45 FC 50 8D 55 EC B9 14 00 00 80 8B C3 E8 ?? ?? ?? ?? EB 6B BA 10 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D CC 8B 55 F8 4A 8B 45 EC E8 ?? ?? ?? ?? 8B 45 CC 89 45 D4 8B 45 D0 89 45 D8 8D 4D C4 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 C4 89 45 DC 8B 45 C8 89 45 E0 8D 4D BC 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 BC 89 45 E4 8B 45 C0 89 45 E8 8D 55 D4 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 46 0C 83 E8 02 50 8B 45 08 50 8B 4E 08 83 E9 02 8B 56 04 42 8B 06 40 E8 ?? ?? ?? ?? 80 7D 10 00 74 0D 6A 01 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_1128_0 {
	meta:
		name = "_NF__168"
		size = 142
		refs = "000d _NF__168 001f _NV__15F 0029 _Dn_TBitmap 002e TBitmap.Create 003f _NV__15B 0044 @LStrFromPChar 004d HInstance 005f TBitmap.LoadFromResourceName 007b @LStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 83 E6 7F 83 3C B5 ?? ?? ?? ?? 00 75 3D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 B5 ?? ?? ?? ?? 8D 45 FC 8B 14 B5 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 15 ?? ?? ?? ?? 8B 12 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1C B5 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1129_0 {
	meta:
		name = "_NF__16F"
		size = 71
		refs = "000d @ClassCreate 001e TCustomImageList.CreateSize 0025 _Dn_TBits 002a TObject.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 64 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1130_0 {
	meta:
		name = "_NF__170"
		size = 42
		refs = "000a TObject.Free 0016 TCustomImageList.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 64 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1131_0 {
	meta:
		name = "_NF__171"
		size = 63
		refs = "0008 TBits.OpenBit 001d TCustomImageList.Add 002a TBits.SetSize 0036 TBits.SetBit"
	strings:
		$1 = { 53 56 8B D8 8B 43 64 E8 ?? ?? ?? ?? 8B F0 8B 43 64 3B 70 04 7C 18 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 56 01 8B 43 64 E8 ?? ?? ?? ?? B1 01 8B D6 8B 43 64 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1132_0 {
	meta:
		name = "_NF__172"
		size = 41
		refs = "000d _NF__171 001b TCustomImageList.ReplaceMasked"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 55 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? FF 43 68 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1133_0 {
	meta:
		name = "_NF__173"
		size = 38
		refs = "000c TBits.GetBit 001f TBits.SetBit"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 64 E8 ?? ?? ?? ?? 84 C0 74 0F FF 4B 68 33 C9 8B D6 8B 43 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1134_0 {
	meta:
		name = "TComponentList.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList"
		altNames = "TQRExportFilterLibrary.Create _NF__174 _NF__1A6 _NF__1B8"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12507_0 {
	meta:
		name = "TQRLibrary.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1135_0 {
	meta:
		name = "TComponentList.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TObject.Destroy 0021 @ClassDestroy"
		altNames = "TQRExportFilterLibrary.Destroy TQRLibrary.Destroy _NF__175"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7775_0 {
	meta:
		name = "TPicture.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TPersistent.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9074_0 {
	meta:
		name = "TVirtualStream.Destroy"
		size = 42
		refs = "000a TInterface.Free 0016 TObject.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1136_0 {
	meta:
		name = "_NF__176"
		size = 93
		refs = "001e TList.Get 0040 _NV__169 0045 _NF__16F 0051 TList.Add"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F8 8B 47 04 8B 70 08 4E 83 FE 00 7C 1F 8B D6 8B 47 04 E8 ?? ?? ?? ?? 8B D8 3B 6B 28 75 08 8B 04 24 3B 43 24 74 24 4E 83 FE FF 75 E1 8B 04 24 50 8B CD B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B 47 04 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1137_0 {
	meta:
		name = "_NF__177"
		size = 32
		refs = "0013 TList.Remove 001a TObject.Free"
	strings:
		$1 = { 53 8B DA 85 DB 74 17 83 7B 68 00 75 11 8B D3 8B 40 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1138_0 {
	meta:
		name = "_NF__178"
		size = 11
	strings:
		$1 = { 8B 40 04 83 78 08 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_1139_0 {
	meta:
		name = "_NF__17C"
		size = 193
		refs = "0007 _NV__17A 000e _Dn_TBitmap 0013 TBitmap.Create 0034 TBitmap.GetCanvas 0040 TBrush.SetStyle 004d TBrush.SetColor 006c Rect 0075 TCanvas.FillRect 00aa TCanvas.SetPixel"
	strings:
		$1 = { 53 56 57 83 C4 F0 BB ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 BA 08 00 00 00 8B 03 8B 08 FF 51 40 BA 08 00 00 00 8B 03 8B 08 FF 51 34 8B 03 E8 ?? ?? ?? ?? 8B F8 33 D2 8B 47 14 E8 ?? ?? ?? ?? BA 0F 00 00 80 8B 47 14 E8 ?? ?? ?? ?? 8B 03 8B 10 FF 52 20 50 8D 44 24 04 50 8B 03 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B D4 8B C7 E8 ?? ?? ?? ?? 33 F6 33 DB 8B C6 25 01 00 00 80 79 05 48 83 C8 FE 40 8B D3 81 E2 01 00 00 80 79 05 4A 83 CA FE 42 3B C2 75 10 68 14 00 00 80 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 83 FB 08 75 C9 46 83 FE 08 75 C1 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1140_0 {
	meta:
		name = "_NF__17D"
		size = 138
		refs = "000e @ClassCreate 001c TObject.Create 0023 _Dn_TBitmap 0028 TBitmap.Create 0037 _NF__180 005b _NV__179 0065 _NV__16B 006a _NF__174"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 89 5E 08 C7 46 04 ?? ?? ?? ?? C7 43 1C 80 80 00 00 C6 43 20 01 33 C0 33 D2 8A D0 C7 44 93 0C FF FF FF FF 40 3C 04 75 EF 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1141_0 {
	meta:
		name = "_NF__17E"
		size = 89
		refs = "000a TObject.Free 0011 _NF__17F 0017 _NV__179 0024 _NF__178 0045 TObject.Destroy 0050 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1142_0 {
	meta:
		name = "_NF__17F"
		size = 71
		refs = "001f _NF__173 0035 _NV__179 003a _NF__177"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B FB 83 E7 7F 8B 44 BE 0C 83 F8 FF 74 0E 33 D2 8A D3 8B D0 8B 46 08 E8 ?? ?? ?? ?? C7 44 BE 0C FF FF FF FF 43 80 FB 04 75 D6 8B 56 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1143_0 {
	meta:
		name = "_NF__180"
		size = 46
		refs = "000e TBitmap.GetTransparentColor 0018 _NF__17F"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 3B D6 75 20 8B C6 E8 ?? ?? ?? ?? 89 43 1C 8B C3 E8 ?? ?? ?? ?? 66 83 7B 26 00 74 08 8B D3 8B 43 28 FF 53 24 5E 5B C3 }
	condition:
		$1
}

rule function_1144_0 {
	meta:
		name = "_NF__181"
		size = 118
		refs = "0009 _NF__17F 0029 TBitmap.GetTransparentColor 006f _NF__182"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 46 04 8B 08 FF 51 08 85 DB 74 58 8B C3 8B 10 FF 52 20 85 C0 7E 4D 8B C3 E8 ?? ?? ?? ?? 89 46 1C 8B C3 8B 10 FF 52 2C 50 8B C3 8B 10 FF 52 20 5A 92 8B CA 99 F7 F9 85 D2 75 29 8B C3 8B 10 FF 52 2C 50 8B C3 8B 10 FF 52 20 5A 92 8B CA 99 F7 F9 83 F8 04 7E 05 B8 01 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1145_0 {
	meta:
		name = "_NF__182"
		size = 38
		refs = "0012 _NF__17F 001f _NF__180"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 20 74 18 84 DB 76 14 8B C6 E8 ?? ?? ?? ?? 88 5E 20 8B 56 04 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1146_0 {
	meta:
		name = "_NF__183"
		size = 1494
		refs = "0088 _NV__179 0092 _NV__16B 0097 _NF__174 00aa _NF__176 00b7 _Dn_TBitmap 00bc TBitmap.Create 00c7 _NF__183 00f1 Rect 00f9 TBitmap.GetCanvas 0106 TBrush.SetColor 0116 CopyPalette 017a TCanvas.CopyRect 019a _NF__172 0258 TBitmap.SetMonochrome 02b7 TCanvas.GetHandle 02c1 SetTextColor 02cc SetBkColor 02ef BitBlt 037d ColorToRGB 043e TBitmap.GetMonochrome 0457 TFont.SetColor 04a1 TCanvas.FillRect 0566 TObject.Free 0574 @HandleFinally 05c9 TBitmap.Dormant"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 88 55 FB 89 45 FC 80 7D FB 02 75 0D 8B 45 FC 80 78 20 03 73 04 C6 45 FB 00 33 C0 8A 45 FB 8B 55 FC 8B 5C 82 0C 83 FB FF 0F 85 96 05 00 00 8B 45 FC 8B 40 04 8B 10 FF 52 2C 8B F0 8B 45 FC 8B 40 04 8B 10 FF 52 20 0B F0 0F 84 76 05 00 00 8B 45 FC 8B 40 04 8B 10 FF 52 2C 8B 55 FC 0F B6 52 20 8B CA 99 F7 F9 8B F8 8B 45 FC 8B 40 04 8B 10 FF 52 20 8B F0 8B 45 FC 83 78 08 00 75 2E 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B CE 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 F4 8B 08 FF 51 40 8B D6 8B 45 F4 8B 08 FF 51 34 56 8D 45 D8 50 8B CF 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 24 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 38 8A 5D FB 8B 45 FC 3A 58 20 7C 02 33 DB 56 8D 45 C8 50 33 C9 8A CB 41 0F AF CF 33 C0 8A C3 F7 EF 33 D2 E8 ?? ?? ?? ?? 8A 45 FB 2C 01 72 0B 74 7F 48 2C 02 0F 83 3C 04 00 00 8D 45 C8 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D8 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 80 78 28 01 75 25 8B 45 FC 8B 48 1C 8B 45 FC 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? 33 D2 8A 55 FB 8B 4D FC 89 44 91 0C E9 EA 03 00 00 8B 45 FC 8B 40 08 B9 00 00 00 20 8B 55 F4 E8 ?? ?? ?? ?? 33 D2 8A 55 FB 8B 4D FC 89 44 91 0C E9 C6 03 00 00 33 C0 89 45 EC 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 50 04 8B 45 F0 8B 08 FF 51 08 B2 01 8B 45 F0 8B 08 FF 51 68 8B 45 FC 80 78 20 01 0F 86 D8 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E8 8D 45 C8 50 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B D7 8B 45 EC 8B 08 FF 51 40 8B D6 8B 45 EC 8B 08 FF 51 34 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 14 BA FF FF FF 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D8 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 14 BA 14 00 00 80 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 6A 00 53 E8 ?? ?? ?? ?? 68 FF FF FF 00 53 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 00 6A 00 53 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 14 BA 80 80 80 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D8 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 14 BA 10 00 00 80 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 6A 00 53 E8 ?? ?? ?? ?? 68 FF FF FF 00 53 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 00 6A 00 53 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 14 5A E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D8 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 6A 00 53 E8 ?? ?? ?? ?? 68 FF FF FF 00 53 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 00 6A 00 53 E8 ?? ?? ?? ?? E9 4F 01 00 00 8B 45 FC 8B 50 04 8B 45 EC 8B 08 FF 51 08 B2 01 8B 45 EC 8B 08 FF 51 68 8B 45 EC E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B D7 8B 45 EC 8B 08 FF 51 40 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 EC E8 ?? ?? ?? ?? 8B 40 0C BA FF FF FF 00 E8 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 40 14 BA FF FF FF 00 E8 ?? ?? ?? ?? B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 43 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 43 14 BA 14 00 00 80 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 FF FF FF 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 01 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 14 BA 10 00 00 80 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 FF FF FF 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 40 08 B9 00 00 00 20 8B 55 F4 E8 ?? ?? ?? ?? 33 D2 8A 55 FB 8B 4D FC 89 44 91 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 8A 45 FB 8B 55 FC 8B 5C 82 0C 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1147_0 {
	meta:
		name = "_NF__184"
		size = 186
		refs = "003a _NF__183 0067 TCanvas.GetHandle 0071 TCustomImageList.GetHandle 0077 ImageList_DrawEx 008a ColorToRGB"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 83 7B 04 00 0F 84 9A 00 00 00 8B 43 04 8B 10 FF 52 2C 85 C0 0F 84 8A 00 00 00 8B 43 04 8B 10 FF 52 20 85 C0 74 7E 8A 55 0C 8B C3 E8 ?? ?? ?? ?? 8B F8 80 7D 08 00 75 06 80 7D 0C 03 75 31 6A 01 68 FF FF FF 1F 68 FF FF FF 1F 6A 00 6A 00 8B 46 04 50 8B 06 50 8B 45 FC E8 ?? ?? ?? ?? 50 57 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 35 6A 00 68 FF FF FF 1F B8 0F 00 00 80 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 46 04 50 8B 06 50 8B 45 FC E8 ?? ?? ?? ?? 50 57 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1148_0 {
	meta:
		name = "_NF__185"
		size = 207
		refs = "0022 TBrush.SetStyle 0035 OffsetRect 0042 TFont.SetColor 004f @LStrLen 0057 @LStrToPChar 0061 TCanvas.GetHandle 0067 DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 0C 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B DA B2 01 8B 43 14 E8 ?? ?? ?? ?? 80 7D 08 01 75 77 6A 01 6A 01 8D 45 F0 50 E8 ?? ?? ?? ?? BA 14 00 00 80 8B 43 0C E8 ?? ?? ?? ?? 6A 00 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B F8 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 F0 50 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 43 0C E8 ?? ?? ?? ?? 6A 00 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 23 6A 25 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1149_0 {
	meta:
		name = "_NF__186"
		size = 744
		refs = "0026 Point 0071 @LStrLen 0089 Rect 00ae @LStrToPChar 00b7 TCanvas.GetHandle 00bd DrawText 02db OffsetRect"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B D9 89 55 F8 89 45 FC 8B 7D 08 8B 75 0C 8B 53 0C 2B 53 04 8B 43 08 2B 03 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 FC 83 78 04 00 74 2E 8B 45 FC 8B 40 04 8B 10 FF 52 20 50 8B 45 FC 8B 40 04 8B 10 FF 52 2C 8B 55 FC 0F B6 52 20 8B CA 99 F7 F9 8D 4D E0 5A E8 ?? ?? ?? ?? EB 0C 8D 4D E0 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 1C E8 ?? ?? ?? ?? 85 C0 7E 5D 6A 00 8D 45 C0 50 8B 4B 08 2B 0B 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8D 75 C0 B9 04 00 00 00 F3 A5 5F 5E 68 00 04 00 00 57 8B 45 1C E8 ?? ?? ?? ?? 50 8B 45 1C E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 57 0C 2B 57 04 8B 47 08 2B 07 8D 4D D8 E8 ?? ?? ?? ?? EB 2B 6A 00 8D 45 C0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8D 75 C0 B9 04 00 00 00 F3 A5 5F 5E 8D 4D D8 33 D2 33 C0 E8 ?? ?? ?? ?? 8A 45 18 2C 02 73 23 8B 45 EC 8B D0 2B 55 E4 42 D1 FA 79 03 83 D2 00 89 56 04 2B 45 DC 40 D1 F8 79 03 83 D0 00 89 45 F4 EB 20 8B 45 E8 8B D0 2B 55 E0 42 D1 FA 79 03 83 D2 00 89 16 2B 45 D8 40 D1 F8 79 03 83 D0 00 89 45 F0 83 7D D8 00 74 06 83 7D E0 00 75 05 33 C0 89 45 10 83 7D 14 FF 0F 85 97 00 00 00 83 7D 10 FF 75 4A 8D 4D D0 8B 55 E4 03 55 DC 8B 45 E0 03 45 D8 E8 ?? ?? ?? ?? 8A 45 18 2C 02 73 13 8B 45 E8 2B 45 D0 B9 03 00 00 00 99 F7 F9 89 45 14 EB 11 8B 45 EC 2B 45 D4 B9 03 00 00 00 99 F7 F9 89 45 14 8B 45 14 89 45 10 E9 96 00 00 00 8D 4D D0 8B 55 E4 03 55 10 03 55 DC 8B 45 E0 03 45 10 03 45 D8 E8 ?? ?? ?? ?? 8A 45 18 2C 02 73 13 8B 45 E8 2B 45 D0 40 D1 F8 79 03 83 D0 00 89 45 14 EB 62 8B 45 EC 2B 45 D4 40 D1 F8 79 03 83 D0 00 89 45 14 EB 4F 83 7D 10 FF 75 49 8B 45 14 03 45 E4 8B 55 EC 2B D0 8B 45 14 03 45 E0 50 8B 45 E8 59 2B C1 8D 4D D0 E8 ?? ?? ?? ?? 8A 45 18 2C 02 73 12 8B 45 D0 2B 45 D8 D1 F8 79 03 83 D0 00 89 45 10 EB 10 8B 45 D4 2B 45 DC D1 F8 79 03 83 D0 00 89 45 10 8A 45 18 2C 01 72 0C 74 1A FE C8 74 2C FE C8 74 39 EB 4C 8B 45 14 89 06 03 45 E0 03 45 10 89 45 F0 EB 3C 8B 45 E8 2B 45 14 2B 45 E0 89 06 2B 45 10 2B 45 D8 89 45 F0 EB 26 8B 45 14 89 46 04 03 45 E4 03 45 10 89 45 F4 EB 15 8B 45 EC 2B 45 14 2B 45 E4 89 46 04 2B 45 10 2B 45 DC 89 45 F4 8B 03 8B 55 20 03 02 01 06 8B 43 04 8B 55 20 03 42 04 01 46 04 8B 53 04 03 55 F4 8B 45 20 8B 00 03 D0 52 8B 13 03 55 F0 8B 4D 20 03 D0 52 57 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_1150_0 {
	meta:
		name = "_NF__187"
		size = 104
		refs = "0034 _NF__186 0048 _NF__184 005b _NF__185"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 20 8B 45 24 50 57 8A 45 1C 50 8B 45 18 50 8B 45 14 50 8D 45 F4 50 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 45 10 50 8A 45 0C 50 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8A 45 10 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_1151_0 {
	meta:
		name = "TSpeedButton.Create"
		size = 160
		refs = "000e @ClassCreate 001c TGraphicControl.Create 0031 TSpeedButton.Create 003c _NV__16D 0041 _NF__17D 0057 _NF__1B5 0060 TControl.SetParentFont 0081 _NV__17B"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 19 6A 19 33 C9 33 D2 8B C3 8B 30 FF 56 4C 66 A1 ?? ?? ?? ?? 66 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 BC 00 00 00 8B 83 BC 00 00 00 89 58 28 C7 40 24 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C7 83 C4 00 00 00 04 00 00 00 C7 83 C8 00 00 00 FF FF FF FF C6 83 C3 00 00 00 00 FF 05 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 C2 00 00 00 }
	condition:
		$1
}

rule function_1152_0 {
	meta:
		name = "TSpeedButton.Destroy"
		size = 77
		refs = "000d TObject.Free 0013 _NV__17B 0021 _NV__17A 0039 TGraphicControl.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1153_0 {
	meta:
		name = "TSpeedButton.Paint"
		size = 524
		refs = "0013 TSpeedButton.Paint 0068 TCanvas.SetFont 007c Rect 00ae TCanvas.GetHandle 00b4 DrawFrameControl 00e9 _NV__190 0104 _NV__18F 011a DrawEdge 0127 InflateRect 0154 _NV__17A 015c _NF__17C 0170 TBrush.SetBitmap 017e TCanvas.FillRect 01a6 TControl.GetText 01e5 _NF__187 01fa @LStrClr 0200 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 D2 89 55 D4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 45 00 75 10 C6 83 CE 00 00 00 01 C6 83 C1 00 00 00 00 EB 2B 80 BB CE 00 00 00 01 75 22 80 BB C0 00 00 00 00 74 12 83 BB B8 00 00 00 00 74 09 C6 83 CE 00 00 00 03 EB 07 C6 83 CE 00 00 00 00 8B 53 50 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 8B 43 3C 50 8D 45 E8 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 80 BB CC 00 00 00 00 75 31 BE 10 20 00 00 8A 83 CE 00 00 00 04 FE 2C 02 73 06 81 CE 00 02 00 00 56 6A 04 8D 45 E8 50 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 71 8A 83 CE 00 00 00 04 FE 2C 02 72 18 80 BB CD 00 00 00 00 74 09 80 BB CE 00 00 00 01 75 06 F6 43 20 10 74 40 33 C0 8A 83 CC 00 00 00 8B 04 85 ?? ?? ?? ?? 83 C8 0F 50 8A 83 CE 00 00 00 04 FE 2C 02 0F 92 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 50 8D 45 E8 50 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 E8 50 E8 ?? ?? ?? ?? 8A 83 CE 00 00 00 04 FE 2C 02 73 5B 80 BB CE 00 00 00 03 75 42 80 BB CC 00 00 00 00 74 09 80 BB CD 00 00 00 00 75 30 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 8B 40 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 C7 45 FC 01 00 00 00 EB 0A 33 C0 89 45 F8 33 C0 89 45 FC 8D 45 F8 50 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 8A 83 C3 00 00 00 50 8B 83 C8 00 00 00 50 8B 83 C4 00 00 00 50 8A 83 CE 00 00 00 50 8A 83 CC 00 00 00 50 8D 45 D8 50 8D 4D E8 8B 93 B4 00 00 00 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1154_0 {
	meta:
		name = "_NF__193"
		size = 94
		refs = "0018 GetCursorPos 0021 FindDragTarget 0043 TControl.Perform"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 80 BE CC 00 00 00 00 74 49 80 7E 45 00 74 43 54 E8 ?? ?? ?? ?? 8B C4 B2 01 E8 ?? ?? ?? ?? 3B F0 0F 94 C3 80 F3 01 88 9E CD 00 00 00 84 DB 74 12 6A 00 33 C9 BA 14 B0 00 00 8B C6 E8 ?? ?? ?? ?? EB 10 6A 00 33 C9 BA 13 B0 00 00 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1155_0 {
	meta:
		name = "TSpeedButton.Loaded"
		size = 37
		refs = "0006 TComponent.Loaded 001f _NF__183"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 45 00 74 04 33 C0 EB 02 B0 01 8B D0 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1156_0 {
	meta:
		name = "TSpeedButton.MouseDown"
		size = 80
		refs = "001d TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 75 24 80 7E 45 00 74 1E 80 BE C0 00 00 00 00 75 0E C6 86 CE 00 00 00 02 8B C6 8B 10 FF 52 44 C6 86 C1 00 00 00 01 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1157_0 {
	meta:
		name = "TSpeedButton.MouseMove"
		size = 142
		refs = "001a TControl.MouseMove 0041 TControl.GetClientWidth 0050 TControl.GetClientHeight"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB C1 00 00 00 00 74 5F 80 BB C0 00 00 00 00 75 06 C6 45 FE 00 EB 04 C6 45 FE 03 85 F6 7C 2D 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 22 85 FF 7C 1E 8B C3 E8 ?? ?? ?? ?? 3B F8 7F 13 80 BB C0 00 00 00 00 74 06 C6 45 FE 03 EB 04 C6 45 FE 02 8A 45 FE 3A 83 CE 00 00 00 74 10 8A 45 FE 88 83 CE 00 00 00 8B C3 8B 10 FF 52 44 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1158_0 {
	meta:
		name = "TSpeedButton.MouseUp"
		size = 233
		refs = "0020 TControl.MouseUp 003f TControl.GetClientWidth 004e TControl.GetClientHeight 009e TSpeedButton.SetDown 00d6 @CallDynaInst 00dd _NF__193"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B F0 8B 7D 08 8B 5D 0C 53 57 8A 4D FE 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 80 BE C1 00 00 00 00 0F 84 B0 00 00 00 C6 86 C1 00 00 00 00 85 DB 7C 1A 8B C6 E8 ?? ?? ?? ?? 3B D8 7D 0F 85 FF 7C 0B 8B C6 E8 ?? ?? ?? ?? 3B F8 7E 04 33 C0 EB 02 B0 01 8B D8 83 BE B8 00 00 00 00 75 27 C6 86 CE 00 00 00 00 C6 86 CD 00 00 00 00 84 DB 74 52 8A 86 CE 00 00 00 04 FE 2C 02 72 46 8B C6 8B 10 FF 52 44 EB 3D 84 DB 74 22 8A 96 C0 00 00 00 80 F2 01 8B C6 E8 ?? ?? ?? ?? 80 BE C0 00 00 00 00 74 20 8B C6 8B 10 FF 52 48 EB 17 80 BE C0 00 00 00 00 74 07 C6 86 CE 00 00 00 03 8B C6 8B 10 FF 52 48 84 DB 74 0B 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1160_0 {
	meta:
		name = "TSpeedButton.GetPalette"
		size = 17
		refs = "0006 TSpeedButton.GetGlyph"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 24 5B C3 }
	condition:
		$1
}

rule function_1195_0 {
	meta:
		name = "TBitBtn.GetPalette"
		size = 17
		refs = "0006 TBitBtn.GetGlyph"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 24 5B C3 }
	condition:
		$1
}

rule function_1161_0 {
	meta:
		name = "TSpeedButton.GetGlyph"
		size = 10
	strings:
		$1 = { 8B 80 BC 00 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_1162_0 {
	meta:
		name = "TSpeedButton.SetGlyph"
		size = 23
		refs = "000a _NF__181"
	strings:
		$1 = { 56 8B F0 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1163_0 {
	meta:
		name = "TSpeedButton.GetNumGlyphs"
		size = 10
	strings:
		$1 = { 8B 80 BC 00 00 00 8A 40 20 C3 }
	condition:
		$1
}

rule function_1164_0 {
	meta:
		name = "TSpeedButton.SetNumGlyphs"
		size = 43
		refs = "001e _NF__182"
	strings:
		$1 = { 56 8B F0 84 D2 73 04 B2 01 EB 07 80 FA 04 76 02 B2 04 8B 86 BC 00 00 00 3A 50 20 74 0C E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1165_0 {
	meta:
		name = "TControl.CMColorChanged"
		size = 6
		altNames = "TControl.CMEnabledChanged TControl.CMFontChanged TCustomTeePanel.CanvasChanged TQRShape.StyleChanged TShape.StyleChanged TSpeedButton.CMFontChanged TSpeedButton.CMTextChanged _NF__1B5 _NF__1ED"
	strings:
		$1 = { 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_1166_0 {
	meta:
		name = "_NF__1B6"
		size = 54
		refs = "002e TWinControl.Broadcast"
	strings:
		$1 = { 83 C4 F0 8B 90 B8 00 00 00 85 D2 74 25 83 78 24 00 74 1F C7 04 24 18 B0 00 00 89 54 24 04 89 44 24 08 33 D2 89 54 24 0C 8B D4 8B 40 24 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_1167_0 {
	meta:
		name = "TSpeedButton.SetDown"
		size = 106
		refs = "0063 _NF__1B6"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE B8 00 00 00 00 75 02 33 DB 3A 9E C0 00 00 00 74 4E 80 BE C0 00 00 00 00 74 09 80 BE C2 00 00 00 00 74 3C 88 9E C0 00 00 00 84 DB 74 19 80 BE CE 00 00 00 00 75 07 8B C6 8B 10 FF 52 44 C6 86 CE 00 00 00 03 EB 0E C6 86 CE 00 00 00 00 8B C6 8B 10 FF 52 48 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1168_0 {
	meta:
		name = "TSpeedButton.SetFlat"
		size = 68
		refs = "0017 TSpeedButton.SetFlat"
	strings:
		$1 = { 56 8B F0 3A 96 CC 00 00 00 74 31 88 96 CC 00 00 00 84 D2 74 12 66 A1 ?? ?? ?? ?? F7 D0 66 23 46 40 66 89 46 40 EB 0E 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 8B C6 8B 10 FF 52 44 5E C3 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_1169_0 {
	meta:
		name = "TSpeedButton.SetGroupIndex"
		size = 20
		refs = "000f _NF__1B6"
	strings:
		$1 = { 3B 90 B8 00 00 00 74 0B 89 90 B8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1170_0 {
	meta:
		name = "TSpeedButton.SetLayout"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 C3 00 00 00 74 0D 88 96 C3 00 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1171_0 {
	meta:
		name = "TSpeedButton.SetMargin"
		size = 31
	strings:
		$1 = { 56 8B F0 3B 96 C8 00 00 00 74 12 83 FA FF 7C 0D 89 96 C8 00 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1172_0 {
	meta:
		name = "TSpeedButton.SetSpacing"
		size = 26
	strings:
		$1 = { 56 8B F0 3B 96 C4 00 00 00 74 0D 89 96 C4 00 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1173_0 {
	meta:
		name = "TSpeedButton.SetAllowAllUp"
		size = 20
		refs = "000f _NF__1B6"
	strings:
		$1 = { 3A 90 C2 00 00 00 74 0B 88 90 C2 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1174_0 {
	meta:
		name = "TSpeedButton.WMLButtonDblClk"
		size = 34
		refs = "0007 TControl.WMLButtonDblClk 001b @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE C0 00 00 00 00 74 0B 8B C6 66 BB EF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1175_0 {
	meta:
		name = "TSpeedButton.CMEnabledChanged"
		size = 41
		refs = "000a _NV__1CF 0015 _NF__183 001c _NF__193"
	strings:
		$1 = { 53 8B D8 33 C0 8A 43 45 8A 90 ?? ?? ?? ?? 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 5B C3 }
	condition:
		$1
}

rule function_1176_0 {
	meta:
		name = "TSpeedButton.CMButtonPressed"
		size = 76
	strings:
		$1 = { 53 56 8B D8 8B 42 04 3B 83 B8 00 00 00 75 3A 8B 72 08 3B DE 74 33 80 BE C0 00 00 00 00 74 1E 80 BB C0 00 00 00 00 74 15 C6 83 C0 00 00 00 00 C6 83 CE 00 00 00 00 8B C3 8B 10 FF 52 44 8A 86 C2 00 00 00 88 83 C2 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1177_0 {
	meta:
		name = "TSpeedButton.CMDialogChar"
		size = 122
		refs = "0010 TSpeedButton.CMDialogChar 0020 TControl.GetText 002c IsAccel 0041 @CallDynaInst 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 47 04 E8 ?? ?? ?? ?? 84 C0 74 1A 80 7E 45 00 74 14 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 EB 09 8B D7 8B C6 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1180_0 {
	meta:
		name = "TSpeedButton.CMSysColorChange"
		size = 33
		refs = "000d _NF__17F 001a _NF__183"
	strings:
		$1 = { 53 56 8B D8 8B B3 BC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8A 93 CE 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1181_0 {
	meta:
		name = "TSpeedButton.CMMouseEnter"
		size = 50
		refs = "0006 TControl.CMMouseEnter"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE CC 00 00 00 00 74 1D 80 BE CD 00 00 00 00 75 14 80 7E 45 00 74 0E C6 86 CD 00 00 00 01 8B C6 8B 10 FF 52 48 5E C3 }
	condition:
		$1
}

rule function_1182_0 {
	meta:
		name = "TSpeedButton.CMMouseLeave"
		size = 59
		refs = "0006 TControl.CMMouseLeave"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE CC 00 00 00 00 74 26 80 BE CD 00 00 00 00 74 1D 80 7E 45 00 74 17 80 BE C1 00 00 00 00 75 0E C6 86 CD 00 00 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1183_0 {
	meta:
		name = "TBitBtn.Create"
		size = 139
		refs = "000a @ClassCreate 0017 TButton.Create 001e _NV__16D 0023 _NF__17D 0039 _NF__210 0040 _Dn_TCanvas 0045 TCanvas.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 28 01 00 00 8B 86 28 01 00 00 89 70 28 C7 40 24 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 24 01 00 00 C6 86 2C 01 00 00 00 C6 86 2D 01 00 00 00 C6 86 2E 01 00 00 00 C7 86 30 01 00 00 04 00 00 00 C7 86 34 01 00 00 FF FF FF FF 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1184_0 {
	meta:
		name = "TBitBtn.Destroy"
		size = 56
		refs = "000e TWinControl.Destroy 0019 TObject.Free 002f @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 8B 86 28 01 00 00 E8 ?? ?? ?? ?? 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1185_0 {
	meta:
		name = "TBitBtn.CreateHandle"
		size = 39
		refs = "0013 TWinControl.CreateHandle 0020 _NF__183"
	strings:
		$1 = { 53 56 8B F0 80 7E 45 00 74 04 33 DB EB 02 B3 01 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 86 28 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1186_0 {
	meta:
		name = "TBitBtn.CreateParams"
		size = 16
		refs = "0006 TButton.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 4B 04 0B 5B C3 }
	condition:
		$1
}

rule function_1187_0 {
	meta:
		name = "TBitBtn.SetButtonStyle"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3A 90 38 01 00 00 74 0B 88 90 38 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1188_0 {
	meta:
		name = "TBitBtn.Click"
		size = 108
		refs = "0014 GetParentForm 001d TCustomForm.Close 0026 TButton.Click 0046 Application 0054 TApplication.HelpContext"
	strings:
		$1 = { 53 8B D8 8A 83 2D 01 00 00 2C 03 74 1F 2C 03 75 52 8B C3 E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? EB 47 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 EB 03 8B 40 24 85 C0 74 09 83 B8 E0 00 00 00 00 74 F0 85 C0 74 16 8B 15 ?? ?? ?? ?? 8B 12 8B 80 E0 00 00 00 92 E8 ?? ?? ?? ?? EB 10 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1189_0 {
	meta:
		name = "TBitBtn.CNMeasureItem"
		size = 16
	strings:
		$1 = { 8B 52 08 8B 48 38 89 4A 0C 8B 40 3C 89 42 10 C3 }
	condition:
		$1
}

rule function_1190_0 {
	meta:
		name = "TBitBtn.CNDrawItem"
		size = 9
		refs = "0004 _NF__1FF"
	strings:
		$1 = { 8B 52 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1191_0 {
	meta:
		name = "_NF__1FF"
		size = 634
		refs = "0016 _NF__1FF 002a TCanvas.SetHandle 0097 TPen.SetColor 00aa TPen.SetWidth 00ba TBrush.SetStyle 00d3 TCanvas.Rectangle 00e0 InflateRect 011d TBrush.SetColor 0158 DrawFrameControl 0186 TCanvas.SetFont 0197 OffsetRect 01a3 Point 01b1 TControl.GetText 01e8 _NF__187 023f TCanvas.GetHandle 0245 DrawFocusRect 0267 @LStrClr 026d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 56 18 8B 87 24 01 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B C7 8B 08 FF 51 2C 8B 46 10 A8 01 0F 95 C3 A8 10 0F 95 45 FF 80 7F 45 00 75 06 C6 45 FE 01 EB 0E 84 DB 74 06 C6 45 FE 02 EB 04 C6 45 FE 00 C7 45 F8 10 20 00 00 84 DB 74 07 81 4D F8 00 02 00 00 A8 04 74 07 81 4D F8 00 01 00 00 8A 87 38 01 00 00 0A 45 FF 74 5C 8B 87 24 01 00 00 8B 40 10 BA 06 00 00 80 E8 ?? ?? ?? ?? 8B 87 24 01 00 00 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 87 24 01 00 00 8B 40 14 B2 01 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 8B 4D EC 8B 55 E8 8B 87 24 01 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 E8 50 E8 ?? ?? ?? ?? 84 DB 74 61 8B 87 24 01 00 00 8B 40 10 BA 10 00 00 80 E8 ?? ?? ?? ?? 8B 87 24 01 00 00 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 87 24 01 00 00 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 8B 4D EC 8B 55 E8 8B 87 24 01 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 E8 50 E8 ?? ?? ?? ?? EB 13 8B 45 F8 50 6A 04 8D 45 E8 50 8B 46 18 50 E8 ?? ?? ?? ?? 80 BF 38 01 00 00 00 74 17 8D 55 E8 8B C7 8B 08 FF 51 2C 6A FF 6A FF 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 57 50 8B 87 24 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 0D 6A 01 6A 01 8D 45 E8 50 E8 ?? ?? ?? ?? 8D 4D D0 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 55 CC 8B C7 E8 ?? ?? ?? ?? 8B 45 CC 50 8A 87 2E 01 00 00 50 8B 87 34 01 00 00 50 8B 87 30 01 00 00 50 8A 45 FE 50 6A 00 8D 45 D8 50 8D 4D E8 8B 97 24 01 00 00 8B 87 28 01 00 00 E8 ?? ?? ?? ?? 8A 87 38 01 00 00 22 45 FF 74 52 8D 55 E8 8B C7 8B 08 FF 51 2C 6A FC 6A FC 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 87 24 01 00 00 8B 40 10 BA 06 00 00 80 E8 ?? ?? ?? ?? 8B 87 24 01 00 00 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 87 24 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 87 24 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1192_0 {
	meta:
		name = "TBitBtn.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1193_0 {
	meta:
		name = "TBitBtn.CMEnabledChanged"
		size = 19
		refs = "0006 TWinControl.CMEnabledChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1994_0 {
	meta:
		name = "TColorGrid.CMCtl3DChanged"
		size = 19
		refs = "0006 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_13845_0 {
	meta:
		name = "TCustomCheckBox.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_13689_0 {
	meta:
		name = "TCustomGroupBox.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_4423_0 {
	meta:
		name = "TDBCtrlGrid.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_4935_0 {
	meta:
		name = "TDBImage.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_7024_0 {
	meta:
		name = "THeader.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_2146_0 {
	meta:
		name = "THeaderControl.WMWindowPosChanged"
		size = 19
		refs = "0006 TWinControl.WMWindowPosChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1194_0 {
	meta:
		name = "TBitBtn.WMLButtonDblClk"
		size = 18
		refs = "000d TControl.Perform"
	strings:
		$1 = { 8B 4A 08 51 8B 4A 04 BA 01 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1196_0 {
	meta:
		name = "TBitBtn.SetGlyph"
		size = 30
		refs = "000a _NF__181"
	strings:
		$1 = { 56 8B F0 8B 86 28 01 00 00 E8 ?? ?? ?? ?? C6 86 39 01 00 00 01 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1197_0 {
	meta:
		name = "TBitBtn.GetGlyph"
		size = 10
	strings:
		$1 = { 8B 80 28 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_1198_0 {
	meta:
		name = "TCustomPanel.CMTextChanged"
		size = 12
		altNames = "TTabbedNotebook.CMTabFontChanged _NF__210 _NF__308"
	strings:
		$1 = { 56 8B F0 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1199_0 {
	meta:
		name = "TBitBtn.IsCustom"
		size = 17
		refs = "0006 TBitBtn.GetKind"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_1200_0 {
	meta:
		name = "TBitBtn.SetStyle"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 2C 01 00 00 74 0D 88 96 2C 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1201_0 {
	meta:
		name = "TBitBtn.SetKind"
		size = 270
		refs = "0012 TBitBtn.SetKind 0043 TButton.SetDefault 0069 TControl.GetText 0080 _NV__15D 0092 LoadResString 009c TControl.SetText 00a7 _NV__15E 00b4 _NF__168 00c1 _NF__181 00ca TBitBtn.SetNumGlyphs 00f3 @LStrClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E 2D 01 00 00 0F 84 BA 00 00 00 84 DB 0F 84 A5 00 00 00 8B C3 2C 01 74 08 2C 03 74 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C3 2C 02 74 08 2C 03 74 04 33 C0 EB 02 B0 01 88 86 1D 01 00 00 F6 46 20 01 74 10 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 06 F6 46 20 01 75 27 33 C0 8A C3 8B 3C 85 ?? ?? ?? ?? 85 FF 74 18 8D 55 F8 33 C0 8A C3 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 89 86 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 86 28 01 00 00 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? C6 86 39 01 00 00 00 88 9E 2D 01 00 00 8B C6 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1202_0 {
	meta:
		name = "TBitBtn.IsCustomCaption"
		size = 121
		refs = "000e TBitBtn.IsCustomCaption 0026 _NV__15D 002b LoadResString 0039 TControl.GetText 0042 CompareStr 005e @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 33 C0 8A 83 2D 01 00 00 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 85 C0 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1203_0 {
	meta:
		name = "TBitBtn.GetKind"
		size = 108
		refs = "0049 _NV__15E"
	strings:
		$1 = { 80 B8 2D 01 00 00 00 74 5C 8A 90 2D 01 00 00 8B CA 80 E9 01 74 09 80 E9 03 74 04 33 C9 EB 02 B1 01 32 88 1C 01 00 00 75 35 8B CA 80 E9 02 74 09 80 E9 03 74 04 33 C9 EB 02 B1 01 32 88 1D 01 00 00 75 1B 83 E2 7F 8B 14 95 ?? ?? ?? ?? 3B 90 20 01 00 00 75 09 80 B8 39 01 00 00 00 74 07 C6 80 2D 01 00 00 00 8A 80 2D 01 00 00 C3 }
	condition:
		$1
}

rule function_1204_0 {
	meta:
		name = "TBitBtn.SetLayout"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 2E 01 00 00 74 0D 88 96 2E 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1205_0 {
	meta:
		name = "TBitBtn.GetNumGlyphs"
		size = 10
	strings:
		$1 = { 8B 80 28 01 00 00 8A 40 20 C3 }
	condition:
		$1
}

rule function_1206_0 {
	meta:
		name = "TBitBtn.SetNumGlyphs"
		size = 43
		refs = "001e _NF__182"
	strings:
		$1 = { 56 8B F0 84 D2 73 04 B2 01 EB 07 80 FA 04 76 02 B2 04 8B 86 28 01 00 00 3A 50 20 74 0C E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1207_0 {
	meta:
		name = "TBitBtn.SetSpacing"
		size = 26
	strings:
		$1 = { 56 8B F0 3B 96 30 01 00 00 74 0D 89 96 30 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1208_0 {
	meta:
		name = "TBitBtn.SetMargin"
		size = 31
	strings:
		$1 = { 56 8B F0 3B 96 34 01 00 00 74 12 83 FA FF 7C 0D 89 96 34 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_1209_0 {
	meta:
		name = "_NF__22B"
		size = 26
		refs = "0005 _NV__15F 000c TObject.Free"
	strings:
		$1 = { 53 56 B3 0B BE ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 83 C6 04 FE CB 75 F2 5E 5B C3 }
	condition:
		$1
}

rule function_1211_0 {
	meta:
		name = "Finalization"
		size = 53
		refs = "0007 Finalization 0013 _NV__15A 001a _NF__22B 002d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1427_0 {
	meta:
		name = "Finalization"
		size = 53
		refs = "0007 Finalization 0013 _NV__21D 001a _NF__3AA 002d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11210_0 {
	meta:
		name = "Finalization"
		size = 53
		refs = "0007 Finalization 0013 _NV__223 001a OleUninitialize 002d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1212_0 {
	meta:
		name = "Buttons"
		size = 37
		refs = "0002 _NV__15A 000a _NF__22C 000f @InitImports 0014 _NV__15F 0020 @FillChar"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 33 C9 BA 2C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1213_0 {
	meta:
		name = "TCalendar.Create"
		size = 168
		refs = "000a @ClassCreate 0017 TCustomGrid.Create 0027 TCustomGrid.SetFixedCols 0033 TCustomGrid.SetFixedRows 003f TCustomGrid.SetColCount 004b TCustomGrid.SetRowCount 0054 TCustomGrid.SetScrollBars 005b TCalendar.Create 0072 TCustomGrid.SetOptions 0077 Date"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 B7 01 00 00 01 33 D2 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? F7 D2 66 23 96 54 01 00 00 66 0B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 9E A0 01 00 00 9B 8B C6 8B 10 FF 92 9C 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 10 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_1214_0 {
	meta:
		name = "TCalendar.Change"
		size = 29
		altNames = "TCustomForm.DoHide"
	strings:
		$1 = { 53 66 83 B8 AE 01 00 00 00 74 10 8B D8 8B D0 8B 83 B0 01 00 00 FF 93 AC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_1215_0 {
	meta:
		name = "TCalendar.Click"
		size = 113
		refs = "000c TCalendar.Click 0019 TControl.Click 0030 TCalendar.GetCellText 003e StrToInt 004c TCalendar.SetDateElement 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 8B 38 01 00 00 8B 93 34 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1216_0 {
	meta:
		name = "TCalendar.IsLeapYear"
		size = 57
	strings:
		$1 = { 53 8B CA 8B C1 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 1C 8B C1 BB 64 00 00 00 99 F7 FB 85 D2 75 12 8B C1 B9 90 01 00 00 99 F7 F9 85 D2 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_1217_0 {
	meta:
		name = "TCalendar.DaysPerMonth"
		size = 46
		refs = "000d _NV__97"
	strings:
		$1 = { 53 56 57 55 8B F1 8B EA 8B D8 8B 3C B5 ?? ?? ?? ?? 83 FE 02 75 11 8B D5 8B C3 8B 08 FF 91 98 00 00 00 84 C0 74 01 47 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1218_0 {
	meta:
		name = "TCalendar.DaysThisMonth"
		size = 43
		refs = "000b TCalendar.GetDateElement"
	strings:
		$1 = { 53 8B D8 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 59 8B 18 FF 93 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1219_0 {
	meta:
		name = "TCalendar.DrawCell"
		size = 181
		refs = "0027 TCalendar.DrawCell 003c TCalendar.GetCellText 004c TCanvas.TextHeight 006e TCanvas.TextWidth 008b TCanvas.TextRect 00a0 @LStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B 75 0C 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 9B 18 01 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 7D F0 2B D7 2B D0 D1 FA 79 03 83 D2 00 03 D7 52 8B 45 FC 50 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B 75 EC 2B CE 2B C8 D1 F9 79 03 83 D1 00 03 CE 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1220_0 {
	meta:
		name = "TCalendar.GetCellText"
		size = 112
		refs = "0024 ShortDayNames 002e @LStrLAsg 005a @LStrClr 0065 IntToStr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B 7D 08 85 C9 75 23 33 C0 8A 83 B5 01 00 00 03 C6 B9 07 00 00 00 99 F7 F9 A1 ?? ?? ?? ?? 8B 14 90 8B C7 E8 ?? ?? ?? ?? EB 35 03 B3 A8 01 00 00 49 8B C1 C1 E0 03 2B C1 03 F0 83 FE 01 7C 0E 8B C3 8B 10 FF 92 94 00 00 00 3B F0 7E 09 8B C7 E8 ?? ?? ?? ?? EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1221_0 {
	meta:
		name = "TCalendar.SelectCell"
		size = 121
		refs = "0012 TCalendar.SelectCell 0039 TCalendar.GetCellText 004e TCustomGrid.SelectCell 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB B6 01 00 00 00 75 09 80 BB B4 01 00 00 00 75 15 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 04 33 DB EB 0D 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1222_0 {
	meta:
		name = "TCalendar.SetCalendarDate"
		size = 50
		refs = "0029 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 89 83 A0 01 00 00 8B 45 0C 89 83 A4 01 00 00 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 66 BB CC FF E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1223_0 {
	meta:
		name = "TCalendar.StoreCalendarDate"
		size = 9
	strings:
		$1 = { 8A 80 B7 01 00 00 34 01 C3 }
	condition:
		$1
}

rule function_1224_0 {
	meta:
		name = "TCalendar.GetDateElement"
		size = 73
		refs = "001f DecodeDate"
	strings:
		$1 = { 53 83 C4 F8 8B DA FF B0 A4 01 00 00 FF B0 A0 01 00 00 8D 4C 24 0C 8D 54 24 0A 8D 44 24 08 E8 ?? ?? ?? ?? 4B 74 08 4B 74 0B 4B 74 0F EB 14 0F B7 04 24 EB 11 0F B7 44 24 02 EB 0A 0F B7 44 24 04 EB 03 83 C8 FF 59 5A 5B C3 }
	condition:
		$1
}

rule function_1225_0 {
	meta:
		name = "TCalendar.SetDateElement"
		size = 183
		refs = "002d DecodeDate 008a EncodeDate 00ad @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B FA 8B D8 85 F6 0F 8E 9D 00 00 00 FF B3 A4 01 00 00 FF B3 A0 01 00 00 8D 4C 24 0C 8D 54 24 0A 8D 44 24 08 E8 ?? ?? ?? ?? 4F 74 08 4F 74 13 4F 74 25 EB 75 0F B7 04 24 3B F0 74 6D 66 89 34 24 EB 31 83 FE 0C 7F 62 0F B7 44 24 02 3B F0 74 59 66 89 74 24 02 EB 1C 8B C3 8B 10 FF 92 94 00 00 00 3B F0 7F 44 0F B7 44 24 04 3B F0 74 3B 66 89 74 24 04 66 8B 4C 24 04 66 8B 54 24 02 66 8B 04 24 E8 ?? ?? ?? ?? DD 9B A0 01 00 00 9B C6 83 B7 01 00 00 00 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 66 BB CC FF E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1226_0 {
	meta:
		name = "TCalendar.SetStartOfWeek"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 B5 01 00 00 74 10 88 96 B5 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_1227_0 {
	meta:
		name = "TCalendar.SetUseCurrentDate"
		size = 45
		refs = "0016 Date"
	strings:
		$1 = { 56 8B F0 3A 96 B7 01 00 00 74 20 88 96 B7 01 00 00 84 D2 74 16 E8 ?? ?? ?? ?? DD 9E A0 01 00 00 9B 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_1228_0 {
	meta:
		name = "TCalendar.ChangeMonth"
		size = 243
		refs = "0024 DecodeDate 0061 EncodeDate 00e7 TCalendar.SetCalendarDate"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B FA 8B D8 FF B3 A4 01 00 00 FF B3 A0 01 00 00 8D 4C 24 0C 8D 54 24 0A 8D 44 24 08 E8 ?? ?? ?? ?? 0F B7 74 24 04 85 FF 7E 1A 0F B7 4C 24 02 0F B7 14 24 8B C3 8B 28 FF 95 90 00 00 00 66 89 44 24 04 EB 07 66 C7 44 24 04 01 00 66 8B 4C 24 04 66 8B 54 24 02 66 8B 04 24 E8 ?? ?? ?? ?? DD 5C 24 08 9B 89 7C 24 10 DB 44 24 10 DC 44 24 08 DD 5C 24 08 9B FF 74 24 0C FF 74 24 0C 8D 4C 24 0C 8D 54 24 0A 8D 44 24 08 E8 ?? ?? ?? ?? 0F B7 4C 24 02 0F B7 14 24 8B C3 8B 38 FF 97 90 00 00 00 3B F0 7D 07 66 89 74 24 04 EB 18 0F B7 4C 24 02 0F B7 14 24 8B C3 8B 30 FF 96 90 00 00 00 66 89 44 24 04 66 8B 4C 24 04 66 8B 54 24 02 66 8B 04 24 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1229_0 {
	meta:
		name = "TCalendar.PrevMonth"
		size = 9
		refs = "0004 TCalendar.ChangeMonth"
	strings:
		$1 = { 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4295_0 {
	meta:
		name = "TDataSet.Prior"
		size = 9
		refs = "0004 TDataSet.MoveBy"
	strings:
		$1 = { 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1230_0 {
	meta:
		name = "TCalendar.NextMonth"
		size = 11
		refs = "0006 TCalendar.ChangeMonth"
	strings:
		$1 = { BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4294_0 {
	meta:
		name = "TDataSet.Next"
		size = 11
		refs = "0006 TDataSet.MoveBy"
	strings:
		$1 = { BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12393_0 {
	meta:
		name = "TQRExprBuilder.AddAndClick"
		size = 28
		refs = "0001 TQRExprBuilder.AddAndClick 0006 _NF__79"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 05 00 00 00 20 41 4E 44 20 00 00 00 }
	condition:
		$1
}

rule function_12385_0 {
	meta:
		name = "TQRExprBuilder.AddDivClick"
		size = 24
		refs = "0001 TQRExprBuilder.AddDivClick 0006 _NF__79"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 03 00 00 00 20 2F 20 00 }
	condition:
		$1
}

rule function_12396_0 {
	meta:
		name = "TQRExprBuilder.AddEqualClick"
		size = 24
		refs = "0001 TQRExprBuilder.AddEqualClick 0006 _NF__79"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 03 00 00 00 20 3D 20 00 }
	condition:
		$1
}

rule function_12398_0 {
	meta:
		name = "TQRExprBuilder.AddLargerClick"
		size = 24
		refs = "0001 TQRExprBuilder.AddLargerClick 0006 _NF__79"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 03 00 00 00 20 3E 20 00 }
	condition:
		$1
}

rule function_12383_0 {
	meta:
		name = "TQRExprBuilder.AddMinusClick"
		size = 24
		refs = "0001 TQRExprBuilder.AddMinusClick 0006 _NF__79"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 03 00 00 00 20 2D 20 00 }
	condition:
		$1
}

rule function_12384_0 {
	meta:
		name = "TQRExprBuilder.AddMulClick"
		size = 24
		refs = "0001 TQRExprBuilder.AddMulClick 0006 _NF__79"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 03 00 00 00 20 2A 20 00 }
	condition:
		$1
}

rule function_12395_0 {
	meta:
		name = "TQRExprBuilder.AddNotClick"
		size = 28
		refs = "0001 TQRExprBuilder.AddNotClick 0006 _NF__79"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 05 00 00 00 20 4E 4F 54 20 00 00 00 }
	condition:
		$1
}

rule function_12401_0 {
	meta:
		name = "TQRExprBuilder.AddNotEqualClick"
		size = 28
		refs = "0001 TQRExprBuilder.AddNotEqualClick 0006 _NF__79"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 04 00 00 00 20 3C 3E 20 00 00 00 00 }
	condition:
		$1
}

rule function_12394_0 {
	meta:
		name = "TQRExprBuilder.AddOrClick"
		size = 28
		refs = "0001 TQRExprBuilder.AddOrClick 0006 _NF__79"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 04 00 00 00 20 4F 52 20 00 00 00 00 }
	condition:
		$1
}

rule function_12382_0 {
	meta:
		name = "TQRExprBuilder.AddPlusClick"
		size = 24
		refs = "0001 TQRExprBuilder.AddPlusClick 0006 _NF__79"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 03 00 00 00 20 2B 20 00 }
	condition:
		$1
}

rule function_12397_0 {
	meta:
		name = "TQRExprBuilder.AddSmallerClick"
		size = 24
		refs = "0001 TQRExprBuilder.AddSmallerClick 0006 _NF__79"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 03 00 00 00 20 3C 20 00 }
	condition:
		$1
}

rule function_12400_0 {
	meta:
		name = "TQRExprBuilder.Button1Click"
		size = 28
		refs = "0001 TQRExprBuilder.Button1Click 0006 _NF__79"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 04 00 00 00 20 3E 3D 20 00 00 00 00 }
	condition:
		$1
}

rule function_12399_0 {
	meta:
		name = "TQRExprBuilder.Button2Click"
		size = 28
		refs = "0001 TQRExprBuilder.Button2Click 0006 _NF__79"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 04 00 00 00 20 3C 3D 20 00 00 00 00 }
	condition:
		$1
}

rule function_1231_0 {
	meta:
		name = "TCalendar.NextYear"
		size = 111
		refs = "000b TCalendar.GetDateElement 004e TCalendar.SetDateElement"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 98 00 00 00 84 C0 74 33 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 02 75 22 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 1D 75 11 B9 1C 00 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 41 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1232_0 {
	meta:
		name = "TCalendar.PrevYear"
		size = 111
		refs = "000b TCalendar.GetDateElement 004e TCalendar.SetDateElement"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 98 00 00 00 84 C0 74 33 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 02 75 22 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 1D 75 11 B9 1C 00 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1233_0 {
	meta:
		name = "TCalendar.UpdateCalendar"
		size = 246
		refs = "0018 TCalendar.UpdateCalendar 003b DecodeDate 004c EncodeDate 005b DayOfWeek 00c6 TCustomGrid.MoveColRow 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 45 FC 8B 45 FC C6 80 B6 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC FF B0 A4 01 00 00 FF B0 A0 01 00 00 8D 4D F6 8D 55 F8 8D 45 FA E8 ?? ?? ?? ?? 66 B9 01 00 66 8B 55 F8 66 8B 45 FA E8 ?? ?? ?? ?? DD 5D EC 9B FF 75 F0 FF 75 EC E8 ?? ?? ?? ?? 8B 55 FC 0F B6 92 B5 01 00 00 2B C2 83 C0 07 B9 07 00 00 00 99 F7 F9 BB 02 00 00 00 2B DA 8B 45 FC 89 98 A8 01 00 00 83 FB 02 75 0D 8B 45 FC C7 80 A8 01 00 00 FB FF FF FF 6A 00 6A 00 0F B7 4D F6 8B 45 FC 2B 88 A8 01 00 00 8B C1 BB 07 00 00 00 99 F7 FB 52 8B C1 B9 07 00 00 00 99 F7 F9 40 8B C8 8B 45 FC 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B6 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1234_0 {
	meta:
		name = "TCalendar.WMSize"
		size = 68
		refs = "0025 TCustomGrid.SetDefaultColWidth 003c TCustomGrid.SetDefaultRowHeight"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 50 01 00 00 03 F6 8D 34 76 0F B7 47 08 2B C6 B9 07 00 00 00 99 F7 F9 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 47 0A 2B C6 B9 07 00 00 00 99 F7 F9 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1237_0 {
	meta:
		name = "_NF__92"
		size = 660
	strings:
		$1 = { FF FF FF FF 0E 00 00 00 52 45 51 55 45 53 54 5F 4D 45 54 48 4F 44 00 00 FF FF FF FF 0F 00 00 00 53 45 52 56 45 52 5F 50 52 4F 54 4F 43 4F 4C 00 FF FF FF FF 03 00 00 00 55 52 4C 00 FF FF FF FF 0C 00 00 00 51 55 45 52 59 5F 53 54 52 49 4E 47 00 00 00 00 FF FF FF FF 09 00 00 00 50 41 54 48 5F 49 4E 46 4F 00 00 00 FF FF FF FF 0F 00 00 00 50 41 54 48 5F 54 52 41 4E 53 4C 41 54 45 44 00 FF FF FF FF 12 00 00 00 48 54 54 50 5F 43 41 43 48 45 5F 43 4F 4E 54 52 4F 4C 00 00 FF FF FF FF 09 00 00 00 48 54 54 50 5F 44 41 54 45 00 00 00 FF FF FF FF 0B 00 00 00 48 54 54 50 5F 41 43 43 45 50 54 00 FF FF FF FF 09 00 00 00 48 54 54 50 5F 46 52 4F 4D 00 00 00 FF FF FF FF 09 00 00 00 48 54 54 50 5F 48 4F 53 54 00 00 00 FF FF FF FF 16 00 00 00 48 54 54 50 5F 49 46 5F 4D 4F 44 49 46 49 45 44 5F 53 49 4E 43 45 00 00 FF FF FF FF 0C 00 00 00 48 54 54 50 5F 52 45 46 45 52 45 52 00 00 00 00 FF FF FF FF 0F 00 00 00 48 54 54 50 5F 55 53 45 52 5F 41 47 45 4E 54 00 FF FF FF FF 15 00 00 00 48 54 54 50 5F 43 4F 4E 54 45 4E 54 5F 45 4E 43 4F 44 49 4E 47 00 00 00 FF FF FF FF 11 00 00 00 48 54 54 50 5F 43 4F 4E 54 45 4E 54 5F 54 59 50 45 00 00 00 FF FF FF FF 13 00 00 00 48 54 54 50 5F 43 4F 4E 54 45 4E 54 5F 4C 45 4E 47 54 48 00 FF FF FF FF 14 00 00 00 48 54 54 50 5F 43 4F 4E 54 45 4E 54 5F 56 45 52 53 49 4F 4E 00 00 00 00 FF FF FF FF 11 00 00 00 48 54 54 50 5F 44 45 52 49 56 45 44 5F 46 52 4F 4D 00 00 00 FF FF FF FF 0C 00 00 00 48 54 54 50 5F 45 58 50 49 52 45 53 00 00 00 00 FF FF FF FF 0A 00 00 00 48 54 54 50 5F 54 49 54 4C 45 00 00 FF FF FF FF 0B 00 00 00 52 45 4D 4F 54 45 5F 41 44 44 52 00 FF FF FF FF 0B 00 00 00 52 45 4D 4F 54 45 5F 48 4F 53 54 00 FF FF FF FF 0B 00 00 00 53 43 52 49 50 54 5F 4E 41 4D 45 00 FF FF FF FF 0B 00 00 00 53 45 52 56 45 52 5F 50 4F 52 54 00 FF FF FF FF 0F 00 00 00 48 54 54 50 5F 43 4F 4E 4E 45 43 54 49 4F 4E 00 FF FF FF FF 0B 00 00 00 48 54 54 50 5F 43 4F 4F 4B 49 45 00 FF FF FF FF 12 00 00 00 48 54 54 50 5F 41 55 54 48 4F 52 49 5A 41 54 49 4F 4E 00 00 }
	condition:
		$1
}

rule function_1238_0 {
	meta:
		name = "TCGIRequest.Create"
		size = 133
		refs = "0010 @ClassCreate 001c TCGIRequest.Create 002b TWebRequest.Create 004e @LStrAsg 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? BA 10 00 00 00 8B C6 8B 08 FF 51 08 8B D0 8D 4D FC 8B C6 8B 38 FF 57 10 8B 55 FC 8D 46 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1239_0 {
	meta:
		name = "_NF__96"
		size = 72
		refs = "0009 _NF__96 000e @LStrPos 0023 @LStrCopy 002f @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 15 56 B9 FF FF FF 7F BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 FF FF FF FF 05 00 00 00 48 54 54 50 5F 00 00 00 }
	condition:
		$1
}

rule function_1240_0 {
	meta:
		name = "TCGIRequest.GetFieldByName"
		size = 181
		refs = "001f TCGIRequest.GetFieldByName 0038 @LStrToPChar 003e GetEnvironmentVariable 004d @LStrFromPCharLen 006b _NF__96 00a3 @LStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 FC 53 56 33 DB 89 9D FC EF FF FF 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 10 00 00 8D 85 00 F0 FF FF 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8D 95 00 F0 FF FF 8B C3 E8 ?? ?? ?? ?? 83 3B 00 75 39 68 00 10 00 00 8D 85 00 F0 FF FF 50 8D 95 FC EF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 FC EF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8D 95 00 F0 FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC EF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1241_0 {
	meta:
		name = "TCGIRequest.GetStringVariable"
		size = 46
		refs = "0014 @LStrLAsg 001f _NV__91"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 83 FE 19 75 0C 8B C7 8B 53 14 E8 ?? ?? ?? ?? EB 10 8B CF 8B 14 B5 ?? ?? ?? ?? 8B C3 8B 18 FF 53 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1242_0 {
	meta:
		name = "TCGIRequest.GetDateVariable"
		size = 112
		refs = "0015 TCGIRequest.GetDateVariable 0034 ParseDate 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B D6 8B C3 8B 18 FF 13 83 7D F4 00 74 0E 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 33 C0 89 45 F8 C7 45 FC 00 00 F0 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8830_0 {
	meta:
		name = "TISAPIRequest.GetDateVariable"
		size = 112
		refs = "0015 TISAPIRequest.GetDateVariable 0034 ParseDate 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B D6 8B C3 8B 18 FF 13 83 7D F4 00 74 0E 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 33 C0 89 45 F8 C7 45 FC 00 00 F0 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1243_0 {
	meta:
		name = "TCGIRequest.GetIntegerVariable"
		size = 85
		refs = "000f TCGIRequest.GetIntegerVariable 002b StrToIntDef 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 8B 18 FF 13 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1244_0 {
	meta:
		name = "TCGIRequest.ReadClient"
		size = 13
		refs = "0001 Input 0008 FileRead"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1247_0 {
	meta:
		name = "TCGIRequest.WriteClient"
		size = 13
		refs = "0001 Output 0008 FileWrite"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1245_0 {
	meta:
		name = "TCGIRequest.ReadString"
		size = 38
		refs = "000b @LStrSetLength 0016 Input 001f FileRead"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C6 8B D3 E8 ?? ?? ?? ?? 85 DB 7E 10 8B 16 A1 ?? ?? ?? ?? 8B 00 8B CB E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1248_0 {
	meta:
		name = "TCGIRequest.WriteString"
		size = 53
		refs = "000b @LStrLen 0014 Output 001b FileWrite"
	strings:
		$1 = { 53 56 8B DA 85 DB 74 28 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 94 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_1249_0 {
	meta:
		name = "TCGIResponse.Create"
		size = 256
		refs = "0015 @ClassCreate 0022 TCGIResponse.Create 0031 TWebResponse.Create 00bc @LStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 BA 01 00 00 00 8B 43 10 8B 30 FF 16 83 7D F8 00 75 0E B9 ?? ?? ?? ?? 33 D2 8B C3 8B 30 FF 56 04 BA C8 00 00 00 8B C3 8B 08 FF 51 28 68 00 00 F0 BF 6A 00 BA 02 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 BA 01 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 33 D2 8B C3 8B 08 FF 51 0C B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 8B 30 FF 56 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 FF FF FF FF 03 00 00 00 31 2E 30 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_8837_0 {
	meta:
		name = "TISAPIResponse.Create"
		size = 256
		refs = "0015 @ClassCreate 0022 TISAPIResponse.Create 0031 TWebResponse.Create 00bc @LStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 BA 01 00 00 00 8B 43 10 8B 30 FF 16 83 7D F8 00 75 0E B9 ?? ?? ?? ?? 33 D2 8B C3 8B 30 FF 56 04 BA C8 00 00 00 8B C3 8B 08 FF 51 28 68 00 00 F0 BF 6A 00 BA 02 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 BA 01 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 33 D2 8B C3 8B 08 FF 51 0C B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 8B 30 FF 56 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 FF FF FF FF 03 00 00 00 31 2E 30 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_1250_0 {
	meta:
		name = "TCGIResponse.GetContent"
		size = 19
		refs = "000c @LStrLAsg"
		altNames = "TISAPIResponse.GetContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1251_0 {
	meta:
		name = "TCGIResponse.GetDateVariable"
		size = 48
	strings:
		$1 = { 83 C4 F8 85 D2 7C 16 83 FA 03 7D 11 8B 4C D0 4C 89 0C 24 8B 4C D0 50 89 4C 24 04 EB 0D 33 C0 89 04 24 C7 44 24 04 00 00 F0 BF DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_1252_0 {
	meta:
		name = "TCGIResponse.GetIntegerVariable"
		size = 18
	strings:
		$1 = { 85 D2 7C 0A 83 FA 02 7D 05 8B 44 90 48 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_1254_0 {
	meta:
		name = "TCGIResponse.GetStatusCode"
		size = 4
		altNames = "TISAPIResponse.GetStatusCode TStringList.GetCapacity"
	strings:
		$1 = { 8B 40 14 C3 }
	condition:
		$1
}

rule function_1255_0 {
	meta:
		name = "TCGIResponse.GetStringVariable"
		size = 33
		refs = "0019 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 7C 10 83 FB 0C 7D 0B 8B C7 8B 54 9E 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1256_0 {
	meta:
		name = "TCGIResponse.Sent"
		size = 4
		altNames = "TDataSet.GetFound TISAPIResponse.Sent"
	strings:
		$1 = { 8A 40 68 C3 }
	condition:
		$1
}

rule function_1257_0 {
	meta:
		name = "TCGIResponse.SetContent"
		size = 38
		refs = "000c @LStrAsg 0014 @LStrLen"
		altNames = "TISAPIResponse.SetContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 64 8B D6 E8 ?? ?? ?? ?? 8B 43 64 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 8B 18 FF 53 14 5E 5B C3 }
	condition:
		$1
}

rule function_1258_0 {
	meta:
		name = "TCGIResponse.SetDateVariable"
		size = 44
		altNames = "TISAPIResponse.SetDateVariable"
	strings:
		$1 = { 55 8B EC 8B C8 85 D2 7C 1F 83 FA 02 7F 1A DD 45 08 DC 5C D1 4C DF E0 9E 74 0E 8B 45 08 89 44 D1 4C 8B 45 0C 89 44 D1 50 5D C2 08 00 }
	condition:
		$1
}

rule function_1259_0 {
	meta:
		name = "TCGIResponse.SetIntegerVariable"
		size = 34
	strings:
		$1 = { 53 51 8B D8 85 D2 7C 17 85 D2 7F 13 89 0C 24 DB 04 24 DC 5C D3 4C DF E0 9E 74 04 89 4C 93 48 5A 5B C3 }
	condition:
		$1
}

rule function_1261_0 {
	meta:
		name = "TCGIResponse.SetStatusCode"
		size = 92
		refs = "000f TCGIResponse.SetStatusCode 0027 StatusString 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 14 74 1C 89 73 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA 01 00 00 00 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8849_0 {
	meta:
		name = "TISAPIResponse.SetStatusCode"
		size = 92
		refs = "000f TISAPIResponse.SetStatusCode 0027 StatusString 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 14 74 1C 89 73 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA 01 00 00 00 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1262_0 {
	meta:
		name = "TCGIResponse.SetStringVariable"
		size = 33
		refs = "0019 @LStrAsg"
		altNames = "TISAPIResponse.SetStringVariable"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 7C 10 83 FB 0B 7F 0B 8D 44 9E 18 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1263_0 {
	meta:
		name = "_NF__DE"
		size = 110
		refs = "0015 _NF__DE 0036 Format 0044 @LStrCat 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 28 8D 45 FC 50 89 5D F4 C6 45 F8 0B 8D 55 F4 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8851_0 {
	meta:
		name = "_NF__CD"
		size = 110
		refs = "0015 _NF__CD 0036 Format 0044 @LStrCat 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 28 8D 45 FC 50 89 5D F4 C6 45 F8 0B 8D 55 F4 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1264_0 {
	meta:
		name = "TCGIResponse.SendResponse"
		size = 1212
		refs = "001a TCGIResponse.SendResponse 0094 Format 00a3 @LStrLAsg 00b1 _NF__DE 00d7 TCollection.GetCount 00ec TCookieCollection.GetCookie 00f4 TCookie.GetHeaderValue 015a FormatDateTime 0165 @LStrCat 01eb TWebResponse.AddCustomHeaders 026a IntToStr 02e2 @LStrArrayClr 02e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 F4 89 55 F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 BA 01 00 00 00 8B 43 10 8B 30 FF 16 83 7D F4 00 0F 84 57 02 00 00 8D 4D F4 BA 01 00 00 00 8B C3 8B 30 FF 16 83 7D F4 00 74 49 8B C3 8B 10 FF 52 24 85 C0 7E 3E 8D 45 F8 50 8B C3 8B 10 FF 52 24 89 45 E4 C6 45 E8 00 8D 4D F4 BA 01 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 89 45 EC C6 45 F0 0B 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 05 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 43 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 28 46 33 FF 55 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 47 4E 75 DB 55 8D 4D F4 BA 0A 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 BA 01 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 2B BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 2B BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 55 8D 4D F4 BA 0B 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 03 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 55 8D 4D F4 BA 09 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 07 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 08 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 55 F4 8B C3 8B 08 FF 51 18 83 7D F4 00 75 06 83 7B 04 00 74 20 55 33 D2 8B C3 8B 08 FF 51 10 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 10 8B 08 FF 51 1C 8B 43 04 85 C0 75 17 8D 55 F4 8B C3 8B 08 FF 51 18 8B 55 F4 8B 43 10 8B 08 FF 51 1C EB 16 85 C0 74 12 8B D0 8B C3 8B 08 FF 51 40 33 D2 8B C3 8B 08 FF 51 20 C6 43 68 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 05 00 00 00 25 64 20 25 73 00 00 00 FF FF FF FF 06 00 00 00 32 30 30 20 4F 4B 00 00 FF FF FF FF 0C 00 00 00 53 74 61 74 75 73 3A 20 25 73 0D 0A 00 00 00 00 FF FF FF FF 0B 00 00 00 41 6C 6C 6F 77 3A 20 25 73 0D 0A 00 FF FF FF FF 10 00 00 00 53 65 74 2D 43 6F 6F 6B 69 65 3A 20 25 73 0D 0A 00 00 00 00 FF FF FF FF 12 00 00 00 44 65 72 69 76 65 64 2D 46 72 6F 6D 3A 20 25 73 0D 0A 00 00 00 00 00 00 FF FF FF FF 2C 00 00 00 22 45 78 70 69 72 65 73 3A 20 22 64 64 64 2C 20 64 64 20 6D 6D 6D 20 79 79 79 79 20 68 68 3A 6D 6D 3A 73 73 20 22 47 4D 54 22 0D 0A 00 00 00 00 FF FF FF FF 32 00 00 00 22 4C 61 73 74 2D 4D 6F 64 69 66 69 65 64 3A 20 22 64 64 64 2C 20 64 64 20 6D 6D 6D 20 79 79 79 79 20 68 68 3A 6D 6D 3A 73 73 20 22 47 4D 54 22 0D 0A 00 00 FF FF FF FF 0B 00 00 00 54 69 74 6C 65 3A 20 25 73 0D 0A 00 FF FF FF FF 16 00 00 00 57 57 57 2D 41 75 74 68 65 6E 74 69 63 61 74 65 3A 20 25 73 0D 0A 00 00 FF FF FF FF 15 00 00 00 43 6F 6E 74 65 6E 74 2D 56 65 72 73 69 6F 6E 3A 20 25 73 0D 0A 00 00 00 FF FF FF FF 16 00 00 00 43 6F 6E 74 65 6E 74 2D 45 6E 63 6F 64 69 6E 67 3A 20 25 73 0D 0A 00 00 FF FF FF FF 12 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 25 73 0D 0A 00 00 FF FF FF FF 14 00 00 00 43 6F 6E 74 65 6E 74 2D 4C 65 6E 67 74 68 3A 20 25 73 0D 0A 00 00 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 3A 0D 0A 0D 0A 00 00 00 00 }
	condition:
		$1
}

rule function_1265_0 {
	meta:
		name = "TCGIResponse.SendRedirect"
		size = 132
		refs = "0015 TCGIResponse.SendRedirect 0035 Format 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 F4 C6 45 F8 0B 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 10 8B 08 FF 51 1C C6 43 68 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 FF FF FF FF 0C 00 00 00 4C 6F 63 61 74 69 6F 6E 3A 20 25 73 00 00 00 00 }
	condition:
		$1
}

rule function_1266_0 {
	meta:
		name = "TCGIResponse.SendStream"
		size = 91
		refs = "0040 TStream.GetPosition 0049 TStream.GetSize"
		altNames = "TISAPIResponse.SendStream"
	strings:
		$1 = { 53 56 57 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 20 00 00 83 C4 04 8B DA 8B F0 EB 1A 8B D4 B9 00 20 00 00 8B C3 8B 38 FF 57 04 8B D4 8B C8 8B 46 10 8B 38 FF 57 18 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3B F8 7C D2 81 C4 00 20 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1267_0 {
	meta:
		name = "_NF__E8"
		size = 592
	strings:
		$1 = { FF FF FF FF 0E 00 00 00 52 65 71 75 65 73 74 20 4D 65 74 68 6F 64 00 00 FF FF FF FF 10 00 00 00 52 65 71 75 65 73 74 20 50 72 6F 74 6F 63 6F 6C 00 00 00 00 FF FF FF FF 03 00 00 00 55 72 6C 00 FF FF FF FF 0C 00 00 00 51 75 65 72 79 20 53 74 72 69 6E 67 00 00 00 00 FF FF FF FF 0C 00 00 00 4C 6F 67 69 63 61 6C 20 50 61 74 68 00 00 00 00 FF FF FF FF 0D 00 00 00 50 68 79 73 69 63 61 6C 20 50 61 74 68 00 00 00 FF FF FF FF 0D 00 00 00 43 61 63 68 65 20 43 6F 6E 74 72 6F 6C 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 65 00 00 00 00 FF FF FF FF 06 00 00 00 41 63 63 65 70 74 00 00 FF FF FF FF 04 00 00 00 46 72 6F 6D 00 00 00 00 FF FF FF FF 04 00 00 00 48 6F 73 74 00 00 00 00 FF FF FF FF 11 00 00 00 49 66 2D 4D 6F 64 69 66 69 65 64 2D 53 69 6E 63 65 00 00 00 FF FF FF FF 07 00 00 00 52 65 66 65 72 65 72 00 FF FF FF FF 0A 00 00 00 55 73 65 72 2D 41 67 65 6E 74 00 00 FF FF FF FF 10 00 00 00 43 6F 6E 74 65 6E 74 2D 45 6E 63 6F 64 69 6E 67 00 00 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 20 54 79 70 65 00 00 00 00 FF FF FF FF 0E 00 00 00 43 6F 6E 74 65 6E 74 20 4C 65 6E 67 74 68 00 00 FF FF FF FF 0F 00 00 00 43 6F 6E 74 65 6E 74 20 56 65 72 73 69 6F 6E 00 FF FF FF FF 0C 00 00 00 44 65 72 69 76 65 64 2D 46 72 6F 6D 00 00 00 00 FF FF FF FF 07 00 00 00 45 78 70 69 72 65 73 00 FF FF FF FF 05 00 00 00 54 69 74 6C 65 00 00 00 FF FF FF FF 0E 00 00 00 52 65 6D 6F 74 65 20 41 64 64 72 65 73 73 00 00 FF FF FF FF 0B 00 00 00 52 65 6D 6F 74 65 20 48 6F 73 74 00 FF FF FF FF 0F 00 00 00 45 78 65 63 75 74 61 62 6C 65 20 50 61 74 68 00 FF FF FF FF 0B 00 00 00 53 65 72 76 65 72 20 50 6F 72 74 00 FF FF FF FF 0A 00 00 00 43 6F 6E 6E 65 63 74 69 6F 6E 00 00 FF FF FF FF 06 00 00 00 43 6F 6F 6B 69 65 00 00 FF FF FF FF 0D 00 00 00 41 75 74 68 6F 72 69 7A 61 74 69 6F 6E 00 00 00 }
	condition:
		$1
}

rule function_1268_0 {
	meta:
		name = "TWinCGIRequest.Create"
		size = 320
		refs = "000f @ClassCreate 001e @LStrAddRef 0036 TWinCGIRequest.Create 0046 _Dn_TIniFile 004b TIniFile.Create 006d TIniFile.ReadString 0097 _Dn_TFileStream 009c TFileStream.Create 00bc TCGIRequest.Create 00d1 @LStrClr 00de @LStrArrayClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 18 83 7D 0C 00 75 17 6A 00 8D 45 0C 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D 08 00 75 18 6A 00 8D 45 08 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 47 18 E8 ?? ?? ?? ?? 6A 40 8B 4D 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C 6A 41 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 20 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 20 46 69 6C 65 00 00 00 00 FF FF FF FF 06 00 00 00 53 79 73 74 65 6D 00 00 FF FF FF FF 0B 00 00 00 4F 75 74 70 75 74 20 46 69 6C 65 00 }
	condition:
		$1
}

rule function_1269_0 {
	meta:
		name = "TWinCGIRequest.Destroy"
		size = 58
		refs = "000a TObject.Free 0026 TWebRequest.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1270_0 {
	meta:
		name = "TWinCGIRequest.GetFieldByName"
		size = 56
		refs = "000f TWinCGIRequest.GetFieldByName 0017 TIniFile.ReadString"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 00 57 8B CE BA ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 FF FF FF FF 0D 00 00 00 45 78 74 72 61 20 48 65 61 64 65 72 73 00 00 00 }
	condition:
		$1
}

rule function_1271_0 {
	meta:
		name = "_NF__F5"
		size = 268
		refs = "0014 _NF__F5 0021 _Dn_TStringList 0026 TObject.Create 004d TIniFile.ReadSection 0054 @LStrClr 008f @LStrCatN 00a1 @LStrLen 00ab @LStrSetLength 00c0 TObject.Free 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 18 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 32 46 C7 45 F8 00 00 00 00 FF 33 8D 4D F4 8B 55 F8 8B 45 FC 8B 38 FF 57 0C FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 4E 75 D6 83 3B 00 74 11 8B 03 E8 ?? ?? ?? ?? 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 06 00 00 00 41 63 63 65 70 74 00 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_1272_0 {
	meta:
		name = "TWinCGIRequest.GetStringVariable"
		size = 248
		refs = "0018 TWinCGIRequest.GetStringVariable 0069 _NV__E7 0079 TIniFile.ReadString 0088 @LStrLAsg 0093 _NF__F5 00c3 @LStrClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 83 F8 1C 77 7B 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 00 01 01 01 00 00 03 00 00 00 00 00 00 01 01 00 00 00 00 01 01 01 01 02 01 01 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 56 8B 0C 9D ?? ?? ?? ?? 8B 45 FC 8B 40 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 48 8B C6 8B 55 FC 8B 52 14 E8 ?? ?? ?? ?? EB 39 55 8D 45 F8 E8 ?? ?? ?? ?? 59 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 23 85 DB 7C 18 83 FB 1C 7F 13 8B CE 8B 14 9D ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 20 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 FF FF FF FF 03 00 00 00 43 47 49 00 }
	condition:
		$1
}

rule function_1273_0 {
	meta:
		name = "TWinCGIRequest.ReadClient"
		size = 11
	strings:
		$1 = { 53 8B 40 1C 8B 18 FF 53 04 5B C3 }
	condition:
		$1
}

rule function_1274_0 {
	meta:
		name = "TWinCGIRequest.ReadString"
		size = 38
		refs = "000e @LStrSetLength"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C7 8B D3 E8 ?? ?? ?? ?? 85 DB 7E 0C 8B 17 8B CB 8B 46 1C 8B 18 FF 53 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1276_0 {
	meta:
		name = "TWinCGIRequest.WriteClient"
		size = 11
	strings:
		$1 = { 53 8B 40 20 8B 18 FF 53 08 5B C3 }
	condition:
		$1
}

rule function_1277_0 {
	meta:
		name = "TWinCGIRequest.WriteString"
		size = 51
		refs = "000d @LStrLen"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 24 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 46 20 8B 30 FF 56 08 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 94 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_1278_0 {
	meta:
		name = "_NF__10A"
		size = 468
		refs = "0021 _NF__10A 0038 TObject.ClassName 005e sInternalServerError 0063 LoadResString 0074 Format 008a @LStrLen 00a8 IsConsole 00bf Output 00c6 FileWrite 00ec _Dn_TFileStream 00f1 TFileStream.Create 0141 TObject.Free 0147 @HandleFinally 0161 @LStrClr 016e @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 53 56 33 C9 89 8D E0 FE FF FF 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 95 E4 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF 89 45 E4 C6 45 E8 04 8B 43 04 89 45 EC C6 45 F0 0B 8D 45 E4 50 8D 95 E0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8D 45 F8 50 8B 43 04 89 45 E4 C6 45 E8 0B 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC C6 45 F0 00 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 34 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 68 6A 41 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 F4 8B 18 FF 53 08 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F4 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 FF FF FF FF 49 00 00 00 53 74 61 74 75 73 3A 20 35 30 30 20 25 73 0D 0A 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 74 65 78 74 2F 68 74 6D 6C 0D 0A 43 6F 6E 74 65 6E 74 2D 4C 65 6E 67 74 68 3A 20 25 64 0D 0A 43 6F 6E 74 65 6E 74 3A 0D 0A 0D 0A 00 00 00 }
	condition:
		$1
}

rule function_1279_0 {
	meta:
		name = "_NF__10B"
		size = 324
		refs = "0025 _NF__10B 0030 IsConsole 003c _DV_TCGIRequest 0041 TCGIRequest.Create 0058 ParamStr 0093 _DV_TWinCGIRequest 0098 TWinCGIRequest.Create 00c8 @LStrToPChar 00e9 GetPrivateProfileString 00f9 @LStrFromPCharLen 0116 @LStrArrayClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 D2 89 95 F4 FE FF FF 89 95 F0 FE FF FF 89 95 EC FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 74 13 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E9 B1 00 00 00 8D 95 F4 FE FF FF B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 8D 95 F0 FE FF FF B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 50 8D 95 EC FE FF FF B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 53 44 B8 03 00 00 00 E8 ?? ?? ?? ?? 83 7B 44 00 75 4C 8D 95 F4 FE FF FF B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF E8 ?? ?? ?? ?? 50 68 05 01 00 00 8D 85 FB FE FF FF 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 95 FB FE FF FF 8D 43 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 8B E5 5D C3 00 00 00 00 00 00 4F 75 74 70 75 74 20 46 69 6C 65 00 53 79 73 74 65 6D 00 00 }
	condition:
		$1
}

rule function_1280_0 {
	meta:
		name = "_NF__10C"
		size = 40
		refs = "0001 IsConsole 000d _DV_TCGIResponse 0014 TCGIResponse.Create 001c _DV_TWinCGIResponse"
	strings:
		$1 = { A1 ?? ?? ?? ?? 80 38 00 74 0F 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1281_0 {
	meta:
		name = "TCGIApplication.Run"
		size = 242
		refs = "0010 TWebApplication.Run 0015 IsConsole 001f Output 0024 @RewritText 0029 @_IOTest 002e Input 0033 @ResetText 0040 TCGIApplication.Run 004e _NF__10B 006a _NF__10C 0089 TWebApplication.HandleRequest 009e TObject.Free 00a4 @HandleFinally 00d2 @HandleAnyException 00d7 ExceptObject 00e2 _NF__10A 00e7 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 1E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 52 44 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1282_0 {
	meta:
		name = "_NF__10F"
		size = 23
		refs = "0005 _DV_TCGIApplication 000a TWebApplication.Create 0010 Application"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 C3 }
	condition:
		$1
}

rule function_8864_0 {
	meta:
		name = "_NF__E8"
		size = 23
		refs = "0005 _DV_TISAPIApplication 000a TWebApplication.Create 0010 Application"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 C3 }
	condition:
		$1
}

rule function_1283_0 {
	meta:
		name = "_NF__110"
		size = 22
		refs = "0001 Application 0008 TObject.Free"
		altNames = "_NF__E9"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 }
	condition:
		$1
}

rule function_1284_0 {
	meta:
		name = "Finalization"
		size = 95
		refs = "0007 Finalization 0013 _NV__90 001a _NF__110 001f _NV__E7 002a String 002f @FinalizeArray 0034 _NV__91 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2F E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 1D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 1D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1285_0 {
	meta:
		name = "CGIApp"
		size = 15
		refs = "0002 _NV__90 000a _NF__10F"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8867_0 {
	meta:
		name = "ISAPIApp"
		size = 15
		refs = "0002 _NV__7F 000a _NF__E8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1461_0 {
	meta:
		name = "checklst"
		size = 15
		refs = "0002 _NV__BE 000a _NF__C3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1286_0 {
	meta:
		name = "GradientFill"
		size = 452
		refs = "003c GetRValue 004b GetGValue 005a GetBValue 00a3 TCanvas.GetHandle 00c5 MulDiv 00f3 RGB 00f9 CreateSolidBrush 0103 SelectObject 0153 PatBlt 01ad DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B D9 8B FA 89 45 FC 80 7D 08 00 74 0A 8B 47 08 2B 07 89 45 F8 EB 09 8B 47 0C 2B 47 04 89 45 F8 8B 75 F8 81 FE 00 01 00 00 7E 05 BE 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 25 FF 00 00 00 89 45 DC 8B C3 E8 ?? ?? ?? ?? 25 FF 00 00 00 89 45 E0 8B C3 E8 ?? ?? ?? ?? 25 FF 00 00 00 89 45 E4 8B 45 0C E8 ?? ?? ?? ?? 25 FF 00 00 00 2B 45 DC 89 45 D0 8B 45 0C E8 ?? ?? ?? ?? 25 FF 00 00 00 2B 45 E0 89 45 D4 8B 45 0C E8 ?? ?? ?? ?? 25 FF 00 00 00 2B 45 E4 89 45 D8 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B C6 48 85 C0 0F 8C 06 01 00 00 40 89 45 E8 33 DB 8B C6 48 50 8B 45 D8 50 53 E8 ?? ?? ?? ?? 02 45 E4 50 8B C6 48 50 8B 45 D4 50 53 E8 ?? ?? ?? ?? 02 45 E0 50 8B C6 48 50 8B 45 D0 50 53 E8 ?? ?? ?? ?? 02 45 DC 5A 59 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 8B 45 EC 50 E8 ?? ?? ?? ?? 89 45 F0 80 7D 08 00 74 49 56 8B 45 F8 50 53 E8 ?? ?? ?? ?? 8B 57 08 2B D0 89 55 F4 68 21 00 F0 00 8B 47 0C 2B 47 04 50 56 8B 45 F8 50 8D 43 01 50 E8 ?? ?? ?? ?? 8B 57 08 2B D0 2B 55 F4 52 8B 47 04 50 8B 45 F4 50 8B 45 EC 50 E8 ?? ?? ?? ?? EB 45 56 8B 45 F8 50 53 E8 ?? ?? ?? ?? 8B 57 0C 2B D0 89 55 F4 68 21 00 F0 00 56 8B 45 F8 50 8D 43 01 50 E8 ?? ?? ?? ?? 8B 57 0C 2B D0 2B 55 F4 52 8B 47 08 2B 07 50 8B 45 F4 50 8B 07 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 EC 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 43 FF 4D E8 0F 85 00 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1287_0 {
	meta:
		name = "GetDefaultPattern"
		size = 20
		refs = "000f _NV__224"
	strings:
		$1 = { 8B C8 8B C1 B9 06 00 00 00 99 F7 F9 42 8A 82 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1288_0 {
	meta:
		name = "_NF__227"
		size = 45
		refs = "0011 _Dn_TForm 0016 @IsClass 0027 @AsClass"
	strings:
		$1 = { 53 8B 58 04 EB 03 8B 5B 04 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1289_0 {
	meta:
		name = "TChartGradient.Create"
		size = 71
		refs = "000b @ClassCreate 001a TObject.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 C6 47 09 00 C7 47 0C FF FF FF 00 C7 47 10 FF FF 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1290_0 {
	meta:
		name = "TChartGradient.SetVisible"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 08 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14965_0 {
	meta:
		name = "TSeriesMarks.SetVisible"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 48 08 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1291_0 {
	meta:
		name = "TChartGradient.SetDirection"
		size = 17
	strings:
		$1 = { 3A 50 09 74 0B 88 50 09 8B 40 04 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_1292_0 {
	meta:
		name = "TChartGradient.SetStartColor"
		size = 14
		refs = "0009 TCustomTeePanel.SetColorProperty"
	strings:
		$1 = { 8D 48 0C 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15210_0 {
	meta:
		name = "TChartAxis.SetVisible"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 0C 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15270_0 {
	meta:
		name = "TCustomChartLegend.SetResizeChart"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 0C 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14969_0 {
	meta:
		name = "TSeriesMarks.SetBackColor"
		size = 14
		refs = "0009 TChartSeries.SetColorProperty"
	strings:
		$1 = { 8D 48 0C 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1293_0 {
	meta:
		name = "TChartGradient.SetEndColor"
		size = 14
		refs = "0009 TCustomTeePanel.SetColorProperty"
	strings:
		$1 = { 8D 48 10 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15194_0 {
	meta:
		name = "TChartAxis.SetLabels"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 10 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15163_0 {
	meta:
		name = "TChartAxisTitle.SetCaption"
		size = 14
		refs = "0009 TCustomTeePanel.SetStringProperty"
	strings:
		$1 = { 8D 48 10 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14970_0 {
	meta:
		name = "TSeriesMarks.SetBackTransparent"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 48 10 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1294_0 {
	meta:
		name = "TChartGradient.Assign"
		size = 64
		refs = "000a _DV_TChartGradient 000f @IsClass 0039 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 8A 50 08 88 53 08 8A 50 09 88 53 09 8B 50 0C 89 53 0C 8B 40 10 89 43 10 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1295_0 {
	meta:
		name = "TChartWall.Create"
		size = 128
		refs = "000b @ClassCreate 001a TObject.Create 002b _Dn_TBrush 0030 TBrush.Create 004d _Dn_TChartPen 0052 TChartPen.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 14 C7 47 04 00 00 00 80 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 8B 47 14 89 46 08 8B 00 8B 80 88 00 00 00 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 08 8B 47 14 89 46 08 8B 00 8B 80 88 00 00 00 89 46 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1296_0 {
	meta:
		name = "TChartWall.Destroy"
		size = 50
		refs = "000a TObject.Free 001e TPersistent.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1297_0 {
	meta:
		name = "TChartWall.Assign"
		size = 75
		refs = "000b _DV_TChartWall 0010 @IsClass 0043 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8B FE 8B 47 04 89 43 04 8B 57 0C 8B 43 0C 8B 08 FF 51 08 8B 57 08 8B 43 08 8B 08 FF 51 08 8B 47 10 89 43 10 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1298_0 {
	meta:
		name = "TChartWall.SetPen"
		size = 9
		altNames = "TWebResponse.SetCustomHeaders"
	strings:
		$1 = { 8B 40 08 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1299_0 {
	meta:
		name = "TChartWall.SetBrush"
		size = 9
		altNames = "TColumnTitle.SetFont"
	strings:
		$1 = { 8B 40 0C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1300_0 {
	meta:
		name = "TChartWall.SetSize"
		size = 14
		refs = "0009 TCustomTeePanel.SetLongintProperty"
	strings:
		$1 = { 8D 48 10 8B 40 14 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1301_0 {
	meta:
		name = "TChartWall.SetColor"
		size = 14
		refs = "0009 TCustomTeePanel.SetColorProperty"
	strings:
		$1 = { 8D 48 04 8B 40 14 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1302_0 {
	meta:
		name = "TChartBrush.Create"
		size = 58
		refs = "000a @ClassCreate 0017 TBrush.Create 0023 TBrush.SetColor"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 00 00 00 80 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1303_0 {
	meta:
		name = "TChartTitle.Create"
		size = 163
		refs = "000e @ClassCreate 001c TChartFontObject.Create 0023 _Dn_TStringList 0028 TObject.Create 0040 TFont.SetColor 0047 _Dn_TChartHiddenPen 004c TChartHiddenPen.Create 006d _DV_TChartBrush 0072 TChartBrush.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 C6 43 14 01 C6 43 0C 02 BA 00 00 FF 00 8B 43 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 18 8B 43 04 89 46 08 8B 00 8B 80 88 00 00 00 89 46 04 C6 43 1C 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 20 8B 43 04 89 46 08 8B 00 8B 80 88 00 00 00 89 46 04 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1304_0 {
	meta:
		name = "TChartTitle.Assign"
		size = 90
		refs = "000b _DV_TChartTitle 0010 @IsClass 0052 TChartFontObject.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B FE 8B 57 10 8B 43 10 8B 08 FF 51 08 8A 47 0C 88 43 0C 8A 47 14 88 43 14 8B 57 18 8B 43 18 8B 08 FF 51 08 8A 47 1C 88 43 1C 8B 57 20 8B 43 20 8B 08 FF 51 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1305_0 {
	meta:
		name = "TChartTitle.IsTitleFontStored"
		size = 160
		refs = "000d TChartTitle.IsTitleFontStored 0020 TFont.GetName 002c GetDefaultFontName 0035 @LStrCmp 003e TFont.GetSize 0045 GetDefaultFontSize 0059 TFont.GetStyle 0080 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 58 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 75 30 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 1E 81 7B 14 00 00 FF 00 75 15 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_1306_0 {
	meta:
		name = "TChartTitle.Destroy"
		size = 58
		refs = "000a TObject.Free 0026 TChartFontObject.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1307_0 {
	meta:
		name = "TChartTitle.SetText"
		size = 20
		refs = "000e TChartFontObject.Repaint"
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1308_0 {
	meta:
		name = "TChartTitle.SetVisible"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 14 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15268_0 {
	meta:
		name = "TCustomChartLegend.SetHorizMargin"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 14 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1309_0 {
	meta:
		name = "TChartTitle.SetAdjustFrame"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 1C 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15206_0 {
	meta:
		name = "TChartAxis.SetTitleSize"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 1C 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1310_0 {
	meta:
		name = "TChartTitle.SetAlignment"
		size = 14
		refs = "0009 TChartFontObject.Repaint"
	strings:
		$1 = { 3A 50 0C 74 08 88 50 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1311_0 {
	meta:
		name = "TChartTitle.SetBrush"
		size = 9
		altNames = "TSeriesMarks.SetArrow"
	strings:
		$1 = { 8B 40 20 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1312_0 {
	meta:
		name = "TChartTitle.SetFrame"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1313_0 {
	meta:
		name = "TChartTitle.Clicked"
		size = 62
		refs = "0019 Point 002a PtInRect"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 80 7B 14 00 74 20 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8D 43 24 50 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1314_0 {
	meta:
		name = "TCustomChart.Create"
		size = 468
		refs = "0019 @ClassCreate 0026 TCustomChart.Create 0035 TCustomAxisPanel.Create 003e _DV_TChartTitle 0043 TChartTitle.Create 0070 TObject.ClassName 007e @LStrFromString 00a4 TFont.SetColor 00a9 GetDefaultFontSize 00b2 TFont.SetSize 00bf TFont.SetStyle 00c8 _DV_TChartGradient 00cd TChartGradient.Create 00dc _DV_TChartWall 00e1 TChartWall.Create 00f5 TChartWall.SetColor 0125 _Dn_TPicture 012a TPicture.Create 0183 Rect 01ab @LStrClr 01b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 44 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 48 02 00 00 F6 43 20 10 74 5C 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 44 02 00 00 8B 40 10 8B 08 FF 51 34 8B 83 48 02 00 00 8B 70 08 BA FF 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 34 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 38 02 00 00 BA FF FF 80 00 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 3C 02 00 00 BA FF FF FF 00 8B C6 E8 ?? ?? ?? ?? C6 83 2B 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 30 02 00 00 89 5E 0C 8B 03 8B 80 88 00 00 00 89 46 08 C7 83 24 02 00 00 08 00 00 00 C6 83 29 02 00 00 01 C6 83 2A 02 00 00 03 C6 83 20 02 00 00 00 C6 83 A0 02 00 00 01 6A 0F 8D 85 E8 FE FF FF 50 B9 0F 00 00 00 BA 0F 00 00 00 B8 0F 00 00 00 E8 ?? ?? ?? ?? 8D B5 E8 FE FF FF 8D BB F4 02 00 00 B9 04 00 00 00 F3 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 02 00 00 00 }
	condition:
		$1
}

rule function_1315_0 {
	meta:
		name = "TCustomChart.Destroy"
		size = 100
		refs = "000d TObject.Free 0050 TCustomAxisPanel.Destroy 005b @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 44 02 00 00 E8 ?? ?? ?? ?? 8B 86 48 02 00 00 E8 ?? ?? ?? ?? 8B 86 3C 02 00 00 E8 ?? ?? ?? ?? 8B 86 38 02 00 00 E8 ?? ?? ?? ?? 8B 86 34 02 00 00 E8 ?? ?? ?? ?? 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1316_0 {
	meta:
		name = "TCustomChart.SetTitle"
		size = 12
	strings:
		$1 = { 8B 80 44 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1317_0 {
	meta:
		name = "TCustomChart.SetBackImage"
		size = 12
	strings:
		$1 = { 8B 80 30 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1318_0 {
	meta:
		name = "TCustomChart.SetBackImageInside"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 2C 02 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1319_0 {
	meta:
		name = "TCustomChart.SetFoot"
		size = 12
	strings:
		$1 = { 8B 80 48 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1320_0 {
	meta:
		name = "TCustomChart.SetBackImageMode"
		size = 20
	strings:
		$1 = { 3A 90 2B 02 00 00 74 0B 88 90 2B 02 00 00 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_1321_0 {
	meta:
		name = "_NF__28C"
		size = 42
	strings:
		$1 = { 8A 48 0D 88 0A 8A 48 0F 88 4A 01 8A 48 0E 88 4A 02 8B 48 54 89 4A 04 8B 48 58 89 4A 08 8B 48 4C 89 4A 0C 8B 48 50 89 4A 10 C3 }
	condition:
		$1
}

rule function_1322_0 {
	meta:
		name = "_NF__28D"
		size = 64
		refs = "000f _NF__28C"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 8D 56 3C 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8D 56 14 8B 83 C0 01 00 00 E8 ?? ?? ?? ?? 8D 56 28 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1324_0 {
	meta:
		name = "_NF__28F"
		size = 64
		refs = "000f _NF__28E"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 8D 56 3C 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8D 56 14 8B 83 C0 01 00 00 E8 ?? ?? ?? ?? 8D 56 28 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1323_0 {
	meta:
		name = "_NF__28E"
		size = 63
		refs = "000b TChartAxis.SetAutomatic 0015 TChartAxis.SetAutomaticMinimum 001f TChartAxis.SetAutomaticMaximum 0038 TChartAxis.SetMinMax"
	strings:
		$1 = { 53 56 8B F2 8B D8 8A 16 8B C3 E8 ?? ?? ?? ?? 8A 56 01 8B C3 E8 ?? ?? ?? ?? 8A 56 02 8B C3 E8 ?? ?? ?? ?? 80 7B 0D 00 75 13 FF 76 08 FF 76 04 FF 76 10 FF 76 0C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1325_0 {
	meta:
		name = "TCustomChart.SetGradient"
		size = 12
	strings:
		$1 = { 8B 80 34 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1326_0 {
	meta:
		name = "TCustomChart.SetLeftWall"
		size = 12
	strings:
		$1 = { 8B 80 38 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1327_0 {
	meta:
		name = "TCustomChart.SetBottomWall"
		size = 12
	strings:
		$1 = { 8B 80 3C 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1328_0 {
	meta:
		name = "_NF__299"
		size = 77
		refs = "0023 TCustomChart.DrawTitle"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 44 02 00 00 80 78 14 00 74 12 8B 55 08 8B D0 8B 45 08 8B 40 FC B1 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 48 02 00 00 80 78 14 00 74 12 8B 55 08 8B D0 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_1329_0 {
	meta:
		name = "TCustomChart.DrawTitlesAndLegend"
		size = 110
		refs = "0020 TChartSeriesList.CountActive 0045 _NF__299"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 B4 01 00 00 80 78 2C 00 74 4E 8B 45 FC 8B 80 AC 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 3C 8B 45 FC 8B 90 B4 01 00 00 8A 42 2D 84 C0 74 04 3C 01 75 10 8B C2 8B 10 FF 52 18 55 E8 ?? ?? ?? ?? 59 EB 1F 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 B4 01 00 00 8B 10 FF 52 18 59 5D C3 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_1330_0 {
	meta:
		name = "TCustomChart.DrawBitmap"
		size = 338
		refs = "0043 TCanvas.StretchDraw 005a TCustomAxisPanel.ClipRectangle 006e TPicture.GetWidth 007c TPicture.GetHeight 00c7 TCanvas.Draw 0146 TCustomAxisPanel.UnClipRectangle"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F2 8B D8 8B 83 30 02 00 00 8B 40 04 85 C0 0F 84 2E 01 00 00 8B 56 0C 2B 56 04 89 54 24 08 8B 56 08 2B 16 89 54 24 0C 80 BB 2B 02 00 00 00 75 14 8B C8 8B D6 8B 83 50 01 00 00 E8 ?? ?? ?? ?? E9 FE 00 00 00 80 BB A0 01 00 00 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 2B 02 00 00 01 75 79 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 89 04 24 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 89 44 24 04 83 3C 24 00 0F 8E AC 00 00 00 83 7C 24 04 00 0F 8E A1 00 00 00 33 ED 3B 6C 24 08 0F 8D 95 00 00 00 33 FF 3B 7C 24 0C 7D 27 8B 83 30 02 00 00 8B 40 04 50 8B 4E 04 03 CD 8B 16 03 D7 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 03 3C 24 3B 7C 24 0C 7C D9 03 6C 24 04 3B 6C 24 08 7C C7 EB 5A 8B D6 8B C3 8B 08 FF 91 D0 00 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B 7C 24 0C 2B F8 D1 FF 79 03 83 D7 00 03 3E 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B 6C 24 08 2B E8 D1 FD 79 03 83 D5 00 03 6E 04 8B 83 30 02 00 00 8B 40 04 50 8B CD 8B D7 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 80 BB A0 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1331_0 {
	meta:
		name = "TCustomChart.FillPanelRect"
		size = 140
		refs = "004c GradientFill 005d PrintTeePanel 0070 TBrush.SetColor 007a TBrush.SetStyle 0083 TCanvas.FillRect"
	strings:
		$1 = { 53 56 57 55 8B F2 8B 90 34 02 00 00 80 7A 08 00 74 40 8A 4A 09 84 C9 74 05 80 F9 02 75 08 8B 6A 0C 8B 7A 10 EB 06 8B 7A 0C 8B 6A 10 57 8A 4A 09 80 F9 02 74 09 80 F9 03 74 04 33 D2 EB 02 B2 01 52 8B D6 8B 80 50 01 00 00 8B CD E8 ?? ?? ?? ?? EB 35 8A 90 A0 01 00 00 80 F2 01 0A 15 ?? ?? ?? ?? 74 24 8B 98 50 01 00 00 8B 50 54 8B 43 14 E8 ?? ?? ?? ?? 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1332_0 {
	meta:
		name = "TCustomChart.BackWallsPaint"
		size = 60
		refs = "0020 TCustomAxisPanel.BackWallRect 0033 TCustomAxisPanel.BackWallsPaint"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B 83 30 02 00 00 83 78 04 00 74 1E 80 BB 2C 02 00 00 00 74 15 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 91 D4 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_1333_0 {
	meta:
		name = "_NF__2A4"
		size = 107
		refs = "0035 Frame3D"
	strings:
		$1 = { 55 8B EC 84 C0 74 62 3C 01 75 30 68 14 00 00 80 8B 45 08 8B 40 EC 8B 80 20 01 00 00 50 8B 45 08 8D 50 F0 8B 45 08 8B 40 EC 8B 80 50 01 00 00 B9 10 00 00 80 E8 ?? ?? ?? ?? EB 2E 68 10 00 00 80 8B 45 08 8B 40 EC 8B 80 20 01 00 00 50 8B 45 08 8D 50 F0 8B 45 08 8B 40 EC 8B 80 50 01 00 00 B9 14 00 00 80 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_1334_0 {
	meta:
		name = "TCustomChart.PanelPaint"
		size = 231
		refs = "0070 TPen.SetStyle 007c TPen.SetWidth 0085 TPen.SetMode 0098 TBrush.SetStyle 00a7 _NF__2A4 00cc Frame3D"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 EC 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8D 55 F0 8B 45 EC 8B 08 FF 91 D0 00 00 00 8B 45 EC 8B 80 30 02 00 00 83 78 04 00 74 1A 8B 45 EC 80 B8 2C 02 00 00 00 75 0E 8D 55 F0 8B 45 EC 8B 08 FF 91 D4 00 00 00 8B 45 EC 80 B8 A0 01 00 00 00 0F 85 81 00 00 00 8B 45 EC 8B 80 50 01 00 00 8B 58 10 33 D2 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 04 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 80 50 01 00 00 8B 40 14 B2 01 E8 ?? ?? ?? ?? 55 8B 45 EC 8A 80 1D 01 00 00 E8 ?? ?? ?? ?? 59 8B 45 EC 8B 40 54 50 8B 55 EC 8B 92 24 01 00 00 52 8B C8 8D 55 F0 8B 45 EC 8B 80 50 01 00 00 E8 ?? ?? ?? ?? 55 8B 45 EC 8A 80 1C 01 00 00 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1335_0 {
	meta:
		name = "TCustomChart.CalcWallSize"
		size = 59
	strings:
		$1 = { 33 C9 80 B8 C8 01 00 00 00 74 2D 80 B8 C9 01 00 00 00 74 24 3B 90 C0 01 00 00 75 0B 8B 80 38 02 00 00 8B 48 10 EB 11 3B 90 BC 01 00 00 75 09 8B 80 3C 02 00 00 8B 48 10 8B C1 C3 }
	condition:
		$1
}

rule function_1336_0 {
	meta:
		name = "_NF__2AB"
		size = 153
		refs = "0038 TPen.SetStyle 0049 TBrush.GetStyle 005e TBrush.GetColor 0079 TCustomTeePanel.SetBrushCanvas 0092 TBrush.SetStyle"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 08 80 78 18 00 74 17 8B 55 08 8B 52 FC 8B 92 50 01 00 00 8B 52 10 92 8B 08 FF 51 08 EB 16 8B 45 08 8B 40 FC 8B 80 50 01 00 00 8B 40 10 B2 05 E8 ?? ?? ?? ?? 81 7B 04 00 00 00 80 75 0C 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 2F 8B 43 0C E8 ?? ?? ?? ?? 50 8B 43 0C E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 8B 90 50 01 00 00 8B 45 08 8B 40 FC 8B 4B 04 E8 ?? ?? ?? ?? 5B 5D C3 8B 45 08 8B 40 FC 8B 80 50 01 00 00 8B 40 14 B2 01 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_1337_0 {
	meta:
		name = "TCustomChart.DrawWalls"
		size = 671
		refs = "0017 _NF__2AB 0069 Point 00aa TCustomTeePanel.DoPolygon 00d6 TCanvas.Rectangle"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 45 FC 55 8B 45 FC 8B 80 38 02 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 8B B0 38 02 00 00 8B 45 FC 8D 98 80 01 00 00 8B 45 FC 8B 53 04 2B 90 60 01 00 00 89 55 F8 8B 45 FC 8B B8 5C 01 00 00 03 3B 89 7D F4 8B 45 F4 89 45 D4 8B 45 F8 89 45 D8 8B 45 FC 8B 53 0C 2B 90 60 01 00 00 8D 4D CC 8B C7 E8 ?? ?? ?? ?? 8B 45 CC 89 45 DC 8B 45 D0 89 45 E0 8D 4D C4 8B 53 0C 42 8B 03 E8 ?? ?? ?? ?? 8B 45 C4 89 45 E4 8B 45 C8 89 45 E8 8B 03 89 45 EC 8B 43 04 89 45 F0 8D 55 D4 B9 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 56 10 85 D2 0F 8E 80 00 00 00 8B 03 8B C8 2B CA 51 8B 53 04 52 8B 4B 0C 41 8B 55 FC FF B2 50 01 00 00 8B D0 42 58 E8 ?? ?? ?? ?? 8B 45 F4 89 45 D4 8B 45 F8 89 45 D8 8D 4D CC 8B C7 2B 46 10 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 CC 89 45 DC 8B 45 D0 89 45 E0 8D 4D C4 8B 03 2B 46 10 8B 53 04 E8 ?? ?? ?? ?? 8B 45 C4 89 45 E4 8B 45 C8 89 45 E8 8B 03 89 45 EC 8B 43 04 89 45 F0 8D 55 D4 B9 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 55 8B 45 FC 8B 80 3C 02 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 8B B0 3C 02 00 00 8B 45 FC 8D 98 80 01 00 00 8B 45 FC 8B 53 0C 2B 90 60 01 00 00 4A 89 55 F8 8B 45 FC 8B B8 5C 01 00 00 8B C7 03 43 08 89 45 F4 8D 4D CC 8B C7 03 03 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D4 8B 45 D0 89 45 D8 8B 45 F4 89 45 DC 8B 45 F8 89 45 E0 8D 4D C4 8B 53 0C 8B 43 08 E8 ?? ?? ?? ?? 8B 45 C4 89 45 E4 8B 45 C8 89 45 E8 8D 4D BC 8B 53 0C 8B 03 E8 ?? ?? ?? ?? 8B 45 BC 89 45 EC 8B 45 C0 89 45 F0 8D 55 D4 B9 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 7E 10 00 0F 8E A8 00 00 00 8B 43 08 50 8B 46 10 8B 7B 0C 03 C7 40 50 8B 45 FC 8B 90 C0 01 00 00 8B 45 FC 8B 08 FF 91 A0 00 00 00 8B 13 2B D0 8B 45 FC 8B 80 50 01 00 00 8B CF E8 ?? ?? ?? ?? 8B 45 F4 89 45 D4 8B 45 F8 89 45 D8 8D 4D CC 8B 56 10 03 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 CC 89 45 DC 8B 45 D0 89 45 E0 8D 4D C4 8B 56 10 03 53 0C 8B 43 08 48 E8 ?? ?? ?? ?? 8B 45 C4 89 45 E4 8B 45 C8 89 45 E8 8D 4D BC 8B 43 08 48 8B 53 0C E8 ?? ?? ?? ?? 8B 45 BC 89 45 EC 8B 45 C0 89 45 F0 8D 55 D4 B9 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1338_0 {
	meta:
		name = "_NF__2AE"
		size = 117
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 8B 40 FC 8B D6 8B 08 FF 91 90 00 00 00 8B 55 08 8B 52 F8 8A 52 0C 80 EA 01 72 04 74 0A EB 14 8B 45 08 8B 40 E8 EB 2A 8B 55 08 8B 52 F0 2B D0 8B C2 EB 1E 8B 55 08 8B 52 E8 8B 4D 08 03 51 F0 D1 FA 79 03 83 D2 00 D1 F8 79 03 83 D0 00 2B D0 8B C2 56 8B 55 08 8B 4A EC 8B 55 08 8B 52 FC 92 8B 18 FF 93 84 00 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1339_0 {
	meta:
		name = "TCustomChart.DrawTitle"
		size = 872
		refs = "001b TCustomChart.DrawTitle 0043 TCustomTeePanel.TeeCharHeight 005c TBrush.GetColor 006d TBrush.SetStyle 0080 TPen.GetColor 00a1 TPen.GetWidth 018b InflateRect 0256 TCustomTeePanel.DoRectangle 0266 TCanvas.GetHandle 026c SetBkMode 02a9 _NF__2AE 0340 TCustomTeePanel.ReCalcWidthHeight 0355 @LStrClr 035b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 88 4D E7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 50 01 00 00 8B 45 F8 8B 50 08 8B 45 FC 8B 08 FF 91 80 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 E0 8B 45 F8 8B 50 20 8B 43 14 8B 08 FF 51 08 8B 43 14 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 0A 8B 43 14 B2 01 E8 ?? ?? ?? ?? 8B 45 F8 8B 70 18 80 7E 18 00 74 0E 8B C6 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 04 33 C0 EB 02 B0 01 88 45 DB 80 7D DB 00 74 0D 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? EB 02 33 C0 8B 55 FC 8B 92 80 01 00 00 03 D0 89 55 E8 80 7D E7 00 74 20 8B 55 FC 8B 92 84 01 00 00 89 55 EC 80 7D DB 00 74 03 01 45 EC 8B 55 EC 83 EA 05 89 55 F4 EB 1E 8B 55 FC 8B 92 8C 01 00 00 89 55 F4 80 7D DB 00 74 03 29 45 F4 8B 55 F4 83 C2 05 89 55 EC 8B 55 FC 8B 92 88 01 00 00 89 55 F0 80 7D DB 00 74 03 29 45 F0 8B 45 F8 8D 78 24 8D 75 E8 B9 04 00 00 00 F3 A5 80 7D DB 00 74 1A 8B 45 F8 8B 50 18 8B 43 10 8B 08 FF 51 08 8B 43 10 E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 8B C7 03 C0 89 45 D4 80 7D E7 00 74 19 8B 45 F8 8B 40 10 8B 10 FF 52 14 F7 6D E0 03 45 EC 8B 55 F8 89 42 30 EB 19 8B 45 F8 8B 40 10 8B 10 FF 52 14 F7 6D E0 8B 55 F4 2B D0 8B 45 F8 89 50 28 57 57 8B 45 F8 83 C0 24 50 E8 ?? ?? ?? ?? 80 7D DB 00 0F 84 AD 00 00 00 8B 45 F8 80 78 1C 00 0F 84 A0 00 00 00 33 C0 89 45 DC 8B 45 F8 8B 40 10 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2F 46 33 DB 8D 4D D0 8B 45 F8 8B 40 10 8B D3 8B 38 FF 57 0C 8B 55 D0 8B 45 FC 8B 08 FF 91 90 00 00 00 8B F8 3B 7D DC 7E 03 89 7D DC 43 4E 75 D4 8B 45 D4 01 45 DC 8B 45 F8 83 C0 24 8B 55 F8 8A 52 0C 80 EA 01 72 08 74 10 FE CA 74 16 EB 3B 8B 10 03 55 DC 89 50 08 EB 31 8B 50 08 2B 55 DC 89 10 EB 27 8B 10 03 50 08 D1 FA 79 03 83 D2 00 8B 4D DC D1 F9 79 03 83 D1 00 8B DA 2B D9 2B 5D D4 89 18 03 D1 03 55 D4 89 50 08 80 7D DB 00 74 0E 8B 45 F8 8D 50 24 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 FC 8B 80 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7D E7 00 74 44 8B 45 F8 8B 40 10 8B 10 FF 52 14 8B F0 4E 85 F6 7C 74 46 33 DB 8B 45 EC 03 45 E0 89 45 F4 55 8D 4D D0 8B 45 F8 8B 40 10 8B D3 8B 38 FF 57 0C 8B 45 D0 E8 ?? ?? ?? ?? 59 8B 45 F4 89 45 EC 43 4E 75 D3 EB 42 8B 45 F8 8B 40 10 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 2F 8B 45 F4 2B 45 E0 89 45 EC 55 8D 4D D0 8B 45 F8 8B 40 10 8B D3 8B 30 FF 56 0C 8B 45 D0 E8 ?? ?? ?? ?? 59 8B 45 EC 89 45 F4 4B 83 FB FF 75 D1 80 7D DB 00 74 14 80 7D E7 00 74 08 8B 45 D4 01 45 F4 EB 06 8B 45 D4 29 45 EC 80 7D E7 00 74 11 8B 45 F4 83 C0 05 8B 55 FC 89 82 84 01 00 00 EB 0F 8B 45 EC 83 E8 05 8B 55 FC 89 82 8C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1340_0 {
	meta:
		name = "TCustomChart.DrawToMetaCanvas"
		size = 115
		refs = "002e TCustomChart.DrawToMetaCanvas 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC C6 80 58 01 00 00 01 8B 45 FC 8A 80 D6 01 00 00 88 45 FB 8B 45 FC C6 80 D6 01 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 18 FF 93 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 FB 88 90 D6 01 00 00 8B 45 FC C6 80 58 01 00 00 00 C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1341_0 {
	meta:
		name = "TCustomChart.SaveToMetafile"
		size = 39
		refs = "001d TCustomChart.SaveToMetafileRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 8B 08 FF 91 94 00 00 00 54 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_1342_0 {
	meta:
		name = "TCustomChart.SaveToMetafileEnh"
		size = 39
		refs = "001d TCustomChart.SaveToMetafileRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 8B 08 FF 91 94 00 00 00 54 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_1343_0 {
	meta:
		name = "TCustomChart.SaveToMetafileRect"
		size = 146
		refs = "000d TCustomChart.TeeCreateMetafile 0018 TCustomChart.SaveToMetafileRect 002c _Dn_TFileStream 0031 TFileStream.Create 0062 TObject.Free 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 8B 4D 08 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 FF FF 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1344_0 {
	meta:
		name = "TCustomChart.SaveToBitmapFile"
		size = 150
		refs = "000f _Dn_TBitmap 0014 TBitmap.Create 001f TCustomChart.SaveToBitmapFile 0056 TBitmap.GetCanvas 0084 TObject.Free 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 8B 08 FF 91 94 00 00 00 8B 55 F4 2B 55 EC 8B 45 FC 8B 08 FF 51 40 8B 55 F8 2B 55 F0 8B 45 FC 8B 08 FF 51 34 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 4D EC 8B C3 8B 18 FF 93 C4 00 00 00 8B D6 8B 45 FC 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1345_0 {
	meta:
		name = "TCustomChart.PrintPortrait"
		size = 8
		refs = "0003 TCustomChart.PrintOrientation"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7458_0 {
	meta:
		name = "TApplication.NormalizeTopMosts"
		size = 8
		refs = "0003 _NF__638"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1562_0 {
	meta:
		name = "TCollectionItem.SetDisplayName"
		size = 8
		refs = "0003 TCollectionItem.Changed"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3439_0 {
	meta:
		name = "TControl.Hide"
		size = 8
		refs = "0003 TControl.SetVisible"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7386_0 {
	meta:
		name = "TCustomForm.Hide"
		size = 8
		refs = "0003 TCustomForm.SetVisible"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9317_0 {
	meta:
		name = "TCustomMaskEdit.Clear"
		size = 8
		refs = "0003 TCustomMaskEdit.SetText"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13282_0 {
	meta:
		name = "TCustomSocket.Close"
		size = 8
		refs = "0003 TCustomSocket.SetActive"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4218_0 {
	meta:
		name = "TDataSet.Close"
		size = 8
		refs = "0003 TDataSet.SetActive"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3906_0 {
	meta:
		name = "TField.Clear"
		size = 8
		refs = "0003 TField.SetData"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1519_0 {
	meta:
		name = "TList.First"
		size = 8
		refs = "0003 TList.Get"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11796_0 {
	meta:
		name = "TOutlineNode.Collapse"
		size = 8
		refs = "0003 TOutlineNode.SetExpandedState"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9981_0 {
	meta:
		name = "TPivotButton.DragCanceled"
		size = 8
		refs = "0003 _NF__130"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6603_0 {
	meta:
		name = "TPropertyEditor.GetOrdValue"
		size = 8
		refs = "0003 TPropertyEditor.GetOrdValueAt"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1746_0 {
	meta:
		name = "TReader.ReadListEnd"
		size = 8
		refs = "0003 _NF__4DA"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5566_0 {
	meta:
		name = "TSession.Close"
		size = 8
		refs = "0003 TSession.SetActive"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2172_0 {
	meta:
		name = "TTreeNode.GetCut"
		size = 8
		refs = "0003 _NF__832"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3509_0 {
	meta:
		name = "TWinControl.Realign"
		size = 8
		refs = "0003 _NF__58E"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1800_0 {
	meta:
		name = "TWriter.WriteListEnd"
		size = 8
		refs = "0003 TWriter.WriteValue"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6090_0 {
	meta:
		name = "_NF__101"
		size = 8
		refs = "0003 TCollectionItem.Changed"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1346_0 {
	meta:
		name = "TCustomChart.PrintLandscape"
		size = 8
		refs = "0003 TCustomChart.PrintOrientation"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7459_0 {
	meta:
		name = "TApplication.NormalizeAllTopMosts"
		size = 8
		refs = "0003 _NF__638"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9856_0 {
	meta:
		name = "TBaseArray.GetAutoSize"
		size = 8
		refs = "0003 TBaseArray.HasFlag"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13281_0 {
	meta:
		name = "TCustomSocket.Open"
		size = 8
		refs = "0003 TCustomSocket.SetActive"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4217_0 {
	meta:
		name = "TDataSet.Open"
		size = 8
		refs = "0003 TDataSet.SetActive"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11795_0 {
	meta:
		name = "TOutlineNode.Expand"
		size = 8
		refs = "0003 TOutlineNode.SetExpandedState"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6036_0 {
	meta:
		name = "TQuery.CreateHandle"
		size = 8
		refs = "0003 _NF__991"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1745_0 {
	meta:
		name = "TReader.ReadListBegin"
		size = 8
		refs = "0003 _NF__4DA"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5606_0 {
	meta:
		name = "TSession.Open"
		size = 8
		refs = "0003 TSession.SetActive"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5988_0 {
	meta:
		name = "TStoredProc.CreateHandle"
		size = 8
		refs = "0003 _NF__933"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2174_0 {
	meta:
		name = "TTreeNode.GetDropTarget"
		size = 8
		refs = "0003 _NF__832"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1799_0 {
	meta:
		name = "TWriter.WriteListBegin"
		size = 8
		refs = "0003 TWriter.WriteValue"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1347_0 {
	meta:
		name = "TCustomChart.PrintOrientation"
		size = 95
		refs = "000b Printer 0010 TPrinter.GetOrientation 001f TPrinter.SetOrientation 0027 TCustomChart.PrintOrientation 0034 TCustomChart.Print 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FF E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1348_0 {
	meta:
		name = "TCustomChart.CalcMetaBounds"
		size = 199
		refs = "002d TCustomTeePanel.GetWidthHeight 003f MulDiv"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B DA 8B F0 8B 43 08 2B 03 8B 55 0C 89 02 8B 43 0C 2B 43 04 8B 55 08 89 02 8D 4D F8 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 6A 64 8B 86 40 02 00 00 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 55 FC 2B D0 89 17 6A 64 8B 86 40 02 00 00 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 55 F8 2B D0 8B 45 10 89 10 8B 45 0C 8B 00 50 8B 07 50 8B 03 50 E8 ?? ?? ?? ?? 89 03 8B 45 0C 8B 00 50 8B 07 50 8B 43 08 50 E8 ?? ?? ?? ?? 89 43 08 8B 45 08 8B 00 50 8B 45 10 8B 00 50 8B 43 04 50 E8 ?? ?? ?? ?? 89 43 04 8B 45 08 8B 00 50 8B 45 10 8B 00 50 8B 43 0C 50 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_1349_0 {
	meta:
		name = "TCustomChart.PrintPartialCanvas"
		size = 240
		refs = "0031 SwapInteger 0066 TCustomChart.CalcMetaBounds 006d TCanvas.GetHandle 0075 SaveDC 007f SetMapMode 008b SetWindowOrgEx 009d SetWindowExtEx 00af SetViewportExtEx 00bb SetViewportOrgEx 00cf TCustomChart.DrawToMetaCanvas 00e4 RestoreDC"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B D9 8B FA 8B F0 56 57 8B F3 8D 7C 24 18 B9 04 00 00 00 F3 A5 5F 5E 8B 44 24 10 3B 44 24 18 7E 0D 8D 54 24 18 8D 44 24 10 E8 ?? ?? ?? ?? 8B 44 24 14 3B 44 24 1C 7E 0D 8D 54 24 1C 8D 44 24 14 E8 ?? ?? ?? ?? 8D 44 24 0C 50 8D 44 24 04 50 8D 44 24 0C 50 8D 4C 24 14 8D 54 24 1C 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 53 E8 ?? ?? ?? ?? 8B E8 6A 08 53 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 53 E8 ?? ?? ?? ?? 6A 00 8B 44 24 10 50 8B 44 24 10 50 53 E8 ?? ?? ?? ?? 6A 00 8B 44 24 08 50 8B 44 24 08 50 53 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 53 E8 ?? ?? ?? ?? C6 86 A0 01 00 00 01 8D 4C 24 10 8B D7 8B C6 E8 ?? ?? ?? ?? C6 86 A0 01 00 00 00 55 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1350_0 {
	meta:
		name = "TCustomChart.PrintPartial"
		size = 30
		refs = "0007 Printer 000c TPrinter.GetCanvas 0017 TCustomChart.PrintPartialCanvas"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1351_0 {
	meta:
		name = "TCustomChart.PrintRect"
		size = 140
		refs = "000a Printer 0015 @LStrAsg 001f TPrinter.BeginDoc 0027 TCustomChart.PrintRect 0036 TCustomChart.PrintPartial 0040 TPrinter.EndDoc 004f @HandleOnException 0057 _Dn_Exception 0065 TPrinter.Abort 007f @RaiseAgain 0084 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 83 C0 18 8B 53 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 1C 00 74 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1352_0 {
	meta:
		name = "_NF__2DD"
		size = 41
		refs = "0011 @ROUND"
	strings:
		$1 = { 55 8B EC 84 C0 74 10 8B 45 10 DB 40 FC DC 4D 08 E8 ?? ?? ?? ?? EB 0E 8B 45 10 DB 40 F8 DC 4D 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_1353_0 {
	meta:
		name = "_NF__2DE"
		size = 84
		refs = "0012 _NF__2DE"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 C0 74 20 89 55 F4 DB 45 F4 D8 0D ?? ?? ?? ?? 8B 45 08 DB 40 FC D8 0D ?? ?? ?? ?? DE F9 DD 5D F8 9B EB 1E 89 55 F4 DB 45 F4 D8 0D ?? ?? ?? ?? 8B 45 08 DB 40 F8 D8 0D ?? ?? ?? ?? DE F9 DD 5D F8 9B DD 45 F8 8B E5 5D C3 00 00 00 80 3F }
	condition:
		$1
}

rule function_1354_0 {
	meta:
		name = "TCustomChart.ChartPrintRect"
		size = 308
		refs = "000f Printer 0014 TPrinter.GetHandle 001a GetDeviceCaps 003d TPrinter.GetPageWidth 0046 _NF__2DE 004d TCustomChart.ChartPrintRect 0071 _NF__2DD 00af TPrinter.GetPageHeight"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 6A 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 6A 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 55 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 B0 01 E8 ?? ?? ?? ?? 59 DB 2D ?? ?? ?? ?? DE C9 DD 5D F0 9B 55 DB 83 F4 02 00 00 D8 0D ?? ?? ?? ?? DC 4D F0 83 C4 F8 DD 1C 24 9B B0 01 E8 ?? ?? ?? ?? 59 89 06 55 DB 83 FC 02 00 00 D8 0D ?? ?? ?? ?? DC 4D F0 83 C4 F8 DD 1C 24 9B B0 01 E8 ?? ?? ?? ?? 59 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 2B C2 89 46 08 55 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 33 C0 E8 ?? ?? ?? ?? 59 DB 2D ?? ?? ?? ?? DE C9 DD 5D F0 9B 55 DB 83 F8 02 00 00 D8 0D ?? ?? ?? ?? DC 4D F0 83 C4 F8 DD 1C 24 9B 33 C0 E8 ?? ?? ?? ?? 59 89 46 04 55 DB 83 00 03 00 00 D8 0D ?? ?? ?? ?? DC 4D F0 83 C4 F8 DD 1C 24 9B 33 C0 E8 ?? ?? ?? ?? 59 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 2B C2 89 46 0C 5E 5B 8B E5 5D C3 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_1355_0 {
	meta:
		name = "TCustomChart.Print"
		size = 29
		refs = "000b TCustomChart.ChartPrintRect 0014 TCustomChart.PrintRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_1356_0 {
	meta:
		name = "TCustomChart.SeriesUp"
		size = 43
		refs = "000a TList.IndexOf 001e TList.Exchange"
	strings:
		$1 = { 53 8B D8 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 17 8B C8 49 8B D0 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_1357_0 {
	meta:
		name = "TCustomChart.SeriesDown"
		size = 46
		refs = "000a TList.IndexOf 0021 TList.Exchange"
	strings:
		$1 = { 53 8B D8 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B 93 AC 01 00 00 8B 4A 08 49 3B C1 7D 10 8D 48 01 92 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_1358_0 {
	meta:
		name = "TCustomChart.PreviousPage"
		size = 34
	strings:
		$1 = { 83 B8 08 02 00 00 00 7E 18 83 B8 04 02 00 00 01 7E 0F 8B 90 04 02 00 00 4A 8B 08 FF 91 98 00 00 00 C3 }
	condition:
		$1
}

rule function_1359_0 {
	meta:
		name = "TCustomChart.NextPage"
		size = 52
		refs = "0014 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 83 BE 08 02 00 00 00 7E 24 8B C6 66 BB D9 FF E8 ?? ?? ?? ?? 3B 86 04 02 00 00 7E 11 8B 96 04 02 00 00 42 8B C6 8B 08 FF 91 98 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1360_0 {
	meta:
		name = "_NF__2ED"
		size = 56
		refs = "000b AnimatedZoomFactor 0030 TChartAxis.SetMinMax"
	strings:
		$1 = { 55 8B EC DD 45 10 DC 60 54 DC 35 ?? ?? ?? ?? DC 40 54 83 C4 F8 DD 1C 24 9B DD 40 4C DC 65 08 DC 35 ?? ?? ?? ?? DC 68 4C 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_1361_0 {
	meta:
		name = "TCustomChart.DoZoom"
		size = 271
		refs = "001f _NF__28D 0064 _NF__2ED 00bc TControl.Refresh 00e3 TCustomAxisPanel.DoZoom"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 89 4D FC 8B FA 8B D8 80 BB A0 02 00 00 00 74 23 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 57 8D 75 AC 8D BB 50 02 00 00 B9 14 00 00 00 F3 A5 5F C6 83 A0 02 00 00 00 80 BB 28 02 00 00 00 74 7E 8B B3 24 02 00 00 4E 85 F6 7E 73 FF 77 04 FF 37 8B 45 FC FF 70 04 FF 30 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 8B 45 1C FF 70 04 FF 30 8B 45 18 FF 70 04 FF 30 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 45 14 FF 70 04 FF 30 8B 45 10 FF 70 04 FF 30 8B 83 C0 01 00 00 E8 ?? ?? ?? ?? 8B 45 0C FF 70 04 FF 30 8B 45 08 FF 70 04 FF 30 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 4E 75 8D 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? C6 83 4C 02 00 00 01 66 83 BB E6 02 00 00 00 74 0E 8B D3 8B 83 E8 02 00 00 FF 93 E4 02 00 00 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_1362_0 {
	meta:
		name = "TCustomChart.SetAnimatedZoom"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 28 02 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1363_0 {
	meta:
		name = "TCustomChart.SetAnimatedZoomSteps"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 88 24 02 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1364_0 {
	meta:
		name = "TCustomChart.ZoomRect"
		size = 44
	strings:
		$1 = { 56 8B F0 8B 86 A4 01 00 00 8B 0A 89 48 08 8B 4A 04 89 48 0C 8B 4A 08 89 48 10 8B 52 0C 89 50 14 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_1365_0 {
	meta:
		name = "_NF__301"
		size = 120
		refs = "002b TChartAxis.CalcMinMax 003d _NF__301"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F1 8B DA 8B 50 54 89 55 F0 8B 50 58 89 55 F4 8B 50 4C 89 55 E8 8B 50 50 89 55 EC 8D 4D E8 8D 55 F0 E8 ?? ?? ?? ?? DD 45 E8 DC 65 F0 8B 45 08 DD 40 08 D8 25 ?? ?? ?? ?? DE C9 DB 2D ?? ?? ?? ?? DE C9 DD 5D F8 9B DD 45 F0 DC 45 F8 DD 1B 9B DD 45 E8 DC 65 F8 DD 1E 9B 5E 5B 8B E5 5D C3 00 00 00 C8 42 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_1366_0 {
	meta:
		name = "TCustomChart.ZoomPercent"
		size = 141
		refs = "0018 _NF__301"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 8B D8 55 8D 4D F0 8D 55 F8 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 59 55 8D 4D D0 8D 55 D8 8B 83 C0 01 00 00 E8 ?? ?? ?? ?? 59 55 8D 4D C0 8D 55 C8 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 59 55 8D 4D E0 8D 55 E8 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 59 8D 45 E8 50 8D 45 E0 50 8D 45 D8 50 8D 45 D0 50 8D 45 C8 50 8D 45 C0 50 8D 4D F0 8D 55 F8 8B C3 8B 30 FF 96 A8 00 00 00 8B C3 8B 10 FF 52 48 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1367_0 {
	meta:
		name = "_NF__305"
		size = 50
		refs = "0015 TChartAxis.Clicked"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 48 FC 8B 45 08 8B 50 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 55 08 8B 52 F4 C6 02 02 8B 55 08 8B 52 F4 89 5A 0C 5B 5D C3 }
	condition:
		$1
}

rule function_1368_0 {
	meta:
		name = "TCustomChart.CalcClickedPart"
		size = 386
		refs = "004c PtInRect 0073 TCustomAxisPanel.GetSeries 00cb _NF__305 011c TChartTitle.Clicked 0155 TCustomAxisPanel.ChartRegionRect 016d TChartSeriesList.CountActive"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F2 8D 7D F8 A5 A5 89 4D F4 8B D8 8B 45 F4 C6 00 00 8B 45 F4 C7 40 04 FF FF FF FF 8B 45 F4 33 D2 89 50 08 8B 45 F4 33 D2 89 50 0C 8B B3 B4 01 00 00 80 7E 2C 00 74 1E FF 75 FC FF 75 F8 8D 46 30 50 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 45 F4 C6 00 01 E9 1C 01 00 00 8B 83 AC 01 00 00 8B 70 08 4E 83 FE 00 7C 55 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 80 78 58 00 74 3A 8B 4D FC 8B 55 F8 8B 45 F0 8B 38 FF 97 C0 00 00 00 8B 55 F4 89 42 04 8B 45 F4 83 78 04 FF 74 1A 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 89 42 08 8B 45 F4 C6 00 03 E9 BE 00 00 00 4E 83 FE FF 75 AB 55 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 59 84 C0 0F 85 A3 00 00 00 55 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 59 84 C0 0F 85 8E 00 00 00 55 8B 83 C0 01 00 00 E8 ?? ?? ?? ?? 59 84 C0 75 7D 55 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 59 84 C0 75 6C 8B 4D FC 8B 55 F8 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F4 C6 00 04 EB 4F 8B 4D FC 8B 55 F8 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F4 C6 00 05 EB 32 FF 75 FC FF 75 F8 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 50 E8 ?? ?? ?? ?? 85 C0 74 15 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 06 8B 45 F4 C6 00 06 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1369_0 {
	meta:
		name = "_NF__30A"
		size = 204
		refs = "001a TeeZoomMouseButton 002a TeeZoomKeyShift 0039 TControl.SetCursor 0056 TZoomPanningRecord.Activate 0061 TCustomTeePanel.DrawZoomRectangle 0083 TeeScrollMouseButton 0093 TeeScrollKeyShift"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 80 B8 29 02 00 00 00 74 5A 8B 45 08 8A 40 FB 3A 05 ?? ?? ?? ?? 75 4C 8B 45 08 8A 40 FA F7 D0 22 05 ?? ?? ?? ?? 75 3C 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 48 08 8B 45 08 8B 50 0C 8B 45 08 8B 40 FC 8B 80 A4 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 C6 40 F9 01 8B 45 08 8B 40 FC 80 B8 2A 02 00 00 00 74 4F 8B 45 08 8A 40 FB 3A 05 ?? ?? ?? ?? 75 41 8B 45 08 8A 40 FA F7 D0 22 05 ?? ?? ?? ?? 75 31 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 48 08 8B 45 08 8B 50 0C 8B 45 08 8B 40 FC 8B 80 A8 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 C6 40 F9 01 5D C3 }
	condition:
		$1
}

rule function_1370_0 {
	meta:
		name = "_NF__30B"
		size = 105
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 66 83 B8 BE 02 00 00 00 74 52 8B 45 08 8B 40 FC C6 80 20 02 00 00 01 8B 45 08 8A 40 FA 50 8B 45 08 8B 40 0C 50 8B 45 08 8B 40 08 50 8B 45 08 8B 58 FC 8B 45 08 8A 48 FB 8B 45 08 8B 50 FC 8B 83 C0 02 00 00 FF 93 BC 02 00 00 8B 45 08 8B 40 FC 8A 80 20 02 00 00 8B 55 08 88 42 F9 5B 5D C3 }
	condition:
		$1
}

rule function_1371_0 {
	meta:
		name = "TCustomChart.MouseDown"
		size = 509
		refs = "0022 TControl.MouseDown 0071 Point 007f TCustomChart.CalcClickedPart 016d _NF__30A 01cd _NF__30B"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 88 4D FA 88 55 FB 89 45 FC 8B 45 0C 50 8B 45 08 50 8A 4D FA 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 01 00 00 80 78 04 00 0F 85 BD 01 00 00 8B 45 FC 8B 80 A8 01 00 00 80 78 04 00 0F 85 AA 01 00 00 8B 45 FC 80 B8 20 02 00 00 00 74 0F 8B 45 FC C6 80 20 02 00 00 00 E9 8F 01 00 00 8D 4D E0 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? 8D 55 E0 8D 4D E8 8B 45 FC E8 ?? ?? ?? ?? C6 45 F9 00 8A 45 E8 FE C8 74 19 FE C8 0F 84 DE 00 00 00 FE C8 74 5A 2C 03 0F 84 29 01 00 00 E9 38 01 00 00 8B 45 FC 66 83 B8 AE 02 00 00 00 0F 84 27 01 00 00 8B 45 FC C6 80 20 02 00 00 01 8A 45 FA 50 8B 45 0C 50 8B 45 08 50 8B 5D FC 8A 4D FB 8B 55 FC 8B 83 B0 02 00 00 FF 93 AC 02 00 00 8B 45 FC 8A 80 20 02 00 00 88 45 F9 E9 EB 00 00 00 8A 45 FB 50 8A 45 FA 50 8B 45 0C 50 8B 45 08 50 8B 4D EC 8B 5D F0 8B D3 8B C3 8B 18 FF 93 E0 00 00 00 88 45 F9 8B 45 FC 66 83 B8 B6 02 00 00 00 74 3F 8B 45 FC C6 80 20 02 00 00 01 8B 45 EC 50 8A 45 FB 50 8A 45 FA 50 8B 45 0C 50 8B 45 08 50 8B 5D FC 8B 4D F0 8B 55 FC 8B 83 B8 02 00 00 FF 93 B4 02 00 00 8B 45 FC 8A 80 20 02 00 00 88 45 F9 80 7D F9 00 75 74 55 E8 ?? ?? ?? ?? 59 EB 6B 8B 45 FC 66 83 B8 B6 02 00 00 00 74 3B 8B 45 FC C6 80 20 02 00 00 01 8A 45 FB 50 8A 45 FA 50 8B 45 0C 50 8B 45 08 50 8B 5D FC 8B 4D F4 8B 55 FC 8B 83 A8 02 00 00 FF 93 A4 02 00 00 8B 45 FC 8A 80 20 02 00 00 88 45 F9 80 7D F9 00 75 1D 55 E8 ?? ?? ?? ?? 59 EB 14 55 E8 ?? ?? ?? ?? 59 80 7D F9 00 75 07 55 E8 ?? ?? ?? ?? 59 80 7D F9 00 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC C6 80 20 02 00 00 00 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1372_0 {
	meta:
		name = "_NF__312"
		size = 147
		refs = "0014 TChartAxis.CalcPosPoint 0088 TChartAxis.SetMinMax"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? DD 5D DC 9B 8B D7 8B C3 E8 ?? ?? ?? ?? DC 6D DC DD 5D F8 9B DD 43 54 DC 45 F8 DD 5D F0 9B DD 43 4C DC 45 F8 DD 5D E8 9B C6 45 E7 01 8B 45 08 8B 40 FC 66 83 B8 EE 02 00 00 00 74 1F 8D 45 E8 50 8D 45 E7 50 8B 45 08 8B 70 FC 8D 4D F0 8B D3 8B 86 F0 02 00 00 FF 96 EC 02 00 00 80 7D E7 00 74 13 FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1373_0 {
	meta:
		name = "_NF__313"
		size = 198
		refs = "0014 TCustomAxisPanel.SeriesCount 002b TCustomAxisPanel.GetSeries 006d TControl.SetCursor"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 C6 45 FF 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 5C 43 33 F6 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 80 78 58 00 74 3C 8B 45 F8 66 83 78 70 00 74 32 8B 45 08 8B 48 08 8B 45 08 8B 50 F8 8B 45 F8 8B 38 FF 97 C0 00 00 00 40 74 18 8B 45 08 8B 40 FC 8B 55 F8 66 8B 52 70 E8 ?? ?? ?? ?? C6 45 FF 01 EB 04 46 4B 75 A7 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2F 43 33 F6 8B 45 08 8B 40 08 50 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 08 8B 4A F8 8B 55 08 8A 52 F7 8B 38 FF 97 DC 00 00 00 46 4B 75 D4 8A 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1374_0 {
	meta:
		name = "TCustomChart.MouseMove"
		size = 519
		refs = "0020 TControl.MouseMove 0058 TCustomTeePanel.DrawZoomRectangle 0092 Point 00a3 TCustomAxisPanel.ChartRegionRect 00ac PtInRect 00d1 TZoomPanningRecord.Check 00e8 _NF__28D 0135 _NF__312 01e3 _NF__313 01fa TControl.SetCursor"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 89 4D F8 88 55 F7 89 45 FC 8B 45 08 50 8B 4D F8 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 0F 85 CD 01 00 00 8B 45 FC 8B 98 A4 01 00 00 80 7B 04 00 74 35 8B 45 F8 3B 43 10 75 0C 8B 45 08 3B 43 14 0F 84 AA 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 89 43 10 8B 45 08 89 43 14 8B 45 FC E8 ?? ?? ?? ?? E9 89 01 00 00 8B 45 FC 8B B0 A8 01 00 00 80 7E 04 00 0F 84 59 01 00 00 8D 4D EC 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? FF 75 F0 FF 75 EC 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC 50 E8 ?? ?? ?? ?? 85 C0 0F 84 1A 01 00 00 8B 45 F8 3B 46 10 75 0C 8B 45 08 3B 46 14 0F 84 32 01 00 00 33 DB 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 74 2A 8D 55 8C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 56 8D 75 8C 8D B8 50 02 00 00 B9 14 00 00 00 F3 A5 5E 8B 45 FC C6 80 A0 02 00 00 00 8B 55 F8 3B 56 10 74 3F 8B 45 FC 8A 80 2A 02 00 00 3C 01 74 04 3C 03 75 2E 55 8B 45 FC 8B 80 BC 01 00 00 8B 4D F8 8B 56 10 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 B8 01 00 00 8B 4D F8 8B 56 10 E8 ?? ?? ?? ?? 59 B3 01 8B 55 08 3B 56 14 74 3F 8B 45 FC 8A 80 2A 02 00 00 3C 02 74 04 3C 03 75 2E 55 8B 45 FC 8B 80 C0 01 00 00 8B 4D 08 8B 56 14 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 C4 01 00 00 8B 4D 08 8B 56 14 E8 ?? ?? ?? ?? 59 B3 01 8B 45 F8 89 46 10 8B 45 08 89 46 14 84 DB 74 55 8B 45 FC 66 83 B8 DE 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 E0 02 00 00 FF 93 DC 02 00 00 8B 45 FC 8B 10 FF 52 44 EB 2C 8B 45 FC 8B 80 A8 01 00 00 C6 40 04 00 EB 1D 55 E8 ?? ?? ?? ?? 59 84 C0 75 12 8B 45 FC 66 8B 90 A2 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1375_0 {
	meta:
		name = "TCustomChart.UndoZoom"
		size = 72
		refs = "0015 _NF__28F"
	strings:
		$1 = { 53 8B D8 80 BB A0 02 00 00 00 75 0D 8D 93 50 02 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 A0 02 00 00 01 66 83 BB D6 02 00 00 00 74 0E 8B D3 8B 83 D8 02 00 00 FF 93 D4 02 00 00 8B C3 8B 10 FF 52 44 C6 83 4C 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1376_0 {
	meta:
		name = "TCustomChart.MouseUp"
		size = 253
		refs = "0022 TControl.MouseUp 0029 TCustomAxisPanel.SeriesCount 004a TCustomAxisPanel.GetSeries 007d TCustomTeePanel.DrawZoomRectangle 008d TPen.SetMode"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FE 88 55 FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2E 46 C7 45 F8 00 00 00 00 8B 45 0C 50 8B 45 08 50 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8A 4D FE 8A 55 FF 8B 38 FF 97 E4 00 00 00 FF 45 F8 4E 75 DA 8B 83 A4 01 00 00 80 78 04 00 74 7C 80 7D FF 00 75 76 8B F0 C6 46 04 00 8B C3 E8 ?? ?? ?? ?? 8B 83 50 01 00 00 8B 40 10 B2 04 E8 ?? ?? ?? ?? 8B 45 0C 89 46 10 8B 45 08 89 46 14 8B 46 10 2B 46 08 99 33 C2 2B C2 83 F8 10 7E 3D 8B 46 14 2B 46 0C 99 33 C2 2B C2 83 F8 10 7E 2D 8B 46 10 3B 46 08 7E 14 8B 46 14 3B 46 0C 7E 0C 8B C3 8B 10 FF 92 9C 00 00 00 EB 0A 8B C3 8B 10 FF 92 E0 00 00 00 8B C3 8B 10 FF 52 44 8B 83 A8 01 00 00 C6 40 04 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1377_0 {
	meta:
		name = "TCustomChart.Paint"
		size = 58
		refs = "0012 TCustomTeePanel.ReDrawChartBitmap"
	strings:
		$1 = { 53 83 C4 F0 8B D8 80 BB A0 01 00 00 00 75 26 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1B 8B D4 8B C3 8B 08 FF 51 2C 8B CC 8B 93 48 01 00 00 8B C3 8B 18 FF 93 C4 00 00 00 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_1379_0 {
	meta:
		name = "TCustomChart.WMGetDlgCode"
		size = 16
	strings:
		$1 = { 56 8B F2 8B D6 8B 08 FF 51 F0 83 4E 0C 01 5E C3 }
	condition:
		$1
}

rule function_1380_0 {
	meta:
		name = "TCustomChart.CMMouseLeave"
		size = 32
		refs = "0010 TControl.SetCursor 0019 TControl.CMMouseLeave"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 8B 93 A2 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1381_0 {
	meta:
		name = "_NF__32B"
		size = 101
		refs = "0014 TCustomAxisPanel.IsAxisVisible 0032 TChartAxis.CalcRect 0046 IntersectRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 84 C0 74 42 8B 45 08 8D 70 EC 8D 7D F0 B9 04 00 00 00 F3 A5 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 83 C0 EC 50 8D 45 F0 50 E8 ?? ?? ?? ?? 85 C0 74 10 8B 45 08 8D 78 EC 8D 75 F0 B9 04 00 00 00 F3 A5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1382_0 {
	meta:
		name = "TCustomChart.CalcAxisRect"
		size = 223
		refs = "0018 TChartAxis.AdjustMaxMin 0046 TCustomAxisPanel.CalcSize3DWalls 006d TCustomTeePanel.ReCalcWidthHeight 008d _NF__32B"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 8D 5D FC 8B 03 8B 80 C0 01 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 80 5C 01 00 00 8B 13 29 82 88 01 00 00 8B 03 8B 80 60 01 00 00 8B 13 01 82 84 01 00 00 8B 03 E8 ?? ?? ?? ?? 8B 03 8D B0 80 01 00 00 8D 7D EC B9 04 00 00 00 F3 A5 55 8B 03 8B 80 C0 01 00 00 E8 ?? ?? ?? ?? 59 55 8B 03 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 59 55 8B 03 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? 59 55 8B 03 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 59 8B 03 8D B8 80 01 00 00 8D 75 EC B9 04 00 00 00 F3 A5 8B 03 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1383_0 {
	meta:
		name = "_NF__32E"
		size = 251
		refs = "0018 Rect 0046 TCustomAxisPanel.GetSeries 0065 TChartSeries.GetHorizAxis 0085 MaxLong 00ab TChartSeries.GetVertAxis 00f1 TChartAxis.AdjustMaxMinRect"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 45 FC 6A 00 8D 45 E0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 AC 01 00 00 8B 70 08 4E 85 F6 0F 8C B6 00 00 00 46 C7 45 F0 00 00 00 00 8B 45 08 8B 40 FC 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 80 7B 58 00 0F 84 8A 00 00 00 8B 45 FC 80 B8 8F 00 00 00 00 74 3A 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 75 2E 8D 4D F4 8D 55 F8 8B C3 8B 18 FF 93 F8 00 00 00 8B 55 F8 8B 45 E0 E8 ?? ?? ?? ?? 89 45 E0 8B 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E8 EB 44 8B 45 FC 80 B8 8F 00 00 00 00 75 38 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 75 2C 8D 4D F4 8D 55 F8 8B C3 8B 18 FF 93 FC 00 00 00 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 89 45 E4 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 89 45 EC FF 45 F0 4E 0F 85 52 FF FF FF 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1384_0 {
	meta:
		name = "TCustomChart.CalcSeriesRect"
		size = 74
		refs = "0012 _NF__32E"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 55 8B 45 FC 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 C0 01 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_1385_0 {
	meta:
		name = "TCustomChart.Assign"
		size = 178
		refs = "000b _DV_TCustomChart 0010 @IsClass 0072 TCustomChart.SetAnimatedZoom 007f TCustomChart.SetAnimatedZoomSteps 00aa TCustomAxisPanel.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 89 00 00 00 8B FE 8B 97 38 02 00 00 8B 83 38 02 00 00 8B 08 FF 51 08 8B 97 3C 02 00 00 8B 83 3C 02 00 00 8B 08 FF 51 08 8B 97 34 02 00 00 8B 83 34 02 00 00 8B 08 FF 51 08 8A 87 2A 02 00 00 88 83 2A 02 00 00 8A 87 29 02 00 00 88 83 29 02 00 00 8A 97 28 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 24 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 48 02 00 00 8B 83 48 02 00 00 8B 08 FF 51 08 8B 97 44 02 00 00 8B 83 44 02 00 00 8B 08 FF 51 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1386_0 {
	meta:
		name = "TCustomChart.CopyToClipboardBitmap"
		size = 149
		refs = "000c _Dn_TBitmap 0011 TBitmap.Create 001c TCustomChart.CopyToClipboardBitmap 0053 TBitmap.GetCanvas 0067 Clipboard 0084 TObject.Free 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 8B 08 FF 91 94 00 00 00 8B 55 F4 2B 55 EC 8B 45 FC 8B 08 FF 51 40 8B 55 F8 2B 55 F0 8B 45 FC 8B 08 FF 51 34 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 4D EC 8B C3 8B 18 FF 93 C4 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1387_0 {
	meta:
		name = "TCustomChart.TeeCreateMetafile"
		size = 174
		refs = "0012 _Dn_TMetafile 0017 TMetafile.Create 002a MaxLong 0061 _Dn_TMetafileCanvas 0066 TMetafileCanvas.Create 0071 TCustomChart.TeeCreateMetafile 0083 TCustomChart.DrawToMetaCanvas 0098 TObject.Free 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 57 08 2B 17 4A B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 40 8B 57 0C 2B 57 04 4A B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 34 8B 45 FC 88 58 1C 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1388_0 {
	meta:
		name = "TCustomChart.CopyToClipboardMetafile"
		size = 102
		refs = "0021 TCustomChart.TeeCreateMetafile 002c TCustomChart.CopyToClipboardMetafile 0037 Clipboard 0054 TObject.Free 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B DA 8B F0 8D 55 EC 8B C6 8B 08 FF 91 94 00 00 00 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1389_0 {
	meta:
		name = "TCustomChart.IsScreenHighColor"
		size = 30
		refs = "000c TCanvas.GetHandle 0012 GetDeviceCaps"
	strings:
		$1 = { 53 8B D8 6A 0C 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 10 0F 9D C0 5B C3 }
	condition:
		$1
}

rule function_1390_0 {
	meta:
		name = "TCustomChart.ExchangeSeries"
		size = 99
		refs = "0015 TList.Exchange 001e TCustomAxisPanel.GetSeries 0023 TComponent.GetComponentIndex 0043 TComponent.SetComponentIndex"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1391_0 {
	meta:
		name = "TCustomChart.GetPalette"
		size = 57
		refs = "001c _Dn_TBitmap 0021 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 33 FF 8B B3 30 02 00 00 85 F6 74 22 83 7E 04 00 74 1C 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 46 04 8B 10 FF 52 24 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1393_0 {
	meta:
		name = "TCustomChart.FillValueSourceItems"
		size = 100
		refs = "000c TChartSeries.GetDataSource 001d _Dn_TChartSeries 0022 @IsClass 0038 TChartSeries.ValuesListCount 004c TChartSeries.GetValueList"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 5A 04 8B C3 E8 ?? ?? ?? ?? 85 C0 74 49 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 50 20 8B 45 0C FF 55 08 46 4B 75 E9 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1394_0 {
	meta:
		name = "TChartLegend.Create"
		size = 101
		refs = "000e @ClassCreate 001c TCustomChartLegend.Create 002f _Dn_TChartHiddenPen 0034 TChartHiddenPen.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 40 C7 43 44 03 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 48 8B 43 04 89 46 08 8B 00 8B 80 88 00 00 00 89 46 04 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1395_0 {
	meta:
		name = "TChartLegend.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TCustomChartLegend.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 48 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1396_0 {
	meta:
		name = "TChartLegend.SetShadowColor"
		size = 14
		refs = "0009 TCustomTeePanel.SetColorProperty"
	strings:
		$1 = { 8D 48 40 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15218_0 {
	meta:
		name = "TChartAxis.SetMinorTickLength"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 40 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1397_0 {
	meta:
		name = "TChartAxis.SetMinorTickCount"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
		altNames = "TChartLegend.SetShadowSize"
	strings:
		$1 = { 8D 48 44 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1398_0 {
	meta:
		name = "TChartLegend.SetDividingLines"
		size = 9
	strings:
		$1 = { 8B 40 48 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1399_0 {
	meta:
		name = "_NF__35D"
		size = 99
		refs = "0024 TPen.GetWidth 004a TChartLegend.TotalLegendItems 0053 MinLong"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 55 08 3B 42 F8 7E 4A 8B 45 08 83 78 F4 00 7E 41 8B 45 08 8B 40 FC 8B 40 24 E8 ?? ?? ?? ?? 03 C0 50 8B C3 5A 2B C2 8B 55 08 2B 42 F8 03 C6 8B 55 08 8B 4A F4 99 F7 F9 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1400_0 {
	meta:
		name = "TChartLegend.MaxLegendValues"
		size = 92
		refs = "0038 _NF__35D"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 40 04 8B 55 FC 8A 52 2D 84 D2 74 05 80 FA 01 75 1B 55 8B 88 84 01 00 00 8B 90 94 01 00 00 8B 80 8C 01 00 00 E8 ?? ?? ?? ?? 59 EB 19 55 8B 88 80 01 00 00 8B 90 90 01 00 00 8B 80 88 01 00 00 E8 ?? ?? ?? ?? 59 8B E5 5D C3 }
	condition:
		$1
}

rule function_1401_0 {
	meta:
		name = "TChartLegend.TotalLegendItems"
		size = 119
		refs = "0017 TCustomAxisPanel.SeriesCount 002b TCustomAxisPanel.GetSeries 0049 TCustomAxisPanel.GetASeries 005c TChartSeries.Count 006a MaxLong"
	strings:
		$1 = { 53 56 57 55 8B D8 33 FF 8A 43 2F 3C 01 74 04 3C 03 75 32 8B 43 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1E 46 33 ED 8B D5 8B 43 04 E8 ?? ?? ?? ?? 80 78 58 00 74 07 80 78 72 00 74 01 47 45 4E 75 E5 2B 7B 28 EB 20 8B 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 12 80 7E 72 00 74 0C 8B C6 E8 ?? ?? ?? ?? 8B F8 2B 7B 28 8B D7 33 C0 E8 ?? ?? ?? ?? 8B F8 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1402_0 {
	meta:
		name = "TChartLegend.MaxLegendWidth"
		size = 161
		refs = "0016 TChartLegend.MaxLegendWidth 002b TChartLegend.TotalLegendItems 0059 TCustomAxisPanel.FormattedLegend 0070 MaxLong 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 7D FC FF 75 0D 8B C3 E8 ?? ?? ?? ?? 03 43 28 48 EB 07 8B 43 28 03 45 FC 48 8B 53 04 89 55 F4 8B 53 28 8B D8 2B DA 7C 31 43 89 55 F8 8D 4D F0 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 08 FF 91 90 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 FF 45 F8 4B 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1403_0 {
	meta:
		name = "TChartLegend.GetColorRect"
		size = 48
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B 5D 08 8B CA 2B 48 4C 89 0B 03 48 4C 89 4B 08 8B 45 FC 83 C0 02 89 43 04 8B 45 0C 83 E8 02 89 43 0C 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1404_0 {
	meta:
		name = "_NF__36C"
		size = 617
		refs = "0018 _NF__36C 0029 TChartLegend.TotalLegendItems 004b TBrush.SetStyle 005c TBrush.SetColor 0107 TCustomAxisPanel.FormattedLegend 013d TChartLegend.GetColorRect 015b TCustomAxisPanel.ActiveSeriesLegend 01ab TCustomTeePanel.DoRectangle 01e8 TCanvas.GetHandle 01ee SetBkMode 021f TCustomTeePanel.DoHorizLine 0241 TCustomTeePanel.DoVertLine 0256 @LStrClr 025c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3B 45 F8 0F 8E 0F 02 00 00 8B 45 08 8B 40 F8 8B 70 04 8B 9E 50 01 00 00 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 50 20 8B 43 14 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8A 40 2D 84 C0 74 07 8B 55 08 3C 01 75 24 8B 45 08 8B 40 F4 89 45 F4 8B 45 08 8B 40 F8 8B 40 34 40 8B 55 08 8B 52 F0 0F AF 55 F8 03 C2 89 45 F0 EB 2B 8B 45 08 8B 40 EC 8B 55 08 8B 52 F8 03 42 4C 83 C0 04 F7 6D F8 8B 55 08 03 42 F4 89 45 F4 8B 45 08 8B 40 F8 8B 40 34 40 89 45 F0 66 83 BE C6 02 00 00 00 74 27 8D 45 F4 50 8D 45 F0 50 8B 45 08 83 C0 FC 50 8B 45 08 8B 40 F8 8B 50 04 8B 4D FC 8B 86 C8 02 00 00 FF 96 C4 02 00 00 B2 01 8B 43 14 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 4D F0 8B 55 F4 8B C6 8B 38 FF 97 84 00 00 00 8B 45 08 8B 40 F0 03 45 F0 50 8D 45 DC 50 8B 55 F4 83 EA 04 8B 45 08 8B 40 F8 8B 4D F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8A 40 2F 3C 01 74 07 8B 55 08 3C 03 75 1A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 4D DC 83 CA FF 8B 18 FF 93 EC 00 00 00 EB 40 8B 45 08 83 78 E8 00 74 16 8D 4D DC 8B 45 08 8B 40 E8 8B 55 FC 8B 18 FF 93 EC 00 00 00 EB 21 BA FF FF FF 00 8B 43 14 E8 ?? ?? ?? ?? 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 0F 8E 8C 00 00 00 8B 45 08 8B 40 F8 8B 40 48 80 78 18 00 74 7D 8B 45 08 8B 40 F8 8B 50 48 8B 86 50 01 00 00 8B 40 10 8B 08 FF 51 08 6A 01 8B 86 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8A 40 2D 84 C0 74 07 8B 55 08 3C 01 75 1F 8B 45 F0 50 8B 45 08 8B 40 F8 8B 48 38 8B 45 08 8B 40 F8 8B 50 30 8B C6 E8 ?? ?? ?? ?? EB 20 8B 45 08 8B 40 F8 8B 40 3C 50 8B 45 08 8B 40 F8 8B 48 34 8B 55 DC 83 EA 04 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1405_0 {
	meta:
		name = "_NF__36D"
		size = 57
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 48 EC 8B 45 08 8B 40 F8 03 48 4C 83 C1 04 8B 45 08 8B 40 F8 BA 08 00 00 00 8B 18 FF 53 14 8B 55 08 89 42 E4 8B 45 08 C7 40 E0 01 00 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_1406_0 {
	meta:
		name = "TChartLegend.Draw"
		size = 1692
		refs = "001d TCustomChartLegend.CalcLegendStyle 0043 TCustomTeePanel.TeeCharHeight 0051 TChartLegend.MaxLegendWidth 006c TChartLegend.Draw 0073 @ROUND 0084 TPen.GetWidth 00d9 _NF__36D 0301 MinLong 037c TBrush.SetStyle 038d TBrush.SetColor 03b1 TPen.GetColor 03c5 TPen.SetColor 03d7 TPen.SetStyle 03fc TCanvas.Rectangle 0484 Rect 048f TCanvas.FillRect 0513 TPen.SetWidth 051a TCustomAxisPanel.GetASeries 054c _NF__36C 0606 MulDiv 067f TCustomTeePanel.ReCalcWidthHeight"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 45 F8 8B 45 F8 83 78 04 00 0F 84 6A 06 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 58 04 8B 83 50 01 00 00 89 45 D0 8B 45 F8 8B 50 08 8B C3 8B 08 FF 91 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F0 83 CA FF 8B 45 F8 E8 ?? ?? ?? ?? 83 C0 04 89 45 EC 8B 45 F8 8B 40 10 F7 6D EC 89 45 CC DB 45 CC DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B 55 F8 89 42 4C 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 89 45 D4 8B 45 F8 8A 40 2D 2C 02 74 4E FE C8 0F 85 83 00 00 00 8B 45 F8 8B 93 8C 01 00 00 2B 50 44 8B 45 F8 89 50 3C 8B 45 F8 8B 40 24 80 78 18 00 74 0A 8B 45 D4 40 8B 55 F8 29 42 3C 8B 45 F8 8B 40 3C 83 E8 02 2B 45 F0 8B 55 F8 89 42 34 55 E8 ?? ?? ?? ?? 59 E9 A7 00 00 00 8B 45 F8 8B 93 84 01 00 00 89 50 34 8B 45 F8 8B 40 24 80 78 18 00 74 0A 8B 45 D4 40 8B 55 F8 01 42 34 8B 45 F8 8B 40 34 83 C0 02 03 45 F0 8B 55 F8 89 42 3C 55 E8 ?? ?? ?? ?? 59 EB 6A 8B B3 7C 01 00 00 8B BB 74 01 00 00 2B F7 8B 45 F8 DB 40 1C D8 0D ?? ?? ?? ?? 89 75 CC DB 45 CC DE C9 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 03 C7 8B 55 F8 89 42 34 C7 45 E4 01 00 00 00 8B 45 F8 8B 50 34 8B 4D F0 8B 45 F8 8B 30 FF 56 14 89 45 E0 8B 45 F8 8B 40 34 83 C0 02 8B 55 F0 0F AF 55 E0 03 C2 8B 55 F8 89 42 3C 33 C0 89 45 DC 8B 45 F8 8A 40 2D 2C 01 72 14 0F 84 A1 00 00 00 48 2C 02 0F 82 36 01 00 00 E9 9A 01 00 00 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8B 45 F8 8B 93 80 01 00 00 89 50 30 8B 45 F8 8B 40 24 80 78 18 00 74 0A 8B 45 D4 40 8B 55 F8 01 42 30 8B 45 F8 8B 40 30 83 C0 04 89 45 FC 8B 75 FC 83 C6 04 03 75 EC 83 C6 02 8B 45 F8 2B 70 30 8B 45 F8 0F AF 70 10 89 75 CC DB 45 CC DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 89 78 4C 03 7D FC 83 C7 04 89 7D F4 8B 45 F4 03 45 EC 83 C0 02 8B 55 F8 89 42 38 8B 45 E0 89 45 DC E9 07 01 00 00 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8B 45 F8 8B 93 88 01 00 00 89 50 38 8B 45 F8 8B 40 24 80 78 18 00 74 0A 8B 45 D4 40 8B 55 F8 29 42 38 8B 45 F8 8B 40 44 8B 55 F8 29 42 38 8B 45 F8 8B 40 38 2B 45 EC 83 E8 02 89 45 F4 8B 75 F4 83 EE 04 83 EE 04 8B 45 F8 8B 40 10 8B 55 F8 8B 52 38 2B D6 F7 EA 89 45 CC DB 45 CC DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 89 78 4C 8B 45 F4 2B C7 83 E8 04 89 45 FC 8B 45 FC 83 E8 04 8B 55 F8 89 42 30 8B 45 E0 89 45 DC EB 69 8B 45 F8 8B 40 4C 03 45 EC 83 C0 04 F7 6D E4 83 C0 08 8B 55 F8 8B 52 44 03 D2 03 D0 8B 83 90 01 00 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 93 98 01 00 00 2B D0 8B 4D F8 89 51 30 03 83 98 01 00 00 8B 55 F8 89 42 38 8B 45 F8 8B 40 30 83 C0 04 89 45 FC 8B 45 F8 8B 40 4C 03 45 FC 83 C0 04 89 45 F4 8B 45 E4 89 45 DC 66 83 BB CE 02 00 00 00 74 18 8B 45 F8 8D 48 30 8B 45 F8 8B 50 04 8B 83 D0 02 00 00 FF 93 CC 02 00 00 83 7D DC 00 0F 8E 10 03 00 00 8B 45 D0 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 20 8B 45 D0 8B 40 14 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 24 80 78 18 00 74 31 8B D0 8B 45 D0 8B 40 10 8B 08 FF 51 08 8B 45 D0 8B 40 10 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 0D 8B 45 D0 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B 75 D4 EB 0F 8B 45 D0 8B 40 10 B2 05 E8 ?? ?? ?? ?? 33 F6 8B 45 F8 83 C0 30 8B 50 08 03 D6 52 8B 50 0C 03 D6 52 8B 48 04 2B CE 8B 10 2B D6 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 F8 83 78 44 00 0F 8E C5 00 00 00 8B 45 D0 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 40 8B 45 D0 8B 40 14 E8 ?? ?? ?? ?? 85 F6 75 05 83 CE FF EB 21 F7 C6 01 00 00 00 74 0D 8B C6 D1 F8 79 03 83 D0 00 03 F0 EB 0C 8B C6 D1 F8 79 03 83 D0 00 03 F0 4E 8B 45 F8 8D 78 30 8B 47 0C 03 C6 8B 55 F8 03 42 44 50 8D 45 BC 50 8B 4F 08 03 CE 8B 45 F8 03 48 44 8B 07 8B 55 F8 03 42 44 8B 57 0C 03 D6 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 F8 8D 78 30 8B 47 0C 03 C6 8B 55 F8 03 42 44 50 8D 45 BC 50 8B 4F 08 03 CE 8B 45 F8 03 48 44 8B 57 04 8B 45 F8 03 50 44 8B 47 08 03 C6 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 F8 83 78 20 00 75 12 8B 45 D0 8B 40 10 BA FF FF FF 00 E8 ?? ?? ?? ?? EB 0D 8B 45 D0 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B 45 D0 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B 45 D0 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8B 45 F8 8B 40 28 8B D0 03 55 DC 4A 89 55 D8 8B 55 F8 80 7A 2E 00 74 1E 8B 75 D8 8B F8 2B FE 7F 34 4F 55 8B 55 D8 2B D6 8B C6 E8 ?? ?? ?? ?? 59 4E 47 75 EE EB 1F 8B F0 8B 7D D8 2B FE 7C 16 47 55 8B 45 F8 8B D6 2B 50 28 8B C6 E8 ?? ?? ?? ?? 59 46 4F 75 EB 8B 45 F8 80 78 0C 00 74 52 8B 45 F8 8A 40 2D 2C 01 72 0C 74 18 FE C8 74 22 FE C8 74 32 EB 3C 8B 45 F8 8B 40 38 89 83 80 01 00 00 EB 2E 8B 45 F8 8B 40 30 89 83 88 01 00 00 EB 20 8B 45 F8 8B 40 3C 8B 55 F8 03 42 44 89 83 84 01 00 00 EB 0C 8B 45 F8 8B 40 34 89 83 8C 01 00 00 8D B3 80 01 00 00 8B 45 F8 8A 40 2D 2C 01 72 0F 74 2F FE C8 74 4F FE C8 74 6F E9 8C 00 00 00 8B 45 F8 8B 40 14 85 C0 75 14 6A 64 8B 83 90 01 00 00 50 6A 03 E8 ?? ?? ?? ?? 01 06 EB 6E 01 06 EB 6A 8B 45 F8 8B 40 14 85 C0 75 15 6A 64 8B 83 90 01 00 00 50 6A 03 E8 ?? ?? ?? ?? 29 46 08 EB 4B 29 46 08 EB 46 8B 45 F8 8B 40 18 85 C0 75 15 6A 64 8B 83 94 01 00 00 50 6A 03 E8 ?? ?? ?? ?? 01 46 04 EB 27 01 46 04 EB 22 8B 45 F8 8B 40 18 85 C0 75 15 6A 64 8B 83 94 01 00 00 50 6A 03 E8 ?? ?? ?? ?? 29 46 0C EB 03 29 46 0C 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_1407_0 {
	meta:
		name = "TChartLegend.FormattedValue"
		size = 492
		refs = "001c TChartLegend.FormattedValue 00a4 FormatFloat 0103 @LStrCatN 0167 TChartSeries.GetHorizAxis 01a9 TChartAxis.LabelValue 01c3 @LStrArrayClr 01c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D E4 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB FF 0F 84 7E 01 00 00 8B 4D 08 8B D3 8B 45 FC 8B 38 FF 57 44 80 7E 0E 00 0F 84 67 01 00 00 8B D3 8B 45 FC 8B 08 FF 91 C8 00 00 00 DD 5D F4 9B 8B 45 FC 8B 10 FF 92 D0 00 00 00 8B D0 DD 42 30 D8 1D ?? ?? ?? ?? DF E0 9E 75 0E 33 C0 89 45 EC C7 45 F0 00 00 59 40 EB 10 D9 05 ?? ?? ?? ?? DC 4D F4 DC 72 30 DD 5D EC 9B DD 45 F4 83 C4 F4 DB 3C 24 9B 8D 55 E8 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? DD 45 EC 83 C4 F4 DB 3C 24 9B 8D 55 E4 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 8A 46 0E 83 F8 05 0F 87 DF 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8B 45 08 FF 30 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 A1 00 00 00 8B 45 08 FF 30 68 ?? ?? ?? ?? FF 75 E8 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 82 00 00 00 FF 75 E4 68 ?? ?? ?? ?? 8B 45 08 FF 30 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 66 8B 45 08 FF 30 68 ?? ?? ?? ?? FF 75 E4 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 4A 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 75 21 8B D3 8B 45 FC 8B 08 FF 51 3C 83 C4 F4 DB 3C 24 9B 8B 55 08 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? EB 1B 8B D3 8B 45 FC 8B 08 FF 51 3C 83 C4 F8 DD 1C 24 9B 8B 55 08 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 C8 42 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_1408_0 {
	meta:
		name = "TeeGetUniqueName"
		size = 220
		refs = "001c TeeGetUniqueName 002a @LStrClr 0032 _Dn_TCustomForm 0037 @IsClass 006e IntToStr 007c @LStrCat3 00a1 TComponent.FindComponent 00b0 @LStrLAsg 00ca @LStrArrayClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D F4 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B DE 83 BB 54 01 00 00 00 74 11 8B 4D F8 8B 83 54 01 00 00 8B 55 FC 8B 18 FF 53 3C 8B 45 F8 83 38 00 75 51 BB 01 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? EB 19 43 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 85 C0 75 D9 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1409_0 {
	meta:
		name = "_NF__377"
		size = 40
		refs = "0009 _NF__377 0010 TeeGetUniqueName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 FF FF FF FF 06 00 00 00 53 65 72 69 65 73 00 00 }
	condition:
		$1
}

rule function_1410_0 {
	meta:
		name = "_NF__378"
		size = 176
		refs = "0012 _NF__378 0027 IntToStr 0037 @LStrCat3 005e TComponent.FindComponent 006c @LStrLAsg 0086 @LStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 43 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 75 D7 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 0B 00 00 00 54 65 65 46 75 6E 63 74 69 6F 6E 00 }
	condition:
		$1
}

rule function_1411_0 {
	meta:
		name = "AssignSeries"
		size = 514
		refs = "0016 AssignSeries 010c @LStrLAsg 0117 TList.Get 0129 TList.IndexOf 0135 TList.Add 014a TList.Remove 0154 TChartSeries.AddLinkedSeries 015e TChartSeries.RemoveLinkedSeries 0195 TList.Exchange 019c TObject.Free 01b1 TChartSeries.GetDataSource 01da TChartSeries.RefreshSeries 01ef @LStrClr 01f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 13 8B 06 8B 08 FF 51 08 8B 06 8B 13 8B 8A A4 00 00 00 89 88 A4 00 00 00 8B 8A A8 00 00 00 89 88 A8 00 00 00 8B 06 8B 13 8B 8A 9C 00 00 00 89 88 9C 00 00 00 8B 8A A0 00 00 00 89 88 A0 00 00 00 8B 06 8B 13 8B 8A 84 00 00 00 89 88 84 00 00 00 8B 8A 88 00 00 00 89 88 88 00 00 00 8B 06 8B 13 8B 4A 7C 89 48 7C 8B 8A 80 00 00 00 89 88 80 00 00 00 8B 06 8B 13 8B 8A 8C 00 00 00 89 88 8C 00 00 00 8B 8A 90 00 00 00 89 88 90 00 00 00 8B 06 8B 13 8B 8A AC 00 00 00 89 88 AC 00 00 00 8B 8A B0 00 00 00 89 88 B0 00 00 00 8B 06 8B 13 8B 8A B4 00 00 00 89 88 B4 00 00 00 8B 8A B8 00 00 00 89 88 B8 00 00 00 8B 06 8B 13 8B 8A 94 00 00 00 89 88 94 00 00 00 8B 8A 98 00 00 00 89 88 98 00 00 00 8D 45 FC 8B 13 8B 52 08 E8 ?? ?? ?? ?? EB 50 8B C7 33 D2 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 78 60 8B 16 8B C7 E8 ?? ?? ?? ?? 40 75 09 8B 16 8B C7 E8 ?? ?? ?? ?? 8B 13 8B C7 E8 ?? ?? ?? ?? 40 74 09 8B 13 8B C7 E8 ?? ?? ?? ?? 8B 06 8B 55 F4 E8 ?? ?? ?? ?? 8B 03 8B 55 F4 E8 ?? ?? ?? ?? 8B 03 8B 78 28 83 7F 08 00 7F A5 8B 03 8B 40 40 8B B8 AC 01 00 00 8B 13 8B C7 E8 ?? ?? ?? ?? 89 45 F8 8B 16 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 8B 06 8B 55 FC 8B 08 FF 51 18 8B 06 E8 ?? ?? ?? ?? 85 C0 75 1E 8B 06 F6 40 20 10 74 16 8B 06 8B 10 FF 92 80 00 00 00 8B D0 8B 06 8B 08 FF 91 84 00 00 00 8B 06 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1412_0 {
	meta:
		name = "CreateNewTeeFunction"
		size = 101
		refs = "000d CreateNewTeeFunction 0028 TTeeFunction.SetParentSeries 0033 _NF__378 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 04 8B C2 B2 01 FF 50 24 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1413_0 {
	meta:
		name = "CreateNewSeries"
		size = 134
		refs = "001d CreateNewSeries 0043 _NF__377 005a CreateNewTeeFunction 006f @LStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 8B 45 F8 FF 50 24 8B D8 8B 55 FC 8B C3 8B 08 FF 51 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 8B 08 FF 51 18 85 FF 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1414_0 {
	meta:
		name = "CloneChartSeries"
		size = 81
		refs = "0012 TObject.ClassType 0029 CreateNewSeries 003b TChartSeries.GetDataSource 0048 TChartSeries.AssignValues"
	strings:
		$1 = { 53 56 8B D8 8B 73 74 85 F6 75 04 33 F6 EB 09 8B C6 E8 ?? ?? ?? ?? 8B F0 56 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 53 40 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 85 C0 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1415_0 {
	meta:
		name = "ChangeSeriesType"
		size = 64
		refs = "000a TObject.ClassType 0021 CreateNewSeries 0033 AssignSeries"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 03 E8 ?? ?? ?? ?? 3B F0 74 2A 6A 00 8B 03 8B 50 40 8B 03 8B 40 04 8B CE E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 74 0E 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 03 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1416_0 {
	meta:
		name = "ChangeAllSeriesType"
		size = 57
		refs = "000c TCustomAxisPanel.SeriesCount 001f TCustomAxisPanel.GetSeries 002b ChangeSeriesType"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 89 04 24 8B C4 8B D5 E8 ?? ?? ?? ?? 46 4B 75 E7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1417_0 {
	meta:
		name = "GetTeeSeriesType"
		size = 38
		refs = "000a TeeSeriesList 000f TList.Get"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B FE 8B F0 B9 0D 00 00 00 F3 A5 66 A5 5E 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1418_0 {
	meta:
		name = "RegisterTeeSeriesFunction"
		size = 233
		refs = "001b RegisterClass 002f TeeSeriesList 0039 _Dn_TList 003e TObject.Create 005d GetTeeSeriesType 0078 @GetMem 0097 @LStrToString 00a7 @PStrNCpy 00dc TList.Add"
	strings:
		$1 = { 55 8B EC 81 C4 C0 FE FF FF 53 56 57 89 4D F8 89 55 FC 8B F8 85 FF 74 07 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1E 43 33 F6 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 3B 7D C0 75 08 8B 45 C4 3B 45 FC 74 72 46 4B 75 E5 B8 36 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B DE 89 3B 8B 45 FC 89 43 04 8D 85 C0 FE FF FF 8B 55 F8 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 C0 FE FF FF 8D 43 08 B1 14 E8 ?? ?? ?? ?? 8D 85 C0 FE FF FF 8B 55 0C B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 C0 FE FF FF 8D 43 1D B1 14 E8 ?? ?? ?? ?? 8B 45 08 89 43 32 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1419_0 {
	meta:
		name = "RegisterTeeSeries"
		size = 21
		refs = "000d RegisterTeeSeriesFunction"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 33 C9 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_1420_0 {
	meta:
		name = "RegisterTeeFunction"
		size = 22
		refs = "000e RegisterTeeSeriesFunction"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 33 C9 91 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_1421_0 {
	meta:
		name = "RegisterTeeBasicFunction"
		size = 86
		refs = "000f RegisterTeeBasicFunction 001f TeeMsg_GalleryFunctions 0024 LoadResString 0030 RegisterTeeFunction 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1422_0 {
	meta:
		name = "GetTeeFunctionDescription"
		size = 74
		refs = "000e @LStrClr 0013 TeeSeriesList 0027 GetTeeSeriesType 0038 @LStrFromString"
	strings:
		$1 = { 53 56 57 55 83 C4 C8 8B EA 8B F8 8B C5 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 23 43 33 F6 8B D4 8B C6 E8 ?? ?? ?? ?? 3B 7C 24 04 75 0D 8B C5 8D 54 24 08 E8 ?? ?? ?? ?? EB 04 46 4B 75 E0 83 C4 38 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1423_0 {
	meta:
		name = "_NF__3A3"
		size = 86
		refs = "0009 TeeSeriesList 001d TList.Get 0038 @FreeMem 0042 TList.Delete"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 BD ?? ?? ?? ?? 83 7D 00 00 74 3E 33 F6 EB 32 8B D6 8B 45 00 E8 ?? ?? ?? ?? 84 DB 74 04 3B 38 74 09 84 DB 75 1B 3B 78 04 75 16 BA 36 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 45 00 E8 ?? ?? ?? ?? EB 01 46 8B 45 00 3B 70 08 7C C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1424_0 {
	meta:
		name = "UnRegisterTeeSeries"
		size = 29
		refs = "0010 _NF__3A3"
	strings:
		$1 = { 53 56 8B F2 85 F6 7C 12 46 8B D8 8B 13 B0 01 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 5E 5B C3 }
	condition:
		$1
}

rule function_1425_0 {
	meta:
		name = "UnRegisterTeeFunctions"
		size = 29
		refs = "0010 _NF__3A3"
	strings:
		$1 = { 53 56 8B F2 85 F6 7C 12 46 8B D8 8B 13 33 C0 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 5E 5B C3 }
	condition:
		$1
}

rule function_1426_0 {
	meta:
		name = "_NF__3AA"
		size = 59
		refs = "0004 TeeSeriesList 001a TList.Get 0024 @FreeMem 002f TObject.Free"
	strings:
		$1 = { 53 56 57 BF ?? ?? ?? ?? 8B 07 8B 58 08 4B 85 DB 7C 1A 43 33 F6 8B D6 8B 07 E8 ?? ?? ?? ?? BA 36 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 E9 8B 07 E8 ?? ?? ?? ?? 33 C0 89 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1428_0 {
	meta:
		name = "Chart"
		size = 368
		refs = "000f Chart 001b _NV__21D 0029 TeeSeriesList 0031 AnimatedZoomFactor 0041 TeeZoomMouseButton 0048 TeeScrollMouseButton 0053 TeeZoomKeyShift 005d TeeScrollKeyShift 0063 PrintTeePanel 0069 _DV_TChartLegend 0071 _DV_TChartGradient 0079 _DV_TChartWall 0081 _DV_TChartTitle 0091 RegisterClasses 0099 TeeMsg_FunctionAdd 009e LoadResString 00a6 _Dn_TAddTeeFunction 00ab RegisterTeeBasicFunction 00b3 TeeMsg_FunctionSubtract 00c0 _Dn_TSubtractTeeFunction 00cd TeeMsg_FunctionMultiply 00da _Dn_TMultiplyTeeFunction 00e7 TeeMsg_FunctionDivide 00f4 _Dn_TDivideTeeFunction 0101 TeeMsg_FunctionHigh 010e _Dn_THighTeeFunction 011b TeeMsg_FunctionLow 0128 _Dn_TLowTeeFunction 0135 TeeMsg_FunctionAverage 0142 _Dn_TAverageTeeFunction 015c @LStrClr 0162 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 25 01 00 00 33 C0 A3 ?? ?? ?? ?? 33 C0 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 08 40 C6 05 ?? ?? ?? ?? 00 C6 05 ?? ?? ?? ?? 01 A0 ?? ?? ?? ?? A2 ?? ?? ?? ?? A0 ?? ?? ?? ?? A2 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 89 45 FC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_1429_0 {
	meta:
		name = "_NF__C3"
		size = 131
		refs = "0007 _Dn_TBitmap 000c TBitmap.Create 0017 _NF__C3 0029 LoadBitmap 0033 TBitmap.SetHandle 004a _NV__C1 005f _NV__C2 0074 TObject.Free 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 F7 7F 00 00 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 2C 85 C0 79 03 83 C0 03 C1 F8 02 A3 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 B9 03 00 00 00 99 F7 F9 A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1430_0 {
	meta:
		name = "_NF__C4"
		size = 14
	strings:
		$1 = { 84 D2 74 05 C6 40 08 01 C3 C6 40 08 00 C3 }
	condition:
		$1
}

rule function_1431_0 {
	meta:
		name = "_NF__C5"
		size = 8
	strings:
		$1 = { 80 78 08 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_1433_0 {
	meta:
		name = "TCheckListBox.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TCustomListBox.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 64 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1434_0 {
	meta:
		name = "TCheckListBox.CreateWnd"
		size = 42
		refs = "0006 TCustomListBox.CreateWnd 0015 TObject.Free 0024 _NF__D6"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 85 C0 74 0D E8 ?? ?? ?? ?? 33 C0 89 83 64 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1435_0 {
	meta:
		name = "TCheckListBox.DestroyWnd"
		size = 174
		refs = "001a _Dn_TList 001f TObject.Create 0051 TCheckListBox.GetState 0060 TList.Add 0069 _NF__FF 007d TCustomListBox.DestroyWnd 0095 TList.Get 009a TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B 87 18 01 00 00 8B 10 FF 52 14 85 C0 7E 63 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 64 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B 87 18 01 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 31 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 33 D2 8A D0 8B 87 64 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 43 4E 75 D2 8B C7 E8 ?? ?? ?? ?? 85 ED 74 24 8B 75 08 4E 85 F6 7C 15 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 EE 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1436_0 {
	meta:
		name = "TCheckListBox.CreateParams"
		size = 22
		refs = "0006 TCustomListBox.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? F6 43 04 30 75 04 83 4B 04 10 5B C3 }
	condition:
		$1
}

rule function_1437_0 {
	meta:
		name = "TCheckListBox.GetCheckWidth"
		size = 9
		refs = "0001 _NV__C1"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 C0 02 C3 }
	condition:
		$1
}

rule function_1438_0 {
	meta:
		name = "TCheckListBox.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d _NF__D6"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2670_0 {
	meta:
		name = "TAnimate.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize 000d TControl.RequestAlign"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2889_0 {
	meta:
		name = "TCoolBar.CMSysFontChanged"
		size = 19
		refs = "0006 TWinControl.CMSysFontChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2840_0 {
	meta:
		name = "TCoolBar.Loaded"
		size = 19
		refs = "0006 TComponent.Loaded 000d _NF__F5D"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13837_0 {
	meta:
		name = "TCustomCheckBox.Click"
		size = 19
		refs = "0006 TControl.Changed 000d TControl.Click"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10229_0 {
	meta:
		name = "TCustomDecisionGraph.Updated"
		size = 19
		refs = "0006 TComponent.Updated 000d _NF__127"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8145_0 {
	meta:
		name = "TCustomGrid.CMCtl3DChanged"
		size = 19
		refs = "0006 TWinControl.CMCtl3DChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8150_0 {
	meta:
		name = "TCustomGrid.ColWidthsChanged"
		size = 19
		refs = "0006 _NF__327 000d _NF__39D"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8151_0 {
	meta:
		name = "TCustomGrid.RowHeightsChanged"
		size = 19
		refs = "0006 _NF__327 000d _NF__39D"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8140_0 {
	meta:
		name = "TCustomGrid.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize 000d _NF__327"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13706_0 {
	meta:
		name = "TCustomLabel.CMFontChanged"
		size = 19
		refs = "0006 TControl.CMFontChanged 000d _NF__2F1"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13694_0 {
	meta:
		name = "TCustomLabel.Loaded"
		size = 19
		refs = "0006 TComponent.Loaded 000d _NF__2F1"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13907_0 {
	meta:
		name = "TCustomListBox.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize 000d _NF__4C7"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7043_0 {
	meta:
		name = "TCustomRadioGroup.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d _NF__338"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7044_0 {
	meta:
		name = "TCustomRadioGroup.WMSize"
		size = 19
		refs = "0006 TCustomGroupBox.WMSize 000d _NF__338"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13932_0 {
	meta:
		name = "TCustomStaticText.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d _NF__578"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13934_0 {
	meta:
		name = "TCustomStaticText.Loaded"
		size = 19
		refs = "0006 TComponent.Loaded 000d _NF__578"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2265_0 {
	meta:
		name = "TCustomTreeView.CMColorChanged"
		size = 19
		refs = "0006 TWinControl.CMColorChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4806_0 {
	meta:
		name = "TDBComboBox.CreateWnd"
		size = 19
		refs = "0006 TCustomComboBox.CreateWnd 000d _NF__439"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5425_0 {
	meta:
		name = "TDBLookupCombo.CMFontChanged"
		size = 19
		refs = "0006 TCustomEdit.CMFontChanged 000d _NF__203"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5013_0 {
	meta:
		name = "TDBLookupListBox.CreateWnd"
		size = 19
		refs = "0006 TWinControl.CreateWnd 000d _NF__653"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10365_0 {
	meta:
		name = "TDecisionPivot.SetBorderStyle"
		size = 19
		refs = "0006 TCustomPanel.SetBorderStyle 000d TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10364_0 {
	meta:
		name = "TDecisionPivot.SetBorderWidth"
		size = 19
		refs = "0006 TCustomPanel.SetBorderWidth 000d TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7117_0 {
	meta:
		name = "TDirectoryListBox.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d _NF__230"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7112_0 {
	meta:
		name = "TDirectoryListBox.DblClick"
		size = 19
		refs = "0006 TControl.DblClick 000d TDirectoryListBox.OpenCurrent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13533_0 {
	meta:
		name = "TFastLineSeries.DrawAllValues"
		size = 19
		refs = "0006 TFastLineSeries.PrepareCanvas 000d TChartSeries.DrawAllValues"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7144_0 {
	meta:
		name = "TFileListBox.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d _NF__273"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7151_0 {
	meta:
		name = "TFilterComboBox.CreateWnd"
		size = 19
		refs = "0006 TCustomComboBox.CreateWnd 000d TFilterComboBox.BuildList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2131_0 {
	meta:
		name = "THeaderControl.CreateWnd"
		size = 19
		refs = "0006 TWinControl.CreateWnd 000d _NF__80B"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9776_0 {
	meta:
		name = "TMediaPlayer.Updated"
		size = 19
		refs = "0006 TComponent.Updated 000d _NF__161"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12234_0 {
	meta:
		name = "TQRCompEd.Apply1Click"
		size = 19
		refs = "0006 _NF__A0 000d _NF__9F"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12233_0 {
	meta:
		name = "TQRCompEd.OK1Click"
		size = 19
		refs = "0006 _NF__A0 000d TCustomForm.Close"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6012_0 {
	meta:
		name = "TQuery.Disconnect"
		size = 19
		refs = "0006 TDataSet.Close 000d TQuery.UnPrepare"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7247_0 {
	meta:
		name = "TScrollingWinControl.CreateWnd"
		size = 19
		refs = "0006 TWinControl.CreateWnd 000d _NF__44E"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13661_0 {
	meta:
		name = "TSpinEdit.CreateWnd"
		size = 19
		refs = "0006 TCustomEdit.CreateWnd 000d _NF__156"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5986_0 {
	meta:
		name = "TStoredProc.Disconnect"
		size = 19
		refs = "0006 TDataSet.Close 000d TStoredProc.UnPrepare"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14900_0 {
	meta:
		name = "TTeeGalleryPanel.Resize"
		size = 19
		refs = "0006 TCustomPanel.Resize 000d TTeeGalleryPanel.ResizeCharts"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2795_0 {
	meta:
		name = "TToolBar.CMColorChanged"
		size = 19
		refs = "0006 TWinControl.CMColorChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2796_0 {
	meta:
		name = "TToolBar.CMSysFontChanged"
		size = 19
		refs = "0006 TWinControl.CMSysFontChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1439_0 {
	meta:
		name = "_NF__D6"
		size = 92
		refs = "0007 TWinControl.HandleAllocated 0022 TCanvas.SetFont 0027 _NF__D6 0032 TCanvas.TextHeight 0049 TControl.Perform"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E 80 BB 2C 01 00 00 00 75 35 8B 53 50 8B 83 20 01 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 8B F0 89 B3 58 01 00 00 56 33 C9 BA A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 02 00 00 00 57 67 00 00 }
	condition:
		$1
}

rule function_1440_0 {
	meta:
		name = "TCheckListBox.DrawItem"
		size = 263
		refs = "0048 TCheckListBox.GetCheckWidth 005a TCheckListBox.GetState 0067 _NF__DF 00ae TCheckListBox.DrawItem 00c2 TCustomListBox.DrawItem 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B F1 8D 7D E4 B9 04 00 00 00 F3 A5 8B F2 89 45 FC 8B 5D 08 8B 45 FC 8B 80 18 01 00 00 8B 10 FF 52 14 3B F0 7D 3C 56 8D 75 E4 8D 7D D4 B9 04 00 00 00 F3 A5 5E 8B 45 E4 89 45 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 2B D0 89 55 D4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 2C 01 00 00 00 75 79 8B 45 FC 66 83 B8 46 01 00 00 00 74 6C 8B 45 FC 8B 90 44 01 00 00 89 55 F4 8B 90 48 01 00 00 89 55 F8 8B 45 FC 33 D2 89 90 44 01 00 00 89 90 48 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 4D E4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 90 44 01 00 00 8B 55 F8 89 90 48 01 00 00 C3 E9 ?? ?? ?? ?? EB E3 53 8D 4D E4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1441_0 {
	meta:
		name = "TCheckListBox.CNDrawItem"
		size = 33
		refs = "000d TCheckListBox.GetCheckWidth 0019 TCustomListBox.CNDrawItem"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 08 8B C3 E8 ?? ?? ?? ?? 01 47 1C 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1442_0 {
	meta:
		name = "_NF__DF"
		size = 162
		refs = "0038 _NV__C1 007a _NV__C2 0091 TCanvas.GetHandle 0097 DrawFrameControl"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8D 3C 24 51 B9 04 00 00 00 F3 A5 59 8B F0 80 E9 01 72 09 75 0B BB 00 04 00 00 EB 09 33 DB EB 05 BB 08 04 00 00 8B 54 24 08 8B 04 24 2B D0 2B 15 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 03 D0 89 54 24 10 8B 54 24 0C 8B 44 24 04 2B D0 2B 15 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 03 D0 89 54 24 14 8B 44 24 10 03 05 ?? ?? ?? ?? 89 44 24 18 8B 44 24 14 03 05 ?? ?? ?? ?? 89 44 24 1C 53 6A 04 8D 44 24 18 50 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1443_0 {
	meta:
		name = "TCheckListBox.SetChecked"
		size = 51
		refs = "000e TCheckListBox.GetChecked 001b _NF__FE 0022 _NF__C4 002b _NF__E8"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 3A D8 74 19 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1444_0 {
	meta:
		name = "TCheckListBox.SetState"
		size = 47
		refs = "000e TCheckListBox.GetState 001b _NF__FE 0027 _NF__E8"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 3A D8 74 15 8B D6 8B C7 E8 ?? ?? ?? ?? 88 58 08 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1445_0 {
	meta:
		name = "_NF__E8"
		size = 85
		refs = "0010 TCustomListBox.ItemRect 0017 TCheckListBox.GetCheckWidth 0038 TWinControl.GetHandle 003e InvalidateRect 004b UpdateWindow"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 03 04 24 89 44 24 08 F6 43 40 40 0F 95 C0 34 01 F6 D8 1B C0 50 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_1446_0 {
	meta:
		name = "TCheckListBox.GetChecked"
		size = 41
		refs = "000b _NF__101 0018 _NF__FE 001d _NF__C5"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_1447_0 {
	meta:
		name = "TCheckListBox.GetState"
		size = 47
		refs = "000b _NF__101 0018 _NF__FE 0023 _NV__BF 0028 _NF__C6"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 40 08 5E 5B C3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1448_0 {
	meta:
		name = "TCheckListBox.KeyPress"
		size = 39
		refs = "000b TWinControl.KeyPress 0017 TCustomListBox.GetItemIndex 0020 _NF__F8"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 3E 20 75 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1449_0 {
	meta:
		name = "TCheckListBox.MouseDown"
		size = 115
		refs = "0022 TControl.MouseDown 002e Point 003a TCustomListBox.ItemAtPos 004d TCustomListBox.ItemRect 0058 TCheckListBox.GetCheckWidth 0066 _NF__F8"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 88 4D FE 88 55 FF 8B D8 8B 75 08 8B 7D 0C 57 56 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 F4 B1 01 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 25 8D 4D E4 8B D6 8B C3 E8 ?? ?? ?? ?? 2B 7D E4 57 8B C3 E8 ?? ?? ?? ?? 5A 3B D0 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1450_0 {
	meta:
		name = "_NF__F8"
		size = 97
		refs = "001e TCheckListBox.GetState 004f TCheckListBox.SetState 005a @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 54 8B 83 18 01 00 00 8B 10 FF 52 14 3B F0 7D 45 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 80 EA 01 72 08 74 17 FE CA 74 17 EB 17 80 BB 54 01 00 00 00 74 04 B0 02 EB 0A B0 01 EB 06 33 C0 EB 02 B0 01 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB D7 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1451_0 {
	meta:
		name = "TCheckListBox.ClickCheck"
		size = 29
		altNames = "TCoolBar.Resize TCustomRichEdit.SelectionChange"
	strings:
		$1 = { 53 66 83 B8 5E 01 00 00 00 74 10 8B D8 8B D0 8B 83 60 01 00 00 FF 93 5C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_1452_0 {
	meta:
		name = "TCheckListBox.GetItemData"
		size = 40
		refs = "000e _NF__101 001b _NF__FE"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 33 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 78 04 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1453_0 {
	meta:
		name = "_NF__FE"
		size = 31
		refs = "000b _NF__FF 0018 _NF__100"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1454_0 {
	meta:
		name = "_NF__FF"
		size = 153
		refs = "0015 _NF__FF 0024 TCustomListBox.GetItemData 0040 SListIndexError 0045 LoadResString 004f _Dn_EListError 0054 Exception.CreateFmt 0059 @RaiseExcept 0065 _NV__BF 006a @IsClass 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 13 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1455_0 {
	meta:
		name = "_NF__100"
		size = 38
		refs = "000a _NV__BF 000f TObject.Create 001c TCustomListBox.SetItemData"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1456_0 {
	meta:
		name = "_NF__101"
		size = 23
		refs = "000b _NF__FF"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_13126_0 {
	meta:
		name = "TRegistry.ReadBool"
		size = 23
		refs = "000b TRegistry.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_1457_0 {
	meta:
		name = "TCheckListBox.SetItemData"
		size = 68
		refs = "000e _NF__FE 002c TList.Get 003c TList.Delete"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 89 7E 04 8B BB 64 01 00 00 85 FF 74 1F 83 7F 08 00 7E 19 33 D2 8B C7 E8 ?? ?? ?? ?? 88 46 08 33 D2 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1458_0 {
	meta:
		name = "TCheckListBox.ResetContent"
		size = 68
		refs = "001f _NF__101 002c _NF__FE 0031 TObject.Free 003c TCustomListBox.ResetContent"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 18 01 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 22 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 E1 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1459_0 {
	meta:
		name = "TCheckListBox.DeleteString"
		size = 45
		refs = "000b _NF__101 0018 _NF__FE 001d TObject.Free 0026 TCustomListBox.DeleteString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1470_0 {
	meta:
		name = "_NF__1C2"
		size = 228
		refs = "0007 TStreamAdapter.Read 0011 TStreamAdapter.Write 001b TStreamAdapter.Seek 0025 TStreamAdapter.SetSize 002f TStreamAdapter.CopyTo 0039 TStreamAdapter.Commit 0043 TStreamAdapter.Revert 004d TStreamAdapter.LockRegion 0057 TStreamAdapter.UnlockRegion 0061 TStreamAdapter.Stat 006b TStreamAdapter.Clone 0075 TInterfacedObject.QueryInterface 007f TInterfacedObject._AddRef 0089 TInterfacedObject._Release 0090 _NF__1C2"
	strings:
		$1 = { CC 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 0C 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_11055_0 {
	meta:
		name = "_NF__23B"
		size = 197
		refs = "0007 _NF__248 0011 _NF__240 001b _NF__241 0025 _NF__242 002f _NF__243 0039 _NF__244 0043 _NF__245 004d _NF__246 0057 _NF__247 0061 TInterfacedObject.QueryInterface 006b TInterfacedObject._AddRef 0075 TInterfacedObject._Release 0079 _NF__23B"
	strings:
		$1 = { CC 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_1475_0 {
	meta:
		name = "Point"
		size = 6
	strings:
		$1 = { 89 01 89 51 04 C3 }
	condition:
		$1
}

rule function_1476_0 {
	meta:
		name = "SmallPoint"
		size = 15
	strings:
		$1 = { 51 66 89 04 24 66 89 54 24 02 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_1477_0 {
	meta:
		name = "Rect"
		size = 26
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 89 03 89 53 04 89 4B 08 8B 45 0C 89 43 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1478_0 {
	meta:
		name = "Bounds"
		size = 28
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 89 03 89 53 04 03 C8 89 4B 08 03 55 0C 89 53 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1479_0 {
	meta:
		name = "_NF__244"
		size = 11
	strings:
		$1 = { 8B 40 D4 09 C0 74 03 8B 40 02 C3 }
	condition:
		$1
}

rule function_1480_0 {
	meta:
		name = "_NF__245"
		size = 129
		refs = "0015 _NF__245 0027 SClassNotFound 002c LoadResString 0042 Format 004c _DV_EClassNotFound 0051 Exception.Create 0056 @RaiseExcept 0070 @LStrArrayClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1481_0 {
	meta:
		name = "GetClass"
		size = 96
		refs = "0007 _NV__22E 001e TList.Get 0029 TObject.ClassNameIs 0038 _NV__22F"
	strings:
		$1 = { 53 56 57 55 8B E8 A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 22 46 33 DB 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D5 8B C7 E8 ?? ?? ?? ?? 84 C0 75 28 43 4E 75 E1 8B D5 A1 ?? ?? ?? ?? 8B 08 FF 51 50 8B D8 85 DB 7C 10 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B F8 EB 02 33 FF 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1482_0 {
	meta:
		name = "FindClass"
		size = 29
		refs = "0007 GetClass 0014 _NF__245"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 07 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_1483_0 {
	meta:
		name = "_NF__24A"
		size = 201
		refs = "0018 _NF__24A 0023 TObject.ClassType 0030 _NF__244 005c TObject.ClassName 006a @LStrFromString 0075 CompareText 0087 TObject.ClassParent 0093 _DV_TPersistent 009d FindClass 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 C9 89 4D F0 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 89 45 F4 EB 62 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 85 F6 74 49 0F BF 1E 4B 85 DB 7C 41 43 C7 45 F8 00 00 00 00 8B 45 F8 8B 44 86 02 8B 38 8D 95 F0 FE FF FF 8B C7 E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 26 FF 45 F8 4B 75 C7 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 3B 05 ?? ?? ?? ?? 75 93 8B 45 FC E8 ?? ?? ?? ?? 8B F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1484_0 {
	meta:
		name = "RegisterClass"
		size = 239
		refs = "0019 _NV__22E 0021 RegisterClass 0039 TObject.ClassName 0047 @LStrFromString 004f GetClass 0077 SDuplicateClass 007c LoadResString 0089 _DV_EFilerError 008e Exception.CreateFmt 0093 @RaiseExcept 009c TList.Add 00a2 _DV_TPersistent 00ab TObject.ClassParent 00b6 TList.IndexOf 00d5 @LStrClr 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 33 D2 89 95 F0 FE FF FF 89 55 FC 8B D8 BE ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 81 00 00 00 8D 95 FC FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 40 8B 45 FC 89 85 F4 FE FF FF C6 85 F8 FE FF FF 0B 8D 85 F4 FE FF FF 50 6A 00 8D 95 F0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 06 E8 ?? ?? ?? ?? 3B 1D ?? ?? ?? ?? 74 19 8B C3 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 06 E8 ?? ?? ?? ?? 40 0F 84 6F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1485_0 {
	meta:
		name = "RegisterClasses"
		size = 48
		refs = "001c RegisterClass"
	strings:
		$1 = { 55 8B EC 53 56 8B CA 8B 1C 88 49 53 79 F9 8B C4 8B F2 85 F6 7C 10 46 8B D8 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F3 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_1488_0 {
	meta:
		name = "UnRegisterClasses"
		size = 48
		refs = "001c UnRegisterClass"
	strings:
		$1 = { 55 8B EC 53 56 8B CA 8B 1C 88 49 53 79 F9 8B C4 8B F2 85 F6 7C 10 46 8B D8 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F3 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_1486_0 {
	meta:
		name = "RegisterClassAlias"
		size = 30
		refs = "0009 RegisterClass 0012 _NV__22F"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB 8B D6 A1 ?? ?? ?? ?? 8B 18 FF 53 38 5E 5B C3 }
	condition:
		$1
}

rule function_1487_0 {
	meta:
		name = "UnRegisterClass"
		size = 13
		refs = "0003 _NV__22E 0008 TList.Remove"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5381_0 {
	meta:
		name = "_NF__82"
		size = 13
		refs = "0003 _NV__81 0008 _NF__7F"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1489_0 {
	meta:
		name = "UnRegisterModuleClasses"
		size = 146
		refs = "000c _NV__22E 0025 TList.Get 002b VirtualQuery 003e TList.Delete 0049 _NV__22F"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B F0 8B FC BD ?? ?? ?? ?? 8B 45 00 8B 58 08 4B 83 FB 00 7C 2C 6A 1C 57 8B D3 8B 45 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 F6 74 05 3B 77 04 75 0A 8B D3 8B 45 00 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D4 A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 30 6A 1C 57 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 50 E8 ?? ?? ?? ?? 85 F6 74 05 3B 77 04 75 0C 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 44 4B 83 FB FF 75 D0 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1490_0 {
	meta:
		name = "RegisterComponents"
		size = 121
		refs = "0016 RegisterComponents 0022 RegisterComponentsProc 0035 SRegisterError 003a LoadResString 0044 _DV_EComponentError 0049 Exception.Create 004e @RaiseExcept 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D9 8B 34 9A 4B 56 79 F9 8B D4 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 83 3D ?? ?? ?? ?? 00 74 08 FF 15 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_1491_0 {
	meta:
		name = "RegisterNoIcon"
		size = 117
		refs = "0015 RegisterNoIcon 0021 RegisterNoIconProc 0034 SRegisterError 0039 LoadResString 0043 _DV_EComponentError 0048 Exception.Create 004d @RaiseExcept 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B CA 8B 1C 88 49 53 79 F9 8B C4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 3D ?? ?? ?? ?? 00 74 08 FF 15 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_1492_0 {
	meta:
		name = "RegisterNonActiveX"
		size = 121
		refs = "0016 RegisterNonActiveX 0022 RegisterNonActiveXProc 0035 SRegisterError 003a LoadResString 0044 _DV_EComponentError 0049 Exception.Create 004e @RaiseExcept 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B 34 98 4B 56 79 F9 8B C4 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 83 3D ?? ?? ?? ?? 00 74 08 FF 15 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_1493_0 {
	meta:
		name = "_NF__267"
		size = 48
		refs = "000b @ClassCreate"
	strings:
		$1 = { 55 8B EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 04 8B 4D 0C 89 48 08 8B 4D 08 89 48 0C 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_1494_0 {
	meta:
		name = "RegisterIntegerConsts"
		size = 41
		refs = "0010 _NV__265 0015 _NF__267 001c _NV__230 0021 TList.Add"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1495_0 {
	meta:
		name = "IdentToInt"
		size = 64
		refs = "001c CompareText"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 8B 75 08 85 F6 7C 23 46 8D 59 04 8B D7 8B 03 E8 ?? ?? ?? ?? 85 C0 75 0C B0 01 8B 55 FC 8B 4B FC 89 0A EB 08 83 C3 08 4E 75 E1 33 C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1496_0 {
	meta:
		name = "IntToIdent"
		size = 59
		refs = "0023 @LStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 55 08 85 D2 7C 1C 42 8B 7D FC 3B 07 75 0E B3 01 8B C6 8B 57 04 E8 ?? ?? ?? ?? EB 08 83 C7 08 4A 75 E8 33 DB 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1497_0 {
	meta:
		name = "_NF__276"
		size = 133
		refs = "0013 HInstance 001e @LStrToPChar 0025 FindResource 003a _DV_TResourceStream 003f TResourceStream.Create 004a _NF__276 005a TStream.ReadComponent 0071 TObject.Free 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 8B F8 85 DB 75 08 8B 1D ?? ?? ?? ?? 8B 1B 6A 0A 8B C7 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 84 C0 74 4D 57 6A 0A 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 16 8B 45 FC E8 ?? ?? ?? ?? 89 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B0 01 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1498_0 {
	meta:
		name = "BeginGlobalLoading"
		size = 34
		refs = "0002 _NV__277 0007 _NV__278 000c TList.Add 0013 _DV_TList 0018 TObject.Create"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1499_0 {
	meta:
		name = "NotifyGlobalLoading"
		size = 42
		refs = "0003 _NV__277 001a TList.Get"
	strings:
		$1 = { 53 56 A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 18 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 0C 46 4B 75 EB 5E 5B C3 }
	condition:
		$1
}

rule function_1500_0 {
	meta:
		name = "EndGlobalLoading"
		size = 45
		refs = "0001 _NV__277 0006 TObject.Free 000b _NV__278 0010 TList.Last 0028 TList.Delete"
	strings:
		$1 = { A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 50 08 4A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1501_0 {
	meta:
		name = "_NF__27C"
		size = 165
		refs = "0016 _NF__27C 0024 _DV_TComponent 0039 TObject.ClassParent 004e TObject.ClassName 005c @LStrFromString 0067 FindClassHInstance 006c FindResourceHInstance 007a _NF__276 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 3B 35 ?? ?? ?? ?? 74 56 8B 45 08 3B 70 F8 74 4E 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B D8 8D 95 FC FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 08 8D 48 FC 58 E8 ?? ?? ?? ?? 0A D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1502_0 {
	meta:
		name = "InitInheritedComponent"
		size = 87
		refs = "000d BeginGlobalLoading 0015 InitInheritedComponent 0024 TObject.ClassType 0029 _NF__27C 0032 NotifyGlobalLoading 0044 EndGlobalLoading 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 88 45 F7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 8A 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_1503_0 {
	meta:
		name = "InitComponentRes"
		size = 39
		refs = "000b TObject.ClassType 0010 FindClassHInstance 0015 FindResourceHInstance 0020 _NF__276"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 04 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CC 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_1504_0 {
	meta:
		name = "ReadComponentRes"
		size = 166
		refs = "0016 ReadComponentRes 002a TObject.ClassType 002f FindClassHInstance 0034 FindResourceHInstance 0046 _NF__276 0064 SResNotFound 0069 LoadResString 0073 _DV_EResNotFound 0078 Exception.CreateFmt 007d @RaiseExcept 0092 @LStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 16 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 05 8B 5D FC EB 2E 89 75 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1505_0 {
	meta:
		name = "ReadComponentResEx"
		size = 140
		refs = "0015 ReadComponentResEx 002c _NF__276 004a SResNotFound 004f LoadResString 0059 _DV_EResNotFound 005e Exception.CreateFmt 0063 @RaiseExcept 0078 @LStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8B 5D FC EB 2E 89 5D F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1506_0 {
	meta:
		name = "ReadComponentResFile"
		size = 92
		refs = "0010 _DV_TFileStream 0015 TFileStream.Create 0020 ReadComponentResFile 0030 TStream.ReadComponentRes 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 6A 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1507_0 {
	meta:
		name = "WriteComponentResFile"
		size = 170
		refs = "0015 WriteComponentResFile 0029 _DV_TFileStream 002e TFileStream.Create 004c TObject.ClassName 005a @LStrFromString 0067 TStream.WriteComponentRes 007c TObject.Free 0082 @HandleFinally 0099 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 33 C9 89 4D F8 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 FF FF 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B CB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1508_0 {
	meta:
		name = "_NF__28F"
		size = 86
		refs = "0011 _DV_TWriter 0016 TFiler.Create 0021 _NF__28F 0031 TWriter.WriteCollection 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 68 00 04 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1509_0 {
	meta:
		name = "CollectionsEqual"
		size = 273
		refs = "0014 TObject.ClassType 002c TCollection.GetCount 0044 _DV_TMemoryStream 0049 TObject.Create 0054 CollectionsEqual 0064 _NF__28F 0093 TStream.GetSize 00bc CompareMem 00de TObject.Free 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8B D8 C6 45 FF 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 0F 85 DE 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 0F 85 C6 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 75 1F 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 45 F4 8B 50 04 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1510_0 {
	meta:
		name = "LineStart"
		size = 30
	strings:
		$1 = { 57 89 D7 89 D1 29 C1 83 E9 01 76 10 89 C2 4F B0 0A FD F2 AE FC 89 D0 75 03 8D 47 02 5F C3 }
	condition:
		$1
}

rule function_1512_0 {
	meta:
		name = "TList.Add"
		size = 36
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 08 3B 73 0C 75 06 8B C3 8B 10 FF 12 8B 43 04 89 3C B0 FF 43 08 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1513_0 {
	meta:
		name = "TList.Clear"
		size = 23
		refs = "0008 TList.SetCount 0011 TList.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1514_0 {
	meta:
		name = "TList.Delete"
		size = 126
		refs = "000f TList.Delete 0026 SListIndexError 002b LoadResString 0058 Move 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 03 FF 50 04 FF 4B 08 8B 43 08 3B F0 7D 19 2B C6 8B C8 C1 E1 02 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1515_0 {
	meta:
		name = "_NF__2A1"
		size = 4
		altNames = "_NF__379"
	strings:
		$1 = { 8B 45 04 C3 }
	condition:
		$1
}

rule function_1516_0 {
	meta:
		name = "TList.Error"
		size = 55
		refs = "000a _NF__2A1 0024 _DV_EListError 0029 Exception.CreateFmt 002e @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B DA E8 ?? ?? ?? ?? 50 89 74 24 04 C6 44 24 08 00 8D 44 24 04 50 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1597_0 {
	meta:
		name = "TStrings.Error"
		size = 55
		refs = "000a _NF__379 0024 _DV_EStringListError 0029 Exception.CreateFmt 002e @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B DA E8 ?? ?? ?? ?? 50 89 74 24 04 C6 44 24 08 00 8D 44 24 04 50 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1517_0 {
	meta:
		name = "TList.Exchange"
		size = 158
		refs = "0018 TList.Exchange 002f SListIndexError 0034 LoadResString 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B 03 FF 50 04 85 FF 7C 05 3B 7B 08 7C 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CF 8B 03 FF 50 04 8B 43 04 8B 14 B0 89 55 FC 8B 53 04 8B 14 BA 89 14 B0 8B 55 FC 89 14 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1518_0 {
	meta:
		name = "TList.Expand"
		size = 21
	strings:
		$1 = { 53 8B D8 8B 43 08 3B 43 0C 75 06 8B C3 8B 10 FF 12 8B C3 5B C3 }
	condition:
		$1
}

rule function_1520_0 {
	meta:
		name = "TList.Get"
		size = 99
		refs = "000f TList.Get 0026 SListIndexError 002b LoadResString 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 03 FF 50 04 8B 43 04 8B 1C B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1521_0 {
	meta:
		name = "TList.Grow"
		size = 49
		refs = "002c TList.SetCapacity"
	strings:
		$1 = { 8B 50 0C 83 FA 40 7E 0E 8B CA 85 C9 79 03 83 C1 03 C1 F9 02 EB 11 83 FA 08 7E 07 B9 10 00 00 00 EB 05 B9 04 00 00 00 03 CA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1522_0 {
	meta:
		name = "TList.IndexOf"
		size = 31
	strings:
		$1 = { 53 33 C9 EB 01 41 3B 48 08 7D 08 8B 58 04 3B 14 8B 75 F2 3B 48 08 75 03 83 C9 FF 8B C1 5B C3 }
	condition:
		$1
}

rule function_1523_0 {
	meta:
		name = "TList.Insert"
		size = 159
		refs = "0018 TList.Insert 002f SListIndexError 0034 LoadResString 006c Move 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7E 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B 03 FF 50 04 8B 43 08 3B 43 0C 75 06 8B C3 8B 10 FF 12 8B 43 08 3B F0 7D 19 2B C6 8B C8 C1 E1 02 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8B 55 FC 89 14 B0 FF 43 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1524_0 {
	meta:
		name = "TList.Last"
		size = 10
		refs = "0005 TList.Get"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1525_0 {
	meta:
		name = "TList.Move"
		size = 139
		refs = "0018 TList.Move 0033 SListIndexError 0038 LoadResString 004b TList.Get 0057 TList.Delete 0063 TList.Insert 0078 @LStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 74 41 85 F6 7C 05 3B 73 08 7C 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B 03 FF 50 04 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1526_0 {
	meta:
		name = "TList.Put"
		size = 101
		refs = "0012 TList.Put 0029 SListIndexError 002e LoadResString 0053 @LStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 03 FF 50 04 8B 43 04 89 3C B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1527_0 {
	meta:
		name = "TList.Remove"
		size = 32
		refs = "0007 TList.IndexOf 0017 TList.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1528_0 {
	meta:
		name = "TList.Pack"
		size = 44
		refs = "0012 TList.Get 001f TList.Delete"
	strings:
		$1 = { 53 56 8B F0 8B 5E 08 4B 83 FB 00 7C 1C 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E4 5E 5B C3 }
	condition:
		$1
}

rule function_1529_0 {
	meta:
		name = "TList.SetCapacity"
		size = 116
		refs = "000f TList.SetCapacity 002a SListCapacityError 002f LoadResString 004b @ReallocMem 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 08 7C 08 81 FE FF FF FF 07 7E 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 03 FF 50 04 3B 73 0C 74 10 8B D6 C1 E2 02 8D 43 04 E8 ?? ?? ?? ?? 89 73 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1530_0 {
	meta:
		name = "TList.SetCount"
		size = 141
		refs = "000f TList.SetCount 0029 SListCountError 002e LoadResString 0046 TList.SetCapacity 0064 @FillChar 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 08 81 FE FF FF FF 07 7E 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 03 FF 50 04 3B 73 0C 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7E 17 8B 53 04 8D 14 82 8B CE 2B C8 8B C1 C1 E0 02 33 C9 92 E8 ?? ?? ?? ?? 89 73 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1531_0 {
	meta:
		name = "_NF__2CF"
		size = 129
		refs = "006c _NF__2CF"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 8B 5D FC 8B 75 F8 8B 45 FC 03 45 F8 D1 E8 8B 04 87 89 45 F4 EB 01 43 8B 55 F4 8B 04 9F FF 55 08 85 C0 7C F2 EB 01 4E 8B 55 F4 8B 04 B7 FF 55 08 85 C0 7F F2 3B F3 7C 0E 8B 04 9F 8B 14 B7 89 14 9F 89 04 B7 43 4E 3B F3 7D CD 3B 75 FC 7E 10 8B 45 08 50 8B CE 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 89 5D FC 3B 5D F8 7C 99 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1532_0 {
	meta:
		name = "TList.Sort"
		size = 30
		refs = "0019 _NF__2CF"
	strings:
		$1 = { 8B 48 04 85 C9 74 16 83 78 08 00 7E 10 52 8B 50 08 4A 8B C1 33 C9 87 D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1533_0 {
	meta:
		name = "TThreadList.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TObject.Create 0020 InitializeCriticalSection 0027 _DV_TList"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 08 50 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1534_0 {
	meta:
		name = "TThreadList.Destroy"
		size = 121
		refs = "0010 TThreadList.LockList 0018 TThreadList.Destroy 0029 TObject.Free 0037 TObject.Destroy 004c TThreadList.UnlockList 0058 DeleteCriticalSection 005e @HandleFinally 006e @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FE 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_9962_0 {
	meta:
		name = "TThreadCustomArray.Destroy"
		size = 121
		refs = "0010 TThreadCustomArray.LockArray 0018 TThreadCustomArray.Destroy 0029 TObject.Free 0037 TObject.Destroy 004c TThreadCustomArray.UnlockArray 0058 DeleteCriticalSection 005e @HandleFinally 006e @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FE 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_1535_0 {
	meta:
		name = "TThreadList.Add"
		size = 94
		refs = "000e TThreadList.LockList 0016 TThreadList.Add 0029 TList.IndexOf 0039 TList.Add 004e TThreadList.UnlockList 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 40 75 0D 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1536_0 {
	meta:
		name = "TThreadList.Clear"
		size = 72
		refs = "000b TThreadList.LockList 0013 TThreadList.Clear 0024 TList.Clear 0039 TThreadList.UnlockList 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1537_0 {
	meta:
		name = "TThreadCustomArray.LockArray"
		size = 17
		refs = "0008 EnterCriticalSection"
		altNames = "TThreadList.LockList"
	strings:
		$1 = { 53 8B D8 8D 43 08 50 E8 ?? ?? ?? ?? 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_1538_0 {
	meta:
		name = "TThreadList.Remove"
		size = 78
		refs = "000e TThreadList.LockList 0016 TThreadList.Remove 0029 TList.Remove 003e TThreadList.UnlockList 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1539_0 {
	meta:
		name = "TThreadCustomArray.UnlockArray"
		size = 10
		refs = "0005 LeaveCriticalSection"
		altNames = "TThreadList.UnlockList _NF__2A5"
	strings:
		$1 = { 83 C0 08 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7594_0 {
	meta:
		name = "_NF__2A4"
		size = 10
		refs = "0005 EnterCriticalSection"
	strings:
		$1 = { 83 C0 08 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1540_0 {
	meta:
		name = "TBits.Destroy"
		size = 43
		refs = "000b TBits.SetSize 0017 TObject.Destroy 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1555_0 {
	meta:
		name = "TCollectionItem.Destroy"
		size = 43
		refs = "000b TCollectionItem.SetCollection 0017 TPersistent.Destroy 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10162_0 {
	meta:
		name = "TDecisionDataLink.Destroy"
		size = 43
		refs = "000b TDecisionDataLink.SetDecisionSource 0017 TPersistent.Destroy 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1585_0 {
	meta:
		name = "TStrings.Destroy"
		size = 43
		refs = "000b TStrings.SetStringsAdapter 0017 TPersistent.Destroy 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1541_0 {
	meta:
		name = "_NF__2EC"
		size = 84
		refs = "0009 _NF__2EC 0017 SBitsIndexError 001c LoadResString 0026 _DV_EBitsError 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_7720_0 {
	meta:
		name = "_NF__409"
		size = 84
		refs = "0009 _NF__409 0017 SOutOfResources 001c LoadResString 0026 _Dn_EOutOfResources 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8181_0 {
	meta:
		name = "_NF__42D"
		size = 84
		refs = "0009 _NF__42D 0017 SListIndexError 001c LoadResString 0026 _Dn_EListError 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8202_0 {
	meta:
		name = "_NF__442"
		size = 84
		refs = "0009 _NF__442 0017 SPutObjectError 001c LoadResString 0026 _NV__411 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_2012_0 {
	meta:
		name = "_NF__6BC"
		size = 84
		refs = "0009 _NF__6BC 0017 sTabAccessError 001c LoadResString 0026 _Dn_EListError 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9413_0 {
	meta:
		name = "_NF__BE"
		size = 84
		refs = "0009 _NF__BE 0017 SIntOverflow 001c LoadResString 0026 _Dn_EIntOverflow 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9821_0 {
	meta:
		name = "_NF__CE"
		size = 84
		refs = "0009 _NF__CE 0017 sLowCapacityError 001c LoadResString 0026 _DV_ELowCapacityError 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9829_0 {
	meta:
		name = "_NF__D6"
		size = 84
		refs = "0009 _NF__D6 0017 sDupeItem 001c LoadResString 0026 _DV_EArrayError 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1542_0 {
	meta:
		name = "_NF__20D"
		size = 11
		altNames = "_NF__2ED"
	strings:
		$1 = { 8B C8 3B D0 7D 02 8B CA 8B C1 C3 }
	condition:
		$1
}

rule function_1543_0 {
	meta:
		name = "TBits.SetSize"
		size = 162
		refs = "0019 _NF__2EC 0056 @GetMem 0065 @FillChar 0078 _NF__2ED 0085 Move 008f @FreeMem"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 3B 73 04 0F 84 8A 00 00 00 85 F6 7D 07 8B C3 E8 ?? ?? ?? ?? 8D 46 20 48 85 C0 79 03 83 C0 1F C1 F8 05 8B F8 C1 E7 02 8B 43 04 83 C0 20 48 85 C0 79 03 83 C0 1F C1 F8 05 8B E8 C1 E5 02 3B EF 74 4F 33 C0 89 04 24 85 FF 74 16 8B C7 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 33 C9 8B D7 E8 ?? ?? ?? ?? 85 ED 74 26 83 3C 24 00 74 16 8B D7 8B C5 E8 ?? ?? ?? ?? 8B C8 8B 14 24 8B 43 08 E8 ?? ?? ?? ?? 8B D5 8B 43 08 E8 ?? ?? ?? ?? 8B 04 24 89 43 08 89 73 04 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1544_0 {
	meta:
		name = "TBits.SetBit"
		size = 44
		refs = "0019 _NF__2EC 0022 TBits.SetSize"
	strings:
		$1 = { 3B 50 04 73 0F 8B 40 08 08 C9 74 04 0F AB 10 C3 0F B3 10 C3 83 FA 00 0F 8C ?? ?? ?? ?? 50 52 51 42 E8 ?? ?? ?? ?? 59 5A 58 EB DA C3 }
	condition:
		$1
}

rule function_1545_0 {
	meta:
		name = "TBits.GetBit"
		size = 21
		refs = "0005 _NF__2EC"
	strings:
		$1 = { 3B 50 04 0F 83 ?? ?? ?? ?? 8B 40 08 0F A3 10 19 C0 83 E0 01 C3 }
	condition:
		$1
}

rule function_1546_0 {
	meta:
		name = "TBits.OpenBit"
		size = 120
		refs = "0027 TBits.OpenBit"
	strings:
		$1 = { 53 56 57 51 8B D8 8B 43 04 83 C0 20 48 85 C0 79 03 83 C0 1F C1 F8 05 48 85 C0 7C 4D 40 89 04 24 33 F6 8B 43 08 8B 15 ?? ?? ?? ?? 3B 14 B0 74 33 8B 43 08 8B 3C B0 33 C0 8B D0 80 FA 1F 77 06 83 E2 7F 0F A3 D7 72 17 8B D6 C1 E2 05 83 E0 7F 03 D0 8B C2 8B 53 04 3B C2 7C 12 8B C2 EB 0E 40 3C 20 75 D5 46 FF 0C 24 75 B9 8B 43 04 5A 5F 5E 5B C3 00 00 00 FF FF FF FF }
	condition:
		$1
}

rule function_1547_0 {
	meta:
		name = "TPersistent.Destroy"
		size = 41
		refs = "0009 RemoveFixups 0015 TObject.Destroy 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3371_0 {
	meta:
		name = "TControlCanvas.Destroy"
		size = 41
		refs = "0009 TControlCanvas.FreeHandle 0015 TCanvas.Destroy 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10571_0 {
	meta:
		name = "TDataCache.Destroy"
		size = 41
		refs = "0009 TDataCache.FreeCache 0015 TObject.Destroy 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5150_0 {
	meta:
		name = "TGridDataLink.Destroy"
		size = 41
		refs = "0009 TGridDataLink.ClearMapping 0015 TDataLink.Destroy 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6107_0 {
	meta:
		name = "THTTPDataLink.Destroy"
		size = 41
		refs = "0009 THTTPDataLink.ClearMapping 0015 TDataLink.Destroy 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2548_0 {
	meta:
		name = "TListItems.Destroy"
		size = 41
		refs = "0009 TListItems.Clear 0015 TPersistent.Destroy 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1676_0 {
	meta:
		name = "TMemoryStream.Destroy"
		size = 41
		refs = "0009 TMemoryStream.Clear 0015 TObject.Destroy 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11114_0 {
	meta:
		name = "TOleContainer.Destroy"
		size = 41
		refs = "0009 TOleContainer.DestroyObject 0015 TCustomControl.Destroy 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13104_0 {
	meta:
		name = "TRegistry.Destroy"
		size = 41
		refs = "0009 TRegistry.CloseKey 0015 TObject.Destroy 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2214_0 {
	meta:
		name = "TTreeNodes.Destroy"
		size = 41
		refs = "0009 TTreeNodes.Clear 0015 TPersistent.Destroy 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1779_0 {
	meta:
		name = "TWriter.Destroy"
		size = 41
		refs = "0009 _NF__575 0015 TFiler.Destroy 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6235_0 {
	meta:
		name = "_NF__18A"
		size = 41
		refs = "0009 _NF__191 0015 TPersistent.Destroy 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7847_0 {
	meta:
		name = "_NF__552"
		size = 41
		refs = "0009 _NF__553 0015 TCanvas.Destroy 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1548_0 {
	meta:
		name = "TPersistent.Assign"
		size = 18
		refs = "000d _NF__300"
	strings:
		$1 = { 85 D2 74 06 92 8B 08 FF 11 C3 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1549_0 {
	meta:
		name = "_NF__300"
		size = 240
		refs = "001e _NF__300 0035 TObject.ClassName 0043 @LStrFromString 0052 @LStrLAsg 0096 SAssignError 009b LoadResString 00a8 _Dn_EConvertError 00ad Exception.CreateFmt 00b2 @RaiseExcept 00ca @LStrClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 33 C9 89 8D E8 FE FF FF 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 1D 8D 95 FC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 85 EC FE FF FF C6 85 F0 FE FF FF 0B 8D 95 FC FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 89 85 F4 FE FF FF C6 85 F8 FE FF FF 04 8D 85 EC FE FF FF 50 6A 01 8D 95 E8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 FF FF FF FF 03 00 00 00 6E 69 6C 00 }
	condition:
		$1
}

rule function_1552_0 {
	meta:
		name = "TPersistent.GetNamePath"
		size = 176
		refs = "0019 TPersistent.GetNamePath 002c TObject.ClassName 0039 @LStrFromString 0044 @CallDynaInst 007b @LStrCatN 0090 @LStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 57 33 C9 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 FC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8B C7 E8 ?? ?? ?? ?? 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 85 C0 74 33 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 8D 55 FC 66 BB FE FF E8 ?? ?? ?? ?? 83 7D FC 00 74 16 FF 75 FC 68 ?? ?? ?? ?? FF 37 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_1554_0 {
	meta:
		name = "TCollectionItem.Create"
		size = 46
		refs = "000a @ClassCreate 0017 TCollectionItem.SetCollection"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D1 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8177_0 {
	meta:
		name = "_NF__429"
		size = 46
		refs = "000a @ClassCreate 0017 _NF__433"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D1 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1556_0 {
	meta:
		name = "TCollectionItem.Changed"
		size = 33
	strings:
		$1 = { 56 8B 70 04 85 F6 74 17 83 7E 0C 00 75 11 84 D2 74 04 33 D2 EB 02 8B D0 8B C6 8B 08 FF 51 10 5E C3 }
	condition:
		$1
}

rule function_1557_0 {
	meta:
		name = "TCollectionItem.GetIndex"
		size = 21
		refs = "000c TList.IndexOf"
	strings:
		$1 = { 8B 50 04 85 D2 74 0A 8B 52 08 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_1558_0 {
	meta:
		name = "TCollectionItem.GetDisplayName"
		size = 39
		refs = "0011 TObject.ClassName 001a @LStrFromString"
		altNames = "TDragObject.GetName"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 8B D8 8B D4 8B 03 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1559_0 {
	meta:
		name = "TCollectionItem.GetNamePath"
		size = 180
		refs = "0019 TCollectionItem.GetNamePath 0035 @CallDynaInst 0046 TCollectionItem.GetIndex 005f Format 006e TObject.ClassName 007b @LStrFromString 0090 @LStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 C9 89 4D EC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 04 00 74 3C 57 8D 55 EC 8B 46 04 66 BB FE FF E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 0B 8B C6 E8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 00 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 95 EC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 95 EC FE FF FF 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 06 00 00 00 25 73 5B 25 64 5D 00 00 }
	condition:
		$1
}

rule function_1560_0 {
	meta:
		name = "TCollectionItem.GetOwner"
		size = 4
		altNames = "TComponent.GetOwner TTextCont.GetFirst"
	strings:
		$1 = { 8B 40 04 C3 }
	condition:
		$1
}

rule function_1561_0 {
	meta:
		name = "TCollectionItem.SetCollection"
		size = 40
		refs = "0014 _NF__350 0021 _NF__34F"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 3B F0 74 18 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1563_0 {
	meta:
		name = "TCollectionItem.SetIndex"
		size = 47
		refs = "0009 TCollectionItem.GetIndex 001f TList.Move 0028 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 1B 3B F0 74 17 8B 53 04 8B 52 08 8B CE 92 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1564_0 {
	meta:
		name = "TCollection.Create"
		size = 55
		refs = "000a @ClassCreate 0018 _DV_TList 001d TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3881_0 {
	meta:
		name = "TFieldDefs.Create"
		size = 55
		refs = "000a @ClassCreate 0018 _Dn_TList 001d TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4147_0 {
	meta:
		name = "TIndexDefs.Create"
		size = 55
		refs = "000a @ClassCreate 0018 _Dn_TList 001d TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1565_0 {
	meta:
		name = "TCollection.Destroy"
		size = 62
		refs = "0016 TCollection.Clear 001e TObject.Free 002a TPersistent.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 C7 46 0C 01 00 00 00 83 7E 08 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1566_0 {
	meta:
		name = "TCollection.Add"
		size = 11
	strings:
		$1 = { 8B C8 B2 01 8B 40 04 FF 50 18 C3 }
	condition:
		$1
}

rule function_1567_0 {
	meta:
		name = "TCollection.Assign"
		size = 149
		refs = "0010 _DV_TCollection 0015 @IsClass 0021 TCollection.BeginUpdate 0029 TCollection.Assign 0037 TCollection.Clear 003e TCollection.GetCount 0051 TCollection.GetItem 005a TCollection.Add 0079 TCollection.EndUpdate 007f @HandleFinally 008b TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 89 45 FC 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 68 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 47 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1568_0 {
	meta:
		name = "TCollection.BeginUpdate"
		size = 4
	strings:
		$1 = { FF 40 0C C3 }
	condition:
		$1
}

rule function_1569_0 {
	meta:
		name = "TCollection.Changed"
		size = 14
	strings:
		$1 = { 83 78 0C 00 75 07 33 D2 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_1570_0 {
	meta:
		name = "TCollection.Clear"
		size = 101
		refs = "0018 TCollection.BeginUpdate 0020 TCollection.Clear 002f TList.Last 0034 TObject.Free 0055 TCollection.EndUpdate 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 40 08 83 78 08 00 7E 4D 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 58 08 83 7B 08 00 7F E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1571_0 {
	meta:
		name = "TCollection.EndUpdate"
		size = 9
		refs = "0004 TCollection.Changed"
	strings:
		$1 = { FF 48 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1572_0 {
	meta:
		name = "TCollection.FindItemID"
		size = 48
		refs = "001c TList.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 08 8B D6 E8 ?? ?? ?? ?? 3B 68 08 74 06 46 4B 75 ED 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1574_0 {
	meta:
		name = "TCollection.GetAttr"
		size = 12
		refs = "0006 @LStrClr"
		altNames = "TCustomModule.GetVerb"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4480_0 {
	meta:
		name = "TCustomRemoteServer.GetProvider"
		size = 12
		refs = "0006 @IntfClear"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1575_0 {
	meta:
		name = "TCollection.GetItemAttr"
		size = 32
		refs = "000e TCollection.GetItem"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 08 FF 51 0C 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1576_0 {
	meta:
		name = "TChartValueList.Count"
		size = 7
		altNames = "TCollection.GetCount TFieldDefs.GetCount TIndexDefs.GetCount"
	strings:
		$1 = { 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_1577_0 {
	meta:
		name = "TCollection.GetItem"
		size = 9
		refs = "0004 TList.Get"
		altNames = "TFieldDefs.GetItem TIndexDefs.GetItem"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9934_0 {
	meta:
		name = "TCustomArray.GetInteger"
		size = 9
		refs = "0004 TIntArray.GetItem"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10577_0 {
	meta:
		name = "TDataCache.SetDimension"
		size = 9
		refs = "0004 TList.Insert"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12557_0 {
	meta:
		name = "TQRFiFo.Put"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12726_0 {
	meta:
		name = "TQRPrinter.GetBin"
		size = 9
		refs = "0004 TPrinterSettings.GetOutputBin"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12727_0 {
	meta:
		name = "TQRPrinter.GetCopies"
		size = 9
		refs = "0004 TPrinterSettings.GetCopies"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12728_0 {
	meta:
		name = "TQRPrinter.GetDuplex"
		size = 9
		refs = "0004 TPrinterSettings.GetDuplex"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12730_0 {
	meta:
		name = "TQRPrinter.GetOrientation"
		size = 9
		refs = "0004 TPrinterSettings.GetOrientation"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12731_0 {
	meta:
		name = "TQRPrinter.GetPaperLength"
		size = 9
		refs = "0004 TPrinterSettings.GetPaperLength"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12735_0 {
	meta:
		name = "TQRPrinter.GetPaperSize"
		size = 9
		refs = "0004 TPrinterSettings.GetPaperSize"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12734_0 {
	meta:
		name = "TQRPrinter.GetPaperWidth"
		size = 9
		refs = "0004 TPrinterSettings.GetPaperWidth"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12739_0 {
	meta:
		name = "TQRPrinter.SetBin"
		size = 9
		refs = "0004 TPrinterSettings.SetOutputBin"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12740_0 {
	meta:
		name = "TQRPrinter.SetCopies"
		size = 9
		refs = "0004 TPrinterSettings.SetCopies"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12742_0 {
	meta:
		name = "TQRPrinter.SetDuplex"
		size = 9
		refs = "0004 TPrinterSettings.SetDuplex"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12743_0 {
	meta:
		name = "TQRPrinter.SetOrientation"
		size = 9
		refs = "0004 TPrinterSettings.SetOrientation"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12747_0 {
	meta:
		name = "TQRPrinter.SetPaperLength"
		size = 9
		refs = "0004 TPrinterSettings.SetPaperLength"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12748_0 {
	meta:
		name = "TQRPrinter.SetPaperSize"
		size = 9
		refs = "0004 TPrinterSettings.SetPaperSize"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12744_0 {
	meta:
		name = "TQRPrinter.SetPaperWidth"
		size = 9
		refs = "0004 TPrinterSettings.SetPaperWidth"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8296_0 {
	meta:
		name = "TWebResponse.SetCustomHeader"
		size = 9
		refs = "0004 TStrings.SetValue"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1578_0 {
	meta:
		name = "TCollection.GetNamePath"
		size = 200
		refs = "001c TCollection.GetNamePath 002f TObject.ClassName 003c @LStrFromString 0047 @CallDynaInst 0072 TCollection.GetPropName 008f @LStrCatN 00a9 @LStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 C9 89 4D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 F8 FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8B C7 E8 ?? ?? ?? ?? 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 85 C0 74 44 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 8D 55 FC 66 BB FE FF E8 ?? ?? ?? ?? 83 7D FC 00 74 27 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 17 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_1579_0 {
	meta:
		name = "TCollection.GetPropName"
		size = 281
		refs = "0019 @LStrLAsg 0025 @CallDynaInst 0048 TObject.ClassInfo 005f GetTypeData 0080 @GetMem 008b TCollection.GetPropName 00a3 GetPropInfos 00cc GetOrdProp 00df @LStrFromString 00f8 @FreeMem 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 52 14 E8 ?? ?? ?? ?? 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 89 45 F0 8B 45 F8 83 38 00 0F 85 DA 00 00 00 83 7D F0 00 0F 84 D0 00 00 00 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 85 C0 0F 84 BE 00 00 00 8B 45 F0 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 A5 00 00 00 66 83 7B 08 00 0F 84 9A 00 00 00 0F BF 43 08 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 0F BF 7B 08 4F 85 FF 7C 37 47 33 DB 8B 45 F4 8B 34 98 8B 06 8B 00 80 38 07 75 21 8B 45 F4 8B 14 98 8B 45 F0 E8 ?? ?? ?? ?? 3B 45 FC 75 0E 8B 45 FC 83 C0 14 8D 56 1A E8 ?? ?? ?? ?? 43 4F 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 8B 52 14 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1580_0 {
	meta:
		name = "_NF__34F"
		size = 139
		refs = "000f _NF__34F 001f @IsClass 002b SInvalidProperty 0030 LoadResString 003a _DV_TList 003f TList.Error 0049 TList.Add 0065 TCollection.Changed 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 04 E8 ?? ?? ?? ?? 84 C0 75 1C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 08 E8 ?? ?? ?? ?? 89 5E 04 8B 43 10 89 46 08 FF 43 10 8B D6 8B C3 8B 08 FF 51 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1581_0 {
	meta:
		name = "_NF__350"
		size = 31
		refs = "000c TList.Remove 0018 TCollection.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 46 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1582_0 {
	meta:
		name = "TCollection.SetItem"
		size = 30
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1586_0 {
	meta:
		name = "TStrings.Add"
		size = 33
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 8B 10 FF 52 14 8B F0 8B CF 8B D6 8B C3 8B 18 FF 53 54 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1587_0 {
	meta:
		name = "TStrings.AddObject"
		size = 33
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 8B 08 FF 51 34 8B F0 8B CF 8B D6 8B C3 8B 18 FF 53 24 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1588_0 {
	meta:
		name = "TStrings.Append"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 34 C3 }
	condition:
		$1
}

rule function_1589_0 {
	meta:
		name = "TStrings.AddStrings"
		size = 181
		refs = "0018 TStrings.AddStrings 0026 TStrings.BeginUpdate 0085 TStrings.EndUpdate 008b @HandleFinally 00a2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2D 46 33 DB 8D 4D F4 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 45 F4 50 8B D3 8B 45 F8 8B 08 FF 51 18 8B C8 8B 45 FC 5A 8B 38 FF 57 38 43 4E 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1590_0 {
	meta:
		name = "TStrings.Assign"
		size = 110
		refs = "000e _DV_TStrings 0013 @IsClass 001f TStrings.BeginUpdate 0027 TStrings.Assign 0054 TStrings.EndUpdate 005a @HandleFinally 0066 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 45 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B D3 8B 45 FC 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_1591_0 {
	meta:
		name = "TStrings.BeginUpdate"
		size = 23
	strings:
		$1 = { 53 8B D8 83 7B 04 00 75 09 B2 01 8B C3 8B 08 FF 51 30 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_1592_0 {
	meta:
		name = "_NF__370"
		size = 85
		refs = "001b _DV_TStrings 0020 @IsClass 0034 TStrings.Equals"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 70 1C 85 F6 74 2D B3 01 8B 45 08 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B 45 08 8B D6 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 80 F3 01 EB 10 8B 45 08 8B 40 F8 8B 10 FF 52 14 85 C0 0F 9F C3 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1593_0 {
	meta:
		name = "TStrings.DefineProperties"
		size = 76
		refs = "0012 _NF__3B3 001b _NF__3D0 0021 _NF__370 0029 TStrings.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 5B 59 59 5D C3 00 00 00 FF FF FF FF 07 00 00 00 53 74 72 69 6E 67 73 00 }
	condition:
		$1
}

rule function_1594_0 {
	meta:
		name = "TStrings.EndUpdate"
		size = 17
	strings:
		$1 = { FF 48 04 83 78 04 00 75 07 33 D2 8B 08 FF 51 30 C3 }
	condition:
		$1
}

rule function_1595_0 {
	meta:
		name = "TStrings.Equals"
		size = 166
		refs = "001b TStrings.Equals 006c @LStrCmp 0090 @LStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 8B 10 FF 52 14 8B D8 8B 45 F8 8B 10 FF 52 14 3B D8 75 3B 8B F3 4E 85 F6 7C 30 46 33 DB 8D 4D F0 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 F0 50 8D 4D EC 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 EC 58 E8 ?? ?? ?? ?? 75 08 43 4E 75 D3 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1598_0 {
	meta:
		name = "TStrings.Exchange"
		size = 230
		refs = "001c TStrings.Exchange 002a TStrings.BeginUpdate 00b1 TStrings.EndUpdate 00b7 @HandleFinally 00d3 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B D3 8B 45 FC 8B 38 FF 57 0C 8B D3 8B 45 FC 8B 08 FF 51 18 89 45 F8 8D 4D F0 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 4D F0 8B D3 8B 45 FC 8B 38 FF 57 20 8B D6 8B 45 FC 8B 08 FF 51 18 8B C8 8B D3 8B 45 FC 8B 18 FF 53 24 8B 4D F4 8B D6 8B 45 FC 8B 18 FF 53 20 8B 4D F8 8B D6 8B 45 FC 8B 18 FF 53 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1599_0 {
	meta:
		name = "TDataLink.DataSetScrolled"
		size = 6
		altNames = "TDataLink.LayoutChanged TStrings.GetCapacity"
	strings:
		$1 = { 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_1600_0 {
	meta:
		name = "TStrings.GetCommaText"
		size = 352
		refs = "001d TStrings.GetCommaText 0051 @LStrLAsg 005d @LStrClr 0087 @LStrToPChar 0091 CharNext 00ae @_CToPasStr 00c3 @AStrCmp 00d2 AnsiQuotedStr 00f3 @LStrCatN 0106 @LStrLen 0114 @LStrDelete 0137 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 C9 89 4D EC 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B D8 83 FB 01 75 24 8D 4D EC 33 D2 8B 45 FC 8B 38 FF 57 0C 83 7D EC 00 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BE 00 00 00 8B C6 E8 ?? ?? ?? ?? 4B 85 DB 0F 8C 99 00 00 00 43 89 5D F0 C7 45 F4 00 00 00 00 8D 4D F8 8B 55 F4 8B 45 FC 8B 18 FF 53 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 EB 08 53 E8 ?? ?? ?? ?? 8B D8 8A 03 2C 21 72 08 2C 01 74 04 2C 0A 75 EA 8D 85 EC FE FF FF 8B D3 E8 ?? ?? ?? ?? 8D 85 EC FE FF FF BA ?? ?? ?? ?? 33 C9 8A 08 41 E8 ?? ?? ?? ?? 74 18 8D 4D EC B2 22 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? FF 36 FF 75 F8 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F4 FF 4D F0 0F 85 72 FF FF FF 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C6 B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 FF FF FF FF 02 00 00 00 22 22 00 00 01 00 00 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_1601_0 {
	meta:
		name = "TStrings.GetName"
		size = 76
		refs = "0017 TStrings.GetName 001c AnsiPos 002a @LStrSetLength"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 8B 30 FF 56 0C 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0C 8B D0 4A 8B C3 E8 ?? ?? ?? ?? EB 09 8B C3 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_1603_0 {
	meta:
		name = "TStrings.GetText"
		size = 82
		refs = "000c TStrings.GetText 0024 @LStrToPChar 0029 StrNew 0040 @LStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 1C 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_1604_0 {
	meta:
		name = "TStrings.GetTextStr"
		size = 229
		refs = "001b TStrings.GetTextStr 0054 @LStrLen 006b @LStrFromPCharLen 00a8 Move 00d2 @LStrArrayClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 89 45 F0 33 DB 8B 75 F0 4E 85 F6 7C 29 46 C7 45 F4 00 00 00 00 8D 4D E8 8B 55 F4 8B 45 FC 8B 38 FF 57 0C 8B 45 E8 E8 ?? ?? ?? ?? 83 C0 02 03 D8 FF 45 F4 4E 75 DF 8B 45 F8 8B CB 33 D2 E8 ?? ?? ?? ?? 8B 5D F8 8B 1B 8B 75 F0 4E 85 F6 7C 40 46 C7 45 F4 00 00 00 00 8D 4D EC 8B 55 F4 8B 45 FC 8B 38 FF 57 0C 8B 45 EC E8 ?? ?? ?? ?? 8B F8 85 FF 74 0E 8B D3 8B 45 EC 8B CF E8 ?? ?? ?? ?? 03 DF C6 03 0D 43 C6 03 0A 43 FF 45 F4 4E 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1605_0 {
	meta:
		name = "TStrings.GetValue"
		size = 140
		refs = "0019 TStrings.GetValue 0029 TStrings.IndexOfName 004b @LStrLen 005b @LStrCopy 0065 @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 2E 8B 45 F8 50 8D 4D F4 8B D6 8B C3 8B 18 FF 53 0C 8B 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 83 C2 02 B9 FF FF FF 7F 58 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1606_0 {
	meta:
		name = "TStrings.IndexOf"
		size = 125
		refs = "0018 TStrings.IndexOf 0048 AnsiCompareText 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 23 43 33 F6 8D 4D F4 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 07 46 4B 75 E0 83 CE FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1607_0 {
	meta:
		name = "TStrings.IndexOfName"
		size = 196
		refs = "001a TStrings.IndexOfName 0052 AnsiPos 006c @LStrCopy 0077 AnsiCompareText 00a2 @LStrArrayClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 52 46 C7 45 F4 00 00 00 00 8D 4D F0 8B 55 F4 8B 45 FC 8B 18 FF 53 0C 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 23 8D 45 EC 50 8B CB 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 0D FF 45 F4 4E 75 B6 C7 45 F4 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_1608_0 {
	meta:
		name = "TStrings.IndexOfObject"
		size = 52
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 8B 10 FF 52 14 8B D8 4B 85 DB 7C 14 43 33 F6 8B D6 8B C7 8B 08 FF 51 18 3B E8 74 07 46 4B 75 EF 83 CE FF 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1609_0 {
	meta:
		name = "TStrings.InsertObject"
		size = 46
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B 4D FC 8B D3 8B C6 8B 38 FF 57 54 8B 4D 08 8B D3 8B C6 8B 18 FF 53 24 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1610_0 {
	meta:
		name = "TStrings.LoadFromFile"
		size = 83
		refs = "000c _DV_TFileStream 0013 TFileStream.Create 001e TStrings.LoadFromFile 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_1611_0 {
	meta:
		name = "TStrings.LoadFromStream"
		size = 171
		refs = "0016 TStrings.LoadFromStream 0024 TStrings.BeginUpdate 0039 TStream.GetSize 0042 TStream.GetPosition 0050 @LStrFromPCharLen 007c TStrings.EndUpdate 0082 @HandleFinally 0099 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 2B F0 8D 45 F8 8B CE 33 D2 E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B C3 8B 18 FF 53 04 8B 55 F8 8B 45 FC 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1612_0 {
	meta:
		name = "TStrings.Move"
		size = 175
		refs = "0019 TStrings.Move 002b TStrings.BeginUpdate 006a TStrings.InsertObject 007f TStrings.EndUpdate 0085 @HandleFinally 009c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F3 74 64 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D3 8B 45 FC 8B 38 FF 57 0C 8B D3 8B 45 FC 8B 08 FF 51 18 8B F8 8B D3 8B 45 FC 8B 08 FF 51 44 57 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1613_0 {
	meta:
		name = "TStrings.Put"
		size = 47
		refs = "0026 TStrings.InsertObject"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 18 8B F8 8B D6 8B C3 8B 08 FF 51 44 57 8B CD 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1615_0 {
	meta:
		name = "_NF__3B3"
		size = 175
		refs = "0015 _NF__3B3 0023 TReader.ReadListBegin 002b TStrings.BeginUpdate 004e TReader.ReadString 0061 TReader.EndOfList 007a TStrings.EndUpdate 0080 @HandleFinally 008a TReader.ReadListEnd 009f @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 EB 16 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 34 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_1616_0 {
	meta:
		name = "TStrings.SaveToFile"
		size = 86
		refs = "000f _DV_TFileStream 0016 TFileStream.Create 0021 TStrings.SaveToFile 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_1617_0 {
	meta:
		name = "TStrings.SaveToStream"
		size = 89
		refs = "000f TStrings.SaveToStream 0027 @LStrLen 0033 TStream.WriteBuffer 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 1C 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1619_0 {
	meta:
		name = "TStrings.SetCommaText"
		size = 287
		refs = "0019 TStrings.SetCommaText 0027 TStrings.BeginUpdate 0044 @LStrToPChar 0050 CharNext 006d AnsiExtractQuotedStr 0097 @LStrFromPCharLen 00f0 TStrings.EndUpdate 00f6 @HandleFinally 010d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 89 45 FC 8D 5D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 40 8B C6 E8 ?? ?? ?? ?? 89 03 EB 0A 8B 03 50 E8 ?? ?? ?? ?? 89 03 8B 03 8A 00 48 2C 20 72 ED EB 74 3C 22 75 0E 8D 4D F4 8B C3 B2 22 E8 ?? ?? ?? ?? EB 28 8B 33 EB 0A 8B 03 50 E8 ?? ?? ?? ?? 89 03 8B 03 8A 00 3C 20 76 04 3C 2C 75 EA 8B 0B 2B CE 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 34 EB 0A 8B 03 50 E8 ?? ?? ?? ?? 89 03 8B 03 8A 00 48 2C 20 72 ED 8B 03 80 38 2C 75 13 8B 03 50 E8 ?? ?? ?? ?? 89 03 8B 03 8A 00 48 2C 20 72 ED 8B 03 8A 00 84 C0 75 84 64 8F 05 00 00 00 00 83 C4 08 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1620_0 {
	meta:
		name = "TStrings.SetStringsAdapter"
		size = 49
		refs = "001a @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 08 00 74 08 8B 43 08 8B 10 FF 52 10 8D 43 08 8B D6 E8 ?? ?? ?? ?? 83 7B 08 00 74 0A 8B D3 8B 43 08 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_1621_0 {
	meta:
		name = "TStrings.SetText"
		size = 79
		refs = "000f TStrings.SetText 001f @LStrFromPChar 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1622_0 {
	meta:
		name = "TStrings.SetTextStr"
		size = 192
		refs = "0015 TStrings.SetTextStr 0023 TStrings.BeginUpdate 0061 @LStrFromPCharLen 0092 TStrings.EndUpdate 0098 @HandleFinally 00af @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 40 85 DB 74 40 EB 39 8B C3 EB 01 43 8A 13 84 D2 74 0A 80 EA 0A 74 05 80 EA 03 75 EF 8B CB 2B C8 8D 55 F8 92 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 34 80 3B 0D 75 01 43 80 3B 0A 75 01 43 80 3B 00 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1624_0 {
	meta:
		name = "TStrings.SetValue"
		size = 164
		refs = "0019 TStrings.SetValue 0028 TStrings.IndexOfName 0055 @LStrCatN 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 83 7D FC 00 74 33 85 DB 7D 0B 33 D2 8B C6 8B 08 FF 51 34 8B D8 57 68 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B C6 8B 18 FF 53 20 EB 0D 85 DB 7C 09 8B D3 8B C6 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_1625_0 {
	meta:
		name = "_NF__3D0"
		size = 132
		refs = "0018 _NF__3D0 0026 TWriter.WriteListBegin 0050 TWriter.WriteString 005c TWriter.WriteListEnd 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D F4 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 46 4B 75 E4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1626_0 {
	meta:
		name = "TStringList.Destroy"
		size = 87
		refs = "001e TStrings.Destroy 002f TStringItem 0035 @FinalizeArray 004e @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C0 89 46 1C 89 46 20 33 C0 89 46 24 89 46 28 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 8B 46 10 85 C0 74 10 8B 56 0C 8B C8 A1 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? 33 C0 89 46 10 33 D2 8B C6 8B 08 FF 51 28 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1627_0 {
	meta:
		name = "TStringList.Add"
		size = 151
		refs = "0016 TStringList.Add 004f SDuplicateString 0054 LoadResString 0060 TStrings.Error 006c _NF__3FB 0081 @LStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 18 00 75 08 8B 43 10 89 45 FC EB 36 8D 4D FC 8B D6 8B C3 8B 38 FF 57 78 84 C0 74 26 8A 43 19 2C 01 72 2B FE C8 74 02 EB 19 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 33 C9 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1628_0 {
	meta:
		name = "TStringList.Changed"
		size = 26
	strings:
		$1 = { 53 83 78 04 00 75 11 66 83 78 1E 00 74 0A 8B D8 8B D0 8B 43 20 FF 53 1C 5B C3 }
	condition:
		$1
}

rule function_1629_0 {
	meta:
		name = "TStringList.Changing"
		size = 26
	strings:
		$1 = { 53 83 78 04 00 75 11 66 83 78 26 00 74 0A 8B D8 8B D0 8B 43 28 FF 53 24 5B C3 }
	condition:
		$1
}

rule function_1630_0 {
	meta:
		name = "TStringList.Clear"
		size = 56
		refs = "0018 TStringItem 001d @FinalizeArray"
	strings:
		$1 = { 53 8B D8 83 7B 10 00 74 2D 8B C3 8B 10 FF 52 74 8B 43 0C 8B 4B 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 10 33 D2 8B C3 8B 08 FF 51 28 8B C3 8B 10 FF 52 70 5B C3 }
	condition:
		$1
}

rule function_1631_0 {
	meta:
		name = "TStringList.Delete"
		size = 159
		refs = "000f TStringList.Delete 0026 SListIndexError 002b LoadResString 0037 TStrings.Error 004a TStringItem 004f @Finalize 0072 Move 008e @LStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 74 8B 43 0C 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4B 10 8B 43 10 3B F0 7D 19 2B C6 8B C8 C1 E1 03 8B 43 0C 8D 14 F0 8B 43 0C 8D 44 F0 08 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1632_0 {
	meta:
		name = "TStringList.Exchange"
		size = 156
		refs = "0012 TStringList.Exchange 0029 SListIndexError 002e LoadResString 003a TStrings.Error 006e _NF__3E4 008a @LStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 85 FF 7C 05 3B 7B 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 74 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1633_0 {
	meta:
		name = "_NF__3E4"
		size = 35
	strings:
		$1 = { 53 8B 58 0C 8D 14 D3 8B 40 0C 8D 04 C8 8B 0A 8B 18 89 1A 89 08 8B 4A 04 8B 58 04 89 5A 04 89 48 04 5B C3 }
	condition:
		$1
}

rule function_1634_0 {
	meta:
		name = "TStringList.Find"
		size = 101
		refs = "002e AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B E8 C6 44 24 08 00 33 F6 8B 7D 10 4F 3B FE 7C 34 8D 1C 37 D1 EB 8B 45 0C 8B 04 D8 8B 14 24 E8 ?? ?? ?? ?? 85 C0 7D 05 8D 73 01 EB 14 8B FB 4F 85 C0 75 0D C6 44 24 08 01 80 7D 19 01 74 02 8B F3 3B FE 7D CC 8B 44 24 04 89 30 8A 44 24 08 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1635_0 {
	meta:
		name = "TStringList.Get"
		size = 110
		refs = "0012 TStringList.Get 0029 SListIndexError 002e LoadResString 003a TStrings.Error 0047 @LStrLAsg 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 53 0C 8B 14 F2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1637_0 {
	meta:
		name = "TStringList.GetCount"
		size = 4
	strings:
		$1 = { 8B 40 10 C3 }
	condition:
		$1
}

rule function_1638_0 {
	meta:
		name = "TStringList.GetObject"
		size = 102
		refs = "000f TStringList.GetObject 0026 SListIndexError 002b LoadResString 0037 TStrings.Error 0053 @LStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 8B 5C F0 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1639_0 {
	meta:
		name = "_NF__3F3"
		size = 51
	strings:
		$1 = { 56 8B 50 14 83 FA 40 7E 0E 8B F2 85 F6 79 03 83 C6 03 C1 FE 02 EB 11 83 FA 08 7E 07 BE 10 00 00 00 EB 05 BE 04 00 00 00 03 F2 8B D6 8B 08 FF 51 28 5E C3 }
	condition:
		$1
}

rule function_1640_0 {
	meta:
		name = "TStringList.IndexOf"
		size = 56
		refs = "0012 TStrings.IndexOf"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 80 7B 18 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? 89 04 24 EB 16 8B CC 8B D6 8B C3 8B 18 FF 53 78 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1641_0 {
	meta:
		name = "TStringList.Insert"
		size = 139
		refs = "0012 TStringList.Insert 0026 SSortedListError 002b LoadResString 0037 TStrings.Error 0048 SListIndexError 0064 _NF__3FB 0079 @LStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 18 00 74 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B C3 E8 ?? ?? ?? ?? 85 F6 7C 05 3B 73 10 7E 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1642_0 {
	meta:
		name = "_NF__3FB"
		size = 103
		refs = "001b _NF__3F3 003b Move 0055 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 74 8B 43 10 3B 43 14 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 10 3B F0 7D 19 2B C6 8B C8 C1 E1 03 8B 43 0C 8D 54 F0 08 8B 43 0C 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 0C 8D 04 F0 8B F0 33 C0 89 06 33 C0 89 46 04 8B C6 8B D7 E8 ?? ?? ?? ?? FF 43 10 8B C3 8B 10 FF 52 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1643_0 {
	meta:
		name = "TStringList.Put"
		size = 155
		refs = "0012 TStringList.Put 0026 SSortedListError 002b LoadResString 0037 TStrings.Error 0048 SListIndexError 006d @LStrAsg 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 18 00 74 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B C3 E8 ?? ?? ?? ?? 85 F6 7C 05 3B 73 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 74 8B 43 0C 8D 04 F0 8B D7 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1644_0 {
	meta:
		name = "TStringList.PutObject"
		size = 118
		refs = "0012 TStringList.PutObject 0029 SListIndexError 002e LoadResString 003a TStrings.Error 0064 @LStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 74 8B 43 0C 89 7C F0 04 8B C3 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1645_0 {
	meta:
		name = "_NF__404"
		size = 188
		refs = "001a _NF__404 003c @LStrLAsg 004d AnsiCompareText 0075 _NF__3E4 00a9 @LStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 75 F8 8D 45 F4 8B 55 FC 03 55 F8 D1 EA 8B 4F 0C 8B 14 D1 E8 ?? ?? ?? ?? EB 01 43 8B 47 0C 8B 04 D8 8B 55 F4 E8 ?? ?? ?? ?? 85 C0 7C ED EB 01 4E 8B 47 0C 8B 04 F0 8B 55 F4 E8 ?? ?? ?? ?? 85 C0 7F ED 3B F3 7C 0D 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 3B F3 7D C4 3B 75 FC 7E 0C 8B CE 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 89 5D FC 3B 5D F8 7C 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1646_0 {
	meta:
		name = "TStringList.SetCapacity"
		size = 25
		refs = "000f @ReallocMem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 C1 E2 03 8D 43 0C E8 ?? ?? ?? ?? 89 73 14 5E 5B C3 }
	condition:
		$1
}

rule function_1647_0 {
	meta:
		name = "TStringList.SetSorted"
		size = 28
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 18 74 0E 84 DB 74 07 8B C6 8B 10 FF 52 7C 88 5E 18 5E 5B C3 }
	condition:
		$1
}

rule function_1648_0 {
	meta:
		name = "TStringList.SetUpdateState"
		size = 16
	strings:
		$1 = { 84 D2 74 06 8B 10 FF 52 74 C3 8B 10 FF 52 70 C3 }
	condition:
		$1
}

rule function_1649_0 {
	meta:
		name = "TStringList.Sort"
		size = 44
		refs = "001f _NF__404"
	strings:
		$1 = { 53 8B D8 80 7B 18 00 75 21 83 7B 10 01 7E 1B 8B C3 8B 10 FF 52 74 8B 4B 10 49 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 5B C3 }
	condition:
		$1
}

rule function_1650_0 {
	meta:
		name = "TStream.GetPosition"
		size = 14
	strings:
		$1 = { 53 66 B9 01 00 33 D2 8B 18 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_1651_0 {
	meta:
		name = "TStream.SetPosition"
		size = 10
	strings:
		$1 = { 53 33 C9 8B 18 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_1652_0 {
	meta:
		name = "TStream.GetSize"
		size = 52
	strings:
		$1 = { 53 56 57 8B D8 66 B9 01 00 33 D2 8B C3 8B 30 FF 56 0C 8B F0 66 B9 02 00 33 D2 8B C3 8B 38 FF 57 0C 8B F8 33 C9 8B D6 8B C3 8B 18 FF 53 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1654_0 {
	meta:
		name = "TStream.ReadBuffer"
		size = 122
		refs = "0018 TStream.ReadBuffer 003a SReadError 003f LoadResString 0049 _DV_EReadError 004e Exception.Create 0053 @RaiseExcept 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 31 8B 55 FC 8B CB 8B C6 8B 30 FF 56 04 3B D8 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1655_0 {
	meta:
		name = "TStream.WriteBuffer"
		size = 122
		refs = "0018 TStream.WriteBuffer 003a SWriteError 003f LoadResString 0049 _DV_EWriteError 004e Exception.Create 0053 @RaiseExcept 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 31 8B 55 FC 8B CB 8B C6 8B 30 FF 56 08 3B D8 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1656_0 {
	meta:
		name = "TStream.CopyFrom"
		size = 180
		refs = "001b TStream.SetPosition 0023 TStream.GetSize 0044 @GetMem 004f TStream.CopyFrom 0074 TStream.ReadBuffer 0080 TStream.WriteBuffer 009e @FreeMem 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D9 89 55 F8 89 45 FC 85 DB 75 14 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 89 5D F4 81 FB 00 F0 00 00 7E 09 C7 45 F0 00 F0 00 00 EB 03 89 5D F0 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 2D 3B 5D F0 7E 05 8B 75 F0 EB 02 8B F3 8B 7D EC 8B D7 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 8B D7 8B CE 8B 45 FC E8 ?? ?? ?? ?? 2B DE 85 DB 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1657_0 {
	meta:
		name = "TStream.ReadComponent"
		size = 95
		refs = "0013 _DV_TReader 0018 TFiler.Create 0023 TStream.ReadComponent 0033 TReader.ReadRootComponent 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 68 00 10 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1658_0 {
	meta:
		name = "TStream.WriteComponent"
		size = 8
		refs = "0003 TStream.WriteDescendent"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14383_0 {
	meta:
		name = "@Write0Variant"
		size = 8
		refs = "0003 @WriteVariant"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6785_0 {
	meta:
		name = "EditChart"
		size = 8
		refs = "0003 EditChartPage"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7912_0 {
	meta:
		name = "TBitmap.SaveToStream"
		size = 8
		refs = "0003 _NF__5E9"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4601_0 {
	meta:
		name = "TClientDataSet.SetIndexName"
		size = 8
		refs = "0003 _NF__37E"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3798_0 {
	meta:
		name = "TCopyParser.SkipToken"
		size = 8
		refs = "0003 _NF__79"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5670_0 {
	meta:
		name = "TDatabase.SetDriverName"
		size = 8
		refs = "0003 _NF__5E2"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7986_0 {
	meta:
		name = "TInplaceEdit.UpdateLoc"
		size = 8
		refs = "0003 _NF__263"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5608_0 {
	meta:
		name = "TSession.OpenDatabase"
		size = 8
		refs = "0003 _NF__568"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8242_0 {
	meta:
		name = "TStringGrid.GetRows"
		size = 8
		refs = "0003 _NF__497"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5864_0 {
	meta:
		name = "TTable.SetIndexName"
		size = 8
		refs = "0003 _NF__7F0"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5902_0 {
	meta:
		name = "TTable.UnlockTable"
		size = 8
		refs = "0003 _NF__84E"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1821_0 {
	meta:
		name = "TWriter.WriteRootComponent"
		size = 8
		refs = "0003 TWriter.WriteDescendent"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17736_0 {
	meta:
		name = "ZeroMemory"
		size = 8
		refs = "0003 @FillChar"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1659_0 {
	meta:
		name = "TStream.WriteDescendent"
		size = 92
		refs = "0014 _DV_TWriter 0019 TFiler.Create 0024 TStream.WriteDescendent 0036 TWriter.WriteDescendent 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 68 00 10 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1660_0 {
	meta:
		name = "TStream.ReadComponentRes"
		size = 25
		refs = "0009 TStream.ReadResHeader 0012 TStream.ReadComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1861_0 {
	meta:
		name = "ObjectResourceToText"
		size = 25
		refs = "0009 TStream.ReadResHeader 0012 ObjectBinaryToText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5369_0 {
	meta:
		name = "TCustomDBGrid.WMSetFocus"
		size = 25
		refs = "0009 _NF__4F9 0012 TCustomGrid.WMSetFocus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4931_0 {
	meta:
		name = "TDBImage.WMLButtonDblClk"
		size = 25
		refs = "0009 TDBImage.LoadPicture 0012 TControl.WMLButtonDblClk"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5061_0 {
	meta:
		name = "TDBLookupComboBox.WMCancelMode"
		size = 25
		refs = "0009 _NF__69E 0012 TControl.WMCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5035_0 {
	meta:
		name = "TDBLookupListBox.WMCancelMode"
		size = 25
		refs = "0009 _NF__651 0012 TControl.WMCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5143_0 {
	meta:
		name = "_NF__2D6"
		size = 25
		refs = "0009 _NF__2D2 0012 TControl.WMCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1661_0 {
	meta:
		name = "TStream.WriteComponentRes"
		size = 8
		refs = "0003 TStream.WriteDescendentRes"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14680_0 {
	meta:
		name = "Beep"
		size = 8
		refs = "0003 MessageBeep"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7739_0 {
	meta:
		name = "GetDIBSizes"
		size = 8
		refs = "0003 _NF__42C"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11847_0 {
	meta:
		name = "TCustomOutline.Add"
		size = 8
		refs = "0003 TCustomOutline.AddObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11849_0 {
	meta:
		name = "TCustomOutline.AddChild"
		size = 8
		refs = "0003 TCustomOutline.AddChildObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11845_0 {
	meta:
		name = "TCustomOutline.Insert"
		size = 8
		refs = "0003 TCustomOutline.InsertObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4306_0 {
	meta:
		name = "TDataSet.InsertRecord"
		size = 8
		refs = "0003 _NF__6C5"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7419_0 {
	meta:
		name = "TScreen.GetWidth"
		size = 8
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2225_0 {
	meta:
		name = "TTreeNodes.Add"
		size = 8
		refs = "0003 TTreeNodes.AddObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2221_0 {
	meta:
		name = "TTreeNodes.AddChild"
		size = 8
		refs = "0003 TTreeNodes.AddChildObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2219_0 {
	meta:
		name = "TTreeNodes.AddChildFirst"
		size = 8
		refs = "0003 TTreeNodes.AddChildObjectFirst"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2223_0 {
	meta:
		name = "TTreeNodes.AddFirst"
		size = 8
		refs = "0003 TTreeNodes.AddObjectFirst"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2228_0 {
	meta:
		name = "TTreeNodes.Insert"
		size = 8
		refs = "0003 TTreeNodes.InsertObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1662_0 {
	meta:
		name = "TStream.WriteDescendentRes"
		size = 167
		refs = "0028 StrPLCopy 002d StrUpper 0032 StrLen 0052 TStream.WriteBuffer 0059 TStream.GetPosition 0068 TStream.WriteDescendent 0080 TStream.SetPosition"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 89 4D FC 8B F2 8B D8 8D 45 A8 C6 00 FF 8D 45 A9 66 C7 00 0A 00 8D 45 AB B9 3F 00 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 0A 8D 54 05 A2 66 C7 02 30 10 8D 54 05 A4 33 C9 89 0A 8D 55 A8 8B C8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 2B C6 89 45 F8 8B D6 83 EA 04 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 03 D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1663_0 {
	meta:
		name = "TStream.ReadResHeader"
		size = 177
		refs = "0013 TStream.ReadResHeader 0028 @FillChar 0055 StrLen 0071 SInvalidImage 0076 LoadResString 0080 _DV_EInvalidImage 0085 Exception.Create 008a @RaiseExcept 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 33 D2 89 55 AC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B0 33 C9 BA 50 00 00 00 E8 ?? ?? ?? ?? 8D 55 B0 B9 4F 00 00 00 8B C3 8B 30 FF 56 04 8B F0 8D 45 B0 80 38 FF 75 28 8D 45 B1 66 83 38 0A 75 1F 8D 45 B0 83 C0 03 E8 ?? ?? ?? ?? 8B D0 83 C2 0A 2B D6 66 B9 01 00 8B C3 8B 18 FF 53 0C EB 21 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1665_0 {
	meta:
		name = "THandleStream.Read"
		size = 16
		refs = "0004 FileRead"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? 83 F8 FF 75 02 33 C0 C3 }
	condition:
		$1
}

rule function_1666_0 {
	meta:
		name = "THandleStream.Write"
		size = 16
		refs = "0004 FileWrite"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? 83 F8 FF 75 02 33 C0 C3 }
	condition:
		$1
}

rule function_1667_0 {
	meta:
		name = "THandleStream.Seek"
		size = 12
		refs = "0007 FileSeek"
	strings:
		$1 = { 0F B7 C9 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1668_0 {
	meta:
		name = "THandleStream.SetSize"
		size = 30
		refs = "0012 SetEndOfFile 0017 Win32Check"
	strings:
		$1 = { 53 56 8B D8 33 C9 8B C3 8B 30 FF 56 0C 8B 43 04 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1669_0 {
	meta:
		name = "TFileStream.Create"
		size = 245
		refs = "0016 @ClassCreate 0028 TFileStream.Create 003f FileCreate 005d SFCreateError 0062 LoadResString 006c _DV_EFCreateError 0071 Exception.CreateFmt 0076 @RaiseExcept 0082 FileOpen 00a0 SFOpenError 00af _DV_EFOpenError 00ce @LStrClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C7 3D FF FF 00 00 75 40 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 04 85 FF 7D 71 89 75 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 41 0F B7 D7 8B C6 E8 ?? ?? ?? ?? 89 43 04 83 7B 04 00 7D 2E 89 75 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1670_0 {
	meta:
		name = "TFileStream.Destroy"
		size = 34
		refs = "000e FileClose 0019 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 85 C0 7C 05 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1671_0 {
	meta:
		name = "TCustomMemoryStream.SetPointer"
		size = 7
	strings:
		$1 = { 89 50 04 89 48 08 C3 }
	condition:
		$1
}

rule function_1672_0 {
	meta:
		name = "TCustomMemoryStream.Read"
		size = 56
		refs = "0027 Move"
	strings:
		$1 = { 53 56 57 8B D8 8B 7B 0C 85 FF 7C 24 85 C9 7C 20 8B 73 08 2B F7 85 F6 7E 17 3B CE 7D 02 8B F1 8B 43 04 03 C7 8B CE E8 ?? ?? ?? ?? 01 73 0C EB 02 33 F6 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1673_0 {
	meta:
		name = "TCustomMemoryStream.Seek"
		size = 35
	strings:
		$1 = { 66 83 E9 01 72 09 74 0C 66 FF C9 74 0C EB 10 89 50 0C EB 0B 01 50 0C EB 06 03 50 08 89 50 0C 8B 40 0C C3 }
	condition:
		$1
}

rule function_1674_0 {
	meta:
		name = "TCustomMemoryStream.SaveToStream"
		size = 22
		refs = "0010 TStream.WriteBuffer"
	strings:
		$1 = { 53 8B 48 08 85 C9 74 0C 8B 58 04 87 DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1675_0 {
	meta:
		name = "TCustomMemoryStream.SaveToFile"
		size = 86
		refs = "000f _DV_TFileStream 0016 TFileStream.Create 0021 TCustomMemoryStream.SaveToFile 0031 TCustomMemoryStream.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4132_0 {
	meta:
		name = "TBlobField.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TBlobField.SaveToFile 0031 TBlobField.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4536_0 {
	meta:
		name = "TClientDataSet.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TClientDataSet.SaveToFile 0031 TClientDataSet.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_11909_0 {
	meta:
		name = "TCustomOutline.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TCustomOutline.SaveToFile 0031 TCustomOutline.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2320_0 {
	meta:
		name = "TCustomTreeView.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TCustomTreeView.SaveToFile 0031 TCustomTreeView.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5249_0 {
	meta:
		name = "TDBGridColumns.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TDBGridColumns.SaveToFile 0031 TDBGridColumns.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_11167_0 {
	meta:
		name = "TOleContainer.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TOleContainer.SaveToFile 0031 TOleContainer.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1677_0 {
	meta:
		name = "TMemoryStream.Clear"
		size = 24
		refs = "0008 TMemoryStream.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 33 C0 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_1678_0 {
	meta:
		name = "TMemoryStream.LoadFromStream"
		size = 53
		refs = "000c TStream.SetPosition 0013 TStream.GetSize 002d TStream.ReadBuffer"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C6 8B 08 FF 11 85 DB 74 0C 8B 56 04 8B CB 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1679_0 {
	meta:
		name = "TMemoryStream.LoadFromFile"
		size = 83
		refs = "000c _DV_TFileStream 0013 TFileStream.Create 001e TMemoryStream.LoadFromFile 002e TMemoryStream.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4128_0 {
	meta:
		name = "TBlobField.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TBlobField.LoadFromFile 002e TBlobField.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4534_0 {
	meta:
		name = "TClientDataSet.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TClientDataSet.LoadFromFile 002e TClientDataSet.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_11901_0 {
	meta:
		name = "TCustomOutline.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TCustomOutline.LoadFromFile 002e TCustomOutline.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2318_0 {
	meta:
		name = "TCustomTreeView.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TCustomTreeView.LoadFromFile 002e TCustomTreeView.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5245_0 {
	meta:
		name = "TDBGridColumns.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TDBGridColumns.LoadFromFile 002e TDBGridColumns.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_11152_0 {
	meta:
		name = "TOleContainer.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TOleContainer.LoadFromFile 002e TOleContainer.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1680_0 {
	meta:
		name = "TMemoryStream.SetCapacity"
		size = 37
		refs = "0018 TCustomMemoryStream.SetPointer"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B D4 8B C3 8B 08 FF 51 10 8B D0 8B 4B 08 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 43 10 5A 5B C3 }
	condition:
		$1
}

rule function_1681_0 {
	meta:
		name = "TMemoryStream.SetSize"
		size = 41
		refs = "001e TMemoryStream.SetCapacity"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B 73 0C 7D 0D 66 B9 02 00 33 D2 8B C3 8B 38 FF 57 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1682_0 {
	meta:
		name = "TMemoryStream.Realloc"
		size = 190
		refs = "000c TMemoryStream.Realloc 0041 GlobalFreePtr 004e HeapAllocFlags 0058 GlobalAllocPtr 006e GlobalReAllocPtr 007c SMemoryStreamError 0081 LoadResString 008b _DV_EStreamError 0090 Exception.Create 0095 @RaiseExcept 00aa @LStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 3A 00 7E 10 8B 0A 81 C1 FF 1F 00 00 81 E1 00 E0 FF FF 89 0A 8B 70 04 8B DE 8B 3A 8B 48 10 3B F9 74 60 83 3A 00 75 0B 8B C6 E8 ?? ?? ?? ?? 33 DB EB 50 85 C9 75 13 A1 ?? ?? ?? ?? 0F B7 00 8B 12 E8 ?? ?? ?? ?? 8B D8 EB 14 8B 0D ?? ?? ?? ?? 0F B7 09 8B 12 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1683_0 {
	meta:
		name = "TMemoryStream.Write"
		size = 80
		refs = "002c TMemoryStream.SetCapacity 003e Move"
	strings:
		$1 = { 53 56 57 55 8B F1 8B EA 8B D8 8B 43 0C 85 C0 7C 38 85 F6 7C 34 8B F8 03 FE 85 FF 7E 2C 3B 7B 08 7E 11 3B 7B 10 7E 09 8B D7 8B C3 E8 ?? ?? ?? ?? 89 7B 08 8B 53 04 03 53 0C 8B C5 8B CE E8 ?? ?? ?? ?? 89 7B 0C 8B C6 EB 02 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1684_0 {
	meta:
		name = "TStringStream.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0024 @LStrAsg"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1685_0 {
	meta:
		name = "TStringStream.Read"
		size = 61
		refs = "000e @LStrLen 0021 UniqueString 002f Move"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B F0 2B 73 08 3B FE 7D 02 8B F7 8D 43 04 E8 ?? ?? ?? ?? 8B 53 08 03 C2 8B D5 8B CE E8 ?? ?? ?? ?? 01 73 08 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1686_0 {
	meta:
		name = "TStringStream.Write"
		size = 54
		refs = "0012 @LStrSetLength 001a UniqueString 0029 Move"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B F1 8B 53 08 03 D6 8D 43 04 E8 ?? ?? ?? ?? 8D 43 04 E8 ?? ?? ?? ?? 8B 53 08 8D 14 10 8B C7 8B CE E8 ?? ?? ?? ?? 01 73 08 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1687_0 {
	meta:
		name = "TStringStream.Seek"
		size = 87
		refs = "0023 @LStrLen"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 E9 01 72 09 74 0C 66 FF C9 74 0C EB 17 89 73 08 EB 12 01 73 08 EB 0D 8B 43 04 E8 ?? ?? ?? ?? 2B C6 89 43 08 8B 43 04 E8 ?? ?? ?? ?? 3B 43 08 7D 0D 8B 43 04 E8 ?? ?? ?? ?? 89 43 08 EB 0B 83 7B 08 00 7D 05 33 C0 89 43 08 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_1688_0 {
	meta:
		name = "TStringStream.ReadString"
		size = 60
		refs = "000e @LStrLen 0021 UniqueString 0030 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B F0 2B 73 08 3B FE 7D 02 8B F7 8D 43 04 E8 ?? ?? ?? ?? 8B 53 08 8D 14 10 8B C5 8B CE E8 ?? ?? ?? ?? 01 73 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1689_0 {
	meta:
		name = "TStringStream.WriteString"
		size = 34
		refs = "0009 @LStrLen 0011 @LStrToPChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 8B 18 FF 53 08 5E 5B C3 }
	condition:
		$1
}

rule function_1690_0 {
	meta:
		name = "TStringStream.SetSize"
		size = 27
		refs = "000c @LStrSetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 04 8B D6 E8 ?? ?? ?? ?? 3B 73 08 7D 03 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_1691_0 {
	meta:
		name = "TResourceStream.Create"
		size = 79
		refs = "000e @ClassCreate 001d TObject.Create 0029 @LStrToPChar 0034 _NF__4A9"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1692_0 {
	meta:
		name = "TResourceStream.CreateFromID"
		size = 72
		refs = "000e @ClassCreate 001d TObject.Create 002d _NF__4A9"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D 0C 8B D6 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1693_0 {
	meta:
		name = "_NF__4A8"
		size = 129
		refs = "0012 _NF__4A8 0024 SResNotFound 0029 LoadResString 0043 Format 004d _DV_EResNotFound 0052 Exception.Create 0057 @RaiseExcept 0071 @LStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 08 8B 52 FC 89 55 F0 C6 45 F4 06 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_1694_0 {
	meta:
		name = "_NF__4A9"
		size = 108
		refs = "0018 FindResource 0027 _NF__4A8 0032 LoadResource 004c SizeofResource 0056 LockResource 0060 TCustomMemoryStream.SetPointer"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 45 08 50 8B 45 FC 50 56 E8 ?? ?? ?? ?? 8B F8 89 7B 10 85 FF 75 07 55 E8 ?? ?? ?? ?? 59 8B 43 10 50 56 E8 ?? ?? ?? ?? 8B F8 89 7B 14 85 FF 75 07 55 E8 ?? ?? ?? ?? 59 8B 43 10 50 56 E8 ?? ?? ?? ?? 50 8B 43 14 50 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1695_0 {
	meta:
		name = "TResourceStream.Destroy"
		size = 51
		refs = "000a UnlockResource 0013 FreeResource 001f TObject.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 8B 46 14 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1696_0 {
	meta:
		name = "TResourceStream.Write"
		size = 88
		refs = "000a TResourceStream.Write 0018 SCantWriteResourceStreamError 001d LoadResString 0027 _DV_EStreamError 002c Exception.Create 0031 @RaiseExcept 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_1697_0 {
	meta:
		name = "TFiler.Create"
		size = 64
		refs = "000e @ClassCreate 001f @GetMem"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 75 08 89 4F 04 8B C6 E8 ?? ?? ?? ?? 89 47 08 89 77 0C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1698_0 {
	meta:
		name = "TFiler.Destroy"
		size = 37
		refs = "0011 @FreeMem 001c @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 08 85 C0 74 08 8B 56 0C E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1699_0 {
	meta:
		name = "_NF__4BC"
		size = 80
		refs = "000d @ClassCreate 002b @LStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8B 45 14 89 46 08 8B 45 10 89 46 0C 8D 46 10 8B 55 0C E8 ?? ?? ?? ?? 8D 46 14 8B 55 08 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_1700_0 {
	meta:
		name = "_NF__4BD"
		size = 56
		refs = "000f TList.IndexOf 0031 TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 1E 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 85 C0 7C 0D 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_1701_0 {
	meta:
		name = "_NF__4BE"
		size = 69
		refs = "000f TList.IndexOf 0020 TList.Delete 003e TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 83 F8 FF 74 0C 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 0D 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_1702_0 {
	meta:
		name = "GlobalFixupReferences"
		size = 392
		refs = "000b FindGlobalComponent 0017 _NV__4BB 0028 _DV_TList 002d TObject.Create 0038 GlobalFixupReferences 006e TList.Get 008a GetOrdProp 009c TComponent.FindComponent 00b2 CompareText 00c7 SetOrdProp 00d0 _NF__4BD 00dd TList.Delete 00e4 TObject.Free 00ef _NF__4BE 011a @HandleFinally 013e _DV_TComponent 0143 @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 83 3D ?? ?? ?? ?? 00 0F 84 5A 01 00 00 A1 ?? ?? ?? ?? 83 78 08 00 0F 8E 4B 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 E9 8F 00 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 43 10 FF 15 ?? ?? ?? ?? 8B F8 85 FF 75 0F 8B 53 0C 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 58 85 FF 74 35 8B 53 14 8B C7 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 14 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 03 89 7D F4 8B 53 0C 8B 43 04 8B 4D F4 E8 ?? ?? ?? ?? 55 8B 43 04 E8 ?? ?? ?? ?? 59 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 0B 55 8B 43 04 E8 ?? ?? ?? ?? 59 46 A1 ?? ?? ?? ?? 3B 70 08 0F 8C 63 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 58 08 4B 85 DB 7C 28 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 80 67 20 7F 46 4B 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 05 00 00 00 4F 57 4E 45 52 00 00 00 }
	condition:
		$1
}

rule function_1703_0 {
	meta:
		name = "_NF__4C0"
		size = 131
		refs = "0018 _NF__4C0 004c CompareText 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 23 43 33 F6 8D 4D F0 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 08 46 4B 75 E0 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1704_0 {
	meta:
		name = "GetFixupReferenceNames"
		size = 85
		refs = "000b _NV__4BB 0022 TList.Get 0038 _NF__4C0"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 38 46 33 ED 8B D5 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 FF 74 05 3B 7B 08 75 1A 8B 53 10 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 53 10 8B 04 24 8B 08 FF 51 34 45 4E 75 CB 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1705_0 {
	meta:
		name = "RedirectFixupReferences"
		size = 98
		refs = "0011 _NV__4BB 0028 TList.Get 003e CompareText 004e @LStrAsg 0057 GlobalFixupReferences"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B F8 A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 39 46 33 ED 8B D5 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 FF 74 05 3B 7B 08 75 1B 8B 53 10 8B 04 24 E8 ?? ?? ?? ?? 85 C0 75 0C 8D 43 10 8B 54 24 04 E8 ?? ?? ?? ?? 45 4E 75 CA E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1706_0 {
	meta:
		name = "RemoveFixupReferences"
		size = 93
		refs = "0009 _NV__4BB 001e TList.Get 0037 CompareText 0047 TList.Delete 004e TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 A1 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 7C 42 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 FF 74 05 3B 7E 08 75 25 85 ED 74 0E 8B 56 10 8B C5 E8 ?? ?? ?? ?? 85 C0 75 13 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 BE 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1707_0 {
	meta:
		name = "RemoveFixups"
		size = 68
		refs = "0007 _NV__4BB 001d TList.Get 002e TList.Delete 0035 TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B F8 BD ?? ?? ?? ?? 8B 45 00 8B 58 08 4B 83 FB 00 7C 28 8B D3 8B 45 00 E8 ?? ?? ?? ?? 8B F0 3B 7E 04 75 11 8B D3 8B 45 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1708_0 {
	meta:
		name = "GetFixupInstanceNames"
		size = 105
		refs = "0011 _NV__4BB 0028 TList.Get 003e CompareText 004c _NF__4C0"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 89 54 24 04 89 04 24 A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 45 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 43 08 3B 04 24 75 28 8B 53 10 8B 44 24 04 E8 ?? ?? ?? ?? 85 C0 75 18 8B 53 14 8B C5 E8 ?? ?? ?? ?? 84 C0 75 0A 8B 53 14 8B C5 8B 08 FF 51 34 47 4E 75 BE 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1712_0 {
	meta:
		name = "_NF__4D4"
		size = 22
		refs = "0002 GetEnumValue 000e _NF__4D2"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_1713_0 {
	meta:
		name = "TReader.Destroy"
		size = 54
		refs = "0021 TFiler.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 56 10 2B 56 14 66 B9 01 00 8B 46 04 8B 38 FF 57 0C 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1714_0 {
	meta:
		name = "TReader.BeginReferences"
		size = 97
		refs = "000a _DV_TList 000f TObject.Create 001d TReader.BeginReferences 0045 @HandleAnyException 0050 TObject.Free 0055 @RaiseAgain 005a @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 33 C0 5A 59 59 64 89 10 59 5D C3 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_1715_0 {
	meta:
		name = "_NF__4DA"
		size = 35
		refs = "0009 TReader.ReadValue 0017 _NF__542 001c _NF__4D2"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 0F FF 4E 10 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1716_0 {
	meta:
		name = "TReader.DefineProperty"
		size = 52
		refs = "000f CompareText 002a @LStrClr"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 53 60 8B C6 E8 ?? ?? ?? ?? 85 C0 75 17 66 83 7D 12 00 74 10 8B D3 8B 45 14 FF 55 10 8D 43 60 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_1717_0 {
	meta:
		name = "TReader.DefineBinaryProperty"
		size = 217
		refs = "0015 CompareText 0030 TReader.ReadValue 0042 _NF__542 004e _NF__4D2 0055 _DV_TMemoryStream 005a TObject.Create 0065 TReader.DefineBinaryProperty 007b TReader.Read 00bb TObject.Free 00c1 @HandleFinally 00ce @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8B 45 FC 8B 50 60 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 B1 00 00 00 66 83 7D 12 00 0F 84 A6 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3C 0A 74 1A 8B 45 FC FF 48 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 5C 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 11 8B 45 F8 8B 50 04 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 5C 01 8B 55 F8 8B 45 14 FF 55 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 C0 60 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_1718_0 {
	meta:
		name = "TReader.EndOfList"
		size = 20
		refs = "0006 TReader.ReadValue"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 FF 4B 10 5B C3 }
	condition:
		$1
}

rule function_1719_0 {
	meta:
		name = "TReader.EndReferences"
		size = 25
		refs = "0006 _NF__4F7 000e TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 30 E8 ?? ?? ?? ?? 33 C0 89 43 30 5B C3 }
	condition:
		$1
}

rule function_1720_0 {
	meta:
		name = "TReader.Error"
		size = 32
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 78 56 00 74 0D 54 8B D8 8B CA 8B D0 8B 43 58 FF 53 54 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_1721_0 {
	meta:
		name = "TReader.FindMethod"
		size = 102
		refs = "001b @LStrToString 0026 TObject.MethodAddress 0055 _NF__4D2"
	strings:
		$1 = { 53 56 57 81 C4 F8 FE FF FF 8B F1 8B FA 8B D8 8D 44 24 08 8B D6 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B 07 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 0F 94 44 24 04 66 83 7B 36 00 74 10 54 8D 44 24 08 50 8B CE 8B D3 8B 43 38 FF 53 34 80 7C 24 04 00 74 05 E8 ?? ?? ?? ?? 8B 04 24 81 C4 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1722_0 {
	meta:
		name = "_NF__4F2"
		size = 256
		refs = "0015 _NF__4F2 0055 TList.Get 0062 @LStrLAsg 007b TComponent.FindComponent 008e CompareText 00a5 SetOrdProp 00c0 _NF__4F7 00c6 @HandleFinally 00dd @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 2C 85 C0 0F 84 9F 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 78 08 4F 85 FF 7C 6C 47 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 2C 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B 53 14 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8B 45 FC 8B 40 18 8B 55 F4 E8 ?? ?? ?? ?? 8B F0 85 F6 75 17 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 06 8B 45 FC 8B 70 18 8B 53 0C 8B 43 04 8B CE E8 ?? ?? ?? ?? FF 45 F8 4F 75 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 4F 57 4E 45 52 00 00 00 }
	condition:
		$1
}

rule function_1723_0 {
	meta:
		name = "TReader.FixupReferences"
		size = 54
		refs = "0008 _NF__4F2 000d GlobalFixupReferences 0025 TList.Get"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 30 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 47 30 E8 ?? ?? ?? ?? 8B 10 FF 52 0C 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1724_0 {
	meta:
		name = "TReader.FlushBuffer"
		size = 32
		refs = "0006 TReader.GetPosition 0010 TStream.SetPosition"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 10 33 C0 89 43 14 5B C3 }
	condition:
		$1
}

rule function_1725_0 {
	meta:
		name = "_NF__4F7"
		size = 59
		refs = "001d TList.Get 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 2C 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 2C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 43 2C E8 ?? ?? ?? ?? 33 C0 89 43 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1726_0 {
	meta:
		name = "TReader.GetPosition"
		size = 21
		refs = "0007 TStream.GetPosition"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B 53 14 2B 53 10 2B C2 5B C3 }
	condition:
		$1
}

rule function_1727_0 {
	meta:
		name = "TReader.NextValue"
		size = 15
		refs = "0006 TReader.ReadValue"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? FF 4B 10 5B C3 }
	condition:
		$1
}

rule function_1729_0 {
	meta:
		name = "TReader.Read"
		size = 73
		refs = "0016 _NF__501"
	strings:
		$1 = { 56 57 53 89 D7 89 CB 89 C6 EB 36 8B 4E 14 2B 4E 10 77 0A 89 F0 E8 ?? ?? ?? ?? 8B 4E 14 39 D9 72 02 89 D9 56 29 CB 8B 46 08 03 46 10 01 4E 10 89 C6 89 CA C1 E9 02 FC F3 A5 89 D1 83 E1 03 F3 A4 5E 09 DB 75 C6 5B 5F 5E C3 }
	condition:
		$1
}

rule function_1730_0 {
	meta:
		name = "_NF__501"
		size = 118
		refs = "000d _NF__501 0032 SReadError 0037 LoadResString 0041 _DV_EReadError 0046 Exception.Create 004b @RaiseExcept 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 08 8B 4B 0C 8B 43 04 8B 30 FF 56 04 8B F0 89 73 14 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1731_0 {
	meta:
		name = "TReader.ReadBoolean"
		size = 17
		refs = "0006 TReader.ReadValue"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 09 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_1732_0 {
	meta:
		name = "TReader.ReadChar"
		size = 129
		refs = "0012 TReader.ReadChar 0021 _NF__4DA 0030 TReader.Read 0044 TReader.ReadStr 0049 _NF__4D2 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 06 8B C3 E8 ?? ?? ?? ?? 8D 55 FF B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8A 45 FF 3C 01 74 12 FF 4B 10 8D 55 F8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FF B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1733_0 {
	meta:
		name = "TReader.ReadCollection"
		size = 172
		refs = "000f TCollection.BeginUpdate 0017 TReader.ReadCollection 0024 TReader.EndOfList 0030 TCollection.Clear 0039 TReader.NextValue 0046 TReader.ReadInteger 004e TCollection.Add 0057 TReader.ReadListBegin 0062 _NF__523 0074 TReader.ReadListEnd 009b TCollection.EndUpdate 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4C 8B 45 FC E8 ?? ?? ?? ?? EB 42 8B C3 E8 ?? ?? ?? ?? 04 FE 2C 03 73 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 EC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 B3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1734_0 {
	meta:
		name = "_NF__509"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 45 08 F6 40 FF 01 75 09 8B 45 08 83 78 F8 00 74 04 33 C0 5D C3 B0 01 5D C3 }
	condition:
		$1
}

rule function_1735_0 {
	meta:
		name = "_NF__50A"
		size = 94
		refs = "000a ExceptObject 0010 _Dn_Exception 0015 @IsClass 0022 _NF__509 002e TObject.Free 003f _NF__54B"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 33 DB E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8B 45 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 07 8B 06 E8 ?? ?? ?? ?? 33 C0 89 06 8B 45 08 8B 40 F4 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 8B 40 F4 8B 08 FF 51 0C 8B D8 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1736_0 {
	meta:
		name = "_NF__50B"
		size = 120
		refs = "000a _NF__50B 0024 _NF__24A 0051 @HandleAnyException 0060 _NF__50A 006a @RaiseAgain 006f @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 EC 8B 45 08 8B 40 F4 8B 40 18 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F4 8B 4A 24 B2 01 FF 50 24 8B 55 08 89 42 F0 8B 45 08 8B 40 F0 80 48 20 01 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 08 50 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 59 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1737_0 {
	meta:
		name = "_NF__50C"
		size = 117
		refs = "000a _NF__50C 0028 @CallDynaInst 004e @HandleAnyException 005d _NF__50A 0067 @RaiseAgain 006c @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 8B 50 28 8B 45 08 8B 40 F0 66 BB F9 FF E8 ?? ?? ?? ?? 8B 45 08 8D 48 E8 8B 45 08 8B 50 F0 8B 45 08 8B 40 F4 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 08 50 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 59 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1738_0 {
	meta:
		name = "_NF__50D"
		size = 139
		refs = "000a _NF__50D 0024 _NF__24A 004c @CallDynaInst 0064 @HandleAnyException 0073 _NF__50A 007d @RaiseAgain 0082 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 EC 8B 45 08 8B 40 F4 8B 40 18 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 50 E8 8B 45 08 8B 40 F4 8B 18 FF 53 1C 8B 55 08 89 42 F0 8B 45 08 8B 40 F0 66 BB F3 FF E8 ?? ?? ?? ?? 8B 55 08 8B 52 F4 89 42 28 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 08 50 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 59 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1739_0 {
	meta:
		name = "TReader.ReadComponent"
		size = 378
		refs = "0019 TReader.ReadComponent 002d TReader.ReadPrefix 0038 TReader.ReadStr 0072 _NF__50D 007b _NF__50B 00a7 _NF__50C 00bb @TryFinallyExit 00f4 @CallDynaInst 0102 TList.Add 0111 @HandleAnyException 0117 _NF__509 0124 TObject.Free 0129 @RaiseAgain 012e @DoneExcept 014a @HandleFinally 0166 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D EC 89 4D E8 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E4 8D 55 FF 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 28 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 45 F0 83 7D F0 00 75 16 F6 45 FF 01 74 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 83 7D F0 00 0F 84 A8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 80 48 20 01 F6 45 FF 01 75 07 55 E8 ?? ?? ?? ?? 59 83 7D F0 00 75 12 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 8C 00 00 00 8B 45 F0 80 48 20 02 8B 55 F4 8B 45 F0 8B 08 FF 51 14 8B 45 F0 80 60 20 FD F6 45 FF 02 74 15 8B 45 F4 8B 40 28 8B 4D E4 8B 55 F0 66 BB FA FF E8 ?? ?? ?? ?? 8B 45 F4 8B 40 30 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 08 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 55 E0 89 50 28 C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1740_0 {
	meta:
		name = "_NF__511"
		size = 112
		refs = "0016 _DV_TList 001b TObject.Create 0029 _NF__511 0039 _NF__512 0041 _NF__4F2 0056 _NF__4F7 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 83 78 2C 00 75 4F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_1741_0 {
	meta:
		name = "_NF__512"
		size = 208
		refs = "0016 _NF__523 001e TReader.EndOfList 002a TReader.ReadListEnd 0047 @CallDynaInst 0055 _NF__512 008a TReader.ReadComponent 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 89 45 FC EB 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 EA 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 89 45 F8 8B 45 FC 8B 40 24 89 45 F4 8B C6 66 BB FB FF E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 66 BB FC FF E8 ?? ?? ?? ?? 8B F8 8B 45 FC 89 78 24 85 FF 75 18 8B 45 FC 8B 40 18 8B 55 FC 89 42 24 EB 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 EA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 28 8B 45 FC 8B 55 F4 89 50 24 C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1742_0 {
	meta:
		name = "TReader.ReadFloat"
		size = 63
		refs = "0009 TReader.ReadValue 001b TReader.Read 0027 TReader.ReadInteger"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 05 75 10 8B D4 B9 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 16 FF 4B 10 8B C3 E8 ?? ?? ?? ?? 89 44 24 0C DB 44 24 0C DB 3C 24 9B DB 2C 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_1743_0 {
	meta:
		name = "TReader.ReadIdent"
		size = 180
		refs = "000a TReader.ReadValue 002a TReader.Read 0038 @LStrFromPCharLen 003f UniqueString 0056 TReader.ReadIdent 005b @LStrLAsg 007e _NF__4D2"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 2C 07 74 0E FE C8 74 3D FE C8 74 47 2C 04 74 51 EB 5D 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 0C 24 8B C6 33 D2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8A 0C 24 8B C3 E8 ?? ?? ?? ?? EB 2F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 FF FF FF FF 03 00 00 00 6E 69 6C 00 }
	condition:
		$1
}

rule function_1744_0 {
	meta:
		name = "TReader.ReadInteger"
		size = 107
		refs = "0009 TReader.ReadValue 0027 TReader.Read 0060 _NF__4D2"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 2C 02 74 0A FE C8 74 20 FE C8 74 36 EB 44 8D 54 24 04 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F BE 44 24 04 89 04 24 EB 2F 8D 54 24 06 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F BF 44 24 06 89 04 24 EB 15 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_1747_0 {
	meta:
		name = "TReader.ReadPrefix"
		size = 64
		refs = "000a TReader.ReadPrefix 0013 TReader.NextValue 0020 TReader.ReadValue 0030 TReader.ReadInteger"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 A0 ?? ?? ?? ?? 88 06 8B C3 E8 ?? ?? ?? ?? 24 F0 3C F0 75 19 8B C3 E8 ?? ?? ?? ?? 24 0F 88 06 F6 06 02 74 09 8B C3 E8 ?? ?? ?? ?? 89 07 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1748_0 {
	meta:
		name = "_NF__521"
		size = 266
		refs = "001b _NF__521 0029 @LStrClr 0035 _DV_TComponent 003a @IsClass 004f @LStrLAsg 0068 TObject.ClassName 0076 @LStrFromString 00bd SPropertyException 00c2 LoadResString 00cf _DV_EReadError 00d4 Exception.CreateFmt 00d9 @RaiseExcept 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 53 33 D2 89 95 E0 FE FF FF 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8D 45 FC 8B 55 08 8B 52 FC 8B 52 08 E8 ?? ?? ?? ?? 83 7D FC 00 75 21 8D 95 FC FE FF FF 8B 45 08 8B 40 FC 8B 00 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 85 E4 FE FF FF C6 85 E8 FE FF FF 0B 8B 45 08 8B 40 F8 89 85 EC FE FF FF C6 85 F0 FE FF FF 0B 8B 43 04 89 85 F4 FE FF FF C6 85 F8 FE FF FF 0B 8D 85 E4 FE FF FF 50 6A 02 8D 95 E0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1749_0 {
	meta:
		name = "_NF__522"
		size = 83
		refs = "0009 _NF__522 001a _NF__542 0022 SInvalidPropertyPath 0027 LoadResString 002f _NF__4D1 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1750_0 {
	meta:
		name = "_NF__523"
		size = 466
		refs = "0018 _NF__523 0037 TReader.ReadStr 0052 @LStrLen 0089 @LStrCopy 0097 TObject.ClassInfo 00a2 GetPropInfo 00b0 _NF__4FC 00c8 GetOrdProp 00d4 _DV_TPersistent 00d9 @IsClass 00e3 _NF__522 0118 _NF__527 0153 @HandleOnException 015b _Dn_Exception 0165 _NF__521 016b @DoneExcept 01a5 @RaiseAgain 01bf @LStrClr 01c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F8 89 55 FC 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BB 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 45 F0 8B 45 F4 C6 40 5C 01 8B FB EB 01 43 3B F3 7C 0A 8B 45 F8 80 7C 18 FF 2E 75 F1 8B 45 F4 83 C0 60 50 8B CB 2B CF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 3B F3 7C 63 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 52 60 E8 ?? ?? ?? ?? 8B F8 85 FF 75 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 EC 8B 07 8B 00 80 38 07 75 0D 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 EC 89 45 F0 43 E9 71 FF FF FF 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 52 60 E8 ?? ?? ?? ?? 8B F8 85 FF 74 0F 8B CF 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 2A 8B 45 F4 C6 40 5C 00 8B 55 F4 8B 45 F0 8B 08 FF 51 04 8B 45 F4 C6 40 5C 01 8B 45 F4 83 78 60 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 35 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F4 80 78 5C 00 74 0F 8B 53 04 8B 45 F4 8B 08 FF 51 0C 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1751_0 {
	meta:
		name = "_NF__525"
		size = 105
		refs = "0013 _NV__230 002a TList.Get 0053 SetOrdProp 005e _NF__4D2"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 3E 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 00 8B 00 3B 43 04 75 1D 8D 55 F0 8B 45 F4 FF 53 08 84 C0 74 10 8B 4D F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 09 47 4E 75 C5 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1752_0 {
	meta:
		name = "_NF__526"
		size = 236
		refs = "0017 _NF__526 0025 @LStrClr 002f @LStrLAsg 003b @LStrPos 0054 @LStrCopy 0086 _NV__4B9 008b _NF__4BC 00a3 TList.Add 00ac _NV__4BB 00cb @LStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 26 8D 45 F8 50 8B CE 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 56 01 B9 FF FF FF 7F 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 18 50 8B 45 FC 50 8B 45 F8 50 8B 45 F4 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 7D F8 00 75 12 8B 45 08 8B 40 FC 8B 40 2C 8B D3 E8 ?? ?? ?? ?? EB 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_1753_0 {
	meta:
		name = "_NF__527"
		size = 585
		refs = "0019 _NF__527 002f SReadOnlyProperty 0034 LoadResString 003c _NF__4D1 008c TReader.NextValue 009b TReader.ReadIdent 00a8 _NF__525 00b5 TReader.ReadInteger 00c1 SetOrdProp 00ce TReader.ReadChar 00f6 _NF__4D4 010f TReader.ReadFloat 0120 SetFloatProp 0130 TReader.ReadString 013d SetStrProp 014c _NF__531 0177 TReader.ReadValue 019a GetOrdProp 01a4 TReader.ReadCollection 01bf _NF__526 01db _NV__524 01e5 SetMethodProp 0237 @LStrClr 023d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 83 7E 08 00 75 15 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 06 8B 30 33 C0 8A 06 83 F8 0B 0F 87 D5 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3C 07 75 1D 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E9 75 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E9 5C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8A C8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E9 41 01 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E9 1B 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E9 FD 00 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E9 E0 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E9 C5 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 2C 0D 74 06 FE C8 74 1B EB 37 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E9 9A 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 7C 55 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 59 EB 60 8B 45 FC E8 ?? ?? ?? ?? 3C 0D 75 19 8B 45 FC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? EB 3B 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC 8B 45 FC 8B 50 18 8B 45 FC 8B 30 FF 56 10 89 45 F0 8B 45 FC 8B 40 18 89 45 F4 83 7D F0 00 74 0D 8D 4D F0 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1754_0 {
	meta:
		name = "_NF__528"
		size = 112
		refs = "0012 @LStrClr 0018 FindGlobalComponent 0024 @LStrLAsg 0043 _NF__528 0048 Format"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B DA 8B F8 33 F6 8B C3 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 39 8B C3 8B D7 E8 ?? ?? ?? ?? EB 22 46 53 89 7D F0 C6 45 F4 0B 89 75 F8 C6 45 FC 00 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 FF 15 ?? ?? ?? ?? 85 C0 75 D2 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 05 00 00 00 25 73 5F 25 64 00 00 00 }
	condition:
		$1
}

rule function_1755_0 {
	meta:
		name = "TReader.ReadRootComponent"
		size = 545
		refs = "0019 TReader.ReadRootComponent 0027 TReader.ReadSignature 0048 TReader.ReadPrefix 0059 TReader.ReadStr 0061 FindClass 00c0 _NF__528 00da _NV__277 00f2 _DV_TList 00f7 TObject.Create 011c TList.Add 0181 TList.Get 01ad TObject.Free 01bb @HandleFinally 01c2 GlobalFixupReferences 01d1 @HandleAnyException 01db RemoveFixupReferences 01ee @RaiseAgain 01f3 @DoneExcept 020d @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C9 89 4D E8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8D 55 EF 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 75 35 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C9 B2 01 FF 50 24 89 45 F4 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 18 EB 48 8B 45 F8 89 45 F4 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 F6 40 20 10 74 0D 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? EB 21 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 18 8B 45 FC 8B 55 F4 89 50 18 83 3D ?? ?? ?? ?? 00 74 0E 8B 45 FC 8B 15 ?? ?? ?? ?? 89 50 30 EB 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 18 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 8B 55 FC 89 42 24 8B 45 FC 8B 40 18 80 48 20 01 8B 45 FC 8B 40 18 80 48 20 02 8B 45 FC 8B 40 18 8B 55 FC 8B 08 FF 51 14 8B 45 FC 8B 40 18 80 60 20 FD 83 3D ?? ?? ?? ?? 00 75 2F 8B 45 FC 8B 40 30 8B 58 08 4B 85 DB 7C 21 43 C7 45 F0 00 00 00 00 8B 45 FC 8B 40 30 8B 55 F0 E8 ?? ?? ?? ?? 8B 10 FF 52 0C FF 45 F0 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0B 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 30 C3 E9 ?? ?? ?? ?? EB DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 08 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1756_0 {
	meta:
		name = "TReader.ReadComponents"
		size = 137
		refs = "001d TReader.BeginReferences 0025 TReader.ReadComponents 0035 TReader.ReadSignature 003f TReader.ReadComponent 004f TReader.EndOfList 005b TReader.ReadListEnd 0063 TReader.FixupReferences 0078 TReader.EndReferences 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 89 50 18 8B 45 FC 89 50 24 8B 45 FC 89 48 28 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 1A 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 DA 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1757_0 {
	meta:
		name = "_NF__531"
		size = 184
		refs = "0016 _NF__531 0032 TReader.ReadValue 003b _NF__4D2 0042 GetTypeData 0054 TReader.ReadStr 0064 _NF__4D4 007d @HandleAnyException 0085 _NF__53D 008a @RaiseAgain 008f @DoneExcept 00a4 @LStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 3C 0B 74 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 01 8B 30 33 DB 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 14 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 83 F8 1F 77 E0 0F AB C3 EB DB 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1758_0 {
	meta:
		name = "TReader.ReadSignature"
		size = 103
		refs = "000f TReader.ReadSignature 0022 TReader.Read 002b _NV__22D 0035 SInvalidImage 003a LoadResString 0042 _NF__4D1 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 3B 05 ?? ?? ?? ?? 74 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_1759_0 {
	meta:
		name = "TReader.ReadStr"
		size = 60
		refs = "0011 TReader.Read 001f @LStrFromPCharLen 0026 UniqueString"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 0C 24 8B C6 33 D2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1760_0 {
	meta:
		name = "TReader.ReadString"
		size = 94
		refs = "000f TReader.ReadValue 0027 TReader.Read 003e _NF__4D2 004a @LStrFromPCharLen"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 8B C3 E8 ?? ?? ?? ?? 2C 06 74 06 2C 06 74 12 EB 20 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 15 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B C6 8B 0C 24 33 D2 E8 ?? ?? ?? ?? 8B 16 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1761_0 {
	meta:
		name = "TReader.ReadValue"
		size = 18
		refs = "0009 TReader.Read"
	strings:
		$1 = { 51 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 8A 04 24 5A C3 }
	condition:
		$1
}

rule function_1762_0 {
	meta:
		name = "TReader.SetPosition"
		size = 23
		refs = "0007 TStream.SetPosition"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 10 33 C0 89 43 14 5B C3 }
	condition:
		$1
}

rule function_1763_0 {
	meta:
		name = "_NF__53D"
		size = 71
		refs = "000c _NF__53D 001c TReader.ReadStr 0037 @LStrClr 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1764_0 {
	meta:
		name = "_NF__53E"
		size = 40
		refs = "000f _NF__542 0016 TReader.EndOfList 0021 TReader.ReadListEnd"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC EB 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EE 8B 03 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_1765_0 {
	meta:
		name = "_NF__53F"
		size = 84
		refs = "002a TReader.Read"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 8B D8 85 DB 7E 3F 81 FB 00 01 00 00 7E 1E 8D 95 00 FF FF FF 8B 45 08 8B 40 FC B9 00 01 00 00 E8 ?? ?? ?? ?? 81 EB 00 01 00 00 EB 15 8D 95 00 FF FF FF 8B 45 08 8B 40 FC 8B CB E8 ?? ?? ?? ?? 33 DB 85 DB 7F C1 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1766_0 {
	meta:
		name = "_NF__540"
		size = 39
		refs = "0013 TReader.Read 001f _NF__53F"
	strings:
		$1 = { 55 8B EC 51 8D 55 FC 8B 45 08 8B 40 FC B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_1767_0 {
	meta:
		name = "_NF__541"
		size = 95
		refs = "000f TReader.NextValue 001c _NF__542 002a _NF__53F 0034 _NF__54A 003b TReader.EndOfList 0046 TReader.ReadListEnd"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC EB 3E 8B 03 E8 ?? ?? ?? ?? 04 FE 2C 03 73 07 8B 03 E8 ?? ?? ?? ?? 8B 45 08 50 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EE 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 B7 8B 03 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_1768_0 {
	meta:
		name = "_NF__542"
		size = 254
		refs = "0012 _NF__542 0020 TReader.ReadValue 0077 _NF__53E 0085 _NF__53F 00bd TReader.ReadStr 00c5 _NF__540 00d0 _NF__53D 00d8 _NF__541 00ee @LStrClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 83 F8 0E 0F 87 AD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? EB 68 55 E8 ?? ?? ?? ?? 59 EB 5F 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 51 55 B8 02 00 00 00 E8 ?? ?? ?? ?? 59 EB 43 55 B8 04 00 00 00 E8 ?? ?? ?? ?? 59 EB 35 55 B8 0A 00 00 00 E8 ?? ?? ?? ?? 59 EB 27 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 1A 55 E8 ?? ?? ?? ?? 59 EB 11 8B 45 FC E8 ?? ?? ?? ?? EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_1769_0 {
	meta:
		name = "_NF__543"
		size = 109
		refs = "0009 _NF__543 001a TReader.ReadValue 0027 TWriter.WriteValue 0035 TReader.ReadStr 0043 TWriter.WriteStr 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1770_0 {
	meta:
		name = "_NF__544"
		size = 73
		refs = "0014 TReader.ReadValue 001d TWriter.WriteValue 0028 TReader.CopyValue 002f TReader.EndOfList 003a TReader.ReadListEnd 0041 TWriter.WriteListEnd"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 83 C3 F8 8B 75 08 83 C6 FC 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? EB 09 8B 16 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EC 8B 03 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1771_0 {
	meta:
		name = "_NF__545"
		size = 141
		refs = "0036 TReader.Read 004c TWriter.Write"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 04 53 8B D8 81 FB 00 20 00 00 7E 3A 8D 95 00 E0 FF FF 8B 45 08 8B 40 F8 B9 00 20 00 00 E8 ?? ?? ?? ?? 8D 95 00 E0 FF FF 8B 45 08 8B 40 FC B9 00 20 00 00 E8 ?? ?? ?? ?? 81 EB 00 20 00 00 81 FB 00 20 00 00 7F C6 85 DB 7E 26 8D 95 00 E0 FF FF 8B 45 08 8B 40 F8 8B CB E8 ?? ?? ?? ?? 8D 95 00 E0 FF FF 8B 45 08 8B 40 FC 8B CB E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1772_0 {
	meta:
		name = "_NF__546"
		size = 82
		refs = "000b TReader.ReadValue 0018 TWriter.WriteValue 002b TReader.Read 003e TWriter.Write 004a _NF__545"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 F8 B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 FC B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_1773_0 {
	meta:
		name = "TReader.CopyValue"
		size = 289
		refs = "0015 TReader.CopyValue 0023 TReader.NextValue 007a TReader.ReadValue 0084 TWriter.WriteValue 008c _NF__544 0097 TReader.ReadInteger 00a1 TWriter.WriteInteger 00ab TReader.ReadFloat 00ba TWriter.WriteFloat 00c7 TReader.ReadStr 00d2 TWriter.WriteStr 00df TReader.ReadIdent 00ea TWriter.WriteIdent 00f2 _NF__546 00fb _NF__543 0111 @LStrClr 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 0E 0F 87 CD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 76 55 E8 ?? ?? ?? ?? 59 EB 6D 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 59 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 FC E8 ?? ?? ?? ?? EB 40 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 28 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_1774_0 {
	meta:
		name = "_NF__54A"
		size = 72
		refs = "000c _NF__54A 001c TReader.ReadStr 0023 _NF__542 0038 @LStrClr 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1775_0 {
	meta:
		name = "_NF__54B"
		size = 155
		refs = "0012 _NF__54B 0029 TReader.ReadPrefix 0033 TReader.ReadStr 0046 _NF__54A 004d TReader.EndOfList 0058 TReader.ReadListEnd 008a @LStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 D2 74 2A 8D 4D F8 8D 55 FF 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 EE 8B C3 E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1776_0 {
	meta:
		name = "TReader.FindAncestorComponent"
		size = 192
		refs = "001b TReader.FindAncestorComponent 002b @LStrLAsg 0036 TComponent.FindComponent 0074 SAncestorNotFound 0079 LoadResString 0083 _DV_EReadError 0088 Exception.CreateFmt 008d @RaiseExcept 00a2 @LStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 18 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 4E 66 83 7B 4E 00 74 10 57 8D 45 FC 50 8B 4D F8 8B D3 8B 43 50 FF 53 4C 83 7D FC 00 75 31 8B 45 F8 89 45 F0 C6 45 F4 0B 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1777_0 {
	meta:
		name = "TReader.ReferenceName"
		size = 22
	strings:
		$1 = { 53 66 83 78 46 00 74 0C 8B CA 8B D8 8B D0 8B 43 48 FF 53 44 5B C3 }
	condition:
		$1
}

rule function_1778_0 {
	meta:
		name = "TReader.SetName"
		size = 40
	strings:
		$1 = { 53 56 57 8B F1 8B DA 66 83 78 3E 00 74 0D 56 8B F8 8B CB 8B D0 8B 47 40 FF 57 3C 8B 16 8B C3 8B 08 FF 51 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1780_0 {
	meta:
		name = "_NF__55A"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1781_0 {
	meta:
		name = "TWriter.DefineProperty"
		size = 37
		refs = "0014 _NF__5AD"
	strings:
		$1 = { 55 8B EC 53 8B D8 84 C9 74 16 66 83 7D 0A 00 74 0F 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 45 0C FF 55 08 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_1782_0 {
	meta:
		name = "TWriter.DefineBinaryProperty"
		size = 42
		refs = "0014 _NF__5AD 0021 TWriter.WriteBinary"
	strings:
		$1 = { 55 8B EC 53 8B D8 84 C9 74 1B 66 83 7D 0A 00 74 14 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_1783_0 {
	meta:
		name = "TWriter.GetPosition"
		size = 16
		refs = "0007 TStream.GetPosition"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 43 10 5B C3 }
	condition:
		$1
}

rule function_1785_0 {
	meta:
		name = "TWriter.SetPosition"
		size = 55
		refs = "000a TStream.GetPosition 001e _NF__575 0028 TStream.SetPosition"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B C6 7F 09 8B 53 10 03 D0 3B F2 7E 14 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 2B F0 89 73 10 5E 5B C3 }
	condition:
		$1
}

rule function_1786_0 {
	meta:
		name = "TWriter.Write"
		size = 73
		refs = "0016 _NF__575"
	strings:
		$1 = { 56 57 53 89 D6 89 CB 89 C7 EB 36 8B 4F 0C 2B 4F 10 77 0A 89 F8 E8 ?? ?? ?? ?? 8B 4F 0C 39 D9 72 02 89 D9 29 CB 57 8B 47 08 03 47 10 01 4F 10 89 C7 89 CA C1 E9 02 FC F3 A5 89 D1 83 E1 03 F3 A4 5F 09 DB 75 C6 5B 5F 5E C3 }
	condition:
		$1
}

rule function_1787_0 {
	meta:
		name = "TWriter.WriteBinary"
		size = 134
		refs = "000c _DV_TMemoryStream 0011 TObject.Create 001c TWriter.WriteBinary 0034 TWriter.WriteValue 003c TStream.GetSize 004e TWriter.Write 0073 TObject.Free 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 0C FF 55 08 B2 0A 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1788_0 {
	meta:
		name = "_NF__575"
		size = 24
		refs = "000d TStream.WriteBuffer"
	strings:
		$1 = { 53 8B D8 8B 53 08 8B 4B 10 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_1789_0 {
	meta:
		name = "TWriter.WriteBoolean"
		size = 20
		refs = "0007 TWriter.WriteValue"
	strings:
		$1 = { 84 D2 74 08 B2 09 E8 ?? ?? ?? ?? C3 B2 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1790_0 {
	meta:
		name = "TWriter.WriteChar"
		size = 79
		refs = "000f TWriter.WriteChar 001f @LStrFromChar 0029 TWriter.WriteString 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1791_0 {
	meta:
		name = "TWriter.WriteCollection"
		size = 82
		refs = "000d TWriter.WriteValue 0014 TCollection.GetCount 0025 TWriter.WriteListBegin 002e TCollection.GetItem 0037 _NF__59B 003e TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 B2 0E 8B C3 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 27 46 33 FF 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 47 4E 75 DC 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1792_0 {
	meta:
		name = "_NF__57F"
		size = 77
		refs = "002a TList.Get 0037 CompareText"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 08 8B 40 FC 8B 40 2C 8B 58 08 4B 85 DB 7C 28 43 33 FF 8B 45 08 8B 40 FC 8B 40 2C 8B D7 E8 ?? ?? ?? ?? 8B F0 8B 55 FC 8B 46 08 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 DB 33 F6 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1793_0 {
	meta:
		name = "TWriter.WriteComponent"
		size = 57
		refs = "001c _NF__57F"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 80 4B 20 04 8B 45 FC 83 78 2C 00 74 10 55 8B 43 08 E8 ?? ?? ?? ?? 59 8B 55 FC 89 42 1C 8B 55 FC 8B C3 8B 08 FF 51 20 80 63 20 FB 5B 59 5D C3 }
	condition:
		$1
}

rule function_1794_0 {
	meta:
		name = "TWriter.WriteData"
		size = 724
		refs = "001c TWriter.WriteData 0032 TObject.ClassName 0045 @LStrLen 0066 _NF__575 006e TWriter.GetPosition 00b5 TList.Get 00d2 TWriter.WritePrefix 00f3 @LStrFromString 0101 TWriter.WriteStr 014f _NF__59B 0157 TWriter.WriteListEnd 01c5 _DV_TComponent 01ca @IsClass 01d5 _DV_TList 01da TObject.Create 01e9 _NF__55A 01fe @CallDynaInst 0207 TWriter.WriteComponent 0231 TObject.Free 0237 @HandleFinally 02a3 TWriter.SetPosition 02bb @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 DC FE FF FF 53 33 C9 89 8D DC FE FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 E0 FE FF FF 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 33 DB 8A 9D E0 FE FF FF 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 03 D8 43 83 C3 05 83 C3 03 8B 45 FC 8B 40 0C 8B 55 FC 2B 42 10 3B D8 7E 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 A0 ?? ?? ?? ?? 88 45 E3 8B 45 FC 83 78 1C 00 74 04 80 4D E3 01 8B 45 FC 8B 58 2C 85 DB 74 31 8B 45 FC 8B 40 30 3B 43 08 7D 26 8B 45 FC 83 78 1C 00 74 19 8B 45 FC 8B 50 30 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 8B 55 FC 3B 42 1C 74 04 80 4D E3 02 8B 45 FC 8B 48 34 8A 55 E3 8B 45 FC E8 ?? ?? ?? ?? 8D 95 E0 FE FF FF 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8D 95 E0 FE FF FF 8D 85 DC FE FF FF E8 ?? ?? ?? ?? 8B 95 DC FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 50 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 40 2C 85 C0 74 20 8B 55 FC 8B 52 30 3B 50 08 7D 15 8B 45 FC 83 78 1C 00 74 06 8B 45 FC FF 40 30 8B 45 FC FF 40 34 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 2C 89 45 EC 8B 45 FC 8B 40 30 89 45 E8 8B 45 FC 8B 40 34 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 89 50 2C 8B 45 FC 33 D2 89 50 30 8B 45 FC 33 D2 89 50 34 8B 45 FC 80 78 20 00 0F 85 94 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 1C 85 DB 74 41 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 50 24 8B 45 FC 8B 40 1C 66 BB FD FF E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 50 18 8B 45 F8 66 BB FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 EC 89 50 2C 8B 45 FC 8B 55 E8 89 50 30 8B 45 FC 8B 55 E4 89 50 34 C3 E9 ?? ?? ?? ?? EB DD 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 3B 45 F8 74 27 A0 ?? ?? ?? ?? 3A 45 E3 75 1D 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 83 C2 02 3B C2 75 0B 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 DC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_1795_0 {
	meta:
		name = "TWriter.WriteDescendent"
		size = 34
		refs = "0012 TWriter.WriteSignature 001b TWriter.WriteComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 4B 24 89 4B 1C 89 73 18 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1796_0 {
	meta:
		name = "TWriter.WriteFloat"
		size = 35
		refs = "000b TWriter.WriteValue 001a TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B D8 B2 05 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B9 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_1797_0 {
	meta:
		name = "TWriter.WriteIdent"
		size = 156
		refs = "0007 TWriter.WriteIdent 000e CompareText 001b TWriter.WriteValue 0066 TWriter.WriteStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0C B2 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0B B2 09 8B C3 E8 ?? ?? ?? ?? EB 2D BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0B B2 0D 8B C3 E8 ?? ?? ?? ?? EB 12 B2 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 FF FF FF FF 03 00 00 00 6E 69 6C 00 }
	condition:
		$1
}

rule function_1798_0 {
	meta:
		name = "TWriter.WriteInteger"
		size = 114
		refs = "0018 TWriter.WriteValue 0026 TWriter.Write"
	strings:
		$1 = { 53 51 89 14 24 8B D8 83 3C 24 80 7C 20 83 3C 24 7F 7F 1A B2 02 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 81 3C 24 00 80 FF FF 7C 22 81 3C 24 FF 7F 00 00 7F 19 B2 03 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 17 B2 04 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_1801_0 {
	meta:
		name = "TWriter.WritePrefix"
		size = 68
		refs = "000b TWriter.WritePrefix 0029 TWriter.Write 0038 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 51 8B F1 88 14 24 8B D8 A0 ?? ?? ?? ?? 3A 04 24 74 28 8A 04 24 0C F0 88 44 24 01 8D 54 24 01 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? F6 04 24 02 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_1802_0 {
	meta:
		name = "_NF__59B"
		size = 194
		refs = "0015 TObject.ClassInfo 001a GetTypeData 0036 @GetMem 0041 _NF__59B 0059 GetPropInfos 0074 IsStoredProp 0085 _NF__5AC 00a4 @FreeMem 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 F8 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF 40 08 89 45 F4 83 7D F4 00 0F 8E 81 00 00 00 8B 45 F4 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 75 F4 4E 85 F6 7C 28 46 33 FF 8B 45 F0 8B 1C B8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0D 8B CB 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 C1 E2 02 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 55 FC 8B 45 F8 8B 08 FF 51 04 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1803_0 {
	meta:
		name = "_NF__59C"
		size = 74
		refs = "0017 TObject.ClassType"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 1C 00 74 30 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 3B D8 74 16 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 3B 42 18 74 05 33 C0 5B 5D C3 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_1804_0 {
	meta:
		name = "_NF__59D"
		size = 82
		refs = "0009 _NF__59D 0020 @LStrFromString 002e _NF__5AD 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 8B 52 F4 83 C2 1A E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1805_0 {
	meta:
		name = "_NF__59E"
		size = 147
		refs = "000e _NF__59E 001f GetTypeData 0031 TWriter.WriteValue 004b GetEnumName 0059 TWriter.WriteStr 0081 @LStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 40 01 8B 38 8B 45 08 8B 40 FC B2 0B E8 ?? ?? ?? ?? 33 DB 8B C3 83 F8 1F 77 03 0F A3 C6 73 1A 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 43 83 FB 20 75 D4 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1806_0 {
	meta:
		name = "_NF__59F"
		size = 155
		refs = "0018 _NF__59F 0023 _NV__230 003a TList.Get 005f TWriter.WriteIdent 0073 TWriter.WriteInteger 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 3A 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 3B 43 04 75 1D 8D 55 F4 8B 45 F8 FF 53 0C 84 C0 74 14 8B 45 08 8B 40 FC 8B 55 F4 E8 ?? ?? ?? ?? EB 12 47 4E 75 C9 8B 45 08 8B 40 FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1807_0 {
	meta:
		name = "_NF__5A0"
		size = 161
		refs = "000c _NF__5A0 001b _NF__59D 002d @LStrLAsg 0049 @LStrClr 0056 TWriter.WriteCollection 0074 @LStrAsg 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 E8 ?? ?? ?? ?? 59 8D 45 FC 8B 55 08 8B 52 FC 8B 52 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 83 C0 28 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 83 C0 28 8B 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1808_0 {
	meta:
		name = "_NF__5A1"
		size = 80
		refs = "000b _NF__59C 002a GetOrdProp"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 25 8B 45 08 8B 40 08 8B 50 F4 8B 45 08 8B 40 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 55 08 3B 42 FC 0F 94 C0 5D C3 8B 45 08 8B 40 FC 8B 55 08 8B 52 08 8B 52 F4 3B 42 14 0F 94 C0 5D C3 }
	condition:
		$1
}

rule function_1809_0 {
	meta:
		name = "_NF__5A2"
		size = 212
		refs = "000f _NF__5A2 0026 GetOrdProp 002f _NF__5A1 003d _NF__59D 006e _NF__59F 007f TWriter.WriteChar 008d _NF__59E 00a1 GetEnumName 00af TWriter.WriteIdent 00c4 @LStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 89 45 FC 55 E8 ?? ?? ?? ?? 59 84 C0 75 7B 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F0 8A 00 FE C8 74 0E FE C8 74 23 FE C8 74 3E 2C 03 74 2B EB 57 8B 45 08 50 8B 45 08 8B 40 F4 8B 00 8B 00 8B 55 FC E8 ?? ?? ?? ?? 59 EB 3E 8B 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB 2E 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 EB 1F 8D 4D F8 8B 45 08 8B 40 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_1810_0 {
	meta:
		name = "_NF__5A3"
		size = 88
		refs = "000b _NF__59C 002a GetFloatProp 0046 _NF__5A3"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 2A 8B 45 08 8B 40 08 8B 50 F4 8B 45 08 8B 40 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 08 DB 68 F6 DE D9 DF E0 9E 0F 94 C0 5D C3 8B 45 08 DB 68 F6 D8 1D ?? ?? ?? ?? DF E0 9E 0F 94 C0 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1811_0 {
	meta:
		name = "_NF__5A4"
		size = 74
		refs = "0013 GetFloatProp 001d _NF__5A3 002b _NF__59D 0042 TWriter.WriteFloat"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? DB 7D F6 9B 55 E8 ?? ?? ?? ?? 59 84 C0 75 20 8B 45 08 50 E8 ?? ?? ?? ?? 59 66 8B 45 FE 50 FF 75 FA FF 75 F6 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_1812_0 {
	meta:
		name = "_NF__5A5"
		size = 130
		refs = "000a _NF__5A5 001c _NF__59C 003e GetStrProp 004c @LStrCmp 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 30 8D 4D FC 8B 45 08 8B 40 08 8B 50 F4 8B 45 08 8B 40 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 0F 94 C3 EB 0A 8B 45 08 83 78 FC 00 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_1813_0 {
	meta:
		name = "_NF__5A6"
		size = 106
		refs = "0009 _NF__5A6 0023 GetStrProp 0029 _NF__5A5 0037 _NF__59D 0046 TWriter.WriteString 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 75 18 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1814_0 {
	meta:
		name = "_NF__5A7"
		size = 143
		refs = "000e _NF__59C 002d GetOrdProp 0075 CompareText"
	strings:
		$1 = { 55 8B EC 53 33 DB 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 6C 8B 45 08 8B 40 08 8B 50 F4 8B 45 08 8B 40 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B D8 85 DB 74 4C 8B 43 04 8B 55 08 8B 52 08 8B 52 FC 3B 42 24 75 3B 8B 45 08 83 78 FC 00 74 32 8B 45 08 8B 40 FC 8B 40 04 8B 55 08 8B 52 08 8B 52 FC 3B 42 18 75 1B 8B 45 08 8B 40 FC 8B 50 08 8B 43 08 E8 ?? ?? ?? ?? 85 C0 75 06 8B 45 08 8B 58 FC 8B 45 08 3B 58 FC 0F 94 C0 5B 5D C3 }
	condition:
		$1
}

rule function_1815_0 {
	meta:
		name = "_NF__5A8"
		size = 160
		refs = "0023 @LStrLAsg 0036 _NF__5A8 0058 @LStrCatN 0069 @LStrCat3"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B 45 08 8B 40 08 8B 40 FC 8B 40 18 8B 7B 04 3B C7 75 0C 8B C6 8B 53 08 E8 ?? ?? ?? ?? EB 44 8B 55 08 8B 52 08 3B C3 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2C 85 FF 74 19 FF 77 08 68 ?? ?? ?? ?? FF 73 08 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0F 8B C6 B9 ?? ?? ?? ?? 8B 53 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 00 00 FF FF FF FF 05 00 00 00 4F 77 6E 65 72 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 06 00 00 00 2E 4F 77 6E 65 72 00 00 }
	condition:
		$1
}

rule function_1816_0 {
	meta:
		name = "_NF__5A9"
		size = 548
		refs = "000e _NF__5A9 0025 GetOrdProp 0034 _NF__5A7 0042 _NF__59D 0050 TWriter.WriteValue 005e _DV_TPersistent 0063 @IsClass 0074 _DV_TComponent 0098 _NF__5A8 00a4 @LStrLAsg 00c6 TWriter.WriteIdent 00d4 _DV_TCollection 00e6 _NF__59C 0109 CollectionsEqual 011d _NF__5A0 0168 @LStrFromString 0183 @LStrCatN 01bc _NF__59B 01e6 @LStrAsg 01ec @HandleFinally 0208 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 27 55 E8 ?? ?? ?? ?? 59 84 C0 75 1C 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC B2 0D E8 ?? ?? ?? ?? E9 99 01 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 83 01 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 55 E8 ?? ?? ?? ?? 59 84 C0 0F 85 62 01 00 00 55 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 59 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 40 01 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 55 F0 E8 ?? ?? ?? ?? E9 23 01 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8B 45 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 26 8B 45 08 8B 50 F4 8B 45 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 DD 00 00 00 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 E9 CB 00 00 00 8B 45 08 8B 40 FC 8B 40 1C 89 45 F8 8D 45 F4 8B 55 08 8B 52 FC 8B 52 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC FF 70 28 8D 45 EC 8B 55 08 8B 52 F4 83 C2 1A E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 83 C0 28 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 1D 8B 45 08 8B 50 F4 8B 45 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 1C 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F8 89 50 1C 8B 45 08 8B 40 FC 83 C0 28 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_1817_0 {
	meta:
		name = "_NF__5AA"
		size = 131
		refs = "0015 _NF__59C 0037 GetMethodProp 006a TObject.MethodName"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 DB 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 20 8D 4D F8 8B 45 08 8B 40 08 8B 50 F4 8B 45 08 8B 40 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 5D F8 8B 45 08 3B 58 F8 74 35 8B 45 08 8B 70 F8 85 F6 74 27 8D 8D F8 FE FF FF 8B 45 08 8B D6 8B 45 08 8B 40 08 8B 40 FC 8B 40 18 8B 00 E8 ?? ?? ?? ?? 80 BD F8 FE FF FF 00 74 04 33 C0 EB 02 B0 01 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1818_0 {
	meta:
		name = "_NF__5AB"
		size = 178
		refs = "0013 _NF__5AB 002d GetMethodProp 0033 _NF__5AA 0041 _NF__59D 0056 TWriter.WriteValue 0070 TObject.MethodName 007e @LStrFromString 008c TWriter.WriteIdent 00a1 @LStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 75 54 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 5D F8 85 DB 75 0F 8B 45 08 8B 40 FC B2 0D E8 ?? ?? ?? ?? EB 34 8D 8D F4 FE FF FF 8B 45 08 8B 40 FC 8B 40 18 8B 00 8B D3 E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1819_0 {
	meta:
		name = "_NF__5AC"
		size = 138
		refs = "002c _NF__5AC 005d _NF__5A2 0066 _NF__5A4 006f _NF__5A6 0078 _NF__5A9 0081 _NF__5AB"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 83 78 08 00 74 6E 8B 00 8B 00 89 45 F0 8B 45 F0 0F B6 00 83 F8 0B 77 5C 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 01 01 02 03 01 04 05 00 03 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 EB 22 55 E8 ?? ?? ?? ?? 59 EB 19 55 E8 ?? ?? ?? ?? 59 EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B E5 5D C3 }
	condition:
		$1
}

rule function_1820_0 {
	meta:
		name = "_NF__5AD"
		size = 82
		refs = "000f _NF__5AD 0022 @LStrCat3 002c TWriter.WriteStr 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CE 8B 53 28 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1822_0 {
	meta:
		name = "TWriter.WriteSignature"
		size = 16
		refs = "0001 _NV__22D 000b TWriter.Write"
	strings:
		$1 = { BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1823_0 {
	meta:
		name = "TWriter.WriteStr"
		size = 70
		refs = "000a @LStrLen 002b TWriter.Write 0032 @LStrToPChar"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 04 24 81 3C 24 FF 00 00 00 7E 07 C7 04 24 FF 00 00 00 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1824_0 {
	meta:
		name = "TWriter.WriteString"
		size = 90
		refs = "000a @LStrLen 001f TWriter.WriteValue 002d TWriter.Write"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 04 24 81 3C 24 FF 00 00 00 7F 19 B2 06 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 17 B2 0C 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1825_0 {
	meta:
		name = "TWriter.WriteValue"
		size = 18
		refs = "000c TWriter.Write"
	strings:
		$1 = { 51 88 14 24 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_1826_0 {
	meta:
		name = "_NF__5BC"
		size = 60
		refs = "0025 _NF__5BC"
	strings:
		$1 = { 56 57 89 C6 89 D7 BA 00 00 00 00 EB 10 30 31 32 33 34 35 36 37 38 39 41 42 43 44 45 46 AC 88 C2 80 E2 0F 8A A2 ?? ?? ?? ?? 88 C2 C0 EA 04 8A 82 ?? ?? ?? ?? 66 AB 49 75 E4 5F 5E C3 }
	condition:
		$1
}

rule function_1827_0 {
	meta:
		name = "_NF__5BD"
		size = 136
		refs = "0057 _NF__5BD"
	strings:
		$1 = { 56 57 53 89 C6 89 D7 89 D3 BA 00 00 00 00 EB 37 00 01 02 03 04 05 06 07 08 09 FF FF FF FF FF FF FF 0A 0B 0C 0D 0E 0F FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF 0A 0B 0C 0D 0E 0F 66 AD 80 F8 30 72 32 80 F8 66 77 2D 88 C2 8A 82 ?? ?? ?? ?? 80 F8 FF 74 20 C0 E0 04 80 FC 30 72 18 80 FC 66 77 13 88 E2 8A A2 ?? ?? ?? ?? 80 FC FF 74 06 08 E0 AA 49 75 C7 89 F8 29 D8 5B 5F 5E C3 }
	condition:
		$1
}

rule function_1828_0 {
	meta:
		name = "TParser.Create"
		size = 106
		refs = "000b @ClassCreate 001c @GetMem 0052 TParser.NextToken"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 89 4F 04 B8 00 10 00 00 E8 ?? ?? ?? ?? 8B F0 89 77 0C C6 06 00 89 77 10 8B 47 0C 05 00 10 00 00 89 47 14 8B 47 0C 89 47 18 8B 47 0C 89 47 1C 8B 47 0C 89 47 20 C7 47 28 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1829_0 {
	meta:
		name = "TParser.Destroy"
		size = 56
		refs = "0023 @FreeMem 002e @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 83 7E 0C 00 74 1A 8B 56 20 2B 56 10 66 B9 01 00 8B 46 04 8B 38 FF 57 0C 8B 46 0C E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1830_0 {
	meta:
		name = "TParser.CheckToken"
		size = 198
		refs = "0015 TParser.CheckToken 0039 SIdentifierExpected 003e LoadResString 0048 TParser.Error 0052 SStringExpected 006b SNumberExpected 0086 SCharExpected 009f TParser.ErrorFmt 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 2D 74 7F 8B C3 FE C8 74 0B FE C8 74 20 48 2C 02 72 34 EB 4B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 55 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 3C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 23 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 88 5D F4 C6 45 F8 02 8D 4D F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1831_0 {
	meta:
		name = "TParser.CheckTokenSymbol"
		size = 116
		refs = "0015 TParser.CheckTokenSymbol 0024 TParser.TokenSymbolIs 0032 SSymbolExpected 0037 LoadResString 004d TParser.ErrorFmt 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 4D F4 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3779_0 {
	meta:
		name = "TCopyParser.CheckTokenSymbol"
		size = 116
		refs = "0015 TCopyParser.CheckTokenSymbol 0024 TCopyParser.TokenSymbolIs 0032 SSymbolExpected 0037 LoadResString 004d TCopyParser.ErrorFmt 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 4D F4 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1833_0 {
	meta:
		name = "TParser.ErrorFmt"
		size = 91
		refs = "0012 TParser.ErrorFmt 0028 Format 0032 TParser.ErrorStr 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D7 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3790_0 {
	meta:
		name = "TCopyParser.ErrorFmt"
		size = 91
		refs = "0012 TCopyParser.ErrorFmt 0028 Format 0032 TCopyParser.ErrorStr 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D7 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1834_0 {
	meta:
		name = "TParser.ErrorStr"
		size = 122
		refs = "0015 TParser.ErrorStr 003a SParseError 003f LoadResString 0049 _DV_EParserError 004e Exception.CreateFmt 0053 @RaiseExcept 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F0 C6 45 F4 0B 8B 43 28 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1835_0 {
	meta:
		name = "TParser.HexToBinary"
		size = 183
		refs = "001d TParser.HexToBinary 002a _NF__5DC 003c _NF__5BD 004d SInvalidBinary 0052 LoadResString 005f TParser.Error 008c TParser.NextToken 00a4 @LStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 C9 89 8D F8 FE FF FF 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? EB 51 8D 95 FC FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 1D 8D 95 F8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8B CE 8B 45 FC 8B 38 FF 57 08 8B C6 03 C0 01 43 18 8B C3 E8 ?? ?? ?? ?? 8B 43 18 80 38 7D 75 A7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1836_0 {
	meta:
		name = "TParser.NextToken"
		size = 415
		refs = "0014 TParser.NextToken 0021 _NF__5DC 00e7 SInvalidString 00ec LoadResString 00f6 TParser.Error 0189 @LStrClr 018f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5E 18 89 5E 20 33 C0 8A 03 83 F8 30 7D 1F 83 E8 23 74 64 48 0F 84 D3 00 00 00 83 E8 03 74 58 83 E8 06 0F 84 E3 00 00 00 E9 10 01 00 00 83 C0 D0 83 E8 0A 0F 82 D2 00 00 00 83 C0 F9 83 E8 1A 72 11 83 E8 04 74 0C 83 C0 FE 83 E8 1A 0F 83 EB 00 00 00 43 EB 01 43 8A 03 04 D0 2C 0A 72 F7 04 F9 2C 1A 72 F1 2C 04 74 ED 04 FE 2C 1A 72 E7 C6 45 FF 01 E9 D2 00 00 00 8B FB 8A 03 2C 23 74 06 2C 04 74 25 EB 5F 43 33 C0 EB 0F 03 C0 8D 04 80 33 D2 8A 13 83 EA 30 03 C2 43 8A 13 80 C2 D0 80 EA 0A 72 E7 88 07 47 EB D1 43 8A 03 2C 01 72 0E 2C 09 74 0A 2C 03 74 06 2C 1A 74 1B EB 1F 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 06 43 80 3B 27 75 9D 8A 03 88 07 47 43 EB C5 89 7E 24 C6 45 FF 02 EB 5C 43 EB 01 43 8A 03 04 D0 2C 0A 72 F7 04 F9 2C 06 72 F1 04 E6 2C 06 72 EB C6 45 FF 03 EB 3E 43 EB 01 43 8A 03 04 D0 2C 0A 72 F7 C6 45 FF 03 EB 05 43 C6 45 FF 04 8A 03 2C 2B 74 F5 04 FE 2C 02 72 EF 48 2C 0A 72 EA 2C 0B 74 E6 2C 20 74 E2 EB 0C 8A 03 88 45 FF 80 7D FF 00 74 01 43 89 5E 18 8A 45 FF 88 46 2D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1837_0 {
	meta:
		name = "_NF__5DB"
		size = 199
		refs = "000e _NF__5DB 003b Move 0071 LineStart 0083 SLineTooLong 0088 LoadResString 0092 TParser.Error 00b5 @LStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 2B 43 0C 01 43 08 8B 43 1C 8A 53 2C 88 10 8B 73 10 8B 43 18 2B F0 85 F6 74 0A 8B 53 0C 8B CE E8 ?? ?? ?? ?? 03 73 0C 89 73 10 8B 4B 14 2B 4B 10 8B 53 10 8B 43 04 8B 30 FF 56 04 01 43 10 8B 43 0C 89 43 18 8B 73 10 89 73 1C 3B 73 14 75 2C 8B D6 4A 8B 43 0C E8 ?? ?? ?? ?? 8B F8 89 7B 1C 3B 7B 0C 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 8A 00 88 43 2C 8B 43 1C C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1838_0 {
	meta:
		name = "_NF__5DC"
		size = 51
		refs = "001b _NF__5DB"
	strings:
		$1 = { 53 8B D8 8B 43 18 8A 00 2C 01 72 0C 2C 09 74 19 04 E9 2C DF 72 1B EB 14 8B C3 E8 ?? ?? ?? ?? 8B 43 18 80 38 00 74 0A EB DA FF 43 28 FF 43 18 EB D2 5B C3 }
	condition:
		$1
}

rule function_1839_0 {
	meta:
		name = "TParser.SourcePos"
		size = 12
	strings:
		$1 = { 8B 50 20 2B 50 0C 03 50 08 8B C2 C3 }
	condition:
		$1
}

rule function_1840_0 {
	meta:
		name = "TParser.TokenFloat"
		size = 87
		refs = "0012 TParser.TokenFloat 0022 TParser.TokenString 002a StrToFloat 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? DB 7D F6 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DB 6D F6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3803_0 {
	meta:
		name = "TCopyParser.TokenFloat"
		size = 87
		refs = "0012 TCopyParser.TokenFloat 0022 TCopyParser.TokenString 002a StrToFloat 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? DB 7D F6 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DB 6D F6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1841_0 {
	meta:
		name = "TParser.TokenInt"
		size = 77
		refs = "000c TParser.TokenInt 001c TParser.TokenString 0024 StrToInt 003b @LStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_3804_0 {
	meta:
		name = "TCopyParser.TokenInt"
		size = 77
		refs = "000c TCopyParser.TokenInt 001c TCopyParser.TokenString 0024 StrToInt 003b @LStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_9302_0 {
	meta:
		name = "TCustomMaskEdit.GetTextLen"
		size = 77
		refs = "000c TCustomMaskEdit.GetTextLen 001c TCustomMaskEdit.GetText 0024 @LStrLen 003b @LStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_1842_0 {
	meta:
		name = "TParser.TokenString"
		size = 30
		refs = "0019 @LStrFromPCharLen"
	strings:
		$1 = { 80 78 2D 02 75 08 8B 48 24 2B 48 20 EB 06 8B 48 18 2B 48 20 8B 40 20 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1843_0 {
	meta:
		name = "TParser.TokenSymbolIs"
		size = 99
		refs = "000f TParser.TokenSymbolIs 0025 TParser.TokenString 002f CompareText 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 2D 01 75 18 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1844_0 {
	meta:
		name = "TParser.TokenComponentIdent"
		size = 159
		refs = "0010 TParser.TokenComponentIdent 001f TParser.CheckToken 003f SIdentifierExpected 0044 LoadResString 004e TParser.Error 0078 TParser.TokenString 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 5E 18 EB 43 43 8A 03 04 BF 2C 1A 72 21 2C 04 74 1D 04 FE 2C 1A 72 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 43 8A 03 04 D0 2C 0A 72 F7 04 F9 2C 1A 72 F1 2C 04 74 ED 04 FE 2C 1A 72 E7 80 3B 2E 74 B8 89 5E 18 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1845_0 {
	meta:
		name = "_NF__5EB"
		size = 41
		refs = "000f _NV__5EA 001f TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 58 FC 85 DB 7E 18 BA ?? ?? ?? ?? 8B 45 08 8B 40 F8 B9 02 00 00 00 E8 ?? ?? ?? ?? 4B 75 E8 5B 5D C3 }
	condition:
		$1
}

rule function_1846_0 {
	meta:
		name = "_NF__5EC"
		size = 38
		refs = "0009 @LStrLen 0011 @LStrToPChar 001f TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 59 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_1847_0 {
	meta:
		name = "_NF__5ED"
		size = 44
		refs = "0008 _NF__5ED 000d _NF__5EC 0017 _NF__5EB"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 5D C3 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_1848_0 {
	meta:
		name = "_NF__5EE"
		size = 372
		refs = "000e _NF__5EE 0025 TReader.ReadPrefix 0033 TReader.ReadStr 004a _NF__5EB 005f _NF__5EC 00c4 IntToStr 0100 @LStrClr 010d @LStrArrayClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8D 55 F7 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 F6 45 F7 01 74 11 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 0F 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 7D F8 00 74 1C 8B 45 08 50 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 F6 45 F7 02 74 36 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 00 00 FF FF FF FF 0A 00 00 00 69 6E 68 65 72 69 74 65 64 20 00 00 FF FF FF FF 07 00 00 00 6F 62 6A 65 63 74 20 00 FF FF FF FF 02 00 00 00 3A 20 00 00 FF FF FF FF 02 00 00 00 20 5B 00 00 FF FF FF FF 01 00 00 00 5D 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_1849_0 {
	meta:
		name = "_NF__5EF"
		size = 208
		refs = "0013 TReader.ReadValue 001c _NF__5EF 0021 _NF__5EC 003a TReader.Read 0052 _NF__5ED 007e _NF__5BC 0090 TWriter.Write"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 8D 7D FC 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 FC 8B D7 8B 45 08 8B 40 F4 B9 04 00 00 00 E8 ?? ?? ?? ?? 83 3F 20 0F 9D C3 83 3F 00 7E 52 84 DB 74 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 83 3F 20 7C 07 BE 20 00 00 00 EB 02 8B 37 8D 55 DC 8B 45 08 8B 40 F4 8B CE E8 ?? ?? ?? ?? 8D 55 9C 8D 45 DC 8B CE E8 ?? ?? ?? ?? 8B CE 03 C9 8D 55 9C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 29 37 83 3F 00 7F AE 8B 45 08 FF 48 FC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 7B 00 00 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_1850_0 {
	meta:
		name = "_NF__5F0"
		size = 1220
		refs = "0016 _NF__5F0 0023 TReader.NextValue 0079 TReader.ReadValue 0087 _NF__5EC 0099 _NF__5ED 00ab TReader.EndOfList 00b6 TReader.ReadListEnd 00db TReader.ReadInteger 00e3 IntToStr 00fc TReader.ReadFloat 010b FloatToStr 0123 TReader.ReadString 012b @LStrLen 01bd UniqueString 01d4 TWriter.Write 025b @HandleFinally 026b TReader.ReadIdent 0282 _NF__5EF 02aa TReader.ReadStr 036e _NF__4DA 037f _NF__5F1 03a1 _NF__5EB 03f6 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 75 08 83 C6 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 0E 0F 87 AD 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 FC EB 14 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 06 E8 ?? ?? ?? ?? 84 C0 74 E1 8B 06 E8 ?? ?? ?? ?? 8B 45 08 FF 48 FC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 0C 03 00 00 8B 45 08 50 8B 06 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 59 E9 EB 02 00 00 8B 45 08 50 8B 06 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 59 E9 C3 02 00 00 8D 55 F8 8B 06 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 75 14 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 97 02 00 00 BB 01 00 00 00 8B 45 08 FF 40 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 FE 40 7E 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B FB 8B 45 F8 8A 44 18 FF 3C 20 72 6B 8B 55 F8 3C 27 74 64 89 5D FC 43 3B F3 7C 1D 8B 45 F8 80 7C 18 FF 20 72 13 8B 45 F8 80 7C 18 FF 27 74 09 8B C3 2B C7 83 F8 40 7C DE 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8D 54 10 FF 8B CB 2B 4D FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 2D 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 F8 0F B6 44 18 FF 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 59 43 8B C3 2B C7 83 F8 40 7C 1F 3B F3 7E 1B 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B FB 3B F3 0F 8D 2D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 FF 48 FC C3 E9 ?? ?? ?? ?? EB F2 8B 45 08 50 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 59 E9 63 01 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 E9 54 01 00 00 8B 06 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 DB 8D 55 F8 8B 06 E8 ?? ?? ?? ?? 83 7D F8 00 74 23 85 DB 7E 0F 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 F8 E8 ?? ?? ?? ?? 59 43 EB CD 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 F5 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 FC E9 A9 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 06 E8 ?? ?? ?? ?? 04 FE 2C 03 73 28 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 06 B2 01 E8 ?? ?? ?? ?? 8B 45 08 FF 40 FC EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 06 E8 ?? ?? ?? ?? 84 C0 74 EB 8B 06 E8 ?? ?? ?? ?? 8B 45 08 FF 48 FC 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 06 E8 ?? ?? ?? ?? 84 C0 0F 84 48 FF FF FF 8B 06 E8 ?? ?? ?? ?? 8B 45 08 FF 48 FC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 FF FF FF FF 02 00 00 00 27 27 00 00 FF FF FF FF 01 00 00 00 27 00 00 00 FF FF FF FF 01 00 00 00 23 00 00 00 FF FF FF FF 02 00 00 00 20 2B 00 00 FF FF FF FF 01 00 00 00 5B 00 00 00 FF FF FF FF 02 00 00 00 2C 20 00 00 FF FF FF FF 01 00 00 00 5D 00 00 00 FF FF FF FF 01 00 00 00 3C 00 00 00 FF FF FF FF 04 00 00 00 69 74 65 6D 00 00 00 00 FF FF FF FF 02 00 00 00 20 5B 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 03 00 00 00 65 6E 64 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_1851_0 {
	meta:
		name = "_NF__5F1"
		size = 152
		refs = "0009 _NF__5F1 0018 _NF__5EB 002b TReader.ReadStr 0033 _NF__5EC 004c _NF__5F0 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 55 FC 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 FF FF FF FF 03 00 00 00 20 3D 20 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_1852_0 {
	meta:
		name = "_NF__5F2"
		size = 136
		refs = "000f _NF__5EE 0021 _NF__5F1 0029 TReader.EndOfList 0034 TReader.ReadListEnd 003f _NF__5F2 0061 _NF__5EB 0070 _NF__5EC"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 F4 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 FC EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EB 8B 03 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EB 8B 03 E8 ?? ?? ?? ?? 8B 45 08 FF 48 FC 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5B 5D C3 FF FF FF FF 05 00 00 00 65 6E 64 0D 0A 00 00 00 }
	condition:
		$1
}

rule function_1853_0 {
	meta:
		name = "ObjectBinaryToText"
		size = 196
		refs = "001b _DV_TReader 0020 TFiler.Create 0028 DecimalSeparator 003d ObjectBinaryToText 0051 _DV_TWriter 006f TReader.ReadSignature 0075 _NF__5F2 008b TObject.Free 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 33 C0 89 45 FC 68 00 10 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 8A 00 88 45 F3 A1 ?? ?? ?? ?? C6 00 2E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 10 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8A 55 F3 88 10 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1854_0 {
	meta:
		name = "_NF__5F6"
		size = 96
		refs = "001a TParser.NextToken 0027 TParser.CheckToken 0032 TParser.TokenInt"
	strings:
		$1 = { 55 8B EC 53 83 CB FF 8B 45 08 8B 40 FC 80 78 2D 5B 75 48 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC B2 03 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC B2 5D E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_1855_0 {
	meta:
		name = "_NF__5F7"
		size = 260
		refs = "0012 _NF__5F7 0025 TParser.CheckToken 0033 TParser.TokenString 003b @LStrClr 0046 TParser.NextToken 006d @LStrLAsg 0095 _NF__5F6 00b7 TWriter.WritePrefix 00c5 TWriter.WriteStr 00ed @LStrArrayClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3C 3A 75 3C 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8A 1D ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B F0 80 7D FF 00 74 03 80 CB 01 85 F6 7E 03 80 CB 02 8B 45 08 8B 40 F8 8B CE 8B D3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_1856_0 {
	meta:
		name = "_NF__5F8"
		size = 124
		refs = "0016 _NF__5F8 0025 TParser.TokenString 002e TParser.NextToken 0037 TParser.CheckToken 004b @LStrCat 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 8B 75 08 8B 76 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 06 E8 ?? ?? ?? ?? EB 24 8B 06 E8 ?? ?? ?? ?? 8B 06 B2 02 E8 ?? ?? ?? ?? 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 3C 2B 74 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1857_0 {
	meta:
		name = "_NF__5F9"
		size = 720
		refs = "0009 _NF__5F9 0025 _NF__5F8 0034 TWriter.WriteString 0086 TParser.TokenComponentIdent 0094 TWriter.WriteIdent 00a4 TParser.TokenInt 00b1 TWriter.WriteInteger 00c1 TParser.TokenFloat 00d3 TWriter.WriteFloat 00e3 TParser.NextToken 00f0 TWriter.WriteValue 0109 TParser.CheckToken 0117 TParser.TokenString 0125 TWriter.WriteStr 0176 TWriter.WriteListBegin 0199 TWriter.WriteListEnd 01aa TParser.HexToBinary 01b5 TWriter.WriteBinary 01e4 TParser.CheckTokenSymbol 01f8 _NF__5F6 0220 _NF__5FA 0231 TParser.TokenSymbolIs 0270 SInvalidProperty 0275 LoadResString 0283 TParser.Error 02a3 @LStrClr 02a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8A 40 2D 3C 02 75 1D 55 8D 45 FC E8 ?? ?? ?? ?? 59 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 55 02 00 00 8B 55 08 25 FF 00 00 00 83 F8 28 7F 16 0F 84 14 01 00 00 48 74 29 83 E8 02 74 45 48 74 5F E9 0C 02 00 00 83 E8 3C 0F 84 55 01 00 00 83 E8 1F 74 6E 83 E8 20 0F 84 2B 01 00 00 E9 F0 01 00 00 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 EA 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 CD 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 AB 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 B2 0B E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 78 2D 5D 74 52 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3C 5D 74 1A 8B 45 08 8B 40 FC B2 2C E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB AE 8B 45 08 8B 40 F8 33 D2 E8 ?? ?? ?? ?? E9 23 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 80 78 2D 29 75 EA 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 E5 00 00 00 8B 45 08 8B 40 FC 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 C9 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 B2 0E E8 ?? ?? ?? ?? EB 77 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 83 F8 FF 74 0C 8B 55 08 8B 52 F8 92 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E2 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 78 2D 3E 0F 85 79 FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 1B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 00 FF FF FF FF 04 00 00 00 69 74 65 6D 00 00 00 00 FF FF FF FF 03 00 00 00 65 6E 64 00 }
	condition:
		$1
}

rule function_1858_0 {
	meta:
		name = "_NF__5FA"
		size = 212
		refs = "0012 _NF__5FA 0021 TParser.CheckToken 002b TParser.TokenString 0032 TParser.NextToken 0066 @LStrCatN 0083 TWriter.WriteStr 009c _NF__5F9 00b7 @LStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 B2 01 E8 ?? ?? ?? ?? 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? EB 39 8B 03 E8 ?? ?? ?? ?? 8B 03 B2 01 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? FF 75 F8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 80 78 2D 2E 74 BF 8B 45 08 8B 40 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 03 B2 3D E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_1859_0 {
	meta:
		name = "_NF__5FB"
		size = 236
		refs = "0010 _NF__5FB 0015 TParser.TokenSymbolIs 0029 TParser.CheckTokenSymbol 0030 TParser.NextToken 003b _NF__5F7 0047 _NF__5FA 0083 TWriter.WriteListEnd"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 33 DB 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 0C 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 20 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 C6 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E6 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 5E 5B 5D C3 00 00 00 FF FF FF FF 09 00 00 00 49 4E 48 45 52 49 54 45 44 00 00 00 FF FF FF FF 06 00 00 00 4F 42 4A 45 43 54 00 00 FF FF FF FF 03 00 00 00 45 4E 44 00 }
	condition:
		$1
}

rule function_1860_0 {
	meta:
		name = "ObjectTextToBinary"
		size = 186
		refs = "0011 _DV_TParser 0016 TParser.Create 001e DecimalSeparator 0033 ObjectTextToBinary 0047 _DV_TWriter 004c TFiler.Create 0065 TWriter.WriteSignature 006b _NF__5FB 0081 TObject.Free 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC A1 ?? ?? ?? ?? 8A 00 88 45 F7 A1 ?? ?? ?? ?? C6 00 2E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 10 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8A 55 F7 88 10 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1862_0 {
	meta:
		name = "ObjectTextToResource"
		size = 332
		refs = "0010 _DV_TMemoryStream 0015 TObject.Create 0020 ObjectTextToResource 0030 ObjectTextToBinary 0038 TStream.GetSize 0049 @FillChar 0056 TStream.SetPosition 00dc StrUpper 0139 TObject.Free 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 A4 33 C9 BA 50 00 00 00 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 FF B9 01 00 00 00 8B 45 F4 8B 38 FF 57 04 8A 45 FF 24 F0 3C F0 75 55 A8 02 74 41 8D 55 FF B9 01 00 00 00 8B 45 F4 8B 38 FF 57 04 8A 45 FF 2C 02 74 0A FE C8 74 0C FE C8 74 0E EB 10 C6 45 FF 01 EB 0A C6 45 FF 02 EB 04 C6 45 FF 04 33 C9 8A 4D FF 8D 55 F8 8B 45 F4 8B 38 FF 57 04 8D 55 FF B9 01 00 00 00 8B 45 F4 8B 38 FF 57 04 33 C9 8A 4D FF 8D 55 A7 8B 45 F4 8B 38 FF 57 04 8D 45 A7 E8 ?? ?? ?? ?? 8D 45 A4 C6 00 FF 8D 45 A5 66 C7 00 0A 00 33 C0 8A 45 FF 8D 44 05 A8 66 C7 00 30 10 33 C0 8A 45 FF 8D 44 05 AA 89 18 33 C9 8A 4D FF 83 C1 0A 8D 55 A4 8B C6 8B 38 FF 57 08 8B 45 F4 8B 50 04 8B CB 8B C6 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1863_0 {
	meta:
		name = "_NF__609"
		size = 178
		refs = "0020 _NF__609 0045 @HandleAnyException 004a @GetTls 0050 RaiseList 007c @DoneExcept 0087 DestroyWindow 00a0 DefWindowProc"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 0C 8B D0 81 EA FE 8F 00 00 74 6E 4A 75 7B 33 C0 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 14 33 D2 89 50 24 8B D8 8B 43 20 FF 53 1C 33 C0 5A 59 59 64 89 10 EB 63 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 24 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 40 08 8B 55 14 89 42 24 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 33 D2 89 50 08 E8 ?? ?? ?? ?? EB 25 8B 45 08 50 E8 ?? ?? ?? ?? 33 C0 89 45 FC EB 15 8B 55 14 52 8B 55 10 52 50 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_1864_0 {
	meta:
		name = "_NF__60B"
		size = 16
	strings:
		$1 = { 54 54 68 72 65 61 64 57 69 6E 64 6F 77 00 00 00 }
	condition:
		$1
}

rule function_1865_0 {
	meta:
		name = "_NF__60C"
		size = 144
		refs = "0007 HInstance 000e _NV__60A 0025 GetClassInfo 0034 _NF__609 0050 UnregisterClass 005a RegisterClass 0075 _NF__60C 0081 CreateWindow"
	strings:
		$1 = { 55 8B EC 83 C4 D8 A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? 8D 45 D8 50 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 84 C0 74 0A BA ?? ?? ?? ?? 3B 55 DC 74 21 84 C0 74 13 A1 ?? ?? ?? ?? 8B 00 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 50 6A 00 BA ?? ?? ?? ?? 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1866_0 {
	meta:
		name = "_NF__60D"
		size = 26
		refs = "0002 _NV__608 000a _NF__60C 000f _NV__607"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 0A E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1867_0 {
	meta:
		name = "_NF__60E"
		size = 36
		refs = "0002 _NV__608 0019 _NV__607 001f PostMessage"
	strings:
		$1 = { FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 14 6A 00 6A 00 68 FE 8F 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1868_0 {
	meta:
		name = "_NF__60F"
		size = 52
		refs = "0023 TObject.Free 002a EndThread"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 8B 10 FF 52 04 8A 5F 0E 8B 77 10 C6 47 0F 01 8B C7 8B 10 FF 12 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1869_0 {
	meta:
		name = "TThread.Create"
		size = 101
		refs = "000f @ClassCreate 001f TObject.Create 0024 _NF__60D 003d _NF__60F 0046 BeginThread"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 5F 0D 33 F6 84 DB 74 05 BE 04 00 00 00 57 56 8D 47 08 50 B9 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? 89 47 04 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1870_0 {
	meta:
		name = "TThread.Destroy"
		size = 78
		refs = "0015 TThread.Terminate 001c TThread.WaitFor 0029 CloseHandle 0035 TObject.Destroy 003a _NF__60E 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 7E 0F 00 75 14 80 7E 0D 00 75 0E 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 04 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1871_0 {
	meta:
		name = "_NF__617"
		size = 13
	strings:
		$1 = { 53 8B D8 8B D0 8B 43 18 FF 53 14 5B C3 }
	condition:
		$1
}

rule function_1872_0 {
	meta:
		name = "TThread.DoTerminate"
		size = 19
		refs = "0009 _NF__617 000e TThread.Synchronize"
	strings:
		$1 = { 66 83 78 16 00 74 0B 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1873_0 {
	meta:
		name = "TThread.GetPriority"
		size = 38
		refs = "0006 GetThreadPriority 0011 _NV__61A"
	strings:
		$1 = { 56 8B 40 04 50 E8 ?? ?? ?? ?? 8B F0 B0 03 33 D2 B9 ?? ?? ?? ?? 3B 31 75 02 8B C2 42 83 C1 04 80 FA 07 75 F1 5E C3 }
	condition:
		$1
}

rule function_1874_0 {
	meta:
		name = "TThread.SetPriority"
		size = 21
		refs = "0006 _NV__61A 0010 SetThreadPriority"
	strings:
		$1 = { 83 E2 7F 8B 14 95 ?? ?? ?? ?? 52 8B 40 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1875_0 {
	meta:
		name = "TThread.Synchronize"
		size = 59
		refs = "0020 _NV__607 0026 SendMessage 0032 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 89 43 24 8B 45 08 89 43 1C 8B 45 0C 89 43 20 53 6A 00 68 FF 8F 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 05 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1876_0 {
	meta:
		name = "TThread.SetSuspended"
		size = 22
		refs = "000a TThread.Suspend 0011 TThread.Resume"
	strings:
		$1 = { 3A 50 0D 74 10 84 D2 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1877_0 {
	meta:
		name = "TThread.Suspend"
		size = 14
		refs = "0009 SuspendThread"
	strings:
		$1 = { C6 40 0D 01 8B 40 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1878_0 {
	meta:
		name = "TThread.Resume"
		size = 21
		refs = "0008 ResumeThread"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 48 75 04 C6 43 0D 00 5B C3 }
	condition:
		$1
}

rule function_1879_0 {
	meta:
		name = "TThread.Terminate"
		size = 5
	strings:
		$1 = { C6 40 0C 01 C3 }
	condition:
		$1
}

rule function_1880_0 {
	meta:
		name = "TThread.WaitFor"
		size = 90
		refs = "0007 GetCurrentThreadId 000d MainThreadID 0023 PeekMessage 0034 MsgWaitForMultipleObjects 0044 WaitForSingleObject 004e GetExitCodeThread"
	strings:
		$1 = { 53 83 C4 E0 8B D8 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 2A EB 12 6A 00 6A 00 6A 00 6A 00 8D 44 24 14 50 E8 ?? ?? ?? ?? 6A 40 6A FF 6A 00 8D 43 04 50 6A 01 E8 ?? ?? ?? ?? 48 74 DA EB 0B 6A FF 8B 43 04 50 E8 ?? ?? ?? ?? 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_1881_0 {
	meta:
		name = "TComponent.Create"
		size = 68
		refs = "000b @ClassCreate 0016 TComponent.Create 0026 TComponent.InsertComponent"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 A0 ?? ?? ?? ?? 88 47 21 85 F6 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_1882_0 {
	meta:
		name = "TComponent.Destroy"
		size = 126
		refs = "0022 TList.Get 0037 TObject.Free 0043 TComponent.Destroying 004a TComponent.DestroyComponents 0058 TComponent.RemoveComponent 0065 TPersistent.Destroy 0072 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B D8 8B 43 14 85 C0 74 2F 8B 70 08 4E 85 F6 7C 1A 46 33 FF 8B D7 8B 43 14 E8 ?? ?? ?? ?? B1 01 8B D3 8B 28 FF 55 10 47 4E 75 E9 8B 43 14 E8 ?? ?? ?? ?? 33 C0 89 43 14 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8A 14 24 80 E2 FE 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1883_0 {
	meta:
		name = "TComponent.FreeNotification"
		size = 75
		refs = "001b _DV_TList 0020 TObject.Create 002d TList.IndexOf 003b TList.Add 0044 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 85 C0 74 05 3B 46 04 74 36 83 7B 14 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 8B D6 8B 43 14 E8 ?? ?? ?? ?? 85 C0 7D 13 8B D6 8B 43 14 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1884_0 {
	meta:
		name = "_NF__638"
		size = 20
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 89 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_1885_0 {
	meta:
		name = "_NF__639"
		size = 20
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 89 43 1A 5E 5B C3 }
	condition:
		$1
}

rule function_1886_0 {
	meta:
		name = "_NF__63A"
		size = 11
		refs = "0006 TWriter.WriteInteger"
	strings:
		$1 = { 0F B7 40 18 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1887_0 {
	meta:
		name = "_NF__63B"
		size = 11
		refs = "0006 TWriter.WriteInteger"
	strings:
		$1 = { 0F B7 40 1A 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1888_0 {
	meta:
		name = "_NF__63C"
		size = 43
		refs = "000f _DV_TList 0014 TObject.Create 0021 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B D6 8B 43 10 E8 ?? ?? ?? ?? 89 5E 04 5E 5B C3 }
	condition:
		$1
}

rule function_1889_0 {
	meta:
		name = "_NF__63D"
		size = 37
		refs = "000c TList.Remove 001a TObject.Free"
	strings:
		$1 = { 53 8B D8 33 C0 89 42 04 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 83 78 08 00 75 0A E8 ?? ?? ?? ?? 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_1890_0 {
	meta:
		name = "TComponent.InsertComponent"
		size = 83
		refs = "0010 @CallDynaInst 0028 _NF__63C 0031 _NF__696 0040 TComponent.SetDesigning"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B D7 8B C6 66 BB F5 FF E8 ?? ?? ?? ?? 8B 46 08 50 33 C9 8B D6 8B C7 8B 18 FF 53 1C 8B D6 8B C7 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? F6 47 20 10 74 09 B2 01 8B C6 E8 ?? ?? ?? ?? 33 C9 8B D6 8B C7 8B 18 FF 53 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1891_0 {
	meta:
		name = "TComponent.RemoveComponent"
		size = 63
		refs = "0017 _NF__696 0020 _NF__63D 0029 TComponent.SetDesigning"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 B1 01 8B D3 8B C6 8B 38 FF 57 10 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 4B 08 8B D3 8B C6 8B 18 FF 53 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1892_0 {
	meta:
		name = "TComponent.DestroyComponents"
		size = 41
		refs = "0007 TList.Last 0012 _NF__63D"
	strings:
		$1 = { 53 56 8B D8 EB 19 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 FC 8B 43 10 85 C0 75 E0 5E 5B C3 }
	condition:
		$1
}

rule function_1893_0 {
	meta:
		name = "TComponent.Destroying"
		size = 56
		refs = "0027 TList.Get 002c TComponent.Destroying"
	strings:
		$1 = { 53 56 57 8B D8 F6 43 20 08 75 29 80 4B 20 08 8B 43 10 85 C0 74 1E 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1894_0 {
	meta:
		name = "TComponent.Notification"
		size = 108
		refs = "0022 TList.Remove 0030 TObject.Free 0051 TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 4C 24 04 89 14 24 8B D8 8B 43 14 85 C0 74 22 80 7C 24 04 01 75 1B 8B 14 24 E8 ?? ?? ?? ?? 8B 43 14 83 78 08 00 75 0A E8 ?? ?? ?? ?? 33 C0 89 43 14 8B 43 10 85 C0 74 25 8B 70 08 4E 85 F6 7C 1D 46 33 FF 8B D7 8B 43 10 E8 ?? ?? ?? ?? 8A 4C 24 04 8B 14 24 8B 28 FF 55 10 47 4E 75 E6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1895_0 {
	meta:
		name = "TComponent.DefineProperties"
		size = 132
		refs = "001f _NF__638 0025 _NF__63A 0035 TComponent.DefineProperties 0041 _NF__639 0047 _NF__63B"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 33 C0 89 45 FC 8B 46 1C 85 C0 74 06 8B 40 18 89 45 FC 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 66 8B 43 18 66 3B 45 FC 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 66 8B 45 FE 66 3B 43 1A 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5F 5E 5B 59 5D C3 00 FF FF FF FF 04 00 00 00 4C 65 66 74 00 00 00 00 FF FF FF FF 03 00 00 00 54 6F 70 00 }
	condition:
		$1
}

rule function_1900_0 {
	meta:
		name = "TComponent.GetNamePath"
		size = 19
		refs = "000c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1905_0 {
	meta:
		name = "TComponent.Updating"
		size = 9
	strings:
		$1 = { 53 8B D8 80 4B 20 40 5B C3 }
	condition:
		$1
}

rule function_1906_0 {
	meta:
		name = "TComponent.Updated"
		size = 9
	strings:
		$1 = { 53 8B D8 80 63 20 BF 5B C3 }
	condition:
		$1
}

rule function_1907_0 {
	meta:
		name = "TComponent.Loaded"
		size = 9
	strings:
		$1 = { 53 8B D8 80 63 20 FE 5B C3 }
	condition:
		$1
}

rule function_1909_0 {
	meta:
		name = "TComponent.WriteState"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 0C C3 }
	condition:
		$1
}

rule function_1910_0 {
	meta:
		name = "TComponent.ValidateRename"
		size = 179
		refs = "001c TComponent.ValidateRename 0030 CompareText 003d TComponent.FindComponent 0056 SDuplicateName 005b LoadResString 0065 _DV_EComponentError 006a Exception.CreateFmt 006f @RaiseExcept 009e @LStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 49 8B D6 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 3B 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 2E 89 75 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 43 20 10 74 14 83 7B 04 00 74 0E 56 8B 4D FC 8B D7 8B 43 04 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1911_0 {
	meta:
		name = "TComponent.ValidateContainer"
		size = 20
		refs = "000d @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C2 8B D6 66 BB F4 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1913_0 {
	meta:
		name = "TComponent.FindComponent"
		size = 77
		refs = "002a TList.Get 0037 CompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 83 3C 24 00 74 33 83 7F 10 00 74 2D 8B 47 10 8B 58 08 4B 85 DB 7C 22 43 33 ED 8B D5 8B 47 10 E8 ?? ?? ?? ?? 8B F0 8B 14 24 8B 46 08 E8 ?? ?? ?? ?? 85 C0 74 06 45 4B 75 E1 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1914_0 {
	meta:
		name = "TComponent.SetName"
		size = 203
		refs = "0016 TComponent.SetName 0026 @LStrCmp 0033 IsValidIdent 004c SInvalidName 0051 LoadResString 005b _DV_EComponentError 0060 Exception.CreateFmt 0065 @RaiseExcept 0091 _NF__696 009a TComponent.ChangeName 00b8 @LStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B D6 E8 ?? ?? ?? ?? 74 7B 85 F6 74 39 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2E 89 75 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7B 04 85 FF 74 0F 56 8B 4B 08 8B D3 8B C7 8B 38 FF 57 1C EB 0D 56 8B 4B 08 33 D2 8B C3 8B 38 FF 57 1C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1915_0 {
	meta:
		name = "TComponent.ChangeName"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1916_0 {
	meta:
		name = "TComponent.GetComponentIndex"
		size = 27
		refs = "0012 TList.IndexOf"
	strings:
		$1 = { 8B 50 04 85 D2 74 10 83 7A 10 00 74 0A 8B 52 10 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_1917_0 {
	meta:
		name = "TComponent.GetComponent"
		size = 107
		refs = "000f TComponent.GetComponent 0023 SListIndexError 0028 LoadResString 0032 _DV_TList 0037 TList.Error 0041 TList.Get 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 10 00 75 1C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1918_0 {
	meta:
		name = "TComponent.GetComponentCount"
		size = 14
	strings:
		$1 = { 8B 50 10 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_1919_0 {
	meta:
		name = "TComponent.SetComponentIndex"
		size = 81
		refs = "0014 TList.IndexOf 003a TList.Delete 0049 TList.Insert"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 04 85 C0 74 3F 8B 40 10 8B D3 E8 ?? ?? ?? ?? 85 C0 7C 31 8B 53 04 8B 7A 10 8B 57 08 85 F6 7D 02 33 F6 3B D6 7F 03 8B F2 4E 3B C6 74 17 8B D7 92 E8 ?? ?? ?? ?? 8B 43 04 8B 40 10 8B CB 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1920_0 {
	meta:
		name = "TComponent.SetAncestor"
		size = 64
		refs = "0019 TComponent.GetComponentCount 002c TComponent.GetComponent 0033 TComponent.SetAncestor"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 84 DB 74 06 80 4F 20 20 EB 04 80 67 20 DF 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 17 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 46 4D 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1921_0 {
	meta:
		name = "TComponent.SetDesigning"
		size = 64
		refs = "0019 TComponent.GetComponentCount 002c TComponent.GetComponent 0033 TComponent.SetDesigning"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 84 DB 74 06 80 4F 20 10 EB 04 80 67 20 EF 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 17 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 46 4D 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1922_0 {
	meta:
		name = "_NF__696"
		size = 70
		refs = "001f @LStrToString 0028 TObject.FieldAddress"
	strings:
		$1 = { 53 56 57 81 C4 00 FF FF FF 8B DA 8B F8 8B 77 04 85 F6 74 28 8B C4 8B 57 08 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0C 84 DB 74 04 89 38 EB 04 33 D2 89 10 81 C4 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1923_0 {
	meta:
		name = "TComponent.GetComObject"
		size = 212
		refs = "001b TComponent.GetComObject 002d CreateVCLComObjectProc 004b TObject.ClassName 0069 SNoComSupport 006e LoadResString 007b _DV_EComponentError 0080 Exception.CreateFmt 0085 @RaiseExcept 008c @IntfClear 00b2 @LStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 33 C9 89 8D F4 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 75 5E 83 3D ?? ?? ?? ?? 00 74 08 8B C3 FF 15 ?? ?? ?? ?? 83 7B 1C 00 75 47 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 43 1C 50 8B 00 FF 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_1924_0 {
	meta:
		name = "TComponent.SafeCallException"
		size = 24
		refs = "0012 TObject.SafeCallException"
	strings:
		$1 = { 53 83 78 1C 00 74 0A 8B 40 1C 8B 18 FF 53 1C 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1925_0 {
	meta:
		name = "TComponent.FreeOnRelease"
		size = 15
	strings:
		$1 = { 83 78 1C 00 74 08 8B 40 1C 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_1927_0 {
	meta:
		name = "TComponent.QueryInterface"
		size = 26
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 55 0C 52 8B 40 1C 50 8B 00 FF 10 5D C2 0C 00 }
	condition:
		$1
}

rule function_1928_0 {
	meta:
		name = "TComponent._AddRef"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 1C 50 8B 00 FF 50 04 5D C2 04 00 }
	condition:
		$1
}

rule function_1929_0 {
	meta:
		name = "TComponent._Release"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 1C 50 8B 00 FF 50 08 5D C2 04 00 }
	condition:
		$1
}

rule function_1930_0 {
	meta:
		name = "TComponent.GetTypeInfoCount"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 8B 40 1C 50 8B 00 FF 50 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_1931_0 {
	meta:
		name = "TComponent.GetTypeInfo"
		size = 31
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 1C 50 8B 00 FF 50 10 5D C2 10 00 }
	condition:
		$1
}

rule function_1932_0 {
	meta:
		name = "TComponent.GetIDsOfNames"
		size = 39
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 1C 50 8B 00 FF 50 14 5D C2 18 00 }
	condition:
		$1
}

rule function_1933_0 {
	meta:
		name = "TComponent.Invoke"
		size = 52
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 28 52 8B 55 24 52 8B 55 20 52 8B 55 1C 52 66 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 1C 50 8B 00 FF 50 18 5D C2 24 00 }
	condition:
		$1
}

rule function_1934_0 {
	meta:
		name = "TStreamAdapter.Create"
		size = 53
		refs = "000b @ClassCreate 001a TObject.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1935_0 {
	meta:
		name = "TStreamAdapter.Read"
		size = 103
		refs = "0010 TStreamAdapter.Read 0050 @HandleAnyException 005a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 55 0C 8B 45 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 75 0F BB 09 00 03 80 33 C0 5A 59 59 64 89 10 EB 31 8B 40 10 8B 4D 10 8B 18 FF 53 04 83 7D 14 00 74 05 8B 55 14 89 02 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_1936_0 {
	meta:
		name = "TStreamAdapter.Write"
		size = 103
		refs = "0010 TStreamAdapter.Write 0050 @HandleAnyException 005a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 55 0C 8B 45 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 75 0F BB 09 00 03 80 33 C0 5A 59 59 64 89 10 EB 31 8B 40 10 8B 4D 10 8B 18 FF 53 08 83 7D 14 00 74 05 8B 55 14 89 02 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 03 01 03 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_1937_0 {
	meta:
		name = "TStreamAdapter.Seek"
		size = 127
		refs = "0011 TStreamAdapter.Seek 0037 @TRUNC 0067 @HandleAnyException 0071 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 14 8B 75 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 7C 05 83 FB 02 7E 0F BB 01 00 03 80 33 C0 5A 59 59 64 89 10 EB 42 DF 6D 0C E8 ?? ?? ?? ?? 8B D0 8B 46 10 8B CB 8B 18 FF 53 0C 8B 55 18 85 D2 74 0C 89 45 FC DB 45 FC 8B 45 18 DF 38 9B 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 09 00 03 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_1938_0 {
	meta:
		name = "TStreamAdapter.SetSize"
		size = 109
		refs = "000e TStreamAdapter.SetSize 001c @TRUNC 002d TStream.GetSize 0055 @HandleAnyException 005f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DF 6D 0C E8 ?? ?? ?? ?? 8B D0 8B 43 10 8B 08 FF 11 8B 43 10 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DF 6D 0C DE D9 DF E0 9E 74 07 BB 05 40 00 80 EB 02 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_1939_0 {
	meta:
		name = "TStreamAdapter.CopyTo"
		size = 260
		refs = "0013 @IntfAddRef 001b TStreamAdapter.CopyTo 0037 @TRUNC 0042 @GetMem 009e @FreeMem 00a4 @HandleFinally 00cb @HandleAnyException 00d7 @DoneExcept 00ec @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 5D 18 8B 75 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 DF 6D 10 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 8B 46 10 8B 4D F4 8B 30 FF 56 04 85 DB 74 09 89 45 EC DB 45 EC DF 3B 9B 8D 45 F0 50 8B 45 F4 50 8B 45 F8 50 8B 45 0C 50 8B 00 FF 50 10 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 83 7D FC 00 75 10 8B 45 1C 85 C0 74 09 DB 45 F0 8B 45 1C DF 38 9B 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? C7 45 FC FF FF 00 80 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_1941_0 {
	meta:
		name = "TStreamAdapter.Revert"
		size = 12
	strings:
		$1 = { 55 8B EC B8 02 01 03 80 5D C2 04 00 }
	condition:
		$1
}

rule function_1942_0 {
	meta:
		name = "TStreamAdapter.LockRegion"
		size = 12
		altNames = "TStreamAdapter.UnlockRegion"
	strings:
		$1 = { 55 8B EC B8 01 00 03 80 5D C2 18 00 }
	condition:
		$1
}

rule function_1944_0 {
	meta:
		name = "TStreamAdapter.Stat"
		size = 130
		refs = "0013 TStreamAdapter.Stat 002c TStream.GetSize 006a @HandleAnyException 0074 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 0C 8B 7D 08 33 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 3E C7 43 04 02 00 00 00 8B 47 10 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DF 7B 08 9B 33 C0 89 43 10 33 C0 89 43 14 33 C0 89 43 18 33 C0 89 43 1C 33 C0 89 43 20 33 C0 89 43 24 C7 43 2C 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BE FF FF 00 80 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_1946_0 {
	meta:
		name = "_NF__6F7"
		size = 50
		refs = "0004 _NV__230 001a TList.Get 001f TObject.Free"
	strings:
		$1 = { 53 56 57 BF ?? ?? ?? ?? 8B 07 8B 58 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B 07 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B 07 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1948_0 {
	meta:
		name = "Finalization"
		size = 124
		refs = "0007 Finalization 0013 _NV__22C 001a HInstance 0021 UnRegisterModuleClasses 0026 _NV__22E 002b TObject.Free 0030 _NV__22F 003a _NF__6F7 0043 RemoveFixupReferences 0048 _NV__4BB 0052 _NV__278 005c _NF__6F8 0061 RemoveModuleUnloadProc 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 4C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1949_0 {
	meta:
		name = "Classes"
		size = 115
		refs = "0002 _NV__22C 000a _NF__6F8 000f AddModuleUnloadProc 0016 _DV_TList 001b TObject.Create 0020 _NV__22E 0027 _DV_TStringList 0031 _NV__22F 0042 _NV__230 0053 _NV__4BB 0058 GetCurrentThreadId 005d MainThreadID 006e _NV__278"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 69 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1950_0 {
	meta:
		name = "TClipboard.Clear"
		size = 66
		refs = "000b TClipboard.Open 0013 TClipboard.Clear 001e EmptyClipboard 0033 TClipboard.Close 0039 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1951_0 {
	meta:
		name = "_NF__71"
		size = 28
		refs = "0012 TClipboard.Clear"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 74 11 80 7B 0D 00 75 0B 8B C3 E8 ?? ?? ?? ?? C6 43 0D 01 5B C3 }
	condition:
		$1
}

rule function_1952_0 {
	meta:
		name = "TClipboard.Close"
		size = 44
		refs = "0013 CloseClipboard 0021 DeallocateHWnd"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 74 21 FF 4B 04 83 7B 04 00 75 18 E8 ?? ?? ?? ?? 80 7B 0C 00 74 08 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 08 5B C3 }
	condition:
		$1
}

rule function_1953_0 {
	meta:
		name = "TClipboard.Open"
		size = 62
		refs = "000a Application 001c _NF__76 0021 AllocateHWnd 0031 OpenClipboard"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 75 30 A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 43 08 85 C0 75 12 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 C6 43 0C 01 8B 43 08 50 E8 ?? ?? ?? ?? C6 43 0D 00 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_1954_0 {
	meta:
		name = "_NF__76"
		size = 32
		refs = "0016 DefWindowProc"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 08 50 8B 43 04 50 8B 03 50 8B 46 08 50 E8 ?? ?? ?? ?? 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_1955_0 {
	meta:
		name = "TClipboard.GetComponent"
		size = 414
		refs = "0019 TClipboard.Open 0021 TClipboard.GetComponent 002e CF_COMPONENT 0034 GetClipboardData 0042 @TryFinallyExit 0050 GlobalLock 0075 _Dn_TMemoryStream 007a TObject.Create 0094 GlobalSize 00a0 TStream.WriteBuffer 00aa TStream.SetPosition 00b9 _Dn_TReader 00be TFiler.Create 00df TReader.ReadRootComponent 00fa TComponent.InsertComponent 0109 @HandleAnyException 0111 TObject.Free 0116 @RaiseAgain 011b @DoneExcept 0136 @HandleFinally 016b GlobalUnlock 0188 TClipboard.Close"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8B DA 89 45 FC 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 0A E8 ?? ?? ?? ?? E9 49 01 00 00 8B 45 F4 50 E8 ?? ?? ?? ?? 8B F8 85 FF 75 0A E8 ?? ?? ?? ?? E9 30 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 68 00 01 00 00 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 89 70 28 33 D2 8B 45 EC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1956_0 {
	meta:
		name = "_NF__7B"
		size = 223
		refs = "0017 TClipboard.Open 001f _NF__7B 002d GlobalAlloc 0047 GlobalLock 0060 Move 0068 _NF__71 0075 SetClipboardData 008b GlobalUnlock 0091 @HandleFinally 00a2 @HandleAnyException 00ab GlobalFree 00b0 @RaiseAgain 00b5 @DoneExcept 00ca TClipboard.Close"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 53 6A 02 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 0F B7 C6 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1957_0 {
	meta:
		name = "TClipboard.SetComponent"
		size = 112
		refs = "000d _Dn_TMemoryStream 0012 TObject.Create 001d TClipboard.SetComponent 002d TStream.WriteComponent 0035 TStream.GetSize 0043 CF_COMPONENT 004a _NF__7B 005f TObject.Free 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 48 04 66 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1958_0 {
	meta:
		name = "TClipboard.GetTextBuf"
		size = 79
		refs = "000d TClipboard.Open 0014 GetClipboardData 0024 GlobalLock 0030 StrLCopy 0035 StrLen 003d GlobalUnlock 0044 TClipboard.Close"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 6A 01 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 33 FF EB 1F 53 E8 ?? ?? ?? ?? 8B D0 8B CD 49 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 53 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1959_0 {
	meta:
		name = "TClipboard.SetTextBuf"
		size = 31
		refs = "0009 StrLen 0018 _NF__7B"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 40 50 8B CE 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1960_0 {
	meta:
		name = "TClipboard.GetAsText"
		size = 126
		refs = "0010 TClipboard.Open 0017 GetClipboardData 0022 TClipboard.GetAsText 0037 GlobalLock 0040 @LStrFromPChar 0049 @LStrClr 0065 GlobalUnlock 006d TClipboard.Close 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 6A 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 74 14 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 09 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1961_0 {
	meta:
		name = "TClipboard.SetAsText"
		size = 38
		refs = "0009 @LStrLen 0012 @LStrToPChar 001f _NF__7B"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 40 50 8B C6 E8 ?? ?? ?? ?? 8B C8 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1962_0 {
	meta:
		name = "_NF__8B"
		size = 236
		refs = "0017 _NF__8B 0025 TClipboard.Open 003a EnumClipboardFormats 0048 _Dn_TPicture 004d TPicture.SupportsClipboardFormat 005a GetClipboardData 006f TPicture.LoadFromClipboardFormat 0074 @TryFinallyExit 008e SInvalidClipFmt 0093 LoadResString 009d _Dn_Exception 00a2 Exception.Create 00a7 @RaiseExcept 00bc TClipboard.Close 00c2 @HandleFinally 00d9 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 E8 ?? ?? ?? ?? 8B D8 66 85 DB 74 45 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 0F B7 C3 50 E8 ?? ?? ?? ?? 8B F0 6A 09 E8 ?? ?? ?? ?? 50 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4E 0F B7 C3 50 E8 ?? ?? ?? ?? 8B D8 66 85 DB 75 BB 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1963_0 {
	meta:
		name = "_NF__8C"
		size = 101
		refs = "0010 TClipboard.Open 0018 _NF__8C 0025 GetClipboardData 0053 TClipboard.Close 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 E8 ?? ?? ?? ?? 8B D8 6A 09 E8 ?? ?? ?? ?? 8B F0 56 8B CB 66 BA 02 00 8B C7 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1964_0 {
	meta:
		name = "_NF__8D"
		size = 97
		refs = "000f TClipboard.Open 0017 _NF__8D 0024 GetClipboardData 0050 TClipboard.Close 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 03 E8 ?? ?? ?? ?? 8B D8 6A 09 E8 ?? ?? ?? ?? 50 8B CB 66 BA 03 00 8B C6 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1965_0 {
	meta:
		name = "TClipboard.AssignTo"
		size = 103
		refs = "000a _Dn_TPicture 000f @IsClass 001c _NF__8B 0027 _Dn_TBitmap 0039 _NF__8C 0043 _Dn_TMetafile 0055 _NF__8D 0060 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 25 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1966_0 {
	meta:
		name = "_NF__91"
		size = 129
		refs = "0010 TClipboard.Open 0018 _NF__91 0026 _NF__71 003c TPicture.SaveToClipboardFormat 004a SetClipboardData 0070 TClipboard.Close 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 8D 45 F0 50 8D 4D F8 8D 55 F6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 0F B7 45 F6 50 E8 ?? ?? ?? ?? 83 7D F0 00 74 0B 8B 45 F0 50 6A 09 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1967_0 {
	meta:
		name = "_NF__92"
		size = 129
		refs = "0010 TClipboard.Open 0018 _NF__92 0026 _NF__71 004a SetClipboardData 0070 TClipboard.Close 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 8D 45 F0 50 8D 4D F8 8D 55 F6 8B C3 8B 18 FF 53 5C 8B 45 F8 50 0F B7 45 F6 50 E8 ?? ?? ?? ?? 83 7D F0 00 74 0B 8B 45 F0 50 6A 09 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1968_0 {
	meta:
		name = "TClipboard.Assign"
		size = 75
		refs = "000a _Dn_TPicture 000f @IsClass 001c _NF__91 0027 _Dn_TGraphic 0039 _NF__92 0044 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5949_0 {
	meta:
		name = "TParam.Assign"
		size = 75
		refs = "000a _DV_TParam 000f @IsClass 001c TParam.AssignParam 0027 _Dn_TField 0039 TParam.AssignField 0044 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1969_0 {
	meta:
		name = "TClipboard.GetAsHandle"
		size = 83
		refs = "0010 TClipboard.Open 0018 TClipboard.GetAsHandle 0027 GetClipboardData 003f TClipboard.Close 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C3 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1970_0 {
	meta:
		name = "TClipboard.SetAsHandle"
		size = 87
		refs = "0011 TClipboard.Open 0019 TClipboard.SetAsHandle 0027 _NF__71 0031 SetClipboardData 0046 TClipboard.Close 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 56 0F B7 C3 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1972_0 {
	meta:
		name = "TClipboard.GetFormats"
		size = 106
		refs = "0010 TClipboard.Open 0018 TClipboard.GetFormats 0025 EnumClipboardFormats 0055 TClipboard.Close 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 66 89 45 FA 85 DB 7E 13 4B 0F B7 45 FA 50 E8 ?? ?? ?? ?? 66 89 45 FA 85 DB 7F ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 66 8B 45 FA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1973_0 {
	meta:
		name = "_NF__A2"
		size = 125
		refs = "000c TClipboard.Open 0014 _NF__A2 0025 EnumClipboardFormats 0033 _Dn_TPicture 0038 TPicture.SupportsClipboardFormat 006a TClipboard.Close 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 6A 00 E8 ?? ?? ?? ?? 8B D8 66 85 DB 74 26 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FF 01 EB 10 0F B7 C3 50 E8 ?? ?? ?? ?? 8B D8 66 85 DB 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8A 45 FF 5B 59 5D C3 }
	condition:
		$1
}

rule function_1974_0 {
	meta:
		name = "TClipboard.HasFormat"
		size = 53
		refs = "000f IsClipboardFormatAvailable 001a CF_PICTURE 0022 _NF__A2"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 0F B7 C3 50 E8 ?? ?? ?? ?? 85 C0 75 18 66 3B 1D ?? ?? ?? ?? 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 02 B0 01 5B 59 5D C3 }
	condition:
		$1
}

rule function_1975_0 {
	meta:
		name = "Clipboard"
		size = 32
		refs = "0002 _NV__A6 000c _DV_TClipboard 0011 TObject.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12159_0 {
	meta:
		name = "Printer"
		size = 32
		refs = "0002 _NV__A9 000c _DV_TPrinter 0011 TPrinter.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12771_0 {
	meta:
		name = "QRPrinter"
		size = 32
		refs = "0002 _NV__25F 000c _DV_TQRPrinter 0011 TQRPrinter.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7772_0 {
	meta:
		name = "_NF__47C"
		size = 32
		refs = "0002 _NV__47B 000c _NV__46A 0011 _NF__46C"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7773_0 {
	meta:
		name = "_NF__47D"
		size = 32
		refs = "0002 _NV__47A 000c _NV__473 0011 _NF__475"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1976_0 {
	meta:
		name = "SetClipboard"
		size = 14
		refs = "0002 _NV__A6"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C2 C3 }
	condition:
		$1
}

rule function_12160_0 {
	meta:
		name = "SetPrinter"
		size = 14
		refs = "0002 _NV__A9"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C2 C3 }
	condition:
		$1
}

rule function_1977_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _NV__6E 001a _NV__A6 001f TObject.Free 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_5382_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _NV__73 001a _NV__81 001f TObject.Free 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12161_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _NV__A8 001a _NV__A9 001f TObject.Free 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12209_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _NV__45 001a _NV__55 001f TObject.Free 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1978_0 {
	meta:
		name = "Clipbrd"
		size = 88
		refs = "0002 _NV__6E 000a Clipbrd 000f RegisterClipboardFormat 0015 CF_PICTURE 0025 CF_COMPONENT 002c _NV__A6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 27 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 00 00 00 44 65 6C 70 68 69 20 50 69 63 74 75 72 65 00 00 44 65 6C 70 68 69 20 43 6F 6D 70 6F 6E 65 6E 74 00 00 00 00 }
	condition:
		$1
}

rule function_1979_0 {
	meta:
		name = "TColorGrid.Create"
		size = 200
		refs = "000e @ClassCreate 001c TCustomControl.Create 0022 TColorGrid.Create 005f TControl.SetColor 006f TBrush.SetStyle 007f TPen.SetColor 00a0 GetStockObject 00a6 GetPaletteEntries"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 C6 83 90 01 00 00 02 C7 83 88 01 00 00 04 00 00 00 C7 83 8C 01 00 00 04 00 00 00 C6 83 78 01 00 00 01 C6 83 79 01 00 00 01 BA 0F 00 00 80 8B C3 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 8B 40 10 33 D2 E8 ?? ?? ?? ?? 6A 64 6A 64 33 C9 33 D2 8B C3 8B 30 FF 56 4C 8D 83 1C 01 00 00 50 6A 14 6A 00 6A 0F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_1980_0 {
	meta:
		name = "TColorGrid.ColorToIndex"
		size = 88
		refs = "0014 ColorToRGB 002c RGB"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 FF 33 DB 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 04 8D B4 9D 1C 01 00 00 8A 4E 02 8A 56 01 8A 06 E8 ?? ?? ?? ?? 3B 44 24 04 74 19 83 FB 08 7C 05 83 FB 08 7E 03 43 EB 03 83 C3 04 47 83 FB 14 7C D0 83 CF FF 8B C7 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1981_0 {
	meta:
		name = "TColorGrid.CreateWnd"
		size = 48
		refs = "0006 TWinControl.CreateWnd 000f TWinControl.GetHandle 0015 GetWindowLong 002a SetWindowLong"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0D 00 00 00 04 50 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1982_0 {
	meta:
		name = "_NF__C9"
		size = 518
		refs = "0064 Bounds 0080 TPen.SetColor 009d TCanvas.Rectangle 00ab InflateRect 00c6 Frame3D 00ee RGB 00fe TBrush.SetColor 0190 TCanvas.GetHandle 0196 DrawFocusRect 01b2 TPen.SetMode"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 88 0C 24 8B CA 8B D8 85 C9 0F 8C E8 01 00 00 83 F9 0F 0F 8F DF 01 00 00 83 F9 08 7D 04 8B F1 EB 03 8D 71 04 8B C1 8B AB 88 01 00 00 99 F7 FD 8B F8 0F AF BB 84 01 00 00 8B C1 99 F7 FD 0F AF 93 80 01 00 00 8B EA 8B 83 84 01 00 00 50 8D 44 24 08 50 8B 8B 80 01 00 00 8B D7 8B C5 E8 ?? ?? ?? ?? 80 BB D5 00 00 00 00 74 5B 8B 83 18 01 00 00 8B 40 10 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8B 44 24 0C 50 8B 44 24 14 50 8B 4C 24 10 8B 54 24 0C 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 44 24 0C 50 E8 ?? ?? ?? ?? 68 14 00 00 80 6A 02 8D 54 24 0C B9 10 00 00 80 8B 83 18 01 00 00 E8 ?? ?? ?? ?? EB 10 8B 83 18 01 00 00 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8D 84 B3 1C 01 00 00 8B F0 8A 4E 02 8A 56 01 8A 06 E8 ?? ?? ?? ?? 8B D0 8B 83 18 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 80 BB D5 00 00 00 00 74 1D 8A 4E 02 8A 56 01 8A 06 E8 ?? ?? ?? ?? 8B D0 8B 83 18 01 00 00 8B 40 10 E8 ?? ?? ?? ?? 80 3C 24 00 75 22 8B 44 24 0C 50 8B 44 24 14 50 8B 4C 24 10 8B 54 24 0C 8B 83 18 01 00 00 E8 ?? ?? ?? ?? E9 AE 00 00 00 80 BB D5 00 00 00 00 74 43 8B 44 24 0C 50 8B 44 24 14 50 8B 4C 24 10 8B 54 24 0C 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 44 24 0C 50 E8 ?? ?? ?? ?? 8D 44 24 04 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 62 8B 9B 18 01 00 00 8B 43 10 33 D2 E8 ?? ?? ?? ?? 8B 43 10 B2 03 E8 ?? ?? ?? ?? 8B 44 24 0C 50 8B 44 24 14 50 8B 4C 24 10 8B 54 24 0C 8B C3 E8 ?? ?? ?? ?? 8B 43 10 B2 04 E8 ?? ?? ?? ?? 8B 44 24 0C 83 E8 02 50 8B 44 24 14 83 E8 02 50 8B 4C 24 10 83 C1 02 8B 54 24 0C 83 C2 02 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1983_0 {
	meta:
		name = "_NF__CA"
		size = 10
	strings:
		$1 = { 84 C0 74 03 8B C2 C3 8B C1 C3 }
	condition:
		$1
}

rule function_1984_0 {
	meta:
		name = "_NF__CB"
		size = 675
		refs = "0014 _NF__CB 0027 TCanvas.GetHandle 002d SetBkMode 005b SFB 0060 LoadResString 006a SFG 009a _NF__CA 00d7 RGB 00e7 TFont.SetColor 013a @LStrToPChar 014c DrawText 0187 SBG 0290 @LStrClr 0296 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 80 BB 78 01 00 00 00 0F 84 10 01 00 00 8B 83 70 01 00 00 3B 83 74 01 00 00 75 18 80 BB 79 01 00 00 00 74 0F 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 70 01 00 00 83 F8 08 7C 03 83 C0 04 8B 84 83 1C 01 00 00 89 45 FC 80 7D FC 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 FC 80 7D FD 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 FD 80 7D FE 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 FE 8A 4D FE 8A 55 FD 8A 45 FC E8 ?? ?? ?? ?? 8B D0 8B 83 18 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 8B 83 70 01 00 00 99 F7 BB 88 01 00 00 8B CA 8B BB 80 01 00 00 0F AF CF 89 4D E8 03 CF 89 4D F0 8B 83 70 01 00 00 99 F7 BB 88 01 00 00 8B C8 8B BB 84 01 00 00 0F AF CF 89 4D EC 03 CF 89 4D F4 68 25 01 00 00 8D 45 E8 50 6A FF 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB 79 01 00 00 00 0F 84 10 01 00 00 8B 83 70 01 00 00 3B 83 74 01 00 00 75 18 80 BB 78 01 00 00 00 74 0F 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 74 01 00 00 83 F8 08 7C 03 83 C0 04 8B 84 83 1C 01 00 00 89 45 FC 80 7D FC 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 FC 80 7D FD 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 FD 80 7D FE 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 FE 8A 4D FE 8A 55 FD 8A 45 FC E8 ?? ?? ?? ?? 8B D0 8B 83 18 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 8B 83 74 01 00 00 99 F7 BB 88 01 00 00 8B CA 8B BB 80 01 00 00 0F AF CF 89 4D E8 03 CF 89 4D F0 8B 83 74 01 00 00 99 F7 BB 88 01 00 00 8B C8 8B BB 84 01 00 00 0F AF CF 89 4D EC 03 CF 89 4D F4 68 25 01 00 00 8D 45 E8 50 6A FF 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1985_0 {
	meta:
		name = "TColorGrid.EnableForeground"
		size = 68
		refs = "0037 _NF__C9 003e _NF__CB"
	strings:
		$1 = { 53 8B D8 3A 93 78 01 00 00 74 37 88 93 78 01 00 00 8B 83 70 01 00 00 3B 83 7C 01 00 00 75 09 80 BB 91 01 00 00 00 75 04 33 C9 EB 02 B1 01 8B 93 70 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1986_0 {
	meta:
		name = "TColorGrid.EnableBackground"
		size = 68
		refs = "0037 _NF__C9 003e _NF__CB"
	strings:
		$1 = { 53 8B D8 3A 93 79 01 00 00 74 37 88 93 79 01 00 00 8B 83 74 01 00 00 3B 83 7C 01 00 00 75 09 80 BB 91 01 00 00 00 75 04 33 C9 EB 02 B1 01 8B 93 74 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1987_0 {
	meta:
		name = "TColorGrid.GetForegroundColor"
		size = 37
		refs = "001f RGB"
	strings:
		$1 = { 53 8B 90 70 01 00 00 83 FA 08 7C 03 83 C2 04 8D 9C 90 1C 01 00 00 8A 4B 02 8A 53 01 8A 03 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1988_0 {
	meta:
		name = "TColorGrid.GetBackgroundColor"
		size = 37
		refs = "001f RGB"
	strings:
		$1 = { 53 8B 90 74 01 00 00 83 FA 08 7C 03 83 C2 04 8D 9C 90 1C 01 00 00 8A 4B 02 8A 53 01 8A 03 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1989_0 {
	meta:
		name = "TColorGrid.WMSetFocus"
		size = 47
		refs = "0018 _NF__C9 001f _NF__CB 0028 TWinControl.WMSetFocus"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 83 91 01 00 00 01 B1 01 8B 93 7C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1990_0 {
	meta:
		name = "TColorGrid.WMKillFocus"
		size = 47
		refs = "0018 _NF__C9 001f _NF__CB 0028 TWinControl.WMKillFocus"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 83 91 01 00 00 00 33 C9 8B 93 7C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1991_0 {
	meta:
		name = "TColorGrid.KeyDown"
		size = 520
		refs = "0014 TWinControl.KeyDown 004c TColorGrid.KeyDown 00d7 _NF__C9 00ea TColorGrid.SetForegroundIndex 00f3 TColorGrid.SetSelection 00fe @CallDynaInst 0159 TColorGrid.SetBackgroundIndex"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B EA 8B F0 8B D5 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 8B 8E 7C 01 00 00 8B F9 8B 9E 88 01 00 00 8B C3 F7 AE 8C 01 00 00 0F B7 55 00 83 FA 27 7F 35 0F 84 8D 01 00 00 83 C2 E0 83 FA 06 0F 87 94 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 FA 46 7F 19 74 25 83 EA 28 0F 84 25 01 00 00 83 EA 1A 0F 84 82 00 00 00 E9 53 01 00 00 83 EA 62 74 78 83 EA 04 0F 85 45 01 00 00 80 BE 78 01 00 00 00 75 44 80 BE 6C 01 00 00 00 74 3B C6 86 78 01 00 00 01 8B 86 70 01 00 00 3B 86 7C 01 00 00 75 09 80 BE 91 01 00 00 00 75 04 33 C9 EB 02 B1 01 8B 96 70 01 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 70 01 00 00 FF FF FF FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E9 E4 00 00 00 80 BE 79 01 00 00 00 75 44 80 BE 6C 01 00 00 00 74 3B C6 86 79 01 00 00 01 8B 86 74 01 00 00 3B 86 7C 01 00 00 75 09 80 BE 91 01 00 00 00 75 04 33 C9 EB 02 B1 01 8B 96 74 01 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 74 01 00 00 FF FF FF FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? EB 78 33 FF EB 74 3B D9 7F 06 8B F9 2B FB EB 6A 85 C9 74 09 8B F8 2B FB 03 F9 4F EB 5D 8B F8 4F EB 58 85 C9 74 05 8B F9 4F EB 4F 8B F8 4F EB 4A 8B D1 03 D3 3B C2 7E 0E 8B BE 7C 01 00 00 03 BE 88 01 00 00 EB 34 48 3B C8 74 0A 8B C1 99 F7 FB 8B FA 47 EB 25 33 FF EB 21 48 3B C8 74 05 8B F9 47 EB 17 33 FF EB 13 8B F8 4F EB 0E 8B D5 8A 0C 24 8B C6 E8 ?? ?? ?? ?? EB 17 66 C7 45 00 00 00 3B BE 7C 01 00 00 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1992_0 {
	meta:
		name = "TColorGrid.WMGetDlgCode"
		size = 8
		altNames = "TDBCtrlGrid.WMGetDlgCode TDBLookupControl.WMGetDlgCode"
	strings:
		$1 = { C7 42 0C 81 00 00 00 C3 }
	condition:
		$1
}

rule function_1993_0 {
	meta:
		name = "TColorGrid.WMSize"
		size = 21
		refs = "0006 TWinControl.WMSize 000f _NF__10C"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13761_0 {
	meta:
		name = "TCustomMemo.Loaded"
		size = 21
		refs = "0006 TComponent.Loaded 000f TCustomEdit.SetModified"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2425_0 {
	meta:
		name = "TCustomRichEdit.Clear"
		size = 21
		refs = "0006 TCustomEdit.Clear 000f TCustomEdit.SetModified"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5059_0 {
	meta:
		name = "TDBLookupComboBox.CMFontChanged"
		size = 21
		refs = "0006 TWinControl.CMFontChanged 000f TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5062_0 {
	meta:
		name = "TDBLookupComboBox.WMKillFocus"
		size = 21
		refs = "0006 TDBLookupControl.WMKillFocus 000f TDBLookupComboBox.CloseUp"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5644_0 {
	meta:
		name = "TDatabase.Commit"
		size = 21
		refs = "0006 _NF__5AC 000f _NF__5B6"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11183_0 {
	meta:
		name = "TOleContainer.WMKillFocus"
		size = 21
		refs = "0006 TWinControl.WMKillFocus 000f _NF__2F9"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1995_0 {
	meta:
		name = "TColorGrid.MouseDown"
		size = 281
		refs = "001e TControl.MouseDown 0037 TColorGrid.SquareFromPos 0080 _NF__C9 0093 TColorGrid.SetForegroundIndex 009e TControl.SetMouseCapture 00f4 TColorGrid.SetBackgroundIndex 00fd TColorGrid.SetSelection"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B DA 8B F8 8B 75 0C 56 8B 45 08 50 8A 4D FF 8B D3 8B C7 E8 ?? ?? ?? ?? 88 9F 9C 01 00 00 C6 87 9D 01 00 00 01 8B 4D 08 8B D6 8B C7 E8 ?? ?? ?? ?? 8B F0 84 DB 75 58 80 BF 78 01 00 00 00 75 44 80 BF 6C 01 00 00 00 74 3B C6 87 78 01 00 00 01 8B 87 70 01 00 00 3B 87 7C 01 00 00 75 09 80 BF 91 01 00 00 00 75 04 33 C9 EB 02 B1 01 8B 97 70 01 00 00 8B C7 E8 ?? ?? ?? ?? C7 87 70 01 00 00 FF FF FF FF 8B D6 8B C7 E8 ?? ?? ?? ?? EB 5F B2 01 8B C7 E8 ?? ?? ?? ?? 80 BF 79 01 00 00 00 75 44 80 BF 6C 01 00 00 00 74 3B C6 87 79 01 00 00 01 8B 87 74 01 00 00 3B 87 7C 01 00 00 75 09 80 BF 91 01 00 00 00 75 04 33 C9 EB 02 B1 01 8B 97 74 01 00 00 8B C7 E8 ?? ?? ?? ?? C7 87 74 01 00 00 FF FF FF FF 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 80 BF D4 00 00 00 00 74 07 8B C7 8B 10 FF 52 78 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1996_0 {
	meta:
		name = "TColorGrid.MouseMove"
		size = 98
		refs = "001a TControl.MouseMove 002e TColorGrid.SquareFromPos 0042 TColorGrid.SetForegroundIndex 004d TColorGrid.SetBackgroundIndex 0056 TColorGrid.SetSelection"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 9D 01 00 00 00 74 33 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 80 BB 9C 01 00 00 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1997_0 {
	meta:
		name = "TColorGrid.MouseUp"
		size = 59
		refs = "0018 TControl.MouseUp 0031 TControl.SetMouseCapture"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? C6 83 9D 01 00 00 00 80 BB 9C 01 00 00 01 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1998_0 {
	meta:
		name = "TColorGrid.Paint"
		size = 113
		refs = "0011 TCanvas.SetFont 0043 _NF__C9 0067 _NF__CB"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 53 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B 83 8C 01 00 00 85 C0 7C 32 40 89 04 24 33 ED 8B B3 88 01 00 00 85 F6 7C 1C 46 33 FF 8B C5 F7 AB 88 01 00 00 03 C7 33 C9 8B D0 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E7 45 FF 0C 24 75 D4 8A 8B 91 01 00 00 8B 93 7C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1999_0 {
	meta:
		name = "TColorGrid.SetBackgroundIndex"
		size = 138
		refs = "003b _NF__C9 0078 _NF__CB 0083 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 74 01 00 00 3B F0 74 77 80 BB 79 01 00 00 00 74 6E 8B 93 74 01 00 00 3B 93 7C 01 00 00 75 09 80 BB 91 01 00 00 00 75 04 33 C9 EB 02 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 89 83 74 01 00 00 3B 83 70 01 00 00 75 26 8B 93 74 01 00 00 3B 93 7C 01 00 00 75 09 80 BB 91 01 00 00 00 75 04 33 C9 EB 02 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB DB FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2000_0 {
	meta:
		name = "TColorGrid.SetForegroundIndex"
		size = 138
		refs = "003b _NF__C9 0078 _NF__CB 0083 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 70 01 00 00 3B F0 74 77 80 BB 78 01 00 00 00 74 6E 8B 93 70 01 00 00 3B 93 7C 01 00 00 75 09 80 BB 91 01 00 00 00 75 04 33 C9 EB 02 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 89 83 70 01 00 00 3B 83 74 01 00 00 75 26 8B 93 70 01 00 00 3B 93 7C 01 00 00 75 09 80 BB 91 01 00 00 00 75 04 33 C9 EB 02 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB DB FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2001_0 {
	meta:
		name = "TColorGrid.SetGridOrdering"
		size = 60
		refs = "0036 _NF__10C"
	strings:
		$1 = { 53 3A 90 90 01 00 00 74 31 8B DA 88 98 90 01 00 00 8B CB BA 10 00 00 00 D3 EA 89 90 88 01 00 00 8A 88 90 01 00 00 BA 01 00 00 00 D3 E2 89 90 8C 01 00 00 B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2002_0 {
	meta:
		name = "TColorGrid.SetSelection"
		size = 60
		refs = "0017 _NF__C9 0035 _NF__CB"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 7C 01 00 00 3B F0 74 29 33 C9 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 89 83 7C 01 00 00 8A 8B 91 01 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2003_0 {
	meta:
		name = "TColorGrid.SquareFromPos"
		size = 76
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 48 3B F0 7E 04 8B F0 EB 06 85 F6 7D 02 33 F6 8B 43 3C 48 3B C8 7E 04 8B C8 EB 06 85 C9 7D 02 33 C9 8B C1 99 F7 BB 84 01 00 00 8B C8 0F AF 8B 88 01 00 00 8B C6 99 F7 BB 80 01 00 00 03 C8 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_2004_0 {
	meta:
		name = "_NF__10C"
		size = 124
		refs = "003c Bounds 0045 TControl.SetBoundsRect"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B DA 8B F0 8B 46 38 8B 8E 88 01 00 00 99 F7 F9 8B E8 0F AF E9 8B 46 3C 8B 8E 8C 01 00 00 99 F7 F9 8B F8 0F AF F9 57 8D 44 24 04 50 8B CD 8B 56 34 8B 46 30 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 46 38 99 F7 BE 88 01 00 00 89 86 80 01 00 00 8B 46 3C 99 F7 BE 8C 01 00 00 89 86 84 01 00 00 84 DB 74 07 8B C6 8B 10 FF 52 44 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2005_0 {
	meta:
		name = "TColorGrid.Change"
		size = 36
		refs = "0006 TControl.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 96 01 00 00 00 74 0E 8B D3 8B 83 98 01 00 00 FF 93 94 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2008_0 {
	meta:
		name = "_NF__6B1"
		size = 12
	strings:
		$1 = { FF FF FF FF 03 00 00 00 72 74 66 00 }
	condition:
		$1
}

rule function_2009_0 {
	meta:
		name = "_NF__6B3"
		size = 12
	strings:
		$1 = { FF FF FF FF 03 00 00 00 74 78 74 00 }
	condition:
		$1
}

rule function_2010_0 {
	meta:
		name = "InitCommonControl"
		size = 43
		refs = "0012 InitCommonControlsEx 0021 InitCommonControls"
	strings:
		$1 = { 53 83 C4 F8 C7 04 24 08 00 00 00 89 44 24 04 8B C4 E8 ?? ?? ?? ?? F7 D8 1B DB F7 DB 84 DB 75 05 E8 ?? ?? ?? ?? 8B C3 59 5A 5B C3 }
	condition:
		$1
}

rule function_2011_0 {
	meta:
		name = "CheckCommonControl"
		size = 99
		refs = "000c CheckCommonControl 0019 InitCommonControl 0025 sInvalidComCtl32 002a LoadResString 0034 _Dn_EComponentError 0039 Exception.Create 003e @RaiseExcept 0053 @LStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2013_0 {
	meta:
		name = "_NF__6BD"
		size = 45
		refs = "0010 TWinControl.GetHandle 0016 SendMessage 001f _NF__6BC 0027 _NF__6F9"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 09 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2014_0 {
	meta:
		name = "_NF__6BE"
		size = 48
		refs = "0012 TWinControl.GetHandle 0018 SendMessage 0021 _NF__6BC 0029 _NF__6F9"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 08 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2015_0 {
	meta:
		name = "_NF__6BF"
		size = 100
		refs = "0037 TWinControl.GetHandle 003d SendMessage 0046 _NF__6BC 0056 @LStrFromArray"
	strings:
		$1 = { 53 56 57 81 C4 04 F0 FF FF 50 83 C4 E4 8B F9 8B F2 8B D8 C7 04 24 01 00 00 00 8D 44 24 1C 89 44 24 0C C7 44 24 10 00 10 00 00 8B C4 50 56 68 05 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 8B C7 8D 54 24 1C B9 00 10 00 00 E8 ?? ?? ?? ?? 81 C4 1C 10 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2016_0 {
	meta:
		name = "_NF__6C0"
		size = 28
		refs = "0010 TWinControl.GetHandle 0016 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 04 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2017_0 {
	meta:
		name = "_NF__6C1"
		size = 58
		refs = "001d TWinControl.GetHandle 0023 SendMessage 002c _NF__6BC"
	strings:
		$1 = { 53 56 83 C4 E4 8B F2 8B D8 C7 04 24 08 00 00 00 8B C4 50 56 68 05 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 8B 44 24 18 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_2018_0 {
	meta:
		name = "_NF__6C2"
		size = 77
		refs = "0016 @LStrToPChar 002b TWinControl.GetHandle 0031 SendMessage 003a _NF__6BC 0042 _NF__6F9"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F9 8B F2 8B D8 C7 04 24 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 44 24 0C 8B C4 50 56 68 06 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2019_0 {
	meta:
		name = "_NF__6C3"
		size = 58
		refs = "0021 TWinControl.GetHandle 0027 SendMessage 0030 _NF__6BC"
	strings:
		$1 = { 53 56 83 C4 E4 8B F2 8B D8 C7 04 24 08 00 00 00 89 4C 24 18 8B C4 50 56 68 06 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_2020_0 {
	meta:
		name = "_NF__6C4"
		size = 77
		refs = "0016 @LStrToPChar 002b TWinControl.GetHandle 0031 SendMessage 003a _NF__6BC 0042 _NF__6F9"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F9 8B F2 8B D8 C7 04 24 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 44 24 0C 8B C4 50 56 68 07 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 7D 05 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2021_0 {
	meta:
		name = "_NF__6C5"
		size = 68
		refs = "001f TWinControl.GetHandle 0025 SendMessage 003c _NF__6F9"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7E 0C 88 9F 29 01 00 00 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 10 8B 46 0C 8B 10 FF 52 44 8B 46 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2022_0 {
	meta:
		name = "TCustomTabControl.Create"
		size = 128
		refs = "000e @ClassCreate 001c TWinControl.Create 0028 TControl.SetWidth 0034 TControl.SetHeight 003d TWinControl.SetTabStop 0043 TCustomTabControl.Create 004e _NV__6BA 0053 TObject.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 21 01 00 00 8B C3 E8 ?? ?? ?? ?? BA C1 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 01 00 00 89 5E 0C 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 81 00 00 00 }
	condition:
		$1
}

rule function_2023_0 {
	meta:
		name = "TCustomTabControl.Destroy"
		size = 56
		refs = "000d TObject.Free 0024 TWinControl.Destroy 002f @ClassDestroy"
		altNames = "TScrollingWinControl.Destroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2024_0 {
	meta:
		name = "TCustomTabControl.CanChange"
		size = 40
		altNames = "TCustomUpDown.CanChange"
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 3A 01 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 3C 01 00 00 FF 93 38 01 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2025_0 {
	meta:
		name = "TCustomTabControl.Change"
		size = 29
		altNames = "TScrollBox.Resize TStatusBar.Resize"
	strings:
		$1 = { 53 66 83 B8 32 01 00 00 00 74 10 8B D8 8B D0 8B 83 34 01 00 00 FF 93 30 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2026_0 {
	meta:
		name = "TCustomTabControl.CreateParams"
		size = 180
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TCustomTabControl.CreateParams 0023 TWinControl.CreateSubClass 003a _NV__6D1"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 0D 00 00 00 02 33 D2 8A 93 2C 01 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 80 BB D4 00 00 00 00 75 07 81 4E 04 00 80 00 00 80 BB 28 01 00 00 00 74 07 81 4E 04 00 02 00 00 66 83 BB 24 01 00 00 00 74 07 81 4E 04 00 04 00 00 80 BB 2A 01 00 00 00 74 0A F6 43 20 10 75 04 83 4E 04 40 80 BB 2B 01 00 00 00 74 04 83 4E 04 01 8B 46 24 83 E0 FC 83 C8 08 89 46 24 5E 5B C3 00 00 00 53 79 73 54 61 62 43 6F 6E 74 72 6F 6C 33 32 00 }
	condition:
		$1
}

rule function_2027_0 {
	meta:
		name = "TCustomTabControl.CreateWnd"
		size = 85
		refs = "0007 TWinControl.CreateWnd 0017 _NF__6FA 003b TCustomTabControl.SetTabIndex 0046 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB 24 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B B3 1C 01 00 00 85 F6 74 2D 8B D6 8B 83 18 01 00 00 8B 08 FF 51 08 8B 93 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2028_0 {
	meta:
		name = "TCustomTabControl.DestroyWnd"
		size = 75
		refs = "0016 _Dn_TStringList 001b TObject.Create 0037 TCustomTabControl.GetTabIndex 0044 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 8B D8 8B 83 18 01 00 00 8B 10 FF 52 14 85 C0 7E 2E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 01 00 00 8B 93 18 01 00 00 8B C6 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 89 83 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2029_0 {
	meta:
		name = "TCustomTabControl.AlignControls"
		size = 56
		refs = "0011 TCustomTabControl.GetDisplayRect 002d TWinControl.AlignControls"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8B FA 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 56 57 8B FE 8D 74 24 08 B9 04 00 00 00 F3 A5 5F 5E 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2030_0 {
	meta:
		name = "TCustomTabControl.GetDisplayRect"
		size = 43
		refs = "001a TWinControl.GetHandle 0020 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 2C 56 6A 00 68 28 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 46 04 02 5E 5B C3 }
	condition:
		$1
}

rule function_2031_0 {
	meta:
		name = "TCustomTabControl.GetTabIndex"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 0B 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2032_0 {
	meta:
		name = "TCustomTabControl.SetHotTrack"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "THeader.SetBorderStyle"
	strings:
		$1 = { 3A 90 2A 01 00 00 74 0B 88 90 2A 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2033_0 {
	meta:
		name = "TCustomTabControl.SetMultiLine"
		size = 30
		refs = "0019 TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 28 01 00 00 74 15 88 90 28 01 00 00 84 D2 75 06 88 90 2B 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2034_0 {
	meta:
		name = "TCustomTabControl.SetScrollOpposite"
		size = 30
		refs = "0019 TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 2B 01 00 00 74 15 88 90 2B 01 00 00 84 D2 74 06 88 90 28 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2035_0 {
	meta:
		name = "TCustomTabControl.SetTabHeight"
		size = 170
		refs = "0018 TCustomTabControl.SetTabHeight 0039 TObject.ClassName 0057 SPropertyOutOfRange 005c LoadResString 0069 _Dn_EInvalidOperation 006e Exception.CreateFmt 0073 @RaiseExcept 0081 _NF__6FA 0099 @LStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 33 C9 89 8D F4 FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 3B 93 26 01 00 00 74 5A 66 85 D2 7D 47 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 93 26 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2036_0 {
	meta:
		name = "TCustomTabControl.SetTabIndex"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 0C 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2037_0 {
	meta:
		name = "TCustomListBox.SetStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomListView.SetMultiSelect TCustomTabControl.SetTabPosition TDateTimePicker.SetDateFormat TScrollBox.SetBorderStyle"
	strings:
		$1 = { 3A 90 2C 01 00 00 74 0B 88 90 2C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2038_0 {
	meta:
		name = "TCustomComboBox.SetItems"
		size = 16
		altNames = "TCustomListBox.SetItems TCustomTabControl.SetTabs"
	strings:
		$1 = { 56 8B F0 8B 86 18 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2039_0 {
	meta:
		name = "TCustomTabControl.SetTabWidth"
		size = 196
		refs = "0018 TCustomTabControl.SetTabWidth 0039 TObject.ClassName 0057 SPropertyOutOfRange 005c LoadResString 0069 _Dn_EInvalidOperation 006e Exception.CreateFmt 0073 @RaiseExcept 0092 TWinControl.RecreateWnd 009b _NF__6FA 00b3 @LStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 33 C9 89 8D F4 FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 3B 93 24 01 00 00 74 74 66 85 D2 7D 47 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 83 24 01 00 00 66 89 93 24 01 00 00 66 85 C0 74 05 66 85 D2 75 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2040_0 {
	meta:
		name = "_NF__6F9"
		size = 63
		refs = "000f TWinControl.HandleAllocated 002c TWinControl.GetHandle 0032 SendMessage 0039 TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 80 BB 29 01 00 00 00 75 31 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 0F B7 43 38 0F B7 53 3C C1 E2 10 0B C2 50 6A 00 6A 05 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2041_0 {
	meta:
		name = "_NF__6FA"
		size = 39
		refs = "0014 TWinControl.GetHandle 001a SendMessage 0021 _NF__6F9"
	strings:
		$1 = { 53 8B D8 8B 83 24 01 00 00 50 6A 00 68 29 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2042_0 {
	meta:
		name = "TCustomTabControl.WMDestroy"
		size = 67
		refs = "0008 GetFocus 0015 TWinControl.GetHandle 0027 IsChild 0032 SetFocus 003b TWinControl.WMDestroy"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 E8 ?? ?? ?? ?? 8B F0 85 F6 74 24 8B C3 E8 ?? ?? ?? ?? 3B F0 74 12 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 6A 00 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2043_0 {
	meta:
		name = "TCustomTabControl.WMEraseBkgnd"
		size = 31
		refs = "001a TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 80 B8 14 01 00 00 00 74 10 8B 4A 04 3B 4A 08 74 08 C7 42 0C 01 00 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2044_0 {
	meta:
		name = "TCoolBar.WMNotifyFormat"
		size = 36
		refs = "0014 TWinControl.GetHandle 001a DefWindowProc"
		altNames = "TCustomTabControl.WMNotifyFormat TToolBar.WMNotifyFormat"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 08 50 8B 43 04 50 8B 03 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_2045_0 {
	meta:
		name = "TCustomTabControl.WMSize"
		size = 31
		refs = "0006 TWinControl.WMSize 0013 TWinControl.GetHandle 0019 RedrawWindow"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 05 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2046_0 {
	meta:
		name = "TCustomTabControl.CMFontChanged"
		size = 39
		refs = "0006 TWinControl.CMFontChanged 000d TWinControl.HandleAllocated 0021 TControl.Perform"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 6A 00 33 C9 BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2047_0 {
	meta:
		name = "TCoolBar.CMSysColorChange"
		size = 39
		refs = "000b TWinControl.CMSysColorChange"
		altNames = "TCustomTabControl.CMSysColorChange TCustomTreeView.CMSysColorChange"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? F6 46 20 01 75 0F C7 07 15 00 00 00 8B D7 8B C6 8B 08 FF 51 F0 5F 5E C3 }
	condition:
		$1
}

rule function_2048_0 {
	meta:
		name = "TCustomTabControl.CMTabStopChanged"
		size = 12
		refs = "0007 TWinControl.RecreateWnd"
	strings:
		$1 = { F6 40 20 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2049_0 {
	meta:
		name = "TCustomTabControl.CNNotify"
		size = 67
		refs = "001e @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 47 08 8B 40 08 2D D8 FD FF FF 74 10 48 75 28 8B C6 66 BB DA FF E8 ?? ?? ?? ?? EB 1B C7 47 0C 01 00 00 00 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 89 47 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2050_0 {
	meta:
		name = "TTabSheet.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TWinControl.Create 0020 TControl.SetAlign 0026 TTabSheet.Create 0037 TControl.SetVisible"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 05 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 1C 01 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 01 04 00 00 }
	condition:
		$1
}

rule function_2051_0 {
	meta:
		name = "TTabSheet.Destroy"
		size = 51
		refs = "0013 _NF__74E 001f TWinControl.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 18 01 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2052_0 {
	meta:
		name = "TTabSheet.GetPageIndex"
		size = 27
		refs = "0012 TList.IndexOf"
	strings:
		$1 = { 8B 90 18 01 00 00 85 D2 74 0D 8B 92 40 01 00 00 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_2053_0 {
	meta:
		name = "TTabSheet.GetTabIndex"
		size = 77
		refs = "0017 TTabSheet.GetPageIndex 0034 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F0 33 ED 80 BE 1D 01 00 00 00 75 03 4D EB 32 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 FF 8B 86 18 01 00 00 8B 80 40 01 00 00 8B D7 E8 ?? ?? ?? ?? 80 B8 1D 01 00 00 00 74 01 45 47 4B 75 DF 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2054_0 {
	meta:
		name = "TCustomGroupBox.CreateParams"
		size = 16
		refs = "0006 TWinControl.CreateParams"
		altNames = "TDBCtrlPanel.CreateParams TScrollingWinControl.CreateParams TTabSet.CreateParams TTabSheet.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 63 24 FC 5B C3 }
	condition:
		$1
}

rule function_2055_0 {
	meta:
		name = "TTabSheet.ReadState"
		size = 49
		refs = "000c TWinControl.ReadState 0017 _DV_TPageControl 001c @IsClass 0029 TTabSheet.SetPageControl"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7E 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3954_0 {
	meta:
		name = "TField.ReadState"
		size = 49
		refs = "000c TComponent.ReadState 0017 _DV_TDataSet 001c @IsClass 0029 TField.SetDataSet"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7E 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2056_0 {
	meta:
		name = "TTabSheet.SetPageControl"
		size = 52
		refs = "0017 _NF__74E 002d _NF__74B"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 18 01 00 00 3B F0 74 21 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 3C 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2057_0 {
	meta:
		name = "TTabSheet.SetPageIndex"
		size = 212
		refs = "0016 TTabSheet.SetPageIndex 0054 sPageIndexError 0059 LoadResString 0063 _Dn_EListError 0068 Exception.CreateFmt 006d @RaiseExcept 0074 TTabSheet.GetTabIndex 007d TTabSheet.GetPageIndex 0092 TList.Move 00ac _NF__74D 00c1 @LStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 18 01 00 00 85 C0 0F 84 82 00 00 00 8B 80 40 01 00 00 8B 78 08 4F 3B FE 7D 35 89 75 F0 C6 45 F4 00 89 7D F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 18 01 00 00 8B 80 40 01 00 00 8B CE E8 ?? ?? ?? ?? 85 FF 7C 16 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2058_0 {
	meta:
		name = "_NF__72A"
		size = 59
		refs = "001f _NF__74C 002e _NF__73C"
	strings:
		$1 = { 53 8B D8 3A 93 1D 01 00 00 74 2E 84 D2 74 16 C6 83 1D 01 00 00 01 8B D3 8B 83 18 01 00 00 E8 ?? ?? ?? ?? EB 14 8B D3 8B 83 18 01 00 00 E8 ?? ?? ?? ?? C6 83 1D 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_2059_0 {
	meta:
		name = "TTabSheet.SetTabVisible"
		size = 20
		refs = "000f _NF__72E"
	strings:
		$1 = { 3A 90 1C 01 00 00 74 0B 88 90 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13839_0 {
	meta:
		name = "TCustomCheckBox.SetAlignment"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 1C 01 00 00 74 0B 88 90 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13894_0 {
	meta:
		name = "TCustomListBox.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 1C 01 00 00 74 0B 88 90 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13851_0 {
	meta:
		name = "TRadioButton.SetAlignment"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 1C 01 00 00 74 0B 88 90 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2060_0 {
	meta:
		name = "_NF__72E"
		size = 30
		refs = "0019 _NF__72A"
	strings:
		$1 = { 83 B8 18 01 00 00 00 74 09 80 B8 1C 01 00 00 00 75 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2061_0 {
	meta:
		name = "TTabSheet.CMTextChanged"
		size = 23
		refs = "0012 _NF__75C"
	strings:
		$1 = { 80 B8 1D 01 00 00 00 74 0D 8B D0 8B 80 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2062_0 {
	meta:
		name = "TPageControl.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TCustomTabControl.Create 001d TPageControl.Create 0028 _Dn_TList 002d TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 40 01 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 C0 00 00 00 }
	condition:
		$1
}

rule function_2063_0 {
	meta:
		name = "TPageControl.Destroy"
		size = 91
		refs = "0022 TList.Get 0039 TObject.Free 0045 TCustomTabControl.Destroy 0050 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B 86 40 01 00 00 8B 68 08 4D 85 ED 7C 1C 45 33 FF 8B D7 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 33 D2 89 90 18 01 00 00 47 4D 75 E7 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2064_0 {
	meta:
		name = "TPageControl.Change"
		size = 56
		refs = "0006 _NF__75D 0013 GetParentForm 0032 TCustomTabControl.Change"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 1F 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 54 01 00 00 00 74 0B 8B 80 54 01 00 00 8B 10 FF 52 04 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2065_0 {
	meta:
		name = "_NF__73B"
		size = 218
		refs = "0016 GetParentForm 0036 TWinControl.ContainsControl 0047 TCustomForm.SetActiveControl 0052 TControl.BringToFront 005b TControl.SetVisible 007d TWinControl.CanFocus 00d2 TWinControl.SelectFirst"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 3B BB 44 01 00 00 0F 84 C3 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 2B 83 BB 44 01 00 00 00 74 22 8B 96 2C 01 00 00 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 93 44 01 00 00 8B C6 E8 ?? ?? ?? ?? 85 FF 74 4A 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 85 F6 74 36 83 BB 44 01 00 00 00 74 2D 8B 86 2C 01 00 00 3B 83 44 01 00 00 75 1F 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 89 BB 44 01 00 00 85 F6 74 22 83 BB 44 01 00 00 00 74 19 8B 86 2C 01 00 00 3B 83 44 01 00 00 75 0B 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2066_0 {
	meta:
		name = "_NF__73C"
		size = 36
		refs = "0009 TTabSheet.GetTabIndex 001d _NF__75D"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 18 01 00 00 8B 08 FF 51 44 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2067_0 {
	meta:
		name = "TPageControl.FindNextPage"
		size = 136
		refs = "0019 TList.IndexOf 0067 TList.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B F0 8B 86 40 01 00 00 83 78 08 00 74 66 E8 ?? ?? ?? ?? 8B F8 83 FF FF 75 14 80 7D FF 00 74 0C 8B 86 40 01 00 00 8B 78 08 4F EB 02 33 FF 8B DF 80 7D FF 00 74 10 43 8B 86 40 01 00 00 3B 58 08 75 12 33 DB EB 0E 85 DB 75 09 8B 86 40 01 00 00 8B 58 08 4B 8B D3 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 80 7D 08 00 74 0F 80 B8 1C 01 00 00 00 75 06 3B FB 75 BC 33 C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2068_0 {
	meta:
		name = "TPageControl.GetChildren"
		size = 64
		refs = "0029 TList.Get"
		altNames = "TTabbedNotebook.GetChildren"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 80 40 01 00 00 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B D6 8B 45 FC 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2069_0 {
	meta:
		name = "TPageControl.GetPage"
		size = 12
		refs = "0007 TList.Get"
	strings:
		$1 = { 8B 80 40 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2642_0 {
	meta:
		name = "TCustomListView.GetColumnFromIndex"
		size = 12
		refs = "0007 TListColumns.GetItem"
	strings:
		$1 = { 8B 80 40 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5406_0 {
	meta:
		name = "TDBLookupCombo.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 40 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2070_0 {
	meta:
		name = "TPageControl.GetPageCount"
		size = 10
	strings:
		$1 = { 8B 80 40 01 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_2071_0 {
	meta:
		name = "_NF__74B"
		size = 35
		refs = "000f TList.Add 001c _NF__72E"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 89 9E 18 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2072_0 {
	meta:
		name = "_NF__74C"
		size = 102
		refs = "000f _NF__74C 0020 TControl.GetText 002b TTabSheet.GetTabIndex 0039 TStrings.InsertObject 0040 _NF__75D 0055 @LStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 18 01 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2073_0 {
	meta:
		name = "_NF__74D"
		size = 24
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B 86 18 01 00 00 8B 18 FF 53 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2074_0 {
	meta:
		name = "_NF__74E"
		size = 56
		refs = "0013 TPageControl.SetActivePage 001c _NF__72A 0031 TList.Remove"
	strings:
		$1 = { 53 56 8B DA 8B F0 3B 9E 44 01 00 00 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 18 01 00 00 8B D3 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2075_0 {
	meta:
		name = "TPageControl.SelectNextPage"
		size = 82
		refs = "0012 TPageControl.FindNextPage 002b @CallDynaInst 0036 TTabSheet.GetTabIndex 003f TCustomTabControl.SetTabIndex"
	strings:
		$1 = { 53 56 57 8B F0 6A 01 8B CA 8B C6 8B 96 44 01 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 74 32 3B BE 44 01 00 00 74 2A 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 84 C0 74 1B 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB DA FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2076_0 {
	meta:
		name = "TPageControl.SetActivePage"
		size = 62
		refs = "0017 _NF__73B 0022 TTabSheet.GetTabIndex 002b TCustomTabControl.SetTabIndex"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 08 3B B3 18 01 00 00 75 29 8B D3 8B C6 E8 ?? ?? ?? ?? 85 DB 74 12 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 0A 83 CA FF 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2077_0 {
	meta:
		name = "TPageControl.SetChildOrder"
		size = 10
		refs = "0005 TTabSheet.SetPageIndex"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5716_0 {
	meta:
		name = "TBDEDataSet.BCDToCurr"
		size = 10
		refs = "0005 FMTBCDToCurr"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4565_0 {
	meta:
		name = "TClientDataSet.BCDToCurr"
		size = 10
		refs = "0005 FMTBCDToCurr"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2457_0 {
	meta:
		name = "TCustomRichEdit.RegisterConversionFormat"
		size = 10
		refs = "0005 _NF__B2A"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2078_0 {
	meta:
		name = "TPageControl.ShowControl"
		size = 52
		refs = "000a _DV_TTabSheet 000f @IsClass 0024 TPageControl.SetActivePage 002d TWinControl.ShowControl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 3B 9E 18 01 00 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2079_0 {
	meta:
		name = "_NF__75C"
		size = 94
		refs = "000f _NF__75C 001f TControl.GetText 002a TTabSheet.GetTabIndex 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 18 01 00 00 59 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2080_0 {
	meta:
		name = "_NF__75D"
		size = 45
		refs = "0006 TCustomTabControl.GetTabIndex 0027 TPageControl.SetActivePage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 1D 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 18 01 00 00 8B 08 FF 51 18 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2081_0 {
	meta:
		name = "TPageControl.CMDesignHitTest"
		size = 91
		refs = "0012 SmallPointToPoint 0032 TWinControl.GetHandle 0038 SendMessage 0045 TCustomTabControl.GetTabIndex"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B D8 8D 54 24 0C 8B 47 08 E8 ?? ?? ?? ?? 8B 44 24 0C 89 04 24 8B 44 24 10 89 44 24 04 8B C4 50 6A 00 68 0D 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 12 8B C3 E8 ?? ?? ?? ?? 3B F0 74 07 C7 47 0C 01 00 00 00 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2082_0 {
	meta:
		name = "TPageControl.CMDialogKey"
		size = 67
		refs = "0010 GetKeyState 0029 TPageControl.SelectNextPage 003c TWinControl.CMDialogKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 7E 04 09 75 2A 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 1E 6A 10 E8 ?? ?? ?? ?? 66 85 C0 0F 9D C2 8B C3 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2083_0 {
	meta:
		name = "TStatusPanel.Create"
		size = 57
		refs = "000a @ClassCreate 0022 TCollectionItem.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C7 46 10 32 00 00 00 C6 46 15 01 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2084_0 {
	meta:
		name = "TStatusPanel.Assign"
		size = 91
		refs = "000b _DV_TStatusPanel 0010 @IsClass 0020 TStatusPanel.SetText 002a TStatusPanel.SetWidth 0034 TStatusPanel.SetAlignment 003e TStatusPanel.SetBevel 0048 TStatusPanel.SetStyle 0053 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 36 8B FE 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8A 57 14 8B C3 E8 ?? ?? ?? ?? 8A 57 15 8B C3 E8 ?? ?? ?? ?? 8A 57 16 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2085_0 {
	meta:
		name = "THeaderSection.GetDisplayName"
		size = 33
		refs = "000c @LStrLAsg 001a TCollectionItem.GetDisplayName"
		altNames = "TListColumn.GetDisplayName TStatusPanel.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C E8 ?? ?? ?? ?? 83 3E 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2086_0 {
	meta:
		name = "THTMLTableColumn.SetAlign"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "TStatusPanel.SetAlignment"
	strings:
		$1 = { 3A 50 14 74 0A 88 50 14 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2087_0 {
	meta:
		name = "TStatusPanel.SetBevel"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 15 74 0A 88 50 15 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2088_0 {
	meta:
		name = "TStatusPanel.SetStyle"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 16 74 0A 88 50 16 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2089_0 {
	meta:
		name = "THeaderSection.SetText"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
		altNames = "TStatusPanel.SetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2090_0 {
	meta:
		name = "TStatusPanel.SetWidth"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 10 74 0A 89 50 10 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2091_0 {
	meta:
		name = "TStatusPanels.Create"
		size = 59
		refs = "000b @ClassCreate 0017 _DV_TStatusPanel 0020 TCollection.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4200_0 {
	meta:
		name = "TCheckConstraints.Create"
		size = 59
		refs = "000b @ClassCreate 0017 _DV_TCheckConstraint 0020 TCollection.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2827_0 {
	meta:
		name = "TCoolBands.Create"
		size = 59
		refs = "000b @ClassCreate 0017 _DV_TCoolBand 0020 TCollection.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2122_0 {
	meta:
		name = "THeaderSections.Create"
		size = 59
		refs = "000b @ClassCreate 0017 _DV_THeaderSection 0020 TCollection.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2506_0 {
	meta:
		name = "TListColumns.Create"
		size = 59
		refs = "000b @ClassCreate 0017 _DV_TListColumn 0020 TCollection.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2092_0 {
	meta:
		name = "TCheckConstraints.Add"
		size = 12
		refs = "0006 TCollection.Add"
		altNames = "TCookieCollection.Add TCoolBands.Add TDBGridColumns.Add TDimensionItems.Add THTMLTableColumns.Add THeaderSections.Add TListColumns.Add TStatusPanels.Add TWebActionItems.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10675_0 {
	meta:
		name = "TCubeDims.Add"
		size = 12
		refs = "0006 TDimensionItems.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10725_0 {
	meta:
		name = "TQueryDims.Add"
		size = 12
		refs = "0006 TDimensionItems.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14585_0 {
	meta:
		name = "_NF__394"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9737_0 {
	meta:
		name = "mci_HMS_Second"
		size = 12
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9728_0 {
	meta:
		name = "mci_MSF_Frame"
		size = 12
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9732_0 {
	meta:
		name = "mci_TMSF_Second"
		size = 12
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2093_0 {
	meta:
		name = "TCheckConstraints.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
		altNames = "TCookieCollection.GetCookie TCoolBands.GetItem TDBGridColumns.GetColumn TDimensionItems.GetDimensionItem TDisplayDims.GetDisplayDim THTMLTableColumns.GetColumn THeaderSections.GetItem TListColumns.GetItem TStatusPanels.GetItem TWebActionItems.GetActionItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10673_0 {
	meta:
		name = "TCubeDims.GetCubeDim"
		size = 18
		refs = "000b TDimensionItems.GetDimensionItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13691_0 {
	meta:
		name = "TCustomLabel.GetLabelText"
		size = 18
		refs = "000b TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9301_0 {
	meta:
		name = "TCustomMaskEdit.GetEditText"
		size = 18
		refs = "000b TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5409_0 {
	meta:
		name = "TDBLookupCombo.GetDisplayValue"
		size = 18
		refs = "000b TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3927_0 {
	meta:
		name = "TField.GetDisplayLabel"
		size = 18
		refs = "000b TField.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11254_0 {
	meta:
		name = "TOleControl.GetByteProp"
		size = 18
		refs = "000b TOleControl.GetIntegerProp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11283_0 {
	meta:
		name = "TOleControl.GetShortIntProp"
		size = 18
		refs = "000b TOleControl.GetIntegerProp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11289_0 {
	meta:
		name = "TOleControl.GetWordProp"
		size = 18
		refs = "000b TOleControl.GetIntegerProp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10723_0 {
	meta:
		name = "TQueryDims.GetQueryDim"
		size = 18
		refs = "000b TDimensionItems.GetDimensionItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6644_0 {
	meta:
		name = "TStringProperty.GetValue"
		size = 18
		refs = "000b TPropertyEditor.GetStrValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2094_0 {
	meta:
		name = "TCheckConstraints.GetOwner"
		size = 4
		altNames = "TCoolBands.GetOwner TDBGridColumns.GetOwner TDimensionItems.GetOwner THTMLTableColumns.GetOwner THeaderSections.GetOwner TListColumns.GetOwner TPrinterSettings.GetCopies TStatusPanels.GetOwner TWebActionItems.GetOwner"
	strings:
		$1 = { 8B 40 18 C3 }
	condition:
		$1
}

rule function_2096_0 {
	meta:
		name = "TStatusPanels.Update"
		size = 41
		refs = "000d TCollectionItem.GetIndex 0017 _NF__7AC 0022 _NF__7AD"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2834_0 {
	meta:
		name = "TCoolBands.Update"
		size = 41
		refs = "000d TCollectionItem.GetIndex 0017 _NF__F5A 0022 _NF__F5D"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2127_0 {
	meta:
		name = "THeaderSections.Update"
		size = 41
		refs = "000d TCollectionItem.GetIndex 0017 _NF__80A 0022 _NF__80B"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2511_0 {
	meta:
		name = "TListColumns.Update"
		size = 41
		refs = "000d TCollectionItem.GetIndex 0017 TCustomListView.UpdateColumn 0022 TCustomListView.UpdateColumns"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2097_0 {
	meta:
		name = "TStatusBar.Create"
		size = 160
		refs = "000e @ClassCreate 001c TWinControl.Create 0022 TStatusBar.Create 0032 TControl.SetColor 003e TControl.SetHeight 0047 TControl.SetAlign 0050 _DV_TStatusPanels 0055 TStatusPanels.Create 0062 _Dn_TControlCanvas 0067 TCanvas.Create 0078 TControlCanvas.SetControl"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 43 40 BA 0F 00 00 80 8B C3 E8 ?? ?? ?? ?? BA 13 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 18 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? C6 83 25 01 00 00 01 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 CA 00 00 00 }
	condition:
		$1
}

rule function_2098_0 {
	meta:
		name = "THeaderControl.Destroy"
		size = 56
		refs = "000d TObject.Free 0024 TWinControl.Destroy 002f @ClassDestroy"
		altNames = "TStatusBar.Destroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2099_0 {
	meta:
		name = "TStatusBar.CreateParams"
		size = 88
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TStatusBar.CreateParams 0023 TWinControl.CreateSubClass"
	strings:
		$1 = { 53 56 8B DA 8B F0 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 80 BE 25 01 00 00 00 74 09 81 4B 04 00 01 00 00 EB 04 83 4B 04 01 83 63 24 FD 5E 5B C3 6D 73 63 74 6C 73 5F 73 74 61 74 75 73 62 61 72 33 32 00 00 }
	condition:
		$1
}

rule function_2100_0 {
	meta:
		name = "TStatusBar.CreateWnd"
		size = 94
		refs = "0006 TWinControl.CreateWnd 000d _NF__7AD 0021 @LStrToPChar 0033 TWinControl.GetHandle 0039 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BB 20 01 00 00 00 74 23 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 50 68 FF 00 00 00 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB 24 01 00 00 00 74 16 6A 00 6A 01 68 09 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2101_0 {
	meta:
		name = "TStatusBar.DrawPanel"
		size = 47
		refs = "0029 TCanvas.FillRect"
	strings:
		$1 = { 53 66 83 B8 2A 01 00 00 00 74 15 51 8B D8 8B CA 8B D0 8B 83 2C 01 00 00 FF 93 28 01 00 00 5B C3 8B D1 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2103_0 {
	meta:
		name = "TGanttSeries.SetConnectingPen"
		size = 12
		altNames = "THeaderControl.SetSections TScrollingWinControl.SetHorzScrollBar TStatusBar.SetPanels"
	strings:
		$1 = { 8B 80 18 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_2104_0 {
	meta:
		name = "TStatusBar.SetSimplePanel"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 002f TWinControl.GetHandle 0035 SendMessage"
	strings:
		$1 = { 53 8B D8 3A 93 24 01 00 00 74 2E 88 93 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 6A 00 33 C0 8A 83 24 01 00 00 50 68 09 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2105_0 {
	meta:
		name = "TStatusBar.SetSimpleText"
		size = 83
		refs = "000f @LStrCmp 001e @LStrAsg 0025 TWinControl.HandleAllocated 0034 @LStrToPChar 0046 TWinControl.GetHandle 004c SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 20 01 00 00 8B D6 E8 ?? ?? ?? ?? 74 3B 8D 83 20 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 50 68 FF 00 00 00 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2106_0 {
	meta:
		name = "TStatusBar.SetSizeGrip"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 25 01 00 00 74 0B 88 90 25 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2107_0 {
	meta:
		name = "_NF__7AC"
		size = 264
		refs = "0010 _NF__7AC 001d TWinControl.HandleAllocated 0032 TStatusPanels.GetItem 0066 @LStrLAsg 0081 @LStrCat3 009b @LStrToPChar 00a3 TCollectionItem.GetIndex 00b2 TWinControl.GetHandle 00b8 SendMessage 00c9 InvalidateRect 00de @LStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 8B D6 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 33 FF 8A 46 15 2C 01 72 06 FE C8 74 09 EB 0C BF 00 01 00 00 EB 05 BF 00 02 00 00 80 7E 16 01 75 06 81 CF 00 10 00 00 8D 45 FC 8B 56 0C E8 ?? ?? ?? ?? 8A 46 14 FE C8 74 16 FE C8 75 22 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 0B F8 57 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 FF FF FF FF 01 00 00 00 09 00 00 00 FF FF FF FF 02 00 00 00 09 09 00 00 }
	condition:
		$1
}

rule function_2108_0 {
	meta:
		name = "_NF__7AD"
		size = 260
		refs = "000f TWinControl.HandleAllocated 0022 TCollection.GetCount 0056 TWinControl.GetHandle 005c SendMessage 0061 _NF__7AD 009b TStatusPanels.GetItem 00ea _NF__7AC"
	strings:
		$1 = { 53 56 57 55 81 C4 F8 FD FF FF 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 D7 00 00 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 04 24 81 3C 24 80 00 00 00 7E 07 C7 04 24 80 00 00 00 83 3C 24 00 75 3C C7 44 24 08 FF FF FF FF 8D 44 24 08 50 6A 01 68 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 77 33 C0 89 44 24 04 8B 34 24 83 EE 02 85 F6 7C 28 46 33 ED 8D 7C 24 08 8B D5 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B 40 10 01 44 24 04 8B 44 24 04 89 07 45 83 C7 04 4E 75 DF 8B 04 24 C7 44 84 04 FF FF FF FF 8D 44 24 08 50 8B 44 24 04 50 68 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 34 24 4E 85 F6 7C 10 46 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 45 4E 75 F3 81 C4 08 02 00 00 5D 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2109_0 {
	meta:
		name = "TStatusBar.CNDrawItem"
		size = 156
		refs = "0011 SaveDC 0022 TCanvas.SetHandle 0030 TCanvas.SetFont 0043 TBrush.SetColor 0053 TBrush.SetStyle 0061 TStatusPanels.GetItem 0071 @CallDynaInst 008b RestoreDC"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 8B 7D 08 8B 47 18 50 E8 ?? ?? ?? ?? 89 04 24 8B 57 18 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B 56 50 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 57 08 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4F 1C 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 33 D2 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B 04 24 50 8B 47 18 50 E8 ?? ?? ?? ?? C7 45 0C 01 00 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2110_0 {
	meta:
		name = "TStatusBar.WMSize"
		size = 31
		refs = "0011 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 F6 46 20 01 75 0B 8B C6 66 BB DA FF E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 5E 5B C3 }
	condition:
		$1
}

rule function_2111_0 {
	meta:
		name = "THeaderSection.Create"
		size = 64
		refs = "000a @ClassCreate 0029 TCollectionItem.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C7 46 10 32 00 00 00 C7 46 18 10 27 00 00 C6 46 1E 01 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2112_0 {
	meta:
		name = "THeaderSection.Assign"
		size = 107
		refs = "000b _DV_THeaderSection 0010 @IsClass 0020 THeaderSection.SetText 002a THeaderSection.SetWidth 0034 THeaderSection.SetMinWidth 003e THeaderSection.SetMaxWidth 0048 THeaderSection.SetAlignment 0052 THeaderSection.SetStyle 0063 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8B FE 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8B 57 14 8B C3 E8 ?? ?? ?? ?? 8B 57 18 8B C3 E8 ?? ?? ?? ?? 8A 57 1C 8B C3 E8 ?? ?? ?? ?? 8A 57 1D 8B C3 E8 ?? ?? ?? ?? 8A 47 1E 88 43 1E EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2114_0 {
	meta:
		name = "THeaderSection.GetLeft"
		size = 49
		refs = "000b TCollectionItem.GetIndex 001f THeaderSections.GetItem"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 14 43 33 F6 8B D6 8B 47 04 E8 ?? ?? ?? ?? 03 68 10 46 4B 75 EF 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2115_0 {
	meta:
		name = "THeaderSection.GetRight"
		size = 15
		refs = "0006 THeaderSection.GetLeft"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 03 43 10 5B C3 }
	condition:
		$1
}

rule function_2116_0 {
	meta:
		name = "THeaderSection.SetAlignment"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 1C 74 0A 88 50 1C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2117_0 {
	meta:
		name = "THeaderSection.SetMaxWidth"
		size = 34
		refs = "001d THeaderSection.SetWidth"
	strings:
		$1 = { 8B 48 14 3B D1 7D 02 8B D1 81 FA 10 27 00 00 7E 05 BA 10 27 00 00 89 50 18 8B 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2118_0 {
	meta:
		name = "THeaderSection.SetMinWidth"
		size = 27
		refs = "0016 THeaderSection.SetWidth"
	strings:
		$1 = { 85 D2 7D 02 33 D2 8B 48 18 3B D1 7E 02 8B D1 89 50 14 8B 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2119_0 {
	meta:
		name = "THeaderSection.SetStyle"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 1D 74 0A 88 50 1D 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2121_0 {
	meta:
		name = "THeaderSection.SetWidth"
		size = 63
		refs = "0021 TCollectionItem.GetIndex 002b TCollection.GetCount 0038 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B D8 8B 43 14 3B D0 7D 02 8B D0 8B 43 18 3B D0 7E 02 8B D0 3B 53 10 74 21 89 53 10 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 04 E8 ?? ?? ?? ?? 48 3B F0 0F 9C C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2128_0 {
	meta:
		name = "THeaderControl.Create"
		size = 140
		refs = "000e @ClassCreate 001c TWinControl.Create 0022 THeaderControl.Create 002f TControl.SetAlign 003b TControl.SetHeight 0044 _DV_THeaderSections 0049 THeaderSections.Create 0056 _Dn_TControlCanvas 005b TCanvas.Create 006c TControlCanvas.SetControl"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 43 40 B2 01 8B C3 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 18 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_2130_0 {
	meta:
		name = "THeaderControl.CreateParams"
		size = 76
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a THeaderControl.CreateParams 0023 TWinControl.CreateSubClass"
	strings:
		$1 = { 53 56 8B DA 8B F0 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 83 4B 04 02 80 BE 20 01 00 00 00 74 04 83 4B 04 04 83 63 24 FC 5E 5B C3 00 53 79 73 48 65 61 64 65 72 33 32 00 }
	condition:
		$1
}

rule function_2132_0 {
	meta:
		name = "THeaderControl.DrawSection"
		size = 57
		refs = "0030 TCanvas.FillRect"
	strings:
		$1 = { 55 8B EC 53 66 83 B8 26 01 00 00 00 74 19 51 8A 4D 08 51 8B D8 8B CA 8B D0 8B 83 28 01 00 00 FF 93 24 01 00 00 EB 0D 8B D1 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2133_0 {
	meta:
		name = "TCustomPanel.Resize"
		size = 29
		altNames = "THeaderControl.Resize"
	strings:
		$1 = { 53 66 83 B8 2E 01 00 00 00 74 10 8B D8 8B D0 8B 83 30 01 00 00 FF 93 2C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2134_0 {
	meta:
		name = "THeaderControl.SectionClick"
		size = 31
	strings:
		$1 = { 53 66 83 B8 36 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 38 01 00 00 FF 93 34 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2135_0 {
	meta:
		name = "THeaderControl.SectionResize"
		size = 31
	strings:
		$1 = { 53 66 83 B8 3E 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 40 01 00 00 FF 93 3C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2136_0 {
	meta:
		name = "THeaderControl.SectionTrack"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 46 01 00 00 00 74 17 51 8A 4D 08 51 8B D8 8B CA 8B D0 8B 83 48 01 00 00 FF 93 44 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2137_0 {
	meta:
		name = "TAnimate.SetCenter"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomComboBox.SetSorted TCustomStaticText.SetShowAccelChar THeaderControl.SetHotTrack"
	strings:
		$1 = { 3A 90 20 01 00 00 74 0B 88 90 20 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2139_0 {
	meta:
		name = "_NF__809"
		size = 170
		refs = "0013 THeaderSections.GetItem 0023 @FillChar 0039 @LStrToPChar 0045 @LStrLen 0090 TCollectionItem.GetIndex 0099 TWinControl.GetHandle 009f SendMessage"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B FA 8B F0 8B D1 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B C4 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? C7 04 24 07 00 00 00 8B 43 10 89 44 24 04 8B 43 0C E8 ?? ?? ?? ?? 89 44 24 08 8B 43 0C E8 ?? ?? ?? ?? 89 44 24 10 8A 43 1C 2C 01 72 04 74 0A EB 12 33 C0 89 44 24 14 EB 12 C7 44 24 14 01 00 00 00 EB 08 C7 44 24 14 02 00 00 00 80 7B 1D 01 75 0A 81 4C 24 14 00 80 00 00 EB 08 81 4C 24 14 00 40 00 00 8B C4 50 8B C3 E8 ?? ?? ?? ?? 50 57 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2140_0 {
	meta:
		name = "_NF__80A"
		size = 34
		refs = "0009 TWinControl.HandleAllocated 001b _NF__809"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE BA 04 12 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2141_0 {
	meta:
		name = "_NF__80B"
		size = 114
		refs = "0008 TWinControl.HandleAllocated 001c TWinControl.GetHandle 0022 SendMessage 004e TCollection.GetCount 0066 _NF__809"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 5E 6A 00 6A 00 68 00 12 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 6A 00 6A 00 68 02 12 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 4B 75 E7 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 33 FF 8B CF BA 01 12 00 00 8B C6 E8 ?? ?? ?? ?? 47 4B 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2142_0 {
	meta:
		name = "THeaderControl.CNDrawItem"
		size = 164
		refs = "0011 SaveDC 0022 TCanvas.SetHandle 0030 TCanvas.SetFont 0043 TBrush.SetColor 0053 TBrush.SetStyle 0069 THeaderSections.GetItem 0079 @CallDynaInst 0093 RestoreDC"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 8B 7D 08 8B 47 18 50 E8 ?? ?? ?? ?? 89 04 24 8B 57 18 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B 56 50 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 8B 40 14 33 D2 E8 ?? ?? ?? ?? F6 47 10 01 0F 95 C0 50 8B 57 08 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4F 1C 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 33 D2 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B 04 24 50 8B 47 18 50 E8 ?? ?? ?? ?? C7 45 0C 01 00 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2143_0 {
	meta:
		name = "THeaderControl.CNNotify"
		size = 239
		refs = "002e THeaderSections.GetItem 003b @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B 5A 08 8B 43 08 05 34 01 00 00 83 E8 03 72 66 83 E8 03 74 08 48 74 25 E9 C5 00 00 00 8B 53 0C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB D9 FF E8 ?? ?? ?? ?? E9 A5 00 00 00 8B 43 14 F6 00 01 0F 84 99 00 00 00 8B 53 0C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B 43 14 8B 40 04 3B 47 10 74 7E 89 47 10 8B D7 8B C6 66 BB D8 FF E8 ?? ?? ?? ?? EB 6C 8B 53 0C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B 43 08 2D CD FE FF FF 74 09 48 75 0C C6 04 24 00 EB 0A C6 04 24 02 EB 04 C6 04 24 01 8B 6B 14 8B 55 04 8B 47 14 3B D0 7D 03 89 45 04 8B 55 04 8B 47 18 3B D0 7E 03 89 45 04 8A 04 24 50 8B 53 0C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D 04 8B C6 66 BB D7 FF E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2144_0 {
	meta:
		name = "THeaderControl.WMLButtonDown"
		size = 96
		refs = "0026 TWinControl.GetHandle 002c SendMessage 0046 THeaderSections.GetItem 0055 TControl.WMLButtonDown"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B D8 0F BF 47 08 89 04 24 0F BF 47 0A 89 44 24 04 8B C4 50 6A 00 68 06 12 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 1A F6 44 24 08 02 74 13 8B D6 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 80 78 1E 00 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2145_0 {
	meta:
		name = "THeaderControl.WMSize"
		size = 31
		refs = "0007 TWinControl.WMSize 0018 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? F6 46 20 01 75 0B 8B C6 66 BB DA FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2147_0 {
	meta:
		name = "_NF__81B"
		size = 108
		refs = "000f TTreeNode.GetTreeView 004c @LStrToPChar 005b lstrcmp"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 0C 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 66 83 B8 BA 01 00 00 00 74 2B 56 8B 45 10 50 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 86 BC 01 00 00 FF 96 B8 01 00 00 EB 1A 8B 46 08 E8 ?? ?? ?? ?? 50 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_2149_0 {
	meta:
		name = "_NF__81D"
		size = 60
		refs = "0021 _DV_ETreeViewError 0026 Exception.CreateFmt 002b @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 03 DB 43 8B 34 9A 4B 56 79 F9 8B D4 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7D F4 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_2150_0 {
	meta:
		name = "TTreeNode.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 1C FF FF FF FF C7 47 20 FF FF FF FF 89 77 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2151_0 {
	meta:
		name = "TTreeNode.Destroy"
		size = 165
		refs = "0025 TTreeNode.GetParent 003a TTreeNode.IndexOf 004f _NF__83F 005c TTreeNode.SetExpanded 0065 TTreeNode.SetChildren 0072 TTreeNode.GetHandle 007a TreeView_DeleteItem 0083 TTreeNode.SetData 008f TPersistent.Destroy 009a @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 C6 45 24 01 8B 45 04 8B 40 04 3B A8 68 01 00 00 75 08 33 D2 89 90 68 01 00 00 8B C5 E8 ?? ?? ?? ?? 8B F0 85 F6 74 3A 80 7E 24 00 75 34 8B D5 8B C6 E8 ?? ?? ?? ?? 40 74 07 BF 01 00 00 00 EB 02 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 12 33 D2 8B C5 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7D 10 00 74 0F 8B C5 E8 ?? ?? ?? ?? 8B 55 10 E8 ?? ?? ?? ?? 33 D2 8B C5 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C5 E8 ?? ?? ?? ?? 84 DB 74 07 8B C5 E8 ?? ?? ?? ?? 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2152_0 {
	meta:
		name = "TTreeNode.GetHandle"
		size = 17
		refs = "0006 TTreeNode.GetTreeView 000b TWinControl.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2613_0 {
	meta:
		name = "TCustomListView.GetSelCount"
		size = 17
		refs = "0006 TWinControl.GetHandle 000b ListView_GetSelectedCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2283_0 {
	meta:
		name = "TCustomTreeView.GetIndent"
		size = 17
		refs = "0006 TWinControl.GetHandle 000b TreeView_GetIndent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2524_0 {
	meta:
		name = "TListItem.GetHandle"
		size = 17
		refs = "0006 TListItem.GetListView 000b TWinControl.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12754_0 {
	meta:
		name = "_NF__4B1"
		size = 17
		refs = "0006 TQRPrinter.GetCanvas 000b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9733_0 {
	meta:
		name = "mci_TMSF_Frame"
		size = 17
		refs = "0006 HiWord 000b HiByte"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2153_0 {
	meta:
		name = "TListItem.GetListView"
		size = 7
		altNames = "TTreeNode.GetTreeView"
	strings:
		$1 = { 8B 40 04 8B 40 04 C3 }
	condition:
		$1
}

rule function_2154_0 {
	meta:
		name = "TTreeNode.HasAsParent"
		size = 62
		refs = "000d TTreeNode.GetParent 0032 TTreeNode.HasAsParent"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 2F 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 22 8B C3 E8 ?? ?? ?? ?? 3B F0 75 04 B0 01 EB 13 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_2155_0 {
	meta:
		name = "TTreeNode.SetText"
		size = 123
		refs = "000f @LStrAsg 002c TTreeNode.GetHandle 0033 TreeView_SetItem 003a TTreeNode.GetTreeView 0053 TTreeNode.GetParent 0063 TTreeNode.AlphaSort 0071 TCustomTreeView.AlphaSort"
	strings:
		$1 = { 53 56 83 C4 D8 8B F2 8B D8 8D 43 08 8B D6 E8 ?? ?? ?? ?? C7 04 24 01 00 00 00 8B 43 10 89 44 24 04 C7 44 24 10 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 80 38 01 00 00 04 FE 2C 02 73 2B 80 7B 25 00 74 25 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_2156_0 {
	meta:
		name = "TTreeNode.SetData"
		size = 95
		refs = "0009 TTreeNode.GetTreeView 003b TTreeNode.GetParent 004b TTreeNode.AlphaSort 0059 TCustomTreeView.AlphaSort"
	strings:
		$1 = { 53 8B D8 89 53 0C 8B C3 E8 ?? ?? ?? ?? 8A 80 38 01 00 00 2C 01 74 04 2C 02 75 42 8B C3 E8 ?? ?? ?? ?? 66 83 B8 BA 01 00 00 00 74 31 80 7B 24 00 75 2B 80 7B 25 00 74 25 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2157_0 {
	meta:
		name = "_NF__832"
		size = 140
		refs = "001e TTreeNode.GetHandle 0027 TreeView_GetItem 003c _NF__832"
	strings:
		$1 = { 53 56 83 C4 D4 88 14 24 8B F0 33 DB C7 44 24 04 08 00 00 00 8B 46 10 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 8D 54 24 04 E8 ?? ?? ?? ?? 85 C0 74 55 33 C0 8A 04 24 83 F8 04 77 4B FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F6 44 24 0C 04 0F 95 C3 EB 26 F6 44 24 0C 01 0F 95 C3 EB 1C F6 44 24 0C 02 0F 95 C3 EB 12 F6 44 24 0C 20 0F 95 C3 EB 08 F6 44 24 0C 08 0F 95 C3 8B C3 83 C4 2C 5E 5B C3 }
	condition:
		$1
}

rule function_2158_0 {
	meta:
		name = "TTreeNode.SetImageIndex"
		size = 50
		refs = "0022 TTreeNode.GetHandle 0029 TreeView_SetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 89 53 14 C7 04 24 12 00 00 00 8B 43 10 89 44 24 04 C7 44 24 18 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2159_0 {
	meta:
		name = "TTreeNode.SetSelectedIndex"
		size = 50
		refs = "0022 TTreeNode.GetHandle 0029 TreeView_SetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 89 53 18 C7 04 24 30 00 00 00 8B 43 10 89 44 24 04 C7 44 24 1C FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2160_0 {
	meta:
		name = "TTreeNode.SetOverlayIndex"
		size = 66
		refs = "0026 IndexToOverlayMask 0031 TTreeNode.GetHandle 0038 TreeView_SetItem"
	strings:
		$1 = { 53 56 83 C4 D8 8B D8 8B F2 89 73 1C C7 04 24 18 00 00 00 C7 44 24 0C 00 0F 00 00 8B 43 10 89 44 24 04 8B C6 40 E8 ?? ?? ?? ?? 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_2161_0 {
	meta:
		name = "TTreeNode.SetStateIndex"
		size = 71
		refs = "002b IndexToStateImageMask 0036 TTreeNode.GetHandle 003d TreeView_SetItem"
	strings:
		$1 = { 53 56 83 C4 D8 8B F2 8B D8 89 73 20 85 F6 7C 01 4E C7 04 24 18 00 00 00 C7 44 24 0C 00 F0 00 00 8B 43 10 89 44 24 04 8D 46 01 E8 ?? ?? ?? ?? 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_2162_0 {
	meta:
		name = "_NF__83F"
		size = 46
		refs = "000a TTreeNode.GetFirstChild 0016 TTreeNode.GetNextChild"
	strings:
		$1 = { 53 56 57 8B F2 33 FF 33 DB E8 ?? ?? ?? ?? 85 C0 74 10 47 8B D0 E8 ?? ?? ?? ?? 3B F7 7C 0A 85 C0 75 F0 3B F7 75 02 B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2163_0 {
	meta:
		name = "_NF__840"
		size = 75
		refs = "000d TTreeNode.GetChildren 001e TTreeNode.GetTreeView 0029 @CallDynaInst"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 30 80 3C 24 00 74 16 8B C6 E8 ?? ?? ?? ?? 8B D6 66 BB D8 FF E8 ?? ?? ?? ?? 8B D8 EB 14 8B C6 E8 ?? ?? ?? ?? 8B D6 66 BB D9 FF E8 ?? ?? ?? ?? 8B D8 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2164_0 {
	meta:
		name = "_NF__841"
		size = 62
		refs = "0009 TTreeNode.GetChildren 0018 TTreeNode.GetTreeView 0023 @CallDynaInst"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2A 84 DB 74 14 8B C6 E8 ?? ?? ?? ?? 8B D6 66 BB D4 FF E8 ?? ?? ?? ?? EB 12 8B C6 E8 ?? ?? ?? ?? 8B D6 66 BB D6 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2165_0 {
	meta:
		name = "_NF__842"
		size = 226
		refs = "0019 _NF__842 0020 TTreeNode.GetNext 0034 TTreeNode.HasAsParent 0045 TTreeNode.GetTreeView 006a _NF__840 007d _NF__841 00a8 TTreeNode.GetHandle 00b5 TreeView_Expand 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 84 C9 74 32 8B 75 FC 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 AF 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 D6 E9 9C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C6 80 70 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 84 DB 74 1F B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2E BE 02 00 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? EB 1D 33 D2 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0F BE 01 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 85 F6 74 15 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 52 10 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C6 80 70 01 00 00 00 C3 E9 ?? ?? ?? ?? EB E9 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2166_0 {
	meta:
		name = "TTreeNode.Expand"
		size = 10
		refs = "0005 _NF__842"
	strings:
		$1 = { 8B CA B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2167_0 {
	meta:
		name = "TTreeNode.Collapse"
		size = 10
		refs = "0005 _NF__842"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2168_0 {
	meta:
		name = "TTreeNode.GetExpanded"
		size = 8
		refs = "0003 _NF__832"
	strings:
		$1 = { B2 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2169_0 {
	meta:
		name = "TTreeNode.SetExpanded"
		size = 20
		refs = "0007 TTreeNode.Expand 000f TTreeNode.Collapse"
	strings:
		$1 = { 84 D2 74 08 33 D2 E8 ?? ?? ?? ?? C3 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2170_0 {
	meta:
		name = "TTreeNode.GetSelected"
		size = 8
		refs = "0003 _NF__832"
	strings:
		$1 = { B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2171_0 {
	meta:
		name = "TTreeNode.SetSelected"
		size = 51
		refs = "000a TTreeNode.GetHandle 0012 TreeView_SelectItem 001b TTreeNode.GetSelected"
	strings:
		$1 = { 53 8B D8 84 D2 74 11 8B C3 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2175_0 {
	meta:
		name = "TTreeNode.SetDropTarget"
		size = 51
		refs = "000a TTreeNode.GetHandle 0012 TreeView_SelectDropTarget 001b TTreeNode.GetDropTarget"
	strings:
		$1 = { 53 8B D8 84 D2 74 11 8B C3 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2173_0 {
	meta:
		name = "TTreeNode.SetCut"
		size = 65
		refs = "0031 TTreeNode.GetHandle 0038 TreeView_SetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 84 D2 74 05 83 C8 FF EB 02 33 C0 C7 04 24 08 00 00 00 8B 53 10 89 54 24 04 BA 04 00 00 00 89 54 24 0C 23 C2 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2176_0 {
	meta:
		name = "TTreeNode.GetChildren"
		size = 55
		refs = "0017 TTreeNode.GetHandle 001e TreeView_GetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 C7 04 24 40 00 00 00 8B 43 10 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 85 C0 74 0A 83 7C 24 20 00 0F 9F C0 EB 02 33 C0 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2177_0 {
	meta:
		name = "TTreeNode.SetFocused"
		size = 65
		refs = "0031 TTreeNode.GetHandle 0038 TreeView_SetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 84 D2 74 05 83 C8 FF EB 02 33 C0 C7 04 24 08 00 00 00 8B 53 10 89 54 24 04 BA 01 00 00 00 89 54 24 0C 23 C2 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2178_0 {
	meta:
		name = "TTreeNode.GetFocused"
		size = 8
		refs = "0003 _NF__832"
	strings:
		$1 = { B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2179_0 {
	meta:
		name = "TTreeNode.SetChildren"
		size = 47
		refs = "001f TTreeNode.GetHandle 0026 TreeView_SetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 C7 04 24 40 00 00 00 8B 43 10 89 44 24 04 33 C0 8A C2 89 44 24 20 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2180_0 {
	meta:
		name = "TTreeNode.GetParent"
		size = 34
		refs = "000a TTreeNodes.GetHandle 0012 TreeView_GetParent 001b TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2187_0 {
	meta:
		name = "TTreeNode.GetFirstChild"
		size = 34
		refs = "000a TTreeNodes.GetHandle 0012 TreeView_GetChild 001b TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2181_0 {
	meta:
		name = "TTreeNode.GetNextSibling"
		size = 34
		refs = "000a TTreeNodes.GetHandle 0012 TreeView_GetNextSibling 001b TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2182_0 {
	meta:
		name = "TTreeNode.GetPrevSibling"
		size = 34
		refs = "000a TTreeNodes.GetHandle 0012 TreeView_GetPrevSibling 001b TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2184_0 {
	meta:
		name = "TTreeNode.GetPrevVisible"
		size = 34
		refs = "000a TTreeNodes.GetHandle 0012 TreeView_GetPrevVisible 001b TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2183_0 {
	meta:
		name = "TTreeNode.GetNextVisible"
		size = 50
		refs = "0007 TTreeNode.IsNodeVisible 0015 TTreeNodes.GetHandle 001d TreeView_GetNextVisible 0026 TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_2185_0 {
	meta:
		name = "TTreeNode.GetNextChild"
		size = 15
		refs = "0007 TTreeNode.GetNextSibling"
	strings:
		$1 = { 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_2186_0 {
	meta:
		name = "TTreeNode.GetPrevChild"
		size = 15
		refs = "0007 TTreeNode.GetPrevSibling"
	strings:
		$1 = { 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_2188_0 {
	meta:
		name = "TTreeNode.GetLastChild"
		size = 31
		refs = "0002 TTreeNode.GetFirstChild 0013 TTreeNode.GetNextSibling"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0F 8B C3 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 F3 8B C3 5B C3 }
	condition:
		$1
}

rule function_2189_0 {
	meta:
		name = "TTreeNode.GetNext"
		size = 85
		refs = "0009 TTreeNodes.GetHandle 0015 TreeView_GetChild 0023 TreeView_GetNextSibling 0031 TreeView_GetParent 004d TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 E8 ?? ?? ?? ?? 8B F0 8B 57 10 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0A 8B 57 10 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 EB 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 75 04 85 DB 75 E4 8B 57 04 92 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2190_0 {
	meta:
		name = "TTreeNode.GetPrev"
		size = 48
		refs = "0007 TTreeNode.GetPrevSibling 0018 TTreeNode.GetLastChild 0025 TTreeNode.GetParent"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B C3 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 F3 EB 09 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_2191_0 {
	meta:
		name = "TTreeNode.GetAbsoluteIndex"
		size = 22
		refs = "000a TTreeNode.GetPrev"
		altNames = "TTreeNode.GetIndex"
	strings:
		$1 = { 53 83 CB FF 85 C0 74 0A 43 E8 ?? ?? ?? ?? 85 C0 75 F6 8B C3 5B C3 }
	condition:
		$1
}

rule function_2193_0 {
	meta:
		name = "TTreeNode.GetItem"
		size = 119
		refs = "0010 TTreeNode.GetItem 001d TTreeNode.GetFirstChild 002a TTreeNode.GetNextChild 0041 SListIndexError 0046 LoadResString 004e _NF__81C 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 0C 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 4E 85 DB 74 04 85 F6 7F EC 85 DB 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2194_0 {
	meta:
		name = "TTreeNode.SetItem"
		size = 29
		refs = "000e TTreeNode.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5744_0 {
	meta:
		name = "TBDEDataSet.SetIndexField"
		size = 29
		refs = "000e TBDEDataSet.GetIndexField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4602_0 {
	meta:
		name = "TClientDataSet.SetIndexField"
		size = 29
		refs = "000e TClientDataSet.GetIndexField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8288_0 {
	meta:
		name = "TCookieCollection.SetCookie"
		size = 29
		refs = "000e TCookieCollection.GetCookie"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10674_0 {
	meta:
		name = "TCubeDims.SetCubeDim"
		size = 29
		refs = "000e TCubeDims.GetCubeDim"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5251_0 {
	meta:
		name = "TDBGridColumns.SetColumn"
		size = 29
		refs = "000e TDBGridColumns.GetColumn"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10007_0 {
	meta:
		name = "TDimensionItems.SetDimensionItem"
		size = 29
		refs = "000e TDimensionItems.GetDimensionItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10320_0 {
	meta:
		name = "TDisplayDims.SetDisplayDim"
		size = 29
		refs = "000e TDisplayDims.GetDisplayDim"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6099_0 {
	meta:
		name = "THTMLTableColumns.SetColumn"
		size = 29
		refs = "000e THTMLTableColumns.GetColumn"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2555_0 {
	meta:
		name = "TListItems.SetItem"
		size = 29
		refs = "000e TListItems.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10724_0 {
	meta:
		name = "TQueryDims.SetQueryDim"
		size = 29
		refs = "000e TQueryDims.GetQueryDim"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2237_0 {
	meta:
		name = "TTreeNodes.SetItem"
		size = 29
		refs = "000e TTreeNodes.GetNodeFromIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8353_0 {
	meta:
		name = "TWebActionItems.SetActionItem"
		size = 29
		refs = "000e TWebActionItems.GetActionItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2195_0 {
	meta:
		name = "TTreeNode.IndexOf"
		size = 52
		refs = "000d TTreeNode.GetFirstChild 001f TTreeNode.GetNextChild"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 83 CE FF 8B C3 E8 ?? ?? ?? ?? 85 C0 74 12 46 3B F8 74 0D 8B D0 8B C3 E8 ?? ?? ?? ?? 85 C0 75 EE 85 C0 75 03 83 CE FF 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2196_0 {
	meta:
		name = "TTreeNode.GetCount"
		size = 28
		refs = "0004 TTreeNode.GetFirstChild 0010 TTreeNode.GetNextChild"
	strings:
		$1 = { 53 33 DB E8 ?? ?? ?? ?? 85 C0 74 0C 43 8B D0 E8 ?? ?? ?? ?? 85 C0 75 F4 8B C3 5B C3 }
	condition:
		$1
}

rule function_2197_0 {
	meta:
		name = "TTreeNode.EndEdit"
		size = 25
		refs = "0009 TTreeNode.GetHandle 0012 TreeView_EndEditLabelNow"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? F6 DB 1B D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2198_0 {
	meta:
		name = "_NF__892"
		size = 378
		refs = "001a _NF__892 0043 TTreeNode.GetChildren 004d TTreeNode.GetSelected 0057 TTreeNode.GetParent 006c _NF__83F 007e TTreeNode.SetExpanded 008c TTreeNode.SetChildren 00a5 TTreeNode.GetHandle 00ad TreeView_SetItem 00bc TTreeNodes.CreateItem 00d0 TTreeNodes.AddItem 00de sInsertError 00e3 LoadResString 00ed _Dn_EOutOfResources 00f2 Exception.Create 00f7 @RaiseExcept 00fe TTreeNode.GetCount 0112 TTreeNode.GetItem 0130 TreeView_DeleteItem 0150 TTreeNode.SetSelected 0165 @LStrClr 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 DB 89 5D A0 89 4D FC 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 02 75 11 83 7D FC 00 74 0B 8B 45 FC 8B 40 10 89 45 F8 EB 05 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 88 45 F7 8B C3 E8 ?? ?? ?? ?? 88 45 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 31 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 1C 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? C7 45 CC 04 00 00 00 8B 43 10 89 45 D0 33 C0 89 45 F0 8B C3 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 73 04 8D 4D A4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 A4 50 8A 45 08 50 8B 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 75 21 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 1B 57 6A 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 4E 83 FE FF 75 E5 8B C3 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 89 7B 10 8B D3 8B C3 8B 08 FF 51 08 8A 55 F7 8B C3 E8 ?? ?? ?? ?? 8A 55 F6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2199_0 {
	meta:
		name = "TTreeNode.MoveTo"
		size = 378
		refs = "0015 TTreeNode.GetTreeView 0075 TTreeNode.MoveTo 0089 TTreeNode.HasAsParent 00a7 TTreeNode.GetParent 00e1 TTreeNode.GetPrevSibling 0106 _NF__892 011d TTreeNode.SetChildren 0126 TTreeNode.SetExpanded 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 88 4D FB 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 90 A8 01 00 00 89 55 F0 8B 90 AC 01 00 00 89 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 90 B0 01 00 00 89 55 E8 8B 90 B4 01 00 00 89 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 89 90 A8 01 00 00 89 90 AC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 89 90 B0 01 00 00 89 90 B4 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 FF 74 12 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 85 95 00 00 00 B3 01 85 FF 74 14 8A 45 FB 04 FE 2C 02 72 0B 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 02 8B F7 33 C0 8A 45 FB 83 F8 04 77 36 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 01 EB 17 33 DB EB 13 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 75 04 33 DB EB 02 B3 02 85 F6 74 05 8B 46 10 EB 02 33 C0 50 53 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 12 B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 89 90 A8 01 00 00 8B 55 F4 89 90 AC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 89 90 B0 01 00 00 8B 55 EC 89 90 B4 01 00 00 C3 E9 ?? ?? ?? ?? EB C4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2200_0 {
	meta:
		name = "TTreeNode.MakeVisible"
		size = 20
		refs = "0006 TTreeNode.GetHandle 000e TreeView_EnsureVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2201_0 {
	meta:
		name = "TTreeNode.GetLevel"
		size = 26
		refs = "0004 TTreeNode.GetParent"
	strings:
		$1 = { 53 33 DB E8 ?? ?? ?? ?? 85 C0 74 0A 43 E8 ?? ?? ?? ?? 85 C0 75 F6 8B C3 5B C3 }
	condition:
		$1
}

rule function_2202_0 {
	meta:
		name = "TTreeNode.IsNodeVisible"
		size = 38
		refs = "000b TTreeNode.GetHandle 0017 TreeView_GetItemRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 6A FF 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 04 8B 53 10 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_2203_0 {
	meta:
		name = "TTreeNode.EditText"
		size = 25
		refs = "0006 TTreeNode.GetHandle 000e TreeView_EditLabel"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_2204_0 {
	meta:
		name = "TTreeNode.DisplayRect"
		size = 49
		refs = "0013 @FillChar 001f TTreeNode.GetHandle 0029 TreeView_GetItemRect"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B C6 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? F6 DB 1B C0 50 8B C7 E8 ?? ?? ?? ?? 8B CE 8B 57 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2205_0 {
	meta:
		name = "TTreeNode.AlphaSort"
		size = 10
		refs = "0005 TTreeNode.CustomSort"
	strings:
		$1 = { 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4628_0 {
	meta:
		name = "TClientDataSet.EditKey"
		size = 10
		refs = "0005 TClientDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5875_0 {
	meta:
		name = "TTable.EditKey"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3102_0 {
	meta:
		name = "TreeView_GetRoot"
		size = 10
		refs = "0005 TreeView_GetNextItem"
	strings:
		$1 = { 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2206_0 {
	meta:
		name = "TTreeNode.CustomSort"
		size = 62
		refs = "000b _NF__81B 0026 TTreeNode.GetHandle 002f TreeView_SortChildrenCB"
	strings:
		$1 = { 53 83 C4 F4 8B D8 85 D2 75 0B B8 ?? ?? ?? ?? 89 44 24 04 EB 04 89 54 24 04 8B 43 10 89 04 24 89 4C 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 33 C9 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_2207_0 {
	meta:
		name = "TTreeNode.Delete"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 80 78 24 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2208_0 {
	meta:
		name = "TTreeNode.DeleteChildren"
		size = 39
		refs = "0006 TTreeNode.GetTreeView 000b TWinControl.GetHandle 0018 TreeView_Expand 0021 TTreeNode.SetChildren"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 01 80 00 00 8B 53 10 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2209_0 {
	meta:
		name = "TTreeNode.Assign"
		size = 162
		refs = "000a _DV_TTreeNode 000f @IsClass 001d TTreeNode.SetText 0027 TTreeNode.SetData 0031 TTreeNode.SetImageIndex 003b TTreeNode.SetSelectedIndex 0045 TTreeNode.SetStateIndex 004f TTreeNode.SetOverlayIndex 0056 TTreeNode.GetFocused 005f TTreeNode.SetFocused 0066 TTreeNode.GetDropTarget 006f TTreeNode.SetDropTarget 0076 TTreeNode.GetCut 007f TTreeNode.SetCut 0086 TTreeNode.GetChildren 008f TTreeNode.SetChildren 009b TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7F 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 56 14 8B C3 E8 ?? ?? ?? ?? 8B 56 18 8B C3 E8 ?? ?? ?? ?? 8B 56 20 8B C3 E8 ?? ?? ?? ?? 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2210_0 {
	meta:
		name = "_NF__8AF"
		size = 37
		refs = "000d @LStrCmp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8B 56 08 E8 ?? ?? ?? ?? 75 08 8B 43 0C 3B 46 0C 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_2211_0 {
	meta:
		name = "_NF__8B0"
		size = 206
		refs = "0019 _NF__8B0 002f TStream.ReadBuffer 0047 @LStrFromString 0051 TTreeNode.SetText 005a TTreeNode.SetImageIndex 0064 TTreeNode.SetSelectedIndex 006e TTreeNode.SetStateIndex 0078 TTreeNode.SetOverlayIndex 0082 TTreeNode.SetData 0099 TTreeNodes.AddChild 00bb @LStrClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8D 56 18 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 16 8B C3 E8 ?? ?? ?? ?? 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 56 10 8B C3 E8 ?? ?? ?? ?? 8B 46 14 8B F8 4F 85 FF 7C 1A 47 33 C9 8B D3 8B 43 04 E8 ?? ?? ?? ?? 8B CE 8B 55 FC E8 ?? ?? ?? ?? 4F 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2212_0 {
	meta:
		name = "_NF__8B1"
		size = 174
		refs = "0012 @LStrLen 003c @LStrToString 0060 TTreeNode.GetCount 0076 TStream.WriteBuffer 0095 TTreeNode.GetItem 009f _NF__8B1"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F1 89 14 24 8B D8 8B 43 08 E8 ?? ?? ?? ?? 3D FF 00 00 00 7E 05 B8 FF 00 00 00 05 18 01 00 00 2D FF 00 00 00 89 44 24 04 8D 46 18 8B 53 08 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 43 14 89 06 8B 43 18 89 46 04 8B 43 1C 89 46 0C 8B 43 20 89 46 08 8B 43 0C 89 46 10 8B C3 E8 ?? ?? ?? ?? 8B F8 89 7E 14 8D 54 24 04 B9 04 00 00 00 8B 04 24 E8 ?? ?? ?? ?? 8B D6 8B 4C 24 04 8B 04 24 E8 ?? ?? ?? ?? 4F 85 FF 7C 1A 47 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 14 24 E8 ?? ?? ?? ?? 45 4F 75 E9 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2213_0 {
	meta:
		name = "TCustomModule.Create"
		size = 53
		refs = "000b @ClassCreate 001a TObject.Create"
		altNames = "THTMLTagAttributes.Create TListItems.Create TParaAttributes.Create TQRSubDetailGroupBands.Create TQuickRepBands.Create TTreeNodes.Create TVirtualStream.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2215_0 {
	meta:
		name = "TTreeNodes.GetCount"
		size = 33
		refs = "0007 TWinControl.HandleAllocated 0012 TTreeNodes.GetHandle 0017 TreeView_GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2551_0 {
	meta:
		name = "TListItems.GetCount"
		size = 33
		refs = "0007 TWinControl.HandleAllocated 0012 TListItems.GetHandle 0017 ListView_GetItemCount"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2216_0 {
	meta:
		name = "TListItems.GetHandle"
		size = 9
		refs = "0004 TWinControl.GetHandle"
		altNames = "TTreeNodes.GetHandle"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6588_0 {
	meta:
		name = "TComponentList.Add"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6586_0 {
	meta:
		name = "TComponentList.Get"
		size = 9
		refs = "0004 TList.Get"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3890_0 {
	meta:
		name = "TFieldDefs.Update"
		size = 9
		refs = "0004 _NF__61E"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12736_0 {
	meta:
		name = "TQRPrinter.GetPrinterIndex"
		size = 9
		refs = "0004 TPrinter.GetPrinterIndex"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12737_0 {
	meta:
		name = "TQRPrinter.GetPrinters"
		size = 9
		refs = "0004 TPrinter.GetPrinters"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12935_0 {
	meta:
		name = "TQRSubDetailGroupBands.GetFooterBand"
		size = 9
		refs = "0004 TQRSubDetail.GetFooterBand"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12934_0 {
	meta:
		name = "TQRSubDetailGroupBands.GetHeaderBand"
		size = 9
		refs = "0004 TQRSubDetail.GetHeaderBand"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2217_0 {
	meta:
		name = "TTreeNodes.Delete"
		size = 52
		refs = "002d TTreeNode.Delete"
	strings:
		$1 = { 53 56 8B DA 83 7B 10 00 75 20 8B 50 04 66 83 BA C2 01 00 00 00 74 13 8B 70 04 8B CB 8B D0 8B 86 C4 01 00 00 FF 96 C0 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2218_0 {
	meta:
		name = "TTreeNodes.Clear"
		size = 29
		refs = "0007 TWinControl.HandleAllocated 0012 TTreeNodes.GetHandle 0017 TreeView_DeleteAllItems"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2556_0 {
	meta:
		name = "TListItems.Clear"
		size = 29
		refs = "0007 TWinControl.HandleAllocated 0012 TListItems.GetHandle 0017 ListView_DeleteAllItems"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2220_0 {
	meta:
		name = "TTreeNodes.AddChildObjectFirst"
		size = 20
		refs = "000b TTreeNodes.InternalAddObject"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7741_0 {
	meta:
		name = "GetDIB"
		size = 20
		refs = "000b _NF__431"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2222_0 {
	meta:
		name = "TTreeNodes.AddChildObject"
		size = 20
		refs = "000b TTreeNodes.InternalAddObject"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A 01 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2224_0 {
	meta:
		name = "TTreeNodes.AddObjectFirst"
		size = 43
		refs = "0010 TTreeNode.GetParent 0021 TTreeNodes.InternalAddObject"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 85 D2 74 09 8B C2 E8 ?? ?? ?? ?? 8B D0 8B 45 08 50 6A 00 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2226_0 {
	meta:
		name = "_NF__8E1"
		size = 83
		refs = "0014 TTreeNode.GetParent 0021 TTreeNode.IsNodeVisible 0034 TTreeNode.DisplayRect 0043 TWinControl.GetHandle 0049 InvalidateRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 83 7E 08 01 7D 3E EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 E8 85 DB 74 20 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 6A FF 8D 44 24 04 50 8B 46 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_2227_0 {
	meta:
		name = "TTreeNodes.AddObject"
		size = 43
		refs = "0010 TTreeNode.GetParent 0021 TTreeNodes.InternalAddObject"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 85 D2 74 09 8B C2 E8 ?? ?? ?? ?? 8B D0 8B 45 08 50 6A 01 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2229_0 {
	meta:
		name = "_NF__8EB"
		size = 31
		refs = "000f TTreeNode.SetChildren 0018 _NF__8E1"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 12 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2230_0 {
	meta:
		name = "TTreeNodes.InsertObject"
		size = 311
		refs = "0019 TTreeNodes.InsertObject 0053 TTreeNode.GetParent 0069 TTreeNode.GetPrevSibling 0086 TTreeNode.SetData 0091 TTreeNode.SetText 009e TTreeNodes.CreateItem 00b2 TTreeNodes.AddItem 00c0 sInsertError 00c5 LoadResString 00cf _Dn_EOutOfResources 00d4 Exception.Create 00d9 @RaiseExcept 00e9 _NF__8EB 00f8 @HandleAnyException 0100 TObject.Free 0105 @RaiseAgain 010a @DoneExcept 011f @LStrClr 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 7C 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 89 45 F4 33 C0 89 45 F0 C6 45 EF 02 85 FF 74 2F 8B C7 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 06 8B 45 F0 8B 58 10 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 74 08 8B 47 10 89 45 F4 EB 04 C6 45 EF 00 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D C4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 C4 50 8A 45 EF 50 8B 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 21 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 58 10 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2231_0 {
	meta:
		name = "TTreeNodes.InternalAddObject"
		size = 253
		refs = "0019 TTreeNodes.InternalAddObject 004e TTreeNode.SetData 0059 TTreeNode.SetText 0066 TTreeNodes.CreateItem 0079 TTreeNodes.AddItem 0087 sInsertError 008c LoadResString 0096 _Dn_EOutOfResources 009b Exception.Create 00a0 @RaiseExcept 00af _NF__8EB 00be @HandleAnyException 00c6 TObject.Free 00cb @RaiseAgain 00d0 @DoneExcept 00e5 @LStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 7C 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 05 8B 5F 10 EB 02 33 DB 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D D0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 D0 50 8A 45 08 50 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 21 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 58 10 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2232_0 {
	meta:
		name = "TTreeNodes.CreateItem"
		size = 35
	strings:
		$1 = { C6 42 25 01 C7 01 27 00 00 00 89 51 24 C7 41 10 FF FF FF FF C7 41 18 FF FF FF FF C7 41 1C FF FF FF FF C3 }
	condition:
		$1
}

rule function_2233_0 {
	meta:
		name = "TTreeNodes.AddItem"
		size = 89
		refs = "0044 TTreeNodes.GetHandle 004c TreeView_InsertItem"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B D8 89 55 D0 8A 45 08 2C 01 72 08 74 0F FE C8 74 14 EB 15 C7 45 D4 01 00 FF FF EB 0C C7 45 D4 02 00 FF FF EB 03 89 4D D4 8B 45 0C 8B F0 8D 7D D8 B9 0A 00 00 00 F3 A5 8B C3 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2234_0 {
	meta:
		name = "TTreeNodes.GetFirstNode"
		size = 26
		refs = "0006 TTreeNodes.GetHandle 000b TreeView_GetRoot 0014 TTreeNodes.GetNode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2235_0 {
	meta:
		name = "TTreeNodes.GetNodeFromIndex"
		size = 111
		refs = "000d TTreeNodes.GetNodeFromIndex 0018 TTreeNodes.GetFirstNode 0023 TTreeNode.GetNext 003a sInvalidIndex 003f LoadResString 0047 _NF__81C 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 EB 0A 8B C3 E8 ?? ?? ?? ?? 8B D8 4E 85 F6 74 04 85 DB 75 EE 85 DB 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2236_0 {
	meta:
		name = "TTreeNodes.GetNode"
		size = 48
		refs = "0014 TTreeNodes.GetHandle 001b TreeView_GetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 89 54 24 04 C7 04 24 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 85 C0 74 06 8B 44 24 24 EB 02 33 C0 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2238_0 {
	meta:
		name = "TTreeNodes.BeginUpdate"
		size = 23
		refs = "000e TTreeNodes.SetUpdateState"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? FF 43 08 5B C3 }
	condition:
		$1
}

rule function_2557_0 {
	meta:
		name = "TListItems.BeginUpdate"
		size = 23
		refs = "000e TListItems.SetUpdateState"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? FF 43 08 5B C3 }
	condition:
		$1
}

rule function_2239_0 {
	meta:
		name = "TTreeNodes.SetUpdateState"
		size = 86
		refs = "0015 TTreeNodes.GetHandle 001b SendMessage 0035 TCustomTreeView.SetSortType 004f TControl.Refresh"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 19 8B 46 04 8A 90 38 01 00 00 88 90 72 01 00 00 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 8B 5E 04 8A 93 72 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2240_0 {
	meta:
		name = "TTreeNodes.EndUpdate"
		size = 17
		refs = "000c TTreeNodes.SetUpdateState"
	strings:
		$1 = { FF 48 08 83 78 08 00 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2559_0 {
	meta:
		name = "TListItems.EndUpdate"
		size = 17
		refs = "000c TListItems.SetUpdateState"
	strings:
		$1 = { FF 48 08 83 78 08 00 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2241_0 {
	meta:
		name = "TTreeNodes.Assign"
		size = 136
		refs = "000e _DV_TTreeNodes 0013 @IsClass 001e TTreeNodes.Clear 0025 _Dn_TMemoryStream 002a TObject.Create 0035 TTreeNodes.Assign 0045 _NF__91B 004f TStream.SetPosition 0059 _NF__91A 006e TObject.Free 0074 @HandleFinally 007f TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5F 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2242_0 {
	meta:
		name = "_NF__916"
		size = 142
		refs = "001f TTreeNodes.GetCount 004f TTreeNodes.GetNodeFromIndex 0063 _NF__8AF"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 40 1C 89 45 FC 33 DB 83 7D FC 00 74 5B 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3B F0 75 42 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 40 47 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B D6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 75 16 46 4F 75 D5 EB 10 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 85 C0 0F 9F C3 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2243_0 {
	meta:
		name = "TTreeNodes.DefineProperties"
		size = 88
		refs = "0014 TPersistent.DefineProperties 001d _NF__91A 0026 _NF__91B 002c _NF__916 0034 TTreeNodes.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_11833_0 {
	meta:
		name = "TCustomOutline.DefineProperties"
		size = 88
		refs = "0014 TCustomGrid.DefineProperties 001d _NF__203 0026 _NF__204 002c _NF__1FF 0034 TCustomOutline.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_2562_0 {
	meta:
		name = "TListItems.DefineProperties"
		size = 88
		refs = "0014 TPersistent.DefineProperties 001d _NF__C3D 0026 _NF__C3F 002c _NF__C39 0034 TListItems.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_5930_0 {
	meta:
		name = "TParams.DefineProperties"
		size = 88
		refs = "0014 TPersistent.DefineProperties 001d _NF__89F 0026 _NF__8A0 002c _NF__89B 0034 TParams.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_2244_0 {
	meta:
		name = "_NF__91A"
		size = 78
		refs = "0010 TTreeNodes.Clear 001e TStream.ReadBuffer 0032 TTreeNodes.Add 003d _NF__8B0"
	strings:
		$1 = { 53 56 57 81 C4 E4 FE FF FF 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 1C 24 4B 85 DB 7C 1A 43 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 4C 24 04 8B D7 E8 ?? ?? ?? ?? 4B 75 E7 81 C4 1C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2245_0 {
	meta:
		name = "_NF__91B"
		size = 110
		refs = "0015 TTreeNodes.GetFirstNode 0025 TTreeNode.GetNextSibling 0039 TStream.WriteBuffer 0053 _NF__8B1"
	strings:
		$1 = { 53 56 57 81 C4 E4 FE FF FF 8B F2 8B F8 33 C0 89 04 24 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 FF 04 24 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 F0 8B D4 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8D 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E6 81 C4 1C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2246_0 {
	meta:
		name = "_NF__91E"
		size = 53
		refs = "000b @ClassCreate 001a TObject.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2247_0 {
	meta:
		name = "_NF__91F"
		size = 84
		refs = "000c @LStrClr 0016 TTreeNodes.GetNodeFromIndex 001f TTreeNode.GetLevel 002e _NF__91F 0033 @LStrCat"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 46 0C 8B D7 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 10 46 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 75 F1 8B C3 8B 57 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_2248_0 {
	meta:
		name = "_NF__920"
		size = 22
	strings:
		$1 = { 33 C0 89 01 EB 03 42 FF 01 8A 02 2C 09 74 F7 2C 17 74 F3 8B C2 C3 }
	condition:
		$1
}

rule function_2249_0 {
	meta:
		name = "_NF__921"
		size = 22
		refs = "000c TTreeNodes.GetNodeFromIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 40 0C 5E 5B C3 }
	condition:
		$1
}

rule function_2250_0 {
	meta:
		name = "_NF__922"
		size = 30
		refs = "000f TTreeNodes.GetNodeFromIndex 0016 TTreeNode.SetData"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6968_0 {
	meta:
		name = "_NF__2A1"
		size = 30
		refs = "000f TList.Get 0016 TControl.GetText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6969_0 {
	meta:
		name = "_NF__2A2"
		size = 30
		refs = "000f TList.Get 0016 TControl.SetText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14733_0 {
	meta:
		name = "_NF__CB"
		size = 30
		refs = "000f TList.Get 0016 TControl.GetText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2251_0 {
	meta:
		name = "_NF__923"
		size = 9
		refs = "0004 TTreeNodes.GetCount"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5542_0 {
	meta:
		name = "EDBEngineError.GetError"
		size = 9
		refs = "0004 TList.Get"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8221_0 {
	meta:
		name = "TStringGridStrings.SetUpdateState"
		size = 9
		refs = "0004 _NF__495"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11814_0 {
	meta:
		name = "_NF__1E6"
		size = 9
		refs = "0004 TCustomOutline.GetItemCount"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11815_0 {
	meta:
		name = "_NF__1E7"
		size = 9
		refs = "0004 TCustomOutline.Clear"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6970_0 {
	meta:
		name = "_NF__2A3"
		size = 9
		refs = "0004 TList.Get"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8204_0 {
	meta:
		name = "_NF__444"
		size = 9
		refs = "0004 _NF__42E"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2252_0 {
	meta:
		name = "_NF__924"
		size = 9
		refs = "0004 TTreeNodes.Clear"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14735_0 {
	meta:
		name = "_NF__CD"
		size = 9
		refs = "0004 TList.Get"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2253_0 {
	meta:
		name = "_NF__925"
		size = 24
		refs = "000c TTreeNodes.GetNodeFromIndex 0011 TTreeNode.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2254_0 {
	meta:
		name = "_NF__926"
		size = 53
		refs = "0016 TTreeNodes.GetHandle 001c SendMessage 002e TControl.Refresh"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 0B 8B 46 0C 8B 40 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2255_0 {
	meta:
		name = "_NF__927"
		size = 291
		refs = "001a _NF__927 0032 @LStrLen 004d @LStrToPChar 0059 _NF__920 0063 @LStrFromPChar 0075 TTreeNodes.GetNodeFromIndex 007e TTreeNode.GetLevel 0099 sInvalidLevel 009e LoadResString 00a6 _NF__81C 00bb TTreeNode.GetParent 00f3 TTreeNodes.AddChild 010d @LStrArrayClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 14 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 48 75 0C 8B 45 FC 80 38 1A 0F 84 B2 00 00 00 33 DB 33 F6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 4D F4 8B C7 E8 ?? ?? ?? ?? 8B D0 8D 45 EC E8 ?? ?? ?? ?? 83 7D F8 00 7E 17 8B 55 F8 4A 8B 47 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 3B 75 F4 7C 04 85 DB 75 1F 8B 45 F4 2B C6 48 7E 55 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 3E 8B 45 F4 2B C6 7F 37 48 96 89 45 F0 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1F 8B 45 F0 2B 45 F4 85 C0 7E 15 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? FF 4D F0 46 75 CE 8B 4D EC 8B D3 8B 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2256_0 {
	meta:
		name = "_NF__928"
		size = 34
		refs = "000f TTreeNodes.GetNodeFromIndex 001a TTreeNodes.Insert"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B 58 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2257_0 {
	meta:
		name = "_NF__929"
		size = 538
		refs = "001a _NF__929 0027 _Dn_TStringList 002c TObject.Create 003a TTreeNodes.BeginUpdate 009b @LStrToPChar 00a8 _NF__920 00b2 @LStrFromPChar 00c6 TTreeNodes.AddChild 00d4 TTreeNode.GetLevel 00e0 TTreeNode.GetParent 0169 sInvalidLevelEx 016e LoadResString 0194 _NF__81D 01b6 TTreeNodes.EndUpdate 01be TObject.Free 01c4 @HandleFinally 01d5 @HandleAnyException 01e8 @RaiseAgain 01ed @DoneExcept 0207 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D E8 89 4D EC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B D3 8B 45 F8 8B 08 FF 51 5C 33 DB 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 21 01 00 00 46 C7 45 F0 00 00 00 00 8D 4D E8 8B 55 F0 8B 45 F8 8B 38 FF 57 0C 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8D 4D F4 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 EC E8 ?? ?? ?? ?? 85 DB 75 17 8B 45 FC 8B 40 0C 8B 4D EC 33 D2 E8 ?? ?? ?? ?? 8B D8 E9 C7 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 75 1E 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 0C 8B 4D EC E8 ?? ?? ?? ?? 8B D8 E9 9D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 4A 3B C2 75 14 8B 45 FC 8B 40 0C 8B 4D EC 8B D3 E8 ?? ?? ?? ?? 8B D8 EB 7A 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 7E 3B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 7F EB 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 0C 8B 4D EC E8 ?? ?? ?? ?? 8B D8 EB 33 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F4 89 45 D8 C6 45 DC 00 8B 45 EC 89 45 E0 C6 45 E4 0B 8D 55 D8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? FF 45 F0 4E 0F 85 E7 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 04 8B 10 FF 52 44 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2258_0 {
	meta:
		name = "_NF__92A"
		size = 216
		refs = "0016 _NF__92A 0031 TTreeNodes.GetNodeFromIndex 003f @LStrClr 0046 TTreeNode.GetLevel 005b @LStrCat 0076 @LStrCatN 007e @LStrLen 0092 TTreeNode.GetNext 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 85 C0 7E 71 8B 43 0C 33 D2 E8 ?? ?? ?? ?? 8B F0 85 F6 74 61 8D 45 F8 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 11 43 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 75 F0 FF 75 F8 FF 76 08 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 FC 8B 18 FF 53 08 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 FF FF FF FF 01 00 00 00 09 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_2259_0 {
	meta:
		name = "TCustomTreeView.Create"
		size = 296
		refs = "000e @ClassCreate 001c TWinControl.Create 0022 TCustomTreeView.Create 003f TControl.SetWidth 004b TControl.SetHeight 0054 TWinControl.SetTabStop 005d TControl.SetParentColor 0066 _DV_TTreeNodes 006b TTreeNodes.Create 00a2 _Dn_TImageList 00a7 TCustomImageList.CreateSize 00bd _NF__940 00c2 MakeObjectInstance 00cf _Dn_TChangeLink 00d4 TObject.Create 00e6 _NF__9C2"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? F7 D0 66 23 43 40 66 0B 05 ?? ?? ?? ?? 66 89 43 40 BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 34 01 00 00 C6 83 1B 01 00 00 01 C6 83 1A 01 00 00 01 C6 83 19 01 00 00 01 C6 83 18 01 00 00 01 C6 83 4C 01 00 00 01 6A 20 B9 20 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 30 01 00 00 C7 83 48 01 00 00 FF FF FF FF 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 54 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 28 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 2C 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 02 00 00 00 00 60 00 00 }
	condition:
		$1
}

rule function_2260_0 {
	meta:
		name = "TCustomTreeView.Destroy"
		size = 111
		refs = "000d TObject.Free 0039 FreeObjectInstance 005b TWinControl.Destroy 0066 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 34 01 00 00 E8 ?? ?? ?? ?? 8B 86 3C 01 00 00 E8 ?? ?? ?? ?? 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B 86 50 01 00 00 E8 ?? ?? ?? ?? 8B 86 54 01 00 00 E8 ?? ?? ?? ?? 8B 86 28 01 00 00 E8 ?? ?? ?? ?? 8B 86 2C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2261_0 {
	meta:
		name = "TCustomTreeView.CreateParams"
		size = 212
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TCustomTreeView.CreateParams 0023 TWinControl.CreateSubClass 0035 _NV__933 0044 _NV__932 0053 _NV__934 0062 _NV__935 0071 _NV__936 0080 _NV__937 008c _NV__938 009d NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 33 D2 8A 93 18 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 1B 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 19 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 1A 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 1C 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 4C 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 53 49 0B 04 95 ?? ?? ?? ?? 89 46 04 80 BB D5 00 00 00 00 74 21 A1 ?? ?? ?? ?? 80 38 00 74 17 80 BB 1B 01 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 83 66 24 FC 5E 5B C3 53 79 73 54 72 65 65 56 69 65 77 33 32 00 00 00 }
	condition:
		$1
}

rule function_2262_0 {
	meta:
		name = "TCustomTreeView.CreateWnd"
		size = 242
		refs = "000e TWinControl.CreateWnd 0025 _NF__91A 004b TTreeNodes.GetNodeFromIndex 0054 TCustomTreeView.SetTopItem 0076 TCustomTreeView.SetSelection 0092 TCustomTreeView.SetIndent 00a3 TCustomImageList.HandleAllocated 00b2 TCustomImageList.GetHandle 00bd _NF__9C1"
	strings:
		$1 = { 53 56 8B D8 C6 83 73 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 50 01 00 00 85 C0 74 66 8B D0 8B 83 34 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 50 01 00 00 8B 08 FF 51 FC 33 C0 89 83 50 01 00 00 8B 93 40 01 00 00 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 40 01 00 00 8B 93 44 01 00 00 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 44 01 00 00 8B 83 48 01 00 00 83 F8 FF 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B B3 20 01 00 00 85 F6 74 21 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 8B B3 24 01 00 00 85 F6 74 24 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2263_0 {
	meta:
		name = "TCustomTreeView.DestroyWnd"
		size = 147
		refs = "0012 TTreeNodes.GetCount 001d _Dn_TMemoryStream 0022 TObject.Create 0037 _NF__91B 0044 TStream.SetPosition 004b TCustomTreeView.GetTopItem 0058 TTreeNode.GetAbsoluteIndex 0065 TCustomTreeView.GetSelection 007f TCustomTreeView.GetIndent 008c TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 8B D8 C6 83 73 01 00 00 01 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 62 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 50 01 00 00 8B D6 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0D 8B C6 E8 ?? ?? ?? ?? 89 83 40 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0D 8B C6 E8 ?? ?? ?? ?? 89 83 44 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2264_0 {
	meta:
		name = "_NF__940"
		size = 256
		refs = "0010 _NF__940 0057 TWinControl.DoKeyDown 0072 TWinControl.DoKeyPress 008a TWinControl.DoKeyUp 00d0 CallWindowProc 00e2 @HandleAnyException 00e7 Application 00f1 TApplication.HandleException 00f6 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 3D 05 01 00 00 7F 16 74 5F 2D 00 01 00 00 74 25 48 74 55 48 74 3A 83 E8 02 74 1A EB 77 2D 00 BD 00 00 74 5C 83 E8 02 74 57 83 E8 02 74 52 83 E8 02 74 4D EB 5F 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 51 33 C0 5A 59 59 64 89 10 E9 8E 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 36 33 C0 5A 59 59 64 89 10 EB 76 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1E 33 C0 5A 59 59 64 89 10 EB 5E 8B D3 8B 45 FC 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 EB 4A 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 80 5C 01 00 00 50 8B 45 FC 8B 80 58 01 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2266_0 {
	meta:
		name = "TCustomTreeView.CMCtl3DChanged"
		size = 28
		refs = "0006 TWinControl.CMCtl3DChanged 0016 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 1B 01 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2268_0 {
	meta:
		name = "TCustomTreeView.AlphaSort"
		size = 105
		refs = "000a TWinControl.HandleAllocated 0019 TCustomTreeView.CustomSort 0027 TTreeNodes.GetCount 003e TTreeNodes.GetNodeFromIndex 0047 TTreeNode.GetChildren 0052 TTreeNode.AlphaSort"
	strings:
		$1 = { 53 56 57 55 51 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 4A 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 88 04 24 8B 87 34 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2E 46 33 ED 8B D5 8B 87 34 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 45 4E 75 DB EB 04 C6 04 24 00 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2269_0 {
	meta:
		name = "TCustomTreeView.CustomSort"
		size = 181
		refs = "0018 TWinControl.HandleAllocated 002b _NF__81B 004f TWinControl.GetHandle 005a TreeView_SortChildrenCB 006f TTreeNodes.GetCount 0086 TTreeNodes.GetNodeFromIndex 008f TTreeNode.GetChildren 00a1 TTreeNode.CustomSort"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 89 4C 24 04 89 14 24 8B F8 C6 44 24 08 00 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 83 3C 24 00 75 0B B8 ?? ?? ?? ?? 89 44 24 10 EB 07 8B 04 24 89 44 24 10 C7 44 24 0C 00 00 FF FF 8B 44 24 04 89 44 24 14 8B C7 E8 ?? ?? ?? ?? 8D 54 24 0C 33 C9 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 88 44 24 08 8B 87 34 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 ED 8B D5 8B 87 34 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 45 4E 75 D4 8A 44 24 08 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2270_0 {
	meta:
		name = "TCustomTreeView.SetSortType"
		size = 56
		refs = "0033 TCustomTreeView.AlphaSort"
	strings:
		$1 = { 3A 90 38 01 00 00 74 2F 88 90 38 01 00 00 8A 90 38 01 00 00 8B CA 80 E9 01 74 05 80 E9 02 75 0A 66 83 B8 BA 01 00 00 00 75 08 80 C2 FE 80 EA 02 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2271_0 {
	meta:
		name = "_NF__953"
		size = 71
		refs = "000d TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 GetWindowLong 003e SetWindowLong"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B E8 8B C5 E8 ?? ?? ?? ?? 84 C0 74 2D 6A F0 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 84 DB 75 06 F7 D7 23 F7 EB 02 0B F7 56 6A F0 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2272_0 {
	meta:
		name = "TCustomTreeView.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 1B 01 00 00 74 0B 88 90 1B 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2273_0 {
	meta:
		name = "TCustomTreeView.SetDragMode"
		size = 40
		refs = "0018 _NF__953 0021 TControl.SetDragMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 49 74 11 84 DB 0F 94 C1 BA 10 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2274_0 {
	meta:
		name = "TCustomTreeView.SetButtonStyle"
		size = 27
		refs = "0016 _NF__953"
	strings:
		$1 = { 3A 90 1A 01 00 00 74 12 88 90 1A 01 00 00 8B CA BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2275_0 {
	meta:
		name = "TCustomTreeView.SetLineStyle"
		size = 27
		refs = "0016 _NF__953"
	strings:
		$1 = { 3A 90 18 01 00 00 74 12 88 90 18 01 00 00 8B CA BA 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2276_0 {
	meta:
		name = "TCustomTreeView.SetRootStyle"
		size = 27
		refs = "0016 _NF__953"
	strings:
		$1 = { 3A 90 19 01 00 00 74 12 88 90 19 01 00 00 8B CA BA 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2277_0 {
	meta:
		name = "TCustomTreeView.SetReadOnly"
		size = 30
		refs = "0019 _NF__953"
	strings:
		$1 = { 3A 90 1C 01 00 00 74 15 88 90 1C 01 00 00 8B CA 80 F1 01 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2278_0 {
	meta:
		name = "TCustomTreeView.SetHideSelection"
		size = 43
		refs = "001e _NF__953"
	strings:
		$1 = { 56 8B F0 3A 96 4C 01 00 00 74 1E 88 96 4C 01 00 00 8B CA 80 F1 01 8B C6 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_2279_0 {
	meta:
		name = "TCustomTreeView.GetNodeAt"
		size = 55
		refs = "0010 TWinControl.GetHandle 0017 TreeView_HitTest 002a TTreeNodes.GetNode"
	strings:
		$1 = { 53 83 C4 F0 8B D8 89 14 24 89 4C 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 85 C0 74 11 8B 54 24 0C 8B 83 34 01 00 00 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_2280_0 {
	meta:
		name = "TCustomTreeView.GetHitTestInfoAt"
		size = 168
		refs = "000d TCustomTreeView.GetHitTestInfoAt 001b TWinControl.GetHandle 0022 TreeView_HitTest"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F9 8B D8 66 8B 35 ?? ?? ?? ?? 89 14 24 89 7C 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 8B 5C 24 08 F6 C7 01 74 04 66 83 CE 01 F6 C7 02 74 04 66 83 CE 02 F6 C3 01 74 04 66 83 CE 04 F6 C3 46 74 04 66 83 CE 08 F6 C3 10 74 04 66 83 CE 10 F6 C3 02 74 04 66 83 CE 20 F6 C3 08 74 04 66 83 CE 40 F6 C3 04 74 05 66 81 CE 80 00 F6 C3 20 74 05 66 81 CE 00 01 F6 C3 40 74 05 66 81 CE 00 02 F6 C7 08 74 05 66 81 CE 00 04 F6 C7 04 74 05 66 81 CE 00 08 8B C6 83 C4 10 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_2281_0 {
	meta:
		name = "TCustomTreeView.SetTreeNodes"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 34 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2282_0 {
	meta:
		name = "TCustomTreeView.SetIndent"
		size = 34
		refs = "0009 TCustomTreeView.GetIndent 0014 TWinControl.GetHandle 001b TreeView_SetIndent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2284_0 {
	meta:
		name = "TCustomTreeView.FullExpand"
		size = 42
		refs = "0008 TTreeNodes.GetFirstNode 0017 TTreeNode.Expand 001e TTreeNode.GetNextSibling"
	strings:
		$1 = { 53 8B 80 34 01 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EA 5B C3 }
	condition:
		$1
}

rule function_2285_0 {
	meta:
		name = "TCustomTreeView.FullCollapse"
		size = 42
		refs = "0008 TTreeNodes.GetFirstNode 0017 TTreeNode.Collapse 001e TTreeNode.GetNextSibling"
	strings:
		$1 = { 53 8B 80 34 01 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EA 5B C3 }
	condition:
		$1
}

rule function_2286_0 {
	meta:
		name = "TCustomTreeView.Loaded"
		size = 25
		refs = "0006 TComponent.Loaded 0013 TCustomTreeView.FullExpand"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2287_0 {
	meta:
		name = "TCustomTreeView.GetTopItem"
		size = 45
		refs = "0006 TWinControl.HandleAllocated 0011 TWinControl.GetHandle 0016 TreeView_GetFirstVisible 0023 TTreeNodes.GetNode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2288_0 {
	meta:
		name = "TCustomTreeView.SetTopItem"
		size = 39
		refs = "0009 TWinControl.HandleAllocated 0018 TWinControl.GetHandle 0020 TreeView_SelectSetFirstVisible"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 85 F6 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2289_0 {
	meta:
		name = "TCustomTreeView.GetSelection"
		size = 71
		refs = "0006 TWinControl.HandleAllocated 002b TWinControl.GetHandle 0030 TreeView_GetSelection 003d TTreeNodes.GetNode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 80 BB 71 01 00 00 00 74 11 83 BB 64 01 00 00 00 74 08 8B 83 64 01 00 00 EB 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2290_0 {
	meta:
		name = "TCustomTreeView.SetSelection"
		size = 34
		refs = "000c TTreeNode.SetSelected 0015 TWinControl.GetHandle 001c TreeView_SelectItem"
	strings:
		$1 = { 53 8B D8 85 D2 74 0B 8B C2 B2 01 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2291_0 {
	meta:
		name = "TCustomTreeView.GetDropTarget"
		size = 55
		refs = "0006 TWinControl.HandleAllocated 0011 TWinControl.GetHandle 0016 TreeView_GetDropHilite 0023 TTreeNodes.GetNode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 0A 8B 83 68 01 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2292_0 {
	meta:
		name = "TCustomTreeView.SetDropTarget"
		size = 49
		refs = "0009 TWinControl.HandleAllocated 001a TTreeNode.SetDropTarget 0023 TWinControl.GetHandle 002a TreeView_SelectDropTarget"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 85 F6 74 0B B2 01 8B C6 E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2293_0 {
	meta:
		name = "_NF__98E"
		size = 25
		refs = "0014 TTreeNodes.GetNode"
	strings:
		$1 = { F6 42 08 04 74 04 8B 42 24 C3 8B 52 04 8B 80 34 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2294_0 {
	meta:
		name = "TCustomTreeView.IsEditing"
		size = 39
		refs = "0006 TWinControl.GetHandle 000b TreeView_GetEditControl 0017 IsWindowVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 0A 53 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_2622_0 {
	meta:
		name = "TCustomListView.IsEditing"
		size = 39
		refs = "0006 TWinControl.GetHandle 000b ListView_GetEditControl 0017 IsWindowVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 0A 53 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_2295_0 {
	meta:
		name = "TCustomTreeView.CNNotify"
		size = 991
		refs = "0016 TCustomTreeView.CNNotify 00b1 _NF__98E 00c6 TControl.Dragging 00e4 @CallDynaInst 0100 TWinControl.GetHandle 0105 TreeView_GetEditControl 0115 GetWindowLong 0130 SetWindowLong 02a0 TTreeNodes.Delete 02d3 @LStrFromPChar 02de TTreeNode.SetText 030d @LStrToPChar 031a StrLCopy 032a _NF__9A5 0343 _NF__9A6 0360 GetCursorPos 036d TControl.ScreenToClient 0375 PointToSmallPoint 038d TCustomTreeView.GetNodeAt 039c MakeLong 03ab TControl.Perform 03cc @LStrClr 03d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D E0 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 57 08 8B C2 8B 40 08 3D 6B FE FF FF 7F 33 0F 84 19 01 00 00 05 9B 01 00 00 83 F8 05 0F 87 78 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 6E FE FF FF 7F 1D 0F 84 DB 01 00 00 2D 6C FE FF FF 0F 84 2F 02 00 00 48 0F 84 66 02 00 00 E9 35 03 00 00 2D 6F FE FF FF 0F 84 85 01 00 00 2D 8C 01 00 00 0F 84 B6 02 00 00 E9 1A 03 00 00 C6 86 60 01 00 00 01 8B 5F 08 8D 53 38 8B C6 E8 ?? ?? ?? ?? 89 86 6C 01 00 00 E9 FB 02 00 00 89 55 F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1E 8B 45 F0 8D 50 0C 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 84 C0 75 07 C7 47 0C 01 00 00 00 83 7F 0C 00 0F 85 BE 02 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 5C 01 00 00 6A FC 53 E8 ?? ?? ?? ?? 89 86 58 01 00 00 8B 86 54 01 00 00 50 6A FC 8B 86 5C 01 00 00 50 E8 ?? ?? ?? ?? E9 82 02 00 00 8B C2 8D 50 0C 8B C6 66 BB D5 FF E8 ?? ?? ?? ?? E9 6D 02 00 00 80 BE 70 01 00 00 00 0F 85 60 02 00 00 89 55 EC 8B 45 EC 8D 50 38 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 45 EC 83 78 0C 02 75 1E 8B 55 FC 8B C6 66 BB D8 FF E8 ?? ?? ?? ?? 84 C0 75 0C C7 47 0C 01 00 00 00 E9 26 02 00 00 8B 45 EC 83 78 0C 01 0F 85 19 02 00 00 8B 55 FC 8B C6 66 BB D9 FF E8 ?? ?? ?? ?? 84 C0 0F 85 03 02 00 00 C7 47 0C 01 00 00 00 E9 F7 01 00 00 80 BE 70 01 00 00 00 0F 85 EA 01 00 00 8B 5F 08 8D 53 38 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 43 0C 83 F8 02 75 13 8B 55 FC 8B C6 66 BB D4 FF E8 ?? ?? ?? ?? E9 BF 01 00 00 48 0F 85 B8 01 00 00 8B 55 FC 8B C6 66 BB D6 FF E8 ?? ?? ?? ?? E9 A5 01 00 00 8B 47 08 89 45 E8 8B 45 E8 8D 50 38 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB DA FF E8 ?? ?? ?? ?? 84 C0 0F 85 7D 01 00 00 C7 47 0C 01 00 00 00 E9 71 01 00 00 8B DA 8D 53 38 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB D7 FF E8 ?? ?? ?? ?? E9 53 01 00 00 80 BE 73 01 00 00 00 0F 85 46 01 00 00 8B C2 8D 50 10 8B C6 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 2D 01 00 00 8B 45 FC 33 D2 89 50 10 8B 55 FC 8B 86 34 01 00 00 E8 ?? ?? ?? ?? E9 12 01 00 00 8B DA 8D 53 0C 8B C6 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 F9 00 00 00 F6 43 0C 01 0F 84 EF 00 00 00 8D 45 E0 8B 53 1C E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? E9 D4 00 00 00 8B DA 8D 53 0C 8B C6 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 BB 00 00 00 F6 43 0C 01 74 18 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B D0 8B 4B 20 8B 43 1C E8 ?? ?? ?? ?? F6 43 0C 02 74 13 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 89 43 24 F6 43 0C 20 74 7E 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 89 43 28 EB 69 80 BE 71 01 00 00 00 74 56 8D 45 F4 50 E8 ?? ?? ?? ?? 8D 4D D8 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 89 45 E4 66 8B 7D E6 0F BF CF 66 8B 5D E4 0F BF D3 8B C6 E8 ?? ?? ?? ?? 89 86 64 01 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 50 33 C9 BA 05 02 00 00 8B C6 E8 ?? ?? ?? ?? EB 0A C7 86 64 01 00 00 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2296_0 {
	meta:
		name = "TCustomTreeView.GetDragImages"
		size = 30
		refs = "000a TCustomImageList.GetCount"
	strings:
		$1 = { 53 8B D8 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 08 8B 83 30 01 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2297_0 {
	meta:
		name = "TCustomTreeView.WndProc"
		size = 100
		refs = "0022 TControl.Dragging 0035 TWinControl.IsControlMouseMsg 003e TCustomTreeView.WndProc 004d TObject.Dispatch 0058 TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 20 10 75 46 8B 3E 81 FF 01 02 00 00 74 08 81 FF 03 02 00 00 75 34 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 80 7B 49 01 75 23 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F A0 ?? ?? ?? ?? 0A 43 42 88 43 42 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_13902_0 {
	meta:
		name = "TCustomListBox.WndProc"
		size = 100
		refs = "0022 TControl.Dragging 0035 TWinControl.IsControlMouseMsg 003e TCustomListBox.WndProc 004d TObject.Dispatch 0058 TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 20 10 75 46 8B 3E 81 FF 01 02 00 00 74 08 81 FF 03 02 00 00 75 34 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 80 7B 49 01 75 23 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F A0 ?? ?? ?? ?? 0A 43 42 88 43 42 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_2298_0 {
	meta:
		name = "TCustomTreeView.DoStartDrag"
		size = 136
		refs = "000a TControl.DoStartDrag 002a GetCursorPos 0037 TControl.ScreenToClient 0046 TCustomTreeView.GetNodeAt 0053 TWinControl.GetHandle 005b TreeView_CreateDragImage 006e TCustomImageList.SetHandle 007e TCustomImageList.SetDragImage"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 6C 01 00 00 33 C0 89 83 68 01 00 00 33 C0 89 83 6C 01 00 00 85 F6 75 24 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 0C 8B 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 32 8B C3 E8 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? 85 C0 74 1F 8B 9B 30 01 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 02 B9 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_2299_0 {
	meta:
		name = "TCustomTreeView.DoEndDrag"
		size = 30
		refs = "000d TControl.DoEndDrag"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 68 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2300_0 {
	meta:
		name = "TCustomTreeView.CMDrag"
		size = 133
		refs = "000f TWinControl.CMDrag 002e TControl.ScreenToClient 0049 _NF__9A4 005a TCustomTreeView.GetDropTarget 0069 TCustomTreeView.SetDropTarget"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7E 08 8A 46 04 FE C8 74 32 FE C8 74 06 FE C8 74 52 EB 58 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 50 83 7E 0C 00 0F 95 C0 50 8B 4C 24 08 8B 57 08 8B C3 E8 ?? ?? ?? ?? EB 30 8B 47 08 8B 10 FF 52 14 8B C3 E8 ?? ?? ?? ?? 89 83 68 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 47 08 8B 10 FF 52 18 EB 08 33 C0 89 83 68 01 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2301_0 {
	meta:
		name = "_NF__9A4"
		size = 94
		refs = "0017 TCustomTreeView.GetNodeAt 0024 TCustomTreeView.GetDropTarget 004b TTreeNode.SetDropTarget"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 4D 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 35 8B C3 E8 ?? ?? ?? ?? 3B F0 75 08 3B B3 68 01 00 00 75 22 33 C0 89 83 68 01 00 00 8B DF 8B C3 8B 10 FF 52 14 8A 55 08 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 18 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2302_0 {
	meta:
		name = "_NF__9A5"
		size = 31
	strings:
		$1 = { 53 66 83 B8 CA 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 CC 01 00 00 FF 93 C8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2303_0 {
	meta:
		name = "_NF__9A6"
		size = 31
	strings:
		$1 = { 53 66 83 B8 D2 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 D4 01 00 00 FF 93 D0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2304_0 {
	meta:
		name = "TCustomListView.CanEdit"
		size = 41
		altNames = "TCustomTreeView.CanChange"
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 AA 01 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 AC 01 00 00 FF 93 A8 01 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2305_0 {
	meta:
		name = "TCustomTreeView.Change"
		size = 31
	strings:
		$1 = { 53 66 83 B8 B2 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 B4 01 00 00 FF 93 B0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2306_0 {
	meta:
		name = "TCustomTreeView.Expand"
		size = 31
	strings:
		$1 = { 53 66 83 B8 8A 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 8C 01 00 00 FF 93 88 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2307_0 {
	meta:
		name = "TCustomTreeView.CanExpand"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 92 01 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 94 01 00 00 FF 93 90 01 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2308_0 {
	meta:
		name = "TCustomListView.ColClick"
		size = 31
		altNames = "TCustomTreeView.Collapse"
	strings:
		$1 = { 53 66 83 B8 9A 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 9C 01 00 00 FF 93 98 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2309_0 {
	meta:
		name = "TCustomTreeView.CanCollapse"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 A2 01 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 A4 01 00 00 FF 93 A0 01 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2310_0 {
	meta:
		name = "TCustomTreeView.CanEdit"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 7A 01 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 7C 01 00 00 FF 93 78 01 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2311_0 {
	meta:
		name = "TCustomTreeView.Edit"
		size = 133
		refs = "0010 TCustomTreeView.Edit 0027 @LStrFromPChar 0030 _NF__98E 005e TTreeNode.SetText 0073 @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 10 85 FF 74 41 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 66 83 BB 82 01 00 00 00 74 14 8D 45 FC 50 8B CE 8B D3 8B 83 84 01 00 00 FF 93 80 01 00 00 85 F6 74 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2312_0 {
	meta:
		name = "TCustomTreeView.CreateNode"
		size = 19
		refs = "0009 _DV_TTreeNode 000e TTreeNode.Create"
	strings:
		$1 = { 8B 88 34 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2313_0 {
	meta:
		name = "_NF__9C1"
		size = 40
		refs = "000c TWinControl.HandleAllocated 0017 TWinControl.GetHandle 0020 TreeView_SetImageList"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2579_0 {
	meta:
		name = "_NF__C6E"
		size = 40
		refs = "000c TWinControl.HandleAllocated 0017 TWinControl.GetHandle 0020 ListView_SetImageList"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2314_0 {
	meta:
		name = "_NF__9C2"
		size = 70
		refs = "0009 TWinControl.HandleAllocated 0014 TCustomImageList.GetHandle 0027 _NF__9C1"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8B C6 E8 ?? ?? ?? ?? 3B B3 20 01 00 00 75 0D 33 C9 8B D0 8B C3 E8 ?? ?? ?? ?? EB 16 3B B3 24 01 00 00 75 0E B9 02 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2315_0 {
	meta:
		name = "TCustomTreeView.Notification"
		size = 63
		refs = "0010 TControl.Notification 0026 TCustomTreeView.SetImages 0037 TCustomTreeView.SetStateImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 22 3B B7 20 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 24 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2316_0 {
	meta:
		name = "TCustomTreeView.SetImages"
		size = 89
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 0039 TCustomImageList.GetHandle 0044 _NF__9C1"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 20 01 00 00 85 C0 74 0B 8B 93 28 01 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 20 01 00 00 85 C0 74 24 8B 93 28 01 00 00 E8 ?? ?? ?? ?? 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2317_0 {
	meta:
		name = "TCustomTreeView.SetStateImages"
		size = 95
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 0039 TCustomImageList.GetHandle 0047 _NF__9C1"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 24 01 00 00 85 C0 74 0B 8B 93 2C 01 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 24 01 00 00 85 C0 74 27 8B 93 2C 01 00 00 E8 ?? ?? ?? ?? 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B9 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2319_0 {
	meta:
		name = "TCustomTreeView.LoadFromStream"
		size = 85
		refs = "0010 _NV__91C 0015 _NF__91E 0020 TCustomTreeView.LoadFromStream 0030 _NF__929 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 88 34 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2321_0 {
	meta:
		name = "TCustomTreeView.SaveToStream"
		size = 85
		refs = "0010 _NV__91C 0015 _NF__91E 0020 TCustomTreeView.SaveToStream 0030 _NF__92A 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 88 34 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2322_0 {
	meta:
		name = "TCustomTreeView.WMRButtonDown"
		size = 183
		refs = "001b TCustomTreeView.WMRButtonDown 0037 TControl.WMRButtonDown 004c GetCursorPos 005a TControl.ScreenToClient 0062 PointToSmallPoint 0072 MakeLong 0082 TControl.Perform 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 8B F2 89 45 FC 8B 45 FC 33 D2 89 90 64 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 71 01 00 00 00 75 57 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 64 01 00 00 00 74 4B 8D 45 F4 50 E8 ?? ?? ?? ?? 8D 4D E8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 89 45 F0 66 8B 55 F2 66 8B 45 F0 E8 ?? ?? ?? ?? 50 33 C9 BA 05 02 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D6 8B 45 FC 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 64 01 00 00 C3 E9 ?? ?? ?? ?? EB ED 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_2323_0 {
	meta:
		name = "_NF__9DC"
		size = 73
		refs = "0029 KeysToShiftState 0040 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FE 88 55 FF 8B F0 8B 45 08 8B 40 FC F6 40 41 10 75 2A 0F BF 46 08 50 0F BF 46 0A 50 66 8B 46 04 E8 ?? ?? ?? ?? 8B C8 0A 4D FE 8B 45 08 8B 40 FC 8A 55 FF 66 BB E8 FF E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2324_0 {
	meta:
		name = "TCustomTreeView.WMRButtonUp"
		size = 60
		refs = "001b TCustomTreeView.WMRButtonUp 0022 _NF__9DC 002d TControl.WMRButtonUp"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 80 B8 71 01 00 00 00 74 11 55 8B C3 8A 0D ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 59 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2325_0 {
	meta:
		name = "TCustomTreeView.WMLButtonDown"
		size = 242
		refs = "0025 TCustomTreeView.WMLButtonDown 0035 TControl.WMLButtonDown 005f GetCursorPos 006d TControl.ScreenToClient 0075 PointToSmallPoint 0085 MakeLong 0095 TControl.Perform 00a7 TCustomTreeView.GetNodeAt 00b6 TTreeNode.SetFocused 00bf TTreeNode.SetSelected 00c9 TControl.BeginDrag 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B DA 89 45 FC 8B 45 FC C6 80 60 01 00 00 00 8B 45 FC 33 D2 89 90 6C 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 49 01 0F 85 87 00 00 00 8B 45 FC 8B 10 FF 52 78 8B 45 FC 80 B8 60 01 00 00 00 75 41 8D 45 F4 50 E8 ?? ?? ?? ?? 8D 4D E8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 89 45 F0 66 8B 55 F2 66 8B 45 F0 E8 ?? ?? ?? ?? 50 33 C9 BA 02 02 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 32 0F BF 4B 0A 0F BF 53 08 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 1C B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 6C 01 00 00 C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2326_0 {
	meta:
		name = "TCustomTreeView.WMNotify"
		size = 259
		refs = "001d GetCursorPos 002a TControl.ScreenToClient 0047 TCustomTreeView.GetNodeAt 0069 @WStrFromLStr 0079 @WStrLen 008b @WStrSetLength 0096 @WStrToPWChar 00a8 @FillChar 00c6 Move 00e5 SetWindowPos 00f7 TWinControl.WMNotify"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F2 8B D8 8B 46 08 81 78 08 EE FD FF FF 0F 85 D7 00 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 A6 00 00 00 83 7F 08 00 0F 84 9C 00 00 00 8D 83 74 01 00 00 8B 57 08 E8 ?? ?? ?? ?? BF 50 00 00 00 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 3B F8 7F 0E 8B D7 4A 8D 83 74 01 00 00 E8 ?? ?? ?? ?? 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 8B 6E 08 89 45 0C 8D 45 10 33 C9 8B D7 E8 ?? ?? ?? ?? 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 8B C8 8B 46 08 8D 50 10 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 8B 46 08 33 D2 89 90 B0 00 00 00 6A 13 6A 00 6A 00 6A 00 6A 00 6A 00 8B 00 50 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2327_0 {
	meta:
		name = "TTrackBar.Create"
		size = 168
		refs = "000a @ClassCreate 0017 TWinControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0038 TWinControl.SetTabStop 0083 TTrackBar.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 2D 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 24 01 00 00 C7 86 28 01 00 00 0A 00 00 00 C7 86 1C 01 00 00 01 00 00 00 C7 86 20 01 00 00 02 00 00 00 C7 86 2C 01 00 00 01 00 00 00 C6 86 19 01 00 00 00 C6 86 1A 01 00 00 01 C6 86 18 01 00 00 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 46 40 66 89 46 40 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 80 00 00 00 }
	condition:
		$1
}

rule function_2328_0 {
	meta:
		name = "TTrackBar.CreateParams"
		size = 128
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TTrackBar.CreateParams 0023 TWinControl.CreateSubClass 0035 _NV__9EA 0044 _NV__9EB 0053 _NV__9EC"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 33 D2 8A 93 18 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 1A 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 19 01 00 00 0B 04 95 ?? ?? ?? ?? 83 C8 20 89 46 04 8B 46 24 83 E0 FC 83 C8 08 89 46 24 5E 5B C3 6D 73 63 74 6C 73 5F 74 72 61 63 6B 62 61 72 33 32 00 00 00 }
	condition:
		$1
}

rule function_2329_0 {
	meta:
		name = "TTrackBar.CreateWnd"
		size = 196
		refs = "0006 TWinControl.CreateWnd 000d TWinControl.HandleAllocated 002a TWinControl.GetHandle 0030 SendMessage 0088 _NF__A19"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A9 00 00 00 8B 83 1C 01 00 00 50 6A 00 68 17 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 20 01 00 00 50 6A 00 68 15 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 24 01 00 00 50 6A 00 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 28 01 00 00 50 6A 00 68 08 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 30 01 00 00 50 6A 01 68 05 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 01 8B 83 2C 01 00 00 50 68 14 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2331_0 {
	meta:
		name = "TTrackBar.CNHScroll"
		size = 75
		refs = "001b TWinControl.GetHandle 0021 SendMessage"
		altNames = "TTrackBar.CNVScroll"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 6A 00 6A 00 68 00 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 83 30 01 00 00 66 83 BB 3E 01 00 00 00 74 0E 8B D3 8B 83 40 01 00 00 FF 93 3C 01 00 00 33 C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_2333_0 {
	meta:
		name = "TTrackBar.SetOrientation"
		size = 76
		refs = "0013 TTrackBar.SetOrientation 003c TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B D8 3A 93 18 01 00 00 74 34 88 93 18 01 00 00 A0 ?? ?? ?? ?? 22 43 20 8A 15 ?? ?? ?? ?? 3A D0 75 15 8B 43 3C 50 8B 43 38 50 8B 4B 34 8B 53 30 8B C3 8B 30 FF 56 4C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 41 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2334_0 {
	meta:
		name = "_NF__9FD"
		size = 318
		refs = "001e _NF__9FD 0036 TObject.ClassName 0054 SPropertyOutOfRange 0059 LoadResString 0066 _Dn_EInvalidOperation 006b Exception.CreateFmt 0070 @RaiseExcept 0093 TWinControl.HandleAllocated 00a6 TWinControl.GetHandle 00ac SendMessage 0129 @LStrClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 33 DB 89 9D F4 FE FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 7D 08 7E 47 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B FE 7E 02 8B F7 3B 75 08 7E 03 8B 75 08 3B BB 24 01 00 00 74 26 89 BB 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 57 6A 01 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 28 01 00 00 3B 45 08 74 2C 8B 45 08 89 83 28 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 08 50 6A 01 68 08 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B B3 30 01 00 00 74 26 89 B3 30 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 56 6A 01 68 05 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2335_0 {
	meta:
		name = "TTrackBar.SetPosition"
		size = 19
		refs = "000e _NF__9FD"
	strings:
		$1 = { 8B 88 28 01 00 00 51 8B 88 24 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2336_0 {
	meta:
		name = "TTrackBar.SetMin"
		size = 21
		refs = "0010 _NF__9FD"
	strings:
		$1 = { 8B 88 28 01 00 00 51 8B CA 8B 90 30 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2337_0 {
	meta:
		name = "TTrackBar.SetMax"
		size = 19
		refs = "000e _NF__9FD"
	strings:
		$1 = { 52 8B 88 24 01 00 00 8B 90 30 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2338_0 {
	meta:
		name = "TTrackBar.SetFrequency"
		size = 57
		refs = "0014 TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 2C 01 00 00 74 2C 89 93 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 01 8B 83 2C 01 00 00 50 68 14 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2339_0 {
	meta:
		name = "TTrackBar.SetTick"
		size = 41
		refs = "0009 TWinControl.HandleAllocated 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 56 6A 00 68 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2340_0 {
	meta:
		name = "TCustomListView.SetReadOnly"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomStaticText.SetBorderStyle TTrackBar.SetTickStyle"
	strings:
		$1 = { 3A 90 1A 01 00 00 74 0B 88 90 1A 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2341_0 {
	meta:
		name = "TTrackBar.SetTickMarks"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 19 01 00 00 74 0B 88 90 19 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2342_0 {
	meta:
		name = "TTrackBar.SetLineSize"
		size = 57
		refs = "0014 TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 1C 01 00 00 74 2C 89 93 1C 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 83 1C 01 00 00 50 6A 00 68 17 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2343_0 {
	meta:
		name = "TTrackBar.SetPageSize"
		size = 57
		refs = "0014 TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 20 01 00 00 74 2C 89 93 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 83 20 01 00 00 50 6A 00 68 15 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2344_0 {
	meta:
		name = "_NF__A19"
		size = 98
		refs = "0006 TWinControl.HandleAllocated 002c TWinControl.GetHandle 0032 SendMessage 0047 MakeLong"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 52 83 BB 34 01 00 00 00 75 21 83 BB 38 01 00 00 00 75 18 6A 00 6A 01 68 13 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 28 66 8B 93 38 01 00 00 66 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 50 6A 01 68 0A 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2345_0 {
	meta:
		name = "TTrackBar.SetSelStart"
		size = 20
		refs = "000f _NF__A19"
	strings:
		$1 = { 3B 90 34 01 00 00 74 0B 89 90 34 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2346_0 {
	meta:
		name = "TTrackBar.SetSelEnd"
		size = 20
		refs = "000f _NF__A19"
	strings:
		$1 = { 3B 90 38 01 00 00 74 0B 89 90 38 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2347_0 {
	meta:
		name = "_NF__A20"
		size = 117
		refs = "000f _NF__A20 0037 SOutOfRange 003c LoadResString 0046 _Dn_Exception 004b Exception.CreateFmt 0050 @RaiseExcept 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 C6 45 F4 00 C7 45 F8 FF FF 00 00 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_2348_0 {
	meta:
		name = "TProgressBar.Create"
		size = 124
		refs = "000b @ClassCreate 001b InitCommonControl 002c TWinControl.Create 0038 TControl.SetWidth 003f GetSystemMetrics 0048 TControl.SetHeight"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B8 20 00 00 00 E8 ?? ?? ?? ?? 88 87 28 01 00 00 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C7 E8 ?? ?? ?? ?? 6A 14 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 33 C0 89 87 18 01 00 00 C7 87 1C 01 00 00 64 00 00 00 C7 87 20 01 00 00 0A 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2349_0 {
	meta:
		name = "TProgressBar.CreateParams"
		size = 68
		refs = "0010 InitCommonControls 0019 TWinControl.CreateParams 001e TProgressBar.CreateParams 0027 TWinControl.CreateSubClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 28 01 00 00 00 75 05 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 6D 73 63 74 6C 73 5F 70 72 6F 67 72 65 73 73 33 32 00 00 00 }
	condition:
		$1
}

rule function_2350_0 {
	meta:
		name = "TProgressBar.CreateWnd"
		size = 135
		refs = "0006 TWinControl.CreateWnd 0029 TWinControl.GetHandle 002f SendMessage 0044 MakeLong 0081 TProgressBar.SetPosition"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 28 01 00 00 00 74 22 8B 83 1C 01 00 00 50 8B 83 18 01 00 00 50 68 06 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 28 66 8B 93 1C 01 00 00 66 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 83 20 01 00 00 50 68 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 93 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2351_0 {
	meta:
		name = "TProgressBar.GetMin"
		size = 55
		refs = "0006 TWinControl.HandleAllocated 0023 TWinControl.GetHandle 0029 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 80 BB 28 01 00 00 00 74 18 6A 00 6A 01 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B 83 18 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2352_0 {
	meta:
		name = "TProgressBar.GetMax"
		size = 55
		refs = "0006 TWinControl.HandleAllocated 0023 TWinControl.GetHandle 0029 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 80 BB 28 01 00 00 00 74 18 6A 00 6A 00 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B 83 1C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2353_0 {
	meta:
		name = "TProgressBar.GetPosition"
		size = 79
		refs = "0006 TWinControl.HandleAllocated 0023 TWinControl.GetHandle 0029 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 39 80 BB 28 01 00 00 00 74 18 6A 00 6A 00 68 08 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1E 6A 00 6A 00 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B 83 24 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2354_0 {
	meta:
		name = "_NF__A30"
		size = 321
		refs = "001e _NF__A30 0035 TObject.ClassName 0053 SPropertyOutOfRange 0058 LoadResString 0065 _Dn_EInvalidOperation 006a Exception.CreateFmt 006f @RaiseExcept 0095 _NF__A20 00ac TWinControl.HandleAllocated 00c7 TWinControl.GetHandle 00cd SendMessage 00d8 MakeLong 012e @LStrClr 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 33 DB 89 9D F4 FE FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 7E 47 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB 28 01 00 00 00 75 1D 85 F6 7C 14 81 FE FF FF 00 00 7F 0C 85 FF 7C 08 81 FF FF FF 00 00 7E 05 E8 ?? ?? ?? ?? 3B B3 18 01 00 00 75 08 3B BB 1C 01 00 00 74 71 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5A 80 BB 28 01 00 00 00 74 16 57 56 68 06 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1E 8B D7 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B B3 18 01 00 00 7D 15 6A 00 56 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 B3 18 01 00 00 89 BB 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2355_0 {
	meta:
		name = "TProgressBar.SetMin"
		size = 12
		refs = "0007 _NF__A30"
	strings:
		$1 = { 8B 88 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2356_0 {
	meta:
		name = "TProgressBar.SetMax"
		size = 14
		refs = "0009 _NF__A30"
	strings:
		$1 = { 8B CA 8B 90 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2357_0 {
	meta:
		name = "TProgressBar.SetPosition"
		size = 76
		refs = "001c _NF__A20 0023 TWinControl.HandleAllocated 0036 TWinControl.GetHandle 003c SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 28 01 00 00 00 75 11 85 F6 7C 08 81 FE FF FF 00 00 7E 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 56 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 89 B3 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2358_0 {
	meta:
		name = "TProgressBar.SetStep"
		size = 57
		refs = "0014 TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 20 01 00 00 74 2C 89 93 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 00 8B 83 20 01 00 00 50 68 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2359_0 {
	meta:
		name = "TProgressBar.StepIt"
		size = 38
		refs = "0006 TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 05 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2360_0 {
	meta:
		name = "TProgressBar.StepBy"
		size = 41
		refs = "0009 TWinControl.HandleAllocated 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 56 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2361_0 {
	meta:
		name = "TTextAttributes.Create"
		size = 65
		refs = "000e @ClassCreate 001d TObject.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8A 45 08 88 47 08 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2362_0 {
	meta:
		name = "TTextAttributes.InitFormat"
		size = 25
		refs = "000d @FillChar"
	strings:
		$1 = { 53 8B DA 8B C3 33 C9 BA 3C 00 00 00 E8 ?? ?? ?? ?? C7 03 3C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_2363_0 {
	meta:
		name = "TTextAttributes.GetConsistentAttributes"
		size = 184
		refs = "0007 TTextAttributes.GetConsistentAttributes 0012 TWinControl.HandleAllocated 002f TTextAttributes.InitFormat 004c TWinControl.GetHandle 0052 SendMessage"
	strings:
		$1 = { 53 83 C4 C0 8B D8 A0 ?? ?? ?? ?? 88 04 24 8B 43 04 E8 ?? ?? ?? ?? 84 C0 0F 84 8D 00 00 00 80 7B 08 00 0F 85 83 00 00 00 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8D 44 24 04 50 80 7B 08 00 0F 94 C0 83 E0 7F 50 68 3A 04 00 00 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 5C 24 08 F6 C3 01 74 04 80 0C 24 01 F7 C3 00 00 00 40 74 04 80 0C 24 02 F7 C3 00 00 00 20 74 04 80 0C 24 04 F6 C3 02 74 04 80 0C 24 08 F7 C3 00 00 00 80 74 04 80 0C 24 10 F6 C3 08 74 04 80 0C 24 20 F6 C3 04 74 04 80 0C 24 40 F6 C3 10 74 04 80 0C 24 80 8A 04 24 83 C4 40 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_2364_0 {
	meta:
		name = "_NF__A4C"
		size = 61
		refs = "000b TTextAttributes.InitFormat 0013 TWinControl.HandleAllocated 0030 TWinControl.GetHandle 0036 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 1F 56 80 7B 08 00 0F 94 C0 83 E0 7F 50 68 3A 04 00 00 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2365_0 {
	meta:
		name = "_NF__A4D"
		size = 59
		refs = "001a TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 80 7B 08 00 75 07 BE 01 00 00 00 EB 02 33 F6 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 15 57 56 68 44 04 00 00 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2366_0 {
	meta:
		name = "TTextAttributes.GetCharset"
		size = 18
		refs = "0006 _NF__A4C"
	strings:
		$1 = { 83 C4 C4 8B D4 E8 ?? ?? ?? ?? 8A 44 24 18 83 C4 3C C3 }
	condition:
		$1
}

rule function_2367_0 {
	meta:
		name = "TTextAttributes.SetCharset"
		size = 45
		refs = "000e TTextAttributes.InitFormat 0023 _NF__A4D"
	strings:
		$1 = { 53 56 83 C4 C4 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? C7 44 24 04 00 00 00 08 88 5C 24 18 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_2368_0 {
	meta:
		name = "TTextAttributes.GetProtected"
		size = 27
		refs = "0006 _NF__A4C"
	strings:
		$1 = { 83 C4 C4 8B D4 E8 ?? ?? ?? ?? F6 44 24 08 10 74 04 B0 01 EB 02 33 C0 83 C4 3C C3 }
	condition:
		$1
}

rule function_2369_0 {
	meta:
		name = "TTextAttributes.SetProtected"
		size = 53
		refs = "000e TTextAttributes.InitFormat 002b _NF__A4D"
	strings:
		$1 = { 53 56 83 C4 C4 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? C7 44 24 04 10 00 00 00 84 DB 74 08 C7 44 24 08 10 00 00 00 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_2370_0 {
	meta:
		name = "TTextAttributes.GetColor"
		size = 32
		refs = "0006 _NF__A4C"
	strings:
		$1 = { 83 C4 C4 8B D4 E8 ?? ?? ?? ?? F6 44 24 0B 40 74 07 B8 08 00 00 80 EB 04 8B 44 24 14 83 C4 3C C3 }
	condition:
		$1
}

rule function_2371_0 {
	meta:
		name = "TTextAttributes.SetColor"
		size = 70
		refs = "000e TTextAttributes.InitFormat 002f ColorToRGB 003c _NF__A4D"
	strings:
		$1 = { 53 56 83 C4 C4 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 00 00 00 40 81 FE 08 00 00 80 75 0A C7 44 24 08 00 00 00 40 EB 0B 8B C6 E8 ?? ?? ?? ?? 89 44 24 14 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_2372_0 {
	meta:
		name = "TTextAttributes.GetName"
		size = 34
		refs = "0009 _NF__A4C 0019 @LStrFromArray"
	strings:
		$1 = { 53 83 C4 C4 8B DA 8B D4 E8 ?? ?? ?? ?? 8B C3 8D 54 24 1A B9 20 00 00 00 E8 ?? ?? ?? ?? 83 C4 3C 5B C3 }
	condition:
		$1
}

rule function_2373_0 {
	meta:
		name = "TTextAttributes.SetName"
		size = 111
		refs = "0010 @LStrAddRef 0018 TTextAttributes.SetName 0028 TTextAttributes.InitFormat 003f StrPLCopy 0049 _NF__A4D 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 C0 8B C3 E8 ?? ?? ?? ?? C7 45 C4 00 00 00 20 8D 45 DA B9 20 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2374_0 {
	meta:
		name = "TTextAttributes.GetStyle"
		size = 80
		refs = "0007 TTextAttributes.GetStyle 000e _NF__A4C"
	strings:
		$1 = { 53 56 83 C4 C4 8A 1D ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 8B 74 24 08 F7 C6 01 00 00 00 74 03 80 CB 01 F7 C6 02 00 00 00 74 03 80 CB 02 F7 C6 04 00 00 00 74 03 80 CB 04 F7 C6 08 00 00 00 74 03 80 CB 08 8B C3 83 C4 3C 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2375_0 {
	meta:
		name = "TTextAttributes.SetStyle"
		size = 88
		refs = "0010 TTextAttributes.InitFormat 004f _NF__A4D"
	strings:
		$1 = { 53 83 C4 C0 88 14 24 8B D8 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? C7 44 24 08 0F 00 00 00 F6 04 24 01 74 05 83 4C 24 0C 01 F6 04 24 02 74 05 83 4C 24 0C 02 F6 04 24 04 74 05 83 4C 24 0C 04 F6 04 24 08 74 05 83 4C 24 0C 08 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 83 C4 40 5B C3 }
	condition:
		$1
}

rule function_2376_0 {
	meta:
		name = "TTextAttributes.GetSize"
		size = 26
		refs = "0006 _NF__A4C"
	strings:
		$1 = { 83 C4 C4 8B D4 E8 ?? ?? ?? ?? 8B 44 24 0C B9 14 00 00 00 99 F7 F9 83 C4 3C C3 }
	condition:
		$1
}

rule function_2377_0 {
	meta:
		name = "TTextAttributes.SetSize"
		size = 53
		refs = "000e TTextAttributes.InitFormat 002b _NF__A4D"
	strings:
		$1 = { 53 56 83 C4 C4 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 00 00 00 80 8B C6 C1 E0 02 8D 04 80 89 44 24 0C 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_2378_0 {
	meta:
		name = "TTextAttributes.GetHeight"
		size = 30
		refs = "0012 TTextAttributes.GetSize 0018 MulDiv"
	strings:
		$1 = { 53 8B D8 6A 48 8B 43 04 8B 80 50 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2379_0 {
	meta:
		name = "TTextAttributes.SetHeight"
		size = 36
		refs = "0014 MulDiv 001d TTextAttributes.SetSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 80 50 01 00 00 50 6A 48 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2380_0 {
	meta:
		name = "TTextAttributes.GetPitch"
		size = 46
		refs = "0006 _NF__A4C"
	strings:
		$1 = { 83 C4 C4 8B D4 E8 ?? ?? ?? ?? 8A 44 24 19 24 03 2C 01 72 08 74 0E FE C8 74 06 EB 0C 33 C0 EB 0A B0 01 EB 06 B0 02 EB 02 33 C0 83 C4 3C C3 }
	condition:
		$1
}

rule function_2381_0 {
	meta:
		name = "TTextAttributes.SetPitch"
		size = 62
		refs = "000e TTextAttributes.InitFormat 0034 _NF__A4D"
	strings:
		$1 = { 53 56 83 C4 C4 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? FE CB 74 06 FE CB 74 09 EB 0E C6 44 24 19 02 EB 0C C6 44 24 19 01 EB 05 C6 44 24 19 00 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_2382_0 {
	meta:
		name = "TTextAttributes.Assign"
		size = 290
		refs = "0010 TTextAttributes.Assign 001e _Dn_TFont 0023 @IsClass 0033 TTextAttributes.SetColor 003d TFont.GetName 0047 TTextAttributes.SetName 004e TFont.GetCharset 0057 TTextAttributes.SetCharset 005e TFont.GetStyle 0067 TTextAttributes.SetStyle 006e TFont.GetSize 0077 TTextAttributes.SetSize 007e TFont.GetPitch 0087 TTextAttributes.SetPitch 0091 _DV_TTextAttributes 00a3 TTextAttributes.GetColor 00b6 TTextAttributes.GetName 00c7 TTextAttributes.GetCharset 00d7 TTextAttributes.GetStyle 00e7 TTextAttributes.GetPitch 00fb TPersistent.Assign 0110 @LStrClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 62 8B FB 8B 57 14 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 72 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 8B FB 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2383_0 {
	meta:
		name = "TTextAttributes.AssignTo"
		size = 296
		refs = "0010 TTextAttributes.AssignTo 001e _Dn_TFont 0023 @IsClass 002e TTextAttributes.GetColor 0039 TFont.SetColor 0043 TTextAttributes.GetName 004d TFont.SetName 0054 TTextAttributes.GetCharset 005d TFont.SetCharset 0064 TTextAttributes.GetStyle 006d TFont.SetStyle 0074 TTextAttributes.GetSize 007d TFont.SetSize 0084 TTextAttributes.GetPitch 008d TFont.SetPitch 0097 _DV_TTextAttributes 00b2 TTextAttributes.SetColor 00c6 TTextAttributes.SetName 00d6 TTextAttributes.SetCharset 00e6 TTextAttributes.SetStyle 00f6 TTextAttributes.SetPitch 0101 TPersistent.AssignTo 0116 @LStrClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 68 8B C6 E8 ?? ?? ?? ?? 8B D0 8B FB 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 72 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 8B C6 E8 ?? ?? ?? ?? 8B D0 8B FB 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2385_0 {
	meta:
		name = "_NF__A80"
		size = 25
		refs = "000d @FillChar"
	strings:
		$1 = { 53 8B DA 8B C3 33 C9 BA 9C 00 00 00 E8 ?? ?? ?? ?? C7 03 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_2386_0 {
	meta:
		name = "_NF__A81"
		size = 52
		refs = "000b _NF__A80 0013 TWinControl.HandleAllocated 0027 TWinControl.GetHandle 002d SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 16 56 6A 00 68 3D 04 00 00 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2387_0 {
	meta:
		name = "_NF__A82"
		size = 43
		refs = "000a TWinControl.HandleAllocated 001e TWinControl.GetHandle 0024 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 16 56 6A 00 68 47 04 00 00 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2388_0 {
	meta:
		name = "TParaAttributes.GetAlignment"
		size = 26
		refs = "0009 _NF__A81"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 E8 ?? ?? ?? ?? 66 8B 44 24 18 48 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_2389_0 {
	meta:
		name = "TParaAttributes.SetAlignment"
		size = 57
		refs = "0011 _NF__A80 002c _NF__A82"
	strings:
		$1 = { 53 56 81 C4 64 FF FF FF 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? C7 44 24 04 08 00 00 00 33 C0 8A C3 40 66 89 44 24 18 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2390_0 {
	meta:
		name = "TParaAttributes.GetNumbering"
		size = 24
		refs = "0009 _NF__A81"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 E8 ?? ?? ?? ?? 8A 44 24 08 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_2391_0 {
	meta:
		name = "TParaAttributes.SetNumbering"
		size = 99
		refs = "0017 TParaAttributes.GetLeftIndent 0028 TParaAttributes.SetLeftIndent 003c _NF__A80 0056 _NF__A82"
	strings:
		$1 = { 53 56 81 C4 64 FF FF FF 8B DA 8B F0 8B C3 2C 01 72 1C 75 23 8B C6 E8 ?? ?? ?? ?? 83 F8 0A 7D 17 BA 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? C7 44 24 04 20 00 00 00 33 C0 8A C3 66 89 44 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2392_0 {
	meta:
		name = "TParaAttributes.GetFirstIndent"
		size = 32
		refs = "0009 _NF__A81"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 E8 ?? ?? ?? ?? 8B 44 24 0C B9 14 00 00 00 99 F7 F9 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_2393_0 {
	meta:
		name = "TParaAttributes.SetFirstIndent"
		size = 59
		refs = "0011 _NF__A80 002e _NF__A82"
	strings:
		$1 = { 53 56 81 C4 64 FF FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 01 00 00 00 8B C6 C1 E0 02 8D 04 80 89 44 24 0C 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2394_0 {
	meta:
		name = "TParaAttributes.GetLeftIndent"
		size = 32
		refs = "0009 _NF__A81"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 E8 ?? ?? ?? ?? 8B 44 24 14 B9 14 00 00 00 99 F7 F9 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_2395_0 {
	meta:
		name = "TParaAttributes.SetLeftIndent"
		size = 59
		refs = "0011 _NF__A80 002e _NF__A82"
	strings:
		$1 = { 53 56 81 C4 64 FF FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 04 00 00 00 8B C6 C1 E0 02 8D 04 80 89 44 24 14 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2396_0 {
	meta:
		name = "TParaAttributes.GetRightIndent"
		size = 32
		refs = "0009 _NF__A81"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 E8 ?? ?? ?? ?? 8B 44 24 10 B9 14 00 00 00 99 F7 F9 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_2397_0 {
	meta:
		name = "TParaAttributes.SetRightIndent"
		size = 59
		refs = "0011 _NF__A80 002e _NF__A82"
	strings:
		$1 = { 53 56 81 C4 64 FF FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 02 00 00 00 8B C6 C1 E0 02 8D 04 80 89 44 24 10 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2398_0 {
	meta:
		name = "TParaAttributes.GetTab"
		size = 40
		refs = "000c _NF__A81"
	strings:
		$1 = { 53 81 C4 64 FF FF FF 8B DA 8B D4 E8 ?? ?? ?? ?? 33 C0 8A C3 8B 44 84 1C B9 14 00 00 00 99 F7 F9 81 C4 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_2399_0 {
	meta:
		name = "TParaAttributes.SetTab"
		size = 83
		refs = "0014 _NF__A81 0045 _NF__A82"
	strings:
		$1 = { 53 56 57 81 C4 64 FF FF FF 8B F9 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C7 C1 E0 02 8D 04 80 33 D2 8A D3 89 44 94 1C C7 44 24 04 10 00 00 00 33 C0 8A C3 66 3B 44 24 1A 7E 05 66 89 44 24 1A 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2400_0 {
	meta:
		name = "TParaAttributes.GetTabCount"
		size = 25
		refs = "0009 _NF__A81"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 E8 ?? ?? ?? ?? 0F BF 44 24 1A 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_2401_0 {
	meta:
		name = "TParaAttributes.SetTabCount"
		size = 52
		refs = "0011 _NF__A81 0027 _NF__A82"
	strings:
		$1 = { 53 56 81 C4 64 FF FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 10 00 00 00 66 89 74 24 1A 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2402_0 {
	meta:
		name = "TParaAttributes.Assign"
		size = 153
		refs = "000c _DV_TParaAttributes 0011 @IsClass 001e TParaAttributes.GetAlignment 0027 TParaAttributes.SetAlignment 002e TParaAttributes.GetFirstIndent 0037 TParaAttributes.SetFirstIndent 003e TParaAttributes.GetLeftIndent 0047 TParaAttributes.SetLeftIndent 004e TParaAttributes.GetRightIndent 0057 TParaAttributes.SetRightIndent 005e TParaAttributes.GetNumbering 0067 TParaAttributes.SetNumbering 0074 TParaAttributes.GetTab 007f TParaAttributes.SetTab 0090 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 72 8B DF 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 ED 8B DD 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 45 83 FD 20 75 E4 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2403_0 {
	meta:
		name = "TConversion.ConvertReadStream"
		size = 20
	strings:
		$1 = { 55 8B EC 53 8B C1 8B 4D 08 92 8B 18 FF 53 04 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2404_0 {
	meta:
		name = "TConversion.ConvertWriteStream"
		size = 20
	strings:
		$1 = { 55 8B EC 53 8B C1 8B 4D 08 92 8B 18 FF 53 08 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2405_0 {
	meta:
		name = "_NF__AB8"
		size = 118
		refs = "0033 _NF__AB8 0041 TStrings.AddStrings 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC 8B 40 0C 8B 88 5C 01 00 00 89 4D F4 8B 88 60 01 00 00 89 4D F8 33 C9 89 88 5C 01 00 00 89 88 60 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 55 F4 89 90 5C 01 00 00 8B 55 F8 89 90 60 01 00 00 C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 }
	condition:
		$1
}

rule function_2406_0 {
	meta:
		name = "_NF__AB9"
		size = 86
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B D8 6A 00 6A 00 68 BA 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 6A 00 6A 00 8B C6 48 50 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 01 4E 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2407_0 {
	meta:
		name = "_NF__ABA"
		size = 83
		refs = "0024 TWinControl.GetHandle 002a SendMessage 0045 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 81 C4 04 F0 FF FF 50 8B F9 8B F2 8B D8 8B C4 66 C7 00 00 10 8B C4 50 56 68 C4 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7C 04 FE 0D 75 0A 80 7C 04 FF 0A 75 03 83 E8 02 8B D4 8B CF 91 E8 ?? ?? ?? ?? 81 C4 00 10 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2408_0 {
	meta:
		name = "_NF__ABB"
		size = 140
		refs = "001d TWinControl.GetHandle 0023 SendMessage 006b @LStrToPChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B F2 8B D8 85 F6 7C 74 6A 00 56 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 3C 24 47 74 56 6A 00 8B 44 24 04 50 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 04 24 89 44 24 04 8B C4 50 6A 00 68 37 04 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2409_0 {
	meta:
		name = "_NF__ABC"
		size = 384
		refs = "001c _NF__ABC 003a TWinControl.GetHandle 0040 SendMessage 00d8 @LStrFromPChar 00e3 Format 00eb @LStrToPChar 0116 @LStrLen 0125 sRichEditInsertError 012a LoadResString 0134 _Dn_EOutOfResources 0139 Exception.Create 013e @RaiseExcept 0153 @LStrClr 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 8C 14 01 00 00 6A 00 56 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 7D F4 85 FF 7C 07 BE ?? ?? ?? ?? EB 4D 6A 00 4E 56 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 7D F4 85 FF 0F 8C CA 00 00 00 6A 00 8B 45 F4 50 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 A9 00 00 00 01 45 F4 BE ?? ?? ?? ?? 8B 45 F4 89 45 F8 8D 45 F4 50 6A 00 68 37 04 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 FC 89 45 E8 C6 45 EC 0B 8D 45 E8 50 8D 45 E4 8B D6 E8 ?? ?? ?? ?? 8B 45 E4 33 C9 5A E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 92 84 00 00 00 8B D8 8B 45 F0 E8 ?? ?? ?? ?? 03 45 F8 3B D8 74 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 25 73 0D 0A 00 00 00 00 0D 0A 25 73 00 00 00 00 }
	condition:
		$1
}

rule function_2411_0 {
	meta:
		name = "_NF__ABF"
		size = 170
		refs = "001e TWinControl.GetHandle 0024 SendMessage 008a _NV__ABD"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 85 F6 0F 8C 92 00 00 00 6A 00 56 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 3C 24 47 74 74 6A 00 46 56 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 7C 24 04 47 75 21 6A 00 8B 44 24 04 50 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 04 24 89 44 24 04 8B C4 50 6A 00 68 37 04 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2412_0 {
	meta:
		name = "_NF__388"
		size = 12
		altNames = "_NF__AC0"
	strings:
		$1 = { 8B 40 0C 8B 10 FF 92 94 00 00 00 C3 }
	condition:
		$1
}

rule function_2413_0 {
	meta:
		name = "_NF__AC1"
		size = 67
		refs = "0016 TWinControl.GetHandle 001c SendMessage 002b TControl.Refresh 003c TControl.Perform"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 19 8B 46 0C E8 ?? ?? ?? ?? 6A 00 33 C9 BA 12 B0 00 00 8B 46 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2414_0 {
	meta:
		name = "_NF__AC2"
		size = 89
		refs = "0015 TWinControl.GetHandle 001b SendMessage"
	strings:
		$1 = { 53 56 8B 58 0C 84 D2 74 1D 6A 00 6A 00 68 3B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 83 CE 01 EB 1B 6A 00 6A 00 68 3B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 83 E6 FE 56 6A 00 68 45 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2415_0 {
	meta:
		name = "_NF__AC3"
		size = 79
		refs = "0010 _NF__AC2 0018 _NF__AC3 0028 TStrings.SetTextStr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C3 }
	condition:
		$1
}

rule function_2416_0 {
	meta:
		name = "_NF__AC4"
		size = 54
	strings:
		$1 = { 56 57 89 C7 89 D6 89 C2 FC AC 08 C0 74 1F 80 F8 0A 74 11 AA 80 F8 0D 75 F0 B0 0A AA AC 80 F8 0A 74 E7 EB E6 B8 0D 0A 00 00 66 AB EB DC AA 8D 47 FF 29 D0 5F 5E C3 }
	condition:
		$1
}

rule function_2417_0 {
	meta:
		name = "_NF__AC5"
		size = 93
		refs = "000f _NF__AC5 0046 @HandleAnyException 0050 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 F6 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 33 D2 89 10 83 3B 00 74 16 8B 45 10 50 8B 53 04 8B 03 8B 4D 0C 8B 18 FF 53 04 8B 55 14 89 02 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BE 02 00 00 00 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_2418_0 {
	meta:
		name = "_NF__AC6"
		size = 243
		refs = "001e StrAlloc 0029 _NF__AC6 009c _NF__AC4 00ab Move 00ba @HandleAnyException 00c6 @DoneExcept 00db StrDispose 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 5D 14 8B 75 10 33 C0 89 45 FC 8B 45 08 89 45 F0 8D 46 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 D1 FE 79 03 83 D6 00 33 C0 89 03 8B 45 F8 03 C6 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 83 38 00 74 15 56 8B 45 F0 8B 50 04 8B 45 F0 8B 00 8B 4D F4 8B 30 FF 16 89 03 83 3B 00 7E 39 8B 03 8B 55 F4 C6 04 02 00 8B 03 8B 55 F4 80 7C 02 FF 0D 75 0A 8B 03 8B 55 F4 C6 44 02 FF 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 03 8B 0B 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? C7 45 FC 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_2419_0 {
	meta:
		name = "_NF__AC7"
		size = 350
		refs = "0017 _NF__AC7 0042 TObject.Create 0064 _NF__AC6 0073 TStream.GetPosition 009f TWinControl.GetHandle 00a5 SendMessage 00b9 TStream.SetPosition 00f7 sRichEditLoadFail 00fc LoadResString 0106 _Dn_EOutOfResources 010b Exception.Create 0110 @RaiseExcept 012e TObject.Free 0134 @HandleFinally 014b @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F8 8B 45 FC 8B 40 14 85 C0 74 05 89 45 F0 EB 16 8B 45 FC 8B 40 0C 8B 80 68 01 00 00 B2 01 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 89 45 E4 B8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 E8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 80 78 10 00 74 07 BB 01 00 00 00 EB 05 BB 02 00 00 00 8D 45 E4 50 53 68 49 04 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 FB 02 75 66 83 7D E8 00 74 60 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 10 00 74 07 BB 02 00 00 00 EB 05 BB 01 00 00 00 8D 45 E4 50 53 68 49 04 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 7D E8 00 74 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 78 14 00 75 08 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2420_0 {
	meta:
		name = "_NF__AC8"
		size = 269
		refs = "0015 _NF__AC8 003d TObject.Create 0062 _NF__AC5 0094 TWinControl.GetHandle 009a SendMessage 00a8 sRichEditSaveFail 00ad LoadResString 00b7 _Dn_EOutOfResources 00bc Exception.Create 00c1 @RaiseExcept 00df TObject.Free 00e5 @HandleFinally 00fc @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D E0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 85 C0 74 05 89 45 F0 EB 16 8B 45 FC 8B 40 0C 8B 80 68 01 00 00 B2 01 E8 ?? ?? ?? ?? 89 45 F0 89 5D F8 8B 45 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 89 45 E4 B8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 E8 8B 45 FC 80 78 10 00 74 07 BB 01 00 00 00 EB 05 BB 02 00 00 00 8D 45 E4 50 53 68 4A 04 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 7D E8 00 74 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 78 14 00 75 08 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2421_0 {
	meta:
		name = "_NF__AC9"
		size = 235
		refs = "0015 _NF__AC9 0025 ExtractFileExt 0030 AnsiLowerCaseFileName 0042 @LStrDelete 0048 _NV__6B4 0059 @LStrCmp 006b _NV__6B2 0074 TObject.Create 0092 TStrings.LoadFromFile 00a1 @HandleAnyException 00ac TObject.Free 00b9 @RaiseAgain 00be @DoneExcept 00d8 @LStrArrayClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 85 DB 74 16 8B F3 8B 46 04 8B 55 F8 E8 ?? ?? ?? ?? 74 07 8B 5E 08 85 DB 75 EA 85 DB 75 05 BB ?? ?? ?? ?? 8B 03 B2 01 E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2422_0 {
	meta:
		name = "_NF__ACA"
		size = 235
		refs = "0015 _NF__ACA 0025 ExtractFileExt 0030 AnsiLowerCaseFileName 0042 @LStrDelete 0048 _NV__6B4 0059 @LStrCmp 006b _NV__6B2 0074 TObject.Create 0092 TStrings.SaveToFile 00a1 @HandleAnyException 00ac TObject.Free 00b9 @RaiseAgain 00be @DoneExcept 00d8 @LStrArrayClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 85 DB 74 16 8B F3 8B 46 04 8B 55 F8 E8 ?? ?? ?? ?? 74 07 8B 5E 08 85 DB 75 EA 85 DB 75 05 BB ?? ?? ?? ?? 8B 03 B2 01 E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2423_0 {
	meta:
		name = "TCustomRichEdit.Create"
		size = 242
		refs = "000e @ClassCreate 001c TCustomMemo.Create 0027 _DV_TTextAttributes 002c TTextAttributes.Create 0051 _DV_TParaAttributes 0056 TParaAttributes.Create 0063 _NV__AB6 0068 TObject.Create 007c TWinControl.SetTabStop 0088 TControl.SetWidth 0094 TControl.SetHeight 009d TCustomEdit.SetAutoSize 00ad TCustomRichEdit.SetHideScrollBars 00b4 GetDC 00be GetDeviceCaps 00c9 _DV_TConversion 00d7 ReleaseDC"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 44 01 00 00 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 48 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 4C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 54 01 00 00 89 5E 0C B2 01 8B C3 E8 ?? ?? ?? ?? BA B9 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 59 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 64 01 00 00 01 B2 01 8B C3 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B F0 6A 5A 56 E8 ?? ?? ?? ?? 89 83 50 01 00 00 A1 ?? ?? ?? ?? 89 83 68 01 00 00 56 6A 00 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2424_0 {
	meta:
		name = "TCustomRichEdit.Destroy"
		size = 89
		refs = "000d TObject.Free 0045 TCustomMemo.Destroy 0050 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 44 01 00 00 E8 ?? ?? ?? ?? 8B 86 48 01 00 00 E8 ?? ?? ?? ?? 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 8B 86 54 01 00 00 E8 ?? ?? ?? ?? 8B 86 58 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2426_0 {
	meta:
		name = "TCustomRichEdit.CreateParams"
		size = 160
		refs = "000d SetErrorMode 0014 TCustomRichEdit.CreateParams 0019 LoadLibrary 0045 TCustomMemo.CreateParams 0053 TWinControl.CreateSubClass 0065 _NV__AD4 0074 _NV__AD5"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 68 00 80 00 00 E8 ?? ?? ?? ?? 8B F8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 3C 01 00 00 8B 83 3C 01 00 00 85 C0 7E 0D 83 F8 20 7D 08 33 C0 89 83 3C 01 00 00 57 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 33 D2 8A 93 40 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 64 01 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 83 66 24 FC 5F 5E 5B C3 00 52 49 43 48 45 44 33 32 2E 44 4C 4C 00 00 00 00 52 49 43 48 45 44 49 54 00 00 00 00 }
	condition:
		$1
}

rule function_2427_0 {
	meta:
		name = "TCustomRichEdit.CreateWnd"
		size = 265
		refs = "000d TCustomEdit.CreateWnd 0012 SysLocale 0029 GetDefFontCharSet 0036 TFont.SetCharset 004a TWinControl.GetHandle 0050 SendMessage 005b ColorToRGB 0085 TCustomRichEdit.GetPlainText 0092 TCustomRichEdit.SetPlainText 009a TCustomRichEdit.CreateWnd 00c5 TObject.Free 00ee @HandleFinally 0101 TCustomEdit.SetModified"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 1E A1 ?? ?? ?? ?? 66 83 78 04 11 74 12 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 68 01 00 2C 00 6A 00 68 45 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 50 6A 00 68 43 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 58 01 00 00 00 74 73 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 58 01 00 00 8B 45 FC 8B 80 54 01 00 00 8B 08 FF 51 5C 8B 45 FC 8B 80 58 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 58 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8A 90 65 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_2428_0 {
	meta:
		name = "TCustomRichEdit.DestroyWnd"
		size = 165
		refs = "000d TCustomEdit.GetModified 001d _Dn_TMemoryStream 0022 TObject.Create 0033 TCustomRichEdit.GetPlainText 0040 TCustomRichEdit.SetPlainText 0048 TCustomRichEdit.DestroyWnd 0075 TStream.SetPosition 0093 @HandleFinally 009d TCustomEdit.DestroyWnd"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 88 82 65 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 58 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 58 01 00 00 8B 45 FC 8B 80 54 01 00 00 8B 08 FF 51 68 8B 45 FC 8B 80 58 01 00 00 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_2429_0 {
	meta:
		name = "TCustomRichEdit.WMNCDestroy"
		size = 28
		refs = "0006 TCustomMemo.WMNCDestroy 0016 FreeLibrary"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 3C 01 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2430_0 {
	meta:
		name = "TCustomRichEdit.CMFontChanged"
		size = 15
		altNames = "TCustomRichEdit.WMSetFont"
	strings:
		$1 = { 8B 50 50 8B 80 48 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_2432_0 {
	meta:
		name = "TCustomRichEdit.DoSetMaxLength"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 35 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2433_0 {
	meta:
		name = "TCustomRichEdit.GetSelLength"
		size = 40
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C4 50 6A 00 68 34 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 04 2B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_2434_0 {
	meta:
		name = "TCustomRichEdit.GetSelStart"
		size = 36
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C4 50 6A 00 68 34 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_2435_0 {
	meta:
		name = "TCustomRichEdit.GetSelTextBuf"
		size = 114
		refs = "0012 TCustomRichEdit.GetSelTextBuf 002d @LStrLen 0049 StrPLCopy 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 88 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7D 02 8B DE 8B CB 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2436_0 {
	meta:
		name = "TCustomRichEdit.GetSelText"
		size = 65
		refs = "0016 @LStrSetLength 001d @LStrToPChar 002c TWinControl.GetHandle 0032 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 80 00 00 00 8B D0 42 8B C6 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 50 6A 00 68 3E 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 92 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2437_0 {
	meta:
		name = "TCustomRichEdit.SetHideScrollBars"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TDateTimePicker.SetShowCheckbox"
	strings:
		$1 = { 3A 90 40 01 00 00 74 0B 88 90 40 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2438_0 {
	meta:
		name = "TCustomRichEdit.SetHideSelection"
		size = 48
		refs = "0024 TWinControl.GetHandle 002a SendMessage"
	strings:
		$1 = { 53 8B D8 3A 93 64 01 00 00 74 23 88 93 64 01 00 00 6A 01 33 C0 8A 83 64 01 00 00 50 68 3F 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2439_0 {
	meta:
		name = "TCustomRichEdit.SetSelAttributes"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 44 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2440_0 {
	meta:
		name = "TCustomRichEdit.SetSelLength"
		size = 89
		refs = "0016 TWinControl.GetHandle 001c SendMessage"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C4 50 6A 00 68 34 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 34 24 89 74 24 04 8B C4 50 6A 00 68 37 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 31 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2441_0 {
	meta:
		name = "TCustomRichEdit.SetDefAttributes"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 48 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2442_0 {
	meta:
		name = "TCustomRichEdit.GetPlainText"
		size = 10
	strings:
		$1 = { 8B 80 54 01 00 00 8A 40 10 C3 }
	condition:
		$1
}

rule function_2443_0 {
	meta:
		name = "TCustomRichEdit.SetPlainText"
		size = 10
	strings:
		$1 = { 8B 80 54 01 00 00 88 50 10 C3 }
	condition:
		$1
}

rule function_2444_0 {
	meta:
		name = "TCustomRichEdit.CMColorChanged"
		size = 41
		refs = "0006 TWinControl.CMColorChanged 000e ColorToRGB 001d TWinControl.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 54 E8 ?? ?? ?? ?? 50 6A 00 68 43 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2445_0 {
	meta:
		name = "TCustomRichEdit.SetRichEditStrings"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 54 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2446_0 {
	meta:
		name = "TCustomRichEdit.SetSelStart"
		size = 40
		refs = "001a TWinControl.GetHandle 0020 SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 89 14 24 89 54 24 04 8B C4 50 6A 00 68 37 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_2447_0 {
	meta:
		name = "TCustomRichEdit.Print"
		size = 444
		refs = "0019 @FillChar 001e Printer 0029 TPrinter.BeginDoc 0031 TPrinter.GetHandle 0049 GetDeviceCaps 0069 IsRectEmpty 0075 TPrinter.GetPageWidth 0089 TPrinter.GetPageHeight 00f4 @LStrAsg 00fd TControl.GetTextLen 0111 SetMapMode 012b SendMessage 0133 TCustomRichEdit.Print 014e TWinControl.GetHandle 0167 TPrinter.NewPage 0178 TPrinter.EndDoc 01af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 55 FC 8B F0 8D 45 C4 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 89 5D C4 89 5D C8 6A 58 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 6A 5A 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 8D 86 84 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 2A 8B 45 F4 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FF 89 45 D4 8B 45 F4 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FB 89 45 D8 EB 40 69 86 84 01 00 00 A0 05 00 00 99 F7 FF 89 45 CC 69 86 88 01 00 00 A0 05 00 00 99 F7 FB 89 45 D0 69 86 8C 01 00 00 A0 05 00 00 99 F7 FF 89 45 D4 69 86 90 01 00 00 A0 05 00 00 99 F7 FB 89 45 D8 56 8D 75 CC 8D 7D DC B9 04 00 00 00 F3 A5 5E 8B 45 F4 83 C0 18 8B 55 FC E8 ?? ?? ?? ?? 33 DB 8B C6 E8 ?? ?? ?? ?? 8B F8 C7 45 F0 FF FF FF FF 6A 01 8B 45 C4 50 E8 ?? ?? ?? ?? 89 45 F8 6A 00 6A 00 68 39 04 00 00 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D EC 8D 45 C4 50 6A 01 68 39 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 3B FB 7E 0D 83 FB FF 74 08 8B 45 F4 E8 ?? ?? ?? ?? 3B FB 7E 05 83 FB FF 75 C9 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 6A 00 68 39 04 00 00 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 C4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2448_0 {
	meta:
		name = "TCustomRichEdit.WMPaint"
		size = 195
		refs = "0016 TWinControl.GetHandle 001c GetUpdateRect 0044 Rect 0055 IntersectRect 006c InvalidateRect 0072 _NV__B13 008d TCustomRichEdit.WMPaint 009c TWinControl.WMPaint 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B FA 8B F0 6A FF 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 4C 8D 55 D0 8B C6 8B 08 FF 51 2C 8B 45 DC 50 8D 45 E0 50 8B 5D D8 8B C3 83 E8 03 8B CB 8B 55 D4 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 45 F0 50 8D 45 F0 50 E8 ?? ?? ?? ?? 85 C0 74 13 6A FF 8D 45 E0 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 09 8B C6 8B 10 FF 52 44 EB 3A C6 05 ?? ?? ?? ?? 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 C3 E9 ?? ?? ?? ?? EB F1 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2449_0 {
	meta:
		name = "TCustomRichEdit.WMSetCursor"
		size = 143
		refs = "000e TWinControl.WMSetCursor 0021 GetCursorPos 0028 PointToSmallPoint 003b MakeLong 004a TControl.Perform 005a Screen 0066 TScreen.GetCursors 006c SetCursor"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 0C 00 75 71 C7 46 0C 01 00 00 00 54 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 89 44 24 08 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? 50 33 C9 BA 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 48 74 21 83 C0 FB 83 E8 02 73 30 A1 ?? ?? ?? ?? 8B 00 BA FE FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 17 A1 ?? ?? ?? ?? 8B 00 BA FC FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_2450_0 {
	meta:
		name = "TCustomRichEdit.CNNotify"
		size = 127
		refs = "002e @CallDynaInst 004e _NF__B1D 006c _NF__B1E"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7B 08 8B D7 8B C2 8B 40 08 2D 01 07 00 00 74 1C 48 74 0C 83 E8 02 74 3F 83 E8 04 74 1E EB 54 8B C6 66 BB DA FF E8 ?? ?? ?? ?? EB 47 8D 57 0C 8B C6 8B 08 FF 91 9C 00 00 00 EB 38 8B FA 8B 4F 10 8B 57 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 25 C7 43 0C 01 00 00 00 EB 1C 8D 47 18 8B F8 8B 4F 04 8B 17 8B C6 E8 ?? ?? ?? ?? 84 C0 75 07 C7 43 0C 01 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2451_0 {
	meta:
		name = "_NF__B1D"
		size = 46
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 7E 01 00 00 00 74 18 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 83 80 01 00 00 FF 93 7C 01 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2452_0 {
	meta:
		name = "_NF__B1E"
		size = 46
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 B8 76 01 00 00 00 74 18 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 83 78 01 00 00 FF 93 74 01 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2454_0 {
	meta:
		name = "TCustomRichEdit.RequestSize"
		size = 31
	strings:
		$1 = { 53 66 83 B8 6E 01 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 70 01 00 00 FF 93 6C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2455_0 {
	meta:
		name = "TCustomRichEdit.FindText"
		size = 85
		refs = "002e @LStrToPChar 0042 TWinControl.GetHandle 0048 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B FA 8B F0 8B 45 08 8B D1 89 55 F4 03 55 0C 89 55 F8 33 DB A8 01 74 03 83 CB 02 A8 02 74 03 83 CB 04 8B C7 E8 ?? ?? ?? ?? 89 45 FC 8D 45 F4 50 53 68 38 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2456_0 {
	meta:
		name = "_NF__B2A"
		size = 129
		refs = "0017 _NF__B2A 0023 TConversionFormat 002d @New 003b AnsiLowerCaseFileName 0046 @LStrAsg 0050 _NV__6B4 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B DE 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 04 E8 ?? ?? ?? ?? 8B 45 FC 89 03 A1 ?? ?? ?? ?? 89 43 08 89 35 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2458_0 {
	meta:
		name = "TCustomUpDown.Create"
		size = 176
		refs = "000d @ClassCreate 001b TWinControl.Create 0022 GetSystemMetrics 002b TControl.SetWidth 003b TControl.SetHeight 0085 TCustomUpDown.Create"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 14 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 8B D0 D1 FA 79 03 83 D2 00 03 D0 8B C3 E8 ?? ?? ?? ?? C6 83 18 01 00 00 01 66 C7 83 22 01 00 00 64 00 C7 83 24 01 00 00 01 00 00 00 C6 83 34 01 00 00 01 C6 83 35 01 00 00 01 C6 83 2A 01 00 00 01 66 A1 ?? ?? ?? ?? F7 D0 66 23 43 40 66 89 43 40 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule function_2459_0 {
	meta:
		name = "TCustomUpDown.CreateParams"
		size = 148
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 0068 TCustomUpDown.CreateParams 0071 TWinControl.CreateSubClass"
	strings:
		$1 = { 53 56 8B DA 8B F0 B8 10 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 83 4B 04 02 80 BE 34 01 00 00 01 75 06 83 4B 04 04 EB 04 83 4B 04 08 80 BE 35 01 00 00 00 75 04 83 4B 04 40 80 BE 18 01 00 00 00 74 04 83 4B 04 20 80 BE 2A 01 00 00 00 75 07 81 4B 04 80 00 00 00 80 BE 2B 01 00 00 00 74 04 83 4B 04 01 B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 24 83 E0 FC 83 C8 08 89 43 24 5E 5B C3 6D 73 63 74 6C 73 5F 75 70 64 6F 77 6E 33 32 00 }
	condition:
		$1
}

rule function_2460_0 {
	meta:
		name = "TCustomUpDown.CreateWnd"
		size = 213
		refs = "000d TWinControl.CreateWnd 0016 TControl.SetWidth 0029 _NF__B4D 0036 TWinControl.GetHandle 0049 SendMessage 005c MakeLong"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 73 38 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 1C 01 00 00 85 C0 74 29 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 50 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 8B 93 20 01 00 00 66 8B 83 22 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 65 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 66 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 67 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C4 50 6A 01 68 6C 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 24 01 00 00 89 44 24 04 8B C4 50 6A 01 68 6B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2461_0 {
	meta:
		name = "TCustomUpDown.WMHScroll"
		size = 87
		refs = "0030 @CallDynaInst"
		altNames = "TCustomUpDown.WMVScroll"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 51 F0 66 83 7F 04 04 75 3C 66 8B 47 06 66 8B 96 28 01 00 00 66 3B C2 7E 0F 33 D2 8B C6 66 BB DB FF E8 ?? ?? ?? ?? EB 12 66 3B D0 7E 0D B2 01 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 66 8B 47 06 66 89 86 28 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2462_0 {
	meta:
		name = "TCustomUpDown.WMSize"
		size = 47
		refs = "0009 TWinControl.WMSize 0020 TWinControl.GetHandle 0026 InvalidateRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 2C 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_2465_0 {
	meta:
		name = "TCustomUpDown.CNNotify"
		size = 38
		refs = "0016 TCustomUpDown.CanChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 08 8B 40 08 2D 2E FD FF FF 75 10 8B C3 E8 ?? ?? ?? ?? 34 01 F6 D8 1B C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_2466_0 {
	meta:
		name = "TCustomUpDown.Click"
		size = 31
	strings:
		$1 = { 53 66 83 B8 2E 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 30 01 00 00 FF 93 2C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2467_0 {
	meta:
		name = "_NF__B49"
		size = 47
		refs = "0012 TObject.ClassNameIs 001d TObject.ClassParent"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 B3 01 85 FF 74 1A 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 75 E6 33 DB 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2468_0 {
	meta:
		name = "TCustomUpDown.SetAssociate"
		size = 540
		refs = "0016 TCustomUpDown.SetAssociate 002c TWinControl.GetControlCount 0045 TWinControl.GetControl 004b _DV_TCustomUpDown 0050 @IsClass 00a0 sUDAssociated 00a5 LoadResString 00af _Dn_Exception 00b4 Exception.CreateFmt 00b9 @RaiseExcept 00d3 TWinControl.HandleAllocated 00e7 TWinControl.GetHandle 00ed SendMessage 0126 _DV_TCustomTreeView 013b _DV_TCustomListView 014f TObject.ClassType 0159 _NF__B49 0186 _NF__B4D 01b0 _Dn_TCustomEdit 01c8 IntToStr 01d2 TControl.SetText 01e7 @LStrClr 01ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 9F 00 00 00 8B 43 24 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 8E 00 00 00 40 89 45 FC 33 FF 8B D7 8B 43 24 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 65 8B D7 8B 43 24 E8 ?? ?? ?? ?? 3B D8 74 57 8B D7 8B 43 24 E8 ?? ?? ?? ?? 3B B0 1C 01 00 00 75 45 8B 46 08 89 45 EC C6 45 F0 0B 8B D7 8B 43 24 E8 ?? ?? ?? ?? 8B 40 08 89 45 F4 C6 45 F8 0B 8D 45 EC 50 6A 01 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 FF 4D FC 0F 85 78 FF FF FF 83 BB 1C 01 00 00 00 74 29 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 83 1C 01 00 00 85 F6 0F 84 D5 00 00 00 8B 46 24 3B 43 24 0F 85 C9 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 9F 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 8A 00 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 75 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 60 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 8B C6 E8 ?? ?? ?? ?? 50 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 B3 1C 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 E8 0F BF 83 28 01 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 07 00 00 00 54 44 42 45 64 69 74 00 FF FF FF FF 07 00 00 00 54 44 42 4D 65 6D 6F 00 }
	condition:
		$1
}

rule function_2469_0 {
	meta:
		name = "_NF__B4D"
		size = 84
		refs = "0013 TWinControl.GetHandle 0026 SendMessage 0040 TControl.SetWidth 004b TControl.SetLeft"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 73 38 8B 7B 30 6A 00 8B C3 E8 ?? ?? ?? ?? 50 68 69 04 00 00 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 38 8B 53 30 8B CE 2B C8 8B C1 8B EA 2B EF 8D 14 30 8B C3 E8 ?? ?? ?? ?? 8B D7 2B D5 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2470_0 {
	meta:
		name = "TCustomUpDown.Notification"
		size = 78
		refs = "0010 TControl.Notification 0024 TWinControl.HandleAllocated 0038 TWinControl.GetHandle 003e SendMessage"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 31 3B B7 1C 01 00 00 75 29 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1E 6A 00 6A 00 68 69 04 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 87 1C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2471_0 {
	meta:
		name = "TCustomUpDown.GetPosition"
		size = 54
		refs = "0006 TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 6A 00 6A 00 68 68 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 89 83 28 01 00 00 5B C3 66 8B 83 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2472_0 {
	meta:
		name = "TCustomUpDown.SetMin"
		size = 72
		refs = "0016 TWinControl.HandleAllocated 002d MakeLong 003c TWinControl.GetHandle 0042 SendMessage"
	strings:
		$1 = { 53 8B D8 66 3B 93 20 01 00 00 74 3A 66 89 93 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 66 8B 93 20 01 00 00 66 8B 83 22 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 65 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2473_0 {
	meta:
		name = "TCustomUpDown.SetMax"
		size = 72
		refs = "0016 TWinControl.HandleAllocated 002d MakeLong 003c TWinControl.GetHandle 0042 SendMessage"
	strings:
		$1 = { 53 8B D8 66 3B 93 22 01 00 00 74 3A 66 89 93 22 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 66 8B 93 20 01 00 00 66 8B 83 22 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 65 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2474_0 {
	meta:
		name = "TCustomUpDown.SetIncrement"
		size = 89
		refs = "001a TWinControl.HandleAllocated 002f TWinControl.GetHandle 0035 SendMessage"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 3B B3 24 01 00 00 74 43 89 B3 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8B C4 50 6A 01 68 6C 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 74 24 04 8B C4 50 6A 01 68 6B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2475_0 {
	meta:
		name = "TCustomUpDown.SetPosition"
		size = 182
		refs = "000d TCustomUpDown.SetPosition 0040 _Dn_TCustomEdit 0045 @IsClass 0058 IntToStr 0062 TControl.SetText 0069 TWinControl.HandleAllocated 007b MakeLong 008a TWinControl.GetHandle 0090 SendMessage 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 3B 93 28 01 00 00 74 74 66 89 93 28 01 00 00 F6 43 20 10 74 39 83 BB 1C 01 00 00 00 74 30 8B B3 1C 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 FC 0F BF 83 28 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 33 D2 66 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 67 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2476_0 {
	meta:
		name = "TCustomUpDown.SetOrientation"
		size = 108
		refs = "0013 TCustomUpDown.SetOrientation 003c TWinControl.HandleAllocated 0050 TWinControl.GetHandle 0056 SendMessage 005d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B D8 3A 93 35 01 00 00 74 55 88 93 35 01 00 00 A0 ?? ?? ?? ?? 22 43 20 8A 15 ?? ?? ?? ?? 3A D0 75 15 8B 43 3C 50 8B 43 38 50 8B 4B 34 8B 53 30 8B C3 8B 30 FF 56 4C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 41 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2477_0 {
	meta:
		name = "TCustomUpDown.SetAlignButton"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e SendMessage 0035 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 34 01 00 00 74 2E 88 93 34 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2478_0 {
	meta:
		name = "TCustomUpDown.SetArrowKeys"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e SendMessage 0035 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 18 01 00 00 74 2E 88 93 18 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2479_0 {
	meta:
		name = "TCustomUpDown.SetThousands"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e SendMessage 0035 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 2A 01 00 00 74 2E 88 93 2A 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2480_0 {
	meta:
		name = "TCustomUpDown.SetWrap"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e SendMessage 0035 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 2B 01 00 00 74 2E 88 93 2B 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2481_0 {
	meta:
		name = "TCustomHotKey.Create"
		size = 144
		refs = "000a @ClassCreate 0017 TWinControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0038 TWinControl.SetTabStop 0041 TControl.SetParentColor 004d TCustomHotKey.Create 006e _NF__B87"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 18 01 00 00 01 A0 ?? ?? ?? ?? 88 86 1A 01 00 00 A0 ?? ?? ?? ?? 88 86 19 01 00 00 66 C7 86 1C 01 00 00 41 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 03 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_2482_0 {
	meta:
		name = "TCustomHotKey.CreateParams"
		size = 64
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TCustomHotKey.CreateParams 0023 TWinControl.CreateSubClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 40 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 66 24 FC 5E 5B C3 00 00 6D 73 63 74 6C 73 5F 68 6F 74 6B 65 79 33 32 00 }
	condition:
		$1
}

rule function_2483_0 {
	meta:
		name = "TCustomHotKey.CreateWnd"
		size = 96
		refs = "0006 TWinControl.CreateWnd 0015 MakeLong 002b TWinControl.GetHandle 0031 SendMessage 0044 MakeWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 19 01 00 00 33 D2 E8 ?? ?? ?? ?? 50 33 C0 8A 83 1A 01 00 00 50 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8A 93 19 01 00 00 8A 83 1C 01 00 00 E8 ?? ?? ?? ?? 0F B7 C0 50 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2484_0 {
	meta:
		name = "TCustomHotKey.SetAutoSize"
		size = 20
		refs = "000f _NF__B86"
	strings:
		$1 = { 3A 90 18 01 00 00 74 0B 88 90 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2592_0 {
	meta:
		name = "TCustomListView.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 18 01 00 00 74 0B 88 90 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13937_0 {
	meta:
		name = "TCustomStaticText.SetAlignment"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 18 01 00 00 74 0B 88 90 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2485_0 {
	meta:
		name = "TCustomHotKey.SetModifiers"
		size = 111
		refs = "0023 MakeLong 0039 TWinControl.GetHandle 003f SendMessage 0052 MakeWord"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 83 19 01 00 00 3A 04 24 74 5A 8A 04 24 88 83 19 01 00 00 33 C0 8A 04 24 33 D2 E8 ?? ?? ?? ?? 50 33 C0 8A 83 1A 01 00 00 50 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8A 93 19 01 00 00 8A 83 1C 01 00 00 E8 ?? ?? ?? ?? 0F B7 C0 50 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_2486_0 {
	meta:
		name = "TCustomHotKey.SetInvalidKeys"
		size = 112
		refs = "0026 MakeLong 003a TWinControl.GetHandle 0040 SendMessage 0053 MakeWord"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 83 1A 01 00 00 3A 04 24 74 5B 8A 04 24 88 83 1A 01 00 00 33 C0 8A 83 19 01 00 00 33 D2 E8 ?? ?? ?? ?? 50 33 C0 8A 44 24 04 50 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8A 93 19 01 00 00 8A 83 1C 01 00 00 E8 ?? ?? ?? ?? 0F B7 C0 50 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_2487_0 {
	meta:
		name = "TCustomHotKey.GetHotKey"
		size = 36
		refs = "000f TWinControl.GetHandle 0015 SendMessage 001e _NF__B89"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2488_0 {
	meta:
		name = "TCustomHotKey.SetHotKey"
		size = 53
		refs = "0006 _NF__B88 0019 MakeWord 0029 TWinControl.GetHandle 002f SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8A 93 19 01 00 00 8A 83 1C 01 00 00 E8 ?? ?? ?? ?? 0F B7 C0 50 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2489_0 {
	meta:
		name = "_NF__B86"
		size = 60
		refs = "000e _NF__B86 001d _NF__B87"
	strings:
		$1 = { 53 8B D8 80 BB 18 01 00 00 00 74 17 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 8B C3 E8 ?? ?? ?? ?? 5B C3 66 A1 ?? ?? ?? ?? F7 D0 66 23 43 40 66 89 43 40 5B C3 00 00 00 00 02 00 00 }
	condition:
		$1
}

rule function_2490_0 {
	meta:
		name = "_NF__369"
		size = 168
		refs = "000b GetDC 0014 GetTextMetrics 001c TFont.GetHandle 0023 SelectObject 003f ReleaseDC 0044 NewStyleControls 0065 GetSystemMetrics 009d TControl.SetHeight"
		altNames = "_NF__B87"
	strings:
		$1 = { 53 56 57 83 C4 90 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 54 53 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F8 8D 44 24 38 50 53 E8 ?? ?? ?? ?? 57 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 22 80 BE D5 00 00 00 00 74 07 BB 08 00 00 00 EB 05 BB 06 00 00 00 6A 06 E8 ?? ?? ?? ?? F7 EB 8B D8 EB 25 8B 1C 24 8B 44 24 38 3B D8 7E 02 8B D8 6A 06 E8 ?? ?? ?? ?? C1 E0 02 85 DB 79 03 83 C3 03 C1 FB 02 03 C3 8B D8 8B 54 24 38 03 D3 8B C6 E8 ?? ?? ?? ?? 83 C4 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2491_0 {
	meta:
		name = "_NF__B88"
		size = 80
		refs = "0014 _NF__B88"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 66 25 FF 1F 66 89 83 1C 01 00 00 A0 ?? ?? ?? ?? 88 83 19 01 00 00 66 F7 C6 00 20 74 07 80 8B 19 01 00 00 01 66 F7 C6 00 40 74 07 80 8B 19 01 00 00 02 0F B7 C6 F6 C4 80 74 07 80 8B 19 01 00 00 04 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_2492_0 {
	meta:
		name = "_NF__B89"
		size = 75
		refs = "0009 HiByte"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 88 83 19 01 00 00 8B C6 25 FF 00 00 00 66 89 83 1C 01 00 00 F6 83 19 01 00 00 01 74 04 66 05 00 20 F6 83 19 01 00 00 02 74 04 66 05 00 40 F6 83 19 01 00 00 04 74 04 66 05 00 80 5E 5B C3 }
	condition:
		$1
}

rule function_2493_0 {
	meta:
		name = "TListColumn.Create"
		size = 115
		refs = "0011 @ClassCreate 0022 TCollectionItem.Create 0046 TCollectionItem.GetIndex 004f TWinControl.GetHandle 0058 ListView_InsertColumn"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 14 32 00 00 00 C6 47 10 00 C7 45 E8 03 00 00 00 33 C0 89 45 EC 8B 47 14 89 45 F0 8B C7 E8 ?? ?? ?? ?? 50 8B 46 18 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2494_0 {
	meta:
		name = "TListColumn.Destroy"
		size = 74
		refs = "000d TWinControl.HandleAllocated 0018 TCollectionItem.GetIndex 0024 TWinControl.GetHandle 002a ListView_DeleteColumn 0036 TCollectionItem.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 8B 40 18 E8 ?? ?? ?? ?? 84 C0 74 19 8B C6 E8 ?? ?? ?? ?? 50 8B 46 04 8B 40 18 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2495_0 {
	meta:
		name = "TListColumn.DefineProperties"
		size = 68
		refs = "000b TPersistent.DefineProperties 0011 _NF__B94 0017 _NF__B95 0023 TListColumn.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 7B 14 FF 0F 9E C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 FF FF FF FF 09 00 00 00 57 69 64 74 68 54 79 70 65 00 00 00 }
	condition:
		$1
}

rule function_2496_0 {
	meta:
		name = "_NF__B94"
		size = 39
		refs = "0009 TReader.ReadListBegin 0010 TReader.ReadInteger 0019 TListColumn.SetWidth 0020 TReader.ReadListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2497_0 {
	meta:
		name = "_NF__B95"
		size = 33
		refs = "0009 TWriter.WriteListBegin 0013 TWriter.WriteInteger 001a TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 56 14 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2498_0 {
	meta:
		name = "_NF__B96"
		size = 240
		refs = "0019 TWinControl.HandleAllocated 002d _NF__B96 005f _Dn_TMemoryStream 0064 TObject.Create 008a _Dn_TWriter 008f TFiler.Create 00b1 TWriter.WriteCollection 00c6 TObject.Free 00d6 TStream.SetPosition 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 8B 40 FC 8B 40 04 8B 40 18 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 BD 00 00 00 8B 45 F8 8A 40 20 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 0F 85 A3 00 00 00 8B 45 F8 80 B8 85 01 00 00 00 0F 85 93 00 00 00 8B 45 F8 8B 80 48 01 00 00 85 C0 75 17 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 82 48 01 00 00 EB 06 33 D2 8B 08 FF 11 68 00 04 00 00 8B 45 F8 8B 88 48 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 50 04 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 80 48 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 59 59 5D C3 00 00 03 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2499_0 {
	meta:
		name = "_NF__B97"
		size = 89
		refs = "0010 TCollection.GetCount 0027 TCollection.GetItem 0049 TCollectionItem.Changed 004f _NF__B96"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 F6 8B 45 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? 83 78 14 FF 7E 04 46 4B 75 E9 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 3B F0 0F 95 C2 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2500_0 {
	meta:
		name = "TListColumn.SetCaption"
		size = 38
		refs = "000c @LStrCmp 0018 @LStrAsg 001f _NF__B97"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2501_0 {
	meta:
		name = "TListColumn.GetWidth"
		size = 80
		refs = "0010 TWinControl.HandleAllocated 0022 TCollectionItem.GetIndex 002a TWinControl.GetHandle 0034 ListView_GetColumn"
	strings:
		$1 = { 53 56 83 C4 E8 8B D8 8B 43 04 8B 70 18 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2F C7 04 24 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8D 4C 24 04 5A E8 ?? ?? ?? ?? 8B 44 24 08 83 7B 14 FF 7E 08 89 43 14 EB 03 8B 43 14 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_2502_0 {
	meta:
		name = "TListColumn.SetWidth"
		size = 14
		refs = "0009 _NF__B97"
	strings:
		$1 = { 3B 50 14 74 08 89 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2503_0 {
	meta:
		name = "TListColumn.SetAlignment"
		size = 48
		refs = "000e TCollectionItem.GetIndex 001e TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 10 74 22 8B C6 E8 ?? ?? ?? ?? 85 C0 74 17 88 5E 10 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 8B 40 18 8B 10 FF 52 48 5E 5B C3 }
	condition:
		$1
}

rule function_2504_0 {
	meta:
		name = "TListColumn.Assign"
		size = 74
		refs = "000a _DV_TListColumn 000f @IsClass 001d TListColumn.SetAlignment 0024 TListColumn.GetWidth 002d TListColumn.SetWidth 0037 TListColumn.SetCaption 0043 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8A 56 10 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2512_0 {
	meta:
		name = "TIndexFiles.Create"
		size = 53
		refs = "000b @ClassCreate 001a TObject.Create"
		altNames = "_NF__BBC"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 2C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2513_0 {
	meta:
		name = "_NF__BBD"
		size = 28
		refs = "0007 TStringList.Add 0013 _NF__BC2"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 56 01 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2514_0 {
	meta:
		name = "_NF__BBE"
		size = 12
		refs = "0007 TListItems.GetHandle"
	strings:
		$1 = { 8B 40 2C 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2519_0 {
	meta:
		name = "_NF__BC3"
		size = 12
		refs = "0007 TListItems.SetUpdateState"
	strings:
		$1 = { 8B 40 2C 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2515_0 {
	meta:
		name = "_NF__BBF"
		size = 67
		refs = "0008 TListItem.GetListView 0011 TCustomListView.ColumnsShowing 0020 TCollection.GetCount 002d TCustomListView.GetColumnFromIndex 003c TCustomListView.UpdateColumn"
	strings:
		$1 = { 53 56 8B F2 8B 40 2C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 27 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 3B F0 7D 18 8B D6 8B C3 E8 ?? ?? ?? ?? 83 78 14 FF 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2516_0 {
	meta:
		name = "_NF__BC0"
		size = 50
		refs = "000c TStringList.Insert 0026 _NF__BC2"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 73 01 8B C7 8B 10 FF 52 14 8B D8 2B DE 7C 0E 43 8B D6 8B C7 E8 ?? ?? ?? ?? 46 4B 75 F3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2517_0 {
	meta:
		name = "_NF__BC1"
		size = 28
		refs = "000b TStringList.Put 0015 _NF__BC2"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 56 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2518_0 {
	meta:
		name = "_NF__BC2"
		size = 44
		refs = "000c TListItem.GetIndex 0014 _NF__BBE 001c ListView_SetItemText 0025 _NF__BBF"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A FF 8B 43 2C E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B CE 5A E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2520_0 {
	meta:
		name = "TListItem.Create"
		size = 71
		refs = "000a @ClassCreate 001a _NV__BBA 001f _NF__BBC"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 C7 46 14 FF FF FF FF C7 46 18 FF FF FF FF 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2521_0 {
	meta:
		name = "TListItem.Destroy"
		size = 105
		refs = "0023 TListItem.GetListView 0028 TWinControl.HandleAllocated 0033 TListItem.GetIndex 003b TListItem.GetHandle 0041 ListView_DeleteItem 0049 TObject.Free 0055 TPersistent.Destroy 0060 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 C6 46 20 01 8B 46 04 8B 40 04 3B B0 70 01 00 00 75 08 33 D2 89 90 70 01 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2523_0 {
	meta:
		name = "TListItem.Delete"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 80 78 20 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2525_0 {
	meta:
		name = "TListItem.MakeVisible"
		size = 34
		refs = "0009 TListItem.GetIndex 0011 TListItem.GetHandle 001b ListView_EnsureVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? F6 DB 1B C9 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2526_0 {
	meta:
		name = "TListItem.GetChecked"
		size = 88
		refs = "000d TWinControl.HandleAllocated 0021 TListItem.GetIndex 0029 TWinControl.GetHandle 002f ListView_GetCheckState"
	strings:
		$1 = { 53 56 8B F0 8B 46 04 8B 58 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 80 BB 74 01 00 00 00 74 19 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 1A B0 01 5E 5B C3 80 BB 74 01 00 00 00 74 06 80 7E 22 00 75 04 33 C0 EB 02 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_2527_0 {
	meta:
		name = "TListItem.SetChecked"
		size = 96
		refs = "0011 TWinControl.HandleAllocated 0029 TListItem.GetHandle 002e ListView_GetExtendedListViewStyle 0041 ListView_SetExtendedListViewStyle 0048 TListItem.GetIndex 0058 ListView_SetCheckState"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 88 5E 22 8B 46 04 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 43 8B 46 04 8B 40 04 C6 80 74 01 00 00 01 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 8B D7 83 CA 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2528_0 {
	meta:
		name = "TListItem.GetLeft"
		size = 22
		refs = "000b TListItem.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_6381_0 {
	meta:
		name = "TFindDialog.GetLeft"
		size = 22
		refs = "000b TFindDialog.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_2529_0 {
	meta:
		name = "TListItem.SetLeft"
		size = 34
		refs = "0010 Point 0019 TListItem.SetPosition"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2530_0 {
	meta:
		name = "TListItem.GetTop"
		size = 23
		refs = "000b TListItem.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_6384_0 {
	meta:
		name = "TFindDialog.GetTop"
		size = 23
		refs = "000b TFindDialog.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_2531_0 {
	meta:
		name = "TListItem.SetTop"
		size = 34
		refs = "0010 Point 0019 TListItem.SetPosition"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 33 C0 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2532_0 {
	meta:
		name = "TListItem.Update"
		size = 26
		refs = "0006 TListItem.GetIndex 000e TListItem.GetHandle 0014 ListView_Update"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2533_0 {
	meta:
		name = "TListItem.SetCaption"
		size = 145
		refs = "000c @LStrAsg 0015 TListItem.GetIndex 001d TListItem.GetHandle 0025 ListView_SetItemText 002c TListItem.GetListView 0031 TCustomListView.ColumnsShowing 0047 TCollection.GetCount 0059 TCustomListView.GetColumnFromIndex 006b TCustomListView.UpdateColumns 008a TCustomListView.AlphaSort"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 6A FF 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 36 8B C3 E8 ?? ?? ?? ?? 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 20 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 78 14 FF 7F 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 80 2D 01 00 00 04 FE 2C 02 73 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2534_0 {
	meta:
		name = "TListItem.SetData"
		size = 41
		refs = "0009 TListItem.GetListView 0023 TCustomListView.AlphaSort"
	strings:
		$1 = { 53 8B D8 89 53 0C 8B C3 E8 ?? ?? ?? ?? 8A 80 2D 01 00 00 2C 01 74 04 2C 02 75 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2535_0 {
	meta:
		name = "TListItem.EditCaption"
		size = 31
		refs = "0006 TListItem.GetIndex 000e TListItem.GetHandle 0014 ListView_EditLabel"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_2536_0 {
	meta:
		name = "TListItem.CancelEdit"
		size = 20
		refs = "0006 TListItem.GetHandle 000e ListView_EditLabel"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2537_0 {
	meta:
		name = "TListItem.GetState"
		size = 80
		refs = "0034 TListItem.GetIndex 003c TListItem.GetHandle 0044 ListView_GetItemState"
	strings:
		$1 = { 53 56 8B F0 83 EA 01 72 0A 74 0F 4A 74 13 4A 74 17 EB 1C BB 04 00 00 00 EB 17 BB 08 00 00 00 EB 10 BB 01 00 00 00 EB 09 BB 02 00 00 00 EB 02 33 DB 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 85 D8 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_2538_0 {
	meta:
		name = "TListItem.SetState"
		size = 88
		refs = "0040 TListItem.GetIndex 0048 TListItem.GetHandle 0050 ListView_SetItemState"
	strings:
		$1 = { 53 56 57 8B D8 83 EA 01 72 0A 74 0F 4A 74 13 4A 74 17 EB 1C BE 04 00 00 00 EB 17 BE 08 00 00 00 EB 10 BE 01 00 00 00 EB 09 BE 02 00 00 00 EB 02 33 F6 84 C9 74 04 8B FE EB 02 33 FF 56 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B CF 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2539_0 {
	meta:
		name = "TListItem.SetImage"
		size = 189
		refs = "002a TListItem.GetIndex 003b TListItem.GetHandle 0042 ListView_SetItem 0055 IndexToOverlayMask 006c ListView_SetItemState 007f IndexToStateImageMask 00ad TListItem.GetListView 00b4 TCustomListView.UpdateItems"
	strings:
		$1 = { 53 83 C4 DC 8B D8 83 EA 01 72 0A 74 3B 4A 74 62 E9 85 00 00 00 89 4B 10 C7 04 24 02 00 00 00 C7 44 24 1C FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 33 C0 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? EB 52 89 4B 14 68 00 0F 00 00 8B 43 14 40 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 28 89 4B 18 68 00 F0 00 00 8B 43 18 40 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 24 5B C3 }
	condition:
		$1
}

rule function_2540_0 {
	meta:
		name = "TListItem.Assign"
		size = 125
		refs = "000a _DV_TListItem 000f @IsClass 0020 @AsClass 002c TListItem.SetCaption 0036 TListItem.SetData 0042 TListItem.SetImage 006a TListItem.SetSubItems 0076 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 4E 10 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4E 14 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4E 18 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2541_0 {
	meta:
		name = "_NF__BFD"
		size = 37
		refs = "000d @LStrCmp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 1C 8B 56 1C E8 ?? ?? ?? ?? 75 08 8B 43 0C 3B 46 0C 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_2542_0 {
	meta:
		name = "TListItem.SetSubItems"
		size = 17
	strings:
		$1 = { 56 8B F0 85 D2 74 08 8B 46 08 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2543_0 {
	meta:
		name = "TListItem.GetIndex"
		size = 11
		refs = "0006 TListItems.IndexOf"
	strings:
		$1 = { 8B D0 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2544_0 {
	meta:
		name = "TListItem.GetPosition"
		size = 32
		refs = "0009 TListItem.GetIndex 0011 TListItem.GetHandle 0019 ListView_GetItemPosition"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B CE 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2545_0 {
	meta:
		name = "TListItem.SetPosition"
		size = 53
		refs = "0009 TListItem.GetListView 001e TListItem.GetIndex 0026 TListItem.GetHandle 002e ListView_SetItemPosition32"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 80 19 01 00 00 2C 02 73 1B 8B 46 04 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 0E 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2546_0 {
	meta:
		name = "TListItem.DisplayRect"
		size = 48
		refs = "0010 _NV__C08 0018 TListItem.GetIndex 0020 TListItem.GetHandle 0028 ListView_GetItemRect"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B CF 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2549_0 {
	meta:
		name = "TListItems.Add"
		size = 58
		refs = "0015 TListItems.GetCount 0020 TListItems.CreateItem 0028 TListItems.GetHandle 002e ListView_InsertItem"
	strings:
		$1 = { 53 56 83 C4 DC 8B D8 8B 43 04 8B 10 FF 52 7C 8B F0 54 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C6 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_2550_0 {
	meta:
		name = "TListItems.Insert"
		size = 55
		refs = "001c TListItems.CreateItem 0024 TListItems.GetHandle 002a ListView_InsertItem"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B FA 8B D8 8B 43 04 8B 10 FF 52 7C 8B F0 54 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C6 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2553_0 {
	meta:
		name = "TListItems.GetItem"
		size = 72
		refs = "0010 TWinControl.HandleAllocated 002c TListItems.GetHandle 0033 ListView_GetItem"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B FA 8B D8 33 F6 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 27 C7 04 24 04 00 00 00 89 7C 24 04 33 C0 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 85 C0 74 04 8B 74 24 20 8B C6 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2554_0 {
	meta:
		name = "TListItems.IndexOf"
		size = 39
		refs = "0014 TListItems.GetHandle 001e ListView_FindItem"
	strings:
		$1 = { 53 83 C4 E8 8B D8 C7 04 24 01 00 00 00 89 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B CC 83 CA FF E8 ?? ?? ?? ?? 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_2558_0 {
	meta:
		name = "TListItems.SetUpdateState"
		size = 452
		refs = "0027 TCustomListView.SetSortType 0038 TCollection.GetCount 0055 TListColumns.GetItem 0068 TListColumn.GetWidth 0072 _NF__B97 0084 TListItems.GetHandle 008a SendMessage 0095 TCustomListView.ColumnsShowing 00a8 _NF__CA5 012b TListColumn.SetWidth 0143 TListItems.SetUpdateState 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 84 D2 0F 84 BF 00 00 00 8B 45 FC 8B 40 04 8A 90 2D 01 00 00 88 90 84 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 37 46 33 FF 8B 45 FC 8B 40 04 8B 80 40 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 14 85 C0 7D 14 89 43 18 8B C3 E8 ?? ?? ?? ?? 89 43 14 8B C3 E8 ?? ?? ?? ?? 47 4E 75 CC 6A 00 6A 00 6A 0B 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 0F 84 1D 01 00 00 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 0F 84 0A 01 00 00 6A 00 6A 00 6A 0B 8B 45 FC 8B 40 04 8B 80 64 01 00 00 50 E8 ?? ?? ?? ?? E9 ED 00 00 00 8B 45 FC 83 78 08 00 0F 85 E0 00 00 00 8B 45 FC 8B 40 04 8A 90 84 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 31 46 33 FF 8B 45 FC 8B 40 04 8B 80 40 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 18 85 C0 7D 0E 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 18 47 4E 75 D2 8B 45 FC C6 40 0C 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 01 6A 0B 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 0C 00 C3 E9 ?? ?? ?? ?? EB F1 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 27 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 6A 01 6A 0B 8B 45 FC 8B 40 04 8B 80 64 01 00 00 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2560_0 {
	meta:
		name = "TListItems.Assign"
		size = 94
		refs = "000c _DV_TListItems 0011 @IsClass 001c TListItems.Clear 0025 TListItems.GetCount 0038 TListItems.GetItem 0040 TListItems.Add 0055 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8B C7 E8 ?? ?? ?? ?? 8B EB 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 29 43 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 46 4B 75 E5 EB 09 8B D3 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2561_0 {
	meta:
		name = "_NF__C39"
		size = 141
		refs = "0017 TListItems.GetCount 004c TListItems.GetItem 0060 _NF__BFD"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 70 1C 85 F6 74 61 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3B D8 0F 95 C3 84 DB 75 54 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 44 40 89 45 FC 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B D7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 75 18 47 FF 4D FC 75 D4 EB 10 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 85 C0 0F 9F C3 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2563_0 {
	meta:
		name = "_NF__C3D"
		size = 387
		refs = "0016 _NF__C3D 0024 TListItems.Clear 0033 TStream.ReadBuffer 003b AllocMem 0083 TListItems.Add 0093 @LStrFromString 009d TListItem.SetCaption 00ab TListItem.SetImage 00dc TListItem.SetData 0154 @FreeMem 015a @HandleFinally 0171 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 4D F8 83 E9 04 8B 45 F0 8D 50 04 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 83 C0 08 89 45 EC 8B 45 F0 8B 40 04 48 85 C0 0F 8C C5 00 00 00 40 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 45 E0 8B 55 EC 83 C2 14 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 08 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 48 08 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 48 04 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 50 10 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8D 58 14 33 C0 8A 03 40 01 C3 33 C0 89 45 F4 8B 45 EC 8B 40 0C 48 85 C0 7C 2A 40 89 45 E4 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 8B 55 E0 8B 46 08 8B 08 FF 51 34 33 C0 8A 03 8D 50 01 01 55 F4 01 D3 FF 4D E4 75 DA 8B 45 EC 0F B6 40 14 83 C0 15 03 45 F4 01 45 EC FF 4D E8 0F 85 3F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2564_0 {
	meta:
		name = "_NF__C3E"
		size = 18
		refs = "0001 @LStrLen"
	strings:
		$1 = { E8 ?? ?? ?? ?? 3D FF 00 00 00 7E 05 B8 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_2565_0 {
	meta:
		name = "_NF__C3F"
		size = 575
		refs = "0018 _NF__C3F 002d TListItems.GetCount 0048 TListItems.GetItem 0050 _NF__C3E 00b4 AllocMem 0124 @LStrToString 01f7 TStream.WriteBuffer 020f @FreeMem 0215 @HandleFinally 022c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 EC 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 7A 40 89 45 D8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 40 1C E8 ?? ?? ?? ?? 8B F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 C7 45 F0 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8D 4D D0 8B 55 F0 8B 38 FF 57 0C 8B 45 D0 E8 ?? ?? ?? ?? 40 03 F0 FF 45 F0 4B 75 D6 83 C6 15 01 75 EC FF 45 F4 FF 4D D8 75 91 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 8B 55 EC 89 10 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 89 42 04 8B 45 E4 83 C0 08 89 45 E0 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C F4 00 00 00 40 89 45 D8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 89 45 D4 8B 45 E0 83 C0 14 8B 55 D4 8B 52 1C B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 8B 40 10 8B 55 E0 89 02 8B 45 D4 8B 40 14 8B 55 E0 89 42 08 8B 45 D4 8B 40 18 8B 55 E0 89 42 04 8B 45 D4 8B 40 0C 8B 55 E0 89 42 10 8B 45 D4 8B 40 08 8B 10 FF 52 14 8B 55 E0 89 42 0C 8B 45 E0 83 C0 14 89 45 DC 8B 45 E0 0F B6 40 14 40 01 45 DC 33 C0 89 45 E8 8B 45 D4 8B 40 08 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3E 43 C7 45 F0 00 00 00 00 8D 4D D0 8B 45 D4 8B 40 08 8B 55 F0 8B 30 FF 56 0C 8B 55 D0 8B 45 DC B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 0F B6 30 8D 46 01 01 45 E8 01 45 DC FF 45 F0 4B 75 CA 8B 45 E0 0F B6 40 14 83 C0 15 03 45 E8 01 45 E0 FF 45 F4 FF 4D D8 0F 85 17 FF FF FF 8B 55 E4 8B 4D EC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2566_0 {
	meta:
		name = "TListItems.Delete"
		size = 23
		refs = "000b TListItems.GetItem 0010 TListItem.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2567_0 {
	meta:
		name = "TListItems.CreateItem"
		size = 34
	strings:
		$1 = { 55 8B EC 8B 45 08 C7 00 06 00 00 00 89 50 04 33 D2 89 50 08 C7 40 1C FF FF FF FF 89 48 20 5D C2 04 00 }
	condition:
		$1
}

rule function_2568_0 {
	meta:
		name = "TIconOptions.Create"
		size = 167
		refs = "0010 @ClassCreate 001e TIconOptions.Create 002d TObject.Create 0039 sInvalidOwner 003e LoadResString 0048 _Dn_Exception 004d Exception.Create 0052 @RaiseExcept 005e TIconOptions.SetArrangement 0067 TIconOptions.SetAutoArrange 0070 TIconOptions.SetWrapText 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 04 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2569_0 {
	meta:
		name = "TIconOptions.SetArrangement"
		size = 17
		refs = "000c TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 50 08 74 0B 88 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2570_0 {
	meta:
		name = "TIconOptions.SetAutoArrange"
		size = 17
		refs = "000c TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 50 09 74 0B 88 50 09 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2571_0 {
	meta:
		name = "TIconOptions.SetWrapText"
		size = 17
		refs = "000c TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 50 0A 74 0B 88 50 0A 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2572_0 {
	meta:
		name = "_NF__C54"
		size = 108
		refs = "000f TListItem.GetListView 004c @LStrToPChar 005b lstrcmp"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 0C 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 66 83 B8 C2 01 00 00 00 74 2B 56 8B 45 10 50 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 86 C4 01 00 00 FF 96 C0 01 00 00 EB 1A 8B 46 1C E8 ?? ?? ?? ?? 50 8B 43 1C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_2573_0 {
	meta:
		name = "TCustomListView.Create"
		size = 392
		refs = "000e @ClassCreate 001c TWinControl.Create 0022 TCustomListView.Create 003f TControl.SetWidth 004b TControl.SetHeight 0054 TCustomListView.SetBorderStyle 005d TCustomListView.SetViewStyle 0066 TControl.SetParentColor 006f TWinControl.SetTabStop 0078 TCustomListView.SetHideSelection 0081 TCustomListView.SetColumnHeaders 008a TCustomListView.SetColumnClick 009d _DV_TListColumns 00a2 TListColumns.Create 00b1 _DV_TListItems 00b6 TListItems.Create 00c5 _DV_TIconOptions 00ca TIconOptions.Create 00de _Dn_TImageList 00e3 TCustomImageList.CreateSize 00ef _NF__C75 00f4 MakeObjectInstance 0100 _NF__C74 0112 _Dn_TChangeLink 0117 TObject.Create 0129 _NF__C6F"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? F7 D0 66 23 43 40 66 0B 05 ?? ?? ?? ?? 66 89 43 40 BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C7 83 6C 01 00 00 FF FF FF FF 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 40 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 30 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 38 01 00 00 6A 20 B9 20 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 28 01 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 50 01 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 5C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 78 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 7C 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 02 00 00 00 00 60 00 00 }
	condition:
		$1
}

rule function_2574_0 {
	meta:
		name = "TCustomListView.Destroy"
		size = 198
		refs = "0014 TObject.Free 0061 FreeObjectInstance 007a SetWindowLong 00b2 TWinControl.Destroy 00bd @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 68 8B 86 28 01 00 00 E8 ?? ?? ?? ?? 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 8B 86 44 01 00 00 E8 ?? ?? ?? ?? 8B 86 48 01 00 00 E8 ?? ?? ?? ?? 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 8B 86 50 01 00 00 E8 ?? ?? ?? ?? 8B 86 64 01 00 00 85 C0 74 0F 8B 96 60 01 00 00 52 6A FC 50 E8 ?? ?? ?? ?? 8B 86 5C 01 00 00 E8 ?? ?? ?? ?? 8B 86 78 01 00 00 E8 ?? ?? ?? ?? 8B 86 7C 01 00 00 E8 ?? ?? ?? ?? 8B 86 80 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2575_0 {
	meta:
		name = "TCustomListView.CreateParams"
		size = 268
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TCustomListView.CreateParams 0023 TWinControl.CreateSubClass 003b _NV__C63 004a _NV__C5C 005c _NV__C60 006b _NV__C5D 007a _NV__C5E 0089 _NV__C5F 0095 _NV__C61 00a0 _NV__C62 00af _NV__C64 00be _NV__C65 00d2 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 56 04 81 CA 00 00 00 02 33 C9 8A 8B 19 01 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 18 01 00 00 0B 14 8D ?? ?? ?? ?? 8B 83 38 01 00 00 33 C9 8A 48 08 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 1A 01 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 2C 01 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 3C 01 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 48 09 0B 14 8D ?? ?? ?? ?? 0F B6 40 0A 0B 14 85 ?? ?? ?? ?? 33 C0 8A 83 2F 01 00 00 0B 14 85 ?? ?? ?? ?? 33 C0 8A 83 2E 01 00 00 0B 14 85 ?? ?? ?? ?? 83 CA 40 89 56 04 80 BB D5 00 00 00 00 74 21 A1 ?? ?? ?? ?? 80 38 00 74 17 80 BB 18 01 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 83 66 24 FC 5E 5B C3 00 00 00 53 79 73 4C 69 73 74 56 69 65 77 33 32 00 00 00 }
	condition:
		$1
}

rule function_2576_0 {
	meta:
		name = "_NF__C69"
		size = 179
		refs = "0024 TCollection.Clear 003c _Dn_TReader 0041 TFiler.Create 004c _NF__C69 005a TReader.ReadValue 006e TReader.ReadCollection 0083 TObject.Free 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 40 FC 83 B8 48 01 00 00 00 0F 84 99 00 00 00 8B 45 08 8B 40 FC 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 68 00 04 00 00 8B 45 08 8B 40 FC 8B 88 48 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 40 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 40 FC 8B 80 48 01 00 00 B2 01 8B 08 FF 51 FC 8B 45 08 8B 40 FC 33 D2 89 90 48 01 00 00 59 5D C3 }
	condition:
		$1
}

rule function_2577_0 {
	meta:
		name = "TCustomListView.CreateWnd"
		size = 430
		refs = "000c TWinControl.CreateWnd 0014 _NF__C7A 0022 _NF__C96 0033 _NF__C95 0044 TCustomListView.SetAllocBy 0062 TListItems.BeginUpdate 0074 TCustomListView.CreateWnd 0088 TCollection.Clear 0099 TStream.ReadComponent 00c8 _NF__C7B 00ce _NF__C69 00dd TControl.SetFont 00f8 TListItems.EndUpdate 0108 @HandleFinally 011e TCustomImageList.HandleAllocated 0130 TCustomImageList.GetHandle 013c _NF__C6E"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 54 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 50 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 68 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 44 01 00 00 00 0F 84 B6 00 00 00 8B 45 FC 8B 80 30 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 85 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 01 00 00 B2 01 8B 08 FF 51 FC 8B 45 FC 33 D2 89 90 44 01 00 00 8B 45 FC 80 B8 74 01 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 50 50 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 30 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 85 01 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC 8B 98 1C 01 00 00 85 DB 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 FC 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 20 01 00 00 85 DB 74 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 FC 8B 80 20 01 00 00 E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 24 01 00 00 85 DB 74 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_2578_0 {
	meta:
		name = "TCustomListView.DestroyWnd"
		size = 90
		refs = "0010 _Dn_TMemoryStream 0015 TObject.Create 0030 TStream.WriteComponent 003d TStream.SetPosition 004d _NF__C7C 0054 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 8B D8 8B 83 44 01 00 00 85 C0 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 44 01 00 00 EB 06 33 D2 8B 08 FF 11 8B D3 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 80 BB 74 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2580_0 {
	meta:
		name = "_NF__C6F"
		size = 94
		refs = "0009 TWinControl.HandleAllocated 0014 TCustomImageList.GetHandle 0027 _NF__C6E"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4A 8B C6 E8 ?? ?? ?? ?? 3B B3 1C 01 00 00 75 0D 33 C9 8B D0 8B C3 E8 ?? ?? ?? ?? EB 2E 3B B3 20 01 00 00 75 10 B9 01 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? EB 16 3B B3 24 01 00 00 75 0E B9 02 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2581_0 {
	meta:
		name = "TCustomListView.Notification"
		size = 80
		refs = "0010 TControl.Notification 0026 TCustomListView.SetLargeImages 0037 TCustomListView.SetSmallImages 0048 TCustomListView.SetStateImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 33 3B B7 1C 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 20 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 24 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2582_0 {
	meta:
		name = "_NF__C74"
		size = 220
		refs = "0010 _NF__C74 0065 CallWindowProc 00be @HandleAnyException 00c3 Application 00cd TApplication.HandleException 00d2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 33 8B C6 2D 82 00 00 00 74 22 83 E8 02 75 62 8B 45 FC F6 40 20 10 74 59 C7 43 0C FF FF FF FF 33 C0 5A 59 59 64 89 10 E9 8F 00 00 00 8B 43 08 50 8B 43 04 50 56 8B 45 FC 8B 80 64 01 00 00 50 8B 45 FC 8B 80 60 01 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 8B 45 FC 33 D2 89 90 64 01 00 00 8B 45 FC 33 D2 89 90 60 01 00 00 33 C0 5A 59 59 64 89 10 EB 4A 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 80 64 01 00 00 50 8B 45 FC 8B 80 60 01 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2583_0 {
	meta:
		name = "_NF__C75"
		size = 256
		refs = "0010 _NF__C75 0057 TWinControl.DoKeyDown 0072 TWinControl.DoKeyPress 008a TWinControl.DoKeyUp 00d0 CallWindowProc 00e2 @HandleAnyException 00e7 Application 00f1 TApplication.HandleException 00f6 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 3D 05 01 00 00 7F 16 74 5F 2D 00 01 00 00 74 25 48 74 55 48 74 3A 83 E8 02 74 1A EB 77 2D 00 BD 00 00 74 5C 83 E8 02 74 57 83 E8 02 74 52 83 E8 02 74 4D EB 5F 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 51 33 C0 5A 59 59 64 89 10 E9 8E 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 36 33 C0 5A 59 59 64 89 10 EB 76 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1E 33 C0 5A 59 59 64 89 10 EB 5E 8B D3 8B 45 FC 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 EB 4A 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 80 58 01 00 00 50 8B 45 FC 8B 80 54 01 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2584_0 {
	meta:
		name = "TCustomListView.UpdateItems"
		size = 29
		refs = "000c TWinControl.GetHandle 0015 ListView_RedrawItems"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2638_0 {
	meta:
		name = "TCustomListView.Scroll"
		size = 29
		refs = "000c TWinControl.GetHandle 0015 ListView_Scroll"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2585_0 {
	meta:
		name = "_NF__C7A"
		size = 73
		refs = "003b TWinControl.GetHandle 0042 ListView_SetExtendedListViewStyle"
	strings:
		$1 = { 53 56 8B D8 33 F6 80 BB 74 01 00 00 00 74 05 BE 04 00 00 00 80 BB 75 01 00 00 00 74 03 83 CE 01 80 BB 76 01 00 00 00 74 03 83 CE 08 80 BB 77 01 00 00 00 74 03 83 CE 20 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2586_0 {
	meta:
		name = "_NF__C7B"
		size = 122
		refs = "000e TListItems.GetCount 003b TListItems.GetItem 0043 TListItem.SetChecked 0068 TObject.Free"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 48 46 33 FF 8B 83 4C 01 00 00 85 C0 74 23 8B D4 B9 01 00 00 00 8B 28 FF 55 04 8B D7 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 8A 14 24 E8 ?? ?? ?? ?? EB 14 8B D7 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 47 4E 75 BB 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 4C 01 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2587_0 {
	meta:
		name = "_NF__C7C"
		size = 126
		refs = "0014 _Dn_TMemoryStream 0019 TObject.Create 0032 TListItems.GetCount 0049 TListItems.GetItem 004e TListItem.GetChecked 0074 TStream.SetPosition"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 83 4C 01 00 00 85 C0 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 4C 01 00 00 EB 06 33 D2 8B 08 FF 11 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2E 46 33 FF 8B D7 8B 83 30 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 04 24 8B D4 B9 01 00 00 00 8B 83 4C 01 00 00 8B 28 FF 55 08 47 4E 75 D5 33 D2 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2588_0 {
	meta:
		name = "TCustomListView.SetCheckboxes"
		size = 42
		refs = "0014 _NF__C7A 0024 _NF__C7B"
	strings:
		$1 = { 53 8B D8 3A 93 74 01 00 00 74 1D 88 93 74 01 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 74 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2589_0 {
	meta:
		name = "TCustomListView.SetGridLines"
		size = 20
		refs = "000f _NF__C7A"
	strings:
		$1 = { 3A 90 75 01 00 00 74 0B 88 90 75 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2590_0 {
	meta:
		name = "TCustomListView.SetHotTrack"
		size = 20
		refs = "000f _NF__C7A"
	strings:
		$1 = { 3A 90 76 01 00 00 74 0B 88 90 76 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2591_0 {
	meta:
		name = "TCustomListView.SetRowSelect"
		size = 20
		refs = "000f _NF__C7A"
	strings:
		$1 = { 3A 90 77 01 00 00 74 0B 88 90 77 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2593_0 {
	meta:
		name = "TCustomListBox.SetMultiSelect"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomListView.SetColumnClick TDateTimePicker.SetKind"
	strings:
		$1 = { 3A 90 2E 01 00 00 74 0B 88 90 2E 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2595_0 {
	meta:
		name = "TCustomListBox.SetSorted"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomListView.SetColumnHeaders"
	strings:
		$1 = { 3A 90 2F 01 00 00 74 0B 88 90 2F 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2596_0 {
	meta:
		name = "_NF__C95"
		size = 30
		refs = "000a ColorToRGB 0012 TWinControl.GetHandle 0018 ListView_SetTextColor"
	strings:
		$1 = { 53 8B D8 8B 43 50 8B 40 14 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2597_0 {
	meta:
		name = "_NF__C96"
		size = 27
		refs = "0007 ColorToRGB 000f TWinControl.GetHandle 0015 ListView_SetTextBkColor"
	strings:
		$1 = { 53 8B D8 8B 43 54 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2598_0 {
	meta:
		name = "TCustomListView.SetAllocBy"
		size = 48
		refs = "0017 TWinControl.HandleAllocated 0022 TWinControl.GetHandle 0029 ListView_SetItemCount"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 68 01 00 00 74 1F 89 B3 68 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2599_0 {
	meta:
		name = "TCustomListView.CMColorChanged"
		size = 22
		refs = "0006 TWinControl.CMColorChanged 0010 _NF__C96"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 54 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2600_0 {
	meta:
		name = "TCustomListView.CMCtl3DChanged"
		size = 34
		refs = "0012 TWinControl.RecreateWnd 001b TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 18 01 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2601_0 {
	meta:
		name = "TCustomListView.WMNotify"
		size = 84
		refs = "000c TWinControl.WMNotify 0013 _NF__CA5 0044 TCustomListView.GetColumnFromIndex 004c TListColumn.SetWidth"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 8B 46 08 8B 10 3B 93 64 01 00 00 75 28 81 78 08 CE FE FF FF 75 1F 8B 46 08 8B F0 8B 7E 14 F6 07 01 74 12 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2602_0 {
	meta:
		name = "TCustomListView.ColumnsShowing"
		size = 11
	strings:
		$1 = { 80 B8 19 01 00 00 03 0F 94 C0 C3 }
	condition:
		$1
}

rule function_2603_0 {
	meta:
		name = "_NF__CA5"
		size = 11
	strings:
		$1 = { 83 B8 64 01 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_2604_0 {
	meta:
		name = "TCustomListView.CMFontChanged"
		size = 63
		refs = "0006 TWinControl.CMFontChanged 000d TWinControl.HandleAllocated 001e _NF__C95 0025 _NF__CA5 0039 InvalidateRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 8B 43 50 8B 50 14 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 6A FF 6A 00 8B 83 64 01 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2605_0 {
	meta:
		name = "TCoolBar.SetFixedSize"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomListView.SetHideSelection"
	strings:
		$1 = { 3A 90 3C 01 00 00 74 0B 88 90 3C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2607_0 {
	meta:
		name = "TCustomListView.SetIconOptions"
		size = 43
		refs = "0010 TIconOptions.SetArrangement 001a TIconOptions.SetAutoArrange 0024 TIconOptions.SetWrapText"
	strings:
		$1 = { 53 56 8B F2 8B 98 38 01 00 00 8A 56 08 8B C3 E8 ?? ?? ?? ?? 8A 56 09 8B C3 E8 ?? ?? ?? ?? 8A 56 0A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2608_0 {
	meta:
		name = "TCustomListView.SetViewStyle"
		size = 132
		refs = "0015 TWinControl.HandleAllocated 0022 TWinControl.GetHandle 0028 GetWindowLong 003c _NV__CB2 004c SetWindowLong 0053 TCustomListView.UpdateColumns 0072 TCustomListView.Arrange"
	strings:
		$1 = { 53 56 8B D8 3A 93 19 01 00 00 74 75 88 93 19 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 64 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 83 E6 FC 33 C0 8A 83 19 01 00 00 0B 34 85 ?? ?? ?? ?? 56 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 83 19 01 00 00 2C 02 73 20 8B 83 38 01 00 00 80 78 08 00 75 0B B2 03 8B C3 E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2609_0 {
	meta:
		name = "TCustomListView.WMParentNotify"
		size = 80
		refs = "0024 GetWindowLong 003f SetWindowLong 0048 TWinControl.WMParentNotify"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 66 83 7E 04 01 75 35 83 BB 64 01 00 00 00 75 2C 8B 7E 08 89 BB 64 01 00 00 6A FC 57 E8 ?? ?? ?? ?? 89 83 60 01 00 00 8B 83 5C 01 00 00 50 6A FC 8B 83 64 01 00 00 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2610_0 {
	meta:
		name = "TCustomListView.GetItemIndex"
		size = 85
		refs = "0017 TListItems.GetCount 002e TListItems.GetItem"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B 87 30 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 18 43 33 F6 8B D6 8B 87 30 01 00 00 E8 ?? ?? ?? ?? 3B E8 74 04 46 4B 75 EB 8B 87 30 01 00 00 E8 ?? ?? ?? ?? 3B F0 7D 03 89 34 24 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2611_0 {
	meta:
		name = "TCustomListView.CreateListItem"
		size = 19
		refs = "0009 _DV_TListItem 000e TListItem.Create"
	strings:
		$1 = { 8B 88 30 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2612_0 {
	meta:
		name = "_NF__CBE"
		size = 50
		refs = "0028 TListItems.GetItem"
	strings:
		$1 = { 56 57 83 C4 DC 8B F2 8D 3C 24 B9 09 00 00 00 F3 A5 F6 04 24 04 74 06 8B 44 24 20 EB 0F 8B 54 24 04 8B 80 30 01 00 00 E8 ?? ?? ?? ?? 83 C4 24 5F 5E C3 }
	condition:
		$1
}

rule function_2614_0 {
	meta:
		name = "TCustomListView.CNNotify"
		size = 771
		refs = "0017 TCustomListView.CNNotify 00ca @CallDynaInst 00da TListItems.GetCount 00f3 TListItems.GetItem 0118 _NF__CBE 0141 StrPLCopy 01cf TWinControl.GetHandle 01d4 ListView_GetEditControl 01e4 GetWindowLong 01ff SetWindowLong 023f TCustomListView.GetColumnFromIndex 02f0 @LStrClr 02f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 52 08 8B CA 8B C1 8B 40 08 83 F8 99 7F 3E 0F 84 82 00 00 00 83 F8 96 7F 22 0F 84 C4 01 00 00 2D 6A FF FF FF 0F 84 C0 00 00 00 83 E8 29 74 54 48 0F 84 D9 01 00 00 E9 7F 02 00 00 83 E8 97 0F 84 2A 01 00 00 48 74 67 E9 6E 02 00 00 83 F8 9C 7F 1B 0F 84 FB 01 00 00 83 E8 9A 0F 84 D0 01 00 00 48 0F 84 1E 02 00 00 E9 4E 02 00 00 83 E8 FB 0F 84 3E 02 00 00 83 E8 03 0F 84 2C 02 00 00 E9 37 02 00 00 8B 45 FC 8B C1 8B 40 0C 89 86 6C 01 00 00 E9 24 02 00 00 8B 45 FC 8B C1 8B 50 28 8B C6 66 BB D7 FF E8 ?? ?? ?? ?? E9 0C 02 00 00 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 83 FF 00 0F 8C F5 01 00 00 8B D7 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB D7 FF E8 ?? ?? ?? ?? 4F 83 FF FF 75 E0 E9 D0 01 00 00 8B 45 FC 83 C2 0C 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 08 8D 58 0C F6 03 01 74 4F 8B 7B 08 85 FF 75 13 8B 4B 18 8B 45 F8 8B 50 1C 8B 43 14 E8 ?? ?? ?? ?? EB 35 8B 45 F8 8B 70 08 8B C6 8B 10 FF 52 14 3B F8 7F 1E 8D 4D F4 8B 53 08 4A 8B C6 8B 30 FF 56 0C 8B 55 F4 8B 4B 18 8B 43 14 E8 ?? ?? ?? ?? EB 06 8B 43 14 C6 00 00 F6 03 02 0F 84 5A 01 00 00 8B 45 F8 8B 40 10 89 43 1C E9 4C 01 00 00 8B 45 FC 83 C2 0C 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 8B C6 66 BB DA FF E8 ?? ?? ?? ?? 84 C0 75 0A 8B 45 FC C7 40 0C 01 00 00 00 8B 45 FC 83 78 0C 00 0F 85 13 01 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 58 01 00 00 6A FC 53 E8 ?? ?? ?? ?? 89 86 54 01 00 00 8B 86 50 01 00 00 50 6A FC 8B 86 58 01 00 00 50 E8 ?? ?? ?? ?? E9 D7 00 00 00 8B 45 FC 8B C1 83 78 20 00 0F 84 C8 00 00 00 83 78 10 FF 0F 84 BE 00 00 00 8D 50 0C 8B C6 66 BB D6 FF E8 ?? ?? ?? ?? E9 AB 00 00 00 8B 45 FC 8B D9 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB D8 FF E8 ?? ?? ?? ?? E9 8A 00 00 00 8B 45 FC 8B D9 8B 53 0C 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB D5 FF E8 ?? ?? ?? ?? EB 68 8B 45 FC 8B F9 8B 57 0C 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4F 1C 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 84 C0 75 41 8B 45 FC C7 40 0C 01 00 00 00 EB 35 8B 45 FC 8B D9 8B 53 0C 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4B 1C 8B C6 66 BB D9 FF E8 ?? ?? ?? ?? EB 10 C6 86 34 01 00 00 01 EB 07 C6 86 35 01 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2616_0 {
	meta:
		name = "TCustomListView.InsertItem"
		size = 31
	strings:
		$1 = { 53 66 83 B8 BA 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 BC 01 00 00 FF 93 B8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2617_0 {
	meta:
		name = "TCustomListView.CanChange"
		size = 69
	strings:
		$1 = { 53 51 C6 04 24 01 49 74 0A 49 74 0B 83 E9 06 74 0A EB 2C 33 C9 EB 06 B1 01 EB 02 B1 02 66 83 B8 92 01 00 00 00 74 18 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 83 94 01 00 00 FF 93 90 01 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2618_0 {
	meta:
		name = "TCustomListView.Change"
		size = 55
	strings:
		$1 = { 53 49 74 0A 49 74 0B 83 E9 06 74 0A EB 27 33 C9 EB 06 B1 01 EB 02 B1 02 66 83 B8 8A 01 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 8C 01 00 00 FF 93 88 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2619_0 {
	meta:
		name = "TCustomListView.Delete"
		size = 56
		refs = "0031 TListItem.Delete"
	strings:
		$1 = { 53 56 8B DA 85 DB 74 2D 80 7B 21 00 75 27 66 83 B8 A2 01 00 00 00 74 12 8B F0 8B CB 8B D0 8B 86 A4 01 00 00 FF 96 A0 01 00 00 C6 43 21 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2621_0 {
	meta:
		name = "TCustomListView.Edit"
		size = 125
		refs = "000f TCustomListView.Edit 0020 @LStrFromPChar 0029 _NF__CBE 0057 TListItem.SetCaption 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 14 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 66 83 BB B2 01 00 00 00 74 14 8D 45 FC 50 8B CE 8B D3 8B 83 B4 01 00 00 FF 93 B0 01 00 00 85 F6 74 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2623_0 {
	meta:
		name = "TCustomListView.GetDragImages"
		size = 25
		refs = "0006 TCustomListView.GetSelCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 48 75 08 8B 83 28 01 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2624_0 {
	meta:
		name = "TCustomListView.WndProc"
		size = 124
		refs = "0022 TControl.Dragging 0035 TWinControl.IsControlMouseMsg 003e TCustomListView.WndProc 004d TObject.Dispatch 0070 TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 20 10 75 46 8B 3E 81 FF 01 02 00 00 74 08 81 FF 03 02 00 00 75 34 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 80 7B 49 01 75 23 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 37 A0 ?? ?? ?? ?? 0A 43 42 88 43 42 8B D6 8B C3 E8 ?? ?? ?? ?? EB 21 8B 06 83 F8 0F 74 05 83 F8 14 75 0C 8B 83 30 01 00 00 80 78 0C 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_2625_0 {
	meta:
		name = "TCustomListView.DoStartDrag"
		size = 209
		refs = "000a TControl.DoStartDrag 0018 GetCursorPos 0025 TControl.ScreenToClient 004c TListItems.GetItem 006e TCustomListView.GetItemAt 007b TListItem.GetIndex 0083 TWinControl.GetHandle 008d ListView_CreateDragImage 00a0 TCustomImageList.SetHandle 00ad TListItem.DisplayRect 00c7 TCustomImageList.SetDragImage"
	strings:
		$1 = { 53 56 83 C4 D8 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 70 01 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 20 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 20 89 04 24 8B 44 24 24 89 44 24 04 8B 83 6C 01 00 00 83 F8 FF 74 11 8B D0 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 C7 83 6C 01 00 00 FF FF FF FF 85 F6 75 10 8B 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 53 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 0C 5A E8 ?? ?? ?? ?? 85 C0 74 36 8B 9B 28 01 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 10 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 44 24 04 2B 44 24 14 50 8B 4C 24 04 2B 4C 24 14 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_2626_0 {
	meta:
		name = "TCustomListView.DoEndDrag"
		size = 30
		refs = "000d TControl.DoEndDrag"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 70 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2627_0 {
	meta:
		name = "TCustomListView.CMDrag"
		size = 140
		refs = "000f TWinControl.CMDrag 002e TControl.ScreenToClient 0049 _NF__CED 005a TCustomListView.GetDropTarget 0069 TCustomListView.SetDropTarget"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7E 08 8A 46 04 FE C8 74 32 FE C8 74 06 FE C8 74 59 EB 5F 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 50 83 7E 0C 00 0F 95 C0 50 8B 4C 24 08 8B 57 08 8B C3 E8 ?? ?? ?? ?? EB 37 8B 47 08 8B 10 FF 52 14 8B C3 E8 ?? ?? ?? ?? 89 83 70 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 8B 47 08 8B 10 FF 52 18 EB 08 33 C0 89 83 70 01 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2628_0 {
	meta:
		name = "_NF__CED"
		size = 130
		refs = "0014 TCustomListView.GetItemAt 0021 TCustomListView.GetDropTarget 0058 TListItem.SetState"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 8B D1 8B C3 8B 4D 0C E8 ?? ?? ?? ?? 8B F0 85 F6 74 5C 8B C3 E8 ?? ?? ?? ?? 8B F8 3B FE 75 08 3B B3 70 01 00 00 75 47 33 C0 89 83 70 01 00 00 8B 45 FC 8B 10 FF 52 14 8B C3 8B 10 FF 52 50 85 FF 74 0E 33 C9 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8A 4D 08 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 8B 45 FC 8B 10 FF 52 18 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2629_0 {
	meta:
		name = "TCustomListView.SetItems"
		size = 12
	strings:
		$1 = { 8B 80 30 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_2630_0 {
	meta:
		name = "TCustomListView.SetListColumns"
		size = 12
		altNames = "TDBNavigator.SetHints"
	strings:
		$1 = { 8B 80 40 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_2631_0 {
	meta:
		name = "TCustomListView.CustomSort"
		size = 61
		refs = "000f TWinControl.HandleAllocated 001c _NF__C54 0023 TWinControl.GetHandle 002c ListView_SortItems"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F 85 FF 75 05 BF ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CD 8B D7 E8 ?? ?? ?? ?? F7 D8 1B DB F7 DB 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2632_0 {
	meta:
		name = "TCustomListView.AlphaSort"
		size = 45
		refs = "0006 TWinControl.HandleAllocated 0011 TWinControl.GetHandle 0016 _NF__C54 001d ListView_SortItems"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2633_0 {
	meta:
		name = "TCustomListView.SetSortType"
		size = 56
		refs = "0033 TCustomListView.AlphaSort"
	strings:
		$1 = { 3A 90 2D 01 00 00 74 2F 88 90 2D 01 00 00 8A 90 2D 01 00 00 8B CA 80 E9 01 74 05 80 E9 02 75 0A 66 83 B8 C2 01 00 00 00 75 08 80 C2 FE 80 EA 02 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2634_0 {
	meta:
		name = "TCustomListView.GetVisibleRowCount"
		size = 33
		refs = "0012 TWinControl.GetHandle 0017 ListView_GetCountPerPage"
	strings:
		$1 = { 53 8B D8 8A 83 19 01 00 00 04 FE 2C 02 73 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2635_0 {
	meta:
		name = "TCustomListView.GetViewOrigin"
		size = 23
		refs = "0009 TWinControl.GetHandle 0010 ListView_GetOrigin"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6690_0 {
	meta:
		name = "TColorProperty.GetValue"
		size = 23
		refs = "0009 TPropertyEditor.GetOrdValue 0010 ColorToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6694_0 {
	meta:
		name = "TCursorProperty.GetValue"
		size = 23
		refs = "0009 TPropertyEditor.GetOrdValue 0010 CursorToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2637_0 {
	meta:
		name = "TCustomListView.GetBoundingRect"
		size = 23
		refs = "0009 TWinControl.GetHandle 0010 ListView_GetViewRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6628_0 {
	meta:
		name = "TIntegerProperty.GetValue"
		size = 23
		refs = "0009 TPropertyEditor.GetOrdValue 0010 IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11769_0 {
	meta:
		name = "TOutlineNode.GetNode"
		size = 23
		refs = "0009 TOutlineNode.GetList 0010 TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2636_0 {
	meta:
		name = "TCustomListView.GetTopItem"
		size = 53
		refs = "0013 TWinControl.GetHandle 0018 ListView_GetTopIndex 002a TListItems.GetItem"
	strings:
		$1 = { 53 56 8B D8 33 F6 8A 83 19 01 00 00 2C 02 72 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 FF 74 0F 8B D0 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2639_0 {
	meta:
		name = "TCustomListView.SetLargeImages"
		size = 89
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 0039 TCustomImageList.GetHandle 0044 _NF__C6E"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 1C 01 00 00 85 C0 74 0B 8B 93 78 01 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 1C 01 00 00 85 C0 74 24 8B 93 78 01 00 00 E8 ?? ?? ?? ?? 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2640_0 {
	meta:
		name = "TCustomListView.SetSmallImages"
		size = 95
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 0039 TCustomImageList.GetHandle 0047 _NF__C6E"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 20 01 00 00 85 C0 74 0B 8B 93 7C 01 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 20 01 00 00 85 C0 74 27 8B 93 7C 01 00 00 E8 ?? ?? ?? ?? 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B9 01 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2641_0 {
	meta:
		name = "TCustomListView.SetStateImages"
		size = 95
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 0039 TCustomImageList.GetHandle 0047 _NF__C6E"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 24 01 00 00 85 C0 74 0B 8B 93 80 01 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 24 01 00 00 85 C0 74 27 8B 93 80 01 00 00 E8 ?? ?? ?? ?? 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B9 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2643_0 {
	meta:
		name = "TCustomListView.FindCaption"
		size = 165
		refs = "0013 @LStrAddRef 001b TCustomListView.FindCaption 002d _NV__D15 003c _NV__D16 0047 @LStrToPChar 0058 TWinControl.GetHandle 0062 ListView_FindItem 0074 TListItems.GetItem 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 45 10 8B 04 85 ?? ?? ?? ?? 83 C8 02 33 D2 8A 55 08 0B 04 95 ?? ?? ?? ?? 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 80 7D 0C 00 74 01 4E 8B C3 E8 ?? ?? ?? ?? 8D 4D E4 8B D6 E8 ?? ?? ?? ?? 83 F8 FF 74 11 8B D0 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_2644_0 {
	meta:
		name = "TCustomListView.FindData"
		size = 197
		refs = "002a TListItems.GetCount 003f TListItems.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 33 C0 89 45 F4 80 7D 0C 00 74 03 FF 4D FC 8B 75 FC 46 8B 87 30 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 2B DE 7C 1A 43 8B D6 8B 87 30 01 00 00 E8 ?? ?? ?? ?? 8B 40 0C 3B 45 F8 74 04 46 4B 75 E7 8B 87 30 01 00 00 E8 ?? ?? ?? ?? 48 3B F0 7F 12 8B D6 8B 87 30 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 EB 48 80 7D 08 00 74 42 80 7D 0C 00 74 03 FF 45 FC 8B 5D FC 4B 85 DB 7C 1C 43 33 F6 8B D6 8B 87 30 01 00 00 E8 ?? ?? ?? ?? 8B 40 0C 3B 45 F8 74 04 46 4B 75 E7 3B 75 FC 7F 10 8B D6 8B 87 30 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2645_0 {
	meta:
		name = "TCustomListView.GetSelection"
		size = 24
		refs = "0002 TCustomListView.GetSelection 000c TCustomListView.GetNextItem"
	strings:
		$1 = { 8A 15 ?? ?? ?? ?? 52 B1 04 33 D2 E8 ?? ?? ?? ?? C3 00 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_2646_0 {
	meta:
		name = "TCustomListView.SetSelection"
		size = 100
		refs = "0015 TListItem.SetState 001e TCustomListView.GetSelection 0027 TCustomListView.GetSelCount 0046 TCustomListView.SetSelection 0052 TCustomListView.GetNextItem"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 85 DB 74 10 B1 01 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 40 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 29 46 85 DB 74 21 33 C9 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 B1 04 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 4E 75 D8 5F 5E 5B C3 00 10 00 00 00 }
	condition:
		$1
}

rule function_2647_0 {
	meta:
		name = "TCustomListView.GetDropTarget"
		size = 36
		refs = "0004 TCustomListView.GetDropTarget 0010 TCustomListView.GetNextItem"
	strings:
		$1 = { 53 8B D8 A0 ?? ?? ?? ?? 50 B1 04 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 75 06 8B 83 70 01 00 00 5B C3 04 00 00 00 }
	condition:
		$1
}

rule function_2648_0 {
	meta:
		name = "TCustomListView.SetDropTarget"
		size = 67
		refs = "0009 TWinControl.HandleAllocated 001f TListItem.SetState 0028 TCustomListView.GetDropTarget"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F 85 F6 74 10 B1 01 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0E 33 C9 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2649_0 {
	meta:
		name = "TCustomListView.GetFocused"
		size = 24
		refs = "0002 TCustomListView.GetFocused 000c TCustomListView.GetNextItem"
	strings:
		$1 = { 8A 15 ?? ?? ?? ?? 52 B1 04 33 D2 E8 ?? ?? ?? ?? C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_2650_0 {
	meta:
		name = "TCustomListView.SetFocused"
		size = 67
		refs = "0009 TWinControl.HandleAllocated 001f TListItem.SetState 0028 TCustomListView.GetFocused"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F 85 F6 74 10 B1 01 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0E 33 C9 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2651_0 {
	meta:
		name = "TCustomListView.GetNextItem"
		size = 210
		refs = "0018 TWinControl.HandleAllocated 0033 TCustomListView.GetNextItem 0070 TListItem.GetIndex 00a2 TWinControl.GetHandle 00ab ListView_GetNextItem 00bf TListItems.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B FA 8B D8 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 33 F6 33 C0 8A 45 FF 83 F8 04 77 39 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BE 00 01 00 00 EB 17 BE 00 02 00 00 EB 10 BE 00 04 00 00 EB 09 BE 00 08 00 00 EB 02 33 F6 85 FF 74 0B 8B C7 E8 ?? ?? ?? ?? 8B F8 EB 03 83 CF FF F6 45 08 02 74 03 83 CE 04 F6 45 08 04 74 03 83 CE 08 F6 45 08 08 74 03 83 CE 01 F6 45 08 10 74 03 83 CE 02 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D7 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 10 8B D7 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2652_0 {
	meta:
		name = "TCustomListView.GetNearestItem"
		size = 103
		refs = "002f _NV__D38 003a TWinControl.GetHandle 0046 ListView_FindItem 0058 TListItems.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8D 3C 24 A5 A5 8B D9 8B F0 C7 44 24 08 40 00 00 00 8B 04 24 89 44 24 14 8B 44 24 04 89 44 24 18 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 89 44 24 1C 8B C6 E8 ?? ?? ?? ?? 8D 4C 24 08 83 CA FF E8 ?? ?? ?? ?? 83 F8 FF 74 0F 8B D0 8B 86 30 01 00 00 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2653_0 {
	meta:
		name = "TCustomListView.GetItemAt"
		size = 98
		refs = "0012 TWinControl.HandleAllocated 0023 Point 0039 TWinControl.GetHandle 0040 ListView_HitTest 0052 TListItems.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B E9 8B FA 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E 8D 4C 24 10 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 F8 FF 74 0F 8B D0 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2654_0 {
	meta:
		name = "TCustomListView.Arrange"
		size = 32
		refs = "0009 TWinControl.GetHandle 0014 _NV__D41 0019 ListView_Arrange"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8A D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2655_0 {
	meta:
		name = "TCustomListView.StringWidth"
		size = 93
		refs = "000e @LStrAddRef 0016 TCustomListView.StringWidth 0023 TWinControl.GetHandle 002c @LStrToPChar 0034 ListView_GetStringWidth 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_2656_0 {
	meta:
		name = "TCustomListView.UpdateColumns"
		size = 54
		refs = "0008 TWinControl.HandleAllocated 0017 TCollection.GetCount 002a TCustomListView.UpdateColumn"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 22 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 10 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 47 4B 75 F3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2657_0 {
	meta:
		name = "TCustomListView.UpdateColumn"
		size = 250
		refs = "000c TWinControl.HandleAllocated 0021 TListColumns.GetItem 0032 @LStrToPChar 003d TCollectionItem.GetIndex 0091 TWinControl.GetHandle 009b ListView_SetColumn 00d2 ListView_SetColumnWidth"
	strings:
		$1 = { 53 56 83 C4 E8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 DC 00 00 00 8B D6 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B F0 C7 04 24 05 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 89 44 24 0C 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2B 8A 46 10 2C 01 72 08 74 18 FE C8 74 0A EB 22 33 C0 89 44 24 04 EB 1A C7 44 24 04 02 00 00 00 EB 10 C7 44 24 04 01 00 00 00 EB 06 33 C0 89 44 24 04 8B 46 14 83 F8 FF 7E 23 83 0C 24 02 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 04 5A E8 ?? ?? ?? ?? EB 53 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 04 5A E8 ?? ?? ?? ?? 8A 83 19 01 00 00 3C 02 75 14 8B C3 E8 ?? ?? ?? ?? 8B 4E 14 83 CA FF E8 ?? ?? ?? ?? EB 1C 3C 03 75 18 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 4E 14 5A E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_2658_0 {
	meta:
		name = "TCustomListView.WMRButtonDown"
		size = 96
		refs = "0010 TControl.WMRButtonDown 001f GetCursorPos 002c TControl.ScreenToClient 0035 PointToSmallPoint 0048 MakeLong 0057 TControl.Perform"
	strings:
		$1 = { 53 83 C4 EC 8B D8 C6 83 35 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 35 01 00 00 00 74 3E 54 E8 ?? ?? ?? ?? 8D 4C 24 0C 8B D4 8B C3 E8 ?? ?? ?? ?? 8D 44 24 0C E8 ?? ?? ?? ?? 89 44 24 08 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? 50 33 C9 BA 05 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5B C3 }
	condition:
		$1
}

rule function_2659_0 {
	meta:
		name = "TCustomListView.WMLButtonDown"
		size = 339
		refs = "0017 KeysToShiftState 0033 TControl.WMLButtonDown 0064 TCustomListView.GetItemAt 0076 TListItem.GetState 0083 TControl.BeginDrag 0097 GetCursorPos 00a4 TControl.ScreenToClient 00ad PointToSmallPoint 00b8 TControl.Dragging 00cb MakeLong 00da TControl.Perform 00f8 GetCapture 00fe SendMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B FA 8B F0 8B C6 8B 10 FF 52 78 66 8B 47 04 E8 ?? ?? ?? ?? 8B D8 C6 86 34 01 00 00 00 C7 86 6C 01 00 00 FF FF FF FF 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 49 01 75 4F 80 BE 2C 01 00 00 00 74 46 F6 C3 01 75 41 F6 C3 04 75 3C 80 BE 34 01 00 00 00 75 33 0F BF 4F 0A 0F BF 57 08 8B C6 E8 ?? ?? ?? ?? 8B E8 85 ED 74 1E BA 03 00 00 00 8B C5 E8 ?? ?? ?? ?? 84 C0 74 0E 33 D2 8B C6 E8 ?? ?? ?? ?? E9 BF 00 00 00 80 BE 34 01 00 00 00 74 6F 54 E8 ?? ?? ?? ?? 8D 4C 24 0C 8B D4 8B C6 E8 ?? ?? ?? ?? 8D 44 24 0C E8 ?? ?? ?? ?? 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 75 20 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? 50 33 C9 BA 02 02 00 00 8B C6 E8 ?? ?? ?? ?? EB 6B 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? 50 6A 00 68 02 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 47 80 7E 49 01 75 41 80 BE 2C 01 00 00 00 74 0A F6 C3 01 75 33 F6 C3 04 75 2E 0F BF 4F 0A 0F BF 57 08 8B C6 E8 ?? ?? ?? ?? 8B E8 85 ED 74 19 BA 03 00 00 00 8B C5 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2660_0 {
	meta:
		name = "TCustomListView.GetSearchString"
		size = 71
		refs = "000f @LStrClr 0016 TWinControl.HandleAllocated 0021 TWinControl.GetHandle 0028 ListView_GetISearchString 003a @LStrFromArray"
	strings:
		$1 = { 53 56 81 C4 00 FC FF FF 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C6 8B D4 B9 00 04 00 00 E8 ?? ?? ?? ?? 81 C4 00 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2661_0 {
	meta:
		name = "TAnimate.Create"
		size = 116
		refs = "000a @ClassCreate 0017 TWinControl.Create 001d TAnimate.Create 002d TControl.SetWidth 0039 TControl.SetHeight"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 46 40 BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 50 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 19 01 00 00 01 C6 86 20 01 00 00 01 66 C7 86 48 01 00 00 01 00 C6 86 46 01 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 40 00 00 }
	condition:
		$1
}

rule function_2662_0 {
	meta:
		name = "TAnimate.CreateParams"
		size = 332
		refs = "001c SetErrorMode 0023 TAnimate.CreateParams 0028 GetModuleHandle 002d _NV__6B5 0040 LoadLibrary 006e InitCommonControl 0077 TWinControl.CreateParams 007e _NF__D8A 008f TWinControl.CreateSubClass 00a1 _NV__D5A 00b0 _NV__D5B 00bf _NV__D5C 00d3 TObject.ClassName 00e5 HInstance 00f5 GetCurrentThreadId 010f StrFmt"
	strings:
		$1 = { 53 56 57 81 C4 E8 FE FF FF 8B F2 8B D8 80 BB 21 01 00 00 00 74 52 68 00 80 00 00 E8 ?? ?? ?? ?? 8B F8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 20 7D 0F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 7E 10 83 3D ?? ?? ?? ?? 20 7D 07 33 C0 A3 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? B8 80 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 46 34 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 33 D2 8A 93 20 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 45 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 46 01 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 83 66 24 FC 6A 02 8D 54 24 1C 8B 03 E8 ?? ?? ?? ?? 8D 44 24 1C 89 44 24 04 C6 44 24 08 04 A1 ?? ?? ?? ?? 8B 00 89 44 24 0C C6 44 24 10 00 E8 ?? ?? ?? ?? 89 44 24 14 C6 44 24 18 00 8D 4C 24 04 BA ?? ?? ?? ?? 8D 46 4C E8 ?? ?? ?? ?? 81 C4 18 01 00 00 5F 5E 5B C3 00 00 00 73 68 65 6C 6C 33 32 2E 64 6C 6C 00 53 79 73 41 6E 69 6D 61 74 65 33 32 00 00 00 00 25 73 2E 25 2E 38 58 3A 25 2E 38 58 00 00 00 00 }
	condition:
		$1
}

rule function_2663_0 {
	meta:
		name = "TAnimate.CreateWnd"
		size = 33
		refs = "0014 TWinControl.CreateWnd 001b _NF__D64"
	strings:
		$1 = { 53 8B D8 C6 83 31 01 00 00 00 C6 83 30 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2664_0 {
	meta:
		name = "TAnimate.DestroyWnd"
		size = 55
		refs = "0019 TAnimate.SetOpen 0020 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 51 8B F0 8A 9E 18 01 00 00 8A 86 30 01 00 00 88 04 24 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8A 04 24 88 86 30 01 00 00 88 9E 18 01 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2665_0 {
	meta:
		name = "_NF__D64"
		size = 45
		refs = "000e TAnimate.SetOpen 0027 TAnimate.SetActive"
	strings:
		$1 = { 53 8B D8 F6 43 20 01 75 22 B2 01 8B C3 E8 ?? ?? ?? ?? 80 BB 18 01 00 00 00 74 10 C6 83 18 01 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2666_0 {
	meta:
		name = "_NF__D65"
		size = 45
		refs = "0006 TWinControl.HandleAllocated 0021 TWinControl.GetHandle 0027 SetWindowPos"
		altNames = "_NF__E29"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 6A 16 8B 43 3C 50 8B 43 38 50 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2667_0 {
	meta:
		name = "TAnimate.WMNCCalcSize"
		size = 37
		refs = "0015 InflateRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 10 74 0D 8B 46 08 6A FF 6A FF 50 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_2668_0 {
	meta:
		name = "TAnimate.WMNCHitTest"
		size = 20
		refs = "000f TWinControl.WMNCHitTest"
	strings:
		$1 = { F6 40 20 10 75 08 C7 42 0C 01 00 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2669_0 {
	meta:
		name = "TAnimate.WMNCPaint"
		size = 271
		refs = "0020 TWinControl.GetHandle 0026 GetDCEx 0031 TAnimate.WMNCPaint 0049 GetWindowRect 005e OffsetRect 007b ExcludeClipRect 0086 CreatePen 0092 SelectObject 009f ColorToRGB 00a9 SetBkColor 00c2 Rectangle 00d6 DeleteObject 00f5 ReleaseDC 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 45 FC 8B 45 FC F6 40 20 10 0F 84 E9 00 00 00 6A 13 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 EC F7 D8 50 8B 45 E8 F7 D8 50 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 45 F4 48 50 8B 45 F0 48 50 8B 45 EC 40 50 8B 45 E8 40 50 8B 45 F8 50 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 01 E8 ?? ?? ?? ?? 8B D8 53 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 85 F6 74 0A 56 8B 45 F8 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC 8B 08 FF 51 F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2671_0 {
	meta:
		name = "TAnimate.WMWindowPosChanged"
		size = 178
		refs = "0009 TWinControl.WMWindowPosChanged 0014 TWinControl.GetHandle 001a InvalidateRect 0035 Rect 0045 TControl.GetClientHeight 005e TControl.GetClientWidth 007a OffsetRect 0088 ValidateRect 0095 UpdateWindow"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 28 01 00 00 50 8D 44 24 04 50 8B 8B 2C 01 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 80 BB 20 01 00 00 00 74 3C 8B C3 E8 ?? ?? ?? ?? 8B 54 24 0C 2B 54 24 04 2B C2 D1 F8 79 03 83 D0 00 50 8B C3 E8 ?? ?? ?? ?? 8B 54 24 0C 2B 54 24 04 2B C2 D1 F8 79 03 83 D0 00 50 8D 44 24 08 50 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_2672_0 {
	meta:
		name = "TAnimate.WMWindowPosChanging"
		size = 102
	strings:
		$1 = { 56 8B F0 80 BE 19 01 00 00 00 74 51 80 BE 30 01 00 00 00 74 48 8B 42 08 F6 40 18 01 75 3F 8B 42 08 8A 4E 48 80 E9 01 72 0C 80 E9 02 72 26 80 E9 02 72 16 EB 28 8B 8E 2C 01 00 00 89 48 10 8B 8E 28 01 00 00 89 48 14 EB 14 8B 8E 2C 01 00 00 89 48 10 EB 09 8B 8E 28 01 00 00 89 48 14 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_2673_0 {
	meta:
		name = "TAnimate.CMColorChanged"
		size = 25
		refs = "0006 TWinControl.CMColorChanged 0013 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4960_0 {
	meta:
		name = "TDBNavigator.CMEnabledChanged"
		size = 25
		refs = "0006 TWinControl.CMEnabledChanged 0013 TDBNavigator.ActiveChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2674_0 {
	meta:
		name = "TAnimate.CNCommand"
		size = 74
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 F0 66 8B 43 06 66 FF C8 74 07 66 FF C8 74 0F EB 28 8B C6 8B 10 FF 92 84 00 00 00 5E 5B C3 83 BE 4C 01 00 00 00 75 0C 8B C6 8B 10 FF 92 88 00 00 00 EB 06 FF 8E 4C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2675_0 {
	meta:
		name = "TAnimate.DoOpen"
		size = 29
		altNames = "TQuickRep.PrintFinished"
	strings:
		$1 = { 53 66 83 B8 52 01 00 00 00 74 10 8B D8 8B D0 8B 83 54 01 00 00 FF 93 50 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2676_0 {
	meta:
		name = "TAnimate.DoClose"
		size = 29
		altNames = "TCustomComboBox.DropDown TQuickRep.PreviewFinished"
	strings:
		$1 = { 53 66 83 B8 5A 01 00 00 00 74 10 8B D8 8B D0 8B 83 5C 01 00 00 FF 93 58 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2677_0 {
	meta:
		name = "TAnimate.DoStart"
		size = 29
	strings:
		$1 = { 53 66 83 B8 62 01 00 00 00 74 10 8B D8 8B D0 8B 83 64 01 00 00 FF 93 60 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2678_0 {
	meta:
		name = "TAnimate.DoStop"
		size = 36
	strings:
		$1 = { 53 8B D8 66 83 BB 6A 01 00 00 00 74 0E 8B D3 8B 83 6C 01 00 00 FF 93 68 01 00 00 C6 83 18 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_2679_0 {
	meta:
		name = "TAnimate.Loaded"
		size = 30
		refs = "0006 TComponent.Loaded 0018 TAnimate.SetActive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 44 01 00 00 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2680_0 {
	meta:
		name = "_NF__D88"
		size = 63
		refs = "000f @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 1C 01 00 00 E8 ?? ?? ?? ?? 8A 83 21 01 00 00 88 46 04 8B 83 38 01 00 00 89 46 08 8D 46 0C 8B 93 40 01 00 00 E8 ?? ?? ?? ?? 8B 83 3C 01 00 00 89 46 10 5E 5B C3 }
	condition:
		$1
}

rule function_2681_0 {
	meta:
		name = "_NF__D89"
		size = 63
		refs = "000f @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 1C 01 00 00 8B 16 E8 ?? ?? ?? ?? 8A 46 04 88 83 21 01 00 00 8B 46 08 89 83 38 01 00 00 8D 83 40 01 00 00 8B 56 0C E8 ?? ?? ?? ?? 8B 46 10 89 83 3C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2682_0 {
	meta:
		name = "_NF__D8A"
		size = 56
		refs = "000a _NV__6B5 001e MainInstance 0031 HInstance"
	strings:
		$1 = { 80 B8 21 01 00 00 00 74 06 A1 ?? ?? ?? ?? C3 8B 90 38 01 00 00 85 D2 74 04 8B C2 EB 1A A1 ?? ?? ?? ?? 83 38 00 74 09 A1 ?? ?? ?? ?? 8B 00 EB 07 A1 ?? ?? ?? ?? 8B 00 C3 }
	condition:
		$1
}

rule function_2683_0 {
	meta:
		name = "_NF__D8C"
		size = 67
		refs = "0013 _NV__D8B"
	strings:
		$1 = { 53 8B D8 8A 83 21 01 00 00 84 C0 74 0C 83 E0 7F 8B 04 85 ?? ?? ?? ?? 5B C3 83 BB 1C 01 00 00 00 74 08 8B 83 1C 01 00 00 EB 17 83 BB 40 01 00 00 00 74 08 8B 83 40 01 00 00 EB 06 8B 83 3C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2684_0 {
	meta:
		name = "_NF__D8D"
		size = 148
		refs = "0024 _Dn_TFileStream 0029 TFileStream.Create 0037 _NF__D8A 005a _NF__D8D 0063 _Dn_TResourceStream 0068 TResourceStream.Create 0075 _NF__D8C 0089 TResourceStream.CreateFromID"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 B8 1C 01 00 00 00 74 1D 6A 40 8B 45 08 8B 40 FC 8B 88 1C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 83 B8 40 01 00 00 00 74 22 8B 45 08 8B 40 FC 8B 80 40 01 00 00 50 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 41 56 49 00 }
	condition:
		$1
}

rule function_2685_0 {
	meta:
		name = "_NF__D8E"
		size = 194
		refs = "000c _NF__D8D 0018 _NF__D8E 0048 TStream.ReadBuffer 00b1 TObject.Free 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 55 E8 ?? ?? ?? ?? 59 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 BA 30 00 00 00 8B 45 F8 8B 18 FF 53 0C 83 F8 30 75 16 8B 45 FC 8D 90 24 01 00 00 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA 40 00 00 00 8B 45 F8 8B 18 FF 53 0C 83 F8 40 75 16 8B 45 FC 8D 90 2C 01 00 00 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA 44 00 00 00 8B 45 F8 8B 18 FF 53 0C 83 F8 44 75 16 8B 45 FC 8D 90 28 01 00 00 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2686_0 {
	meta:
		name = "TAnimate.SetActive"
		size = 64
		refs = "0034 TAnimate.Play 003b TAnimate.Stop"
	strings:
		$1 = { F6 40 20 02 74 0C 84 D2 74 35 C6 80 44 01 00 00 01 C3 3A 90 18 01 00 00 74 25 84 D2 74 1C 8B 90 34 01 00 00 52 66 8B 88 4A 01 00 00 66 8B 90 48 01 00 00 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2687_0 {
	meta:
		name = "TAnimate.SetAutoSize"
		size = 30
		refs = "0019 _NF__D65"
	strings:
		$1 = { 3A 90 19 01 00 00 74 15 88 90 19 01 00 00 84 D2 74 0B F6 40 20 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2689_0 {
	meta:
		name = "TAnimate.SetCommonAVI"
		size = 96
		refs = "0028 @LStrClr 0050 TAnimate.SetOpen 0059 TAnimate.Reset"
	strings:
		$1 = { 53 56 8B DA 8B F0 8A 86 21 01 00 00 3A D8 74 4D 84 C0 0F 94 C0 88 86 31 01 00 00 88 9E 21 01 00 00 8D 86 1C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 38 01 00 00 8D 86 40 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 3C 01 00 00 84 DB 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2690_0 {
	meta:
		name = "TAnimate.SetFileName"
		size = 274
		refs = "0010 @LStrAddRef 0019 _NT__D55 001e @InitializeRecord 0026 TAnimate.SetFileName 003d AnsiCompareText 0050 _NF__D88 006e @LStrAsg 0090 @LStrClr 00b1 TAnimate.SetOpen 00bb TAnimate.Reset 00ca @HandleAnyException 00d5 _NF__D89 00da @RaiseAgain 00df @DoneExcept 00fa @FinalizeRecord 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 1C 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 0F 84 9A 00 00 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 1C 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC C6 80 21 01 00 00 00 8B 45 FC 33 D2 89 90 38 01 00 00 8B 45 FC 05 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 3C 01 00 00 8B 45 FC 83 B8 1C 01 00 00 00 75 0C 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B E5 5D C3 }
	condition:
		$1
}

rule function_2691_0 {
	meta:
		name = "TAnimate.SetOpen"
		size = 61
		refs = "0012 _NF__DBA 0028 _NF__D65 0031 _NF__DBB"
	strings:
		$1 = { 53 8B D8 3A 93 30 01 00 00 74 30 84 D2 74 1F 8B C3 E8 ?? ?? ?? ?? 88 83 30 01 00 00 80 BB 19 01 00 00 00 74 16 8B C3 E8 ?? ?? ?? ?? EB 0D 8B C3 E8 ?? ?? ?? ?? 88 83 30 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2692_0 {
	meta:
		name = "TAnimate.SetRepetitions"
		size = 26
		refs = "0015 TAnimate.Stop"
	strings:
		$1 = { 3B 90 34 01 00 00 74 11 89 90 34 01 00 00 F6 40 20 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2693_0 {
	meta:
		name = "TAnimate.SetResHandle"
		size = 71
		refs = "0026 @LStrClr 0038 TAnimate.SetOpen 0041 TAnimate.Reset"
	strings:
		$1 = { 53 8B D8 3B 93 38 01 00 00 74 3A 89 93 38 01 00 00 C6 83 31 01 00 00 01 C6 83 21 01 00 00 00 8D 83 1C 01 00 00 E8 ?? ?? ?? ?? 83 BB 38 01 00 00 00 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2694_0 {
	meta:
		name = "TAnimate.SetResId"
		size = 104
		refs = "0040 @LStrClr 0058 TAnimate.SetOpen 0061 TAnimate.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 3C 01 00 00 74 57 89 B3 3C 01 00 00 80 BB 21 01 00 00 00 75 0D 83 BB 1C 01 00 00 00 75 04 33 C0 EB 02 B0 01 88 83 31 01 00 00 C6 83 21 01 00 00 00 8D 83 1C 01 00 00 E8 ?? ?? ?? ?? 8D 83 40 01 00 00 E8 ?? ?? ?? ?? 85 F6 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2695_0 {
	meta:
		name = "TAnimate.SetResName"
		size = 175
		refs = "000e @LStrAddRef 0016 TAnimate.SetResName 002a @LStrCmp 003a @LStrAsg 006a @LStrClr 0081 TAnimate.SetOpen 008a TAnimate.Reset 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 40 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 74 5E 8D 83 40 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 80 BB 21 01 00 00 00 75 0D 83 BB 1C 01 00 00 00 75 04 33 C0 EB 02 B0 01 88 83 31 01 00 00 C6 83 21 01 00 00 00 8D 83 1C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 3C 01 00 00 83 7D FC 00 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2696_0 {
	meta:
		name = "TAnimate.SetStartFrame"
		size = 47
		refs = "001f TAnimate.Stop 0028 TAnimate.Seek"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 3B B3 48 01 00 00 74 1D 66 89 B3 48 01 00 00 F6 43 20 01 75 10 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2697_0 {
	meta:
		name = "TAnimate.SetStopFrame"
		size = 28
		refs = "0017 TAnimate.Stop"
	strings:
		$1 = { 66 3B 90 4A 01 00 00 74 12 66 89 90 4A 01 00 00 F6 40 20 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2698_0 {
	meta:
		name = "TAnimate.SetTimers"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 45 01 00 00 74 0B 88 90 45 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2699_0 {
	meta:
		name = "TAnimate.SetTransparent"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 46 01 00 00 74 0B 88 90 46 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2700_0 {
	meta:
		name = "_NF__DB9"
		size = 106
		refs = "000c _NF__DB9 001b TAnimate.SetOpen 002c SCannotOpenAVI 0031 LoadResString 003b _Dn_Exception 0040 Exception.Create 0045 @RaiseExcept 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 E8 ?? ?? ?? ?? 80 BB 30 01 00 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2701_0 {
	meta:
		name = "_NF__DBA"
		size = 148
		refs = "0012 TWinControl.RecreateWnd 0019 TWinControl.HandleNeeded 002d TControl.GetBoundsRect 0034 _NF__D8C 0043 TControl.Perform 005d TControl.SetBoundsRect 006a _NF__D8E"
	strings:
		$1 = { 56 83 C4 EC 8B F0 80 BE 31 01 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 BE 20 01 00 00 00 75 0B 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 33 C9 BA 64 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 04 24 80 BE 20 01 00 00 00 75 0B 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 74 25 8B C6 E8 ?? ?? ?? ?? 66 C7 86 48 01 00 00 01 00 66 8B 86 24 01 00 00 66 89 86 4A 01 00 00 8B C6 8B 10 FF 52 7C 8A 04 24 83 C4 14 5E C3 }
	condition:
		$1
}

rule function_2702_0 {
	meta:
		name = "_NF__DBB"
		size = 71
		refs = "0010 TAnimate.Stop 0020 TWinControl.GetHandle 0026 SendMessage"
	strings:
		$1 = { 56 51 8B F0 80 BE 18 01 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 68 64 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 95 04 24 8B C6 8B 10 FF 92 80 00 00 00 8B C6 8B 10 FF 52 44 8A 04 24 5A 5E C3 }
	condition:
		$1
}

rule function_2703_0 {
	meta:
		name = "TAnimate.Play"
		size = 92
		refs = "0015 TWinControl.HandleNeeded 001c _NF__DB9 0037 MakeLong 0046 TControl.Perform"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B FA 8B D8 8B 75 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 18 01 00 00 01 85 F6 75 03 83 CE FF 66 8B 55 FE 4A 8B C7 48 E8 ?? ?? ?? ?? 50 8B CE BA 65 04 00 00 8B C3 E8 ?? ?? ?? ?? 48 74 07 C6 83 18 01 00 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2704_0 {
	meta:
		name = "TAnimate.Reset"
		size = 31
		refs = "000e TAnimate.SetOpen 0019 TAnimate.Seek"
	strings:
		$1 = { 53 8B D8 F6 43 20 01 75 14 33 D2 8B C3 E8 ?? ?? ?? ?? 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2705_0 {
	meta:
		name = "TAnimate.Seek"
		size = 51
		refs = "000a _NF__DB9 0016 MakeLong 0025 TWinControl.GetHandle 002b SendMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B FE 4F 8B D7 8B C7 E8 ?? ?? ?? ?? 50 6A 01 68 65 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2706_0 {
	meta:
		name = "TAnimate.Stop"
		size = 68
		refs = "0011 MakeLong 0020 TWinControl.GetHandle 0026 SendMessage"
	strings:
		$1 = { 53 56 8B F0 66 8B 9E 48 01 00 00 4B 8B D3 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 65 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 86 18 01 00 00 00 FF 86 4C 01 00 00 8B C6 8B 10 FF 92 88 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2707_0 {
	meta:
		name = "TToolButton.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001d TToolButton.Create 002d TControl.SetWidth 0039 TControl.SetHeight"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 46 40 BA 17 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 16 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 CA 00 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 22 00 00 00 }
	condition:
		$1
}

rule function_2708_0 {
	meta:
		name = "TToolButton.MouseDown"
		size = 75
		refs = "002c TToolButton.SetDown 0040 TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 80 BE CA 00 00 00 02 75 1A 84 DB 75 16 80 7E 45 00 74 10 8A 96 B9 00 00 00 80 F2 01 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2709_0 {
	meta:
		name = "TToolButton.MouseMove"
		size = 101
		refs = "001a TControl.MouseMove 002a TControl.GetMouseCapture 0039 TControl.GetClientWidth 0048 TControl.GetClientHeight 0059 TToolButton.SetDown"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB CA 00 00 00 02 75 36 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 85 F6 7C 1A 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0F 85 FF 7C 0B 8B C3 E8 ?? ?? ?? ?? 3B F8 7E 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2710_0 {
	meta:
		name = "TToolButton.MouseUp"
		size = 109
		refs = "0020 TControl.MouseUp 0031 TControl.GetClientWidth 0040 TControl.GetClientHeight 0056 TToolButton.SetDown 0061 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B 75 0C 56 57 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 75 3B 85 F6 7C 37 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 2C 85 FF 7C 28 8B C3 E8 ?? ?? ?? ?? 3B F8 7F 1D 80 BB CA 00 00 00 02 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2712_0 {
	meta:
		name = "TToolButton.Notification"
		size = 46
		refs = "0010 TControl.Notification 0026 TToolButton.SetDropdownMenu"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 3B B7 C4 00 00 00 75 0E 80 FB 01 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2713_0 {
	meta:
		name = "TToolButton.CMTextChanged"
		size = 43
		refs = "0025 _NF__E6F"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 8B 10 FF 52 60 8B 86 D0 00 00 00 85 C0 74 0E 80 B8 30 01 00 00 00 74 05 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_2714_0 {
	meta:
		name = "TToolButton.SetBounds"
		size = 439
		refs = "003b TToolButton.GetIndex 0059 _NF__E7B 0123 TControl.SetBounds 0136 TToolBar.SetButtonWidth 014a TToolBar.SetButtonHeight 016e _NF__E3A 0179 _NF__E78 0186 TToolBar.RepositionButtons 0196 TToolBar.RepositionButton"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B F8 8B 75 0C 83 BF CC 00 00 00 00 0F 85 7B 01 00 00 F6 47 20 01 0F 85 71 01 00 00 83 BF D0 00 00 00 00 0F 84 64 01 00 00 8B C7 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 50 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 87 D0 00 00 00 E8 ?? ?? ?? ?? 8B D8 84 DB 74 1C C6 45 F3 00 8B C7 E8 ?? ?? ?? ?? 3B 45 F4 7D 29 8B C7 E8 ?? ?? ?? ?? 89 45 F4 EB 1D 8A 87 CA 00 00 00 04 FD 2C 02 73 05 3B 77 38 75 04 33 C0 EB 02 B0 01 88 45 F3 8A 5D F3 8B 87 D0 00 00 00 80 B8 32 01 00 00 00 75 2E 80 BF CA 00 00 00 02 75 25 8B 4F 38 8B C1 51 B9 03 00 00 00 99 F7 F9 59 03 C0 50 8B C1 51 B9 03 00 00 00 99 F7 F9 59 58 03 C2 03 F0 2B F1 8A 87 CA 00 00 00 04 FD 2C 02 72 0E 8B 87 D0 00 00 00 3B B0 24 01 00 00 75 04 33 C0 EB 02 B0 01 88 45 F2 8B 87 D0 00 00 00 8B 80 28 01 00 00 3B 45 08 0F 95 45 F1 80 7D F3 00 74 12 56 8B 45 08 50 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 80 7D F2 00 74 0D 8B D6 8B 87 D0 00 00 00 E8 ?? ?? ?? ?? 80 7D F1 00 74 0E 8B 55 08 8B 87 D0 00 00 00 E8 ?? ?? ?? ?? 84 DB 74 3A 80 7D F2 00 75 34 80 7D F1 00 75 2E 80 7D F3 00 74 0E 8B 55 F4 8B 87 D0 00 00 00 E8 ?? ?? ?? ?? 8B 87 D0 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 87 D0 00 00 00 E8 ?? ?? ?? ?? EB 22 8B 55 F4 8B 87 D0 00 00 00 E8 ?? ?? ?? ?? EB 12 56 8B 45 08 50 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2715_0 {
	meta:
		name = "TToolButton.Paint"
		size = 263
		refs = "0043 Rect 0053 TCanvas.GetHandle 0059 DrawEdge 007f TPen.SetStyle 008c TPen.SetColor 0096 TBrush.SetStyle 009d TControl.GetClientWidth 00a5 TControl.GetClientHeight 00b1 TCanvas.Rectangle"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 83 BB D0 00 00 00 00 0F 84 EB 00 00 00 80 BB CA 00 00 00 04 75 3F 8B B3 B4 00 00 00 8B 43 3C 48 50 8D 44 24 04 50 8B 7B 38 8B C7 D1 F8 79 03 83 D0 00 48 8B CF BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 6A 06 8D 44 24 08 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 43 20 10 0F 84 99 00 00 00 8A 83 CA 00 00 00 04 FD 2C 02 73 44 8B B3 B4 00 00 00 B2 02 8B 46 10 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 46 10 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? EB 49 8B 83 D0 00 00 00 80 B8 32 01 00 00 00 74 3A 8B B3 B4 00 00 00 8B 43 3C 50 8D 44 24 04 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 80 BB B9 00 00 00 00 75 16 6A 0F 6A 04 8D 44 24 08 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2716_0 {
	meta:
		name = "_NF__DF0"
		size = 107
		refs = "0016 _NV__DEE"
	strings:
		$1 = { 33 D2 80 B8 B9 00 00 00 00 74 17 80 B8 CA 00 00 00 01 75 08 0A 15 ?? ?? ?? ?? EB 06 0A 15 ?? ?? ?? ?? 80 78 45 00 74 16 8B 88 D0 00 00 00 85 C9 74 06 80 79 45 00 74 06 0A 15 ?? ?? ?? ?? 80 78 44 00 75 06 0A 15 ?? ?? ?? ?? 80 B8 C0 00 00 00 00 74 06 0A 15 ?? ?? ?? ?? 80 B8 C8 00 00 00 00 74 06 0A 15 ?? ?? ?? ?? 8B C2 C3 }
	condition:
		$1
}

rule function_2717_0 {
	meta:
		name = "_NF__DF1"
		size = 85
		refs = "001b TControl.SetEnabled 0028 TControl.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 C3 03 0F 95 C0 88 86 B9 00 00 00 F6 C3 04 0F 95 C2 8B C6 E8 ?? ?? ?? ?? F6 C3 08 0F 94 C2 8B C6 E8 ?? ?? ?? ?? 80 BE B9 00 00 00 00 75 05 F6 C3 10 75 04 33 C0 EB 02 B0 01 88 86 C0 00 00 00 F6 C3 20 0F 95 C0 88 86 C8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2718_0 {
	meta:
		name = "TToolButton.SetToolBar"
		size = 52
		refs = "0017 _NF__E38 002d _NF__E37"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 D0 00 00 00 3B F0 74 21 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 3C 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2719_0 {
	meta:
		name = "TToolButton.CMEnabledChanged"
		size = 6
		altNames = "TToolButton.CMVisibleChanged"
	strings:
		$1 = { 8B 10 FF 52 60 C3 }
	condition:
		$1
}

rule function_2721_0 {
	meta:
		name = "TToolButton.SetDown"
		size = 91
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 46 20 02 74 0D 84 DB 74 48 88 9E C9 00 00 00 5E 5B C3 3A 9E B9 00 00 00 74 37 C6 86 C0 00 00 00 00 88 9E B9 00 00 00 8B C6 8B 10 FF 52 60 84 DB 75 1F 83 BE D0 00 00 00 00 74 16 8B 86 D0 00 00 00 80 B8 32 01 00 00 00 74 07 8B C6 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_2722_0 {
	meta:
		name = "TToolButton.SetDropdownMenu"
		size = 25
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 3B 90 C4 00 00 00 74 10 89 90 C4 00 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2723_0 {
	meta:
		name = "TToolButton.SetGrouped"
		size = 20
	strings:
		$1 = { 3A 90 BA 00 00 00 74 0B 88 90 BA 00 00 00 8B 10 FF 52 60 C3 }
	condition:
		$1
}

rule function_2724_0 {
	meta:
		name = "TToolButton.SetImageIndex"
		size = 20
	strings:
		$1 = { 3B 90 BC 00 00 00 74 0B 89 90 BC 00 00 00 8B 10 FF 52 60 C3 }
	condition:
		$1
}

rule function_2725_0 {
	meta:
		name = "TToolButton.SetIndeterminate"
		size = 27
	strings:
		$1 = { 3A 90 C0 00 00 00 74 12 C6 80 B9 00 00 00 00 88 90 C0 00 00 00 8B 10 FF 52 60 C3 }
	condition:
		$1
}

rule function_2726_0 {
	meta:
		name = "TToolButton.SetStyle"
		size = 112
		refs = "001b TToolButton.SetStyle 0050 _NF__E78 0057 TToolButton.GetIndex 0064 TToolBar.RepositionButtons"
	strings:
		$1 = { 53 8B D8 3A 93 CA 00 00 00 74 5D 88 93 CA 00 00 00 80 C2 FD 80 EA 02 73 10 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 EB 10 66 A1 ?? ?? ?? ?? F7 D0 66 23 43 40 66 89 43 40 83 BB D0 00 00 00 00 74 26 8B C3 8B 10 FF 52 60 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 5B C3 00 00 00 04 00 00 }
	condition:
		$1
}

rule function_2727_0 {
	meta:
		name = "TToolButton.SetWrap"
		size = 54
		refs = "0026 TToolButton.GetIndex 002f TToolBar.RepositionButtons"
	strings:
		$1 = { 53 56 8B D8 3A 93 C8 00 00 00 74 27 88 93 C8 00 00 00 8B C3 8B 10 FF 52 60 8B B3 D0 00 00 00 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2728_0 {
	meta:
		name = "TToolButton.BeginUpdate"
		size = 7
	strings:
		$1 = { FF 80 CC 00 00 00 C3 }
	condition:
		$1
}

rule function_2729_0 {
	meta:
		name = "TToolButton.EndUpdate"
		size = 7
	strings:
		$1 = { FF 88 CC 00 00 00 C3 }
	condition:
		$1
}

rule function_2730_0 {
	meta:
		name = "TToolButton.GetIndex"
		size = 27
		refs = "0012 TList.IndexOf"
	strings:
		$1 = { 8B 90 D0 00 00 00 85 D2 74 0D 8B 92 2C 01 00 00 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_2731_0 {
	meta:
		name = "TToolButton.UpdateControl"
		size = 33
		refs = "0011 TToolButton.GetIndex 001a _NF__E3A"
	strings:
		$1 = { 53 56 8B D8 8B B3 D0 00 00 00 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2732_0 {
	meta:
		name = "_NF__E18"
		size = 111
		refs = "0028 TControl.SendCancelMode 0038 TControl.GetClientHeight 0045 Point 0052 TControl.ClientToScreen"
	strings:
		$1 = { 53 83 C4 F0 8B D8 33 C0 F6 43 20 10 75 5C 83 BB C4 00 00 00 00 74 53 8B 93 C4 00 00 00 80 7A 31 00 74 47 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 00 00 00 89 58 34 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4C 24 08 33 C0 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 8B 83 C4 00 00 00 8B 18 FF 53 30 B0 01 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_2733_0 {
	meta:
		name = "TToolBar.Create"
		size = 356
		refs = "0010 @ClassCreate 001e TToolWindow.Create 0024 TToolBar.Create 0034 TControl.SetHeight 003d TControl.SetAlign 004a TToolWindow.SetEdgeBorders 0073 _Dn_TList 0078 TObject.Create 0085 _Dn_TChangeLink 009c _NF__E5D 00ba _NF__E62 00d8 _NF__E67 00df _Dn_TBitmap 00e4 TBitmap.Create 010b TBitmap.GetCanvas 0118 TBrush.SetColor 012c Rect 013d TCanvas.FillRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 43 40 BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 83 24 01 00 00 17 00 00 00 C7 83 28 01 00 00 16 00 00 00 C6 83 50 01 00 00 01 C6 83 33 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 2C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 38 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 40 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 48 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 54 01 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 40 BA 01 00 00 00 8B C6 8B 08 FF 51 34 8B C6 E8 ?? ?? ?? ?? 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 B9 01 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 EC 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 00 00 8B 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_2734_0 {
	meta:
		name = "TToolBar.Destroy"
		size = 163
		refs = "000f TObject.Free 004e TList.Get 0054 _DV_TToolButton 0059 @IsClass 008d TWinControl.Destroy 0098 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 85 54 01 00 00 E8 ?? ?? ?? ?? 8B 85 48 01 00 00 E8 ?? ?? ?? ?? 8B 85 40 01 00 00 E8 ?? ?? ?? ?? 8B 85 38 01 00 00 E8 ?? ?? ?? ?? 8B 85 2C 01 00 00 8B 78 08 4F 85 FF 7C 38 47 33 F6 8B D6 8B 85 2C 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B D6 8B 85 2C 01 00 00 E8 ?? ?? ?? ?? 33 D2 89 90 D0 00 00 00 46 4F 75 CB 8B 85 2C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C5 E8 ?? ?? ?? ?? 84 DB 74 07 8B C5 E8 ?? ?? ?? ?? 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2735_0 {
	meta:
		name = "TToolBar.CreateParams"
		size = 124
		refs = "000c InitCommonControl 001b TWinControl.CreateParams 0020 TToolBar.CreateParams 0029 TWinControl.CreateSubClass 003e _NV__E21 004d _NV__E20 005c _NV__E22"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 04 00 00 00 E8 ?? ?? ?? ?? 88 83 50 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 83 C8 4E 33 D2 8A 93 32 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 31 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 33 01 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 83 66 24 FC 5E 5B C3 00 00 54 6F 6F 6C 62 61 72 57 69 6E 64 6F 77 33 32 00 }
	condition:
		$1
}

rule function_2736_0 {
	meta:
		name = "TToolBar.CreateWnd"
		size = 123
		refs = "000b TWinControl.CreateWnd 001a GetStockObject 0027 GetDC 0034 SelectObject 003d GetTextMetrics 0062 ReleaseDC 0069 _NF__E6F"
	strings:
		$1 = { 53 56 57 83 C4 C8 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 58 01 00 00 6A 0D E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 6A 00 E8 ?? ?? ?? ?? 8B F8 85 FF 74 35 53 57 E8 ?? ?? ?? ?? 8B D8 54 57 E8 ?? ?? ?? ?? 85 C0 74 12 8B 04 24 2B 44 24 0C 2B 44 24 10 40 89 86 60 01 00 00 53 57 E8 ?? ?? ?? ?? 57 6A 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 83 C4 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2737_0 {
	meta:
		name = "_NF__E28"
		size = 309
		refs = "0015 _NF__E76 001d _NF__E28 002b TWinControl.HandleNeeded 003f TControl.Perform 00a3 MakeLParam 00f8 _NF__E77 00fe @HandleFinally 011a _NF__E30 0122 _NF__E3B 012a _NF__E5C"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 6A 00 B9 14 00 00 00 BA 1E 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 88 4C 01 00 00 BA 2F 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 34 01 00 00 85 C0 74 08 8B 58 28 8B 70 24 EB 2E 8B 45 FC 8B 80 3C 01 00 00 85 C0 74 08 8B 58 28 8B 70 24 EB 19 8B 45 FC 8B 80 44 01 00 00 85 C0 74 08 8B 58 28 8B 70 24 EB 04 33 DB 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 50 33 C9 BA 20 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 30 01 00 00 00 74 09 8B 45 FC 2B B8 60 01 00 00 8B D7 66 8B 45 F8 E8 ?? ?? ?? ?? 50 33 C9 BA 1F 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8D 88 28 01 00 00 8B 45 FC 8D 90 24 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2739_0 {
	meta:
		name = "TToolBar.RepositionButton"
		size = 262
		refs = "0024 TControl.Perform 003b _DV_TToolButton 0040 @IsClass 0054 TToolBar.RepositionButton 0075 _Dn_TWinControl 0088 TWinControl.HandleNeeded 0092 TControl.SetBoundsRect 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B F2 8B D8 F6 43 20 01 0F 85 EA 00 00 00 8D 45 E8 50 8B CE BA 17 04 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 D0 00 00 00 8B 45 F4 89 45 FC 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 58 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 45 D8 50 8B CE BA 1D 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 44 8B 5D FC 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 75 DC 2B D6 8B 43 3C 3B D0 7E 2C 2B D0 D1 FA 79 03 83 D2 00 8B 4D E0 2B 4D D8 51 50 8B CE 03 CA 8B C3 8B 55 D8 8B 18 FF 53 4C EB 0B 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 5C C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2740_0 {
	meta:
		name = "TToolBar.RepositionButtons"
		size = 118
		refs = "0024 _NF__E76 002c TToolBar.RepositionButtons 003a _NF__E79 004c TToolBar.RepositionButton 0065 _NF__E77 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC F6 40 20 01 75 5D 8B 45 FC 83 B8 5C 01 00 00 00 7F 51 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 2B DE 7F 0F 4B 8B D6 8B 45 FC E8 ?? ?? ?? ?? 4E 43 75 F2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2741_0 {
	meta:
		name = "_NF__E30"
		size = 278
		refs = "0021 TWinControl.HandleAllocated 0030 _NF__E79 0055 TControl.Perform"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B F9 8B EA 8B D8 8B 83 24 01 00 00 89 45 00 8B 83 28 01 00 00 89 07 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 E1 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C CF 00 00 00 EB 01 4E 85 F6 7C 1E 8D 44 24 10 50 8B CE BA 17 04 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 07 F6 44 24 19 01 75 DD 85 F6 7D 36 8B C4 50 33 C9 BA 1D 04 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 8D 00 00 00 8B 44 24 0C 2B 44 24 04 89 07 80 BB 30 01 00 00 00 74 7A 8B 83 60 01 00 00 01 07 EB 70 8B C4 50 8B CE BA 1D 04 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 5B 8B 44 24 0C 2B 44 24 04 89 07 80 BB 30 01 00 00 00 74 08 8B 83 60 01 00 00 01 07 80 BB 32 01 00 00 00 75 2D F6 44 24 19 08 74 26 8B 4C 24 08 2B 0C 24 8B C1 BB 03 00 00 00 99 F7 FB 8B D8 03 DB 8B C1 B9 03 00 00 00 99 F7 F9 03 DA 89 5D 00 EB 0A 8B 44 24 08 2B 04 24 89 45 00 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2742_0 {
	meta:
		name = "TToolBar.SetButtonHeight"
		size = 20
		refs = "000f _NF__E6F"
	strings:
		$1 = { 3B 90 28 01 00 00 74 0B 89 90 28 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2743_0 {
	meta:
		name = "TToolBar.SetButtonWidth"
		size = 20
		refs = "000f _NF__E6F"
	strings:
		$1 = { 3B 90 24 01 00 00 74 0B 89 90 24 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2744_0 {
	meta:
		name = "_NF__E37"
		size = 93
		refs = "000a _DV_TToolButton 000f @IsClass 0026 TList.Add 0031 _NF__E3A 0038 _NF__E78 004a TToolBar.RepositionButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 89 9E D0 00 00 00 8B D6 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB 33 01 00 00 00 74 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2745_0 {
	meta:
		name = "_NF__E38"
		size = 118
		refs = "000f TList.IndexOf 001b _DV_TToolButton 0020 @IsClass 0039 TList.Remove 004b TControl.Perform 0052 _NF__E78 0064 TToolBar.RepositionButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 85 C0 7C 5C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 33 C0 89 86 D0 00 00 00 8B D6 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B F0 6A 00 8B CE BA 16 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB 33 01 00 00 00 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2746_0 {
	meta:
		name = "_NF__E39"
		size = 427
		refs = "0023 _NF__E39 0036 TList.Get 003f TObject.ClassType 0045 _DV_TToolButton 0069 @FillChar 009e _NV__DEF 00a8 _NF__DF0 00de TControl.GetText 00ef StrPCopy 0107 @LStrLen 0124 TControl.Perform 0196 @LStrClr 019c @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 E4 53 56 57 33 DB 89 9D E4 EF FF FF 8B F9 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 0F 85 E7 00 00 00 8B D7 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 E8 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8A 86 CA 00 00 00 8B D0 80 C2 FD 80 EA 02 73 0F 8B 56 38 89 55 E8 C7 45 EC FF FF FF FF EB 0C 8B 96 BC 00 00 00 89 55 E8 89 7D EC 83 E0 7F 8A 04 45 ?? ?? ?? ?? 88 45 F1 8B C6 E8 ?? ?? ?? ?? 88 45 F0 80 BE BA 00 00 00 00 74 04 80 4D F1 04 8B D7 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 80 BB 30 01 00 00 00 74 58 8D 95 E4 EF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 95 E4 EF FF FF 8D 85 E8 EF FF FF E8 ?? ?? ?? ?? 8D 95 E4 EF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 E4 EF FF FF E8 ?? ?? ?? ?? C6 84 05 E9 EF FF FF 00 8D 85 E8 EF FF FF 50 33 C9 BA 1C 04 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F8 EB 44 C7 45 F8 FF FF FF FF EB 3B 8D 45 E8 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 45 F1 8B 46 38 89 45 E8 C7 45 EC FF FF FF FF 8B D7 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 C7 45 F8 FF FF FF FF 8D 45 E8 50 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E4 EF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2747_0 {
	meta:
		name = "_NF__E3A"
		size = 239
		refs = "001e _NF__E76 0026 _NF__E3A 0034 TWinControl.HandleNeeded 0045 TControl.Perform 0077 _NF__E39 00b1 @HandleFinally 00c4 TWinControl.GetHandle 00ca RedrawWindow 00df _NF__E77"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 83 B8 5C 01 00 00 00 0F 8F D1 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB BA 16 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 48 75 12 53 8B CB BA 15 04 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 11 6A 01 8B CB BA 14 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 68 81 00 00 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2748_0 {
	meta:
		name = "_NF__E3B"
		size = 271
		refs = "001d _NF__E76 0025 _NF__E3B 0033 TWinControl.HandleNeeded 0044 TControl.Perform 005a _NF__E79 009b _NF__E39 00c6 @HandleFinally 00d9 TWinControl.GetHandle 00df RedrawWindow 00f4 _NF__E77 0106 TToolBar.RepositionButtons"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 83 B8 5C 01 00 00 00 0F 8F F1 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 6A 00 33 C9 BA 16 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 4B 75 EC 8B 45 FC 8B 80 2C 01 00 00 8B 58 08 4B 85 DB 7C 18 43 33 F6 6A 01 8B CE BA 14 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 68 81 00 00 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2749_0 {
	meta:
		name = "_NF__E3C"
		size = 94
		refs = "0016 TControl.Perform 0027 _NF__DF1 0030 _NF__DF0 003c MakeLong 0046 TToolButton.GetIndex"
	strings:
		$1 = { 53 56 83 C4 EC 8B F2 8B D8 8B C4 50 8B CE BA 17 04 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 3A 8A 54 24 08 8B 44 24 0C E8 ?? ?? ?? ?? 8B 44 24 0C E8 ?? ?? ?? ?? 25 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 50 8B 44 24 10 E8 ?? ?? ?? ?? 8B C8 BA 11 04 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_2750_0 {
	meta:
		name = "_NF__E3D"
		size = 65
		refs = "001f TList.Get 0024 TObject.ClassType 002a _DV_TToolButton 0035 _NF__E3C"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 2C 01 00 00 8B 70 08 4E 85 F6 7C 2A 46 33 DB 8B D3 8B 87 2C 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 09 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 D9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2751_0 {
	meta:
		name = "TToolBar.SetAutoSize"
		size = 30
		refs = "0019 _NF__E29"
	strings:
		$1 = { 3A 90 20 01 00 00 74 15 88 90 20 01 00 00 84 D2 74 0B F6 40 20 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2752_0 {
	meta:
		name = "TCustomListBox.SetExtendedSelect"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TToolBar.SetShowCaptions"
	strings:
		$1 = { 3A 90 30 01 00 00 74 0B 88 90 30 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2753_0 {
	meta:
		name = "TToolBar.GetButton"
		size = 12
		refs = "0007 TList.Get"
	strings:
		$1 = { 8B 80 2C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2754_0 {
	meta:
		name = "TToolBar.GetButtonCount"
		size = 10
	strings:
		$1 = { 8B 80 2C 01 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_2755_0 {
	meta:
		name = "TToolBar.GetRowCount"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 28 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2756_0 {
	meta:
		name = "TToolBar.SetList"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 31 01 00 00 74 0B 88 90 31 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2757_0 {
	meta:
		name = "TToolBar.SetFlat"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 32 01 00 00 74 0B 88 90 32 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2758_0 {
	meta:
		name = "TToolBar.SetWrapable"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 33 01 00 00 74 0B 88 90 33 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2759_0 {
	meta:
		name = "TToolBar.Resize"
		size = 29
	strings:
		$1 = { 53 66 83 B8 66 01 00 00 00 74 10 8B D8 8B D0 8B 83 68 01 00 00 FF 93 64 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2760_0 {
	meta:
		name = "TToolBar.Notification"
		size = 80
		refs = "0010 TControl.Notification 0026 TToolBar.SetImages 0037 TToolBar.SetHotImages 0048 TToolBar.SetDisabledImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 33 3B B7 34 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 44 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 3C 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2761_0 {
	meta:
		name = "_NF__E5A"
		size = 246
		refs = "000e _Dn_TBitmap 0013 TBitmap.Create 001e _NF__E5A 002b TCustomImageList.GetCount 0064 Rect 006c TBitmap.GetCanvas 007b TBrush.SetColor 0085 TCanvas.FillRect 00ad TCanvas.GetHandle 00b6 TCustomImageList.GetHandle 00bc ImageList_Draw 00c8 TBitmap.ReleaseHandle 00e0 TObject.Free 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 0F AF 53 28 8B 45 F8 8B 08 FF 51 40 8B 53 24 8B 45 F8 8B 08 FF 51 34 8B 45 08 8B 40 FC 8B 40 3C 50 8D 45 E8 50 8B 45 08 8B 40 FC 8B 48 38 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 46 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2D 47 33 F6 6A 01 6A 00 8B 43 28 F7 EE 50 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 46 4F 75 D6 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2762_0 {
	meta:
		name = "_NF__E5B"
		size = 250
		refs = "0011 _NF__E5A 001e _Dn_TBitmap 0023 TBitmap.Create 002e _NF__E5B 004d TBitmap.ReleaseHandle 0065 TObject.Free 006b @HandleFinally 0091 TToolBar.GetButtonCount 00a0 TControl.Perform 00e6 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 D8 89 45 FC 85 D2 74 0E 55 8B C2 E8 ?? ?? ?? ?? 59 89 45 F0 EB 56 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 54 01 00 00 8B 45 EC 8B 08 FF 51 08 8B 45 EC E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 58 01 00 00 85 C0 75 28 33 C0 89 45 F4 8B 45 F0 89 45 F8 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 13 04 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 44 33 D2 89 55 D8 89 45 DC 33 C0 89 45 E0 8B 45 F0 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8D 45 D8 50 33 C9 BA 2E 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 58 01 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 90 58 01 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_2763_0 {
	meta:
		name = "_NF__E5C"
		size = 121
		refs = "001a TCustomImageList.GetHandle 0023 _NF__E5E 003d _NF__E63 0057 _NF__E68 0061 TWinControl.HandleAllocated 0072 _NF__E5B"
	strings:
		$1 = { 53 56 8B D8 80 BB 50 01 00 00 00 74 51 8B B3 34 01 00 00 85 F6 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B B3 3C 01 00 00 85 F6 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B B3 44 01 00 00 85 F6 74 2B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 93 34 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2764_0 {
	meta:
		name = "_NF__E5D"
		size = 35
		refs = "0009 TWinControl.HandleAllocated 001c _NF__E6F"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 3B B3 34 01 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2765_0 {
	meta:
		name = "_NF__E5E"
		size = 42
		refs = "0009 TWinControl.HandleAllocated 001c TControl.Perform"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 53 33 C9 BA 30 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_2766_0 {
	meta:
		name = "TToolBar.SetImages"
		size = 71
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 0039 _NF__E5E 0040 _NF__E6F"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 34 01 00 00 85 C0 74 0B 8B 93 38 01 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 34 01 00 00 85 C0 74 0D 8B 93 38 01 00 00 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2767_0 {
	meta:
		name = "_NF__E62"
		size = 35
		refs = "0009 TWinControl.HandleAllocated 001c _NF__E6F"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 3B B3 3C 01 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2768_0 {
	meta:
		name = "_NF__E63"
		size = 42
		refs = "0009 TWinControl.HandleAllocated 001c TControl.Perform"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 53 33 C9 BA 36 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_2769_0 {
	meta:
		name = "TToolBar.SetDisabledImages"
		size = 71
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 0039 _NF__E63 0040 _NF__E6F"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 3C 01 00 00 85 C0 74 0B 8B 93 40 01 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 3C 01 00 00 85 C0 74 0D 8B 93 40 01 00 00 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2770_0 {
	meta:
		name = "_NF__E67"
		size = 35
		refs = "0009 TWinControl.HandleAllocated 001c _NF__E6F"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 3B B3 44 01 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2771_0 {
	meta:
		name = "_NF__E68"
		size = 42
		refs = "0009 TWinControl.HandleAllocated 001c TControl.Perform"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 53 33 C9 BA 34 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_2772_0 {
	meta:
		name = "TToolBar.SetHotImages"
		size = 71
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 0039 _NF__E68 0040 _NF__E6F"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 44 01 00 00 85 C0 74 0B 8B 93 48 01 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 44 01 00 00 85 C0 74 0D 8B 93 48 01 00 00 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2773_0 {
	meta:
		name = "TToolBar.SetIndent"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3B 90 4C 01 00 00 74 0B 89 90 4C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8114_0 {
	meta:
		name = "TCustomGrid.SetFixedColor"
		size = 20
		refs = "000f _NF__308"
	strings:
		$1 = { 3B 90 4C 01 00 00 74 0B 89 90 4C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2774_0 {
	meta:
		name = "_NF__E6F"
		size = 31
		refs = "0012 _NF__E28 0019 _NF__E78"
	strings:
		$1 = { 53 8B D8 8B 8B 28 01 00 00 8B 93 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2775_0 {
	meta:
		name = "TToolBar.GetChildren"
		size = 141
		refs = "002f TList.Get 0043 TWinControl.GetControlCount 0057 TWinControl.GetControl 0071 TList.IndexOf"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 80 2C 01 00 00 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B D6 8B 45 FC 8B 80 2C 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 36 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 47 04 3B 45 F8 75 1B 8B D7 8B 45 FC 8B 80 2C 01 00 00 E8 ?? ?? ?? ?? 40 75 08 8B D7 8B 45 0C FF 55 08 46 4B 75 CD 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2776_0 {
	meta:
		name = "TToolBar.Loaded"
		size = 123
		refs = "0009 TComponent.Loaded 0010 _NF__E78 0019 TToolBar.RepositionButtons 0037 TList.Get 003d _DV_TToolButton 0042 @IsClass 0067 TToolButton.SetDown"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 01 00 00 8B 78 08 4F 85 FF 7C 4B 47 33 F6 8B D6 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8B D6 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B E8 80 BD C9 00 00 00 00 74 10 B2 01 8B C5 E8 ?? ?? ?? ?? C6 85 C9 00 00 00 00 46 4F 75 B8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2777_0 {
	meta:
		name = "_NF__E76"
		size = 7
	strings:
		$1 = { FF 80 5C 01 00 00 C3 }
	condition:
		$1
}

rule function_2778_0 {
	meta:
		name = "_NF__E77"
		size = 7
	strings:
		$1 = { FF 88 5C 01 00 00 C3 }
	condition:
		$1
}

rule function_2779_0 {
	meta:
		name = "_NF__E78"
		size = 63
		refs = "0015 TWinControl.HandleAllocated 0029 TControl.Perform 0039 _NF__E29"
	strings:
		$1 = { 53 8B D8 80 BB 33 01 00 00 00 74 31 F6 43 20 01 75 2B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 6A 00 33 C9 BA 21 04 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 20 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2780_0 {
	meta:
		name = "_NF__E79"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2781_0 {
	meta:
		name = "_NF__E7A"
		size = 474
		refs = "0014 _Dn_TList 0019 TObject.Create 0024 _NF__E7A 0060 TList.Get 00af @SetRange 00e9 TList.Add 0191 TList.Last 01c2 TObject.Free 01c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 89 4D F8 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 EC 33 C0 89 45 E8 C6 45 F3 00 8B 83 2C 01 00 00 8B 70 08 4E 85 F6 0F 8C D4 00 00 00 46 C7 45 F4 00 00 00 00 8B 83 2C 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 40 30 3B 45 F8 0F 8C A8 00 00 00 8B 83 2C 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 78 34 8B 83 2C 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 40 3C 03 C7 89 45 E0 C6 45 F3 01 8B 45 E4 83 78 08 00 7E 3E 8B C7 8B 55 E0 8D 4D C0 B4 20 E8 ?? ?? ?? ?? 8B 45 EC 3D FF 00 00 00 77 04 0F A3 45 C0 72 55 8B C7 8B 55 E0 8D 4D A0 B4 20 E8 ?? ?? ?? ?? 8B 45 E8 3D FF 00 00 00 77 04 0F A3 45 A0 72 36 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 8B 83 2C 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 40 34 89 45 EC 8B 83 2C 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 40 3C 03 45 EC 89 45 E8 FF 45 F4 4E 0F 85 34 FF FF FF 80 7D F3 00 74 62 8B 45 E4 8B 40 08 83 F8 01 7E 48 48 83 F8 00 7C 2C 89 45 F4 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B 40 34 3B 45 08 7E 09 FF 4D F4 83 7D F4 FF 75 D7 83 7D F4 00 7C 46 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 89 45 F4 EB 36 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 89 45 F4 EB 27 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B 40 30 3B 45 F8 7D 0E 8B 83 2C 01 00 00 8B 40 08 89 45 F4 EB 06 8B 45 FC 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2782_0 {
	meta:
		name = "_NF__E7B"
		size = 191
		refs = "0018 _NF__E7A 0037 TList.Get 0049 TList.Delete 005b TList.Insert 0063 _NF__E76 006b _NF__E7B 0082 TControl.Perform 0092 _NF__E39 00a7 _NF__E77 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 89 45 FC 33 DB 8B 45 08 50 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B F8 3B F7 0F 84 8F 00 00 00 3B FE 7E 01 4F 8B 45 FC 8B 80 2C 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 2C 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 2C 01 00 00 8B CB 8B D7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CE BA 16 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 57 8B CF BA 15 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B3 01 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2783_0 {
	meta:
		name = "_NF__E7C"
		size = 199
		refs = "0014 TList.IndexOf 002f _NF__E7B 0061 TControl.Perform 008b TToolBar.SetButtonHeight 00a0 _NF__E3A 00a7 _NF__E78 00b0 TToolBar.RepositionButtons 00bb TToolBar.RepositionButton"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F2 8B E8 8B D6 8B 85 2C 01 00 00 E8 ?? ?? ?? ?? 8B F8 83 FF FF 0F 84 9C 00 00 00 8B 46 34 50 8B 4E 30 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D8 C6 04 24 00 84 DB 74 15 8B D6 8B 85 2C 01 00 00 E8 ?? ?? ?? ?? 3B F8 7E 2D 8B F8 EB 29 8D 44 24 04 50 8B CF BA 1D 04 00 00 8B C5 E8 ?? ?? ?? ?? 85 C0 74 12 8B 44 24 0C 2B 44 24 04 3B 46 38 0F 95 04 24 8A 1C 24 8B 46 3C 3B 85 28 01 00 00 74 0B 8B D0 8B C5 E8 ?? ?? ?? ?? EB 2E 84 DB 74 21 80 3C 24 00 74 09 8B D7 8B C5 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 33 D2 8B C5 E8 ?? ?? ?? ?? EB 09 8B D7 8B C5 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2784_0 {
	meta:
		name = "TToolBar.AlignControls"
		size = 48
		refs = "0017 _DV_TToolButton 001c @IsClass 0029 _NF__E7C"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 5C 01 00 00 00 7F 1E 85 F6 74 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2785_0 {
	meta:
		name = "TToolBar.WMEraseBkgnd"
		size = 79
		refs = "0014 _DV_TCoolBar 0019 @IsClass 0036 TWinControl.GetHandle 003c RedrawWindow 0048 TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 56 57 8B FA 8B F0 80 BE 32 01 00 00 00 74 34 8B 46 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B D7 8B C6 8B 08 FF 51 F0 68 81 00 00 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E C3 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_2787_0 {
	meta:
		name = "TToolBar.WMSize"
		size = 251
		refs = "001a _NF__E79 0032 TControl.Perform 003b TWinControl.WMSize 00b2 _NF__E29 00bb TToolBar.RepositionButtons 00d6 TWinControl.HandleAllocated 00ea TWinControl.GetHandle 00f0 RedrawWindow"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B FA 8B D8 80 BB 33 01 00 00 00 0F 84 AA 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 11 8B C4 50 8B CE BA 1D 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 85 F6 0F 8C 83 00 00 00 8D 44 24 10 50 8B CE BA 1D 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 44 24 18 3B 44 24 08 75 0A 8B 44 24 1C 3B 44 24 0C 74 5C 8A 43 48 84 C0 74 06 04 FD 2C 02 73 0A 8B 44 24 18 3B 44 24 08 75 1B 8A 43 48 84 C0 74 10 04 FD 2C 02 72 0A 8B 44 24 1C 3B 44 24 0C 75 04 33 C0 EB 02 B0 01 84 C0 74 10 80 BB 20 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 80 BB 32 01 00 00 00 74 21 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 68 01 04 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2788_0 {
	meta:
		name = "TToolBar.WMWindowPosChanged"
		size = 44
		refs = "000b TWinControl.WMWindowPosChanged 0025 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 43 20 01 75 14 8B 46 08 F6 40 18 01 75 0B 8B C3 66 BB DB FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2789_0 {
	meta:
		name = "_NF__E8E"
		size = 149
		refs = "003b _NV__E8D"
	strings:
		$1 = { 55 8B EC 56 8B 55 08 8B 52 FC 8B B2 18 01 00 00 03 F6 8B 55 08 8B 52 FC 80 BA 1E 01 00 00 00 0F 95 C2 83 E2 7F 8B 4D 08 8B 49 FC 80 B9 1D 01 00 00 00 0F 95 C1 83 E1 7F 8D 0C CD ?? ?? ?? ?? 8B 14 91 85 D2 74 4A 84 C0 74 24 8B 45 08 8B 40 FC F6 80 1C 01 00 00 02 74 02 03 F2 8B 45 08 8B 40 FC F6 80 1C 01 00 00 08 74 26 03 F2 EB 22 8B 45 08 8B 40 FC F6 80 1C 01 00 00 01 74 02 03 F2 8B 45 08 8B 40 FC F6 80 1C 01 00 00 04 74 02 03 F2 8B C6 5E 5D C3 }
	condition:
		$1
}

rule function_2790_0 {
	meta:
		name = "TToolBar.WMWindowPosChanging"
		size = 308
		refs = "0022 _NF__E79 0058 TControl.Perform 006b Rect 008d _NF__E8E 0119 TWinControl.GetHandle 011f PostMessage"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B DA 89 45 FC 8B 45 FC 80 B8 20 01 00 00 00 0F 84 05 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7D 0D 8B 55 FC F6 42 20 10 0F 85 EB 00 00 00 8B 53 08 F6 42 18 01 0F 85 DE 00 00 00 85 C0 7C 15 8D 55 E8 52 8B C8 BA 1D 04 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 11 6A 00 8D 45 E8 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 73 08 8B 45 FC 8A 40 48 2C 01 72 0A 2C 02 72 67 2C 02 72 48 EB 7C 8B 7E 10 55 33 C0 E8 ?? ?? ?? ?? 59 03 45 F0 89 46 10 3B 7E 10 7D 06 C6 45 FB 01 EB 07 89 7E 10 C6 45 FB 00 8B 7E 14 55 B0 01 E8 ?? ?? ?? ?? 59 03 45 F4 89 46 14 3B 7E 14 7D 06 C6 45 FB 01 EB 3F 89 7E 14 EB 3A 8B 7E 10 55 33 C0 E8 ?? ?? ?? ?? 59 03 45 F0 89 46 10 3B 7E 10 0F 95 45 FB EB 1F 8B 7E 14 55 B0 01 E8 ?? ?? ?? ?? 59 03 45 F4 89 46 14 3B 7E 14 0F 95 45 FB EB 04 C6 45 FB 00 80 7D FB 00 74 17 6A 00 6A 00 68 00 14 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2791_0 {
	meta:
		name = "_NF__E92"
		size = 167
		refs = "0011 TWinControl.GetHandle 0018 GetCapture 0021 GetCaptureControl 0054 SmallPointToPoint 0064 TWinControl.ControlAtPos 007f _DV_TToolButton 0084 @IsClass 0093 TControl.Dragging"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 2D E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 8B 45 08 83 78 F8 00 74 19 8B 45 08 8B 40 F8 8B 40 24 8B 55 08 3B 42 FC 74 08 8B 45 08 33 D2 89 50 F8 8D 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 45 08 83 78 F4 00 74 24 8B 45 08 8B 40 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2792_0 {
	meta:
		name = "TToolBar.WndProc"
		size = 244
		refs = "006b _NF__E92 008a _NF__E3D 00a3 TWinControl.WndProc 00ab TControl.Dragging 00c1 _NF__E18"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8B 45 FC F6 40 20 10 0F 85 CC 00 00 00 8B 03 2D 00 02 00 00 74 0E 48 74 6B 48 74 3F 48 74 65 E9 B5 00 00 00 8B 45 FC 80 B8 32 01 00 00 00 74 1F 66 FF 43 08 66 FF 43 0A 8B D3 8B 45 FC 8B 08 FF 51 F0 66 FF 4B 08 66 FF 4B 0A E9 8A 00 00 00 8B D3 8B 45 FC 8B 08 FF 51 F0 EB 7E 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 71 8B 45 F8 3B 45 F4 75 69 8B D3 8B 45 FC 8B 08 FF 51 F0 8B 45 FC E8 ?? ?? ?? ?? EB 55 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 48 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 3C 8B D3 8B 45 FC 8B 08 FF 51 F0 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 26 C7 03 02 02 00 00 8B D3 8B 45 FC 8B 08 FF 51 F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2793_0 {
	meta:
		name = "TToolBar.CMControlChange"
		size = 24
		refs = "000a _NF__E37 0013 _NF__E38"
	strings:
		$1 = { 83 7A 08 00 74 09 8B 52 04 E8 ?? ?? ?? ?? C3 8B 52 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2794_0 {
	meta:
		name = "TToolBar.CMEnabledChanged"
		size = 27
		refs = "000b TWinControl.CMEnabledChanged 0014 TWinControl.Broadcast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3616_0 {
	meta:
		name = "TWinControl.CMSysFontChanged"
		size = 27
		refs = "000b TControl.CMSysFontChanged 0014 TWinControl.Broadcast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2798_0 {
	meta:
		name = "TCoolBand.Create"
		size = 173
		refs = "000f @ClassCreate 0049 _Dn_TBitmap 004e TBitmap.Create 005d _NF__EB9 007b TCollectionItem.Create 0086 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 C7 46 38 28 00 00 00 C6 46 0D 01 C7 46 24 0F 00 00 80 C6 46 18 01 C7 46 14 FF FF FF FF C7 46 1C 19 00 00 00 C6 46 2C 01 C6 46 2D 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 30 89 73 08 C7 43 04 ?? ?? ?? ?? C6 46 0F 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B CF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB FD FF E8 ?? ?? ?? ?? 8B C6 66 BB FC FF E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2799_0 {
	meta:
		name = "TCoolBand.Destroy"
		size = 104
		refs = "000b TObject.Free 0027 TCollectionItem.Destroy 0038 TWinControl.HandleAllocated 0043 TControl.BringToFront 0053 TControl.Perform 005e @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 47 3C E8 ?? ?? ?? ?? 8B 47 30 E8 ?? ?? ?? ?? 8B 77 28 33 C0 89 47 28 8B D3 80 E2 FE 8B C7 E8 ?? ?? ?? ?? 85 F6 74 28 F6 46 20 08 75 22 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8B C6 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 19 B0 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2800_0 {
	meta:
		name = "_NF__EAC"
		size = 51
		refs = "0011 _NF__EB4 001c TComponent.FindComponent 0022 _Dn_TWinControl 0027 @AsClass"
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 74 24 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 40 04 8B 53 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_2801_0 {
	meta:
		name = "TCoolBand.Assign"
		size = 231
		refs = "000f _DV_TCoolBand 0014 @IsClass 0029 TCoolBand.SetBitmap 0034 TCoolBand.SetBreak 003f TCoolBand.SetColor 004a TCoolBand.SetFixedBackground 0055 TCoolBand.SetFixedSize 0060 TCoolBand.SetHorizontalOnly 006b TCoolBand.SetImageIndex 0076 TCoolBand.SetMinHeight 0081 TCoolBand.SetMinWidth 008c TCoolBand.SetParentBitmap 0097 TCoolBand.SetParentColor 00a2 TCoolBand.SetText 00a9 TCoolBand.GetVisible 00b3 TCoolBand.SetVisible 00be TCoolBand.SetWidth 00c7 _NF__EAC 00d2 TCoolBand.SetControl 00de TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B8 00 00 00 8B F3 8B 56 30 8B 45 FC E8 ?? ?? ?? ?? 8A 56 0D 8B 45 FC E8 ?? ?? ?? ?? 8B 56 24 8B 45 FC E8 ?? ?? ?? ?? 8A 56 18 8B 45 FC E8 ?? ?? ?? ?? 8A 56 0E 8B 45 FC E8 ?? ?? ?? ?? 8A 56 10 8B 45 FC E8 ?? ?? ?? ?? 8B 56 14 8B 45 FC E8 ?? ?? ?? ?? 8B 56 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 56 20 8B 45 FC E8 ?? ?? ?? ?? 8A 56 2D 8B 45 FC E8 ?? ?? ?? ?? 8A 56 2C 8B 45 FC E8 ?? ?? ?? ?? 8B 56 34 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 56 38 8B 45 FC E8 ?? ?? ?? ?? 55 8B 46 28 E8 ?? ?? ?? ?? 59 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2802_0 {
	meta:
		name = "TCoolBand.GetDisplayName"
		size = 33
		refs = "000c @LStrLAsg 001a TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 34 E8 ?? ?? ?? ?? 83 3E 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2803_0 {
	meta:
		name = "TCoolBand.GetVisible"
		size = 39
		refs = "000c _NF__EB4"
	strings:
		$1 = { 53 8B D8 80 7B 0F 00 74 16 8B C3 E8 ?? ?? ?? ?? 80 B8 49 01 00 00 00 74 0A 80 7B 10 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_2804_0 {
	meta:
		name = "_NF__EB4"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 40 18 C3 }
	condition:
		$1
}

rule function_2805_0 {
	meta:
		name = "TCoolBand.ParentColorChanged"
		size = 32
		refs = "000c _NF__EB4 0016 TCoolBand.SetColor"
	strings:
		$1 = { 53 8B D8 80 7B 2C 00 74 15 8B C3 E8 ?? ?? ?? ?? 8B 50 54 8B C3 E8 ?? ?? ?? ?? C6 43 2C 01 5B C3 }
	condition:
		$1
}

rule function_2806_0 {
	meta:
		name = "TCoolBand.ParentBitmapChanged"
		size = 8
		refs = "0003 _NF__EB9"
	strings:
		$1 = { 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8618_0 {
	meta:
		name = "TChartEditForm.LBAvailSeriesDblClick"
		size = 8
		refs = "0003 TChartEditForm.BRightOneClick"
	strings:
		$1 = { 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8619_0 {
	meta:
		name = "TChartEditForm.LBSelectedSeriesDblClick"
		size = 8
		refs = "0003 TChartEditForm.BLeftOneClick"
	strings:
		$1 = { 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2807_0 {
	meta:
		name = "_NF__EB9"
		size = 65
		refs = "003b TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 80 7B 2D 00 75 23 8B 53 30 8B 43 3C 8B 08 FF 51 08 8B 43 3C 8B 10 FF 52 1C 84 C0 75 16 B2 01 8B 43 3C 8B 08 FF 51 68 EB 0A 33 D2 8B 43 3C 8B 08 FF 51 08 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2808_0 {
	meta:
		name = "TCoolBand.SetBitmap"
		size = 26
		refs = "0014 TCollectionItem.Changed"
	strings:
		$1 = { 56 8B F0 C6 46 2D 00 8B 46 30 8B 08 FF 51 08 B2 01 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_2809_0 {
	meta:
		name = "TCoolBand.GetHeight"
		size = 35
		refs = "0006 TCoolBand.GetVisible 0011 _NF__EB4 0019 _NF__F5E"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B 53 40 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2810_0 {
	meta:
		name = "TCoolBand.SetBorderStyle"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 0C 74 0A 88 50 0C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2811_0 {
	meta:
		name = "TCoolBand.SetBreak"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 0D 74 0A 88 50 0D 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2812_0 {
	meta:
		name = "TCoolBand.SetFixedSize"
		size = 38
		refs = "0014 TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 0E 74 20 84 D2 74 11 C6 40 0D 00 C6 40 0E 01 B2 01 E8 ?? ?? ?? ?? EB 0B C6 40 0E 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2813_0 {
	meta:
		name = "TCoolBand.SetMinHeight"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 1C 74 0A 89 50 1C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2814_0 {
	meta:
		name = "TCoolBand.SetMinWidth"
		size = 17
		refs = "000c TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 20 74 0B 89 50 20 8A 50 0E E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2815_0 {
	meta:
		name = "TCoolBand.SetVisible"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 0F 74 0A 88 50 0F B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2816_0 {
	meta:
		name = "TCoolBand.SetHorizontalOnly"
		size = 33
		refs = "000e _NF__EB4 001b TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 3A 53 10 74 17 88 53 10 8B C3 E8 ?? ?? ?? ?? 8A 90 49 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2817_0 {
	meta:
		name = "TCoolBand.SetImageIndex"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 14 74 0A 89 50 14 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2818_0 {
	meta:
		name = "TCoolBand.SetFixedBackground"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "TWebActionItem.SetMethodType"
	strings:
		$1 = { 3A 50 18 74 0A 88 50 18 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2819_0 {
	meta:
		name = "TCoolBand.SetColor"
		size = 20
		refs = "000f TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 24 74 0E 89 50 24 C6 40 2C 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2820_0 {
	meta:
		name = "TCoolBand.SetControl"
		size = 80
		refs = "0016 TCoolBands.FindBand 0025 TCoolBand.SetControl 0034 TCollectionItem.Changed 0048 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B 73 28 74 40 85 F6 74 19 8B D6 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 0B 3B D8 74 07 33 D2 E8 ?? ?? ?? ?? 8B 7B 28 89 73 28 B2 01 8B C3 E8 ?? ?? ?? ?? 85 FF 74 10 6A 00 33 C9 BA 19 B0 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2821_0 {
	meta:
		name = "TCoolBand.SetText"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 34 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 34 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2822_0 {
	meta:
		name = "TCoolBand.IsColorStored"
		size = 6
	strings:
		$1 = { 8A 40 2C 34 01 C3 }
	condition:
		$1
}

rule function_2823_0 {
	meta:
		name = "TCoolBand.SetParentColor"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 2C 74 0A 88 50 2C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2824_0 {
	meta:
		name = "TCoolBand.IsBitmapStored"
		size = 6
	strings:
		$1 = { 8A 40 2D 34 01 C3 }
	condition:
		$1
}

rule function_2825_0 {
	meta:
		name = "TCoolBand.SetParentBitmap"
		size = 26
		refs = "0013 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 3A 56 2D 74 0E 88 56 2D 8B C6 66 BB FC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2826_0 {
	meta:
		name = "TCoolBand.SetWidth"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 38 74 0A 89 50 38 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2829_0 {
	meta:
		name = "TCoolBands.FindBand"
		size = 50
		refs = "000b TCollection.GetCount 001e TCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 68 28 74 06 46 4B 75 EE 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2830_0 {
	meta:
		name = "TCoolBands.HaveGraphic"
		size = 61
		refs = "000b TCollection.GetCount 001e TCoolBands.GetItem"
	strings:
		$1 = { 53 56 57 55 8B F8 33 DB 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 20 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 3C 8B 10 FF 52 1C 84 C0 75 04 B3 01 EB 04 46 4D 75 E3 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2835_0 {
	meta:
		name = "TCoolBar.Create"
		size = 272
		refs = "000b @ClassCreate 001b CheckCommonControl 0026 TToolWindow.Create 002b TCoolBar.Create 0049 TControl.SetHeight 0052 TCoolBar.SetAlign 005b TControl.SetParentColor 0064 TControl.SetParentFont 0072 _Dn_TBitmap 0077 TBitmap.Create 0089 _NF__F49 0090 _Dn_TFont 0095 TFont.Create 00c4 _DV_TCoolBands 00c9 TCoolBands.Create 00d6 _Dn_TChangeLink 00db TObject.Create 00ed _NF__F3B"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B8 00 04 00 00 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? F7 D0 22 47 21 88 47 21 66 A1 ?? ?? ?? ?? 66 89 47 40 BA 4B 00 00 00 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? C6 87 28 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B7 2C 01 00 00 89 7E 08 C7 46 04 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 30 01 00 00 C6 87 48 01 00 00 01 C6 87 14 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 38 01 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 24 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B7 44 01 00 00 89 7E 0C C7 46 08 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 01 00 00 00 CB 00 00 00 }
	condition:
		$1
}

rule function_2836_0 {
	meta:
		name = "TCoolBar.Destroy"
		size = 89
		refs = "000d TObject.Free 0045 TWinControl.Destroy 0050 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 8B 86 44 01 00 00 E8 ?? ?? ?? ?? 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B 86 2C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2837_0 {
	meta:
		name = "TCoolBar.CreateParams"
		size = 148
		refs = "000b TWinControl.CreateParams 0010 TCoolBar.CreateParams 0019 TWinControl.CreateSubClass 0020 _NF__F4C 002a _NV__F0E 0041 _NV__F0F 0050 _NV__F10 005f _NV__F11 006e _NV__F12"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 56 04 83 CA 48 0B C2 33 D2 8A 93 28 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 3D 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 3C 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 49 01 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 8B 46 24 83 E0 FC 83 C8 08 89 46 24 5E 5B C3 52 65 42 61 72 57 69 6E 64 6F 77 33 32 00 00 00 }
	condition:
		$1
}

rule function_2838_0 {
	meta:
		name = "TCoolBar.CreateWnd"
		size = 58
		refs = "0006 TWinControl.CreateWnd 000d _NF__F26 001a TFont.SetHandle 0021 _NF__F27 0034 _NF__F5D"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 34 01 00 00 F6 43 20 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2839_0 {
	meta:
		name = "_NF__F18"
		size = 27
		refs = "0016 TControl.Perform"
	strings:
		$1 = { 0F B7 50 38 0F B7 48 3C C1 E1 10 0B D1 52 33 C9 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2841_0 {
	meta:
		name = "_NF__F1B"
		size = 94
		refs = "001b TWinControl.HandleAllocated 003c TControl.Perform 004b TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 C8 C7 45 C8 38 00 00 00 C7 45 CC 10 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 31 8D 45 C8 50 8B 45 08 8B 40 F4 8B 48 40 8B 45 08 8B 40 F8 BA 05 04 00 00 E8 ?? ?? ?? ?? 85 C0 74 10 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3B 45 E8 74 04 33 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule function_2842_0 {
	meta:
		name = "TCoolBar.AlignControls"
		size = 345
		refs = "0027 _Dn_TWinControl 002c @IsClass 0056 _NF__F5C 0064 @AsClass 0074 TCoolBands.FindBand 0089 _NF__F4A 0091 TCoolBar.AlignControls 00a2 _NF__F28 00e5 _NF__F1B 00f8 TCoolBand.SetWidth 0102 TCoolBand.SetMinHeight 011d _NF__F4B 0123 @HandleFinally 014e _NF__F18"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 89 45 F8 8B 45 F8 F6 40 20 08 0F 85 36 01 00 00 83 7D FC 00 74 16 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 1A 01 00 00 8B 45 F8 83 B8 50 01 00 00 00 0F 85 0A 01 00 00 83 7D FC 00 0F 84 00 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 CD 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 45 F8 80 B8 49 01 00 00 00 74 0E 8B 45 FC 8B 40 3C 8B 55 FC 8B 52 38 EB 0C 8B 45 FC 8B 40 38 8B 55 FC 8B 52 3C 8D 1C 01 8B F2 8B 45 F4 3B 58 38 75 13 8B 45 F4 3B 70 1C 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 75 1A C6 45 F3 01 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 8B 45 F4 E8 ?? ?? ?? ?? EB 04 C6 45 F3 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F3 00 74 1B 8B 45 F8 8B 80 24 01 00 00 8B 55 F4 8B 08 FF 51 10 8B 45 F8 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2843_0 {
	meta:
		name = "TCoolBar.Change"
		size = 66
		refs = "000c GetParentForm"
	strings:
		$1 = { 53 8B D8 F6 43 20 10 74 1F 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 54 01 00 00 00 74 0B 8B 80 54 01 00 00 8B 10 FF 52 04 66 83 BB 56 01 00 00 00 74 0E 8B D3 8B 83 58 01 00 00 FF 93 54 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2845_0 {
	meta:
		name = "TCoolBar.GetAlign"
		size = 4
	strings:
		$1 = { 8A 40 48 C3 }
	condition:
		$1
}

rule function_2846_0 {
	meta:
		name = "_NF__F26"
		size = 78
		refs = "0019 SystemParametersInfo 002b GetStockObject 0031 GetObject 0043 CreateFontIndirect"
	strings:
		$1 = { 81 C4 AC FE FF FF C7 04 24 54 01 00 00 6A 00 8D 44 24 04 50 6A 00 6A 29 E8 ?? ?? ?? ?? 85 C0 75 14 8D 44 24 18 50 6A 3C 6A 0D E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 44 24 28 90 01 00 00 8D 44 24 18 50 E8 ?? ?? ?? ?? 81 C4 54 01 00 00 C3 }
	condition:
		$1
}

rule function_2847_0 {
	meta:
		name = "_NF__F27"
		size = 143
		refs = "0011 TWinControl.HandleAllocated 001c _Dn_TControlCanvas 0021 TCanvas.Create 002c _NF__F27 003c TControlCanvas.SetControl 004a TCanvas.SetFont 0056 TCanvas.GetHandle 005c GetTextMetrics 007b TObject.Free 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 8B D8 33 C0 89 45 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 93 30 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 06 8B 45 C0 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2848_0 {
	meta:
		name = "_NF__F28"
		size = 439
		refs = "0015 _NF__F28 003f TCoolBand.GetVisible 007d @LStrLAsg 00a2 _Dn_TControlCanvas 00a7 TCanvas.Create 00c3 TControlCanvas.SetControl 00d4 TCanvas.SetFont 00f9 TCanvas.TextWidth 0111 TObject.Free 0117 @HandleFinally 01a4 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 C6 45 EF 00 83 7D F8 00 0F 84 61 01 00 00 8B 45 FC F6 40 20 10 75 10 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 48 01 00 00 8B 45 FC F6 40 20 10 74 1F 8B 45 F8 83 78 28 00 75 16 8B 45 F8 83 78 34 00 75 0D 8D 55 F0 8B 45 F8 8B 08 FF 51 0C EB 0E 8D 45 F0 8B 55 F8 8B 52 34 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 48 01 00 00 00 0F 84 8C 00 00 00 83 7D F0 00 0F 84 82 00 00 00 C6 45 EF 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 30 01 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 49 01 00 00 00 74 0E 8B 45 FC 8B 80 34 01 00 00 89 45 F4 EB 0E 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 83 78 14 00 7C 41 80 7D EF 00 74 04 83 45 F4 02 8B 45 FC 8B 80 40 01 00 00 85 C0 74 20 C6 45 EF 01 8B 55 FC 80 BA 49 01 00 00 00 74 08 8B 40 24 01 45 F4 EB 12 8B 40 28 01 45 F4 EB 0A 80 7D EF 00 75 04 83 45 F4 04 80 7D EF 00 74 04 83 45 F4 04 8B 45 FC 80 B8 3D 01 00 00 00 74 09 8B 45 F8 83 78 40 00 7E 0D 8B 45 F8 80 78 0E 00 75 04 83 45 F4 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_2849_0 {
	meta:
		name = "TCoolBar.SetAlign"
		size = 156
		refs = "0012 TControl.SetAlign 0055 TControl.Perform 005d TCoolBar.SetAlign 006b TWinControl.RecreateWnd 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8A 58 48 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 40 48 3A D8 74 78 48 2C 02 72 10 2C 02 73 16 8B 45 FC C6 80 49 01 00 00 01 EB 0A 8B 45 FC C6 80 49 01 00 00 00 8B 45 FC F6 40 20 01 75 50 6A 00 33 C9 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 5B 59 5D C3 }
	condition:
		$1
}

rule function_2850_0 {
	meta:
		name = "TCoolBar.SetAutoSize"
		size = 131
		refs = "0019 TControl.RequestAlign 003c TControl.Perform 0044 TCoolBar.SetAutoSize 0052 TWinControl.RecreateWnd 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 3A 98 20 01 00 00 74 6A 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 88 98 20 01 00 00 8B 45 FC F6 40 20 01 75 50 6A 00 33 C9 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 5B 59 5D C3 }
	condition:
		$1
}

rule function_2851_0 {
	meta:
		name = "TCoolBar.SetBands"
		size = 12
	strings:
		$1 = { 8B 80 24 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_2852_0 {
	meta:
		name = "TCoolBar.SetBandBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomPanel.SetBorderStyle"
	strings:
		$1 = { 3A 90 28 01 00 00 74 0B 88 90 28 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2854_0 {
	meta:
		name = "TCoolBar.SetFixedOrder"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 3D 01 00 00 74 0B 88 90 3D 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2855_0 {
	meta:
		name = "_NF__F3B"
		size = 48
		refs = "0009 TWinControl.HandleAllocated 0020 TCustomImageList.GetHandle 0029 _NF__F3C"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 3B B3 40 01 00 00 75 14 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2856_0 {
	meta:
		name = "_NF__F3C"
		size = 82
		refs = "000c TWinControl.HandleAllocated 001b TWinControl.RecreateWnd 0041 TControl.Perform"
	strings:
		$1 = { 53 56 83 C4 F4 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 38 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 2B C7 04 24 0C 00 00 00 C7 44 24 04 01 00 00 00 89 5C 24 08 8B C4 50 33 C9 BA 04 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_2857_0 {
	meta:
		name = "TCoolBar.SetImages"
		size = 85
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 0039 TCustomImageList.GetHandle 0042 _NF__F3C"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 40 01 00 00 85 C0 74 0B 8B 93 44 01 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 40 01 00 00 85 C0 74 22 8B 93 44 01 00 00 E8 ?? ?? ?? ?? 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2858_0 {
	meta:
		name = "TCoolBar.SetShowText"
		size = 26
		refs = "0015 _NF__F5D"
	strings:
		$1 = { 3A 90 48 01 00 00 74 11 88 90 48 01 00 00 F6 40 20 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2859_0 {
	meta:
		name = "TCoolBar.Notification"
		size = 93
		refs = "0010 TControl.Notification 0023 _Dn_TWinControl 0028 @IsClass 0039 TCoolBands.FindBand 0055 TCoolBar.SetImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? F6 47 20 08 75 3F 80 FB 01 75 3A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B D6 8B 87 24 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 18 33 D2 89 50 28 EB 11 3B B7 40 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2860_0 {
	meta:
		name = "TCoolBar.GetPalette"
		size = 40
		refs = "0022 TControl.GetPalette"
	strings:
		$1 = { 53 8B D8 8B 83 38 01 00 00 8B 10 FF 52 1C 84 C0 75 0D 8B 83 38 01 00 00 8B 10 FF 52 24 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2861_0 {
	meta:
		name = "_NF__F49"
		size = 136
		refs = "003a TCollection.GetCount 0051 TCoolBands.GetItem 005a @CallDynaInst 0065 TWinControl.HandleAllocated 0079 TWinControl.GetHandle 007f RedrawWindow"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 96 2C 01 00 00 8B 86 38 01 00 00 8B 08 FF 51 08 8B 86 38 01 00 00 8B 10 FF 52 1C 84 C0 75 0D B2 01 8B 86 38 01 00 00 8B 08 FF 51 68 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1D 47 33 ED 8B D5 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 66 BB FC FF E8 ?? ?? ?? ?? 45 4F 75 E6 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 68 85 00 00 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2862_0 {
	meta:
		name = "_NF__F4A"
		size = 7
	strings:
		$1 = { FF 80 50 01 00 00 C3 }
	condition:
		$1
}

rule function_2863_0 {
	meta:
		name = "_NF__F4B"
		size = 7
	strings:
		$1 = { FF 88 50 01 00 00 C3 }
	condition:
		$1
}

rule function_2864_0 {
	meta:
		name = "_NF__F4C"
		size = 63
		refs = "0018 TCoolBar.GetAlign"
	strings:
		$1 = { 53 8B D8 80 BB 20 01 00 00 00 74 2B 80 BB 49 01 00 00 00 74 0D 8B C3 E8 ?? ?? ?? ?? 04 FD 2C 02 72 19 80 BB 49 01 00 00 00 75 0C 8B C3 E8 ?? ?? ?? ?? 48 2C 02 72 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_2865_0 {
	meta:
		name = "_NF__F4D"
		size = 33
		refs = "0006 TWinControl.HandleAllocated 0011 _NF__F4C"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_2866_0 {
	meta:
		name = "TCoolBar.SetBitmap"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 2C 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2867_0 {
	meta:
		name = "TCoolBar.SetVertical"
		size = 143
		refs = "0024 TControl.GetBoundsRect 0035 TControl.Perform 003d TCoolBar.SetVertical 004b TWinControl.RecreateWnd 0072 @HandleFinally 007f TControl.SetBoundsRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 45 FC 8B 45 FC 3A 90 49 01 00 00 74 77 8B 45 FC 88 90 49 01 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 8B E5 5D C3 }
	condition:
		$1
}

rule function_2868_0 {
	meta:
		name = "_NF__F54"
		size = 85
		refs = "000b TWinControl.HandleAllocated 0046 TControl.Perform"
	strings:
		$1 = { 53 56 57 83 C4 C8 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3B C7 04 24 38 00 00 00 C7 44 24 04 10 00 00 00 33 C0 89 44 24 20 8B 86 24 01 00 00 8B 58 1C 4B 85 DB 7C 18 43 33 FF 8B C4 50 8B CF BA 06 04 00 00 8B C6 E8 ?? ?? ?? ?? 47 4B 75 EB 83 C4 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2869_0 {
	meta:
		name = "_NF__F59"
		size = 634
		refs = "0018 _NF__F59 002a TWinControl.HandleAllocated 0042 TCoolBands.GetItem 005a _NF__F4A 0088 _NF__F4B 008e @HandleFinally 00a1 TCoolBand.GetVisible 00ab TControl.SetVisible 00d3 @FillChar 00f4 ColorToRGB 0115 _NV__F56 0123 _NV__F58 0131 _NV__F55 013f _NV__F57 0193 TWinControl.GetHandle 0228 @LStrLAsg 0230 @LStrToPChar 0249 TControl.Perform 0264 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 33 DB 89 5D EC 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 1D 02 00 00 8B 45 FC 8B 80 24 01 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 40 28 85 C0 74 5C 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 E8 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC F6 40 20 10 75 12 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 75 10 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 8B 01 00 00 8D 45 B0 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? C7 45 B0 38 00 00 00 8B 45 F0 89 45 E4 8B 45 F0 80 78 2C 00 74 10 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 89 45 C0 EB 0E 8B 45 F0 8B 40 24 E8 ?? ?? ?? ?? 89 45 C0 8B 45 F0 0F B6 40 0D 8B 04 85 ?? ?? ?? ?? 8B 55 F0 0F B6 52 0E 0B 04 95 ?? ?? ?? ?? 8B 55 F0 0F B6 52 0C 0B 04 95 ?? ?? ?? ?? 8B 55 F0 0F B6 52 18 0B 04 95 ?? ?? ?? ?? 89 45 B8 C7 45 B4 CB 01 00 00 8B 45 F0 80 78 2D 00 74 13 8B 45 FC 8B 80 38 01 00 00 8B 10 FF 52 60 89 45 E0 EB 0E 8B 45 F0 8B 40 3C 8B 10 FF 52 60 89 45 E0 8B 45 F0 8B 40 14 89 45 CC 8B 45 F0 8B 58 28 85 DB 74 10 80 7B 44 00 74 0A 8B C3 E8 ?? ?? ?? ?? 89 45 D0 8B 45 F0 8B 40 38 89 45 DC 8B 45 F0 80 78 0E 00 74 20 8B 45 F0 83 78 20 00 7F 17 8B 45 F0 83 78 28 00 74 0E 8B 45 F0 8B 40 28 8B 40 38 89 45 D4 EB 09 8B 45 F0 8B 40 20 89 45 D4 8B 45 F0 8B 40 1C 89 45 D8 8B 45 B4 83 C8 10 83 C8 20 89 45 B4 8B 45 FC 80 B8 48 01 00 00 00 74 45 8B 45 FC F6 40 20 10 74 1F 8B 45 F0 83 78 28 00 75 16 8B 45 F0 83 78 34 00 75 0D 8D 55 EC 8B 45 F0 8B 08 FF 51 0C EB 0E 8D 45 EC 8B 55 F0 8B 52 34 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 C4 83 4D B4 04 8D 45 B0 50 8B 4D 08 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 95 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2870_0 {
	meta:
		name = "_NF__F5A"
		size = 60
		refs = "0009 TWinControl.HandleAllocated 0023 TCoolBands.GetItem 0035 _NF__F59"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 83 BB 50 01 00 00 00 75 1F 8B D6 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8B 50 40 52 8B CA 8B C3 BA 06 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2871_0 {
	meta:
		name = "_NF__F5B"
		size = 100
		refs = "0014 TCollection.GetCount 004d TCoolBands.GetItem 0052 TCoolBand.GetVisible"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 48 3B D8 7C 04 8B F3 EB 3D 8B F3 8B 45 08 8B 40 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 8B D8 83 EB 02 2B DE 7C 21 43 8B 45 08 8B 40 FC 8B 80 24 01 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 46 4B 75 E0 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_2872_0 {
	meta:
		name = "_NF__F5C"
		size = 312
		refs = "0014 TWinControl.HandleAllocated 0042 _NF__F4A 004a _NF__F5C 007b TControl.Perform 009a TCoolBand.GetVisible 00a6 _NF__F5B 00c4 TCollectionItem.GetIndex 00df TCoolBand.SetBreak 00f3 TCoolBand.SetWidth 0110 _NF__F4B 0116 @HandleFinally 012a @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 89 45 FC C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 FC 00 00 00 8B 45 FC 83 B8 50 01 00 00 00 0F 85 EC 00 00 00 C7 45 B8 38 00 00 00 C7 45 BC 41 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 24 01 00 00 8B 78 1C 4F 85 FF 0F 8C 96 00 00 00 47 33 F6 8D 45 B8 50 8B CE BA 05 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 74 83 7D EC 00 74 6E 8B 5D EC 89 73 40 F6 45 C0 01 0F 95 45 FA 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 55 8B C6 E8 ?? ?? ?? ?? 59 89 45 F0 EB 03 89 75 F0 8B 45 E4 89 45 F4 8A 43 0D 3A 45 FA 75 14 8B C3 E8 ?? ?? ?? ?? 3B 45 F0 75 08 8B 43 38 3B 45 F4 74 22 C6 45 FB 01 8A 55 FA 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 8B 08 FF 51 10 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 46 4F 0F 85 6D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FB 00 74 0C 8B 45 FC 66 BB DB FF E8 ?? ?? ?? ?? 8A 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2873_0 {
	meta:
		name = "_NF__F5D"
		size = 401
		refs = "000d TWinControl.HandleAllocated 002d _NF__F4A 003e TControl.Perform 0046 _NF__F5D 0054 _NF__F54 009b TCollection.GetCount 00b6 _NF__F59 00fd TCustomImageList.GetHandle 0107 _NF__F3C 0130 _NF__F4B 0136 @HandleFinally 015d _NF__F5C 0165 _NF__F4C 0171 _NF__F18 0182 TWinControl.GetHandle 0188 RedrawWindow"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 73 01 00 00 8B 45 FC 83 B8 50 01 00 00 00 0F 85 63 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 0C 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 15 46 6A 00 33 C9 BA 02 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 4E 75 EC 8B 45 FC 80 B8 3D 01 00 00 00 74 2F 8B 45 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 47 46 33 DB 6A FF 8B CB BA 01 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 EB EB 2D 8B 45 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 17 6A 00 8B CB BA 01 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 4B 83 FB FF 75 E9 8B 45 FC 8B 98 40 01 00 00 85 DB 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 6A 00 33 C9 BA 0C 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 24 01 00 00 89 42 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 68 81 00 00 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2874_0 {
	meta:
		name = "_NF__F5E"
		size = 203
		refs = "005d TControl.Perform"
	strings:
		$1 = { 53 56 57 55 83 C4 BC 89 14 24 8B F0 33 ED 8B 86 24 01 00 00 8B 40 1C 85 C0 0F 8E A2 00 00 00 3B 04 24 0F 8E 99 00 00 00 C7 44 24 0C 38 00 00 00 C7 44 24 10 01 00 00 00 33 D2 89 54 24 08 33 D2 89 54 24 04 8B F8 4F 85 FF 7C 76 47 33 DB 8D 44 24 0C 50 8B CB BA 05 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 58 6A 00 8B CB BA 0E 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 DB 74 07 F6 44 24 14 01 74 24 3B 1C 24 7E 11 83 7C 24 08 00 7E 35 3B E8 75 31 8B 6C 24 04 EB 2B 33 D2 89 54 24 08 89 44 24 04 33 ED EB 13 FF 44 24 08 3B 1C 24 7D 0A 3B 44 24 04 7E 04 89 44 24 04 3B E8 7D 02 8B E8 43 4F 75 8D 8B C5 83 C4 44 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2875_0 {
	meta:
		name = "_NF__F60"
		size = 415
		refs = "0064 TControl.Perform 00a0 _NF__F28 00ad _NF__F5E 00d9 Rect 010c PtInRect 0160 _NV__F5F"
	strings:
		$1 = { 53 56 57 55 83 C4 9C 89 14 24 8B D8 33 C0 89 44 24 04 8B 83 24 01 00 00 8B 40 1C 85 C0 0F 8E 70 01 00 00 33 ED 33 D2 89 54 24 10 33 D2 89 54 24 14 33 D2 89 54 24 18 C7 44 24 1C 38 00 00 00 C7 44 24 20 41 01 00 00 8B F8 4F 85 FF 0F 8C 41 01 00 00 47 33 F6 8D 44 24 1C 50 8B CE BA 05 04 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 1B 01 00 00 83 7C 24 50 00 0F 84 10 01 00 00 85 F6 74 07 F6 44 24 24 01 74 0F BD 02 00 00 00 8B 44 24 18 01 44 24 10 EB 04 03 6C 24 14 8B 54 24 50 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 8B D6 8B C3 E8 ?? ?? ?? ?? 89 44 24 0C 80 BB 49 01 00 00 00 74 21 8B 44 24 08 03 C5 50 8D 44 24 58 50 8B 4C 24 18 03 4C 24 14 8B D5 8B 44 24 18 E8 ?? ?? ?? ?? EB 1F 8B 44 24 10 03 44 24 0C 50 8D 44 24 58 50 8B 4C 24 10 03 CD 8B 54 24 18 8B C5 E8 ?? ?? ?? ?? 8B 04 24 FF 70 04 FF 30 8D 44 24 5C 50 E8 ?? ?? ?? ?? 85 C0 74 3F 80 BB 49 01 00 00 00 74 07 83 44 24 58 06 EB 05 83 44 24 54 06 8B 04 24 FF 70 04 FF 30 8D 44 24 5C 50 E8 ?? ?? ?? ?? 85 C0 74 0A C7 44 24 04 02 00 00 00 EB 4A C7 44 24 04 01 00 00 00 EB 40 8A 83 28 01 00 00 33 D2 8A D0 8B 14 95 ?? ?? ?? ?? 03 54 24 0C 89 54 24 18 84 C0 75 04 FF 44 24 18 33 C0 8A 83 28 01 00 00 8B 04 85 ?? ?? ?? ?? 03 44 24 48 89 44 24 14 46 4F 0F 85 C2 FE FF FF 8B 44 24 04 83 C4 64 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2876_0 {
	meta:
		name = "TCoolBar.WMCaptureChanged"
		size = 40
		refs = "001c TWinControl.GetHandle 0022 PostMessage"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 F6 46 42 02 75 16 6A 00 6A 00 68 00 14 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_2877_0 {
	meta:
		name = "TCoolBar.WMEraseBkgnd"
		size = 64
		refs = "0009 _NF__F4D 0014 _NF__F4C 0023 TCollection.GetCount 0030 TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1A 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 09 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 8B 08 FF 51 F0 5F 5E C3 }
	condition:
		$1
}

rule function_2878_0 {
	meta:
		name = "TCoolBar.WMLButtonDown"
		size = 66
		refs = "000f SmallPointToPoint 0018 _NF__F60 0025 TControl.WMLButtonDown"
	strings:
		$1 = { 56 57 83 C4 F8 8B FA 8B F0 8B D4 8B 47 08 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 12 8B 47 08 89 86 4A 01 00 00 8B D7 8B C6 8B 08 FF 51 F0 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_2879_0 {
	meta:
		name = "TCoolBar.WMLButtonUp"
		size = 88
		refs = "0047 TControl.WMLButtonUp 0050 TControl.SetMouseCapture"
	strings:
		$1 = { 53 56 57 F6 40 20 10 74 3D F6 40 42 02 75 37 0F BF B0 4A 01 00 00 0F BF 7A 08 8B CF 49 3B F1 7D 2C 47 3B F7 7E 27 0F BF 88 4C 01 00 00 0F BF 5A 0A 4B 3B CB 7D 17 0F BF 88 4C 01 00 00 0F BF 5A 0A 43 3B CB 7E 07 E8 ?? ?? ?? ?? EB 07 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2881_0 {
	meta:
		name = "TCoolBar.WMSetCursor"
		size = 203
		refs = "000c TWinControl.GetHandle 002d GetCursorPos 003a TControl.ScreenToClient 0045 _NF__F60 0053 Screen 005f TScreen.GetCursors 0065 SetCursor 00c1 TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 46 04 0F 85 A3 00 00 00 66 83 7E 08 01 0F 85 98 00 00 00 C7 46 0C 01 00 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 85 C0 74 59 83 F8 02 75 19 A1 ?? ?? ?? ?? 8B 00 BA EB FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 5A 80 BB 49 01 00 00 00 74 19 A1 ?? ?? ?? ?? 8B 00 BA F9 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 38 A1 ?? ?? ?? ?? 8B 00 BA F7 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1F A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_2882_0 {
	meta:
		name = "TCoolBar.WMSize"
		size = 55
		refs = "0006 TWinControl.WMSize 000d _NF__F4C 0018 TControl.RequestAlign 001f _NF__F5C 0026 _NF__F4D"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_2883_0 {
	meta:
		name = "TCoolBar.WMWindowPosChanged"
		size = 105
		refs = "000c _NF__F4C 0019 TControl.GetBoundsRect 0022 TWinControl.WMWindowPosChanged 0034 TWinControl.GetParentHandle 0045 InvalidateRect 005f @CallDynaInst"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0D 6A FF 8D 54 24 04 52 50 E8 ?? ?? ?? ?? F6 43 20 01 75 14 8B 46 08 F6 40 18 01 75 0B 8B C3 66 BB DA FF E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_2884_0 {
	meta:
		name = "TCoolBar.WndProc"
		size = 156
		refs = "0030 TCoolBar.WndProc 004f TWinControl.WndProc 0079 @HandleFinally 0085 TControl.SetMouseCapture"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC F6 40 20 10 74 76 8B 03 2D 00 02 00 00 74 0A 83 E8 02 74 5E 83 E8 04 75 63 8B 45 FC 66 8B 40 40 66 0B 05 ?? ?? ?? ?? 8B 55 FC 66 89 42 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 66 8B 15 ?? ?? ?? ?? F7 D2 66 23 50 40 8B 45 FC 66 89 50 40 C3 E9 ?? ?? ?? ?? EB E1 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_2885_0 {
	meta:
		name = "TCoolBar.CMColorChanged"
		size = 99
		refs = "0009 TWinControl.CMColorChanged 001a TCollection.GetCount 0031 TCoolBands.GetItem 003a @CallDynaInst 0045 TWinControl.HandleAllocated 0054 TWinControl.GetHandle 005a InvalidateRect"
	strings:
		$1 = { 53 56 57 55 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 9E 24 01 00 00 85 DB 74 2B 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1D 47 33 ED 8B D5 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 66 BB FD FF E8 ?? ?? ?? ?? 45 4F 75 E6 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 6A FF 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2886_0 {
	meta:
		name = "TCoolBar.CMControlChange"
		size = 103
		refs = "001a _Dn_TWinControl 001f @IsClass 0034 TCoolBands.Add 003c TCoolBand.SetControl 004c TCoolBands.FindBand 0055 TObject.Free 0060 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 50 01 00 00 00 75 55 F6 43 20 01 75 4F 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3D 83 7E 08 00 74 15 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8B 56 04 E8 ?? ?? ?? ?? EB 22 8B 56 04 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 10 E8 ?? ?? ?? ?? 8B C3 66 BB DB FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2887_0 {
	meta:
		name = "TCoolBar.CMDesignHitTest"
		size = 55
		refs = "000f SmallPointToPoint 0018 _NF__F60 002e TWinControl.CMDesignHitTest"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B 46 08 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2890_0 {
	meta:
		name = "TCoolBar.CMWinIniChange"
		size = 45
		refs = "0006 TWinControl.CMWinIniChange 000d _NF__F26 001a TFont.SetHandle 0021 _NF__F27"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 34 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2892_0 {
	meta:
		name = "TCoolBar.CNNotify"
		size = 39
		refs = "0015 _NF__F4D"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 08 81 78 08 C1 FC FF FF 75 12 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_2893_0 {
	meta:
		name = "TDateTimeColors.Create"
		size = 72
		refs = "0008 @ClassCreate"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 04 C7 40 08 05 00 00 80 C7 40 0C 08 00 00 80 C7 40 10 02 00 00 80 C7 40 14 FF FF FF 00 C7 40 18 FF FF FF 00 C7 40 1C 13 00 00 80 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_2894_0 {
	meta:
		name = "TDateTimeColors.Assign"
		size = 300
		refs = "001e TDateTimeColors.Assign 0035 @LStrLAsg 0044 TObject.ClassName 0052 @LStrFromString 005e _DV_TDateTimeColors 0063 @IsClass 00ab SAssignError 00b0 LoadResString 00bd _Dn_EConvertError 00c2 Exception.CreateFmt 00c7 @RaiseExcept 0105 @LStrClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 33 C9 89 8D E8 FE FF FF 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8D 95 FC FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 60 8B 45 FC 89 85 EC FE FF FF C6 85 F0 FE FF FF 0B 8D 95 FC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 89 85 F4 FE FF FF C6 85 F8 FE FF FF 04 8D 85 EC FE FF FF 50 6A 01 8D 95 E8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 50 08 89 56 08 8B 50 0C 89 56 0C 8B 50 10 89 56 10 8B 50 14 89 56 14 8B 50 18 89 56 18 8B 40 1C 89 46 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 00 FF FF FF FF 03 00 00 00 6E 69 6C 00 }
	condition:
		$1
}

rule function_2895_0 {
	meta:
		name = "TDateTimeColors.SetColor"
		size = 106
		refs = "000c ColorToRGB 0015 TWinControl.GetHandle 001c _NV__F94 0022 DateTime_SetMonthCalColor 002e TDateTimeColors.SetColor"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 E8 ?? ?? ?? ?? 50 8B 43 04 E8 ?? ?? ?? ?? 8B 14 B5 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 83 FE 05 77 3B FF 24 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 7B 08 EB 17 89 7B 0C EB 12 89 7B 10 EB 0D 89 7B 14 EB 08 89 7B 18 EB 03 89 7B 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2896_0 {
	meta:
		name = "_NF__FA0"
		size = 92
		refs = "000b TDateTimeColors.SetColor"
	strings:
		$1 = { 53 8B D8 8B 4B 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4B 0C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4B 10 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4B 14 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4B 18 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4B 1C BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2897_0 {
	meta:
		name = "TDateTimePicker.Create"
		size = 172
		refs = "000b @ClassCreate 001b CheckCommonControl 0024 _DV_TDateTimeColors 0029 TDateTimeColors.Create 0034 Now 0054 TWinControl.Create 005a TDateTimePicker.Create 006a TControl.SetColor 0073 TControl.SetParentColor 007c TWinControl.SetTabStop 0088 TControl.SetWidth 008f _NF__FB8"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B8 00 01 00 00 E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 1C 01 00 00 E8 ?? ?? ?? ?? DD 9F 24 01 00 00 9B C6 87 40 01 00 00 00 C6 87 20 01 00 00 01 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 47 40 BA 05 00 00 80 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? BA BA 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 C8 02 00 00 }
	condition:
		$1
}

rule function_2898_0 {
	meta:
		name = "TDateTimePicker.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TWinControl.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2899_0 {
	meta:
		name = "TDateTimePicker.CreateParams"
		size = 148
		refs = "000b TWinControl.CreateParams 0010 TDateTimePicker.CreateParams 0019 TWinControl.CreateSubClass 0028 _NV__FA8"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 2C 01 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 80 BB 2D 01 00 00 01 75 04 83 4E 04 01 80 BB 2E 01 00 00 01 75 04 83 4E 04 09 80 BB 18 01 00 00 01 75 04 83 4E 04 20 80 BB 2F 01 00 00 00 74 04 83 4E 04 10 80 BB 40 01 00 00 00 74 04 83 4E 04 02 8B 46 24 83 E0 FC 83 C8 08 89 46 24 5E 5B C3 00 53 79 73 44 61 74 65 54 69 6D 65 50 69 63 6B 33 32 00 00 00 }
	condition:
		$1
}

rule function_2900_0 {
	meta:
		name = "TDateTimePicker.CreateWnd"
		size = 55
		refs = "0006 TWinControl.CreateWnd 0019 _NF__FC9 0024 _NF__FA0 0031 TDateTimePicker.SetChecked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? FF B3 28 01 00 00 FF B3 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8A 93 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2901_0 {
	meta:
		name = "TDateTimePicker.CMColorChanged"
		size = 29
		refs = "0006 TWinControl.CMColorChanged 0011 TWinControl.GetHandle 0017 InvalidateRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2902_0 {
	meta:
		name = "TDateTimePicker.CMFontChanged"
		size = 36
		refs = "0006 TWinControl.CMFontChanged 000d _NF__FB8 0018 TWinControl.GetHandle 001e InvalidateRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2903_0 {
	meta:
		name = "_NF__FB4"
		size = 88
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F0 8D 7D F0 B9 04 00 00 00 F3 A5 66 83 7D F0 00 75 31 66 83 7D F2 00 75 2A 66 83 7D F4 00 75 23 66 83 7D F6 00 75 1C 66 83 7D F8 00 75 15 66 83 7D FA 00 75 0E 66 83 7D FC 00 75 07 66 83 7D FE 00 74 04 33 C0 EB 02 B0 01 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_2904_0 {
	meta:
		name = "TDateTimePicker.CNNotify"
		size = 422
		refs = "0015 TDateTimePicker.CNNotify 0057 _NF__FC9 008c _NF__FB4 00a4 SystemTimeToDateTime 00be TDateTimePicker.SetDate 00cd TDateTimePicker.SetTime 014a @LStrFromPChar 0169 DateTimeToSystemTime 0194 @LStrClr 019a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 33 D2 89 56 0C 8B 40 08 2D 09 FD FF FF 74 4B 48 0F 84 E4 00 00 00 83 E8 04 0F 84 C1 00 00 00 48 0F 85 32 01 00 00 FF B3 28 01 00 00 FF B3 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 66 83 BB 4E 01 00 00 00 0F 84 1A 01 00 00 8B D3 8B 83 50 01 00 00 FF 93 4C 01 00 00 E9 07 01 00 00 80 BB 40 01 00 00 00 74 18 8B 46 08 83 C0 10 E8 ?? ?? ?? ?? 84 C0 74 09 C6 83 20 01 00 00 00 EB 44 8B 46 08 83 C0 10 E8 ?? ?? ?? ?? DD 5D F8 9B 80 BB 2E 01 00 00 00 75 0F FF 75 FC FF 75 F8 8B C3 E8 ?? ?? ?? ?? EB 0D FF 75 FC FF 75 F8 8B C3 E8 ?? ?? ?? ?? 80 BB 40 01 00 00 00 74 07 C6 83 20 01 00 00 01 66 83 BB 56 01 00 00 00 0F 84 94 00 00 00 8B D3 8B 83 58 01 00 00 FF 93 54 01 00 00 E9 81 00 00 00 66 83 BB 5E 01 00 00 00 74 77 8B D3 8B 83 60 01 00 00 FF 93 5C 01 00 00 EB 67 66 83 BB 46 01 00 00 00 0F 95 45 F7 8B 46 08 8B F0 80 7D F7 00 74 3A 33 C0 89 45 F8 89 45 FC 8D 45 F8 50 8D 45 F7 50 8D 45 F0 8B 56 0C E8 ?? ?? ?? ?? 8B 4D F0 8B D3 8B 83 48 01 00 00 FF 93 44 01 00 00 FF 75 FC FF 75 F8 8D 46 10 E8 ?? ?? ?? ?? 8A 45 F7 34 01 83 E0 7F 89 46 20 EB 09 8B D6 8B C3 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2905_0 {
	meta:
		name = "_NF__FB8"
		size = 153
		refs = "000d GetDC 0018 _NF__FB8 002b GetTextMetrics 0036 TFont.GetHandle 0040 SelectObject 0071 ReleaseDC 0077 @HandleFinally 0080 GetSystemMetrics 0090 TControl.SetHeight"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 89 45 FC 6A 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D8 8D 45 88 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 6A 06 E8 ?? ?? ?? ?? 8B D0 C1 E2 03 03 55 88 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2906_0 {
	meta:
		name = "TDateTimePicker.GetDate"
		size = 28
		altNames = "TDateTimePicker.GetTime"
	strings:
		$1 = { 83 C4 F8 8B 90 24 01 00 00 89 14 24 8B 90 28 01 00 00 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_2908_0 {
	meta:
		name = "TDateTimePicker.SetCalAlignment"
		size = 26
		refs = "0015 TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 18 01 00 00 74 11 88 90 18 01 00 00 F6 40 20 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2909_0 {
	meta:
		name = "TDateTimePicker.SetCalColors"
		size = 20
	strings:
		$1 = { 56 8B B0 1C 01 00 00 3B D6 74 07 8B C6 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2910_0 {
	meta:
		name = "TDateTimePicker.SetChecked"
		size = 77
		refs = "0028 _NF__FC9 0031 TWinControl.GetHandle 003d DateTime_SetSystemTime"
	strings:
		$1 = { 56 83 C4 F0 8B F0 88 96 20 01 00 00 80 BE 40 01 00 00 00 74 33 84 D2 74 15 FF B6 28 01 00 00 FF B6 24 01 00 00 8B C6 E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 8B CC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 83 C4 10 5E C3 }
	condition:
		$1
}

rule function_2911_0 {
	meta:
		name = "TDateTimePicker.SetDate"
		size = 532
		refs = "0016 TDateTimePicker.SetDate 0024 @TRUNC 005c @FRAC 0087 sNeedAllowNone 008c LoadResString 0096 _DV_EDateTimeError 009b Exception.Create 00a0 @RaiseExcept 0101 DateToStr 0119 sDateTimeMax 012d Exception.CreateFmt 0186 sDateTimeMin 01ad _NF__FC9 01bc @HandleAnyException 01d8 @RaiseAgain 01dd @DoneExcept 01f2 @LStrClr 0200 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 E8 89 55 DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 E8 ?? ?? ?? ?? 8B D8 8B 45 FC DD 80 24 01 00 00 E8 ?? ?? ?? ?? 3B D8 0F 84 A1 01 00 00 DD 45 08 E8 ?? ?? ?? ?? 89 5D F8 DB 45 F8 DB 7D EC 9B 8B 45 FC DD 80 24 01 00 00 E8 ?? ?? ?? ?? DB 6D EC DE C1 DD 5D 08 9B DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 44 8B 45 FC 80 B8 40 01 00 00 00 75 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 20 01 00 00 00 8B 45 FC 8B 10 FF 52 44 E9 26 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC DD 80 30 01 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 74 59 DD 45 08 8B 45 FC DC 98 30 01 00 00 DF E0 9E 76 48 8B 45 FC FF B0 34 01 00 00 FF B0 30 01 00 00 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 E0 C6 45 E4 0B 8D 45 E0 50 6A 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC DD 80 38 01 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 74 59 DD 45 08 8B 45 FC DC 98 38 01 00 00 DF E0 9E 73 48 8B 45 FC FF B0 3C 01 00 00 FF B0 38 01 00 00 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 E0 C6 45 E4 0B 8D 45 E0 50 6A 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 FC FF B0 28 01 00 00 FF B0 24 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2912_0 {
	meta:
		name = "_NF__FC9"
		size = 69
		refs = "0013 DateTimeToSystemTime 001a TWinControl.GetHandle 0024 DateTime_SetSystemTime"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 33 D2 E8 ?? ?? ?? ?? 85 C0 74 12 8B 45 08 89 83 24 01 00 00 8B 45 0C 89 83 28 01 00 00 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2913_0 {
	meta:
		name = "TDateTimePicker.SetMaxDate"
		size = 212
		refs = "0015 TDateTimePicker.SetMaxDate 003d DateToStr 0055 sDateTimeMin 005a LoadResString 0064 _DV_EDateTimeError 0069 Exception.CreateFmt 006e @RaiseExcept 0095 _NF__FD0 00c1 @LStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 DC 9B 38 01 00 00 DF E0 9E 73 45 FF B3 3C 01 00 00 FF B3 38 01 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 83 30 01 00 00 DC 5D 08 DF E0 9E 74 2B FF B3 3C 01 00 00 FF B3 38 01 00 00 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 83 30 01 00 00 8B 45 0C 89 83 34 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2914_0 {
	meta:
		name = "TDateTimePicker.SetMinDate"
		size = 212
		refs = "0015 TDateTimePicker.SetMinDate 003d DateToStr 0055 sDateTimeMin 005a LoadResString 0064 _DV_EDateTimeError 0069 Exception.CreateFmt 006e @RaiseExcept 0095 _NF__FD0 00c1 @LStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 DC 9B 30 01 00 00 DF E0 9E 76 45 FF B3 34 01 00 00 FF B3 30 01 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 83 38 01 00 00 DC 5D 08 DF E0 9E 74 2B FF 75 0C FF 75 08 FF B3 34 01 00 00 FF B3 30 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 83 38 01 00 00 8B 45 0C 89 83 3C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2915_0 {
	meta:
		name = "_NF__FD0"
		size = 108
		refs = "0011 _NF__FD0 0027 DateTimeToSystemTime 0051 TWinControl.GetHandle 005b DateTime_SetRange"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B F0 33 DB DD 45 10 D8 1D ?? ?? ?? ?? DF E0 9E 74 11 83 CB 01 FF 75 14 FF 75 10 8D 45 E0 E8 ?? ?? ?? ?? DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 74 11 83 CB 01 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 85 DB 74 11 8B C6 E8 ?? ?? ?? ?? 8D 4D E0 8B D3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2917_0 {
	meta:
		name = "TCustomListBox.SetIntegralHeight"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TDateTimePicker.SetDateMode"
	strings:
		$1 = { 3A 90 2D 01 00 00 74 0B 88 90 2D 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2919_0 {
	meta:
		name = "TDateTimePicker.SetParseInput"
		size = 26
		refs = "0015 TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 2F 01 00 00 74 11 88 90 2F 01 00 00 F6 40 20 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2921_0 {
	meta:
		name = "TDateTimePicker.SetTime"
		size = 224
		refs = "0012 TDateTimePicker.SetTime 0023 @FRAC 0044 @TRUNC 007e sNeedAllowNone 0083 LoadResString 008d _DV_EDateTimeError 0092 Exception.Create 0097 @RaiseExcept 00b4 _NF__FC9 00c9 @LStrClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 33 D2 89 55 EC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 86 24 01 00 00 E8 ?? ?? ?? ?? DB 7D F4 9B DD 45 08 E8 ?? ?? ?? ?? DB 6D F4 DE D9 DF E0 9E 74 7B DD 86 24 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 7D F4 9B DD 45 08 E8 ?? ?? ?? ?? DB 6D F4 DE C1 DD 5D 08 9B DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 3A 80 BE 40 01 00 00 00 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 20 01 00 00 00 8B C6 8B 10 FF 52 44 EB 0D FF 75 0C FF 75 08 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 8B E5 5D C2 08 00 00 00 00 00 }
	condition:
		$1
}

rule function_2922_0 {
	meta:
		name = "Finalization"
		size = 100
		refs = "0007 Finalization 0013 _NV__6AF 001b _NV__6B5 0029 FreeLibrary 002e _NV__6B2 0034 TConversionFormat 0039 @FinalizeRecord 003e _NV__6B0 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 34 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_2925_0 {
	meta:
		name = "_NF__585"
		size = 116
		refs = "0002 _NV__582 000a _NF__585 000f GetModuleHandle 003f GetProcAddress 0044 _NV__583"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 3F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 7C 12 83 3D ?? ?? ?? ?? 20 7D 09 33 C0 A3 ?? ?? ?? ?? EB 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 00 00 00 63 6F 6D 63 74 6C 33 32 2E 64 6C 6C 00 00 00 00 49 6E 69 74 43 6F 6D 6D 6F 6E 43 6F 6E 74 72 6F 6C 73 45 78 00 00 00 00 }
	condition:
		$1
}

rule function_2926_0 {
	meta:
		name = "InitCommonControlsEx"
		size = 49
		refs = "0005 _NV__582 000d _NF__585 0013 _NV__583"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 53 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 5B C3 }
	condition:
		$1
}

rule function_2942_0 {
	meta:
		name = "ImageList_AddIcon"
		size = 10
		refs = "0005 ImageList_ReplaceIcon"
	strings:
		$1 = { 52 6A FF 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2943_0 {
	meta:
		name = "IndexToOverlayMask"
		size = 4
	strings:
		$1 = { C1 E0 08 C3 }
	condition:
		$1
}

rule function_2961_0 {
	meta:
		name = "ImageList_RemoveAll"
		size = 9
		refs = "0004 ImageList_Remove"
	strings:
		$1 = { 6A FF 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2962_0 {
	meta:
		name = "ImageList_ExtractIcon"
		size = 10
		refs = "0005 ImageList_GetIcon"
	strings:
		$1 = { 6A 00 51 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2963_0 {
	meta:
		name = "ImageList_LoadBitmap"
		size = 29
		refs = "0014 ImageList_LoadImage"
	strings:
		$1 = { 55 8B EC 53 6A 00 6A 00 8B 5D 08 53 8B 5D 0C 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2970_0 {
	meta:
		name = "Header_GetItemCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 00 12 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2971_0 {
	meta:
		name = "Header_InsertItem"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 01 12 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2972_0 {
	meta:
		name = "Header_DeleteItem"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 02 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2973_0 {
	meta:
		name = "Header_GetItem"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 03 12 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2974_0 {
	meta:
		name = "Header_SetItem"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 04 12 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2975_0 {
	meta:
		name = "Header_Layout"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 05 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2991_0 {
	meta:
		name = "ListView_GetBkColor"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 00 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2992_0 {
	meta:
		name = "ListView_SetBkColor"
		size = 23
		refs = "0010 SendMessage"
		altNames = "MonthCal_GetCurSel"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 01 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2993_0 {
	meta:
		name = "ListView_GetImageList"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 02 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2994_0 {
	meta:
		name = "ListView_SetImageList"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 03 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2995_0 {
	meta:
		name = "ListView_GetItemCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 04 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2996_0 {
	meta:
		name = "IndexToStateImageMask"
		size = 4
	strings:
		$1 = { C1 E0 0C C3 }
	condition:
		$1
}

rule function_2997_0 {
	meta:
		name = "DateTime_SetFormat"
		size = 23
		refs = "0010 SendMessage"
		altNames = "DateTime_SetFormatA ListView_GetItem ListView_GetItemA ListView_GetItemW MonthCal_GetSelRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 05 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3000_0 {
	meta:
		name = "ListView_SetItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_SetItemA ListView_SetItemW MonthCal_SetSelRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 06 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3003_0 {
	meta:
		name = "ListView_InsertItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_InsertItemA ListView_InsertItemW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 07 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3006_0 {
	meta:
		name = "ListView_DeleteItem"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 08 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3007_0 {
	meta:
		name = "ListView_DeleteAllItems"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 09 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3008_0 {
	meta:
		name = "DateTime_GetMonthCalFont"
		size = 16
		refs = "000b SendMessage"
		altNames = "ListView_GetCallbackMask"
	strings:
		$1 = { 6A 00 6A 00 68 0A 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3009_0 {
	meta:
		name = "ListView_SetCallbackMask"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 0B 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3010_0 {
	meta:
		name = "ListView_GetNextItem"
		size = 35
		refs = "000e MakeLong 001b SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B C7 E8 ?? ?? ?? ?? 50 56 68 0C 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3011_0 {
	meta:
		name = "ListView_FindItem"
		size = 14
		refs = "0009 SendMessage"
		altNames = "ListView_FindItemA ListView_FindItemW"
	strings:
		$1 = { 51 52 68 0D 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3014_0 {
	meta:
		name = "ListView_GetItemRect"
		size = 57
		refs = "001e SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 85 DB 74 14 8B 45 08 89 03 53 57 68 0E 10 00 00 56 E8 ?? ?? ?? ?? EB 0E 6A 00 57 68 0E 10 00 00 56 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3015_0 {
	meta:
		name = "ListView_SetItemPosition"
		size = 43
		refs = "0013 MakeLong 0020 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 66 8B 55 08 8B C7 E8 ?? ?? ?? ?? 50 56 68 0F 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3016_0 {
	meta:
		name = "ListView_GetItemPosition"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 10 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3017_0 {
	meta:
		name = "ListView_GetStringWidth"
		size = 15
		refs = "000a SendMessage"
		altNames = "ListView_GetStringWidthA ListView_GetStringWidthW MonthCal_GetRange"
	strings:
		$1 = { 52 6A 00 68 11 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3020_0 {
	meta:
		name = "ListView_HitTest"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 12 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3021_0 {
	meta:
		name = "ListView_EnsureVisible"
		size = 44
		refs = "000e MakeLong 001b SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B C7 E8 ?? ?? ?? ?? 50 56 68 13 10 00 00 53 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 F6 D8 1B C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3022_0 {
	meta:
		name = "ListView_Scroll"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 14 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3023_0 {
	meta:
		name = "ListView_RedrawItems"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 15 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3024_0 {
	meta:
		name = "ListView_Arrange"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 16 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3025_0 {
	meta:
		name = "ListView_EditLabel"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_EditLabelA ListView_EditLabelW"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 17 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3028_0 {
	meta:
		name = "ListView_GetEditControl"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 18 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3029_0 {
	meta:
		name = "ListView_GetColumn"
		size = 26
		refs = "0012 SendMessage"
		altNames = "ListView_GetColumnA ListView_GetColumnW"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 19 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3032_0 {
	meta:
		name = "ListView_SetColumn"
		size = 26
		refs = "0012 SendMessage"
		altNames = "ListView_SetColumnA ListView_SetColumnW"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 1A 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3035_0 {
	meta:
		name = "ListView_InsertColumn"
		size = 14
		refs = "0009 SendMessage"
		altNames = "ListView_InsertColumnA ListView_InsertColumnW"
	strings:
		$1 = { 51 52 68 1B 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3038_0 {
	meta:
		name = "ListView_DeleteColumn"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 1C 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3039_0 {
	meta:
		name = "ListView_GetColumnWidth"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 1D 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3040_0 {
	meta:
		name = "ListView_SetColumnWidth"
		size = 35
		refs = "000e MakeLong 001b SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B C7 E8 ?? ?? ?? ?? 50 56 68 1E 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3041_0 {
	meta:
		name = "ListView_CreateDragImage"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 21 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3042_0 {
	meta:
		name = "ListView_GetViewRect"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 22 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3043_0 {
	meta:
		name = "ListView_GetTextColor"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 23 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3044_0 {
	meta:
		name = "ListView_SetTextColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 24 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3045_0 {
	meta:
		name = "ListView_GetTextBkColor"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 25 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3046_0 {
	meta:
		name = "ListView_SetTextBkColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 26 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3047_0 {
	meta:
		name = "ListView_GetTopIndex"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 27 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3048_0 {
	meta:
		name = "ListView_GetCountPerPage"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 28 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3049_0 {
	meta:
		name = "ListView_GetOrigin"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 29 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3050_0 {
	meta:
		name = "ListView_Update"
		size = 32
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 2A 10 00 00 53 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 F6 D8 1B C0 5E 5B C3 }
	condition:
		$1
}

rule function_3051_0 {
	meta:
		name = "ListView_SetItemState"
		size = 45
		refs = "0021 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B F2 8B D8 8B 45 08 89 45 EC 89 4D E8 8D 45 DC 50 56 68 2B 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3052_0 {
	meta:
		name = "ListView_GetItemState"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 2C 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3053_0 {
	meta:
		name = "ListView_GetCheckState"
		size = 30
		refs = "0013 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 68 00 F0 00 00 56 68 2C 10 00 00 53 E8 ?? ?? ?? ?? C1 E8 0C 48 5E 5B C3 }
	condition:
		$1
}

rule function_3054_0 {
	meta:
		name = "ListView_SetCheckState"
		size = 41
		refs = "0021 SendMessage"
	strings:
		$1 = { 83 C4 DC C7 44 24 10 00 F0 00 00 83 E1 01 41 C1 E1 0C 89 4C 24 0C 8B CC 51 52 68 2B 10 00 00 50 E8 ?? ?? ?? ?? 83 C4 24 C3 }
	condition:
		$1
}

rule function_3055_0 {
	meta:
		name = "ListView_GetItemText"
		size = 43
		refs = "0021 SendMessage"
		altNames = "ListView_GetItemTextA ListView_GetItemTextW"
	strings:
		$1 = { 55 8B EC 83 C4 DC 89 4D E4 8B 4D 08 89 4D F4 8B 4D 0C 89 4D F0 8D 4D DC 51 52 68 2D 10 00 00 50 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3058_0 {
	meta:
		name = "ListView_SetItemText"
		size = 45
		refs = "0021 SendMessage"
		altNames = "ListView_SetItemTextA ListView_SetItemTextW"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B F2 8B D8 89 4D E4 8B 45 08 89 45 F0 8D 45 DC 50 56 68 2E 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3061_0 {
	meta:
		name = "ListView_SetItemCount"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 2F 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3062_0 {
	meta:
		name = "ListView_SortItems"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 30 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3063_0 {
	meta:
		name = "ListView_SetItemPosition32"
		size = 37
		refs = "001b SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 4D F8 8B 4D 08 89 4D FC 8D 4D F8 51 52 68 31 10 00 00 50 E8 ?? ?? ?? ?? 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3064_0 {
	meta:
		name = "ListView_GetSelectedCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 32 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3065_0 {
	meta:
		name = "ListView_GetItemSpacing"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 33 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3066_0 {
	meta:
		name = "ListView_GetISearchString"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_GetISearchStringA ListView_GetISearchStringW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 34 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3069_0 {
	meta:
		name = "ListView_SetIconSpacing"
		size = 36
		refs = "000e MakeLong 001c SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 35 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3070_0 {
	meta:
		name = "ListView_SetExtendedListViewStyle"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 36 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3071_0 {
	meta:
		name = "ListView_GetExtendedListViewStyle"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 37 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3072_0 {
	meta:
		name = "ListView_GetSubItemRect"
		size = 45
		refs = "0022 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 5D 08 85 DB 74 08 89 4B 04 8B 45 0C 89 03 53 57 68 38 10 00 00 56 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3073_0 {
	meta:
		name = "ListView_SubItemHitTest"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 39 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3074_0 {
	meta:
		name = "ListView_SetColumnOrderArray"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 3A 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3075_0 {
	meta:
		name = "ListView_GetColumnOrderArray"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 3B 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3076_0 {
	meta:
		name = "ListView_SetHotItem"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 3C 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3077_0 {
	meta:
		name = "ListView_GetHotItem"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 3D 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3078_0 {
	meta:
		name = "ListView_SetHotCursor"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 3E 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3079_0 {
	meta:
		name = "ListView_GetHotCursor"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 3F 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3080_0 {
	meta:
		name = "ListView_ApproximateViewRect"
		size = 44
		refs = "0011 MakeLParam 0021 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C6 E8 ?? ?? ?? ?? 50 8B 45 08 50 68 40 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3081_0 {
	meta:
		name = "ListView_SetWorkArea"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 41 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3082_0 {
	meta:
		name = "TreeView_InsertItem"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 00 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3083_0 {
	meta:
		name = "TreeView_DeleteItem"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 01 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3084_0 {
	meta:
		name = "TreeView_DeleteAllItems"
		size = 23
		refs = "0011 SendMessage"
	strings:
		$1 = { 53 8B D8 68 00 00 FF FF 6A 00 68 01 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3085_0 {
	meta:
		name = "TreeView_Expand"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 02 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3086_0 {
	meta:
		name = "TreeView_GetItemRect"
		size = 33
		refs = "0017 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F0 89 13 53 8B 45 08 50 68 04 11 00 00 56 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3087_0 {
	meta:
		name = "TreeView_GetCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 05 11 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3088_0 {
	meta:
		name = "TreeView_GetIndent"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 06 11 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3089_0 {
	meta:
		name = "TreeView_SetIndent"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 07 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3090_0 {
	meta:
		name = "TreeView_GetImageList"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 08 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3091_0 {
	meta:
		name = "TreeView_SetImageList"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 09 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3092_0 {
	meta:
		name = "TreeView_GetNextItem"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3093_0 {
	meta:
		name = "TreeView_GetChild"
		size = 11
		refs = "0006 TreeView_GetNextItem"
	strings:
		$1 = { B9 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6786_0 {
	meta:
		name = "EditChartLegend"
		size = 11
		refs = "0006 EditChartPage"
	strings:
		$1 = { B9 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3094_0 {
	meta:
		name = "TreeView_GetNextSibling"
		size = 11
		refs = "0006 TreeView_GetNextItem"
	strings:
		$1 = { B9 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3095_0 {
	meta:
		name = "TreeView_GetPrevSibling"
		size = 11
		refs = "0006 TreeView_GetNextItem"
	strings:
		$1 = { B9 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3096_0 {
	meta:
		name = "TreeView_GetParent"
		size = 11
		refs = "0006 TreeView_GetNextItem"
	strings:
		$1 = { B9 03 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3097_0 {
	meta:
		name = "TreeView_GetFirstVisible"
		size = 13
		refs = "0008 TreeView_GetNextItem"
	strings:
		$1 = { B9 05 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3098_0 {
	meta:
		name = "TreeView_GetNextVisible"
		size = 11
		refs = "0006 TreeView_GetNextItem"
	strings:
		$1 = { B9 06 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3099_0 {
	meta:
		name = "TreeView_GetPrevVisible"
		size = 11
		refs = "0006 TreeView_GetNextItem"
	strings:
		$1 = { B9 07 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3100_0 {
	meta:
		name = "TreeView_GetSelection"
		size = 13
		refs = "0008 TreeView_GetNextItem"
	strings:
		$1 = { B9 09 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3101_0 {
	meta:
		name = "TreeView_GetDropHilite"
		size = 13
		refs = "0008 TreeView_GetNextItem"
	strings:
		$1 = { B9 08 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3103_0 {
	meta:
		name = "TreeView_Select"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 0B 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3104_0 {
	meta:
		name = "TreeView_SelectItem"
		size = 11
		refs = "0006 TreeView_Select"
	strings:
		$1 = { B9 09 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3105_0 {
	meta:
		name = "TreeView_SelectDropTarget"
		size = 11
		refs = "0006 TreeView_Select"
	strings:
		$1 = { B9 08 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3106_0 {
	meta:
		name = "TreeView_SelectSetFirstVisible"
		size = 11
		refs = "0006 TreeView_Select"
	strings:
		$1 = { B9 05 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3107_0 {
	meta:
		name = "TreeView_GetItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TreeView_GetItemA TreeView_GetItemW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0C 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3110_0 {
	meta:
		name = "TreeView_SetItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TreeView_SetItemA TreeView_SetItemW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0D 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3113_0 {
	meta:
		name = "TreeView_EditLabel"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TreeView_EditLabelA TreeView_EditLabelW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0E 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3116_0 {
	meta:
		name = "TreeView_GetEditControl"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 0F 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3117_0 {
	meta:
		name = "TreeView_GetVisibleCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 10 11 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3118_0 {
	meta:
		name = "TreeView_HitTest"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 11 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3119_0 {
	meta:
		name = "TreeView_CreateDragImage"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 12 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3120_0 {
	meta:
		name = "TreeView_SortChildren"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 13 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3121_0 {
	meta:
		name = "TreeView_EnsureVisible"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 14 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3122_0 {
	meta:
		name = "TreeView_SortChildrenCB"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 15 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3123_0 {
	meta:
		name = "TreeView_EndEditLabelNow"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 16 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3124_0 {
	meta:
		name = "TreeView_GetISearchString"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TreeView_GetISearchStringA TreeView_GetISearchStringW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 17 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3128_0 {
	meta:
		name = "MonthCal_SetCurSel"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 02 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3129_0 {
	meta:
		name = "MonthCal_GetMaxSelCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 03 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3130_0 {
	meta:
		name = "MonthCal_SetMaxSelCount"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 04 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3133_0 {
	meta:
		name = "MonthCal_GetMonthRange"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 07 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3134_0 {
	meta:
		name = "MonthCal_SetDayState"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 08 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3135_0 {
	meta:
		name = "MonthCal_GetMinReqRect"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 09 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3136_0 {
	meta:
		name = "MonthCal_SetToday"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0C 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3137_0 {
	meta:
		name = "MonthCal_GetToday"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0D 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3138_0 {
	meta:
		name = "MonthCal_HitTest"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 0E 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3139_0 {
	meta:
		name = "MonthCal_SetColor"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 0A 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3140_0 {
	meta:
		name = "MonthCal_GetColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 0A 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3141_0 {
	meta:
		name = "MonthCal_SetFirstDayOfWeek"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0F 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3142_0 {
	meta:
		name = "MonthCal_GetFirstDayOfWeek"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 10 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3144_0 {
	meta:
		name = "Monthcal_SetRange"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 12 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3145_0 {
	meta:
		name = "MonthCal_GetMonthDelta"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 13 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3146_0 {
	meta:
		name = "MonthCal_SetMonthDelta"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 14 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3147_0 {
	meta:
		name = "DateTime_GetSystemTime"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 01 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3148_0 {
	meta:
		name = "DateTime_SetSystemTime"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 02 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3149_0 {
	meta:
		name = "DateTime_GetRange"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 03 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3150_0 {
	meta:
		name = "DateTime_SetRange"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 04 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3152_0 {
	meta:
		name = "DateTime_SetFormatW"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 32 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3154_0 {
	meta:
		name = "DateTime_SetMonthCalColor"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 06 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3155_0 {
	meta:
		name = "DateTime_GetMonthCalColor"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 07 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3156_0 {
	meta:
		name = "DateTime_GetMonthCal"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 08 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3157_0 {
	meta:
		name = "DateTime_SetMonthCalFont"
		size = 17
		refs = "000c SendMessage"
	strings:
		$1 = { 83 E1 7F 51 52 68 09 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3198_0 {
	meta:
		name = "_NF__FD"
		size = 166
		refs = "0007 TComObject.InterfaceSupportsErrorInfo 0011 TComObject.QueryInterface 001b TComObject._AddRef 0025 TComObject._Release 0056 _NF__FD"
	strings:
		$1 = { CC 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 FC 8B 44 24 04 8B 00 FF 60 08 83 44 24 04 FC 8B 44 24 04 8B 00 FF 60 04 83 44 24 04 FC 8B 44 24 04 8B 00 FF 60 0C CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 60 3D 0B DF 8F 54 1B 10 8E 65 08 00 2B 2B D1 19 ?? ?? ?? ?? 08 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 04 00 00 00 }
	condition:
		$1
}

rule function_3199_0 {
	meta:
		name = "_NF__105"
		size = 303
		refs = "0007 TComObjectFactory.GetLicInfo 0011 TComObjectFactory.RequestLicKey 001b TComObjectFactory.CreateInstanceLic 0025 TComObjectFactory.CreateInstance 002f TComObjectFactory.LockServer 0039 TComObjectFactory.QueryInterface 0043 TComObjectFactory._AddRef 004d TComObjectFactory._Release 00a3 _NF__105"
	strings:
		$1 = { CC 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 FC E9 ?? ?? ?? ?? 83 44 24 04 FC E9 ?? ?? ?? ?? 83 44 24 04 FC E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 00 00 8F B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 0C 00 00 00 01 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 08 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 04 00 00 00 }
	condition:
		$1
}

rule function_3200_0 {
	meta:
		name = "_NF__108"
		size = 86
		refs = "0007 TTypedComObject.GetClassInfo 0011 TComObject.QueryInterface 001b TComObject._AddRef 0025 TComObject._Release 002a _NF__108"
	strings:
		$1 = { CC 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 83 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 18 00 00 00 }
	condition:
		$1
}

rule function_3201_0 {
	meta:
		name = "_NF__10E"
		size = 144
		refs = "003f TComObject.QueryInterface 0049 TComObject._AddRef 0053 TComObject._Release 0058 _NF__10E"
	strings:
		$1 = { CC 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 18 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 14 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 10 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 1C 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 1C 00 00 00 }
	condition:
		$1
}

rule function_3202_0 {
	meta:
		name = "_NF__114"
		size = 208
		refs = "0007 TAutoIntfObject.InterfaceSupportsErrorInfo 0011 TInterfacedObject.QueryInterface 001b TInterfacedObject._AddRef 0025 TInterfacedObject._Release 002f TAutoIntfObject.GetTypeInfoCount 0039 TAutoIntfObject.GetTypeInfo 0043 TAutoIntfObject.GetIDsOfNames 004d TAutoIntfObject.Invoke 0070 _NF__114"
	strings:
		$1 = { CC 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 60 3D 0B DF 8F 54 1B 10 8E 65 08 00 2B 2B D1 19 ?? ?? ?? ?? 10 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_3203_0 {
	meta:
		name = "OleError"
		size = 27
		refs = "000b _DV_EOleSysError 0010 EOleSysError.Create 0015 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 53 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3204_0 {
	meta:
		name = "OleCheck"
		size = 10
		refs = "0005 OleError"
	strings:
		$1 = { 85 C0 7D 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3205_0 {
	meta:
		name = "StringToGUID"
		size = 89
		refs = "000f StringToGUID 0020 @WStrFromLStr 0028 @WStrToPWChar 002e CLSIDFromString 0033 OleCheck 0048 @WStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3207_0 {
	meta:
		name = "ProgIDToClassID"
		size = 89
		refs = "000f ProgIDToClassID 0020 @WStrFromLStr 0028 @WStrToPWChar 002e CLSIDFromProgID 0033 OleCheck 0048 @WStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3206_0 {
	meta:
		name = "GUIDToString"
		size = 42
		refs = "000a StringFromCLSID 000f OleCheck 0019 @LStrFromPWChar 0022 CoTaskMemFree"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3208_0 {
	meta:
		name = "ClassIDToProgID"
		size = 42
		refs = "000a ProgIDFromCLSID 000f OleCheck 0019 @LStrFromPWChar 0022 CoTaskMemFree"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3209_0 {
	meta:
		name = "CreateRegKey"
		size = 208
		refs = "0018 CreateRegKey 003d @LStrToPChar 0048 RegCreateKeyEx 0055 @LStrLen 0074 RegSetValueEx 007f RegCloseKey 008b SCreateRegKeyError 0090 LoadResString 009a _DV_EOleError 009f Exception.Create 00a4 @RaiseExcept 00b9 @LStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 45 FC 50 6A 00 68 1F 00 02 00 6A 00 68 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 68 00 00 00 80 E8 ?? ?? ?? ?? 8B D8 85 DB 75 31 8B C6 E8 ?? ?? ?? ?? 40 50 8B C6 E8 ?? ?? ?? ?? 50 6A 01 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 50 E8 ?? ?? ?? ?? 85 DB 74 21 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_3210_0 {
	meta:
		name = "DeleteRegKey"
		size = 23
		refs = "0006 @LStrToPChar 0011 RegDeleteKey"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 68 00 00 00 80 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3211_0 {
	meta:
		name = "CreateComObject"
		size = 56
		refs = "0009 @IntfClear 000f CreateComObject 0019 CoCreateInstance 001e OleCheck"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_3212_0 {
	meta:
		name = "CreateRemoteComObject"
		size = 348
		refs = "001b TMultiQI 0020 @InitializeRecord 0028 CreateRemoteComObject 0034 _NV__14D 0041 GetModuleHandle 0052 Win32Check 005d GetProcAddress 0071 SDCOMNotInstalled 0076 LoadResString 0080 _Dn_Exception 0085 Exception.Create 008a @RaiseExcept 0099 @FillChar 00a0 @WStrToPWChar 00c0 @IntfClear 00e2 OleCheck 00f5 @IntfCopy 010a @LStrClr 0118 @FinalizeRecord 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 4D F8 89 55 FC 8B F8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB 20 0F 9F C0 F6 D8 1B C0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 21 8D 55 C8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 E0 BE ?? ?? ?? ?? 8D 7D CC B9 04 00 00 00 F3 A5 8D 45 CC 89 45 EC 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8D 45 EC 50 6A 01 8D 45 DC 50 6A 15 6A 00 8B 45 FC 50 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 00 6F 6C 65 33 32 2E 64 6C 6C 00 00 00 43 6F 43 72 65 61 74 65 49 6E 73 74 61 6E 63 65 45 78 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_3213_0 {
	meta:
		name = "CreateOleObject"
		size = 72
		refs = "000e ProgIDToClassID 0015 @IntfClear 001b CreateOleObject 0029 CoCreateInstance 002e OleCheck"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 8D 44 24 10 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_3214_0 {
	meta:
		name = "GetActiveOleObject"
		size = 144
		refs = "0015 GetActiveOleObject 0025 ProgIDToClassID 002d @IntfClear 0039 GetActiveObject 003e OleCheck 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 8D 45 EC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_3215_0 {
	meta:
		name = "_NF__155"
		size = 253
		refs = "0017 _NF__155 002a @IntfClear 0032 GetErrorInfo 003e @WStrClr 0086 @LStrFromWStr 00b2 _DV_EOleException 00b7 EOleException.Create 00bc @RaiseExcept 00d6 @LStrArrayClr 00e3 @WStrArrayClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 85 C0 75 43 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 10 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 14 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 18 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 1C 56 53 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 E4 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 EC 50 8D 45 E0 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3216_0 {
	meta:
		name = "_NF__156"
		size = 54
		refs = "000a @LStrLen 002e @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 01 4B 85 DB 7E 0C 8A 44 1E FF 2C 21 72 F3 2C 0D 74 EF 57 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3217_0 {
	meta:
		name = "DispatchInvoke"
		size = 764
		refs = "0019 TExcepInfo 001e @InitializeRecord 0026 DispatchInvoke 00b7 StringToOleStr 012e @VarCast 0260 GUID_NULL 0277 DispatchInvokeError 029a OleStrToStrVar 02c0 SysFreeString 02ca @HandleFinally 02e7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 B0 F9 FF FF 53 56 57 89 4D F8 8B F2 89 45 FC 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C0 8A 46 01 89 45 F0 83 7D F0 00 0F 84 8D 01 00 00 8B 45 0C 89 45 E8 8B 45 F0 03 C0 8D BC C5 B0 F9 FF FF 33 DB 83 EF 10 8A 44 1E 03 8B D0 80 E2 7F 81 E2 FF 00 00 00 89 55 F4 24 80 83 7D F4 0A 75 12 C7 07 0A 00 00 00 C7 47 08 04 00 02 80 E9 40 01 00 00 83 7D F4 48 75 68 8B 55 EC 8D 94 D5 B0 FD FF FF 89 55 E4 84 C0 74 2A 8B 45 E8 8B 00 8B 00 E8 ?? ?? ?? ?? 8B 55 E4 89 02 8B 45 E8 8B 00 8B 55 E4 89 42 04 C7 07 08 40 00 00 8B 45 E4 89 47 08 EB 25 8B 45 E8 8B 00 E8 ?? ?? ?? ?? 8B 55 E4 89 02 8B 45 E4 33 D2 89 50 04 C7 07 08 00 00 00 8B 45 E4 8B 00 89 47 08 FF 45 EC E9 CE 00 00 00 84 C0 74 3F 83 7D F4 0C 75 22 8B 45 E8 8B 00 66 81 38 00 01 75 16 8B 45 E8 8B 00 8B D0 8B 45 E8 8B 00 B9 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 0D 00 40 00 00 89 07 8B 45 E8 8B 00 89 47 08 E9 8B 00 00 00 83 7D F4 0C 75 60 8B 45 E8 66 81 38 00 01 75 3A 8B 45 EC 8D 84 C5 B0 FD FF FF 89 45 E0 8B 45 E8 8B 00 8B 40 08 E8 ?? ?? ?? ?? 8B 55 E0 89 02 8B 45 E0 33 D2 89 50 04 C7 07 08 00 00 00 8B 45 E0 8B 00 89 47 08 FF 45 EC EB 41 8B 10 89 17 8B 50 04 89 57 04 8B 50 08 89 57 08 8B 40 0C 89 47 0C 83 45 E8 0C EB 25 8B 45 F4 89 07 8B 45 E8 8B 00 89 47 08 83 7D F4 05 7C 12 83 7D F4 07 7F 0C 83 45 E8 04 8B 45 E8 8B 00 89 47 0C 83 45 E8 04 43 3B 5D F0 0F 85 87 FE FF FF 8D 85 B0 F9 FF FF 89 45 D0 8B 45 F8 83 C0 04 89 45 D4 8B 45 F0 89 45 D8 33 C0 8A 46 02 89 45 DC 8B 45 F8 8B 10 33 C0 8A 06 83 F8 04 75 28 8B 8D B0 F9 FF FF 81 E1 FF 0F 00 00 83 F9 09 75 05 B8 08 00 00 00 8B 4D F8 C7 01 FD FF FF FF 83 6D D4 04 FF 45 DC EB 16 83 F8 01 75 11 83 7D F0 00 75 0B 83 7D 08 00 74 05 B8 03 00 00 00 6A 00 8D 4D B0 51 8B 4D 08 51 8D 4D D0 51 50 6A 00 A1 ?? ?? ?? ?? 50 52 8B 45 FC 50 8B 00 FF 50 18 85 C0 74 08 8D 55 B0 E8 ?? ?? ?? ?? 8B 5D EC 85 DB 74 20 4B 8D 84 DD B0 FD FF FF 8B 50 04 85 D2 74 0D 8B 08 8B C2 8B D0 8B C1 E8 ?? ?? ?? ?? 85 DB 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 5D EC 85 DB 74 12 4B 8B 84 DD B0 FD FF FF 50 E8 ?? ?? ?? ?? 85 DB 75 EE C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3218_0 {
	meta:
		name = "DispatchInvokeError"
		size = 146
		refs = "0010 DispatchInvokeError 0022 OleError 0031 @LStrFromWStr 005d _DV_EOleException 0062 EOleException.Create 0067 @RaiseExcept 0081 @LStrArrayClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3D 09 00 02 80 74 05 E8 ?? ?? ?? ?? 8B 43 1C 50 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 10 50 8D 45 F4 8B 53 08 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3219_0 {
	meta:
		name = "_NF__163"
		size = 110
		refs = "000f _NF__163 0030 SNoMethod 0035 LoadResString 003f _DV_EOleError 0044 Exception.CreateFmt 0049 @RaiseExcept 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 89 45 F8 C6 45 FC 06 8D 45 F8 50 6A 00 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_3220_0 {
	meta:
		name = "_NF__164"
		size = 221
		refs = "002b StrLen 003c MultiByteToWideChar 00a0 GetThreadLocale 00ae GUID_NULL 00c5 _NF__163 00cd OleCheck"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 FC 89 45 E4 8B 5D FC 33 FF 89 65 F8 8B 45 F4 40 C1 E0 02 29 C4 8D 45 F0 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 6A 00 6A 00 56 53 6A 00 6A 00 E8 ?? ?? ?? ?? 40 89 45 EC 8B 45 EC 01 C0 83 C0 03 83 E0 FC 29 C4 8D 45 E8 89 20 85 FF 75 0A 8B 45 F0 8B 55 E8 89 10 EB 0E 8B 45 F4 2B C7 8B 55 F0 8B 4D E8 89 0C 82 8B 45 EC 50 8B 45 E8 50 56 53 6A 00 6A 00 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 EC 66 C7 44 50 FE 00 00 46 03 DE 47 3B 7D F4 75 8D 8B 45 08 50 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 45 F0 50 A1 ?? ?? ?? ?? 50 8B 45 E4 50 8B 00 FF 50 14 3D 06 00 02 80 75 09 55 E8 ?? ?? ?? ?? 59 EB 05 E8 ?? ?? ?? ?? 8B 65 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3221_0 {
	meta:
		name = "_NF__165"
		size = 215
		refs = "0020 _NF__165 0053 SVarNotObject 0058 LoadResString 0065 _DV_EOleError 006a Exception.Create 006f @RaiseExcept 008d _NF__164 0098 @VarClear 00ad DispatchInvoke 00c5 @LStrClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 C0 89 85 F8 FE FF FF 8B 5D 10 8B 45 0C 8B 75 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 8B 10 66 83 FA 09 75 08 8B 40 08 89 45 FC EB 38 66 81 FA 09 40 75 0A 8B 40 08 8B 00 89 45 FC EB 27 8D 95 F8 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 50 33 C9 8A 4B 02 41 33 C0 8A 43 01 8D 54 03 03 8B 45 FC E8 ?? ?? ?? ?? 85 F6 74 07 8B C6 E8 ?? ?? ?? ?? 8D 45 14 50 56 8D 8D FC FE FF FF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3222_0 {
	meta:
		name = "_NF__166"
		size = 189
		refs = "0016 _NF__166 0032 @LStrFromWStr 005e _DV_EOleException 0063 EOleException.Create 006d TExcepInfo 0072 @Finalize 0080 _DV_EOleSysError 0085 EOleSysError.Create 0091 @RaiseExcept 00ab @LStrArrayClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3D 09 00 02 80 75 51 8B 43 1C 50 8D 45 F8 8B 53 04 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 53 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 10 50 8D 45 F0 8B 53 08 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 50 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 FF 75 FC 8B C6 E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3223_0 {
	meta:
		name = "_NF__167"
		size = 13
		refs = "0008 @FillChar"
	strings:
		$1 = { 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3224_0 {
	meta:
		name = "_NF__168"
		size = 229
		refs = "00ab _NF__167 00bb GUID_NULL 00d6 _NF__166"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 5D 0C 31 D2 89 E7 0F B6 4B 01 89 4D F8 85 C9 74 4F 83 C3 03 8B 75 18 0F B6 03 A8 80 75 2B 80 F8 0C 74 16 80 F8 05 72 29 80 F8 07 77 24 FF 76 04 FF 36 52 50 83 C6 08 EB 20 FF 76 0C FF 76 08 FF 76 04 FF 36 83 C6 10 EB 10 80 E0 7F 0D 00 40 00 00 52 FF 36 52 50 83 C6 04 43 49 75 BA 8B 5D 0C 89 65 F0 0F B6 43 02 89 45 FC 85 C0 74 0A 8B 75 14 FF 74 86 FC 48 75 F9 0F B6 0B 83 F9 04 75 16 6A FD FF 45 FC 80 7B 03 09 74 06 80 7B 03 0D 75 05 B9 08 00 00 00 89 65 F4 52 8D 45 D0 50 51 52 E8 ?? ?? ?? ?? 5A 59 FF 75 1C 8D 45 F0 50 51 52 68 ?? ?? ?? ?? FF 75 10 8B 45 08 50 8B 00 FF 50 18 85 C0 74 0B 8D 55 D0 8B 4D 04 E9 ?? ?? ?? ?? 89 FC 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_3225_0 {
	meta:
		name = "_NF__169"
		size = 220
		refs = "001f _NF__168 002d _NF__169 008f SysFreeString 00b2 @VarClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 31 C0 50 50 50 50 89 E0 50 8D 45 14 50 50 FF 33 8D 43 05 50 FF 75 0C E8 ?? ?? ?? ?? 0F B6 43 04 8B 5D 08 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D9 44 24 08 EB 5B DD 44 24 08 EB 55 DF 6C 24 08 EB 4F 8B 03 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 44 24 08 89 03 EB 3B 8B 03 85 C0 74 06 50 8B 00 FF 50 08 8B 44 24 08 89 03 EB 27 89 D8 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 8B 44 24 08 89 43 08 8B 44 24 0C 89 43 0C EB 04 8B 44 24 08 83 C4 10 5B 5D C3 }
	condition:
		$1
}

rule function_3226_0 {
	meta:
		name = "HandleSafeCallException"
		size = 344
		refs = "0014 HandleSafeCallException 0029 @IntfClear 002f CreateErrorInfo 004c @LStrFromWStr 005a @WStrToPWChar 008f _Dn_Exception 0094 @IsClass 00a5 @WStrFromLStr 00cc _DV_EOleSysError 0103 SetErrorInfo 0118 @WStrClr 0120 @LStrClr 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BE FF FF 00 80 8B D8 8D 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 85 CC 00 00 00 57 8B 45 FC 50 8B 00 FF 50 0C 8D 45 F4 8B 55 0C E8 ?? ?? ?? ?? 83 7D F4 00 74 12 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 10 8D 45 F4 8B 55 08 E8 ?? ?? ?? ?? 83 7D F4 00 74 12 8B 45 08 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 18 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8D 45 F0 8B FB 8B 57 04 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 14 8B 47 08 50 8B 45 FC 50 8B 00 FF 50 1C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 83 7B 0C 00 7D 03 8B 73 0C 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 75 0B 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C6 5F 5E 5B 8B E5 5D C2 08 00 00 20 B1 F2 1C 7D 54 1B 10 8E 65 08 00 2B 2B D1 19 }
	condition:
		$1
}

rule function_3227_0 {
	meta:
		name = "EOleSysError.Create"
		size = 201
		refs = "0019 @ClassCreate 002b EOleSysError.Create 003b @LStrLAsg 004b SysErrorMessage 005b SOleError 0060 LoadResString 0075 FmtStr 0085 Exception.CreateHelp 00a2 @LStrArrayClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F4 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 83 7D F8 00 75 34 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 75 24 6A 00 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 75 EC C6 45 F0 00 8D 4D EC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3228_0 {
	meta:
		name = "EOleException.Create"
		size = 145
		refs = "0010 @ClassCreate 001e EOleException.Create 0036 _NF__156 0042 EOleSysError.Create 004d @LStrAsg 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 08 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 10 8B 55 10 E8 ?? ?? ?? ?? 8D 47 14 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_3229_0 {
	meta:
		name = "_NF__17E"
		size = 10
	strings:
		$1 = { 8B 48 04 89 4A 10 89 50 04 C3 }
	condition:
		$1
}

rule function_3230_0 {
	meta:
		name = "TComClassManager.ForEachFactory"
		size = 42
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B 40 04 85 C0 74 16 8B 58 10 3B 70 14 75 08 8B D0 8B 45 0C FF 55 08 8B C3 85 C0 75 EA 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3231_0 {
	meta:
		name = "TComClassManager.GetFactoryFromClass"
		size = 165
		refs = "0019 TComClassManager.GetFactoryFromClass 003f TObject.ClassName 005d SObjectFactoryMissing 0062 LoadResString 006f _DV_EOleError 0074 Exception.CreateFmt 0079 @RaiseExcept 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 33 C9 89 8D F4 FE FF FF 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 58 04 85 DB 74 0C 3B 73 18 74 4E 8B 5B 10 85 DB 75 F4 8D 95 F8 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8D 95 F4 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3232_0 {
	meta:
		name = "TComClassManager.GetFactoryFromClassID"
		size = 37
		refs = "0011 IsEqualGUID"
	strings:
		$1 = { 53 56 8B F2 8B 58 04 85 DB 74 15 56 8D 43 1C 50 E8 ?? ?? ?? ?? 84 C0 75 07 8B 5B 10 85 DB 75 EB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_3233_0 {
	meta:
		name = "_NF__189"
		size = 45
	strings:
		$1 = { 53 33 DB 8B 48 04 85 C9 74 21 3B D1 75 14 85 DB 74 08 8B 41 10 89 43 10 EB 11 8B 51 10 89 50 04 5B C3 8B D9 8B 49 10 85 C9 75 DF 5B C3 }
	condition:
		$1
}

rule function_3234_0 {
	meta:
		name = "TComObject.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TObject.ClassType 001e ComClassManager 0023 TComClassManager.GetFactoryFromClass 002e TComObject.CreateFromFactory"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 8B C6 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3235_0 {
	meta:
		name = "TComObject.CreateAggregated"
		size = 72
		refs = "000b @ClassCreate 0019 TObject.ClassType 0020 ComClassManager 0025 TComClassManager.GetFactoryFromClass 0030 TComObject.CreateFromFactory"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 56 8B C7 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3236_0 {
	meta:
		name = "TComObject.CreateFromFactory"
		size = 80
		refs = "000d @ClassCreate"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C7 46 0C 01 00 00 00 89 4E 10 8B 45 08 89 46 14 8B 46 10 8B 40 14 B2 01 8B 08 FF 11 8B C6 8B 10 FF 12 FF 4E 0C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3237_0 {
	meta:
		name = "TComObject.Destroy"
		size = 49
		refs = "0008 _NV__137 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 3D ?? ?? ?? ?? 00 75 12 83 7E 10 00 74 0C 8B 46 10 8B 40 14 33 D2 8B 08 FF 11 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3238_0 {
	meta:
		name = "TComObject.GetController"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3307_0 {
	meta:
		name = "TComServer.GetHelpFileName"
		size = 19
		refs = "000c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3240_0 {
	meta:
		name = "TComObject.SafeCallException"
		size = 170
		refs = "001b TComObject.SafeCallException 0038 @WStrFromLStr 0066 HandleSafeCallException 007d @LStrClr 0085 @WStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 73 10 8B C6 8B 08 FF 11 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 EC 8B 43 10 8B 40 14 8B 08 FF 51 08 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 4E 34 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3242_0 {
	meta:
		name = "TComObject.ObjAddRef"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 40 0C 8B 40 0C 5D C2 04 00 }
	condition:
		$1
}

rule function_3243_0 {
	meta:
		name = "TComObject.ObjRelease"
		size = 33
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 48 0C 83 78 0C 00 75 0B B2 01 8B 08 FF 51 FC 33 C0 EB 03 8B 40 0C 5D C2 04 00 }
	condition:
		$1
}

rule function_3244_0 {
	meta:
		name = "TComObject.QueryInterface"
		size = 42
	strings:
		$1 = { 55 8B EC 8B 4D 10 8B 55 0C 8B 45 08 83 78 14 00 74 0C 51 52 8B 40 14 50 8B 00 FF 10 EB 08 51 52 50 8B 00 FF 50 08 5D C2 0C 00 }
	condition:
		$1
}

rule function_3245_0 {
	meta:
		name = "TComObject._AddRef"
		size = 33
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 14 00 74 0B 8B 40 14 50 8B 00 FF 50 04 EB 06 50 8B 00 FF 50 04 5D C2 04 00 }
	condition:
		$1
}

rule function_3246_0 {
	meta:
		name = "TComObject._Release"
		size = 33
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 14 00 74 0B 8B 40 14 50 8B 00 FF 50 08 EB 06 50 8B 00 FF 50 0C 5D C2 04 00 }
	condition:
		$1
}

rule function_3247_0 {
	meta:
		name = "TComObject.InterfaceSupportsErrorInfo"
		size = 35
		refs = "000d TObject.GetInterfaceEntry"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 55 0C 8B 03 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3248_0 {
	meta:
		name = "TComObjectFactory.Create"
		size = 152
		refs = "000e @ClassCreate 001b ComClassManager 0020 _NF__17E 0045 @LStrAsg 005c TComObjectFactory.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 14 8B 45 18 89 47 18 8B 45 14 57 8B F0 83 C7 1C B9 04 00 00 00 F3 A5 5F 8D 47 2C 8B 55 10 E8 ?? ?? ?? ?? 8D 47 30 8B 55 0C E8 ?? ?? ?? ?? 8A 45 08 88 47 44 57 BE ?? ?? ?? ?? 83 C7 34 B9 04 00 00 00 F3 A5 5F C6 47 50 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 14 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_3249_0 {
	meta:
		name = "TComObjectFactory.Destroy"
		size = 47
		refs = "000f CoRevokeClassObject 0016 ComClassManager 001b _NF__189 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 4C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3250_0 {
	meta:
		name = "TComObjectFactory.CreateComObject"
		size = 14
		refs = "0009 TComObject.CreateFromFactory"
	strings:
		$1 = { 52 8B C8 8B 40 18 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3251_0 {
	meta:
		name = "TComObjectFactory.GetProgID"
		size = 120
		refs = "000f TComObjectFactory.GetProgID 003d @LStrCatN 0046 @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 2C 00 74 24 8D 55 FC 8B 43 14 8B 08 FF 51 14 FF 75 FC 68 ?? ?? ?? ?? FF 73 2C 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_3252_0 {
	meta:
		name = "TComObjectFactory.RegisterClassObject"
		size = 44
		refs = "000f _NV__1C5 0021 CoRegisterClassObject 0026 OleCheck"
	strings:
		$1 = { 53 8B D8 8D 43 4C 50 33 C0 8A 43 44 8B 04 85 ?? ?? ?? ?? 50 6A 04 8B C3 83 C0 04 50 8D 43 1C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3253_0 {
	meta:
		name = "TComObjectFactory.UpdateRegistry"
		size = 496
		refs = "0014 TComObjectFactory.UpdateRegistry 0025 GUIDToString 0046 @LStrCat3 0053 CreateRegKey 008a @LStrCatN 011d DeleteRegKey 019f @LStrArrayClr 01a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8D 46 1C E8 ?? ?? ?? ?? 8D 55 F8 8B C6 8B 08 FF 11 84 DB 0F 84 BF 00 00 00 8D 45 F4 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 4E 30 33 D2 E8 ?? ?? ?? ?? 8D 55 F4 8B 46 14 8B 08 FF 51 0C 8B 45 F4 50 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 EC 8B 46 14 8B 08 FF 51 10 FF 75 EC 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 59 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 E6 00 00 00 8B 4E 30 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 4D FC 33 D2 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 4D F8 33 D2 E8 ?? ?? ?? ?? E9 90 00 00 00 83 7D F8 00 74 42 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F0 8B 46 14 8B 08 FF 51 10 FF 75 F0 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 06 00 00 00 43 4C 53 49 44 5C 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 FF FF FF FF 06 00 00 00 5C 43 6C 73 69 64 00 00 FF FF FF FF 07 00 00 00 5C 50 72 6F 67 49 44 00 }
	condition:
		$1
}

rule function_3254_0 {
	meta:
		name = "TComObjectFactory.GetLicenseString"
		size = 35
		refs = "0012 @WStrAsg 001c @WStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 51 00 74 0D 8B C6 8B 53 48 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3256_0 {
	meta:
		name = "TComObjectFactory.ValidateUserLicense"
		size = 110
		refs = "0011 TComObjectFactory.ValidateUserLicense 0022 @LStrFromWStr 0039 AnsiCompareText 005a @LStrArrayClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 48 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3258_0 {
	meta:
		name = "TComObjectFactory._AddRef"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 B2 01 8B 40 14 8B 08 FF 51 04 5D C2 04 00 }
	condition:
		$1
}

rule function_3259_0 {
	meta:
		name = "TComObjectFactory._Release"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 8B 40 14 8B 08 FF 51 04 5D C2 04 00 }
	condition:
		$1
}

rule function_3260_0 {
	meta:
		name = "TComObjectFactory.CreateInstance"
		size = 32
		refs = "0018 TComObjectFactory.CreateInstanceLic"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 6A 00 8B 55 10 52 6A 00 8B 55 0C 52 50 E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_3261_0 {
	meta:
		name = "TComObjectFactory.LockServer"
		size = 25
		refs = "0011 CoLockObjectExternal"
	strings:
		$1 = { 55 8B EC 8B 45 08 6A FF 8B 55 0C 52 83 C0 04 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_3262_0 {
	meta:
		name = "TComObjectFactory.GetLicInfo"
		size = 201
		refs = "0014 TComObjectFactory.GetLicInfo 004b @LStrFromWStr 008b @HandleAnyException 0095 @DoneExcept 00aa @WStrClr 00b2 @LStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 06 0C 00 00 00 80 7B 51 00 74 1F 8D 55 F8 8B C3 8B 08 FF 51 04 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 89 46 04 80 7B 51 00 74 0F 8B C3 8B 10 FF 52 08 84 C0 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 89 46 08 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BF FF FF 00 80 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3263_0 {
	meta:
		name = "TComObjectFactory.RequestLicKey"
		size = 54
		refs = "002b @WStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 8B C3 8B 10 FF 52 08 84 C0 75 07 B8 12 01 04 80 EB 0D 8B 45 10 8B 53 48 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_3264_0 {
	meta:
		name = "TComObjectFactory.CreateInstanceLic"
		size = 412
		refs = "001e TComObjectFactory.CreateInstanceLic 0037 @LStrFromWStr 00a2 @HandleAnyException 00b4 ExceptObject 00ba _Dn_Exception 00bf @IsClass 00d8 AnsiLastChar 00e5 @_CToPasStr 00f5 @PStrCmp 0104 @LStrCat 0111 SDAXError 0116 LoadResString 011e @LStrToPChar 012f MessageBox 0139 @DoneExcept 015a TObject.Free 0174 @LStrArrayClr 017a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 C0 89 45 FC 89 45 F8 8B 75 1C 8B 5D 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 51 00 74 1E 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0E 8B D3 8B 45 08 8B 08 FF 51 0C 84 C0 74 1C 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 83 7D F8 00 75 16 8B 45 08 8B 10 FF 52 08 84 C0 75 0A BE 12 01 04 80 E9 E9 00 00 00 33 C0 89 06 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 45 08 8B 08 FF 51 10 8B D8 33 C0 5A 59 59 64 89 10 E9 A3 00 00 00 E9 ?? ?? ?? ?? 8B 45 08 80 78 50 00 0F 84 80 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6C E8 ?? ?? ?? ?? 8B D8 83 7B 04 00 74 34 8B 43 04 E8 ?? ?? ?? ?? 8B D0 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 76 0D 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 10 00 01 00 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? BE FF FF 00 80 E8 ?? ?? ?? ?? EB 1F E8 ?? ?? ?? ?? 56 8B 45 14 50 53 8B 03 FF 50 08 8B F0 83 7B 0C 00 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C2 18 00 00 01 2E 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_3265_0 {
	meta:
		name = "TTypedComObject.GetClassInfo"
		size = 39
		refs = "001c @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 53 10 8B 52 54 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3266_0 {
	meta:
		name = "TTypedComObjectFactory.Create"
		size = 352
		refs = "002a @ClassCreate 0039 TTypedComObjectFactory.Create 0047 @IntfClear 0071 TObject.ClassName 008f STypeInfoMissing 0094 LoadResString 00a1 _DV_EOleError 00a6 Exception.CreateFmt 00ab @RaiseExcept 00c7 OleCheck 00dd @LStrFromWStr 0108 TComObjectFactory.Create 0125 @LStrArrayClr 013a @WStrArrayClr 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 53 56 33 DB 89 9D E4 FE FF FF 89 9D E0 FE FF FF 89 5D F0 89 5D F8 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 54 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8D 55 F0 8B C6 8B 08 FF 51 18 8B 45 F0 50 8B 00 FF 50 18 85 C0 74 48 8D 95 E8 FE FF FF 8B 45 10 E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF 89 45 E8 C6 45 EC 04 8D 45 E8 50 6A 00 8D 95 E4 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F4 50 8D 45 F8 50 6A FF 8B 43 54 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8D 85 E4 FE FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 E4 FE FF FF 50 8D 85 E0 FE FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF 50 8A 45 08 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_3267_0 {
	meta:
		name = "TTypedComObjectFactory.GetInterfaceTypeInfo"
		size = 166
		refs = "001d OleCheck 0078 @IntfClear"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 0C 24 8B EA 8B D8 8D 44 24 04 50 8B 43 54 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 44 24 04 0F B7 70 30 8B 44 24 04 50 8B 43 54 50 8B 00 FF 50 4C 8B FE 4F 85 FF 7C 58 47 33 F6 8D 44 24 08 50 56 8B 43 54 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 44 24 08 83 E0 03 3B E8 75 32 8D 44 24 0C 50 56 8B 43 54 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 50 8B 44 24 10 50 8B 43 54 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? EB 0C 46 4F 75 AB 8B 04 24 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3268_0 {
	meta:
		name = "TTypedComObjectFactory.UpdateRegistry"
		size = 472
		refs = "001e TTypedComObjectFactory.UpdateRegistry 002f GUIDToString 003f @LStrCat3 0050 TComObjectFactory.UpdateRegistry 006d OleCheck 00ad Format 00cc CreateRegKey 0116 @HandleFinally 0130 DeleteRegKey 0166 @LStrClr 0176 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D F0 89 4D DC 89 4D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8D 46 1C E8 ?? ?? ?? ?? 8B 4D F0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 0F 84 D1 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B 46 14 8B 08 FF 51 18 8D 45 F4 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 45 F4 0F B7 40 18 89 45 E0 C6 45 E4 00 8B 45 F4 0F B7 40 1A 89 45 E8 C6 45 EC 00 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 DC B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC 33 D2 59 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 DC B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC 33 D2 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 30 C3 E9 ?? ?? ?? ?? EB EB 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 FF FF FF FF 06 00 00 00 43 4C 53 49 44 5C 00 00 FF FF FF FF 05 00 00 00 25 64 2E 25 64 00 00 00 FF FF FF FF 08 00 00 00 5C 56 65 72 73 69 6F 6E 00 00 00 00 FF FF FF FF 08 00 00 00 5C 54 79 70 65 4C 69 62 00 00 00 00 }
	condition:
		$1
}

rule function_3269_0 {
	meta:
		name = "TAutoObject.GetIDsOfNames"
		size = 34
		refs = "001a DispGetIDsOfNames"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 14 52 8B 55 10 52 8B 40 10 8B 40 58 50 E8 ?? ?? ?? ?? 5D C2 18 00 }
	condition:
		$1
}

rule function_3270_0 {
	meta:
		name = "TAutoObject.GetTypeInfo"
		size = 49
		refs = "0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 14 8B 5D 08 33 C0 89 06 83 7D 0C 00 74 07 B8 0B 00 02 80 EB 0F 8B C6 8B 53 10 8B 52 58 E8 ?? ?? ?? ?? 33 C0 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_3271_0 {
	meta:
		name = "TAutoIntfObject.GetTypeInfoCount"
		size = 18
		altNames = "TAutoObject.GetTypeInfoCount"
	strings:
		$1 = { 55 8B EC 8B 45 0C C7 00 01 00 00 00 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_3272_0 {
	meta:
		name = "TAutoObject.Invoke"
		size = 66
	strings:
		$1 = { 55 8B EC 53 8B 55 18 8B 45 08 F6 C2 0C 74 04 66 BA 0C 00 8B 5D 28 53 8B 5D 24 53 8B 5D 20 53 8B 5D 1C 53 52 8B 55 0C 52 8B 48 10 8B 51 5C 8B 52 14 03 D0 52 8B 41 58 50 8B 00 FF 50 2C 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_3273_0 {
	meta:
		name = "TAutoObjectFactory.Create"
		size = 382
		refs = "001f @ClassCreate 002e TAutoObjectFactory.Create 0046 TTypedComObjectFactory.Create 0055 TTypedComObjectFactory.GetInterfaceTypeInfo 0060 @IntfCopy 0073 TObject.ClassName 0091 SBadTypeInfo 0096 LoadResString 00a3 _DV_EOleError 00a8 Exception.CreateFmt 00ad @RaiseExcept 00bf OleCheck 010c SDispIntfMissing 0151 @LStrClr 0159 @IntfClear 015f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 DB 89 9D EC FE FF FF 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B 45 0C 50 8A 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 4D F8 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 46 58 E8 ?? ?? ?? ?? 83 7E 58 00 75 47 8D 95 F0 FE FF FF 8B C7 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 89 45 F0 C6 45 F4 04 8D 45 F0 50 6A 00 8D 95 EC FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 46 58 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 FC 8B D0 8B C6 8B 08 FF 51 18 89 46 5C 8B 45 FC 50 8B 46 58 50 8B 00 FF 50 4C 83 7E 5C 00 75 47 8D 95 F0 FE FF FF 8B C7 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 89 45 F0 C6 45 F4 04 8D 45 F0 50 6A 00 8D 95 EC FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 5C 56 8D 7E 34 8B F0 B9 04 00 00 00 F3 A5 5E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_3274_0 {
	meta:
		name = "TAutoObjectFactory.GetIntfEntry"
		size = 33
		refs = "0017 TObject.GetInterfaceEntry"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D4 8B 40 18 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_3275_0 {
	meta:
		name = "TAutoIntfObject.Create"
		size = 88
		refs = "000f @ClassCreate 0021 @IntfClear 002e OleCheck 0037 TObject.GetInterfaceEntry"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 8D 43 14 E8 ?? ?? ?? ?? 50 56 57 8B 07 FF 50 18 E8 ?? ?? ?? ?? 8B D6 8B 03 E8 ?? ?? ?? ?? 89 43 18 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3276_0 {
	meta:
		name = "TAutoIntfObject.GetIDsOfNames"
		size = 31
		refs = "0017 DispGetIDsOfNames"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 14 52 8B 55 10 52 8B 40 14 50 E8 ?? ?? ?? ?? 5D C2 18 00 }
	condition:
		$1
}

rule function_3277_0 {
	meta:
		name = "TAutoIntfObject.GetTypeInfo"
		size = 46
		refs = "0022 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 14 8B 5D 08 33 C0 89 06 83 7D 0C 00 74 07 B8 0B 00 02 80 EB 0C 8B C6 8B 53 14 E8 ?? ?? ?? ?? 33 C0 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_3279_0 {
	meta:
		name = "TAutoIntfObject.Invoke"
		size = 61
	strings:
		$1 = { 55 8B EC 8B 55 18 8B 45 08 F6 C2 0C 74 04 66 BA 0C 00 8B 4D 28 51 8B 4D 24 51 8B 4D 20 51 8B 4D 1C 51 52 8B 55 0C 52 8B 50 18 8B 52 14 03 D0 52 8B 40 14 50 8B 00 FF 50 2C 5D C2 24 00 }
	condition:
		$1
}

rule function_3280_0 {
	meta:
		name = "TAutoIntfObject.InterfaceSupportsErrorInfo"
		size = 38
		refs = "0010 IsEqualGUID"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 50 8D 43 1C 50 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3281_0 {
	meta:
		name = "TAutoIntfObject.SafeCallException"
		size = 15
		refs = "000a HandleSafeCallException"
	strings:
		$1 = { 6A 00 6A 00 83 C0 1C 91 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3282_0 {
	meta:
		name = "StringToLPOLESTR"
		size = 48
		refs = "0009 @LStrLen 0018 CoTaskMemAlloc 0025 StringToWideChar"
	strings:
		$1 = { 53 56 57 55 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 8D 6B 01 8B C5 03 C0 50 E8 ?? ?? ?? ?? 8B F0 8B CD 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3283_0 {
	meta:
		name = "ReadPropFromBag"
		size = 193
		refs = "0021 @IntfAddRef 0031 ReadPropFromBag 003e StringToOleStr 005e @VarCopy 0064 SysFreeString 006b Failed 007e @VarClear 0087 OleCheck 009c @VarClr 00a4 @IntfClear 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 F8 89 45 FC 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 50 8D 45 E8 50 53 8B 45 FC 50 8B 00 FF 50 0C 8B F0 8B C7 8D 55 E8 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 81 FE 57 00 07 80 75 09 8B C7 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3284_0 {
	meta:
		name = "PutPropInBag"
		size = 131
		refs = "001a @IntfAddRef 0022 PutPropInBag 002f StringToOleStr 003b @OleVarFromVar 004e OleCheck 0054 SysFreeString 0069 @VarClr 0071 @IntfClear 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 EC 8B D6 E8 ?? ?? ?? ?? 8D 45 EC 50 53 8B 45 FC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3285_0 {
	meta:
		name = "RegisterComServer"
		size = 256
		refs = "0012 RegisterComServer 001f @LStrToPChar 0025 LoadLibrary 0033 GetLastError 003b SysErrorMessage 005e _Dn_Exception 0063 Exception.CreateFmt 0068 @RaiseExcept 0084 GetProcAddress 0091 OleCheck 0098 RaiseLastWin32Error 00ae FreeLibrary 00b4 @HandleFinally 00cb @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 20 7F 3A E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 0B 89 5D F4 C6 45 F8 0B 8D 45 EC 50 6A 01 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 FF D3 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 FF FF FF FF 06 00 00 00 25 73 3A 20 25 73 00 00 44 6C 6C 52 65 67 69 73 74 65 72 53 65 72 76 65 72 00 00 00 }
	condition:
		$1
}

rule function_3286_0 {
	meta:
		name = "Finalization"
		size = 97
		refs = "0007 Finalization 0013 _NV__122 001b _NV__137 0021 DispCallByIDProc 002a VarDispProc 0033 SafeCallErrorProc 003c ComClassManager 0041 TObject.Free 0046 CoUninitialize 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 31 C6 05 ?? ?? ?? ?? 01 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3287_0 {
	meta:
		name = "ComObj"
		size = 67
		refs = "0002 _NV__122 000c CoInitialize 0013 _DV_TComClassManager 0018 TObject.Create 001d ComClassManager 0022 SafeCallErrorProc 0028 _NF__155 002d VarDispProc 0033 _NF__165 0038 DispCallByIDProc 003e _NF__169"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 39 6A 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3288_0 {
	meta:
		name = "_NF__78"
		size = 154
		refs = "0010 _NF__78 001b ParamCount 0030 ParamStr 0053 @LStrCopy 005d CompareText 0085 @LStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 48 BE 01 00 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8A 00 2C 2D 74 04 2C 02 75 28 8D 45 F8 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B D7 E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 06 46 4B 75 BD 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3289_0 {
	meta:
		name = "_NF__79"
		size = 51
		refs = "0014 HInstance 001c GetModuleFileName 0027 @LStrFromPCharLen"
	strings:
		$1 = { 53 81 C4 F8 FE FF FF 8B D8 68 06 01 00 00 8D 44 24 04 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_3290_0 {
	meta:
		name = "_NF__7A"
		size = 94
		refs = "000e _NF__7A 001c _NF__79 0027 ExtractFileName 0033 ChangeFileExt 004d @LStrArrayClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B CB 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3291_0 {
	meta:
		name = "_NF__7B"
		size = 96
		refs = "000f _NF__7B 001c @IntfClear 0027 @WStrFromLStr 002f @WStrToPWChar 0035 LoadTypeLib 003a OleCheck 004f @WStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3292_0 {
	meta:
		name = "_NF__7C"
		size = 117
		refs = "0015 @IntfAddRef 001d _NF__7C 002d @WStrFromLStr 0035 @WStrToPWChar 0042 RegisterTypeLib 0047 OleCheck 005c @WStrClr 0064 @IntfClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 53 53 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3293_0 {
	meta:
		name = "_NF__7D"
		size = 216
		refs = "0011 _NF__7D 0021 GetModuleHandle 0032 GetProcAddress 0047 ComServer 005a OleCheck 00a2 @IntfClear 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 66 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 75 FC 85 F6 74 52 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 F8 8B 50 14 52 8B 50 10 52 66 8B 50 1A 52 66 8B 50 18 52 50 FF 55 FC 8B 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B 45 F4 50 8B 00 FF 50 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 4F 4C 45 41 55 54 33 32 2E 44 4C 4C 00 00 00 00 55 6E 52 65 67 69 73 74 65 72 54 79 70 65 4C 69 62 00 00 00 }
	condition:
		$1
}

rule function_3294_0 {
	meta:
		name = "_NF__7E"
		size = 117
		refs = "0015 @IntfAddRef 001d _NF__7E 003d OleCheck 0047 @LStrFromWStr 005c @WStrClr 0064 @IntfClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8D 45 F8 50 6A FF 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3295_0 {
	meta:
		name = "DllGetClassObject"
		size = 71
		refs = "000c ComClassManager 0013 TComClassManager.GetFactoryFromClassID 0025 TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 10 8B 55 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1B 8B CE 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 10 B8 02 40 00 80 EB 09 33 C0 89 06 B8 11 01 04 80 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_3296_0 {
	meta:
		name = "DllCanUnloadNow"
		size = 40
		refs = "0002 ComServer"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 16 A1 ?? ?? ?? ?? 83 78 04 00 75 0E A1 ?? ?? ?? ?? 83 78 08 00 75 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_3297_0 {
	meta:
		name = "DllRegisterServer"
		size = 66
		refs = "000c DllRegisterServer 0019 ComServer 001e TComServer.UpdateRegistry 002d @HandleAnyException 0037 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 DB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 05 40 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_3298_0 {
	meta:
		name = "DllUnregisterServer"
		size = 66
		refs = "000c DllUnregisterServer 0019 ComServer 001e TComServer.UpdateRegistry 002d @HandleAnyException 0037 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 DB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 05 40 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_3299_0 {
	meta:
		name = "_NF__86"
		size = 186
		refs = "000e _NF__86 001b ComServer 0042 SAutomationWarning 0047 LoadResString 004f @LStrToPChar 0058 SNoCloseActiveServer1 0069 SNoCloseActiveServer2 0077 @LStrCat 0087 MessageBox 00a7 @LStrArrayClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 A1 ?? ?? ?? ?? 80 78 19 01 75 6C 83 3D ?? ?? ?? ?? 00 74 63 A1 ?? ?? ?? ?? 83 78 04 00 74 58 68 34 21 00 00 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 F8 06 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3300_0 {
	meta:
		name = "TComServer.Create"
		size = 208
		refs = "000a @ClassCreate 0016 @IntfClear 001b ModuleIsLib 0025 TComServer.Create 002a _NF__78"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8A 00 88 46 18 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0E B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 46 19 01 EB 26 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 46 19 02 EB 12 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 C6 46 19 03 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 FF FF FF FF 0A 00 00 00 41 55 54 4F 4D 41 54 49 4F 4E 00 00 FF FF FF FF 09 00 00 00 45 4D 42 45 44 44 49 4E 47 00 00 00 FF FF FF FF 09 00 00 00 52 45 47 53 45 52 56 45 52 00 00 00 FF FF FF FF 0B 00 00 00 55 4E 52 45 47 53 45 52 56 45 52 00 }
	condition:
		$1
}

rule function_3301_0 {
	meta:
		name = "TComServer.Destroy"
		size = 42
		refs = "0008 _NF__93 000d ComClassManager 0016 TComClassManager.ForEachFactory 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 56 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3302_0 {
	meta:
		name = "TComServer.CountObject"
		size = 33
		refs = "0018 _NF__A5"
	strings:
		$1 = { 53 8B D8 84 D2 74 05 FF 43 04 EB 10 FF 4B 04 83 7B 04 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_3303_0 {
	meta:
		name = "TComServer.CountFactory"
		size = 16
	strings:
		$1 = { 84 D2 74 05 FF 40 08 EB 03 FF 48 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_3304_0 {
	meta:
		name = "_NF__93"
		size = 8
		refs = "0003 TObject.Free"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10502_0 {
	meta:
		name = "TCustomDataStore.SetCapacity"
		size = 8
		refs = "0003 SetMemoryCapacity"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4319_0 {
	meta:
		name = "TDataSet.FreeBookmark"
		size = 8
		refs = "0003 StrDispose"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12817_0 {
	meta:
		name = "TQRGroup.ReadValues"
		size = 8
		refs = "0003 TReader.ReadInteger"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12274_0 {
	meta:
		name = "TQRMemo.ReadTabStop"
		size = 8
		refs = "0003 TReader.ReadBoolean"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14836_0 {
	meta:
		name = "_NF__1D3"
		size = 8
		refs = "0003 TReader.ReadInteger"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14837_0 {
	meta:
		name = "_NF__1D4"
		size = 8
		refs = "0003 TReader.ReadBoolean"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3305_0 {
	meta:
		name = "_NF__94"
		size = 8
		refs = "0003 TComObjectFactory.RegisterClassObject"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3306_0 {
	meta:
		name = "_NF__95"
		size = 21
	strings:
		$1 = { 56 8B F0 80 7A 44 00 74 0A 8B C2 8A 56 1A 8B 08 FF 51 14 5E C3 }
	condition:
		$1
}

rule function_3308_0 {
	meta:
		name = "TComServer.GetServerFileName"
		size = 12
		refs = "0006 _NF__79"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8321_0 {
	meta:
		name = "TCustomContentProducer.Content"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12659_0 {
	meta:
		name = "TQRExportFilter.GetExtension"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3309_0 {
	meta:
		name = "TComServer.GetServerKey"
		size = 88
		refs = "000c TComServer.GetServerKey 0011 @LStrLAsg"
	strings:
		$1 = { 53 8B DA 80 78 18 00 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 0E 00 00 00 49 6E 70 72 6F 63 53 65 72 76 65 72 33 32 00 00 FF FF FF FF 0D 00 00 00 4C 6F 63 61 6C 53 65 72 76 65 72 33 32 00 00 00 }
	condition:
		$1
}

rule function_3310_0 {
	meta:
		name = "TComServer.GetServerName"
		size = 53
		refs = "0012 @LStrLAsg 0025 _NF__7E 002e _NF__7A"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 74 0D 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 0C 00 74 0C 8B D6 8B 43 0C E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3311_0 {
	meta:
		name = "TComServer.SetServerName"
		size = 25
		refs = "0012 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 0C 00 75 0A 8D 43 10 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3312_0 {
	meta:
		name = "TComServer.GetTypeLib"
		size = 26
		refs = "0009 TComServer.LoadTypeLib 0013 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3313_0 {
	meta:
		name = "TComServer.Initialize"
		size = 53
		refs = "000d TComServer.UpdateRegistry 001b @Halt0 0021 _NF__94 0026 ComClassManager 002f TComClassManager.ForEachFactory"
	strings:
		$1 = { 53 8B D8 80 7B 19 03 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 8A 43 19 04 FE 2C 02 73 05 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3314_0 {
	meta:
		name = "_NF__A5"
		size = 49
		refs = "002a PostQuitMessage"
	strings:
		$1 = { 53 51 80 78 18 00 75 26 80 78 19 01 0F 94 04 24 66 83 78 1E 00 74 0A 8B D4 8B D8 8B 43 20 FF 53 1C 80 3C 24 00 74 07 6A 00 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_3315_0 {
	meta:
		name = "TComServer.LoadTypeLib"
		size = 102
		refs = "000e TComServer.LoadTypeLib 0022 _NF__79 002d _NF__7B 0038 @IntfCopy 004d @LStrClr 0055 @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 75 1E 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3316_0 {
	meta:
		name = "TComServer.UpdateRegistry"
		size = 121
		refs = "000f TComServer.UpdateRegistry 0027 _NF__79 0032 _NF__7C 003c _NF__7D 0045 _NF__95 004a ComClassManager 0053 TComClassManager.ForEachFactory 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 0C 00 74 21 84 DB 74 15 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 46 0C E8 ?? ?? ?? ?? EB 08 8B 46 0C E8 ?? ?? ?? ?? 88 5E 1A 56 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3317_0 {
	meta:
		name = "_NF__AD"
		size = 26
		refs = "0002 _NV__AB 0010 ComServer 0015 TComServer.Initialize"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3318_0 {
	meta:
		name = "Finalization"
		size = 76
		refs = "0007 Finalization 0013 _NV__71 001a ComServer 001f TObject.Free 002b _NV__AC 0031 FreeLibrary 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3319_0 {
	meta:
		name = "ComServ"
		size = 104
		refs = "0002 _NV__71 000a ComServ 000f LoadLibrary 0014 _NV__AC 001b _DV_TComServer 0020 TComServer.Create 0025 ComServer 002a ModuleIsLib 0034 InitProc 003b _NV__AB 0046 _NF__AD 004b _NF__86 0050 AddTerminateProc"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 4B 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 75 21 A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 4F 4C 45 41 55 54 33 32 2E 44 4C 4C 00 00 00 00 }
	condition:
		$1
}

rule function_3324_0 {
	meta:
		name = "InitWndProc"
		size = 184
		refs = "0009 CreationControl 0029 SetWindowLong 0034 GetWindowLong 0066 _NV__3AD 0070 SetProp 007d _NV__3AC"
	strings:
		$1 = { 55 8B EC 51 53 8D 5D FC A1 ?? ?? ?? ?? 8B 55 08 89 90 CC 00 00 00 A1 ?? ?? ?? ?? 8B 80 B4 00 00 00 50 6A FC 8B 45 08 50 E8 ?? ?? ?? ?? 6A F0 8B 45 08 50 E8 ?? ?? ?? ?? A9 00 00 00 40 74 1E 6A F4 8B 45 08 50 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 45 08 50 6A F4 8B 45 08 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 0F B7 05 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 0F B7 05 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 FF 90 B4 00 00 00 89 45 FC 8B 03 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_3325_0 {
	meta:
		name = "FindControl"
		size = 25
		refs = "000c _NV__3AD 0013 GetProp"
	strings:
		$1 = { 53 8B D8 33 C0 85 DB 74 0E 0F B7 05 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3326_0 {
	meta:
		name = "SendAppMessage"
		size = 39
		refs = "0004 Application 001b SendMessage"
	strings:
		$1 = { 53 56 8B 1D ?? ?? ?? ?? 8B 1B 8B 73 24 85 F6 74 11 51 52 50 A1 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_3327_0 {
	meta:
		name = "_NF__3BA"
		size = 392
	strings:
		$1 = { FF FF FF FF 09 00 00 00 63 72 44 65 66 61 75 6C 74 00 00 00 FF FF FF FF 07 00 00 00 63 72 41 72 72 6F 77 00 FF FF FF FF 07 00 00 00 63 72 43 72 6F 73 73 00 FF FF FF FF 07 00 00 00 63 72 49 42 65 61 6D 00 FF FF FF FF 0A 00 00 00 63 72 53 69 7A 65 4E 45 53 57 00 00 FF FF FF FF 08 00 00 00 63 72 53 69 7A 65 4E 53 00 00 00 00 FF FF FF FF 0A 00 00 00 63 72 53 69 7A 65 4E 57 53 45 00 00 FF FF FF FF 08 00 00 00 63 72 53 69 7A 65 57 45 00 00 00 00 FF FF FF FF 09 00 00 00 63 72 55 70 41 72 72 6F 77 00 00 00 FF FF FF FF 0B 00 00 00 63 72 48 6F 75 72 47 6C 61 73 73 00 FF FF FF FF 06 00 00 00 63 72 44 72 61 67 00 00 FF FF FF FF 08 00 00 00 63 72 4E 6F 44 72 6F 70 00 00 00 00 FF FF FF FF 08 00 00 00 63 72 48 53 70 6C 69 74 00 00 00 00 FF FF FF FF 08 00 00 00 63 72 56 53 70 6C 69 74 00 00 00 00 FF FF FF FF 0B 00 00 00 63 72 4D 75 6C 74 69 44 72 61 67 00 FF FF FF FF 09 00 00 00 63 72 53 51 4C 57 61 69 74 00 00 00 FF FF FF FF 04 00 00 00 63 72 4E 6F 00 00 00 00 FF FF FF FF 0A 00 00 00 63 72 41 70 70 53 74 61 72 74 00 00 FF FF FF FF 06 00 00 00 63 72 48 65 6C 70 00 00 FF FF FF FF 0B 00 00 00 63 72 48 61 6E 64 50 6F 69 6E 74 00 FF FF FF FF 06 00 00 00 63 72 53 69 7A 65 00 00 }
	condition:
		$1
}

rule function_3328_0 {
	meta:
		name = "CursorToString"
		size = 72
		refs = "0012 CursorToIdent 002c CursorToString 0031 FmtStr"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D6 0F BF FB 8B C7 E8 ?? ?? ?? ?? 84 C0 75 1B 6A 00 89 7C 24 04 C6 44 24 08 00 8D 4C 24 04 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 00 FF FF FF FF 02 00 00 00 25 64 00 00 }
	condition:
		$1
}

rule function_3329_0 {
	meta:
		name = "StringToCursor"
		size = 34
		refs = "0009 IdentToCursor 0014 StrToInt"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8B C3 E8 ?? ?? ?? ?? 89 04 24 66 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_3330_0 {
	meta:
		name = "GetCursorValues"
		size = 35
		refs = "000b _NV__3B9"
	strings:
		$1 = { 55 8B EC 53 56 BE 14 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 45 0C FF 55 08 83 C3 08 4E 75 F2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3331_0 {
	meta:
		name = "CursorToIdent"
		size = 13
		refs = "0003 _NV__3B9 0008 IntToIdent"
	strings:
		$1 = { 6A 14 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3332_0 {
	meta:
		name = "IdentToCursor"
		size = 13
		refs = "0003 _NV__3B9 0008 IdentToInt"
	strings:
		$1 = { 6A 14 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3333_0 {
	meta:
		name = "GetShortHint"
		size = 68
		refs = "000a GetShortHint 000f AnsiPos 001e @LStrLAsg 0030 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 8B C7 8B D6 E8 ?? ?? ?? ?? EB 10 57 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_3334_0 {
	meta:
		name = "GetLongHint"
		size = 68
		refs = "000a GetLongHint 000f AnsiPos 001e @LStrLAsg 0030 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 8B C7 8B D6 E8 ?? ?? ?? ?? EB 10 57 8D 53 01 B9 FF FF FF 7F 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_3335_0 {
	meta:
		name = "GetCaptureControl"
		size = 40
		refs = "0001 GetCapture 0006 FindControl 0010 _NV__3CB"
	strings:
		$1 = { E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 19 83 3D ?? ?? ?? ?? 00 74 10 8B 15 ?? ?? ?? ?? 3B 42 24 75 05 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3336_0 {
	meta:
		name = "SetCaptureControl"
		size = 66
		refs = "0004 ReleaseCapture 000b _NV__3CB 0017 _DV_TWinControl 001c @IsClass 0036 TWinControl.GetHandle 003c SetCapture"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 85 DB 74 2D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0F 83 7B 24 00 74 16 89 1D ?? ?? ?? ?? 8B 5B 24 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3337_0 {
	meta:
		name = "IsDragObject"
		size = 96
		refs = "0009 TObject.ClassType 001a TObject.ClassName 0029 _DV_TDragObject 0040 @AStrCmp 0049 TObject.ClassParent"
	strings:
		$1 = { 53 56 81 C4 00 FE FF FF E8 ?? ?? ?? ?? 8B F0 B3 01 85 F6 74 3E 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C4 50 8D 94 24 04 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 94 24 04 01 00 00 58 33 C9 8A 08 41 E8 ?? ?? ?? ?? 74 0F 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 C2 33 DB 8B C3 81 C4 00 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3338_0 {
	meta:
		name = "TDragObject.Instance"
		size = 8
		refs = "0001 HInstance"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 C3 }
	condition:
		$1
}

rule function_3341_0 {
	meta:
		name = "_NF__3E2"
		size = 24
		refs = "0003 _NF__3F3 0008 AllocateHWnd 0010 SetCapture"
	strings:
		$1 = { 53 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 53 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_3342_0 {
	meta:
		name = "_NF__3E3"
		size = 17
		refs = "0004 ReleaseCapture 000b DeallocateHWnd"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3343_0 {
	meta:
		name = "TDragObject.GetDragCursor"
		size = 21
	strings:
		$1 = { 55 8B EC 84 D2 74 06 66 B8 F4 FF EB 04 66 B8 F3 FF 5D C2 04 00 }
	condition:
		$1
}

rule function_3347_0 {
	meta:
		name = "_NF__3F3"
		size = 128
		refs = "000d _NF__3F3 002e SmallPointToPoint 0037 _NV__3D4 003d ClientToScreen 0045 _NF__40E 004e _NF__411 005d @HandleAnyException 0063 _NV__3CF 0072 @RaiseAgain 0077 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 2D 00 02 00 00 74 07 83 E8 02 74 26 EB 2B 8D 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8D 45 F8 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? EB 07 B0 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 07 33 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3349_0 {
	meta:
		name = "TDragControlObject.GetDragImages"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 34 C3 }
	condition:
		$1
}

rule function_3350_0 {
	meta:
		name = "TDragControlObject.HideDragImage"
		size = 30
		refs = "0018 TCustomImageList.HideDragImage"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 34 85 C0 74 0D 8B 43 04 8B 10 FF 52 34 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3351_0 {
	meta:
		name = "TDragControlObject.ShowDragImage"
		size = 30
		refs = "0018 TCustomImageList.ShowDragImage"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 34 85 C0 74 0D 8B 43 04 8B 10 FF 52 34 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3352_0 {
	meta:
		name = "TDragControlObject.GetDragCursor"
		size = 24
	strings:
		$1 = { 55 8B EC 84 D2 74 09 8B 40 04 66 8B 40 5A EB 04 66 B8 F3 FF 5D C2 04 00 }
	condition:
		$1
}

rule function_3353_0 {
	meta:
		name = "TDragControlObject.Finished"
		size = 55
		refs = "0018 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F0 80 7D 08 00 75 0E 8B 46 04 66 BB EE FF E8 ?? ?? ?? ?? 33 D2 8B 45 0C 50 8B CF 8B 46 04 66 BB EC FF E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3354_0 {
	meta:
		name = "_NF__409"
		size = 72
		refs = "0039 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D FC 33 C9 85 C0 74 2F 8B 4D 08 8B 19 89 5D EC 8B 59 04 89 5D F0 8B 4D 0C 89 4D F8 8B 4D FC 89 4D F4 8D 4D EC 51 83 E2 7F 52 68 2F B0 00 00 50 E8 ?? ?? ?? ?? 8B C8 8B C1 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3355_0 {
	meta:
		name = "_NF__40A"
		size = 33
		refs = "000a _NV__3AC 0011 GetProp"
	strings:
		$1 = { 53 8B D8 85 DB 74 12 0F B7 05 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_3356_0 {
	meta:
		name = "_NF__40B"
		size = 44
		refs = "0007 WindowFromPoint 0014 _NF__40A 001e GetParent"
	strings:
		$1 = { 53 FF 70 04 FF 30 E8 ?? ?? ?? ?? 8B D8 85 DB 74 17 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 53 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E9 8B C3 5B C3 }
	condition:
		$1
}

rule function_3357_0 {
	meta:
		name = "_NF__40C"
		size = 36
		refs = "0009 _NF__40B 0016 _NV__3D0 001d _NF__409"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 06 6A 00 53 8B 06 8B 0D ?? ?? ?? ?? B2 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3358_0 {
	meta:
		name = "_NF__40D"
		size = 51
		refs = "0007 _NV__3D2 0015 _NV__3D6 001b _NV__3D0 0022 _NV__3D3 0027 _NF__409"
	strings:
		$1 = { 53 8B D8 33 C0 83 3D ?? ?? ?? ?? 00 74 23 A1 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_3359_0 {
	meta:
		name = "_NF__40E"
		size = 359
		refs = "0008 _NV__3D8 0010 _NV__3D5 0041 _NV__3D9 004f GetDesktopWindow 0061 TCustomImageList.BeginDrag 0071 _NF__40C 0079 _NV__3D2 0082 _NF__40D 0090 _NV__3D3 0098 _NV__3D6 00cd _NV__3D0 00f3 TCustomImageList.SetDragCursor 0126 TCustomImageList.DragMove 0132 TCustomImageList.EndDrag 013a Screen 0141 TScreen.GetCursors 0147 SetCursor"
	strings:
		$1 = { 53 56 57 51 8B D8 80 3D ?? ?? ?? ?? 00 75 27 A1 ?? ?? ?? ?? 2B 03 99 33 C2 2B C2 83 F8 05 7D 16 A1 ?? ?? ?? ?? 2B 43 04 99 33 C2 2B C2 83 F8 05 0F 8C 2C 01 00 00 80 3D ?? ?? ?? ?? 00 75 26 83 3D ?? ?? ?? ?? 00 74 1D A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 8B D4 8B C3 E8 ?? ?? ?? ?? 8B F0 3B 35 ?? ?? ?? ?? 74 2D B0 01 E8 ?? ?? ?? ?? 89 35 ?? ?? ?? ?? 8B 04 24 A3 ?? ?? ?? ?? 8B 03 89 05 ?? ?? ?? ?? 8B 43 04 89 05 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B 03 89 05 ?? ?? ?? ?? 8B 43 04 89 05 ?? ?? ?? ?? 8B 43 04 50 B0 02 E8 ?? ?? ?? ?? 8B D0 8B 0B A1 ?? ?? ?? ?? 8B 38 FF 57 04 8B F8 83 3D ?? ?? ?? ?? 00 74 6C 85 F6 74 06 F6 46 41 20 74 41 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 48 00 75 19 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B 0B A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 8B 4B 04 8B 13 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF D7 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 15 0F BF D7 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3360_0 {
	meta:
		name = "_NF__40F"
		size = 138
		refs = "0004 _NV__3D0 000b _NV__3D2 0010 _NV__3D5 0015 GetCursorPos 001a GetCursor 001f _NV__3D7 0025 _NV__3D8 0033 _NV__3D9 003d _NF__3E2 0042 _NV__3D4 005f GetDesktopWindow 0071 TCustomImageList.BeginDrag 0084 _NF__40E"
	strings:
		$1 = { 53 8B DA A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 88 1D ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 12 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 26 83 3D ?? ?? ?? ?? 00 74 1D A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3361_0 {
	meta:
		name = "_NF__410"
		size = 138
		refs = "000f _NV__3CF 0017 _NF__410 0028 _NV__3D1 0037 @CallDynaInst 0046 _DV_TDragControlObject 004b TDragControlObject.Create 0060 _NF__40F 006f @HandleAnyException 007b @RaiseAgain 0080 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 55 FF 8B F0 89 35 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 C6 05 ?? ?? ?? ?? 00 8D 55 F8 8B C6 66 BB EB FF E8 ?? ?? ?? ?? 83 7D F8 00 75 18 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 C6 05 ?? ?? ?? ?? 01 8A 55 FF 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3362_0 {
	meta:
		name = "_NF__411"
		size = 365
		refs = "0012 _NV__3CF 001a _NF__411 0026 _NV__3D4 002b _NV__3D0 0030 _NF__3E3 003e _NV__3D9 004b TCustomImageList.EndDrag 0052 _NV__3D7 0058 SetCursor 006c _NV__3D2 0074 _DV_TControl 0079 @IsClass 0085 _NV__3D6 008c TControl.ScreenToClient 00a6 _NV__3D8 00b0 _NF__40D 00ff _NV__3D3 0104 _NF__409 013b @HandleFinally 0150 _NV__3D1 015b TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B D8 33 C0 89 45 FC 33 C0 A3 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 FC 83 3D ?? ?? ?? ?? 00 74 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 35 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8D 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 12 8B 05 ?? ?? ?? ?? 89 45 F4 8B 05 ?? ?? ?? ?? 89 45 F8 80 3D ?? ?? ?? ?? 00 74 0F B0 01 E8 ?? ?? ?? ?? 84 C0 74 04 84 DB 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 A3 ?? ?? ?? ?? B0 03 84 DB 75 1C B0 04 33 D2 89 15 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? 33 D2 89 55 F4 33 D2 89 55 F8 8B 15 ?? ?? ?? ?? 52 68 ?? ?? ?? ?? 8B 4D FC 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 53 8B 4D F4 8B 15 ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 08 33 C0 A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3363_0 {
	meta:
		name = "CancelDrag"
		size = 24
		refs = "0002 _NV__3D0 000c _NF__411 0013 _NV__3CF"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 33 C0 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3364_0 {
	meta:
		name = "FindVCLWindow"
		size = 50
		refs = "0008 WindowFromPoint 0017 FindControl 0023 GetParent"
	strings:
		$1 = { 53 56 FF 70 04 FF 30 E8 ?? ?? ?? ?? 8B D8 33 F6 85 DB 74 19 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 0C 53 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E7 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3365_0 {
	meta:
		name = "FindDragTarget"
		size = 65
		refs = "0010 FindVCLWindow 0023 TControl.ScreenToClient 002e TWinControl.ControlAtPos"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F8 33 F6 8B C7 E8 ?? ?? ?? ?? 8B E8 85 ED 74 1E 8B F5 8B CC 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D4 8B CB 8B C5 E8 ?? ?? ?? ?? 85 C0 74 02 8B F0 8B C6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3366_0 {
	meta:
		name = "_NF__418"
		size = 37
		refs = "000e _Dn_TList 0013 TObject.Create 001e TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3B 00 75 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 03 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3367_0 {
	meta:
		name = "_NF__419"
		size = 31
		refs = "0006 TList.Remove 0015 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 03 E8 ?? ?? ?? ?? 8B 03 83 78 08 00 75 0B 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_3368_0 {
	meta:
		name = "MoveWindowOrg"
		size = 47
		refs = "000f GetWindowOrgEx 0025 SetWindowOrgEx"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 53 E8 ?? ?? ?? ?? 6A 00 8B 44 24 08 2B C7 50 8B 44 24 08 2B C6 50 53 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3369_0 {
	meta:
		name = "_NF__41F"
		size = 187
		refs = "0007 _NV__41E 000c TThreadList.LockList 0017 _NF__41F 003e TList.Get 0049 TCanvas.TryLock 0063 TControlCanvas.FreeHandle 0068 @TryFinallyExit 0084 TCanvas.Unlock 008a @HandleFinally 00ab TThreadList.UnlockList"
	strings:
		$1 = { 55 8B EC 83 C4 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 48 85 C0 7C 6C 40 89 45 F4 C7 45 FC 00 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 3F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 FC FF 4D F4 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B E5 5D C3 }
	condition:
		$1
}

rule function_3370_0 {
	meta:
		name = "_NF__420"
		size = 169
		refs = "0007 _NV__41E 000c TThreadList.LockList 0017 _NF__420 0037 TList.Get 0042 TCanvas.TryLock 005c TControlCanvas.FreeHandle 0071 TCanvas.Unlock 0077 @HandleFinally 0099 TThreadList.UnlockList"
	strings:
		$1 = { 55 8B EC 83 C4 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 48 83 F8 00 7C 59 89 45 FC 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 33 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 4D FC 83 7D FC FF 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B E5 5D C3 }
	condition:
		$1
}

rule function_3372_0 {
	meta:
		name = "TControlCanvas.CreateHandle"
		size = 155
		refs = "0015 TCanvas.CreateHandle 0025 _NV__41E 002a TThreadList.LockList 0034 TControlCanvas.CreateHandle 0045 _NF__41F 0066 TList.Add 007d TThreadList.UnlockList 0083 @HandleFinally 0093 TCanvas.SetHandle"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 83 78 50 00 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 7C 8B 45 FC 83 78 54 00 75 65 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 04 7C 05 E8 ?? ?? ?? ?? 8B 45 FC 8D 50 58 8B 45 FC 8B 40 50 8B 08 FF 51 30 8B 55 FC 89 42 54 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 50 54 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_3373_0 {
	meta:
		name = "TControlCanvas.FreeHandle"
		size = 50
		refs = "000e TCanvas.SetHandle 0015 _NV__41E 001a TThreadList.Remove 0027 ReleaseDC"
	strings:
		$1 = { 53 8B D8 83 7B 54 00 74 27 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 54 50 8B 43 58 50 E8 ?? ?? ?? ?? 33 C0 89 43 54 5B C3 }
	condition:
		$1
}

rule function_3374_0 {
	meta:
		name = "TControlCanvas.SetControl"
		size = 24
		refs = "000e TControlCanvas.FreeHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 50 74 0A 8B C3 E8 ?? ?? ?? ?? 89 73 50 5E 5B C3 }
	condition:
		$1
}

rule function_3375_0 {
	meta:
		name = "TControl.Create"
		size = 144
		refs = "000e @ClassCreate 001c TComponent.Create 002d TControl.Create 0038 _Dn_TFont 003d TFont.Create 004c _NF__4A1"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 5B 2C 8B 03 8B 40 40 89 43 28 66 A1 ?? ?? ?? ?? 66 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 50 89 5E 08 C7 46 04 ?? ?? ?? ?? C7 43 54 05 00 00 80 C6 43 44 01 C6 43 45 01 C6 43 46 01 C6 43 47 01 C6 43 6A 01 C6 43 4A 00 66 C7 43 5A F4 FF 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 AA 00 00 00 }
	condition:
		$1
}

rule function_3376_0 {
	meta:
		name = "TControl.Destroy"
		size = 73
		refs = "0007 Application 0010 TApplication.ControlDestroyed 0018 TObject.Free 0020 StrDispose 0035 TComponent.Destroy 0040 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 3C 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3379_0 {
	meta:
		name = "TControl.HasParent"
		size = 8
		altNames = "TSession.GetActive"
	strings:
		$1 = { 83 78 24 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_3380_0 {
	meta:
		name = "TControl.GetParentComponent"
		size = 4
		altNames = "TField.GetParentComponent TPrinterSettings.GetMaxExtentY TUpdateSQL.GetDataSet"
	strings:
		$1 = { 8B 40 24 C3 }
	condition:
		$1
}

rule function_3381_0 {
	meta:
		name = "TControl.SetParentComponent"
		size = 35
		refs = "000a _DV_TWinControl 000f @IsClass"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C6 8B 08 FF 51 3C 5F 5E C3 }
	condition:
		$1
}

rule function_3382_0 {
	meta:
		name = "TControl.PaletteChanged"
		size = 123
		refs = "001d @CallDynaInst 0041 SelectPalette 0049 RealizePalette 0068 ReleaseDC"
	strings:
		$1 = { 53 56 57 83 C4 F8 88 14 24 8B F0 C6 44 24 01 00 80 7E 44 00 74 5B 8B C6 66 BB EA FF E8 ?? ?? ?? ?? 8B F8 85 FF 74 4A 8D 54 24 04 8B C6 8B 08 FF 51 30 8B D8 8A 04 24 34 01 F6 D8 1B C0 50 57 53 E8 ?? ?? ?? ?? 8B F8 53 E8 ?? ?? ?? ?? 85 C0 74 07 8B C6 8B 10 FF 52 44 6A FF 57 53 E8 ?? ?? ?? ?? 53 8B 44 24 08 50 E8 ?? ?? ?? ?? C6 44 24 01 01 8A 44 24 01 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3383_0 {
	meta:
		name = "TControl.SetDragMode"
		size = 4
	strings:
		$1 = { 88 50 49 C3 }
	condition:
		$1
}

rule function_3384_0 {
	meta:
		name = "TControl.RequestAlign"
		size = 14
		refs = "0009 _NF__58E"
	strings:
		$1 = { 8B 50 24 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3385_0 {
	meta:
		name = "TControl.ReadState"
		size = 127
		refs = "0012 _DV_TWinControl 0017 @IsClass 002d TComponent.ReadState 0047 TControl.Perform"
	strings:
		$1 = { 56 57 55 8B FA 8B F0 80 4E 42 08 8B 6F 28 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D5 8B C6 8B 08 FF 51 3C 8B D7 8B C6 E8 ?? ?? ?? ?? 80 66 42 F7 83 7E 24 00 74 40 6A 00 33 C9 BA 09 B0 00 00 8B C6 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 08 B0 00 00 8B C6 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 23 B0 00 00 8B C6 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 35 B0 00 00 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E C3 }
	condition:
		$1
}

rule function_3386_0 {
	meta:
		name = "TControl.Notification"
		size = 43
		refs = "0010 TComponent.Notification 0023 TControl.SetPopupMenu"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 77 5C 75 0E 80 FB 01 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3387_0 {
	meta:
		name = "TControl.SetAlign"
		size = 100
		refs = "005c TControl.RequestAlign"
	strings:
		$1 = { 53 56 51 8B F0 8A 46 48 3A D0 74 4D 88 04 24 88 56 48 F6 46 20 01 75 41 8A 04 24 48 2C 02 0F 92 C0 8B CA 80 C1 FD 80 E9 02 0F 92 C1 3A C1 75 29 8A 04 24 84 C0 74 22 2C 05 74 1E 84 D2 74 1A 80 EA 05 74 15 8B 46 3C 50 8B 46 38 50 8B 4E 34 8B 56 30 8B C6 8B 18 FF 53 4C 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3388_0 {
	meta:
		name = "TControl.SetBounds"
		size = 105
		refs = "002e _NF__4D1 0057 TControl.Perform 005e TControl.RequestAlign"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 3B 73 30 75 15 3B 7B 34 75 10 8B 45 0C 3B 43 38 75 08 8B 45 08 3B 43 3C 74 3C 33 C9 8A 53 44 8B C3 E8 ?? ?? ?? ?? 89 73 30 89 7B 34 8B 45 0C 89 43 38 8B 45 08 89 43 3C 8B C3 8B 10 FF 52 44 6A 00 33 C9 BA 47 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3389_0 {
	meta:
		name = "TControl.SetLeft"
		size = 29
	strings:
		$1 = { 53 56 8B F0 8B 46 38 50 8B 46 3C 50 8B 4E 34 8B C6 8B 18 FF 53 4C 80 4E 68 01 5E 5B C3 }
	condition:
		$1
}

rule function_3390_0 {
	meta:
		name = "TControl.SetTop"
		size = 31
	strings:
		$1 = { 53 56 8B F0 8B 46 38 50 8B 46 3C 50 8B CA 8B C6 8B 56 30 8B 18 FF 53 4C 80 4E 68 02 5E 5B C3 }
	condition:
		$1
}

rule function_3391_0 {
	meta:
		name = "TControl.SetWidth"
		size = 29
	strings:
		$1 = { 53 56 8B F0 52 8B 46 3C 50 8B 4E 34 8B C6 8B 56 30 8B 18 FF 53 4C 80 4E 68 04 5E 5B C3 }
	condition:
		$1
}

rule function_3392_0 {
	meta:
		name = "TControl.SetHeight"
		size = 29
	strings:
		$1 = { 53 56 8B F0 8B 46 38 50 52 8B 4E 34 8B C6 8B 56 30 8B 18 FF 53 4C 80 4E 68 08 5E 5B C3 }
	condition:
		$1
}

rule function_3393_0 {
	meta:
		name = "TControl.GetBoundsRect"
		size = 30
	strings:
		$1 = { 8B 48 30 89 0A 8B 48 34 89 4A 04 8B 48 30 03 48 38 89 4A 08 8B 48 34 03 48 3C 89 4A 0C C3 }
	condition:
		$1
}

rule function_3394_0 {
	meta:
		name = "TControl.SetBoundsRect"
		size = 39
	strings:
		$1 = { 53 56 57 55 8B F0 8B 42 08 8B 3A 2B C7 50 8B 42 0C 8B 6A 04 2B C5 50 8B CD 8B D7 8B C6 8B 18 FF 53 4C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3395_0 {
	meta:
		name = "TControl.GetClientRect"
		size = 22
	strings:
		$1 = { 33 C9 89 0A 33 C9 89 4A 04 8B 48 38 89 4A 08 8B 40 3C 89 42 0C C3 }
	condition:
		$1
}

rule function_3396_0 {
	meta:
		name = "TControl.GetClientWidth"
		size = 24
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 8B 08 FF 51 2C 8B 44 24 08 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_3397_0 {
	meta:
		name = "TControl.SetClientWidth"
		size = 41
		refs = "000c TControl.GetClientHeight 0017 Point 0020 _NF__486"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CC 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6388_0 {
	meta:
		name = "TFindDialog.SetLeft"
		size = 41
		refs = "000c TFindDialog.GetTop 0017 Point 0020 TFindDialog.SetPosition"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CC 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3398_0 {
	meta:
		name = "TControl.GetClientHeight"
		size = 24
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 8B 08 FF 51 2C 8B 44 24 0C 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_3399_0 {
	meta:
		name = "TControl.SetClientHeight"
		size = 39
		refs = "000c TControl.GetClientWidth 0015 Point 001e _NF__486"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CC 8B D6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6391_0 {
	meta:
		name = "TFindDialog.SetTop"
		size = 39
		refs = "000c TFindDialog.GetLeft 0015 Point 001e TFindDialog.SetPosition"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CC 8B D6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3400_0 {
	meta:
		name = "TControl.GetClientOrigin"
		size = 142
		refs = "0015 TControl.GetClientOrigin 0039 SParentRequired 003e LoadResString 0048 _Dn_EInvalidOperation 004d Exception.CreateFmt 0052 @RaiseExcept 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 24 00 75 31 8B 43 08 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 24 8B 08 FF 51 28 8B 43 30 01 06 8B 43 34 01 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3401_0 {
	meta:
		name = "TControl.ClientToScreen"
		size = 44
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B D4 8B C3 8B 08 FF 51 28 8B 06 03 04 24 89 07 8B 46 04 03 44 24 04 89 47 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3402_0 {
	meta:
		name = "TControl.ScreenToClient"
		size = 44
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B D4 8B C3 8B 08 FF 51 28 8B 06 2B 04 24 89 07 8B 46 04 2B 44 24 04 89 47 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3403_0 {
	meta:
		name = "TControl.SendCancelMode"
		size = 21
		refs = "0004 GetParentForm 000f TCustomForm.SendCancelMode"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3404_0 {
	meta:
		name = "TControl.Changed"
		size = 14
		refs = "0009 TControl.Perform"
	strings:
		$1 = { 50 33 C9 BA 37 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3405_0 {
	meta:
		name = "TControl.ChangeScale"
		size = 336
		refs = "0024 TControl.ChangeScale 0037 MulDiv 0123 TFont.GetSize 0132 TFont.SetSize"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 0C 24 8B FA 8B F0 3B 3C 24 0F 84 1F 01 00 00 F6 46 20 01 74 05 8A 5E 68 EB 06 8A 1D ?? ?? ?? ?? F6 C3 01 74 12 8B 04 24 50 57 8B 46 30 50 E8 ?? ?? ?? ?? 8B E8 EB 03 8B 6E 30 F6 C3 02 74 14 8B 04 24 50 57 8B 46 34 50 E8 ?? ?? ?? ?? 89 44 24 04 EB 07 8B 46 34 89 44 24 04 F6 C3 04 74 38 F6 46 41 01 75 32 F6 C3 01 74 19 8B 04 24 50 57 8B 46 30 03 46 38 50 E8 ?? ?? ?? ?? 2B C5 89 44 24 08 EB 1B 8B 04 24 50 57 8B 46 38 50 E8 ?? ?? ?? ?? 89 44 24 08 EB 07 8B 46 38 89 44 24 08 F6 C3 08 0F 95 C0 84 C0 74 3F F6 46 41 02 75 39 F6 C3 08 0F 95 C2 84 C0 74 1B 8B 04 24 50 57 8B 46 34 03 46 3C 50 E8 ?? ?? ?? ?? 2B 44 24 04 89 44 24 0C EB 1B 8B 04 24 50 57 8B 46 34 50 E8 ?? ?? ?? ?? 89 44 24 0C EB 07 8B 46 3C 89 44 24 0C 8B 44 24 08 50 8B 44 24 10 50 8B 4C 24 0C 8B D5 8B C6 8B 28 FF 55 4C 80 7E 46 00 75 23 F6 C3 10 74 1E 8B 04 24 50 57 8B 5E 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 46 68 83 C4 10 5D 5F 5E 5B C3 00 00 1F 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3406_0 {
	meta:
		name = "TControl.SetName"
		size = 158
		refs = "0017 TControl.SetName 002d TControl.GetText 0038 @LStrCmp 0049 _DV_TControl 004e @IsClass 0068 TComponent.SetName 0076 TControl.SetText 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 47 40 20 74 35 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B 47 08 E8 ?? ?? ?? ?? 75 1E 8B 77 04 85 F6 74 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A F6 46 20 01 74 04 33 DB EB 02 B3 01 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3407_0 {
	meta:
		name = "_NF__486"
		size = 69
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8D 3C 24 A5 A5 8B D8 8D 54 24 08 8B C3 8B 08 FF 51 2C 8B 43 38 2B 44 24 10 03 04 24 50 8B 43 3C 2B 44 24 18 03 44 24 08 50 8B 4B 34 8B 53 30 8B C3 8B 18 FF 53 4C 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3408_0 {
	meta:
		name = "TControl.SetParent"
		size = 130
		refs = "000f TControl.SetParent 0028 SControlParentSetToSelf 002d LoadResString 0037 _Dn_EInvalidOperation 003c Exception.Create 0041 @RaiseExcept 004f TWinControl.RemoveControl 005c TWinControl.InsertControl 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 24 3B F0 74 40 3B D8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3409_0 {
	meta:
		name = "TControl.SetVisible"
		size = 60
		refs = "0017 @CallDynaInst 002d TControl.Perform 0034 TControl.RequestAlign"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8A 46 44 3A 04 24 74 28 8B C6 66 BB E3 FF E8 ?? ?? ?? ?? 8A 04 24 88 46 44 6A 00 33 C9 BA 0B B0 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3410_0 {
	meta:
		name = "TControl.SetEnabled"
		size = 23
		refs = "0012 TControl.Perform"
	strings:
		$1 = { 3A 50 45 74 11 88 50 45 6A 00 33 C9 BA 0C B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3411_0 {
	meta:
		name = "TControl.GetTextLen"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 0E 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3412_0 {
	meta:
		name = "TControl.GetTextBuf"
		size = 12
		refs = "0007 TControl.Perform"
	strings:
		$1 = { 52 BA 0D 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3413_0 {
	meta:
		name = "TControl.SetPopupMenu"
		size = 14
		refs = "0009 TComponent.FreeNotification"
	strings:
		$1 = { 89 50 5C 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3414_0 {
	meta:
		name = "TControl.SetTextBuf"
		size = 36
		refs = "000e TControl.Perform"
	strings:
		$1 = { 53 8B D8 52 33 C9 8B C3 BA 0C 00 00 00 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 12 B0 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3415_0 {
	meta:
		name = "TControl.GetText"
		size = 47
		refs = "000a TControl.GetTextLen 0017 @LStrFromPCharLen 0027 TControl.GetTextBuf"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 8B CB 33 D2 E8 ?? ?? ?? ?? 85 DB 74 0C 8D 4B 01 8B 17 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3416_0 {
	meta:
		name = "TControl.SetText"
		size = 97
		refs = "000f TControl.SetText 001f TControl.GetText 0029 @LStrCmp 0032 @LStrToPChar 003b TControl.SetTextBuf 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3417_0 {
	meta:
		name = "_NF__4A1"
		size = 57
		refs = "000f TFont.GetHeight 0033 TControl.Perform"
	strings:
		$1 = { 53 8B D8 C6 43 46 00 C6 43 43 00 8B 43 50 E8 ?? ?? ?? ?? 3B 43 64 74 0F 80 4B 68 10 8B 43 50 E8 ?? ?? ?? ?? 89 43 64 6A 00 33 C9 BA 0E B0 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3418_0 {
	meta:
		name = "TControl.SetFont"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 50 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_3419_0 {
	meta:
		name = "TControl.IsFontStored"
		size = 18
	strings:
		$1 = { 80 78 46 00 75 06 80 78 43 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_3420_0 {
	meta:
		name = "TControl.IsShowHintStored"
		size = 6
	strings:
		$1 = { 8A 40 6A 34 01 C3 }
	condition:
		$1
}

rule function_3421_0 {
	meta:
		name = "TControl.SetParentFont"
		size = 29
		refs = "0018 TControl.Perform"
	strings:
		$1 = { 3A 50 46 74 17 88 50 46 83 78 24 00 74 0E 6A 00 33 C9 BA 08 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3422_0 {
	meta:
		name = "TControl.SetDesktopFont"
		size = 23
		refs = "0012 TControl.Perform"
	strings:
		$1 = { 3A 50 43 74 11 88 50 43 6A 00 33 C9 BA 35 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3423_0 {
	meta:
		name = "TControl.SetShowHint"
		size = 27
		refs = "0016 TControl.Perform"
	strings:
		$1 = { 3A 50 69 74 15 88 50 69 C6 40 6A 00 6A 00 33 C9 BA 22 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3424_0 {
	meta:
		name = "TControl.SetParentShowHint"
		size = 29
		refs = "0018 TControl.Perform"
	strings:
		$1 = { 3A 50 6A 74 17 88 50 6A 83 78 24 00 74 0E 6A 00 33 C9 BA 23 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3425_0 {
	meta:
		name = "TControl.SetColor"
		size = 27
		refs = "0016 TControl.Perform"
	strings:
		$1 = { 3B 50 54 74 15 89 50 54 C6 40 47 00 6A 00 33 C9 BA 0D B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3426_0 {
	meta:
		name = "TControl.IsColorStored"
		size = 6
	strings:
		$1 = { 8A 40 47 34 01 C3 }
	condition:
		$1
}

rule function_3427_0 {
	meta:
		name = "TControl.SetParentColor"
		size = 29
		refs = "0018 TControl.Perform"
	strings:
		$1 = { 3A 50 47 74 17 88 50 47 83 78 24 00 74 0E 6A 00 33 C9 BA 09 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3428_0 {
	meta:
		name = "TControl.SetCursor"
		size = 25
		refs = "0014 TControl.Perform"
	strings:
		$1 = { 66 3B 50 58 74 12 66 89 50 58 6A 00 33 C9 BA 0F B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3429_0 {
	meta:
		name = "TControl.GetMouseCapture"
		size = 15
		refs = "0004 GetCaptureControl"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 3B D8 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_3430_0 {
	meta:
		name = "TControl.SetMouseCapture"
		size = 40
		refs = "0009 TControl.GetMouseCapture 0018 SetCaptureControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 14 84 DB 74 09 8B C6 E8 ?? ?? ?? ?? EB 07 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3431_0 {
	meta:
		name = "TControl.BringToFront"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 53 B2 01 66 BB E4 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3432_0 {
	meta:
		name = "TControl.SendToBack"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 53 33 D2 66 BB E4 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3433_0 {
	meta:
		name = "_NF__4C9"
		size = 126
		refs = "0017 TList.IndexOf 0040 TList.Delete 0052 TList.Insert 005e _NF__4D1 0065 ValidParentForm 0076 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 24 85 C0 74 6C 8B 80 BC 00 00 00 8B D3 E8 ?? ?? ?? ?? 85 C0 7C 5B 8B 53 24 8B BA BC 00 00 00 8B 57 08 85 F6 7D 02 33 F6 3B D6 7F 03 8B F2 4E 3B C6 74 3E 8B D7 92 E8 ?? ?? ?? ?? 8B 43 24 8B 80 BC 00 00 00 8B CB 8B D6 E8 ?? ?? ?? ?? B1 01 8A 53 44 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? F6 40 42 04 74 0B B2 01 66 BB E5 FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3434_0 {
	meta:
		name = "TControl.SetZOrder"
		size = 36
		refs = "0016 _NF__4C9"
	strings:
		$1 = { 8B 48 24 85 C9 74 1C 84 D2 74 11 8B 91 BC 00 00 00 8B 52 08 4A E8 ?? ?? ?? ?? EB 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3435_0 {
	meta:
		name = "TControl.GetDeviceContext"
		size = 165
		refs = "0013 TControl.GetDeviceContext 0037 SParentRequired 003c LoadResString 0046 _Dn_EInvalidOperation 004b Exception.CreateFmt 0050 @RaiseExcept 006a SetViewportOrgEx 007c IntersectClipRect 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 24 00 75 31 8B 43 08 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 24 8B 08 FF 51 30 8B F0 6A 00 8B 43 34 50 8B 43 30 50 56 E8 ?? ?? ?? ?? 8B 43 3C 50 8B 43 38 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3436_0 {
	meta:
		name = "_NF__4D0"
		size = 139
		refs = "0025 TList.IndexOf 0035 TList.Get 004d TControl.GetBoundsRect 0061 IntersectRect 0071 EqualRect"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 C6 45 FF 01 8B 45 08 8B 40 FC 8B 40 24 8B B8 BC 00 00 00 8B 45 08 8B 50 FC 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 4E 4E 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 44 00 74 38 F6 43 40 40 74 32 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 08 83 C0 EC 50 8D 45 EC 50 E8 ?? ?? ?? ?? 8B 45 08 83 C0 EC 50 8D 45 EC 50 E8 ?? ?? ?? ?? 85 C0 75 08 85 F6 7F B2 C6 45 FF 00 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3437_0 {
	meta:
		name = "_NF__4D1"
		size = 138
		refs = "0035 TWinControl.HandleAllocated 0044 TControl.GetBoundsRect 005c _NF__4D0 007b TWinControl.GetHandle 0081 InvalidateRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 88 4D EB 8B DA 89 45 FC 84 DB 75 12 8B 45 FC F6 40 20 10 74 69 8B 45 FC F6 40 41 04 75 60 8B 45 FC 83 78 24 00 74 57 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 48 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 80 7D EB 00 75 17 8B 45 FC 8B 40 24 F6 40 40 40 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 74 04 33 C0 EB 02 B0 01 F6 D8 1B C0 50 8D 45 EC 50 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3438_0 {
	meta:
		name = "TControl.Invalidate"
		size = 16
		refs = "000b _NF__4D1"
	strings:
		$1 = { F6 40 40 40 0F 95 C1 8A 50 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3440_0 {
	meta:
		name = "TControl.Show"
		size = 44
		refs = "0025 TControl.SetVisible"
	strings:
		$1 = { 53 56 8B D8 8B 73 24 85 F6 74 09 8B D3 8B C6 8B 08 FF 51 74 F6 43 20 10 74 06 F6 43 41 04 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3441_0 {
	meta:
		name = "TControl.Update"
		size = 15
	strings:
		$1 = { 8B 50 24 85 D2 74 07 8B C2 8B 10 FF 52 50 C3 }
	condition:
		$1
}

rule function_3442_0 {
	meta:
		name = "TControl.Refresh"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_3443_0 {
	meta:
		name = "TControl.Repaint"
		size = 245
		refs = "0041 TWinControl.HandleAllocated 0061 TWinControl.GetHandle 0067 GetDC 0072 TControl.Repaint 00a1 IntersectClipRect 00b2 TWinControl.PaintControls 00d4 ReleaseDC 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 80 78 44 00 75 1A 8B 45 FC F6 40 20 10 0F 84 D0 00 00 00 8B 45 FC F6 40 41 04 0F 85 C3 00 00 00 8B 45 FC 83 78 24 00 0F 84 B6 00 00 00 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 84 C0 0F 84 A3 00 00 00 8B 45 FC F6 40 40 40 0F 84 86 00 00 00 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 FC 8B 52 34 8B CA 8B 5D FC 03 4B 3C 51 8B 45 FC 8B 40 30 8B C8 8B 5D FC 03 4B 38 51 52 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC 8B 10 FF 52 44 8B 45 FC 8B 10 FF 52 50 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3444_0 {
	meta:
		name = "TControl.BeginDrag"
		size = 211
		refs = "0015 TControl.BeginDrag 0023 _Dn_TCustomForm 0028 @IsClass 0034 SCannotDragForm 0039 LoadResString 0043 _Dn_EInvalidOperation 0048 Exception.Create 004d @RaiseExcept 0053 _NV__3CF 006b GetCursorPos 0078 TControl.ScreenToClient 008c PointToSmallPoint 009b TControl.Perform 00ac _NF__410 00c1 @LStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 56 89 35 ?? ?? ?? ?? F6 46 42 01 74 39 8D 45 F8 50 E8 ?? ?? ?? ?? 8D 4D EC 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F8 8B 45 F0 89 45 FC 8D 45 F8 E8 ?? ?? ?? ?? 50 33 C9 BA 02 02 00 00 8B C6 E8 ?? ?? ?? ?? 3B 35 ?? ?? ?? ?? 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3445_0 {
	meta:
		name = "TControl.EndDrag"
		size = 27
		refs = "0009 TControl.Dragging 0014 _NF__411"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3447_0 {
	meta:
		name = "TControl.Dragging"
		size = 10
		refs = "0002 _NV__3CF"
	strings:
		$1 = { 3B 05 ?? ?? ?? ?? 0F 94 C0 C3 }
	condition:
		$1
}

rule function_3448_0 {
	meta:
		name = "TControl.DragOver"
		size = 60
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 C6 06 01 66 83 B8 8E 00 00 00 00 74 1E 51 8B 4D 10 51 8A 4D 0C 51 56 8B D8 8B CA 8B D0 8B 83 90 00 00 00 FF 93 8C 00 00 00 EB 03 C6 06 00 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_3449_0 {
	meta:
		name = "TControl.DragDrop"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 86 00 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 88 00 00 00 FF 93 84 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3450_0 {
	meta:
		name = "TControl.DoStartDrag"
		size = 31
	strings:
		$1 = { 53 66 83 B8 96 00 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 98 00 00 00 FF 93 94 00 00 00 5B C3 }
	condition:
		$1
}

rule function_3451_0 {
	meta:
		name = "TControl.DoEndDrag"
		size = 42
		altNames = "TServerWinSocket.ClientErrorEvent"
	strings:
		$1 = { 55 8B EC 53 66 83 B8 9E 00 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 A0 00 00 00 FF 93 9C 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3452_0 {
	meta:
		name = "_NF__4FC"
		size = 149
		refs = "001b _DV_TDragControlObject 0020 @IsClass 0034 TControl.ScreenToClient 0065 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 14 24 8B F8 8B 34 24 8B 76 08 8B 5E 08 8B EB 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 8B 5D 04 8D 4C 24 08 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 04 24 8A 40 04 2C 03 72 04 74 33 EB 47 8B 44 24 0C 50 8B 44 24 04 8A 40 04 50 8D 44 24 0C 50 8B 4C 24 14 8B D3 8B C7 66 BB ED FF E8 ?? ?? ?? ?? 33 C0 8A 44 24 04 8B 14 24 89 42 0C EB 16 8B 44 24 0C 50 8B 4C 24 0C 8B D3 8B C7 66 BB E2 FF E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3453_0 {
	meta:
		name = "TControl.Perform"
		size = 49
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 F0 89 4D F4 8B 55 08 89 55 F8 33 D2 89 55 FC 85 C0 74 0B 8D 55 F0 8B D8 8B 43 2C FF 53 28 8B 45 FC 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3454_0 {
	meta:
		name = "TControl.UpdateBoundsRect"
		size = 29
	strings:
		$1 = { 8B 0A 89 48 30 8B 4A 04 89 48 34 8B 4A 08 2B 0A 89 48 38 8B 4A 0C 2B 4A 04 89 48 3C C3 }
	condition:
		$1
}

rule function_3456_0 {
	meta:
		name = "TControl.WndProc"
		size = 221
		refs = "0010 GetParentForm 00a6 Application 00af TApplication.HintMouseMessage 00c0 TControl.BeginDrag 00d5 TObject.Dispatch"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 F6 46 20 10 74 2C 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 1F 83 BF 54 01 00 00 00 74 16 8B CB 8B D6 8B 87 54 01 00 00 8B 38 FF 17 84 C0 0F 85 A0 00 00 00 8B 03 3D 00 01 00 00 7C 23 3D 08 01 00 00 7F 1C 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 0F 8B CB 8B D6 8B C7 8B 38 FF 57 7C 84 C0 75 74 8B 03 3D 00 02 00 00 7C 62 3D 0A 02 00 00 7F 5B F6 46 40 80 75 14 2D 03 02 00 00 74 0A 83 E8 03 74 05 83 E8 03 75 03 83 2B 02 8B 03 2D 00 02 00 00 74 0B 48 74 1A 48 74 2E 48 74 14 EB 2D 8B CB A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? EB 1B 80 7E 49 01 75 0B B2 01 8B C6 E8 ?? ?? ?? ?? EB 13 80 4E 42 01 EB 04 80 66 42 FE 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3457_0 {
	meta:
		name = "TControl.DefaultHandler"
		size = 120
		refs = "0022 TControl.DefaultHandler 0030 StrLCopy 0035 StrLen 005c StrNew 0066 StrDispose"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 06 83 E8 0C 74 4A 48 74 05 48 74 2A EB 57 8B 43 4C 85 C0 74 04 8B F8 EB 05 BF ?? ?? ?? ?? 8B 4E 04 49 8B 46 08 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C EB 2F 8B 7B 4C 85 FF 75 07 33 C0 89 46 0C EB 21 8B C7 E8 ?? ?? ?? ?? 89 46 0C EB 15 8B 46 08 E8 ?? ?? ?? ?? 8B F8 8B 43 4C E8 ?? ?? ?? ?? 89 7B 4C 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3458_0 {
	meta:
		name = "_NF__50D"
		size = 19
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 88 43 4A 5E 5B C3 }
	condition:
		$1
}

rule function_3459_0 {
	meta:
		name = "_NF__50E"
		size = 10
		refs = "0005 TWriter.WriteBoolean"
	strings:
		$1 = { 8A 40 4A 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3460_0 {
	meta:
		name = "_NF__50F"
		size = 47
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 1C 85 C0 74 14 8B 55 08 8A 40 4A 8B 55 08 8B 52 F8 3A 42 4A 0F 95 C0 5D C3 8B 45 08 8B 40 F8 8A 40 4A 5D C3 }
	condition:
		$1
}

rule function_3461_0 {
	meta:
		name = "TControl.DefineProperties"
		size = 80
		refs = "0012 _NF__50D 001b _NF__50E 0021 _NF__50F 0029 TControl.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 5B 59 59 5D C3 00 00 00 FF FF FF FF 09 00 00 00 49 73 43 6F 6E 74 72 6F 6C 00 00 00 }
	condition:
		$1
}

rule function_3462_0 {
	meta:
		name = "TChartSeries.DoAfterDrawValues"
		size = 29
		altNames = "TControl.Click TDataSet.DoAfterInsert"
	strings:
		$1 = { 53 66 83 B8 A6 00 00 00 00 74 10 8B D8 8B D0 8B 83 A8 00 00 00 FF 93 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_3463_0 {
	meta:
		name = "TControl.DblClick"
		size = 29
		altNames = "TDataSet.DoBeforeEdit"
	strings:
		$1 = { 53 66 83 B8 AE 00 00 00 00 74 10 8B D8 8B D0 8B 83 B0 00 00 00 FF 93 AC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_3464_0 {
	meta:
		name = "TControl.MouseDown"
		size = 45
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 66 83 78 6E 00 74 18 8A 4D FF 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 70 FF 53 6C 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3465_0 {
	meta:
		name = "_NF__51D"
		size = 66
		refs = "0023 KeysToShiftState 0036 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B FA 8B F0 F6 46 41 10 75 26 0F BF 47 08 50 0F BF 47 0A 50 66 8B 47 04 E8 ?? ?? ?? ?? 8B C8 0A 4D 08 8A 55 FF 8B C6 66 BB E8 FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3466_0 {
	meta:
		name = "TControl.WMLButtonDown"
		size = 76
		refs = "000b TControl.SendCancelMode 0023 TControl.SetMouseCapture 0032 TControl.WMLButtonDown 003e _NF__51D"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 F6 43 40 02 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? F6 43 40 08 74 04 80 4B 42 02 A0 ?? ?? ?? ?? 50 8B D6 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3467_0 {
	meta:
		name = "TControl.WMNCLButtonDown"
		size = 27
		refs = "000b TControl.SendCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_3468_0 {
	meta:
		name = "TControl.WMLButtonDblClk"
		size = 84
		refs = "000c TControl.SendCancelMode 0024 TControl.SetMouseCapture 0035 @CallDynaInst 003a TControl.WMLButtonDblClk 0046 _NF__51D"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 8B 08 FF 51 F0 F6 46 40 02 74 09 B2 01 8B C6 E8 ?? ?? ?? ?? F6 46 40 08 74 0B 8B C6 66 BB EF FF E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8B D7 33 C9 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_3469_0 {
	meta:
		name = "TControl.GetPopupMenu"
		size = 4
		altNames = "TPrinterSettings.GetPixelsPerY"
	strings:
		$1 = { 8B 40 5C C3 }
	condition:
		$1
}

rule function_3470_0 {
	meta:
		name = "_NF__529"
		size = 116
		refs = "001e @CallDynaInst 0033 TControl.SendCancelMode 0042 SmallPointToPoint 0051 TControl.ClientToScreen"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 14 24 8B F8 F6 47 20 10 75 5C 8B F7 85 F6 74 56 8B C6 66 BB E9 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 3E 80 7B 31 00 74 38 33 D2 8B C7 E8 ?? ?? ?? ?? 89 73 34 8D 54 24 0C 8B 04 24 E8 ?? ?? ?? ?? 8D 54 24 0C 8D 4C 24 04 8B C7 E8 ?? ?? ?? ?? 8B 4C 24 08 8B 54 24 04 8B C3 8B 18 FF 53 30 EB 07 8B 76 24 85 F6 75 AA 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3471_0 {
	meta:
		name = "TControl.WMRButtonDown"
		size = 40
		refs = "0010 TControl.WMRButtonDown 001c _NF__51D"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 A0 ?? ?? ?? ?? 50 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_3472_0 {
	meta:
		name = "TControl.WMRButtonDblClk"
		size = 40
		refs = "0010 TControl.WMRButtonDblClk 001c _NF__51D"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 A0 ?? ?? ?? ?? 50 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_3473_0 {
	meta:
		name = "TControl.WMMButtonDown"
		size = 40
		refs = "0010 TControl.WMMButtonDown 001c _NF__51D"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 A0 ?? ?? ?? ?? 50 8B D6 B1 02 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_3474_0 {
	meta:
		name = "TControl.WMMButtonDblClk"
		size = 40
		refs = "0010 TControl.WMMButtonDblClk 001c _NF__51D"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 A0 ?? ?? ?? ?? 50 8B D6 B1 02 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_3475_0 {
	meta:
		name = "TControl.MouseMove"
		size = 39
	strings:
		$1 = { 55 8B EC 51 53 88 55 FF 66 83 78 76 00 74 12 51 8B 55 08 52 8B D8 8B D0 8A 4D FF 8B 43 78 FF 53 74 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3476_0 {
	meta:
		name = "TControl.WMMouseMove"
		size = 57
		refs = "0020 KeysToShiftState 0031 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 51 F0 F6 46 41 10 75 1F 0F BF 47 0A 50 66 8B 47 04 E8 ?? ?? ?? ?? 8B D0 0F BF 4F 08 8B C6 66 BB E7 FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3477_0 {
	meta:
		name = "TControl.MouseUp"
		size = 48
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 66 83 78 7E 00 74 1B 8A 4D FF 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 80 00 00 00 FF 53 7C 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3478_0 {
	meta:
		name = "_NF__544"
		size = 58
		refs = "0020 KeysToShiftState 0031 @CallDynaInst"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B F0 F6 46 41 10 75 24 0F BF 47 08 50 0F BF 47 0A 50 66 8B 47 04 E8 ?? ?? ?? ?? 8B C8 8A 54 24 08 8B C6 66 BB E6 FF E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3479_0 {
	meta:
		name = "TControl.WMLButtonUp"
		size = 116
		refs = "001e TControl.SetMouseCapture 0032 SmallPointToPoint 004f PtInRect 005e @CallDynaInst 0069 _NF__544"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B FA 8B F0 8B D7 8B C6 8B 08 FF 51 F0 F6 46 40 02 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? F6 46 42 02 74 3A 80 66 42 FD 8B D4 8B 47 08 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8D 54 24 10 8B C6 8B 08 FF 51 2C 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 74 0B 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 8B D7 33 C9 8B C6 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3480_0 {
	meta:
		name = "TControl.WMRButtonUp"
		size = 45
		refs = "0016 _NF__544 0026 _NF__529"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 83 7E 0C 00 75 0A 8B 56 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3481_0 {
	meta:
		name = "TControl.WMMButtonUp"
		size = 29
		refs = "0016 _NF__544"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B D6 B1 02 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3482_0 {
	meta:
		name = "TControl.WMCancelMode"
		size = 54
		refs = "000d TControl.GetMouseCapture 001a TControl.SetMouseCapture 0030 TControl.Perform"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F 33 D2 8B C6 E8 ?? ?? ?? ?? F6 46 42 01 74 10 6A FF 33 C9 BA 02 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_3483_0 {
	meta:
		name = "TControl.CMVisibleChanged"
		size = 38
		refs = "0021 _NF__4D1"
	strings:
		$1 = { F6 40 20 10 74 06 F6 40 41 04 74 19 80 78 44 00 74 06 F6 40 40 40 75 04 33 C9 EB 02 B1 01 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3487_0 {
	meta:
		name = "TControl.CMParentColorChanged"
		size = 46
		refs = "0015 TControl.SetColor"
	strings:
		$1 = { 53 8B D8 80 7B 47 00 74 23 83 7A 04 00 74 0C 8B 52 08 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 43 24 8B 50 54 8B C3 E8 ?? ?? ?? ?? C6 43 47 01 5B C3 }
	condition:
		$1
}

rule function_3488_0 {
	meta:
		name = "TControl.CMParentShowHintChanged"
		size = 28
		refs = "0012 TControl.SetShowHint"
	strings:
		$1 = { 53 8B D8 80 7B 6A 00 74 11 8B 43 24 8A 50 69 8B C3 E8 ?? ?? ?? ?? C6 43 6A 01 5B C3 }
	condition:
		$1
}

rule function_3489_0 {
	meta:
		name = "TControl.CMParentFontChanged"
		size = 46
		refs = "0015 TControl.SetFont"
	strings:
		$1 = { 53 8B D8 80 7B 46 00 74 23 83 7A 04 00 74 0C 8B 52 08 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 43 24 8B 50 50 8B C3 E8 ?? ?? ?? ?? C6 43 46 01 5B C3 }
	condition:
		$1
}

rule function_3490_0 {
	meta:
		name = "TControl.CMSysFontChanged"
		size = 32
		refs = "000a Screen 0016 TControl.SetFont"
	strings:
		$1 = { 53 8B D8 80 7B 43 00 74 15 A1 ?? ?? ?? ?? 8B 00 8B 50 70 8B C3 E8 ?? ?? ?? ?? C6 43 43 01 5B C3 }
	condition:
		$1
}

rule function_3491_0 {
	meta:
		name = "TControl.CMHitTest"
		size = 8
		altNames = "TDBCtrlGrid.WMEraseBkgnd TDBCtrlPanel.WMEraseBkgnd TDBNavigator.WMGetDlgCode TMediaPlayer.WMGetDlgCode TPopupGrid.CMHintShow TSpinButton.WMGetDlgCode TTabbedNotebook.WMGetDlgCode"
	strings:
		$1 = { C7 42 0C 01 00 00 00 C3 }
	condition:
		$1
}

rule function_3492_0 {
	meta:
		name = "TControl.CMMouseEnter"
		size = 23
		refs = "0012 TControl.Perform"
	strings:
		$1 = { 8B 50 24 85 D2 74 0F 50 33 C9 8B C2 BA 13 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3493_0 {
	meta:
		name = "TControl.CMMouseLeave"
		size = 23
		refs = "0012 TControl.Perform"
	strings:
		$1 = { 8B 50 24 85 D2 74 0F 50 33 C9 8B C2 BA 14 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3494_0 {
	meta:
		name = "TControl.CMDesignHitTest"
		size = 6
	strings:
		$1 = { 33 C0 89 42 0C C3 }
	condition:
		$1
}

rule function_3495_0 {
	meta:
		name = "TWinControl.Create"
		size = 148
		refs = "000e @ClassCreate 001c TControl.Create 0022 TWinControl.MainWndProc 0027 MakeObjectInstance 0034 _Dn_TBrush 0039 TBrush.Create 004b TBrush.SetColor 006f Screen 0079 @LStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C8 00 00 00 8B 53 54 8B C6 E8 ?? ?? ?? ?? C6 83 D6 00 00 00 01 C7 83 D8 00 00 00 FF FF FF FF C6 83 E4 00 00 00 03 8D 83 E8 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 52 2C E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3496_0 {
	meta:
		name = "TWinControl.CreateParented"
		size = 63
		refs = "000e @ClassCreate"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 89 8B D0 00 00 00 33 C9 33 D2 8B C3 8B 30 FF 56 24 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3497_0 {
	meta:
		name = "TWinControl.Destroy"
		size = 156
		refs = "000b TComponent.Destroying 001a _NF__598 0031 TWinControl.GetControlCount 003f TWinControl.GetControl 004a _NF__59A 0069 TObject.Free 0078 FreeObjectInstance 0085 TControl.Destroy 0092 @ClassDestroy"
	strings:
		$1 = { 53 56 51 88 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 24 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 83 BB CC 00 00 00 00 74 07 8B C3 8B 10 FF 52 68 8B C3 E8 ?? ?? ?? ?? 85 C0 74 29 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 75 D7 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8A 14 24 80 E2 FE 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3498_0 {
	meta:
		name = "TWinControl.FixupTabList"
		size = 209
		refs = "001e _Dn_TList 0023 TObject.Create 002e TWinControl.FixupTabList 004e TList.SetCount 0069 TList.Get 0082 TList.Put 00a6 _NF__71F 00bf TObject.Free 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 45 FC 8B 45 FC 83 B8 C0 00 00 00 00 0F 84 B0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 80 C0 00 00 00 8B 40 08 89 45 F8 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 5D F8 4B 85 DB 7C 30 43 33 F6 8B 45 FC 8B 80 C0 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 90 D8 00 00 00 85 D2 7C 0F 3B 55 F8 7D 0A 8B C8 8B 45 F4 E8 ?? ?? ?? ?? 46 4B 75 D3 8B 5D F8 4B 85 DB 7C 1C 43 33 F6 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 46 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3499_0 {
	meta:
		name = "TWinControl.ReadState"
		size = 117
		refs = "000e TWinControl.DisableAlign 0016 TWinControl.ReadState 0026 TControl.ReadState 003b TWinControl.EnableAlign 0041 @HandleFinally 004b TWinControl.FixupTabList 0065 TControl.Perform 006d TWinControl.UpdateControlState"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 24 00 74 11 6A 00 33 C9 BA 11 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_3500_0 {
	meta:
		name = "_NF__585"
		size = 95
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 33 C9 8A 5D FF FE CB 74 0E FE CB 74 15 FE CB 74 24 FE CB 74 2B EB 3A 8B 40 34 3B 42 34 0F 9C C1 EB 2F 8B 48 34 03 48 3C 8B 42 34 03 42 3C 3B C8 0F 9F C1 EB 1C 8B 40 30 3B 42 30 0F 9C C1 EB 11 8B 48 30 03 48 38 8B 42 30 03 42 38 3B C8 0F 9F C1 8B C1 5B 59 5D C3 }
	condition:
		$1
}

rule function_3501_0 {
	meta:
		name = "_NF__586"
		size = 7
	strings:
		$1 = { 85 C0 7D 02 8B C2 C3 }
	condition:
		$1
}

rule function_3502_0 {
	meta:
		name = "_NF__587"
		size = 403
		refs = "0061 _NF__587 0094 _NF__586 0179 IsRectEmpty 018a TControl.SetBoundsRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B C2 FE C8 74 0E FE C8 74 18 FE C8 74 22 FE C8 74 2B EB 35 8B 45 08 8B 40 FC 8B 4E 3C 01 48 04 EB 27 8B 45 08 8B 40 FC 8B 4E 3C 29 48 0C EB 19 8B 45 08 8B 40 FC 8B 4E 38 01 08 EB 0C 8B 45 08 8B 40 FC 8B 4E 38 29 48 08 33 C0 8A C2 83 F8 05 0F 87 30 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 08 8B 55 08 8B 5A FC 8B 1B 2B C3 8B 56 38 E8 ?? ?? ?? ?? 50 8B 46 3C 50 8B 45 08 8B 48 FC 8B 49 04 2B 4E 3C 8B 45 08 8B 40 FC 8B D3 8B C6 8B 18 FF 53 4C E9 D1 00 00 00 8B 45 08 8B 40 FC 8B 40 08 8B 55 08 8B 5A FC 8B 1B 2B C3 8B 56 38 E8 ?? ?? ?? ?? 50 8B 46 3C 50 8B 45 08 8B 48 FC 8B 49 0C 8B 45 08 8B 40 FC 8B D3 8B C6 8B 18 FF 53 4C E9 94 00 00 00 8B 5E 38 53 8B 45 08 8B 40 FC 8B 40 0C 8B 55 08 8B 7A FC 8B 7F 04 2B C7 8B 56 3C E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 8B CF 8B 45 08 8B 50 FC 8B 12 2B D3 8B C6 8B 18 FF 53 4C EB 58 8B 46 38 50 8B 45 08 8B 40 FC 8B 40 0C 8B 55 08 8B 5A FC 8B 5B 04 2B C3 8B 56 3C E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 8B CB 8B 45 08 8B 50 FC 8B 52 08 8B C6 8B 18 FF 53 4C EB 1D 8B 45 08 8B 40 FC 50 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 45 08 8B 50 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_3503_0 {
	meta:
		name = "_NF__588"
		size = 303
		refs = "0013 TList.Clear 005f TList.Add 006a TWinControl.GetControlCount 0087 TWinControl.GetControl 00c8 TList.Get 00d4 _NF__585 00e7 TList.Insert 011d _NF__587"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 45 FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 83 78 F4 00 74 43 8B 45 08 8B 40 F4 80 78 44 00 75 18 8B 45 08 8B 40 F4 F6 40 20 10 74 2B 8B 45 08 8B 40 F4 F6 40 41 04 75 1F 8B 45 08 8B 40 F4 8A 40 48 3A 45 FF 75 11 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 7C 47 C7 45 F8 00 00 00 00 8B 45 08 8B 40 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8A 43 48 3A 45 FF 75 56 80 7B 44 00 75 0C F6 43 20 10 74 4A F6 43 41 04 75 44 8B 45 08 3B 58 F4 74 3C 33 F6 EB 01 46 8B 45 08 8B 40 F8 3B 70 08 7D 1D 8B 45 08 8B 40 F8 8B D6 E8 ?? ?? ?? ?? 8B D0 8A 4D FF 8B C3 E8 ?? ?? ?? ?? 84 C0 74 D7 8B 45 08 8B 40 F8 8B CB 8B D6 E8 ?? ?? ?? ?? FF 45 F8 4F 75 8C 8B 45 08 8B 40 F8 8B 78 08 4F 85 FF 7C 29 47 C7 45 F8 00 00 00 00 8B 45 08 50 8B 45 08 8B 40 F8 8B 55 F8 E8 ?? ?? ?? ?? 8A 55 FF E8 ?? ?? ?? ?? 59 FF 45 F8 4F 75 DF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3504_0 {
	meta:
		name = "_NF__589"
		size = 59
		refs = "000e TWinControl.GetControlCount 0023 TWinControl.GetControl"
	strings:
		$1 = { 55 8B EC 53 56 B3 01 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 19 8B 45 08 8B 40 F0 8B D6 E8 ?? ?? ?? ?? 80 78 48 00 75 08 4E 83 FE FF 75 E7 33 DB 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_3505_0 {
	meta:
		name = "TWinControl.AlignControls"
		size = 133
		refs = "0011 _NF__589 001d _Dn_TList 0022 TObject.Create 002d TWinControl.AlignControls 003b _NF__588 0075 TObject.Free 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D FC 89 55 F4 89 45 F0 55 E8 ?? ?? ?? ?? 59 84 C0 74 67 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 B0 01 E8 ?? ?? ?? ?? 59 55 B0 02 E8 ?? ?? ?? ?? 59 55 B0 03 E8 ?? ?? ?? ?? 59 55 B0 04 E8 ?? ?? ?? ?? 59 55 B0 05 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_3506_0 {
	meta:
		name = "_NF__58E"
		size = 133
		refs = "0010 TWinControl.HandleAllocated 0032 TWinControl.DisableAlign 003a _NF__58E 0074 TWinControl.EnableAlign 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 68 8B 45 FC 66 83 B8 DC 00 00 00 00 74 09 8B 45 FC 80 48 42 10 EB 52 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 08 FF 51 2C 8D 4D EC 8B D3 8B 45 FC 8B 18 FF 53 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 60 42 EF 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3507_0 {
	meta:
		name = "TWinControl.DisableAlign"
		size = 8
	strings:
		$1 = { 66 FF 80 DC 00 00 00 C3 }
	condition:
		$1
}

rule function_3508_0 {
	meta:
		name = "TWinControl.EnableAlign"
		size = 29
		refs = "0018 TWinControl.Realign"
	strings:
		$1 = { 66 FF 88 DC 00 00 00 66 83 B8 DC 00 00 00 00 75 0B F6 40 42 10 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3510_0 {
	meta:
		name = "TWinControl.ContainsControl"
		size = 19
	strings:
		$1 = { EB 03 8B 52 24 85 D2 74 04 3B C2 75 F5 85 D2 0F 95 C0 C3 }
	condition:
		$1
}

rule function_3511_0 {
	meta:
		name = "_NF__598"
		size = 29
		refs = "0009 GetParentForm 0016 TCustomForm.DefocusControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 09 8B CB 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3512_0 {
	meta:
		name = "_NF__599"
		size = 74
		refs = "000e _DV_TWinControl 0013 @IsClass 0024 _NF__418"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 3D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8D 86 C0 00 00 00 8B D3 E8 ?? ?? ?? ?? 8D 86 C4 00 00 00 8B D3 E8 ?? ?? ?? ?? EB 0D 8D 86 BC 00 00 00 8B D3 E8 ?? ?? ?? ?? 89 73 24 5E 5B C3 }
	condition:
		$1
}

rule function_3513_0 {
	meta:
		name = "_NF__59A"
		size = 72
		refs = "000a _DV_TWinControl 000f @IsClass 0020 _NF__419"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8D 86 C4 00 00 00 8B D3 E8 ?? ?? ?? ?? 8D 86 C0 00 00 00 8B D3 E8 ?? ?? ?? ?? EB 0D 8D 86 BC 00 00 00 8B D3 E8 ?? ?? ?? ?? 33 C0 89 43 24 5E 5B C3 }
	condition:
		$1
}

rule function_3514_0 {
	meta:
		name = "TWinControl.InsertControl"
		size = 190
		refs = "0010 @CallDynaInst 0022 TControl.Perform 002b _NF__599 0069 _DV_TWinControl 006e @IsClass 0089 TWinControl.UpdateControlState 0092 TWinControl.HandleAllocated 00a6 _NF__58E"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B D7 8B C6 66 BB F5 FF E8 ?? ?? ?? ?? 6A 01 8B DE 8B CB BA 2C B0 00 00 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? F6 46 42 08 75 75 6A 00 33 C9 BA 09 B0 00 00 8B C6 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 08 B0 00 00 8B C6 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 23 B0 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 6A 00 33 C9 BA 11 B0 00 00 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 12 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 8B 10 FF 52 44 8B D6 8B C7 E8 ?? ?? ?? ?? 6A 01 8B CB BA 36 B0 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3515_0 {
	meta:
		name = "TWinControl.RemoveControl"
		size = 123
		refs = "0016 TControl.Perform 001e _DV_TWinControl 0023 @IsClass 0032 _NF__598 0039 TWinControl.DestroyHandle 0042 TWinControl.HandleAllocated 0052 _NF__4D1 005b _NF__59A 0072 TWinControl.Realign"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 6A 00 8B FB 8B CF BA 36 B0 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 B2 01 8B EB 8B C5 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? EB 17 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 33 C9 8A 53 44 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 00 8B CF BA 2C B0 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3516_0 {
	meta:
		name = "TWinControl.GetControl"
		size = 46
		refs = "0019 TList.Get"
	strings:
		$1 = { 56 8B B0 BC 00 00 00 85 F6 74 05 8B 4E 08 EB 02 33 C9 3B CA 7E 09 8B C6 E8 ?? ?? ?? ?? 5E C3 2B D1 8B 80 C0 00 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_3517_0 {
	meta:
		name = "TWinControl.GetControlCount"
		size = 31
	strings:
		$1 = { 33 D2 8B 88 BC 00 00 00 85 C9 74 03 03 51 08 8B 88 C0 00 00 00 85 C9 74 03 03 51 08 8B C2 C3 }
	condition:
		$1
}

rule function_3518_0 {
	meta:
		name = "TWinControl.Broadcast"
		size = 64
		refs = "000e TWinControl.GetControlCount 0022 TWinControl.GetControl"
	strings:
		$1 = { 53 56 57 55 51 8B F2 89 04 24 8B 04 24 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 FF 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B E8 8B D6 8B 45 2C FF 55 28 83 7E 0C 00 75 04 47 4B 75 E2 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3519_0 {
	meta:
		name = "TWinControl.NotifyControls"
		size = 38
		refs = "001e TWinControl.Broadcast"
	strings:
		$1 = { 83 C4 F0 0F B7 D2 89 14 24 33 D2 89 54 24 04 33 D2 89 54 24 08 33 D2 89 54 24 0C 8B D4 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_3520_0 {
	meta:
		name = "TWinControl.CreateSubClass"
		size = 109
		refs = "0014 HInstance 001c GetClassInfo 003a MainInstance"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 85 F6 74 5E 8B 7B 34 8D 43 24 50 56 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 85 C0 75 34 8D 43 24 50 56 6A 00 E8 ?? ?? ?? ?? 85 C0 75 24 8D 43 24 50 56 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 85 C0 75 0E 8D 43 24 50 56 8B 43 34 50 E8 ?? ?? ?? ?? 89 7B 34 8B 43 24 25 1F BF FF FF 83 C8 03 89 43 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3521_0 {
	meta:
		name = "TWinControl.CreateParams"
		size = 287
		refs = "0019 TWinControl.CreateParams 002d @FillChar 0096 TWinControl.GetHandle 00b0 DefWindowProc 00bf LoadCursor 00cc HInstance 00de TObject.ClassName 00ec @LStrFromString 00f7 StrPCopy 010c @LStrClr 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 33 C9 BA 8C 00 00 00 E8 ?? ?? ?? ?? 8B 46 4C 89 03 C7 43 04 00 00 00 44 F6 46 40 01 74 0E 81 4B 04 00 00 00 02 81 4B 08 00 00 01 00 F6 46 20 10 75 0D 80 7E 45 00 75 07 81 4B 04 00 00 00 08 80 BE D4 00 00 00 00 74 07 81 4B 04 00 00 01 00 8B 46 30 89 43 0C 8B 46 34 89 43 10 8B 46 38 89 43 14 8B 46 3C 89 43 18 8B 7E 24 85 FF 74 0C 8B C7 E8 ?? ?? ?? ?? 89 43 1C EB 09 8B 86 D0 00 00 00 89 43 1C C7 43 24 0B 00 00 00 B8 ?? ?? ?? ?? 89 43 28 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 89 43 3C 33 C0 89 43 40 A1 ?? ?? ?? ?? 8B 00 89 43 34 8D 95 FC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3522_0 {
	meta:
		name = "TWinControl.CreateWnd"
		size = 341
		refs = "0018 TWinControl.CreateWnd 005e SParentRequired 0063 LoadResString 0070 _Dn_EInvalidOperation 0075 Exception.CreateFmt 007a @RaiseExcept 0097 GetClassInfo 00a6 InitWndProc 00bf UnregisterClass 00d5 RegisterClass 00df RaiseLastWin32Error 00e5 CreationControl 0108 StrDispose 0114 _NF__728 011e TFont.GetHandle 012c TControl.Perform 0144 @LStrClr 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 40 FF FF FF 53 33 D2 89 95 40 FF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 74 FF FF FF 8B C3 8B 08 FF 51 5C 83 7D 90 00 75 49 F6 85 7B FF FF FF 40 74 40 8B 43 08 89 85 44 FF FF FF C6 85 48 FF FF FF 0B 8D 85 44 FF FF FF 50 6A 00 8D 95 40 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 40 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 83 B8 00 00 00 8D 85 4C FF FF FF 50 8D 45 C0 50 8B 45 A8 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 84 C0 74 0D BA ?? ?? ?? ?? 3B 95 50 FF FF FF 74 31 84 C0 74 0D 8B 45 A8 50 8D 45 C0 50 E8 ?? ?? ?? ?? C7 45 9C ?? ?? ?? ?? 8D 45 C0 89 45 BC 8D 45 98 50 E8 ?? ?? ?? ?? 66 85 C0 75 05 E8 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 8D 95 74 FF FF FF 8B C3 8B 08 FF 51 60 83 BB CC 00 00 00 00 75 05 E8 ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 33 C0 89 43 4C 8B C3 E8 ?? ?? ?? ?? 6A 01 8B 43 50 E8 ?? ?? ?? ?? 8B C8 BA 30 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3523_0 {
	meta:
		name = "TWinControl.CreateWindowHandle"
		size = 65
		refs = "0034 CreateWindowEx"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 20 50 8B 43 34 50 6A 00 8B 43 1C 50 8B 43 18 50 8B 43 14 50 8B 43 10 50 8B 43 0C 50 8B 43 04 50 8B 03 50 8D 43 4C 50 8B 43 08 50 E8 ?? ?? ?? ?? 89 86 CC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3524_0 {
	meta:
		name = "TWinControl.DestroyWnd"
		size = 88
		refs = "0008 TControl.GetTextLen 0014 TWinControl.DestroyWnd 0019 StrNew 0026 StrAlloc 0032 StrBufSize 003d TControl.GetTextBuf 0042 _NF__420"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB 01 7D 0F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C EB 1F 8D 43 01 E8 ?? ?? ?? ?? 8B F8 89 7E 4C 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 68 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3525_0 {
	meta:
		name = "TWinControl.DestroyWindowHandle"
		size = 13
		refs = "0008 DestroyWindow"
	strings:
		$1 = { 8B 80 CC 00 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3526_0 {
	meta:
		name = "_NF__5BC"
		size = 71
		refs = "0010 TList.IndexOf 002f TList.Get"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 87 C0 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 46 8B 87 C0 00 00 00 8B 58 08 4B 2B DE 7C 1C 43 8B 87 C0 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 85 C0 75 06 46 4B 75 E5 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3527_0 {
	meta:
		name = "TWinControl.CreateHandle"
		size = 106
		refs = "001a _NV__3AD 0027 SetProp 002f _NV__3AC 0056 _NF__5BC 0063 SetWindowPos"
	strings:
		$1 = { 53 56 8B D8 83 BB CC 00 00 00 00 75 5A 8B C3 8B 10 FF 52 64 8B F3 56 0F B7 05 ?? ?? ?? ?? 50 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 56 0F B7 05 ?? ?? ?? ?? 50 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 73 24 85 F6 74 20 6A 13 6A 00 6A 00 6A 00 6A 00 8B D3 8B C6 E8 ?? ?? ?? ?? 50 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3528_0 {
	meta:
		name = "TWinControl.DestroyHandle"
		size = 68
		refs = "002c TList.Get 0031 TWinControl.DestroyHandle"
	strings:
		$1 = { 53 56 57 8B F0 83 BE CC 00 00 00 00 74 32 8B 86 C0 00 00 00 85 C0 74 21 8B 58 08 4B 85 DB 7C 19 43 33 FF 8B D7 8B 86 C0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EA 8B C6 8B 10 FF 52 6C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3529_0 {
	meta:
		name = "TWinControl.RecreateWnd"
		size = 24
		refs = "0013 TControl.Perform"
	strings:
		$1 = { 83 B8 CC 00 00 00 00 74 0E 6A 00 33 C9 BA 33 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3530_0 {
	meta:
		name = "TWinControl.CMRecreateWnd"
		size = 55
		refs = "0007 TWinControl.Focused 0010 TWinControl.DestroyHandle 0017 TWinControl.UpdateControlState 0030 SetFocus"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 74 15 83 BE CC 00 00 00 00 74 0C 8B 86 CC 00 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3531_0 {
	meta:
		name = "_NF__5C6"
		size = 245
		refs = "0076 TList.Get 007b _NF__5C6 00c4 TControl.Perform 00d3 @HandleAnyException 00e6 @RaiseAgain 00eb @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 45 FC 80 78 44 00 75 12 8B 45 FC F6 40 20 10 74 12 8B 45 FC F6 40 41 04 75 09 8B 45 FC F6 40 42 08 74 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 74 45 8B 45 FC 83 B8 CC 00 00 00 00 75 08 8B 45 FC 8B 10 FF 52 58 8B 45 FC 8B 80 C0 00 00 00 85 C0 74 24 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 45 FC 8B 80 C0 00 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 8B 45 FC 83 B8 CC 00 00 00 00 74 60 8B 45 FC 8A 80 D7 00 00 00 3A 45 FB 74 52 8B 45 FC 8A 55 FB 88 90 D7 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 BA 19 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8A 45 FB 34 01 8B 55 FC 88 82 D7 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3532_0 {
	meta:
		name = "TWinControl.UpdateControlState"
		size = 62
		refs = "001e _Dn_TCustomForm 0023 @IsClass 0037 _NF__5C6"
	strings:
		$1 = { 53 56 8B F0 8B DE EB 0B 8B D8 80 BB D7 00 00 00 00 74 28 8B 43 24 85 C0 75 EE 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 09 83 BB D0 00 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3533_0 {
	meta:
		name = "TWinControl.SetParentWindow"
		size = 86
		refs = "0039 SetParent 0042 TWinControl.DestroyHandle 004f TWinControl.UpdateControlState"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 24 00 75 47 3B B3 D0 00 00 00 74 3F 83 BB CC 00 00 00 00 74 22 83 BB D0 00 00 00 00 74 19 85 F6 74 15 89 B3 D0 00 00 00 56 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? EB 0D 8B C3 E8 ?? ?? ?? ?? 89 B3 D0 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3534_0 {
	meta:
		name = "TWinControl.MainWndProc"
		size = 119
		refs = "000e TWinControl.MainWndProc 003d _NF__420 0042 FreeMemoryContexts 0048 @HandleFinally 0059 @HandleAnyException 005e Application 0068 TApplication.HandleException 006d @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 43 2C FF 53 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3535_0 {
	meta:
		name = "TWinControl.ControlAtPos"
		size = 192
		refs = "0032 TList.Get 0049 Point 0066 PtInRect 0093 PointToSmallPoint 00a2 TControl.Perform"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 88 0C 24 8B EA 8B F8 8B 87 BC 00 00 00 85 C0 0F 84 98 00 00 00 8B 70 08 4E 83 FE 00 0F 8C 8B 00 00 00 8B D6 8B 87 BC 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 4C 24 04 8B 55 04 2B 53 34 8B 45 00 2B 43 30 E8 ?? ?? ?? ?? FF 74 24 08 FF 74 24 08 8D 54 24 14 8B C3 8B 08 FF 51 2C 8D 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 74 3C F6 43 20 10 74 0C 80 7B 44 00 75 3C F6 43 41 04 74 36 80 7B 44 00 74 24 8A 43 45 0A 04 24 74 1C 8D 44 24 04 E8 ?? ?? ?? ?? 50 33 C9 BA 0A B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0C 4E 83 FE FF 0F 85 75 FF FF FF 33 DB 8B C3 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3536_0 {
	meta:
		name = "TWinControl.IsControlMouseMsg"
		size = 140
		refs = "000d TWinControl.GetHandle 0014 GetCapture 0020 _NV__3CB 0041 SmallPointToPoint 004e TWinControl.ControlAtPos 0072 PointToSmallPoint 007f TControl.Perform"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 1D 33 DB 83 3D ?? ?? ?? ?? 00 74 2D A1 ?? ?? ?? ?? 3B 70 24 75 23 8B 1D ?? ?? ?? ?? EB 1B 8D 54 24 08 8B 47 08 E8 ?? ?? ?? ?? 8D 54 24 08 33 C9 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 85 DB 74 2B 0F BF 47 08 2B 43 30 89 04 24 0F BF 47 0A 2B 43 34 89 44 24 04 8B C4 E8 ?? ?? ?? ?? 50 8B 4F 04 8B 17 8B C3 E8 ?? ?? ?? ?? B0 01 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3537_0 {
	meta:
		name = "TWinControl.WndProc"
		size = 294
		refs = "004b GetParentForm 005e TCustomForm.SetFocusedControl 0083 TControl.WndProc 0099 SmallPointToPoint 00a6 TControl.ScreenToClient 00b1 TWinControl.ControlAtPos 00c7 TWinControl.IsControlMouseMsg 00d4 TControl.Dragging 00e1 TWinControl.GetHandle 00e8 GetCapture 00f2 _NV__3CB 0112 TControl.Perform"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B 06 3D 84 00 00 00 7F 18 74 69 83 E8 07 74 2E 48 74 52 83 E8 17 0F 84 B8 00 00 00 E9 EB 00 00 00 05 00 FF FF FF 83 E8 09 0F 82 98 00 00 00 05 09 FF FF FF 83 E8 0B 72 7F E9 CE 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 BD 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 B5 00 00 00 E9 A7 00 00 00 F6 43 42 20 0F 85 A6 00 00 00 E9 98 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 0C FF 0F 85 8E 00 00 00 8D 54 24 08 8B 46 08 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C3 E8 ?? ?? ?? ?? 8B D4 33 C9 8B C3 E8 ?? ?? ?? ?? 85 C0 74 66 C7 46 0C 01 00 00 00 EB 5D 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 50 EB 45 8B C3 E8 ?? ?? ?? ?? 84 C0 75 43 EB 38 8B C3 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 75 26 83 3D ?? ?? ?? ?? 00 74 1D A1 ?? ?? ?? ?? 3B 58 24 75 13 6A 00 33 C9 BA 1F 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3538_0 {
	meta:
		name = "TWinControl.DefaultHandler"
		size = 180
		refs = "0041 SendMessage 0051 ColorToRGB 005b SetTextColor 0066 TBrush.GetColor 0075 SetBkColor 0080 TBrush.GetHandle 009d CallWindowProc 00ab TControl.DefaultHandler"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B AB CC 00 00 00 85 ED 0F 84 90 00 00 00 8B 3E 8B C7 05 CE FE FF FF 83 E8 07 72 0C 05 07 44 FF FF 83 E8 07 72 1C EB 59 8B 5E 08 53 8B 46 04 50 81 C7 00 BC 00 00 57 53 E8 ?? ?? ?? ?? 89 46 0C EB 65 8B 43 50 8B 40 14 E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 89 46 0C EB 26 8B 46 08 50 8B 46 04 50 8B 06 50 55 8B 83 B8 00 00 00 50 E8 ?? ?? ?? ?? 89 46 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3539_0 {
	meta:
		name = "_NF__5DC"
		size = 51
		refs = "0008 FindControl 0024 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F2 33 DB E8 ?? ?? ?? ?? 8B F8 85 FF 74 1B 8B 46 08 50 8B 4E 04 8B 16 81 C2 00 BC 00 00 8B C7 E8 ?? ?? ?? ?? 89 46 0C B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3540_0 {
	meta:
		name = "TWinControl.PaintHandler"
		size = 296
		refs = "0021 TWinControl.GetHandle 0027 BeginPaint 0031 TWinControl.PaintHandler 0058 SaveDC 0086 TList.Get 00ba ExcludeClipRect 00e1 RestoreDC 00ed TWinControl.PaintControls 0115 EndPaint 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 89 55 F8 89 45 FC 8B 5D F8 8B 5B 04 85 DB 75 14 8D 45 B0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 B8 BC 00 00 00 00 75 0F 8B D3 8B 45 FC 8B 08 FF 51 70 E9 8F 00 00 00 53 E8 ?? ?? ?? ?? 89 45 F0 C7 45 F4 02 00 00 00 8B 45 FC 8B 80 BC 00 00 00 8B 78 08 4F 85 FF 7C 54 47 33 F6 8B 45 FC 8B 80 BC 00 00 00 8B D6 E8 ?? ?? ?? ?? 80 78 44 00 75 0C F6 40 20 10 74 31 F6 40 41 04 75 2B F6 40 40 40 74 25 8B 50 34 03 50 3C 52 8B 50 30 03 50 38 52 8B 50 34 52 8B 40 30 50 53 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 01 74 04 46 4F 75 AF 83 7D F4 01 74 0A 8B D3 8B 45 FC 8B 08 FF 51 70 8B 45 F0 50 53 E8 ?? ?? ?? ?? 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 75 12 8D 45 B0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3541_0 {
	meta:
		name = "TWinControl.PaintWindow"
		size = 43
	strings:
		$1 = { 56 83 C4 F0 8B F0 C7 04 24 0F 00 00 00 89 54 24 04 33 C0 89 44 24 08 33 C0 89 44 24 0C 8B D4 8B C6 8B 08 FF 51 F0 83 C4 10 5E C3 }
	condition:
		$1
}

rule function_3542_0 {
	meta:
		name = "TWinControl.PaintControls"
		size = 519
		refs = "0028 TList.IndexOf 0054 TList.Get 0089 Rect 0094 RectVisible 00a8 SaveDC 00b9 MoveWindowOrg 00cb IntersectClipRect 00db TControl.Perform 00e6 RestoreDC 0160 ColorToRGB 0166 CreateSolidBrush 0199 FrameRect 01a3 DeleteObject"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 89 0C 24 8B EA 8B F8 8B 87 BC 00 00 00 85 C0 0F 84 DD 00 00 00 33 F6 83 3C 24 00 74 10 8B 14 24 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 02 33 F6 8B 87 BC 00 00 00 8B 40 08 89 44 24 04 3B 74 24 04 0F 8D AE 00 00 00 8B 87 BC 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 80 7B 44 00 75 10 F6 43 20 10 0F 84 84 00 00 00 F6 43 41 04 75 7E 8B 43 34 03 43 3C 50 8D 44 24 18 50 8B 4B 30 03 4B 38 8B 53 34 8B 43 30 E8 ?? ?? ?? ?? 8D 44 24 14 50 55 E8 ?? ?? ?? ?? 85 C0 74 52 F6 47 42 80 74 04 80 4B 42 80 55 E8 ?? ?? ?? ?? 89 44 24 08 8B 4B 34 8B 53 30 8B C5 E8 ?? ?? ?? ?? 8B 43 3C 50 8B 43 38 50 6A 00 6A 00 55 E8 ?? ?? ?? ?? 6A 00 8B CD BA 0F 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 50 55 E8 ?? ?? ?? ?? 80 63 42 7F 46 3B 74 24 04 0F 8C 52 FF FF FF 8B 87 C0 00 00 00 85 C0 0F 84 F8 00 00 00 8B 40 08 48 85 C0 0F 8C EC 00 00 00 40 89 44 24 10 33 F6 8B 87 C0 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 80 BB D5 00 00 00 00 0F 84 BE 00 00 00 F6 43 40 10 0F 84 B4 00 00 00 80 7B 44 00 75 14 F6 43 20 10 0F 84 A4 00 00 00 F6 43 41 04 0F 85 9A 00 00 00 B8 10 00 00 80 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 44 24 0C 8B 44 24 0C 50 8B 43 34 03 43 3C 50 8D 44 24 1C 50 8B 4B 30 03 4B 38 8B 53 34 4A 8B 43 30 48 E8 ?? ?? ?? ?? 8D 44 24 18 50 55 E8 ?? ?? ?? ?? 8B 44 24 0C 50 E8 ?? ?? ?? ?? B8 14 00 00 80 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 44 24 0C 8B 44 24 0C 50 8B 43 34 03 43 3C 40 50 8D 44 24 1C 50 8B 4B 30 03 4B 38 41 8B 53 34 8B 43 30 E8 ?? ?? ?? ?? 8D 44 24 18 50 55 E8 ?? ?? ?? ?? 8B 44 24 0C 50 E8 ?? ?? ?? ?? 46 FF 4C 24 10 0F 85 1B FF FF FF 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3543_0 {
	meta:
		name = "TWinControl.PaintTo"
		size = 336
		refs = "0015 SaveDC 0024 MoveWindowOrg 0036 IntersectClipRect 0046 TWinControl.GetHandle 004c GetWindowLong 009a SetRect 00a9 DrawEdge 00de TControl.Perform 0119 TList.Get 012d TWinControl.PaintTo 013f RestoreDC"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F9 8B F2 8B D8 80 4B 42 80 56 E8 ?? ?? ?? ?? 89 45 F4 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 43 3C 50 8B 43 38 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 33 FF 33 C0 89 45 F8 6A EC 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 C4 02 74 0E C7 45 F8 0A 00 00 00 BF 0F 20 00 00 EB 22 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A9 00 00 80 00 74 0C C7 45 F8 03 00 00 00 BF 0F A0 00 00 85 FF 74 49 8B 43 3C 50 8B 43 38 50 6A 00 6A 00 8D 45 E0 50 E8 ?? ?? ?? ?? 57 8B 45 F8 50 8D 45 E0 50 56 E8 ?? ?? ?? ?? 8B 4D E4 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 2B 45 E4 50 8B 45 E8 2B 45 E0 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 6A 00 8B CE BA 14 00 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 8B CE BA 0F 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 C0 00 00 00 85 C0 74 3D 8B 40 08 48 85 C0 7C 35 40 89 45 F0 C7 45 FC 00 00 00 00 8B 55 FC 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 80 78 44 00 74 0E 8B 50 34 52 8B 48 30 8B D6 E8 ?? ?? ?? ?? FF 45 FC FF 4D F0 75 D6 8B 45 F4 50 56 E8 ?? ?? ?? ?? 80 63 42 7F 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3544_0 {
	meta:
		name = "TWinControl.WMPaint"
		size = 346
		refs = "001f TWinControl.GetControlCount 003a TWinControl.PaintHandler 0046 GetDC 006a CreateCompatibleBitmap 0075 ReleaseDC 007c CreateCompatibleDC 008c SelectObject 0097 TWinControl.WMPaint 00a8 TWinControl.GetHandle 00ae BeginPaint 00c3 TControl.Perform 010a BitBlt 011b EndPaint 013e DeleteDC 0147 DeleteObject 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 8B F2 8B D8 80 BB 14 01 00 00 00 74 06 83 7E 04 00 74 27 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0E 8B D6 8B C3 8B 08 FF 51 F0 E9 1E 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? E9 10 01 00 00 6A 00 E8 ?? ?? ?? ?? 8B F8 8D 55 A4 8B C3 8B 08 FF 51 2C 8B 45 B0 50 8D 55 94 8B C3 8B 08 FF 51 2C 8B 45 9C 50 57 E8 ?? ?? ?? ?? 89 45 F8 57 6A 00 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 89 45 FC 8B 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B4 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 50 8B 4D FC BA 14 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 46 04 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 89 46 04 68 20 00 CC 00 6A 00 6A 00 8B 45 FC 50 8D 55 A4 8B C3 8B 08 FF 51 2C 8B 45 B0 50 8D 55 94 8B C3 8B 08 FF 51 2C 8B 45 9C 50 6A 00 6A 00 57 E8 ?? ?? ?? ?? 8D 45 B4 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3545_0 {
	meta:
		name = "TWinControl.WMCharToItem"
		size = 32
		refs = "000c _NF__5DC"
		altNames = "TWinControl.WMCommand TWinControl.WMHScroll TWinControl.WMVKeyToItem TWinControl.WMVScroll"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 43 08 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_3546_0 {
	meta:
		name = "TWinControl.WMNotify"
		size = 34
		refs = "000e _NF__5DC"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 43 08 8B 00 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_3547_0 {
	meta:
		name = "TWinControl.WMSysColorChange"
		size = 26
		refs = "0004 PaletteChanged 0014 TControl.Perform"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 24 B0 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3548_0 {
	meta:
		name = "TWinControl.WMWinIniChange"
		size = 18
		refs = "000d TControl.Perform"
	strings:
		$1 = { 8B 4A 08 51 8B 4A 04 BA 25 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3549_0 {
	meta:
		name = "TWinControl.WMFontChange"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 26 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3550_0 {
	meta:
		name = "TWinControl.WMTimeChange"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 27 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3553_0 {
	meta:
		name = "TWinControl.WMCompareItem"
		size = 35
		refs = "000f _NF__5DC"
		altNames = "TWinControl.WMDeleteItem TWinControl.WMDrawItem TWinControl.WMMeasureItem"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 43 08 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_3557_0 {
	meta:
		name = "TWinControl.WMEraseBkgnd"
		size = 59
		refs = "0010 TBrush.GetHandle 002a FillRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 50 8D 54 24 04 8B C3 8B 08 FF 51 2C 8D 44 24 04 50 8B 46 04 50 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_3558_0 {
	meta:
		name = "TWinControl.WMWindowPosChanged"
		size = 142
		refs = "0042 IsWindowVisible 005b _NF__706 0062 _NF__728"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 80 BF D5 00 00 00 00 74 15 F6 47 40 10 74 0F 83 7F 24 00 74 09 8B 46 08 F6 40 18 08 74 04 33 DB EB 02 B3 01 8B 46 08 8B 40 18 83 E0 03 83 F8 03 74 10 8B 87 CC 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 88 04 24 84 1C 24 74 07 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 8B 08 FF 51 F0 84 DB 74 16 80 3C 24 00 75 09 8B 46 08 F6 40 18 C0 74 07 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3559_0 {
	meta:
		name = "TWinControl.WMSize"
		size = 32
		refs = "0009 _NF__728 0019 TWinControl.Realign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3560_0 {
	meta:
		name = "TWinControl.WMMove"
		size = 19
		refs = "000d _NF__728"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_13933_0 {
	meta:
		name = "TCustomStaticText.CMTextChanged"
		size = 19
		refs = "000d _NF__578"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_3563_0 {
	meta:
		name = "TWinControl.WMKillFocus"
		size = 19
		refs = "000d TWinControl.ResetIme"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_3562_0 {
	meta:
		name = "TWinControl.WMSetFocus"
		size = 19
		refs = "000d TWinControl.SetIme"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_3561_0 {
	meta:
		name = "TWinControl.WMSetCursor"
		size = 235
		refs = "003a Screen 004b GetCursorPos 0058 TControl.ScreenToClient 0065 TWinControl.ControlAtPos 008a TScreen.GetCursors 0090 SetCursor 00a6 Application 00be GetLastActivePopup 00c5 GetForegroundWindow 00d5 TApplication.BringToFront"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B 46 04 3B 83 CC 00 00 00 0F 85 C2 00 00 00 66 8B 46 08 66 83 E8 FE 74 7A 66 83 E8 03 0F 85 AE 00 00 00 F6 43 20 10 74 06 66 BF FE FF EB 41 A1 ?? ?? ?? ?? 8B 00 66 8B 78 38 66 85 FF 75 31 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8D 54 24 08 33 C9 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 66 8B 78 58 66 85 FF 75 04 66 8B 7B 58 66 85 FF 74 5C 0F BF D7 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 47 66 81 7E 0A 01 02 75 36 A1 ?? ?? ?? ?? 8B 00 83 78 24 00 74 29 A1 ?? ?? ?? ?? 8B 00 8B 40 24 50 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 74 0E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 8B 08 FF 51 F0 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3564_0 {
	meta:
		name = "TWinControl.WMIMEStartComp"
		size = 19
	strings:
		$1 = { 56 8B F0 C6 86 15 01 00 00 01 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_3565_0 {
	meta:
		name = "TWinControl.WMIMEEndComp"
		size = 19
	strings:
		$1 = { 56 8B F0 C6 86 15 01 00 00 00 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_3566_0 {
	meta:
		name = "TWinControl.SetImeCompositionWindow"
		size = 129
		refs = "0016 TWinControl.GetHandle 001b Imm32GetContext 003e Imm32SetCompositionWindow 0052 TFont.GetHandle 0058 GetObject 0062 Imm32SetCompositionFont 0070 Imm32ReleaseContext"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 89 4D F8 89 55 FC 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 51 C7 45 DC 02 00 00 00 8B 45 F8 89 45 E0 8B 45 08 89 45 E4 8D 55 DC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 1E 8D 45 A0 50 6A 3C 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 A0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? B3 01 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3567_0 {
	meta:
		name = "TWinControl.ResetImeComposition"
		size = 76
		refs = "0016 TWinControl.GetHandle 001b Imm32GetContext 0031 Imm32NotifyIME 0041 Imm32ReleaseContext"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 33 DB 80 BF 15 01 00 00 00 74 32 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 20 6A 00 8B CD BA 15 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3568_0 {
	meta:
		name = "TWinControl.SetIme"
		size = 168
		refs = "0006 SysLocale 001e Screen 002e AnsiCompareText 008e ActivateKeyboardLayout 0095 TWinControl.GetHandle 00a0 SetImeMode"
	strings:
		$1 = { 53 56 57 8B D8 A1 ?? ?? ?? ?? 80 78 08 00 0F 84 90 00 00 00 83 BB E8 00 00 00 00 74 75 A1 ?? ?? ?? ?? 8B 00 8B 50 2C 8B 83 E8 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 5C A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B 10 FF 52 14 85 C0 74 49 A1 ?? ?? ?? ?? 8B 00 8B 70 30 80 BB E4 00 00 00 00 74 2E A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B 93 E8 00 00 00 8B 08 FF 51 50 8B F8 85 FF 7C 13 A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B D7 8B 08 FF 51 18 8B F0 6A 01 56 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 93 E4 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3569_0 {
	meta:
		name = "TWinControl.ResetIme"
		size = 91
		refs = "0004 SysLocale 0018 Screen 0028 AnsiCompareText 003e ActivateKeyboardLayout 004e TWinControl.GetHandle 0055 Win32NLSEnableIME"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 78 08 00 74 4B 83 BB E8 00 00 00 00 74 2B A1 ?? ?? ?? ?? 8B 00 8B 50 2C 8B 83 E8 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 12 6A 01 A1 ?? ?? ?? ?? 8B 00 8B 40 30 50 E8 ?? ?? ?? ?? 80 BB E4 00 00 00 00 75 0E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3570_0 {
	meta:
		name = "TDataSet.DoOnCalcFields"
		size = 29
		altNames = "TWinControl.DoEnter"
	strings:
		$1 = { 53 66 83 B8 06 01 00 00 00 74 10 8B D8 8B D0 8B 83 08 01 00 00 FF 93 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_3571_0 {
	meta:
		name = "TWinControl.DoExit"
		size = 29
	strings:
		$1 = { 53 66 83 B8 0E 01 00 00 00 74 10 8B D8 8B D0 8B 83 10 01 00 00 FF 93 0C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_3572_0 {
	meta:
		name = "TWinControl.KeyDown"
		size = 40
	strings:
		$1 = { 53 51 88 0C 24 66 83 B8 EE 00 00 00 00 74 16 8A 0C 24 51 8B CA 8B D8 8B D0 8B 83 F0 00 00 00 FF 93 EC 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_3573_0 {
	meta:
		name = "TWinControl.DoKeyDown"
		size = 148
		refs = "000f GetParentForm 002b TWinControl.DoKeyDown 0037 KeyDataToShiftState 0053 @CallDynaInst 0075 SmallPoint 007e _NF__529"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 C6 04 24 01 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 3B F3 74 16 80 BB 38 01 00 00 00 74 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 53 8B 47 08 E8 ?? ?? ?? ?? 88 44 24 01 F6 46 41 10 75 19 8D 57 04 8A 4C 24 01 8B C6 66 BB DF FF E8 ?? ?? ?? ?? 66 83 7F 04 00 74 28 66 83 7F 04 5D 75 1D A0 ?? ?? ?? ?? 3A 44 24 01 75 12 33 D2 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? C6 04 24 00 8A 04 24 5A 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3574_0 {
	meta:
		name = "TWinControl.WMKeyDown"
		size = 31
		refs = "000b TWinControl.DoKeyDown"
		altNames = "TWinControl.WMSysKeyDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_3582_0 {
	meta:
		name = "TWinControl.WMChar"
		size = 31
		refs = "000b TWinControl.DoKeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_3578_0 {
	meta:
		name = "TWinControl.WMKeyUp"
		size = 31
		refs = "000b TWinControl.DoKeyUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_3579_0 {
	meta:
		name = "TWinControl.WMSysKeyUp"
		size = 31
		refs = "000b TWinControl.DoKeyUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_3576_0 {
	meta:
		name = "TWinControl.KeyUp"
		size = 40
	strings:
		$1 = { 53 51 88 0C 24 66 83 B8 FE 00 00 00 00 74 16 8A 0C 24 51 8B CA 8B D8 8B D0 8B 83 00 01 00 00 FF 93 FC 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_3577_0 {
	meta:
		name = "TWinControl.DoKeyUp"
		size = 100
		refs = "000f GetParentForm 002b TWinControl.DoKeyUp 003d KeyDataToShiftState 004d @CallDynaInst"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 C6 04 24 01 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 3B F3 74 16 80 BB 38 01 00 00 00 74 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 F6 46 41 10 75 1F 8B 47 08 E8 ?? ?? ?? ?? 8B C8 8D 57 04 8B C6 66 BB DE FF E8 ?? ?? ?? ?? 66 83 7F 04 00 74 04 C6 04 24 00 8A 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3580_0 {
	meta:
		name = "TWinControl.KeyPress"
		size = 31
	strings:
		$1 = { 53 66 83 B8 F6 00 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 F8 00 00 00 FF 93 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_3581_0 {
	meta:
		name = "TWinControl.DoKeyPress"
		size = 107
		refs = "000f GetParentForm 002b TWinControl.DoKeyPress 004b @CallDynaInst"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 C6 04 24 01 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 3B F3 74 16 80 BB 38 01 00 00 00 74 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 30 F6 46 41 10 75 26 8A 47 04 88 44 24 01 8D 54 24 01 8B C6 66 BB DD FF E8 ?? ?? ?? ?? 33 C0 8A 44 24 01 66 89 47 04 80 7F 04 00 74 04 C6 04 24 00 8A 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3583_0 {
	meta:
		name = "TWinControl.WMSysCommand"
		size = 118
		refs = "002c IsIconic 0035 GetCapture 003e Application 004c GetParentForm 0061 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 46 04 25 F0 FF 00 00 3D 00 F1 00 00 75 53 66 83 7E 08 20 74 4C 66 83 7E 08 2D 74 45 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 35 E8 ?? ?? ?? ?? 85 C0 75 2C A1 ?? ?? ?? ?? 8B 00 3B 58 2C 74 20 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 13 56 33 C9 BA 17 B0 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 75 09 8B D6 8B C3 8B 08 FF 51 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3585_0 {
	meta:
		name = "TWinControl.WMParentNotify"
		size = 50
		refs = "001d _NF__5DC"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 66 8B 73 04 66 83 FE 01 74 06 66 83 FE 02 75 0E 8B D3 8B 43 08 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C7 8B 08 FF 51 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3587_0 {
	meta:
		name = "TWinControl.WMDestroy"
		size = 52
		refs = "000d _NV__3AD 001a RemoveProp 0021 _NV__3AC"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 0F B7 05 ?? ?? ?? ?? 50 8B 86 CC 00 00 00 50 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 8B 86 CC 00 00 00 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_3588_0 {
	meta:
		name = "TWinControl.WMNCDestroy"
		size = 27
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 33 C0 89 86 CC 00 00 00 C6 86 D7 00 00 00 00 5E C3 }
	condition:
		$1
}

rule function_3589_0 {
	meta:
		name = "TWinControl.WMNCHitTest"
		size = 33
	strings:
		$1 = { 56 8B F0 F6 46 20 10 74 0F 83 7E 24 00 74 09 C7 42 0C 01 00 00 00 5E C3 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_3590_0 {
	meta:
		name = "TWinControl.PaletteChanged"
		size = 97
		refs = "000f TControl.PaletteChanged 0020 TWinControl.GetControlCount 003a TWinControl.GetControl 0046 @CallDynaInst"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B F8 8A 14 24 8B C7 E8 ?? ?? ?? ?? 88 44 24 01 80 7F 44 00 74 3B 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 2C 8A 04 24 22 44 24 01 75 23 8B D6 8B C7 E8 ?? ?? ?? ?? 8A 14 24 66 BB E5 FF E8 ?? ?? ?? ?? 0A 44 24 01 88 44 24 01 4E 83 FE FF 75 D4 8A 44 24 01 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3591_0 {
	meta:
		name = "TWinControl.WMQueryNewPalette"
		size = 34
		refs = "0014 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 80 4E 42 04 B2 01 8B C6 66 BB E5 FF E8 ?? ?? ?? ?? 83 E0 7F 89 47 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3592_0 {
	meta:
		name = "TWinControl.WMPaletteChanged"
		size = 30
		refs = "0010 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 D2 8B C6 66 BB E5 FF E8 ?? ?? ?? ?? 83 E0 7F 89 47 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3593_0 {
	meta:
		name = "TWinControl.CMShowHintChanged"
		size = 23
		refs = "0011 TWinControl.NotifyControls"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 66 BA 23 B0 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_3594_0 {
	meta:
		name = "TWinControl.CMEnter"
		size = 18
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 66 BB E1 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3595_0 {
	meta:
		name = "TWinControl.CMExit"
		size = 18
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 66 BB E0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3596_0 {
	meta:
		name = "TWinControl.CMDesignHitTest"
		size = 31
		refs = "000b TWinControl.IsControlMouseMsg 0018 TControl.CMDesignHitTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3597_0 {
	meta:
		name = "TWinControl.CMChanged"
		size = 18
		altNames = "TWinControl.CMChildKey TWinControl.CMControlListChange"
	strings:
		$1 = { 53 8B 48 24 85 C9 74 08 8B D9 8B 43 2C FF 53 28 5B C3 }
	condition:
		$1
}

rule function_3602_0 {
	meta:
		name = "TWinControl.CMVisibleChanged"
		size = 45
		refs = "0014 _NF__598 0027 TWinControl.UpdateControlState"
	strings:
		$1 = { 53 8B D8 80 7B 44 00 75 0F 83 7B 24 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 06 F6 43 41 04 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3603_0 {
	meta:
		name = "TWinControl.CMShowingChanged"
		size = 40
		refs = "000c _NV__69D 0023 SetWindowPos"
	strings:
		$1 = { 33 D2 8A 90 D7 00 00 00 0F B7 14 55 ?? ?? ?? ?? 52 6A 00 6A 00 6A 00 6A 00 6A 00 8B 80 CC 00 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3604_0 {
	meta:
		name = "TWinControl.CMEnabledChanged"
		size = 63
		refs = "0014 _NF__598 001b TWinControl.HandleAllocated 0039 EnableWindow"
	strings:
		$1 = { 53 8B D8 80 7B 45 00 75 0F 83 7B 24 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A F6 43 20 10 75 14 8A 43 45 F6 D8 1B C0 50 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3605_0 {
	meta:
		name = "TWinControl.CMColorChanged"
		size = 37
		refs = "0006 TControl.CMColorChanged 0014 TBrush.SetColor 001f TWinControl.NotifyControls"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 54 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 66 BA 09 B0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3606_0 {
	meta:
		name = "TWinControl.CMFontChanged"
		size = 58
		refs = "0006 TControl.CMFontChanged 000d TWinControl.HandleAllocated 001b TFont.GetHandle 0029 TControl.Perform 0034 TWinControl.NotifyControls"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 8B 43 50 E8 ?? ?? ?? ?? 8B C8 BA 30 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 BA 08 B0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3607_0 {
	meta:
		name = "TWinControl.CMCursorChanged"
		size = 61
		refs = "0007 GetCapture 0011 GetCursorPos 001a FindDragTarget 0027 TWinControl.GetHandle 0035 TControl.Perform"
	strings:
		$1 = { 53 83 C4 F8 8B D8 E8 ?? ?? ?? ?? 85 C0 75 2A 54 E8 ?? ?? ?? ?? 8B C4 33 D2 E8 ?? ?? ?? ?? 3B D8 75 17 6A 01 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_3608_0 {
	meta:
		name = "TWinControl.CMCtl3DChanged"
		size = 62
		refs = "0012 TWinControl.HandleAllocated 0022 IsWindowVisible 002d _NF__706 0038 TWinControl.NotifyControls"
	strings:
		$1 = { 53 8B D8 F6 43 40 10 74 28 83 7B 24 00 74 22 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 66 BA 11 B0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3609_0 {
	meta:
		name = "TWinControl.CMParentCtl3DChanged"
		size = 61
		refs = "001e TWinControl.SetCtl3D"
	strings:
		$1 = { 53 8B D8 80 BB D6 00 00 00 00 74 2F 83 7A 04 00 74 12 83 7A 08 00 0F 95 C0 8B D0 8B C3 E8 ?? ?? ?? ?? EB 10 8B 43 24 8A 90 D5 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 D6 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_3614_0 {
	meta:
		name = "TWinControl.CMDrag"
		size = 86
		refs = "0027 _NF__4FC 0034 TControl.ScreenToClient 003f TWinControl.ControlAtPos"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F0 8B 7B 08 8A 43 04 2C 04 72 06 FE C8 74 14 EB 34 83 7F 0C 00 74 2E 8B D3 8B 47 0C E8 ?? ?? ?? ?? EB 22 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D4 33 C9 8B C6 E8 ?? ?? ?? ?? 8B E8 89 6B 0C 85 ED 75 03 89 73 0C 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3617_0 {
	meta:
		name = "_NF__6C8"
		size = 135
		refs = "0020 @CallDynaInst 002f TMenu.IsShortCut 0041 GetParentForm 0072 SendAppMessage"
	strings:
		$1 = { 53 56 57 55 51 8B FA 8B E8 C6 04 24 01 F6 45 20 10 75 52 8B F5 85 F6 74 25 8B C6 66 BB E9 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 47 8B 76 24 85 F6 75 DB 8B C5 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 83 BB 4C 01 00 00 00 74 11 8B D7 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 19 8B 4F 08 0F B7 57 04 B8 16 B0 00 00 E8 ?? ?? ?? ?? 85 C0 75 04 C6 04 24 00 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3618_0 {
	meta:
		name = "TWinControl.CNKeyDown"
		size = 214
		refs = "0013 _NF__6C8 0036 TControl.Perform 00b7 GetParentForm"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 C7 46 0C 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 B3 00 00 00 F6 43 20 10 0F 85 A4 00 00 00 53 0F B7 4E 04 BA 2E B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 90 00 00 00 33 FF 0F B7 46 04 83 F8 1B 7F 13 74 2E 83 E8 03 74 29 83 E8 06 74 16 83 E8 04 74 1F EB 22 83 C0 DB 83 E8 04 72 0E 83 E8 02 74 10 EB 13 BF 02 00 00 00 EB 0C BF 01 00 00 00 EB 05 BF 04 00 00 00 85 FF 74 47 6A 00 0F B7 4E 04 BA 1E B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 31 6A 00 33 C9 BA 87 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 F8 75 1D 8B 46 08 50 8B C3 E8 ?? ?? ?? ?? 0F B7 4E 04 BA 05 B0 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 89 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3619_0 {
	meta:
		name = "TWinControl.CNKeyUp"
		size = 81
		refs = "0046 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 20 10 75 40 66 8B 7E 04 0F B7 C7 83 F8 1B 7F 13 74 1E 83 E8 03 74 19 83 E8 06 74 14 83 E8 04 74 0F EB 21 83 C0 DB 83 E8 04 72 05 83 E8 02 75 14 6A 00 0F B7 CF BA 1E B0 00 00 8B C3 E8 ?? ?? ?? ?? 89 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3620_0 {
	meta:
		name = "TWinControl.CNChar"
		size = 76
		refs = "001f TControl.Perform 002e GetParentForm"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 10 75 3D C7 46 0C 01 00 00 00 6A 00 33 C9 BA 87 00 00 00 8B C3 E8 ?? ?? ?? ?? A8 80 75 1D 8B 46 08 50 8B C3 E8 ?? ?? ?? ?? 0F B7 4E 04 BA 06 B0 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_3621_0 {
	meta:
		name = "TWinControl.CNSysKeyDown"
		size = 90
		refs = "0012 _NF__6C8 002d TControl.Perform 003c GetParentForm"
	strings:
		$1 = { 53 56 8B F2 8B D8 C7 46 0C 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3D F6 43 20 10 75 32 53 0F B7 4E 04 BA 2E B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 22 8B 46 08 50 8B C3 E8 ?? ?? ?? ?? 0F B7 4E 04 BA 05 B0 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_3622_0 {
	meta:
		name = "TWinControl.CNSysChar"
		size = 50
		refs = "001a GetParentForm 0028 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 10 75 23 66 83 7E 04 20 74 1C 8B 46 08 50 8B C3 E8 ?? ?? ?? ?? 0F B7 4E 04 BA 06 B0 00 00 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_3623_0 {
	meta:
		name = "TWinControl.SetBounds"
		size = 207
		refs = "0030 TWinControl.HandleAllocated 0040 IsIconic 005e SetWindowPos 0094 GetWindowPlacement 009e TControl.GetBoundsRect 00bb SetWindowPlacement 00c2 TControl.RequestAlign"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 8B F9 8B F2 8B D8 3B 73 30 75 19 3B 7B 34 75 14 8B 45 0C 3B 43 38 75 0C 8B 45 08 3B 43 3C 0F 84 99 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 1C 6A 14 8B 45 08 50 8B 45 0C 50 57 56 6A 00 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? EB 5B 89 73 30 89 7B 34 8B 45 0C 89 43 38 8B 45 08 89 43 3C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E C7 45 D4 2C 00 00 00 8D 45 D4 50 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8D 75 C4 8D 7D F0 B9 04 00 00 00 F3 A5 8D 45 D4 50 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3624_0 {
	meta:
		name = "TWinControl.ScaleControls"
		size = 69
		refs = "0013 TWinControl.GetControlCount 0026 TWinControl.GetControl 0036 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 20 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 66 BB F1 FF E8 ?? ?? ?? ?? 47 4E 75 E3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3625_0 {
	meta:
		name = "TWinControl.ChangeScale"
		size = 93
		refs = "0011 TWinControl.DisableAlign 0019 TWinControl.ChangeScale 002b TWinControl.ScaleControls 0037 TControl.ChangeScale 004c TWinControl.EnableAlign 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3626_0 {
	meta:
		name = "TWinControl.ScaleBy"
		size = 170
		refs = "000f TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 IsWindowVisible 004f SetWindowPos 005a TControl.GetBoundsRect 0069 @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 88 04 24 80 3C 24 00 74 1C 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? 8B 46 38 50 8B 46 3C 50 8B 4C 24 10 8B 54 24 0C 8B C6 8B 18 FF 53 4C 80 3C 24 00 74 19 6A 57 6A 00 6A 00 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3627_0 {
	meta:
		name = "TWinControl.ScrollBy"
		size = 216
		refs = "001c IsWindowVisible 004b ScrollWindow 0052 TWinControl.GetControlCount 0065 TWinControl.GetControl 006f _DV_TWinControl 0074 @IsClass 00c1 SetWindowPos 00cc TWinControl.Realign"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B F8 8B 9F CC 00 00 00 85 DB 74 0A 53 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 88 44 24 08 80 7C 24 08 00 74 1A 6A 00 6A 00 8B 44 24 0C 50 8B 44 24 0C 50 8B 87 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 6C 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 83 BB CC 00 00 00 00 75 0F 8B 04 24 01 43 30 8B 44 24 04 01 43 34 EB 31 80 7C 24 08 00 75 2A 6A 14 8B C3 8B 50 3C 52 8B 50 38 52 8B 50 34 03 54 24 10 52 8B 50 30 03 54 24 10 52 6A 00 8B 80 CC 00 00 00 50 E8 ?? ?? ?? ?? 45 4E 75 97 8B C7 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3628_0 {
	meta:
		name = "TWinControl.ShowControl"
		size = 19
	strings:
		$1 = { 56 8B 70 24 85 F6 74 09 8B D0 8B C6 8B 08 FF 51 74 5E C3 }
	condition:
		$1
}

rule function_3629_0 {
	meta:
		name = "_NF__6F1"
		size = 215
		refs = "0029 TList.IndexOf 0055 TList.Delete 0067 TList.Insert 009e TList.Get 00a3 TWinControl.GetHandle 00ce SetWindowPos"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 43 24 85 C0 0F 84 BF 00 00 00 8B 90 BC 00 00 00 85 D2 74 03 2B 72 08 8B 80 C0 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 38 8B 43 24 8B 90 C0 00 00 00 8B 42 08 85 F6 7D 02 33 F6 3B C6 7F 03 8B F0 4E 3B FE 74 1B 8B C2 8B D7 E8 ?? ?? ?? ?? 8B 43 24 8B 80 C0 00 00 00 8B CB 8B D6 E8 ?? ?? ?? ?? 83 BB CC 00 00 00 00 74 5E 85 F6 75 07 B8 01 00 00 00 EB 3C 8B 43 24 8B A8 C0 00 00 00 8B 45 08 48 3B F0 75 04 33 C0 EB 27 3B FE 7D 11 8D 56 01 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 3B FE 7E 25 8B C5 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 6A 00 6A 00 6A 00 6A 00 50 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3630_0 {
	meta:
		name = "TWinControl.SetZOrder"
		size = 95
		refs = "002f _NF__6F1 0051 _NV__6F2 0058 SetWindowPos"
	strings:
		$1 = { 53 56 8B 58 24 85 DB 74 2D 84 D2 74 0C 8B 93 C0 00 00 00 8B 4A 08 49 EB 02 33 C9 33 D2 8B B3 BC 00 00 00 85 F6 74 03 8B 56 08 03 CA 8B D1 E8 ?? ?? ?? ?? 5E 5B C3 8B 88 CC 00 00 00 85 C9 74 1C 6A 03 6A 00 6A 00 6A 00 6A 00 83 E2 7F 0F B7 14 55 ?? ?? ?? ?? 52 51 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3631_0 {
	meta:
		name = "TWinControl.GetDeviceContext"
		size = 150
		refs = "0010 TWinControl.GetDeviceContext 0027 TWinControl.GetHandle 002d GetDCEx 003e GetDC 004c SWindowDCError 0051 LoadResString 005b _Dn_EOutOfResources 0060 Exception.Create 0065 @RaiseExcept 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 20 10 74 15 6A 12 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 EB 0F 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 CC 00 00 00 89 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3632_0 {
	meta:
		name = "TWinControl.GetParentHandle"
		size = 22
		refs = "000a TWinControl.GetHandle"
	strings:
		$1 = { 8B 50 24 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 8B 80 D0 00 00 00 C3 }
	condition:
		$1
}

rule function_3633_0 {
	meta:
		name = "TWinControl.GetTopParentHandle"
		size = 31
		refs = "0016 TWinControl.GetHandle"
	strings:
		$1 = { EB 02 8B C2 8B 50 24 85 D2 75 F7 8B 90 D0 00 00 00 85 D2 75 07 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_3634_0 {
	meta:
		name = "TWinControl.Invalidate"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 34 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3635_0 {
	meta:
		name = "TWinControl.CMInvalidate"
		size = 78
		refs = "0009 TWinControl.HandleAllocated 0025 TControl.Perform 0047 InvalidateRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8B 43 24 85 C0 74 11 6A 00 B9 01 00 00 00 BA 34 B0 00 00 E8 ?? ?? ?? ?? 83 7E 04 00 75 1C F6 43 40 40 0F 95 C0 34 01 F6 D8 1B C0 50 6A 00 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3636_0 {
	meta:
		name = "TWinControl.Update"
		size = 28
		refs = "0006 TWinControl.HandleAllocated 0016 UpdateWindow"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3637_0 {
	meta:
		name = "TWinControl.Repaint"
		size = 19
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 44 8B C3 8B 10 FF 52 50 5B C3 }
	condition:
		$1
}

rule function_3638_0 {
	meta:
		name = "_NF__706"
		size = 56
		refs = "000b TControl.GetBoundsRect 0019 InflateRect 002f InvalidateRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 01 8D 44 24 08 50 E8 ?? ?? ?? ?? 6A FF 8D 44 24 04 50 8B 43 24 8B 80 CC 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_3639_0 {
	meta:
		name = "TWinControl.CanFocus"
		size = 51
		refs = "0009 GetParentForm"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 8B D0 85 D2 74 1B 8B C6 3B D0 74 13 80 78 44 00 74 0F 80 78 45 00 74 09 8B 40 24 3B D0 75 ED B3 01 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_3640_0 {
	meta:
		name = "TWinControl.SetFocus"
		size = 56
		refs = "0006 GetParentForm 0011 TCustomForm.FocusControl 0023 TWinControl.GetHandle 0029 SetFocus 0032 ValidParentForm"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B D3 E8 ?? ?? ?? ?? 5B C3 83 BB D0 00 00 00 00 74 0F 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3641_0 {
	meta:
		name = "TWinControl.Focused"
		size = 33
		refs = "000d GetFocus"
	strings:
		$1 = { 53 8B D8 83 BB CC 00 00 00 00 74 0D E8 ?? ?? ?? ?? 3B 83 CC 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_3642_0 {
	meta:
		name = "TWinControl.HandleNeeded"
		size = 33
		refs = "0014 TWinControl.HandleNeeded"
	strings:
		$1 = { 53 8B D8 83 BB CC 00 00 00 00 75 13 8B 43 24 85 C0 74 05 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 58 5B C3 }
	condition:
		$1
}

rule function_3643_0 {
	meta:
		name = "TWinControl.GetHandle"
		size = 18
		refs = "0006 TWinControl.HandleNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 CC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_3644_0 {
	meta:
		name = "TWinControl.GetClientOrigin"
		size = 32
		refs = "0013 TWinControl.GetHandle 0019 ClientToScreen"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C0 89 03 33 C0 89 43 04 53 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3645_0 {
	meta:
		name = "TWinControl.GetClientRect"
		size = 23
		refs = "000a TWinControl.GetHandle 0010 GetClientRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3646_0 {
	meta:
		name = "TWinControl.SetCtl3D"
		size = 36
		refs = "001f TControl.Perform"
	strings:
		$1 = { 3A 90 D5 00 00 00 74 1B 88 90 D5 00 00 00 C6 80 D6 00 00 00 00 6A 00 33 C9 BA 10 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3647_0 {
	meta:
		name = "TWinControl.IsCtl3DStored"
		size = 9
	strings:
		$1 = { 8A 80 D6 00 00 00 34 01 C3 }
	condition:
		$1
}

rule function_3648_0 {
	meta:
		name = "TWinControl.SetParentCtl3D"
		size = 35
		refs = "001e TControl.Perform"
	strings:
		$1 = { 3A 90 D6 00 00 00 74 1A 88 90 D6 00 00 00 83 78 24 00 74 0E 6A 00 33 C9 BA 11 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3649_0 {
	meta:
		name = "TWinControl.GetTabOrder"
		size = 33
		refs = "0014 TList.IndexOf"
	strings:
		$1 = { 53 56 8B D8 8B 73 24 85 F6 74 10 8B 86 C4 00 00 00 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 83 C8 FF 5E 5B C3 }
	condition:
		$1
}

rule function_3650_0 {
	meta:
		name = "_NF__71F"
		size = 89
		refs = "000b TWinControl.GetTabOrder 003e TList.Delete 0050 TList.Insert"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 0F BF C0 85 C0 7C 3E 8B 53 24 8B AA C4 00 00 00 8B 55 08 66 85 F6 7D 02 33 F6 0F BF CE 3B D1 7F 03 8B F2 4E 0F BF FE 3B C7 74 1A 8B D5 92 E8 ?? ?? ?? ?? 8B D7 8B 43 24 8B 80 C4 00 00 00 8B CB E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3651_0 {
	meta:
		name = "TWinControl.SetTabOrder"
		size = 22
		refs = "0011 _NF__71F"
	strings:
		$1 = { F6 40 42 08 74 0A 0F BF D2 89 90 D8 00 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3652_0 {
	meta:
		name = "TWinControl.SetTabStop"
		size = 93
		refs = "0017 TWinControl.HandleAllocated 0029 GetWindowLong 0046 SetWindowLong 0056 TControl.Perform"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E D4 00 00 00 74 4C 88 9E D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2B 6A F0 8B 86 CC 00 00 00 50 E8 ?? ?? ?? ?? 25 FF FF FE FF 84 DB 74 05 0D 00 00 01 00 50 6A F0 8B 86 CC 00 00 00 50 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 28 B0 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3653_0 {
	meta:
		name = "TWinControl.HandleAllocated"
		size = 11
	strings:
		$1 = { 83 B8 CC 00 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_3654_0 {
	meta:
		name = "_NF__728"
		size = 173
		refs = "0010 IsIconic 002d GetWindowPlacement 0049 GetWindowRect 0057 GetWindowLong 0075 ScreenToClient"
	strings:
		$1 = { 53 56 57 83 C4 C4 8B D8 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 28 C7 44 24 10 2C 00 00 00 8D 44 24 10 50 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 8D 74 24 2C 8B FC B9 04 00 00 00 F3 A5 EB 0D 54 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 6A F0 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? A9 00 00 00 40 74 22 6A F8 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B F0 54 56 E8 ?? ?? ?? ?? 8D 44 24 08 50 56 E8 ?? ?? ?? ?? 8B 04 24 89 43 30 8B 44 24 04 89 43 34 8B 44 24 08 2B 04 24 89 43 38 8B 44 24 0C 2B 44 24 04 89 43 3C 83 C4 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3655_0 {
	meta:
		name = "TWinControl.GetTabOrderList"
		size = 85
		refs = "002d TList.Get 0038 TList.Add 0045 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 8B 87 C4 00 00 00 85 C0 74 3C 8B 70 08 4E 85 F6 7C 34 46 C7 04 24 00 00 00 00 8B 14 24 8B 87 C4 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C5 E8 ?? ?? ?? ?? 8B D5 8B C3 66 BB DC FF E8 ?? ?? ?? ?? FF 04 24 4E 75 D4 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3656_0 {
	meta:
		name = "TWinControl.FindNextControl"
		size = 258
		refs = "0018 _Dn_TList 001d TObject.Create 0028 TWinControl.FindNextControl 003c @CallDynaInst 0053 TList.IndexOf 009e TList.Get 00a7 TWinControl.CanFocus 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D FF 8B F2 8B F8 33 C0 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B C7 66 BB DC FF E8 ?? ?? ?? ?? 8B 45 F0 83 78 08 00 0F 8E 8A 00 00 00 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 FF 75 17 80 7D FF 00 74 0C 8B 45 F0 8B 40 08 48 89 45 F4 EB 05 33 C0 89 45 F4 8B 5D F4 80 7D FF 00 74 0D 43 8B 45 F0 3B 58 08 75 0F 33 DB EB 0B 85 DB 75 06 8B 45 F0 8B 58 08 4B 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1D 80 7D 0C 00 74 09 80 BE D4 00 00 00 00 74 0E 80 7D 08 00 74 05 3B 7E 24 75 03 89 75 F8 83 7D F8 00 75 05 3B 5D F4 75 A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3657_0 {
	meta:
		name = "TWinControl.SelectNext"
		size = 41
		refs = "0013 TWinControl.FindNextControl"
	strings:
		$1 = { 55 8B EC 51 88 4D FF 8B 4D 08 51 80 F1 01 51 8A 4D FF E8 ?? ?? ?? ?? 8B D0 85 D2 74 07 8B C2 8B 10 FF 52 78 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3658_0 {
	meta:
		name = "TWinControl.SelectFirst"
		size = 67
		refs = "0007 GetParentForm 001c TWinControl.FindNextControl 003c TCustomForm.SetActiveControl"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 2F 6A 01 6A 00 B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0F 6A 00 6A 00 B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3659_0 {
	meta:
		name = "TWinControl.GetChildren"
		size = 70
		refs = "0012 TWinControl.GetControlCount 0026 TWinControl.GetControl"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 E2 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3660_0 {
	meta:
		name = "TWinControl.SetChildOrder"
		size = 64
		refs = "000a _DV_TWinControl 000f @IsClass 001c _NF__6F1 0027 _DV_TControl 0039 _NF__4C9"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3661_0 {
	meta:
		name = "TGraphicControl.Create"
		size = 84
		refs = "000e @ClassCreate 001c TControl.Create 0023 _DV_TControlCanvas 0028 TCanvas.Create 0039 TControlCanvas.SetControl"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B4 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3662_0 {
	meta:
		name = "TGraphicControl.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TControl.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3663_0 {
	meta:
		name = "TGraphicControl.WMPaint"
		size = 163
		refs = "001e TCanvas.Lock 0026 TGraphicControl.WMPaint 003d TCanvas.SetHandle 0076 @HandleFinally 0093 TCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 83 7B 04 00 0F 84 8B 00 00 00 8B 45 FC 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 04 8B 45 FC 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_3665_0 {
	meta:
		name = "THintWindow.Create"
		size = 164
		refs = "0013 @ClassCreate 0020 TCustomControl.Create 002c TControl.SetColor 0048 SystemParametersInfo 0055 CreateFontIndirect 0065 TFont.SetHandle 007a TFont.SetSize 008a TBrush.SetStyle"
	strings:
		$1 = { 55 8B EC 81 C4 AC FE FF FF 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA FF FF 80 00 8B C6 E8 ?? ?? ?? ?? C7 85 AC FE FF FF 54 01 00 00 6A 00 8D 85 AC FE FF FF 50 6A 00 6A 29 E8 ?? ?? ?? ?? 85 C0 74 1B 8D 45 88 50 E8 ?? ?? ?? ?? 8B D0 8B 86 18 01 00 00 8B 40 0C E8 ?? ?? ?? ?? EB 13 8B 86 18 01 00 00 8B 40 0C BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 8B 40 14 B2 01 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3666_0 {
	meta:
		name = "THintWindow.CreateParams"
		size = 42
		refs = "0006 TWinControl.CreateParams 001a NewStyleControls"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? C7 43 04 00 00 80 80 81 4B 24 00 08 00 00 80 3D ?? ?? ?? ?? 00 74 07 C7 43 08 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_3667_0 {
	meta:
		name = "THintWindow.WMNCHitTest"
		size = 8
	strings:
		$1 = { C7 42 0C FF FF FF FF C3 }
	condition:
		$1
}

rule function_3668_0 {
	meta:
		name = "THintWindow.WMNCPaint"
		size = 152
		refs = "000e TWinControl.GetHandle 0014 GetWindowDC 0024 TCanvas.SetHandle 0035 THintWindow.WMNCPaint 0055 Rect 0064 TCanvas.GetHandle 006a DrawEdge 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 18 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 3C 50 8D 45 EC 50 8B 45 FC 8B 48 38 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 0F 6A 01 8D 45 EC 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3669_0 {
	meta:
		name = "THintWindow.Paint"
		size = 146
		refs = "0012 THintWindow.Paint 003d TFont.SetColor 0052 TControl.GetText 005a @LStrToPChar 0066 TCanvas.GetHandle 006c DrawText 0081 @LStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 51 2C 83 45 F0 02 83 45 F4 02 8B 83 18 01 00 00 8B 40 0C BA 17 00 00 80 E8 ?? ?? ?? ?? 68 10 08 00 00 8D 45 F0 50 6A FF 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3670_0 {
	meta:
		name = "THintWindow.IsHintMsg"
		size = 100
	strings:
		$1 = { 56 8B 42 04 3D 00 01 00 00 7C 07 3D 08 01 00 00 7E 4E 8B 4A 04 81 F9 00 B0 00 00 74 43 81 F9 01 B0 00 00 74 3B 81 7A 04 16 B0 00 00 74 32 81 7A 04 17 B0 00 00 74 29 81 7A 04 11 01 00 00 74 20 8B 72 04 81 FE 00 02 00 00 7E 08 81 FE 0A 02 00 00 7E 0D 81 7A 04 A0 00 00 00 74 04 33 C0 5E C3 B0 01 5E C3 }
	condition:
		$1
}

rule function_3672_0 {
	meta:
		name = "THintWindow.CMTextChanged"
		size = 134
		refs = "000c THintWindow.CMTextChanged 0023 TControl.GetText 0031 TCanvas.TextWidth 003d TControl.SetWidth 0055 TCanvas.TextHeight 0061 TControl.SetHeight 0076 @LStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 08 FF 51 F0 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 83 C2 06 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 83 C2 04 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_3673_0 {
	meta:
		name = "THintWindow.ActivateHint"
		size = 189
		refs = "001b TControl.SetText 0029 TControl.SetBoundsRect 002e Screen 0035 TScreen.GetHeight 005f TScreen.GetWidth 00ac TWinControl.GetHandle 00b2 SetWindowPos"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 51 B9 04 00 00 00 F3 A5 59 8B D8 8B D1 8B C3 E8 ?? ?? ?? ?? 83 44 24 0C 04 8B D4 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 54 24 04 03 53 3C 3B C2 7D 13 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 2B 43 3C 89 44 24 04 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 14 24 03 53 38 3B C2 7D 12 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 2B 43 38 89 04 24 83 3C 24 00 7D 05 33 C0 89 04 24 83 7C 24 0C 00 7D 06 33 C0 89 44 24 0C 6A 51 6A 00 6A 00 8B 44 24 10 50 8B 44 24 10 50 6A FF 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3674_0 {
	meta:
		name = "THintWindow.ActivateHintData"
		size = 43
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8D 55 F0 8B 18 FF 93 80 00 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3675_0 {
	meta:
		name = "THintWindow.CalcHintRect"
		size = 81
		refs = "001b Rect 002b @LStrToPChar 0037 TCanvas.GetHandle 003d DrawText"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 6A 00 53 8B CF 33 D2 33 C0 E8 ?? ?? ?? ?? 68 10 0C 00 00 53 6A FF 8B 45 FC E8 ?? ?? ?? ?? 50 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 43 08 06 83 43 0C 02 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3676_0 {
	meta:
		name = "TCustomControl.Create"
		size = 84
		refs = "000e @ClassCreate 001c TWinControl.Create 0023 _DV_TControlCanvas 0028 TCanvas.Create 0039 TControlCanvas.SetControl"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3677_0 {
	meta:
		name = "TCustomControl.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TWinControl.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7520_0 {
	meta:
		name = "TGanttSeries.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TCustomSeries.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3679_0 {
	meta:
		name = "TCustomControl.PaintWindow"
		size = 152
		refs = "0014 TCanvas.Lock 001c TCustomControl.PaintWindow 0032 TCanvas.SetHandle 006b @HandleFinally 0088 TCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 18 01 00 00 8B D3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_3681_0 {
	meta:
		name = "_NF__781"
		size = 30
		refs = "0001 ColorToRGB"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B D0 81 EA FF FF FF 1F 74 05 4A 74 06 EB 09 83 C8 FF C3 B8 00 00 00 FF C3 }
	condition:
		$1
}

rule function_3682_0 {
	meta:
		name = "_NF__782"
		size = 30
	strings:
		$1 = { 8B D0 81 EA 00 00 00 FF 74 0E 81 EA FF FF FF 00 75 0B B8 FF FF FF 1F C3 B8 00 00 00 20 C3 }
	condition:
		$1
}

rule function_3683_0 {
	meta:
		name = "_NF__783"
		size = 64
		refs = "0019 ClientToScreen 0023 GetWindowRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B D8 8B 75 08 89 55 F8 89 4D FC 8D 45 F8 50 53 E8 ?? ?? ?? ?? 8D 45 E8 50 53 E8 ?? ?? ?? ?? 8B 45 F8 2B 45 E8 89 06 8B 45 FC 2B 45 EC 89 46 04 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3684_0 {
	meta:
		name = "TCustomImageList.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TComponent.Create 002c TCustomImageList.Initialize"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 28 10 00 00 00 C7 46 24 10 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3685_0 {
	meta:
		name = "TCustomImageList.CreateSize"
		size = 74
		refs = "000e @ClassCreate 001f TComponent.Create 002f TCustomImageList.Initialize"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 28 8B 45 08 89 47 24 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3686_0 {
	meta:
		name = "TCustomImageList.Destroy"
		size = 86
		refs = "000c TList.Last 0015 TCustomImageList.UnRegisterChanges 0026 TObject.Free 002d _NF__7A5 0041 TComponent.Destroy 004c @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 77 40 83 7E 08 00 7F E7 8B 47 4C E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 47 40 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C7 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3687_0 {
	meta:
		name = "TCustomImageList.Initialize"
		size = 189
		refs = "000c TCustomImageList.Initialize 0019 _Dn_TList 001e TObject.Create 003e SInvalidImageSize 0043 LoadResString 004d _Dn_EInvalidOperation 0052 Exception.Create 0057 @RaiseExcept 0082 TCustomImageList.SetDragCursor 0089 _Dn_TBitmap 008e TBitmap.Create 0098 _NF__796 00ad @LStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 8B 43 24 83 F8 01 7C 0D 3D 00 80 00 00 7F 06 83 7B 28 01 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 43 2C 04 00 00 00 C6 43 35 01 C6 43 34 02 C6 43 37 00 C7 43 38 FF FF FF 1F C7 43 3C FF FF FF 1F 83 CA FF 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_3688_0 {
	meta:
		name = "TCustomImageList.HandleAllocated"
		size = 8
	strings:
		$1 = { 83 78 30 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_3689_0 {
	meta:
		name = "TCustomImageList.HandleNeeded"
		size = 12
		refs = "0007 _NF__7A7"
	strings:
		$1 = { 83 78 30 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3690_0 {
	meta:
		name = "_NF__796"
		size = 165
		refs = "000d GetDC 0018 _NF__796 0032 CreateCompatibleBitmap 003b TBitmap.SetHandle 0042 TBitmap.GetCanvas 004c TBrush.SetColor 006a Rect 007b TCanvas.FillRect 0093 ReleaseDC 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F0 6A 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 4C 8B 46 24 50 8B 46 28 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 50 8D 45 EC 50 8B C3 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 EC 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3691_0 {
	meta:
		name = "_NF__797"
		size = 55
		refs = "001b ImageList_GetIconSize 002f _NF__796"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 43 28 89 44 24 04 8B 43 24 89 04 24 54 8D 44 24 08 50 52 E8 ?? ?? ?? ?? 8B 44 24 04 89 43 28 8B 04 24 89 43 24 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_3692_0 {
	meta:
		name = "TCustomImageList.SetWidth"
		size = 72
		refs = "000f TCustomImageList.HandleAllocated 0022 TCustomImageList.GetHandle 0028 ImageList_SetIconSize 002f TCustomImageList.Clear 0036 _NF__796 0041 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 3B 56 28 74 3C 89 56 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 8B 46 24 50 8B 46 28 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3693_0 {
	meta:
		name = "TCustomImageList.SetHeight"
		size = 72
		refs = "000f TCustomImageList.HandleAllocated 0022 TCustomImageList.GetHandle 0028 ImageList_SetIconSize 002f TCustomImageList.Clear 0036 _NF__796 0041 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 3B 56 24 74 3C 89 56 24 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 8B 46 24 50 8B 46 28 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3694_0 {
	meta:
		name = "TCustomImageList.SetHandle"
		size = 43
		refs = "0009 _NF__7A5 0016 _NF__797 0024 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 F6 74 17 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 30 8B C3 66 BB F1 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3695_0 {
	meta:
		name = "_NF__7A1"
		size = 16
	strings:
		$1 = { 85 D2 74 03 8B C2 C3 8B 40 4C 8B 10 FF 52 60 C3 }
	condition:
		$1
}

rule function_3696_0 {
	meta:
		name = "TCustomImageList.GetHandle"
		size = 15
		refs = "0006 TCustomImageList.HandleNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 30 5B C3 }
	condition:
		$1
}

rule function_3697_0 {
	meta:
		name = "_NF__7A4"
		size = 81
		refs = "000e _NF__811 0019 TBitmap.GetHandleType"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 85 DB 74 2F 8B C3 E8 ?? ?? ?? ?? 3C 01 75 09 8B C3 8B 10 FF 52 60 EB 23 8B D3 8B C7 8B 08 FF 51 08 B2 01 8B C7 8B 08 FF 51 68 8B C7 8B 10 FF 52 60 EB 08 8B 46 4C 8B 10 FF 52 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3698_0 {
	meta:
		name = "_NF__7A5"
		size = 51
		refs = "0006 TCustomImageList.HandleAllocated 0017 TCustomImageList.GetHandle 001d ImageList_Destroy 002d @CallDynaInst"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 80 7B 36 00 75 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 43 30 8B C3 66 BB F1 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3699_0 {
	meta:
		name = "_NF__7A7"
		size = 155
		refs = "000d _NF__7A7 0025 _NV__7A6 0038 ImageList_Create 0049 SInvalidImageList 004e LoadResString 0058 _Dn_EInvalidOperation 005d Exception.Create 0062 @RaiseExcept 0075 TCustomImageList.SetBkColor 008a @LStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C 50 6A 04 33 C0 8A 43 35 8B 04 85 ?? ?? ?? ?? 0D FE 00 00 00 50 8B 43 24 50 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 73 30 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 38 3D FF FF FF 1F 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3700_0 {
	meta:
		name = "TCustomImageList.GetImageBitmap"
		size = 61
		refs = "0009 TCustomImageList.GetCount 0017 TCustomImageList.GetHandle 001d ImageList_GetImageInfo 002e DeleteObject"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 23 54 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 1C 24 8B 44 24 04 50 E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_3701_0 {
	meta:
		name = "TCustomImageList.GetMaskBitmap"
		size = 61
		refs = "0009 TCustomImageList.GetCount 0017 TCustomImageList.GetHandle 001d ImageList_GetImageInfo 002e DeleteObject"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 23 54 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 5C 24 04 8B 04 24 50 E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_3702_0 {
	meta:
		name = "TCustomImageList.Add"
		size = 162
		refs = "0012 _Dn_TBitmap 0017 TBitmap.Create 0031 TCustomImageList.Add 0044 _NF__7A4 005b TCustomImageList.GetHandle 0061 ImageList_Add 0079 TObject.Free 0087 @HandleFinally 0095 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F1 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 66 BB F1 FF E8 ?? ?? ?? ?? 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3703_0 {
	meta:
		name = "TCustomImageList.AddMasked"
		size = 277
		refs = "0012 _Dn_TBitmap 0017 TBitmap.Create 0022 TCustomImageList.AddMasked 006f TBitmap.SetTransparentColor 0081 _NF__7A1 008f _NF__7A4 0098 TCustomImageList.GetHandle 009e ImageList_Add 00b6 TObject.Free 00bc @HandleFinally 0108 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F1 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 35 00 0F 84 89 00 00 00 83 FE FF 0F 84 80 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F0 8B 08 FF 51 08 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 64 8B D0 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 00 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 66 BB F1 FF E8 ?? ?? ?? ?? 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3704_0 {
	meta:
		name = "TCustomImageList.AddIcon"
		size = 73
		refs = "0011 TCustomImageList.Add 001e _NF__811 0025 TIcon.GetHandle 002d TCustomImageList.GetHandle 0033 ImageList_AddIcon 0040 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 0F 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B F0 8B C3 66 BB F1 FF E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3705_0 {
	meta:
		name = "TCustomImageList.GetBitmap"
		size = 69
		refs = "0010 TCustomImageList.HandleAllocated 0032 TBitmap.GetCanvas 003d TCustomImageList.Draw"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 74 34 8B C3 E8 ?? ?? ?? ?? 84 C0 74 29 8B 53 24 8B C6 8B 08 FF 51 34 8B 53 28 8B C6 8B 08 FF 51 40 6A 00 57 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3706_0 {
	meta:
		name = "TCustomImageList.GetIcon"
		size = 76
		refs = "0010 TCustomImageList.HandleAllocated 0020 _NV__7BB 002c _NV__7BC 0035 TCustomImageList.GetHandle 003b ImageList_GetIcon 0044 TIcon.SetHandle"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 74 3B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 30 33 C0 8A 43 34 8B 04 85 ?? ?? ?? ?? 33 D2 8A 53 37 0B 04 95 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3707_0 {
	meta:
		name = "TCustomImageList.GetCount"
		size = 33
		refs = "0006 TCustomImageList.HandleAllocated 0011 TCustomImageList.GetHandle 0017 ImageList_GetImageCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_3708_0 {
	meta:
		name = "TCustomImageList.Replace"
		size = 257
		refs = "0018 TCustomImageList.Replace 0025 _Dn_TBitmap 002a TBitmap.Create 0052 TCustomImageList.HandleAllocated 0064 _NF__7A4 007c TCustomImageList.GetHandle 0082 ImageList_Replace 008e SReplaceImage 0093 LoadResString 009d _Dn_EInvalidOperation 00a2 Exception.Create 00a7 @RaiseExcept 00bc TObject.Free 00ca @HandleFinally 00d8 @CallDynaInst 00ed @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 51 8B 4D F4 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 66 BB F1 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3709_0 {
	meta:
		name = "TCustomImageList.ReplaceMasked"
		size = 497
		refs = "0018 TCustomImageList.ReplaceMasked 0026 TCustomImageList.HandleAllocated 0038 _NF__811 0045 TCustomImageList.AddMasked 0067 _Dn_TBitmap 006c TBitmap.Create 00d2 TBitmap.GetCanvas 00d7 TCanvas.GetHandle 00e4 TCustomImageList.GetHandle 00ea ImageList_Draw 0131 ImageList_Replace 013d SReplaceImage 0142 LoadResString 014c _Dn_EInvalidOperation 0151 Exception.Create 0156 @RaiseExcept 016b TObject.Free 0179 @HandleFinally 0193 TCustomImageList.Delete 01c8 @CallDynaInst 01dd @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 8E 01 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 0F 84 49 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 24 8B 45 F4 8B 08 FF 51 34 8B 45 FC 8B 50 28 8B 45 F4 8B 08 FF 51 40 8B 45 FC 8B 50 24 8B 45 F0 8B 08 FF 51 34 8B 45 FC 8B 50 28 8B 45 F0 8B 08 FF 51 40 6A 00 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 10 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 60 50 8B 45 F4 8B 10 FF 52 60 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 BB F1 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3710_0 {
	meta:
		name = "TCustomImageList.ReplaceIcon"
		size = 171
		refs = "0012 TCustomImageList.ReplaceIcon 001f TCustomImageList.HandleAllocated 0034 TCustomImageList.Replace 003f _NF__811 0046 TIcon.GetHandle 004f TCustomImageList.GetHandle 0055 ImageList_ReplaceIcon 0060 SReplaceImage 0065 LoadResString 006f _Dn_EInvalidOperation 0074 Exception.Create 0079 @RaiseExcept 0084 @CallDynaInst 0099 @LStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 56 85 F6 75 0F 6A 00 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? EB 43 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 40 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 66 BB F1 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3711_0 {
	meta:
		name = "TCustomImageList.Delete"
		size = 139
		refs = "000f TCustomImageList.Delete 001c TCustomImageList.GetCount 0028 SImageIndexError 002d LoadResString 0037 _Dn_EInvalidOperation 003c Exception.Create 0041 @RaiseExcept 0048 TCustomImageList.HandleAllocated 0054 TCustomImageList.GetHandle 005a ImageList_Remove 0065 @CallDynaInst 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3B F0 7C 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 66 BB F1 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3712_0 {
	meta:
		name = "TCustomImageList.Clear"
		size = 26
		refs = "0009 TCustomImageList.Delete 0014 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB F1 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3713_0 {
	meta:
		name = "TCustomImageList.SetBkColor"
		size = 57
		refs = "0009 TCustomImageList.HandleAllocated 0014 _NF__781 001c TCustomImageList.GetHandle 0022 ImageList_SetBkColor 0032 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 03 89 73 38 8B C3 66 BB F1 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3714_0 {
	meta:
		name = "TCustomImageList.GetBkColor"
		size = 39
		refs = "0006 TCustomImageList.HandleAllocated 0011 TCustomImageList.GetHandle 0017 ImageList_GetBkColor 001c _NF__782"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B 43 38 5B C3 }
	condition:
		$1
}

rule function_3715_0 {
	meta:
		name = "TCustomImageList.Draw"
		size = 111
		refs = "000f TCustomImageList.HandleAllocated 001f _NV__7DB 002b _NV__7DC 0034 _NF__781 003c TCustomImageList.GetBkColor 0052 TCanvas.GetHandle 005e TCustomImageList.GetHandle 0064 ImageList_DrawEx"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 51 33 C0 8A 43 34 8B 04 85 ?? ?? ?? ?? 33 D2 8A 53 37 0B 04 95 ?? ?? ?? ?? 50 8B 43 3C E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 0C 50 57 8B C6 E8 ?? ?? ?? ?? 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3716_0 {
	meta:
		name = "TCustomImageList.DrawOverlay"
		size = 100
		refs = "0011 TCustomImageList.HandleAllocated 0020 IndexToOverlayMask 002e _NV__7E3 0046 TCanvas.GetHandle 0052 TCustomImageList.GetHandle 0058 ImageList_Draw"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 43 33 C0 8A 45 08 40 E8 ?? ?? ?? ?? 8B F0 33 C0 8A 43 37 8B 04 85 ?? ?? ?? ?? 81 E6 00 0F 00 00 0B C6 50 8B 45 10 50 8B 45 FC 50 8B C7 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_3717_0 {
	meta:
		name = "TCustomImageList.Overlay"
		size = 54
		refs = "000c TCustomImageList.HandleAllocated 001e TCustomImageList.GetHandle 0024 ImageList_SetOverlayImage"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1C 33 C0 8A C3 40 50 56 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3718_0 {
	meta:
		name = "_NF__7EF"
		size = 293
		refs = "001e Rect 0025 _Dn_TBitmap 002a TBitmap.Create 0070 _NF__7EF 007f ImageList_GetImageCount 0092 TBitmap.GetCanvas 009e TCanvas.FillRect 00ab TCanvas.GetHandle 00b6 ImageList_Draw 00ef TCustomImageList.Add 010a TObject.Free 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 55 FC 8B F0 8B 46 24 50 8D 45 E0 50 8B 4E 28 33 D2 33 C0 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 56 24 8B 45 F8 8B 08 FF 51 34 8B 56 28 8B 45 F8 8B 08 FF 51 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 56 24 8B 45 F4 8B 08 FF 51 34 8B 56 28 8B 45 F4 8B 08 FF 51 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 E8 ?? ?? ?? ?? 48 85 C0 7C 71 40 89 45 F0 33 DB 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 50 53 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 6A 10 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 50 53 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 43 FF 4D F0 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3719_0 {
	meta:
		name = "TCustomImageList.GetImages"
		size = 165
		refs = "001f Rect 0026 TBitmap.GetCanvas 0035 TBrush.SetColor 003f TCanvas.FillRect 004c TCanvas.GetHandle 0055 TCustomImageList.GetHandle 005b ImageList_Draw"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8B FA 8B D8 8B 43 24 50 8D 45 F0 50 8B 4B 28 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 BA FF FF FF 00 8B 46 14 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B F0 BA FF FF FF 00 8B 46 14 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 6A 10 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3720_0 {
	meta:
		name = "_NF__7F5"
		size = 424
		refs = "001a _NF__7F5 0027 _Dn_TBitmap 002c TBitmap.Create 0078 _DV_TCustomImageList 007d TCustomImageList.CreateSize 0091 TCustomImageList.Clear 0099 TCustomImageList.GetCount 00a6 SImageIndexError 00ab LoadResString 00b5 _Dn_EInvalidOperation 00ba Exception.Create 00bf @RaiseExcept 00e9 TCustomImageList.GetImages 00f6 TCustomImageList.Add 010d TCustomImageList.AddMasked 0166 TObject.Free 017c @HandleFinally 0193 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 56 24 8B 45 F4 8B 08 FF 51 34 8B 56 28 8B 45 F4 8B 08 FF 51 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 56 24 8B 45 F0 8B 08 FF 51 34 8B 56 28 8B 45 F0 8B 08 FF 51 40 6A 05 B9 05 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B D6 8B 45 EC 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 3B 45 FC 7D 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 4B 85 DB 7C 25 43 33 FF 8B 45 F0 50 8B 4D F4 8B D7 8B 45 EC E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 47 4B 75 DE 83 7D 08 FF 74 0F 8B 4D 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 0D 8B 4D 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 7D FC 8B 45 EC E8 ?? ?? ?? ?? 8B D8 4B 2B DF 7C 23 43 8B 45 F0 50 8B 4D F4 8B D7 8B 45 EC E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 47 4B 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3721_0 {
	meta:
		name = "TCustomImageList.Insert"
		size = 20
		refs = "000b _NF__7F5"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A FF E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3722_0 {
	meta:
		name = "TCustomImageList.InsertMasked"
		size = 20
		refs = "000b _NF__7F5"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3723_0 {
	meta:
		name = "TCustomImageList.InsertIcon"
		size = 310
		refs = "001b TCustomImageList.InsertIcon 0028 _Dn_TIcon 002d TIcon.Create 003d _DV_TCustomImageList 0042 TCustomImageList.CreateSize 0058 TCustomImageList.Clear 0060 TCustomImageList.GetCount 006d SImageIndexError 0072 LoadResString 007c _Dn_EInvalidOperation 0081 Exception.Create 0086 @RaiseExcept 00ab TCustomImageList.GetIcon 00b5 TCustomImageList.AddIcon 0106 TObject.Free 010c @HandleFinally 0123 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 05 B9 05 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 55 FC 8B 45 F0 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 3B 45 F8 7D 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 4B 85 DB 7C 1D 43 33 FF 8B CE 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 47 4B 75 E6 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 7D F8 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 4B 2B DF 7C 1B 43 8B CE 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 47 4B 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3724_0 {
	meta:
		name = "TCustomImageList.Move"
		size = 196
		refs = "001a _Dn_TBitmap 001f TBitmap.Create 0065 TCustomImageList.Move 007b TCustomImageList.GetImages 0084 TCustomImageList.Delete 0094 TCustomImageList.Insert 00a9 TObject.Free 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 3B FE 0F 84 A6 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 53 24 8B 45 FC 8B 08 FF 51 34 8B 53 28 8B 45 FC 8B 08 FF 51 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 53 24 8B 45 F8 8B 08 FF 51 34 8B 53 28 8B 45 F8 8B 08 FF 51 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3725_0 {
	meta:
		name = "TCustomImageList.AddImages"
		size = 29
		refs = "000d TCustomImageList.GetHandle 0016 _NF__7EF"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3726_0 {
	meta:
		name = "TCustomImageList.Assign"
		size = 185
		refs = "000d _NF__7A5 0018 _DV_TCustomImageList 001d @IsClass 002c TCustomImageList.Clear 004b TCustomImageList.GetHandle 0054 _NF__797 005b TCustomImageList.HandleAllocated 0066 TCustomImageList.HandleNeeded 007d ImageList_SetIconSize 008a ImageList_GetBkColor 008f _NF__782 0098 TCustomImageList.SetBkColor 00a7 TCustomImageList.AddImages 00b2 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 0A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 8A 46 35 88 43 35 8A 46 37 88 43 37 8A 46 34 88 43 34 8A 46 36 88 43 36 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 15 8B 43 24 50 8B 43 28 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 46 3C 89 43 3C 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3727_0 {
	meta:
		name = "TCustomImageList.AssignTo"
		size = 172
		refs = "000a _DV_TCustomImageList 000f @IsClass 003c TCustomImageList.Clear 0043 TCustomImageList.GetHandle 004c _NF__797 0053 TCustomImageList.HandleAllocated 005e TCustomImageList.HandleNeeded 0075 ImageList_SetIconSize 0082 ImageList_GetBkColor 0087 _NF__782 0090 TCustomImageList.SetBkColor 0099 TCustomImageList.AddImages 00a5 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 8A 46 35 88 43 35 8A 46 37 88 43 37 8A 46 34 88 43 34 8A 46 36 88 43 36 8B 46 3C 89 43 3C 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 15 8B 43 24 50 8B 43 28 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3728_0 {
	meta:
		name = "_NF__811"
		size = 120
		refs = "000f _NF__811 0039 SInvalidImageSize 003e LoadResString 0048 _Dn_EInvalidOperation 004d Exception.Create 0052 @RaiseExcept 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 39 8B C6 8B 10 FF 52 20 3B 43 24 7C 0C 8B C6 8B 10 FF 52 2C 3B 43 28 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3729_0 {
	meta:
		name = "_NF__812"
		size = 196
		refs = "001d GetSystemMetrics 002b ImageList_Create 0036 _NF__812 0045 Screen 004c TScreen.GetCursors 0056 ImageList_AddIcon 007f ImageList_SetDragCursorImage 008a ImageList_GetDragImage 00b3 ImageList_Destroy 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 66 83 7B 4A FF 0F 84 AB 00 00 00 6A 01 6A 01 6A 01 6A 0E E8 ?? ?? ?? ?? 50 6A 0D E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F BF 53 4A A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 0F BF 53 4A A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 8D 45 F4 50 6A 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F4 50 6A 01 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3730_0 {
	meta:
		name = "TCustomImageList.SetDragCursor"
		size = 22
		refs = "0011 _NF__812"
	strings:
		$1 = { 66 3B 50 4A 74 0F 66 89 50 4A 80 78 48 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3731_0 {
	meta:
		name = "TCustomImageList.SetDragImage"
		size = 70
		refs = "000f TCustomImageList.HandleAllocated 002c TCustomImageList.GetHandle 0032 ImageList_BeginDrag"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 26 89 73 58 89 7B 5C 8B 45 08 89 43 60 8B 45 08 50 57 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B0 01 88 43 48 EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3732_0 {
	meta:
		name = "TCustomImageList.GetHotSpot"
		size = 45
		refs = "000d Point 0014 TCustomImageList.HandleAllocated 0026 ImageList_GetDragImage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 80 7B 48 00 74 08 56 6A 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3733_0 {
	meta:
		name = "TCustomImageList.BeginDrag"
		size = 96
		refs = "0013 TCustomImageList.HandleAllocated 002e TCustomImageList.SetDragImage 0035 _NF__812 0045 TCustomImageList.DragLock 0052 ShowCursor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3B 80 7E 48 00 75 11 8B 46 60 50 8B 4E 5C 8B 56 58 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 07 6A 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3734_0 {
	meta:
		name = "TCustomImageList.DragLock"
		size = 97
		refs = "0015 TCustomImageList.HandleAllocated 0025 TCustomImageList.DragUnlock 003b _NF__783 004c ImageList_DragEnter"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B F8 33 DB 8B C7 E8 ?? ?? ?? ?? 84 C0 74 39 3B 77 44 74 34 8B C7 E8 ?? ?? ?? ?? 8B DE 89 5F 44 8D 45 F4 50 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F4 50 8B 47 44 50 E8 ?? ?? ?? ?? F7 D8 1B DB F7 DB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3735_0 {
	meta:
		name = "TCustomImageList.DragUnlock"
		size = 36
		refs = "0006 TCustomImageList.HandleAllocated 0019 ImageList_DragLeave"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 83 7B 44 00 74 0E 8B 43 44 50 E8 ?? ?? ?? ?? 33 C0 89 43 44 5B C3 }
	condition:
		$1
}

rule function_3736_0 {
	meta:
		name = "TCustomImageList.DragMove"
		size = 67
		refs = "000f TCustomImageList.HandleAllocated 0020 _NF__783 002f ImageList_DragMove"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 54 8B CF 8B D6 8B 43 44 E8 ?? ?? ?? ?? 8B 44 24 04 50 8B 44 24 04 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 EB 02 33 C0 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3737_0 {
	meta:
		name = "TCustomImageList.ShowDragImage"
		size = 23
		refs = "0006 TCustomImageList.HandleAllocated 0011 ImageList_DragShowNolock"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 6A FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3738_0 {
	meta:
		name = "TCustomImageList.HideDragImage"
		size = 23
		refs = "0006 TCustomImageList.HandleAllocated 0011 ImageList_DragShowNolock"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 6A 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3739_0 {
	meta:
		name = "TCustomImageList.EndDrag"
		size = 69
		refs = "0007 TCustomImageList.HandleAllocated 0018 TCustomImageList.DragUnlock 001d ImageList_EndDrag 0031 TCustomImageList.SetDragCursor 0038 ShowCursor"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2F 80 7E 48 00 74 29 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 1B DB F7 DB C6 46 48 00 83 CA FF 8B C6 E8 ?? ?? ?? ?? 6A FF E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_3740_0 {
	meta:
		name = "TCustomImageList.GetInstRes"
		size = 206
		refs = "0018 @LStrAddRef 0020 TCustomImageList.GetInstRes 0068 _NV__833 007d @LStrToPChar 0087 ImageList_LoadImage 0096 _NF__7EF 009c ImageList_Destroy 00b7 @LStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FB 89 55 FC 8B F8 8B 5D 0C 8B 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 F6 C3 01 74 03 83 CE 00 F6 C3 02 74 03 83 CE 40 F6 C3 04 74 03 83 CE 10 F6 C3 08 74 06 81 CE 00 10 00 00 F6 C3 10 74 03 83 CE 20 F6 C3 20 74 03 83 CE 01 56 33 C0 8A 45 FB 8B 04 85 ?? ?? ?? ?? 50 8B 45 08 50 8B 47 2C 50 8B 45 10 50 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 13 8B D3 8B C7 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_3741_0 {
	meta:
		name = "TCustomImageList.GetResource"
		size = 108
		refs = "0011 @LStrAddRef 0019 TCustomImageList.GetResource 0035 MainInstance 0040 TCustomImageList.GetInstRes 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 10 50 8A 45 0C 50 8B 45 08 50 8B 15 ?? ?? ?? ?? 8B 12 8B CB 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_3742_0 {
	meta:
		name = "TCustomImageList.ResInstLoad"
		size = 108
		refs = "0010 @LStrAddRef 0018 TCustomImageList.ResInstLoad 003b TCustomImageList.GetInstRes 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 47 28 50 A0 ?? ?? ?? ?? 50 8B 45 08 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 5D C2 08 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3743_0 {
	meta:
		name = "TCustomImageList.ResourceLoad"
		size = 260
		refs = "0016 @LStrAddRef 001e TCustomImageList.ResourceLoad 002b HInstance 0033 MainInstance 005f TCustomImageList.GetInstRes 0069 LibModuleList 00e6 @LStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 88 55 FB 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 3B 02 75 2C 8B 45 F4 50 8B 45 FC 8B 40 28 50 A0 ?? ?? ?? ?? 50 8B 45 08 50 8B 15 ?? ?? ?? ?? 8B 12 8A 4D FB 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 6E 8B 35 ?? ?? ?? ?? 8B 36 85 F6 74 62 8B FE 8B 45 F4 50 8B 45 FC 8B 40 28 50 A0 ?? ?? ?? ?? 50 8B 45 08 50 8A 4D FB 8B 57 08 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 2D 8B 47 04 3B 47 08 74 25 8B 45 F4 50 8B 45 FC 8B 40 28 50 A0 ?? ?? ?? ?? 50 8B 45 08 50 8A 4D FB 8B 57 04 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 06 8B 36 85 F6 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3744_0 {
	meta:
		name = "TCustomImageList.FileLoad"
		size = 108
		refs = "0011 @LStrAddRef 0019 TCustomImageList.FileLoad 0039 TCustomImageList.GetResource 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 28 50 A0 ?? ?? ?? ?? 50 8B 45 08 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 04 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_3745_0 {
	meta:
		name = "TCustomImageList.Change"
		size = 63
		refs = "001a TList.Get 0023 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 47 40 8B 70 08 4E 85 F6 7C 1A 46 33 ED 8B D5 8B 47 40 E8 ?? ?? ?? ?? 66 BB FF FF E8 ?? ?? ?? ?? 45 4E 75 E9 66 83 7F 52 00 74 08 8B D7 8B 47 54 FF 57 50 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3746_0 {
	meta:
		name = "TCustomImageList.UnRegisterChanges"
		size = 62
		refs = "001c TList.Get 002f TList.Delete"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 40 8B 70 08 4E 85 F6 7C 26 46 33 DB 8B D3 8B 47 40 E8 ?? ?? ?? ?? 3B E8 75 11 33 C0 89 45 04 8B D3 8B 47 40 E8 ?? ?? ?? ?? EB 04 43 4E 75 DD 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3747_0 {
	meta:
		name = "TCustomImageList.RegisterChanges"
		size = 12
		refs = "0007 TList.Add"
	strings:
		$1 = { 89 42 04 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3748_0 {
	meta:
		name = "_NF__85B"
		size = 61
		refs = "000a TStream.GetSize 002b CompareMem"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 75 18 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 56 04 8B 43 04 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3749_0 {
	meta:
		name = "_NF__85C"
		size = 237
		refs = "0014 TCustomImageList.GetCount 0050 _Dn_TMemoryStream 0055 TObject.Create 0060 _NF__85C 0070 _NF__864 00a2 _NF__85B 00ba TObject.Free 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8B D8 85 F6 74 14 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 74 09 C6 45 FF 00 E9 B5 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 14 8B C6 E8 ?? ?? ?? ?? 85 C0 75 09 C6 45 FF 01 E9 96 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3750_0 {
	meta:
		name = "_NF__85D"
		size = 90
		refs = "001d _DV_TCustomImageList 0022 @IsClass 0036 _NF__85C 004e TCustomImageList.GetCount"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 1C 00 74 37 8B 45 08 8B 40 FC 8B 58 1C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 08 8B D3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 15 B0 01 5B 5D C3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5B 5D C3 }
	condition:
		$1
}

rule function_3751_0 {
	meta:
		name = "TCustomImageList.DefineProperties"
		size = 88
		refs = "0014 TComponent.DefineProperties 001d _NF__863 0026 _NF__864 002c _NF__85D 0034 TCustomImageList.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 FF FF FF FF 06 00 00 00 42 69 74 6D 61 70 00 00 }
	condition:
		$1
}

rule function_3752_0 {
	meta:
		name = "_NF__861"
		size = 594
		refs = "0018 TStream.ReadBuffer 002e _Dn_TBitmap 0033 TBitmap.Create 003e _NF__861 004b TStream.GetPosition 0063 TStream.SetPosition 00c8 TBitmap.SetMonochrome 00f2 Rect 016b Bounds 0177 TBitmap.GetCanvas 0189 TCanvas.CopyRect 01d1 TCustomImageList.Add 01fd TObject.Free 020b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F2 8B D8 8D 55 E8 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B F8 8B D6 8B 45 FC 8B 08 FF 51 50 8B 55 E8 03 D7 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F4 8B 08 FF 51 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 53 28 8B 45 F8 8B 08 FF 51 40 8B 53 24 8B 45 F8 8B 08 FF 51 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B2 01 8B 45 F0 E8 ?? ?? ?? ?? 8B 53 28 8B 45 F0 8B 08 FF 51 40 8B 53 24 8B 45 F0 8B 08 FF 51 34 8B 43 24 50 8D 45 D0 50 8B 4B 28 33 D2 33 C0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 99 F7 7B 24 48 85 C0 0F 8C D3 00 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 83 7D E4 00 0F 84 BE 00 00 00 8B 45 FC 8B 10 FF 52 2C 99 F7 7B 28 8B F8 4F 85 FF 0F 8C 9B 00 00 00 47 33 F6 83 7D E4 00 0F 84 8E 00 00 00 8B 43 24 50 8D 45 C0 50 8B 4B 28 8B 53 24 0F AF 55 EC 8B 43 28 0F AF C6 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D0 59 E8 ?? ?? ?? ?? 8B 43 24 50 8D 45 C0 50 8B 4B 28 8B 53 24 0F AF 55 EC 8B 43 28 0F AF C6 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 D0 59 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F8 8B C3 E8 ?? ?? ?? ?? FF 4D E4 46 4F 0F 85 68 FF FF FF FF 45 EC FF 4D E0 0F 85 38 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3753_0 {
	meta:
		name = "_NF__862"
		size = 187
		refs = "0012 _NF__862 001f _Dn_TStreamAdapter 0026 TStreamAdapter.Create 0043 ImageList_Read 004c TCustomImageList.SetHandle 0053 TCustomImageList.GetHandle 005f SImageReadFail 0064 LoadResString 006e _Dn_EReadError 0073 Exception.Create 0078 @RaiseExcept 008d TObject.Free 0093 @HandleFinally 00aa @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 0C 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3754_0 {
	meta:
		name = "_NF__863"
		size = 128
		refs = "000d TStream.GetPosition 004c TStream.SetPosition 006a _NF__862 0075 _NF__861"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 89 44 24 0C 8B D4 B9 04 00 00 00 8B C7 8B 18 FF 53 04 8D 54 24 04 B9 04 00 00 00 8B C7 8B 18 FF 53 04 8A 1C 24 80 E3 FF 66 8B 04 24 66 C1 E8 08 88 44 24 08 8B 54 24 0C 8B C7 E8 ?? ?? ?? ?? 8B 04 24 3B 44 24 04 74 17 80 FB 49 75 12 80 7C 24 08 4C 75 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3755_0 {
	meta:
		name = "_NF__864"
		size = 179
		refs = "0012 _NF__864 001f _Dn_TStreamAdapter 0026 TStreamAdapter.Create 0045 TCustomImageList.GetHandle 004b ImageList_Write 0057 SImageWriteFail 005c LoadResString 0066 _Dn_EWriteError 006b Exception.Create 0070 @RaiseExcept 0085 TObject.Free 008b @HandleFinally 00a2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 0C 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3756_0 {
	meta:
		name = "TChangeLink.Destroy"
		size = 48
		refs = "0010 TCustomImageList.UnRegisterChanges 001c TObject.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3757_0 {
	meta:
		name = "TChangeLink.Change"
		size = 21
	strings:
		$1 = { 53 66 83 78 0A 00 74 0B 8B D8 8B 50 04 8B 43 0C FF 53 08 5B C3 }
	condition:
		$1
}

rule function_3758_0 {
	meta:
		name = "_NF__876"
		size = 640
		refs = "0006 SysLocale 001a SetErrorMode 0025 _NF__876 0031 _NV__86B 003e GetModuleHandle 004b GetProcAddress 0056 _NV__86A 0067 LoadLibrary 00a7 _NV__86C 00bc _NV__86D 00d1 _NV__86E 00e6 _NV__86F 00fb _NV__870 0110 _NV__871 0125 _NV__872 013a _NV__873 014f _NV__874 0164 _NV__875 0180 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 A1 ?? ?? ?? ?? 80 78 08 00 0F 84 72 01 00 00 68 00 80 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 1C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 85 07 01 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 7C 10 83 3D ?? ?? ?? ?? 20 7D 07 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 D2 00 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5B 59 5D C3 00 00 55 53 45 52 33 32 00 00 57 49 4E 4E 4C 53 45 6E 61 62 6C 65 49 4D 45 00 49 4D 4D 33 32 2E 44 4C 4C 00 00 00 49 6D 6D 47 65 74 43 6F 6E 74 65 78 74 00 00 00 49 6D 6D 52 65 6C 65 61 73 65 43 6F 6E 74 65 78 74 00 00 00 49 6D 6D 47 65 74 43 6F 6E 76 65 72 73 69 6F 6E 53 74 61 74 75 73 00 00 49 6D 6D 53 65 74 43 6F 6E 76 65 72 73 69 6F 6E 53 74 61 74 75 73 00 00 49 6D 6D 53 65 74 4F 70 65 6E 53 74 61 74 75 73 00 00 00 00 49 6D 6D 53 65 74 43 6F 6D 70 6F 73 69 74 69 6F 6E 57 69 6E 64 6F 77 00 49 6D 6D 53 65 74 43 6F 6D 70 6F 73 69 74 69 6F 6E 46 6F 6E 74 41 00 00 49 6D 6D 47 65 74 43 6F 6D 70 6F 73 69 74 69 6F 6E 53 74 72 69 6E 67 41 00 00 00 00 49 6D 6D 49 73 49 4D 45 00 00 00 00 49 6D 6D 4E 6F 74 69 66 79 49 4D 45 00 00 00 00 }
	condition:
		$1
}

rule function_3759_0 {
	meta:
		name = "Win32NLSEnableIME"
		size = 21
		refs = "0002 _NV__86B"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_3763_0 {
	meta:
		name = "Imm32ReleaseContext"
		size = 21
		refs = "0002 _NV__86A 000d _NV__86D"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_3768_0 {
	meta:
		name = "Imm32SetCompositionFont"
		size = 21
		refs = "0002 _NV__86A 000d _NV__872"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_3767_0 {
	meta:
		name = "Imm32SetCompositionWindow"
		size = 21
		refs = "0002 _NV__86A 000d _NV__871"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_3766_0 {
	meta:
		name = "Imm32SetOpenStatus"
		size = 21
		refs = "0002 _NV__86A 000d _NV__870"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_3760_0 {
	meta:
		name = "SetImeMode"
		size = 217
		refs = "000b SysLocale 002b Win32NLSEnableIME 003f _NV__86A 004d _NV__86C 0064 _NV__86E 0079 _NV__870 00b1 _NV__87A 00c7 _NV__86F 00cf _NV__86D"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B DA 8B F0 A1 ?? ?? ?? ?? 80 78 08 00 0F 84 BA 00 00 00 80 FB 03 0F 84 B1 00 00 00 84 DB 75 0E 33 D2 8B C6 E8 ?? ?? ?? ?? E9 9F 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 89 00 00 00 56 FF 15 ?? ?? ?? ?? 8B F8 85 FF 74 7C 8D 44 24 04 50 8D 44 24 04 50 57 FF 15 ?? ?? ?? ?? 8B C3 FE C8 74 06 FE C8 74 0D EB 16 6A 00 57 FF 15 ?? ?? ?? ?? EB 3B 6A 01 57 FF 15 ?? ?? ?? ?? EB 30 6A 01 57 FF 15 ?? ?? ?? ?? 8D 44 24 04 50 8D 44 24 04 50 57 FF 15 ?? ?? ?? ?? 8B 04 24 83 E0 F4 33 D2 8A D3 0F B6 92 ?? ?? ?? ?? 0B C2 89 04 24 8B 44 24 04 50 8B 44 24 04 50 57 FF 15 ?? ?? ?? ?? 57 56 FF 15 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3761_0 {
	meta:
		name = "SetImeName"
		size = 162
		refs = "000d @LStrAddRef 0015 SetImeName 0020 SysLocale 0031 Screen 007c ActivateKeyboardLayout 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 78 08 00 74 56 83 7D FC 00 74 50 A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B 10 FF 52 14 85 C0 74 3D A1 ?? ?? ?? ?? 8B 00 8B 70 30 A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B 55 FC 8B 08 FF 51 50 8B D8 85 DB 7C 13 A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B D3 8B 08 FF 51 18 8B F0 6A 01 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3762_0 {
	meta:
		name = "Imm32GetContext"
		size = 20
		refs = "0002 _NV__86A 000c _NV__86C"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 08 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_3770_0 {
	meta:
		name = "Imm32IsIME"
		size = 20
		refs = "0002 _NV__86A 000c _NV__874"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 08 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_3764_0 {
	meta:
		name = "Imm32GetConversionStatus"
		size = 22
		refs = "0002 _NV__86A 000e _NV__86E"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0A 51 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_3765_0 {
	meta:
		name = "Imm32SetConversionStatus"
		size = 22
		refs = "0002 _NV__86A 000e _NV__86F"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0A 51 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_3769_0 {
	meta:
		name = "Imm32GetCompositionString"
		size = 35
		refs = "0006 _NV__86A 0016 _NV__873"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 0F 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? EB 02 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3771_0 {
	meta:
		name = "Imm32NotifyIME"
		size = 35
		refs = "0006 _NV__86A 0016 _NV__875"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 0F 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? EB 02 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3772_0 {
	meta:
		name = "_NF__8A2"
		size = 97
		refs = "0001 Application 0008 TObject.Free 0016 Screen 002b _NV__41E 0036 _NV__3AD 003c GlobalDeleteAtom 0042 _NV__3AC 004e _NV__86A 005c FreeLibrary"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3773_0 {
	meta:
		name = "_NF__8A3"
		size = 252
		refs = "0006 GetCurrentProcessId 0018 _NF__8A3 0021 StrFmt 0027 GlobalAddAtom 002d _NV__3AC 0034 HInstance 0044 GetCurrentThreadId 006b _NV__3AD 0072 _Dn_TThreadList 0077 TThreadList.Create 007c _NV__41E 0081 _NF__876 008a _Dn_TScreen 008f TScreen.Create 0095 Screen 00a0 _Dn_TApplication 00a5 TApplication.Create 00ab Application 00b2 InitCtl3D 00c0 TApplication.SetShowHint 00c5 CursorToIdent 00ca IdentToCursor 00cf TCursor 00d4 RegisterIntegerConsts"
	strings:
		$1 = { 83 C4 C8 6A 00 E8 ?? ?? ?? ?? 89 44 24 24 C6 44 24 28 00 8D 4C 24 24 BA ?? ?? ?? ?? 8D 44 24 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 6A 01 A1 ?? ?? ?? ?? 8B 00 89 44 24 2C C6 44 24 30 00 E8 ?? ?? ?? ?? 89 44 24 34 C6 44 24 38 00 8D 4C 24 2C BA ?? ?? ?? ?? 8D 44 24 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 B2 01 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 38 C3 44 65 6C 70 68 69 25 2E 38 58 00 00 43 6F 6E 74 72 6F 6C 4F 66 73 25 2E 38 58 25 2E 38 58 00 00 }
	condition:
		$1
}

rule function_3774_0 {
	meta:
		name = "Finalization"
		size = 74
		refs = "0007 Finalization 0013 _NV__3AB 001a _NF__8A2 001f _NV__3B9 002a TIdentMapEntry 002f @FinalizeArray 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1A E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 15 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3775_0 {
	meta:
		name = "Controls"
		size = 35
		refs = "0002 _NV__3AB 000a GetVersion 0019 NewStyleControls 001e _NF__8A3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 19 E8 ?? ?? ?? ?? 66 25 FF 00 66 83 F8 04 0F 93 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3776_0 {
	meta:
		name = "TCopyParser.Create"
		size = 120
		refs = "000e @ClassCreate 0025 @GetMem 005d TCopyParser.SkipToken"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 89 4F 04 8B 45 08 89 47 08 B8 00 10 00 00 E8 ?? ?? ?? ?? 8B F0 89 77 10 C6 06 00 89 77 14 8B 47 10 05 00 10 00 00 89 47 18 8B 47 10 89 47 1C 8B 47 10 89 47 20 8B 47 10 89 47 24 C7 47 2C 01 00 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3777_0 {
	meta:
		name = "TCopyParser.Destroy"
		size = 56
		refs = "0023 @FreeMem 002e @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 83 7E 10 00 74 1A 8B 56 24 2B 56 14 66 B9 01 00 8B 46 04 8B 38 FF 57 0C 8B 46 10 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3778_0 {
	meta:
		name = "TCopyParser.CheckToken"
		size = 198
		refs = "0015 TCopyParser.CheckToken 0039 SIdentifierExpected 003e LoadResString 0048 TCopyParser.Error 0052 SStringExpected 006b SNumberExpected 0086 SCharExpected 009f TCopyParser.ErrorFmt 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 31 74 7F 8B C3 FE C8 74 0B FE C8 74 20 48 2C 02 72 34 EB 4B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 55 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 3C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 23 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 88 5D F4 C6 45 F8 02 8D 4D F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3780_0 {
	meta:
		name = "_NF__52"
		size = 180
		refs = "0019 _NF__52 0027 @LStrClr 0054 TStream.WriteBuffer 0064 @LStrFromPCharLen 006f @LStrCat 007d _NF__7D 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FF 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 5F 24 EB 02 43 4E 85 F6 7E 05 80 3B 00 75 F5 80 7D FF 00 74 17 83 7F 08 00 74 11 8B CB 8B 47 24 2B C8 8B D0 8B 47 08 E8 ?? ?? ?? ?? 8B CB 8B 47 24 2B C8 8D 55 F8 92 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 85 F6 7E 07 8B C7 E8 ?? ?? ?? ?? 85 F6 74 06 80 7F 31 00 75 A0 89 5F 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3781_0 {
	meta:
		name = "_NF__53"
		size = 79
		refs = "0027 @LStrFromPCharLen 0040 _NF__8E 0047 TCopyParser.NextToken"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8B 5E 24 EB 01 43 8A 03 84 C0 74 08 2C 0A 74 04 2C 03 75 F1 8B D1 8B CB 8B 46 24 2B C8 92 E8 ?? ?? ?? ?? 80 3B 0D 75 01 43 89 5E 1C 80 3C 24 00 74 0A 8B 56 24 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3782_0 {
	meta:
		name = "_NF__54"
		size = 158
		refs = "0019 _NF__54 0034 _NF__7D 0044 @LStrFromPCharLen 004e @LStrCat 005e _NF__8E 0065 TCopyParser.NextToken 0070 TCopyParser.SkipToken 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 24 EB 01 43 80 3B 00 75 FA 89 5E 1C 8B C6 E8 ?? ?? ?? ?? 8B CB 8B 46 24 2B C8 8D 55 F8 92 E8 ?? ?? ?? ?? 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 80 7D FF 00 74 13 8B 56 24 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 09 33 D2 8B C6 E8 ?? ?? ?? ?? 80 7E 31 00 75 A9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3783_0 {
	meta:
		name = "_NF__55"
		size = 192
		refs = "0019 _NF__55 0027 @LStrClr 0035 _NF__7E 004a @LStrFromPCharLen 0055 @LStrCat 0063 _NF__79 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 88 55 FF 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? EB 61 8B 77 1C 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 47 1C 3B F0 74 1C 8B C8 2B CE 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 8B CB 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 47 31 3A 45 FF 74 1F 8B 4F 1C 8B 47 24 2B C8 8D 55 F8 92 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 8A 47 31 3A 45 FF 74 04 84 C0 75 93 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3784_0 {
	meta:
		name = "TCopyParser.CopyTo"
		size = 25
		refs = "0011 _NF__52"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3785_0 {
	meta:
		name = "TCopyParser.CopyToToken"
		size = 25
		refs = "0011 _NF__55"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 57 B1 01 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3786_0 {
	meta:
		name = "TCopyParser.CopyToEOL"
		size = 20
		refs = "000d _NF__53"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3787_0 {
	meta:
		name = "TCopyParser.CopyToEOF"
		size = 20
		refs = "000d _NF__54"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3788_0 {
	meta:
		name = "TCopyParser.CopyTokenToOutput"
		size = 9
		refs = "0004 _NF__8E"
	strings:
		$1 = { 8B 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3791_0 {
	meta:
		name = "TCopyParser.ErrorStr"
		size = 122
		refs = "0015 TCopyParser.ErrorStr 003a SParseError 003f LoadResString 0049 _Dn_EParserError 004e Exception.CreateFmt 0053 @RaiseExcept 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F0 C6 45 F4 0B 8B 43 2C 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3792_0 {
	meta:
		name = "TCopyParser.NextToken"
		size = 10
		refs = "0005 _NF__79"
	strings:
		$1 = { B1 01 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4633_0 {
	meta:
		name = "TClientDataSet.SetRangeStart"
		size = 10
		refs = "0005 TClientDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5880_0 {
	meta:
		name = "TTable.SetRangeStart"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3793_0 {
	meta:
		name = "TCopyParser.SkipTo"
		size = 25
		refs = "0011 _NF__52"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3794_0 {
	meta:
		name = "TCopyParser.SkipToToken"
		size = 25
		refs = "0011 _NF__55"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 57 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3795_0 {
	meta:
		name = "TCopyParser.SkipToEOL"
		size = 20
		refs = "000d _NF__53"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3796_0 {
	meta:
		name = "TCopyParser.SkipToEOF"
		size = 20
		refs = "000d _NF__54"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6599_0 {
	meta:
		name = "TPropertyEditor.GetMethodValue"
		size = 20
		refs = "000d TPropertyEditor.GetMethodValueAt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6609_0 {
	meta:
		name = "TPropertyEditor.GetStrValue"
		size = 20
		refs = "000d TPropertyEditor.GetStrValueAt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6611_0 {
	meta:
		name = "TPropertyEditor.GetVarValue"
		size = 20
		refs = "000d TPropertyEditor.GetVarValueAt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3797_0 {
	meta:
		name = "_NF__79"
		size = 131
		refs = "000b _NF__7E 0076 _NF__8E"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 1C 89 46 24 8A 10 80 EA 0A 74 3C 80 C2 C9 80 EA 1A 72 0D 80 EA 04 74 08 80 C2 FE 80 EA 1A 73 2F 40 EB 01 40 8A 10 80 C2 D0 80 EA 0A 72 F5 80 C2 F9 80 EA 1A 72 ED 80 EA 04 74 E8 80 C2 FE 80 EA 1A 72 E0 B3 01 EB 0F 40 FF 46 2C B3 05 EB 07 8A 18 84 DB 74 01 40 8B 56 1C 89 46 1C 80 3C 24 00 74 07 8B C6 E8 ?? ?? ?? ?? 88 5E 31 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3799_0 {
	meta:
		name = "_NF__7D"
		size = 199
		refs = "000e _NF__7D 003b Move 0071 LineStart 0083 SLineTooLong 0088 LoadResString 0092 TCopyParser.Error 00b5 @LStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 2B 43 10 01 43 0C 8B 43 20 8A 53 30 88 10 8B 73 14 8B 43 1C 2B F0 85 F6 74 0A 8B 53 10 8B CE E8 ?? ?? ?? ?? 03 73 10 89 73 14 8B 4B 18 2B 4B 14 8B 53 14 8B 43 04 8B 30 FF 56 04 01 43 14 8B 43 10 89 43 1C 8B 73 14 89 73 20 3B 73 18 75 2C 8B D6 4A 8B 43 10 E8 ?? ?? ?? ?? 8B F8 89 7B 20 3B 7B 10 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 20 8A 00 88 43 30 8B 43 20 C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3800_0 {
	meta:
		name = "_NF__7E"
		size = 88
		refs = "002b _NF__8E 0032 _NF__7D"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 1C 8B 56 1C 8A 12 80 EA 01 72 0F 80 EA 09 74 28 80 C2 E9 80 EA DF 72 28 EB 21 84 DB 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 1C 80 38 00 74 17 EB C9 FF 46 2C FF 46 1C EB C1 84 DB 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3801_0 {
	meta:
		name = "TCopyParser.SourcePos"
		size = 12
	strings:
		$1 = { 8B 50 24 2B 50 10 03 50 0C 8B C2 C3 }
	condition:
		$1
}

rule function_3802_0 {
	meta:
		name = "TCopyParser.SkipEOL"
		size = 49
		refs = "0026 TCopyParser.NextToken"
	strings:
		$1 = { 80 78 31 05 75 2A EB 03 FF 40 24 8B 50 24 8A 12 80 EA 0A 74 F3 80 EA 03 74 EE 8B 50 24 89 50 1C 80 3A 00 74 07 E8 ?? ?? ?? ?? EB 04 C6 40 31 00 C3 }
	condition:
		$1
}

rule function_3805_0 {
	meta:
		name = "TCopyParser.TokenString"
		size = 30
		refs = "0019 @LStrFromPCharLen"
	strings:
		$1 = { 80 78 31 02 75 08 8B 48 28 2B 48 24 EB 06 8B 48 1C 2B 48 24 8B 40 24 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3806_0 {
	meta:
		name = "TCopyParser.TokenSymbolIs"
		size = 99
		refs = "000f TCopyParser.TokenSymbolIs 0025 TCopyParser.TokenString 002f CompareText 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 31 01 75 18 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3807_0 {
	meta:
		name = "TCopyParser.TokenComponentIdent"
		size = 159
		refs = "0010 TCopyParser.TokenComponentIdent 001f TCopyParser.CheckToken 003f SIdentifierExpected 0044 LoadResString 004e TCopyParser.Error 0078 TCopyParser.TokenString 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 5E 1C EB 43 43 8A 03 04 BF 2C 1A 72 21 2C 04 74 1D 04 FE 2C 1A 72 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 43 8A 03 04 D0 2C 0A 72 F7 04 F9 2C 1A 72 F1 2C 04 74 ED 04 FE 2C 1A 72 E7 80 3B 2E 74 B8 89 5E 1C 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3808_0 {
	meta:
		name = "_NF__8E"
		size = 32
		refs = "0019 TStream.WriteBuffer"
	strings:
		$1 = { 53 56 8B 48 08 85 C9 74 14 8B DA 8B 70 1C 2B F2 8B D6 8B C1 87 DA 8B CB E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3813_0 {
	meta:
		name = "TCustomSeriesEditor.FormShow"
		size = 373
		refs = "0005 Screen 000e TScreen.SetCursor 0029 TCustomSeriesEditor.SetPointerVisible 003d TCustomCheckBox.SetChecked 0069 TControl.SetEnabled 007d TSpinEdit.SetValue 00a7 TCustomComboBox.SetItemIndex 00c7 _Dn_TLineSeries 00cc @IsClass 011e TCustomCheckBox.GetChecked 0138 TControl.SetVisible 0148 TControl.SetLeft 016e TControl.Refresh"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 30 02 00 00 8B F0 8B 86 D4 00 00 00 8A 50 18 8B C3 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 8A 50 18 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 8A 50 0C 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 80 78 0D 00 0F 94 C2 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 8B 50 04 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 8B 50 08 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 33 D2 8A 50 0D 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 8A 50 19 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 83 30 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7A 33 D2 8A 96 E4 00 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8A 96 D0 00 00 00 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8A 56 48 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8A 96 D1 00 00 00 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 28 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? BA B0 00 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? EB 1D 33 D2 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? BA 50 00 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3814_0 {
	meta:
		name = "TCustomSeriesEditor.SetPointerVisible"
		size = 145
		refs = "0015 TSeriesPointer.SetVisible 003c TControl.SetEnabled"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 30 02 00 00 8B 80 D4 00 00 00 8B D3 E8 ?? ?? ?? ?? 84 DB 74 12 8B 86 30 02 00 00 8B 80 D4 00 00 00 80 78 0D 00 74 04 33 D2 EB 02 B2 01 8B 86 E4 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3815_0 {
	meta:
		name = "TCustomSeriesEditor.CBDrawPointClick"
		size = 25
		refs = "000a TCustomCheckBox.GetChecked 0013 TCustomSeriesEditor.SetPointerVisible"
	strings:
		$1 = { 53 8B D8 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3816_0 {
	meta:
		name = "TCustomSeriesEditor.CB3dPointClick"
		size = 35
		refs = "000a TCustomCheckBox.GetChecked 001d TSeriesPointer.Set3D"
	strings:
		$1 = { 53 8B D8 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 02 00 00 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3817_0 {
	meta:
		name = "TCustomSeriesEditor.BitBtn1Click"
		size = 32
		refs = "0010 EditColor"
	strings:
		$1 = { 53 56 8B D8 8B B3 30 02 00 00 8B 56 44 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 4C 5E 5B C3 }
	condition:
		$1
}

rule function_3818_0 {
	meta:
		name = "TCustomSeriesEditor.SEPointHorizSizeChange"
		size = 105
		refs = "000c TCustomSeriesEditor.SEPointHorizSizeChange 0020 TControl.GetText 0031 TSpinEdit.GetValue 0044 TSeriesPointer.SetHorizSize 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 1E 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 02 00 00 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_3819_0 {
	meta:
		name = "TCustomSeriesEditor.BPointFillColorClick"
		size = 76
		refs = "0017 TBrush.GetColor 003b EditColor 0044 TBrush.SetColor"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 30 02 00 00 8B 80 D4 00 00 00 8B 70 14 8B C6 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 0B 8B 83 30 02 00 00 8B 78 44 EB 09 8B C6 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3820_0 {
	meta:
		name = "TCustomSeriesEditor.CBPointStyleChange"
		size = 65
		refs = "000a TCustomComboBox.GetItemIndex 001d TSeriesPointer.SetStyle 003b TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 02 00 00 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B 83 30 02 00 00 8B 80 D4 00 00 00 80 78 0D 00 0F 94 C2 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3821_0 {
	meta:
		name = "TCustomSeriesEditor.Button1Click"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 30 02 00 00 8B 92 DC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3822_0 {
	meta:
		name = "TCustomSeriesEditor.BPoinPenColClick"
		size = 21
		refs = "0010 EditChartPen"
	strings:
		$1 = { 8B 90 30 02 00 00 8B 92 D4 00 00 00 8B 52 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3823_0 {
	meta:
		name = "TCustomSeriesEditor.CBStairsClick"
		size = 53
		refs = "000a TCustomCheckBox.GetChecked 0017 TCustomSeries.SetStairs 002f TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3824_0 {
	meta:
		name = "TCustomSeriesEditor.FormCreate"
		size = 9
	strings:
		$1 = { 33 D2 89 90 30 02 00 00 C3 }
	condition:
		$1
}

rule function_3825_0 {
	meta:
		name = "TCustomSeriesEditor.SEPointVertSizeChange"
		size = 105
		refs = "000c TCustomSeriesEditor.SEPointVertSizeChange 0020 TControl.GetText 0031 TSpinEdit.GetValue 0044 TSeriesPointer.SetVertSize 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 1E 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 02 00 00 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_3826_0 {
	meta:
		name = "TCustomSeriesEditor.CBLineBrushChange"
		size = 29
		refs = "000a TCustomComboBox.GetItemIndex 0017 TCustomSeries.SetLineBrush"
	strings:
		$1 = { 53 8B D8 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3827_0 {
	meta:
		name = "TCustomSeriesEditor.CBInflateClick"
		size = 35
		refs = "000a TCustomCheckBox.GetChecked 001d TSeriesPointer.SetInflateMargins"
	strings:
		$1 = { 53 8B D8 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 02 00 00 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3828_0 {
	meta:
		name = "TCustomSeriesEditor.CBInvStairsClick"
		size = 29
		refs = "000a TCustomCheckBox.GetChecked 0017 TCustomSeries.SetInvertedStairs"
	strings:
		$1 = { 53 8B D8 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3829_0 {
	meta:
		name = "TCustomSeriesEditor.CBColorEachClick"
		size = 29
		refs = "000a TCustomCheckBox.GetChecked 0017 TChartSeries.SetColorEachPoint"
	strings:
		$1 = { 53 8B D8 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3832_0 {
	meta:
		name = "_NF__38"
		size = 231
		refs = "001c _NF__38 002b Null 0030 @VarCopy 0063 VarArrayCreate 0090 @WStrFromLStr 009b @VarFromWStr 00a8 @VarArrayPut 00c4 @LStrClr 00cc @WStrClr 00d4 @VarClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 85 C0 7E 73 8B 45 F8 50 33 C0 89 45 F0 8B 45 FC 8B 10 FF 52 14 48 89 45 F4 8D 45 F0 B9 08 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 3D 46 33 DB 53 6A 01 8D 4D D8 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3833_0 {
	meta:
		name = "_NF__39"
		size = 119
		refs = "000e _NF__39 0030 OleCheck 003b @LStrFromWStr 005e @LStrClr 0066 @WStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8D 45 FC 50 53 8B 45 08 8B 40 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 F8 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3834_0 {
	meta:
		name = "_NF__3A"
		size = 212
		refs = "0015 _NF__3A 0037 @IntfClear 0046 OleCheck 0074 IsEqualGUID 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 66 83 7B 04 1A 75 73 8B 1B 66 83 7B 04 1D 75 6A 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 03 50 56 8B 06 FF 50 38 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5E 5B 8B E5 5D C3 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A }
	condition:
		$1
}

rule function_3835_0 {
	meta:
		name = "_NF__3B"
		size = 357
		refs = "001a OleCheck 0022 _NF__3B 0071 _NF__3A 0080 _NF__39 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 55 F8 89 45 FC 8D 45 F0 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 0F B7 40 2E 48 85 C0 7C 77 40 89 45 E4 C7 45 F4 00 00 00 00 8D 45 E8 50 8B 45 F4 50 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8D 50 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 55 8B 45 E8 8B 00 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 50 8B 00 FF 50 54 C3 E9 ?? ?? ?? ?? EB EB FF 45 F4 FF 4D E4 75 94 8B 45 F0 0F B7 40 2C 48 85 C0 0F 8C 80 00 00 00 40 89 45 E4 C7 45 F4 00 00 00 00 8D 45 EC 50 8B 45 F4 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 83 78 10 02 75 1E 8B 45 EC 8D 50 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 55 8B 45 EC 8B 00 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 50 8B 00 FF 50 50 C3 E9 ?? ?? ?? ?? EB EB FF 45 F4 FF 4D E4 75 8B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_3836_0 {
	meta:
		name = "_NF__3C"
		size = 268
		refs = "0014 _NF__3C 0022 Null 0027 @VarCopy 0031 TComponent.GetComObject 0041 @IntfCast 0053 OleCheck 0060 _Dn_TStringList 0065 TObject.Create 007e @IntfClear 009c _NF__3B 00a6 _NF__38 00bb TObject.Free 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 83 7D F4 00 7E 6A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 FC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 A0 92 78 E0 2F F5 CF 11 BD 2F 00 20 AF 0E 5B 81 }
	condition:
		$1
}

rule function_3837_0 {
	meta:
		name = "_NF__3D"
		size = 176
		refs = "000c _NF__3D 002e @LStrCatN 003a CreateRegKey 005c DeleteRegKey 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 C0 74 26 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 C9 33 D2 E8 ?? ?? ?? ?? EB 20 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FF FF FF FF 06 00 00 00 43 4C 53 49 44 5C 00 00 FF FF FF FF 13 00 00 00 5C 42 6F 72 6C 61 6E 64 20 44 61 74 61 42 72 6F 6B 65 72 00 }
	condition:
		$1
}

rule function_3839_0 {
	meta:
		name = "DataBkr"
		size = 32
		refs = "0002 _NV__37 000a GetDataModuleProviderNames 0010 _NF__3C 0015 UpdateDataModuleRegistry 001b _NF__3D"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3864_0 {
	meta:
		name = "DatabaseErrorFmt"
		size = 34
		refs = "0010 _DV_EDatabaseError 0015 Exception.CreateFmt 001a @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14478_0 {
	meta:
		name = "_NF__288"
		size = 34
		refs = "0010 _DV_EConvertError 0015 Exception.CreateFmt 001a @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3865_0 {
	meta:
		name = "DBError"
		size = 74
		refs = "000c DBError 001d LoadStr 0025 DatabaseError 003a @LStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F B7 C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_3866_0 {
	meta:
		name = "DBErrorFmt"
		size = 87
		refs = "0012 DBErrorFmt 0028 FmtLoadStr 0030 DatabaseError 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D6 0F B7 C3 8B CF E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3867_0 {
	meta:
		name = "GetFieldProperty"
		size = 131
		refs = "0016 GetFieldProperty 0023 TDataSet.FindField 0031 SFieldNotFound 0036 LoadResString 0059 DatabaseErrorFmt 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F1 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 30 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 47 08 89 45 EC C6 45 F0 0B 89 75 F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3868_0 {
	meta:
		name = "DisposeMem"
		size = 20
		refs = "000a @FreeMem"
	strings:
		$1 = { 53 8B D8 8B 03 85 C0 74 09 E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_3869_0 {
	meta:
		name = "BuffersEqual"
		size = 19
	strings:
		$1 = { 57 56 89 C6 89 D7 31 C0 E3 06 FC F3 A6 75 01 40 5E 5F C3 }
	condition:
		$1
}

rule function_3870_0 {
	meta:
		name = "ExtractFieldName"
		size = 143
		refs = "0019 ExtractFieldName 002b @LStrLen 0047 @LStrCopy 0052 Trim 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1F EB 01 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 07 80 7C 1E FF 3B 75 ED 8D 45 F8 50 8B CB 2B 0F 8B 17 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 08 80 7C 1E FF 3B 75 01 43 89 1F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3871_0 {
	meta:
		name = "RegisterFields"
		size = 89
		refs = "0009 RegisterFields 0015 RegisterFieldsProc 0028 SInvalidFieldRegistration 002d LoadResString 0035 DatabaseError 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 3D ?? ?? ?? ?? 00 74 08 FF 15 ?? ?? ?? ?? EB 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_3872_0 {
	meta:
		name = "TDataSetDesigner.Create"
		size = 37
		refs = "0009 @ClassCreate"
	strings:
		$1 = { 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 89 58 04 89 43 60 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_3873_0 {
	meta:
		name = "TDataSetDesigner.Destroy"
		size = 20
		refs = "000e @ClassDestroy"
	strings:
		$1 = { 53 8B 48 04 33 DB 89 59 60 84 D2 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3874_0 {
	meta:
		name = "TDataSetDesigner.BeginDesign"
		size = 50
		refs = "0008 TDataSet.GetActive 0019 _NF__604 0023 TDataSet.SetState 002b TDataSet.DisableControls"
	strings:
		$1 = { 53 56 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 88 5E 08 84 DB 74 12 8B 46 04 E8 ?? ?? ?? ?? 33 D2 8B 46 04 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3876_0 {
	meta:
		name = "TDataSetDesigner.EndDesign"
		size = 117
		refs = "000e TDataSet.EnableControls 001f TDataSetDesigner.EndDesign 0030 _NF__603 003d TDataSet.SetState 004c @HandleAnyException 0069 @RaiseAgain 006e @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 80 78 08 00 74 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 04 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 4C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_3877_0 {
	meta:
		name = "TFieldDef.Create"
		size = 133
		refs = "000e @ClassCreate 003c TList.Add 004e @LStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8A 55 14 8B 46 04 8B 08 FF 91 B8 00 00 00 85 C0 74 07 0F B7 55 10 FF 50 28 85 F6 74 11 8B D3 8B 46 08 E8 ?? ?? ?? ?? C6 46 0C 00 89 73 04 8D 43 08 8B 55 18 E8 ?? ?? ?? ?? 8A 45 14 88 43 10 66 8B 45 10 66 89 43 18 8A 45 0C 88 43 1A 8B 45 08 89 43 0C 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_3878_0 {
	meta:
		name = "TFieldDef.Destroy"
		size = 46
		refs = "0013 TList.Remove 0025 @ClassDestroy"
		altNames = "TIndexDef.Destroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 85 C0 74 11 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 46 04 C6 40 0C 00 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3879_0 {
	meta:
		name = "TFieldDef.CreateField"
		size = 278
		refs = "0016 TFieldDef.CreateField 0023 TFieldDef.GetFieldClass 0031 SUnknownFieldType 0036 LoadResString 004f DatabaseErrorFmt 0074 TField.SetFieldName 00a3 _DV_TBCDField 00a8 @IsClass 00ca TField.SetDataSet 00d9 @HandleAnyException 00e1 TObject.Free 00e6 @RaiseAgain 00eb @DoneExcept 0100 @LStrClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 26 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 08 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B CF B2 01 8B C6 FF 50 24 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 53 08 8B 45 FC E8 ?? ?? ?? ?? 66 8B 53 18 8B 45 FC 8B 08 FF 91 80 00 00 00 8A 43 1A 8B 55 FC 88 42 31 8A 53 10 8B 45 FC 8B 08 FF 91 98 00 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 43 14 8B 55 FC 89 82 D8 00 00 00 8B 43 04 85 C0 74 0B 8B 50 04 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3880_0 {
	meta:
		name = "TFieldDef.GetFieldClass"
		size = 19
	strings:
		$1 = { 8B 50 04 8B 52 04 8A 40 10 92 8B 08 FF 91 B8 00 00 00 C3 }
	condition:
		$1
}

rule function_3882_0 {
	meta:
		name = "TFieldDefs.Destroy"
		size = 43
		refs = "000f TFieldDefs.Clear 0017 TObject.Free 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 08 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4148_0 {
	meta:
		name = "TIndexDefs.Destroy"
		size = 43
		refs = "000f TIndexDefs.Clear 0017 TObject.Free 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 08 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3883_0 {
	meta:
		name = "TFieldDefs.Add"
		size = 178
		refs = "0018 TFieldDefs.Add 002a SFieldNameMissing 002f LoadResString 0037 DatabaseError 0040 TFieldDefs.IndexOf 004c SDuplicateFieldName 0067 DatabaseErrorFmt 0083 _DV_TFieldDef 0088 TFieldDef.Create 009d @LStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 85 C0 7C 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 56 53 66 8B 45 0C 50 8A 45 08 50 8B 47 08 8B 40 08 40 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3884_0 {
	meta:
		name = "TFieldDefs.Assign"
		size = 75
		refs = "000c TFieldDefs.Clear 0014 TFieldDefs.GetCount 0028 TFieldDefs.GetItem 003e TFieldDefs.Add"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F8 8B C7 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 27 43 33 F6 8B D6 8B 04 24 E8 ?? ?? ?? ?? 66 8B 50 18 52 8A 50 1A 52 8A 48 10 8B 50 08 8B C7 E8 ?? ?? ?? ?? 46 4B 75 DC 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3885_0 {
	meta:
		name = "TFieldDefs.Clear"
		size = 30
		refs = "0009 TList.Last 000e TObject.Free"
		altNames = "TIndexDefs.Clear"
	strings:
		$1 = { 53 56 8B D8 EB 0C 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 08 83 7E 08 00 7F EB 5E 5B C3 }
	condition:
		$1
}

rule function_3886_0 {
	meta:
		name = "TFieldDefs.Find"
		size = 148
		refs = "0016 TFieldDefs.Find 0025 TFieldDefs.IndexOf 0033 SFieldNotFound 0038 LoadResString 005e DatabaseErrorFmt 0068 TList.Get 007f @LStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 33 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 04 8B 40 08 89 45 EC C6 45 F0 0B 89 7D F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3889_0 {
	meta:
		name = "TFieldDefs.IndexOf"
		size = 60
		refs = "001c TList.Get 0026 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B D6 8B 47 08 E8 ?? ?? ?? ?? 8B 40 08 8B D5 E8 ?? ?? ?? ?? 85 C0 74 07 46 4B 75 E4 83 CE FF 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3891_0 {
	meta:
		name = "TLookupList.Create"
		size = 52
		refs = "000a @ClassCreate 0015 _Dn_TList 001a TObject.Create"
		altNames = "TParams.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3892_0 {
	meta:
		name = "TLookupList.Destroy"
		size = 43
		refs = "000f TLookupList.Clear 0017 TObject.Free 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 04 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3893_0 {
	meta:
		name = "TLookupList.Add"
		size = 62
		refs = "000c TLookupListEntry 0016 @New 0021 @VarCopy 0035 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B 15 ?? ?? ?? ?? B8 20 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 8B D7 E8 ?? ?? ?? ?? 8D 43 10 8B D5 E8 ?? ?? ?? ?? 8B D3 8B 46 04 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3894_0 {
	meta:
		name = "TLookupList.Clear"
		size = 56
		refs = "0019 TList.Get 001f TLookupListEntry 0024 @Dispose 0030 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B D6 8B 47 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 8B 47 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6471_0 {
	meta:
		name = "_NF__1AA"
		size = 56
		refs = "0019 TList.Get 001f _NT__1A5 0024 @Dispose 0030 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B D6 8B 47 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 8B 47 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6483_0 {
	meta:
		name = "_NF__1BA"
		size = 56
		refs = "0019 TList.Get 001f _NT__1B7 0024 @Dispose 0030 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B D6 8B 47 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 8B 47 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3895_0 {
	meta:
		name = "TLookupList.ValueOfKey"
		size = 103
		refs = "0011 Null 0016 @VarCopy 001d VarIsNull 0039 TList.Get 0040 @VarCmp"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F8 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 75 3C 8B 47 04 8B 70 08 4E 85 F6 7C 31 46 33 DB 8B D3 8B 47 04 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 75 17 8B D3 8B 47 04 E8 ?? ?? ?? ?? 8D 50 10 8B 04 24 E8 ?? ?? ?? ?? EB 04 43 4E 75 D2 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3896_0 {
	meta:
		name = "TField.Create"
		size = 104
		refs = "000b @ClassCreate 0018 TComponent.Create 0025 TField.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 30 01 56 8D 7E 7C BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 5E 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 00 00 00 FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF }
	condition:
		$1
}

rule function_3897_0 {
	meta:
		name = "TField.Destroy"
		size = 64
		refs = "000e TDataSet.Close 0018 _NF__618 0020 TObject.Free 002c TComponent.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 24 85 C0 74 0F E8 ?? ?? ?? ?? 8B D6 8B 46 24 E8 ?? ?? ?? ?? 8B 46 60 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3898_0 {
	meta:
		name = "TField.AccessError"
		size = 166
		refs = "001b TField.AccessError 002f TField.GetDisplayName 004c SFieldAccessError 0051 LoadResString 005f Format 0069 _DV_EDatabaseError 006e Exception.Create 008a @LStrArrayClr 0092 @LStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D FC 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 0B 89 75 F4 C6 45 F8 0B 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3899_0 {
	meta:
		name = "TField.Assign"
		size = 128
		refs = "0013 TField.Assign 0031 _DV_TField 0036 @IsClass 0059 TPersistent.Assign 006e @VarClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0C 8B C6 8B 10 FF 92 8C 00 00 00 EB 30 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8D 55 F0 8B C3 8B 08 FF 51 4C 8D 55 F0 8B C6 8B 08 FF 51 7C EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3900_0 {
	meta:
		name = "_NF__2C4"
		size = 118
		refs = "0012 _NF__2C4 0026 TField.GetDisplayName 003c SFieldValueError 0041 LoadResString 004c DatabaseErrorFmt 0066 @LStrArrayClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C0 89 45 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_3901_0 {
	meta:
		name = "TField.AssignValue"
		size = 399
		refs = "0016 TField.AssignValue 0091 @LStrFromChar 00c3 @LStrFromString 00e2 _NF__2C4 00f2 @LStrFromPChar 010d _Dn_TPersistent 0112 @IsClass 014f VarIsEmpty 017d @LStrClr 0183 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 46 04 83 F8 0D 0F 87 37 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 16 8B 45 FC 8B 08 FF 51 74 E9 F0 00 00 00 8A 16 8B 45 FC 8B 08 FF 51 64 E9 E1 00 00 00 8D 45 F8 8A 16 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 78 E9 C7 00 00 00 8B 06 DB 28 83 C4 F8 DD 1C 24 9B 8B 45 FC 8B 10 FF 52 70 E9 AF 00 00 00 8D 45 F8 8B 16 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 78 E9 95 00 00 00 83 3E 00 0F 84 8C 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 80 00 00 00 8D 45 F8 8B 16 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 78 EB 69 8B 1E 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B 45 FC 8B 08 FF 51 08 EB 46 55 E8 ?? ?? ?? ?? 59 EB 3D 8B 16 8B 45 FC 8B 08 FF 51 78 EB 31 8B 06 FF 70 04 FF 30 8B 45 FC 8B 10 FF 52 68 EB 20 8B 06 E8 ?? ?? ?? ?? 84 C0 75 15 8B 06 8B D0 8B 45 FC 8B 08 FF 51 7C EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3902_0 {
	meta:
		name = "_NF__2C8"
		size = 31
		refs = "0011 TField.RefreshLookupList 001a _NF__39D"
	strings:
		$1 = { 80 78 2E 02 75 18 84 D2 74 14 80 78 5C 00 74 07 E8 ?? ?? ?? ?? EB 07 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3903_0 {
	meta:
		name = "_NF__2C9"
		size = 196
		refs = "0015 _NF__2C9 002f TDataSet.GetFieldValue 003a TField.GetLookupList 0043 TLookupList.ValueOfKey 005d TDataSet.GetActive 00a8 Variant 00b2 @FinalizeArray 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 5C 00 74 2E 8D 4D E0 8B 53 50 8B 43 24 E8 ?? ?? ?? ?? 8D 45 E0 50 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 7C EB 43 8B 73 4C 85 F6 74 3C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 31 8B 43 58 50 8D 45 F0 50 8D 4D E0 8B 53 50 8B 43 24 E8 ?? ?? ?? ?? 8D 4D E0 8B 53 54 8B 43 4C 8B 30 FF 96 9C 01 00 00 8D 55 F0 8B C3 8B 08 FF 51 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3904_0 {
	meta:
		name = "TChartSeries.DoBeforeDrawValues"
		size = 29
		altNames = "TDataSet.DoBeforeInsert TField.Change"
	strings:
		$1 = { 53 66 83 B8 9E 00 00 00 00 74 10 8B D8 8B D0 8B 83 A0 00 00 00 FF 93 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_3905_0 {
	meta:
		name = "TField.CheckInactive"
		size = 17
	strings:
		$1 = { 56 8B 70 24 85 F6 74 07 8B C6 8B 10 FF 52 3C 5E C3 }
	condition:
		$1
}

rule function_3907_0 {
	meta:
		name = "TField.DataChanged"
		size = 15
	strings:
		$1 = { 53 8B C8 33 D2 8B 40 24 8B 18 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_3908_0 {
	meta:
		name = "_NF__2D2"
		size = 61
		refs = "0021 CompareText"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 1C 85 DB 74 1C 8B 45 08 8B 53 64 8B 45 08 8B 40 F8 8B 40 64 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B 5D C3 8B 45 08 8B 40 F8 83 78 64 00 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_3909_0 {
	meta:
		name = "_NF__2D3"
		size = 65
		refs = "0017 TField.GetCalculated"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 1C 00 74 23 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 3A D8 0F 95 C0 5B 5D C3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_3910_0 {
	meta:
		name = "_NF__2D4"
		size = 65
		refs = "0017 TField.GetLookup"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 1C 00 74 23 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 3A D8 0F 95 C0 5B 5D C3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_3911_0 {
	meta:
		name = "TField.DefineProperties"
		size = 196
		refs = "0012 _NF__32F 001b _NF__39E 0021 _NF__2D2 0029 TField.DefineProperties 0039 _NF__330 0042 _NF__39F 0048 _NF__2D3 0060 _NF__331 0069 _NF__3A0 006f _NF__2D4"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 5B 59 59 5D C3 00 FF FF FF FF 0C 00 00 00 41 74 74 72 69 62 75 74 65 53 65 74 00 00 00 00 FF FF FF FF 0A 00 00 00 43 61 6C 63 75 6C 61 74 65 64 00 00 FF FF FF FF 06 00 00 00 4C 6F 6F 6B 75 70 00 00 }
	condition:
		$1
}

rule function_3912_0 {
	meta:
		name = "TField.FieldKindStored"
		size = 8
	strings:
		$1 = { 80 78 2E 03 0F 94 C0 C3 }
	condition:
		$1
}

rule function_3913_0 {
	meta:
		name = "TField.FocusControl"
		size = 42
		refs = "000f TDataSet.GetActive"
	strings:
		$1 = { 53 56 51 8B D8 8B 73 24 85 F6 74 1A 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 89 1C 24 8B CC B2 0A 8B 43 24 8B 18 FF 53 50 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3915_0 {
	meta:
		name = "TField.GetAsBoolean"
		size = 44
		refs = "0005 TField.GetAsBoolean 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 42 6F 6F 6C 65 61 6E 00 }
	condition:
		$1
}

rule function_3956_0 {
	meta:
		name = "TField.SetAsBoolean"
		size = 44
		refs = "0005 TField.SetAsBoolean 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 42 6F 6F 6C 65 61 6E 00 }
	condition:
		$1
}

rule function_3916_0 {
	meta:
		name = "TField.GetAsCurrency"
		size = 36
		refs = "000f TField.GetAsCurrency"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 40 D8 0D ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A 5B C3 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_3917_0 {
	meta:
		name = "TField.GetAsDateTime"
		size = 56
		refs = "0008 TField.GetAsDateTime 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 04 24 59 5A 5E 5B C3 FF FF FF FF 08 00 00 00 44 61 74 65 54 69 6D 65 00 00 00 00 }
	condition:
		$1
}

rule function_3918_0 {
	meta:
		name = "TField.GetAsFloat"
		size = 52
		refs = "0008 TField.GetAsFloat 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 04 24 59 5A 5E 5B C3 FF FF FF FF 05 00 00 00 46 6C 6F 61 74 00 00 00 }
	condition:
		$1
}

rule function_3919_0 {
	meta:
		name = "TField.GetAsInteger"
		size = 44
		refs = "0005 TField.GetAsInteger 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 49 6E 74 65 67 65 72 00 }
	condition:
		$1
}

rule function_3960_0 {
	meta:
		name = "TField.SetAsInteger"
		size = 44
		refs = "0005 TField.SetAsInteger 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 49 6E 74 65 67 65 72 00 }
	condition:
		$1
}

rule function_3920_0 {
	meta:
		name = "TField.GetAsString"
		size = 336
		refs = "001d TField.GetAsString 0030 TObject.ClassName 0040 @PStrNCpy 0073 @Copy 0084 @LStrFromString 0094 CompareText 00d9 FmtStr 00f4 AnsiUpperCase 0102 @LStrLAsg 011a @LStrClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 70 FE FF FF 53 56 57 33 C9 89 8D B8 FE FF FF 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 BC FE FF FF 8B 07 E8 ?? ?? ?? ?? 8D 95 BC FE FF FF 8D 45 BC B1 3F E8 ?? ?? ?? ?? BE 01 00 00 00 33 DB 8A 5D BC 80 7D BD 54 75 05 BE 02 00 00 00 83 FB 05 7C 41 8D 85 78 FE FF FF 50 8B D3 83 EA 04 B9 05 00 00 00 8D 45 BC E8 ?? ?? ?? ?? 8D 95 78 FE FF FF 8D 85 B8 FE FF FF E8 ?? ?? ?? ?? 8B 85 B8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 03 83 EB 05 6A 00 8D 85 78 FE FF FF 50 8D 4B 01 2B CE 8B D6 8D 45 BC E8 ?? ?? ?? ?? 8D 85 78 FE FF FF 89 85 70 FE FF FF C6 85 74 FE FF FF 04 8D 8D 70 FE FF FF 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 5C 84 C0 75 1E 8D 95 B8 FE FF FF 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 95 B8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 05 00 00 00 46 49 45 4C 44 00 00 00 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_3921_0 {
	meta:
		name = "TField.GetAsVariant"
		size = 44
		refs = "0005 TField.GetAsVariant 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 56 61 72 69 61 6E 74 00 }
	condition:
		$1
}

rule function_3987_0 {
	meta:
		name = "TField.SetVarValue"
		size = 44
		refs = "0005 TField.SetVarValue 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 56 61 72 69 61 6E 74 00 }
	condition:
		$1
}

rule function_3922_0 {
	meta:
		name = "TField.GetCalculated"
		size = 8
	strings:
		$1 = { 80 78 2E 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_3923_0 {
	meta:
		name = "TField.GetCanModify"
		size = 60
		refs = "0032 TField.GetIsIndexField"
	strings:
		$1 = { 53 8B D8 83 7B 38 00 7E 2F 8B 43 24 80 78 5D 04 74 1D 80 7B 2D 00 75 0F 8B 43 24 8B 10 FF 92 B0 00 00 00 84 C0 75 04 33 C0 EB 0F B0 01 EB 0B 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_3924_0 {
	meta:
		name = "TField.GetData"
		size = 194
		refs = "0019 TField.GetData 002f TField.GetDisplayName 0045 SDataSetMissing 004a LoadResString 0055 DatabaseErrorFmt 0080 Move 00ad @LStrArrayClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 24 00 75 30 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 80 7E 32 00 74 27 8B 46 48 F7 D8 1B DB F7 DB 84 DB 74 2B 85 FF 74 27 8B C6 8B 10 FF 52 54 0F B7 C8 8B D7 8B 46 48 E8 ?? ?? ?? ?? EB 11 8B CF 8B D6 8B 46 24 8B 18 FF 93 2C 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3926_0 {
	meta:
		name = "TField.GetDefaultWidth"
		size = 6
	strings:
		$1 = { B8 0A 00 00 00 C3 }
	condition:
		$1
}

rule function_3928_0 {
	meta:
		name = "TField.GetDisplayName"
		size = 38
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 40 00 74 0D 8B C6 8B 53 40 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3929_0 {
	meta:
		name = "TField.GetDisplayText"
		size = 58
		refs = "0009 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 83 BB AE 00 00 00 00 74 15 6A 01 8B CE 8B D3 8B 83 B0 00 00 00 FF 93 AC 00 00 00 5E 5B C3 8B D6 B1 01 8B C3 8B 18 FF 53 60 5E 5B C3 }
	condition:
		$1
}

rule function_3930_0 {
	meta:
		name = "TField.GetDisplayWidth"
		size = 16
	strings:
		$1 = { 8B 50 3C 85 D2 7E 03 8B C2 C3 8B 10 FF 52 58 C3 }
	condition:
		$1
}

rule function_3931_0 {
	meta:
		name = "TField.GetEditText"
		size = 58
		refs = "0009 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 83 BB AE 00 00 00 00 74 15 6A 00 8B CE 8B D3 8B 83 B0 00 00 00 FF 93 AC 00 00 00 5E 5B C3 8B D6 33 C9 8B C3 8B 18 FF 53 60 5E 5B C3 }
	condition:
		$1
}

rule function_3932_0 {
	meta:
		name = "TField.GetHasConstraints"
		size = 29
	strings:
		$1 = { 53 8B D8 83 7B 68 00 75 10 83 7B 6C 00 75 0A 83 7B 74 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_3933_0 {
	meta:
		name = "TField.GetIndex"
		size = 21
		refs = "000c TList.IndexOf"
	strings:
		$1 = { 8B 50 24 85 D2 74 0A 8B 52 24 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_3934_0 {
	meta:
		name = "TField.GetIsIndexField"
		size = 20
	strings:
		$1 = { 8B 50 24 85 D2 74 0A 92 8B 08 FF 91 C0 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_3936_0 {
	meta:
		name = "TField.GetIsNull"
		size = 16
		refs = "0008 TField.GetData"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_3937_0 {
	meta:
		name = "TField.GetLookup"
		size = 8
	strings:
		$1 = { 80 78 2E 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_3938_0 {
	meta:
		name = "TField.GetLookupList"
		size = 29
		refs = "000c _DV_TLookupList 0011 TLookupList.Create"
	strings:
		$1 = { 53 8B D8 83 7B 60 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 60 8B 43 60 5B C3 }
	condition:
		$1
}

rule function_3939_0 {
	meta:
		name = "TField.GetText"
		size = 79
		refs = "000f TField.GetText 0029 @LStrAsg 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 48 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3941_0 {
	meta:
		name = "TField.GetNewValue"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B CB B2 07 8B 43 24 8B 18 FF 93 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3942_0 {
	meta:
		name = "TField.GetOldValue"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B CB B2 08 8B 43 24 8B 18 FF 93 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3943_0 {
	meta:
		name = "TField.GetCurValue"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B CB B2 09 8B 43 24 8B 18 FF 93 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3945_0 {
	meta:
		name = "TField.SetParentComponent"
		size = 37
		refs = "0010 _DV_TDataSet 0015 @AsClass 001e TField.SetDataSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 01 75 16 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3946_0 {
	meta:
		name = "TField.IsValidChar"
		size = 14
	strings:
		$1 = { 81 E2 FF 00 00 00 0F A3 50 7C 0F 92 C0 C3 }
	condition:
		$1
}

rule function_3947_0 {
	meta:
		name = "TField.IsDisplayLabelStored"
		size = 12
	strings:
		$1 = { 53 8B D8 83 7B 40 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_3948_0 {
	meta:
		name = "TField.IsDisplayWidthStored"
		size = 8
	strings:
		$1 = { 83 78 3C 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_3949_0 {
	meta:
		name = "TField.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 4C 75 05 33 C0 89 47 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3950_0 {
	meta:
		name = "TField.PropertyChanged"
		size = 49
		refs = "0011 TDataSet.GetActive 001f _NV__32B"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 77 24 85 F6 74 1F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 33 C0 8A C3 8A 90 ?? ?? ?? ?? 33 C9 8B 47 24 8B 18 FF 53 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3951_0 {
	meta:
		name = "_NF__32F"
		size = 80
		refs = "000f _NF__32F 001f TReader.ReadString 002a @LStrAsg 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3952_0 {
	meta:
		name = "_NF__330"
		size = 24
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 C6 43 2E 01 5E 5B C3 }
	condition:
		$1
}

rule function_3953_0 {
	meta:
		name = "_NF__331"
		size = 24
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 C6 43 2E 02 5E 5B C3 }
	condition:
		$1
}

rule function_3955_0 {
	meta:
		name = "TField.RefreshLookupList"
		size = 300
		refs = "0016 TField.RefreshLookupList 002c TDataSet.GetActive 0038 _NF__39D 0053 TField.GetLookupList 0058 TLookupList.Clear 0060 TDataSet.DisableControls 0076 TDataSet.First 0086 TDataSet.GetFieldValue 00a4 TLookupList.Add 00ac TDataSet.Next 00ca TDataSet.EnableControls 00d0 @HandleFinally 00ea TDataSet.SetActive 0111 Variant 011b @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 4C 85 C0 0F 84 CB 00 00 00 E8 ?? ?? ?? ?? 88 45 FF B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 4C 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? EB 34 8D 4D E8 8B 53 58 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 4D D8 8B 53 54 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D8 8B 43 60 59 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 59 00 74 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FF 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3957_0 {
	meta:
		name = "TField.SetAsCurrency"
		size = 44
		refs = "0005 TField.SetAsCurrency"
	strings:
		$1 = { 55 8B EC DB 2D ?? ?? ?? ?? DF 6D 08 DE C9 83 C4 F8 DD 1C 24 9B 8B 10 FF 52 70 5D C2 08 00 00 00 2C 65 19 E2 58 17 B7 D1 F1 3F 00 00 }
	condition:
		$1
}

rule function_3958_0 {
	meta:
		name = "TField.SetAsDateTime"
		size = 56
		refs = "0008 TField.SetAsDateTime 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 00 00 FF FF FF FF 08 00 00 00 44 61 74 65 54 69 6D 65 00 00 00 00 }
	condition:
		$1
}

rule function_3959_0 {
	meta:
		name = "TField.SetAsFloat"
		size = 52
		refs = "0008 TField.SetAsFloat 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 00 00 FF FF FF FF 05 00 00 00 46 6C 6F 61 74 00 00 00 }
	condition:
		$1
}

rule function_3961_0 {
	meta:
		name = "TField.SetAsString"
		size = 44
		refs = "0005 TField.SetAsString 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 06 00 00 00 53 74 72 69 6E 67 00 00 }
	condition:
		$1
}

rule function_3962_0 {
	meta:
		name = "TField.SetAsVariant"
		size = 209
		refs = "001a TField.SetAsVariant 0027 VarIsNull 0062 @HandleOnException 006a _Dn_EVariantError 0079 TField.GetDisplayName 008f SFieldValueError 0094 LoadResString 009f DatabaseErrorFmt 00a4 @DoneExcept 00be @LStrArrayClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC 8B 10 FF 92 8C 00 00 00 EB 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 08 FF 91 88 00 00 00 33 C0 5A 59 59 64 89 10 EB 47 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3963_0 {
	meta:
		name = "TField.SetAlignment"
		size = 16
		refs = "000b TField.PropertyChanged"
	strings:
		$1 = { 3A 50 2F 74 0A 88 50 2F 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3964_0 {
	meta:
		name = "TField.SetCalculated"
		size = 26
		refs = "0007 TField.SetFieldKind"
	strings:
		$1 = { 84 D2 74 08 B2 01 E8 ?? ?? ?? ?? C3 80 78 2E 01 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3965_0 {
	meta:
		name = "TField.SetData"
		size = 145
		refs = "0019 TField.SetData 002f TField.GetDisplayName 0045 SDataSetMissing 004a LoadResString 0055 DatabaseErrorFmt 007e @LStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 24 00 75 30 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 8B CF 8B D6 8B 46 24 8B 18 FF 93 74 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3966_0 {
	meta:
		name = "TField.SetDataSet"
		size = 77
		refs = "002a _NF__63B 0038 _NF__618 0045 _NF__617"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 24 3B F7 74 3B 85 FF 74 07 8B C7 8B 10 FF 52 3C 85 F6 74 11 8B C6 8B 10 FF 52 3C 8B 53 28 8B C6 E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3967_0 {
	meta:
		name = "TField.SetDataType"
		size = 4
		altNames = "TQRPrinter.SetDestination"
	strings:
		$1 = { 88 50 2C C3 }
	condition:
		$1
}

rule function_3968_0 {
	meta:
		name = "TField.SetDisplayLabel"
		size = 119
		refs = "000e @LStrAddRef 0016 TField.SetDisplayLabel 0027 @LStrCmp 0031 @LStrClr 0049 @LStrAsg 0052 TField.PropertyChanged 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 28 E8 ?? ?? ?? ?? 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 43 40 8B 55 FC E8 ?? ?? ?? ?? 74 14 8D 43 40 8B 55 FC E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_3969_0 {
	meta:
		name = "TField.SetDisplayWidth"
		size = 16
		refs = "000b TField.PropertyChanged"
	strings:
		$1 = { 3B 50 3C 74 0A 89 50 3C B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3970_0 {
	meta:
		name = "TField.SetEditMask"
		size = 28
		refs = "000c @LStrAsg 0015 TField.PropertyChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 44 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3971_0 {
	meta:
		name = "TField.SetEditText"
		size = 43
	strings:
		$1 = { 56 8B F0 66 83 BE B6 00 00 00 00 74 12 8B CA 8B D6 8B 86 B8 00 00 00 FF 96 B4 00 00 00 5E C3 8B C6 8B 08 FF 91 84 00 00 00 5E C3 }
	condition:
		$1
}

rule function_3972_0 {
	meta:
		name = "TField.SetFieldKind"
		size = 103
		refs = "0026 TDataSetDesigner.BeginDesign 002e TField.SetFieldKind 004c TDataSetDesigner.EndDesign 0052 @HandleFinally 005b TField.CheckInactive"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 3A 5E 2E 74 53 8B 46 24 85 C0 74 42 83 78 60 00 74 3C 8B 40 60 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 88 5E 2E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 E8 ?? ?? ?? ?? 88 5E 2E 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3973_0 {
	meta:
		name = "TField.SetFieldName"
		size = 76
		refs = "0009 TField.CheckInactive 0017 _NF__63B 0021 @LStrAsg 002b @LStrCmp 0035 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8D 43 28 8B D6 E8 ?? ?? ?? ?? 8B 43 40 8B D6 E8 ?? ?? ?? ?? 75 08 8D 43 40 E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 09 33 C9 B2 09 8B 18 FF 53 50 5E 5B C3 }
	condition:
		$1
}

rule function_3975_0 {
	meta:
		name = "TField.SetIndex"
		size = 92
		refs = "000a TField.GetIndex 0030 TList.Delete 003f TList.Insert 0048 TField.PropertyChanged"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 46 8B 53 24 8B 7A 24 8B 57 08 85 F6 7D 02 33 F6 3B D6 7F 03 8B F2 4E 3B C6 74 2C 8B D7 92 E8 ?? ?? ?? ?? 8B 43 24 8B 40 24 8B CB 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 09 8B 43 24 8B 18 FF 53 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3976_0 {
	meta:
		name = "TField.SetLookup"
		size = 26
		refs = "0007 TField.SetFieldKind"
	strings:
		$1 = { 84 D2 74 08 B2 02 E8 ?? ?? ?? ?? C3 80 78 2E 02 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3977_0 {
	meta:
		name = "TField.SetLookupDataSet"
		size = 99
		refs = "000f TField.SetLookupDataSet 001c TField.CheckInactive 002d SCircularDataLink 0032 LoadResString 003a DatabaseError 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 F6 74 1A 3B 73 24 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 73 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3978_0 {
	meta:
		name = "TField.SetLookupKeyFields"
		size = 26
		refs = "0009 TField.CheckInactive 0013 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 54 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3979_0 {
	meta:
		name = "TField.SetLookupResultField"
		size = 26
		refs = "0009 TField.CheckInactive 0013 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 58 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3980_0 {
	meta:
		name = "TField.SetKeyFields"
		size = 26
		refs = "0009 TField.CheckInactive 0013 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 50 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3981_0 {
	meta:
		name = "TField.SetNewValue"
		size = 23
	strings:
		$1 = { 53 56 8B F0 52 8B CE 8B 46 24 B2 07 8B 18 FF 93 0C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3982_0 {
	meta:
		name = "TField.SetLookupCache"
		size = 19
		refs = "0009 TField.CheckInactive"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 5E 5C 5E 5B C3 }
	condition:
		$1
}

rule function_3983_0 {
	meta:
		name = "TField.CheckTypeSize"
		size = 96
		refs = "000f TField.CheckTypeSize 002d SInvalidFieldSize 0032 LoadResString 003a DatabaseError 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 21 8B C3 FF 90 90 00 00 00 84 C0 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3984_0 {
	meta:
		name = "TField.SetSize"
		size = 28
		refs = "0009 TField.CheckInactive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 D6 8B 03 FF 50 28 66 89 73 34 5E 5B C3 }
	condition:
		$1
}

rule function_3985_0 {
	meta:
		name = "TField.SetText"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 78 5E C3 }
	condition:
		$1
}

rule function_3986_0 {
	meta:
		name = "TField.SetReadOnly"
		size = 16
		refs = "000b TField.PropertyChanged"
	strings:
		$1 = { 3A 50 2D 74 0A 88 50 2D B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3988_0 {
	meta:
		name = "TField.SetVisible"
		size = 16
		refs = "000b TField.PropertyChanged"
	strings:
		$1 = { 3A 50 30 74 0A 88 50 30 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3989_0 {
	meta:
		name = "TField.Validate"
		size = 98
		refs = "0026 TField.Validate 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 66 83 B8 A6 00 00 00 00 74 49 8B 45 FC 89 50 48 8B 45 FC C6 40 32 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 83 A8 00 00 00 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 32 00 C3 E9 ?? ?? ?? ?? EB F1 5B 59 5D C3 }
	condition:
		$1
}

rule function_3990_0 {
	meta:
		name = "_NF__39D"
		size = 195
		refs = "0018 _NF__39D 0044 TField.GetDisplayName 005a SLookupInfoError 005f LoadResString 006a DatabaseErrorFmt 0075 _NF__63C 0081 TDataSet.Open 0097 TDataSet.FieldByName 00b1 @LStrArrayClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 12 83 7E 4C 00 74 12 83 7E 54 00 74 0C 83 7E 58 00 74 06 83 7E 50 00 75 30 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 8B 56 50 8B 46 24 E8 ?? ?? ?? ?? 84 DB 74 1E 8B 46 4C E8 ?? ?? ?? ?? 8B 56 54 8B 46 4C E8 ?? ?? ?? ?? 8B 56 58 8B 46 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3991_0 {
	meta:
		name = "_NF__39E"
		size = 10
		refs = "0005 TWriter.WriteString"
	strings:
		$1 = { 8B 40 64 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3992_0 {
	meta:
		name = "_NF__39F"
		size = 10
		refs = "0005 TWriter.WriteBoolean"
		altNames = "_NF__3A0"
	strings:
		$1 = { 8B C2 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3994_0 {
	meta:
		name = "TStringField.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TField.Create 0020 TField.SetDataType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 66 BA 14 00 8B C6 8B 08 FF 91 80 00 00 00 C6 86 BC 00 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3995_0 {
	meta:
		name = "TStringField.CheckTypeSize"
		size = 85
		refs = "0009 TStringField.CheckTypeSize 0024 SInvalidFieldSize 0029 LoadResString 0031 DatabaseError 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FA 01 7C 08 81 FA 00 20 00 00 7E 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_3996_0 {
	meta:
		name = "TStringField.GetAsBoolean"
		size = 106
		refs = "000c TStringField.GetAsBoolean 0024 @LStrLen 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 48 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 15 8B 45 FC 8A 00 2C 54 74 10 2C 05 74 0C 2C 1B 74 08 2C 05 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_3997_0 {
	meta:
		name = "TStringField.GetAsDateTime"
		size = 87
		refs = "0012 TStringField.GetAsDateTime 002a StrToDateTime 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 48 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3998_0 {
	meta:
		name = "TStringField.GetAsFloat"
		size = 87
		refs = "0012 TStringField.GetAsFloat 002a StrToFloat 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 48 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3999_0 {
	meta:
		name = "TStringField.GetAsInteger"
		size = 77
		refs = "000c TStringField.GetAsInteger 0024 StrToInt 003b @LStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 48 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_4000_0 {
	meta:
		name = "TStringField.GetAsString"
		size = 29
		refs = "000b TStringField.GetValue 0016 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4001_0 {
	meta:
		name = "TStringField.GetAsVariant"
		size = 98
		refs = "000f TStringField.GetAsVariant 001f TStringField.GetValue 002d @VarFromLStr 0037 Null 003c @VarCopy 0051 @LStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4002_0 {
	meta:
		name = "TStringField.GetDataSize"
		size = 6
	strings:
		$1 = { 66 8B 40 34 40 C3 }
	condition:
		$1
}

rule function_4003_0 {
	meta:
		name = "TStringField.GetDefaultWidth"
		size = 5
	strings:
		$1 = { 0F B7 40 34 C3 }
	condition:
		$1
}

rule function_4004_0 {
	meta:
		name = "TStringField.GetText"
		size = 137
		refs = "0014 TStringField.GetText 003c FormatMaskText 0046 @LStrAsg 0076 @LStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 2A 83 7F 44 00 74 24 8D 55 F8 8B C7 8B 08 FF 51 48 8B 55 F8 8D 4D FC 8B 47 44 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 14 8D 55 FC 8B C7 8B 08 FF 51 48 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4005_0 {
	meta:
		name = "TStringField.GetValue"
		size = 113
		refs = "0024 TField.GetData 0038 @LStrFromArray 004f @LStrToPChar"
	strings:
		$1 = { 53 56 57 55 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 20 00 00 8B FA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 36 8B C7 8B D4 B9 01 20 00 00 E8 ?? ?? ?? ?? 80 BE BC 00 00 00 00 74 1F 83 3F 00 74 1A 6A 00 8B 07 E8 ?? ?? ?? ?? 8B E8 55 8B D5 8B 46 24 59 8B 30 FF 96 A8 01 00 00 8B C3 81 C4 04 20 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4006_0 {
	meta:
		name = "TStringField.SetAsBoolean"
		size = 88
		refs = "000f TStringField.SetAsBoolean 0023 _NV__3BF 0028 @LStrFromString 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 33 D2 8A D3 8D 14 55 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4007_0 {
	meta:
		name = "TStringField.SetAsDateTime"
		size = 81
		refs = "000c TStringField.SetAsDateTime 0020 DateTimeToStr 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4008_0 {
	meta:
		name = "TStringField.SetAsFloat"
		size = 85
		refs = "000c TStringField.SetAsFloat 0024 FloatToStr 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4009_0 {
	meta:
		name = "TStringField.SetAsInteger"
		size = 79
		refs = "000f TStringField.SetAsInteger 001f IntToStr 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4010_0 {
	meta:
		name = "TStringField.SetAsString"
		size = 97
		refs = "0020 @LStrToPChar 002d StrLCopy 0054 TField.SetData"
	strings:
		$1 = { 53 56 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 20 00 00 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 0F B7 4B 34 8B C4 E8 ?? ?? ?? ?? 80 BB BC 00 00 00 00 74 15 6A 01 8D 4C 24 04 8D 54 24 04 8B 43 24 8B 30 FF 96 A8 01 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 04 20 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_4011_0 {
	meta:
		name = "TStringField.SetVarValue"
		size = 79
		refs = "000f TStringField.SetVarValue 001f @VarToLStr 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4140_0 {
	meta:
		name = "TBlobField.SetVarValue"
		size = 79
		refs = "000f TBlobField.SetVarValue 001f @VarToLStr 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4012_0 {
	meta:
		name = "TNumericField.Create"
		size = 55
		refs = "000a @ClassCreate 0017 TField.Create 0020 TField.SetAlignment"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4013_0 {
	meta:
		name = "TNumericField.RangeError"
		size = 153
		refs = "0015 TNumericField.RangeError 002f TField.GetDisplayName 0059 SFieldRangeError 005e LoadResString 006c DatabaseErrorFmt 0086 @LStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 D2 89 55 DC 89 55 D8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 20 89 45 E0 C6 45 E4 03 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 0B 8D 45 14 89 45 F0 C6 45 F4 03 8D 45 08 89 45 F8 C6 45 FC 03 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 03 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_4014_0 {
	meta:
		name = "TDateTimeField.SetDisplayFormat"
		size = 46
		refs = "000f @LStrCmp 001e @LStrAsg 0027 TField.PropertyChanged"
		altNames = "TNumericField.SetDisplayFormat"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 BC 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 16 8D 83 BC 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4015_0 {
	meta:
		name = "TNumericField.SetEditFormat"
		size = 46
		refs = "000f @LStrCmp 001e @LStrAsg 0027 TField.PropertyChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C0 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 16 8D 83 C0 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4016_0 {
	meta:
		name = "TIntegerField.Create"
		size = 128
		refs = "000b @ClassCreate 0018 TNumericField.Create 0021 TField.SetDataType 003e TIntegerField.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? C7 86 C4 00 00 00 00 00 00 80 C7 86 C8 00 00 00 FF FF FF 7F 56 8D 7E 7C BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 5E 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 00 00 00 00 00 00 00 28 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4017_0 {
	meta:
		name = "_NF__3E5"
		size = 75
		refs = "003f TNumericField.RangeError"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 8B F0 8B 7D 08 3B CA 7F 04 3B FA 7D 2E 89 55 FC DB 45 FC 83 C4 F4 DB 3C 24 9B 89 4D F8 DB 45 F8 83 C4 F4 DB 3C 24 9B 89 7D F4 DB 45 F4 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4018_0 {
	meta:
		name = "TIntegerField.GetAsFloat"
		size = 33
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 8B 10 FF 52 44 89 44 24 08 DB 44 24 08 DD 1C 24 9B DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_4019_0 {
	meta:
		name = "TIntegerField.GetAsInteger"
		size = 28
		refs = "0009 TIntegerField.GetValue"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_4020_0 {
	meta:
		name = "TIntegerField.GetAsString"
		size = 66
		refs = "0011 TIntegerField.GetValue 0021 @Str0Long 002c @LStrFromString 0035 @LStrClr"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8D 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_4021_0 {
	meta:
		name = "TIntegerField.GetAsVariant"
		size = 49
		refs = "000c TIntegerField.GetValue 001a @VarFromInt 0024 Null 0029 @VarCopy"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 8B 14 24 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4022_0 {
	meta:
		name = "TDateField.GetDataSize"
		size = 5
		altNames = "TIntegerField.GetDataSize TTimeField.GetDataSize"
	strings:
		$1 = { 66 B8 04 00 C3 }
	condition:
		$1
}

rule function_4023_0 {
	meta:
		name = "TIntegerField.GetText"
		size = 228
		refs = "0021 TIntegerField.GetText 0031 TIntegerField.GetValue 0050 @LStrLAsg 0074 @Str0Long 0081 @LStrFromString 009b FormatFloat 00a8 @LStrAsg 00b1 @LStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 33 DB 89 9D F4 FE FF FF 89 5D F8 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 75 84 DB 75 09 83 BF C0 00 00 00 00 75 10 8D 45 F8 8B 97 BC 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 F8 8B 97 C0 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 75 1D 8D 95 F8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 2E DB 45 FC 83 C4 F4 DB 3C 24 9B 8D 95 F4 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4024_0 {
	meta:
		name = "TIntegerField.GetValue"
		size = 60
		refs = "000c TField.GetData"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 8A 53 2C 80 EA 02 74 07 80 EA 02 74 0A EB 10 0F BF 14 24 89 16 EB 0D 0F B7 14 24 89 16 EB 05 8B 14 24 89 16 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4025_0 {
	meta:
		name = "TIntegerField.SetAsFloat"
		size = 28
		refs = "000a @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 74 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4026_0 {
	meta:
		name = "TIntegerField.SetAsInteger"
		size = 84
		refs = "002a _NF__3E5 004d TField.SetData"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 83 CC 00 00 00 85 C0 75 09 83 BB D0 00 00 00 00 74 16 8B 93 D0 00 00 00 52 8B C8 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? EB 18 8B 83 C8 00 00 00 50 8B 8B C4 00 00 00 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_4027_0 {
	meta:
		name = "TIntegerField.SetAsString"
		size = 177
		refs = "0019 TIntegerField.SetAsString 0039 @ValLong 0052 TField.GetDisplayName 0068 SInvalidIntegerValue 006d LoadResString 007b DatabaseErrorFmt 009e @LStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0C 8B C3 8B 10 FF 92 8C 00 00 00 EB 55 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 83 7D FC 00 74 3A 89 75 EC C6 45 F0 0B 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 0B 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4028_0 {
	meta:
		name = "TIntegerField.SetMaxValue"
		size = 37
		refs = "0018 _NF__3E5"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 00 00 00 50 8B 8B C4 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 89 B3 D0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_4029_0 {
	meta:
		name = "TIntegerField.SetMinValue"
		size = 37
		refs = "0018 _NF__3E5"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 00 00 00 50 8B 8B C4 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 89 B3 CC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_4030_0 {
	meta:
		name = "TIntegerField.SetVarValue"
		size = 25
		refs = "0009 @VarToInt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 74 5E 5B C3 }
	condition:
		$1
}

rule function_4031_0 {
	meta:
		name = "TSmallintField.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TIntegerField.Create 0020 TField.SetDataType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? C7 86 C4 00 00 00 00 80 FF FF C7 86 C8 00 00 00 FF 7F 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4032_0 {
	meta:
		name = "TBooleanField.GetDataSize"
		size = 5
		altNames = "TSmallintField.GetDataSize TWordField.GetDataSize"
	strings:
		$1 = { 66 B8 02 00 C3 }
	condition:
		$1
}

rule function_4033_0 {
	meta:
		name = "TWordField.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TIntegerField.Create 0020 TField.SetDataType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 C4 00 00 00 C7 86 C8 00 00 00 FF FF 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4035_0 {
	meta:
		name = "TAutoIncField.Create"
		size = 55
		refs = "000a @ClassCreate 0017 TIntegerField.Create 0020 TField.SetDataType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0E 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4036_0 {
	meta:
		name = "TFloatField.Create"
		size = 156
		refs = "0011 @ClassCreate 001e TNumericField.Create 0027 TField.SetDataType 0037 TFloatField.Create 0047 DecimalSeparator"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 06 8B C6 E8 ?? ?? ?? ?? C7 86 C8 00 00 00 0F 00 00 00 56 BE ?? ?? ?? ?? 8D 7D E0 B9 08 00 00 00 F3 A5 5E A1 ?? ?? ?? ?? 8A 00 25 FF 00 00 00 0F AB 45 E0 56 8D 7E 7C 8D 75 E0 B9 08 00 00 00 F3 A5 5E 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 28 FF 03 20 00 00 00 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4037_0 {
	meta:
		name = "TFloatField.GetAsFloat"
		size = 35
		refs = "000b TField.GetData"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_4065_0 {
	meta:
		name = "TDateTimeField.GetAsDateTime"
		size = 35
		refs = "000b _NF__476"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_4038_0 {
	meta:
		name = "TFloatField.GetAsInteger"
		size = 17
		refs = "000b @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 40 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4039_0 {
	meta:
		name = "TFloatField.GetAsString"
		size = 53
		refs = "000e TField.GetData 0023 FloatToStr 002c @LStrClr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 DD 04 24 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4040_0 {
	meta:
		name = "TFloatField.GetAsVariant"
		size = 52
		refs = "000e TField.GetData 001c @VarFromReal 0026 Null 002b @VarCopy"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C DD 04 24 8B C6 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4041_0 {
	meta:
		name = "TDateTimeField.GetDataSize"
		size = 5
		altNames = "TFloatField.GetDataSize"
	strings:
		$1 = { 66 B8 08 00 C3 }
	condition:
		$1
}

rule function_4042_0 {
	meta:
		name = "TFloatField.GetText"
		size = 269
		refs = "001b TFloatField.GetText 002b TField.GetData 004e @LStrLAsg 007c CurrencyDecimals 00a9 FloatToStrF 00b3 @LStrAsg 00ca FormatFloat 00dd @LStrClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F8 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 A3 00 00 00 84 DB 75 09 83 BF C0 00 00 00 00 75 10 8D 45 F8 8B 97 BC 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 F8 8B 97 C0 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 75 51 80 BF C4 00 00 00 00 74 17 84 DB 74 04 B3 04 EB 02 B3 02 A1 ?? ?? ?? ?? 0F B6 00 89 45 FC EB 07 33 DB 33 C0 89 45 FC DD 45 F0 83 C4 F4 DB 3C 24 9B 8D 45 EC 50 8B 4D FC 8B 97 C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? EB 28 DD 45 F0 83 C4 F4 DB 3C 24 9B 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4043_0 {
	meta:
		name = "TFloatField.SetAsFloat"
		size = 101
		refs = "0052 TNumericField.RangeError 005c TField.SetData"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB C5 00 00 00 00 74 47 DD 45 08 DC 9B CC 00 00 00 DF E0 9E 72 0E DD 45 08 DC 9B D4 00 00 00 DF E0 9E 76 2B DD 45 08 83 C4 F4 DB 3C 24 9B DD 83 CC 00 00 00 83 C4 F4 DB 3C 24 9B DD 83 D4 00 00 00 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8D 55 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4044_0 {
	meta:
		name = "TFloatField.SetAsInteger"
		size = 27
	strings:
		$1 = { 56 51 8B F0 89 14 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B C6 8B 10 FF 52 70 5A 5E C3 }
	condition:
		$1
}

rule function_4045_0 {
	meta:
		name = "TFloatField.SetAsString"
		size = 186
		refs = "0018 TFloatField.SetAsString 0035 @LStrToPChar 003f TextToFloat 0054 TField.GetDisplayName 006a SInvalidFloatValue 006f LoadResString 007d DatabaseErrorFmt 00a8 @LStrArrayClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D E0 89 4D DC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0C 8B C6 8B 10 FF 92 8C 00 00 00 EB 60 8B C3 E8 ?? ?? ?? ?? 8D 55 F6 33 C9 E8 ?? ?? ?? ?? 84 C0 75 3A 89 5D E4 C6 45 E8 0B 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 0B 8D 45 E4 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC B9 01 00 00 00 5A E8 ?? ?? ?? ?? DB 6D F6 83 C4 F8 DD 1C 24 9B 8B C6 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4046_0 {
	meta:
		name = "TBCDField.SetCurrency"
		size = 22
		refs = "0011 TField.PropertyChanged"
		altNames = "TFloatField.SetCurrency"
	strings:
		$1 = { 3A 90 C4 00 00 00 74 0D 88 90 C4 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4047_0 {
	meta:
		name = "TFloatField.SetMaxValue"
		size = 30
		refs = "0016 _NF__444"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 D4 00 00 00 8B 55 0C 89 90 D8 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_4048_0 {
	meta:
		name = "TFloatField.SetMinValue"
		size = 30
		refs = "0016 _NF__444"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 CC 00 00 00 8B 55 0C 89 90 D0 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_4049_0 {
	meta:
		name = "TFloatField.SetPrecision"
		size = 42
		refs = "0025 TField.PropertyChanged"
	strings:
		$1 = { 83 FA 02 7D 05 BA 02 00 00 00 83 FA 0F 7E 05 BA 0F 00 00 00 3B 90 C8 00 00 00 74 0D 89 90 C8 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4050_0 {
	meta:
		name = "TFloatField.SetVarValue"
		size = 30
		refs = "0009 @VarToReal"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 52 70 5E 5B C3 }
	condition:
		$1
}

rule function_4051_0 {
	meta:
		name = "_NF__444"
		size = 56
		refs = "000a _NF__444"
	strings:
		$1 = { 8B D0 DD 82 CC 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 75 15 DD 82 D4 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 75 04 33 C0 EB 02 B0 01 88 82 C5 00 00 00 C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4052_0 {
	meta:
		name = "TCurrencyField.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TFloatField.Create 0020 TField.SetDataType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 07 8B C6 E8 ?? ?? ?? ?? C6 86 C4 00 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4053_0 {
	meta:
		name = "TBooleanField.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TField.Create 0020 TField.SetDataType 0027 _NF__457"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 05 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4054_0 {
	meta:
		name = "TBooleanField.GetAsBoolean"
		size = 36
		refs = "0009 TField.GetData"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 66 8B 04 24 66 F7 D8 1B C0 F7 D8 5A 5B C3 33 C0 5A 5B C3 }
	condition:
		$1
}

rule function_4055_0 {
	meta:
		name = "TBooleanField.GetAsString"
		size = 52
		refs = "000c TField.GetData 0023 @LStrLAsg 002c @LStrClr"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B C6 33 D2 8A 14 24 8B 94 93 C0 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4056_0 {
	meta:
		name = "TBooleanField.GetAsVariant"
		size = 57
		refs = "000c TField.GetData 0022 @VarFromBool 002c Null 0031 @VarCopy"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B C6 66 8B 14 24 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4058_0 {
	meta:
		name = "TBooleanField.GetDefaultWidth"
		size = 60
		refs = "000b @LStrLen"
	strings:
		$1 = { 53 56 8B D8 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? 3B F0 7E 0E 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4059_0 {
	meta:
		name = "_NF__457"
		size = 37
		refs = "000a STextFalse 000f LoadResString 001a STextTrue"
	strings:
		$1 = { 53 8B D8 8D 93 C0 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4060_0 {
	meta:
		name = "TBooleanField.SetAsBoolean"
		size = 28
		refs = "0016 TField.SetData"
	strings:
		$1 = { 51 84 D2 74 08 66 C7 04 24 01 00 EB 06 66 C7 04 24 00 00 8B D4 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_4061_0 {
	meta:
		name = "TBooleanField.SetAsString"
		size = 317
		refs = "0019 TBooleanField.SetAsString 0026 @LStrLen 008b @LStrCopy 0095 AnsiCompareText 00e4 TField.GetDisplayName 00fa SInvalidBoolValue 00ff LoadResString 010d DatabaseErrorFmt 0122 @LStrClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 89 4D E8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 75 49 8B 86 C0 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0E 33 D2 8B C6 8B 08 FF 51 64 E9 C4 00 00 00 8B 86 C4 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0E B2 01 8B C6 8B 08 FF 51 64 E9 A7 00 00 00 8B C6 8B 10 FF 92 8C 00 00 00 E9 98 00 00 00 8D 45 FC 50 8B CB BA 01 00 00 00 8B 86 C0 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 85 C0 75 0B 33 D2 8B C6 8B 08 FF 51 64 EB 69 8D 45 FC 50 8B CB BA 01 00 00 00 8B 86 C4 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 85 C0 75 0B B2 01 8B C6 8B 08 FF 51 64 EB 3A 89 7D EC C6 45 F0 0B 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F4 C6 45 F8 0B 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4062_0 {
	meta:
		name = "TBooleanField.SetDisplayValues"
		size = 140
		refs = "0010 @LStrCmp 001f @LStrAsg 002a _NF__457 0033 TBooleanField.SetDisplayValues 0038 @LStrPos 0059 @LStrCopy 0078 TField.PropertyChanged"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 BC 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 66 8D 83 BC 00 00 00 8B D6 E8 ?? ?? ?? ?? 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? EB 43 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 75 05 BF 00 01 00 00 8D 83 C0 00 00 00 50 8D 57 01 B9 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 83 C4 00 00 00 50 8B CF 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_4063_0 {
	meta:
		name = "TBooleanField.SetVarValue"
		size = 25
		refs = "0009 @VarToBool"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 64 5E 5B C3 }
	condition:
		$1
}

rule function_4064_0 {
	meta:
		name = "TDateTimeField.Create"
		size = 55
		refs = "000a @ClassCreate 0017 TField.Create 0020 TField.SetDataType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0B 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4066_0 {
	meta:
		name = "TDateTimeField.GetAsFloat"
		size = 18
	strings:
		$1 = { 83 C4 F8 8B 10 FF 52 3C DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_4067_0 {
	meta:
		name = "TDateTimeField.GetAsString"
		size = 10
	strings:
		$1 = { 53 33 C9 8B 18 FF 53 60 5B C3 }
	condition:
		$1
}

rule function_4068_0 {
	meta:
		name = "TDateTimeField.GetAsVariant"
		size = 57
		refs = "000e _NF__476 0021 VarFromDateTime 002b Null 0030 @VarCopy"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 FF 74 24 04 FF 74 24 04 8B C6 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4070_0 {
	meta:
		name = "TDateTimeField.GetText"
		size = 185
		refs = "0018 TDateTimeField.GetText 0028 _NF__476 0047 @LStrLAsg 005f ShortDateFormat 0071 LongTimeFormat 0088 DateTimeToString 0091 @LStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 74 5E 84 DB 74 19 83 BF BC 00 00 00 00 74 10 8D 45 FC 8B 97 BC 00 00 00 E8 ?? ?? ?? ?? EB 2F 8A 47 2C 2C 09 74 06 FE C8 74 14 EB 22 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 10 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4071_0 {
	meta:
		name = "_NF__476"
		size = 162
		refs = "0014 TField.GetData 004e _NF__476 0066 MSecsToTimeStamp 0077 @HandleAnyException 0086 @DoneExcept 008e TimeStampToDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 FC 8B D8 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 77 8A 43 2C 2C 09 74 06 FE C8 74 0F EB 1C 33 C0 89 45 F0 8B 45 E8 89 45 F4 EB 4F 8B 45 E8 89 45 F0 C7 45 F4 5A 95 0A 00 EB 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 E8 83 C4 F8 DF 3C 24 9B 8D 45 F0 E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 08 EB 14 E9 ?? ?? ?? ?? 33 C0 89 45 F0 33 C0 89 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC DD 18 9B 8A 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4072_0 {
	meta:
		name = "TDateTimeField.SetAsDateTime"
		size = 81
		refs = "0013 DateTimeToTimeStamp 0038 TimeStampToMSecs 0046 TField.SetData"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8A 43 2C 2C 09 74 06 FE C8 74 0A EB 10 8B 45 FC 89 45 F0 EB 14 8B 45 F8 89 45 F0 EB 0C 8D 45 F8 E8 ?? ?? ?? ?? DD 5D F0 9B 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4073_0 {
	meta:
		name = "TDateTimeField.SetAsFloat"
		size = 18
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 10 FF 52 6C 5D C2 08 00 }
	condition:
		$1
}

rule function_4074_0 {
	meta:
		name = "TDateTimeField.SetAsString"
		size = 95
		refs = "0029 StrToDate 0036 StrToTime 0043 StrToDateTime"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 85 DB 75 0C 8B C6 8B 10 FF 92 8C 00 00 00 EB 41 8A 46 2C 2C 09 74 06 FE C8 74 0F EB 1A 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B EB 18 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8B C6 8B 10 FF 52 6C 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4076_0 {
	meta:
		name = "TDateTimeField.SetVarValue"
		size = 30
		refs = "0009 VarToDateTime"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 52 6C 5E 5B C3 }
	condition:
		$1
}

rule function_4077_0 {
	meta:
		name = "TDateField.Create"
		size = 55
		refs = "000a @ClassCreate 0017 TDateTimeField.Create 0020 TField.SetDataType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 09 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4079_0 {
	meta:
		name = "TTimeField.Create"
		size = 55
		refs = "000a @ClassCreate 0017 TDateTimeField.Create 0020 TField.SetDataType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0A 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12922_0 {
	meta:
		name = "TQRChildBand.Create"
		size = 55
		refs = "000a @ClassCreate 0017 TQRCustomBand.Create 0020 TQRCustomBand.SetBandType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0A 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4081_0 {
	meta:
		name = "TBinaryField.Create"
		size = 46
		refs = "000a @ClassCreate 0017 TField.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7745_0 {
	meta:
		name = "TGraphic.Create"
		size = 46
		refs = "000a @ClassCreate 0017 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9990_0 {
	meta:
		name = "TQuickMenu.Create"
		size = 46
		refs = "000a @ClassCreate 0017 TPopupMenu.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6092_0 {
	meta:
		name = "_NF__106"
		size = 46
		refs = "000a @ClassCreate 0017 THTMLTableColumn.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4082_0 {
	meta:
		name = "TBinaryField.CheckTypeSize"
		size = 76
		refs = "0009 TBinaryField.CheckTypeSize 001b SInvalidFieldSize 0020 LoadResString 0028 DatabaseError 003d @LStrClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_4083_0 {
	meta:
		name = "TBinaryField.GetAsString"
		size = 42
		refs = "0013 @LStrSetLength 001a @LStrToPChar 0023 TField.GetData"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 54 0F B7 D0 8B C6 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4084_0 {
	meta:
		name = "TBinaryField.SetAsString"
		size = 222
		refs = "0010 TBinaryField.SetAsString 0027 @LStrLen 0035 @LStrLAsg 0049 @LStrSetLength 005c @LStrToPChar 0064 @FillChar 00a6 Move 00b7 TField.SetData 00cc @LStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 54 0F B7 F8 8B C6 E8 ?? ?? ?? ?? 3B F8 75 0C 8D 45 FC 8B D6 E8 ?? ?? ?? ?? EB 6F 8B C3 8B 10 FF 52 54 0F B7 D0 8D 45 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 54 0F B7 C0 50 8B 45 FC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 54 0F B7 F8 8B C6 E8 ?? ?? ?? ?? 3B F8 7D 0C 8B C3 8B 10 FF 52 54 0F B7 F8 EB 09 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B CF 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4085_0 {
	meta:
		name = "TBinaryField.GetAsVariant"
		size = 141
		refs = "0031 VarArrayCreate 0039 VarArrayLock 0041 TBinaryField.GetAsVariant 0050 TField.GetData 0068 VarArrayUnlock 006e @HandleFinally 007f Null 0084 @VarCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 FC 8B D8 8B 45 FC 50 33 C0 89 45 F0 8B C3 8B 10 FF 52 54 0F B7 C0 48 89 45 F4 8D 45 F0 B9 11 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C3 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FB 00 75 0E 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4086_0 {
	meta:
		name = "TBinaryField.SetVarValue"
		size = 234
		refs = "0016 TBinaryField.SetVarValue 0024 VarIsArray 0030 VarArrayDimCount 003b VarType 0052 VarArrayHighBound 0061 VarArrayLowBound 007a SInvalidVarByteArray 007f LoadResString 0087 DatabaseError 008f VarArrayLock 00a6 TField.SetData 00bb VarArrayUnlock 00c1 @HandleFinally 00d8 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4A 8B 45 FC E8 ?? ?? ?? ?? 48 75 3F 8B 45 FC E8 ?? ?? ?? ?? 25 FF 0F 00 00 83 F8 11 75 2D 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 2B F0 46 8B C3 8B 10 FF 52 54 0F B7 C0 3B F0 74 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4087_0 {
	meta:
		name = "TBinaryField.GetText"
		size = 79
		refs = "000f TBinaryField.GetText 001f TField.GetAsString 0029 @LStrAsg 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4124_0 {
	meta:
		name = "TBlobField.GetText"
		size = 79
		refs = "000f TBlobField.GetText 001f TField.GetAsString 0029 @LStrAsg 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4088_0 {
	meta:
		name = "TBinaryField.SetText"
		size = 44
		refs = "0005 TBinaryField.SetText 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 04 00 00 00 54 65 78 74 00 00 00 00 }
	condition:
		$1
}

rule function_4139_0 {
	meta:
		name = "TBlobField.SetText"
		size = 44
		refs = "0005 TBlobField.SetText 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 04 00 00 00 54 65 78 74 00 00 00 00 }
	condition:
		$1
}

rule function_4089_0 {
	meta:
		name = "TBytesField.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TBinaryField.Create 0020 TField.SetDataType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0C 8B C6 E8 ?? ?? ?? ?? 66 BA 10 00 8B C6 8B 08 FF 91 80 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4090_0 {
	meta:
		name = "TBytesField.GetDataSize"
		size = 5
	strings:
		$1 = { 66 8B 40 34 C3 }
	condition:
		$1
}

rule function_4091_0 {
	meta:
		name = "TVarBytesField.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TBytesField.Create 0020 TField.SetDataType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0D 8B C6 E8 ?? ?? ?? ?? 66 BA 10 00 8B C6 8B 08 FF 91 80 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4092_0 {
	meta:
		name = "TVarBytesField.GetDataSize"
		size = 9
	strings:
		$1 = { 66 8B 40 34 66 83 C0 02 C3 }
	condition:
		$1
}

rule function_4093_0 {
	meta:
		name = "TBCDField.Create"
		size = 160
		refs = "0011 @ClassCreate 001e TNumericField.Create 0027 TField.SetDataType 003b TBCDField.Create 004b DecimalSeparator"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 08 8B C6 E8 ?? ?? ?? ?? 66 BA 04 00 8B C6 8B 08 FF 91 80 00 00 00 56 BE ?? ?? ?? ?? 8D 7D E0 B9 08 00 00 00 F3 A5 5E A1 ?? ?? ?? ?? 8A 00 25 FF 00 00 00 0F AB 45 E0 56 8D 7E 7C 8D 75 E0 B9 08 00 00 00 F3 A5 5E 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 28 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4094_0 {
	meta:
		name = "TBCDField.CheckTypeSize"
		size = 77
		refs = "0009 TBCDField.CheckTypeSize 001c SInvalidFieldSize 0021 LoadResString 0029 DatabaseError 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FA 20 7E 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_4095_0 {
	meta:
		name = "TBCDField.GetAsCurrency"
		size = 35
		refs = "000b TBCDField.GetValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 C0 89 04 24 89 44 24 04 DF 2C 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_4096_0 {
	meta:
		name = "TBCDField.GetAsFloat"
		size = 44
		refs = "000f TBCDField.GetAsFloat"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 38 DB 2D ?? ?? ?? ?? DE C9 DD 1C 24 9B DD 04 24 59 5A 5B C3 2C 65 19 E2 58 17 B7 D1 F1 3F 00 00 }
	condition:
		$1
}

rule function_4097_0 {
	meta:
		name = "TBCDField.GetAsInteger"
		size = 40
		refs = "000c TBCDField.GetAsInteger 0013 @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 38 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 5B C3 00 00 00 2C 65 19 E2 58 17 B7 D1 F1 3F 00 00 }
	condition:
		$1
}

rule function_4098_0 {
	meta:
		name = "TBCDField.GetAsString"
		size = 51
		refs = "000e TBCDField.GetValue 0021 CurrToStr 002a @LStrClr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 FF 74 24 04 FF 74 24 04 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4099_0 {
	meta:
		name = "TBCDField.GetAsVariant"
		size = 52
		refs = "000e TBCDField.GetValue 001c @VarFromCurr 0026 Null 002b @VarCopy"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C DF 2C 24 8B C6 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4100_0 {
	meta:
		name = "TBCDField.GetDataSize"
		size = 5
	strings:
		$1 = { 66 B8 22 00 C3 }
	condition:
		$1
}

rule function_4101_0 {
	meta:
		name = "TBCDField.GetDefaultWidth"
		size = 20
		refs = "000f TField.GetDefaultWidth"
	strings:
		$1 = { 8B 90 D8 00 00 00 85 D2 7E 04 42 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4102_0 {
	meta:
		name = "TBCDField.GetText"
		size = 316
		refs = "0022 TBCDField.GetText 0035 TField.GetData 0073 @LStrLAsg 00a4 CurrencyDecimals 00c2 CurrToStrF 00cf @LStrAsg 00e5 FormatCurr 00fb SBCDOverflow 0100 LoadResString 0109 @LStrClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 DB 89 9D EC FE FF FF 89 5D F8 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 F0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 C5 00 00 00 8D 4D F0 8D 95 F0 FE FF FF 8B 43 24 8B 38 FF 57 2C 84 C0 0F 84 9E 00 00 00 80 7D FF 00 75 09 83 BB C0 00 00 00 00 75 10 8D 45 F8 8B 93 BC 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 F8 8B 93 C0 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 75 48 80 BB C4 00 00 00 00 74 17 80 7D FF 00 74 04 B3 04 EB 02 B3 02 8B 3D ?? ?? ?? ?? 0F B6 3F EB 04 33 DB 33 FF FF 75 F4 FF 75 F0 8D 8D EC FE FF FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 38 FF 75 F4 FF 75 F0 8D 95 EC FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 15 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4103_0 {
	meta:
		name = "TBCDField.GetValue"
		size = 200
		refs = "0023 TBCDField.GetValue 0036 TField.GetData 005e TField.GetDisplayName 0083 SFieldOutOfRange 0088 LoadResString 0096 DatabaseErrorFmt 00b3 @LStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 C9 89 8D F0 FE FF FF 89 8D EC FE FF FF 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 FC FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 5A 8B 4D FC 8D 95 FC FE FF FF 8B 46 24 8B 38 FF 57 2C 84 C0 75 45 8D 95 F0 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 89 85 F4 FE FF FF C6 85 F8 FE FF FF 0B 8D 85 F4 FE FF FF 50 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4104_0 {
	meta:
		name = "TBCDField.SetAsCurrency"
		size = 188
		refs = "0038 TBCDField.SetAsCurrency 0075 TNumericField.RangeError 00a1 TField.SetData"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 56 8B D8 80 BB C5 00 00 00 00 74 63 DF 6D 08 DF AB C8 00 00 00 DE D9 DF E0 9E 77 10 DF 6D 08 DF AB D0 00 00 00 DE D9 DF E0 9E 73 43 DB 2D ?? ?? ?? ?? DF 6D 08 DE C9 83 C4 F4 DB 3C 24 9B DB 2D ?? ?? ?? ?? DF AB C8 00 00 00 DE C9 83 C4 F4 DB 3C 24 9B DB 2D ?? ?? ?? ?? DF AB D0 00 00 00 DE C9 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 0F B7 43 34 50 8D 95 00 FF FF FF 8B 8B D8 00 00 00 8B 43 24 8B 30 FF 56 30 8D 95 00 FF FF FF 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 00 00 00 2C 65 19 E2 58 17 B7 D1 F1 3F 00 00 }
	condition:
		$1
}

rule function_4105_0 {
	meta:
		name = "TBCDField.SetAsFloat"
		size = 32
		refs = "0008 TBCDField.SetAsFloat"
	strings:
		$1 = { 55 8B EC DD 45 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 10 FF 52 68 5D C2 08 00 00 40 1C 46 }
	condition:
		$1
}

rule function_4106_0 {
	meta:
		name = "TBCDField.SetAsInteger"
		size = 40
		refs = "000c TBCDField.SetAsInteger"
	strings:
		$1 = { 56 51 8B F0 89 14 24 DB 04 24 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C6 8B 10 FF 52 68 5A 5E C3 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_4107_0 {
	meta:
		name = "TBCDField.SetAsString"
		size = 182
		refs = "0018 TBCDField.SetAsString 0035 @LStrToPChar 003f TextToFloat 0054 TField.GetDisplayName 006a SInvalidFloatValue 006f LoadResString 007d DatabaseErrorFmt 00a4 @LStrArrayClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E4 89 4D E0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0C 8B C6 8B 10 FF 92 8C 00 00 00 EB 5C 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 B1 01 E8 ?? ?? ?? ?? 84 C0 75 3A 89 5D E8 C6 45 EC 0B 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 0B 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8B C6 8B 10 FF 52 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4109_0 {
	meta:
		name = "TBCDField.SetMaxValue"
		size = 30
		refs = "0016 _NF__4EA"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 D0 00 00 00 8B 55 0C 89 90 D4 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_4110_0 {
	meta:
		name = "TBCDField.SetMinValue"
		size = 30
		refs = "0016 _NF__4EA"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 C8 00 00 00 8B 55 0C 89 90 CC 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_4111_0 {
	meta:
		name = "TBCDField.SetVarValue"
		size = 30
		refs = "0009 @VarToCurr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C3 8B 10 FF 52 68 5E 5B C3 }
	condition:
		$1
}

rule function_4112_0 {
	meta:
		name = "_NF__4EA"
		size = 56
		refs = "000a _NF__4EA"
	strings:
		$1 = { 8B D0 DF AA C8 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 75 15 DF AA D0 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 75 04 33 C0 EB 02 B0 01 88 82 C5 00 00 00 C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4113_0 {
	meta:
		name = "TBlobField.Create"
		size = 55
		refs = "000a @ClassCreate 0017 TField.Create 0020 TField.SetDataType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0F 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4114_0 {
	meta:
		name = "TBlobField.Assign"
		size = 153
		refs = "000a _DV_TBlobField 000f @IsClass 001c _NF__50C 0027 _Dn_TStrings 0039 _NF__513 0044 _Dn_TBitmap 0056 _NF__50B 0061 _Dn_TPicture 0092 TField.Assign"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 53 04 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4115_0 {
	meta:
		name = "TBlobField.AssignTo"
		size = 112
		refs = "000a _Dn_TStrings 000f @IsClass 001c _NF__51B 0027 _Dn_TBitmap 0039 _NF__514 0044 _Dn_TPicture 0054 TPicture.GetBitmap 0069 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4116_0 {
	meta:
		name = "TBlobField.Clear"
		size = 25
		refs = "0013 TObject.Free"
	strings:
		$1 = { 53 8B D8 B1 01 8B D3 8B 43 24 8B 18 FF 93 84 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4117_0 {
	meta:
		name = "TBlobField.FreeBuffers"
		size = 31
	strings:
		$1 = { 53 8B D8 80 BB BC 00 00 00 00 74 11 8B D3 8B 43 24 8B 08 FF 51 48 C6 83 BC 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4118_0 {
	meta:
		name = "TBlobField.GetAsString"
		size = 112
		refs = "001f TBlobField.GetAsString 002d TStream.GetSize 003b @LStrFromPCharLen 004a TStream.ReadBuffer 005f TObject.Free 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B 50 24 33 C9 92 8B 18 FF 93 84 01 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B CB 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8B 12 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4119_0 {
	meta:
		name = "TBlobField.GetAsVariant"
		size = 100
		refs = "000f TBlobField.GetAsVariant 002d Null 0032 @VarCopy 003e @VarFromLStr 0053 @LStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 48 83 7D FC 00 75 0F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4120_0 {
	meta:
		name = "TBlobField.GetBlobSize"
		size = 86
		refs = "001c TBlobField.GetBlobSize 002a TStream.GetSize 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B 50 24 33 C9 92 8B 18 FF 93 84 01 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4121_0 {
	meta:
		name = "TBlobField.GetBlobType"
		size = 4
		altNames = "TCubeDim.GetBin"
	strings:
		$1 = { 8A 40 2C C3 }
	condition:
		$1
}

rule function_4122_0 {
	meta:
		name = "TBlobField.GetIsNull"
		size = 113
		refs = "000c TBlobField.GetModified 002a TBlobField.GetIsNull 0038 TStream.GetSize 0053 TObject.Free 0059 @HandleFinally 0062 TField.GetIsNull"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4B 8B 43 24 33 C9 8B D3 8B 18 FF 93 84 01 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 E8 ?? ?? ?? ?? 88 45 FF 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4123_0 {
	meta:
		name = "TBlobField.GetModified"
		size = 29
	strings:
		$1 = { 80 B8 BC 00 00 00 00 74 0E 8B 50 24 8B 52 3C 3B 90 C0 00 00 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_4126_0 {
	meta:
		name = "_NF__50B"
		size = 188
		refs = "0023 _NF__50B 0068 TStream.GetPosition 0078 TStream.SetPosition 00aa TObject.Free 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 55 FC 8B D8 8B 43 24 B1 01 8B D3 8B 30 FF 96 84 01 00 00 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8A 43 2C 3C 11 74 04 3C 15 75 56 66 C7 45 F0 01 00 66 C7 45 F2 00 01 33 C0 89 45 F4 8D 55 F0 B9 08 00 00 00 8B 45 F8 8B 18 FF 53 08 8B 55 F8 8B 45 FC 8B 08 FF 51 54 8B 45 F8 E8 ?? ?? ?? ?? 83 E8 08 89 45 F4 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F0 B9 08 00 00 00 8B 45 F8 8B 18 FF 53 08 EB 0B 8B 55 F8 8B 45 FC 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4127_0 {
	meta:
		name = "_NF__50C"
		size = 83
		refs = "001d _NF__50C 002d TBlobField.SaveToStream 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 24 B1 01 92 8B 30 FF 96 84 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4129_0 {
	meta:
		name = "TBlobField.LoadFromStream"
		size = 85
		refs = "001d TBlobField.LoadFromStream 002f TStream.CopyFrom 0044 TObject.Free 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 24 B1 01 92 8B 30 FF 96 84 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4130_0 {
	meta:
		name = "_NF__513"
		size = 83
		refs = "001d _NF__513 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 24 B1 01 92 8B 30 FF 96 84 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4131_0 {
	meta:
		name = "_NF__514"
		size = 152
		refs = "0020 _NF__514 002e TStream.GetSize 0066 TStream.SetPosition 0086 TObject.Free 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 55 FC 8B 50 24 33 C9 92 8B 18 FF 93 84 01 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 83 FB 08 7C 31 8D 55 F0 B9 08 00 00 00 8B 45 F8 8B 30 FF 56 04 66 83 7D F0 01 75 10 66 81 7D F2 00 01 75 08 83 EB 08 3B 5D F4 74 0A 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4133_0 {
	meta:
		name = "TBlobField.SaveToStream"
		size = 85
		refs = "001d TBlobField.SaveToStream 002f TStream.CopyFrom 0044 TObject.Free 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 24 33 C9 92 8B 30 FF 96 84 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4134_0 {
	meta:
		name = "_NF__51B"
		size = 83
		refs = "001d _NF__51B 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 24 33 C9 92 8B 30 FF 96 84 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4135_0 {
	meta:
		name = "TBlobField.SetAsString"
		size = 92
		refs = "001d TBlobField.SetAsString 002a @LStrLen 0036 TStream.WriteBuffer 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 24 B1 01 92 8B 30 FF 96 84 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4136_0 {
	meta:
		name = "TBlobField.SetBlobType"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 98 00 00 00 5E C3 }
	condition:
		$1
}

rule function_4137_0 {
	meta:
		name = "TBlobField.SetFieldType"
		size = 16
		refs = "000b TField.SetDataType"
	strings:
		$1 = { 8B CA 80 C1 F1 80 E9 07 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4138_0 {
	meta:
		name = "TBlobField.SetModified"
		size = 25
	strings:
		$1 = { 8B CA 88 88 BC 00 00 00 84 C9 74 0C 8B 50 24 8B 52 3C 89 90 C0 00 00 00 C3 }
	condition:
		$1
}

rule function_4141_0 {
	meta:
		name = "TMemoField.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TBlobField.Create 0020 TField.SetDataType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 10 8B C6 E8 ?? ?? ?? ?? C6 86 C4 00 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4142_0 {
	meta:
		name = "TGraphicField.Create"
		size = 55
		refs = "000a @ClassCreate 0017 TBlobField.Create 0020 TField.SetDataType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 11 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4143_0 {
	meta:
		name = "TIndexDef.Create"
		size = 96
		refs = "000e @ClassCreate 0022 TList.Add 0034 @LStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 85 F6 74 11 8B D7 8B 46 08 E8 ?? ?? ?? ?? C6 46 0C 00 89 77 04 8D 47 0C 8B 55 10 E8 ?? ?? ?? ?? 8D 47 10 8B 55 0C E8 ?? ?? ?? ?? 8A 45 08 88 47 14 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_4145_0 {
	meta:
		name = "TIndexDef.GetExpression"
		size = 35
		refs = "0012 @LStrLAsg 001c @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 14 10 74 0D 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4146_0 {
	meta:
		name = "TIndexDef.GetFields"
		size = 35
		refs = "000f @LStrClr 001c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 14 10 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4149_0 {
	meta:
		name = "TIndexDefs.Add"
		size = 140
		refs = "0018 TIndexDefs.Add 0027 TIndexDefs.IndexOf 0033 SDuplicateIndexName 0038 LoadResString 004e DatabaseErrorFmt 005d _DV_TIndexDef 0062 TIndexDef.Create 0077 @LStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 56 57 8A 45 08 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4150_0 {
	meta:
		name = "TIndexDefs.Assign"
		size = 140
		refs = "0018 TIndexDefs.Assign 0026 TIndexDefs.Clear 002e TIndexDefs.GetCount 0042 TIndexDefs.GetItem 0052 TIndexDef.GetFields 0060 TIndexDefs.Add 0079 @LStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8A 43 14 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B 53 0C 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4152_0 {
	meta:
		name = "TIndexDefs.FindIndexForFields"
		size = 138
		refs = "0016 TIndexDefs.FindIndexForFields 0027 TIndexDefs.GetIndexForFields 0035 SNoIndexForFields 003a LoadResString 0060 DatabaseErrorFmt 0075 @LStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 33 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 04 8B 40 08 89 45 EC C6 45 F0 0B 89 7D F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4154_0 {
	meta:
		name = "TIndexDefs.GetIndexForFields"
		size = 308
		refs = "001e TIndexDefs.GetIndexForFields 002c TIndexDefs.Update 0034 @LStrLen 005d TList.Get 008d TIndexDef.GetFields 0098 AnsiCompareText 00bc @LStrCopy 0117 @LStrArrayClr 011d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 C6 45 F6 01 8B 45 FC 8B 40 08 8B 70 08 4E 85 F6 0F 8C 9F 00 00 00 46 33 FF 8B 45 FC 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B D8 A0 ?? ?? ?? ?? 22 43 14 8A 15 ?? ?? ?? ?? 3A D0 75 73 80 7D F7 00 74 06 F6 43 14 08 74 67 80 7D F6 00 74 1B 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 61 EB 46 8D 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8B 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 19 8B 43 10 E8 ?? ?? ?? ?? 3B 45 F0 74 25 8B 43 10 8B 55 F0 80 3C 10 3B 74 19 47 4E 0F 85 64 FF FF FF 80 7D F6 00 74 09 C6 45 F6 00 E9 40 FF FF FF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 14 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4156_0 {
	meta:
		name = "TIndexDefs.IndexOf"
		size = 60
		refs = "001c TList.Get 0026 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B D6 8B 47 08 E8 ?? ?? ?? ?? 8B 40 0C 8B D5 E8 ?? ?? ?? ?? 85 C0 74 07 46 4B 75 E4 83 CE FF 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4157_0 {
	meta:
		name = "TIndexDefs.Update"
		size = 12
	strings:
		$1 = { 8B 40 04 8B 10 FF 92 18 01 00 00 C3 }
	condition:
		$1
}

rule function_4158_0 {
	meta:
		name = "TDataLink.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4159_0 {
	meta:
		name = "TDataLink.Destroy"
		size = 55
		refs = "0017 TDataLink.SetDataSource 0023 TPersistent.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 C6 46 15 00 C6 46 16 00 C6 46 18 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4160_0 {
	meta:
		name = "_NF__56C"
		size = 86
		refs = "0008 TDataLink.GetDataSet"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 78 3C 2B 7B 0C 47 85 FF 7D 02 33 FF 8B C3 E8 ?? ?? ?? ?? 8B 70 34 2B 73 0C 85 F6 7D 02 33 F6 8B C3 E8 ?? ?? ?? ?? 3B 70 3C 7E 0A 8B C3 E8 ?? ?? ?? ?? 8B 70 3C 3B 7B 10 7E 03 89 7B 10 3B 73 10 7D 03 89 73 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4161_0 {
	meta:
		name = "TDataLink.GetDataSet"
		size = 14
	strings:
		$1 = { 8B 50 04 85 D2 74 04 8B 42 24 C3 33 C0 C3 }
	condition:
		$1
}

rule function_4162_0 {
	meta:
		name = "TDataLink.SetDataSource"
		size = 118
		refs = "000f TDataLink.SetDataSource 0028 SDataSourceChange 002d LoadResString 0035 DatabaseError 0043 _NF__5B1 0050 _NF__5B0 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 04 74 36 80 7B 18 00 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4163_0 {
	meta:
		name = "TDataLink.SetReadOnly"
		size = 14
		refs = "0009 _NF__577"
	strings:
		$1 = { 3A 50 14 74 08 88 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8305_0 {
	meta:
		name = "THTMLTableAttributes.SetAlign"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3A 50 14 74 08 88 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8313_0 {
	meta:
		name = "THTMLTableElementAttributes.SetAlign"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3A 50 14 74 08 88 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4164_0 {
	meta:
		name = "_NF__575"
		size = 38
		refs = "0012 _NF__56C"
	strings:
		$1 = { 53 8B D8 3A 53 15 74 1C 88 53 15 84 D2 74 09 8B C3 E8 ?? ?? ?? ?? EB 05 33 C0 89 43 10 8B C3 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_4165_0 {
	meta:
		name = "_NF__576"
		size = 20
	strings:
		$1 = { 56 8B F0 3A 56 16 74 0A 88 56 16 8B C6 8B 10 FF 52 20 5E C3 }
	condition:
		$1
}

rule function_4166_0 {
	meta:
		name = "_NF__577"
		size = 66
		refs = "0019 _NF__575 003c _NF__576"
	strings:
		$1 = { 53 8B D8 8B 43 04 85 C0 74 06 80 78 2E 00 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 0F 8A 40 2E 04 FE 2C 03 73 06 80 7B 14 00 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4167_0 {
	meta:
		name = "TDataLink.UpdateRecord"
		size = 67
		refs = "0012 TDataLink.UpdateRecord 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 40 17 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 17 00 C3 E9 ?? ?? ?? ?? EB F1 59 5D C3 }
	condition:
		$1
}

rule function_4168_0 {
	meta:
		name = "TDataLink.Edit"
		size = 28
		refs = "0013 TDataSource.Edit"
	strings:
		$1 = { 53 8B D8 80 7B 14 00 75 0E 83 7B 04 00 74 08 8B 43 04 E8 ?? ?? ?? ?? 8A 43 16 5B C3 }
	condition:
		$1
}

rule function_4169_0 {
	meta:
		name = "TDataLink.GetActiveRecord"
		size = 24
	strings:
		$1 = { 8B 50 04 80 7A 2E 04 75 03 33 C0 C3 8B 52 24 8B 52 3C 2B 50 10 8B C2 C3 }
	condition:
		$1
}

rule function_4170_0 {
	meta:
		name = "TDataLink.SetActiveRecord"
		size = 19
	strings:
		$1 = { 8B 48 04 80 79 2E 04 74 09 03 50 10 8B 41 24 89 50 3C C3 }
	condition:
		$1
}

rule function_4171_0 {
	meta:
		name = "TDataLink.SetBufferCount"
		size = 45
		refs = "0014 _NF__56C 001b TDataLink.GetDataSet 0020 _NF__677"
	strings:
		$1 = { 53 8B D8 3B 53 0C 74 23 89 53 0C 80 7B 15 00 74 1A 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4172_0 {
	meta:
		name = "TDataLink.GetRecordCount"
		size = 35
	strings:
		$1 = { 8B 50 04 80 7A 2E 04 75 08 BA 01 00 00 00 8B C2 C3 8B 52 24 8B 52 38 8B 48 0C 3B D1 7E 02 8B D1 8B C2 C3 }
	condition:
		$1
}

rule function_4173_0 {
	meta:
		name = "_NF__586"
		size = 241
		refs = "000d _NF__577 002f _NF__586 00d5 TDataLink.UpdateRecord"
	strings:
		$1 = { 56 57 55 8B F0 80 FA 06 75 0C 8B C6 E8 ?? ?? ?? ?? E9 D7 00 00 00 80 7E 15 00 0F 84 CD 00 00 00 33 C0 8A C2 83 F8 0A 0F 87 C0 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 02 02 02 03 00 04 00 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 7E 17 00 0F 85 86 00 00 00 8B D1 8B C6 8B 08 FF 51 28 EB 7B 33 FF 8B 46 04 80 78 2E 04 74 29 8B 40 24 8B 68 3C 8B 46 10 03 C1 8B 4E 0C 03 C8 49 3B CD 7D 06 8B FD 2B F9 EB 08 3B C5 7E 04 8B FD 2B F8 8D 04 07 89 46 10 80 EA 02 74 0A FE CA 74 0F FE CA 74 16 EB 38 8B C6 8B 10 FF 52 14 EB 2F 8B D7 8B C6 8B 08 FF 51 18 EB 24 8B C6 8B 10 FF 52 24 EB 1B 8B C6 E8 ?? ?? ?? ?? EB 12 8B C6 8B 10 FF 52 10 EB 09 8B D1 8B C6 8B 08 FF 51 1C 5D 5F 5E C3 }
	condition:
		$1
}

rule function_4176_0 {
	meta:
		name = "TDataLink.DataSetChanged"
		size = 8
		altNames = "TFieldDataLink.Reset"
	strings:
		$1 = { 33 D2 8B 08 FF 51 28 C3 }
	condition:
		$1
}

rule function_4183_0 {
	meta:
		name = "TDataSource.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 C6 46 2C 01 C6 46 2D 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4184_0 {
	meta:
		name = "TDataSource.Destroy"
		size = 88
		refs = "0014 TDataSource.SetDataSet 001d TList.Last 0026 _NF__5B1 0037 TObject.Free 0043 TComponent.Destroy 004e @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 33 C0 89 47 30 89 47 34 33 D2 8B C7 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 77 28 83 7E 08 00 7F E7 8B 47 28 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C7 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4185_0 {
	meta:
		name = "TDataSource.Edit"
		size = 21
		refs = "0010 TDataSet.Edit"
	strings:
		$1 = { 80 78 2D 00 74 0E 80 78 2E 01 75 08 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4186_0 {
	meta:
		name = "_NF__5A5"
		size = 72
		refs = "0017 _NF__5B2"
	strings:
		$1 = { 53 56 8B F0 8A 46 2E 3A D0 74 3A 8B D8 88 56 2E 33 C9 B2 06 8B C6 E8 ?? ?? ?? ?? F6 46 20 08 75 24 66 83 7E 32 00 74 08 8B D6 8B 46 34 FF 56 30 84 DB 75 11 66 83 7E 3A 00 74 0A 33 C9 8B D6 8B 46 3C FF 56 38 5E 5B C3 }
	condition:
		$1
}

rule function_4187_0 {
	meta:
		name = "_NF__5A6"
		size = 32
		refs = "0013 _NF__5A5"
	strings:
		$1 = { 80 78 2C 00 74 12 83 78 24 00 74 0C 8B 50 24 8A 52 5D E8 ?? ?? ?? ?? C3 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4188_0 {
	meta:
		name = "TDataSource.IsLinkedTo"
		size = 42
	strings:
		$1 = { 53 56 8B F0 B3 01 85 D2 74 19 8B C2 8B 10 FF 92 B4 00 00 00 85 C0 74 0B 3B F0 74 09 8B 50 24 85 D2 75 E7 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_4189_0 {
	meta:
		name = "TDataSource.SetDataSet"
		size = 120
		refs = "000f TDataSource.SetDataSet 001e TDataSource.IsLinkedTo 002a SCircularDataLink 002f LoadResString 0037 DatabaseError 0045 _NF__665 0052 _NF__664 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4190_0 {
	meta:
		name = "TDataSource.SetEnabled"
		size = 9
		refs = "0004 _NF__5A6"
	strings:
		$1 = { 88 50 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4191_0 {
	meta:
		name = "_NF__5B0"
		size = 41
		refs = "000c TList.Add 001b _NF__677 0022 _NF__577"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 28 E8 ?? ?? ?? ?? 89 5E 04 8B 43 24 85 C0 74 05 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4192_0 {
	meta:
		name = "_NF__5B1"
		size = 43
		refs = "0011 TList.Remove 0018 _NF__577 0024 _NF__677"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 46 04 8B D6 8B 43 28 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4193_0 {
	meta:
		name = "_NF__5B2"
		size = 106
		refs = "0020 TList.Get 0030 _NF__586"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B DA 8B F8 8B 47 28 8B 68 08 4D 85 ED 7C 21 45 33 F6 8B D6 8B 47 28 E8 ?? ?? ?? ?? 83 78 0C 01 75 0A 8B 0C 24 8B D3 E8 ?? ?? ?? ?? 46 4D 75 E2 8B 47 28 8B 68 08 4D 85 ED 7C 21 45 33 F6 8B D6 8B 47 28 E8 ?? ?? ?? ?? 83 78 0C 01 7E 0A 8B 0C 24 8B D3 E8 ?? ?? ?? ?? 46 4D 75 E2 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4194_0 {
	meta:
		name = "_NF__5B3"
		size = 111
		refs = "0011 _NF__5A6 0024 _NF__5B2"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 80 FB 06 75 09 8B C6 E8 ?? ?? ?? ?? EB 54 80 7E 2E 00 74 4E 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 80 EB 01 72 09 80 EB 04 72 17 74 28 EB 35 66 83 7E 3A 00 74 2E 8B CF 8B D6 8B 46 3C FF 56 38 EB 22 66 83 7E 3A 00 74 1B 33 C9 8B D6 8B 46 3C FF 56 38 EB 0F 66 83 7E 42 00 74 08 8B D6 8B 46 44 FF 56 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4195_0 {
	meta:
		name = "TCheckConstraint.Assign"
		size = 71
		refs = "000b _DV_TCheckConstraint 0010 @IsClass 0020 TCheckConstraint.SetImportedConstraint 002a TCheckConstraint.SetCustomConstraint 0034 TCheckConstraint.SetErrorMessage 003f TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B FE 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8B 57 14 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4196_0 {
	meta:
		name = "TCheckConstraint.GetDisplayName"
		size = 48
		refs = "000c @LStrLAsg 0029 TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 56 0C E8 ?? ?? ?? ?? 83 3B 00 75 0A 8B C3 8B 56 10 E8 ?? ?? ?? ?? 83 3B 00 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4197_0 {
	meta:
		name = "TCheckConstraint.SetImportedConstraint"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 0C 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4198_0 {
	meta:
		name = "TCheckConstraint.SetCustomConstraint"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 10 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4199_0 {
	meta:
		name = "TCheckConstraint.SetErrorMessage"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 14 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4205_0 {
	meta:
		name = "TDataSet.Create"
		size = 121
		refs = "000a @ClassCreate 0017 TComponent.Create 0020 _DV_TFieldDefs 0025 TFieldDefs.Create 002f _Dn_TList 0034 TObject.Create 0053 _DV_TCheckConstraints 0058 TCheckConstraints.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C C6 46 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 78 8B C6 8B 10 FF 52 40 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4206_0 {
	meta:
		name = "TDataSet.Destroy"
		size = 136
		refs = "000a TComponent.Destroying 0011 TDataSet.Close 0019 TObject.Free 0028 TList.Last 0031 _NF__665 0073 TComponent.Destroy 007e @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 47 60 E8 ?? ?? ?? ?? 83 7F 2C 00 74 1B EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 77 2C 83 7E 08 00 7F E7 8B 47 2C E8 ?? ?? ?? ?? 83 7F 24 00 74 07 8B C7 8B 10 FF 52 54 8B 47 24 E8 ?? ?? ?? ?? 8B 47 28 E8 ?? ?? ?? ?? 8B 47 78 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C7 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4207_0 {
	meta:
		name = "TDataSet.SetName"
		size = 387
		refs = "001e TDataSet.SetName 0032 @LStrLAsg 003d TComponent.SetName 0058 @LStrCmp 0089 TList.Get 00b8 @LStrLen 00dc @LStrSetLength 00e7 CompareText 0102 @LStrDelete 0112 @LStrInsert 0139 @HandleOnException 0141 _Dn_EComponentError 014a @DoneExcept 0170 @LStrArrayClr 0176 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F0 89 4D EC 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 0F 84 0C 01 00 00 8B 45 FC 8B 40 08 8B 55 F0 E8 ?? ?? ?? ?? 0F 84 F8 00 00 00 8B 45 FC 8B 40 24 8B 40 08 48 85 C0 0F 8C E6 00 00 00 40 89 45 E4 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 24 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8B 43 04 8B 55 FC 3B 42 04 0F 85 B0 00 00 00 8D 45 EC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B F0 8B 45 F0 E8 ?? ?? ?? ?? 3B F0 0F 8E 80 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 75 5F 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8D 45 EC BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B C3 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 FF 4D E4 0F 85 25 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4208_0 {
	meta:
		name = "TDataSet.GetChildren"
		size = 72
		refs = "0028 TList.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 FC 8B 40 24 8B 58 08 4B 85 DB 7C 24 43 33 F6 8B 45 FC 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 DF 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4209_0 {
	meta:
		name = "TDataSet.SetChildOrder"
		size = 47
		refs = "000f TList.IndexOf 001b _DV_TField 0020 @AsClass 0027 TField.SetIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 85 C0 7C 14 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4210_0 {
	meta:
		name = "TDataSet.Loaded"
		size = 104
		refs = "000e TComponent.Loaded 0016 TDataSet.Loaded 002f TDataSet.SetActive 003e @HandleAnyException 0059 @RaiseAgain 005e @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 5B 00 74 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 74 0D 8B 45 FC 8B 10 FF 92 4C 01 00 00 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4211_0 {
	meta:
		name = "TDataSet.SetState"
		size = 24
	strings:
		$1 = { 53 3A 50 5D 74 10 88 50 5D C6 40 5A 00 33 C9 B2 06 8B 18 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_4212_0 {
	meta:
		name = "TDataSet.SetModified"
		size = 4
	strings:
		$1 = { 88 50 5A C3 }
	condition:
		$1
}

rule function_4214_0 {
	meta:
		name = "TDataSet.SetFound"
		size = 4
	strings:
		$1 = { 88 50 68 C3 }
	condition:
		$1
}

rule function_4215_0 {
	meta:
		name = "TDataSet.SetTempState"
		size = 16
	strings:
		$1 = { 8A 48 5D 88 50 5D FF 40 64 C6 40 5A 00 8B C1 C3 }
	condition:
		$1
}

rule function_4216_0 {
	meta:
		name = "TDataSet.RestoreState"
		size = 11
	strings:
		$1 = { 88 50 5D FF 48 64 C6 40 5A 00 C3 }
	condition:
		$1
}

rule function_4219_0 {
	meta:
		name = "TDataSet.CheckInactive"
		size = 102
		refs = "000c TDataSet.CheckInactive 0019 TDataSet.GetActive 002a TDataSet.Close 0034 SDataSetOpen 0039 LoadResString 0041 DatabaseError 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 F6 43 20 40 74 09 8B C3 E8 ?? ?? ?? ?? EB 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4220_0 {
	meta:
		name = "TDataSet.CheckActive"
		size = 78
		refs = "0009 TDataSet.CheckActive 001d SDataSetClosed 0022 LoadResString 002a DatabaseError 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 5D 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_4221_0 {
	meta:
		name = "TDataSet.GetActive"
		size = 8
	strings:
		$1 = { 80 78 5D 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_4222_0 {
	meta:
		name = "TDataSet.SetActive"
		size = 224
		refs = "002b TDataSet.GetActive 004a TDataSet.SetActive 0067 TDataSet.SetState 0076 @HandleAnyException 008d @RaiseAgain 0092 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC F6 40 20 02 74 14 84 DB 0F 84 C1 00 00 00 8B 45 FC C6 40 5B 01 E9 B5 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3A D8 0F 84 A5 00 00 00 84 DB 74 6D 8B 45 FC 8B 10 FF 92 8C 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC 8B 08 FF 91 F0 00 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 4C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 6C 8B 45 FC 8B 10 FF 52 74 EB 34 8B 45 FC F6 40 20 08 75 08 8B 45 FC 8B 10 FF 52 7C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 4C 8B 45 FC F6 40 20 08 75 08 8B 45 FC 8B 10 FF 52 5C 5B 59 5D C3 }
	condition:
		$1
}

rule function_4223_0 {
	meta:
		name = "_NF__603"
		size = 41
		refs = "0006 TDataSet.GetFieldCount 001f _NF__677"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 43 69 8B C3 8B 10 FF 92 5C 01 00 00 8B C3 E8 ?? ?? ?? ?? C6 43 58 01 5B C3 }
	condition:
		$1
}

rule function_4224_0 {
	meta:
		name = "_NF__604"
		size = 50
		refs = "0019 TDataSet.SetBufListSize"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 A4 00 00 00 8B C3 8B 10 FF 52 40 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 3C 01 00 00 33 C0 89 43 34 C6 43 69 00 5B C3 }
	condition:
		$1
}

rule function_4225_0 {
	meta:
		name = "TDataSet.OpenCursor"
		size = 28
		refs = "0016 _NF__603"
	strings:
		$1 = { 56 8B F0 84 D2 74 0C 8B C6 8B 10 FF 92 50 01 00 00 5E C3 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_4227_0 {
	meta:
		name = "TDataSet.InitFieldDefs"
		size = 78
		refs = "000b TDataSet.GetActive 0017 TDataSet.InitFieldDefs 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 4C C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_4228_0 {
	meta:
		name = "TDataSet.GetFieldClass"
		size = 12
		refs = "0007 DefaultFieldClasses"
	strings:
		$1 = { 33 C0 8A C2 8B 04 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4229_0 {
	meta:
		name = "TDataSet.CreateFields"
		size = 54
		refs = "0009 TFieldDefs.GetCount 001d TFieldDefs.GetItem 002a TFieldDef.CreateField"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 28 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1E 43 33 FF 8B D7 8B 46 28 E8 ?? ?? ?? ?? 80 78 10 00 74 07 8B D6 E8 ?? ?? ?? ?? 47 4B 75 E5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4230_0 {
	meta:
		name = "TDataSet.DestroyFields"
		size = 41
		refs = "0007 TList.Last 0012 _NF__618 0019 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 EB 17 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 24 83 78 08 00 7F E0 5E 5B C3 }
	condition:
		$1
}

rule function_4231_0 {
	meta:
		name = "TDataSet.BindFields"
		size = 420
		refs = "001a TDataSet.BindFields 0050 TList.Get 0076 TField.GetDisplayName 008c SInvalidCalcType 0091 LoadResString 009c DatabaseErrorFmt 00c9 TFieldDefs.Find 00d7 _NV__613 0113 SFieldTypeMismatch 015d _NF__2C8 0191 @LStrArrayClr 0197 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E8 89 4D E4 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 46 54 33 C0 89 46 6C C6 46 5C 00 8B 46 24 8B 78 08 4F 85 FF 0F 8C 3A 01 00 00 47 C7 45 F8 00 00 00 00 8B 55 F8 8B 46 24 E8 ?? ?? ?? ?? 8B D8 80 7D FF 00 0F 84 03 01 00 00 8A 43 2E 48 2C 02 73 5A 8A 43 2C 48 2C 0B 72 30 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 0B 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 C9 5A E8 ?? ?? ?? ?? C7 43 38 FF FF FF FF 66 8B 46 54 66 89 43 36 8B C3 8B 10 FF 52 54 0F B7 C0 40 01 46 54 E9 96 00 00 00 8B 53 28 8B 46 28 E8 ?? ?? ?? ?? 89 45 F4 33 C0 8A 43 2C 8A 80 ?? ?? ?? ?? 8B 55 F4 0F B6 52 10 3A 82 ?? ?? ?? ?? 75 0D 8B 45 F4 66 8B 40 18 66 3B 43 34 74 30 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 0B 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 C9 5A E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 89 43 38 8B 45 F4 80 78 1B 00 74 04 C6 46 5C 01 8B 45 F4 0F B6 40 10 80 B8 ?? ?? ?? ?? 0F 75 0B 66 8B 46 6C 66 89 43 36 FF 46 6C B2 01 8B C3 E8 ?? ?? ?? ?? EB 0E 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 38 FF 45 F8 4F 0F 85 CE FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4232_0 {
	meta:
		name = "_NF__617"
		size = 33
		refs = "000c TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 89 5E 24 33 C9 B2 09 8B C3 8B 18 FF 53 50 5E 5B C3 }
	condition:
		$1
}

rule function_4233_0 {
	meta:
		name = "_NF__618"
		size = 37
		refs = "000d TList.Remove"
	strings:
		$1 = { 53 56 8B F0 33 C0 89 42 24 8B 46 24 E8 ?? ?? ?? ?? F6 46 20 08 75 0B 33 C9 B2 09 8B C6 8B 18 FF 53 50 5E 5B C3 }
	condition:
		$1
}

rule function_4234_0 {
	meta:
		name = "TDataSet.FreeFieldBuffers"
		size = 42
		refs = "0019 TList.Get"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 24 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 47 24 E8 ?? ?? ?? ?? 8B 10 FF 52 30 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4235_0 {
	meta:
		name = "TDataSet.SetFieldDefs"
		size = 9
		refs = "0004 TFieldDefs.Assign"
	strings:
		$1 = { 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5583_0 {
	meta:
		name = "TSession.GetDatabase"
		size = 9
		refs = "0004 TList.Get"
	strings:
		$1 = { 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4236_0 {
	meta:
		name = "_NF__61E"
		size = 31
	strings:
		$1 = { 53 8B D8 8B 43 28 80 78 0C 00 75 11 8B C3 8B 10 FF 92 DC 00 00 00 8B 43 28 C6 40 0C 01 5B C3 }
	condition:
		$1
}

rule function_4237_0 {
	meta:
		name = "TChartSeries.ValuesListCount"
		size = 7
		altNames = "TDataSet.GetFieldCount TDatabase.GetDataSetCount"
	strings:
		$1 = { 8B 40 24 8B 40 08 C3 }
	condition:
		$1
}

rule function_4238_0 {
	meta:
		name = "TChartSeries.GetValueList"
		size = 9
		refs = "0004 TList.Get"
		altNames = "TDataSet.GetField TDatabase.GetDataSet"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10518_0 {
	meta:
		name = "TCustomDataStore.CalcSubTotals"
		size = 9
		refs = "0004 TDataCache.CalcSubTotals"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10492_0 {
	meta:
		name = "TCustomDataStore.GetDimensionCount"
		size = 9
		refs = "0004 TDataCache.GetDimensionCount"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10491_0 {
	meta:
		name = "TCustomDataStore.GetDimensionMemberCount"
		size = 9
		refs = "0004 TDataCache.GetDimensionMemberCount"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10493_0 {
	meta:
		name = "TCustomDataStore.GetSummaryCount"
		size = 9
		refs = "0004 TDataCache.GetSummaryCount"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4473_0 {
	meta:
		name = "TCustomRemoteServer.AddDataSet"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4474_0 {
	meta:
		name = "TCustomRemoteServer.RemoveDataSet"
		size = 9
		refs = "0004 TList.Remove"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10029_0 {
	meta:
		name = "TDimensionItem.NotifyCollection"
		size = 9
		refs = "0004 TDimensionItems.NotifyOwner"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9491_0 {
	meta:
		name = "TMenu.GetHandle"
		size = 9
		refs = "0004 TMenuItem.GetHandle"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10104_0 {
	meta:
		name = "_NF__169"
		size = 9
		refs = "0004 TDataCache.GetSparsing"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10109_0 {
	meta:
		name = "_NF__176"
		size = 9
		refs = "0004 TDataCache.SetSparsing"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10329_0 {
	meta:
		name = "_NF__27B"
		size = 9
		refs = "0004 TDisplayDims.NotifyOwner"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11206_0 {
	meta:
		name = "_NF__336"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11207_0 {
	meta:
		name = "_NF__337"
		size = 9
		refs = "0004 TList.Remove"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4239_0 {
	meta:
		name = "TDataSet.SetField"
		size = 30
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4240_0 {
	meta:
		name = "TDataSet.GetFieldValue"
		size = 280
		refs = "001e TDataSet.GetFieldValue 0030 @LStrPos 003f _Dn_TList 0044 TObject.Create 0061 TDataSet.GetFieldList 0083 VarArrayCreate 009e TList.Get 00b0 @VarArrayPut 00cc TObject.Free 00d2 @HandleFinally 00dd TDataSet.FieldByName 00f9 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 9C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 57 33 C0 89 45 F4 8B 45 FC 8B 40 08 48 89 45 F8 8D 45 F4 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 29 46 33 DB 53 6A 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 51 4C 8D 45 E4 50 57 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_4241_0 {
	meta:
		name = "TDataSet.SetFieldValue"
		size = 240
		refs = "001a TDataSet.SetFieldValue 002c @LStrPos 0037 _Dn_TList 003c TObject.Create 0059 TDataSet.GetFieldList 0071 TList.Get 007f @VarArrayGet 00a4 TObject.Free 00aa @HandleFinally 00b5 TDataSet.FieldByName 00d1 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 7C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 2B 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 53 6A 01 57 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 EC 58 8B 08 FF 51 7C 43 4E 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_4242_0 {
	meta:
		name = "TDataSet.FieldByName"
		size = 133
		refs = "0016 TDataSet.FieldByName 0025 TDataSet.FindField 0033 SFieldNotFound 0038 LoadResString 005b DatabaseErrorFmt 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 30 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 08 89 45 EC C6 45 F0 0B 89 7D F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4243_0 {
	meta:
		name = "TDataSet.FieldByNumber"
		size = 47
		refs = "001b TDataSet.GetField"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 24 8B 58 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 68 38 74 06 46 4B 75 EE 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4244_0 {
	meta:
		name = "TDataSet.FindField"
		size = 65
		refs = "001e TList.Get 002b AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 24 8B 58 08 4B 85 DB 7C 22 43 33 FF 8B 45 24 8B D7 E8 ?? ?? ?? ?? 8B F0 8B 14 24 8B 46 28 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 E1 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4245_0 {
	meta:
		name = "TApplication.SetIcon"
		size = 9
		altNames = "TDataSet.SetConstraints"
	strings:
		$1 = { 8B 40 78 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_4246_0 {
	meta:
		name = "_NF__63B"
		size = 139
		refs = "0015 _NF__63B 0027 SFieldNameMissing 002c LoadResString 0034 DatabaseError 003d TDataSet.FindField 0049 SDuplicateFieldName 0064 DatabaseErrorFmt 0079 @LStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 74 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 5D F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4247_0 {
	meta:
		name = "_NF__63C"
		size = 110
		refs = "0015 _NF__63C 0031 ExtractFieldName 003b TDataSet.FieldByName 0042 @LStrLen 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 01 00 00 00 EB 17 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 7D DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4248_0 {
	meta:
		name = "TDataSet.GetFieldNames"
		size = 174
		refs = "0010 TStrings.BeginUpdate 0018 TDataSet.GetFieldNames 0044 TList.Get 005c _NF__61E 0064 TFieldDefs.GetCount 0078 TFieldDefs.GetItem 009c TStrings.EndUpdate 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 40 8B 47 24 8B 40 08 85 C0 7E 25 8B D8 4B 85 DB 7C 50 43 33 F6 8B 47 24 8B D6 E8 ?? ?? ?? ?? 8B 50 28 8B 45 FC 8B 08 FF 51 34 46 4B 75 E7 EB 32 8B C7 E8 ?? ?? ?? ?? 8B 47 28 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 F6 8B 47 28 8B D6 E8 ?? ?? ?? ?? 8B 50 08 8B 45 FC 8B 08 FF 51 34 46 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4249_0 {
	meta:
		name = "TDataSet.GetStateFieldValue"
		size = 116
		refs = "001f TDataSet.SetTempState 002a TDataSet.GetStateFieldValue 0053 TDataSet.RestoreState 0059 @HandleFinally 0063 Null 0068 @VarCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 89 45 FC 8B 75 08 8A 43 2E 84 C0 74 04 2C 03 75 44 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 8B 08 FF 51 4C 64 8F 05 00 00 00 00 83 C4 08 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4250_0 {
	meta:
		name = "TDataSet.SetStateFieldValue"
		size = 166
		refs = "0023 @VarAddRef 002b TDataSet.SetStateFieldValue 0041 TDataSet.SetTempState 0074 TDataSet.RestoreState 007a @HandleFinally 0091 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 08 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 8B F1 8B DA 89 45 FC 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 2E 00 75 45 8B D3 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C6 8B 08 FF 51 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4258_0 {
	meta:
		name = "TDataSet.IsLinkedTo"
		size = 42
	strings:
		$1 = { 53 56 8B F0 B3 01 85 D2 74 19 8B 42 24 85 C0 74 12 3B F0 74 10 8B 10 FF 92 B4 00 00 00 8B D0 85 D2 75 E7 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_4259_0 {
	meta:
		name = "_NF__664"
		size = 36
		refs = "000c TList.Add 0016 _NF__677 001d _NF__5A6"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 89 5E 24 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4260_0 {
	meta:
		name = "_NF__665"
		size = 38
		refs = "0011 TList.Remove 0018 _NF__5A6 001f _NF__677"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 46 24 8B D6 8B 43 2C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4261_0 {
	meta:
		name = "TDataSet.DataEvent"
		size = 226
		refs = "0042 TDataSet.ActiveBuffer 00a4 TList.Get 00ae _NF__5B3"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B DA 8B F8 8B C3 2C 01 72 06 2C 07 74 6D EB 72 8B 04 24 8A 40 2E 84 C0 74 04 2C 03 75 04 C6 47 5A 01 80 7F 5D 04 74 5A 80 7F 5C 00 74 1E 8B 04 24 80 78 2E 00 75 15 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 91 F4 00 00 00 EB 25 83 7F 54 00 74 1F 80 7F 6A 00 74 19 8B 04 24 80 78 2E 00 75 10 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 34 8B 04 24 8B 10 FF 52 2C EB 07 8B 47 28 C6 40 0C 00 83 7F 64 00 75 38 8B 47 2C 8B 70 08 4E 85 F6 7C 1B 46 33 ED 8B D5 8B 47 2C E8 ?? ?? ?? ?? 8B 0C 24 8B D3 E8 ?? ?? ?? ?? 45 4E 75 E8 8B 47 60 85 C0 74 1F 8B 0C 24 8B D3 8B 18 FF 13 EB 14 80 FB 06 75 06 80 7F 5D 00 74 05 80 FB 04 75 04 C6 47 5E 04 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4262_0 {
	meta:
		name = "TDataSet.ControlsDisabled"
		size = 8
	strings:
		$1 = { 83 78 64 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_4263_0 {
	meta:
		name = "TDataSet.DisableControls"
		size = 20
	strings:
		$1 = { 83 78 64 00 75 0A 8A 50 5D 88 50 5F C6 40 5E 02 FF 40 64 C3 }
	condition:
		$1
}

rule function_4264_0 {
	meta:
		name = "TDataSet.EnableControls"
		size = 65
	strings:
		$1 = { 53 56 8B D8 83 7B 64 00 74 34 FF 4B 64 83 7B 64 00 75 2B 8A 43 5F 3A 43 5D 74 0B 33 C9 B2 06 8B C3 8B 30 FF 56 50 80 7B 5F 00 74 12 80 7B 5D 00 74 0C 33 C9 8A 53 5E 8B C3 8B 18 FF 53 50 5E 5B C3 }
	condition:
		$1
}

rule function_4265_0 {
	meta:
		name = "TDataSet.UpdateRecord"
		size = 96
		refs = "000c TDataSet.UpdateRecord 0023 SNotEditing 0028 LoadResString 0030 DatabaseError 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 43 5D 04 FE 2C 03 72 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 B2 05 8B C3 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4266_0 {
	meta:
		name = "TDataSet.SetBufListSize"
		size = 351
		refs = "0029 @GetMem 0058 Move 00b8 TDataSet.SetBufListSize 00f4 @HandleAnyException 0126 @FreeMem 012b @RaiseAgain 0130 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 F8 89 45 FC 8B 45 FC 8B 40 4C 3B 45 F8 0F 84 3E 01 00 00 83 7D F8 00 7E 10 8B 45 F8 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F0 EB 05 33 C0 89 45 F0 8B 45 FC 8B 40 4C 3B 45 F8 7E 52 83 7D F8 00 74 14 8B 4D F8 C1 E1 02 8B 55 F0 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 8B 5A 4C 4B 2B D8 0F 8C C6 00 00 00 43 89 45 F4 8B 45 FC 8B 40 44 8B 55 F4 8D 14 90 8B 45 FC 8B 08 FF 91 20 01 00 00 FF 45 F4 4B 75 E3 E9 A0 00 00 00 85 C0 74 13 8B C8 C1 E1 02 8B 55 F0 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 3B 45 F8 7D 1F 8B 45 FC 8B 10 FF 92 1C 01 00 00 8B 55 F0 8B 4D F4 89 04 8A FF 45 F4 8B 45 F4 3B 45 F8 7C E1 33 C0 5A 59 59 64 89 10 EB 41 E9 ?? ?? ?? ?? EB 17 8B 45 F0 8B 55 F4 8D 14 90 8B 45 FC 8B 08 FF 91 20 01 00 00 FF 4D F4 8B 45 FC 8B 40 4C 3B 45 F4 7C DE 8B 55 F8 C1 E2 02 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 4C C1 E2 02 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 50 44 8B 45 FC 8B 55 F8 89 50 4C 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4267_0 {
	meta:
		name = "_NF__675"
		size = 38
	strings:
		$1 = { 55 8B EC 85 C0 74 1D 8B 55 08 8B 52 FC 8B 52 30 85 D2 74 10 80 7A 15 00 74 03 01 42 10 8B 52 08 85 D2 75 F0 5D C3 }
	condition:
		$1
}

rule function_4268_0 {
	meta:
		name = "_NF__676"
		size = 211
		refs = "0066 _NF__685 0099 _NF__675 00a5 TDataSet.SetBufListSize"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 89 45 FC 8B 45 FC 3B 70 34 0F 84 B2 00 00 00 8B 45 FC 3B 70 34 7D 7C 8B 45 FC 83 78 38 00 7E 73 8B 45 FC 8B 58 3C 8B 45 FC 8B 40 30 85 C0 74 15 80 78 15 00 74 08 3B 58 10 7E 03 8B 58 10 8B 40 08 85 C0 75 EB 8B C6 48 85 C0 7C 19 40 89 45 F8 33 FF 8D 14 3B 8B CF 8B 45 FC E8 ?? ?? ?? ?? 47 FF 4D F8 75 ED 8B 45 FC 29 58 3C 8B 45 FC 83 78 40 FF 74 06 8B 45 FC 29 58 40 8B 45 FC 3B 70 38 7D 06 8B 45 FC 89 70 38 55 8B C3 F7 D8 E8 ?? ?? ?? ?? 59 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 70 34 8B 45 FC 8B 10 FF 92 C4 00 00 00 55 8B 45 FC 8B 10 FF 92 CC 00 00 00 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4269_0 {
	meta:
		name = "_NF__677"
		size = 129
		refs = "0035 TList.Get 0077 _NF__676"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B C6 8B 10 FF 92 68 01 00 00 84 C0 74 66 BF 01 00 00 00 33 C0 89 46 30 8B 46 2C 8B 40 08 48 83 F8 00 7C 47 89 04 24 8B 14 24 8B 46 2C E8 ?? ?? ?? ?? 8B E8 8B 45 28 8B 58 08 4B 83 FB 00 7C 22 8B 45 28 8B D3 E8 ?? ?? ?? ?? 8B 56 30 89 50 08 89 46 30 8B 50 0C 3B FA 7D 02 8B FA 4B 83 FB FF 75 DE FF 0C 24 83 3C 24 FF 75 BC 8B D7 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4270_0 {
	meta:
		name = "TDataSet.SetCurrentRecord"
		size = 87
	strings:
		$1 = { 56 57 55 8B FA 8B F0 3B 7E 40 74 47 8B 46 44 8B 2C B8 8B D5 8B C6 8B 08 FF 91 28 01 00 00 2C 01 72 0A 74 16 FE C8 74 1E FE C8 75 24 8B D5 8B C6 8B 08 FF 91 64 01 00 00 EB 16 8B C6 8B 10 FF 92 44 01 00 00 EB 0A 8B C6 8B 10 FF 92 58 01 00 00 89 7E 40 5D 5F 5E C3 }
	condition:
		$1
}

rule function_4271_0 {
	meta:
		name = "TDataSet.GetBuffer"
		size = 7
	strings:
		$1 = { 8B 40 44 8B 04 90 C3 }
	condition:
		$1
}

rule function_4272_0 {
	meta:
		name = "TDataSet.GetNextRecord"
		size = 159
		refs = "002b TDataSet.ActiveBuffer 0084 _NF__685 0096 TDataSet.CursorPosChanged"
	strings:
		$1 = { 53 56 8B F0 B3 01 8B 46 38 85 C0 7E 34 8B D0 4A 8B C6 8B 08 FF 91 FC 00 00 00 80 7E 5D 03 75 21 8B 46 40 3B 46 3C 75 19 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 28 01 00 00 84 C0 75 02 33 DB 6A 01 8B 46 44 8B 56 38 8B 14 90 8B CB 8B C6 8B 18 FF 93 30 01 00 00 84 C0 0F 94 C0 8B D8 84 DB 74 30 8B 46 38 85 C0 75 09 8B C6 8B 10 FF 52 28 EB 15 3B 46 34 7D 05 FF 46 38 EB 0B 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 38 48 89 46 40 B3 01 EB 07 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_4273_0 {
	meta:
		name = "TDataSet.GetPriorRecord"
		size = 114
		refs = "004d _NF__685 0069 TDataSet.CursorPosChanged"
	strings:
		$1 = { 53 56 8B F0 83 7E 38 00 7E 0C 33 D2 8B C6 8B 08 FF 91 FC 00 00 00 6A 01 8B 46 44 8B 56 38 8B 14 90 B1 02 8B C6 8B 18 FF 93 30 01 00 00 84 C0 0F 94 C3 84 DB 74 30 8B 46 38 85 C0 75 09 8B C6 8B 10 FF 52 28 EB 19 33 C9 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 46 38 3B 46 34 7D 06 FF 46 38 FF 46 3C 33 C0 89 46 40 EB 07 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_4274_0 {
	meta:
		name = "TDataSet.Resync"
		size = 414
		refs = "0018 TDataSet.Resync 002c TDataSet.CursorPosChanged 005a SRecordNotFound 005f LoadResString 0067 DatabaseError 0114 _NF__685 0165 @HandleAnyException 016a @DoneExcept 018b @LStrClr 0191 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 FB 01 74 45 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 FC 8B 40 38 8B 55 FC 8B 52 44 8B 14 82 33 C9 8B 45 FC 8B 18 FF 93 30 01 00 00 84 C0 0F 84 96 00 00 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 7F 6A 00 8B 45 FC 8B 40 38 8B 55 FC 8B 52 44 8B 14 82 33 C9 8B 45 FC 8B 18 FF 93 30 01 00 00 84 C0 74 5D 6A 00 8B 45 FC 8B 40 38 8B 55 FC 8B 52 44 8B 14 82 B1 01 8B 45 FC 8B 18 FF 93 30 01 00 00 84 C0 74 3B 6A 00 8B 45 FC 8B 40 38 8B 55 FC 8B 52 44 8B 14 82 B1 02 8B 45 FC 8B 18 FF 93 30 01 00 00 84 C0 74 19 8B 45 FC 8B 10 FF 52 40 33 C9 B2 02 8B 45 FC 8B 18 FF 53 50 E9 8E 00 00 00 F6 45 FB 02 74 10 8B 45 FC 8B 58 34 4B D1 FB 79 0B 83 D3 00 EB 06 8B 45 FC 8B 58 3C 8B 45 FC 8B 50 38 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 28 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 01 4B 85 DB 7E 0F 8B 45 FC 8B 10 FF 92 D0 00 00 00 84 C0 75 EC 8B 45 FC 8B 10 FF 92 C4 00 00 00 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 02 8B 45 FC 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4275_0 {
	meta:
		name = "_NF__685"
		size = 88
		refs = "002e Move"
	strings:
		$1 = { 53 56 57 55 8B F1 8B D8 3B F2 74 47 8B 43 44 8B 3C 90 3B F2 7E 1E 8B C6 2B C2 8B C8 C1 E1 02 8B 43 44 8D 44 90 04 8B 6B 44 8D 54 95 00 E8 ?? ?? ?? ?? EB 19 2B D6 8B CA C1 E1 02 8B 43 44 8D 04 B0 8B 53 44 8D 54 B2 04 E8 ?? ?? ?? ?? 8B 43 44 89 3C B0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4276_0 {
	meta:
		name = "TDataSet.ActiveBuffer"
		size = 10
	strings:
		$1 = { 8B 50 44 8B 40 3C 8B 04 82 C3 }
	condition:
		$1
}

rule function_4277_0 {
	meta:
		name = "TDataSet.TempBuffer"
		size = 10
	strings:
		$1 = { 8B 50 44 8B 40 38 8B 04 82 C3 }
	condition:
		$1
}

rule function_4278_0 {
	meta:
		name = "TDataSet.ClearBuffers"
		size = 26
	strings:
		$1 = { 33 D2 89 50 38 33 D2 89 50 3C C7 40 40 FF FF FF FF C6 40 58 01 C6 40 59 01 C3 }
	condition:
		$1
}

rule function_4279_0 {
	meta:
		name = "TDataSet.ActivateBuffers"
		size = 26
	strings:
		$1 = { C7 40 38 01 00 00 00 33 D2 89 50 3C 33 D2 89 50 40 C6 40 58 00 C6 40 59 00 C3 }
	condition:
		$1
}

rule function_4280_0 {
	meta:
		name = "TDataSet.UpdateCursorPos"
		size = 18
	strings:
		$1 = { 83 78 38 00 7E 0B 8B 50 3C 8B 08 FF 91 FC 00 00 00 C3 }
	condition:
		$1
}

rule function_4281_0 {
	meta:
		name = "TDataSet.CursorPosChanged"
		size = 8
	strings:
		$1 = { C7 40 40 FF FF FF FF C3 }
	condition:
		$1
}

rule function_4283_0 {
	meta:
		name = "TDataSet.GetNextRecords"
		size = 84
		refs = "0012 TDataSet.GetNextRecords 0042 @HandleAnyException 0047 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 03 FF 45 FC 8B 43 38 3B 43 34 7D 0E 8B C3 8B 10 FF 92 C8 00 00 00 84 C0 75 E7 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4284_0 {
	meta:
		name = "TDataSet.GetPriorRecords"
		size = 84
		refs = "0012 TDataSet.GetPriorRecords 0042 @HandleAnyException 0047 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 03 FF 45 FC 8B 43 38 3B 43 34 7D 0E 8B C3 8B 10 FF 92 D0 00 00 00 84 C0 75 E7 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4285_0 {
	meta:
		name = "TDataSet.InitRecord"
		size = 46
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 91 54 01 00 00 8B D7 8B C6 8B 08 FF 51 44 B1 03 8B D7 8B C6 8B 18 FF 93 6C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4286_0 {
	meta:
		name = "TDataSet.IsEmpty"
		size = 10
	strings:
		$1 = { 8B 50 3C 3B 50 38 0F 9D C0 C3 }
	condition:
		$1
}

rule function_4287_0 {
	meta:
		name = "TDataSet.GetCalcFields"
		size = 99
		refs = "002f TDataSet.GetCalcFields 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 78 54 00 7F 09 8B 45 FC 80 78 5C 00 74 44 8B 45 FC 8A 40 5D 88 45 FB 8B 45 FC C6 40 5D 05 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 FB 88 50 5D C3 E9 ?? ?? ?? ?? EB EF 59 59 5D C3 }
	condition:
		$1
}

rule function_4288_0 {
	meta:
		name = "TDataSet.CalculateFields"
		size = 72
		refs = "0027 TList.Get 0032 _NF__2C9"
	strings:
		$1 = { 53 56 57 8B F0 8B FA 89 7E 48 8B D7 8B C6 8B 08 FF 51 44 8B 46 24 8B 58 08 4B 85 DB 7C 1C 43 33 FF 8B D7 8B 46 24 E8 ?? ?? ?? ?? 80 78 2E 02 75 05 E8 ?? ?? ?? ?? 47 4B 75 E7 8B C6 8B 10 FF 92 98 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4290_0 {
	meta:
		name = "TDataSet.RefreshInternalCalcFields"
		size = 133
		refs = "0014 TDataSet.RefreshInternalCalcFields 0022 TDataSet.GetFieldCount 003c TDataSet.GetField 0073 @VarClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 35 46 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 7B 2E 03 75 14 8D 55 E8 8B C3 8B 08 FF 51 4C 8D 55 E8 8B C3 8B 08 FF 51 7C FF 45 F8 4E 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4291_0 {
	meta:
		name = "TDataSet.First"
		size = 134
		refs = "000c TDataSet.CheckBrowseMode 0027 TDataSet.First 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 94 00 00 00 8B 45 FC 8B 10 FF 52 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 44 01 00 00 8B 45 FC 8B 10 FF 92 C8 00 00 00 8B 45 FC 8B 10 FF 92 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 58 01 33 C9 B2 02 8B 45 FC 8B 18 FF 53 50 8B 45 FC 8B 10 FF 52 74 C3 E9 ?? ?? ?? ?? EB DD 5B 59 5D C3 }
	condition:
		$1
}

rule function_4292_0 {
	meta:
		name = "TDataSet.Last"
		size = 134
		refs = "000c TDataSet.CheckBrowseMode 0027 TDataSet.Last 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 94 00 00 00 8B 45 FC 8B 10 FF 52 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 58 01 00 00 8B 45 FC 8B 10 FF 92 D0 00 00 00 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 59 01 33 C9 B2 02 8B 45 FC 8B 18 FF 53 50 8B 45 FC 8B 10 FF 52 74 C3 E9 ?? ?? ?? ?? EB DD 5B 59 5D C3 }
	condition:
		$1
}

rule function_4293_0 {
	meta:
		name = "TDataSet.MoveBy"
		size = 393
		refs = "0011 TDataSet.CheckBrowseMode 0067 TDataSet.MoveBy 017a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 45 FC 8B 10 FF 92 94 00 00 00 85 DB 7E 09 8B 45 FC 80 78 59 00 74 15 85 DB 0F 8D 46 01 00 00 8B 45 FC 80 78 58 00 0F 85 39 01 00 00 8B 45 FC C6 40 58 00 8B 45 FC C6 40 59 00 8B 45 FC 8B 40 38 89 45 F4 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 7E 68 8B 55 FC 8B 52 3C 8B 45 FC 8B 40 38 8B C8 49 3B D1 7D 08 8B 45 FC FF 40 3C EB 45 8B 55 FC 3B 42 34 7D 04 33 F6 EB 05 BE 01 00 00 00 8B 45 FC 8B 10 FF 92 C8 00 00 00 84 C0 74 1C 29 75 F0 8B 45 FC 8B 40 3C 8B 55 FC 8B 52 38 4A 3B C2 7D 11 8B 45 FC FF 40 3C EB 09 8B 45 FC C6 40 59 01 EB 08 4B FF 45 F8 85 DB 7F 98 85 DB 7D 5C 8B 45 FC 83 78 3C 00 7E 08 8B 45 FC FF 48 3C EB 43 8B 45 FC 8B 40 38 8B 55 FC 3B 42 34 7D 04 33 F6 EB 05 BE 01 00 00 00 8B 45 FC 8B 10 FF 92 D0 00 00 00 84 C0 74 14 01 75 F0 8B 45 FC 83 78 3C 00 7E 11 8B 45 FC FF 48 3C EB 09 8B 45 FC C6 40 58 01 EB 08 43 FF 4D F8 85 DB 7C A4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 3B 45 F4 74 0E 33 C9 B2 02 8B 45 FC 8B 18 FF 53 50 EB 0D 8B 4D F0 B2 03 8B 45 FC 8B 18 FF 53 50 8B 45 FC 8B 10 FF 52 74 C3 E9 ?? ?? ?? ?? EB CA 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4296_0 {
	meta:
		name = "TDataSet.Refresh"
		size = 52
		refs = "0006 TDataSet.CheckBrowseMode 000d TDataSet.UpdateCursorPos 001d TDataSet.Refresh"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 EC 00 00 00 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4297_0 {
	meta:
		name = "TDataSet.Edit"
		size = 130
		refs = "0016 TDataSet.Insert 001f TDataSet.CheckBrowseMode 0026 _NF__71D 004d _NF__6CE 0054 TDataSet.ActiveBuffer 0069 TDataSet.SetState"
	strings:
		$1 = { 53 56 8B D8 8A 43 5D 04 FE 2C 02 72 72 83 7B 38 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 63 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 84 00 00 00 53 8B 03 8B 80 E8 00 00 00 50 FF B3 10 01 00 00 FF B3 0C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 AC 00 00 00 B2 02 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 8B C3 8B 30 FF 56 50 8B C3 8B 10 FF 52 64 5E 5B C3 }
	condition:
		$1
}

rule function_4298_0 {
	meta:
		name = "TDataSet.Insert"
		size = 168
		refs = "000e TDataSet.Insert 001b _NF__6C3 0035 _NF__685 003c TDataSet.ActiveBuffer 0081 _NF__6C4 0096 @LStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 91 A8 00 00 00 8B 4E 3C 8B 56 38 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C6 8B 08 FF 91 E0 00 00 00 83 7E 38 00 75 10 B1 01 8B D7 8B C6 8B 18 FF 93 6C 01 00 00 EB 0F 8B 4D FC 8B D7 8B C6 8B 18 FF 93 70 01 00 00 8B 46 38 3B 46 34 7D 03 FF 46 38 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4299_0 {
	meta:
		name = "TDataSet.Append"
		size = 82
		refs = "0008 _NF__6C3 004a _NF__6C4"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 40 8B 46 44 8B 38 8B D7 8B C6 8B 08 FF 91 E0 00 00 00 B1 02 8B D7 8B C6 8B 18 FF 93 6C 01 00 00 C7 46 38 01 00 00 00 C6 46 58 00 8B C6 8B 10 FF 92 CC 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4300_0 {
	meta:
		name = "TDataSet.Post"
		size = 128
		refs = "0007 TDataSet.UpdateRecord 0022 _NF__6D5 0049 _NF__6CE 005c TDataSet.SetState 0062 TDataSet.Post"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 43 5D 04 FE 2C 02 73 63 33 C9 B2 07 8B C3 8B 30 FF 56 50 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 90 00 00 00 53 8B 03 8B 80 60 01 00 00 50 FF B3 18 01 00 00 FF B3 14 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A4 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 8B C3 8B 10 FF 52 70 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4301_0 {
	meta:
		name = "TDataSet.Cancel"
		size = 104
		refs = "0022 TDataSet.UpdateCursorPos 0045 TDataSet.SetState 004b TDataSet.Cancel"
	strings:
		$1 = { 53 56 8B D8 8A 43 5D 04 FE 2C 02 73 53 33 C9 B2 07 8B C3 8B 30 FF 56 50 8B C3 8B 10 FF 52 78 8B C3 E8 ?? ?? ?? ?? 80 7B 5D 02 75 0A 8B C3 8B 10 FF 92 E4 00 00 00 8B C3 8B 10 FF 92 A4 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 8B C3 8B 10 FF 52 58 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_4302_0 {
	meta:
		name = "TDataSet.Delete"
		size = 228
		refs = "000d TDataSet.Delete 0040 SDataSetEmpty 0045 LoadResString 004d DatabaseError 0089 _NF__6CE 009c TDataSet.SetState 00cf @LStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 38 8A 43 5D 04 FD 2C 02 73 0F 8B C3 8B 10 FF 92 7C 01 00 00 E9 88 00 00 00 83 7B 38 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 B2 07 8B C3 8B 30 FF 56 50 8B C3 8B 10 FF 92 80 00 00 00 8B C3 8B 10 FF 92 94 00 00 00 53 8B 03 8B 80 40 01 00 00 50 FF B3 20 01 00 00 FF B3 1C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A4 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 8B C3 8B 10 FF 52 60 8B C3 8B 10 FF 52 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_4303_0 {
	meta:
		name = "_NF__6C3"
		size = 39
		refs = "0006 TDataSet.CheckBrowseMode 000d _NF__71D"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 88 00 00 00 8B C3 8B 10 FF 92 94 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4304_0 {
	meta:
		name = "_NF__6C4"
		size = 160
		refs = "000e TDataSet.SetState 0016 _NF__6C4 0036 @HandleAnyException 003e TDataSet.UpdateCursorPos 0069 @RaiseAgain 006e @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC B2 03 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 EB 3D E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A4 00 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 A4 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 40 5A 00 33 C9 B2 02 8B 45 FC 8B 18 FF 53 50 8B 45 FC 8B 10 FF 52 68 8B 45 FC 8B 10 FF 52 74 5B 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4305_0 {
	meta:
		name = "_NF__6C5"
		size = 356
		refs = "0018 _NF__6C3 0024 TDataSet.UpdateCursorPos 002c TDataSet.DisableControls 0034 _NF__6C5 004e _NF__685 0064 TDataSet.ActiveBuffer 00a8 TDataSet.SetFields 00ee @HandleFinally 00ff @HandleAnyException 0118 @RaiseAgain 011d @DoneExcept 014b TDataSet.EnableControls"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B FA 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 84 DB 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 3C 8B 45 FC 8B 50 38 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B D6 8B 45 FC 8B 08 FF 91 E0 00 00 00 8B 45 FC C6 40 5D 03 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B 45 FC 8B 10 FF 52 68 8B D7 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 90 00 00 00 8B CB 8B D6 8B 45 FC 8B 18 FF 93 38 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A4 00 00 00 8B 45 FC C6 40 5D 01 8B 45 FC C6 40 5A 00 C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 FC 8B 48 38 8B 45 FC 8B 50 3C 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 A4 01 00 00 8B 45 FC 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 00 00 00 }
	condition:
		$1
}

rule function_4307_0 {
	meta:
		name = "TDataSet.AppendRecord"
		size = 8
		refs = "0003 _NF__6C5"
	strings:
		$1 = { 6A 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7418_0 {
	meta:
		name = "TScreen.GetHeight"
		size = 8
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4308_0 {
	meta:
		name = "_NF__6CE"
		size = 143
		refs = "0014 _NF__6CE 0022 TDataSet.UpdateCursorPos 003b @HandleOnException 0043 _DV_EDatabaseError 006c @RaiseAgain 0077 Abort 007c @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC C6 45 FB 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 FF 55 10 C6 45 FB 01 33 C0 5A 59 59 64 89 10 EB 46 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? C6 45 FA 00 66 83 7D 0A 00 74 0F 8D 55 FA 52 8B C8 8B 55 FC 8B 45 0C FF 55 08 80 7D FA 00 75 05 E8 ?? ?? ?? ?? 80 7D FA 01 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FB 00 74 8A 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_4309_0 {
	meta:
		name = "TDataSet.SetFields"
		size = 51
		refs = "001b TDataSet.GetField 0022 TField.AssignValue"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B E8 8B 34 24 85 F6 7C 1C 46 33 FF 8B DA 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 83 C3 08 4E 75 E9 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4310_0 {
	meta:
		name = "TDataSet.ClearFields"
		size = 153
		refs = "000d TDataSet.ClearFields 0024 SNotEditing 0029 LoadResString 0031 DatabaseError 0043 TDataSet.ActiveBuffer 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 43 5D 04 FE 2C 03 72 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 B2 07 8B C3 8B 30 FF 56 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 54 01 00 00 80 7B 5D 04 74 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 AC 00 00 00 33 C9 B2 01 8B C3 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4311_0 {
	meta:
		name = "_NF__6D5"
		size = 195
		refs = "0018 _NF__6D5 003c TList.Get 0062 TField.FocusControl 006c TField.GetDisplayName 0082 SFieldRequired 0087 LoadResString 0092 DatabaseErrorFmt 00b0 @LStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F0 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 8B 70 08 4E 85 F6 7C 6A 46 33 FF 8B 45 FC 8B 40 24 8B D7 E8 ?? ?? ?? ?? 8B D8 80 7B 31 00 74 4E 80 7B 2D 00 75 48 80 7B 2E 00 75 42 8B C3 8B 10 FF 52 5C 84 C0 74 37 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 47 4E 75 99 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4312_0 {
	meta:
		name = "TDataSet.BookmarkAvailable"
		size = 53
		refs = "000e TDataSet.IsEmpty 0019 TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 8B D8 8A 43 5D 48 2C 03 73 22 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 28 01 00 00 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_4313_0 {
	meta:
		name = "TDataSet.GetBookmark"
		size = 55
		refs = "0007 TDataSet.BookmarkAvailable 0013 StrAlloc 001c TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B 43 50 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 8B 18 FF 93 24 01 00 00 EB 02 33 F6 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4314_0 {
	meta:
		name = "TDataSet.GetBookmarkStr"
		size = 61
		refs = "0009 TDataSet.BookmarkAvailable 0017 @LStrSetLength 001e TDataSet.ActiveBuffer 0036 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8B C6 8B 53 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 0E 8B C3 8B 18 FF 93 24 01 00 00 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4315_0 {
	meta:
		name = "TDataSet.GotoBookmark"
		size = 72
		refs = "000d TDataSet.CheckBrowseMode 0029 TDataSet.GotoBookmark"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 34 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 94 00 00 00 8B D3 8B C6 8B 08 FF 91 48 01 00 00 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 A4 01 00 00 8B C6 8B 10 FF 52 74 5E 5B C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_4323_0 {
	meta:
		name = "TDataSet.Translate"
		size = 22
		refs = "000e StrCopy"
	strings:
		$1 = { 55 8B EC 85 D2 74 0B 3B CA 74 07 8B C1 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_4325_0 {
	meta:
		name = "TDataSet.FindFirst"
		size = 15
	strings:
		$1 = { 53 B1 01 B2 01 8B 18 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4326_0 {
	meta:
		name = "TDataSet.FindLast"
		size = 15
	strings:
		$1 = { 53 33 C9 B2 01 8B 18 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4327_0 {
	meta:
		name = "TDataSet.FindNext"
		size = 15
	strings:
		$1 = { 53 B1 01 33 D2 8B 18 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4328_0 {
	meta:
		name = "TDataSet.FindPrior"
		size = 15
	strings:
		$1 = { 53 33 C9 33 D2 8B 18 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4329_0 {
	meta:
		name = "TDataSet.SetFiltered"
		size = 4
	strings:
		$1 = { 88 50 6B C3 }
	condition:
		$1
}

rule function_4330_0 {
	meta:
		name = "TDataSet.SetFilterOptions"
		size = 12
	strings:
		$1 = { 51 88 14 24 8A 14 24 88 50 74 5A C3 }
	condition:
		$1
}

rule function_4331_0 {
	meta:
		name = "TDataSet.SetFilterText"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 70 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4332_0 {
	meta:
		name = "TDataSet.SetOnFilterRecord"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 24 01 00 00 8B 55 0C 89 90 28 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_4334_0 {
	meta:
		name = "TDataSet.Lookup"
		size = 17
		refs = "0009 @VarFromBool"
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_4335_0 {
	meta:
		name = "TDataSet.CheckBrowseMode"
		size = 86
		refs = "0026 TDataSet.UpdateRecord"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 52 38 33 C9 B2 07 8B C3 8B 30 FF 56 50 8A 43 5D 04 FE 2C 02 72 04 74 28 EB 30 8B C3 E8 ?? ?? ?? ?? 80 7B 5A 00 74 0C 8B C3 8B 10 FF 92 A0 01 00 00 EB 17 8B C3 8B 10 FF 92 7C 01 00 00 5E 5B C3 8B C3 8B 10 FF 92 A0 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_4337_0 {
	meta:
		name = "_NF__71D"
		size = 90
		refs = "000c _NF__71D 0028 SDataSetReadOnly 002d LoadResString 0035 DatabaseError 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 B0 00 00 00 84 C0 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4338_0 {
	meta:
		name = "TDataSet.GetFieldList"
		size = 123
		refs = "0018 TDataSet.GetFieldList 0034 ExtractFieldName 003e TDataSet.FieldByName 0047 TList.Add 004e @LStrLen 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 01 00 00 00 EB 20 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 7D D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5936_0 {
	meta:
		name = "TParams.GetParamList"
		size = 123
		refs = "0018 TParams.GetParamList 0034 ExtractFieldName 003e TParams.ParamByName 0047 TList.Add 004e @LStrLen 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 01 00 00 00 EB 20 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 7D D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4339_0 {
	meta:
		name = "DefineHandleTable"
		size = 4
		altNames = "TChartSeries.Clicked TDataSet.GetRecNo TDataSet.GetRecordCount TISAPIApplication.TerminateExtension Yield"
	strings:
		$1 = { 83 C8 FF C3 }
	condition:
		$1
}

rule function_4343_0 {
	meta:
		name = "TDataSet.DoAfterCancel"
		size = 29
	strings:
		$1 = { 53 66 83 B8 D6 00 00 00 00 74 10 8B D8 8B D0 8B 83 D8 00 00 00 FF 93 D4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4344_0 {
	meta:
		name = "TDataSet.DoAfterClose"
		size = 29
	strings:
		$1 = { 53 66 83 B8 96 00 00 00 00 74 10 8B D8 8B D0 8B 83 98 00 00 00 FF 93 94 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4345_0 {
	meta:
		name = "TDataSet.DoAfterDelete"
		size = 29
	strings:
		$1 = { 53 66 83 B8 E6 00 00 00 00 74 10 8B D8 8B D0 8B 83 E8 00 00 00 FF 93 E4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4346_0 {
	meta:
		name = "TDataSet.DoAfterEdit"
		size = 29
	strings:
		$1 = { 53 66 83 B8 B6 00 00 00 00 74 10 8B D8 8B D0 8B 83 B8 00 00 00 FF 93 B4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4348_0 {
	meta:
		name = "TDataSet.DoAfterOpen"
		size = 29
	strings:
		$1 = { 53 66 83 B8 86 00 00 00 00 74 10 8B D8 8B D0 8B 83 88 00 00 00 FF 93 84 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4349_0 {
	meta:
		name = "TDataSet.DoAfterPost"
		size = 29
	strings:
		$1 = { 53 66 83 B8 C6 00 00 00 00 74 10 8B D8 8B D0 8B 83 C8 00 00 00 FF 93 C4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4350_0 {
	meta:
		name = "TDataSet.DoAfterScroll"
		size = 29
	strings:
		$1 = { 53 66 83 B8 F6 00 00 00 00 74 10 8B D8 8B D0 8B 83 F8 00 00 00 FF 93 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4351_0 {
	meta:
		name = "TDataSet.DoBeforeCancel"
		size = 29
	strings:
		$1 = { 53 66 83 B8 CE 00 00 00 00 74 10 8B D8 8B D0 8B 83 D0 00 00 00 FF 93 CC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4352_0 {
	meta:
		name = "TDataSet.DoBeforeClose"
		size = 29
	strings:
		$1 = { 53 66 83 B8 8E 00 00 00 00 74 10 8B D8 8B D0 8B 83 90 00 00 00 FF 93 8C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4353_0 {
	meta:
		name = "TDataSet.DoBeforeDelete"
		size = 29
	strings:
		$1 = { 53 66 83 B8 DE 00 00 00 00 74 10 8B D8 8B D0 8B 83 E0 00 00 00 FF 93 DC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4356_0 {
	meta:
		name = "TDataSet.DoBeforeOpen"
		size = 23
	strings:
		$1 = { 53 66 83 78 7E 00 74 0D 8B D8 8B D0 8B 83 80 00 00 00 FF 53 7C 5B C3 }
	condition:
		$1
}

rule function_4357_0 {
	meta:
		name = "TDataSet.DoBeforePost"
		size = 29
	strings:
		$1 = { 53 66 83 B8 BE 00 00 00 00 74 10 8B D8 8B D0 8B 83 C0 00 00 00 FF 93 BC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4358_0 {
	meta:
		name = "TDataSet.DoBeforeScroll"
		size = 29
	strings:
		$1 = { 53 66 83 B8 EE 00 00 00 00 74 10 8B D8 8B D0 8B 83 F0 00 00 00 FF 93 EC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4360_0 {
	meta:
		name = "TDataSet.DoOnNewRecord"
		size = 29
	strings:
		$1 = { 53 66 83 B8 FE 00 00 00 00 74 10 8B D8 8B D0 8B 83 00 01 00 00 FF 93 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4363_0 {
	meta:
		name = "TDBCtrlGridLink.Create"
		size = 58
		refs = "000b @ClassCreate 001a TDataLink.Create 0022 RPR"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4364_0 {
	meta:
		name = "TDBCtrlGridLink.ActiveChanged"
		size = 11
		refs = "0006 _NF__194"
		altNames = "TDBCtrlGridLink.DataSetChanged"
	strings:
		$1 = { 33 D2 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4366_0 {
	meta:
		name = "TDBCtrlPanel.CreateLinked"
		size = 84
		refs = "000b @ClassCreate 001c TWinControl.Create 0022 TDBCtrlPanel.CreateLinked"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 47 40 89 B7 18 01 00 00 8B D6 8B C7 8B 08 FF 51 3C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 CB 08 00 00 }
	condition:
		$1
}

rule function_4368_0 {
	meta:
		name = "TDBCtrlPanel.PaintWindow"
		size = 387
		refs = "002c TDataLink.GetActiveRecord 0054 _NF__19A 0064 TCanvas.SetHandle 006c TDBCtrlPanel.PaintWindow 0086 TCanvas.SetFont 0099 TBrush.SetStyle 00b0 TBrush.SetColor 0107 InflateRect 012f TCanvas.DrawFocusRect 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F2 8B F8 8B 87 18 01 00 00 89 45 FC 8B 45 FC 8B 98 18 01 00 00 80 7B 15 00 0F 84 2F 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 34 01 00 00 0F 94 C0 8B D8 6A 01 53 8D 55 DC 8B C7 8B 08 FF 51 2C 8D 4D DC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 20 01 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 50 8B 45 FC 8B 80 20 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 20 01 00 00 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 54 8B 45 FC 8B 80 20 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 7C 8B 45 FC 80 B8 50 01 00 00 00 74 5B 8B 45 FC 80 B8 51 01 00 00 00 74 4F 84 DB 74 4B 8D 55 EC 8B C7 8B 08 FF 51 2C 8B 45 FC 80 B8 4D 01 00 00 01 75 0D 6A FE 6A FE 8D 45 EC 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 54 8B 45 FC 8B 80 20 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 20 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 20 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 6A 01 8B 45 FC F6 40 20 10 0F 95 C0 50 8D 55 DC 8B C7 8B 08 FF 51 2C 8D 4D DC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4369_0 {
	meta:
		name = "TDBCtrlPanel.CMControlListChange"
		size = 24
		refs = "0013 _NF__1E0"
	strings:
		$1 = { 8B 4A 08 F7 D9 1B C9 F7 D9 8B 52 04 8B 80 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4370_0 {
	meta:
		name = "TDBCtrlPanel.WMPaint"
		size = 218
		refs = "0020 _NF__18E 0028 TDBCtrlPanel.WMPaint 004a TWinControl.PaintHandler 005b TWinControl.GetHandle 0061 BeginPaint 0092 BitBlt 00a4 EndPaint 00bf _NF__195 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 8B DA 89 45 FC 83 7B 04 00 0F 85 B5 00 00 00 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 18 01 00 00 8B 80 48 01 00 00 89 43 04 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 43 04 8D 45 BC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B 55 FC 8B 92 18 01 00 00 8B 92 48 01 00 00 52 8B 55 FC 8B 52 3C 52 8B 55 FC 8B 52 38 52 6A 00 6A 00 50 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4371_0 {
	meta:
		name = "TDBCtrlPanel.WMNCHitTest"
		size = 22
	strings:
		$1 = { F6 40 20 10 74 08 C7 42 0C 01 00 00 00 C3 C7 42 0C FF FF FF FF C3 }
	condition:
		$1
}

rule function_4373_0 {
	meta:
		name = "TDBCtrlGrid.Create"
		size = 212
		refs = "000a @ClassCreate 0017 TWinControl.Create 001d TDBCtrlGrid.Create 002a TWinControl.SetTabStop 0033 _DV_TDBCtrlGridLink 0038 TDBCtrlGridLink.Create 0045 _Dn_TCanvas 004a TCanvas.Create 0059 _DV_TDBCtrlPanel 005e TDBCtrlPanel.CreateLinked 00b8 _NF__18D"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 46 40 B2 01 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 18 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 20 01 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 1C 01 00 00 C7 86 24 01 00 00 01 00 00 00 C7 86 28 01 00 00 03 00 00 00 C7 86 2C 01 00 00 C8 00 00 00 C7 86 30 01 00 00 48 00 00 00 C6 86 4D 01 00 00 01 C6 86 4E 01 00 00 01 C6 86 4F 01 00 00 01 C6 86 50 01 00 00 01 8B 46 54 89 86 58 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 C0 00 00 00 }
	condition:
		$1
}

rule function_4374_0 {
	meta:
		name = "TDBCtrlGrid.Destroy"
		size = 64
		refs = "000d TObject.Free 002c TWinControl.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 18 01 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4375_0 {
	meta:
		name = "_NF__18C"
		size = 49
		refs = "0009 TWinControl.Focused 0014 TDBCtrlGrid.GetEditMode"
	strings:
		$1 = { 53 56 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 10 8B C6 8B 10 FF 52 78 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_4376_0 {
	meta:
		name = "_NF__18D"
		size = 86
		refs = "002b GetSystemMetrics 004e _NF__1B7"
	strings:
		$1 = { 53 56 57 8B D8 8B B3 2C 01 00 00 0F AF B3 24 01 00 00 8B BB 30 01 00 00 0F AF BB 28 01 00 00 80 BB 4C 01 00 00 00 75 0B 6A 02 E8 ?? ?? ?? ?? 03 F0 EB 09 6A 03 E8 ?? ?? ?? ?? 03 F8 56 57 8B 4B 34 8B 53 30 8B C3 8B 30 FF 56 4C 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4377_0 {
	meta:
		name = "_NF__18E"
		size = 101
		refs = "0011 GetDC 0027 CreateCompatibleBitmap 0035 ReleaseDC 003c CreateCompatibleDC 0051 SelectObject"
	strings:
		$1 = { 53 56 57 8B D8 83 BB 3C 01 00 00 00 75 4D 6A 00 E8 ?? ?? ?? ?? 8B F0 8B BB 1C 01 00 00 8B 47 3C 50 8B 47 38 50 56 E8 ?? ?? ?? ?? 89 83 40 01 00 00 56 6A 00 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B F0 89 B3 48 01 00 00 8B 83 40 01 00 00 50 56 E8 ?? ?? ?? ?? 89 83 44 01 00 00 FF 83 3C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4378_0 {
	meta:
		name = "TDBCtrlGrid.CreateParams"
		size = 23
		refs = "0006 TWinControl.CreateParams"
		altNames = "TNotebook.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 81 4B 04 00 00 00 02 83 63 24 FC 5B C3 }
	condition:
		$1
}

rule function_4379_0 {
	meta:
		name = "TDBCtrlGrid.CreateWnd"
		size = 86
		refs = "0006 TWinControl.CreateWnd 0043 TWinControl.GetHandle 0049 SetScrollRange 0050 _NF__1E1"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 4C 01 00 00 00 75 0C C7 83 54 01 00 00 01 00 00 00 EB 08 33 C0 89 83 54 01 00 00 8B 83 18 01 00 00 80 78 15 00 75 1A 6A 00 6A 04 6A 00 8B 83 54 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4380_0 {
	meta:
		name = "_NF__194"
		size = 376
		refs = "0028 TDataLink.GetActiveRecord 0035 TDataLink.GetRecordCount 0055 _NF__1A5 0062 TWinControl.HandleAllocated 0075 TControl.SetBoundsRect 007f GetFocus 0084 FindControl 009b TWinControl.ContainsControl 00e1 TWinControl.GetHandle 00e7 SetWindowPos 0109 RedrawWindow 0127 TControl.SetVisible 014d _NF__1E1 0161 TWinControl.CanFocus"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 88 14 24 8B D8 F6 43 20 10 74 09 33 FF BD 01 00 00 00 EB 2F 8B 83 18 01 00 00 80 78 15 00 74 1F E8 ?? ?? ?? ?? 8B F8 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B E8 85 ED 75 0B BD 01 00 00 00 EB 04 33 FF 33 ED 33 F6 8D 4C 24 04 8B D7 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 8D 54 24 04 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? E9 8F 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 3B B3 1C 01 00 00 74 1E 8B D6 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 83 1C 01 00 00 8B 10 FF 52 78 EB 02 33 F6 3B BB 34 01 00 00 74 53 6A 0C 8B 44 24 14 2B 44 24 0C 50 8B 44 24 14 2B 44 24 0C 50 8B 44 24 14 50 8B 44 24 14 50 6A 00 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B BB 38 01 00 00 7C 1A 68 81 00 00 00 6A 00 6A 00 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 BB 34 01 00 00 8B C5 89 83 38 01 00 00 85 C0 0F 9F C2 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8B 83 1C 01 00 00 8B 10 FF 52 44 80 3C 24 00 75 0E 8B C3 8B 10 FF 52 44 8B C3 8B 10 FF 52 50 8B C3 E8 ?? ?? ?? ?? 85 F6 74 1B 80 BB 52 01 00 00 00 75 12 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 8B 10 FF 52 78 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4381_0 {
	meta:
		name = "_NF__195"
		size = 63
		refs = "0021 SelectObject 002d DeleteDC 0039 DeleteObject"
	strings:
		$1 = { 53 8B D8 FF 8B 3C 01 00 00 83 BB 3C 01 00 00 00 75 2B 8B 83 44 01 00 00 50 8B 83 48 01 00 00 50 E8 ?? ?? ?? ?? 8B 83 48 01 00 00 50 E8 ?? ?? ?? ?? 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4382_0 {
	meta:
		name = "TDBCtrlGrid.DoKey"
		size = 537
		refs = "003c TDataLink.GetDataSet 0053 TDBCtrlGrid.DoKey 00a2 TDBCtrlGrid.GetEditMode 00ae TDBCtrlGrid.SetEditMode 00bc _NF__1BB 00dc _NF__1B8 016c TDataSet.First 0178 TDataSet.Last 019f TDataSet.Insert 01c8 TDataSet.Append 01f1 TDataSet.Delete"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B D8 8B 83 18 01 00 00 80 78 15 00 0F 84 F9 01 00 00 80 BB 4C 01 00 00 00 75 0D BD 01 00 00 00 8B BB 24 01 00 00 EB 0B 8B AB 28 01 00 00 BF 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 33 C0 8A 04 24 83 F8 11 0F 87 C3 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? E9 5C 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? E9 4E 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? E9 40 01 00 00 8B D5 F7 DA 33 C9 8B C3 E8 ?? ?? ?? ?? E9 2E 01 00 00 33 C9 8B D5 8B C3 E8 ?? ?? ?? ?? E9 1E 01 00 00 8B D7 F7 DA 33 C9 8B C3 E8 ?? ?? ?? ?? E9 0C 01 00 00 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? E9 FC 00 00 00 8B D7 F7 DA B1 01 8B C3 E8 ?? ?? ?? ?? E9 EA 00 00 00 B1 01 8B D7 8B C3 E8 ?? ?? ?? ?? E9 DA 00 00 00 8B 83 18 01 00 00 8B 50 0C F7 DA B1 01 8B C3 E8 ?? ?? ?? ?? E9 C1 00 00 00 8B 83 18 01 00 00 8B 50 0C B1 01 8B C3 E8 ?? ?? ?? ?? E9 AA 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 9E 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 92 00 00 00 80 BB 4E 01 00 00 00 0F 84 85 00 00 00 8B C6 8B 10 FF 92 B0 00 00 00 84 C0 74 77 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? EB 65 80 BB 4E 01 00 00 00 74 5C 8B C6 8B 10 FF 92 B0 00 00 00 84 C0 74 4E 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? EB 3C 80 BB 4F 01 00 00 00 74 33 8B C6 8B 10 FF 92 B0 00 00 00 84 C0 74 25 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? EB 13 8B C6 8B 10 FF 92 7C 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4383_0 {
	meta:
		name = "_NF__199"
		size = 189
		refs = "0016 _NF__1A5 0029 TDataLink.GetActiveRecord 0038 TDataLink.SetActiveRecord 004d TWinControl.PaintTo 0080 _NF__19A 00b2 BitBlt"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F1 89 14 24 8B D8 8D 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 3B B3 38 01 00 00 7D 3E 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B D6 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 6A 00 33 C9 8B 93 48 01 00 00 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8B D7 8B 83 18 01 00 00 E8 ?? ?? ?? ?? EB 24 6A 01 6A 00 8D 54 24 1C 8B 83 1C 01 00 00 8B 08 FF 51 2C 8D 4C 24 1C 8B 93 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B 8B 48 01 00 00 51 8B 4C 24 20 8B 54 24 18 2B CA 51 8B 4C 24 20 8B 44 24 18 2B C8 51 52 50 8B 44 24 20 50 E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4384_0 {
	meta:
		name = "_NF__19A"
		size = 129
		refs = "0027 TControl.SetColor 0045 ColorToRGB 004b CreateSolidBrush 0058 FillRect 005e DeleteObject 0075 DrawEdge"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 80 7D 0C 00 74 4E 80 7D 08 00 74 13 8B 93 58 01 00 00 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? EB 0E 8B 53 54 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8B 83 1C 01 00 00 8B 40 54 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 56 8B 45 FC 50 57 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 80 BB 4D 01 00 00 01 75 0E 6A 0F 6A 04 8B 45 FC 50 57 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4385_0 {
	meta:
		name = "TDBCtrlGrid.GetChildParent"
		size = 7
	strings:
		$1 = { 8B 80 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_4386_0 {
	meta:
		name = "TDBCtrlGrid.GetChildren"
		size = 34
		refs = "0018 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 FF 75 0C FF 75 08 8B 86 1C 01 00 00 66 BB FD FF E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4387_0 {
	meta:
		name = "TDBCtrlGrid.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 18 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_4388_0 {
	meta:
		name = "TDBCtrlGrid.GetEditMode"
		size = 45
		refs = "0006 TWinControl.Focused 000f GetFocus 0014 FindControl 001d TWinControl.ContainsControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_4389_0 {
	meta:
		name = "_NF__1A5"
		size = 108
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 80 BB 4C 01 00 00 00 75 14 8B C6 8B AB 24 01 00 00 99 F7 FD 8B FA 8B C6 99 F7 FD EB 14 8B C6 8B AB 28 01 00 00 99 F7 FD 8B F8 8B C6 99 F7 FD 8B C2 8B 93 2C 01 00 00 0F AF D7 89 11 8B 93 30 01 00 00 0F AF D0 89 51 04 8B 01 03 83 2C 01 00 00 89 41 08 8B 41 04 03 83 30 01 00 00 89 41 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4391_0 {
	meta:
		name = "TDBCtrlGrid.KeyDown"
		size = 274
		refs = "0013 TWinControl.KeyDown 0036 TDBCtrlGrid.KeyDown 00e1 GetKeyState 0109 TDBCtrlGrid.DoKey"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B F0 8B D7 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 33 DB 0F B7 07 83 F8 25 7F 79 0F 84 93 00 00 00 83 C0 F3 83 F8 17 0F 87 D1 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 2D 7F 0F 74 3D 83 E8 26 74 1C 48 74 15 48 74 1A EB 56 83 E8 2E 74 3F 83 E8 43 74 22 EB 4A B3 04 EB 46 B3 05 EB 42 B3 06 EB 3E B3 07 EB 3A B3 0A EB 36 B3 0B EB 32 B3 0C EB 2E B3 0D EB 2A B3 01 EB 26 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7C 04 B3 0E EB 16 B3 0F EB 12 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 06 B3 10 EB 02 B3 11 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4392_0 {
	meta:
		name = "TDBCtrlGrid.PaintWindow"
		size = 566
		refs = "002f ColorToRGB 0037 CreateHatchBrush 004e SetBkColor 0067 FillRect 006d DeleteObject 009f _NF__1A5 00ad _NF__19A 00be _NF__18E 00c6 TDBCtrlGrid.PaintWindow 011b _NF__199 0134 _NF__195 013a @HandleFinally 0144 TWinControl.HandleAllocated 017a CreateSolidBrush 01ab Rect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 55 F8 89 45 FC 8B 45 FC F6 40 20 10 0F 84 9F 00 00 00 8B 45 FC 8B 80 1C 01 00 00 8B 10 FF 52 50 B8 10 00 00 80 E8 ?? ?? ?? ?? 50 6A 03 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 8D 55 E8 8B 45 FC 8B 08 FF 51 2C 8D 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 24 01 00 00 8B 45 FC 0F AF 98 28 01 00 00 4B 85 DB 0F 8E B3 00 00 00 BE 01 00 00 00 6A 00 6A 00 8D 4D E8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 DD E9 86 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 24 01 00 00 8B 45 FC 0F AF 98 28 01 00 00 4B 85 DB 7C 3B 43 33 F6 8B 45 FC 83 B8 38 01 00 00 00 74 1B 8B 45 FC 3B B0 34 01 00 00 75 10 8B 45 FC 8B 80 1C 01 00 00 8B 10 FF 52 50 EB 0D 8B CE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 E0 00 00 00 8B 45 FC 8B 80 1C 01 00 00 8B 40 3C 8B 55 FC F7 AA 28 01 00 00 8B 55 FC 3B 42 3C 74 55 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 40 3C 50 8D 45 E8 50 8B 45 FC 8B 80 1C 01 00 00 8B 50 3C 8B 45 FC 0F AF 90 28 01 00 00 8B 45 FC 8B 48 38 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 1C 01 00 00 8B 40 38 8B 55 FC F7 AA 24 01 00 00 8B 55 FC 3B 42 38 74 51 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 40 3C 50 8D 45 E8 50 8B 45 FC 8B 80 2C 01 00 00 8B 55 FC F7 AA 24 01 00 00 8B 55 FC 8B 4A 38 33 D2 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4393_0 {
	meta:
		name = "TDBCtrlGrid.PaintPanel"
		size = 31
	strings:
		$1 = { 53 66 83 B8 5E 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 60 01 00 00 FF 93 5C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4394_0 {
	meta:
		name = "_NF__1B3"
		size = 80
		refs = "001a SmallPointToPoint 0033 _NF__1A5 003d PtInRect"
	strings:
		$1 = { 53 83 C4 E4 89 14 24 8B D8 83 BB 38 01 00 00 00 7E 33 8D 54 24 04 8B 04 24 E8 ?? ?? ?? ?? FF 74 24 08 FF 74 24 08 8D 4C 24 14 8B 93 34 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_4395_0 {
	meta:
		name = "TDBCtrlGrid.ReadState"
		size = 23
		refs = "0006 TWinControl.ReadState 0011 TWinControl.FixupTabList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4396_0 {
	meta:
		name = "_NF__1B7"
		size = 62
		refs = "0015 TDataLink.SetBufferCount 0038 _NF__194"
	strings:
		$1 = { 53 8B D8 F6 43 20 10 74 12 BA 01 00 00 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? EB 18 8B 93 24 01 00 00 0F AF 93 28 01 00 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4397_0 {
	meta:
		name = "_NF__1B8"
		size = 443
		refs = "0029 TDataLink.GetDataSet 003d TDataSet.UpdateRecord 007f TDataSet.CheckBrowseMode 0087 TDataSet.DisableControls 008f _NF__1B8 00b9 TDataSet.MoveBy 0193 TDataSet.Append 01a8 TDataSet.EnableControls 01ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B F2 8B D8 8B 83 18 01 00 00 80 78 15 00 0F 84 94 01 00 00 85 F6 0F 84 8C 01 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 80 78 5D 03 75 42 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 5A 00 74 10 8B 45 F8 8B 10 FF 92 A0 01 00 00 E9 5A 01 00 00 85 F6 7C 0D 8B 45 F8 80 78 59 00 0F 85 49 01 00 00 8B 45 F8 8B 10 FF 92 7C 01 00 00 E9 39 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FF 00 74 4D 85 F6 7E 2B 8B 83 18 01 00 00 8B 50 0C 03 D6 2B 93 34 01 00 00 4A 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 2B D0 8B 45 F8 E8 ?? ?? ?? ?? E9 9D 00 00 00 8B D6 2B 93 34 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 2B D0 8B 45 F8 E8 ?? ?? ?? ?? EB 7F 8B BB 34 01 00 00 03 FE 85 FF 7C 17 8B 83 18 01 00 00 3B 78 0C 7D 0C 8B D6 8B 45 F8 E8 ?? ?? ?? ?? EB 5C 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 3B F0 75 4E 80 BB 4C 01 00 00 00 75 08 8B 8B 24 01 00 00 EB 06 8B 8B 28 01 00 00 85 F6 7E 0C 8B C7 99 F7 F9 49 2B CA 8B F9 EB 11 8D 47 01 99 F7 F9 B8 01 00 00 00 2B C1 2B C2 8B F8 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B 45 F8 E8 ?? ?? ?? ?? 4E 75 29 8B 45 F8 80 78 59 00 74 20 80 BB 4E 01 00 00 00 74 17 8B 45 F8 8B 10 FF 92 B0 00 00 00 84 C0 74 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4398_0 {
	meta:
		name = "_NF__1B9"
		size = 310
		refs = "000e _NF__18C 002c _NF__1B9 0089 TDataLink.GetDataSet 00b3 TWinControl.GetHandle 00b9 GetScrollInfo 012a TDBCtrlGrid.DoKey"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 14 01 00 00 33 DB 0F BF 47 04 83 F8 07 0F 87 FC 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 08 E9 CE 00 00 00 B3 09 E9 C7 00 00 00 B3 0A E9 C0 00 00 00 B3 0B E9 B9 00 00 00 B3 0C E9 B2 00 00 00 B3 0D E9 AB 00 00 00 8B AE 18 01 00 00 80 7D 15 00 74 78 8B C5 E8 ?? ?? ?? ?? 8B 10 FF 92 94 01 00 00 84 C0 74 65 C7 04 24 1C 00 00 00 C7 44 24 04 17 00 00 00 54 8B 86 54 01 00 00 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 5C 24 18 83 FB 01 7F 04 B3 0C EB 5B 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 D4 00 00 00 3B D8 7C 04 B3 0D EB 40 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 18 8B 08 FF 91 14 01 00 00 EB 30 66 8B 47 06 66 83 E8 01 72 0F 74 11 66 83 E8 02 74 0F 66 FF C8 74 0E EB 0E B3 0C EB 0A B3 0A EB 06 B3 0B EB 02 B3 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4399_0 {
	meta:
		name = "_NF__1BA"
		size = 273
		refs = "0014 _Dn_TList 0019 TObject.Create 0024 _NF__1BA 0046 @CallDynaInst 005a TList.IndexOf 009c TList.Get 00a7 TWinControl.CanFocus 00f9 TObject.Free 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D FB 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 33 F6 8B 45 FC 89 45 F4 8B 83 1C 01 00 00 8B 55 F0 66 BB DC FF E8 ?? ?? ?? ?? 8B 45 F0 83 78 08 00 7E 6C 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 83 FF FF 75 11 80 7D FB 00 74 09 8B 45 F0 8B 78 08 4F EB 02 33 FF 8B F7 80 7D FB 00 74 0D 46 8B 45 F0 3B 70 08 75 0F 33 F6 EB 0B 85 F6 75 06 8B 45 F0 8B 70 08 4E 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F4 80 B8 D4 00 00 00 00 75 04 3B FE 75 B9 8B 45 08 33 D2 89 10 80 7D FB 00 74 0F 3B FE 7C 18 8B 45 08 C7 00 01 00 00 00 EB 0D 3B FE 7F 09 8B 45 08 C7 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4400_0 {
	meta:
		name = "_NF__1BB"
		size = 212
		refs = "0010 GetParentForm 002b TWinControl.ContainsControl 0044 _NF__1BA 0051 TDataLink.GetDataSet 006d _NF__1BB 0085 _NF__1B8 0094 @HandleAnyException 00a1 @RaiseAgain 00a6 @DoneExcept 00ad TWinControl.CanFocus"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 55 FF 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 B2 00 00 00 8B 80 2C 01 00 00 89 45 F4 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 97 00 00 00 8D 45 F8 50 8A 4D FF 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8A 40 5D 04 FE 2C 03 72 0B 8B 83 1C 01 00 00 8B 10 FF 52 78 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 74 0C 33 C9 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 12 8D 45 F8 50 8A 4D FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 78 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4401_0 {
	meta:
		name = "TDBCtrlGrid.SetBounds"
		size = 161
		refs = "0021 GetSystemMetrics 007f _NF__1B7 0094 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 33 F6 33 FF 80 BB 4C 01 00 00 00 75 0B 6A 02 E8 ?? ?? ?? ?? 8B F0 EB 09 6A 03 E8 ?? ?? ?? ?? 8B F8 8B 45 0C 2B C6 99 F7 BB 24 01 00 00 8B C8 8B 45 08 2B C7 99 F7 BB 28 01 00 00 83 F9 01 7D 05 B9 01 00 00 00 83 F8 01 7D 05 B8 01 00 00 00 3B 8B 2C 01 00 00 75 08 3B 83 30 01 00 00 74 13 89 8B 2C 01 00 00 89 83 30 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4402_0 {
	meta:
		name = "TDBCtrlGrid.SetColCount"
		size = 40
		refs = "0023 _NF__18D"
	strings:
		$1 = { 83 FA 01 7D 05 BA 01 00 00 00 83 FA 64 7E 05 BA 64 00 00 00 3B 90 24 01 00 00 74 0B 89 90 24 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4403_0 {
	meta:
		name = "TDBCtrlGrid.SetDataSource"
		size = 31
		refs = "000a TDataLink.SetDataSource 0019 _NF__1E0"
	strings:
		$1 = { 53 8B D8 8B 83 18 01 00 00 E8 ?? ?? ?? ?? B1 01 8B 93 1C 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4404_0 {
	meta:
		name = "TDBCtrlGrid.SetEditMode"
		size = 61
		refs = "0009 TDBCtrlGrid.GetEditMode 0024 TWinControl.FindNextControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 29 84 DB 74 1E 6A 01 6A 00 B1 01 33 D2 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 10 FF 52 78 EB 07 8B C6 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_4405_0 {
	meta:
		name = "TDBCtrlGrid.SetOrientation"
		size = 33
		refs = "0014 TWinControl.RecreateWnd 001b _NF__18D"
	strings:
		$1 = { 53 8B D8 3A 93 4C 01 00 00 74 14 88 93 4C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4406_0 {
	meta:
		name = "TDBCtrlGrid.SetPanelBorder"
		size = 37
	strings:
		$1 = { 56 8B F0 3A 96 4D 01 00 00 74 18 88 96 4D 01 00 00 8B C6 8B 10 FF 52 44 8B 86 1C 01 00 00 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_4407_0 {
	meta:
		name = "TDBCtrlGrid.SetPanelHeight"
		size = 43
		refs = "0026 _NF__18D"
	strings:
		$1 = { 83 FA 01 7D 05 BA 01 00 00 00 81 FA FF FF 00 00 7E 05 BA FF FF 00 00 3B 90 30 01 00 00 74 0B 89 90 30 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4408_0 {
	meta:
		name = "TDBCtrlGrid.SetPanelIndex"
		size = 51
		refs = "001e TDataLink.GetDataSet 002b TDataSet.MoveBy"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB 18 01 00 00 80 7F 15 00 74 1C 3B B3 38 01 00 00 7D 14 8B C7 E8 ?? ?? ?? ?? 8B D6 2B 93 34 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4409_0 {
	meta:
		name = "TDBCtrlGrid.SetPanelWidth"
		size = 43
		refs = "0026 _NF__18D"
	strings:
		$1 = { 83 FA 01 7D 05 BA 01 00 00 00 81 FA FF FF 00 00 7E 05 BA FF FF 00 00 3B 90 2C 01 00 00 74 0B 89 90 2C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4410_0 {
	meta:
		name = "TDBCtrlGrid.SetRowCount"
		size = 40
		refs = "0023 _NF__18D"
	strings:
		$1 = { 83 FA 01 7D 05 BA 01 00 00 00 83 FA 64 7E 05 BA 64 00 00 00 3B 90 28 01 00 00 74 0B 89 90 28 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4411_0 {
	meta:
		name = "TDBCtrlGrid.SetSelectedColor"
		size = 49
	strings:
		$1 = { 56 8B F0 3B 96 58 01 00 00 74 24 89 96 58 01 00 00 3B 56 54 0F 95 C0 88 86 53 01 00 00 8B C6 8B 10 FF 52 44 8B 86 1C 01 00 00 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_4412_0 {
	meta:
		name = "_NF__1E0"
		size = 218
		refs = "001a _NF__1E0 0034 SNotReplicatable 0039 LoadResString 0041 DatabaseError 0051 TControl.Perform 0069 TDBCtrlGrid.GetDataSource 0072 TDataLink.SetDataSource 007e _Dn_TWinControl 0083 @IsClass 008e TWinControl.GetControlCount 00a1 TWinControl.GetControl 00c7 @LStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 88 4D FB 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FB 00 74 1B F6 43 41 08 75 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 2D B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1F C6 46 18 00 80 7D FB 00 74 15 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? C6 46 18 01 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1D 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8A 4D FB 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4413_0 {
	meta:
		name = "_NF__1E1"
		size = 317
		refs = "001b TWinControl.HandleAllocated 002e TDataLink.GetDataSet 004e TWinControl.GetHandle 0054 GetScrollInfo 0132 SetScrollInfo"
	strings:
		$1 = { 53 56 57 83 C4 C8 8B D8 8B 83 18 01 00 00 80 78 15 00 0F 84 1E 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 0F 01 00 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 C7 04 24 1C 00 00 00 C7 44 24 04 17 00 00 00 54 8B 83 54 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 8D 74 24 04 8D 7C 24 20 B9 07 00 00 00 F3 A5 5E 8B C6 8B 10 FF 92 94 01 00 00 84 C0 74 42 C7 44 24 24 01 00 00 00 8B 83 28 01 00 00 F7 AB 24 01 00 00 89 44 24 2C 8B C6 8B 10 FF 92 D4 00 00 00 03 44 24 2C 48 89 44 24 28 8A 46 5D 2C 03 73 4A 8B C6 8B 10 FF 92 D8 00 00 00 89 44 24 30 EB 3A 33 C0 89 44 24 24 33 C0 89 44 24 2C C7 44 24 28 04 00 00 00 80 7E 58 00 74 08 33 C0 89 44 24 30 EB 18 80 7E 59 00 74 0A C7 44 24 30 04 00 00 00 EB 08 C7 44 24 30 02 00 00 00 8B 44 24 24 3B 44 24 08 75 1E 8B 44 24 28 3B 44 24 0C 75 14 8B 44 24 2C 3B 44 24 10 75 0A 8B 44 24 30 3B 44 24 14 74 1B 6A FF 8D 44 24 20 50 8B 83 54 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4414_0 {
	meta:
		name = "TDBCtrlGrid.WMLButtonDown"
		size = 377
		refs = "002b SmallPointToPoint 0062 _NF__1A5 006b PtInRect 0085 TDBCtrlGrid.WMLButtonDown 0095 TDBCtrlGrid.SetPanelIndex 00b2 @HandleFinally 00c2 TControl.ClientToScreen 00d9 WindowFromPoint 00ea TWinControl.GetHandle 00f0 IsChild 00fe ScreenToClient 0106 PointToSmallPoint 0126 SendMessage 0138 _NF__18C 014a _NF__1B3 0158 TDBCtrlGrid.SetEditMode 0164 @CallDynaInst 016f TControl.WMLButtonDown"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 89 55 F8 89 45 FC 8B 45 FC 8B 80 18 01 00 00 80 78 15 00 0F 84 13 01 00 00 8D 55 F0 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 8B 45 FC 8B B0 38 01 00 00 4E 85 F6 0F 8C F3 00 00 00 46 33 DB 8B 45 FC 3B 98 34 01 00 00 0F 84 D9 00 00 00 FF 75 F4 FF 75 F0 8D 4D E0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 50 E8 ?? ?? ?? ?? 85 C0 0F 84 B5 00 00 00 8B 45 FC C6 80 52 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 52 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8D 4D D8 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 89 45 F0 8B 45 DC 89 45 F4 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 3C 8D 45 F0 50 53 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 F8 8B 00 50 53 E8 ?? ?? ?? ?? EB 47 43 4E 0F 85 10 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 33 8B 55 F8 8B 52 08 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4415_0 {
	meta:
		name = "TDBCtrlGrid.WMLButtonDblClk"
		size = 45
		refs = "000d _NF__1B3 001c @CallDynaInst 0025 TControl.WMLButtonDblClk"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 57 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 66 BB EF FF E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4420_0 {
	meta:
		name = "TDBCtrlGrid.WMSetFocus"
		size = 19
	strings:
		$1 = { C6 80 51 01 00 00 01 8B 80 1C 01 00 00 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_4421_0 {
	meta:
		name = "TDBCtrlGrid.WMKillFocus"
		size = 19
	strings:
		$1 = { C6 80 51 01 00 00 00 8B 80 1C 01 00 00 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_4424_0 {
	meta:
		name = "_NF__200"
		size = 60
		refs = "0003 _NF__200 000a GetKeyState"
	strings:
		$1 = { 53 8A 1D ?? ?? ?? ?? 6A 10 E8 ?? ?? ?? ?? 66 85 C0 7D 03 80 CB 01 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 03 80 CB 04 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7D 03 80 CB 02 8B C3 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_4425_0 {
	meta:
		name = "TDBCtrlGrid.CMChildKey"
		size = 197
		refs = "0012 _NF__200 006c TControl.Perform 00aa TDBCtrlGrid.DoKey 00bc TWinControl.CMChildKey"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 3B 7E 08 0F 84 A6 00 00 00 E8 ?? ?? ?? ?? 88 04 24 66 83 BF EE 00 00 00 00 74 16 8A 04 24 50 8D 4E 04 8B 56 08 8B 87 F0 00 00 00 FF 97 EC 00 00 00 33 DB 66 8B 46 04 66 83 E8 09 74 14 66 83 E8 04 74 37 66 83 E8 0E 74 4E 66 83 E8 56 74 44 EB 48 F6 04 24 04 75 42 6A 00 8B 46 08 33 C9 BA 87 00 00 00 E8 ?? ?? ?? ?? A8 02 75 2D F6 04 24 01 74 04 B3 02 EB 23 B3 03 EB 1F 6A 00 8B 46 08 33 C9 BA 87 00 00 00 E8 ?? ?? ?? ?? A8 04 75 0A B3 01 EB 06 B3 01 EB 02 B3 11 84 DB 74 12 8B D3 8B C7 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4426_0 {
	meta:
		name = "TDBCtrlGrid.CMColorChanged"
		size = 30
		refs = "0006 TWinControl.CMColorChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 53 01 00 00 00 75 09 8B 43 54 89 83 58 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4429_0 {
	meta:
		name = "_NF__118"
		size = 23
		refs = "0006 TDataSource.SetDataSet 000e TDataSet.GetActive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 88 43 48 5B C3 }
	condition:
		$1
}

rule function_4430_0 {
	meta:
		name = "TCustomDBChart.Create"
		size = 94
		refs = "000a @ClassCreate 0017 TCustomChart.Create 001e _Dn_TList 0023 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 1C 03 00 00 C6 86 04 03 00 00 01 C6 86 0C 03 00 00 01 33 C0 89 86 08 03 00 00 33 C0 89 86 18 03 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4431_0 {
	meta:
		name = "TCustomDBChart.Destroy"
		size = 99
		refs = "000f TObject.Free 002d TList.Get 004d TCustomChart.Destroy 0058 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B 86 18 03 00 00 E8 ?? ?? ?? ?? 8B 86 1C 03 00 00 8B 68 08 4D 85 ED 7C 19 45 33 FF 8B D7 8B 86 1C 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 EA 8B 86 1C 03 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4432_0 {
	meta:
		name = "TCustomDBChart.RemovedDataSource"
		size = 125
		refs = "0014 TCustomAxisPanel.RemovedDataSource 001c _Dn_TDataSet 0021 @IsClass 0043 TList.Get 0060 TObject.Free 006d TList.Delete"
	strings:
		$1 = { 53 56 57 55 51 8B F9 89 14 24 8B D8 8B CF 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 8B 83 1C 03 00 00 8B 68 08 4D 85 ED 7C 40 45 33 F6 8B D6 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 8B 40 24 85 C0 74 04 3B F8 75 21 8B D6 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? EB 04 46 4D 75 C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4433_0 {
	meta:
		name = "_NF__124"
		size = 130
		refs = "0011 TTimer.SetEnabled 0032 _Dn_TTimer 0037 TTimer.Create 004e _NF__125 0059 TTimer.SetOnTimer 006e TTimer.SetInterval"
	strings:
		$1 = { 53 56 8B D8 8B 83 18 03 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 83 BB 08 03 00 00 00 7E 61 F6 43 20 10 75 5B 83 BB 18 03 00 00 00 75 30 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 03 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 69 93 08 03 00 00 E8 03 00 00 8B 83 18 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4434_0 {
	meta:
		name = "_NF__125"
		size = 105
		refs = "000f TTimer.SetEnabled 002d TList.Get 0037 TDataSet.GetActive 0043 TDataSet.Refresh 004f _NF__133"
	strings:
		$1 = { 53 56 57 55 8B F0 33 D2 8B 86 18 03 00 00 E8 ?? ?? ?? ?? 8B 86 1C 03 00 00 8B 78 08 4F 85 FF 7C 36 47 33 ED 8B D5 8B 86 1C 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 14 8B 43 24 E8 ?? ?? ?? ?? 33 C9 8B 53 24 8B C6 E8 ?? ?? ?? ?? 45 4F 75 CD B2 01 8B 86 18 03 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4435_0 {
	meta:
		name = "TCustomDBChart.SetRefreshInterval"
		size = 104
		refs = "0009 TCustomDBChart.SetRefreshInterval 0020 TeeMsg_RefreshInterval 0025 LoadResString 002f _DV_DBChartException 0034 Exception.Create 0039 @RaiseExcept 0044 _NF__124 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 7C 05 83 FA 3C 7E 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 90 08 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_4436_0 {
	meta:
		name = "TCustomDBChart.IsValidDataSource"
		size = 29
		refs = "0006 TCustomAxisPanel.IsValidDataSource 0012 _Dn_TDataSet 0017 @IsClass"
	strings:
		$1 = { 53 8B D9 8B CB E8 ?? ?? ?? ?? 84 C0 75 0D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4437_0 {
	meta:
		name = "_NF__12D"
		size = 24
		refs = "000e _NF__133"
	strings:
		$1 = { 8B CA 80 79 2E 01 75 0B 8B 51 24 33 C9 E8 ?? ?? ?? ?? C3 C6 41 48 00 C3 }
	condition:
		$1
}

rule function_4438_0 {
	meta:
		name = "_NF__12E"
		size = 123
		refs = "0020 TCustomAxisPanel.SeriesCount 0033 TCustomAxisPanel.GetSeries 0038 TChartSeries.GetDataSource 006e _NF__133"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B C3 80 78 2E 00 75 48 C6 40 48 00 80 BE 04 03 00 00 00 74 59 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 4B 45 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 43 24 75 11 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 88 00 00 00 47 4D 75 D8 EB 1E 8B FB 80 7F 2E 01 75 16 80 7F 48 00 75 10 8B 57 24 33 C9 8B C6 E8 ?? ?? ?? ?? C6 47 48 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4439_0 {
	meta:
		name = "_NF__12F"
		size = 110
		refs = "0022 TList.Get 0034 _NV__116 0039 TDataSource.Create 0044 _NF__118 004e _NF__12E 0058 _NF__12D 0065 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 83 1C 03 00 00 8B 70 08 4E 85 F6 7C 19 46 33 FF 8B D7 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 3B 68 24 74 3E 47 4E 75 EA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D5 8B C6 E8 ?? ?? ?? ?? 89 5E 34 C7 46 30 ?? ?? ?? ?? 89 5E 44 C7 46 40 ?? ?? ?? ?? 8B D6 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4440_0 {
	meta:
		name = "TCustomDBChart.CheckDatasource"
		size = 195
		refs = "000f TCustomDBChart.CheckDatasource 0029 TChartSeries.GetDataSource 0044 _Dn_TDataSet 0049 @IsClass 005d _NF__12F 006f _NF__133 007a TCustomAxisPanel.CheckDatasource 0084 TeeMsg_SeriesParentNoSelf 0089 LoadResString 0093 _Dn_ChartException 0098 Exception.Create 009d @RaiseExcept 00b2 @LStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 80 00 00 00 3B 73 40 75 5A 8B C3 E8 ?? ?? ?? ?? 85 C0 74 70 8B C3 8B 10 FF 92 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C6 E8 ?? ?? ?? ?? EB 2C 8B D3 8B C6 E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4441_0 {
	meta:
		name = "_NF__133"
		size = 15
		refs = "000a TCustomDBChart.RefreshDataSet"
	strings:
		$1 = { 80 B8 04 03 00 00 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4442_0 {
	meta:
		name = "_NF__134"
		size = 305
		refs = "000c TChartSeries.ValuesListCount 0024 TChartSeries.GetValueList 003d TDataSet.FieldByName 006a TChartSeries.YMandatory 00bf TChartSeries.AddY 0114 TChartSeries.AddX"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 48 83 E8 02 7C 51 40 89 45 FC BF 02 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 83 7B 24 00 74 1C 8B 45 08 8B 40 08 8B 40 FC 8B 53 24 E8 ?? ?? ?? ?? 8B 10 FF 52 40 DD 5B 18 9B EB 15 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 E8 00 00 00 47 FF 4D FC 75 B8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 55 8B 46 2C 83 78 24 00 74 2C 8B 45 08 FF 70 FC FF 70 F8 8B 45 08 FF 70 F4 FF 70 F0 8B 45 08 8B 48 E8 8B 45 08 8B 50 EC 8B C6 8B 18 FF 93 90 00 00 00 8B F8 EB 73 8B 45 08 FF 70 F4 FF 70 F0 8B 45 08 8B 48 E8 8B 45 08 8B 50 EC 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 53 8B 46 30 83 78 24 00 74 2C 8B 45 08 FF 70 FC FF 70 F8 8B 45 08 FF 70 F4 FF 70 F0 8B 45 08 8B 48 E8 8B 45 08 8B 50 EC 8B C6 8B 18 FF 93 90 00 00 00 8B F8 EB 1E 8B 45 08 FF 70 FC FF 70 F8 8B 45 08 8B 48 E8 8B 45 08 8B 50 EC 8B C6 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 0C 8B D7 8B C6 8B 08 FF 91 B8 00 00 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4443_0 {
	meta:
		name = "_NF__135"
		size = 50
		refs = "0019 TDataSet.FieldByName"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 DB 74 1A 8B 45 08 8B 40 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 40 DD 1E 9B EB 07 33 C0 89 06 89 46 04 5E 5B 5D C3 }
	condition:
		$1
}

rule function_4444_0 {
	meta:
		name = "_NF__136"
		size = 178
		refs = "0012 _NF__136 002c TDataSet.FieldByName 003e @LStrClr 0072 _NF__135 008b _NF__134 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 64 00 74 18 8B 45 08 8B 40 FC 8B 53 64 E8 ?? ?? ?? ?? 8D 55 EC 8B 08 FF 51 48 EB 08 8D 45 EC E8 ?? ?? ?? ?? 83 7B 68 00 75 09 C7 45 E8 00 00 00 80 EB 16 8B 45 08 8B 40 FC 8B 53 68 E8 ?? ?? ?? ?? 8B 10 FF 52 44 89 45 E8 55 8D 55 F8 8B 43 2C 8B 40 24 E8 ?? ?? ?? ?? 59 55 8D 55 F0 8B 43 30 8B 40 24 E8 ?? ?? ?? ?? 59 55 8B C3 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4445_0 {
	meta:
		name = "_NF__137"
		size = 134
		refs = "000d TList.Clear 0027 TList.Add 0034 TCustomAxisPanel.SeriesCount 004b TCustomAxisPanel.GetSeries 0054 TChartSeries.GetDataSource"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 83 78 F4 00 74 13 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 54 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 42 46 33 FF 8B 45 08 8B 40 F0 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 55 08 3B 42 FC 75 1D 8B C3 8B 10 FF 92 D0 00 00 00 83 78 24 00 74 0D 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 47 4E 75 C1 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_4446_0 {
	meta:
		name = "TCustomDBChart.RefreshDataSet"
		size = 683
		refs = "0016 TDataSet.GetActive 0025 _Dn_TChartSeriesList 002a TObject.Create 0035 TCustomDBChart.RefreshDataSet 0041 _NF__137 0054 Screen 007a TScreen.SetCursor 0090 TDataSet.DisableControls 00d2 TList.Get 00e6 TDataSet.First 0139 _NF__136 0146 TDataSet.Next 0155 @HandleOnException 015d _Dn_EAbort 0166 @DoneExcept 0197 TChartSeries.RefreshSeries 01cf TDataSet.GotoBookmark 01e6 _Dn_EDBEngineError 01f5 EDBEngineError.GetError 0202 @RaiseAgain 0228 @HandleFinally 024a TDataSet.EnableControls 0298 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F4 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 82 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B 45 F8 83 78 08 00 0F 8E 34 02 00 00 A1 ?? ?? ?? ?? 8B 00 66 8B 40 38 66 89 45 EA 8B 45 F0 80 B8 0C 03 00 00 00 74 10 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 8C 01 00 00 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 92 88 00 00 00 46 4B 75 EA 8B 45 FC E8 ?? ?? ?? ?? E9 82 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 66 83 B8 12 03 00 00 00 74 15 8B 5D F0 8B 4D FC 8B 55 F0 8B 83 14 03 00 00 FF 93 10 03 00 00 8B 45 F8 8B 58 08 4B 85 DB 7C 18 43 33 F6 55 8B D6 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 EB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 E8 ?? ?? ?? ?? 8B 45 FC 80 78 59 00 0F 84 71 FF FF FF 8B 45 F8 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 33 D2 8B C3 E8 ?? ?? ?? ?? 66 81 78 04 04 22 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 08 FF 91 88 01 00 00 C3 E9 ?? ?? ?? ?? EB EA C3 E9 ?? ?? ?? ?? E9 73 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 80 B8 0C 03 00 00 00 74 10 A1 ?? ?? ?? ?? 8B 00 66 8B 55 EA E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4447_0 {
	meta:
		name = "TCustomDBChart.RefreshData"
		size = 55
		refs = "001f TList.Get 002b TCustomDBChart.RefreshDataSet"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 1C 03 00 00 8B 70 08 4E 85 F6 7C 20 46 33 FF 8B D7 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 8B 50 24 33 C9 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4448_0 {
	meta:
		name = "TCustomDBChart.FillSeriesSourceItems"
		size = 175
		refs = "000b TChartSeries.GetDataSource 0020 _Dn_TDataSet 0025 @IsClass 003b TDataSet.GetFieldCount 005b TDataSet.GetField 0075 TFieldDefs.Update 0080 TFieldDefs.GetCount 0097 TFieldDefs.GetItem"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 91 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7B 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 2B 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 56 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 50 28 8B 45 0C FF 55 08 46 4B 75 E9 EB 3A 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1D 43 33 F6 8B D6 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 50 08 8B 45 0C FF 55 08 46 4B 75 E6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4449_0 {
	meta:
		name = "TCustomDBChart.FillValueSourceItems"
		size = 89
		refs = "0010 TChartSeries.GetDataSource 0021 _Dn_TDataSet 0026 @IsClass 004e TCustomChart.FillValueSourceItems"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 5F 04 8B C3 E8 ?? ?? ?? ?? 85 C0 74 3A 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 FF 75 0C FF 75 08 8B 57 04 8B C6 8B 08 FF 91 D8 00 00 00 EB 0F FF 75 0C FF 75 08 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4450_0 {
	meta:
		name = "TCustomDBChart.Assign"
		size = 76
		refs = "000b _DV_TCustomDBChart 0010 @IsClass 002f TCustomDBChart.SetRefreshInterval 0044 TCustomChart.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B FE 8A 87 04 03 00 00 88 83 04 03 00 00 8B 97 08 03 00 00 8B C3 E8 ?? ?? ?? ?? 8A 87 0C 03 00 00 88 83 0C 03 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4453_0 {
	meta:
		name = "EDBClient.Create"
		size = 119
		refs = "000e @ClassCreate 001d @LStrAddRef 0025 EDBClient.Create 003f Exception.Create 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 8B 45 08 66 89 46 0C 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4454_0 {
	meta:
		name = "EReconcileError.Create"
		size = 143
		refs = "000e @ClassCreate 001d @LStrAddRef 002d EReconcileError.Create 003e @LStrAsg 004f EDBClient.Create 0064 @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 10 8B 55 0C E8 ?? ?? ?? ?? 66 8B 45 08 50 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4455_0 {
	meta:
		name = "_NF__22B"
		size = 141
		refs = "001d @VarAddRef 0025 _NF__22B 0033 VarIsArray 0044 VarArrayHighBound 0051 SInvalidDataPacket 0056 LoadResString 005e DatabaseError 0073 @LStrClr 007b @VarClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 33 D2 89 55 EC 8B F0 8D 7D F0 B9 04 00 00 00 F3 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 F8 14 7F 15 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_4456_0 {
	meta:
		name = "_NF__22C"
		size = 253
		refs = "0007 _NF__234 0011 _NF__235 001b _NF__236 0025 _NF__237 002f _NF__238 0039 _NF__239 0043 _NF__23A 004d _NF__23B 0057 _NF__23C 0061 _NF__230 006b _NF__231 0075 _NF__232 007f _NF__233 0089 TInterfacedObject.QueryInterface 0093 TInterfacedObject._AddRef 009d TInterfacedObject._Release 00a1 _NF__22C"
	strings:
		$1 = { CC 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_4457_0 {
	meta:
		name = "_NF__22F"
		size = 51
		refs = "000b @ClassCreate 001b @IntfCopy"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 10 8B D6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4458_0 {
	meta:
		name = "_NF__230"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_4459_0 {
	meta:
		name = "_NF__231"
		size = 31
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 10 5D C2 10 00 }
	condition:
		$1
}

rule function_4460_0 {
	meta:
		name = "_NF__232"
		size = 39
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 14 5D C2 18 00 }
	condition:
		$1
}

rule function_4461_0 {
	meta:
		name = "_NF__233"
		size = 52
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 28 52 8B 55 24 52 8B 55 20 52 8B 55 1C 52 66 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 18 5D C2 24 00 }
	condition:
		$1
}

rule function_4462_0 {
	meta:
		name = "_NF__234"
		size = 104
		refs = "0025 _NF__234 003d @IntfDispCall 0052 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 43 10 50 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 01 00 00 00 0C 02 00 00 }
	condition:
		$1
}

rule function_4463_0 {
	meta:
		name = "_NF__235"
		size = 144
		refs = "000d @VarAddRef 002d _NF__235 0059 @IntfDispCall 006e @HandleAutoException 0076 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 24 8B 55 24 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 20 50 8B 45 1C 50 FF 75 18 FF 75 14 FF 75 10 FF 75 0C 68 ?? ?? ?? ?? 8B 43 10 50 8B 45 24 50 E8 ?? ?? ?? ?? 83 C4 24 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 20 00 00 02 00 00 00 0C 01 03 00 0C 03 83 00 }
	condition:
		$1
}

rule function_4464_0 {
	meta:
		name = "_NF__236"
		size = 104
		refs = "0025 _NF__236 003d @IntfDispCall 0052 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 43 10 50 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 03 00 00 00 0C 01 00 00 }
	condition:
		$1
}

rule function_4465_0 {
	meta:
		name = "_NF__237"
		size = 116
		refs = "0025 _NF__237 0045 @IntfDispCall 005a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 68 ?? ?? ?? ?? 8B 43 10 50 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 14 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 00 04 00 00 00 0C 01 02 00 03 83 00 00 }
	condition:
		$1
}

rule function_4466_0 {
	meta:
		name = "_NF__238"
		size = 136
		refs = "000d @VarAddRef 002d _NF__238 0051 @IntfDispCall 0066 @HandleAutoException 006e @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 8B 55 1C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 18 FF 75 14 FF 75 10 FF 75 0C 68 ?? ?? ?? ?? 8B 43 10 50 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 1C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 18 00 00 05 00 00 00 0C 01 01 00 0C 00 00 00 }
	condition:
		$1
}

rule function_4467_0 {
	meta:
		name = "_NF__239"
		size = 84
		refs = "000e _NF__239 0024 @IntfDispCall 003f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 43 10 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 06 00 00 00 0B 02 00 00 }
	condition:
		$1
}

rule function_4468_0 {
	meta:
		name = "_NF__23A"
		size = 88
		refs = "000e _NF__23A 0029 @IntfDispCall 003e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 8B 55 0C 52 68 ?? ?? ?? ?? 8B 40 10 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 06 00 00 00 00 04 01 00 0B 00 00 00 }
	condition:
		$1
}

rule function_4469_0 {
	meta:
		name = "_NF__23B"
		size = 88
		refs = "000e _NF__23B 0029 @IntfDispCall 003e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 8B 55 0C 52 68 ?? ?? ?? ?? 8B 40 10 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 07 00 00 00 00 01 01 00 0B 00 00 00 }
	condition:
		$1
}

rule function_4470_0 {
	meta:
		name = "_NF__23C"
		size = 112
		refs = "000d @VarAddRef 0016 _NF__23C 0038 @IntfDispCall 004d @HandleAutoException 0055 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 18 FF 75 14 FF 75 10 FF 75 0C 68 ?? ?? ?? ?? 8B 43 10 50 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 14 00 00 00 08 00 00 00 00 01 01 00 0C 00 00 00 }
	condition:
		$1
}

rule function_4471_0 {
	meta:
		name = "TCustomRemoteServer.Create"
		size = 66
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 002b RCS"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4472_0 {
	meta:
		name = "TCustomRemoteServer.Destroy"
		size = 51
		refs = "0013 TObject.Free 001f TComponent.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 D2 8B C6 8B 08 FF 51 44 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4478_0 {
	meta:
		name = "TCustomRemoteServer.SetConnected"
		size = 185
		refs = "0079 TList.Get 0096 @IntfClear"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 F6 45 20 02 0F 95 C0 84 D8 74 09 C6 45 28 01 E9 98 00 00 00 8B C5 8B 10 FF 52 34 3A D8 0F 84 89 00 00 00 84 DB 74 27 66 83 7D 3E 00 74 08 8B D5 8B 45 40 FF 55 3C 8B C5 8B 10 FF 52 2C 66 83 7D 2E 00 74 68 8B D5 8B 45 30 FF 55 2C EB 5E 66 83 7D 46 00 74 08 8B D5 8B 45 48 FF 55 44 8B 45 24 8B 78 08 4F 85 FF 7C 2E 47 33 F6 8B D6 8B 45 24 E8 ?? ?? ?? ?? 83 B8 E4 01 00 00 00 74 14 8B D6 8B 45 24 E8 ?? ?? ?? ?? 05 E4 01 00 00 E8 ?? ?? ?? ?? 46 4F 75 D5 8B C5 8B 10 FF 52 30 66 83 7D 36 00 74 08 8B D5 8B 45 38 FF 55 34 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4479_0 {
	meta:
		name = "TCustomRemoteServer.Loaded"
		size = 108
		refs = "000e TComponent.Loaded 0016 TCustomRemoteServer.Loaded 003e @HandleAnyException 004c Application 0056 TApplication.HandleException 005d @RaiseAgain 0062 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 28 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 74 11 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4482_0 {
	meta:
		name = "_NF__25B"
		size = 231
		refs = "0018 @IntfAddRef 0021 TExcepInfo 0026 @InitializeRecord 002e _NF__25B 003e @WStrFromLStr 004f GUID_NULL 005e OleCheck 006d @FillChar 00aa DispatchInvokeError 00c5 @FinalizeRecord 00cd @WStrClr 00d5 @IntfClear 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 DB 89 5D F4 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 50 6A 00 6A 01 8D 45 F4 50 A1 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8D 45 E4 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 6A 00 8D 45 C4 50 56 8D 45 E4 50 6A 02 6A 00 A1 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 18 85 C0 74 08 8D 55 C4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4483_0 {
	meta:
		name = "TRemoteServer.GetServerGUID"
		size = 49
		refs = "0020 GUIDToString 002a @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 50 00 75 0E 66 83 7B 54 00 75 07 66 83 7B 56 00 74 0D 8B D6 8D 43 50 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4484_0 {
	meta:
		name = "TRemoteServer.SetComputerName"
		size = 40
		refs = "000c @LStrCmp 0021 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 4C E8 ?? ?? ?? ?? 74 13 33 D2 8B C3 8B 08 FF 51 44 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4485_0 {
	meta:
		name = "TRemoteServer.SetServerGUID"
		size = 108
		refs = "0022 @FillChar 002f StringToGUID 0049 ProgIDFromCLSID 0058 @LStrFromPWChar 0061 CoTaskMemFree"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F2 8B D8 33 D2 8B C3 8B 08 FF 51 44 85 F6 75 11 8D 43 50 B9 10 00 00 00 33 D2 E8 ?? ?? ?? ?? EB 3D 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 56 8D 74 24 08 8D 7B 50 B9 04 00 00 00 F3 A5 5E 54 8D 43 50 50 E8 ?? ?? ?? ?? 85 C0 75 14 8D 43 60 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4486_0 {
	meta:
		name = "TRemoteServer.SetServerName"
		size = 137
		refs = "000f TRemoteServer.SetServerName 001f @LStrCmp 0034 @LStrAsg 0042 @WStrFromLStr 004a @WStrToPWChar 0050 CLSIDFromProgID 0063 @FillChar 0078 @WStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 60 E8 ?? ?? ?? ?? 74 42 33 D2 8B C3 8B 08 FF 51 44 8D 43 60 8B D6 E8 ?? ?? ?? ?? 8D 43 50 50 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0F 8D 43 50 B9 10 00 00 00 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4487_0 {
	meta:
		name = "TRemoteServer.StoreServerName"
		size = 17
		refs = "0002 GUID_NULL 000c IsEqualGUID"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 52 83 C0 50 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4488_0 {
	meta:
		name = "TRemoteServer.GetConnected"
		size = 128
		refs = "0011 TRemoteServer.GetConnected 0029 VarIsNull 0042 @VarToDisp 0065 @IntfClear 006d @VarClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 51 48 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 1B 8D 55 F0 8B C3 8B 08 FF 51 48 8D 55 F0 8D 45 EC E8 ?? ?? ?? ?? 83 7D EC 00 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4489_0 {
	meta:
		name = "TRemoteServer.DoConnect"
		size = 300
		refs = "0018 TRemoteServer.DoConnect 0023 GUID_NULL 002d IsEqualGUID 004f SServerNameBlank 0054 LoadResString 005e _Dn_Exception 0063 Exception.CreateFmt 0068 @RaiseExcept 0073 ProgIDToClassID 0093 @WStrFromLStr 00a1 CreateRemoteComObject 00ae CreateComObject 00be @IntfCast 00c9 @VarFromDisp 00e8 @IntfClear 00f0 @VarClr 00f8 @WStrClr 0100 @LStrClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 50 8D 43 50 50 E8 ?? ?? ?? ?? 84 C0 74 44 83 7B 60 00 75 31 8B 43 08 89 45 E4 C6 45 E8 0B 8D 45 E4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B 43 60 E8 ?? ?? ?? ?? EB 0D 8D 73 50 8D 7D EC B9 04 00 00 00 F3 A5 83 7B 4C 00 74 1B 8D 45 DC 8B 53 4C E8 ?? ?? ?? ?? 8B 45 DC 8D 4D FC 8D 55 EC E8 ?? ?? ?? ?? EB 0B 8D 55 FC 8D 45 EC E8 ?? ?? ?? ?? 8D 45 C8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8D 55 CC 8B C3 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_4490_0 {
	meta:
		name = "TRemoteServer.DoDisconnect"
		size = 12
		refs = "0002 Null"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_4491_0 {
	meta:
		name = "TRemoteServer.GetAppServer"
		size = 19
		refs = "000c @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4492_0 {
	meta:
		name = "TRemoteServer.SetAppServer"
		size = 92
		refs = "001b @VarAddRef 0023 TRemoteServer.SetAppServer 0034 @VarCopy 0049 @VarClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 64 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4493_0 {
	meta:
		name = "TRemoteServer.GetProvider"
		size = 404
		refs = "0023 TRemoteServer.GetProvider 0049 @VarToDisp 0056 _NF__25B 006f SInvalidProviderName 0074 LoadResString 007e _Dn_Exception 0083 Exception.Create 0088 @RaiseExcept 0090 @IntfClear 00cb RegisterComServer 00f3 @HandleAnyException 00ff @DoneExcept 010f _NV__22D 0114 _NF__22F 0121 @IntfCopy 0136 @LStrClr 013e @VarClr 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F8 8B 08 FF 51 44 8D 55 CC 8B 45 F8 8B 08 FF 51 48 8D 55 CC 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8D 4D E0 8B D3 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 21 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 89 45 F0 81 7D F0 55 01 04 80 75 55 8B 45 F8 80 78 74 00 75 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 89 45 F0 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 F8 C6 40 74 01 E8 ?? ?? ?? ?? 83 7D F0 00 74 1C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 0C 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 00 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A FF FF FF FF 0C 00 00 00 53 54 44 56 43 4C 33 32 2E 44 4C 4C 00 00 00 00 }
	condition:
		$1
}

rule function_4494_0 {
	meta:
		name = "TRemoteServer.GetProviderNames"
		size = 296
		refs = "0019 TRemoteServer.GetProviderNames 0030 @VarClear 005a @DispInvoke 006c @HandleAnyException 0071 @DoneExcept 0079 VarIsArray 0085 VarArrayDimCount 0095 VarArrayLowBound 00a4 VarArrayHighBound 00bb @VarArrayGet 00c9 @VarToLStr 00eb @LStrClr 00f4 Variant 00fe @FinalizeArray 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 8B 08 FF 51 44 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 51 48 8D 45 E0 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 59 8D 45 F0 E8 ?? ?? ?? ?? 48 75 4E 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 2B DE 7C 2C 43 56 6A 01 8D 45 F0 50 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 E0 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 0C FF 55 08 46 4B 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 08 00 00 01 00 00 47 65 74 50 72 6F 76 69 64 65 72 4E 61 6D 65 73 00 }
	condition:
		$1
}

rule function_4495_0 {
	meta:
		name = "TClientDataSet.Create"
		size = 136
		refs = "000e @ClassCreate 001c TDataSet.Create 0028 Null 002d @OleVarFromVar 0036 _Dn_TMasterDataLink 003b TMasterDataLink.Create 004d _NF__3ED 0057 _NF__3EE 006d RCS"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 40 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 74 01 00 00 89 5E 2C C7 46 28 ?? ?? ?? ?? 89 5E 34 C7 46 30 ?? ?? ?? ?? C7 83 F0 01 00 00 FF FF FF FF C6 83 08 02 00 00 01 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4496_0 {
	meta:
		name = "TClientDataSet.Destroy"
		size = 83
		refs = "0009 TDataSet.Close 0015 TDataSet.Destroy 0020 TObject.Free 0034 @IntfClear 004a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 8B 86 74 01 00 00 E8 ?? ?? ?? ?? 83 BE E4 01 00 00 00 74 0B 8D 86 E4 01 00 00 E8 ?? ?? ?? ?? 8B 86 60 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4497_0 {
	meta:
		name = "_NF__281"
		size = 180
		refs = "000c _NF__281 0019 @IntfClear 0028 CLSID_DSBase 002e CoCreateInstance 0043 RegisterComServer 004a OleCheck 0057 CreateComObject 0066 @IntfCast 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 34 3D 54 01 04 80 75 0C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 82 2F 8D 9E 1C 59 D0 11 BF 52 00 20 AF 32 BD 64 FF FF FF FF 0C 00 00 00 44 42 43 4C 49 45 4E 54 2E 44 4C 4C 00 00 00 00 }
	condition:
		$1
}

rule function_4498_0 {
	meta:
		name = "_NF__282"
		size = 184
		refs = "0018 @IntfAddRef 0020 _NF__282 002e CLSID_DSCursor 0033 CreateComObject 0042 @IntfCast 005d TClientDataSet.Check 008c @IntfClear 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 17 8B 45 FC 50 8B 06 50 8B 00 FF 50 10 8B D0 8B C3 E8 ?? ?? ?? ?? EB 18 8B 83 2C 01 00 00 50 8B 06 50 8B 00 FF 50 0C 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 84 2F 8D 9E 1C 59 D0 11 BF 52 00 20 AF 32 BD 64 }
	condition:
		$1
}

rule function_4499_0 {
	meta:
		name = "TClientDataSet.OpenCursor"
		size = 392
		refs = "0017 TClientDataSet.OpenCursor 003c VarIsNull 004c TClientDataSet.GetProvider 005a @CheckAutoResult 0062 @VarClr 008d @VarCopy 00b6 SNoDataProvider 00bb LoadResString 00c3 DatabaseError 00cd _NF__281 00db @IntfCopy 0102 TClientDataSet.Check 010b TDataSet.OpenCursor 012e TClientDataSet.SyncCursors 0135 TDataSet.CursorPosChanged 015a @IntfClear 0162 @LStrClr 0178 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 86 07 02 00 00 01 83 BE 2C 01 00 00 00 0F 85 D1 00 00 00 8D 86 40 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 5F 6A FF 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 FC 50 8B 86 F0 01 00 00 50 8B 86 E4 01 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 55 E8 8D 86 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 3B 86 F0 01 00 00 0F 95 C0 88 86 07 02 00 00 8D 86 40 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8D 86 2C 01 00 00 E8 ?? ?? ?? ?? 8A 86 07 02 00 00 F6 D8 1B C0 50 8B 86 48 01 00 00 50 8B 86 2C 01 00 00 50 8B 00 FF 50 14 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 3C 01 00 00 85 C0 74 30 80 78 58 00 75 2A 8B 88 30 01 00 00 8B 96 30 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 A4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_4500_0 {
	meta:
		name = "TClientDataSet.Check"
		size = 142
		refs = "0018 TClientDataSet.Check 004e @LStrFromArray 005b _DV_EDBClient 0060 EDBClient.Create 0065 @RaiseExcept 007d @LStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 F7 FF FF 53 33 C9 89 8D F8 F7 FF FF 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 85 DB 74 42 8D 95 FF F7 FF FF 52 53 8B 80 2C 01 00 00 50 8B 00 FF 50 44 53 8D 85 F8 F7 FF FF 8D 95 FF F7 FF FF B9 01 08 00 00 E8 ?? ?? ?? ?? 8B 8D F8 F7 FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 F7 FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4501_0 {
	meta:
		name = "TClientDataSet.CloseCursor"
		size = 235
		refs = "0011 TClientDataSet.CloseCursor 001e TDataSet.CloseCursor 0037 Null 003c @OleVarFromVar 0099 @CheckAutoResult 00b9 @IntfClear 00d9 @VarClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 BB E4 01 00 00 00 0F 84 8E 00 00 00 8D 83 40 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B3 EC 01 00 00 85 F6 74 73 8B C6 8B 10 FF 52 34 84 C0 74 68 F6 43 20 08 75 62 8B C3 8B 10 FF 92 B4 00 00 00 85 C0 74 36 83 BB F0 01 00 00 00 75 2D 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 E4 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? EB 13 6A 00 8B 83 E4 01 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8D 83 E4 01 00 00 E8 ?? ?? ?? ?? 8D 83 2C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4502_0 {
	meta:
		name = "TClientDataSet.InternalInitFieldDefs"
		size = 175
		refs = "0026 TClientDataSet.Check 002f AllocMem 003a TClientDataSet.InternalInitFieldDefs 0061 TFieldDefs.Clear 007f TClientDataSet.AddFieldDesc 009c @FreeMem 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 B4 FE FF FF 53 56 57 8B F0 8D 85 B4 FE FF FF 50 8B 86 2C 01 00 00 50 8B 00 FF 50 20 8B D0 8B C6 E8 ?? ?? ?? ?? 6B 45 B9 4C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 86 2C 01 00 00 50 8B 00 FF 50 24 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 7D B9 4F 85 FF 7C 1A 47 33 DB 6B C3 13 8B 55 FC 8D 14 82 8B CB 41 8B C6 E8 ?? ?? ?? ?? 43 4F 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6B 55 B9 4C 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4503_0 {
	meta:
		name = "TClientDataSet.InternalOpen"
		size = 461
		refs = "0019 TClientDataSet.InternalOpen 002c _NF__2D2 0049 _NF__282 005a @IntfCopy 0098 TClientDataSet.Check 00ca TClientDataSet.GetIndexInfo 00d7 TDataSet.CreateFields 00e0 TDataSet.BindFields 00e9 _NF__2EF 00f0 TClientDataSet.AllocKeyBuffers 00fb _NF__336 0150 _NF__39F 015d @LStrToPChar 017d _NF__3EC 018a TClientDataSet.ActivateFilters 01bb @IntfClear 01c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 B4 FE FF FF 53 56 33 D2 89 95 B4 FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 69 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B B3 3C 01 00 00 85 F6 74 26 8D 8D B4 FE FF FF 8B 96 30 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 95 B4 FE FF FF 8D 83 30 01 00 00 E8 ?? ?? ?? ?? EB 20 8D 8D B4 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 95 B4 FE FF FF 8D 83 30 01 00 00 E8 ?? ?? ?? ?? 8D 85 B8 FE FF FF 50 8B 83 30 01 00 00 50 8B 00 FF 50 14 8B D0 8B C3 E8 ?? ?? ?? ?? 66 8B 45 C1 66 89 83 FA 01 00 00 8B 45 C5 89 43 50 8B 45 C9 83 F8 01 1B C0 F7 D8 88 83 04 02 00 00 8B C3 8B 10 FF 92 50 01 00 00 8B C3 E8 ?? ?? ?? ?? 80 7B 69 00 74 07 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 5C 00 74 1C B8 ?? ?? ?? ?? 50 53 8B 83 2C 01 00 00 50 8B 00 FF 50 54 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 30 01 00 00 50 8B 00 FF 50 38 83 BB 3C 01 00 00 00 75 7C 83 BB 64 01 00 00 00 74 46 80 BB 03 02 00 00 00 74 19 6A 00 6A 00 8B 8B 64 01 00 00 8B 93 30 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 24 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 30 01 00 00 50 8B 00 FF 90 98 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 6B 00 74 07 8B C3 E8 ?? ?? ?? ?? 80 BB 02 02 00 00 00 74 10 6A 01 6A 01 8B 83 2C 01 00 00 50 8B 00 FF 50 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4504_0 {
	meta:
		name = "TClientDataSet.InternalClose"
		size = 97
		refs = "000c TClientDataSet.DeactivateFilters 0013 TClientDataSet.FreeKeyBuffers 001c TDataSet.BindFields 0045 @IntfClear"
	strings:
		$1 = { 53 8B D8 80 7B 6B 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 80 7B 69 00 74 07 8B C3 8B 10 FF 52 54 33 C0 89 83 E0 01 00 00 66 C7 83 F8 01 00 00 00 00 8D 83 30 01 00 00 E8 ?? ?? ?? ?? 8D 83 34 01 00 00 E8 ?? ?? ?? ?? 8D 83 38 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4505_0 {
	meta:
		name = "TClientDataSet.InternalRefresh"
		size = 391
		refs = "0017 TClientDataSet.InternalRefresh 0029 TClientDataSet.GetProvider 0037 @CheckAutoResult 003e TDataSet.CheckBrowseMode 0045 TClientDataSet.GetChangeCount 0051 SRefreshError 0056 LoadResString 005e DatabaseError 0086 _NF__3EB 00c7 @VarClr 00ef @VarCopy 0141 TClientDataSet.Check 016e @LStrClr 0176 @IntfClear 017c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 15 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 83 74 01 00 00 80 78 15 00 74 21 8B 40 24 83 78 08 00 7E 18 8B 83 2C 01 00 00 50 8B 00 FF 50 6C 8B C3 E8 ?? ?? ?? ?? E9 C6 00 00 00 8D 45 F8 50 8B 83 30 01 00 00 50 8B 00 FF 50 2C 80 BB 07 02 00 00 00 75 14 8D 45 FC 50 6A 05 8B 83 2C 01 00 00 50 8B 00 FF 50 4C EB 07 C7 45 FC FF FF FF FF 8D 45 DC E8 ?? ?? ?? ?? 50 8D 45 F4 50 8B 45 FC 50 8B 83 E4 01 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 55 DC 8D 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 FC 0F 95 C0 88 83 07 02 00 00 8B 83 2C 01 00 00 50 8B 00 FF 50 6C 6A 00 6A 04 8B 83 2C 01 00 00 50 8B 00 FF 50 50 8A 83 07 02 00 00 F6 D8 1B C0 50 8B 83 48 01 00 00 50 8B 83 2C 01 00 00 50 8B 00 FF 50 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 83 30 01 00 00 50 8B 00 FF 50 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4506_0 {
	meta:
		name = "TClientDataSet.IsCursorOpen"
		size = 11
	strings:
		$1 = { 83 B8 30 01 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_4507_0 {
	meta:
		name = "TBDEDataSet.InternalHandleException"
		size = 15
		refs = "0002 Application 000a TApplication.HandleException"
		altNames = "TClientDataSet.InternalHandleException"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4508_0 {
	meta:
		name = "TClientDataSet.SetData"
		size = 148
		refs = "001b @VarAddRef 0023 TClientDataSet.SetData 0030 TDataSet.Close 0038 VarIsNull 0048 Null 004d @OleVarFromVar 0057 _NF__22B 0065 @VarCopy 006c TDataSet.Open 0081 @VarClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 13 8D 83 40 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 8D 45 F0 E8 ?? ?? ?? ?? 8D 83 40 01 00 00 8D 55 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4509_0 {
	meta:
		name = "TClientDataSet.GetData"
		size = 118
		refs = "0014 TClientDataSet.GetData 0021 TDataSet.CheckBrowseMode 003a TClientDataSet.Check 0045 SafeArrayToVariant 004f @OleVarFromVar 0064 @VarClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 83 2C 01 00 00 50 8B 00 FF 50 30 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4510_0 {
	meta:
		name = "_NF__29C"
		size = 158
		refs = "0014 _NF__29C 0031 @VarClr 0041 TClientDataSet.GetProvider 004f @CheckAutoResult 0083 @IntfClear 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 D2 74 05 83 CE FF EB 06 8B B3 F0 01 00 00 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 FC 50 56 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 55 EC 3B 75 FC 0F 95 C1 8B C3 8B 38 FF 97 AC 01 00 00 3B 75 FC 0F 95 C0 88 83 07 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4511_0 {
	meta:
		name = "_NF__29D"
		size = 26
		refs = "0015 _NF__29C"
	strings:
		$1 = { 80 B8 07 02 00 00 00 75 10 80 B8 08 02 00 00 00 74 07 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4512_0 {
	meta:
		name = "TClientDataSet.AddDataPacket"
		size = 135
		refs = "001f @VarAddRef 0027 TClientDataSet.AddDataPacket 0035 VarIsNull 0041 _NF__22B 005f TClientDataSet.Check 0074 @VarClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B D9 8B F0 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 08 8D 45 F0 E8 ?? ?? ?? ?? F6 DB 1B C0 50 8B 45 F8 50 8B 86 2C 01 00 00 50 8B 00 FF 50 14 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4513_0 {
	meta:
		name = "TClientDataSet.AppendData"
		size = 196
		refs = "001f @VarAddRef 0027 TClientDataSet.AppendData 0034 TDataSet.GetActive 0042 TClientDataSet.SetData 0074 TDataSet.IsEmpty 007f TDataSet.First 0088 TDataSet.UpdateCursorPos 00ad @VarClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B D9 8B F0 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 75 20 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 84 DB 75 52 6A 00 6A 04 8B 86 2C 01 00 00 50 8B 00 FF 50 50 EB 40 8B CB 8D 55 F0 8B C6 8B 18 FF 93 AC 01 00 00 80 7E 5D 01 75 2B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 17 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 A4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_4514_0 {
	meta:
		name = "TClientDataSet.GetNextPacket"
		size = 212
		refs = "0013 TClientDataSet.GetNextPacket 0037 TDataSet.UpdateCursorPos 003f @VarClr 0055 TClientDataSet.GetProvider 0063 @CheckAutoResult 00b3 @IntfClear 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 38 80 BB 07 02 00 00 00 74 07 33 C0 89 45 FC EB 6E 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 FC 50 8B 83 F0 01 00 00 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 3B 83 F0 01 00 00 0F 95 C1 8B C3 8B 30 FF 96 AC 01 00 00 8B 45 FC 3B 83 F0 01 00 00 0F 95 C0 88 83 07 02 00 00 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_4515_0 {
	meta:
		name = "TClientDataSet.SetProviderName"
		size = 57
		refs = "0014 @IntfClear 0020 Null 0025 @OleVarFromVar 0032 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 3C 8D 83 E4 01 00 00 E8 ?? ?? ?? ?? 8D 83 40 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 E8 01 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4516_0 {
	meta:
		name = "TClientDataSet.GetProvider"
		size = 176
		refs = "0012 TClientDataSet.GetProvider 0055 @IntfCopy 0066 SNoDataProvider 006b LoadResString 0073 DatabaseError 0095 @LStrClr 009d @IntfClear 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB E4 01 00 00 00 75 52 83 BB EC 01 00 00 00 74 2B 83 BB E8 01 00 00 00 74 22 8D 4D FC 8B 93 E8 01 00 00 8B 83 EC 01 00 00 8B 38 FF 57 38 8B 55 FC 8D 83 E4 01 00 00 E8 ?? ?? ?? ?? 83 BB E4 01 00 00 00 75 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C6 8B 93 E4 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4517_0 {
	meta:
		name = "TClientDataSet.SetProvider"
		size = 79
		refs = "000e @IntfAddRef 0016 TClientDataSet.SetProvider 002a @IntfCopy 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 E4 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4518_0 {
	meta:
		name = "TClientDataSet.SetRemoteServer"
		size = 88
		refs = "001c @IntfClear 0028 Null 002d @OleVarFromVar"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 EC 01 00 00 74 47 8B C3 8B 10 FF 52 3C 8D 83 E4 01 00 00 E8 ?? ?? ?? ?? 8D 83 40 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 85 C0 74 07 8B D3 8B 08 FF 51 40 85 F6 74 09 8B D3 8B C6 8B 08 FF 51 28 89 B3 EC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_4519_0 {
	meta:
		name = "TClientDataSet.Notification"
		size = 54
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 19 83 BF EC 01 00 00 00 74 10 3B B7 EC 01 00 00 75 08 33 C0 89 87 EC 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4520_0 {
	meta:
		name = "TClientDataSet.GetDelta"
		size = 171
		refs = "0015 TClientDataSet.GetDelta 0022 TDataSet.CheckBrowseMode 002a @IntfClear 0040 TClientDataSet.Check 0061 SafeArrayToVariant 006f @OleVarFromVar 007c @VarCopy 0091 @VarClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8B 83 2C 01 00 00 50 8B 00 FF 50 2C 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 50 8B 00 FF 50 30 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8D 83 50 01 00 00 E8 ?? ?? ?? ?? 8B C6 8D 93 50 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4521_0 {
	meta:
		name = "TClientDataSet.ApplyUpdates"
		size = 187
		refs = "0019 TClientDataSet.ApplyUpdates 0026 TDataSet.CheckBrowseMode 002d TClientDataSet.GetChangeCount 0040 @VarClr 0050 TClientDataSet.GetDelta 0066 TClientDataSet.GetProvider 0074 @CheckAutoResult 007e TClientDataSet.Reconcile 0093 @IntfClear 009c OleVariant 00a6 @FinalizeArray 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 89 45 FC EB 46 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 FC 50 56 8D 55 DC 8B C3 E8 ?? ?? ?? ?? FF 75 E8 FF 75 E4 FF 75 E0 FF 75 DC 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4522_0 {
	meta:
		name = "TClientDataSet.MergeChangeLog"
		size = 24
		refs = "0006 TDataSet.CheckBrowseMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 01 00 00 50 8B 00 FF 50 34 5B C3 }
	condition:
		$1
}

rule function_4523_0 {
	meta:
		name = "TClientDataSet.SetAltRecBuffers"
		size = 28
	strings:
		$1 = { 55 8B EC 89 90 D8 01 00 00 89 88 D4 01 00 00 8B 55 08 89 90 DC 01 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_4524_0 {
	meta:
		name = "_NF__2C3"
		size = 355
		refs = "001c _NF__2C3 0071 TClientDataSet.SetAltRecBuffers 0097 @LStrFromPChar 00b5 _DV_EReconcileError 00ba EReconcileError.Create 00bf @RaiseExcept 00ce @HandleOnException 00fb @DoneExcept 010a @HandleAnyException 010f Application 0119 TApplication.HandleException 014c @LStrArrayClr 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 75 2C 8B 4D 28 8B 55 24 8B 45 10 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 8B 5D 08 C6 83 05 02 00 00 01 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 3C 02 75 06 C6 45 FE 02 EB 0E 3C 04 75 06 C6 45 FE 01 EB 04 C6 45 FE 00 83 7D 14 01 75 06 C6 45 FF 00 EB 04 C6 45 FF 01 80 7D FE 02 75 0B 56 8B 45 08 E8 ?? ?? ?? ?? EB 0B 56 8B 45 08 87 CA E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 8B 55 20 E8 ?? ?? ?? ?? 8B 45 F8 50 66 8B 45 18 50 8D 45 F4 8B 55 1C E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 32 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8A 55 FE 52 8D 55 FF 52 8B 5D 08 8B C8 8B 55 08 8B 83 10 02 00 00 FF 93 0C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 08 E8 ?? ?? ?? ?? C6 45 FF 01 E8 ?? ?? ?? ?? 33 DB 8A 5D FF 43 8B 45 08 C6 80 05 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule function_4525_0 {
	meta:
		name = "TClientDataSet.Reconcile"
		size = 276
		refs = "001c @VarAddRef 0024 TClientDataSet.Reconcile 0032 VarIsNull 003e TClientDataSet.MergeChangeLog 004b _NF__22B 0053 TDataSet.UpdateCursorPos 0065 _NF__2C3 00a3 TClientDataSet.Check 00be TClientDataSet.SetAltRecBuffers 00c4 @HandleFinally 00df TClientDataSet.GetChangeCount 00f9 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 89 45 EC 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 EC E8 ?? ?? ?? ?? E9 94 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 66 83 B8 0E 02 00 00 00 74 07 BB ?? ?? ?? ?? EB 02 33 DB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 EC 50 8B 45 F8 50 8B 45 EC 8B 80 58 01 00 00 50 8B 45 EC 8B 80 2C 01 00 00 50 8B 00 FF 50 58 8B D0 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 33 C9 33 D2 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8A 15 ?? ?? ?? ?? 8B 45 EC 8B 08 FF 91 A4 01 00 00 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4526_0 {
	meta:
		name = "_NF__2C7"
		size = 84
		refs = "000d _NF__2C7 0020 TDataSet.UpdateCursorPos 003f @HandleAnyException 0044 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 5D 01 75 17 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4527_0 {
	meta:
		name = "_NF__2C8"
		size = 52
		refs = "000d _NF__2C7 0027 TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 80 BB 06 02 00 00 00 75 26 B8 ?? ?? ?? ?? 50 53 8B 83 30 01 00 00 50 8B 00 FF 90 9C 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? C6 83 06 02 00 00 01 5B C3 }
	condition:
		$1
}

rule function_4528_0 {
	meta:
		name = "TClientDataSet.CloneCursor"
		size = 567
		refs = "0018 TClientDataSet.CloneCursor 002e TDataSet.Close 0044 @IntfCopy 004c TDataSet.UpdateCursorPos 0083 TClientDataSet.SetIndexName 008d TClientDataSet.SetDataSource 0097 TClientDataSet.SetMasterFields 00a1 TClientDataSet.SetReadOnly 00ab TClientDataSet.SetRemoteServer 00b5 TClientDataSet.SetProviderName 00bf TClientDataSet.SetProvider 0128 TClientDataSet.GetIndexName 0151 TClientDataSet.GetIndexFieldNames 015c TClientDataSet.SetIndexFieldNames 017c TClientDataSet.GetMasterFields 01e1 TDataSet.Open 01ff @HandleFinally 0209 _NF__2C8 0226 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 38 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 2C 01 00 00 8B 55 F8 8B 92 2C 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 DB 74 74 33 D2 8B 45 FC 8B 08 FF 91 00 01 00 00 33 D2 8B 45 FC 8B 08 FF 91 08 01 00 00 6A 00 6A 00 8B 45 FC 8B 10 FF 92 10 01 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 07 01 00 00 8B 45 FC 8B 55 F8 89 90 3C 01 00 00 8B 45 F8 8B 50 70 8B 45 FC 8B 08 FF 91 08 01 00 00 8B 45 F8 FF B0 28 01 00 00 FF B0 24 01 00 00 8B 45 FC 8B 10 FF 92 10 01 00 00 8B 45 F8 8A 50 74 8B 45 FC 8B 08 FF 91 04 01 00 00 8B 45 F8 8A 50 6B 8B 45 FC 8B 08 FF 91 00 01 00 00 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F4 00 74 18 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 16 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 B4 00 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8A 90 02 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 90 EC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 90 E8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 90 E4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 3C 01 00 00 C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4529_0 {
	meta:
		name = "_NF__2CD"
		size = 149
		refs = "0017 @FillChar 001e @LStrToPChar 0027 StrCopy 0031 FldTypeMap 003e FldSubTypeMap"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B 5D 14 8B C6 33 C9 BA 4C 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 8B 15 ?? ?? ?? ?? 0F B6 14 02 89 56 20 8B 15 ?? ?? ?? ?? 0F B7 04 42 89 46 24 8A 45 0C F6 D8 1B C0 89 46 40 80 7D 08 00 74 07 C7 46 44 04 00 00 00 FE CB 74 13 80 EB 07 74 17 80 C3 FC 80 EB 02 72 06 4B 80 EB 07 73 17 0F B7 45 10 89 46 28 EB 0E C7 46 28 20 00 00 00 0F B7 45 10 89 46 2C 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_4530_0 {
	meta:
		name = "TClientDataSet.CreateDataSet"
		size = 622
		refs = "0021 TClientDataSet.CreateDataSet 003a TFieldDefs.GetCount 0046 TDataSet.GetFieldCount 005a TDataSet.GetField 007a TFieldDefs.Add 0091 AllocMem 00c4 TFieldDefs.GetItem 00e9 _NF__2CD 0114 _NF__281 0127 @IntfCopy 0132 @LStrToPChar 015c TClientDataSet.Check 0172 TClientDataSet.GetIndexDefs 0177 TIndexDefs.GetCount 0190 TIndexDefs.GetItem 019f TIndexDef.GetFields 01bb _NF__37F 01ee @HandleAnyException 01fb @IntfClear 0200 @RaiseAgain 0205 @DoneExcept 020d TDataSet.Open 0230 @FreeMem 0236 @HandleFinally 0250 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 04 FF FF FF 53 56 57 33 D2 89 95 04 FF FF FF 89 95 08 FF FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 85 C0 75 40 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 31 47 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 80 78 2E 00 75 1A 66 8B 50 34 52 8A 50 31 52 8A 48 2C 8B 50 28 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 46 4F 75 D2 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 6B C0 4C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 52 47 33 F6 8B 45 FC 8B 40 28 8B D6 E8 ?? ?? ?? ?? 8B D8 8A 43 10 50 66 8B 43 18 50 6A 00 8A 43 1A 50 6B C6 13 8B 55 F8 8D 14 82 8B 4B 08 8B 45 FC E8 ?? ?? ?? ?? 80 7B 10 08 75 13 83 7B 14 00 7E 0D 6B C6 13 8B 55 F8 8B 4B 14 89 4C 82 28 46 4F 75 B1 8D 95 08 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 08 FF FF FF 8B 45 FC 05 2C 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 2C 01 00 00 50 8B 00 FF 50 0C 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 61 47 33 F6 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B D8 8D 95 04 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 04 FF FF FF 50 8A 43 14 50 8B 4B 0C 8D 95 0C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8D 85 0C FF FF FF 50 8B 45 FC 8B 80 2C 01 00 00 50 8B 00 FF 50 3C 8B D0 8B 45 FC E8 ?? ?? ?? ?? 46 4F 75 A2 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 05 2C 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 6B D0 4C 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 04 FF FF FF E8 ?? ?? ?? ?? 8D 85 08 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4531_0 {
	meta:
		name = "TClientDataSet.EmptyDataSet"
		size = 80
		refs = "0006 TDataSet.CheckBrowseMode 001b TClientDataSet.Check 0028 TClientDataSet.EmptyDataSet 0039 TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 01 00 00 50 8B 00 FF 50 6C 8B D0 8B C3 E8 ?? ?? ?? ?? C6 83 07 02 00 00 01 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 E0 00 00 00 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_4532_0 {
	meta:
		name = "_NF__2D2"
		size = 100
		refs = "000b TDataSet.GetFieldCount 001e TDataSet.GetField 0048 _NF__2CD"
	strings:
		$1 = { 53 56 57 83 C4 B4 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 47 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 2E 03 75 31 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 50 2C 52 66 8B 50 34 52 6A 01 6A 00 8B 48 28 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 54 8B 83 2C 01 00 00 50 8B 00 FF 50 10 46 4F 75 BC 83 C4 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4533_0 {
	meta:
		name = "TClientDataSet.LoadFromStream"
		size = 211
		refs = "001b TClientDataSet.LoadFromStream 0031 TStream.GetSize 0047 VarArrayCreate 0052 @OleVarFromVar 005a VarArrayLock 0091 VarArrayUnlock 0097 @HandleFinally 00a4 TClientDataSet.SetData 00b9 @VarClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 50 33 C0 89 45 D4 8B C3 E8 ?? ?? ?? ?? 48 89 45 D8 8D 45 D4 B9 11 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4535_0 {
	meta:
		name = "TClientDataSet.SaveToStream"
		size = 143
		refs = "000f TDataSet.CheckBrowseMode 0016 _NF__29D 002f TClientDataSet.Check 003e SafeArrayGetUBound 004b SafeArrayAccessData 0053 TClientDataSet.SaveToStream 007d SafeArrayUnaccessData 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 83 2C 01 00 00 50 8B 00 FF 50 30 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 6A 01 8B 45 F8 50 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 41 8B 55 FC 8B C6 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4537_0 {
	meta:
		name = "TClientDataSet.SetLogChanges"
		size = 44
		refs = "0009 TDataSet.CheckBrowseMode 0025 TClientDataSet.Check"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 50 6A 00 8B 86 2C 01 00 00 50 8B 00 FF 50 50 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4538_0 {
	meta:
		name = "TClientDataSet.GetLogChanges"
		size = 41
		refs = "0007 TDataSet.CheckBrowseMode 001f TClientDataSet.Check"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 54 6A 00 8B 83 2C 01 00 00 50 8B 00 FF 50 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_4539_0 {
	meta:
		name = "TClientDataSet.GetCanModify"
		size = 24
	strings:
		$1 = { 80 B8 04 02 00 00 00 74 09 80 B8 02 02 00 00 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_4540_0 {
	meta:
		name = "TClientDataSet.SetReadOnly"
		size = 61
		refs = "002d TClientDataSet.Check"
	strings:
		$1 = { 53 56 8B DA 8B F0 88 9E 02 02 00 00 83 BE 2C 01 00 00 00 74 25 33 C0 8A C3 50 6A 01 8B 86 2C 01 00 00 50 8B 00 FF 50 50 8B D0 8B C6 E8 ?? ?? ?? ?? 80 F3 01 88 9E 04 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_4541_0 {
	meta:
		name = "TClientDataSet.ConstraintsDisabled"
		size = 11
	strings:
		$1 = { 83 B8 F4 01 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_4542_0 {
	meta:
		name = "TClientDataSet.DisableConstraints"
		size = 45
		refs = "0021 TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 83 BB F4 01 00 00 00 75 19 6A 01 6A 03 8B 83 2C 01 00 00 50 8B 00 FF 50 50 8B D0 8B C3 E8 ?? ?? ?? ?? FF 83 F4 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4543_0 {
	meta:
		name = "TClientDataSet.EnableConstraints"
		size = 54
		refs = "0030 TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 83 BB F4 01 00 00 00 74 28 FF 8B F4 01 00 00 83 BB F4 01 00 00 00 75 19 6A 00 6A 03 8B 83 2C 01 00 00 50 8B 00 FF 50 50 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4544_0 {
	meta:
		name = "_NF__2EF"
		size = 110
		refs = "001f TClientDataSet.Check"
	strings:
		$1 = { 53 81 C4 B8 FE FF FF 8B D8 84 D2 74 2F 54 8B 83 30 01 00 00 50 8B 00 FF 50 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 84 24 0D 01 00 00 89 43 50 66 8B 84 24 09 01 00 00 66 89 83 FA 01 00 00 66 8B 83 FA 01 00 00 66 03 43 54 66 89 83 FE 01 00 00 8B D0 66 83 C2 06 66 89 93 FC 01 00 00 66 03 53 50 66 89 93 00 02 00 00 81 C4 48 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4545_0 {
	meta:
		name = "TClientDataSet.AllocRecordBuffer"
		size = 13
		refs = "0008 StrAlloc"
	strings:
		$1 = { 0F B7 80 00 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4546_0 {
	meta:
		name = "TClientDataSet.FreeRecordBuffer"
		size = 8
		refs = "0003 StrDispose"
	strings:
		$1 = { 8B 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4547_0 {
	meta:
		name = "TClientDataSet.InternalInitRecord"
		size = 31
		refs = "0018 TClientDataSet.Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 83 30 01 00 00 50 8B 00 FF 50 70 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4548_0 {
	meta:
		name = "TBDEDataSet.ClearCalcFields"
		size = 35
		refs = "001c @FillChar"
		altNames = "TClientDataSet.ClearCalcFields"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 34 01 00 00 0F B7 C0 8D 04 06 33 C9 8B 53 54 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4549_0 {
	meta:
		name = "TClientDataSet.InitRecord"
		size = 41
		refs = "000b TDataSet.InitRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 83 FE 01 00 00 03 C6 C6 40 04 03 C7 00 FF FF FF FF C6 40 05 04 5E 5B C3 }
	condition:
		$1
}

rule function_4550_0 {
	meta:
		name = "TClientDataSet.GetRecord"
		size = 336
		refs = "0019 TClientDataSet.GetRecord 002d @IntfCopy 0071 _NF__29C 00fe TClientDataSet.Check 0138 @IntfClear 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 93 30 01 00 00 E8 ?? ?? ?? ?? 8A 45 FF FE C8 74 06 FE C8 74 46 EB 51 6A 01 8B 45 F8 50 8B 00 FF 50 40 66 3D 02 22 75 42 80 BB 07 02 00 00 00 75 39 80 BB 08 02 00 00 00 74 30 6A FF 8B 45 F8 50 8B 00 FF 50 40 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 01 8B 45 F8 50 8B 00 FF 50 40 EB 0F 6A FF 8B 45 F8 50 8B 00 FF 50 40 EB 02 33 C0 66 85 C0 75 0A 56 8B 45 F8 50 8B 00 FF 50 20 8B D0 66 83 EA 01 72 0E 66 81 EA 00 22 74 59 66 FF CA 74 5A EB 5E 0F B7 BB FE 01 00 00 03 FE C6 47 04 00 57 8B 45 F8 50 8B 00 FF 50 2C 8D 47 05 50 8B 45 F8 50 8B 00 FF 50 30 8B D6 8B C3 8B 08 FF 91 AC 00 00 00 0F B7 83 FC 01 00 00 03 F0 56 8B 45 F8 50 8B 00 FF 50 28 8B D0 8B C3 E8 ?? ?? ?? ?? C6 45 FE 00 EB 1F C6 45 FE 01 EB 19 C6 45 FE 02 EB 13 C6 45 FE 03 80 7D 08 00 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FE 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4551_0 {
	meta:
		name = "TClientDataSet.GetCurrentRecord"
		size = 74
		refs = "0009 TDataSet.IsEmpty 0014 TDataSet.ActiveBuffer 002b TDataSet.UpdateCursorPos"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 34 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 28 01 00 00 84 C0 75 1D 8B C3 E8 ?? ?? ?? ?? 56 8B 83 30 01 00 00 50 8B 00 FF 50 20 66 85 C0 0F 94 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_4552_0 {
	meta:
		name = "TClientDataSet.GetRecordCount"
		size = 39
		refs = "001d TClientDataSet.Check"
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 52 38 54 8B 83 30 01 00 00 50 8B 00 FF 50 34 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_4553_0 {
	meta:
		name = "TClientDataSet.GetRecNo"
		size = 41
		refs = "0018 TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 38 80 7B 5D 05 75 05 8B 43 48 EB 07 8B C3 E8 ?? ?? ?? ?? 0F B7 93 FE 01 00 00 03 C2 8B 00 5B C3 }
	condition:
		$1
}

rule function_4554_0 {
	meta:
		name = "TClientDataSet.SetRecNo"
		size = 60
		refs = "0009 TDataSet.CheckBrowseMode 001f TClientDataSet.Check 0025 TClientDataSet.SetRecNo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 56 8B 83 30 01 00 00 50 8B 00 FF 50 44 8B D0 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 5E 5B C3 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_4555_0 {
	meta:
		name = "TClientDataSet.GetRecordSize"
		size = 8
	strings:
		$1 = { 66 8B 80 FA 01 00 00 C3 }
	condition:
		$1
}

rule function_4556_0 {
	meta:
		name = "_NF__30F"
		size = 185
		refs = "0017 _NF__30F 0046 TDataSet.IsEmpty 0057 TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 8A 43 5D 83 F8 09 0F 87 98 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 33 C0 89 06 EB 5C 8B C3 E8 ?? ?? ?? ?? 89 06 EB 51 8B C3 E8 ?? ?? ?? ?? 89 06 EB 46 8B 83 D0 01 00 00 83 C0 08 89 06 EB 39 8B 43 48 89 06 EB 32 8B 83 70 01 00 00 89 06 EB 28 8B 83 D4 01 00 00 89 06 EB 1E 8B 83 D8 01 00 00 89 06 EB 14 8B 83 DC 01 00 00 89 06 EB 0A 33 C0 89 06 EB 04 33 C0 89 06 83 3E 00 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_4557_0 {
	meta:
		name = "TClientDataSet.GetChangeCount"
		size = 52
		refs = "0007 TDataSet.GetActive 0023 TClientDataSet.Check"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 54 6A 02 8B 83 2C 01 00 00 50 8B 00 FF 50 4C 8B D0 8B C3 E8 ?? ?? ?? ?? EB 05 33 C0 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_4558_0 {
	meta:
		name = "TClientDataSet.UpdateStatus"
		size = 68
		refs = "0018 TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 38 80 7B 5D 05 75 05 8B 43 48 EB 07 8B C3 E8 ?? ?? ?? ?? 0F B7 93 FE 01 00 00 03 C2 8A 40 05 A8 08 74 04 B0 01 5B C3 A8 02 74 04 B0 03 EB 0A A8 04 74 04 B0 02 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_4559_0 {
	meta:
		name = "TClientDataSet.AddFieldDesc"
		size = 424
		refs = "0026 TClientDataSet.AddFieldDesc 0048 @LStrFromArray 0072 Format 007d TFieldDefs.IndexOf 008e DataTypeMap 0130 BlobTypeMap 014e _Dn_TFieldDef 0156 TFieldDef.Create 0183 @LStrClr 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D F8 8B F2 8D 7D A8 51 B9 13 00 00 00 F3 A5 59 66 89 4D FE 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 EC 01 0F 85 38 01 00 00 33 DB 8D 45 F8 8D 55 A8 B9 20 00 00 00 E8 ?? ?? ?? ?? EB 28 43 8D 45 F8 50 8D 45 A8 89 45 98 C6 45 9C 06 89 5D A0 C6 45 A4 00 8D 55 98 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 46 28 E8 ?? ?? ?? ?? 85 C0 7D C9 8B 55 C8 83 FA 12 7D 0A A1 ?? ?? ?? ?? 8A 0C 10 EB 02 33 C9 33 C0 F6 45 EC 04 0F 95 45 F7 83 FA 0F 0F 87 8C 00 00 00 8A 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 00 01 00 07 00 02 03 04 05 06 00 00 02 00 00 06 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 8B 45 D0 EB 49 83 7D D8 02 74 43 33 C9 EB 3F 83 7D CC 1D 75 39 B1 0E EB 35 83 7D CC 15 75 2F B1 07 EB 2B 8B 45 D4 99 33 C2 2B C2 EB 21 66 8B 45 D0 EB 1B 66 8B 45 D0 8B 55 CC 83 FA 16 7C 0F 83 FA 1C 7F 0A 8B 0D ?? ?? ?? ?? 8A 4C 11 EA 84 C9 74 36 8B 55 F8 52 51 50 8A 45 F7 50 0F B7 45 FE 50 B2 01 A1 ?? ?? ?? ?? 8B 4E 28 E8 ?? ?? ?? ?? 8B 55 E8 F7 DA 1B D2 F7 DA 88 50 1B 80 78 10 08 75 06 8B 55 D0 89 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 05 00 00 00 25 73 5F 25 64 00 00 00 }
	condition:
		$1
}

rule function_4560_0 {
	meta:
		name = "TClientDataSet.GetFieldData"
		size = 159
		refs = "0016 _NF__30F 0045 TClientDataSet.Check 0092 Move"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B FA 8B F0 33 DB 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 84 C0 74 78 8A 47 2E 84 C0 74 04 2C 03 75 2C 54 55 8B 47 38 50 8B 44 24 10 50 8B 86 30 01 00 00 50 8B 00 FF 50 5C 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 1C 24 83 FB 01 1B DB F7 DB EB 41 8A 46 5D 48 2C 03 72 04 2C 01 75 35 0F B7 86 FA 01 00 00 0F B7 57 36 03 C2 01 44 24 04 8B 44 24 04 8A 18 84 DB 74 1A 85 ED 74 16 8B C7 8B 10 FF 52 54 0F B7 C8 8B D5 8B 44 24 04 40 E8 ?? ?? ?? ?? 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4561_0 {
	meta:
		name = "_NF__31C"
		size = 121
		refs = "0043 TClientDataSet.Check 0051 Unassigned 0056 @VarCopy 0070 TDataSet.GetStateFieldValue"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 85 DB 75 09 C7 45 FC 02 00 00 00 EB 30 8D 45 FC 50 6A 00 8B 45 08 8B 40 F8 8B 40 38 50 53 8B 45 08 8B 40 FC 8B 80 30 01 00 00 50 8B 00 FF 50 5C 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 7D FC 02 75 0F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 56 8B 45 08 8B 48 F8 8B 45 08 8A 50 F7 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4562_0 {
	meta:
		name = "TClientDataSet.GetStateFieldValue"
		size = 272
		refs = "0023 TClientDataSet.GetStateFieldValue 0052 TDataSet.ActiveBuffer 0076 _NF__31C 0081 @VarCopy 009f @HandleFinally 00e7 TDataSet.GetStateFieldValue 00fc @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 88 55 F7 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 F7 2C 07 74 0D 2C 02 0F 84 81 00 00 00 E9 9B 00 00 00 8B 45 FC 8B B0 D4 01 00 00 85 F6 75 57 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 D4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 59 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 D4 01 00 00 C3 E9 ?? ?? ?? ?? EB ED 55 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 59 8D 55 E4 8B C3 E8 ?? ?? ?? ?? EB 2E 55 8D 55 E4 8B 45 FC 8B 80 DC 01 00 00 E8 ?? ?? ?? ?? 59 8D 55 E4 8B C3 E8 ?? ?? ?? ?? EB 0F 53 8B 4D F8 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4563_0 {
	meta:
		name = "TClientDataSet.SetFieldData"
		size = 436
		refs = "001b TClientDataSet.SetFieldData 0032 SNotEditing 0037 LoadResString 003f DatabaseError 005b TField.GetIsIndexField 0069 TField.GetDisplayName 007f SNotIndexField 008f DatabaseErrorFmt 0099 _NF__30F 00d9 SFieldReadOnly 00f2 TField.Validate 0118 TClientDataSet.Check 0170 Move 0199 @LStrClr 01a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F8 89 5D EC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 43 5D 04 FE 2C 06 72 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 80 7B 5D 04 75 4A 83 7E 38 00 7C 14 83 BB E0 01 00 00 00 7E 3B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 30 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F0 C6 45 F4 0B 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8A 46 2E 84 C0 74 08 2C 03 0F 85 90 00 00 00 80 7E 2D 00 74 3B 8A 43 5D 2C 04 74 34 2C 02 74 30 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F0 C6 45 F4 0B 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8A 43 5D 04 FE 2C 02 73 1D 57 8B 46 38 50 8B 83 30 01 00 00 50 8B 00 FF 90 A4 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 57 8B 46 38 50 8B 45 FC 50 8B 83 30 01 00 00 50 8B 00 FF 50 60 8B D0 8B C3 E8 ?? ?? ?? ?? EB 38 0F B7 83 FA 01 00 00 0F B7 56 36 03 C2 01 45 FC 8B C7 F7 D8 1B C0 F7 D8 8B 55 FC 88 02 84 C0 74 17 8B C6 8B 10 FF 52 54 0F B7 C8 8B 45 FC 8D 50 01 8B C7 E8 ?? ?? ?? ?? 8A 43 5D 04 FB 2C 03 72 0B 8B CE 33 D2 8B C3 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4564_0 {
	meta:
		name = "TClientDataSet.CreateBlobStream"
		size = 37
		refs = "000b _Dn_TBlobField 0010 @AsClass 0019 _DV_TClientBlobStream 001e TClientBlobStream.Create"
	strings:
		$1 = { 53 56 8B D9 8B F2 53 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5714_0 {
	meta:
		name = "TBDEDataSet.CreateBlobStream"
		size = 37
		refs = "000b _Dn_TBlobField 0010 @AsClass 0019 _DV_TBlobStream 001e TBlobStream.Create"
	strings:
		$1 = { 53 56 8B D9 8B F2 53 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4566_0 {
	meta:
		name = "TBDEDataSet.CurrToBCD"
		size = 28
		refs = "0014 CurrToFMTBCD"
		altNames = "TClientDataSet.CurrToBCD"
	strings:
		$1 = { 55 8B EC FF 75 10 FF 75 0C 8B C2 8B 4D 08 BA 20 00 00 00 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_4567_0 {
	meta:
		name = "TClientDataSet.RefreshInternalCalcFields"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 34 5E C3 }
	condition:
		$1
}

rule function_4568_0 {
	meta:
		name = "_NF__336"
		size = 121
		refs = "000b _NF__336 001b TDataSet.SetTempState 004f TDataSet.RestoreState 0055 @HandleFinally 0066 @HandleAnyException 006b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 05 8B 45 08 E8 ?? ?? ?? ?? 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 45 08 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FF 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4569_0 {
	meta:
		name = "TClientDataSet.InternalFirst"
		size = 26
		refs = "0014 TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 8B 83 30 01 00 00 50 8B 00 FF 50 38 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4570_0 {
	meta:
		name = "TClientDataSet.InternalLast"
		size = 33
		refs = "0006 _NF__29D 001b TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 30 01 00 00 50 8B 00 FF 50 3C 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4571_0 {
	meta:
		name = "TClientDataSet.InternalPost"
		size = 71
		refs = "000c TDataSet.ActiveBuffer 0022 TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 80 7B 5D 02 75 1F 8B C3 E8 ?? ?? ?? ?? 50 8B 83 30 01 00 00 50 8B 00 FF 50 78 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 50 8B 83 30 01 00 00 50 8B 00 FF 50 7C 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4572_0 {
	meta:
		name = "TClientDataSet.InternalDelete"
		size = 43
		refs = "0025 TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 8B 83 30 01 00 00 50 8B 00 FF 50 74 66 85 C0 74 15 8B D0 66 C1 EA 08 66 83 FA 22 75 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4573_0 {
	meta:
		name = "TClientDataSet.Post"
		size = 27
		refs = "0006 TDataSet.Post 0015 TClientDataSet.PostKeyBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 5D 04 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5729_0 {
	meta:
		name = "TBDEDataSet.Post"
		size = 27
		refs = "0006 TDataSet.Post 0015 TBDEDataSet.PostKeyBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 5D 04 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4574_0 {
	meta:
		name = "TClientDataSet.Cancel"
		size = 27
		refs = "0006 TDataSet.Cancel 0015 TClientDataSet.PostKeyBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 5D 04 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5730_0 {
	meta:
		name = "TBDEDataSet.Cancel"
		size = 27
		refs = "0006 TDataSet.Cancel 0015 TBDEDataSet.PostKeyBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 5D 04 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4575_0 {
	meta:
		name = "TClientDataSet.InternalAddRecord"
		size = 47
		refs = "0028 TClientDataSet.Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 84 C9 74 0C 8B 83 30 01 00 00 50 8B 00 FF 50 3C 56 8B 83 30 01 00 00 50 8B 00 FF 50 7C 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4576_0 {
	meta:
		name = "TClientDataSet.InternalGotoBookmark"
		size = 31
		refs = "0018 TClientDataSet.Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 83 30 01 00 00 50 8B 00 FF 50 48 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4577_0 {
	meta:
		name = "TClientDataSet.InternalSetToRecord"
		size = 28
	strings:
		$1 = { 56 57 8B FA 8B F0 0F B7 96 FC 01 00 00 03 D7 8B C6 8B 08 FF 91 48 01 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_4578_0 {
	meta:
		name = "TClientDataSet.GetBookmarkFlag"
		size = 13
	strings:
		$1 = { 0F B7 80 FE 01 00 00 03 D0 8A 42 04 C3 }
	condition:
		$1
}

rule function_4579_0 {
	meta:
		name = "TClientDataSet.SetBookmarkFlag"
		size = 13
	strings:
		$1 = { 0F B7 80 FE 01 00 00 03 D0 88 4A 04 C3 }
	condition:
		$1
}

rule function_4580_0 {
	meta:
		name = "TClientDataSet.GetBookmarkData"
		size = 23
		refs = "0011 Move"
	strings:
		$1 = { 53 0F B7 98 FC 01 00 00 03 D3 8B 40 50 92 87 CA E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4581_0 {
	meta:
		name = "TClientDataSet.SetBookmarkData"
		size = 36
		refs = "0009 TDataSet.ActiveBuffer 001d Move"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 93 FC 01 00 00 8D 14 10 8B C6 8B 4B 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4582_0 {
	meta:
		name = "TClientDataSet.CompareBookmarks"
		size = 89
		refs = "001d _NV__35C 0042 TClientDataSet.Check"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 85 FF 0F 94 C0 83 E0 7F 85 F6 0F 94 C2 83 E2 7F 8D 14 55 ?? ?? ?? ?? 0F BE 04 02 89 04 24 83 3C 24 02 75 23 54 57 56 8B 83 30 01 00 00 50 8B 00 FF 50 50 8B D0 8B C3 E8 ?? ?? ?? ?? 83 3C 24 02 75 05 33 C0 89 04 24 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4583_0 {
	meta:
		name = "TClientDataSet.BookmarkValid"
		size = 73
		refs = "0017 TDataSet.CursorPosChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 30 01 00 00 00 0F 95 C0 84 C0 74 32 8B C3 E8 ?? ?? ?? ?? 56 8B 83 30 01 00 00 50 8B 00 FF 50 48 66 85 C0 75 13 6A 00 8B 83 30 01 00 00 50 8B 00 FF 50 20 66 85 C0 74 04 33 C0 EB 02 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_4584_0 {
	meta:
		name = "TClientDataSet.SyncCursors"
		size = 112
		refs = "0010 @IntfAddRef 0020 TClientDataSet.SyncCursors 0056 IDSCursor 0060 @FinalizeArray 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 50 8B 45 F8 50 8B 00 FF 50 28 8D 45 E4 50 8B 45 FC 50 8B 00 FF 50 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B E5 5D C3 }
	condition:
		$1
}

rule function_4585_0 {
	meta:
		name = "TClientDataSet.UndoLastChange"
		size = 104
		refs = "0015 TDataSet.CheckBrowseMode 001c TDataSet.UpdateCursorPos 004a TDataSet.CursorPosChanged 0050 TClientDataSet.UndoLastChange"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8B C6 8B 10 FF 92 7C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8A 04 24 F6 D8 1B C0 50 8B 86 30 01 00 00 50 8B 00 FF 90 80 00 00 00 66 85 C0 0F 94 C3 84 DB 74 1D 80 3C 24 00 74 07 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 A4 01 00 00 8B C3 5A 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_4586_0 {
	meta:
		name = "TClientDataSet.RevertRecord"
		size = 76
		refs = "0010 TDataSet.CheckBrowseMode 0017 TDataSet.UpdateCursorPos 002f TClientDataSet.Check 0035 TClientDataSet.RevertRecord"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 7C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 30 01 00 00 50 8B 00 FF 90 AC 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4587_0 {
	meta:
		name = "TClientDataSet.CancelUpdates"
		size = 80
		refs = "0010 TDataSet.CheckBrowseMode 0017 TDataSet.UpdateCursorPos 0034 TDataSet.CursorPosChanged 003a TClientDataSet.CancelUpdates"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 7C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 30 01 00 00 50 8B 00 FF 90 80 00 00 00 66 85 C0 74 EA 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4588_0 {
	meta:
		name = "TClientDataSet.UpdateIndexDefs"
		size = 327
		refs = "001a TClientDataSet.UpdateIndexDefs 0027 TDataSet.GetActive 0036 TClientDataSet.GetIndexDefs 0048 TFieldDefs.Update 0064 TClientDataSet.Check 0070 AllocMem 008d TIndexDefs.Clear 00d1 _NF__373 00e7 TIndexDefs.Add 0112 @FreeMem 0118 @HandleFinally 0134 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 A8 FE FF FF 53 56 57 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 EB 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 78 0C 00 0F 85 DA 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 8D 85 A8 FE FF FF 50 8B 83 30 01 00 00 50 8B 00 FF 50 14 8B D0 8B C3 E8 ?? ?? ?? ?? 69 45 BD 45 01 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 2C 01 00 00 50 8B 00 FF 50 28 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 75 BD 85 F6 7E 3E BF 01 00 00 00 8D 45 F0 50 8D 45 FB 50 6B C7 3B 8B 55 FC 8D 94 82 14 FF FF FF 8D 4D F4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 55 FB 52 8B 4D F0 8B 55 F4 E8 ?? ?? ?? ?? 47 4E 75 C7 8B C3 E8 ?? ?? ?? ?? C6 40 0C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 69 55 BD 45 01 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4589_0 {
	meta:
		name = "_NF__373"
		size = 160
		refs = "0022 @LStrFromArray 0027 _NF__373 0039 @LStrClr 0060 @LStrCat 006e TFieldDefs.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 7D 08 8B 75 0C 8B 45 F8 8B D3 B9 20 00 00 00 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 07 83 7B 68 00 74 03 80 0F 02 8B C6 E8 ?? ?? ?? ?? 8B 7B 20 4F 85 FF 7C 40 47 C7 45 F4 00 00 00 00 8D 43 24 8B D8 83 7D F4 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 4A 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 50 08 8B C6 E8 ?? ?? ?? ?? FF 45 F4 83 C3 04 4F 75 CD 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_4590_0 {
	meta:
		name = "TClientDataSet.GetIndexNames"
		size = 153
		refs = "001e TStrings.BeginUpdate 0026 TClientDataSet.GetIndexNames 003c TClientDataSet.GetIndexDefs 0041 TIndexDefs.GetCount 005a TIndexDefs.GetItem 0086 TStrings.EndUpdate 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 18 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 40 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 29 46 33 FF 8B 45 FC E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B D8 83 7B 0C 00 74 0B 8B 53 0C 8B 45 F8 8B 08 FF 51 34 47 4E 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4591_0 {
	meta:
		name = "TClientDataSet.GetIndexDefs"
		size = 40
		refs = "0011 _Dn_TIndexDefs 0016 TIndexDefs.Create"
	strings:
		$1 = { 53 8B D8 83 BB 60 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 60 01 00 00 8B 83 60 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4592_0 {
	meta:
		name = "TClientDataSet.GetIndexInfo"
		size = 80
	strings:
		$1 = { 53 56 57 81 C4 14 FF FF FF 8B D8 54 6A FF 8B 83 30 01 00 00 50 8B 00 FF 50 18 66 85 C0 75 27 8B 44 24 20 89 83 E0 01 00 00 8D 74 24 24 8D BB 78 01 00 00 B9 10 00 00 00 F3 A5 66 8B 44 24 64 66 89 83 F8 01 00 00 81 C4 EC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4593_0 {
	meta:
		name = "TClientDataSet.SwitchToIndex"
		size = 55
		refs = "0009 TClientDataSet.ResetCursorRange 0010 @LStrToPChar 0029 TClientDataSet.Check 0030 TClientDataSet.GetIndexInfo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B 83 30 01 00 00 50 8B 00 FF 90 98 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4594_0 {
	meta:
		name = "_NF__37E"
		size = 148
		refs = "000c TDataSet.GetActive 0017 TDataSet.CheckBrowseMode 001e TDataSet.UpdateCursorPos 0025 _NF__29D 0032 @LStrCmp 0053 _NF__39F 005e TClientDataSet.SwitchToIndex 0065 _NF__3EC 006b _NF__37E 0082 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 65 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 87 64 01 00 00 8B D6 E8 ?? ?? ?? ?? 75 08 3A 9F 03 02 00 00 74 39 84 DB 74 15 6A 00 6A 00 8B CE 8B 97 30 01 00 00 8B C7 E8 ?? ?? ?? ?? EB 09 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C7 8B 08 FF 91 A4 01 00 00 8D 87 64 01 00 00 8B D6 E8 ?? ?? ?? ?? 88 9F 03 02 00 00 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_4595_0 {
	meta:
		name = "_NF__37F"
		size = 236
		refs = "001c _NF__37F 0030 @FillChar 0070 ExtractFieldName 007b TFieldDefs.Find 00a6 @LStrLen 00b9 @LStrToPChar 00c2 StrCopy 00d7 @LStrClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D FC 8B DA 8B F8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 33 C9 BA EC 00 00 00 E8 ?? ?? ?? ?? F6 45 08 02 0F 95 C0 F6 D8 1B C0 89 43 68 F6 45 08 04 0F 95 C0 F6 D8 1B C0 89 45 F4 F6 45 08 08 0F 95 C0 F6 D8 1B C0 89 45 F0 C7 45 F8 01 00 00 00 EB 3C 8D 4D EC 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B 47 28 E8 ?? ?? ?? ?? 8B 40 0C 8B 53 20 89 44 93 24 8B 43 20 8B 55 F4 89 54 83 6C 8B 43 20 8B 55 F0 89 94 83 AC 00 00 00 FF 43 20 8B C6 E8 ?? ?? ?? ?? 3B 45 F8 7C 06 83 7B 20 10 7C B2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4596_0 {
	meta:
		name = "TClientDataSet.AddIndex"
		size = 108
		refs = "0015 TDataSet.CheckBrowseMode 001d TFieldDefs.Update 0031 _NF__37F 0038 TDataSet.CursorPosChanged 0054 TClientDataSet.Check 005b TClientDataSet.GetIndexDefs"
	strings:
		$1 = { 55 8B EC 81 C4 14 FF FF FF 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 57 8A 45 08 50 8D 95 14 FF FF FF 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF 50 8B 83 2C 01 00 00 50 8B 00 FF 50 3C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 40 0C 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4597_0 {
	meta:
		name = "TClientDataSet.DeleteIndex"
		size = 139
		refs = "000f TClientDataSet.DeleteIndex 001c TDataSet.CheckBrowseMode 0026 TClientDataSet.GetIndexName 0030 AnsiCompareText 003d TClientDataSet.SetIndexName 0044 @LStrToPChar 005a TClientDataSet.Check 0061 TClientDataSet.GetIndexDefs 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B 83 2C 01 00 00 50 8B 00 FF 50 40 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 40 0C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4598_0 {
	meta:
		name = "TClientDataSet.GetIndexField"
		size = 174
		refs = "0016 TClientDataSet.GetIndexField 0030 SFieldIndexError 0035 LoadResString 003d DatabaseError 004d TDataSet.FieldByNumber 005e TFieldDefs.GetItem 0074 SIndexFieldMissing 0084 DatabaseErrorFmt 0099 @LStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 08 3B B3 E0 01 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B B4 B3 78 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 75 31 8B D6 4A 8B 43 28 E8 ?? ?? ?? ?? 8B 40 08 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4599_0 {
	meta:
		name = "TClientDataSet.GetIsIndexField"
		size = 53
	strings:
		$1 = { 53 56 57 8B FA 33 D2 83 7F 38 00 7E 22 8B 88 E0 01 00 00 49 85 C9 7C 17 41 33 F6 8B 5F 38 3B 9C B0 78 01 00 00 75 04 B2 01 EB 04 46 49 75 EC 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4600_0 {
	meta:
		name = "TClientDataSet.GetIndexName"
		size = 41
		refs = "0012 @LStrClr 0022 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 03 02 00 00 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 64 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4603_0 {
	meta:
		name = "TClientDataSet.GetIndexFieldNames"
		size = 41
		refs = "0018 @LStrLAsg 0022 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 03 02 00 00 00 74 10 8B C6 8B 93 64 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4604_0 {
	meta:
		name = "TClientDataSet.SetIndexFieldNames"
		size = 23
		refs = "0010 _NF__37E"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5863_0 {
	meta:
		name = "TTable.SetIndexFieldNames"
		size = 23
		refs = "0010 _NF__7F0"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4605_0 {
	meta:
		name = "TClientDataSet.GetIndexFieldCount"
		size = 7
	strings:
		$1 = { 8B 80 E0 01 00 00 C3 }
	condition:
		$1
}

rule function_4606_0 {
	meta:
		name = "_NF__39E"
		size = 44
	strings:
		$1 = { 55 8B EC 85 C0 75 04 33 C0 5D C3 8B 45 08 8B 40 FC 8B 48 08 49 85 C9 7C 0F 41 8B C2 C7 00 FF FF FF FF 83 C0 04 49 75 F4 8B C2 5D C3 }
	condition:
		$1
}

rule function_4607_0 {
	meta:
		name = "_NF__39F"
		size = 335
		refs = "001f @IntfAddRef 0027 _NF__39F 0034 _Dn_TList 0039 TObject.Create 0056 TDataSet.GetFieldList 006e TList.Get 008b TList.Put 0098 SFieldIndexError 009d LoadResString 00a8 DatabaseError 00bf _NF__39E 00f6 TClientDataSet.Check 00fd TClientDataSet.GetIndexInfo 0112 TObject.Free 0118 @HandleFinally 0132 @LStrClr 013a @IntfClear"
	strings:
		$1 = { 55 8B EC 81 C4 74 FF FF FF 53 56 57 33 DB 89 9D 74 FF FF FF 8B D9 89 55 F8 8B F8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 4B 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 83 78 38 00 7E 19 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 48 38 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1B 8D 95 74 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF E8 ?? ?? ?? ?? 43 4E 75 B8 55 8D 95 78 FF FF FF 8A 45 0C F6 D8 1B C0 E8 ?? ?? ?? ?? 59 50 55 8D 55 B8 8A 45 08 F6 D8 1B C0 E8 ?? ?? ?? ?? 59 50 8B 45 FC 8B 40 04 50 8B 45 FC 8B 40 08 50 8B 45 F8 50 8B 00 FF 90 94 00 00 00 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4608_0 {
	meta:
		name = "TClientDataSet.AllocKeyBuffers"
		size = 177
		refs = "000c TClientDataSet.AllocKeyBuffers 0026 AllocMem 0030 TClientDataSet.InitKeyBuffer 0082 Move 0097 @HandleAnyException 009f TClientDataSet.FreeKeyBuffers 00a4 @RaiseAgain 00a9 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 DB 8B 45 FC 0F B7 80 FA 01 00 00 83 C0 08 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8A D3 8B 4D FC 89 84 91 B8 01 00 00 43 80 FB 06 75 D0 8B 45 FC 83 B8 3C 01 00 00 00 74 38 33 DB 33 C0 8A C3 8B 55 FC 8B 94 82 B8 01 00 00 8B 4D FC 8B 89 3C 01 00 00 8B 84 81 B8 01 00 00 8B 4D FC 0F B7 89 FA 01 00 00 83 C1 08 E8 ?? ?? ?? ?? 43 80 FB 06 75 CA 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_4609_0 {
	meta:
		name = "TClientDataSet.FreeKeyBuffers"
		size = 41
		refs = "001c DisposeMem"
	strings:
		$1 = { 53 56 8B F0 33 DB 0F B7 96 FA 01 00 00 83 C2 08 33 C0 8A C3 8D 84 86 B8 01 00 00 E8 ?? ?? ?? ?? 43 80 FB 06 75 E0 5E 5B C3 }
	condition:
		$1
}

rule function_4610_0 {
	meta:
		name = "TClientDataSet.InitKeyBuffer"
		size = 57
		refs = "0015 @FillChar 0030 TClientDataSet.Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B7 93 FA 01 00 00 83 C2 08 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 83 C0 08 50 8B 83 30 01 00 00 50 8B 00 FF 50 70 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4611_0 {
	meta:
		name = "TClientDataSet.CheckSetKeyMode"
		size = 78
		refs = "0009 TClientDataSet.CheckSetKeyMode 001d SNotEditing 0022 LoadResString 002a DatabaseError 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 5D 04 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5749_0 {
	meta:
		name = "TBDEDataSet.CheckSetKeyMode"
		size = 78
		refs = "0009 TBDEDataSet.CheckSetKeyMode 001d SNotEditing 0022 LoadResString 002a DatabaseError 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 5D 04 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_4612_0 {
	meta:
		name = "TClientDataSet.SetCursorRange"
		size = 235
		refs = "0020 BuffersEqual 004e _NF__29D 009d TClientDataSet.Check 00b8 Move"
	strings:
		$1 = { 53 56 57 55 51 8B E8 33 DB 0F B7 8D FA 01 00 00 83 C1 08 8B 95 C4 01 00 00 8B 85 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 23 0F B7 8D FA 01 00 00 83 C1 08 8B 95 C8 01 00 00 8B 85 C0 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 98 00 00 00 8B C5 E8 ?? ?? ?? ?? 8B B5 BC 01 00 00 8B BD C0 01 00 00 8B DE 83 C3 08 8B C7 83 C0 08 89 04 24 8A 47 01 34 01 F6 D8 1B C0 50 8B 44 24 04 50 8A 46 01 34 01 F6 D8 1B C0 50 53 8B 46 04 50 8B 85 30 01 00 00 50 8B 00 FF 90 8C 00 00 00 8B D0 8B C5 E8 ?? ?? ?? ?? 0F B7 8D FA 01 00 00 83 C1 08 8B 95 C4 01 00 00 8B 85 BC 01 00 00 E8 ?? ?? ?? ?? 0F B7 8D FA 01 00 00 83 C1 08 8B 95 C8 01 00 00 8B 85 C0 01 00 00 E8 ?? ?? ?? ?? 8B C5 8B 10 FF 92 B0 01 00 00 B3 01 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4613_0 {
	meta:
		name = "TClientDataSet.ResetCursorRange"
		size = 91
		refs = "002f TClientDataSet.Check 003c TClientDataSet.InitKeyBuffer"
	strings:
		$1 = { 53 8B D8 33 C0 8B 93 C4 01 00 00 80 3A 00 75 0B 8B 93 C8 01 00 00 80 3A 00 74 3E 8B 83 30 01 00 00 50 8B 00 FF 90 90 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 93 C4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 C8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 B0 01 00 00 B0 01 5B C3 }
	condition:
		$1
}

rule function_4614_0 {
	meta:
		name = "TClientDataSet.SetLinkRanges"
		size = 203
		refs = "0014 TDataSet.SetTempState 001f TClientDataSet.SetLinkRanges 0036 TClientDataSet.InitKeyBuffer 0058 TList.Get 0063 TClientDataSet.GetIndexField 0094 TDataSet.RestoreState 009a @HandleFinally 00c0 Move"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC B2 04 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 BC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 D0 01 00 00 C6 03 01 8B 77 08 4E 85 F6 7C 21 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 43 4E 75 E2 8B 47 08 8B 55 FC 8B 92 D0 01 00 00 89 42 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 0F B7 88 FA 01 00 00 83 C1 08 8B 45 FC 8B 90 C0 01 00 00 8B 45 FC 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4615_0 {
	meta:
		name = "TClientDataSet.GetKeyBuffer"
		size = 11
	strings:
		$1 = { 83 E2 7F 8B 84 90 B8 01 00 00 C3 }
	condition:
		$1
}

rule function_4616_0 {
	meta:
		name = "TClientDataSet.SetKeyBuffer"
		size = 113
		refs = "000d TDataSet.CheckBrowseMode 0033 Move 0046 TClientDataSet.InitKeyBuffer 004f TDataSet.SetState 005e TDataSet.SetModified"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 8B 84 86 B8 01 00 00 89 86 D0 01 00 00 0F B7 8E FA 01 00 00 83 C1 08 8B 96 CC 01 00 00 E8 ?? ?? ?? ?? 80 3C 24 00 74 0D 8B 96 D0 01 00 00 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 E8 ?? ?? ?? ?? 8B 86 D0 01 00 00 8A 10 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 02 8B C6 8B 18 FF 53 50 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4617_0 {
	meta:
		name = "TClientDataSet.PostKeyBuffer"
		size = 86
		refs = "003a Move 0043 TDataSet.SetState"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 33 C9 B2 07 8B C6 8B 38 FF 57 50 84 DB 74 0D 8B 86 D0 01 00 00 8A 56 5A 88 10 EB 1B 0F B7 8E FA 01 00 00 83 C1 08 8B 96 D0 01 00 00 8B 86 CC 01 00 00 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 02 8B C6 8B 18 FF 53 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4618_0 {
	meta:
		name = "TClientDataSet.GetKeyExclusive"
		size = 21
		refs = "0006 TClientDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 D0 01 00 00 8A 40 01 5B C3 }
	condition:
		$1
}

rule function_4619_0 {
	meta:
		name = "TClientDataSet.SetKeyExclusive"
		size = 25
		refs = "0009 TClientDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 D0 01 00 00 88 58 01 5E 5B C3 }
	condition:
		$1
}

rule function_4620_0 {
	meta:
		name = "TClientDataSet.GetKeyFieldCount"
		size = 21
		refs = "0006 TClientDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 D0 01 00 00 8B 40 04 5B C3 }
	condition:
		$1
}

rule function_4621_0 {
	meta:
		name = "TClientDataSet.SetKeyFieldCount"
		size = 25
		refs = "0009 TClientDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 D0 01 00 00 89 70 04 5E 5B C3 }
	condition:
		$1
}

rule function_4622_0 {
	meta:
		name = "TClientDataSet.SetKeyFields"
		size = 258
		refs = "001a TClientDataSet.SetKeyFields 0034 SNoFieldIndexes 0039 LoadResString 0041 DatabaseError 004b TDataSet.SetTempState 0072 TClientDataSet.InitKeyBuffer 0092 TClientDataSet.GetIndexField 0099 TField.AssignValue 00d0 TDataSet.RestoreState 00d6 @HandleFinally 00ed @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 E0 01 00 00 00 75 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B2 04 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 8A C3 8B 55 FC 8B 94 82 B8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 D0 01 00 00 8B 75 08 85 F6 7C 1E 46 33 FF 8B 5D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 83 C3 08 4E 75 E8 8B 55 08 42 8B 45 FC 8B 80 D0 01 00 00 89 50 04 8B 55 FC 8A 52 5A 88 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4623_0 {
	meta:
		name = "TClientDataSet.FindKey"
		size = 39
		refs = "000c TDataSet.CheckBrowseMode 0018 TClientDataSet.SetKeyFields 001f TClientDataSet.GotoKey"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4624_0 {
	meta:
		name = "TClientDataSet.FindNearest"
		size = 39
		refs = "000c TDataSet.CheckBrowseMode 0018 TClientDataSet.SetKeyFields 001f TClientDataSet.GotoNearest"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5870_0 {
	meta:
		name = "TTable.FindKey"
		size = 39
		refs = "000c TDataSet.CheckBrowseMode 0018 TBDEDataSet.SetKeyFields 001f TTable.GotoKey"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5871_0 {
	meta:
		name = "TTable.FindNearest"
		size = 39
		refs = "000c TDataSet.CheckBrowseMode 0018 TBDEDataSet.SetKeyFields 001f TTable.GotoNearest"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4625_0 {
	meta:
		name = "TClientDataSet.GotoKey"
		size = 104
		refs = "0008 TDataSet.CheckBrowseMode 000f TDataSet.CursorPosChanged 0016 _NF__29D 001f TClientDataSet.GetKeyBuffer 004d TClientDataSet.GotoKey"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B F0 8B DE 83 C3 08 6A 00 53 6A 00 8B 46 04 50 8B 87 30 01 00 00 50 8B 00 FF 50 58 66 85 C0 0F 94 C0 8B D8 84 DB 74 10 8A 15 ?? ?? ?? ?? 8B C7 8B 08 FF 91 A4 01 00 00 8B C3 5F 5E 5B C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_4626_0 {
	meta:
		name = "TClientDataSet.GotoNearest"
		size = 108
		refs = "0009 TDataSet.CheckBrowseMode 0010 _NF__29D 0019 TClientDataSet.GetKeyBuffer 004f TClientDataSet.Check 0055 TClientDataSet.GotoNearest"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 8B EE 83 C5 08 80 7E 01 00 74 07 BF 01 00 00 00 EB 05 BF 02 00 00 00 55 6A 00 8B 46 04 50 57 8B 83 30 01 00 00 50 8B 00 FF 50 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 5D 5F 5E 5B C3 02 00 00 00 }
	condition:
		$1
}

rule function_4627_0 {
	meta:
		name = "TClientDataSet.SetKey"
		size = 10
		refs = "0005 TClientDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5874_0 {
	meta:
		name = "TTable.SetKey"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4629_0 {
	meta:
		name = "TClientDataSet.ApplyRange"
		size = 30
		refs = "0006 TDataSet.CheckBrowseMode 000d TClientDataSet.SetCursorRange 0018 TDataSet.First"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9299_0 {
	meta:
		name = "TCustomMaskEdit.WMSetFocus"
		size = 30
		refs = "0006 TWinControl.WMSetFocus 000d TCustomMaskEdit.GetMasked 0018 TCustomMaskEdit.CheckCursor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5876_0 {
	meta:
		name = "TTable.ApplyRange"
		size = 30
		refs = "0006 TDataSet.CheckBrowseMode 000d TBDEDataSet.SetCursorRange 0018 TDataSet.First"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4630_0 {
	meta:
		name = "TClientDataSet.CancelRange"
		size = 52
		refs = "0006 TDataSet.CheckBrowseMode 000d TDataSet.UpdateCursorPos 0014 TClientDataSet.ResetCursorRange 001e TClientDataSet.CancelRange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5877_0 {
	meta:
		name = "TTable.CancelRange"
		size = 52
		refs = "0006 TDataSet.CheckBrowseMode 000d TDataSet.UpdateCursorPos 0014 TBDEDataSet.ResetCursorRange 001e TTable.CancelRange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4631_0 {
	meta:
		name = "TClientDataSet.SetRange"
		size = 61
		refs = "000f TDataSet.CheckBrowseMode 001b TClientDataSet.SetKeyFields 0032 TClientDataSet.ApplyRange"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D 0C B2 02 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5878_0 {
	meta:
		name = "TTable.SetRange"
		size = 61
		refs = "000f TDataSet.CheckBrowseMode 001b TBDEDataSet.SetKeyFields 0032 TTable.ApplyRange"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D 0C B2 02 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4632_0 {
	meta:
		name = "TClientDataSet.SetRangeEnd"
		size = 10
		refs = "0005 TClientDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5879_0 {
	meta:
		name = "TTable.SetRangeEnd"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4634_0 {
	meta:
		name = "TClientDataSet.EditRangeEnd"
		size = 10
		refs = "0005 TClientDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5881_0 {
	meta:
		name = "TTable.EditRangeEnd"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4635_0 {
	meta:
		name = "TClientDataSet.EditRangeStart"
		size = 10
		refs = "0005 TClientDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5882_0 {
	meta:
		name = "TTable.EditRangeStart"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4636_0 {
	meta:
		name = "_NF__3EB"
		size = 482
		refs = "0019 _NF__3EB 0043 TClientDataSet.GetProvider 0092 VarArrayCreate 009d @OleVarFromVar 00c1 TList.Get 00d0 TClientDataSet.GetIndexField 00db @VarFromLStr 0118 VarArrayOf 0125 @VarArrayPut 0150 @CheckAutoResult 015b @VarClr 01ad Variant 01b7 @FinalizeArray 01c7 @IntfClear 01d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 83 30 01 00 00 50 8B 00 FF 50 34 83 7D FC 00 0F 85 53 01 00 00 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 0F 84 3F 01 00 00 80 BB 07 02 00 00 00 0F 85 32 01 00 00 83 BB F0 01 00 00 00 0F 85 25 01 00 00 8D 45 D4 50 33 C0 89 45 CC 8B 83 74 01 00 00 8B 40 24 8B 40 08 48 89 45 D0 8D 45 CC B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D4 8D 45 E8 E8 ?? ?? ?? ?? 8B 83 74 01 00 00 8B 40 24 8B 78 08 4F 85 FF 7C 7E 47 33 F6 8B 83 74 01 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 89 45 F8 56 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 28 8D 45 9C E8 ?? ?? ?? ?? 56 57 8D 75 9C 8D 7D AC B9 04 00 00 00 F3 A5 5F 5E 8D 55 8C 8B 45 F8 8B 08 FF 51 4C 56 57 8D 75 8C 8D 7D BC B9 04 00 00 00 F3 A5 5F 5E 8D 45 AC 8D 4D D4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 46 4F 75 85 FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 50 8D 45 FC 50 6A FF 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 33 C9 8B C3 8B 18 FF 93 AC 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 8C 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4637_0 {
	meta:
		name = "_NF__3EC"
		size = 50
		refs = "001e TClientDataSet.SetLinkRanges 0025 TClientDataSet.SetCursorRange 002c _NF__3EB"
	strings:
		$1 = { 53 8B D8 8B 83 74 01 00 00 80 78 15 00 74 21 8B 50 24 83 7A 08 00 7E 18 8B 50 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4638_0 {
	meta:
		name = "_NF__3ED"
		size = 49
		refs = "0006 TDataSet.CheckBrowseMode 0016 TClientDataSet.SetLinkRanges 001d TClientDataSet.SetCursorRange 0024 _NF__3EB 002b TDataSet.First"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 74 01 00 00 8B 50 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4640_0 {
	meta:
		name = "TClientDataSet.Loaded"
		size = 34
		refs = "0006 TDataSet.Loaded 0011 VarIsNull 001c TDataSet.Open"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 83 40 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4641_0 {
	meta:
		name = "_NF__3F1"
		size = 301
		refs = "001e _NF__3F1 0033 TStream.ReadBuffer 005f VarArrayCreate 006f @OleVarFromVar 008a VarArrayLock 00be VarArrayUnlock 00c4 @HandleFinally 00d5 @HandleAnyException 00e3 Null 00ed @RaiseAgain 00f2 @DoneExcept 011c @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D E8 89 4D EC 89 4D F0 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 0F 8E B7 00 00 00 8D 45 E8 50 33 C0 89 45 E0 8B 45 F8 48 89 45 E4 8D 45 E0 B9 11 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 05 40 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 05 40 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B 45 FC 05 40 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4642_0 {
	meta:
		name = "_NF__3F2"
		size = 138
		refs = "0011 TDataSet.CheckBrowseMode 001e VarArrayLock 0028 _NF__3F2 0040 VarArrayHighBound 0052 TStream.WriteBuffer 0078 VarArrayUnlock 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 40 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4643_0 {
	meta:
		name = "TClientDataSet.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 74 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_4644_0 {
	meta:
		name = "TClientDataSet.SetDataSource"
		size = 174
		refs = "000f TClientDataSet.SetDataSource 001e TDataSet.IsLinkedTo 002a SCircularDataLink 002f LoadResString 0037 DatabaseError 0044 TDataLink.SetDataSource 009d @LStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 83 74 01 00 00 E8 ?? ?? ?? ?? F6 43 20 10 74 3E F6 43 20 01 75 38 85 F6 74 1A 83 BB F0 01 00 00 FF 75 08 33 C0 89 83 F0 01 00 00 C6 83 08 02 00 00 00 EB 1A 83 BB F0 01 00 00 00 75 0A C7 83 F0 01 00 00 FF FF FF FF C6 83 08 02 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4645_0 {
	meta:
		name = "TClientDataSet.GetMasterFields"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 74 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4646_0 {
	meta:
		name = "TClientDataSet.SetMasterFields"
		size = 12
		refs = "0007 TMasterDataLink.SetFieldNames"
	strings:
		$1 = { 8B 80 74 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12293_0 {
	meta:
		name = "TQRExpr.Reset"
		size = 12
		refs = "0007 TQREvaluator.Reset"
	strings:
		$1 = { 8B 80 74 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4647_0 {
	meta:
		name = "TClientDataSet.DoOnNewRecord"
		size = 82
		refs = "0034 TList.Get 003f TClientDataSet.SetIndexField 004a TDataSet.DoOnNewRecord"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 74 01 00 00 80 78 15 00 74 36 8B 50 24 83 7A 08 00 7E 2D 8B 40 24 8B 78 08 4F 85 FF 7C 22 47 33 F6 8B 83 74 01 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E1 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4648_0 {
	meta:
		name = "TClientDataSet.DefineProperties"
		size = 96
		refs = "000b TComponent.DefineProperties 0011 _NF__3F1 0017 _NF__3F2 0028 VarIsNull 0040 TClientDataSet.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 80 7B 5D 01 75 18 8D 83 40 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 09 83 BB E4 01 00 00 00 74 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 00 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_4649_0 {
	meta:
		name = "TClientDataSet.ActivateFilters"
		size = 41
		refs = "0012 _NF__406 0023 _NF__408"
	strings:
		$1 = { 53 8B D8 83 7B 70 00 74 0D 8A 4B 74 8B 53 70 8B C3 E8 ?? ?? ?? ?? 66 83 BB 26 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4650_0 {
	meta:
		name = "TClientDataSet.DeactivateFilters"
		size = 73
	strings:
		$1 = { 53 8B D8 8B 83 6C 01 00 00 85 C0 74 18 50 8B 83 30 01 00 00 50 8B 00 FF 90 88 00 00 00 33 C0 89 83 6C 01 00 00 8B 83 68 01 00 00 85 C0 74 18 50 8B 83 30 01 00 00 50 8B 00 FF 90 88 00 00 00 33 C0 89 83 68 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4651_0 {
	meta:
		name = "_NF__406"
		size = 168
		refs = "0037 _Dn_TExprParser 003c TExprParser.Create 0047 _NF__406 0054 _NF__29D 0081 TClientDataSet.Check 0096 TObject.Free 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 4D FF 8B F2 8B D8 8B 83 68 01 00 00 85 C0 74 10 50 8B 83 30 01 00 00 50 8B 00 FF 90 88 00 00 00 85 F6 74 75 56 8A 45 FF 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 83 68 01 00 00 50 8B 45 F8 8B 40 28 50 8B 45 F8 8B 40 24 50 8B 83 30 01 00 00 50 8B 00 FF 90 84 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4652_0 {
	meta:
		name = "_NF__407"
		size = 132
		refs = "000d TDataSet.SetTempState 0024 _NF__407 0052 @HandleAnyException 0057 Application 0061 TApplication.HandleException 0066 @DoneExcept 0071 TDataSet.RestoreState"
	strings:
		$1 = { 55 8B EC 51 53 56 57 B2 06 8B 45 08 E8 ?? ?? ?? ?? 88 45 FF 8B 45 08 8B 55 0C 89 90 70 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FE 01 8D 4D FE 8B 5D 08 8B 55 08 8B 83 28 01 00 00 FF 93 24 01 00 00 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FF 8B 45 08 E8 ?? ?? ?? ?? 8A 45 FE F6 D8 1B C0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4653_0 {
	meta:
		name = "_NF__408"
		size = 76
		refs = "0020 _NF__29D 002c _NF__407 0046 TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 8B 83 6C 01 00 00 85 C0 74 10 50 8B 83 30 01 00 00 50 8B 00 FF 90 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 6C 01 00 00 50 B8 ?? ?? ?? ?? 50 53 8B 83 30 01 00 00 50 8B 00 FF 90 A0 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4654_0 {
	meta:
		name = "TClientDataSet.SetFilterData"
		size = 106
		refs = "000d TDataSet.GetActive 001e TDataSet.CheckBrowseMode 0028 @LStrCmp 003e _NF__406 004f TDataSet.First 0058 TDataSet.SetFilterText 0062 TDataSet.SetFilterOptions"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E 80 7B 6B 00 74 38 8B C3 E8 ?? ?? ?? ?? 8B 43 70 8B D6 E8 ?? ?? ?? ?? 75 08 8A 04 24 3A 43 74 74 0C 8A 0C 24 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 B0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4655_0 {
	meta:
		name = "TClientDataSet.SetFilterText"
		size = 9
		refs = "0004 TClientDataSet.SetFilterData"
	strings:
		$1 = { 8A 48 74 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5770_0 {
	meta:
		name = "TBDEDataSet.SetFilterText"
		size = 9
		refs = "0004 TBDEDataSet.SetFilterData"
	strings:
		$1 = { 8A 48 74 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4656_0 {
	meta:
		name = "TClientDataSet.SetFilterOptions"
		size = 17
		refs = "000b TClientDataSet.SetFilterData"
	strings:
		$1 = { 51 88 14 24 8A 0C 24 8B 50 70 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_5772_0 {
	meta:
		name = "TBDEDataSet.SetFilterOptions"
		size = 17
		refs = "000b TBDEDataSet.SetFilterData"
	strings:
		$1 = { 51 88 14 24 8A 0C 24 8B 50 70 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_4657_0 {
	meta:
		name = "TClientDataSet.SetOnFilterRecord"
		size = 139
		refs = "0009 TDataSet.GetActive 001a TDataSet.CheckBrowseMode 0045 TDataSet.SetOnFilterRecord 004c _NF__408 0075 TDataSet.First"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 68 80 7B 6B 00 74 62 8B C3 E8 ?? ?? ?? ?? 66 83 BB 26 01 00 00 00 0F 95 C2 66 8B 45 0A 66 85 C0 0F 95 C1 3A D1 74 31 66 85 C0 74 16 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 16 8B 83 6C 01 00 00 50 8B 83 30 01 00 00 50 8B 00 FF 90 88 00 00 00 8B C3 8B 10 FF 92 B0 01 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4658_0 {
	meta:
		name = "TClientDataSet.SetFiltered"
		size = 102
		refs = "0009 TDataSet.GetActive 0014 TDataSet.CheckBrowseMode 003a TClientDataSet.ActivateFilters 0043 TClientDataSet.DeactivateFilters 004c TDataSet.SetFiltered 0053 TDataSet.First"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 49 8B C6 E8 ?? ?? ?? ?? 3A 5E 6B 74 33 8B C6 8B 10 FF 92 B0 01 00 00 8B 86 30 01 00 00 50 8B 00 FF 50 38 84 DB 74 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4659_0 {
	meta:
		name = "TClientDataSet.FindRecord"
		size = 532
		refs = "001c TClientDataSet.FindRecord 002a TDataSet.CheckBrowseMode 0034 TDataSet.SetFound 003c TDataSet.UpdateCursorPos 0044 TDataSet.CursorPosChanged 004c _NF__29D 0077 @IntfClear 008b TClientDataSet.ActivateFilters 00ad _NF__282 00bd @IntfCopy 00d2 TClientDataSet.DeactivateFilters 00d8 @HandleFinally 00fa TClientDataSet.SyncCursors 013d TClientDataSet.Check 01cf TDataSet.GetFound 01f3 IDSCursor 01fd @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 5D F4 88 4D FA 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 94 00 00 00 8B 45 FC 80 78 6B 00 0F 85 A9 00 00 00 80 7D FB 00 74 0D 8B 45 FC 05 38 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 38 01 00 00 00 75 57 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 45 FC 8B 90 30 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 05 38 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FB 00 75 1A 8B 45 FC 8B 88 30 01 00 00 8B 45 FC 8B 90 38 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 92 38 01 00 00 E8 ?? ?? ?? ?? EB 11 8D 45 F4 8B 55 FC 8B 92 30 01 00 00 E8 ?? ?? ?? ?? 80 7D FA 00 74 26 80 7D FB 00 74 13 8B 45 F4 50 8B 00 FF 50 38 8B D0 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 F4 50 8B 00 FF 50 40 EB 24 80 7D FB 00 74 13 8B 45 F4 50 8B 00 FF 50 3C 8B D0 8B 45 FC E8 ?? ?? ?? ?? 6A FF 8B 45 F4 50 8B 00 FF 50 40 8B 55 FC 8B 92 30 01 00 00 3B 55 F4 74 2B 8B 45 FC 8B 88 38 01 00 00 8B 45 FC 8B 90 30 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 80 30 01 00 00 50 8B 00 FF 50 20 66 85 C0 75 1B 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 A4 01 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 74 08 8B 45 FC 8B 10 FF 52 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 8B E5 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_4660_0 {
	meta:
		name = "TClientDataSet.DestroyLookupCursor"
		size = 27
		refs = "000a @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 83 34 01 00 00 E8 ?? ?? ?? ?? 8D 83 38 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4661_0 {
	meta:
		name = "TClientDataSet.LocateRecord"
		size = 570
		refs = "0022 TClientDataSet.LocateRecord 0030 TDataSet.CheckBrowseMode 0038 TDataSet.CursorPosChanged 0040 _NF__29D 0048 TDataSet.TempBuffer 0051 _Dn_TList 0056 TObject.Create 0074 TDataSet.GetFieldList 009b _NF__282 00ab @IntfCopy 00c1 _NF__39F 00d4 TDataSet.SetTempState 0106 TList.First 0125 TList.Get 0136 @VarArrayGet 0156 TList.Last 0177 @LStrLen 01aa TDataSet.RestoreState 01b0 @HandleFinally 01d9 TClientDataSet.SyncCursors 01ee TObject.Free 0213 @LStrClr 021b @VarClr 0223 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? F6 45 0C 01 0F 95 C3 8B 45 FC 83 B8 34 01 00 00 00 75 24 8D 4D E8 8B 45 FC 8B 90 30 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 05 34 01 00 00 E8 ?? ?? ?? ?? 53 6A 00 8B 45 FC 8B 90 34 01 00 00 8B CE 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 B8 70 01 00 00 B2 06 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 FC 8B 08 FF 91 E0 00 00 00 8B 45 F4 8B 40 08 89 45 F0 83 7D F0 01 75 12 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 7C EB 36 8B 75 F0 4E 85 F6 7C 2E 46 33 DB 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 50 53 6A 01 8B 45 F8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 D8 58 8B 08 FF 51 7C 43 4E 75 D5 33 DB F6 45 0C 02 74 2B 8B 45 F4 E8 ?? ?? ?? ?? 80 78 2C 01 75 1D FF 4D F0 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D4 8B 08 FF 51 48 8B 45 D4 E8 ?? ?? ?? ?? 8B D8 57 57 53 8B 45 F0 50 8B 45 FC 8B 80 34 01 00 00 50 8B 00 FF 50 58 66 89 45 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 80 7D 08 00 74 21 66 83 7D EE 00 75 1A 8B 45 FC 8B 88 34 01 00 00 8B 45 FC 8B 90 30 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 66 83 7D EE 00 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4662_0 {
	meta:
		name = "TClientDataSet.Lookup"
		size = 156
		refs = "0015 Null 001a @VarCopy 001f TClientDataSet.Lookup 002e TClientDataSet.LocateRecord 003c TDataSet.SetTempState 0052 TDataSet.TempBuffer 0069 TDataSet.GetFieldValue 0082 TDataSet.RestoreState 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 6A 00 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 58 B2 05 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 34 8B CB 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 08 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4663_0 {
	meta:
		name = "TClientDataSet.Locate"
		size = 84
		refs = "0023 TClientDataSet.LocateRecord 002f TClientDataSet.Locate"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 8B 10 FF 92 94 00 00 00 8A 45 08 50 6A 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 17 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 A4 01 00 00 8B C6 8B 10 FF 52 74 8B C3 5F 5E 5B 5D C2 04 00 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_5778_0 {
	meta:
		name = "TBDEDataSet.Locate"
		size = 84
		refs = "0023 TBDEDataSet.LocateRecord 002f TBDEDataSet.Locate"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 8B 10 FF 92 94 00 00 00 8A 45 08 50 6A 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 17 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 A4 01 00 00 8B C6 8B 10 FF 52 74 8B C3 5F 5E 5B 5D C2 04 00 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_4664_0 {
	meta:
		name = "TClientDataSet.GotoCurrent"
		size = 106
		refs = "000f TClientDataSet.GotoCurrent 001c TDataSet.CheckBrowseMode 0023 _NF__29D 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 38 8D 55 FC 8B C6 8B 08 FF 91 A8 00 00 00 8B 55 FC 8B C3 8B 08 FF 91 F8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4665_0 {
	meta:
		name = "TClientBlobStream.Create"
		size = 275
		refs = "0019 @ClassCreate 0029 TClientBlobStream.Create 0046 _DV_TClientDataSet 004b @AsClass 005a _NF__30F 0076 TField.GetDisplayName 008c SFieldReadOnly 0091 LoadResString 009c DatabaseErrorFmt 00b0 SNotEditing 00bd DatabaseError 00c9 TClientBlobStream.Truncate 00d2 _NF__43A 00ec @LStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 89 46 14 8B 40 38 89 46 20 8B 46 14 8B 40 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7E 18 8D 56 1C 8B C7 E8 ?? ?? ?? ?? 84 C0 74 74 84 DB 74 5B 8B 46 14 80 78 2D 00 74 31 8D 55 F0 8B 46 14 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 46 18 8A 40 5D 04 FE 2C 02 72 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 80 FB 01 75 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4666_0 {
	meta:
		name = "TClientBlobStream.Destroy"
		size = 206
		refs = "0020 TClientBlobStream.Destroy 002e TStream.GetSize 0061 TClientDataSet.Check 006e TBlobField.SetModified 0090 @HandleAnyException 0095 Application 009f TApplication.HandleException 00a4 @DoneExcept 00b2 TMemoryStream.Destroy 00c0 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FB 89 45 FC 8B 45 FC 80 78 24 00 0F 84 8C 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 04 50 6A 00 8B 45 FC 8B 40 20 50 8B 45 FC 8B 40 1C 50 8B 45 FC 8B 58 18 8B 83 30 01 00 00 50 8B 00 FF 50 6C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 14 8B 45 FC 8B 40 18 33 D2 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FE 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4667_0 {
	meta:
		name = "_NF__43A"
		size = 105
		refs = "0022 TClientDataSet.Check 0031 TStream.SetPosition"
	strings:
		$1 = { 53 56 51 8B D8 54 8B 43 20 50 8B 43 1C 50 8B 73 18 8B 86 30 01 00 00 50 8B 00 FF 50 64 8B D0 8B C6 E8 ?? ?? ?? ?? 83 3C 24 00 7E 39 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 14 24 8B C3 8B 08 FF 11 54 8B 43 04 50 6A 00 8B 43 20 50 8B 43 1C 50 8B 73 18 8B 86 30 01 00 00 50 8B 00 FF 50 68 8B D0 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4668_0 {
	meta:
		name = "TClientBlobStream.Write"
		size = 16
		refs = "0006 TMemoryStream.Write"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 24 01 5B C3 }
	condition:
		$1
}

rule function_4669_0 {
	meta:
		name = "TClientBlobStream.Truncate"
		size = 16
		refs = "0006 TMemoryStream.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 24 01 5B C3 }
	condition:
		$1
}

rule function_4672_0 {
	meta:
		name = "SafeArrayToVariant"
		size = 44
		refs = "000d @VarClear 0020 Null 0025 @VarCopy"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 F6 74 12 8B C3 E8 ?? ?? ?? ?? 66 C7 03 11 20 89 73 08 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4673_0 {
	meta:
		name = "FMTBCDToCurr"
		size = 149
		refs = "004e _NV__10C 0070 FPower10 007a _NV__10D"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 89 C3 89 D6 B0 00 0F B6 13 09 D2 74 7A 8D 4A 01 D1 E9 8A 44 0B 01 88 C4 C0 E8 04 80 E4 0F 66 89 44 4D BE 49 75 EC 31 C0 8A 44 0D C0 08 C0 75 09 41 39 D1 75 F3 D9 EE EB 33 89 45 BC DB 45 BC 41 39 D1 74 12 D8 0D ?? ?? ?? ?? 8A 44 0D C0 89 45 BC DA 45 BC EB E9 8A 43 01 08 C0 79 02 D9 E0 83 E0 3F 83 E8 04 F7 D8 E8 ?? ?? ?? ?? 9B D9 7D BA D9 2D ?? ?? ?? ?? DF 3E 9B DF E0 F6 D0 80 E0 01 9B DB E2 D9 6D BA 9B 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4674_0 {
	meta:
		name = "CurrToFMTBCD"
		size = 139
		refs = "001f _NV__111"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 89 C6 87 D1 88 0E 88 56 01 83 EA 04 74 1A 77 0F DF 6D 08 D8 34 95 ?? ?? ?? ?? DF 7D 08 EB 09 49 C6 44 0D C0 00 4A 75 F7 8B 45 08 8B 5D 0C 09 DB 79 0B F7 DB F7 D8 83 DB 00 80 4E 01 80 BF 0A 00 00 00 89 C2 09 DA 74 0C 31 D2 09 DB 74 04 93 F7 F7 93 F7 F7 88 54 0D BF 49 75 E7 09 D8 B0 00 75 18 8A 0E 41 D1 E9 66 8B 44 4D BE C0 E0 04 08 E0 88 44 0E 01 49 75 EF B0 01 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4675_0 {
	meta:
		name = "TFilterExpr.Create"
		size = 42
		refs = "000b @ClassCreate"
	strings:
		$1 = { 55 8B EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 04 8A 4D 08 88 48 08 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C 5D C2 04 00 }
	condition:
		$1
}

rule function_4676_0 {
	meta:
		name = "TFilterExpr.Destroy"
		size = 58
		refs = "000d @FreeMem 001a TExprNode 001f @Dispose 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 56 14 8B 46 10 E8 ?? ?? ?? ?? EB 10 8B 10 89 56 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 0C 85 C0 75 E9 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4677_0 {
	meta:
		name = "_NF__11F"
		size = 141
		refs = "0015 _NF__11F 0026 @VarToLStr 0031 TDataSet.FieldByName 0046 SExprBadField 004b LoadResString 0064 DatabaseErrorFmt 0079 @LStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 56 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B D8 8A 43 2E 84 C0 74 2A 2C 03 74 26 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 28 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4678_0 {
	meta:
		name = "_NF__120"
		size = 57
		refs = "0012 @ReallocMem 0029 Move"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 53 14 03 D7 8D 43 10 E8 ?? ?? ?? ?? 8D 04 37 8B 53 10 03 D0 8B 4B 14 2B CE 8B 43 10 03 C6 E8 ?? ?? ?? ?? 01 7B 14 8B 43 10 03 C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4679_0 {
	meta:
		name = "TFilterExpr.GetFilterData"
		size = 81
		refs = "0012 @GetMem 001e _NF__13D"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BE 0A 00 00 00 89 73 14 8B C6 E8 ?? ?? ?? ?? 89 43 10 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 10 66 C7 00 02 00 66 8B 53 14 66 89 50 02 66 C7 40 04 FF FF 66 C7 40 06 0A 00 66 8B 53 18 66 83 C2 0A 66 89 50 08 8B 43 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4680_0 {
	meta:
		name = "TFilterExpr.NewCompareNode"
		size = 144
		refs = "0018 TFilterExpr.NewCompareNode 0023 Unassigned 002f @VarFromLStr 0042 TFilterExpr.NewNode 0079 @VarClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 50 8D 45 F0 8B 56 28 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 6A 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 50 8B 45 08 50 6A 00 6A 00 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 50 8B CF B2 02 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4681_0 {
	meta:
		name = "TFilterExpr.NewNode"
		size = 95
		refs = "0013 TExprNode 001d @New 0041 @VarCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 88 55 FF 8B F0 8B 15 ?? ?? ?? ?? B8 24 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B DF 8B 46 0C 89 03 8A 45 FF 88 43 04 C6 43 05 00 8B 45 F8 89 43 08 8D 43 0C 8B 55 10 E8 ?? ?? ?? ?? 8B 45 0C 89 43 1C 8B 45 08 89 43 20 89 7E 0C 8B C7 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4682_0 {
	meta:
		name = "_NF__131"
		size = 966
		refs = "0019 _NF__131 0047 _NV__130 0053 _NF__11F 006d _NF__13F 0079 _NF__13E 0085 _NF__140 00b3 VarIsNull 00de SExprBadNullTest 00e3 LoadResString 00eb DatabaseError 0141 @VarToLStr 0149 @LStrLen 01a4 @LStrDelete 020e _NF__139 02c0 _NF__137 02fd _NF__136 0312 _NF__132 0320 _NF__134 032e _NF__13A 033c _NF__135 034a _NF__133 0356 SExprBadField 0377 DatabaseErrorFmt 03b1 @LStrArrayClr 03b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D E0 89 4D E4 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 08 89 45 FC 8B 47 1C 8B 77 20 80 7E 04 00 75 19 80 78 04 00 74 13 8B D0 8B C6 8B F2 8B 55 FC 8B 14 95 ?? ?? ?? ?? 89 55 FC 8B D0 8B C3 E8 ?? ?? ?? ?? 89 45 F8 80 7E 04 00 75 4F 6A 02 8B 4D FC BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 EC 02 00 00 8D 46 0C E8 ?? ?? ?? ?? 84 C0 74 62 8B 45 FC 83 E8 03 74 05 48 74 0B EB 12 C7 45 FC 01 00 00 00 EB 1E C7 45 FC 02 00 00 00 EB 15 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 6A 01 8B 4D FC BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? E9 7E 02 00 00 83 7D FC 03 74 0A 83 7D FC 04 0F 85 F9 00 00 00 8B 45 F8 80 78 2C 01 0F 85 EC 00 00 00 8D 45 E4 8D 56 0C E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 0F 84 CC 00 00 00 33 C0 89 45 F0 33 C0 89 45 EC F6 43 08 01 74 07 C7 45 F0 01 00 00 00 80 7F 05 00 74 08 8B 45 E8 89 45 EC EB 30 F6 43 08 02 75 2A 83 7D E8 01 7E 24 8B 45 E4 8B 55 E8 80 7C 10 FF 2A 75 17 8D 45 E4 B9 01 00 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 48 89 45 EC 83 7D F0 00 75 06 83 7D EC 00 74 6B 6A 04 8B 4D FC BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 45 F0 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 50 B9 02 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 50 B9 03 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 75 01 00 00 6A 02 8B 4D FC BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 0F B6 40 2C 83 F8 0E 0F 87 FC 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 E0 8D 56 0C E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B F0 E9 C8 00 00 00 8D 4E 0C BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 E9 B2 00 00 00 8D 4E 0C BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 E9 9C 00 00 00 8D 4E 0C BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 E9 86 00 00 00 8D 56 0C 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 78 8B 45 F8 0F B7 48 34 8D 56 0C 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 63 8D 56 0C 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 55 8D 56 0C 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 47 8D 56 0C 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 39 8D 56 0C 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 2B 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 F8 8B 40 28 89 45 D8 C6 45 DC 0B 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 33 F6 8B 45 F4 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 56 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4683_0 {
	meta:
		name = "_NF__132"
		size = 100
		refs = "000f VarType 001e StrToCurr 002b @VarToCurr 0047 CurrToFMTBCD 0059 _NF__138"
	strings:
		$1 = { 53 56 57 83 C4 D4 8B F9 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 3D 00 01 00 00 75 0E 8B 43 08 E8 ?? ?? ?? ?? DF 3C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B FF 74 24 04 FF 74 24 04 8D 44 24 10 8B CF BA 20 00 00 00 E8 ?? ?? ?? ?? 6A 12 8D 4C 24 0C BA 08 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4684_0 {
	meta:
		name = "_NF__133"
		size = 40
		refs = "000a @VarToBool 0020 _NF__138"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 89 04 24 6A 02 8D 4C 24 04 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4685_0 {
	meta:
		name = "_NF__134"
		size = 89
		refs = "000c VarType 001b StrToDate 0028 VarToDateTime 003d DateTimeToTimeStamp 004f _NF__138"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 3D 00 01 00 00 75 0E 8B 43 08 E8 ?? ?? ?? ?? DD 1C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8D 44 24 10 E8 ?? ?? ?? ?? 6A 04 8D 4C 24 10 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_4686_0 {
	meta:
		name = "_NF__135"
		size = 103
		refs = "000c VarType 001b StrToDateTime 0028 VarToDateTime 003d DateTimeToTimeStamp 0046 TimeStampToMSecs 005d _NF__138"
	strings:
		$1 = { 53 56 83 C4 E8 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 3D 00 01 00 00 75 0E 8B 43 08 E8 ?? ?? ?? ?? DD 1C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8D 44 24 18 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? DD 5C 24 08 9B 6A 08 8D 4C 24 0C BA 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_4687_0 {
	meta:
		name = "_NF__136"
		size = 71
		refs = "000c VarType 001b StrToFloat 0028 @VarToReal 003e _NF__138"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 3D 00 01 00 00 75 0E 8B 43 08 E8 ?? ?? ?? ?? DD 1C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 6A 08 8D 4C 24 04 BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4688_0 {
	meta:
		name = "_NF__137"
		size = 227
		refs = "0018 _NF__137 0025 VarType 0034 StrToInt 0040 @VarToInt 0070 SExprRangeError 0075 LoadResString 007d DatabaseError 00b7 _NF__138 00ce @LStrClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3D 00 01 00 00 75 0D 8B 43 08 E8 ?? ?? ?? ?? 89 45 FC EB 0A 8B C3 E8 ?? ?? ?? ?? 89 45 FC BB 02 00 00 00 8B C7 83 E8 05 74 07 83 E8 07 74 2B EB 4F 81 7D FC 00 80 FF FF 7C 09 81 7D FC FF 7F 00 00 7E 42 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 2B 83 7D FC 00 7C 09 81 7D FC FF FF 00 00 7E 1C 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 05 BB 04 00 00 00 53 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4689_0 {
	meta:
		name = "_NF__138"
		size = 109
		refs = "0023 _NF__13F 0034 _NF__140 004f _NF__13B"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 6A 03 B9 0E 00 00 00 BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 57 B9 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 50 B9 02 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4690_0 {
	meta:
		name = "_NF__139"
		size = 177
		refs = "0018 _NF__139 0025 @LStrLen 0041 @LStrCopy 004d @LStrLAsg 0057 @LStrToPChar 0086 _NF__138 009d @LStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3D 00 01 00 00 7C 17 8D 45 FC 50 B9 FF 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 0A 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 8D FC FE FF FF 8B 43 04 8B 30 FF 96 A8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 40 50 8D 8D FC FE FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4691_0 {
	meta:
		name = "_NF__13A"
		size = 89
		refs = "000c VarType 001b StrToTime 0028 VarToDateTime 003d DateTimeToTimeStamp 004f _NF__138"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 3D 00 01 00 00 75 0E 8B 43 08 E8 ?? ?? ?? ?? DD 1C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8D 44 24 10 E8 ?? ?? ?? ?? 6A 04 8D 4C 24 0C BA 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_4692_0 {
	meta:
		name = "_NF__13B"
		size = 42
		refs = "0011 _NF__120 001c Move"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B 53 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CE E8 ?? ?? ?? ?? 8B 43 1C 01 73 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4693_0 {
	meta:
		name = "_NF__13D"
		size = 398
		refs = "0016 _NF__13D 0039 _NF__11F 0049 SExprNotBoolean 004e LoadResString 0067 DatabaseErrorFmt 007a _NF__13F 0085 _NF__13E 0091 _NF__140 0098 _NV__13C 00a4 _NF__138 00d6 _NF__131 0155 SExprIncorrect 0162 DatabaseError 0179 @LStrClr 017f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 46 04 2C 01 72 0D FE C8 0F 84 8D 00 00 00 E9 1D 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 80 7E 2C 05 74 26 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 28 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 6A 02 B9 04 00 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D6 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 6A 02 B9 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 AC 00 00 00 8B 46 08 8B D0 83 C2 FD 83 EA 06 72 08 4A 83 EA 02 72 12 EB 53 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 E9 87 00 00 00 6A 02 8B C8 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 56 20 8B C3 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? EB 44 6A 01 B9 09 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4694_0 {
	meta:
		name = "_NF__13E"
		size = 122
		refs = "0013 @LStrToPChar 0037 _NF__13F 0048 _NF__140 004f StrLen 005b _NF__13B"
	strings:
		$1 = { 53 56 57 81 C4 00 FF FF FF 8B FA 8B D8 6A 01 8B 47 28 E8 ?? ?? ?? ?? 8B D0 8D 4C 24 04 8B 43 04 8B 30 FF 96 A8 01 00 00 6A 02 B9 0D 00 00 00 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 47 38 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B C8 41 8B D4 8B C3 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 81 C4 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4695_0 {
	meta:
		name = "_NF__13F"
		size = 64
		refs = "0023 _NF__120"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 75 08 03 F6 83 C6 08 8B 53 18 83 C2 0A 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 10 8B 55 F8 89 50 04 8B 43 18 01 73 18 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4696_0 {
	meta:
		name = "_NF__140"
		size = 21
	strings:
		$1 = { 55 8B EC 83 C2 12 03 50 10 66 8B 45 08 66 89 04 4A 5D C2 04 00 }
	condition:
		$1
}

rule function_4697_0 {
	meta:
		name = "TExprParser.Create"
		size = 238
		refs = "0016 @ClassCreate 0028 TExprParser.Create 003b _DV_TFilterExpr 0040 TFilterExpr.Create 004b STextTrue 0050 LoadResString 0058 STextFalse 0067 @LStrAsg 006e @LStrToPChar 0078 _NF__14B 007f _NF__14C 008f SExprTermination 009c DatabaseError 00a6 TFilterExpr.GetFilterData 00c7 @LStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 08 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8D 53 18 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 53 1C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 80 7B 20 00 74 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 8B 43 04 E8 ?? ?? ?? ?? 89 43 24 8B 43 04 8B 40 14 89 43 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4698_0 {
	meta:
		name = "TExprParser.Destroy"
		size = 30
		refs = "000a TObject.Free 0015 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4699_0 {
	meta:
		name = "_NF__14A"
		size = 25
		refs = "0002 SysLocale"
		altNames = "_NF__1A3"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 66 83 7A 04 11 75 06 04 5F 2C 3F 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_4700_0 {
	meta:
		name = "_NF__14B"
		size = 722
		refs = "001a _NF__14B 0028 @LStrClr 00d4 SysLocale 0117 _NF__14A 0123 LeadBytes 0143 @LStrFromPCharLen 0158 AnsiStrScan 0169 SExprNameError 016e LoadResString 0179 DatabaseError 01a4 SExprStringError 027d SExprInvalidChar 02a4 DatabaseErrorFmt 02c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 33 D2 89 95 FC FE FF FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 14 E8 ?? ?? ?? ?? 8B 5E 0C EB 01 43 8A 03 84 C0 74 04 3C 20 76 F5 89 5E 10 33 C0 8A 03 83 F8 3D 7F 52 0F 84 08 02 00 00 83 F8 29 7F 24 0F 84 D5 01 00 00 83 E8 01 0F 82 0E 02 00 00 83 E8 26 0F 84 2A 01 00 00 48 0F 84 B5 01 00 00 E9 FF 01 00 00 83 E8 2D 0F 84 71 01 00 00 83 C0 FD 83 E8 0A 0F 82 65 01 00 00 83 E8 02 0F 84 A0 01 00 00 E9 DC 01 00 00 83 F8 5F 7F 1E 74 30 83 E8 3E 0F 84 B3 01 00 00 83 C0 FD 83 E8 1A 72 1F 0F 84 98 00 00 00 E9 B9 01 00 00 83 C0 9F 83 E8 1A 72 0C 83 C0 FA 83 E8 7E 0F 83 A5 01 00 00 8B FB A1 ?? ?? ?? ?? 80 78 08 00 75 1E 43 EB 01 43 8A 03 04 D0 2C 0A 72 F7 04 F9 2C 1A 72 F1 2C 04 74 ED 04 FE 2C 1A 72 E7 EB 3D 8A 03 04 D0 2C 0A 72 1B 04 F9 2C 1A 72 15 2C 04 74 11 04 FE 2C 1A 72 0B 8A 03 E8 ?? ?? ?? ?? 84 C0 74 03 43 EB DA A1 ?? ?? ?? ?? 8A 13 81 E2 FF 00 00 00 0F A3 10 73 05 83 C3 02 EB C3 8B CB 2B CF 8D 46 14 8B D7 E8 ?? ?? ?? ?? C6 46 20 01 E9 58 01 00 00 43 8B FB B2 5D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1B 8D 95 FC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 FC FE FF FF E8 ?? ?? ?? ?? 8B CB 2B CF 8D 46 14 8B D7 E8 ?? ?? ?? ?? C6 46 20 02 43 E9 13 01 00 00 43 33 FF 80 3B 00 75 1B 8D 95 FC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 FC FE FF FF E8 ?? ?? ?? ?? 80 3B 27 75 06 43 80 3B 27 75 15 81 FF 00 01 00 00 7D 0A 8A 03 88 84 3D 00 FF FF FF 47 43 EB C0 8D 95 00 FF FF FF 8D 46 14 8B CF E8 ?? ?? ?? ?? C6 46 20 03 E9 B7 00 00 00 8B FB 43 EB 01 43 8A 03 2C 2B 74 F9 04 FE 2C 02 72 F3 48 2C 0A 72 EE 2C 0B 74 EA 2C 20 74 E6 8B CB 2B CF 8D 46 14 8B D7 E8 ?? ?? ?? ?? C6 46 20 03 E9 81 00 00 00 43 C6 46 20 04 EB 7A 43 C6 46 20 05 EB 73 43 8A 03 2C 3D 74 06 FE C8 74 09 EB 0E 43 C6 46 20 09 EB 5F 43 C6 46 20 07 EB 58 C6 46 20 0B EB 52 43 C6 46 20 06 EB 4B 43 80 3B 3D 75 07 43 C6 46 20 08 EB 3E C6 46 20 0A EB 38 C6 46 20 00 EB 32 8D 95 FC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 FC FE FF FF 8A 13 88 95 F4 FE FF FF C6 85 F8 FE FF FF 02 8D 95 F4 FE FF FF 33 C9 E8 ?? ?? ?? ?? 89 5E 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4701_0 {
	meta:
		name = "_NF__14C"
		size = 88
		refs = "0007 _NF__14D 0012 _NF__14B 0017 Unassigned 0030 TFilterExpr.NewNode 0037 _NF__14C 003e _NF__153"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 27 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 50 B9 0B 00 00 00 B2 02 8B 43 04 E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 C9 8B C6 5E 5B C3 00 FF FF FF FF 02 00 00 00 4F 52 00 00 }
	condition:
		$1
}

rule function_4702_0 {
	meta:
		name = "_NF__14D"
		size = 88
		refs = "0007 _NF__14E 0012 _NF__14B 0017 Unassigned 0030 TFilterExpr.NewNode 0037 _NF__14D 003e _NF__153"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 27 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 50 B9 0A 00 00 00 B2 02 8B 43 04 E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 C9 8B C6 5E 5B C3 00 FF FF FF FF 03 00 00 00 41 4E 44 00 }
	condition:
		$1
}

rule function_4703_0 {
	meta:
		name = "_NF__14E"
		size = 80
		refs = "0004 _NF__14E 000b _NF__153 0016 _NF__14B 001b Unassigned 0023 _NF__150 0035 TFilterExpr.NewNode"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 B9 09 00 00 00 B2 02 8B 43 04 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 FF FF FF FF 03 00 00 00 4E 4F 54 00 }
	condition:
		$1
}

rule function_4704_0 {
	meta:
		name = "_NF__150"
		size = 79
		refs = "0008 _NF__151 0021 _NV__14F 0028 _NF__14B 002d Unassigned 0043 TFilterExpr.NewNode"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8A 43 20 8B D0 80 C2 FA 80 EA 06 73 2E 83 E0 7F 8B 3C 85 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 50 8B CF B2 02 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4705_0 {
	meta:
		name = "_NF__151"
		size = 524
		refs = "0015 _NF__151 004b _NF__153 0054 Null 0065 TFilterExpr.NewNode 0087 @VarFromInt 00e0 @VarFromLStr 014b _NF__14B 0152 _NF__14C 0164 _NF__152 017a SExprNoRParen 017f LoadResString 018a DatabaseErrorFmt 01ac SExprExpected 01df @LStrArrayClr 01e7 @VarClr 01ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 43 20 FE C8 74 1D FE C8 0F 84 D1 00 00 00 FE C8 0F 84 EF 00 00 00 FE C8 0F 84 0A 01 00 00 E9 4D 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D A1 ?? ?? ?? ?? 50 6A 00 6A 00 33 C9 B2 01 8B 43 04 E8 ?? ?? ?? ?? 8B F0 E9 52 01 00 00 8B 53 18 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 6A 00 33 C9 B2 01 8B 43 04 E8 ?? ?? ?? ?? 8B F0 E9 1C 01 00 00 8B 53 1C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8D 45 F0 33 D2 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 6A 00 33 C9 B2 01 8B 43 04 E8 ?? ?? ?? ?? 8B F0 E9 E9 00 00 00 8D 45 F0 8B 53 14 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 6A 00 33 C9 33 D2 8B 43 04 E8 ?? ?? ?? ?? 8B F0 E9 C3 00 00 00 8D 45 F0 8B 53 14 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 6A 00 33 C9 33 D2 8B 43 04 E8 ?? ?? ?? ?? 8B F0 E9 9D 00 00 00 8D 45 F0 8B 53 14 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 6A 00 33 C9 B2 01 8B 43 04 E8 ?? ?? ?? ?? 8B F0 EB 7A 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 80 7B 20 05 74 64 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 0B 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 C9 5A E8 ?? ?? ?? ?? EB 32 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 0B 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 C9 5A E8 ?? ?? ?? ?? 33 F6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 5E 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 4E 55 4C 4C 00 00 00 00 }
	condition:
		$1
}

rule function_4706_0 {
	meta:
		name = "_NF__152"
		size = 84
		refs = "0011 SExprNothing 0016 LoadResString 0026 @LStrFromPCharLen 002b _NF__152 003e @LStrCatN"
	strings:
		$1 = { 53 56 8B DA 8B 50 10 8B 70 0C 3B D6 75 0F 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B CE 2B CA 8B F3 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_4707_0 {
	meta:
		name = "_NF__153"
		size = 36
		refs = "0012 CompareText"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 20 01 75 0E 8B D6 8B 43 14 E8 ?? ?? ?? ?? 85 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_4708_0 {
	meta:
		name = "TMasterDataLink.Create"
		size = 68
		refs = "000b @ClassCreate 001a TDataLink.Create 0024 _Dn_TList 0029 TObject.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4709_0 {
	meta:
		name = "TMasterDataLink.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TDataLink.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15261_0 {
	meta:
		name = "TCustomChartLegend.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TChartFontObject.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6226_0 {
	meta:
		name = "TDdeClientItem.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TComponent.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6246_0 {
	meta:
		name = "TDdeServerItem.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TComponent.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6076_0 {
	meta:
		name = "THTMLTableColumn.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TCollectionItem.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9489_0 {
	meta:
		name = "TMenu.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TComponent.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4710_0 {
	meta:
		name = "TMasterDataLink.ActiveChanged"
		size = 201
		refs = "000f TList.Clear 0020 TMasterDataLink.ActiveChanged 002e TDataLink.GetDataSet 003f TDataSet.GetFieldList 004e @HandleAnyException 005e @RaiseAgain 0063 @DoneExcept 006e TDataSet.GetActive"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 80 78 15 00 74 4B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 20 8B 55 FC 8B 52 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 84 C0 74 4F 8B 45 FC 8B 40 1C F6 40 20 08 75 43 8B 45 FC 80 78 15 00 74 24 8B 45 FC 8B 40 24 83 78 08 00 7E 18 8B 45 FC 66 83 78 2A 00 74 24 8B 5D FC 8B 55 FC 8B 43 2C FF 53 28 EB 16 8B 45 FC 66 83 78 32 00 74 0C 8B 5D FC 8B 55 FC 8B 43 34 FF 53 30 5B 59 5D C3 }
	condition:
		$1
}

rule function_4711_0 {
	meta:
		name = "TMasterDataLink.CheckBrowseMode"
		size = 25
		refs = "0007 TDataSet.GetActive 0013 TDataSet.CheckBrowseMode"
		altNames = "_NF__929"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5981_0 {
	meta:
		name = "_NF__927"
		size = 25
		refs = "0007 TDataSet.GetActive 0013 _NF__988"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4712_0 {
	meta:
		name = "TMasterDataLink.LayoutChanged"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_4713_0 {
	meta:
		name = "TMasterDataLink.RecordChanged"
		size = 72
		refs = "0013 TDataSet.GetActive 002e TList.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 80 78 2E 04 74 36 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 2A 8B 43 24 83 78 08 00 7E 21 85 F6 74 0E 8B D6 8B 43 24 E8 ?? ?? ?? ?? 85 C0 7C 0F 66 83 7B 2A 00 74 08 8B D3 8B 43 2C FF 53 28 5E 5B C3 }
	condition:
		$1
}

rule function_4714_0 {
	meta:
		name = "TMasterDataLink.SetFieldNames"
		size = 38
		refs = "000c @LStrCmp 0018 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 20 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 20 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5E 5B C3 }
	condition:
		$1
}

rule function_4719_0 {
	meta:
		name = "_NF__33D"
		size = 32
	strings:
		$1 = { 53 3A 50 28 74 18 88 50 28 C6 40 29 00 66 83 78 36 00 74 0A 8B D8 8B D0 8B 43 38 FF 53 34 5B C3 }
	condition:
		$1
}

rule function_4720_0 {
	meta:
		name = "TFieldDataLink.SetFieldName"
		size = 38
		refs = "000c @LStrCmp 0018 @LStrAsg 001f _NF__342"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 20 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 20 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4721_0 {
	meta:
		name = "_NF__341"
		size = 29
	strings:
		$1 = { 53 8B D8 3B 53 1C 74 13 89 53 1C 8B C3 8B 10 FF 52 20 33 D2 8B C3 8B 08 FF 51 28 5B C3 }
	condition:
		$1
}

rule function_4722_0 {
	meta:
		name = "_NF__342"
		size = 85
		refs = "0009 _NF__341 002c GetFieldProperty 0045 TDataSet.FieldByName"
	strings:
		$1 = { 53 56 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 80 7B 15 00 74 3F 83 7B 20 00 74 39 8B 73 24 85 F6 74 1B 8B 43 04 8B 40 24 8B 4B 20 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 17 8B 43 04 8B 40 24 8B 53 20 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4723_0 {
	meta:
		name = "TFieldDataLink.Edit"
		size = 26
		refs = "0006 TFieldDataLink.GetCanModify 0011 TDataLink.Edit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8A 43 28 5B C3 }
	condition:
		$1
}

rule function_4724_0 {
	meta:
		name = "TFieldDataLink.GetCanModify"
		size = 35
	strings:
		$1 = { 53 8B D8 80 7B 14 00 75 12 83 7B 1C 00 74 0C 8B 43 1C 8B 10 FF 52 50 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_4725_0 {
	meta:
		name = "TFieldDataLink.Modified"
		size = 5
	strings:
		$1 = { C6 40 29 01 C3 }
	condition:
		$1
}

rule function_4727_0 {
	meta:
		name = "TFieldDataLink.ActiveChanged"
		size = 27
		refs = "0006 _NF__342"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 7B 46 00 74 08 8B D3 8B 43 48 FF 53 44 5B C3 }
	condition:
		$1
}

rule function_4728_0 {
	meta:
		name = "TFieldDataLink.EditingChanged"
		size = 35
		refs = "000c TFieldDataLink.GetCanModify 001d _NF__33D"
	strings:
		$1 = { 53 8B D8 80 7B 16 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4729_0 {
	meta:
		name = "TFieldDataLink.FocusControl"
		size = 64
		refs = "0017 _Dn_TWinControl 001c @IsClass 0028 TWinControl.CanFocus"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 3E 85 FF 74 2F 3B 7B 1C 75 2A 8B 43 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 0C 33 C0 89 06 8B 43 24 8B 10 FF 52 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4730_0 {
	meta:
		name = "TFieldDataLink.RecordChanged"
		size = 33
	strings:
		$1 = { 53 8B D8 85 D2 74 05 3B 53 1C 75 13 66 83 7B 2E 00 74 08 8B D3 8B 43 30 FF 53 2C C6 43 29 00 5B C3 }
	condition:
		$1
}

rule function_4732_0 {
	meta:
		name = "TFieldDataLink.UpdateData"
		size = 36
	strings:
		$1 = { 53 8B D8 80 7B 29 00 74 19 83 7B 1C 00 74 0F 66 83 7B 3E 00 74 08 8B D3 8B 43 40 FF 53 3C C6 43 29 00 5B C3 }
	condition:
		$1
}

rule function_4733_0 {
	meta:
		name = "TPaintControl.Create"
		size = 57
		refs = "000d @ClassCreate 001f @LStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8D 46 08 8B 55 08 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4735_0 {
	meta:
		name = "TPaintControl.DestroyHandle"
		size = 36
		refs = "000c DestroyWindow 0014 FreeObjectInstance"
	strings:
		$1 = { 53 8B D8 8B 43 0C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 33 C0 89 43 0C 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_4736_0 {
	meta:
		name = "TPaintControl.GetHandle"
		size = 315
		refs = "0018 TPaintControl.GetHandle 002e _NF__36A 0033 MakeObjectInstance 0055 HInstance 005f Application 008f TControl.GetText 009a @LStrToPChar 00b0 CreateWindowEx 00ca NewStyleControls 00d7 Subclass3DWnd 00e2 GetWindowLong 00f4 SetWindowLong 0101 TFont.GetHandle 010d SendMessage 0128 @LStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 70 FF FF FF 53 33 D2 89 95 70 FF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 0F 85 E5 00 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8D 95 74 FF FF FF 8B 43 04 8B 08 FF 51 5C 81 A5 78 FF FF FF FF FF CF FF 6A 00 A1 ?? ?? ?? ?? 8B 00 50 6A 00 A1 ?? ?? ?? ?? 8B 00 8B 40 24 50 8B 45 8C 50 8B 45 88 50 8B 45 84 50 8B 45 80 50 8B 85 78 FF FF FF 0D 00 00 00 10 50 8D 95 70 FF FF FF 8B 43 04 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 50 8B 43 08 E8 ?? ?? ?? ?? 50 8B 85 7C FF FF FF 50 E8 ?? ?? ?? ?? 89 43 0C 80 7B 18 00 74 1E 8B 43 04 80 B8 D5 00 00 00 00 74 12 A1 ?? ?? ?? ?? 80 38 00 75 08 8B 43 0C E8 ?? ?? ?? ?? 6A FC 8B 43 0C 50 E8 ?? ?? ?? ?? 89 43 14 8B 43 10 50 6A FC 8B 43 0C 50 E8 ?? ?? ?? ?? 6A 01 8B 43 04 8B 40 50 E8 ?? ?? ?? ?? 50 6A 30 8B 43 0C 50 E8 ?? ?? ?? ?? 8B 5B 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4737_0 {
	meta:
		name = "TPaintControl.SetCtl3DButton"
		size = 25
		refs = "000f TPaintControl.DestroyHandle"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 0C 00 74 07 8B C6 E8 ?? ?? ?? ?? 88 5E 18 5E 5B C3 }
	condition:
		$1
}

rule function_4738_0 {
	meta:
		name = "_NF__36A"
		size = 76
		refs = "0026 TControl.Perform 0041 CallWindowProc"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 33 81 FE 32 BD 00 00 7C 1E 81 FE 38 BD 00 00 7F 16 8B 43 08 50 8B 4B 04 8B D6 8B 47 04 E8 ?? ?? ?? ?? 89 43 0C EB 19 8B 43 08 50 8B 43 04 50 56 8B 47 0C 50 8B 47 14 50 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4739_0 {
	meta:
		name = "TDBEdit.Create"
		size = 136
		refs = "000e @ClassCreate 001c TCustomMaskEdit.Create 0025 TCustomEdit.SetReadOnly 002b TDBEdit.Create 003a _DV_TFieldDataLink 003f TDataLink.Create 0054 _NF__397 005e _NF__398 0068 _NF__399"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 4C 01 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 38 C7 46 34 ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 08 00 00 }
	condition:
		$1
}

rule function_4740_0 {
	meta:
		name = "TDBEdit.Destroy"
		size = 64
		refs = "000d TObject.Free 002c TWinControl.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 4C 01 00 00 8B 86 50 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4741_0 {
	meta:
		name = "TDBEdit.Loaded"
		size = 27
		refs = "0006 TComponent.Loaded 0015 _NF__397"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4804_0 {
	meta:
		name = "TDBComboBox.Loaded"
		size = 27
		refs = "0006 TComponent.Loaded 0015 _NF__416"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4874_0 {
	meta:
		name = "TDBMemo.Loaded"
		size = 27
		refs = "0006 TCustomMemo.Loaded 0015 _NF__4E1"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5065_0 {
	meta:
		name = "TDBRichEdit.Loaded"
		size = 27
		refs = "0006 TCustomMemo.Loaded 0015 _NF__6DC"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4768_0 {
	meta:
		name = "TDBText.Loaded"
		size = 27
		refs = "0006 TCustomLabel.Loaded 0015 _NF__3CA"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4742_0 {
	meta:
		name = "TDBEdit.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBEdit.GetDataSource 0032 TDBEdit.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 4C 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4743_0 {
	meta:
		name = "TDBEdit.KeyDown"
		size = 55
		refs = "0012 TCustomMaskEdit.KeyDown 002f TFieldDataLink.Edit"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B D3 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 66 83 3B 2E 74 0C 66 83 3B 2D 75 11 F6 04 24 01 74 0B 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4744_0 {
	meta:
		name = "TDBEdit.KeyPress"
		size = 144
		refs = "000b TCustomMaskEdit.KeyPress 003d MessageBeep 0071 TFieldDataLink.Edit 007f TFieldDataLink.Reset 0086 TCustomEdit.SelectAll"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 06 04 E0 2C E0 73 2D 8B 83 4C 01 00 00 83 78 1C 00 74 21 8A 16 8B 83 4C 01 00 00 8B 40 1C 8B 08 FF 91 94 00 00 00 84 C0 75 0A 6A 00 E8 ?? ?? ?? ?? C6 06 00 33 C0 8A 06 83 F8 18 7F 0E 74 1B 83 E8 08 74 16 83 E8 0E 74 11 EB 32 83 E8 1B 74 18 83 C0 FB 2D E0 00 00 00 73 23 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_4745_0 {
	meta:
		name = "TDBEdit.EditCanModify"
		size = 12
		refs = "0007 TFieldDataLink.Edit"
	strings:
		$1 = { 8B 80 4C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4752_0 {
	meta:
		name = "TDBEdit.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 4C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4754_0 {
	meta:
		name = "TDBEdit.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 4C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4746_0 {
	meta:
		name = "TDBEdit.Reset"
		size = 23
		refs = "000a TFieldDataLink.Reset 0011 TCustomEdit.SelectAll"
	strings:
		$1 = { 53 8B D8 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4748_0 {
	meta:
		name = "TDBEdit.Change"
		size = 23
		refs = "000a TFieldDataLink.Modified 0011 TCustomEdit.Change"
	strings:
		$1 = { 53 8B D8 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4747_0 {
	meta:
		name = "_NF__383"
		size = 57
		refs = "001d TCustomMaskEdit.GetMasked 0033 TFieldDataLink.Reset"
	strings:
		$1 = { 53 8B D8 3A 93 55 01 00 00 74 2C 88 93 55 01 00 00 80 BB 54 01 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 8B 10 FF 52 44 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4749_0 {
	meta:
		name = "TDBEdit.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 4C 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_4750_0 {
	meta:
		name = "TDBEdit.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4751_0 {
	meta:
		name = "TDBEdit.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 4C 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4753_0 {
	meta:
		name = "TDBEdit.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 4C 01 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_4755_0 {
	meta:
		name = "TDBEdit.GetField"
		size = 10
	strings:
		$1 = { 8B 80 4C 01 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_4756_0 {
	meta:
		name = "_NF__397"
		size = 281
		refs = "000c _NF__397 0037 TCustomMaskEdit.SetEditText 005c TCustomMaskEdit.SetEditMask 0070 TFieldDataLink.GetCanModify 0085 TField.GetEditText 008f TCustomMaskEdit.SetText 00a2 TField.GetDisplayText 00c7 TCustomEdit.SetModified 0109 @LStrClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 4C 01 00 00 8B 40 1C 85 C0 0F 84 A6 00 00 00 8A 40 2F 3A 83 54 01 00 00 74 1B 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 4C 01 00 00 8B 40 1C 8A 40 2F 88 83 54 01 00 00 8B 83 4C 01 00 00 8B 40 1C 8B 50 44 8B C3 E8 ?? ?? ?? ?? 80 BB 55 01 00 00 00 74 2C 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 1D 8D 55 FC 8B 83 4C 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 63 8D 55 FC 8B 83 4C 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 83 4C 01 00 00 80 78 28 00 74 3C 80 78 29 00 74 36 B2 01 8B C3 E8 ?? ?? ?? ?? EB 2B C6 83 54 01 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 0C 8B 53 08 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4757_0 {
	meta:
		name = "_NF__398"
		size = 18
		refs = "000d TCustomEdit.SetReadOnly"
	strings:
		$1 = { 8B 90 4C 01 00 00 8A 52 28 80 F2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4758_0 {
	meta:
		name = "_NF__399"
		size = 89
		refs = "000c _NF__399 0019 TCustomMaskEdit.ValidateEdit 0023 TCustomMaskEdit.GetText 0034 TField.SetEditText 0049 @LStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 4C 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4759_0 {
	meta:
		name = "TDBEdit.WMPaste"
		size = 29
		refs = "000d TFieldDataLink.Edit 0016 TCustomMaskEdit.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4760_0 {
	meta:
		name = "TDBEdit.WMCut"
		size = 29
		refs = "000d TFieldDataLink.Edit 0016 TCustomMaskEdit.WMCut"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4761_0 {
	meta:
		name = "TDBEdit.CMEnter"
		size = 62
		refs = "000b _NF__383 0014 TCustomMaskEdit.CMEnter 0019 SysLocale 002a TFieldDataLink.GetCanModify 0037 TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 18 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4762_0 {
	meta:
		name = "TDBEdit.CMExit"
		size = 111
		refs = "000c TDBEdit.CMExit 0020 TDataLink.UpdateRecord 002f @HandleAnyException 0037 TCustomEdit.SelectAll 0044 @RaiseAgain 0049 @DoneExcept 0053 _NF__383 005b TCustomMaskEdit.CheckCursor 0067 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 4C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB E0 FF E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_4763_0 {
	meta:
		name = "TDBEdit.WMPaint"
		size = 692
		refs = "0019 TDBEdit.WMPaint 004b TWinControl.WMPaint 0063 _Dn_TControlCanvas 0068 TCanvas.Create 007d TControlCanvas.SetControl 0093 TWinControl.GetHandle 0099 BeginPaint 00a8 TCanvas.SetHandle 00ca TCanvas.SetFont 00e3 NewStyleControls 010d TBrush.SetColor 0117 TCanvas.FrameRect 0124 InflateRect 015e TField.GetDisplayText 017c AnsiUpperCase 0187 @LStrLAsg 0194 AnsiLowerCase 01ac TCustomMaskEdit.GetEditText 01c0 @LStrLen 01c9 UniqueString 01d8 @FillChar 01e3 _NF__3AC 0203 TCanvas.TextWidth 020c TControl.GetClientWidth 0246 TCanvas.TextRect 027e EndPaint 0284 @HandleFinally 029b @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 33 C9 89 4D 98 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 54 01 00 00 00 74 0C 8B 45 FC 80 B8 55 01 00 00 00 74 19 8B 45 FC F6 40 42 80 75 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 36 02 00 00 8B 45 FC 83 B8 50 01 00 00 00 75 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 50 01 00 00 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 85 C0 75 12 8D 45 9C 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 50 01 00 00 92 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 50 8B 45 FC 8B 80 50 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 50 01 00 00 8D 55 DC 8B 45 FC 8B 08 FF 51 2C A1 ?? ?? ?? ?? 80 38 00 74 0C 8B 45 FC 80 B8 D5 00 00 00 00 75 30 8B 45 FC 80 B8 1C 01 00 00 01 75 24 8B 43 14 BA 06 00 00 80 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 DC 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 54 8B 43 14 E8 ?? ?? ?? ?? 8B 45 FC F6 40 42 80 74 66 8B 45 FC 8B 80 4C 01 00 00 83 78 1C 00 74 57 8D 55 EC 8B 45 FC 8B 80 4C 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC 8A 80 23 01 00 00 FE C8 74 06 FE C8 74 1A EB 3B 8D 55 98 8B 45 EC E8 ?? ?? ?? ?? 8B 55 98 8D 45 EC E8 ?? ?? ?? ?? EB 23 8D 55 98 8B 45 EC E8 ?? ?? ?? ?? 8B 55 98 8D 45 EC E8 ?? ?? ?? ?? EB 0B 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 1D 01 00 00 00 74 20 8B 45 EC E8 ?? ?? ?? ?? 50 8D 45 EC E8 ?? ?? ?? ?? 8B 55 FC 8A 8A 1D 01 00 00 5A E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 80 54 01 00 00 2C 01 72 04 74 07 EB 21 8B 45 F0 EB 39 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 2B C2 2B 45 F0 48 EB 1D 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 2B C2 D1 F8 79 03 83 D0 00 8B 55 F4 52 8B 55 EC 52 8B C8 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 50 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 75 12 8D 45 9C 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4764_0 {
	meta:
		name = "TDBEdit.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 4C 01 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_4765_0 {
	meta:
		name = "_NF__3AC"
		size = 197
		refs = "000b NewStyleControls 0042 TWinControl.GetHandle 0048 SendMessage 006a GetDC 0073 GetTextMetrics 007b TFont.GetHandle 0082 SelectObject 009e ReleaseDC"
	strings:
		$1 = { 53 56 57 83 C4 90 8B FA 8B F0 A1 ?? ?? ?? ?? 80 38 00 74 46 80 BE 1C 01 00 00 00 75 04 33 DB EB 15 80 BE D5 00 00 00 00 74 07 BB 01 00 00 00 EB 05 BB 02 00 00 00 6A 00 6A 00 68 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 25 FF FF 00 00 03 C3 89 07 89 5F 04 EB 64 80 BE 1C 01 00 00 00 75 04 33 DB EB 52 6A 00 E8 ?? ?? ?? ?? 8B D8 54 53 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F0 8D 44 24 38 50 53 E8 ?? ?? ?? ?? 56 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 1C 24 8B 44 24 38 3B D8 7E 02 8B D8 85 DB 79 03 83 C3 03 C1 FB 02 89 1F 89 5F 04 83 C4 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4766_0 {
	meta:
		name = "TDBText.Create"
		size = 124
		refs = "000e @ClassCreate 001c TCustomLabel.Create 0022 TDBText.Create 003c TCustomLabel.SetShowAccelChar 0043 _DV_TFieldDataLink 0048 TDataLink.Create 005d _NF__3CA"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 33 D2 8B C3 8B 08 FF 51 5C 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C4 00 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 08 00 00 }
	condition:
		$1
}

rule function_4767_0 {
	meta:
		name = "TDBText.Destroy"
		size = 53
		refs = "000d TObject.Free 0021 TGraphicControl.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 C4 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 C4 00 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4769_0 {
	meta:
		name = "TDBText.Notification"
		size = 58
		refs = "0010 TCustomLabel.Notification 0025 TDBText.GetDataSource 0032 TDBText.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF C4 00 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4770_0 {
	meta:
		name = "TDBText.SetAutoSize"
		size = 113
		refs = "000f TDBText.SetAutoSize 0035 SDataSourceFixed 003a LoadResString 0042 DatabaseError 004b TCustomLabel.SetAutoSize 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E BD 00 00 00 74 2E 84 DB 74 21 8B 86 C4 00 00 00 80 78 18 00 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4771_0 {
	meta:
		name = "TDBText.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 C4 00 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_4772_0 {
	meta:
		name = "TDBText.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4773_0 {
	meta:
		name = "TDBText.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 C4 00 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4774_0 {
	meta:
		name = "TDBText.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 C4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4775_0 {
	meta:
		name = "TDBText.GetField"
		size = 10
	strings:
		$1 = { 8B 80 C4 00 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_4776_0 {
	meta:
		name = "_NF__3C9"
		size = 60
		refs = "0019 TField.GetDisplayText 002b @LStrLAsg 0034 @LStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 C4 00 00 00 8B 78 1C 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 19 F6 43 20 10 74 0C 8B C6 8B 53 08 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4777_0 {
	meta:
		name = "_NF__3CA"
		size = 75
		refs = "000c _NF__3CA 001c _NF__3C9 0026 TControl.SetText 003b @LStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4778_0 {
	meta:
		name = "TDBText.GetLabelText"
		size = 36
		refs = "0011 _NF__3C9 001d TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 42 80 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4779_0 {
	meta:
		name = "TDBText.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 C4 00 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_4780_0 {
	meta:
		name = "TDBCheckBox.Create"
		size = 212
		refs = "000e @ClassCreate 001c TCustomCheckBox.Create 0022 TDBCheckBox.Create 0033 TCustomCheckBox.SetState 003e STextTrue 0043 LoadResString 004e STextFalse 005a _DV_TFieldDataLink 005f TDataLink.Create 0074 _NF__3DC 007e _NF__3DD 008c _DV_TPaintControl 0091 TPaintControl.Create 00a2 TPaintControl.SetCtl3DButton"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 93 24 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 93 28 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 01 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 2C 01 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 08 00 00 FF FF FF FF 06 00 00 00 42 55 54 54 4F 4E 00 00 }
	condition:
		$1
}

rule function_4781_0 {
	meta:
		name = "TDBCheckBox.Destroy"
		size = 64
		refs = "000d TObject.Free 002c TWinControl.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 2C 01 00 00 E8 ?? ?? ?? ?? 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 20 01 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4782_0 {
	meta:
		name = "TDBCheckBox.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBCheckBox.GetDataSource 0032 TDBCheckBox.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 20 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4783_0 {
	meta:
		name = "_NF__3DB"
		size = 185
		refs = "000e _NF__3DB 005e TField.GetEditText 006e _NF__3DE 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 20 01 00 00 8B 58 1C 85 DB 74 6D 8B C3 8B 10 FF 52 5C 84 C0 74 04 B3 02 EB 60 8B 86 20 01 00 00 8B 78 1C 80 7F 2C 05 75 13 8B C7 8B 10 FF 52 34 84 C0 74 04 B3 01 EB 42 33 DB EB 3E B3 02 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 8B 96 24 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 1A 8B 4D FC 8B 96 28 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 33 DB EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4784_0 {
	meta:
		name = "_NF__3DC"
		size = 21
		refs = "0006 _NF__3DB 000f TCustomCheckBox.SetState"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4785_0 {
	meta:
		name = "_NF__3DD"
		size = 207
		refs = "0011 _NF__3DD 0049 TCustomCheckBox.GetChecked 006d @LStrLAsg 0092 ExtractFieldName 00a3 TField.SetEditText 00bd @LStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 1E 01 00 00 02 75 13 8B 83 20 01 00 00 8B 40 1C 8B 10 FF 92 8C 00 00 00 EB 70 8B 83 20 01 00 00 8B 70 1C 80 7E 2C 05 75 12 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 64 EB 4F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8D 45 F8 8B 93 24 01 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 F8 8B 93 28 01 00 00 E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8D 4D F4 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 20 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4786_0 {
	meta:
		name = "_NF__3DE"
		size = 124
		refs = "0016 _NF__3DE 0034 ExtractFieldName 003e AnsiCompareText 004d @LStrLen 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C7 45 FC 01 00 00 00 EB 1F 8D 4D F8 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 0C 8B C7 E8 ?? ?? ?? ?? 3B 45 FC 7D D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4787_0 {
	meta:
		name = "TDBCheckBox.Toggle"
		size = 38
		refs = "000a TFieldDataLink.Edit 0015 TCustomCheckBox.Toggle 0020 TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4788_0 {
	meta:
		name = "TDBCheckBox.GetDataSource"
		size = 10
		altNames = "TDBLookupControl.GetDataSource"
	strings:
		$1 = { 8B 80 20 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_4789_0 {
	meta:
		name = "TDBCheckBox.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
		altNames = "TDBLookupControl.SetDataSource"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4790_0 {
	meta:
		name = "TDBCheckBox.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 20 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4791_0 {
	meta:
		name = "TDBCheckBox.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 20 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4793_0 {
	meta:
		name = "TDBCheckBox.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 20 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5007_0 {
	meta:
		name = "TDBLookupControl.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 20 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4792_0 {
	meta:
		name = "TDBCheckBox.GetReadOnly"
		size = 10
		altNames = "TDBLookupControl.GetReadOnly"
	strings:
		$1 = { 8B 80 20 01 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_4794_0 {
	meta:
		name = "TDBCheckBox.GetField"
		size = 10
	strings:
		$1 = { 8B 80 20 01 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_4795_0 {
	meta:
		name = "TDBCheckBox.KeyPress"
		size = 57
		refs = "000b TWinControl.KeyPress 0024 TFieldDataLink.Edit 0032 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 06 2C 08 74 08 2C 13 74 12 2C 05 75 19 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4796_0 {
	meta:
		name = "TDBCheckBox.SetValueCheck"
		size = 31
		refs = "000f @LStrAsg 0018 _NF__3DC"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 24 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4797_0 {
	meta:
		name = "TDBCheckBox.SetValueUncheck"
		size = 31
		refs = "000f @LStrAsg 0018 _NF__3DC"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 28 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4798_0 {
	meta:
		name = "TDBCheckBox.WndProc"
		size = 55
		refs = "0027 TPaintControl.DestroyHandle 0030 TButtonControl.WndProc"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 03 83 F8 01 74 13 83 F8 47 74 0E 3D 12 B0 00 00 74 07 3D 0E B0 00 00 75 0B 8B 86 2C 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4799_0 {
	meta:
		name = "TDBCheckBox.WMPaint"
		size = 87
		refs = "0011 TWinControl.WMPaint 001d _NF__3DB 0031 TPaintControl.GetHandle 0037 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 42 80 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 6A 00 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 50 68 F1 00 00 00 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4800_0 {
	meta:
		name = "TDBCheckBox.CMExit"
		size = 85
		refs = "000e TDBCheckBox.CMExit 0022 TDataLink.UpdateRecord 0031 @HandleAnyException 003e @RaiseAgain 0043 @DoneExcept 004d TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 20 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_4801_0 {
	meta:
		name = "TDBCheckBox.CMGetDataLink"
		size = 10
		altNames = "TDBLookupComboBox.CMGetDataLink"
	strings:
		$1 = { 8B 80 20 01 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_4802_0 {
	meta:
		name = "TDBComboBox.Create"
		size = 172
		refs = "000e @ClassCreate 001c TCustomComboBox.Create 0022 TDBComboBox.Create 0031 _DV_TFieldDataLink 0036 TDataLink.Create 004b _NF__416 0055 _NF__417 005f _NF__438 006d _DV_TPaintControl 0072 TPaintControl.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 70 01 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 89 5E 38 C7 46 34 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 74 01 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 08 00 00 FF FF FF FF 08 00 00 00 43 4F 4D 42 4F 42 4F 58 00 00 00 00 }
	condition:
		$1
}

rule function_4803_0 {
	meta:
		name = "TDBComboBox.Destroy"
		size = 64
		refs = "000d TObject.Free 002c TCustomComboBox.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 74 01 00 00 E8 ?? ?? ?? ?? 8B 86 70 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 70 01 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4805_0 {
	meta:
		name = "TDBComboBox.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBComboBox.GetDataSource 0032 TDBComboBox.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 70 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4807_0 {
	meta:
		name = "_NF__416"
		size = 130
		refs = "000d _NF__416 001a TCustomComboBox.GetDroppedDown 0035 TField.GetEditText 003f _NF__418 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3E 8B 83 70 01 00 00 8B 70 1C 85 F6 74 16 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 1B F6 43 20 10 74 0C 8B 53 08 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4808_0 {
	meta:
		name = "_NF__417"
		size = 82
		refs = "000c _NF__417 001c _NF__419 002d TField.SetEditText 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 70 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4809_0 {
	meta:
		name = "_NF__418"
		size = 312
		refs = "0015 _NF__418 0026 _NF__419 0031 @LStrCmp 005b TWinControl.HandleAllocated 007c TWinControl.GetHandle 0082 SendMessage 00be TCustomComboBox.SetItemIndex 00f3 @HandleFinally 0113 TControl.SetText 0128 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 0F 84 DC 00 00 00 8B 45 FC 80 B8 21 01 00 00 00 0F 84 B4 00 00 00 8B 45 FC 80 B8 21 01 00 00 01 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 F3 80 7D F3 00 74 14 6A 00 6A 00 6A 0B 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 75 09 C7 45 F4 FF FF FF FF EB 14 8B 45 FC 8B 80 18 01 00 00 8B 55 F8 8B 08 FF 51 50 89 45 F4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 1C 6A 00 6A 01 6A 0B 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 C3 E9 ?? ?? ?? ?? EB D6 83 7D F4 00 7D 18 8B 45 FC 8A 80 21 01 00 00 2C 02 73 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_4810_0 {
	meta:
		name = "_NF__419"
		size = 69
		refs = "0016 TControl.GetText 001f TCustomComboBox.GetItemIndex 002c @LStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8A 83 21 01 00 00 2C 02 73 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 25 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 0F 8B CF 8B D6 8B 83 18 01 00 00 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4811_0 {
	meta:
		name = "TDBComboBox.Change"
		size = 34
		refs = "000a TFieldDataLink.Edit 0011 TCustomComboBox.Change 001c TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4812_0 {
	meta:
		name = "TDBComboBox.Click"
		size = 34
		refs = "000a TFieldDataLink.Edit 0011 TControl.Click 001c TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4814_0 {
	meta:
		name = "TDBComboBox.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 70 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_4815_0 {
	meta:
		name = "TDBComboBox.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4816_0 {
	meta:
		name = "TDBComboBox.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 70 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4817_0 {
	meta:
		name = "TDBComboBox.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 70 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4819_0 {
	meta:
		name = "TDBComboBox.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 70 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4818_0 {
	meta:
		name = "TDBComboBox.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 70 01 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_4820_0 {
	meta:
		name = "TDBComboBox.GetField"
		size = 10
	strings:
		$1 = { 8B 80 70 01 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_4821_0 {
	meta:
		name = "TDBComboBox.KeyDown"
		size = 79
		refs = "0012 TWinControl.KeyDown 002f TFieldDataLink.Edit"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B D3 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 66 8B 03 66 83 E8 08 74 09 83 C0 E8 66 2D E0 00 73 23 8B 86 70 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 14 66 8B 03 66 83 E8 26 74 06 66 83 E8 02 75 05 66 C7 03 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4822_0 {
	meta:
		name = "TDBComboBox.KeyPress"
		size = 141
		refs = "000b TWinControl.KeyPress 003d MessageBeep 0071 TFieldDataLink.Edit 007f TFieldDataLink.Reset 0086 TCustomComboBox.SelectAll"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 06 04 E0 2C E0 73 2D 8B 83 70 01 00 00 83 78 1C 00 74 21 8A 16 8B 83 70 01 00 00 8B 40 1C 8B 08 FF 91 94 00 00 00 84 C0 75 0A 6A 00 E8 ?? ?? ?? ?? C6 06 00 33 C0 8A 06 83 F8 18 7F 0E 74 1B 83 E8 08 74 16 83 E8 0E 74 11 EB 2F 83 E8 1B 74 18 83 C0 FB 2D E0 00 00 00 73 20 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4824_0 {
	meta:
		name = "_NF__439"
		size = 60
		refs = "0010 TWinControl.HandleAllocated 0036 SendMessage"
	strings:
		$1 = { 53 8B D8 8A 83 21 01 00 00 2C 02 73 2D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 6A 00 8B 83 70 01 00 00 8A 40 28 34 01 83 E0 7F 50 68 CF 00 00 00 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4825_0 {
	meta:
		name = "TDBComboBox.WndProc"
		size = 174
		refs = "0043 TFieldDataLink.Edit 0060 TWinControl.GetHandle 0066 PostMessage 0091 _NF__416 009e TPaintControl.DestroyHandle 00a7 TCustomComboBox.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 10 0F 85 92 00 00 00 8B 06 3D 11 01 00 00 7F 0C 74 1A 48 74 79 83 E8 46 74 74 EB 7D 2D 4F 01 00 00 74 41 2D BF AE 00 00 74 64 EB 6D 66 83 7E 06 01 75 66 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 57 80 BB 21 01 00 00 01 74 57 6A 00 6A 00 68 4F 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 83 7E 04 00 74 0D 8B 83 70 01 00 00 E8 ?? ?? ?? ?? EB 22 8B 83 70 01 00 00 80 78 28 00 75 16 8B D3 8B C3 E8 ?? ?? ?? ?? EB 0B 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4826_0 {
	meta:
		name = "TDBComboBox.ComboWndProc"
		size = 81
		refs = "0033 TFieldDataLink.Edit 0046 TCustomComboBox.ComboWndProc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 F6 43 20 10 75 29 8B 06 2D 01 02 00 00 75 20 80 BB 21 01 00 00 01 75 17 3B BB 30 01 00 00 74 0F 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4827_0 {
	meta:
		name = "TDBComboBox.CMEnter"
		size = 59
		refs = "0006 TWinControl.CMEnter 000b SysLocale 001c TFieldDataLink.GetCanModify 0035 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 24 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 6A 00 68 CF 00 00 00 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4828_0 {
	meta:
		name = "TDBComboBox.CMExit"
		size = 93
		refs = "000e TDBComboBox.CMExit 0022 TDataLink.UpdateRecord 0031 @HandleAnyException 0039 TCustomComboBox.SelectAll 0046 @RaiseAgain 004b @DoneExcept 0055 TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 70 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_4829_0 {
	meta:
		name = "TDBComboBox.WMPaint"
		size = 464
		refs = "0016 TDBComboBox.WMPaint 003d TField.GetEditText 0047 @LStrClr 005c @LStrToPChar 006c TPaintControl.GetHandle 0072 SendMessage 009e GetWindow 00b2 GetClientRect 00ca MapWindowPoints 00d7 GetWindowOrgEx 00f0 SetWindowOrgEx 010b IntersectClipRect 01a8 TWinControl.WMPaint 01c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 42 80 0F 84 79 01 00 00 8B 83 70 01 00 00 8B 78 1C 85 FF 74 0C 8D 55 FC 8B C7 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 80 BB 21 01 00 00 00 0F 85 CA 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 0C 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 05 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 00 01 00 00 8D 45 E4 50 57 E8 ?? ?? ?? ?? 6A 02 8D 45 E4 50 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 46 04 50 E8 ?? ?? ?? ?? 6A 00 8B 45 F8 2B 45 E8 50 8B 45 F4 2B 45 E4 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 45 F0 2B 45 E8 50 8B 45 EC 2B 45 E4 50 6A 00 6A 00 8B 46 04 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 57 E8 ?? ?? ?? ?? E9 8A 00 00 00 6A 00 6A 00 68 4B 01 00 00 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 18 01 00 00 8B 08 FF 51 50 40 74 3B 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 68 43 01 00 00 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 4E 01 00 00 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4830_0 {
	meta:
		name = "TDBComboBox.SetItems"
		size = 25
		refs = "0013 _NF__416"
	strings:
		$1 = { 53 8B D8 8B 83 18 01 00 00 8B 08 FF 51 08 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4850_0 {
	meta:
		name = "TDBListBox.SetItems"
		size = 25
		refs = "0013 _NF__45F"
	strings:
		$1 = { 53 8B D8 8B 83 18 01 00 00 8B 08 FF 51 08 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4831_0 {
	meta:
		name = "TDBComboBox.SetStyle"
		size = 115
		refs = "000f TDBComboBox.SetStyle 0037 SNotReplicatable 003c LoadResString 0044 DatabaseError 004d TCustomComboBox.SetStyle 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FB 01 75 2A 83 BE 70 01 00 00 00 74 21 8B 86 70 01 00 00 80 78 18 00 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4832_0 {
	meta:
		name = "TDBComboBox.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 70 01 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_4833_0 {
	meta:
		name = "TDBListBox.Create"
		size = 98
		refs = "000e @ClassCreate 001c TCustomListBox.Create 0023 _DV_TFieldDataLink 0028 TDataLink.Create 003d _NF__45F 0047 _NF__460"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 54 01 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4834_0 {
	meta:
		name = "TDBListBox.Destroy"
		size = 53
		refs = "000d TObject.Free 0021 TCustomListBox.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 54 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 54 01 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4835_0 {
	meta:
		name = "TDBListBox.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBListBox.GetDataSource 0032 TDBListBox.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 54 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4836_0 {
	meta:
		name = "_NF__45F"
		size = 115
		refs = "000d _NF__45F 002a TField.GetEditText 0041 TCustomListBox.SetItemIndex 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 54 01 00 00 8B 70 1C 85 F6 74 23 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 18 01 00 00 8B 08 FF 51 50 8B D0 8B C3 E8 ?? ?? ?? ?? EB 0A 83 CA FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4837_0 {
	meta:
		name = "_NF__460"
		size = 126
		refs = "000d _NF__460 001a TCustomListBox.GetItemIndex 0046 TField.SetEditText 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 2A 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B 83 18 01 00 00 8B 30 FF 56 0C 8B 55 FC 8B 83 54 01 00 00 8B 40 1C E8 ?? ?? ?? ?? EB 10 8B 83 54 01 00 00 8B 40 1C 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4838_0 {
	meta:
		name = "TDBListBox.Click"
		size = 38
		refs = "000a TFieldDataLink.Edit 0015 TControl.Click 0020 TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4839_0 {
	meta:
		name = "TDBListBox.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 54 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_4840_0 {
	meta:
		name = "TDBListBox.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4841_0 {
	meta:
		name = "TDBListBox.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 54 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4842_0 {
	meta:
		name = "TDBListBox.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 54 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4844_0 {
	meta:
		name = "TDBListBox.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 54 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12350_0 {
	meta:
		name = "TQRCustomRichText.SetAlignment"
		size = 12
		refs = "0007 TCustomMemo.SetAlignment"
	strings:
		$1 = { 8B 80 54 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12351_0 {
	meta:
		name = "TQRCustomRichText.SetColor"
		size = 12
		refs = "0007 TControl.SetColor"
	strings:
		$1 = { 8B 80 54 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12352_0 {
	meta:
		name = "TQRCustomRichText.SetFont"
		size = 12
		refs = "0007 TControl.SetFont"
	strings:
		$1 = { 8B 80 54 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4843_0 {
	meta:
		name = "TDBListBox.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 54 01 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_4845_0 {
	meta:
		name = "TDBListBox.GetField"
		size = 10
	strings:
		$1 = { 8B 80 54 01 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_4846_0 {
	meta:
		name = "TDBListBox.KeyDown"
		size = 58
		refs = "0012 TWinControl.KeyDown 0029 TFieldDataLink.Edit"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 66 8B 06 83 C0 DF 66 83 E8 08 73 14 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 05 66 C7 06 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4847_0 {
	meta:
		name = "TDBListBox.KeyPress"
		size = 62
		refs = "000b TWinControl.KeyPress 0022 TFieldDataLink.Edit 0037 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 06 2C 1B 74 1B 04 FB 2C E0 73 20 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 11 C6 06 00 5E 5B C3 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4848_0 {
	meta:
		name = "TDBListBox.WMLButtonDown"
		size = 77
		refs = "000d TFieldDataLink.Edit 001a TCustomListBox.WMLButtonDown 0037 KeysToShiftState 0046 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 10 FF 52 78 0F BF 46 08 50 0F BF 46 0A 50 66 8B 46 04 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 66 BB E8 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4849_0 {
	meta:
		name = "TDBListBox.CMExit"
		size = 85
		refs = "000e TDBListBox.CMExit 0022 TDataLink.UpdateRecord 0031 @HandleAnyException 003e @RaiseAgain 0043 @DoneExcept 004d TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 54 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_4851_0 {
	meta:
		name = "TDBRadioGroup.Create"
		size = 116
		refs = "000e @ClassCreate 001c TCustomRadioGroup.Create 0023 _DV_TFieldDataLink 0028 TDataLink.Create 003d _NF__48F 0047 _NF__490 004e _Dn_TStringList 0053 TObject.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 30 01 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 38 01 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4852_0 {
	meta:
		name = "TDBRadioGroup.Destroy"
		size = 64
		refs = "000d TObject.Free 002c TCustomRadioGroup.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 30 01 00 00 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4853_0 {
	meta:
		name = "TDBRadioGroup.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBRadioGroup.GetDataSource 0032 TDBRadioGroup.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 30 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4854_0 {
	meta:
		name = "_NF__48F"
		size = 101
		refs = "000d _NF__48F 002a TField.GetEditText 0034 TDBRadioGroup.SetValue 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 30 01 00 00 8B 70 1C 85 F6 74 16 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4855_0 {
	meta:
		name = "_NF__490"
		size = 26
		refs = "0015 TField.SetEditText"
	strings:
		$1 = { 8B 90 30 01 00 00 8B 52 1C 85 D2 74 0C 8B 80 34 01 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4856_0 {
	meta:
		name = "TDBRadioGroup.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 30 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_4857_0 {
	meta:
		name = "TDBRadioGroup.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4858_0 {
	meta:
		name = "TDBRadioGroup.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 30 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4859_0 {
	meta:
		name = "TDBRadioGroup.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 30 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4871_0 {
	meta:
		name = "TDBRadioGroup.CanModify"
		size = 12
		refs = "0007 TFieldDataLink.Edit"
	strings:
		$1 = { 8B 80 30 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4861_0 {
	meta:
		name = "TDBRadioGroup.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 30 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4860_0 {
	meta:
		name = "TDBRadioGroup.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 30 01 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_4862_0 {
	meta:
		name = "TDBRadioGroup.GetField"
		size = 10
	strings:
		$1 = { 8B 80 30 01 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_4863_0 {
	meta:
		name = "_NF__4A2"
		size = 167
		refs = "0019 _NF__4A2 007f @LStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 38 01 00 00 8B 10 FF 52 14 3B F0 7D 28 8D 4D F8 8B D6 8B 83 38 01 00 00 8B 38 FF 57 0C 83 7D F8 00 74 12 8B 4D FC 8B D6 8B 83 38 01 00 00 8B 18 FF 53 0C EB 29 8B 83 20 01 00 00 8B 10 FF 52 14 3B F0 7D 12 8B 4D FC 8B D6 8B 83 20 01 00 00 8B 18 FF 53 0C EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4864_0 {
	meta:
		name = "TDBRadioGroup.SetValue"
		size = 247
		refs = "0018 TDBRadioGroup.SetValue 002f @LStrCmp 0075 _NF__4A2 0094 TCustomRadioGroup.SetItemIndex 00b1 @HandleFinally 00c3 @LStrAsg 00cf @CallDynaInst 00e4 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 34 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 0F 84 9A 00 00 00 8B 45 FC C6 80 3C 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CF FF 8B 45 FC 8B 80 20 01 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 25 46 33 DB 8D 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 75 04 8B FB EB 04 43 4E 75 DE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 3C 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 05 34 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 BB DB FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4865_0 {
	meta:
		name = "TDBRadioGroup.CMExit"
		size = 122
		refs = "000e TDBRadioGroup.CMExit 0022 TDataLink.UpdateRecord 0031 @HandleAnyException 0048 TWinControl.GetControl 0063 @RaiseAgain 0068 @DoneExcept 0072 TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 30 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3C E9 ?? ?? ?? ?? 8B 45 FC 8B 98 24 01 00 00 85 DB 7C 11 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 78 EB 0F 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_4866_0 {
	meta:
		name = "TDBRadioGroup.Click"
		size = 122
		refs = "000d TDBRadioGroup.Click 0023 TControl.Click 0039 _NF__4A2 0043 TDBRadioGroup.SetValue 0054 TFieldDataLink.Modified 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 3C 01 00 00 00 75 38 8B C3 E8 ?? ?? ?? ?? 8B B3 24 01 00 00 85 F6 7C 16 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 83 30 01 00 00 80 78 28 00 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4867_0 {
	meta:
		name = "TDBRadioGroup.SetItems"
		size = 25
		refs = "0013 _NF__48F"
	strings:
		$1 = { 53 8B D8 8B 83 20 01 00 00 8B 08 FF 51 08 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4868_0 {
	meta:
		name = "TDBRadioGroup.SetValues"
		size = 25
		refs = "0013 _NF__48F"
	strings:
		$1 = { 53 8B D8 8B 83 38 01 00 00 8B 08 FF 51 08 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4869_0 {
	meta:
		name = "TDBRadioGroup.Change"
		size = 29
	strings:
		$1 = { 53 66 83 B8 42 01 00 00 00 74 10 8B D8 8B D0 8B 83 44 01 00 00 FF 93 40 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4870_0 {
	meta:
		name = "TDBRadioGroup.KeyPress"
		size = 57
		refs = "000b TWinControl.KeyPress 0024 TFieldDataLink.Edit 0032 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 06 2C 08 74 08 2C 13 74 12 2C 05 75 19 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4872_0 {
	meta:
		name = "TDBMemo.Create"
		size = 184
		refs = "000e @ClassCreate 001c TCustomMemo.Create 0025 TCustomEdit.SetReadOnly 002b TDBMemo.Create 0041 _DV_TFieldDataLink 0046 TDataLink.Create 005b _NF__4E1 0065 _NF__4E2 006f _NF__4E3 007d _DV_TPaintControl 0082 TPaintControl.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 C6 83 40 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 3C 01 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 38 C7 46 34 ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 44 01 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 08 00 00 FF FF FF FF 04 00 00 00 45 44 49 54 00 00 00 00 }
	condition:
		$1
}

rule function_4873_0 {
	meta:
		name = "TDBMemo.Destroy"
		size = 64
		refs = "000d TObject.Free 002c TCustomMemo.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 44 01 00 00 E8 ?? ?? ?? ?? 8B 86 3C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 3C 01 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4875_0 {
	meta:
		name = "TDBMemo.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBMemo.GetDataSource 0032 TDBMemo.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 3C 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4876_0 {
	meta:
		name = "TDBMemo.KeyDown"
		size = 64
		refs = "0012 TWinControl.KeyDown 0038 TFieldDataLink.Edit"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 80 BB 42 01 00 00 00 74 1D 66 83 3E 2E 74 0C 66 83 3E 2D 75 11 F6 04 24 01 74 0B 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4877_0 {
	meta:
		name = "TDBMemo.KeyPress"
		size = 168
		refs = "000b TCustomMemo.KeyPress 0046 MessageBeep 0082 TFieldDataLink.Edit 008f TFieldDataLink.Reset 009e TDBMemo.LoadMemo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 42 01 00 00 00 74 7E 8A 06 04 E0 2C E0 73 2D 8B 83 3C 01 00 00 83 78 1C 00 74 21 8A 16 8B 83 3C 01 00 00 8B 40 1C 8B 08 FF 91 94 00 00 00 84 C0 75 0A 6A 00 E8 ?? ?? ?? ?? C6 06 00 33 C0 8A 06 83 F8 18 7F 16 74 23 83 C0 F8 83 E8 03 72 1B 83 E8 02 74 16 83 E8 09 74 11 EB 39 83 E8 1B 74 17 83 C0 FB 2D E0 00 00 00 73 2A 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? EB 1D 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 80 3E 0D 75 07 8B C3 E8 ?? ?? ?? ?? C6 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_4878_0 {
	meta:
		name = "TDBMemo.Change"
		size = 39
		refs = "0013 TFieldDataLink.Modified 0021 TCustomEdit.Change"
	strings:
		$1 = { 53 8B D8 80 BB 42 01 00 00 00 74 0B 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? C6 83 42 01 00 00 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4879_0 {
	meta:
		name = "TDBMemo.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 3C 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_4880_0 {
	meta:
		name = "TDBMemo.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4881_0 {
	meta:
		name = "TDBMemo.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 3C 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4882_0 {
	meta:
		name = "TDBMemo.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 3C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4884_0 {
	meta:
		name = "TDBMemo.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 3C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4883_0 {
	meta:
		name = "TDBMemo.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 3C 01 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_4885_0 {
	meta:
		name = "TDBMemo.GetField"
		size = 10
	strings:
		$1 = { 8B 80 3C 01 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_4886_0 {
	meta:
		name = "TDBMemo.LoadMemo"
		size = 300
		refs = "0015 TDBMemo.LoadMemo 00a6 @HandleOnException 00ae _Dn_EInvalidOperation 00d1 Format 00e7 @DoneExcept 00f2 _NF__4E2 0107 @LStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 42 01 00 00 00 0F 85 C7 00 00 00 8B 45 FC 8B 80 3C 01 00 00 83 78 1C 00 0F 84 B4 00 00 00 8B 45 FC 8B 80 3C 01 00 00 8B 40 1C 8B 00 FF 90 90 00 00 00 84 C0 0F 84 98 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 80 3C 01 00 00 8B 40 1C 8B 08 FF 51 48 8B 55 F8 8B 45 FC 8B 80 30 01 00 00 8B 08 FF 51 2C 8B 45 FC C6 80 42 01 00 00 01 33 C0 5A 59 59 64 89 10 EB 46 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 F8 50 8B 43 04 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 80 30 01 00 00 8B 08 FF 51 2C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_4887_0 {
	meta:
		name = "_NF__4E1"
		size = 392
		refs = "0016 _NF__4E1 0065 TDBMemo.LoadMemo 007f TField.GetDisplayLabel 0098 Format 00a2 TControl.SetText 00bf TFieldDataLink.GetCanModify 00d4 TField.GetEditText 00f1 TField.GetDisplayText 012d TWinControl.HandleAllocated 0141 TWinControl.GetHandle 0147 RedrawWindow 015c @LStrClr 016a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 3C 01 00 00 8B 70 1C 85 F6 0F 84 D7 00 00 00 8B 06 FF 90 90 00 00 00 84 C0 74 72 80 BB 40 01 00 00 00 75 15 8B 83 3C 01 00 00 80 78 28 00 74 1C 80 BB 42 01 00 00 00 74 13 C6 83 42 01 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 BC 00 00 00 8D 45 FC 50 8D 55 F0 8B 83 3C 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 83 42 01 00 00 00 EB 7B 80 BB 41 01 00 00 00 74 2C 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 1D 8D 55 FC 8B 83 3C 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 1B 8D 55 FC 8B 83 3C 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 83 42 01 00 00 01 EB 22 F6 43 20 10 74 0C 8B 53 08 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 42 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 68 05 04 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_4888_0 {
	meta:
		name = "_NF__4E2"
		size = 33
		refs = "001c TCustomEdit.SetReadOnly"
	strings:
		$1 = { 8B 90 3C 01 00 00 80 7A 28 00 74 0D 80 B8 42 01 00 00 00 74 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4889_0 {
	meta:
		name = "_NF__4E3"
		size = 82
		refs = "000c _NF__4E3 001c TControl.GetText 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 3C 01 00 00 8B 40 1C 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4890_0 {
	meta:
		name = "_NF__4E4"
		size = 57
		refs = "0032 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B D8 3A 93 41 01 00 00 74 2A 88 93 41 01 00 00 8B 83 3C 01 00 00 8B 70 1C 85 F6 74 0C 8B 06 FF 90 90 00 00 00 84 C0 75 0B 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4891_0 {
	meta:
		name = "TDBMemo.WndProc"
		size = 48
		refs = "0020 TPaintControl.DestroyHandle 0029 TWinControl.WndProc"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 03 83 F8 01 74 0C 83 F8 47 74 07 3D 0E B0 00 00 75 0B 8B 86 44 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4892_0 {
	meta:
		name = "TDBMemo.CMEnter"
		size = 62
		refs = "000b _NF__4E4 0014 TCustomEdit.CMEnter 0019 SysLocale 002a TFieldDataLink.GetCanModify 0037 TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 18 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4893_0 {
	meta:
		name = "TDBMemo.CMExit"
		size = 95
		refs = "000e TDBMemo.CMExit 0022 TDataLink.UpdateRecord 0031 @HandleAnyException 003e @RaiseAgain 0043 @DoneExcept 004d _NF__4E4 0057 TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 3C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_4894_0 {
	meta:
		name = "TDBMemo.SetAutoDisplay"
		size = 24
		refs = "0013 TDBMemo.LoadMemo"
	strings:
		$1 = { 3A 90 40 01 00 00 74 0F 88 90 40 01 00 00 84 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4895_0 {
	meta:
		name = "TDBMemo.WMLButtonDblClk"
		size = 21
		refs = "000a TDBMemo.LoadMemo 0010 TControl.WMLButtonDblClk"
	strings:
		$1 = { 80 B8 42 01 00 00 00 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4896_0 {
	meta:
		name = "TDBMemo.WMCut"
		size = 29
		refs = "000d TFieldDataLink.Edit"
		altNames = "TDBMemo.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_4898_0 {
	meta:
		name = "TDBMemo.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 3C 01 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_4899_0 {
	meta:
		name = "TDBMemo.WMPaint"
		size = 324
		refs = "0019 TDBMemo.WMPaint 002e TWinControl.WMPaint 0071 AdjustLineBreaks 0088 TField.GetDisplayLabel 00a1 Format 00b4 TField.GetDisplayText 00bc @LStrToPChar 00cc TPaintControl.GetHandle 00d2 SendMessage 011e @LStrArrayClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 42 80 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 D1 00 00 00 8B 83 3C 01 00 00 8B 78 1C 85 FF 74 74 8B 07 FF 90 90 00 00 00 84 C0 74 57 80 BB 40 01 00 00 00 74 1E 8D 55 F8 8B 83 3C 01 00 00 8B 40 1C 8B 08 FF 51 48 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? EB 41 8D 45 FC 50 8D 55 F8 8B 83 3C 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F8 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8D 55 FC 8B 83 3C 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 0C 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 14 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_4900_0 {
	meta:
		name = "TDBImage.Create"
		size = 244
		refs = "000e @ClassCreate 001c TCustomControl.Create 0022 TDBImage.Create 002f NewStyleControls 004e TControl.SetWidth 005a TControl.SetHeight 0063 TWinControl.SetTabStop 006c TControl.SetParentColor 0073 _Dn_TPicture 0078 TPicture.Create 008a _NF__52B 00a6 _DV_TFieldDataLink 00ab TDataLink.Create 00c0 _NF__532 00ca _NF__533"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 A1 ?? ?? ?? ?? 80 38 00 75 0E 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? C6 83 24 01 00 00 01 C6 83 25 01 00 00 01 C6 83 27 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 01 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? C6 83 29 01 00 00 01 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 40 08 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_4901_0 {
	meta:
		name = "TDBImage.Destroy"
		size = 64
		refs = "000d TObject.Free 002c TCustomControl.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 1C 01 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4902_0 {
	meta:
		name = "TDBImage.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 1C 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_4903_0 {
	meta:
		name = "TDBImage.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4904_0 {
	meta:
		name = "TDBImage.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 1C 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4905_0 {
	meta:
		name = "TDBImage.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4907_0 {
	meta:
		name = "TDBImage.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13650_0 {
	meta:
		name = "TSpinButton.GetDownGlyph"
		size = 12
		refs = "0007 TSpeedButton.GetGlyph"
	strings:
		$1 = { 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13652_0 {
	meta:
		name = "TSpinButton.GetDownNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.GetNumGlyphs"
	strings:
		$1 = { 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13653_0 {
	meta:
		name = "TSpinButton.SetDownNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4906_0 {
	meta:
		name = "TDBImage.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 1C 01 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_4908_0 {
	meta:
		name = "TDBImage.GetField"
		size = 10
	strings:
		$1 = { 8B 80 1C 01 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_4909_0 {
	meta:
		name = "TDBImage.GetPalette"
		size = 48
		refs = "0014 _Dn_TBitmap 0019 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 8B 83 20 01 00 00 8B 78 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C7 8B 10 FF 52 24 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4910_0 {
	meta:
		name = "TDBImage.SetAutoDisplay"
		size = 24
		refs = "0013 TDBImage.LoadPicture"
	strings:
		$1 = { 3A 90 25 01 00 00 74 0F 88 90 25 01 00 00 84 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4911_0 {
	meta:
		name = "TCustomGrid.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TDBImage.SetBorderStyle"
	strings:
		$1 = { 3A 90 24 01 00 00 74 0B 88 90 24 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4912_0 {
	meta:
		name = "TDBImage.SetCenter"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 27 01 00 00 74 0D 88 96 27 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_4913_0 {
	meta:
		name = "TDBImage.SetPicture"
		size = 12
	strings:
		$1 = { 8B 80 20 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_4914_0 {
	meta:
		name = "TDBImage.SetStretch"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 26 01 00 00 74 0D 88 96 26 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_4915_0 {
	meta:
		name = "TDBImage.Paint"
		size = 968
		refs = "0013 TDBImage.Paint 0032 TBrush.SetStyle 0043 TBrush.SetColor 0063 _Dn_TPicture 0068 TPicture.Create 00ce _Dn_TBitmap 00d3 @IsClass 00df TPicture.GetBitmap 0106 TWinControl.Focused 0138 TCanvas.GetHandle 013e SelectPalette 014f RealizePalette 0186 TCanvas.FillRect 01a7 TCanvas.StretchDraw 01b4 TPicture.GetHeight 01bd TPicture.GetWidth 01cb SetRect 01df TControl.GetClientHeight 01fb TControl.GetClientWidth 0218 OffsetRect 0247 ExcludeClipRect 026d SelectClipRgn 029c TObject.Free 02a2 @HandleFinally 02b2 TCanvas.SetFont 02cc TField.GetDisplayLabel 02dc @LStrLAsg 02f6 @LStrCatN 0304 TCanvas.TextExtent 0339 TCanvas.TextRect 0341 GetParentForm 0388 TCanvas.FrameRect 039d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 18 01 00 00 89 45 E4 8B 45 E4 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 54 8B 45 E4 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 28 01 00 00 00 75 0D 8B 45 FC F6 40 42 80 0F 84 48 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 42 80 74 66 8B 45 FC 8B 80 1C 01 00 00 83 78 1C 00 74 57 8B 45 FC 8B 80 1C 01 00 00 8B 40 1C 8B 00 FF 90 90 00 00 00 84 C0 74 3F 8B 45 FC 8B 80 1C 01 00 00 8B 50 1C 8B 45 EC 8B 08 FF 51 08 8B 45 EC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 78 8B 45 EC E8 ?? ?? ?? ?? 8B 55 FC 8A 92 29 01 00 00 88 50 20 EB 62 8B 45 FC 8B 90 20 01 00 00 8B 45 EC 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 45 8B 45 EC 83 78 04 00 74 3C 8B 45 EC 8B 40 04 8B 10 FF 52 24 85 C0 74 2D 6A 00 8B 45 EC 8B 40 04 8B 10 FF 52 24 50 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 26 01 00 00 00 74 51 8B 45 EC 8B 58 04 85 DB 74 0B 8B C3 8B 10 FF 52 1C 84 C0 74 1B 8D 55 C4 8B 45 FC 8B 08 FF 51 2C 8D 55 C4 8B 45 E4 E8 ?? ?? ?? ?? E9 E2 00 00 00 8D 55 C4 8B 45 FC 8B 08 FF 51 2C 8D 55 C4 8B 45 EC 8B 48 04 8B 45 E4 E8 ?? ?? ?? ?? E9 C1 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 D4 50 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 27 01 00 00 00 74 41 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 EC E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 53 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 EC E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 53 8D 45 D4 50 E8 ?? ?? ?? ?? 8B 45 EC 8B 48 04 8D 55 D4 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 DC 50 8B 45 D8 50 8B 45 D4 50 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 FC 8B 08 FF 51 2C 8D 55 C4 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 14 6A FF 8B 45 E8 50 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 FC 8B 50 50 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 1C 01 00 00 8B 58 1C 85 DB 74 0C 8D 55 F0 8B C3 E8 ?? ?? ?? ?? EB 0E 8D 45 F0 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 08 FF 51 2C 8B 45 E0 2B 45 F8 D1 F8 79 03 83 D0 00 50 8B 45 F0 50 8B 4D DC 2B 4D F4 D1 F9 79 03 83 D1 00 8D 55 D4 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 43 8B 80 2C 01 00 00 3B 45 FC 75 38 8B 45 FC F6 40 20 10 75 2F 8B 45 FC F6 40 42 80 75 26 8B 45 E4 8B 40 14 BA 06 00 00 80 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 FC 8B 08 FF 51 2C 8D 55 C4 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_4916_0 {
	meta:
		name = "_NF__52B"
		size = 39
		refs = "0013 TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 80 BB 28 01 00 00 00 74 0B 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? C6 83 28 01 00 00 01 8B C3 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_4917_0 {
	meta:
		name = "TDBImage.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBImage.GetDataSource 0032 TDBImage.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 1C 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4918_0 {
	meta:
		name = "TDBImage.LoadPicture"
		size = 61
	strings:
		$1 = { 53 56 8B D8 80 BB 28 01 00 00 00 75 2D 8B 83 1C 01 00 00 8B 70 1C 85 F6 74 0C 8B 06 FF 90 90 00 00 00 84 C0 74 14 8B 83 1C 01 00 00 8B 50 1C 8B 83 20 01 00 00 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_4919_0 {
	meta:
		name = "_NF__532"
		size = 41
		refs = "000c TPicture.SetGraphic 0023 TDBImage.LoadPicture"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 20 01 00 00 E8 ?? ?? ?? ?? C6 83 28 01 00 00 00 80 BB 25 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4920_0 {
	meta:
		name = "_NF__533"
		size = 69
		refs = "0011 _Dn_TBitmap 0016 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 83 20 01 00 00 8B 70 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D6 8B 83 1C 01 00 00 8B 40 1C 8B 08 FF 51 08 5E 5B C3 8B 83 1C 01 00 00 8B 40 1C 8B 10 FF 92 8C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_4921_0 {
	meta:
		name = "TDBImage.CopyToClipboard"
		size = 33
		refs = "0010 Clipboard"
	strings:
		$1 = { 53 8B D8 8B 83 20 01 00 00 83 78 04 00 74 10 E8 ?? ?? ?? ?? 8B 93 20 01 00 00 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_4922_0 {
	meta:
		name = "TDBImage.CutToClipboard"
		size = 52
		refs = "0016 TFieldDataLink.Edit 0021 TDBImage.CopyToClipboard 002e TPicture.SetGraphic"
	strings:
		$1 = { 53 8B D8 8B 83 20 01 00 00 83 78 04 00 74 23 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4923_0 {
	meta:
		name = "TDBImage.PasteFromClipboard"
		size = 63
		refs = "0004 Clipboard 000d TClipboard.HasFormat 001c TFieldDataLink.Edit 002b TPicture.GetBitmap"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 66 BA 02 00 E8 ?? ?? ?? ?? 84 C0 74 28 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 19 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_4924_0 {
	meta:
		name = "TDBImage.CreateParams"
		size = 66
		refs = "000b TWinControl.CreateParams 0019 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 24 01 00 00 01 75 23 A1 ?? ?? ?? ?? 80 38 00 74 12 80 BB D5 00 00 00 00 74 09 81 4E 08 00 02 00 00 EB 07 81 4E 04 00 00 80 00 83 66 24 FC 5E 5B C3 }
	condition:
		$1
}

rule function_4925_0 {
	meta:
		name = "TDBImage.KeyDown"
		size = 85
		refs = "0012 TWinControl.KeyDown 002f TDBImage.PasteFromClipboard 003e TDBImage.CopyToClipboard 004d TDBImage.CutToClipboard"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 66 8B 06 66 83 E8 2D 74 07 66 FF C8 74 20 EB 2B F6 04 24 01 74 09 8B C3 E8 ?? ?? ?? ?? EB 1C F6 04 24 04 74 16 8B C3 E8 ?? ?? ?? ?? EB 0D F6 04 24 01 74 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4926_0 {
	meta:
		name = "TDBImage.KeyPress"
		size = 104
		refs = "000b TWinControl.KeyPress 0035 TDBImage.CutToClipboard 003f TDBImage.CopyToClipboard 0049 TDBImage.PasteFromClipboard 0053 TDBImage.LoadPicture 0061 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 06 83 F8 16 7F 0E 74 2C 83 E8 03 74 1D 83 E8 0A 74 2C EB 3F 83 E8 18 74 07 83 E8 03 74 2A EB 33 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4927_0 {
	meta:
		name = "TDBImage.CMEnter"
		size = 25
		refs = "0012 TWinControl.CMEnter"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 44 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4928_0 {
	meta:
		name = "TDBImage.CMExit"
		size = 93
		refs = "000e TDBImage.CMExit 0022 TDataLink.UpdateRecord 0031 @HandleAnyException 003e @RaiseAgain 0043 @DoneExcept 0055 TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_4929_0 {
	meta:
		name = "TDBImage.CMTextChanged"
		size = 28
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 80 BE 28 01 00 00 00 75 07 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_4930_0 {
	meta:
		name = "TDBImage.WMLButtonDown"
		size = 45
		refs = "0012 TWinControl.CanFocus 0026 TControl.WMLButtonDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB D4 00 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 8B 10 FF 52 78 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4936_0 {
	meta:
		name = "_NF__560"
		size = 80
	strings:
		$1 = { 46 49 52 53 54 00 00 00 50 52 49 4F 52 00 00 00 4E 45 58 54 00 00 00 00 4C 41 53 54 00 00 00 00 49 4E 53 45 52 54 00 00 44 45 4C 45 54 45 00 00 45 44 49 54 00 00 00 00 50 4F 53 54 00 00 00 00 43 41 4E 43 45 4C 00 00 52 45 46 52 45 53 48 00 }
	condition:
		$1
}

rule function_4937_0 {
	meta:
		name = "TDBNavigator.Create"
		size = 260
		refs = "000e @ClassCreate 001c TCustomPanel.Create 0022 TDBNavigator.Create 0038 NewStyleControls 0054 _DV_TNavDataLink 0059 TNavDataLink.Create 0073 _Dn_TStringList 0078 TObject.Create 008a _NF__56B 0091 _NF__569 009a TCustomPanel.SetBevelOuter 00a3 TCustomPanel.SetBevelInner 00af TControl.SetWidth 00bb TControl.SetHeight"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? F7 D0 66 23 43 40 66 0B 05 ?? ?? ?? ?? 66 89 43 40 A1 ?? ?? ?? ?? 80 38 00 75 0E 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 38 01 00 00 66 A1 ?? ?? ?? ?? 66 89 83 3C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 40 01 00 00 89 5E 20 C7 46 1C ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA F1 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 44 01 00 00 C6 83 60 01 00 00 00 C6 83 61 01 00 00 01 C6 83 29 01 00 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 21 00 00 00 40 00 00 00 10 00 00 00 FF 03 00 00 }
	condition:
		$1
}

rule function_4938_0 {
	meta:
		name = "TDBNavigator.Destroy"
		size = 64
		refs = "000d TObject.Free 002c TCustomControl.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 38 01 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4939_0 {
	meta:
		name = "_NF__569"
		size = 448
		refs = "0014 _NF__569 002c Point 004e _NV__55F 0057 _DV_TNavButton 005c TSpeedButton.Create 006b TSpeedButton.SetFlat 008f TControl.SetVisible 0098 TControl.SetEnabled 00d0 FmtStr 00d7 TSpeedButton.GetGlyph 00dd HInstance 00e7 TBitmap.LoadFromResourceName 00f0 TSpeedButton.SetNumGlyphs 0112 _NF__587 011c _NF__588 0152 _NF__56A 0197 @LStrClr 019d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 BA 12 00 00 00 B8 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 89 86 48 01 00 00 8B 45 EC 89 86 4C 01 00 00 33 C0 89 45 F8 C6 45 FF 00 C7 45 F0 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8A 96 62 01 00 00 8B C3 E8 ?? ?? ?? ?? 8A 45 FF 88 83 D0 00 00 00 8A 45 FF 3C 0F 77 0A 83 E0 7F 0F A3 86 3C 01 00 00 0F 92 C2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 86 48 01 00 00 50 8B 86 4C 01 00 00 50 33 C9 8B 55 F8 8B C3 8B 38 FF 57 4C 6A 00 8B 45 F0 8B 00 89 45 E8 C6 45 EC 06 8D 4D E8 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 4D F4 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 89 B3 A8 00 00 00 C7 83 A4 00 00 00 ?? ?? ?? ?? 89 73 70 C7 43 6C ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 3C 33 C0 8A 45 FF 89 9C 86 64 01 00 00 8B 86 48 01 00 00 01 45 F8 FE 45 FF 83 45 F0 04 80 7D FF 0A 0F 85 03 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 9E 68 01 00 00 8A 83 D1 00 00 00 0A 05 ?? ?? ?? ?? 88 83 D1 00 00 00 8B 9E 6C 01 00 00 8A 83 D1 00 00 00 0A 05 ?? ?? ?? ?? 88 83 D1 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 06 00 00 00 64 62 6E 5F 25 73 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_4940_0 {
	meta:
		name = "_NF__56A"
		size = 215
		refs = "0015 _NF__56A 0022 _NV__561 003a LoadResString 00a3 @LStrAsg 00c4 @LStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB BE ?? ?? ?? ?? 33 C0 8A C3 8B 55 FC 8B 84 82 64 01 00 00 8D 50 60 8B 06 E8 ?? ?? ?? ?? 43 83 C6 04 80 FB 0A 75 DF 33 DB 8B 45 FC 8B 80 40 01 00 00 8B 10 FF 52 14 48 85 C0 7C 57 40 89 45 F8 33 F6 8D 4D F4 8B D6 8B 45 FC 8B 80 40 01 00 00 8B 38 FF 57 0C 83 7D F4 00 74 2C 8D 4D F4 8B D6 8B 45 FC 8B 80 40 01 00 00 8B 38 FF 57 0C 8B 55 F4 33 C0 8A C3 8B 4D FC 8B 84 81 64 01 00 00 83 C0 60 E8 ?? ?? ?? ?? 80 FB 09 74 07 43 46 FF 4D F8 75 AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4942_0 {
	meta:
		name = "TDBNavigator.SetFlat"
		size = 59
		refs = "002d TSpeedButton.SetFlat"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8A 86 62 01 00 00 3A 04 24 74 24 8A 04 24 88 86 62 01 00 00 33 DB 33 C0 8A C3 8B 84 86 64 01 00 00 8A 14 24 E8 ?? ?? ?? ?? 43 80 FB 0A 75 E7 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4945_0 {
	meta:
		name = "TDBNavigator.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBNavigator.GetDataSource 0032 TDBNavigator.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 38 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4946_0 {
	meta:
		name = "TDBNavigator.SetVisible"
		size = 148
		refs = "0045 TControl.SetVisible 005a _NF__57D 0083 TWinControl.SetBounds"
	strings:
		$1 = { 53 56 83 C4 F4 66 89 14 24 8B F0 8B 46 38 89 44 24 04 8B 46 3C 89 44 24 08 66 8B 04 24 66 89 86 3C 01 00 00 33 DB 8B C3 3C 0F 77 0A 83 E0 7F 0F A3 86 3C 01 00 00 0F 92 C2 33 C0 8A C3 8B 84 86 64 01 00 00 E8 ?? ?? ?? ?? 43 80 FB 0A 75 D7 8D 4C 24 08 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B 44 24 04 3B 46 38 75 09 8B 44 24 08 3B 46 3C 74 17 8B 44 24 04 50 8B 44 24 0C 50 8B 4E 34 8B 56 30 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_4947_0 {
	meta:
		name = "_NF__57D"
		size = 315
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 0C 24 8B CA 8B F0 F6 46 20 01 0F 85 1B 01 00 00 83 BE 64 01 00 00 00 0F 84 0E 01 00 00 33 FF 33 DB 33 C0 8A C3 8B 84 86 64 01 00 00 80 78 44 00 74 01 47 43 80 FB 0A 75 E8 85 FF 75 01 47 8B C7 F7 AE 48 01 00 00 3B 01 7E 02 89 01 8B 14 24 8B 12 8B 86 4C 01 00 00 3B D0 7D 05 8B 14 24 89 02 8B 01 99 F7 FF 8B D8 89 9E 44 01 00 00 8B C7 F7 EB 89 44 24 08 80 7E 48 00 75 06 8B 44 24 08 89 01 33 C0 89 44 24 10 8B 01 2B 44 24 08 89 44 24 0C 8B C7 D1 F8 79 03 83 D0 00 89 44 24 08 33 DB 33 C0 8A C3 8B 84 86 64 01 00 00 80 78 44 00 74 56 33 D2 89 54 24 04 83 7C 24 0C 00 74 1B 8B 54 24 0C 29 54 24 08 83 7C 24 08 00 7D 0C 01 7C 24 08 C7 44 24 04 01 00 00 00 8B 96 44 01 00 00 03 54 24 04 52 8B 56 3C 52 33 D2 8A D3 33 C9 8B 54 24 18 8B 28 FF 55 4C 8B 86 44 01 00 00 03 44 24 04 01 44 24 10 EB 1A 8B 96 44 01 00 00 52 8B 56 3C 52 8B 56 38 42 33 C9 8A CB 33 C9 8B 28 FF 55 4C 43 80 FB 0A 0F 85 75 FF FF FF 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4948_0 {
	meta:
		name = "TDBNavigator.SetBounds"
		size = 79
		refs = "001e TWinControl.HandleAllocated 002f _NF__57D 0042 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 89 45 FC 8B 45 08 89 45 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4949_0 {
	meta:
		name = "TDBNavigator.WMSize"
		size = 93
		refs = "000e TWinControl.WMSize 0028 _NF__57D 004f TWinControl.SetBounds"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 38 89 04 24 8B 43 3C 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 38 75 09 8B 44 24 04 3B 43 3C 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 34 8B 53 30 8B C3 E8 ?? ?? ?? ?? 33 C0 89 46 0C 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13637_0 {
	meta:
		name = "TSpinButton.WMSize"
		size = 93
		refs = "000e TWinControl.WMSize 0028 _NF__10C 004f TWinControl.SetBounds"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 38 89 04 24 8B 43 3C 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 38 75 09 8B 44 24 04 3B 43 3C 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 34 8B 53 30 8B C3 E8 ?? ?? ?? ?? 33 C0 89 46 0C 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4950_0 {
	meta:
		name = "_NF__587"
		size = 12
		refs = "0007 TDBNavigator.BtnClick"
	strings:
		$1 = { 8A 92 D0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4951_0 {
	meta:
		name = "_NF__588"
		size = 169
		refs = "0026 TWinControl.GetHandle 002d GetFocus 0038 TWinControl.CanFocus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8A 9E 60 01 00 00 8A 82 D0 00 00 00 88 86 60 01 00 00 80 BE D4 00 00 00 00 74 38 8B C6 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 74 26 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 8B 10 FF 52 78 8B C6 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 49 EB 47 80 BE D4 00 00 00 00 74 3E 8B C6 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 75 2C 3A 9E 60 01 00 00 74 24 33 C0 8A C3 8B 84 86 64 01 00 00 8B 10 FF 52 44 33 C0 8A 86 60 01 00 00 8B 84 86 64 01 00 00 8B 10 FF 52 44 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_4952_0 {
	meta:
		name = "TDBNavigator.BtnClick"
		size = 376
		refs = "0010 TDBNavigator.BtnClick 001d TDBNavigator.GetDataSource 00a3 TDataSet.Prior 00af TDataSet.Next 00b8 TDataSet.First 00c1 TDataSet.Last 00ca TDataSet.Insert 00d3 TDataSet.Edit 00f4 TDataSet.Refresh 0109 SDeleteRecordQuestion 010e LoadResString 011f MessageDlg 012b TDataSet.Delete 0160 @LStrClr 0166 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 06 01 00 00 8B C6 E8 ?? ?? ?? ?? 80 78 2E 00 0F 84 F5 00 00 00 F6 46 20 10 75 1A 66 83 BE 5A 01 00 00 00 74 10 8B CB 8B D6 8B 86 5C 01 00 00 FF 96 58 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 78 24 33 C0 8A C3 83 F8 09 0F 87 BE 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E9 83 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 7A 8B C7 E8 ?? ?? ?? ?? EB 71 8B C7 E8 ?? ?? ?? ?? EB 68 8B C7 E8 ?? ?? ?? ?? EB 5F 8B C7 E8 ?? ?? ?? ?? EB 56 8B C7 8B 10 FF 92 7C 01 00 00 EB 4A 8B C7 8B 10 FF 92 A0 01 00 00 EB 3E 8B C7 E8 ?? ?? ?? ?? EB 35 80 BE 61 01 00 00 00 74 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 8B 0D ?? ?? ?? ?? B2 03 E8 ?? ?? ?? ?? 83 F8 02 74 07 8B C7 E8 ?? ?? ?? ?? F6 46 20 10 75 1A 66 83 BE 52 01 00 00 00 74 10 8B CB 8B D6 8B 86 54 01 00 00 FF 96 50 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_4953_0 {
	meta:
		name = "TDBNavigator.WMKillFocus"
		size = 21
		altNames = "TDBNavigator.WMSetFocus"
	strings:
		$1 = { 33 D2 8A 90 60 01 00 00 8B 84 90 64 01 00 00 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_4955_0 {
	meta:
		name = "TDBNavigator.KeyDown"
		size = 246
		refs = "00ef @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8A 86 60 01 00 00 8B C8 66 8B 12 66 83 EA 20 0F 84 B2 00 00 00 66 83 EA 05 74 5D 66 83 EA 02 0F 85 CA 00 00 00 3C 09 73 01 40 3C 09 74 11 33 D2 8A D0 8B 94 96 64 01 00 00 80 7A 44 00 74 E6 3A 86 60 01 00 00 0F 84 A4 00 00 00 88 86 60 01 00 00 33 C0 8A C1 8B 84 86 64 01 00 00 8B 10 FF 52 44 33 C0 8A 86 60 01 00 00 8B 84 86 64 01 00 00 8B 10 FF 52 44 5E 5B C3 84 C0 76 01 48 84 C0 74 11 33 D2 8A D0 8B 94 96 64 01 00 00 80 7A 44 00 74 E6 3A 86 60 01 00 00 74 55 88 86 60 01 00 00 33 C0 8A C1 8B 84 86 64 01 00 00 8B 10 FF 52 44 33 C0 8A 86 60 01 00 00 8B 84 86 64 01 00 00 8B 10 FF 52 44 5E 5B C3 83 E0 7F 8B 84 86 64 01 00 00 80 78 45 00 74 18 33 C0 8A 86 60 01 00 00 8B 84 86 64 01 00 00 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4957_0 {
	meta:
		name = "TDBNavigator.DataChanged"
		size = 240
		refs = "001e TDataLink.GetDataSet 0063 TControl.SetEnabled"
	strings:
		$1 = { 53 56 51 8B F0 80 7E 45 00 74 1D 8B 86 38 01 00 00 80 78 15 00 74 11 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 80 78 58 00 74 04 33 DB EB 02 B3 01 80 7E 45 00 74 1D 8B 86 38 01 00 00 80 78 15 00 74 11 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 80 78 59 00 74 04 33 C0 EB 02 B0 01 88 04 24 8B D3 8B 86 64 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 68 01 00 00 E8 ?? ?? ?? ?? 8A 14 24 8B 86 6C 01 00 00 E8 ?? ?? ?? ?? 8A 14 24 8B 86 70 01 00 00 E8 ?? ?? ?? ?? 80 7E 45 00 74 45 8B 86 38 01 00 00 80 78 15 00 74 39 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 B0 00 00 00 84 C0 74 22 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 80 78 58 00 74 15 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 80 78 59 00 74 04 33 D2 EB 02 B2 01 8B 86 78 01 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4958_0 {
	meta:
		name = "TDBNavigator.EditingChanged"
		size = 179
		refs = "001d TDataLink.GetDataSet 003c TControl.SetEnabled"
	strings:
		$1 = { 53 56 8B F0 80 7E 45 00 74 23 8B 86 38 01 00 00 80 78 15 00 74 17 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 B0 00 00 00 84 C0 75 04 33 DB EB 02 B3 01 8B D3 8B 86 74 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 0C 8B 86 38 01 00 00 80 78 16 00 74 04 33 D2 EB 02 B2 01 8B 86 7C 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 0C 8B 86 38 01 00 00 80 78 16 00 75 04 33 D2 EB 02 B2 01 8B 86 80 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 0C 8B 86 38 01 00 00 80 78 16 00 75 04 33 D2 EB 02 B2 01 8B 86 84 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 88 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4959_0 {
	meta:
		name = "TDBNavigator.ActiveChanged"
		size = 68
		refs = "0026 TControl.SetEnabled 0036 TDBNavigator.DataChanged 003d TDBNavigator.EditingChanged"
	strings:
		$1 = { 53 56 8B F0 80 7E 45 00 74 0C 8B 86 38 01 00 00 80 78 15 00 75 1D 33 DB 33 C0 8A C3 8B 84 86 64 01 00 00 33 D2 E8 ?? ?? ?? ?? 43 80 FB 0A 75 E8 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4961_0 {
	meta:
		name = "TDBNavigator.SetDataSource"
		size = 48
		refs = "000f TDataLink.SetDataSource 001c TDBNavigator.ActiveChanged 0029 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 38 01 00 00 E8 ?? ?? ?? ?? F6 43 20 01 75 07 8B C3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4962_0 {
	meta:
		name = "TDBNavigator.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 38 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_4963_0 {
	meta:
		name = "TDBNavigator.Loaded"
		size = 96
		refs = "0009 TComponent.Loaded 0023 _NF__57D 004a TWinControl.SetBounds 0051 _NF__56A 0058 TDBNavigator.ActiveChanged"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 38 89 04 24 8B 43 3C 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 38 75 09 8B 44 24 04 3B 43 3C 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 34 8B 53 30 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_4964_0 {
	meta:
		name = "TNavButton.Destroy"
		size = 49
		refs = "0011 TObject.Free 001d TSpeedButton.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 D4 00 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4965_0 {
	meta:
		name = "TNavButton.MouseDown"
		size = 118
		refs = "0018 TSpeedButton.MouseDown 0033 _Dn_TTimer 0038 TTimer.Create 0044 _NF__5B8 004f TTimer.SetOnTimer 005f TTimer.SetInterval 006c TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? F6 83 D1 00 00 00 01 74 4B 83 BB D4 00 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D4 00 00 00 53 68 ?? ?? ?? ?? 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? BA 90 01 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4966_0 {
	meta:
		name = "TNavButton.MouseUp"
		size = 51
		refs = "0018 TSpeedButton.MouseUp 0029 TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? 8B 83 D4 00 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4967_0 {
	meta:
		name = "_NF__5B8"
		size = 122
		refs = "0017 TTimer.SetInterval 002b TControl.GetMouseCapture 0037 _NF__5B8 0049 @CallDynaInst 0058 @HandleAnyException 0068 TTimer.SetEnabled 006d @RaiseAgain 0072 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 80 D4 00 00 00 BA 64 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 CE 00 00 00 02 75 4F 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 8B 80 D4 00 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_4968_0 {
	meta:
		name = "TNavButton.Paint"
		size = 132
		refs = "000a TSpeedButton.Paint 0012 TWinControl.GetHandle 0019 GetFocus 0043 Bounds 0051 InflateRect 0068 OffsetRect 0074 TCanvas.GetHandle 007a DrawFocusRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 5D 8B 43 24 8A 80 60 01 00 00 3A 83 D0 00 00 00 75 4C 8B 43 3C 50 8D 44 24 04 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 6A FD 6A FD 8D 44 24 08 50 E8 ?? ?? ?? ?? 80 BB CE 00 00 00 02 75 0E 6A 01 6A 01 8D 44 24 08 50 E8 ?? ?? ?? ?? 54 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_4969_0 {
	meta:
		name = "TGridDataLink.Create"
		size = 53
		refs = "000b @ClassCreate 001a TDataLink.Create"
		altNames = "THTTPDataLink.Create TNavDataLink.Create _NF__926"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4970_0 {
	meta:
		name = "TNavDataLink.Destroy"
		size = 39
		refs = "0013 TDataLink.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C0 89 46 1C 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4971_0 {
	meta:
		name = "TNavDataLink.EditingChanged"
		size = 15
		refs = "000a TDBNavigator.EditingChanged"
	strings:
		$1 = { 8B 50 1C 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4974_0 {
	meta:
		name = "TDataSourceLink.ActiveChanged"
		size = 15
		refs = "000a _NF__5E0"
	strings:
		$1 = { 8B 50 1C 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4973_0 {
	meta:
		name = "TNavDataLink.ActiveChanged"
		size = 15
		refs = "000a TDBNavigator.ActiveChanged"
	strings:
		$1 = { 8B 50 1C 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4972_0 {
	meta:
		name = "TNavDataLink.DataSetChanged"
		size = 15
		refs = "000a TDBNavigator.DataChanged"
	strings:
		$1 = { 8B 50 1C 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7885_0 {
	meta:
		name = "_NF__5A8"
		size = 15
		refs = "000a _NF__553"
	strings:
		$1 = { 8B 50 1C 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4975_0 {
	meta:
		name = "TDataSourceLink.RecordChanged"
		size = 15
		refs = "000a _NF__5E1"
	strings:
		$1 = { 8B 48 1C 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4976_0 {
	meta:
		name = "TDataSourceLink.FocusControl"
		size = 58
		refs = "0022 TWinControl.CanFocus"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 3E 85 FF 74 29 8B 43 1C 3B B8 38 01 00 00 75 1E 83 7B 1C 00 74 18 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 0C 33 C0 89 06 8B 43 1C 8B 10 FF 52 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4977_0 {
	meta:
		name = "TListSourceLink.ActiveChanged"
		size = 20
	strings:
		$1 = { 56 8B 70 1C 85 F6 74 0A 8B C6 8B 10 FF 92 84 00 00 00 5E C3 }
	condition:
		$1
}

rule function_4978_0 {
	meta:
		name = "TListSourceLink.DataSetChanged"
		size = 20
	strings:
		$1 = { 56 8B 70 1C 85 F6 74 0A 8B C6 8B 10 FF 92 88 00 00 00 5E C3 }
	condition:
		$1
}

rule function_4979_0 {
	meta:
		name = "_NF__5D4"
		size = 71
		refs = "0013 _NF__5D4 0022 @VarCmp 0035 @HandleAnyException 003a @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 C6 45 FF 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? 0F 94 45 FF 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4980_0 {
	meta:
		name = "TDBLookupControl.Create"
		size = 216
		refs = "000e @ClassCreate 001c TCustomControl.Create 0021 NewStyleControls 002c TDBLookupControl.Create 0045 TControl.SetParentColor 004e TWinControl.SetTabStop 0057 _Dn_TDataSource 005c TDataSource.Create 0069 _DV_TDataSourceLink 006e TDataLink.Create 0080 _DV_TListSourceLink 0097 _Dn_TList 009c TObject.Create 00ae Null 00b3 @VarCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0C 66 A1 ?? ?? ?? ?? 66 89 43 40 EB 0A 66 A1 ?? ?? ?? ?? 66 89 43 40 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 1C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 01 00 00 89 5E 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 24 01 00 00 89 5E 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 48 01 00 00 8D 83 4C 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 40 00 00 00 50 00 00 00 }
	condition:
		$1
}

rule function_4981_0 {
	meta:
		name = "TDBLookupControl.Destroy"
		size = 77
		refs = "000d TObject.Free 0039 TCustomControl.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 48 01 00 00 E8 ?? ?? ?? ?? 8B 86 24 01 00 00 33 D2 89 50 1C E8 ?? ?? ?? ?? 8B 86 20 01 00 00 33 D2 89 50 1C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4982_0 {
	meta:
		name = "_NF__5DD"
		size = 67
		refs = "0010 TDBLookupControl.GetReadOnly"
	strings:
		$1 = { 53 56 8B D8 80 BB 61 01 00 00 00 74 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8B 83 20 01 00 00 83 78 04 00 74 1A 8B B3 3C 01 00 00 85 F6 74 0B 8B C6 8B 10 FF 52 50 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_4983_0 {
	meta:
		name = "_NF__5DE"
		size = 173
		refs = "000d _NF__5DE 0026 TDBLookupControl.GetListSource 002e TDataLink.GetDataSet 0034 TDataSet.IsLinkedTo 0040 SCircularDataLink 0045 LoadResString 004d DatabaseError 0060 TDBLookupControl.GetDataSource 009c @LStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 20 01 00 00 80 7E 15 00 74 2E 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B B3 24 01 00 00 80 7E 15 00 74 2E 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4984_0 {
	meta:
		name = "_NF__5DF"
		size = 118
		refs = "000c _NF__5DF 0023 SPropDefByLookup 0028 LoadResString 0030 DatabaseError 0044 SDataSourceFixed 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 60 01 00 00 00 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 83 20 01 00 00 80 78 18 00 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4985_0 {
	meta:
		name = "_NF__5E0"
		size = 127
		refs = "002c _NF__5DE 0037 TDataLink.GetDataSet 0044 GetFieldProperty 006f _NF__60B 0078 _NF__5E1"
	strings:
		$1 = { 53 56 8B D8 33 C0 89 83 38 01 00 00 33 C0 89 83 3C 01 00 00 8B 83 20 01 00 00 80 78 15 00 74 36 83 BB 28 01 00 00 00 74 2D 8B C3 E8 ?? ?? ?? ?? 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 8B 8B 28 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 89 B3 38 01 00 00 89 B3 3C 01 00 00 8B 83 38 01 00 00 85 C0 74 06 80 78 2E 02 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4986_0 {
	meta:
		name = "_NF__5E1"
		size = 119
		refs = "0011 _NF__5E1 0041 TDBLookupControl.SetKeyValue 0049 Null 0065 @VarClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 74 08 3B 93 3C 01 00 00 75 2D 8B B3 3C 01 00 00 85 F6 74 16 8D 55 F0 8B C6 8B 08 FF 51 4C 8D 55 F0 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4987_0 {
	meta:
		name = "_NF__5E2"
		size = 80
		refs = "001e SetRect 0037 AdjustWindowRectEx"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 8B 08 FF 51 5C 6A 00 6A 00 6A 00 6A 00 8D 84 24 9C 00 00 00 50 E8 ?? ?? ?? ?? 8B 44 24 08 50 6A 00 8B 44 24 0C 50 8D 84 24 98 00 00 00 50 E8 ?? ?? ?? ?? 8B 84 24 98 00 00 00 2B 84 24 90 00 00 00 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_4989_0 {
	meta:
		name = "TDBLookupControl.GetKeyFieldName"
		size = 41
		refs = "0012 @LStrClr 0022 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 60 01 00 00 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 2C 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4990_0 {
	meta:
		name = "TDBLookupControl.GetListSource"
		size = 22
	strings:
		$1 = { 80 B8 60 01 00 00 00 74 03 33 C0 C3 8B 80 24 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_4992_0 {
	meta:
		name = "_NF__5EB"
		size = 64
		refs = "000a GetDC 0014 TFont.GetHandle 001b SelectObject 0024 GetTextMetrics 0033 ReleaseDC"
	strings:
		$1 = { 53 56 83 C4 C8 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 8B 46 50 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F0 54 53 E8 ?? ?? ?? ?? 56 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 04 24 83 C4 38 5E 5B C3 }
	condition:
		$1
}

rule function_4994_0 {
	meta:
		name = "TDBLookupControl.ListLinkActiveChanged"
		size = 526
		refs = "0015 TDBLookupControl.ListLinkActiveChanged 0049 TList.Clear 0074 _NF__5DE 0082 TDataLink.GetDataSet 0099 GetFieldProperty 00ca TDataSet.GetFieldList 00d9 @HandleAnyException 00e1 SFieldNotFound 00e6 LoadResString 0115 DatabaseErrorFmt 011a @DoneExcept 014f TList.IndexOf 0165 TList.Insert 018d TList.Add 01b8 TList.Get 01fb @LStrClr 0201 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 61 01 00 00 00 8B 45 FC 33 D2 89 90 40 01 00 00 8B 45 FC 33 D2 89 90 44 01 00 00 8B 45 FC 8B 80 48 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 24 01 00 00 80 78 15 00 0F 84 8A 01 00 00 8B 45 FC 83 B8 2C 01 00 00 00 0F 84 7A 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 88 2C 01 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 89 82 40 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 88 30 01 00 00 8B 45 FC 8B 90 48 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 46 E9 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 8B 40 08 89 45 E4 C6 45 E8 0B 8B 45 FC 8B 80 30 01 00 00 89 45 EC C6 45 F0 0B 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 60 01 00 00 00 74 4A 8B 45 FC 8B 80 38 01 00 00 8B 48 58 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 48 01 00 00 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 12 8B 45 FC 8B 80 48 01 00 00 8B CB 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 89 98 44 01 00 00 EB 6C 8B 45 FC 8B 80 48 01 00 00 83 78 08 00 75 0E 8B 55 FC 8B 92 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 34 01 00 00 85 DB 7C 29 8B 45 FC 8B 80 48 01 00 00 3B 58 08 7D 1B 8B D3 8B 45 FC 8B 80 48 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 82 44 01 00 00 EB 19 8B 45 FC 8B 80 48 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 89 82 44 01 00 00 8B 45 FC C6 80 61 01 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4996_0 {
	meta:
		name = "_NF__5F2"
		size = 120
		refs = "0011 _NF__5F2 0022 VarIsNull 0037 TDataLink.GetDataSet 0062 @HandleAnyException 0067 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 C6 45 FF 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 4C 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 2D A0 ?? ?? ?? ?? 50 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8D 8B 4C 01 00 00 8B 93 2C 01 00 00 8B 18 FF 93 98 01 00 00 84 C0 74 04 C6 45 FF 01 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 45 FF 5F 5E 5B 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_4997_0 {
	meta:
		name = "TDBLookupControl.Notification"
		size = 87
		refs = "0010 TControl.Notification 0025 TDBLookupControl.GetDataSource 0032 TDBLookupControl.SetDataSource 0042 TDBLookupControl.GetListSource 004f TDBLookupControl.SetListSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 3A 83 BF 20 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 83 BF 24 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4998_0 {
	meta:
		name = "_NF__5F7"
		size = 348
		refs = "0017 _NF__5F7 0060 @LStrClr 006c _NF__5DD 0079 GetTickCount 0083 _NV__5D5 00a6 @LStrLen 00b6 @LStrFromChar 00c7 @LStrCat3 00d8 TDataLink.GetDataSet 00e4 @VarFromLStr 0115 _NF__5F8 0123 @LStrAsg 0138 @VarClr 0145 @LStrArrayClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 44 01 00 00 85 C0 0F 84 F8 00 00 00 80 78 2E 00 0F 85 EE 00 00 00 80 78 2C 01 0F 85 E4 00 00 00 8A 45 FF 2C 08 74 0F 2C 13 74 0B 04 FB 2C E0 72 15 E9 CE 00 00 00 8D 83 5C 01 00 00 E8 ?? ?? ?? ?? E9 BE 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AF 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 2B 05 ?? ?? ?? ?? 3D D0 07 00 00 7E 0B 8D 83 5C 01 00 00 E8 ?? ?? ?? ?? 89 35 ?? ?? ?? ?? 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 83 F8 20 7D 78 8D 45 F4 8A 55 FF E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 8B 93 5C 01 00 00 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 50 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D E4 8B 83 44 01 00 00 8B 50 28 58 8B 30 FF 96 98 01 00 00 84 C0 74 26 8D 55 E4 8B 83 40 01 00 00 8B 08 FF 51 4C 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 83 5C 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_4999_0 {
	meta:
		name = "_NF__5F8"
		size = 75
		refs = "0016 TDataLink.Edit 0032 TDBLookupControl.SetKeyValue 0044 @CallDynaInst"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 3C 01 00 00 00 74 1E 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 18 8B D3 8B 86 3C 01 00 00 8B 08 FF 51 7C EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5000_0 {
	meta:
		name = "TDBLookupControl.SetDataFieldName"
		size = 44
		refs = "000f @LStrCmp 001e @LStrAsg 0025 _NF__5E0"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 28 01 00 00 8B D6 E8 ?? ?? ?? ?? 74 14 8D 83 28 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5002_0 {
	meta:
		name = "TDBLookupControl.SetKeyFieldName"
		size = 54
		refs = "0009 _NF__5DF 0016 @LStrCmp 0025 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 01 00 00 8B D6 E8 ?? ?? ?? ?? 74 17 8D 83 2C 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 84 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5003_0 {
	meta:
		name = "TDBLookupControl.SetKeyValue"
		size = 49
		refs = "000f _NF__5D4 0020 @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8D 83 4C 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 17 8D 83 4C 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5004_0 {
	meta:
		name = "TDBLookupControl.SetListFieldName"
		size = 47
		refs = "000f @LStrCmp 001e @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 30 01 00 00 8B D6 E8 ?? ?? ?? ?? 74 17 8D 83 30 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 84 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5005_0 {
	meta:
		name = "TDBLookupControl.SetListSource"
		size = 42
		refs = "0009 _NF__5DF 0016 TDataLink.SetDataSource 0023 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5006_0 {
	meta:
		name = "_NF__60B"
		size = 170
		refs = "0023 GetFieldProperty 003d TDataSource.SetDataSet 0051 @LStrAsg 0069 TDataLink.SetDataSource 008a @LStrClr"
	strings:
		$1 = { 53 56 8B D8 3A 93 60 01 00 00 0F 84 97 00 00 00 84 D2 74 5B 8B B3 38 01 00 00 8B 4E 50 8B 46 24 8B D3 E8 ?? ?? ?? ?? 89 83 3C 01 00 00 8B 83 38 01 00 00 8B 50 4C 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8D 83 2C 01 00 00 8B 93 38 01 00 00 8B 52 54 E8 ?? ?? ?? ?? C6 83 60 01 00 00 01 8B 93 1C 01 00 00 8B 83 24 01 00 00 E8 ?? ?? ?? ?? EB 38 33 D2 8B 83 24 01 00 00 E8 ?? ?? ?? ?? C6 83 60 01 00 00 00 8D 83 2C 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8B 83 38 01 00 00 89 83 3C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5009_0 {
	meta:
		name = "TDBLookupControl.WMKillFocus"
		size = 26
		refs = "000d TWinControl.WMKillFocus"
	strings:
		$1 = { 56 8B F0 C6 86 62 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_5010_0 {
	meta:
		name = "TDBLookupControl.WMSetFocus"
		size = 26
		refs = "000d TWinControl.WMSetFocus"
	strings:
		$1 = { 56 8B F0 C6 86 62 01 00 00 01 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_5011_0 {
	meta:
		name = "TDBLookupListBox.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TDBLookupControl.Create 001d TDBLookupListBox.Create 0031 TControl.SetWidth 0044 TDBLookupListBox.SetRowCount"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 70 01 00 00 01 BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 80 00 00 00 }
	condition:
		$1
}

rule function_5012_0 {
	meta:
		name = "TDBLookupListBox.CreateParams"
		size = 62
		refs = "000b TWinControl.CreateParams 0019 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 70 01 00 00 01 75 23 A1 ?? ?? ?? ?? 80 38 00 74 12 80 BB D5 00 00 00 00 74 09 81 4E 08 00 02 00 00 EB 07 81 4E 04 00 00 80 00 5E 5B C3 }
	condition:
		$1
}

rule function_5014_0 {
	meta:
		name = "_NF__621"
		size = 164
		refs = "0012 _NF__621 0023 VarIsNull 0042 TDataLink.SetActiveRecord 006f _NF__5D4 008f @VarClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 4C 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 50 8B B3 68 01 00 00 4E 85 F6 7C 45 46 33 FF 8B D7 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 83 40 01 00 00 8B 08 FF 51 4C 8B 93 64 01 00 00 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8D 93 4C 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 07 47 4E 75 BE 83 CF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5015_0 {
	meta:
		name = "TDBLookupListBox.KeyDown"
		size = 288
		refs = "0013 TWinControl.KeyDown 001a _NF__5DD 0036 TDBLookupListBox.KeyDown 0097 @LStrClr 00aa TDataLink.GetDataSet 00af TDataSet.First 00c9 TDataSet.Last 00d2 _NF__621 00f0 TDataSet.MoveBy 0117 _NF__642"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B D8 8B D7 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 F5 00 00 00 33 F6 0F B7 07 83 C0 DF 83 F8 07 77 55 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 CE FF EB 29 BE 01 00 00 00 EB 22 BE 01 00 00 00 2B B3 6C 01 00 00 EB 15 8B B3 6C 01 00 00 4E EB 0C BE 01 00 00 80 EB 05 BE FF FF FF 7F 85 F6 0F 84 8B 00 00 00 8D 83 5C 01 00 00 E8 ?? ?? ?? ?? 81 FE 01 00 00 80 75 12 8B 83 24 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5F 81 FE FF FF FF 7F 75 12 8B 83 24 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 45 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 1A 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8B D7 2B 93 64 01 00 00 E8 ?? ?? ?? ?? EB 0C 8B C3 8B 10 FF 92 80 00 00 00 33 F6 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5016_0 {
	meta:
		name = "TDBLookupListBox.KeyPress"
		size = 27
		refs = "000b TWinControl.KeyPress 0014 _NF__5F7"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 16 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5017_0 {
	meta:
		name = "TDBLookupListBox.KeyValueChanged"
		size = 149
		refs = "000d TDBLookupListBox.KeyValueChanged 002c _NF__5F2 003b TDataLink.GetDataSet 0040 TDataSet.First 0054 TField.GetDisplayText 0062 @LStrAsg 006f @LStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 61 01 00 00 00 74 24 80 BB 75 01 00 00 00 75 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B 83 24 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B3 44 01 00 00 85 F6 74 1A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 7C 01 00 00 E8 ?? ?? ?? ?? EB 0B 8D 83 7C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5018_0 {
	meta:
		name = "TDBLookupListBox.ListLinkActiveChanged"
		size = 89
		refs = "000b TDBLookupListBox.ListLinkActiveChanged 0019 TDBLookupControl.ListLinkActiveChanged 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 61 01 00 00 00 74 0D 8B 45 FC 8B 10 FF 92 80 00 00 00 EB 0B 8B 45 FC 8B 10 FF 92 88 00 00 00 C3 E9 ?? ?? ?? ?? EB D4 59 5D C3 }
	condition:
		$1
}

rule function_5019_0 {
	meta:
		name = "TDBLookupListBox.ListLinkDataChanged"
		size = 142
		refs = "0013 TDataLink.GetActiveRecord 0024 TDataLink.GetRecordCount 0035 VarIsNull 0044 TDataLink.GetDataSet 0076 TWinControl.HandleAllocated 0081 _NF__653"
	strings:
		$1 = { 53 8B D8 80 BB 61 01 00 00 00 74 50 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 89 83 64 01 00 00 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 89 83 68 01 00 00 8D 83 4C 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 15 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 80 78 58 00 74 04 33 C0 EB 02 B0 01 88 83 72 01 00 00 EB 17 33 C0 89 83 64 01 00 00 33 C0 89 83 68 01 00 00 C6 83 72 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_5020_0 {
	meta:
		name = "TDBLookupListBox.MouseDown"
		size = 168
		refs = "001f @LStrClr 003f _NF__5DD 0050 _NF__5EB 006c @CallDynaInst 0077 TControl.SetMouseCapture 008a _NF__643 009c TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B F0 8B 7D 08 80 7D FF 00 75 76 8D 86 5C 01 00 00 E8 ?? ?? ?? ?? 80 BE 71 01 00 00 00 75 10 8B C6 8B 10 FF 52 78 80 BE 62 01 00 00 00 74 64 8B C6 E8 ?? ?? ?? ?? 84 C0 74 47 F6 45 FE 40 74 25 8B C6 E8 ?? ?? ?? ?? 50 8B C7 5A 8B CA 99 F7 F9 3B 86 64 01 00 00 75 29 8B C6 66 BB EF FF E8 ?? ?? ?? ?? EB 1C B2 01 8B C6 E8 ?? ?? ?? ?? C6 86 73 01 00 00 01 8B CF 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 57 8A 4D FE 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5021_0 {
	meta:
		name = "TDBLookupListBox.MouseMove"
		size = 71
		refs = "0021 _NF__643 002e _NF__652 003b TControl.MouseMove"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B D8 8B 75 08 80 BB 73 01 00 00 00 74 18 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 89 B3 78 01 00 00 8B C3 E8 ?? ?? ?? ?? 56 8B CF 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5022_0 {
	meta:
		name = "TDBLookupListBox.MouseUp"
		size = 71
		refs = "0021 _NF__651 002c _NF__643 003b TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B 75 0C 80 BB 73 01 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 56 57 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5023_0 {
	meta:
		name = "TDBLookupListBox.Paint"
		size = 820
		refs = "0020 TDBLookupListBox.Paint 0034 TCanvas.SetFont 0044 TCanvas.TextWidth 0057 TCanvas.TextHeight 006f ColorToRGB 0092 TPen.SetColor 00d5 TFont.SetColor 00e6 TBrush.SetColor 012a TDataLink.SetActiveRecord 0135 VarIsNull 0155 _NF__5D4 01a6 TList.Get 01b4 TField.GetDisplayWidth 01c6 TControl.GetClientWidth 01d6 TField.GetDisplayText 0245 TCanvas.TextRect 025a TCanvas.MoveTo 026b TCanvas.LineTo 02ac TCanvas.FillRect 02d2 TCanvas.DrawFocusRect 030d @VarClr 0315 @LStrClr 031b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 D2 89 55 BC 89 55 C0 89 55 C4 89 55 C8 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 BA ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 83 48 01 00 00 8B 40 08 48 89 45 EC 8B 43 54 E8 ?? ?? ?? ?? 8B F0 B8 0F 00 00 80 E8 ?? ?? ?? ?? 3B F0 74 15 8B 83 18 01 00 00 8B 40 10 BA 0F 00 00 80 E8 ?? ?? ?? ?? EB 13 8B 83 18 01 00 00 8B 40 10 BA 10 00 00 80 E8 ?? ?? ?? ?? 8B 83 6C 01 00 00 48 85 C0 0F 8C 28 02 00 00 40 89 45 E0 C7 45 FC 00 00 00 00 8B 43 50 8B 50 14 8B 83 18 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 8B 83 18 01 00 00 8B 40 14 8B 53 54 E8 ?? ?? ?? ?? 80 BB 72 01 00 00 00 75 06 83 7D FC 00 74 04 33 C0 EB 02 B0 01 88 45 E7 8B 45 FC F7 6D F0 89 45 D0 03 45 F0 89 45 D8 8B 45 FC 3B 83 68 01 00 00 0F 8D 68 01 00 00 8B 55 FC 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8D 83 4C 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 4A 8D 55 BC 8B 83 40 01 00 00 8B 08 FF 51 4C 8D 45 BC 8D 93 4C 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 2A 8B 83 18 01 00 00 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? C6 45 E7 01 33 C0 89 45 D4 8B 45 EC 85 C0 0F 8C F1 00 00 00 40 89 45 DC 33 F6 8B D6 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 8B F8 3B 75 EC 7D 12 8B C7 E8 ?? ?? ?? ?? F7 6D F4 83 C0 04 89 45 F8 EB 0D 8B C3 E8 ?? ?? ?? ?? 2B 45 D4 89 45 F8 8D 55 E8 8B C7 E8 ?? ?? ?? ?? B8 02 00 00 00 8A 57 2F FE CA 74 06 FE CA 74 1C EB 36 8B 55 E8 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 F8 5A 2B C2 83 E8 03 EB 1C 8B 55 E8 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 F8 5A 2B C2 D1 F8 79 03 83 D0 00 8B 55 D4 89 55 CC 8B 55 F8 01 55 D4 8B 7D D0 57 8B 55 E8 52 8B 4D CC 03 C8 8D 55 CC 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 3B 75 EC 7D 30 8B CF 8B 55 D4 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B 4D D8 8B 55 D4 8B 83 18 01 00 00 E8 ?? ?? ?? ?? FF 45 D4 8B C3 E8 ?? ?? ?? ?? 3B 45 D4 7E 0A 46 FF 4D DC 0F 85 15 FF FF FF 33 C0 89 45 CC 8B C3 E8 ?? ?? ?? ?? 89 45 D4 8B 45 FC 3B 83 68 01 00 00 7C 0E 8D 55 CC 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 80 7D E7 00 74 20 80 BB 62 01 00 00 00 75 09 80 BB 71 01 00 00 00 74 0E 8D 55 CC 8B 83 18 01 00 00 E8 ?? ?? ?? ?? FF 45 FC FF 4D E0 0F 85 E3 FD FF FF 83 BB 68 01 00 00 00 74 11 8B 93 64 01 00 00 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_5024_0 {
	meta:
		name = "_NF__642"
		size = 143
		refs = "0011 _NF__642 004b _NF__5F8 0068 @HandleFinally 007f @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 75 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 80 40 01 00 00 8B 08 FF 51 4C 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 75 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_5025_0 {
	meta:
		name = "_NF__643"
		size = 85
		refs = "000f TControl.GetClientHeight 0024 _NF__5EB 0040 TDataLink.GetDataSet 0047 TDataSet.MoveBy 004e _NF__642"
	strings:
		$1 = { 53 56 8B F1 8B D8 85 F6 7D 02 33 F6 8B C3 E8 ?? ?? ?? ?? 3B F0 7C 0A 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 8B C3 E8 ?? ?? ?? ?? 50 8B C6 5A 8B CA 99 F7 F9 2B 83 64 01 00 00 8B F0 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5026_0 {
	meta:
		name = "TDBLookupListBox.SetBorderStyle"
		size = 39
		refs = "0014 TWinControl.RecreateWnd 0021 TDBLookupListBox.SetRowCount"
	strings:
		$1 = { 53 8B D8 3A 93 70 01 00 00 74 1A 88 93 70 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 6C 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5027_0 {
	meta:
		name = "TDBLookupListBox.SetBounds"
		size = 124
		refs = "0014 _NF__5E2 001d _NF__5EB 004d TDataLink.SetBufferCount 006f TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 45 08 2B C7 99 F7 7D F4 8B F0 83 FE 01 7D 05 BE 01 00 00 00 89 B3 6C 01 00 00 8B 83 24 01 00 00 3B 70 0C 74 11 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 88 00 00 00 8B 45 0C 50 0F AF 75 F4 03 FE 57 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5028_0 {
	meta:
		name = "TDBLookupListBox.SetRowCount"
		size = 61
		refs = "001e _NF__5EB 002a _NF__5E2 0035 TControl.SetHeight"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 83 FB 01 7D 05 BB 01 00 00 00 83 FB 64 7E 05 BB 64 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 0F AF FB 8B C6 E8 ?? ?? ?? ?? 03 F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5029_0 {
	meta:
		name = "_NF__650"
		size = 36
		refs = "0011 TWinControl.GetHandle 0017 KillTimer"
	strings:
		$1 = { 53 8B D8 80 BB 74 01 00 00 00 74 16 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 74 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5030_0 {
	meta:
		name = "_NF__651"
		size = 37
		refs = "000f _NF__650 001f TControl.SetMouseCapture"
	strings:
		$1 = { 53 8B D8 80 BB 73 01 00 00 00 74 17 8B C3 E8 ?? ?? ?? ?? C6 83 73 01 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5031_0 {
	meta:
		name = "_NF__652"
		size = 151
		refs = "001e TControl.GetClientHeight 0042 _NF__650 004f TDataLink.GetDataSet 0056 TDataSet.MoveBy 0061 _NF__642 0081 TWinControl.GetHandle 0087 SetTimer"
	strings:
		$1 = { 53 56 57 55 8B D8 33 F6 33 FF 8B AB 78 01 00 00 85 ED 7D 07 83 CE FF 8B FD F7 DF 8B C3 E8 ?? ?? ?? ?? 3B E8 7C 15 BE 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B BB 78 01 00 00 2B F8 47 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? EB 4A 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B C7 C1 E0 04 2B C7 BE C8 00 00 00 2B F0 85 F6 7D 02 33 F6 6A 00 56 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 74 01 00 00 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5032_0 {
	meta:
		name = "_NF__653"
		size = 167
		refs = "0026 TDataLink.GetDataSet 0062 TWinControl.GetHandle 0068 GetScrollInfo 009c SetScrollInfo"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B D8 33 FF 33 F6 8B 83 68 01 00 00 3B 83 6C 01 00 00 75 33 BE 04 00 00 00 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 80 78 58 00 75 1D 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 80 78 59 00 75 07 BF 02 00 00 00 EB 05 BF 04 00 00 00 C7 04 24 1C 00 00 00 C7 44 24 04 05 00 00 00 54 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0C 3B 7C 24 14 75 06 3B 74 24 0C 74 24 33 C0 89 44 24 08 89 74 24 0C 89 7C 24 14 6A FF 8D 44 24 04 50 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5033_0 {
	meta:
		name = "TDBLookupListBox.CMCtl3DChanged"
		size = 57
		refs = "0007 NewStyleControls 001c TWinControl.RecreateWnd 0029 TDBLookupListBox.SetRowCount 0032 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 1D 80 BB 70 01 00 00 01 75 14 8B C3 E8 ?? ?? ?? ?? 8B 93 6C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5034_0 {
	meta:
		name = "TDBLookupListBox.CMFontChanged"
		size = 22
		refs = "0006 TWinControl.CMFontChanged 0010 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 3C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5037_0 {
	meta:
		name = "TDBLookupListBox.WMVScroll"
		size = 289
		refs = "000d @LStrClr 0018 TDataLink.GetDataSet 002c TDBLookupListBox.WMVScroll 005a TDataSet.MoveBy 00d3 TDataSet.First 010c TDataSet.Last"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 5C 01 00 00 E8 ?? ?? ?? ?? 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 0F BF 56 04 83 FA 07 0F 87 F5 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 93 64 01 00 00 F7 DA 4A E8 ?? ?? ?? ?? E9 BB 00 00 00 8B 93 68 01 00 00 2B 93 64 01 00 00 E8 ?? ?? ?? ?? E9 A5 00 00 00 8B 93 64 01 00 00 F7 DA 2B 93 68 01 00 00 42 E8 ?? ?? ?? ?? E9 8C 00 00 00 8B 93 68 01 00 00 8B CA 2B 8B 64 01 00 00 03 CA 83 E9 02 8B D1 E8 ?? ?? ?? ?? EB 70 0F BF 56 06 83 FA 04 77 67 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 45 8B 93 64 01 00 00 F7 DA 2B 93 68 01 00 00 42 E8 ?? ?? ?? ?? EB 2F 8B 93 68 01 00 00 8B CA 2B 8B 64 01 00 00 03 CA 83 E9 02 8B D1 E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5038_0 {
	meta:
		name = "TPopupDataList.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TDBLookupListBox.Create 001d TPopupDataList.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 C6 86 71 01 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 0C 00 00 }
	condition:
		$1
}

rule function_5039_0 {
	meta:
		name = "TPopupDataList.CreateParams"
		size = 33
		refs = "0006 TDBLookupListBox.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? C7 43 04 00 00 80 80 C7 43 08 80 00 00 00 C7 43 24 00 08 00 00 5B C3 }
	condition:
		$1
}

rule function_5040_0 {
	meta:
		name = "TPopupDataList.WMMouseActivate"
		size = 8
	strings:
		$1 = { C7 42 0C 03 00 00 00 C3 }
	condition:
		$1
}

rule function_5041_0 {
	meta:
		name = "TDBLookupComboBox.Create"
		size = 180
		refs = "000e @ClassCreate 001c TDBLookupControl.Create 0022 TDBLookupComboBox.Create 0036 TControl.SetWidth 003f TControl.SetHeight 0048 _DV_TPopupDataList 004d TPopupDataList.Create 005e TControl.SetVisible 007e _NF__684 0085 GetSystemMetrics"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 BA 91 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 64 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 83 64 01 00 00 8B 08 FF 51 3C 8B 83 64 01 00 00 89 98 80 00 00 00 C7 40 7C ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 89 83 68 01 00 00 C7 83 70 01 00 00 07 00 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 08 00 00 }
	condition:
		$1
}

rule function_5042_0 {
	meta:
		name = "TDBLookupComboBox.CloseUp"
		size = 240
		refs = "0014 TDBLookupComboBox.CloseUp 002c GetCapture 0041 SendMessage 0055 @VarCopy 006b TWinControl.GetHandle 0071 SetWindowPos 0085 TDBLookupControl.SetListSource 0097 @LStrClr 00a2 _NF__5DD 00b0 _NF__5F8 00dd @VarClr 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BF 79 01 00 00 00 0F 84 A1 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 F0 8B B7 64 01 00 00 8D 96 4C 01 00 00 E8 ?? ?? ?? ?? 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 87 79 01 00 00 00 33 D2 8B 87 64 01 00 00 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 44 8D 87 5C 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 15 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 66 83 BF 8A 01 00 00 00 74 0E 8B D7 8B 87 8C 01 00 00 FF 97 88 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5043_0 {
	meta:
		name = "TDBLookupComboBox.CreateParams"
		size = 54
		refs = "000b TWinControl.CreateParams 0010 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 13 80 BB D5 00 00 00 00 74 0A 81 4E 08 00 02 00 00 5E 5B C3 81 4E 04 00 00 80 00 5E 5B C3 }
	condition:
		$1
}

rule function_5044_0 {
	meta:
		name = "TDBLookupComboBox.DropDown"
		size = 560
		refs = "0014 TDBLookupComboBox.DropDown 005a TControl.SetColor 0068 TControl.SetFont 007f TControl.SetWidth 0096 _NF__5DD 00a6 TDBLookupControl.SetReadOnly 00b7 TDBLookupListBox.SetRowCount 00c8 TDBLookupControl.SetKeyFieldName 00e9 TList.Get 00fe @LStrCatN 0110 TDBLookupControl.SetListFieldName 0121 TList.IndexOf 013d TDBLookupControl.SetListSource 014e TDBLookupControl.SetKeyValue 015c Point 016a TControl.ClientToScreen 0177 Screen 017e TScreen.GetHeight 01e7 TWinControl.GetHandle 01ed SetWindowPos 0210 @LStrClr 0216 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 79 01 00 00 00 0F 85 D4 01 00 00 80 BB 61 01 00 00 00 0F 84 C7 01 00 00 66 83 BB 82 01 00 00 00 74 0E 8B D3 8B 83 84 01 00 00 FF 93 80 01 00 00 8B 53 54 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B 53 50 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B 83 74 01 00 00 85 C0 7E 0F 8B D0 8B 83 64 01 00 00 E8 ?? ?? ?? ?? EB 0E 8B 53 38 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B 93 70 01 00 00 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B 93 2C 01 00 00 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B 83 48 01 00 00 8B 70 08 4E 85 F6 7C 2C 46 33 FF FF 75 F4 8B D7 8B 83 48 01 00 00 E8 ?? ?? ?? ?? FF 70 28 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 47 4E 75 D7 8B 55 F4 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B 93 44 01 00 00 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 8B B3 64 01 00 00 89 86 34 01 00 00 8B 83 24 01 00 00 8B 50 04 8B C6 E8 ?? ?? ?? ?? 8D 93 4C 01 00 00 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8D 4D EC 8B 53 34 8B 43 30 E8 ?? ?? ?? ?? 8D 55 EC 8D 4D F8 8B 43 24 E8 ?? ?? ?? ?? 8B 7D FC 8B F7 03 73 3C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 93 64 01 00 00 8B 52 3C 03 D6 3B C2 7D 0B 8B 83 64 01 00 00 8B F7 2B 70 3C 8A 83 78 01 00 00 FE C8 74 06 FE C8 74 13 EB 27 8B 83 64 01 00 00 8B 40 38 2B 43 38 29 45 F8 EB 16 8B 83 64 01 00 00 8B 40 38 2B 43 38 D1 F8 79 03 83 D0 00 29 45 F8 6A 51 6A 00 6A 00 56 8B 45 F8 50 6A 00 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 79 01 00 00 01 8B C3 8B 10 FF 52 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5045_0 {
	meta:
		name = "TDBLookupComboBox.KeyDown"
		size = 290
		refs = "001b TDBLookupComboBox.KeyDown 002d TWinControl.KeyDown 0062 TDBLookupComboBox.CloseUp 006b TDBLookupComboBox.DropDown 0082 _NF__5F2 0091 TDataLink.GetDataSet 0096 TDataSet.First 00ba TDataSet.MoveBy 00d2 _NF__5F8 00fa @CallDynaInst 010f @VarClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8A 4D FF 8B C3 E8 ?? ?? ?? ?? 80 BB 61 01 00 00 00 0F 84 9D 00 00 00 66 83 3E 26 74 0A 66 83 3E 28 0F 85 8D 00 00 00 F6 45 FF 02 74 22 80 BB 79 01 00 00 00 74 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 66 C7 06 00 00 EB 65 80 BB 79 01 00 00 00 75 5C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 8B 83 24 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 66 83 3E 26 75 05 83 CF FF EB 05 BF 01 00 00 00 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8D 55 EC 8B 83 40 01 00 00 8B 08 FF 51 4C 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 66 C7 06 00 00 66 83 3E 00 74 1D 80 BB 79 01 00 00 00 74 14 8B D6 8A 4D FF 8B 83 64 01 00 00 66 BB DF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5046_0 {
	meta:
		name = "TDBLookupComboBox.KeyPress"
		size = 81
		refs = "000b TWinControl.KeyPress 002b TDBLookupComboBox.CloseUp 003e @CallDynaInst 004a _NF__5F7"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 79 01 00 00 00 74 2D 8A 06 2C 0D 74 04 2C 0E 75 0F 80 3E 0D 0F 94 C2 8B C3 E8 ?? ?? ?? ?? EB 1D 8B D6 8B 83 64 01 00 00 66 BB DD FF E8 ?? ?? ?? ?? 5E 5B C3 8A 16 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5047_0 {
	meta:
		name = "TDBLookupComboBox.KeyValueChanged"
		size = 199
		refs = "000c TDBLookupComboBox.KeyValueChanged 0029 TField.GetDisplayText 0037 @LStrAsg 0058 _NF__5F2 0094 @LStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 7D 01 00 00 00 74 2D 8D 55 FC 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 6C 01 00 00 E8 ?? ?? ?? ?? 8B 83 38 01 00 00 8A 40 2F 88 83 7C 01 00 00 EB 53 80 BB 61 01 00 00 00 74 38 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 FC 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 6C 01 00 00 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 8A 40 2F 88 83 7C 01 00 00 EB 12 8D 83 6C 01 00 00 E8 ?? ?? ?? ?? C6 83 7C 01 00 00 00 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5048_0 {
	meta:
		name = "TDBLookupComboBox.ListLinkActiveChanged"
		size = 22
		refs = "0006 TDBLookupControl.ListLinkActiveChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5049_0 {
	meta:
		name = "_NF__684"
		size = 76
		refs = "0017 Point 0034 PtInRect 0041 TDBLookupComboBox.CloseUp"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 84 C9 75 38 8D 4D F8 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8D 55 E8 8B 83 64 01 00 00 8B 08 FF 51 2C 8D 45 E8 50 E8 ?? ?? ?? ?? F7 D8 1B D2 F7 DA 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_5050_0 {
	meta:
		name = "TDBLookupComboBox.MouseDown"
		size = 126
		refs = "0033 TDBLookupComboBox.CloseUp 0047 TControl.SetMouseCapture 005a _NF__69F 0061 TDBLookupComboBox.DropDown 0072 TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B DA 8B F0 8B 7D 0C 84 DB 75 50 8B C6 8B 10 FF 52 78 80 BE 62 01 00 00 00 74 51 80 BE 79 01 00 00 00 74 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 2C 80 BE 61 01 00 00 00 74 23 B2 01 8B C6 E8 ?? ?? ?? ?? C6 86 7B 01 00 00 01 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 57 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5051_0 {
	meta:
		name = "TDBLookupComboBox.MouseMove"
		size = 197
		refs = "0027 _NF__69F 003c Point 0049 TControl.ClientToScreen 005a TControl.ScreenToClient 0077 PtInRect 0082 _NF__69E 008a PointToSmallPoint 00a3 TWinControl.GetHandle 00a9 SendMessage 00b8 TControl.MouseMove"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 80 BB 7B 01 00 00 00 0F 84 8F 00 00 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 79 01 00 00 00 74 7B 8D 4D E0 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8D 4D E8 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F4 8B 83 64 01 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 8D 55 D0 8B 83 64 01 00 00 8B 08 FF 51 2C 8D 45 D0 50 E8 ?? ?? ?? ?? 85 C0 74 30 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 50 6A 00 68 01 02 00 00 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0D 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5052_0 {
	meta:
		name = "TDBLookupComboBox.MouseUp"
		size = 47
		refs = "0010 _NF__69E 0024 TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5053_0 {
	meta:
		name = "TDBLookupComboBox.Paint"
		size = 480
		refs = "0014 TDBLookupComboBox.Paint 0028 TCanvas.SetFont 0039 TBrush.SetColor 006e TFont.SetColor 009e TField.GetDisplayText 00ba @LStrLAsg 00ca TControl.GetClientWidth 00f4 TCanvas.TextWidth 0123 TControl.GetClientHeight 0136 SetRect 014d TCanvas.TextRect 015f TCanvas.DrawFocusRect 01b2 TCanvas.GetHandle 01b8 DrawFrameControl 01cd @LStrClr 01d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 57 50 8B 87 18 01 00 00 E8 ?? ?? ?? ?? 8B 87 18 01 00 00 8B 40 14 8B 57 54 E8 ?? ?? ?? ?? 80 BF 62 01 00 00 00 74 0F 80 BF 79 01 00 00 00 75 06 F6 47 42 80 74 04 33 DB EB 02 B3 01 84 DB 74 26 8B 87 18 01 00 00 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? 8B 87 18 01 00 00 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? F6 47 42 80 74 25 83 BF 38 01 00 00 00 74 1C 8D 55 F8 8B 87 38 01 00 00 E8 ?? ?? ?? ?? 8B 87 38 01 00 00 8A 40 2F 88 45 F7 EB 17 8D 45 F8 8B 97 6C 01 00 00 E8 ?? ?? ?? ?? 8A 87 7C 01 00 00 88 45 F7 8B C7 E8 ?? ?? ?? ?? 8B F0 2B B7 68 01 00 00 C7 45 FC 02 00 00 00 8A 45 F7 FE C8 74 06 FE C8 74 1C EB 36 8B 55 F8 8B 87 18 01 00 00 E8 ?? ?? ?? ?? 8B D6 2B D0 83 EA 03 89 55 FC EB 1C 8B 55 F8 8B 87 18 01 00 00 E8 ?? ?? ?? ?? 8B D6 2B D0 D1 FA 79 03 83 D2 00 89 55 FC 8B C7 E8 ?? ?? ?? ?? 48 50 8B C6 48 50 6A 01 6A 01 8D 45 E4 50 E8 ?? ?? ?? ?? 6A 02 8B 45 F8 50 8B 4D FC 8D 55 E4 8B 87 18 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 0E 8D 55 E4 8B 87 18 01 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 6A 00 56 8D 45 E4 50 E8 ?? ?? ?? ?? 80 BF 61 01 00 00 00 75 07 BB 05 01 00 00 EB 15 80 BF 7A 01 00 00 00 74 07 BB 05 42 00 00 EB 05 BB 05 00 00 00 53 6A 03 8D 45 E4 50 8B 87 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5054_0 {
	meta:
		name = "TDBLookupComboBox.SetBounds"
		size = 56
		refs = "0013 _NF__5EB 001b _NF__5E2 002d TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 03 D0 83 C2 04 52 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5055_0 {
	meta:
		name = "_NF__69E"
		size = 43
		refs = "0015 _NF__69F 0025 TControl.SetMouseCapture"
	strings:
		$1 = { 53 8B D8 80 BB 7B 01 00 00 00 74 1D 83 C9 FF 83 CA FF 8B C3 E8 ?? ?? ?? ?? C6 83 7B 01 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5056_0 {
	meta:
		name = "_NF__69F"
		size = 117
		refs = "0013 Point 0022 TControl.GetClientHeight 002f TControl.GetClientWidth 0045 Rect 004f PtInRect"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F9 8B F2 8B D8 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8B C3 E8 ?? ?? ?? ?? 50 8D 44 24 14 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 2B 83 68 01 00 00 33 D2 59 E8 ?? ?? ?? ?? 8D 44 24 10 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 3A 83 7A 01 00 00 74 0D 88 83 7A 01 00 00 8B C3 8B 10 FF 52 48 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5057_0 {
	meta:
		name = "TDBLookupComboBox.CMCancelMode"
		size = 23
		refs = "0012 TDBLookupComboBox.CloseUp"
	strings:
		$1 = { 8B 4A 08 3B C1 74 0F 3B 88 64 01 00 00 74 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5058_0 {
	meta:
		name = "TDBLookupComboBox.CMCtl3DChanged"
		size = 44
		refs = "0007 NewStyleControls 0013 TWinControl.RecreateWnd 001c TControl.SetHeight 0025 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5063_0 {
	meta:
		name = "TDBRichEdit.Create"
		size = 124
		refs = "000e @ClassCreate 001c TCustomRichEdit.Create 0025 TCustomEdit.SetReadOnly 0033 _DV_TFieldDataLink 0038 TDataLink.Create 004d _NF__6DC 0057 _NF__6DD 0061 _NF__6DE"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C6 83 98 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 94 01 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 38 C7 46 34 ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5064_0 {
	meta:
		name = "TDBRichEdit.Destroy"
		size = 53
		refs = "000d TObject.Free 0021 TCustomRichEdit.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 94 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 94 01 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5066_0 {
	meta:
		name = "TDBRichEdit.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBRichEdit.GetDataSource 0032 TDBRichEdit.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 94 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5067_0 {
	meta:
		name = "_NF__6BF"
		size = 191
		refs = "0013 _NF__6BF 0069 @LStrAsg 0077 TFieldDataLink.Edit 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 94 01 00 00 80 7B 28 00 75 71 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 8B 00 FF 90 90 00 00 00 84 C0 74 24 8D 55 F8 8B 45 FC 8B 80 94 01 00 00 8B 40 1C 8B 08 FF 51 48 8B 55 F8 8B 45 FC 05 9C 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 94 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 9C 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5068_0 {
	meta:
		name = "TDBRichEdit.KeyDown"
		size = 84
		refs = "0012 TWinControl.KeyDown 004c _NF__6BF"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B D3 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 80 BE 9A 01 00 00 00 74 31 66 83 3B 2E 74 24 66 83 3B 08 74 1E 66 83 3B 2D 75 06 F6 04 24 01 75 12 66 83 3B 56 74 06 66 83 3B 58 75 0D F6 04 24 04 74 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5069_0 {
	meta:
		name = "TDBRichEdit.KeyPress"
		size = 164
		refs = "000b TCustomMemo.KeyPress 0046 MessageBeep 007e _NF__6BF 008b TFieldDataLink.Reset 009a TDBRichEdit.LoadMemo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 9A 01 00 00 00 74 7A 8A 06 04 E0 2C E0 73 2D 8B 83 94 01 00 00 83 78 1C 00 74 21 8A 16 8B 83 94 01 00 00 8B 40 1C 8B 08 FF 91 94 00 00 00 84 C0 75 0A 6A 00 E8 ?? ?? ?? ?? C6 06 00 33 C0 8A 06 83 F8 18 7F 16 74 23 83 C0 F8 83 E8 03 72 1B 83 E8 02 74 16 83 E8 09 74 11 EB 35 83 E8 1B 74 13 83 C0 FB 2D E0 00 00 00 73 26 8B C3 E8 ?? ?? ?? ?? EB 1D 8B 83 94 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 80 3E 0D 75 07 8B C3 E8 ?? ?? ?? ?? C6 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_5070_0 {
	meta:
		name = "TDBRichEdit.Change"
		size = 39
		refs = "0013 TFieldDataLink.Modified 0021 TCustomEdit.Change"
	strings:
		$1 = { 53 8B D8 80 BB 9A 01 00 00 00 74 0B 8B 83 94 01 00 00 E8 ?? ?? ?? ?? C6 83 9A 01 00 00 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5071_0 {
	meta:
		name = "TDBRichEdit.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 94 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_5072_0 {
	meta:
		name = "TDBRichEdit.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 94 01 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5073_0 {
	meta:
		name = "TDBRichEdit.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 94 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5074_0 {
	meta:
		name = "TDBRichEdit.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 94 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5076_0 {
	meta:
		name = "TDBRichEdit.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 94 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5075_0 {
	meta:
		name = "TDBRichEdit.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 94 01 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_5077_0 {
	meta:
		name = "TDBRichEdit.GetField"
		size = 10
	strings:
		$1 = { 8B 80 94 01 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_5078_0 {
	meta:
		name = "TDBRichEdit.LoadMemo"
		size = 288
		refs = "0015 TDBRichEdit.LoadMemo 009b @HandleOnException 00a3 _Dn_EOutOfResources 00c6 Format 00dc @DoneExcept 00e7 _NF__6DD 00fc @LStrClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 9A 01 00 00 00 0F 85 BC 00 00 00 8B 45 FC 8B 80 94 01 00 00 83 78 1C 00 0F 84 A9 00 00 00 8B 45 FC 8B 80 94 01 00 00 8B 40 1C 8B 00 FF 90 90 00 00 00 84 C0 0F 84 8D 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 94 01 00 00 8B 50 1C 8B 45 FC 8B 80 54 01 00 00 8B 08 FF 51 08 8B 45 FC C6 80 9A 01 00 00 01 33 C0 5A 59 59 64 89 10 EB 46 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 F8 50 8B 43 04 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 80 54 01 00 00 8B 08 FF 51 2C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_5079_0 {
	meta:
		name = "_NF__6DC"
		size = 440
		refs = "0016 _NF__6DC 0083 @LStrCmp 0097 TDBRichEdit.LoadMemo 00b1 TField.GetDisplayLabel 00ca Format 00d4 TControl.SetText 00f1 TFieldDataLink.GetCanModify 0106 TField.GetEditText 0123 TField.GetDisplayText 015f TWinControl.HandleAllocated 0173 TWinControl.GetHandle 0179 RedrawWindow 018e @LStrClr 019c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 94 01 00 00 8B 70 1C 85 F6 0F 84 09 01 00 00 8B 06 FF 90 90 00 00 00 84 C0 0F 84 A0 00 00 00 80 BB 98 01 00 00 00 75 15 8B 83 94 01 00 00 80 78 28 00 74 4A 80 BB 9A 01 00 00 00 74 41 83 BB 9C 01 00 00 00 74 25 8D 55 FC 8B 83 94 01 00 00 8B 40 1C 8B 08 FF 51 48 8B 55 FC 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 0F 84 F0 00 00 00 C6 83 9A 01 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 BC 00 00 00 8D 45 FC 50 8D 55 F0 8B 83 94 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 83 9A 01 00 00 00 EB 7B 80 BB 99 01 00 00 00 74 2C 8B 83 94 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 1D 8D 55 FC 8B 83 94 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 1B 8D 55 FC 8B 83 94 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 83 9A 01 00 00 01 EB 22 F6 43 20 10 74 0C 8B 53 08 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 9A 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 68 05 04 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_5080_0 {
	meta:
		name = "_NF__6DD"
		size = 33
		refs = "001c TCustomEdit.SetReadOnly"
	strings:
		$1 = { 8B 90 94 01 00 00 80 7A 28 00 74 0D 80 B8 9A 01 00 00 00 74 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5081_0 {
	meta:
		name = "_NF__6DE"
		size = 125
		refs = "000c _NF__6DE 0047 TControl.GetText 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 94 01 00 00 8B 40 1C 8B 00 FF 90 90 00 00 00 84 C0 74 16 8B 86 94 01 00 00 8B 40 1C 8B 96 54 01 00 00 8B 08 FF 51 08 EB 1B 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 94 01 00 00 8B 40 1C 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_5082_0 {
	meta:
		name = "_NF__6DF"
		size = 57
		refs = "0032 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B D8 3A 93 99 01 00 00 74 2A 88 93 99 01 00 00 8B 83 94 01 00 00 8B 70 1C 85 F6 74 0C 8B 06 FF 90 90 00 00 00 84 C0 75 0B 8B 83 94 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5083_0 {
	meta:
		name = "TDBRichEdit.CMEnter"
		size = 62
		refs = "000b _NF__6DF 0014 TCustomEdit.CMEnter 0019 SysLocale 002a TFieldDataLink.GetCanModify 0037 TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 18 8B 83 94 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5084_0 {
	meta:
		name = "TDBRichEdit.CMExit"
		size = 95
		refs = "000e TDBRichEdit.CMExit 0022 TDataLink.UpdateRecord 0031 @HandleAnyException 003e @RaiseAgain 0043 @DoneExcept 004d _NF__6DF 0057 TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 94 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_5085_0 {
	meta:
		name = "TDBRichEdit.SetAutoDisplay"
		size = 24
		refs = "0013 TDBRichEdit.LoadMemo"
	strings:
		$1 = { 3A 90 98 01 00 00 74 0F 88 90 98 01 00 00 84 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5086_0 {
	meta:
		name = "TDBRichEdit.WMLButtonDblClk"
		size = 21
		refs = "000a TDBRichEdit.LoadMemo 0010 TControl.WMLButtonDblClk"
	strings:
		$1 = { 80 B8 9A 01 00 00 00 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5087_0 {
	meta:
		name = "TDBRichEdit.WMCut"
		size = 25
		refs = "0009 _NF__6BF"
		altNames = "TDBRichEdit.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_5089_0 {
	meta:
		name = "TDBRichEdit.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 94 01 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_5092_0 {
	meta:
		name = "DBCtrls"
		size = 20
		refs = "0002 _NV__33C 000a _NF__6F6 000f @InitImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5093_0 {
	meta:
		name = "_NF__50"
		size = 336
		refs = "0014 _NF__50 0021 TChartEditForm.GetSelectedSource 0040 _Dn_TDataSet 0045 @IsClass 005b TFieldDefs.Update 0077 TFieldDefs.GetCount 0093 TFieldDefs.GetItem 009e @LStrLAsg 00db TChartSeries.ValuesListCount 00f4 TChartEditForm.GetSourceCombo 013d @LStrClr 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 83 BB 70 05 00 00 00 0F 84 F8 00 00 00 85 F6 0F 84 F0 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 DB 00 00 00 89 75 FC 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 83 D8 04 00 00 8B 80 18 01 00 00 8B 10 FF 52 40 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 48 85 C0 0F 8C A8 00 00 00 40 89 45 F0 33 FF 8B 45 FC 8B 40 28 8B D7 E8 ?? ?? ?? ?? 8B 50 08 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 8B D7 E8 ?? ?? ?? ?? 8A 40 10 FE C8 74 58 48 2C 03 72 05 48 2C 06 73 62 8B 83 D8 04 00 00 8B 80 18 01 00 00 8B 55 F4 8B 08 FF 51 34 8B 83 70 05 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3C 46 C7 45 F8 00 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 80 18 01 00 00 8B 55 F4 8B 08 FF 51 34 FF 45 F8 4E 75 E2 EB 14 8B 83 D8 04 00 00 8B 80 18 01 00 00 8B 55 F4 8B 08 FF 51 34 47 FF 4D F0 0F 85 5E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5094_0 {
	meta:
		name = "_NF__51"
		size = 104
		refs = "0013 _Dn_TDataSet 0018 @IsClass 0024 _NF__51 0033 TDataSet.FieldByName 004e @HandleOnException 0056 _Dn_Exception 005f @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 C6 06 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8A 40 2C 04 F7 2C 03 73 03 C6 06 01 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_5095_0 {
	meta:
		name = "_NF__52"
		size = 18
		refs = "0007 _Dn_TDataSet 000c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5096_0 {
	meta:
		name = "_NF__53"
		size = 138
		refs = "000c _NF__53 001a TeeMsg_DataSet 001f LoadResString 003d _NF__50 0047 _NF__52 0051 _NF__51 0057 InternalOnGetDesignerNames 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 BC 04 00 00 8B 80 18 01 00 00 8B 08 FF 51 34 C7 83 88 05 00 00 ?? ?? ?? ?? C7 83 90 05 00 00 ?? ?? ?? ?? C7 83 8C 05 00 00 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 89 83 84 05 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5097_0 {
	meta:
		name = "EditDBChartLegend"
		size = 66
		refs = "0005 InternalOnCreateEditChart 000b _NF__53 0013 EditDBChartLegend 001e EditChartLegend 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 0D ?? ?? ?? ?? C7 01 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5D C3 }
	condition:
		$1
}

rule function_5099_0 {
	meta:
		name = "EditDBAxis"
		size = 66
		refs = "0005 InternalOnCreateEditChart 000b _NF__53 0013 EditDBAxis 001e EditAxis 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 0D ?? ?? ?? ?? C7 01 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5D C3 }
	condition:
		$1
}

rule function_5104_0 {
	meta:
		name = "EditDBChart"
		size = 66
		refs = "0005 InternalOnCreateEditChart 000b _NF__53 0013 EditDBChart 001e EditChart 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 0D ?? ?? ?? ?? C7 01 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5D C3 }
	condition:
		$1
}

rule function_5101_0 {
	meta:
		name = "EditDBChartTitle"
		size = 66
		refs = "0005 InternalOnCreateEditChart 000b _NF__53 0013 EditDBChartTitle 001e EditChartTitle 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 0D ?? ?? ?? ?? C7 01 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5D C3 }
	condition:
		$1
}

rule function_5100_0 {
	meta:
		name = "EditDBChartWall"
		size = 66
		refs = "0005 InternalOnCreateEditChart 000b _NF__53 0013 EditDBChartWall 001e EditChartWall 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 0D ?? ?? ?? ?? C7 01 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5D C3 }
	condition:
		$1
}

rule function_5098_0 {
	meta:
		name = "EditDBSeries"
		size = 66
		refs = "0005 InternalOnCreateEditChart 000b _NF__53 0013 EditDBSeries 001e EditSeries 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 0D ?? ?? ?? ?? C7 01 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5D C3 }
	condition:
		$1
}

rule function_5102_0 {
	meta:
		name = "EditDBChartPage"
		size = 68
		refs = "0006 InternalOnCreateEditChart 000c _NF__53 0014 EditDBChartPage 001f EditChartPage 003b @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 1D ?? ?? ?? ?? C7 03 ?? ?? ?? ?? 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5B 5D C3 }
	condition:
		$1
}

rule function_5103_0 {
	meta:
		name = "EditDBChartPart"
		size = 68
		refs = "0006 InternalOnCreateEditChart 000c _NF__53 0014 EditDBChartPart 001f EditChartPart 003b @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 1D ?? ?? ?? ?? C7 03 ?? ?? ?? ?? 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5B 5D C3 }
	condition:
		$1
}

rule function_5106_0 {
	meta:
		name = "DBEditCh"
		size = 17
		refs = "0002 _NV__4F 000c InternalOnGetDesignerNames"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 07 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6789_0 {
	meta:
		name = "EditChar"
		size = 17
		refs = "0002 _NV__39 000c InternalOnCreateEditChart"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 07 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5107_0 {
	meta:
		name = "_NF__69"
		size = 105
		refs = "000d _Dn_EDBEngineError 0012 @IsClass 0024 Application 0035 TDbEngineErrorDlg.ShowException 0061 TApplication.ShowException"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 83 BB 2C 02 00 00 00 75 18 A1 ?? ?? ?? ?? 8B 00 80 78 7C 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 2A 66 83 BB 26 02 00 00 00 74 12 8B CE 8B D7 8B 83 28 02 00 00 FF 93 24 02 00 00 EB 0E A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5108_0 {
	meta:
		name = "_NF__6B"
		size = 32
	strings:
		$1 = { FF FF FF FF 05 00 00 00 25 73 20 3E 3E 00 00 00 FF FF FF FF 05 00 00 00 3C 3C 20 25 73 00 00 00 }
	condition:
		$1
}

rule function_5109_0 {
	meta:
		name = "_NF__6C"
		size = 183
		refs = "0013 _NF__6C 0036 TCustomForm.SetClientHeight 004f TControl.SetVisible 005c TControl.SetTop 007b _NV__6A 0082 Format 0090 TControl.SetText 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 E0 01 00 00 8A 58 44 80 F3 01 84 DB 74 0F 8B 96 30 02 00 00 8B C6 E8 ?? ?? ?? ?? EB 0A 8B 50 34 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 86 E0 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 86 38 02 00 00 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5110_0 {
	meta:
		name = "_NF__6D"
		size = 360
		refs = "0013 _NF__6D 002e TControl.SetEnabled 0039 EDBEngineError.GetErrorCount 005f EDBEngineError.GetError 006f TControl.SetText 0088 IntToStr 00a1 TDBError.GetCategory 00b4 TDBError.GetSubCode 00d2 Format 013c @LStrClr 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 34 02 00 00 00 0F 9F C2 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 48 3B 83 34 02 00 00 0F 9F C2 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 8B 93 34 02 00 00 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 56 0C 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8D 55 FC 0F B7 46 04 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8D 45 FC 50 8B C6 E8 ?? ?? ?? ?? 25 FF 00 00 00 89 45 EC C6 45 F0 00 8B C6 E8 ?? ?? ?? ?? 25 FF 00 00 00 89 45 F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 83 7E 08 00 0F 95 C2 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 83 E8 01 00 00 80 78 45 00 74 1B 8D 55 FC 8B 46 08 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? EB 0E 8B 83 F8 01 00 00 8B 10 FF 92 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 0D 00 00 00 5B 24 25 32 78 5D 20 5B 24 25 32 78 5D 00 00 00 }
	condition:
		$1
}

rule function_5111_0 {
	meta:
		name = "TDbEngineErrorDlg.FormCreate"
		size = 103
		refs = "000c TDbEngineErrorDlg.FormCreate 0019 TControl.GetClientHeight 002d TControl.GetText 003b @LStrAsg 0042 _NF__6C 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 83 30 02 00 00 8D 55 FC 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 38 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5112_0 {
	meta:
		name = "TDbEngineErrorDlg.FormDestroy"
		size = 43
		refs = "000c Application"
	strings:
		$1 = { 66 83 B8 26 02 00 00 00 74 20 8B 15 ?? ?? ?? ?? 8B 12 8B 88 24 02 00 00 89 8A 94 00 00 00 8B 88 28 02 00 00 89 8A 98 00 00 00 C3 }
	condition:
		$1
}

rule function_5113_0 {
	meta:
		name = "TDbEngineErrorDlg.FormShow"
		size = 52
		refs = "0013 TControl.SetText 002e _NF__6D"
	strings:
		$1 = { 53 8B D8 8B 83 2C 02 00 00 8B 50 04 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 80 78 44 00 74 0F 33 C0 89 83 34 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5114_0 {
	meta:
		name = "TDbEngineErrorDlg.BackClick"
		size = 12
		refs = "0007 _NF__6D"
	strings:
		$1 = { FF 88 34 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5115_0 {
	meta:
		name = "TDbEngineErrorDlg.NextClick"
		size = 12
		refs = "0007 _NF__6D"
	strings:
		$1 = { FF 80 34 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5116_0 {
	meta:
		name = "TDbEngineErrorDlg.DetailsBtnClick"
		size = 39
		refs = "0006 _NF__6C 0021 _NF__6D"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 80 78 44 00 74 0F 33 C0 89 83 34 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5117_0 {
	meta:
		name = "TDbEngineErrorDlg.HookExceptions"
		size = 57
		refs = "0002 Application 0034 _NF__69"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 8B 8A 94 00 00 00 89 88 24 02 00 00 8B 8A 98 00 00 00 89 88 28 02 00 00 8B 15 ?? ?? ?? ?? 8B 12 89 82 98 00 00 00 C7 82 94 00 00 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5118_0 {
	meta:
		name = "TDbEngineErrorDlg.ShowException"
		size = 26
		refs = "000c TCustomForm.ShowModal"
	strings:
		$1 = { 53 8B D8 89 93 2C 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 89 93 2C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_5119_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _NV__68 001a _NV__6A 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8820_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _NV__42 001a _NV__60 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13169_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _NV__78 001a _NV__14F 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_5122_0 {
	meta:
		name = "_NF__2BA"
		size = 57
		refs = "001a PeekMessage 002f PostQuitMessage"
	strings:
		$1 = { 53 56 83 C4 E4 8B DA 8B F0 33 C0 89 44 24 04 6A 01 53 53 56 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 74 11 83 7C 24 04 12 75 0A 8B 44 24 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_5123_0 {
	meta:
		name = "_NF__2C0"
		size = 33
		refs = "0006 TCustomListBox.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 81 4B 04 00 00 80 00 C7 43 08 88 00 00 00 C7 43 24 00 08 00 00 5B C3 }
	condition:
		$1
}

rule function_5124_0 {
	meta:
		name = "_NF__2C1"
		size = 53
		refs = "0006 TCustomListBox.CreateWnd 000f TWinControl.GetHandle 0015 SetParent 002f CallWindowProc"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 07 8B C3 E8 ?? ?? ?? ?? 50 8B 83 B8 00 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5125_0 {
	meta:
		name = "_NF__2C2"
		size = 221
		refs = "0010 _NF__2C2 0036 @LStrClr 003d GetTickCount 006a @LStrLen 0079 @LStrFromChar 0087 @LStrCat 0092 @LStrToPChar 00a4 TWinControl.GetHandle 00aa SendMessage 00b6 TWinControl.KeyPress 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 06 2C 08 74 0F 2C 13 74 0B 04 FB 2C E0 72 12 E9 82 00 00 00 8D 83 54 01 00 00 E8 ?? ?? ?? ?? EB 75 E8 ?? ?? ?? ?? 8B F8 8B C7 2B 83 58 01 00 00 3D D0 07 00 00 7E 0B 8D 83 54 01 00 00 E8 ?? ?? ?? ?? 89 BB 58 01 00 00 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 83 F8 20 7D 18 8D 45 FC 8A 16 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 50 68 FF FF 00 00 68 8C 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 06 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5126_0 {
	meta:
		name = "_NF__2C3"
		size = 76
		refs = "0020 TControl.MouseUp 0040 _NF__2C6"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B 75 0C 56 57 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 85 F6 7C 0E 85 FF 7C 0A 3B 73 38 7D 05 3B 7B 3C 7C 04 33 D2 EB 02 B2 01 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5127_0 {
	meta:
		name = "_NF__2C4"
		size = 86
		refs = "000a @ClassCreate 0017 TInplaceEdit.Create 0020 _Dn_TDataSource 0025 TDataSource.Create 0032 GetSystemMetrics"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 64 01 00 00 6A 02 E8 ?? ?? ?? ?? 89 86 54 01 00 00 C6 86 68 01 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5128_0 {
	meta:
		name = "_NF__2C5"
		size = 130
		refs = "001b SetRect 003f TWinControl.GetHandle 0045 SendMessage 0060 SysLocale 0079 TWinControl.SetImeCompositionWindow"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B 43 3C 50 8B 43 38 83 E8 02 50 6A 02 6A 02 8D 44 24 10 50 E8 ?? ?? ?? ?? 80 BB 68 01 00 00 00 74 0A 8B 83 54 01 00 00 29 44 24 08 8B C4 50 6A 00 68 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 B7 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 13 8B 44 24 04 50 8B 4C 24 04 8B 53 50 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_5129_0 {
	meta:
		name = "_NF__2C6"
		size = 455
		refs = "0016 _NF__2C6 002e GetCapture 0043 SendMessage 005f @VarCopy 006c TCustomListBox.GetItemIndex 0097 @VarFromLStr 00b1 TWinControl.GetHandle 00b7 SetWindowPos 00cf TDBLookupControl.SetListSource 00dc TDataSource.SetDataSet 00e3 TInplaceEdit.Invalidate 0108 TCustomDBGrid.GetSelectedIndex 0115 TDBGridColumns.GetColumn 011a TColumn.GetField 0127 TDataSet.FieldByName 013c TDataSet.Edit 0150 VarIsNull 018e @VarToLStr 0198 TField.SetEditText 01ad @LStrClr 01b5 @VarClr 01bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 69 01 00 00 00 0F 84 6F 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B B3 58 01 00 00 3B B3 60 01 00 00 75 10 8D 45 EC 8D 96 4C 01 00 00 E8 ?? ?? ?? ?? EB 36 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 40 74 28 8B B3 5C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D E8 8B 86 18 01 00 00 8B 30 FF 56 0C 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 69 01 00 00 00 8B 83 58 01 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 33 D2 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 0F 84 AB 00 00 00 8B 83 60 01 00 00 3B 83 58 01 00 00 75 4D 8B 9B 4C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 53 50 8B 43 24 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 50 84 C0 74 64 8B 43 24 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 8B 08 FF 51 7C EB 50 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 44 8B C3 8B 10 FF 92 9C 00 00 00 84 C0 74 36 8B 9B 4C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5130_0 {
	meta:
		name = "_NF__2C7"
		size = 106
		refs = "0034 _NF__2C6 003b _NF__2C8"
	strings:
		$1 = { 53 51 88 0C 24 8B DA 66 8B 13 66 83 EA 0D 74 37 66 83 EA 0E 74 31 66 83 EA 0B 74 06 66 83 EA 02 75 45 F6 04 24 02 74 3F 80 B8 69 01 00 00 00 74 09 B2 01 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 66 C7 03 00 00 5A 5B C3 80 B8 69 01 00 00 00 74 17 F6 04 24 02 75 11 66 83 3B 0D 0F 94 C2 E8 ?? ?? ?? ?? 66 C7 03 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_5131_0 {
	meta:
		name = "_NF__2C8"
		size = 802
		refs = "0020 _NF__2C8 004e TControl.SetWidth 005b TCustomDBGrid.GetSelectedIndex 0068 TDBGridColumns.GetColumn 0083 TColumn.GetField 0093 TControl.SetColor 00a1 TControl.SetFont 00af TDBLookupListBox.SetRowCount 00bd TDataSource.SetDataSet 00cb TDBLookupControl.SetKeyFieldName 00d9 TDBLookupControl.SetListFieldName 00ea TDBLookupControl.SetListSource 00f5 TDataSet.FieldByName 010b TDBLookupControl.SetKeyValue 0133 TColumn.GetPickList 0140 TCustomListBox.SetItems 0163 TCustomListBox.GetItemHeight 0173 TControl.SetHeight 01be TCustomListBox.SetItemIndex 01da @VarToLStr 0206 TControl.GetClientWidth 024f TCanvas.TextWidth 026f TControl.SetClientWidth 027d Point 028b TControl.ClientToScreen 0298 Screen 029f TScreen.GetHeight 02d1 TWinControl.GetHandle 02d7 SetWindowPos 02e5 TInplaceEdit.Invalidate 02f2 SetFocus 0307 @LStrClr 030f @VarClr 0315 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 D2 89 55 D8 89 55 DC 89 55 E0 89 55 E4 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 69 01 00 00 00 0F 85 BF 02 00 00 83 BB 60 01 00 00 00 0F 84 B2 02 00 00 8B 53 38 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 8B B3 4C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 60 01 00 00 3B 83 58 01 00 00 0F 85 94 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 53 54 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 53 50 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 56 34 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 57 4C 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B 57 54 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 57 58 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 93 64 01 00 00 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 57 50 8B 47 24 E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 51 4C 8D 55 DC 8B 83 58 01 00 00 E8 ?? ?? ?? ?? E9 5F 01 00 00 8B 53 54 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 8B 53 50 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 8B 83 5C 01 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 3B 46 34 7C 1F 8B BB 5C 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 0F AF 56 34 83 C2 04 8B C7 E8 ?? ?? ?? ?? EB 2B 8B BB 5C 01 00 00 8B 87 18 01 00 00 8B 10 FF 52 14 50 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 5A 0F AF D0 83 C2 04 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 5C 84 C0 74 10 83 CA FF 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? EB 3B 8B C6 E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 51 4C 8D 55 DC 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 5C 01 00 00 8B 80 18 01 00 00 8B 08 FF 51 50 8B D0 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 83 5C 01 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 48 85 C0 7C 42 40 89 45 EC C7 45 F4 00 00 00 00 8D 4D D8 8B B3 5C 01 00 00 8B 86 18 01 00 00 8B 55 F4 8B 38 FF 57 0C 8B 55 D8 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 8B F0 3B 75 F0 7E 03 89 75 F0 FF 45 F4 FF 4D EC 75 C9 8B 55 F0 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 8D 4D D0 8B 53 34 8B 43 30 E8 ?? ?? ?? ?? 8D 55 D0 8D 4D F8 8B 43 24 E8 ?? ?? ?? ?? 8B 7D FC 8B F7 03 73 3C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 93 60 01 00 00 8B 52 3C 03 D6 3B C2 7D 0B 8B 83 60 01 00 00 8B F7 2B 70 3C 6A 51 6A 00 6A 00 56 8B 45 F8 50 6A 00 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 69 01 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5132_0 {
	meta:
		name = "_NF__2CB"
		size = 92
		refs = "001a _NF__2CB 002e @CallDynaInst 0035 TWinControl.GetHandle 003f _NF__2BA 004d TInplaceEdit.KeyDown"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 80 BE 68 01 00 00 01 75 32 66 83 3B 0D 75 2C A0 ?? ?? ?? ?? 3A 04 24 75 22 8B 86 4C 01 00 00 66 BB C6 FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 02 01 00 00 E8 ?? ?? ?? ?? EB 0C 8B D3 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_5133_0 {
	meta:
		name = "_NF__2CC"
		size = 76
		refs = "0017 Point 0034 PtInRect 0041 _NF__2C6"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 84 C9 75 38 8D 4D F8 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8D 55 E8 8B 83 60 01 00 00 8B 08 FF 51 2C 8D 45 E8 50 E8 ?? ?? ?? ?? F7 D8 1B D2 F7 DA 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_5134_0 {
	meta:
		name = "_NF__2CD"
		size = 187
		refs = "0032 Point 0053 Rect 005c PtInRect 0072 _NF__2C6 007d TControl.SetMouseCapture 008f _NF__2D3 009f _NF__2C8 00ae TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B 75 0C 80 7D FF 00 0F 85 82 00 00 00 80 BB 68 01 00 00 00 74 79 8D 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 8B 43 3C 50 8D 45 E4 50 8B 43 38 2B 83 54 01 00 00 8B 4B 38 33 D2 E8 ?? ?? ?? ?? 8D 45 E4 50 E8 ?? ?? ?? ?? 85 C0 74 3F 80 BB 69 01 00 00 00 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 2B B2 01 8B C3 E8 ?? ?? ?? ?? C6 83 6A 01 00 00 01 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB 60 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 56 57 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5135_0 {
	meta:
		name = "_NF__2CE"
		size = 197
		refs = "0027 _NF__2D3 003c Point 0049 TControl.ClientToScreen 005a TControl.ScreenToClient 0077 PtInRect 0082 _NF__2D2 008a PointToSmallPoint 00a3 TWinControl.GetHandle 00a9 SendMessage 00b8 TControl.MouseMove"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 80 BB 6A 01 00 00 00 0F 84 8F 00 00 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 69 01 00 00 00 74 7B 8D 4D E0 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8D 4D E8 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F4 8B 83 60 01 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 8D 55 D0 8B 83 60 01 00 00 8B 08 FF 51 2C 8D 45 D0 50 E8 ?? ?? ?? ?? 85 C0 74 30 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 50 6A 00 68 01 02 00 00 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0D 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5136_0 {
	meta:
		name = "_NF__2CF"
		size = 89
		refs = "0017 _NF__2D2 0039 @CallDynaInst 004e TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FE 88 55 FF 8B F0 8A 9E 6B 01 00 00 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 75 1C 80 BE 68 01 00 00 01 75 13 84 DB 74 0F 8B 86 4C 01 00 00 66 BB C6 FF E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8A 4D FE 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5137_0 {
	meta:
		name = "_NF__2D0"
		size = 309
		refs = "002f SetRect 006c DrawFrameControl 0093 DrawEdge 00cc PatBlt 0120 ExcludeClipRect 0129 TWinControl.PaintWindow"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B FA 8B D8 80 BB 68 01 00 00 00 0F 84 0C 01 00 00 8B 53 3C 52 8B 43 38 50 6A 00 2B 83 54 01 00 00 50 8D 44 24 10 50 E8 ?? ?? ?? ?? 33 F6 8A 83 68 01 00 00 04 FE 2C 02 73 34 83 BB 60 01 00 00 00 75 07 BE 00 01 00 00 EB 0E 80 BB 6B 01 00 00 00 74 05 BE 00 42 00 00 83 CE 05 56 6A 03 8D 44 24 08 50 57 E8 ?? ?? ?? ?? E9 95 00 00 00 80 BB 6B 01 00 00 00 74 05 BE 00 40 00 00 81 CE 0F 08 00 00 56 6A 05 8D 44 24 08 50 57 E8 ?? ?? ?? ?? 8B 74 24 08 8B 04 24 2B F0 D1 EE 4E 33 D2 8A 93 6B 01 00 00 03 F2 8B 6B 3C C1 ED 03 85 ED 75 05 BD 01 00 00 00 6A 42 55 55 8B 54 24 10 03 D6 52 03 C6 50 57 E8 ?? ?? ?? ?? 6A 42 55 55 8B 44 24 10 03 C6 50 8B 44 24 10 03 C6 8B D5 03 D2 2B C2 50 57 E8 ?? ?? ?? ?? 6A 42 55 55 8B 44 24 10 03 C6 50 03 74 24 10 8B C5 03 C0 03 F0 56 57 E8 ?? ?? ?? ?? 8B 44 24 0C 50 8B 44 24 0C 50 8B 44 24 0C 50 8B 44 24 0C 50 57 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5138_0 {
	meta:
		name = "_NF__2D1"
		size = 289
		refs = "0032 _NV__2BE 0037 TCustomListBox.Create 0048 TControl.SetVisible 0068 _NF__2CC 006f TCustomListBox.SetIntegralHeight 007f TCustomListBox.SetItemHeight 009f _Dn_TPopupDataList 00a4 TPopupDataList.Create 00f8 TCustomDBGrid.GetSelectedIndex 0105 TDBGridColumns.GetColumn 010a TColumn.GetReadOnly 0113 TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 56 8B D8 3A 93 68 01 00 00 0F 84 0E 01 00 00 88 93 68 01 00 00 80 EA 02 74 09 FE CA 74 72 E9 C3 00 00 00 83 BB 5C 01 00 00 00 75 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 5C 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 83 5C 01 00 00 8B 08 FF 51 3C 8B 83 5C 01 00 00 89 98 80 00 00 00 C7 40 7C ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? BA 0B 00 00 00 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 8B 83 5C 01 00 00 89 83 60 01 00 00 EB 5E 83 BB 58 01 00 00 00 75 3F 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 58 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 83 58 01 00 00 8B 08 FF 51 3C 8B 83 58 01 00 00 89 98 80 00 00 00 C7 40 7C ?? ?? ?? ?? 8B 83 58 01 00 00 89 83 60 01 00 00 EB 08 33 C0 89 83 60 01 00 00 8B B3 4C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 5E 5B C3 }
	condition:
		$1
}

rule function_5139_0 {
	meta:
		name = "_NF__2D2"
		size = 43
		refs = "0015 _NF__2D3 0025 TControl.SetMouseCapture"
	strings:
		$1 = { 53 8B D8 80 BB 6A 01 00 00 00 74 1D 83 C9 FF 83 CA FF 8B C3 E8 ?? ?? ?? ?? C6 83 6A 01 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5140_0 {
	meta:
		name = "_NF__2D3"
		size = 132
		refs = "000f TControl.GetClientHeight 0017 TControl.GetClientWidth 0032 SetRect 003f Point 0051 PtInRect 0073 TWinControl.GetHandle 0079 InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B C3 E8 ?? ?? ?? ?? 2B 83 54 01 00 00 50 8D 44 24 10 50 E8 ?? ?? ?? ?? 8D 4C 24 10 8B D7 8B C6 E8 ?? ?? ?? ?? FF 74 24 14 FF 74 24 14 8D 44 24 08 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 3A 83 6B 01 00 00 74 1A 88 83 6B 01 00 00 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5141_0 {
	meta:
		name = "_NF__2D4"
		size = 233
		refs = "000f TCustomDBGrid.GetSelectedIndex 001c TDBGridColumns.GetColumn 003b TColumn.GetField 005b TDataSet.FieldByName 0079 TColumn.GetReadOnly 00af TColumn.GetPickList 00d9 _NF__2D1 00e0 TInplaceEdit.UpdateContents"
	strings:
		$1 = { 53 56 57 55 8B F8 8B B7 4C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 33 DB 8A 46 38 2C 01 72 0D 0F 85 A3 00 00 00 B3 01 E9 9C 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 8D 00 00 00 8B C6 E8 ?? ?? ?? ?? 80 78 2E 02 75 58 8B 50 50 8B 40 24 E8 ?? ?? ?? ?? 8B E8 85 ED 74 6F 8B C5 8B 10 FF 52 50 84 C0 74 64 F6 46 3B 10 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 53 8B 87 4C 01 00 00 80 B8 A8 01 00 00 00 75 44 8B 90 C4 01 00 00 80 7A 15 00 74 38 8B 80 C4 01 00 00 80 78 14 00 75 2C B3 03 EB 28 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1D 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 0D 8B C6 E8 ?? ?? ?? ?? 84 C0 75 02 B3 02 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5142_0 {
	meta:
		name = "_NF__2D5"
		size = 23
		refs = "0012 _NF__2C6"
	strings:
		$1 = { 8B 4A 08 3B C1 74 0F 3B 88 60 01 00 00 74 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5144_0 {
	meta:
		name = "_NF__2D7"
		size = 67
		refs = "0007 SysLocale 0019 Screen 0023 @LStrAsg 0033 TWinControl.WMKillFocus 003c _NF__2C6"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 78 08 00 74 1D 8D 83 E8 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 52 2C E8 ?? ?? ?? ?? C6 83 E4 00 00 00 03 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5145_0 {
	meta:
		name = "_NF__2D8"
		size = 101
		refs = "001e Point 0043 Rect 004d PtInRect 005a TControl.WMLButtonDblClk"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B D8 80 BB 68 01 00 00 00 74 42 8B CC 0F BF 56 0A 0F BF 46 08 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8B 43 3C 50 8D 44 24 14 50 8B 7B 38 8B C7 2B 83 54 01 00 00 8B CF 33 D2 E8 ?? ?? ?? ?? 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5147_0 {
	meta:
		name = "_NF__2DA"
		size = 125
		refs = "000c GetCursorPos 0022 TControl.ScreenToClient 0047 Rect 0051 PtInRect 0061 LoadCursor 0067 SetCursor 0072 TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B FA 8B D8 54 E8 ?? ?? ?? ?? 80 BB 68 01 00 00 00 74 54 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? FF 74 24 0C FF 74 24 0C 8B 43 3C 50 8D 44 24 1C 50 8B 73 38 8B C6 2B 83 54 01 00 00 8B CE 33 D2 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 14 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5148_0 {
	meta:
		name = "_NF__2DB"
		size = 116
		refs = "0029 KeyDataToShiftState 0035 _NF__2C7 005b TWinControl.GetHandle 0061 SendMessage 006d TInplaceEdit.WndProc"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 03 2D 00 01 00 00 74 0A 83 E8 02 74 05 83 E8 02 75 4F 8A 86 68 01 00 00 04 FE 2C 02 73 43 8B 43 08 E8 ?? ?? ?? ?? 8B C8 8D 53 04 8B C6 E8 ?? ?? ?? ?? 66 83 7B 04 00 74 28 80 BE 69 01 00 00 00 74 1F 8B 43 08 50 8B 43 04 50 8B 03 50 8B 86 60 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5151_0 {
	meta:
		name = "TGridDataLink.GetDefaultFields"
		size = 70
		refs = "0009 TDataLink.GetDataSet"
	strings:
		$1 = { 53 56 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0A 8B C6 E8 ?? ?? ?? ?? 8A 58 69 84 DB 74 22 80 7E 2E 00 74 1C 8B 46 20 48 85 C0 7C 14 40 33 D2 8B 4E 28 83 3C 91 00 7D 04 33 DB EB 04 42 48 75 EF 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_5152_0 {
	meta:
		name = "TGridDataLink.GetFields"
		size = 50
		refs = "001b TDataLink.GetDataSet 0026 TDataSet.GetField"
		altNames = "THTTPDataLink.GetFields"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 23 3B 73 20 7D 1E 8B 43 28 83 3C B0 00 7C 15 8B C3 E8 ?? ?? ?? ?? 8B 53 28 8B 14 B2 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5153_0 {
	meta:
		name = "TGridDataLink.AddMapping"
		size = 254
		refs = "0016 TGridDataLink.AddMapping 0031 STooManyColumns 0036 LoadResString 003e _NF__2B9 004b TDataLink.GetDataSet 0052 TDataSet.FindField 0064 TDataSet.FieldByName 00a0 @ReallocMem 00ae TField.GetIndex 00c1 TComponent.FreeNotification 00e8 @LStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 81 7B 20 FF FF FF 0F 7C 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 80 7B 2E 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 EB 10 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 53 24 8B 43 20 3B D0 75 33 8B F2 85 F6 75 07 BE 08 00 00 00 EB 02 03 F6 3B C6 7E 03 8B F0 46 81 FE FF FF FF 0F 7E 05 BE FF FF FF 0F 8B D6 C1 E2 02 8D 43 28 E8 ?? ?? ?? ?? 89 73 24 85 FF 74 1C 8B C7 E8 ?? ?? ?? ?? 8B 53 28 8B 4B 20 89 04 8A 8B 53 1C 8B C7 E8 ?? ?? ?? ?? EB 0D 8B 43 28 8B 53 20 C7 04 90 FF FF FF FF FF 43 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5154_0 {
	meta:
		name = "TGridDataLink.ActiveChanged"
		size = 15
	strings:
		$1 = { 8A 50 15 8B 40 1C 8B 08 FF 91 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_5155_0 {
	meta:
		name = "TGridDataLink.ClearMapping"
		size = 38
		refs = "0011 @FreeMem"
		altNames = "THTTPDataLink.ClearMapping"
	strings:
		$1 = { 53 8B D8 8B 43 28 85 C0 74 1A 8B 53 24 C1 E2 02 E8 ?? ?? ?? ?? 33 C0 89 43 28 33 C0 89 43 24 33 C0 89 43 20 5B C3 }
	condition:
		$1
}

rule function_5156_0 {
	meta:
		name = "TGridDataLink.Modified"
		size = 5
		altNames = "THTTPDataLink.Modified TTeeFunction.BeginUpdate"
	strings:
		$1 = { C6 40 2C 01 C3 }
	condition:
		$1
}

rule function_5157_0 {
	meta:
		name = "TGridDataLink.DataSetChanged"
		size = 17
		refs = "0007 _NF__43A"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? C6 43 2C 00 5B C3 }
	condition:
		$1
}

rule function_5162_0 {
	meta:
		name = "TGridDataLink.RecordChanged"
		size = 17
		refs = "0007 _NF__4B3"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? C6 43 2C 00 5B C3 }
	condition:
		$1
}

rule function_6114_0 {
	meta:
		name = "THTTPDataLink.DataSetChanged"
		size = 17
		refs = "0007 _NF__167"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? C6 43 2C 00 5B C3 }
	condition:
		$1
}

rule function_5158_0 {
	meta:
		name = "TGridDataLink.DataSetScrolled"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 08 FF 91 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_5159_0 {
	meta:
		name = "TGridDataLink.LayoutChanged"
		size = 101
		refs = "0023 TGridDataLink.LayoutChanged 0053 @HandleFinally 005d TDataLink.LayoutChanged"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 1C 8A 90 B2 01 00 00 88 55 FB C6 80 B2 01 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 10 FF 92 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8A 55 FB 88 90 B2 01 00 00 C3 E9 ?? ?? ?? ?? EB E9 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_5160_0 {
	meta:
		name = "TGridDataLink.FocusControl"
		size = 64
		refs = "0015 TCustomDBGrid.SetSelectedField 001d TCustomDBGrid.GetSelectedField 0029 _NF__411 0039 TCustomGrid.ShowEditor"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 33 83 3B 00 74 2E 8B 13 8B 46 1C E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 3B 03 75 18 8B 46 1C E8 ?? ?? ?? ?? 84 C0 74 0C 33 C0 89 03 8B 46 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5161_0 {
	meta:
		name = "TGridDataLink.EditingChanged"
		size = 9
		refs = "0004 _NF__466"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6116_0 {
	meta:
		name = "THTTPDataLink.LayoutChanged"
		size = 9
		refs = "0004 TDSTableProducer.LayoutChanged"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13324_0 {
	meta:
		name = "TSeriesPointer.SetBooleanProperty"
		size = 9
		refs = "0004 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13323_0 {
	meta:
		name = "TSeriesPointer.SetIntegerProperty"
		size = 9
		refs = "0004 TChartSeries.SetIntegerProperty"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5163_0 {
	meta:
		name = "TGridDataLink.UpdateData"
		size = 86
		refs = "0012 TGridDataLink.UpdateData 002c _NF__4DB 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 40 2D 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 2C 00 74 0B 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC C6 40 2C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 2D 00 C3 E9 ?? ?? ?? ?? EB F1 59 5D C3 }
	condition:
		$1
}

rule function_5164_0 {
	meta:
		name = "TGridDataLink.GetMappedIndex"
		size = 20
		altNames = "THTTPDataLink.GetMappedIndex"
	strings:
		$1 = { 85 D2 7C 0C 3B 50 20 7D 07 8B 40 28 8B 04 90 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_5165_0 {
	meta:
		name = "TGridDataLink.Reset"
		size = 37
		refs = "0017 TDataLink.GetDataSet"
		altNames = "THTTPDataLink.Reset"
	strings:
		$1 = { 53 8B D8 80 7B 2C 00 74 0B 33 D2 8B C3 8B 08 FF 51 28 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 7C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5166_0 {
	meta:
		name = "TColumnTitle.Create"
		size = 99
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TFont 0029 TFont.Create 0035 TColumnTitle.DefaultFont 004b _NF__31B"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 8B 47 0C 89 78 08 C7 40 04 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5167_0 {
	meta:
		name = "TColumnTitle.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TPersistent.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10176_0 {
	meta:
		name = "TIArray.Destroy"
		size = 42
		refs = "000a @FreeMem 0016 TObject.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7915_0 {
	meta:
		name = "TIconImage.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TObject.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13284_0 {
	meta:
		name = "TWinSocketStream.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TObject.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5168_0 {
	meta:
		name = "TColumnTitle.Assign"
		size = 195
		refs = "0010 TColumnTitle.Assign 001e _DV_TColumnTitle 0023 @IsClass 0039 TColumnTitle.GetAlignment 0042 TColumnTitle.SetAlignment 0052 TColumnTitle.GetColor 005b TColumnTitle.SetColor 006e TColumnTitle.GetCaption 0088 TColumnTitle.GetFont 0091 TColumnTitle.SetFont 009c TPersistent.Assign 00b1 @LStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6C 8B F3 8B 46 04 F6 40 3B 80 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 46 04 F6 40 3B 20 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 46 04 F6 40 3B 40 74 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 0C 8B 46 04 F6 40 3C 01 74 1B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5170_0 {
	meta:
		name = "TColumnTitle.DefaultColor"
		size = 25
		refs = "0004 TColumn.GetGrid"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? 85 C0 74 07 8B 80 4C 01 00 00 C3 B8 0F 00 00 80 C3 }
	condition:
		$1
}

rule function_5171_0 {
	meta:
		name = "TColumnTitle.DefaultFont"
		size = 33
		refs = "0007 TColumn.GetGrid 001b TColumn.GetFont"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 08 8B 80 A4 01 00 00 5B C3 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5172_0 {
	meta:
		name = "TColumnTitle.DefaultCaption"
		size = 49
		refs = "000b TColumn.GetField 001a TField.GetDisplayName 0029 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 0D 8B C7 8B 53 04 8B 52 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5173_0 {
	meta:
		name = "_NF__31B"
		size = 24
		refs = "0012 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 04 66 81 48 3B 00 01 B2 01 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5174_0 {
	meta:
		name = "TColumnTitle.GetAlignment"
		size = 19
		refs = "000e TColumnTitle.DefaultAlignment"
	strings:
		$1 = { 8B 50 04 F6 42 3B 80 74 04 8A 40 14 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5175_0 {
	meta:
		name = "TColumnTitle.GetColor"
		size = 19
		refs = "000e TColumnTitle.DefaultColor"
	strings:
		$1 = { 8B 50 04 F6 42 3B 20 74 04 8B 40 10 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5176_0 {
	meta:
		name = "TColumnTitle.GetCaption"
		size = 40
		refs = "0015 @LStrLAsg 0021 TColumnTitle.DefaultCaption"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 F6 40 3B 40 74 0D 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5177_0 {
	meta:
		name = "TColumnTitle.GetFont"
		size = 123
		refs = "0014 TColumnTitle.DefaultFont 001e TFont.GetHandle"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 8B 43 04 F6 40 3C 01 75 61 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 0C E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 75 0B 8B 43 0C 8B 40 14 3B 46 14 74 38 8B 73 0C 8B 46 04 89 04 24 8B 46 08 89 44 24 04 33 C0 89 46 04 89 46 08 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 8B 43 0C 8B 14 24 89 50 04 8B 54 24 04 89 50 08 8B 43 0C 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5178_0 {
	meta:
		name = "TColumnTitle.IsAlignmentStored"
		size = 32
		refs = "000f TColumnTitle.DefaultAlignment"
	strings:
		$1 = { 53 8B D8 8B 43 04 F6 40 3B 80 74 0C 8B C3 E8 ?? ?? ?? ?? 3A 43 14 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5179_0 {
	meta:
		name = "TColumnTitle.IsColorStored"
		size = 32
		refs = "000f TColumnTitle.DefaultColor"
	strings:
		$1 = { 53 8B D8 8B 43 04 F6 40 3B 20 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 43 10 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5180_0 {
	meta:
		name = "TColumnTitle.IsFontStored"
		size = 11
	strings:
		$1 = { 8B 40 04 F6 40 3C 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_5181_0 {
	meta:
		name = "TColumnTitle.IsCaptionStored"
		size = 97
		refs = "000c TColumnTitle.IsCaptionStored 0025 TColumnTitle.DefaultCaption 0030 @LStrCmp 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 F6 40 3B 40 74 17 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5182_0 {
	meta:
		name = "TColumnTitle.RefreshDefaultFont"
		size = 123
		refs = "0034 TColumnTitle.RefreshDefaultFont 0042 TColumnTitle.DefaultFont 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC 8B 40 04 F6 40 3C 01 75 60 8B 45 FC 8B 58 0C 8B 43 04 89 45 F4 8B 43 08 89 45 F8 33 C0 89 43 04 89 43 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 55 F4 89 50 04 8B 55 F8 89 50 08 C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5183_0 {
	meta:
		name = "TColumnTitle.RestoreDefaults"
		size = 68
		refs = "0015 TColumnTitle.RestoreDefaults 0027 @LStrClr 002e TColumnTitle.RefreshDefaultFont 0038 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 8B F0 8B 7E 04 F6 47 3C 01 0F 95 C3 8B 46 04 66 8B 15 ?? ?? ?? ?? F7 D2 66 23 50 3B 66 89 57 3B 8D 46 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 46 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 E0 01 00 00 }
	condition:
		$1
}

rule function_5184_0 {
	meta:
		name = "TColumnTitle.SetAlignment"
		size = 41
		refs = "0023 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 04 F6 40 3B 80 74 05 3A 53 14 74 16 88 53 14 8B 43 04 66 81 48 3B 80 00 33 D2 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5185_0 {
	meta:
		name = "TColumnTitle.SetColor"
		size = 40
		refs = "0022 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 04 F6 40 3B 20 74 05 3B 53 10 74 15 89 53 10 8B 43 04 66 83 48 3B 20 33 D2 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5187_0 {
	meta:
		name = "TColumnTitle.SetCaption"
		size = 58
		refs = "0015 @LStrCmp 0021 @LStrAsg 0033 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 F6 40 3B 40 74 0C 8B C6 8B 53 08 E8 ?? ?? ?? ?? 74 1C 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B 43 04 66 83 48 3B 40 33 D2 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5188_0 {
	meta:
		name = "TColumn.Create"
		size = 274
		refs = "000f @ClassCreate 0028 _DV_TDBGridColumns 002d @IsClass 0045 TCustomDBGrid.BeginLayout 004d TColumn.Create 005f TCollectionItem.Create 0077 _Dn_TFont 007c TFont.Create 008c TColumn.DefaultFont 00a8 _NF__356 00bb Screen 00c5 @LStrAsg 00ee TCustomDBGrid.EndLayout 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 89 45 F4 85 DB 74 17 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 43 18 89 45 F4 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 34 07 00 00 00 8B 45 FC C6 40 38 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 08 8B 45 FC 8B 40 20 8B 55 FC 89 50 08 C7 40 04 ?? ?? ?? ?? 8B 45 FC C6 40 24 03 8B 45 FC 83 C0 28 8B 15 ?? ?? ?? ?? 8B 12 8B 52 2C E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 34 8B 55 FC 89 42 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 80 7D FB 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5189_0 {
	meta:
		name = "TColumn.Destroy"
		size = 58
		refs = "000a TObject.Free 0026 TCollectionItem.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 1C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5190_0 {
	meta:
		name = "TColumn.Assign"
		size = 408
		refs = "0016 TColumn.Assign 0024 _DV_TColumn 0029 @IsClass 0040 TCollection.BeginUpdate 0063 TColumn.SetFieldName 0070 TColumn.GetColor 007a TColumn.SetColor 0087 TColumn.GetWidth 009e TColumn.GetFont 00a8 TColumn.SetFont 00b5 TColumn.GetImeMode 00cf TColumn.GetImeName 00e7 TColumn.GetAlignment 00fe TColumn.GetReadOnly 0113 TColumn.SetTitle 0127 TColumn.SetButtonStyle 012e TColumn.GetPickList 0138 TColumn.SetPickList 0143 TColumn.SetPopupMenu 015f TCollection.EndUpdate 0165 @HandleFinally 0171 TPersistent.Assign 0186 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 36 01 00 00 8B 45 FC 8B 40 04 85 C0 74 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 38 8B F3 8B 56 10 8B 45 FC E8 ?? ?? ?? ?? F6 46 3B 01 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? F6 46 3B 02 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 30 F6 46 3B 04 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? F6 46 3C 02 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 24 F6 46 3C 04 74 15 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 28 F6 46 3B 08 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 1C F6 46 3B 10 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 2C 8B 56 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 46 34 8B 55 FC 89 42 34 8A 56 38 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 56 30 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5191_0 {
	meta:
		name = "TColumn.CreateTitle"
		size = 15
		refs = "0005 _DV_TColumnTitle 000a TColumnTitle.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5291_0 {
	meta:
		name = "TCustomDBGrid.CreateEditor"
		size = 15
		refs = "0005 _NV__2BC 000a _NF__2C4"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8089_0 {
	meta:
		name = "TCustomGrid.CreateEditor"
		size = 15
		refs = "0005 _DV_TInplaceEdit 000a TInplaceEdit.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5234_0 {
	meta:
		name = "_NF__3AB"
		size = 15
		refs = "0005 _NV__3A6 000a TColumnTitle.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5192_0 {
	meta:
		name = "TColumn.DefaultAlignment"
		size = 26
		refs = "0006 TColumn.GetField"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 08 8B 43 0C 8A 40 2F 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_5193_0 {
	meta:
		name = "TColumn.DefaultColor"
		size = 19
		refs = "0001 TColumn.GetGrid"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 04 8B 40 54 C3 B8 05 00 00 80 C3 }
	condition:
		$1
}

rule function_5194_0 {
	meta:
		name = "TColumn.DefaultFont"
		size = 24
		refs = "0006 TColumn.GetGrid"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 05 8B 40 50 5B C3 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_5195_0 {
	meta:
		name = "TColumn.DefaultImeMode"
		size = 27
		refs = "0006 TColumn.GetGrid"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 08 8A 80 E4 00 00 00 5B C3 8A 43 24 5B C3 }
	condition:
		$1
}

rule function_5196_0 {
	meta:
		name = "TColumn.DefaultImeName"
		size = 49
		refs = "000a TColumn.GetGrid 001d @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0F 8B C7 8B 96 E8 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B C7 8B 53 28 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5197_0 {
	meta:
		name = "TColumn.DefaultReadOnly"
		size = 56
		refs = "0007 TColumn.GetGrid 001d TColumn.GetField"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 09 80 BE A8 01 00 00 00 75 19 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B 43 0C 80 78 2D 00 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_5198_0 {
	meta:
		name = "TColumn.DefaultWidth"
		size = 432
		refs = "0013 TColumn.DefaultWidth 0020 TColumn.GetGrid 0041 TColumn.GetField 0051 TWinControl.HandleAllocated 0063 GetDC 0073 TCanvas.SetHandle 0088 TColumn.GetFont 0098 TCanvas.SetFont 00aa TCanvas.GetHandle 00b0 GetTextMetrics 00c3 TCanvas.TextWidth 00d4 TField.GetDisplayWidth 00f4 TColumnTitle.GetFont 010f TColumnTitle.GetCaption 0154 ReleaseDC 016a @HandleFinally 018d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 33 D2 89 55 B8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0C C7 45 FC 40 00 00 00 E9 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 23 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 34 01 88 45 FB 80 7D FB 00 74 17 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 F4 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 2B 75 DC 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F AF F0 03 75 DC 83 C6 04 89 75 FC 8B 45 F4 F6 80 B3 01 00 00 04 74 3F 8B 43 1C E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8D 55 B8 8B 43 1C E8 ?? ?? ?? ?? 8B 55 B8 8B 45 F4 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 83 C0 04 3B 45 FC 7E 03 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 26 8B 45 F4 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 18 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 8B 45 F4 8B 80 3C 01 00 00 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_5199_0 {
	meta:
		name = "_NF__356"
		size = 27
		refs = "000c TColumnTitle.RefreshDefaultFont 0015 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 66 83 4B 3B 04 8B 43 1C E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5200_0 {
	meta:
		name = "TColumn.GetAlignment"
		size = 16
		refs = "000b TColumn.DefaultAlignment"
	strings:
		$1 = { F6 40 3B 08 74 04 8A 40 39 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5201_0 {
	meta:
		name = "TColumn.GetColor"
		size = 16
		refs = "000b TColumn.DefaultColor"
	strings:
		$1 = { F6 40 3B 01 74 04 8B 40 14 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5202_0 {
	meta:
		name = "TColumn.GetField"
		size = 105
		refs = "0007 TColumn.GetGrid 0017 @LStrLen 002a TDataLink.GetDataSet 0042 TDataSet.GetActive 0056 TDataSet.FindField"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7B 0C 00 75 50 8B 43 10 E8 ?? ?? ?? ?? 85 C0 7E 44 85 F6 74 40 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 31 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 80 7E 69 00 75 13 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 20 8B 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_5203_0 {
	meta:
		name = "TColumn.GetFont"
		size = 103
		refs = "0011 TFont.GetHandle 001a TColumn.DefaultFont"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 F6 43 3B 04 75 52 8B 43 20 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 74 38 8B 73 20 8B 46 04 89 04 24 8B 46 08 89 44 24 04 33 C0 89 46 04 89 46 08 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 8B 43 20 8B 14 24 89 50 04 8B 54 24 04 89 50 08 8B 43 20 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5204_0 {
	meta:
		name = "TColumn.GetGrid"
		size = 39
		refs = "000f _DV_TDBGridColumns 0014 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 85 F6 74 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_6080_0 {
	meta:
		name = "THTMLTableColumn.GeTDSTableProducer"
		size = 39
		refs = "000f _DV_THTMLTableColumns 0014 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 85 F6 74 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_6079_0 {
	meta:
		name = "THTMLTableColumn.GetTableProducer"
		size = 39
		refs = "000f _DV_THTMLTableColumns 0014 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 85 F6 74 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5205_0 {
	meta:
		name = "TColumn.GetDisplayName"
		size = 33
		refs = "000c @LStrLAsg 001a TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 E8 ?? ?? ?? ?? 83 3E 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5206_0 {
	meta:
		name = "TColumn.GetImeMode"
		size = 16
		refs = "000b TColumn.DefaultImeMode"
	strings:
		$1 = { F6 40 3C 02 74 04 8A 40 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5207_0 {
	meta:
		name = "TColumn.GetImeName"
		size = 37
		refs = "0012 @LStrLAsg 001e TColumn.DefaultImeName"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 3C 04 74 0D 8B C6 8B 53 28 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5208_0 {
	meta:
		name = "TColumn.GetPickList"
		size = 29
		refs = "000c _Dn_TStringList 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_5209_0 {
	meta:
		name = "TColumn.GetReadOnly"
		size = 16
		refs = "000b TColumn.DefaultReadOnly"
	strings:
		$1 = { F6 40 3B 10 74 04 8A 40 3A C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5210_0 {
	meta:
		name = "TColumn.GetWidth"
		size = 16
		refs = "000b TColumn.DefaultWidth"
	strings:
		$1 = { F6 40 3B 02 74 04 8B 40 18 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5211_0 {
	meta:
		name = "TColumn.IsAlignmentStored"
		size = 29
		refs = "000c TColumn.DefaultAlignment"
	strings:
		$1 = { 53 8B D8 F6 43 3B 08 74 0C 8B C3 E8 ?? ?? ?? ?? 3A 43 39 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5212_0 {
	meta:
		name = "TColumn.IsColorStored"
		size = 29
		refs = "000c TColumn.DefaultColor"
	strings:
		$1 = { 53 8B D8 F6 43 3B 01 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 43 14 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5213_0 {
	meta:
		name = "TColumn.IsFontStored"
		size = 8
	strings:
		$1 = { F6 40 3B 04 0F 95 C0 C3 }
	condition:
		$1
}

rule function_5214_0 {
	meta:
		name = "TColumn.IsImeModeStored"
		size = 29
		refs = "000c TColumn.DefaultImeMode"
	strings:
		$1 = { 53 8B D8 F6 43 3C 02 74 0C 8B C3 E8 ?? ?? ?? ?? 3A 43 24 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5215_0 {
	meta:
		name = "TColumn.IsImeNameStored"
		size = 94
		refs = "000c TColumn.IsImeNameStored 0022 TColumn.DefaultImeName 002d @LStrCmp 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 3C 04 74 17 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 28 E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5216_0 {
	meta:
		name = "TColumn.IsReadOnlyStored"
		size = 29
		refs = "000c TColumn.DefaultReadOnly"
	strings:
		$1 = { 53 8B D8 F6 43 3B 10 74 0C 8B C3 E8 ?? ?? ?? ?? 3A 43 3A 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5217_0 {
	meta:
		name = "TColumn.IsWidthStored"
		size = 29
		refs = "000c TColumn.DefaultWidth"
	strings:
		$1 = { 53 8B D8 F6 43 3B 02 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 43 18 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5218_0 {
	meta:
		name = "TColumn.RefreshDefaultFont"
		size = 120
		refs = "0031 TColumn.RefreshDefaultFont 003f TColumn.DefaultFont 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC F6 40 3B 04 75 60 8B 45 FC 8B 58 20 8B 43 04 89 45 F4 8B 43 08 89 45 F8 33 C0 89 43 04 89 43 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 20 8B 55 F4 89 50 04 8B 55 F8 89 50 08 C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5219_0 {
	meta:
		name = "TColumn.RestoreDefaults"
		size = 76
		refs = "0015 TColumn.RestoreDefaults 0020 TColumn.RefreshDefaultFont 0028 TObject.Free 0036 TColumn.SetButtonStyle 003f TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F0 F6 46 3B 04 0F 95 C3 8B 46 1C 8B 10 FF 52 10 66 A1 ?? ?? ?? ?? 66 89 46 3B 8B C6 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 33 C0 89 46 2C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5220_0 {
	meta:
		name = "TColumn.SetAlignment"
		size = 33
		refs = "001b TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 F6 43 3B 08 74 05 3A 53 39 74 11 88 53 39 66 83 4B 3B 08 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5221_0 {
	meta:
		name = "TColumn.SetButtonStyle"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 38 74 0A 88 50 38 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5222_0 {
	meta:
		name = "TColumn.SetColor"
		size = 33
		refs = "001b TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 F6 43 3B 01 74 05 3B 53 14 74 11 89 53 14 66 83 4B 3B 01 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5223_0 {
	meta:
		name = "TColumn.SetField"
		size = 41
		refs = "0019 @LStrAsg 0022 TCollectionItem.Changed"
		altNames = "THTMLTableColumn.SetField"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 0C 74 1B 89 73 0C 85 F6 74 0B 8D 43 10 8B 56 28 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5224_0 {
	meta:
		name = "TColumn.SetFieldName"
		size = 108
		refs = "000d TColumn.GetGrid 001e TDataLink.GetDataSet 002f @LStrLen 0045 TDataSet.FindField 0051 @LStrAsg 0063 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 33 ED 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 34 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 25 F6 46 20 01 75 1F 8B C7 E8 ?? ?? ?? ?? 85 C0 7E 14 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B E8 8D 43 10 8B D7 E8 ?? ?? ?? ?? 8B D5 8B C3 8B 08 FF 51 20 33 D2 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5225_0 {
	meta:
		name = "TColumn.SetFont"
		size = 27
		refs = "0015 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 20 8B 08 FF 51 08 66 83 4B 3B 04 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5226_0 {
	meta:
		name = "TColumn.SetImeMode"
		size = 44
		refs = "000f TColumn.DefaultImeMode 0025 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 46 3C 02 75 0B 8B C6 E8 ?? ?? ?? ?? 3A D8 74 09 88 5E 24 66 81 4E 3B 00 02 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5227_0 {
	meta:
		name = "TColumn.SetImeName"
		size = 133
		refs = "0015 @LStrAddRef 001d TColumn.SetImeName 0033 TColumn.DefaultImeName 003e @LStrCmp 004b @LStrAsg 005a TCollectionItem.Changed 0074 @LStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 3C 04 75 17 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 74 11 8D 43 28 8B 55 FC E8 ?? ?? ?? ?? 66 81 4B 3B 00 04 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5228_0 {
	meta:
		name = "TColumn.SetPickList"
		size = 43
		refs = "000e TObject.Free 001d TColumn.GetPickList"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 10 8B 43 2C E8 ?? ?? ?? ?? 33 C0 89 43 2C 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_5229_0 {
	meta:
		name = "TColumn.SetPopupMenu"
		size = 32
		refs = "0010 TColumn.GetGrid 0019 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 73 30 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5230_0 {
	meta:
		name = "TColumn.SetReadOnly"
		size = 33
		refs = "001b TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 F6 43 3B 10 74 05 3A 53 3A 74 11 88 53 3A 66 83 4B 3B 10 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5231_0 {
	meta:
		name = "TColumn.SetTitle"
		size = 9
		altNames = "TSeriesMarks.SetFrame"
	strings:
		$1 = { 8B 40 1C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_5232_0 {
	meta:
		name = "TColumn.SetWidth"
		size = 43
		refs = "000f TColumn.DefaultWidth 0024 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 3B 02 75 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 74 08 89 73 18 66 83 4B 3B 02 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5233_0 {
	meta:
		name = "_NF__3AA"
		size = 75
		refs = "000b TColumn.GetGrid 0025 TColumn.GetField 0038 TField.SetDisplayLabel 0043 TColumnTitle.SetCaption"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 29 8B 86 C4 01 00 00 80 78 15 00 74 1D 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 11 8B 43 04 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5235_0 {
	meta:
		name = "_NF__3AC"
		size = 72
		refs = "000a TColumn.GetGrid 0023 TColumn.GetField 0035 TField.SetAlignment 0040 TColumn.SetAlignment"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 27 8B 86 C4 01 00 00 80 78 15 00 74 1B 8B C7 E8 ?? ?? ?? ?? 85 C0 74 10 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? EB 09 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5238_0 {
	meta:
		name = "_NF__3AF"
		size = 72
		refs = "000a TColumn.GetGrid 0023 TColumn.GetField 0035 TField.SetReadOnly 0040 TColumn.SetReadOnly"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 27 8B 86 C4 01 00 00 80 78 15 00 74 1B 8B C7 E8 ?? ?? ?? ?? 85 C0 74 10 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? EB 09 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5236_0 {
	meta:
		name = "_NF__3AD"
		size = 37
		refs = "000b TColumn.SetField 0017 @LStrClr"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 85 DB 75 08 8D 46 10 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 38 5E 5B C3 }
	condition:
		$1
}

rule function_5237_0 {
	meta:
		name = "_NF__3AE"
		size = 83
		refs = "000a TColumn.GetGrid 0027 TGridDataLink.GetFields 0034 TField.GetIndex 003c TColumn.GetField 0042 TField.SetIndex 004b TCollectionItem.SetIndex"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 34 8B 90 C4 01 00 00 80 7A 15 00 74 28 8B D6 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 74 15 8B C7 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5239_0 {
	meta:
		name = "_NF__3B0"
		size = 181
		refs = "000e TColumn.GetGrid 001f TWinControl.HandleAllocated 002a TColumn.GetField 003e TColumn.GetFont 004b TCanvas.SetFont 0057 TCanvas.GetHandle 005d GetTextMetrics 0086 TField.SetDisplayWidth 009e TColumn.SetWidth"
	strings:
		$1 = { 53 56 57 55 83 C4 C8 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 88 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 63 8B C3 E8 ?? ?? ?? ?? 85 C0 74 58 80 BE 18 02 00 00 00 74 4F 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 54 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B 6C 24 18 8B C5 D1 F8 79 03 83 D0 00 03 C7 2B 44 24 24 83 E8 03 99 F7 FD 8B D0 58 E8 ?? ?? ?? ?? 80 BE B2 01 00 00 00 74 06 F6 43 3B 02 74 14 8B D7 8B C3 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 38 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5240_0 {
	meta:
		name = "TCookieCollection.Create"
		size = 62
		refs = "000e @ClassCreate 0020 TCollection.Create"
		altNames = "TDBGridColumns.Create THTMLTableColumns.Create TWebActionItems.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5244_0 {
	meta:
		name = "TDBGridColumns.GetState"
		size = 46
		refs = "0006 TCollection.GetCount 0013 TDBGridColumns.GetColumn 0019 _NV__3A8 001e @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 18 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_6096_0 {
	meta:
		name = "THTMLTableColumns.GetState"
		size = 46
		refs = "0006 TCollection.GetCount 0013 THTMLTableColumns.GetColumn 0019 _NV__104 001e @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 18 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5246_0 {
	meta:
		name = "TDBGridColumns.LoadFromStream"
		size = 129
		refs = "0010 _NV__3C2 0015 TComponent.Create 0020 TDBGridColumns.LoadFromStream 0032 @CallDynaInst 0042 TStream.ReadComponent 0067 TObject.Free 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 18 66 BB C9 FF E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 24 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5247_0 {
	meta:
		name = "TDBGridColumns.RestoreDefaults"
		size = 102
		refs = "000d TCollection.BeginUpdate 0015 TDBGridColumns.RestoreDefaults 0023 TCollection.GetCount 0037 TDBGridColumns.GetColumn 0055 TCollection.EndUpdate 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 38 46 4B 75 ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5248_0 {
	meta:
		name = "TDBGridColumns.RebuildColumns"
		size = 197
		refs = "001b TCustomDBGrid.GetDataSource 003f TCustomDBGrid.BeginLayout 0047 TDBGridColumns.RebuildColumns 0055 TCollection.Clear 006a TDataSet.GetFieldCount 007d TDataSet.GetField 0089 TDBGridColumns.Add 008f TColumn.SetFieldName 00ab TCustomDBGrid.EndLayout 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 58 18 85 DB 0F 84 9F 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 90 00 00 00 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 83 78 24 00 74 7F 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 78 24 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 22 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 28 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4B 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5250_0 {
	meta:
		name = "TDBGridColumns.SaveToStream"
		size = 91
		refs = "000f _NV__3C2 0014 TComponent.Create 001f TDBGridColumns.SaveToStream 0035 TStream.WriteComponent 004a TObject.Free 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 24 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5252_0 {
	meta:
		name = "TDBGridColumns.SetState"
		size = 40
		refs = "0009 TDBGridColumns.GetState 0018 TCollection.Clear 0021 TDBGridColumns.RebuildColumns"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 14 84 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6100_0 {
	meta:
		name = "THTMLTableColumns.SetState"
		size = 40
		refs = "0009 THTMLTableColumns.GetState 0018 TCollection.Clear 0021 THTMLTableColumns.RebuildColumns"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 14 84 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5253_0 {
	meta:
		name = "TDBGridColumns.Update"
		size = 87
		refs = "0027 TCollectionItem.GetIndex 0030 TCustomDBGrid.DataToRawColumn 003c TCustomGrid.InvalidateCol 0043 TColumn.GetWidth 004f TCustomGrid.SetColWidths"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 18 85 F6 74 45 F6 46 20 01 75 3F 85 FF 75 0C 8B C6 8B 10 FF 92 98 00 00 00 EB 2F 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 18 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5254_0 {
	meta:
		name = "TBookmarkList.Create"
		size = 89
		refs = "000f @ClassCreate 001f TObject.Create 0026 _Dn_TStringList 003a _NF__402"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 89 5E 20 C7 46 1C ?? ?? ?? ?? 89 7B 08 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5255_0 {
	meta:
		name = "TBookmarkList.Destroy"
		size = 49
		refs = "0009 TBookmarkList.Clear 0011 TObject.Free 001d TObject.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5917_0 {
	meta:
		name = "TParams.Destroy"
		size = 49
		refs = "0009 TParams.Clear 0011 TObject.Free 001d TPersistent.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6468_0 {
	meta:
		name = "_NF__1A7"
		size = 49
		refs = "0009 _NF__1AA 0011 TObject.Free 001d TObject.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6482_0 {
	meta:
		name = "_NF__1B9"
		size = 49
		refs = "0009 _NF__1BA 0011 TObject.Free 001d TObject.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5256_0 {
	meta:
		name = "TBookmarkList.Clear"
		size = 33
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 14 85 C0 74 10 8B 43 04 8B 10 FF 52 40 8B 43 08 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_5257_0 {
	meta:
		name = "TBookmarkList.Compare"
		size = 26
	strings:
		$1 = { 53 8B 40 08 8B 80 C4 01 00 00 8B 40 04 8B 40 24 8B 18 FF 93 80 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5258_0 {
	meta:
		name = "TBookmarkList.CurrentRow"
		size = 111
		refs = "000f TBookmarkList.CurrentRow 0023 SDataSetClosed 0028 LoadResString 0030 _NF__2B9 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 15 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 43 08 8B 80 C4 01 00 00 8B 40 04 8B 40 24 8B 08 FF 91 A8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5259_0 {
	meta:
		name = "TBookmarkList.GetCurrentRowSelected"
		size = 89
		refs = "0012 TBookmarkList.GetCurrentRowSelected 0022 TBookmarkList.CurrentRow 002f TBookmarkList.Find 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5260_0 {
	meta:
		name = "TBookmarkList.Find"
		size = 244
		refs = "001a TBookmarkList.Find 002b @LStrCmp 0085 TBookmarkList.Compare 00bb @LStrAsg 00de @LStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 0C E8 ?? ?? ?? ?? 75 19 83 7B 10 00 7C 13 8B 45 F8 8B 53 10 89 10 8A 43 14 88 45 F7 E9 83 00 00 00 C6 45 F7 00 33 C0 89 45 F0 8B 43 04 8B 10 FF 52 14 48 89 45 EC 8B 45 F0 3B 45 EC 7F 45 8B 75 F0 03 75 EC D1 EE 8D 4D E8 8B D6 8B 43 04 8B 38 FF 57 0C 8B 55 E8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 06 46 89 75 F0 EB 11 8B D6 4A 89 55 EC 85 C0 75 07 C6 45 F7 01 89 75 F0 8B 45 F0 3B 45 EC 7E BB 8B 45 F8 8B 55 F0 89 10 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 00 89 43 10 8A 45 F7 88 43 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5261_0 {
	meta:
		name = "TBinData.GetBinCount"
		size = 9
		altNames = "TBookmarkList.GetCount"
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_5262_0 {
	meta:
		name = "TBinData.GetBinName"
		size = 25
		altNames = "TBookmarkList.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 04 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5263_0 {
	meta:
		name = "TBookmarkList.IndexOf"
		size = 36
		refs = "000e TBookmarkList.Find"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5264_0 {
	meta:
		name = "TBookmarkList.LinkActive"
		size = 19
		refs = "0009 TBookmarkList.Clear"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 5E 15 5E 5B C3 }
	condition:
		$1
}

rule function_5265_0 {
	meta:
		name = "TBookmarkList.Delete"
		size = 202
		refs = "0014 TBookmarkList.Delete 0034 TDataSet.DisableControls 0075 TDataSet.Delete 009a TDataSet.EnableControls 00a0 @HandleFinally 00b7 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 8B 80 C4 01 00 00 8B 40 04 8B 40 24 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 33 8D 4D F8 8B 46 04 8B D3 8B 38 FF 57 0C 8B 55 F8 8B 45 FC 8B 08 FF 91 F8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 46 04 8B D3 8B 08 FF 51 44 4B 83 FB FF 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5266_0 {
	meta:
		name = "TBookmarkList.Refresh"
		size = 237
		refs = "0014 TBookmarkList.Refresh 0049 TDataSet.CheckBrowseMode 00aa TDataSet.UpdateCursorPos 00c1 @HandleFinally 00d8 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC 8B 40 08 8B 80 C4 01 00 00 8B 40 04 8B 40 24 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 39 8D 4D F0 8B 45 FC 8B 40 04 8B D3 8B 30 FF 56 0C 8B 55 F0 8B 45 F4 8B 08 FF 91 78 01 00 00 84 C0 75 11 C6 45 FB 01 8B 45 FC 8B 40 04 8B D3 8B 08 FF 51 44 4B 83 FB FF 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 80 7D FB 00 74 0B 8B 45 FC 8B 40 08 8B 10 FF 52 44 C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5267_0 {
	meta:
		name = "TBookmarkList.SetCurrentRowSelected"
		size = 150
		refs = "0015 TBookmarkList.SetCurrentRowSelected 0025 TBookmarkList.CurrentRow 002d @LStrLen 003e TBookmarkList.Find 006f TCustomGrid.InvalidateRow 0084 @LStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 3E 8D 4D FC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 3A D8 74 2D 84 DB 74 10 8B 4D F8 8B 55 FC 8B 46 04 8B 18 FF 53 54 EB 0B 8B 55 FC 8B 46 04 8B 08 FF 51 44 8B 46 08 8B 90 38 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5268_0 {
	meta:
		name = "_NF__402"
		size = 20
		refs = "0007 @LStrClr"
	strings:
		$1 = { 53 8B D8 8D 43 0C E8 ?? ?? ?? ?? C7 43 10 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_5269_0 {
	meta:
		name = "_NF__405"
		size = 33
		refs = "0002 _NV__404 000c _Dn_TBitmap 0011 TBitmap.Create 0016 _NV__403"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10244_0 {
	meta:
		name = "_NF__1AE"
		size = 33
		refs = "0002 _NV__1AD 000c _Dn_TBitmap 0011 TBitmap.Create 0016 _NV__1AC"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5270_0 {
	meta:
		name = "_NF__406"
		size = 26
		refs = "0002 _NV__404 0010 _NV__403 0015 TObject.Free"
	strings:
		$1 = { FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10245_0 {
	meta:
		name = "_NF__1AF"
		size = 26
		refs = "0002 _NV__1AD 0010 _NV__1AC 0015 TObject.Free"
	strings:
		$1 = { FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5271_0 {
	meta:
		name = "_NF__1B0"
		size = 11
		altNames = "_NF__21C _NF__24D _NF__407 _NF__428"
	strings:
		$1 = { 8B CA 3B D0 7D 02 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_5272_0 {
	meta:
		name = "_NF__409"
		size = 528
		refs = "0023 TBrush.GetColor 0028 ColorToRGB 0032 TCanvas.GetHandle 0038 GetNearestColor 0058 TCanvas.TextWidth 0086 @LStrLen 008e @LStrToPChar 00aa ExtTextOut 00b4 _NV__403 00b9 TBitmap.GetCanvas 00be TCanvas.Lock 00c6 _NF__409 00e1 _NF__407 012c Rect 015c TCanvas.SetFont 016a TFont.SetColor 0174 TCanvas.SetBrush 017e TBrush.SetStyle 0188 TCanvas.FillRect 0197 SetBkMode 01a3 _NV__408 01c5 DrawText 01df TCanvas.CopyRect 01fb TCanvas.Unlock 0201 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F2 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B D8 8B 7D 0C 8B 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B F0 75 73 8A 45 08 2C 01 72 04 74 0A EB 1B 8B 75 EC 03 75 FC EB 2E 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 75 F4 2B F0 83 EE 03 EB 1B 8B D7 8B C3 E8 ?? ?? ?? ?? D1 E8 8B 55 F4 8B 75 EC 2B D6 D1 EA 03 D6 2B D0 8B F2 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8D 45 EC 50 6A 06 8B 45 F0 03 45 10 50 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 54 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 10 FF 52 2C 8B 55 F4 2B 55 EC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 40 A1 ?? ?? ?? ?? 8B 10 FF 52 20 8B 55 F8 2B 55 F0 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 34 8B 45 F8 2B 45 F0 48 50 8D 45 CC 50 8B 4D F4 2B 4D EC 49 8B 55 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 2B 45 F0 50 8D 45 DC 50 8B 4D F4 2B 4D EC 33 D2 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 8B 50 14 8B 46 0C E8 ?? ?? ?? ?? 8B 53 14 8B C6 E8 ?? ?? ?? ?? 8B 46 14 33 D2 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 8A 45 08 8B 04 85 ?? ?? ?? ?? 50 8D 45 CC 50 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 DC 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_5273_0 {
	meta:
		name = "TCustomDBGrid.Create"
		size = 808
		refs = "000f @ClassCreate 001f TCustomGrid.Create 003a _Dn_TBitmap 003f TBitmap.Create 004a TCustomDBGrid.Create 0056 HInstance 0065 TBitmap.LoadFromResourceName 007f _Dn_TImageList 0084 TCustomImageList.CreateSize 009e TCustomImageList.AddMasked 015f TObject.Free 0165 @HandleFinally 01b6 _NF__405 01c0 TCustomGrid.SetScrollBars 01cf TCustomGrid.SetOptions 01db @CallDynaInst 01f1 TCustomGrid.SetRowCount 01fe TCustomGrid.SetColCount 0208 _DV_TGridDataLink 020d TGridDataLink.Create 0223 TControl.SetColor 022d TControl.SetParentColor 0234 _Dn_TFont 0239 TFont.Create 0251 _NF__4D9 0283 _DV_TBookmarkList 0288 TBookmarkList.Create 0299 TCustomGrid.HideEditor"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 98 01 00 00 00 8B 45 FC C6 80 19 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 20 50 8B 45 F4 8B 10 FF 52 2C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 A0 01 00 00 8B C3 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 01 00 00 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 01 00 00 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 01 00 00 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 01 00 00 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC C6 80 B5 01 00 00 01 8B 45 FC C6 80 B6 01 00 00 01 8B 45 FC C6 80 18 02 00 00 01 8B 45 FC 66 8B 15 ?? ?? ?? ?? 66 89 90 B3 01 00 00 8B 45 FC 66 8B 15 ?? ?? ?? ?? 66 89 90 9C 01 00 00 8B 45 FC C6 80 9E 01 00 00 01 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB C9 FF E8 ?? ?? ?? ?? 8B 55 FC 89 82 EC 01 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C4 01 00 00 BA 05 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 A4 01 00 00 8B 45 FC 89 43 08 C7 43 04 ?? ?? ?? ?? 8B 45 FC C6 80 9B 01 00 00 00 8B 45 FC C6 80 B1 01 00 00 01 8B 45 FC C6 80 BA 01 00 00 01 8B 45 FC C6 80 1A 02 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 00 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 00 00 00 FF FF FF FF 08 00 00 00 44 42 47 41 52 52 4F 57 00 00 00 00 FF FF FF FF 06 00 00 00 44 42 45 44 49 54 00 00 FF FF FF FF 08 00 00 00 44 42 49 4E 53 45 52 54 00 00 00 00 FF FF FF FF 0A 00 00 00 44 42 4D 55 4C 54 49 44 4F 54 00 00 FF FF FF FF 0C 00 00 00 44 42 4D 55 4C 54 49 41 52 52 4F 57 00 00 00 00 FD 0C 00 00 80 00 00 00 8F 0E 00 00 }
	condition:
		$1
}

rule function_5274_0 {
	meta:
		name = "TCustomDBGrid.Destroy"
		size = 126
		refs = "000d TObject.Free 0065 TCustomGrid.Destroy 006a _NF__406 0075 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 EC 01 00 00 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 C4 01 00 00 8B 86 A0 01 00 00 E8 ?? ?? ?? ?? 8B 86 A4 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 A4 01 00 00 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 00 02 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5275_0 {
	meta:
		name = "_NF__411"
		size = 84
		refs = "0012 TWinControl.CanFocus 002a TWinControl.Focused"
	strings:
		$1 = { 53 56 8B F0 B3 01 80 BE 19 02 00 00 00 74 40 8B C6 E8 ?? ?? ?? ?? 84 C0 74 35 F6 46 20 10 75 2F 8B C6 8B 10 FF 52 78 8B C6 E8 ?? ?? ?? ?? 84 C0 75 19 8B 9E 88 01 00 00 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_5276_0 {
	meta:
		name = "TCustomDBGrid.RawToDataColumn"
		size = 12
	strings:
		$1 = { 0F B6 80 B6 01 00 00 2B D0 8B C2 C3 }
	condition:
		$1
}

rule function_5277_0 {
	meta:
		name = "TCustomDBGrid.DataToRawColumn"
		size = 12
	strings:
		$1 = { 0F B6 80 B6 01 00 00 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_5278_0 {
	meta:
		name = "TCustomDBGrid.AcquireLayoutLock"
		size = 38
		refs = "001e TCustomDBGrid.BeginLayout"
	strings:
		$1 = { 53 80 B8 B7 01 00 00 00 75 09 80 B8 B8 01 00 00 00 74 04 33 DB EB 02 B3 01 84 DB 74 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_5279_0 {
	meta:
		name = "TCustomDBGrid.BeginLayout"
		size = 38
		refs = "0006 TCustomDBGrid.BeginUpdate 001a TCollection.BeginUpdate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB B8 01 00 00 00 75 0B 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? FE 83 B8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5280_0 {
	meta:
		name = "TCustomDBGrid.BeginUpdate"
		size = 7
	strings:
		$1 = { FE 80 B7 01 00 00 C3 }
	condition:
		$1
}

rule function_5281_0 {
	meta:
		name = "TCustomDBGrid.CancelLayout"
		size = 43
		refs = "0018 TCollection.EndUpdate 0025 TCustomDBGrid.EndUpdate"
	strings:
		$1 = { 53 8B D8 8A 83 B8 01 00 00 84 C0 76 1C 3C 01 75 0B 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? FE 8B B8 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5282_0 {
	meta:
		name = "TCustomDBGrid.CanEditAcceptKey"
		size = 83
		refs = "000a TCustomDBGrid.GetSelectedIndex 0017 TDBGridColumns.GetColumn 002c TColumn.GetField"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 87 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 87 C4 01 00 00 80 78 15 00 74 20 8B C6 E8 ?? ?? ?? ?? 85 C0 74 15 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 91 94 00 00 00 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5283_0 {
	meta:
		name = "TCustomDBGrid.CanEditModify"
		size = 179
		refs = "0033 TCustomDBGrid.GetSelectedIndex 0040 TDBGridColumns.GetColumn 0049 TColumn.GetReadOnly 0054 TColumn.GetField 0097 TDataLink.Edit 00a9 TGridDataLink.Modified"
	strings:
		$1 = { 53 56 57 8B F8 33 DB 80 BF A8 01 00 00 00 0F 85 99 00 00 00 8B 87 C4 01 00 00 80 78 15 00 0F 84 89 00 00 00 8B 87 C4 01 00 00 80 78 14 00 75 7D 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 87 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 5C 8B C6 E8 ?? ?? ?? ?? 85 C0 74 51 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 50 84 C0 74 41 8B C6 E8 ?? ?? ?? ?? 8B 00 FF 90 90 00 00 00 84 C0 74 11 8B C6 E8 ?? ?? ?? ?? 66 83 B8 B6 00 00 00 00 74 1D 8B 87 C4 01 00 00 E8 ?? ?? ?? ?? 8B 87 C4 01 00 00 8A 58 16 84 DB 74 05 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5284_0 {
	meta:
		name = "TCustomDBGrid.CanEditShow"
		size = 31
		refs = "000f TCustomGrid.CanEditShow"
	strings:
		$1 = { 53 8B D8 80 BB B8 01 00 00 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5285_0 {
	meta:
		name = "TCustomDBGrid.CellClick"
		size = 27
	strings:
		$1 = { 53 66 83 B8 0A 02 00 00 00 74 0E 8B D8 8B 83 0C 02 00 00 FF 93 08 02 00 00 5B C3 }
	condition:
		$1
}

rule function_5286_0 {
	meta:
		name = "TCustomDBGrid.ColEnter"
		size = 36
		refs = "0006 _NF__4FA"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB CA 01 00 00 00 74 0E 8B D3 8B 83 CC 01 00 00 FF 93 C8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5287_0 {
	meta:
		name = "TCustomDBGrid.ColExit"
		size = 29
	strings:
		$1 = { 53 66 83 B8 D2 01 00 00 00 74 10 8B D8 8B D0 8B 83 D4 01 00 00 FF 93 D0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5288_0 {
	meta:
		name = "TCustomDBGrid.ColumnMoved"
		size = 82
		refs = "000e TCustomDBGrid.RawToDataColumn 0028 TDBGridColumns.GetColumn"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D6 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 10 66 83 BB FA 01 00 00 00 74 11 57 8B CE 8B D3 8B 83 FC 01 00 00 FF 93 F8 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5289_0 {
	meta:
		name = "TCustomDBGrid.ColWidthsChanged"
		size = 189
		refs = "000d TCustomGrid.ColWidthsChanged 002a TDBGridColumns.GetState 003a TCustomDBGrid.AcquireLayoutLock 0046 TCustomDBGrid.ColWidthsChanged 0070 TCustomGrid.GetColWidths 008d TDBGridColumns.GetColumn 00ac TCustomDBGrid.EndLayout 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 01 00 00 80 78 15 00 75 16 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 3C 01 0F 85 82 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 76 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 DB 8A 98 B6 01 00 00 8B 45 FC 8B B0 28 01 00 00 4E 2B F3 7C 32 46 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 0F B6 80 B6 01 00 00 8B D3 2B D0 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 30 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5290_0 {
	meta:
		name = "TCustomDBGrid.CreateColumns"
		size = 22
		refs = "0002 _DV_TColumn 000c _DV_TDBGridColumns 0011 TDBGridColumns.Create"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 52 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5292_0 {
	meta:
		name = "TCustomDBGrid.CreateWnd"
		size = 133
		refs = "000b TCustomDBGrid.BeginUpdate 0013 TCustomDBGrid.CreateWnd 0021 TWinControl.CreateWnd 0036 TCustomDBGrid.EndUpdate 003c @HandleFinally 0046 _NF__4DC 004e _NF__4DA 0056 _NF__4DD 006c @LStrAsg"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 AC 01 00 00 8B 55 FC 8B 92 E8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8A 80 E4 00 00 00 8B 55 FC 88 82 B0 01 00 00 59 5D C3 }
	condition:
		$1
}

rule function_5293_0 {
	meta:
		name = "_NF__43A"
		size = 66
		refs = "0006 TWinControl.HandleAllocated 0011 _NF__4DC 0018 _NF__4DD 001f _NF__4DA 0026 TCustomGrid.InvalidateEditor 002f TWinControl.GetHandle 0035 ValidateRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_5294_0 {
	meta:
		name = "TCustomDBGrid.DefaultHandler"
		size = 172
		refs = "000f TWinControl.DefaultHandler 002b TCustomGrid.MouseCoord 004a TCustomDBGrid.RawToDataColumn 0057 TDBGridColumns.GetColumn 006d TControl.SendCancelMode 007c SmallPointToPoint 008b TControl.ClientToScreen"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 81 3E 05 02 00 00 0F 85 86 00 00 00 54 0F BF 4E 0A 0F BF 56 08 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 B6 01 00 00 8B 3C 24 3B C7 7F 67 83 7C 24 04 00 7C 60 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 78 30 85 FF 74 43 80 7F 31 00 74 3D 33 D2 8B C3 E8 ?? ?? ?? ?? 89 5F 34 8D 54 24 10 8B 46 08 E8 ?? ?? ?? ?? 8D 54 24 10 8D 4C 24 08 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 0C 8B 54 24 08 8B C7 8B 18 FF 53 30 C7 46 0C 01 00 00 00 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5295_0 {
	meta:
		name = "TCustomDBGrid.DeferLayout"
		size = 85
		refs = "0009 TWinControl.HandleAllocated 0020 TWinControl.GetHandle 002b PeekMessage 0045 PostMessage 004c TCustomDBGrid.CancelLayout"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 6A 00 68 64 04 00 00 68 64 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 75 16 6A 00 6A 00 68 64 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_5296_0 {
	meta:
		name = "TCustomDBGrid.DefineFieldMap"
		size = 157
		refs = "000d TDBGridColumns.GetState 0026 TCollection.GetCount 003d TDBGridColumns.GetColumn 004b TGridDataLink.AddMapping 0060 TDataLink.GetDataSet 0069 TDataSet.GetFieldCount 007c TDataSet.GetField"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 3C 01 75 40 8B 86 C4 01 00 00 C6 40 2E 01 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 67 43 33 FF 8B D7 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 50 10 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 47 4B 75 E1 EB 43 8B 86 C4 01 00 00 C6 40 2E 00 E8 ?? ?? ?? ?? 8B E8 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 80 78 30 00 74 0E 8B 50 28 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 47 4B 75 DF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5297_0 {
	meta:
		name = "TCustomDBGrid.DefaultDrawDataCell"
		size = 126
		refs = "0019 TCustomDBGrid.DefaultDrawDataCell 0029 @LStrClr 003a TField.GetDisplayText 0054 _NF__409 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 F8 E8 ?? ?? ?? ?? 85 F6 74 0D 8A 5E 2F 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 6A 02 8B 45 F8 50 53 8B 55 FC B9 02 00 00 00 8B 87 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5298_0 {
	meta:
		name = "TCustomDBGrid.DefaultDrawColumnCell"
		size = 132
		refs = "0013 TCustomDBGrid.DefaultDrawColumnCell 0021 @LStrClr 0028 TColumn.GetField 003b TField.GetDisplayText 0048 TColumn.GetAlignment 005b _NF__409 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 6A 02 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8B D7 B9 02 00 00 00 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5299_0 {
	meta:
		name = "_NF__44D"
		size = 40
		refs = "000d TCollection.Clear 0014 TReader.ReadValue 0021 TReader.ReadCollection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 93 EC 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5300_0 {
	meta:
		name = "_NF__44E"
		size = 13
		refs = "0008 TWriter.WriteCollection"
	strings:
		$1 = { 8B 80 EC 01 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5301_0 {
	meta:
		name = "TCustomDBGrid.DefineProperties"
		size = 136
		refs = "0008 _NF__44D 000e _NF__44E 0019 TDBGridColumns.GetState 005c CollectionsEqual 006b TCustomDBGrid.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 3C 01 75 06 83 7E 1C 00 74 41 83 7E 1C 00 74 37 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 8B 46 1C 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 5A 3A D0 75 1C 8B 46 1C 8B 90 EC 01 00 00 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 FF FF FF FF 07 00 00 00 43 6F 6C 75 6D 6E 73 00 }
	condition:
		$1
}

rule function_5302_0 {
	meta:
		name = "_NF__452"
		size = 157
		refs = "0010 _NF__452 006b TBookmarkList.Find 008a @LStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC F6 80 B4 01 00 00 10 74 4A 8B 45 08 8B 40 FC 8B 80 C4 01 00 00 80 78 15 00 74 38 8D 55 F8 8B 45 08 8B 40 FC 8B 80 C4 01 00 00 8B 40 04 8B 40 24 8B 08 FF 91 A8 00 00 00 8B 55 F8 8D 4D FC 8B 45 08 8B 40 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5303_0 {
	meta:
		name = "TCustomDBGrid.DrawCell"
		size = 1404
		refs = "002c TCustomDBGrid.DrawCell 0052 TBrush.SetColor 0063 TCanvas.FillRect 00b1 InflateRect 0127 TDataLink.GetActiveRecord 0149 TDataLink.SetActiveRecord 014f _NF__452 0177 @HandleFinally 01a6 TDataLink.GetDataSet 0213 TCustomImageList.SetBkColor 0244 TCustomImageList.Draw 0292 TDBGridColumns.GetColumn 02a7 TColumnTitle.GetFont 02b1 TCanvas.SetFont 02b9 TColumnTitle.GetColor 02cf TColumn.GetFont 02e0 TColumn.GetColor 0305 TColumnTitle.GetCaption 0310 TColumnTitle.GetAlignment 0324 _NF__409 0354 @LStrClr 0384 TColumn.GetField 0397 TField.GetDisplayText 03d3 TFont.SetColor 03ec TColumn.GetAlignment 0411 TDBGridColumns.GetState 0431 @CallDynaInst 0493 TWinControl.Focused 04c0 ValidParentForm 04d7 TCanvas.GetHandle 04dd DrawFocusRect 0529 DrawEdge"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D F0 8B 75 0C 8D 7D D8 51 B9 04 00 00 00 F3 A5 59 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 20 01 74 2D 8B 45 FC 8B 50 54 8B 45 FC 8B 80 18 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? E9 DD 04 00 00 8B 45 FC 0F B6 80 B5 01 00 00 29 45 F8 8B 45 FC 0F B6 80 B6 01 00 00 2B F0 F6 45 08 04 74 30 8B 45 FC 66 8B 80 B3 01 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 13 6A FF 6A FF 8D 45 D8 50 E8 ?? ?? ?? ?? C6 45 EF 01 EB 04 C6 45 EF 02 F6 45 08 04 0F 95 C3 84 DB 0F 84 AC 01 00 00 85 F6 0F 8D A4 01 00 00 8B 45 FC 8B 90 4C 01 00 00 8B 45 FC 8B 80 18 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 01 00 00 85 C0 0F 84 CF 03 00 00 80 78 15 00 0F 84 C5 03 00 00 C6 45 EE 00 83 7D F8 00 7C 57 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C4 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 88 45 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 3B 45 F8 0F 94 C0 0A 45 EE 0F 84 47 03 00 00 33 DB 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 52 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 8A 40 5D FE C8 74 18 FE C8 74 06 FE C8 74 09 EB 33 BB 01 00 00 00 EB 2C BB 02 00 00 00 EB 25 80 7D EE 00 74 1F 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 3B 45 F8 74 07 BB 03 00 00 00 EB 05 BB 04 00 00 00 8B 45 FC 8B 90 4C 01 00 00 8B 45 FC 8B 80 A0 01 00 00 E8 ?? ?? ?? ?? 8B 55 DC 03 55 E4 8B 45 FC 8B 80 A0 01 00 00 2B 50 24 D1 EA 52 53 8B 4D E0 2B 48 28 33 D2 8A 55 EF 2B CA 8B 55 FC 8B 92 18 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 3B 45 F8 0F 85 82 02 00 00 8B 45 FC 0F B6 80 B5 01 00 00 03 45 F8 8B 55 FC 89 82 C0 01 00 00 E9 67 02 00 00 8B 45 FC 8B 80 18 01 00 00 89 45 E8 8B 45 FC 8B 80 EC 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B F8 F6 45 08 04 0F 95 C0 84 DB 74 29 8B 47 1C E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 8B 47 1C E8 ?? ?? ?? ?? 8B D0 8B 45 E8 8B 40 14 E8 ?? ?? ?? ?? EB 25 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 E8 8B 40 14 E8 ?? ?? ?? ?? 83 7D F8 00 7D 36 8B 5F 1C 0F B6 75 EF 56 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 8B C3 E8 ?? ?? ?? ?? 50 8B CE 8B 45 FC 8B 80 18 01 00 00 8D 55 D8 E8 ?? ?? ?? ?? E9 B4 01 00 00 8B 45 FC 8B 98 C4 01 00 00 85 DB 74 06 80 7B 15 00 75 10 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? E9 91 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 C4 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C7 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8A 45 08 50 8B 4D F8 8B D6 8B 45 FC 8B 18 FF 93 94 00 00 00 84 C0 74 20 8B 45 E8 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 BA 01 00 00 00 74 24 6A 02 8B 45 F0 50 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 18 01 00 00 B9 02 00 00 00 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 1C 8A 45 08 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8D 55 D8 8B 45 FC 66 BB C8 FF E8 ?? ?? ?? ?? 57 8A 45 08 50 8D 55 D8 8B CE 8B 45 FC 66 BB C7 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 80 B8 BA 01 00 00 00 74 64 F6 45 08 01 74 5E 8B 45 FC F6 80 B4 01 00 00 02 75 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 46 8B 45 FC F6 40 20 10 75 3D 8B 45 FC F6 80 B4 01 00 00 01 75 31 8B 45 FC 80 B8 B7 01 00 00 00 75 25 8B 45 FC E8 ?? ?? ?? ?? 8B 80 2C 01 00 00 3B 45 FC 75 12 8D 45 D8 50 8B 45 E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 45 08 04 74 62 8B 45 FC 66 8B 80 B3 01 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 45 6A 01 6A 01 8D 45 D8 50 E8 ?? ?? ?? ?? 6A 0C 6A 04 8D 45 D8 50 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 03 6A 04 8D 45 D8 50 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 00 60 00 00 00 }
	condition:
		$1
}

rule function_5304_0 {
	meta:
		name = "TCustomDBGrid.DrawDataCell"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 DA 01 00 00 00 74 17 51 8A 4D 08 51 8B CA 8B D8 8B D0 8B 83 DC 01 00 00 FF 93 D8 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5305_0 {
	meta:
		name = "TCustomDBGrid.DrawColumnCell"
		size = 46
	strings:
		$1 = { 55 8B EC 53 66 83 B8 E2 01 00 00 00 74 1B 51 8B 4D 0C 51 8A 4D 08 51 8B CA 8B D8 8B D0 8B 83 E4 01 00 00 FF 93 E0 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5306_0 {
	meta:
		name = "TCustomDBGrid.EditButtonClick"
		size = 29
	strings:
		$1 = { 53 66 83 B8 F2 01 00 00 00 74 10 8B D8 8B D0 8B 83 F4 01 00 00 FF 93 F0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5307_0 {
	meta:
		name = "_NF__466"
		size = 23
		refs = "0012 TCustomGrid.InvalidateCell"
	strings:
		$1 = { F6 80 B3 01 00 00 08 74 0D 8B 88 C0 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5308_0 {
	meta:
		name = "TCustomDBGrid.EndLayout"
		size = 148
		refs = "0018 TCustomDBGrid.EndLayout 0038 _NF__49A 005f TCollection.EndUpdate 0065 @HandleFinally 0085 TCustomDBGrid.EndUpdate"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8A 80 B8 01 00 00 84 C0 76 7D 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3C 01 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 B8 01 00 00 01 75 0E 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FE 88 B8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 59 5D C3 }
	condition:
		$1
}

rule function_5309_0 {
	meta:
		name = "TCustomDBGrid.EndUpdate"
		size = 16
	strings:
		$1 = { 80 B8 B7 01 00 00 00 76 06 FE 88 B7 01 00 00 C3 }
	condition:
		$1
}

rule function_5310_0 {
	meta:
		name = "TCustomDBGrid.GetColField"
		size = 66
		refs = "0020 TCollection.GetCount 0031 TDBGridColumns.GetColumn 0036 TColumn.GetField"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 33 FF 85 F6 7C 2F 8B 83 C4 01 00 00 80 78 15 00 74 23 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 3B F0 7D 14 8B D6 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5311_0 {
	meta:
		name = "TCustomDBGrid.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 C4 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_5312_0 {
	meta:
		name = "TCustomDBGrid.GetEditLimit"
		size = 46
		refs = "0009 TCustomDBGrid.GetSelectedField"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 18 8B C3 E8 ?? ?? ?? ?? 80 78 2C 01 75 0B 8B C3 E8 ?? ?? ?? ?? 0F B7 70 34 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5313_0 {
	meta:
		name = "TCustomDBGrid.GetEditMask"
		size = 91
		refs = "0010 @LStrClr 0025 TCustomDBGrid.RawToDataColumn 0032 TDBGridColumns.GetColumn 003b TColumn.GetField 0050 @LStrLAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 8B 83 C4 01 00 00 80 78 15 00 74 34 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B 50 44 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5314_0 {
	meta:
		name = "TCustomDBGrid.GetEditText"
		size = 101
		refs = "0010 @LStrClr 0025 TCustomDBGrid.RawToDataColumn 0032 TDBGridColumns.GetColumn 003b TColumn.GetField 004d TField.GetEditText 005a @LStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 8B 83 C4 01 00 00 80 78 15 00 74 31 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 83 E8 01 00 00 8B 16 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5315_0 {
	meta:
		name = "TCustomDBGrid.GetFieldCount"
		size = 10
	strings:
		$1 = { 8B 80 C4 01 00 00 8B 40 20 C3 }
	condition:
		$1
}

rule function_5316_0 {
	meta:
		name = "TCustomDBGrid.GetFields"
		size = 12
		refs = "0007 TGridDataLink.GetFields"
	strings:
		$1 = { 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5317_0 {
	meta:
		name = "TCustomDBGrid.GetFieldValue"
		size = 44
		refs = "000c @LStrClr 0015 TCustomDBGrid.GetColField 0024 TField.GetDisplayText"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5318_0 {
	meta:
		name = "TCustomDBGrid.GetSelectedField"
		size = 44
		refs = "0007 TCustomDBGrid.GetSelectedIndex 001b TDBGridColumns.GetColumn 0020 TColumn.GetField"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 15 8B D6 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5319_0 {
	meta:
		name = "TCustomDBGrid.GetSelectedIndex"
		size = 12
		refs = "0007 TCustomDBGrid.RawToDataColumn"
	strings:
		$1 = { 8B 90 34 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5320_0 {
	meta:
		name = "TCustomDBGrid.HighlightCell"
		size = 187
		refs = "0013 TCustomDBGrid.HighlightCell 0058 TBookmarkList.Find 0074 TWinControl.Focused 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB F6 86 B4 01 00 00 10 74 36 8B 86 C4 01 00 00 80 78 15 00 74 2A 8D 55 F8 8B 86 C4 01 00 00 8B 40 04 8B 40 24 8B 08 FF 91 A8 00 00 00 8B 55 F8 8D 4D FC 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B D8 84 DB 75 32 F6 45 08 01 74 26 F6 86 B4 01 00 00 02 75 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 12 80 BE B7 01 00 00 00 74 0D F6 86 B4 01 00 00 01 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5321_0 {
	meta:
		name = "_NF__48C"
		size = 50
		refs = "001f TBookmarkList.Clear"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC F6 80 B4 01 00 00 10 74 1E 8B 45 08 8B 40 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC C6 80 BC 01 00 00 00 5D C3 }
	condition:
		$1
}

rule function_5322_0 {
	meta:
		name = "_NF__48D"
		size = 407
		refs = "0017 _NF__48D 002a TCustomDBGrid.BeginUpdate 009b TBookmarkList.CurrentRow 00ae @LStrAsg 00c1 TBookmarkList.SetCurrentRowSelected 00fe TBookmarkList.Compare 011f _NF__48C 0131 TDataLink.GetDataSet 0138 TDataSet.MoveBy 0167 TCustomDBGrid.EndUpdate 016d @HandleFinally 0184 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC F6 80 B4 01 00 00 10 0F 84 D5 00 00 00 8B 45 08 8B 40 FC 8B 80 C4 01 00 00 80 78 15 00 0F 84 BF 00 00 00 80 7D FF 00 0F 84 AB 00 00 00 8B 45 08 F6 40 FB 01 0F 84 9E 00 00 00 8B 45 08 8B 40 FC 80 B8 BC 01 00 00 00 75 4B 8D 55 F8 8B 45 08 8B 40 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC 05 04 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 00 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC C6 80 BC 01 00 00 01 B3 01 EB 4E 8B 45 08 8B 40 FC 8B B8 00 02 00 00 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC 8B 88 04 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B D6 F7 DA 3B C2 0F 95 C3 84 DB 75 15 33 D2 8B C7 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 DB 74 13 8B 45 08 8B 40 FC 8B 80 00 02 00 00 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5323_0 {
	meta:
		name = "_NF__48E"
		size = 152
		refs = "0014 TDataLink.GetDataSet 0056 _NF__48D 0090 TDataSet.Append"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 8B F0 80 7E 5D 03 75 2A 80 7E 5A 00 75 24 8B 45 08 8B 40 FC 8B 80 C4 01 00 00 80 78 2C 00 75 12 80 7E 59 00 75 56 8B C6 8B 10 FF 92 7C 01 00 00 EB 11 8B 45 08 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 59 80 7E 59 00 74 33 8B C6 8B 10 FF 92 B0 00 00 00 84 C0 74 25 8B 45 08 8B 40 FC 80 B8 A8 01 00 00 00 75 16 8B 45 08 8B 40 FC F6 80 B3 01 00 00 01 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_5324_0 {
	meta:
		name = "_NF__48F"
		size = 88
		refs = "0013 TDataLink.GetDataSet 0050 _NF__48D"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 80 78 5D 03 75 29 80 78 5A 00 75 23 80 78 59 00 74 1D 8B 55 08 8B 52 FC 8B 92 C4 01 00 00 80 7A 2C 00 75 0B 8B 10 FF 92 7C 01 00 00 5B 5D C3 8B 45 08 50 83 CA FF 8B C3 E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_5325_0 {
	meta:
		name = "_NF__490"
		size = 227
		refs = "001d TCustomDBGrid.BeginUpdate 0025 _NF__490 004c _NF__48E 0078 _NF__48F 008e @TryFinallyExit 009d TCustomGrid.GetTabStops 00ae _NF__4AE 00d2 TCustomDBGrid.EndUpdate 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 45 08 8B 40 FC 8B B8 34 01 00 00 8B F7 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 03 47 EB 01 4F 8B 45 08 8B 40 FC 3B B8 28 01 00 00 7C 1B 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 0F B6 B8 B6 01 00 00 EB 29 8B 45 08 8B 40 FC 0F B6 80 B6 01 00 00 3B F8 7D 18 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B B8 28 01 00 00 3B F7 75 07 E8 ?? ?? ?? ?? EB 4A 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 84 C0 74 8A 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 E9 71 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_5326_0 {
	meta:
		name = "_NF__491"
		size = 152
		refs = "000a _NF__491 0021 TBookmarkList.GetCount 002c SDeleteMultipleRecordsQuestion 0031 LoadResString 003b SDeleteRecordQuestion 0062 MessageDlg 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 48 7E 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC F6 80 B4 01 00 00 04 74 1C 6A 00 66 8B 0D ?? ?? ?? ?? B2 03 8B 45 FC E8 ?? ?? ?? ?? 83 F8 02 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 0C 00 00 00 }
	condition:
		$1
}

rule function_5327_0 {
	meta:
		name = "TCustomDBGrid.KeyDown"
		size = 1074
		refs = "005c @CallDynaInst 0072 TDataLink.GetDataSet 009c _NF__48C 00b3 TCustomDBGrid.KeyDown 00f9 TDataLink.GetActiveRecord 0104 TDataSet.MoveBy 013e _NF__4AE 0161 TDataSet.First 016d TDataSet.Last 0189 TDataSet.IsEmpty 01a9 _NF__491 01c0 TBookmarkList.GetCount 01d2 TBookmarkList.Delete 01de TDataSet.Delete 0264 _NF__48F 0272 _NF__48E 0378 TCustomGrid.GetVisibleRowCount 03d9 TDataSet.Insert 03f0 _NF__490 0401 TGridDataLink.Reset 041c TCustomGrid.HideEditor 0428 TCustomGrid.SetEditorMode"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 88 4D FB 8B F2 89 45 FC 8B 45 FC 8B 90 EC 00 00 00 89 55 F0 8B 90 F0 00 00 00 89 55 F4 66 83 7D F2 00 74 0F 8A 45 FB 50 8B CE 8B 55 FC 8B 45 F4 FF 55 F0 8B 45 FC 8B 80 C4 01 00 00 80 78 15 00 0F 84 DE 03 00 00 66 8B 16 8A 4D FB 8B 45 FC 66 BB D9 FF E8 ?? ?? ?? ?? 84 C0 0F 84 C4 03 00 00 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 8B D8 F6 45 FB 04 0F 84 65 01 00 00 66 8B 06 83 C0 DF 66 83 E8 04 72 0C 66 83 E8 01 74 06 66 83 E8 02 75 07 55 E8 ?? ?? ?? ?? 59 0F B7 06 83 C0 DF 83 F8 0D 0F 87 7C 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B C3 E8 ?? ?? ?? ?? E9 1F 03 00 00 8B 45 FC 8B B0 C4 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 56 0C 2B D0 4A 8B C3 E8 ?? ?? ?? ?? E9 FD 02 00 00 8B 45 FC 33 D2 8A 90 B6 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 E5 02 00 00 8B 45 FC 8B 90 28 01 00 00 4A 8B 45 FC E8 ?? ?? ?? ?? E9 CE 02 00 00 8B C3 E8 ?? ?? ?? ?? E9 C2 02 00 00 8B C3 E8 ?? ?? ?? ?? E9 B6 02 00 00 8B 45 FC 80 B8 A8 01 00 00 00 0F 85 A6 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 97 02 00 00 8B C3 8B 10 FF 92 B0 00 00 00 84 C0 0F 84 85 02 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 76 02 00 00 8B 45 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 13 8B 45 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? E9 51 02 00 00 8B C3 E8 ?? ?? ?? ?? E9 45 02 00 00 0F B7 06 83 F8 25 7F 46 0F 84 87 00 00 00 83 F8 22 7F 26 0F 84 6D 01 00 00 83 E8 09 0F 84 D6 01 00 00 83 E8 12 0F 84 E5 01 00 00 83 E8 06 0F 84 6F 01 00 00 E9 0C 02 00 00 83 E8 23 0F 84 FD 00 00 00 48 0F 84 AE 00 00 00 E9 F7 01 00 00 83 F8 28 7F 0F 74 32 83 E8 26 74 1F 48 74 69 E9 E3 01 00 00 83 E8 2D 0F 84 57 01 00 00 83 E8 44 0F 84 C7 01 00 00 E9 CC 01 00 00 55 B0 01 E8 ?? ?? ?? ?? 59 E9 BE 01 00 00 55 B0 01 E8 ?? ?? ?? ?? 59 E9 B0 01 00 00 8B 45 FC F6 80 B4 01 00 00 01 74 0E 55 33 C0 E8 ?? ?? ?? ?? 59 E9 96 01 00 00 8B 45 FC 8B 90 34 01 00 00 4A 8B 45 FC E8 ?? ?? ?? ?? E9 7F 01 00 00 8B 45 FC F6 80 B4 01 00 00 01 74 0E 55 33 C0 E8 ?? ?? ?? ?? 59 E9 65 01 00 00 8B 45 FC 8B 90 34 01 00 00 42 8B 45 FC E8 ?? ?? ?? ?? E9 4E 01 00 00 8B 55 FC 8B 92 28 01 00 00 8B 45 FC 0F B6 80 B6 01 00 00 8B C8 41 3B D1 74 0C 8B 55 FC F6 82 B4 01 00 00 01 74 13 55 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? E9 15 01 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? E9 06 01 00 00 8B 45 FC 8B 80 28 01 00 00 8B 55 FC 0F B6 92 B6 01 00 00 42 3B C2 74 0C 8B 55 FC F6 82 B4 01 00 00 01 74 13 55 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? E9 CF 00 00 00 8B D0 4A 8B 45 FC E8 ?? ?? ?? ?? E9 BF 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 A2 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B D0 F7 DA 8B C3 E8 ?? ?? ?? ?? E9 83 00 00 00 8B C3 8B 10 FF 92 B0 00 00 00 84 C0 74 75 8B 45 FC 80 B8 A8 01 00 00 00 75 69 8B 45 FC F6 80 B3 01 00 00 01 74 5D 55 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? EB 4D F6 45 FB 02 75 47 55 F6 45 FB 01 0F 95 C0 34 01 E8 ?? ?? ?? ?? 59 EB 35 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 B3 01 00 00 02 75 14 8B 45 FC E8 ?? ?? ?? ?? EB 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5328_0 {
	meta:
		name = "TCustomDBGrid.KeyPress"
		size = 43
		refs = "0024 TCustomGrid.KeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 83 B3 01 00 00 02 75 10 80 3E 0D 75 0B 8B 83 C4 01 00 00 8B 10 FF 52 2C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5329_0 {
	meta:
		name = "_NF__499"
		size = 82
		refs = "0037 TGridDataLink.GetFields"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 C6 45 FF 00 85 FF 74 38 8B 45 08 8B 40 FC 8B 80 C4 01 00 00 8B 58 20 4B 85 DB 7C 24 43 33 F6 8B 45 08 8B 40 FC 8B 80 C4 01 00 00 8B D6 E8 ?? ?? ?? ?? 3B F8 75 06 C6 45 FF 01 EB 04 46 4B 75 DF 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5330_0 {
	meta:
		name = "_NF__49A"
		size = 1252
		refs = "001d TWinControl.HandleAllocated 0029 TWinControl.GetHandle 0033 _NF__2BA 0043 TCollection.GetCount 0063 TDBGridColumns.GetColumn 0069 _NV__3A8 006e @IsClass 00ba TObject.Free 00f5 TGridDataLink.ClearMapping 011d TDBGridColumns.GetState 013b TGridDataLink.GetDefaultFields 014d TCollection.Clear 017e TColumn.GetField 018f _NF__499 01ea TGridDataLink.GetFields 025f TColumn.Create 02f6 TCustomGrid.SetColCount 0309 TCustomGrid.SetFixedCols 0343 GetDC 0353 TCanvas.SetHandle 035b _NF__49A 0375 TCanvas.SetFont 0388 TCanvas.TextHeight 03ac TCustomGrid.SetDefaultRowHeight 03f4 TColumnTitle.GetFont 0467 TCustomGrid.SetRowHeights 0488 TCanvas.GetHandle 0490 ReleaseDC 04a6 @HandleFinally 04b0 _NF__4DC 04c3 _NF__4DA"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 8B 45 FC F6 40 20 01 0F 85 B6 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 FC E8 ?? ?? ?? ?? BA 64 04 00 00 E8 ?? ?? ?? ?? 33 DB 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 7E 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 EC 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 4C 84 DB 74 48 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 38 8B 45 FC 8B 80 EC 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D0 EB 06 FF 45 F8 4E 75 8A 8B 45 FC C6 80 B6 01 00 00 00 8B 45 FC F6 80 B3 01 00 00 08 74 09 8B 45 FC FE 80 B6 01 00 00 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 01 00 00 80 78 15 00 74 0B 8B 45 FC 8B 10 FF 92 90 00 00 00 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 72 01 00 00 8B 45 FC 8B 98 C4 01 00 00 80 7B 15 00 75 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? EB 52 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 3C 8B 45 FC 8B 80 EC 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 12 55 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 C4 8B 45 FC 8B 80 C4 01 00 00 8B 40 20 89 45 F8 83 7D F8 00 75 15 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 03 FF 45 F8 8B 75 F8 4E 85 F6 0F 8C FB 00 00 00 46 33 DB 8B 45 FC 8B 80 C4 01 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 7A 8B FB EB 01 47 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 3B F8 7D 1A 8B 45 FC 8B 80 EC 01 00 00 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F4 75 D3 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 3B F8 7D 14 8B 45 FC 8B 80 EC 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B F8 EB 3A 8B 45 FC 8B 88 EC 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 55 F4 8B C7 8B 08 FF 51 20 EB 17 8B 45 FC 8B 88 EC 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D3 8B C7 8B 08 FF 51 10 43 4E 0F 85 45 FF FF FF EB 3B 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 26 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 EC 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 20 FF 45 F8 4E 75 E2 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 0F B6 80 B6 01 00 00 03 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 8A 90 B6 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 B5 01 00 00 00 8B 45 FC F6 80 B3 01 00 00 04 74 0A 8B 45 FC C6 80 B5 01 00 00 01 8B 45 FC E8 ?? ?? ?? ?? 34 01 88 45 F3 80 7D F3 00 74 17 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 50 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 C7 03 8B 45 FC F6 80 B3 01 00 00 40 74 09 8B 45 FC 03 B8 50 01 00 00 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 80 B3 01 00 00 04 0F 84 AB 00 00 00 33 FF 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 55 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 EC 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 40 1C E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 C3 04 3B FB 7D 02 8B FB FF 45 F8 4E 75 B3 85 FF 75 2F 8B 45 FC 8B 90 A4 01 00 00 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 C7 04 8B CF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 26 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 02 00 00 00 57 67 00 00 }
	condition:
		$1
}

rule function_5331_0 {
	meta:
		name = "TCustomDBGrid.LayoutChanged"
		size = 23
		refs = "0006 TCustomDBGrid.AcquireLayoutLock 0011 TCustomDBGrid.EndLayout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6139_0 {
	meta:
		name = "TDSTableProducer.LayoutChanged"
		size = 23
		refs = "0006 TDSTableProducer.AcquireLayoutLock 0011 TDSTableProducer.EndLayout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5443_0 {
	meta:
		name = "_NF__23A"
		size = 23
		refs = "0006 _NF__1BD 0011 TCustomEdit.SelectAll"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5332_0 {
	meta:
		name = "TCustomDBGrid.LinkActive"
		size = 70
		refs = "000d TCustomGrid.HideEditor 001a TBookmarkList.LinkActive 002b _NF__4DD 003f TCustomGrid.ShowEditor"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 75 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 98 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 10 F6 86 B3 01 00 00 02 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5333_0 {
	meta:
		name = "TCustomDBGrid.Loaded"
		size = 57
		refs = "0006 TComponent.Loaded 0011 TCollection.GetCount 0029 TCustomGrid.SetColCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 14 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5334_0 {
	meta:
		name = "TCustomDBGrid.MouseDown"
		size = 536
		refs = "001b _NF__411 0039 @CallDynaInst 004a TCustomGrid.Sizing 006b TCustomGrid.MouseDown 0080 TCustomGrid.MouseCoord 00e1 TCustomDBGrid.BeginUpdate 00e9 TCustomDBGrid.MouseDown 00f7 TCustomGrid.HideEditor 0138 TDataLink.GetDataSet 014b TDataSet.MoveBy 0166 _NF__4AE 01a1 TBookmarkList.GetCurrentRowSelected 01ad TBookmarkList.SetCurrentRowSelected 01b6 TBookmarkList.Clear 01e4 TCustomGrid.ShowEditor 01ee TCustomGrid.InvalidateEditor 0203 TCustomDBGrid.EndUpdate 0209 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D FB 8B DA 89 45 FC 8B 75 08 8B 7D 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 E8 01 00 00 F6 45 FB 40 74 15 84 DB 75 11 8B 45 FC 66 BB EF FF E8 ?? ?? ?? ?? E9 CD 01 00 00 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 22 8B 45 FC 8B 80 C4 01 00 00 8B 10 FF 52 2C 57 56 8A 4D FB 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 9B 01 00 00 8D 45 F0 50 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 75 0C 8B 45 FC F6 80 B3 01 00 00 10 74 31 8B 45 FC 0F B6 80 B5 01 00 00 3B 45 F4 7E 22 8B 45 FC 8B 80 C4 01 00 00 8B 10 FF 52 2C 57 56 8A 4D FB 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 45 01 00 00 8B 45 FC 8B 80 C4 01 00 00 80 78 15 00 0F 84 32 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B B8 34 01 00 00 8B 45 FC 8B 80 38 01 00 00 89 45 EC 8B 45 FC 0F B6 80 B5 01 00 00 8B 75 F4 3B C6 7F 2E 8B 45 FC 8B D6 2B 90 38 01 00 00 74 21 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC FF B2 38 01 00 00 8B D6 59 2B D1 E8 ?? ?? ?? ?? 8B 55 FC 0F B6 92 B6 01 00 00 8B 45 F0 3B D0 7F 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 80 B4 01 00 00 10 74 4D 8B 45 FC 8B 80 C4 01 00 00 80 78 15 00 74 3E 8B 45 FC 8B B0 00 02 00 00 8B 45 FC C6 80 BC 01 00 00 00 F6 45 FB 04 74 15 8B C6 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C6 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 84 DB 75 23 3B 7D F0 75 08 8B 45 F4 3B 45 EC 74 0C 8B 45 FC F6 80 B3 01 00 00 02 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5335_0 {
	meta:
		name = "TCustomDBGrid.MouseUp"
		size = 269
		refs = "002b TCustomGrid.MouseUp 0053 TInplaceEdit.Visible 0063 Point 0077 TControl.GetBoundsRect 0080 PtInRect 0093 TCustomGrid.MouseCoord 00c3 TCustomDBGrid.RawToDataColumn 00d0 TDBGridColumns.GetColumn 00dd @CallDynaInst 00e6 TCustomDBGrid.GetSelectedIndex"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 88 4D FE 88 55 FF 8B F0 8B 7D 08 8B 5D 0C 8A 86 9A 01 00 00 88 45 F3 53 57 8A 4D FE 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 80 7D F3 02 0F 84 CB 00 00 00 80 7D F3 03 0F 84 C1 00 00 00 83 BE 88 01 00 00 00 74 3C 8B 86 88 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 4D E8 8B D7 8B C3 E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 8D 55 D8 8B 86 88 01 00 00 E8 ?? ?? ?? ?? 8D 45 D8 50 E8 ?? ?? ?? ?? 85 C0 75 7C 8D 45 F4 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 75 67 33 C0 8A 86 B6 01 00 00 3B 45 F4 7F 5A 83 7D F8 00 7C 54 33 C0 8A 86 B5 01 00 00 3B 45 F8 7E 26 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB C5 FF E8 ?? ?? ?? ?? EB 21 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB CC FF E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5336_0 {
	meta:
		name = "_NF__4AE"
		size = 228
		refs = "0071 _NF__4AE 0083 @CallDynaInst 00a0 @HandleFinally 00c4 TCustomGrid.HideEditor 00cf TCustomGrid.SetCol"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC 8B 80 C4 01 00 00 8B 10 FF 52 2C 8B 45 FC 8B 80 28 01 00 00 3B 45 F8 7F 04 48 89 45 F8 8B 45 FC 0F B6 80 B6 01 00 00 3B 45 F8 7E 03 89 45 F8 8B 45 FC 8B 80 34 01 00 00 89 45 F4 8B 45 F8 3B 45 F4 0F 84 88 00 00 00 8B 45 FC 80 B8 B9 01 00 00 00 75 51 8B 45 FC C6 80 B9 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB CA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B9 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 80 34 01 00 00 3B 45 F4 75 2B 8B 45 FC F6 80 B3 01 00 00 02 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB CB FF E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5337_0 {
	meta:
		name = "TCustomDBGrid.Notification"
		size = 391
		refs = "0018 TControl.Notification 0029 _Dn_TPopupMenu 002e @IsClass 0040 TCollection.GetCount 005e TDBGridColumns.GetColumn 007a TColumn.SetPopupMenu 009b TCustomDBGrid.GetDataSource 00a9 TCustomDBGrid.SetDataSource 00b6 _Dn_TField 00cf TCustomDBGrid.BeginLayout 00d7 TCustomDBGrid.Notification 0110 TColumn.GetField 0147 TDataLink.GetDataSet 015e TDataSet.ControlsDisabled 016a TCustomDBGrid.EndLayout 0174 TCustomDBGrid.DeferLayout 017a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 89 45 FC 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 80 FB 01 0F 85 5B 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 51 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C 31 01 00 00 43 33 FF 8B 45 FC 8B 80 EC 01 00 00 8B D7 E8 ?? ?? ?? ?? 3B 70 30 75 17 8B 45 FC 8B 80 EC 01 00 00 8B D7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 47 4B 75 D0 E9 F9 00 00 00 8B 45 FC 83 B8 C4 01 00 00 00 0F 84 E9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B F0 75 0F 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 CE 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B9 00 00 00 C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 34 43 33 FF 8B 45 FC 8B 80 EC 01 00 00 8B D7 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 3B F0 75 0E 33 D2 8B 45 F4 8B 08 FF 51 20 C6 45 FB 01 47 4B 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 33 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 21 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5338_0 {
	meta:
		name = "_NF__4B3"
		size = 237
		refs = "0017 _NF__4B3 0024 TWinControl.HandleAllocated 0046 TCollection.GetCount 005d TDBGridColumns.GetColumn 0062 TColumn.GetField 0070 TCustomDBGrid.DataToRawColumn 0079 TCustomGrid.InvalidateCol 0084 TCustomDBGrid.GetSelectedField 009f TField.GetEditText 00ad @LStrCmp 00b6 TCustomGrid.InvalidateEditor 00c5 TInplaceEdit.Deselect 00da @LStrClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 99 00 00 00 83 7D FC 00 75 09 8B C3 8B 10 FF 52 44 EB 42 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 30 47 33 F6 8B D6 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 75 12 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 46 4F 75 D3 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7D FC 00 74 05 3B 75 FC 75 34 85 F6 74 30 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 93 E8 01 00 00 E8 ?? ?? ?? ?? 74 16 8B C3 E8 ?? ?? ?? ?? 8B 83 88 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5339_0 {
	meta:
		name = "TCustomDBGrid.Scroll"
		size = 607
		refs = "0012 TWinControl.HandleAllocated 003f TCustomGrid.BoxRect 004d TDataLink.GetActiveRecord 006e _NF__4DC 0076 _NF__4DD 007e _NF__4DA 00af TWinControl.GetHandle 00b5 ValidateRect 00c9 InvalidateRect 00ed TCustomGrid.HideEditor 00f5 TCustomDBGrid.Scroll 0103 TCustomGrid.GetVisibleRowCount 011d @TryFinallyExit 01d2 ScrollWindowEx 0238 TCustomGrid.ShowEditor 023e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 3A 02 00 00 8B 45 FC 8B 80 28 01 00 00 48 50 8B 45 FC 8B 98 38 01 00 00 53 8D 45 EC 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 58 01 00 00 8B 4D FC 0F B6 89 B5 01 00 00 2B D1 3B C2 7C 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 28 01 00 00 48 50 8B 45 FC 8B 98 38 01 00 00 53 8D 45 DC 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 F6 0F 84 5B 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B C6 99 33 C2 2B C2 3B C8 7D 12 8B 45 FC 8B 10 FF 52 44 E8 ?? ?? ?? ?? E9 32 01 00 00 8B 45 FC 8B 98 40 01 00 00 8B 45 FC F6 80 B3 01 00 00 40 74 09 8B 45 FC 03 98 50 01 00 00 8B 45 FC F6 80 B3 01 00 00 08 74 39 8B 45 FC 8B 80 28 01 00 00 48 50 8B 45 FC 8B B8 C0 01 00 00 57 8D 45 EC 50 8B CF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 28 01 00 00 48 50 68 E8 03 00 00 8D 45 DC 50 8B 45 FC 33 C9 8A 88 B5 01 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 6A 02 6A 00 6A 00 8D 45 DC 50 8D 45 DC 50 F7 DB 0F AF DE 53 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC F6 80 B3 01 00 00 08 74 39 8B 45 FC 8B 80 28 01 00 00 48 50 8B 45 FC 8B 98 38 01 00 00 53 8D 45 DC 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8D 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC F6 80 B3 01 00 00 02 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 45 FC 80 B8 B7 01 00 00 00 75 08 8B 45 FC 8B 10 FF 52 50 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5340_0 {
	meta:
		name = "TCustomDBGrid.SetColumns"
		size = 12
	strings:
		$1 = { 8B 80 EC 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_5341_0 {
	meta:
		name = "_NF__4BA"
		size = 43
		refs = "001c TDataSet.FindField"
	strings:
		$1 = { 53 8A 58 2D 84 DB 75 1F 80 78 2E 02 75 19 B3 01 8B 50 24 85 D2 74 10 8B 40 50 92 E8 ?? ?? ?? ?? 85 C0 74 03 8A 58 2D 8B C3 5B C3 }
	condition:
		$1
}

rule function_5342_0 {
	meta:
		name = "TCustomDBGrid.SetColumnAttributes"
		size = 194
		refs = "000d TCollection.GetCount 0028 TDBGridColumns.GetColumn 0031 TColumn.GetReadOnly 0048 TColumn.GetField 0065 _NF__4BA 0080 TCustomGrid.SetTabStops 0087 TColumn.GetWidth 009a TCustomGrid.SetColWidths"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C 8A 00 00 00 45 33 FF 8B D7 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 34 8B 83 C4 01 00 00 80 78 15 00 74 28 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1D 8B C6 E8 ?? ?? ?? ?? 80 78 2E 01 74 10 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C9 EB 02 B1 01 33 D2 8A 93 B6 01 00 00 03 D7 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C8 33 D2 8A 93 B6 01 00 00 03 D7 8B C3 E8 ?? ?? ?? ?? 47 4D 0F 85 79 FF FF FF F6 83 B3 01 00 00 08 74 0E B9 0B 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5343_0 {
	meta:
		name = "TCustomDBGrid.SetDataSource"
		size = 76
		refs = "0018 TBookmarkList.Clear 0025 TDataLink.SetDataSource 0032 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C4 01 00 00 3B 70 04 74 38 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 83 C4 01 00 00 8A 50 15 8B C3 8B 08 FF 91 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5344_0 {
	meta:
		name = "TCustomDBGrid.SetEditText"
		size = 25
		refs = "0010 @LStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B D8 8D 83 E8 01 00 00 8B 55 08 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5345_0 {
	meta:
		name = "TCustomDBGrid.SetOptions"
		size = 272
		refs = "001d TCustomDBGrid.SetOptions 0090 TCustomGrid.SetOptions 00ad TBookmarkList.Clear"
	strings:
		$1 = { 53 56 51 66 89 14 24 8B D8 66 8B 04 24 66 3B 83 B3 01 00 00 0F 84 DC 00 00 00 66 8B 35 ?? ?? ?? ?? F6 04 24 20 74 0B 66 A1 ?? ?? ?? ?? 66 0B C6 8B F0 F6 04 24 40 74 0B 66 A1 ?? ?? ?? ?? 66 0B C6 8B F0 F6 04 24 10 74 0B 66 A1 ?? ?? ?? ?? 66 0B C6 8B F0 F6 04 24 80 74 05 66 81 CE 00 08 F6 44 24 01 01 74 0F 66 81 CE 00 10 66 83 24 24 FD 66 83 24 24 FE F6 04 24 01 74 05 66 81 CE 00 04 F6 04 24 02 74 05 66 81 CE 00 20 8B D6 8B C3 E8 ?? ?? ?? ?? 66 8B 04 24 F7 D0 66 23 83 B3 01 00 00 F6 C4 10 74 0B 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 66 8B 34 24 66 23 B3 B3 01 00 00 66 8B 04 24 66 0B 83 B3 01 00 00 F7 D6 66 23 F0 66 8B 04 24 66 89 83 B3 01 00 00 66 A1 ?? ?? ?? ?? 66 23 C6 66 8B 15 ?? ?? ?? ?? 66 3B D0 74 0A 8B C3 8B 10 FF 92 98 00 00 00 5A 5E 5B C3 00 00 00 00 00 00 05 00 00 00 0A 00 00 00 80 02 00 00 6F 03 00 00 }
	condition:
		$1
}

rule function_5346_0 {
	meta:
		name = "TCustomDBGrid.SetSelectedField"
		size = 82
		refs = "0013 TCollection.GetCount 002a TDBGridColumns.GetColumn 002f TColumn.GetField 003c TCustomDBGrid.DataToRawColumn 0045 _NF__4AE"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 85 ED 74 41 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2F 47 33 F6 8B D6 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B E8 75 12 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 46 4F 75 D4 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5347_0 {
	meta:
		name = "TCustomDBGrid.SetSelectedIndex"
		size = 27
		refs = "000b TCustomDBGrid.DataToRawColumn 0014 _NF__4AE"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5348_0 {
	meta:
		name = "TCustomDBGrid.SetTitleFont"
		size = 35
	strings:
		$1 = { 56 8B F0 8B 86 A4 01 00 00 8B 08 FF 51 08 F6 86 B3 01 00 00 04 74 0A 8B C6 8B 10 FF 92 98 00 00 00 5E C3 }
	condition:
		$1
}

rule function_5349_0 {
	meta:
		name = "TCustomDBGrid.StoreColumns"
		size = 21
		refs = "000a TDBGridColumns.GetState"
	strings:
		$1 = { 53 8B D8 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 3C 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_5350_0 {
	meta:
		name = "TCustomDBGrid.TimedScroll"
		size = 128
		refs = "0020 TDataLink.GetActiveRecord 002b TDataLink.GetDataSet 0031 TDataSet.MoveBy 0042 TDataLink.GetRecordCount 0064 TCustomDBGrid.TimedScroll 0073 TCustomGrid.TimedScroll"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B D8 8B 83 C4 01 00 00 80 78 15 00 74 62 8B F0 F6 04 24 04 74 1C 8B C6 E8 ?? ?? ?? ?? F7 D8 48 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 80 24 24 FB F6 04 24 08 74 24 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 2B F8 57 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 80 24 24 F7 A0 ?? ?? ?? ?? 3A 04 24 74 0A 8A 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_5351_0 {
	meta:
		name = "TCustomDBGrid.TitleClick"
		size = 27
	strings:
		$1 = { 53 66 83 B8 12 02 00 00 00 74 0E 8B D8 8B 83 14 02 00 00 FF 93 10 02 00 00 5B C3 }
	condition:
		$1
}

rule function_5352_0 {
	meta:
		name = "_NF__4D9"
		size = 48
		refs = "0017 TControl.SetParentFont"
	strings:
		$1 = { 53 8B D8 80 BB BB 01 00 00 00 75 0F F6 43 20 01 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? F6 83 B3 01 00 00 04 74 0A 8B C3 8B 10 FF 92 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5353_0 {
	meta:
		name = "_NF__4DA"
		size = 209
		refs = "000d _NF__4DA 002a TWinControl.HandleAllocated 003f TDataLink.GetActiveRecord 0063 TCustomGrid.HideEditor 0076 TCustomGrid.MoveColRow 007d TCustomGrid.InvalidateEditor 0084 TCustomDBGrid.GetSelectedField 0094 TField.GetEditText 00a2 @LStrCmp 00c0 @LStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C4 01 00 00 80 78 15 00 0F 84 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7D F6 43 20 01 75 77 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 8B F0 33 C0 8A 83 B5 01 00 00 03 F0 3B B3 38 01 00 00 74 2A F6 83 B3 01 00 00 02 75 07 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B CE 8B 93 34 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 21 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 93 E8 01 00 00 E8 ?? ?? ?? ?? 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5354_0 {
	meta:
		name = "_NF__4DB"
		size = 27
		refs = "0006 TCustomDBGrid.GetSelectedField 0015 TField.SetEditText"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 93 E8 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5355_0 {
	meta:
		name = "_NF__4DC"
		size = 188
		refs = "001a TCustomGrid.SetRowCount 0029 TCustomGrid.SetFixedRows 003c TDataLink.GetRecordCount 0047 TWinControl.HandleAllocated 0071 TCustomGrid.GetVisibleRowCount 007e TDataLink.SetBufferCount 00ae TCustomGrid.SetTopRow 00b5 _NF__4DA"
	strings:
		$1 = { 53 56 8B D8 33 C0 8A 83 B5 01 00 00 3B 83 58 01 00 00 7C 0A 8B D0 42 8B C3 E8 ?? ?? ?? ?? 33 D2 8A 93 B5 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B B3 C4 01 00 00 80 7E 15 00 74 16 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 13 33 D2 8A 93 B5 01 00 00 42 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 BA E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C0 8A 83 B5 01 00 00 03 D0 8B C3 E8 ?? ?? ?? ?? F6 83 B4 01 00 00 01 74 0D 8B 93 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5356_0 {
	meta:
		name = "_NF__4DD"
		size = 302
		refs = "001b TWinControl.HandleAllocated 002e TDataLink.GetDataSet 0049 TWinControl.GetHandle 004f GetScrollInfo 007d TCustomGrid.GetVisibleRowCount 0123 SetScrollInfo"
	strings:
		$1 = { 53 56 57 83 C4 C8 8B D8 8B 83 C4 01 00 00 80 78 15 00 0F 84 0F 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 00 01 00 00 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 8B F0 C7 04 24 1C 00 00 00 C7 44 24 04 17 00 00 00 54 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 8D 74 24 04 8D 7C 24 20 B9 07 00 00 00 F3 A5 5E 8B C6 8B 10 FF 92 94 01 00 00 84 C0 74 3D C7 44 24 24 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 44 24 2C 8B C6 8B 10 FF 92 D4 00 00 00 03 44 24 2C 48 89 44 24 28 8A 46 5D 2C 03 73 4A 8B C6 8B 10 FF 92 D8 00 00 00 89 44 24 30 EB 3A 33 C0 89 44 24 24 33 C0 89 44 24 2C C7 44 24 28 04 00 00 00 80 7E 58 00 74 08 33 C0 89 44 24 30 EB 18 80 7E 59 00 74 0A C7 44 24 30 04 00 00 00 EB 08 C7 44 24 30 02 00 00 00 8B 44 24 24 3B 44 24 08 75 1E 8B 44 24 28 3B 44 24 0C 75 14 8B 44 24 2C 3B 44 24 10 75 0A 8B 44 24 30 3B 44 24 14 74 16 6A FF 8D 44 24 20 50 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5357_0 {
	meta:
		name = "TCustomDBGrid.ValidFieldIndex"
		size = 27
		refs = "000f TGridDataLink.GetMappedIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_5358_0 {
	meta:
		name = "TCustomDBGrid.CMParentFontChanged"
		size = 107
		refs = "000b TControl.CMParentFontChanged 0026 TCustomDBGrid.CMParentFontChanged 003a TCustomDBGrid.SetTitleFont 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 46 00 74 50 8B 45 FC C6 80 BB 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 50 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 BB 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 10 FF 92 98 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_5359_0 {
	meta:
		name = "TCustomDBGrid.CMExit"
		size = 154
		refs = "000e TCustomDBGrid.CMExit 0028 TDataLink.GetDataSet 0076 @HandleAnyException 0083 @RaiseAgain 0088 @DoneExcept 0092 TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 C4 01 00 00 80 78 15 00 74 44 E8 ?? ?? ?? ?? 8B 55 FC F6 82 B4 01 00 00 08 74 25 80 78 5D 03 75 1F 80 78 5A 00 75 19 8B 55 FC 8B 92 C4 01 00 00 80 7A 2C 00 75 0A 8B 10 FF 92 7C 01 00 00 EB 0E 8B 45 FC 8B 80 C4 01 00 00 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_5360_0 {
	meta:
		name = "TCustomDBGrid.CMFontChanged"
		size = 122
		refs = "000d TCustomGrid.CMFontChanged 0015 TCustomDBGrid.BeginLayout 001d TCustomDBGrid.CMFontChanged 0031 TCollection.GetCount 004b TDBGridColumns.GetColumn 0050 TColumn.RefreshDefaultFont 0069 TCustomDBGrid.EndLayout 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 F6 8B 45 FC 8B 80 EC 01 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5361_0 {
	meta:
		name = "TCustomDBGrid.CMDeferLayout"
		size = 32
		refs = "0006 TCustomDBGrid.AcquireLayoutLock 0011 TCustomDBGrid.EndLayout 001a TCustomDBGrid.DeferLayout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5362_0 {
	meta:
		name = "TCustomDBGrid.CMDesignHitTest"
		size = 80
		refs = "000b TCustomGrid.CMDesignHitTest 0025 TDBGridColumns.GetState 0034 TGridDataLink.GetDefaultFields"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 0C 01 75 38 83 BB C4 01 00 00 00 74 2A 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 20 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 83 C4 01 00 00 80 78 15 00 75 05 33 C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_5363_0 {
	meta:
		name = "TCustomDBGrid.WMSetCursor"
		size = 96
		refs = "001c TDBGridColumns.GetState 002b TGridDataLink.GetDefaultFields 0047 LoadCursor 004d SetCursor 0059 TCustomGrid.WMSetCursor"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 10 74 48 83 BB C4 01 00 00 00 74 2A 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 30 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 83 C4 01 00 00 80 78 15 00 75 15 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5364_0 {
	meta:
		name = "TCustomDBGrid.WMSize"
		size = 28
		refs = "0006 TCustomGrid.WMSize 0016 _NF__4DC"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB B7 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5365_0 {
	meta:
		name = "TCustomDBGrid.WMVScroll"
		size = 430
		refs = "000d _NF__411 002a TDataLink.GetDataSet 0040 TCustomDBGrid.WMVScroll 006b TDataLink.GetActiveRecord 0077 TDataSet.MoveBy 0087 TDataLink.GetRecordCount 00a9 TCustomGrid.GetVisibleRowCount 00f5 TWinControl.GetHandle 00fb GetScrollInfo 010b TDataSet.First 0125 TDataSet.Last"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8E 01 00 00 8B 83 C4 01 00 00 80 78 15 00 0F 84 7E 01 00 00 E8 ?? ?? ?? ?? 8B F0 0F BF 47 04 83 F8 07 0F 87 6A 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 8B D0 F7 DA 4A 8B C6 E8 ?? ?? ?? ?? E9 27 01 00 00 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 5A 2B D0 8B C6 E8 ?? ?? ?? ?? E9 01 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B C6 E8 ?? ?? ?? ?? E9 EA 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? E9 D5 00 00 00 8B C6 8B 10 FF 92 94 01 00 00 84 C0 74 5B C7 04 24 1C 00 00 00 C7 44 24 04 17 00 00 00 54 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 5C 24 18 83 FB 01 7F 0C 8B C6 E8 ?? ?? ?? ?? E9 93 00 00 00 8B C6 8B 10 FF 92 D4 00 00 00 3B D8 7C 09 8B C6 E8 ?? ?? ?? ?? EB 7C 8B 54 24 18 8B C6 8B 08 FF 91 14 01 00 00 EB 6C 0F BF 47 06 83 F8 04 77 63 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 3F 8B C3 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B C6 E8 ?? ?? ?? ?? EB 2B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 19 8B C6 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5366_0 {
	meta:
		name = "_NF__4F9"
		size = 258
		refs = "000d _NF__4F9 0018 SysLocale 0043 Screen 004d @LStrAsg 005d TCustomDBGrid.GetSelectedIndex 006a TDBGridColumns.GetColumn 0099 TColumn.GetImeName 00ae TColumn.GetImeMode 00f1 @LStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 78 08 00 0F 84 BA 00 00 00 80 BB 1A 02 00 00 00 75 0C 8B 83 C4 01 00 00 80 78 2D 00 74 1F 8D 83 E8 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 52 2C E8 ?? ?? ?? ?? C6 83 E4 00 00 00 03 EB 5E 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 83 E8 00 00 00 8B 93 AC 01 00 00 E8 ?? ?? ?? ?? 8A 83 B0 01 00 00 88 83 E4 00 00 00 F6 46 3C 02 74 25 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 E8 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 88 83 E4 00 00 00 83 BB 88 01 00 00 00 74 1F 8B F3 8D 86 E8 00 00 00 8B 93 E8 00 00 00 E8 ?? ?? ?? ?? 8A 83 E4 00 00 00 88 86 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5367_0 {
	meta:
		name = "_NF__4FA"
		size = 39
		refs = "0004 SysLocale 0011 _NF__4F9 0021 TWinControl.SetIme"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 78 08 00 74 17 8B C3 E8 ?? ?? ?? ?? 83 BB 88 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5368_0 {
	meta:
		name = "TCustomDBGrid.WMIMEStartComp"
		size = 33
		refs = "0006 TWinControl.WMIMEStartComp 0014 TCustomGrid.ShowEditor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 1A 02 00 00 01 8B C3 E8 ?? ?? ?? ?? C6 83 1A 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5370_0 {
	meta:
		name = "TCustomDBGrid.WMKillFocus"
		size = 47
		refs = "000e Screen 0018 @LStrAsg 0028 TCustomGrid.WMKillFocus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 E8 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 52 2C E8 ?? ?? ?? ?? C6 83 E4 00 00 00 03 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5373_0 {
	meta:
		name = "InputRequest"
		size = 135
		refs = "0010 Application 0019 _DV_TInputReqDialog 001e TCustomForm.Create 0029 InputRequest 0039 _NF__77 0041 TCustomForm.ShowModal 0057 _NF__78 0073 TObject.Free 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 89 45 FC 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 83 B8 50 01 00 00 01 75 11 8B D3 8B 45 F8 E8 ?? ?? ?? ?? C7 45 FC 03 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5374_0 {
	meta:
		name = "_NF__76"
		size = 144
		refs = "0013 _Dn_TRadioButton 0018 TRadioButton.Create 002d TControl.SetTop 0039 TControl.SetLeft 0052 TControl.SetWidth 005b TControl.SetText 0074 TInputReqDialog.InputOptionsClick"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 53 3C 83 C2 02 0F AF D6 83 C2 07 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 E4 01 00 00 8B 50 38 83 EA 0A 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 89 73 0C 8B 45 08 8B 40 FC 89 83 A8 00 00 00 C7 83 A4 00 00 00 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 E4 01 00 00 8B C3 8B 08 FF 51 3C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_5375_0 {
	meta:
		name = "_NF__77"
		size = 273
		refs = "0018 _NF__77 003d @LStrFromArray 004e TControl.SetText 0080 _NF__76 00a7 TCustomCheckBox.SetChecked 00d4 TWinControl.GetControl 00da _Dn_TWinControl 00df @AsClass 00e9 TCustomForm.SetActiveControl 00fe @LStrClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 89 82 04 02 00 00 8D 45 F4 8B 55 F8 83 C2 0A B9 80 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 8B 75 F8 0F BF 76 04 4E 85 F6 7C 31 46 33 FF 8B 5D F8 81 C3 8A 00 00 00 55 8D 45 F4 8B D3 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 59 47 81 C3 A0 00 00 00 4E 75 DB 8B 45 F8 66 8B 40 08 66 F7 D8 1B D2 F7 DA 8B 45 FC 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B 5D F8 0F BF 5B 06 83 FB 01 7C 0B 8B 45 F8 0F BF 40 04 3B D8 7E 05 BB 01 00 00 00 8B D3 4A 8B 45 FC 8B 80 E4 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5376_0 {
	meta:
		name = "_NF__78"
		size = 40
		refs = "0019 TCustomCheckBox.GetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 8B 83 08 02 00 00 40 66 89 46 06 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? F6 D8 1B C0 66 89 46 08 5E 5B C3 }
	condition:
		$1
}

rule function_5377_0 {
	meta:
		name = "TInputReqDialog.InputOptionsClick"
		size = 153
		refs = "000f TInputReqDialog.InputOptionsClick 001d _Dn_TComponent 0022 @AsClass 0065 @LStrFromArray 0073 TControl.SetText 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 89 83 08 02 00 00 8B B3 08 02 00 00 85 F6 7C 3E 8B 83 04 02 00 00 0F BF 40 04 3B F0 7D 30 8D 45 FC 8B D6 C1 E2 02 8D 14 92 8B 8B 04 02 00 00 8D 94 D1 AA 00 00 00 B9 80 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5378_0 {
	meta:
		name = "_NF__7E"
		size = 59
		refs = "0007 Session 0018 TSession.GetActive 0027 TObject.Free 0032 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 A1 ?? ?? ?? ?? 83 38 00 74 1B A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5379_0 {
	meta:
		name = "_NF__7F"
		size = 46
		refs = "0012 _NF__80 001d _Dn_TBDECallback 0022 TBDECallback.Create"
	strings:
		$1 = { 53 8B D8 6A 00 6A 03 8D 43 04 50 68 0A 03 00 00 53 68 ?? ?? ?? ?? 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 10 03 00 00 5B C3 }
	condition:
		$1
}

rule function_5380_0 {
	meta:
		name = "_NF__80"
		size = 58
		refs = "000a _NF__80 0017 InputRequest 0028 @HandleAnyException 002f @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_5383_0 {
	meta:
		name = "DBInpReq"
		size = 37
		refs = "0002 _NV__73 000c _NV__7C 0011 TObject.Create 0016 _NV__81 001b _NF__82 0020 RegisterBDEInitProc"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5384_0 {
	meta:
		name = "LoginDialog"
		size = 266
		refs = "0018 LoginDialog 0024 Application 002d _DV_TLoginDialog 0032 TCustomForm.Create 0053 TControl.SetText 007d TCustomForm.SetActiveControl 0085 TCustomForm.ShowModal 0099 TControl.GetText 00a3 @LStrAsg 00d7 TObject.Free 00dd @HandleFinally 00f4 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 E4 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 13 8B 45 F8 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? C6 45 FF 00 83 3B 00 75 11 8B 45 F8 8B 90 E8 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 48 75 3A 8D 55 F4 8B 45 F8 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5385_0 {
	meta:
		name = "LoginDialogEx"
		size = 292
		refs = "0018 LoginDialogEx 0024 Application 002d _DV_TLoginDialog 0032 TCustomForm.Create 0053 TControl.SetText 007d TControl.SetEnabled 0095 TCustomForm.SetActiveControl 009d TCustomForm.ShowModal 00b1 TControl.GetText 00bb @LStrAsg 00ef TObject.Free 00f5 @HandleFinally 010c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 E4 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 13 8B 45 F8 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? C6 45 FF 00 80 7D 08 00 74 12 8B 45 F8 8B 80 E8 01 00 00 33 D2 E8 ?? ?? ?? ?? EB 16 83 3B 00 75 11 8B 45 F8 8B 90 E8 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 48 75 3A 8D 55 F4 8B 45 F8 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5386_0 {
	meta:
		name = "TLoginDialog.FormShow"
		size = 70
		refs = "000b TControl.GetClientWidth 003f TControl.SetWidth"
	strings:
		$1 = { 53 56 8B D8 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B B3 E4 01 00 00 8B 56 38 03 56 30 3B C2 7F 24 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 E4 01 00 00 2B 50 30 83 EA 05 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5389_0 {
	meta:
		name = "TDBLookupCombo.Create"
		size = 404
		refs = "000e @ClassCreate 001c TCustomEdit.Create 0025 TCustomEdit.SetAutoSize 002c _Dn_TFieldDataLink 0031 TDataLink.Create 0046 _NF__1E1 0050 _NF__1F1 005a _NF__1F2 0064 _NF__1F3 006d _Dn_TWinControl 0072 TWinControl.Create 0086 TControl.SetWidth 0096 TControl.SetHeight 00a3 TControl.SetVisible 00b9 _DV_TComboButton 00be TSpeedButton.Create 00eb LoadBitmap 00f7 TSpeedButton.GetGlyph 00fd TBitmap.SetHandle 0124 _DV_TPopupGrid 0129 TPopupGrid.Create 0163 TDBLookupCombo.GridClick"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 40 01 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 38 C7 46 34 ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 89 5E 48 C7 46 44 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 4C 01 00 00 BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 4C 01 00 00 8B 08 FF 51 3C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 48 01 00 00 8B 83 4C 01 00 00 8B 50 38 52 8B 40 3C 50 33 C9 33 D2 8B C6 8B 30 FF 56 4C 68 E2 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? B2 01 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 8B 93 4C 01 00 00 8B 83 48 01 00 00 8B 08 FF 51 3C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 44 01 00 00 89 9E 50 02 00 00 8B D3 8B C6 8B 08 FF 51 3C 33 D2 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 89 98 4C 02 00 00 C7 80 48 02 00 00 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? C7 83 34 01 00 00 08 00 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5390_0 {
	meta:
		name = "TDBLookupCombo.Destroy"
		size = 61
		refs = "0015 TObject.Free 0029 TWinControl.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 40 01 00 00 33 D2 89 50 2C 89 50 30 E8 ?? ?? ?? ?? 33 C0 89 86 40 01 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5391_0 {
	meta:
		name = "TDBLookupCombo.Notification"
		size = 80
		refs = "0010 TControl.Notification 0025 TDBLookupCombo.GetDataSource 0032 TDBLookupCombo.SetDataSource 003b TDBLookupCombo.GetLookupSource 0048 TDBLookupCombo.SetLookupSource"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 33 83 BE 40 01 00 00 00 74 2A 8B C6 E8 ?? ?? ?? ?? 3B F8 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 14 8B C6 E8 ?? ?? ?? ?? 3B F8 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5392_0 {
	meta:
		name = "_NF__1BD"
		size = 47
	strings:
		$1 = { 8B 88 40 01 00 00 83 79 04 00 74 20 8B 90 44 01 00 00 8B 8A 2C 02 00 00 3B 8A 28 02 00 00 75 09 80 B8 50 01 00 00 01 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_5393_0 {
	meta:
		name = "_NF__1BE"
		size = 46
		refs = "001e _NF__1BD"
	strings:
		$1 = { 53 8B D8 8B 83 40 01 00 00 83 78 04 00 74 1B 8B 83 40 01 00 00 80 78 28 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5394_0 {
	meta:
		name = "TDBLookupCombo.KeyDown"
		size = 221
		refs = "0012 TWinControl.KeyDown 002b _NF__1BD 003a TFieldDataLink.Edit 0041 _NF__1BE 009d @CallDynaInst"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 66 8B 06 66 83 E8 08 74 09 83 C0 DB 66 83 E8 02 73 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 66 C7 06 00 00 EB 22 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 66 8B 06 83 C0 DD 66 83 E8 03 72 06 66 83 E8 01 75 05 66 C7 06 00 00 66 8B 06 83 C0 DF 66 83 E8 02 72 0C 66 83 E8 03 74 06 66 83 E8 02 75 4F 8B 83 44 01 00 00 80 78 44 00 75 0D 8B C3 66 BB DA FF E8 ?? ?? ?? ?? EB 31 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 83 40 01 00 00 83 78 04 00 74 06 80 78 28 00 74 14 8B D6 8A 0C 24 8B 83 44 01 00 00 66 BB DF FF E8 ?? ?? ?? ?? 66 C7 06 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5395_0 {
	meta:
		name = "TDBLookupCombo.KeyPress"
		size = 216
		refs = "000c TWinControl.KeyPress 003e _NF__1BD 004c MessageBeep 008d TFieldDataLink.Edit 0094 _NF__1BE 00b9 TFieldDataLink.Reset 00c6 @CallDynaInst 00cd _NF__23A"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8A 07 04 E0 2C E0 73 38 8B 86 40 01 00 00 83 78 1C 00 74 2C 8A 17 8B 86 40 01 00 00 8B 40 1C 8B 08 FF 91 94 00 00 00 84 C0 75 15 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A C6 07 00 6A 00 E8 ?? ?? ?? ?? 33 C0 8A 07 83 F8 18 7F 13 74 20 83 E8 08 74 1B 83 E8 05 74 3C 83 E8 09 74 11 EB 68 83 E8 1B 74 35 83 C0 FB 2D E0 00 00 00 73 59 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 38 C6 07 00 EB 33 C6 07 00 EB 2E 8B 86 44 01 00 00 80 78 44 00 75 0D 8B 86 40 01 00 00 E8 ?? ?? ?? ?? EB 0B 8B C6 66 BB D9 FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 07 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5396_0 {
	meta:
		name = "TDBLookupCombo.Change"
		size = 29
		refs = "0010 TFieldDataLink.Modified 0017 TCustomEdit.Change"
	strings:
		$1 = { 53 8B D8 8B 83 40 01 00 00 80 78 28 00 74 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5397_0 {
	meta:
		name = "TDBLookupCombo.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 40 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_5398_0 {
	meta:
		name = "TDBLookupCombo.SetDataSource"
		size = 202
		refs = "000f TDBLookupCombo.SetDataSource 0020 TDBLookupCombo.GetLookupSource 002c SLookupSourceError 0031 LoadResString 003b _Dn_EInvalidOperation 0040 Exception.Create 0045 @RaiseExcept 0097 TDataLink.SetDataSource 00a4 TComponent.FreeNotification 00b9 @LStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 2C 8B C6 E8 ?? ?? ?? ?? 3B D8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 41 8B C6 E8 ?? ?? ?? ?? 85 C0 74 36 83 7B 24 00 74 30 8B C6 E8 ?? ?? ?? ?? 8B 40 24 3B 43 24 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5399_0 {
	meta:
		name = "TDBLookupCombo.GetLookupSource"
		size = 12
		refs = "0007 TDBLookupList.GetLookupSource"
	strings:
		$1 = { 8B 80 44 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5400_0 {
	meta:
		name = "TDBLookupCombo.SetLookupSource"
		size = 166
		refs = "0010 TDBLookupCombo.SetLookupSource 0021 TDBLookupCombo.GetDataSource 0037 TDataLink.GetDataSet 0043 SLookupSourceError 0048 LoadResString 0052 _Dn_EInvalidOperation 0057 Exception.Create 005c @RaiseExcept 0069 TDBLookupList.SetLookupSource 0072 _NF__1E1 007f TComponent.FreeNotification 0094 @LStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 42 8B C3 E8 ?? ?? ?? ?? 3B F0 74 16 8B 7E 24 85 FF 74 30 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 3B F8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5401_0 {
	meta:
		name = "TDBLookupCombo.SetLookupDisplay"
		size = 47
		refs = "000a TDBLookupList.SetLookupDisplay 0017 TDBLookupList.InitFields 0020 TDBLookupCombo.SetValue 0029 _NF__1E1"
	strings:
		$1 = { 53 8B D8 8B 83 44 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5402_0 {
	meta:
		name = "TDBLookupCombo.GetLookupDisplay"
		size = 28
		refs = "0015 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 44 01 00 00 8B 92 20 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5403_0 {
	meta:
		name = "TDBLookupCombo.SetLookupField"
		size = 38
		refs = "000a TDBLookupList.SetLookupField 0017 TDBLookupList.InitFields 0020 _NF__1E1"
	strings:
		$1 = { 53 8B D8 8B 83 44 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5404_0 {
	meta:
		name = "TDBLookupCombo.GetLookupField"
		size = 28
		refs = "0015 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 44 01 00 00 8B 92 24 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5405_0 {
	meta:
		name = "TDBLookupCombo.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 40 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5407_0 {
	meta:
		name = "_NF__1E1"
		size = 107
		refs = "000d _NF__1E1 003a TDBLookupCombo.SetValue 0045 TControl.SetText 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 40 01 00 00 8B 70 1C 85 F6 74 1C F6 43 20 01 75 16 8D 55 FC 8B C6 8B 08 FF 51 48 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5408_0 {
	meta:
		name = "TDBLookupCombo.GetValue"
		size = 51
		refs = "0009 _NF__1BD 0016 TControl.GetText 002c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 44 01 00 00 8B 92 30 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5410_0 {
	meta:
		name = "TDBLookupCombo.SetDisplayValue"
		size = 72
		refs = "0016 @LStrCmp 002d TDBLookupList.SetDisplayValue 0040 TControl.SetText"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 44 01 00 00 8B 86 34 02 00 00 8B D7 E8 ?? ?? ?? ?? 74 28 8B 86 C4 01 00 00 80 78 15 00 74 1C 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 8B 90 34 02 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5411_0 {
	meta:
		name = "TDBLookupCombo.SetValue"
		size = 264
		refs = "0012 TDBLookupCombo.SetValue 003d TDBLookupCombo.GetDataSource 0046 TDBLookupCombo.GetLookupSource 0068 SLookupSourceError 006d LoadResString 0077 _Dn_EInvalidOperation 007c Exception.Create 0081 @RaiseExcept 0094 @LStrCmp 00a0 TControl.GetText 00c5 TDBLookupList.SetValue 00d8 TControl.SetText 00ed @LStrClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 44 01 00 00 8B 80 C4 01 00 00 80 78 15 00 74 57 8B 83 40 01 00 00 80 78 15 00 74 4B 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3B F8 74 16 8B C3 E8 ?? ?? ?? ?? 8B 78 24 8B C3 E8 ?? ?? ?? ?? 3B 78 24 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 44 01 00 00 8B 80 30 02 00 00 8B D6 E8 ?? ?? ?? ?? 75 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 74 2C 8B 83 44 01 00 00 8B 90 C4 01 00 00 80 7A 15 00 74 1A 8B D6 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 8B 90 34 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5412_0 {
	meta:
		name = "TDBLookupCombo.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 40 01 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_5413_0 {
	meta:
		name = "TDBLookupCombo.SetReadOnly"
		size = 35
		refs = "000a TDataLink.SetReadOnly 0011 _NF__1BE 001d TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 8B D8 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5414_0 {
	meta:
		name = "_NF__1F1"
		size = 24
		refs = "0006 _NF__1BE 0012 TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5415_0 {
	meta:
		name = "_NF__1F2"
		size = 133
		refs = "000c _NF__1F2 0025 _NF__1BD 0033 TControl.GetText 0075 @LStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 40 01 00 00 83 78 1C 00 74 42 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 40 01 00 00 8B 40 1C 8B 08 FF 51 78 EB 1A 8B 83 44 01 00 00 8B 90 30 02 00 00 8B 83 40 01 00 00 8B 40 1C 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5416_0 {
	meta:
		name = "_NF__1F3"
		size = 57
		refs = "002a TDBLookupList.SetValue 0033 _NF__1E1"
	strings:
		$1 = { 53 8B D8 8B 83 40 01 00 00 80 78 15 00 74 28 8B 83 44 01 00 00 8B 80 C4 01 00 00 80 78 15 00 74 16 33 D2 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5417_0 {
	meta:
		name = "TDBLookupCombo.WMCut"
		size = 51
		refs = "0009 _NF__1BD 0018 TFieldDataLink.Edit 001f _NF__1BE"
		altNames = "TDBLookupCombo.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_5419_0 {
	meta:
		name = "TDBLookupCombo.CreateParams"
		size = 26
		refs = "0006 TCustomEdit.CreateParams"
		altNames = "TSpinEdit.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 8B 43 04 83 C8 04 0D 00 00 00 02 89 43 04 5B C3 }
	condition:
		$1
}

rule function_5420_0 {
	meta:
		name = "TDBLookupCombo.CreateWnd"
		size = 39
		refs = "0006 TCustomEdit.CreateWnd 000d _NF__1FF 0018 TWinControl.HandleNeeded 0021 _NF__1E1"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5421_0 {
	meta:
		name = "_NF__1FF"
		size = 73
		refs = "0009 TControl.GetClientHeight 003a TWinControl.GetHandle 0040 SendMessage"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 0C 8B 83 4C 01 00 00 8B 40 30 83 E8 02 89 44 24 08 33 C0 89 44 24 04 33 C0 89 04 24 8B C4 50 6A 00 68 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_5422_0 {
	meta:
		name = "TDBLookupCombo.WMSize"
		size = 192
		refs = "0007 TWinControl.WMSize 0029 _NF__203 0037 TControl.SetHeight 003f NewStyleControls 0055 TControl.GetClientHeight 005d TControl.GetClientWidth 00b9 _NF__1FF"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? F6 46 20 10 74 15 6A 0A 6A 0A 8B 4E 3C 41 33 D2 8B 86 44 01 00 00 8B 18 FF 53 4C 8B C6 E8 ?? ?? ?? ?? 3B 46 3C 7E 0C 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 A1 ?? ?? ?? ?? 80 38 00 74 2C 8B 86 48 01 00 00 8B 58 38 53 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 2B D3 33 C9 8B 86 4C 01 00 00 8B 18 FF 53 4C EB 2E 8B 86 48 01 00 00 8B 58 38 53 8B C6 E8 ?? ?? ?? ?? 48 50 8B C6 E8 ?? ?? ?? ?? 8B D0 2B D3 B9 01 00 00 00 8B 86 4C 01 00 00 8B 18 FF 53 4C 8B 86 4C 01 00 00 8B 50 3C 8B 86 48 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5423_0 {
	meta:
		name = "_NF__203"
		size = 124
		refs = "000b GetDC 0014 GetTextMetrics 001c TFont.GetHandle 0023 SelectObject 003f ReleaseDC 0065 GetSystemMetrics"
	strings:
		$1 = { 53 56 57 83 C4 90 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 54 53 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F8 8D 44 24 38 50 53 E8 ?? ?? ?? ?? 57 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 04 24 8B 54 24 38 3B C2 7E 02 8B C2 8B D8 85 DB 79 03 83 C3 03 C1 FB 02 89 9E 3C 01 00 00 6A 06 E8 ?? ?? ?? ?? C1 E0 02 8B 54 24 38 03 D3 03 C2 40 83 C4 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5424_0 {
	meta:
		name = "TDBLookupCombo.WMPaint"
		size = 555
		refs = "0018 TDBLookupCombo.WMPaint 0026 _NF__1BD 0035 TWinControl.WMPaint 004d _Dn_TControlCanvas 0052 TCanvas.Create 0067 TControlCanvas.SetControl 007d TWinControl.GetHandle 0083 BeginPaint 0092 TCanvas.SetHandle 00af GetFocus 00c8 TCanvas.SetFont 00e9 TBrush.SetColor 00f3 TCanvas.FrameRect 0100 InflateRect 010a TBrush.SetStyle 0122 TCanvas.FillRect 0164 TFont.SetColor 0179 TControl.GetText 0181 @LStrLen 0195 @LStrToPChar 01af TCanvas.GetHandle 01b5 ExtTextOut 01c3 TCanvas.DrawFocusRect 01fb EndPaint 0201 @HandleFinally 0218 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 C9 89 4D A0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 C9 01 00 00 8B 45 FC 83 B8 30 01 00 00 00 75 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 30 01 00 00 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 85 C0 75 12 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 30 01 00 00 92 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 0F 94 C3 8B 45 FC 8B 50 50 8B 45 FC 8B 80 30 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B B0 30 01 00 00 8D 55 A4 8B 45 FC 8B 08 FF 51 2C 8B 46 14 BA 06 00 00 80 E8 ?? ?? ?? ?? 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 A4 50 E8 ?? ?? ?? ?? 8B 46 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 54 8B 46 14 E8 ?? ?? ?? ?? 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 3C 01 00 00 89 45 F4 83 45 A4 02 8B 55 FC 8B 92 4C 01 00 00 8B 52 30 83 EA 02 89 55 AC 8B F8 84 DB 74 22 8B 46 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8B 46 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? 83 45 A8 02 83 6D B0 02 6A 00 8D 55 A0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 50 8D 55 A0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 50 8D 45 A4 50 6A 06 8B 45 F4 50 57 8B 45 FC 8B 80 30 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 0A 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 30 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 75 12 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5426_0 {
	meta:
		name = "TDBLookupCombo.CMEnabledChanged"
		size = 26
		refs = "0006 TWinControl.CMEnabledChanged 0014 TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 53 45 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5427_0 {
	meta:
		name = "TDBLookupCombo.WMKillFocus"
		size = 23
		refs = "0006 TWinControl.WMKillFocus 0011 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB D9 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5428_0 {
	meta:
		name = "TDBLookupCombo.CMCancelMode"
		size = 43
		refs = "0025 @CallDynaInst"
	strings:
		$1 = { 53 8B 4A 08 3B C1 74 21 3B 88 4C 01 00 00 74 19 3B 88 48 01 00 00 74 11 3B 88 44 01 00 00 74 09 66 BB D9 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5429_0 {
	meta:
		name = "TDBLookupCombo.CMHintShow"
		size = 14
	strings:
		$1 = { 8B 80 44 01 00 00 0F B6 40 44 89 42 0C C3 }
	condition:
		$1
}

rule function_5430_0 {
	meta:
		name = "TDBLookupCombo.DropDown"
		size = 604
		refs = "0017 TDBLookupCombo.DropDown 0065 GetSystemMetrics 0081 NewStyleControls 009b TDBLookupCombo.GetOptions 00d1 TControl.SetHeight 0109 TControl.GetClientHeight 0124 Screen 012b TScreen.GetHeight 01b7 TWinControl.GetHandle 01bd SetWindowPos 01ee TDBLookupCombo.GetLookupField 01f6 @LStrLen 0204 TControl.GetText 0212 TDBLookupList.SetDisplayValue 021f TControl.SetVisible 022c SetFocus 0241 @LStrClr 024f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E0 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 44 01 00 00 80 78 44 00 0F 85 FF 01 00 00 83 7B 38 14 0F 8E F5 01 00 00 66 83 BB 56 01 00 00 00 74 0E 8B D3 8B 83 58 01 00 00 FF 93 54 01 00 00 8B B3 34 01 00 00 85 F6 75 05 BE 01 00 00 00 6A 05 E8 ?? ?? ?? ?? 89 45 EC 6A 06 E8 ?? ?? ?? ?? 89 45 E8 8D 55 F8 8B C3 8B 08 FF 51 28 A1 ?? ?? ?? ?? 80 38 00 74 0E 8B 45 EC 03 C0 29 45 F8 8B 45 E8 29 45 FC 8B C3 E8 ?? ?? ?? ?? A8 02 74 09 C7 45 F0 01 00 00 00 EB 05 33 C0 89 45 F0 8B 83 44 01 00 00 8B B8 40 01 00 00 03 7D F0 8B 90 40 02 00 00 03 D6 0F AF FA 83 C7 02 8B D7 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 8B 90 58 01 00 00 3B F2 7E 17 8B F2 8B B8 40 01 00 00 03 7D F0 03 B0 40 02 00 00 0F AF FE 83 C7 04 A1 ?? ?? ?? ?? 80 38 00 74 16 8B C3 E8 ?? ?? ?? ?? 8B F0 03 75 FC 8B 45 E8 8D 04 40 03 F0 EB 07 8B 75 FC 03 73 3C 4E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 14 37 3B C2 7D 33 8B 45 FC 8B F0 2B F7 46 85 F6 7D 27 8B 15 ?? ?? ?? ?? 80 3A 00 74 16 8B C3 E8 ?? ?? ?? ?? 8B F0 03 75 FC 8B 45 E8 8D 04 40 03 F0 EB 06 8B F0 03 73 3C 4E 8B 83 38 01 00 00 89 45 F4 83 7D F4 00 75 20 A1 ?? ?? ?? ?? 80 38 00 74 0D 8B 45 EC 03 C0 03 43 38 89 45 F4 EB 09 8B 43 38 83 E8 04 89 45 F4 A1 ?? ?? ?? ?? 80 38 00 74 21 6A 10 57 8B 45 F4 50 56 8B 45 F8 50 6A 00 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 25 6A 10 57 8B 45 F4 50 56 8B 45 F8 03 43 38 2B 45 F4 50 6A 00 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 75 18 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8B 83 44 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5431_0 {
	meta:
		name = "TDBLookupCombo.CloseUp"
		size = 14
		refs = "0009 TControl.SetVisible"
	strings:
		$1 = { 33 D2 8B 80 44 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5432_0 {
	meta:
		name = "TDBLookupCombo.GridClick"
		size = 58
		refs = "000a TFieldDataLink.Edit 0021 TFieldDataLink.Modified 0034 TControl.SetText"
	strings:
		$1 = { 53 8B D8 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 83 40 01 00 00 83 78 04 00 74 06 80 78 28 00 74 18 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 8B 90 34 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5433_0 {
	meta:
		name = "TDBLookupCombo.SetStyle"
		size = 15
	strings:
		$1 = { 3A 90 50 01 00 00 74 06 88 90 50 01 00 00 C3 }
	condition:
		$1
}

rule function_5434_0 {
	meta:
		name = "TDBLookupCombo.WMLButtonDown"
		size = 41
		refs = "0009 _NF__1BD 0016 TControl.WMLButtonDown 0022 _NF__22A"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5436_0 {
	meta:
		name = "TDBLookupCombo.WMLButtonDblClk"
		size = 41
		refs = "0009 _NF__1BD 0016 TControl.WMLButtonDblClk 0022 _NF__22A"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5435_0 {
	meta:
		name = "TDBLookupCombo.WMLButtonUp"
		size = 38
		refs = "0009 _NF__1BD 0016 TControl.SetMouseCapture 001f TControl.WMLButtonUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5437_0 {
	meta:
		name = "_NF__22A"
		size = 125
		refs = "0011 TWinControl.GetHandle 0017 HideCaret 002e @CallDynaInst 0044 TControl.SetMouseCapture 0066 KeysToShiftState"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 78 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 86 44 01 00 00 80 78 44 00 74 0D 8B C6 66 BB D9 FF E8 ?? ?? ?? ?? EB 0B 8B C6 66 BB DA FF E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? F6 46 40 08 74 09 8A 5E 42 80 CB 02 88 5E 42 0F BF 47 08 50 0F BF 47 0A 50 66 8B 47 04 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 66 BB E8 FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5438_0 {
	meta:
		name = "_NF__22B"
		size = 208
		refs = "002f TControl.ClientToScreen 005c TControl.GetClientWidth 006a TControl.GetClientHeight 007f MakeLong 008e TControl.Perform 009b TControl.ScreenToClient"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D FC 8B DA 8B F8 80 7B 44 00 0F 84 AD 00 00 00 8B 45 FC 89 45 F4 8B 45 08 89 45 F8 8D 4D E4 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 8B 45 E8 89 45 F8 8D 55 EC 8B C3 8B 08 FF 51 28 8B 75 F4 3B 75 EC 7C 76 8B 45 F8 3B 45 F0 7C 6E 8B C3 E8 ?? ?? ?? ?? 03 45 EC 3B F0 7F 60 8B C3 E8 ?? ?? ?? ?? 03 45 F0 3B 45 F8 7C 51 66 8B 55 08 66 8B 45 FC E8 ?? ?? ?? ?? 50 33 C9 BA 02 02 00 00 8B C7 E8 ?? ?? ?? ?? 8D 4D E4 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 8B 45 E8 89 45 F8 66 8B 55 F8 66 8B 45 F4 E8 ?? ?? ?? ?? 50 33 C9 BA 01 02 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5439_0 {
	meta:
		name = "TDBLookupCombo.MouseMove"
		size = 89
		refs = "001a TControl.MouseMove 0027 _NF__1BD 0032 TWinControl.GetHandle 0038 GetCapture 004d _NF__22B"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? F6 45 FF 08 74 2D 8B C3 E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 3B D0 75 10 57 8B CE 8B 93 44 01 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5440_0 {
	meta:
		name = "TDBLookupCombo.WMSetFocus"
		size = 36
		refs = "0006 TWinControl.WMSetFocus 000d _NF__1BD 0018 TWinControl.GetHandle 001e HideCaret"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5441_0 {
	meta:
		name = "TDBLookupCombo.CMExit"
		size = 113
		refs = "000e TDBLookupCombo.CMExit 0022 TDataLink.UpdateRecord 0031 @HandleAnyException 0039 _NF__23A 0046 @RaiseAgain 004b @DoneExcept 0055 TWinControl.CMExit 005d _NF__1BD"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 FC 8B 10 FF 52 44 5B 59 5D C3 }
	condition:
		$1
}

rule function_5442_0 {
	meta:
		name = "TDBLookupCombo.CMEnter"
		size = 58
		refs = "0018 _NF__23A 0021 TCustomEdit.CMEnter 0028 _NF__1BD"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 20 01 00 00 00 74 0D F6 43 42 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_5444_0 {
	meta:
		name = "TDBLookupCombo.SetOptions"
		size = 20
		refs = "000e TDBLookupList.SetOptions"
	strings:
		$1 = { 51 88 14 24 8A 14 24 8B 80 44 01 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_5445_0 {
	meta:
		name = "TDBLookupCombo.GetOptions"
		size = 15
	strings:
		$1 = { 8B 80 44 01 00 00 8A 90 3C 02 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_5446_0 {
	meta:
		name = "TDBLookupCombo.Loaded"
		size = 21
		refs = "0006 TComponent.Loaded 000f _NF__1E1"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5449_0 {
	meta:
		name = "TDBLookupList.CreateWnd"
		size = 21
		refs = "0006 TCustomDBGrid.CreateWnd 000f _NF__273"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5487_0 {
	meta:
		name = "TDBLookupList.Loaded"
		size = 21
		refs = "0006 TCustomDBGrid.Loaded 000f _NF__273"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5447_0 {
	meta:
		name = "TDBLookupList.Create"
		size = 196
		refs = "000e @ClassCreate 001c TCustomDBGrid.Create 0023 _Dn_TFieldDataLink 0028 TDataLink.Create 003d _NF__273 0047 _NF__274 0051 _NF__2AB 0071 TDBLookupList.Create 0078 TCustomDBGrid.SetOptions 0081 TCustomGrid.SetFixedCols 008a TCustomGrid.SetFixedRows 0096 TControl.SetWidth 00a2 TControl.SetHeight"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 02 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 89 5E 48 C7 46 44 ?? ?? ?? ?? 33 C0 89 83 40 02 00 00 C6 83 18 02 00 00 00 C7 83 38 02 00 00 FF FF FF FF 66 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 01 00 00 }
	condition:
		$1
}

rule function_5448_0 {
	meta:
		name = "TDBLookupList.Destroy"
		size = 61
		refs = "0015 TObject.Free 0029 TCustomDBGrid.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 1C 02 00 00 33 D2 89 50 2C 89 50 30 E8 ?? ?? ?? ?? 33 C0 89 86 1C 02 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5450_0 {
	meta:
		name = "TDBLookupList.Notification"
		size = 58
		refs = "0010 TCustomDBGrid.Notification 0025 TDBLookupList.GetDataSource 0032 TDBLookupList.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 1C 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5451_0 {
	meta:
		name = "TDBLookupList.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 1C 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_5452_0 {
	meta:
		name = "TDBLookupList.SetDataSource"
		size = 157
		refs = "0010 TDBLookupList.SetDataSource 0021 TDBLookupList.GetLookupSource 0037 TDataLink.GetDataSet 0043 SLookupSourceError 0048 LoadResString 0052 _Dn_EInvalidOperation 0057 Exception.Create 005c @RaiseExcept 0069 TDataLink.SetDataSource 0076 TComponent.FreeNotification 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 42 8B C6 E8 ?? ?? ?? ?? 3B D8 74 16 8B 7B 24 85 FF 74 30 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 3B F8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5454_0 {
	meta:
		name = "_NF__256"
		size = 44
		refs = "0008 TDBLookupList.InitFields 001d @LStrClr 0026 _NF__273"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 98 00 00 00 8D 83 30 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5455_0 {
	meta:
		name = "TDBLookupList.SetLookupSource"
		size = 210
		refs = "0010 TDBLookupList.SetLookupSource 0021 TDBLookupList.GetDataSource 0037 TDataLink.GetDataSet 0043 SLookupSourceError 0048 LoadResString 0052 _Dn_EInvalidOperation 0057 Exception.Create 005c @RaiseExcept 0071 _Dn_TTable 0076 TObject.InheritsFrom 0082 SLookupTableError 00a4 TCustomDBGrid.SetDataSource 00ab _NF__256 00c0 @LStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 42 8B C6 E8 ?? ?? ?? ?? 3B D8 74 16 8B 7B 24 85 FF 74 30 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 3B F8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 3B 83 7B 24 00 74 35 8B 43 24 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5456_0 {
	meta:
		name = "TDBLookupList.SetLookupDisplay"
		size = 44
		refs = "000f @LStrCmp 001e @LStrAsg 0025 _NF__256"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 20 02 00 00 E8 ?? ?? ?? ?? 74 14 8D 83 20 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5457_0 {
	meta:
		name = "TDBLookupList.SetLookupField"
		size = 44
		refs = "000f @LStrCmp 001e @LStrAsg 0025 _NF__256"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 24 02 00 00 E8 ?? ?? ?? ?? 74 14 8D 83 24 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5458_0 {
	meta:
		name = "TDBLookupList.SetValue"
		size = 345
		refs = "0010 TDBLookupList.SetValue 0035 TDBLookupList.GetDataSource 003e TDBLookupList.GetLookupSource 0060 SLookupSourceError 0065 LoadResString 006f _Dn_EInvalidOperation 0074 Exception.Create 0079 @RaiseExcept 0086 @LStrCmp 00c0 @LStrAsg 00d1 _NF__266 0132 @LStrClr 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C4 01 00 00 80 78 15 00 74 57 8B 83 1C 02 00 00 80 78 15 00 74 4B 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3B F8 74 16 8B C3 E8 ?? ?? ?? ?? 8B 78 24 8B C3 E8 ?? ?? ?? ?? 3B 78 24 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 30 02 00 00 8B D6 E8 ?? ?? ?? ?? 75 12 8B 83 38 01 00 00 3B 83 40 02 00 00 0F 85 98 00 00 00 8B 83 C4 01 00 00 80 78 15 00 0F 84 88 00 00 00 83 BB 2C 02 00 00 00 74 7F 8D 83 30 02 00 00 8B D6 E8 ?? ?? ?? ?? C7 83 38 02 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 80 BB 44 02 00 00 00 74 2C 8B 83 2C 02 00 00 3B 83 28 02 00 00 74 1E 8D 55 FC 8B 83 28 02 00 00 8B 08 FF 51 48 8B 55 FC 8D 83 34 02 00 00 E8 ?? ?? ?? ?? EB 2C 8B 83 2C 02 00 00 3B 83 28 02 00 00 75 13 8D 83 34 02 00 00 8B 93 30 02 00 00 E8 ?? ?? ?? ?? EB 0B 8D 83 34 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5459_0 {
	meta:
		name = "TDBLookupList.SetDisplayValue"
		size = 318
		refs = "0010 TDBLookupList.SetDisplayValue 0023 @LStrCmp 0073 TCustomDBGrid.GetDataSource 007c _Dn_TTable 0081 @IsClass 0096 TTable.SetKey 00aa TTable.GotoKey 00bd @LStrAsg 00f2 @LStrClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 34 02 00 00 8B D6 E8 ?? ?? ?? ?? 75 12 8B 83 38 01 00 00 3B 83 40 02 00 00 0F 85 E0 00 00 00 C6 83 44 02 00 00 00 8B 83 C4 01 00 00 80 78 15 00 0F 84 C9 00 00 00 83 BB 28 02 00 00 00 0F 84 BC 00 00 00 C7 83 38 02 00 00 FF FF FF FF C6 83 44 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B C3 E8 ?? ?? ?? ?? 8B 78 24 8B C7 E8 ?? ?? ?? ?? 8B D6 8B 83 28 02 00 00 8B 08 FF 51 78 8B C7 E8 ?? ?? ?? ?? 88 83 44 02 00 00 8D 83 34 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B B3 2C 02 00 00 3B B3 28 02 00 00 75 13 8D 83 30 02 00 00 8B 93 34 02 00 00 E8 ?? ?? ?? ?? EB 39 80 BB 44 02 00 00 00 75 18 8D 83 34 02 00 00 E8 ?? ?? ?? ?? 8D 83 30 02 00 00 E8 ?? ?? ?? ?? EB 18 8D 55 FC 8B C6 8B 08 FF 51 48 8B 55 FC 8D 83 30 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5460_0 {
	meta:
		name = "_NF__266"
		size = 307
		refs = "0017 _NF__266 002b TWinControl.HandleAllocated 0047 TCustomDBGrid.GetDataSource 0050 _Dn_TTable 0055 @IsClass 006e TBDEDataSet.GetIndexFieldCount 007b TBDEDataSet.GetIndexField 0089 AnsiCompareText 0099 SLookupIndexError 009e LoadResString 00ba Format 00c4 _Dn_EInvalidOperation 00c9 Exception.Create 00ce @RaiseExcept 00db TTable.SetKey 00f3 TTable.GotoKey 0106 TDataSet.First 0120 @LStrArrayClr 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 87 44 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 D3 00 00 00 83 BF 30 02 00 00 00 0F 84 C6 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 40 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A9 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 70 24 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 5C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 40 28 8B 97 24 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 41 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 87 24 02 00 00 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 5D 04 74 32 8B C6 E8 ?? ?? ?? ?? 8B 97 30 02 00 00 8B 87 2C 02 00 00 8B 08 FF 51 78 8B C6 E8 ?? ?? ?? ?? 8B D8 88 9F 44 02 00 00 84 DB 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5461_0 {
	meta:
		name = "TDBLookupList.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 1C 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5462_0 {
	meta:
		name = "TDBLookupList.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5465_0 {
	meta:
		name = "TDBLookupList.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12487_0 {
	meta:
		name = "TQRStandardPreview.FormResize"
		size = 12
		refs = "0007 TQRPreview.UpdateZoom"
	strings:
		$1 = { 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5463_0 {
	meta:
		name = "TDBLookupList.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 1C 02 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_5464_0 {
	meta:
		name = "TDBLookupList.CanEdit"
		size = 24
	strings:
		$1 = { 8B 90 1C 02 00 00 83 7A 04 00 74 09 80 7A 28 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_5466_0 {
	meta:
		name = "_NF__273"
		size = 107
		refs = "000d _NF__273 003a TDBLookupList.SetValue 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 1C 02 00 00 8B 70 1C 85 F6 74 1C F6 43 20 01 75 16 8D 55 FC 8B C6 8B 08 FF 51 48 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5467_0 {
	meta:
		name = "_NF__274"
		size = 30
	strings:
		$1 = { 56 8B 90 1C 02 00 00 8B 72 1C 85 F6 74 0E 8B D6 8B 80 30 02 00 00 92 8B 08 FF 51 78 5E C3 }
	condition:
		$1
}

rule function_5468_0 {
	meta:
		name = "TDBLookupList.InitFields"
		size = 465
		refs = "001d TDBLookupList.InitFields 004e @LStrLen 0061 TDataLink.GetDataSet 0070 TDataSet.FindField 008e SFieldNotFound 0093 LoadResString 00bc Format 00c6 _Dn_EInvalidOperation 00cb Exception.Create 00d0 @RaiseExcept 0108 ExtractFieldName 01b1 @LStrClr 01be @LStrArrayClr 01c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D F4 89 4D F0 89 4D DC 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 83 28 02 00 00 33 C0 89 83 2C 02 00 00 8B 83 C4 01 00 00 80 78 15 00 0F 84 59 01 00 00 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 46 01 00 00 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B 93 24 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 89 B3 2C 02 00 00 85 F6 0F 94 C0 22 45 FF 74 53 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 43 08 89 45 E0 C6 45 E4 0B 8B 83 24 02 00 00 89 45 E8 C6 45 EC 0B 8D 55 E0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C7 00 00 00 85 F6 0F 84 BF 00 00 00 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 97 00 00 00 C7 45 F8 01 00 00 00 8D 4D F4 8D 55 F8 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B F0 89 B3 28 02 00 00 85 F6 0F 94 C0 22 45 FF 74 63 C7 45 F8 01 00 00 00 8D 45 F4 50 8B 43 08 89 45 E0 C6 45 E4 0B 8D 4D F0 8D 55 F8 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 89 45 E8 C6 45 EC 0B 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB 28 02 00 00 00 75 0C 8B 83 2C 02 00 00 89 83 28 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5469_0 {
	meta:
		name = "TDBLookupList.DefineFieldMap"
		size = 173
		refs = "0012 TDBLookupList.DefineFieldMap 0021 TDBLookupList.InitFields 0035 @LStrLen 004d TGridDataLink.AddMapping 0069 ExtractFieldName 009c @LStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 83 BB 2C 02 00 00 00 74 5D 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 16 8B 83 2C 02 00 00 8B 50 28 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? EB 38 C7 45 FC 01 00 00 00 EB 1F 8D 4D F8 8D 55 FC 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 3B 45 FC 7D D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5470_0 {
	meta:
		name = "TDBLookupList.SetColumnAttributes"
		size = 136
		refs = "000a TCustomDBGrid.SetColumnAttributes 0011 TCustomDBGrid.GetFieldCount 0045 TCustomGrid.GetColWidths 005e TControl.GetClientWidth 007e TCustomGrid.SetColWidths"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 69 33 C0 89 04 24 F6 83 3C 02 00 00 01 74 07 C7 04 24 01 00 00 00 33 F6 8B BB 28 01 00 00 83 EF 02 85 FF 7C 15 47 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 03 F0 03 34 24 45 4F 75 EE 83 BB 28 01 00 00 01 74 0E 8B C3 E8 ?? ?? ?? ?? 83 E8 0F 3B F0 7D 19 8B C3 E8 ?? ?? ?? ?? 8B C8 2B CE 8B 93 28 01 00 00 4A 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5471_0 {
	meta:
		name = "TDBLookupList.WMSize"
		size = 22
		refs = "0006 TCustomDBGrid.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_5472_0 {
	meta:
		name = "TDBLookupList.CanGridAcceptKey"
		size = 331
		refs = "0038 TFieldDataLink.Edit 0061 TCustomDBGrid.GetDataSource 008f TDataLink.GetActiveRecord 00a0 TCustomGrid.SetRow 00b1 TDataLink.SetActiveRecord 00cf _NF__266 00e2 TDataSet.First 0131 TCustomGrid.InvalidateRow 013c @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F4 88 4C 24 02 66 89 14 24 8B F0 B3 01 66 83 3C 24 2D 75 07 33 DB E9 22 01 00 00 66 8B 04 24 83 C0 DF 66 83 E8 08 0F 83 11 01 00 00 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 66 8B 04 24 83 C0 DB 66 83 E8 04 73 15 8B C6 8B 10 FF 92 A8 00 00 00 84 C0 75 07 33 DB E9 E4 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 D5 00 00 00 8B C6 E8 ?? ?? ?? ?? 80 78 2E 00 0F 84 C4 00 00 00 8B BE 38 02 00 00 85 FF 7C 32 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 3B F8 74 23 8B 96 38 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 96 38 02 00 00 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? E9 88 00 00 00 83 BE 38 02 00 00 00 7D 7F 80 BE 44 02 00 00 00 74 09 8B C6 E8 ?? ?? ?? ?? EB 6D 8B 86 C4 01 00 00 8B 40 04 8B 40 24 E8 ?? ?? ?? ?? 8B 96 40 02 00 00 8B C6 E8 ?? ?? ?? ?? 66 C7 04 24 00 00 8B 86 EC 00 00 00 89 44 24 04 8B 86 F0 00 00 00 89 44 24 08 66 83 7C 24 06 00 74 13 8A 44 24 02 50 8D 4C 24 04 8B D6 8B 44 24 0C FF 54 24 08 8B 96 40 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB C4 FF E8 ?? ?? ?? ?? 33 DB 8B C3 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5473_0 {
	meta:
		name = "TDBLookupList.KeyDown"
		size = 144
		refs = "0014 TDBLookupList.KeyDown 0032 TCustomDBGrid.KeyDown 004f @HandleFinally 0087 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 45 02 00 00 01 8B 55 F8 8A 4D F7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 45 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 66 8B 00 83 C0 DF 66 83 E8 04 72 0C 66 83 E8 01 74 06 66 83 E8 02 75 1B 8B 45 FC 8B 10 FF 92 A8 00 00 00 84 C0 74 0C 8B 45 FC 66 BB C4 FF E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5474_0 {
	meta:
		name = "TDBLookupList.KeyPress"
		size = 58
		refs = "000b TCustomDBGrid.KeyPress 0022 TDataLink.Edit 0030 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 06 2C 1B 74 14 04 FB 2C E0 73 1C 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? C6 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_5475_0 {
	meta:
		name = "TDBLookupList.MouseDown"
		size = 320
		refs = "001c TWinControl.CanFocus 0037 ValidParentForm 0048 TControl.SetMouseCapture 005e @CallDynaInst 0098 TCustomGrid.MouseCoord 00ae TFieldDataLink.Edit 00c2 TWinControl.GetHandle 00c8 SetTimer 00e2 TCustomGrid.InvalidateRow 00f6 TCustomGrid.SetRow 010d TDataLink.SetActiveRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D FF 8B DA 8B F0 8B 7D 0C F6 46 20 10 75 38 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2D 80 BE D4 00 00 00 00 74 24 8B C6 8B 10 FF 52 78 8B C6 E8 ?? ?? ?? ?? 3B B0 2C 01 00 00 74 0E 33 D2 8B C6 E8 ?? ?? ?? ?? E9 E6 00 00 00 F6 45 FF 40 74 10 8B C6 66 BB EF FF E8 ?? ?? ?? ?? E9 D0 00 00 00 84 DB 0F 85 A2 00 00 00 8B 86 C4 01 00 00 83 78 04 00 0F 84 92 00 00 00 83 BE 28 02 00 00 00 0F 84 85 00 00 00 8D 45 F4 50 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 3B 86 40 02 00 00 7C 6A 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? C6 86 9A 01 00 00 01 6A 00 6A 3C 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 86 38 02 00 00 03 86 40 02 00 00 3B 45 F8 74 13 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 96 38 01 00 00 2B 96 40 02 00 00 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 8B 46 6C 89 45 EC 8B 46 70 89 45 F0 66 83 7D EE 00 74 13 8A 45 FF 50 57 8B 45 08 50 8B CB 8B D6 8B 45 F0 FF 55 EC 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5476_0 {
	meta:
		name = "TDBLookupList.MouseMove"
		size = 76
		refs = "0014 TCustomGrid.MouseMove 0042 TDataLink.SetActiveRecord"
	strings:
		$1 = { 55 8B EC 51 53 88 55 FF 8B D8 8B 45 08 50 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 9A 01 00 00 01 75 25 8B 83 38 01 00 00 3B 83 40 02 00 00 7C 17 8B 93 38 01 00 00 2B 93 40 02 00 00 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5477_0 {
	meta:
		name = "TDBLookupList.MouseUp"
		size = 89
		refs = "001f TCustomDBGrid.MouseUp 0043 TDataLink.SetActiveRecord 004e @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F0 8A 9E 9A 01 00 00 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 2A 8B 96 40 02 00 00 8B 86 38 01 00 00 3B D0 7F 0F 2B C2 8B D0 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 8B C6 66 BB C4 FF E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5478_0 {
	meta:
		name = "TDBLookupList.ListClick"
		size = 206
		refs = "000d TDBLookupList.ListClick 003b TFieldDataLink.Modified 0057 @LStrAsg 00bd @LStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 A8 00 00 00 84 C0 74 6F 83 BB 28 02 00 00 00 74 66 8B 83 1C 02 00 00 80 78 28 00 74 05 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 28 02 00 00 8B 08 FF 51 48 8B 55 FC 8D 83 34 02 00 00 E8 ?? ?? ?? ?? 8B B3 2C 02 00 00 3B B3 28 02 00 00 74 1A 8D 55 FC 8B C6 8B 08 FF 51 48 8B 55 FC 8D 83 30 02 00 00 E8 ?? ?? ?? ?? EB 11 8D 83 30 02 00 00 8B 93 34 02 00 00 E8 ?? ?? ?? ?? 66 83 BB 4A 02 00 00 00 74 0E 8B D3 8B 83 4C 02 00 00 FF 93 48 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5479_0 {
	meta:
		name = "TDBLookupList.HighlightCell"
		size = 328
		refs = "0015 TDBLookupList.HighlightCell 00a5 TDataLink.GetActiveRecord 00c6 TDataLink.SetActiveRecord 00e8 @LStrCmp 011b @HandleFinally 0132 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 8B D9 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC 8B 80 C4 01 00 00 80 78 15 00 0F 84 EB 00 00 00 8B 45 FC 83 B8 2C 02 00 00 00 0F 84 DB 00 00 00 8B 45 FC 8B 10 FF 92 A8 00 00 00 84 C0 74 46 8B 45 FC 80 B8 9A 01 00 00 01 74 0C 8B 45 FC 80 B8 45 02 00 00 00 74 2E 8B 45 FC 8B 80 38 01 00 00 8B 55 FC 8B 92 40 02 00 00 03 D3 3B C2 0F 85 98 00 00 00 C6 45 FB 01 8B 45 FC 89 98 38 02 00 00 E9 86 00 00 00 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C4 01 00 00 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 80 2C 02 00 00 8B 08 FF 51 48 8B 55 F0 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 75 0D C6 45 FB 01 8B 45 FC 89 98 38 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5480_0 {
	meta:
		name = "TDBLookupList.Paint"
		size = 91
		refs = "0014 TCustomGrid.Paint 001b TWinControl.Focused 0044 TCustomGrid.BoxRect 0051 TCanvas.DrawFocusRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 C7 83 38 02 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 83 BB 38 02 00 00 FF 74 29 68 FF FF FF 7F 8B B3 38 02 00 00 56 8D 44 24 08 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D4 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_5481_0 {
	meta:
		name = "TDBLookupList.Scroll"
		size = 58
		refs = "0018 TCustomGrid.GetVisibleRowCount 0033 TCustomDBGrid.Scroll"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 38 02 00 00 00 7C 1F 29 B3 38 02 00 00 8B C3 E8 ?? ?? ?? ?? 3B 83 38 02 00 00 7F 0A C7 83 38 02 00 00 FF FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5482_0 {
	meta:
		name = "TDBLookupList.LinkActive"
		size = 152
		refs = "000c TDBLookupList.LinkActive 0019 TCustomDBGrid.LinkActive 002c TDBLookupList.GetLookupSource 0037 _Dn_TTable 003c TObject.InheritsFrom 0048 SLookupTableError 004d LoadResString 0057 _Dn_EInvalidOperation 005c Exception.Create 0061 @RaiseExcept 006a TDBLookupList.SetValue 0073 _NF__273 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 01 00 00 80 78 15 00 74 4E 8B C3 E8 ?? ?? ?? ?? 8B 40 24 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5483_0 {
	meta:
		name = "_NF__2AB"
		size = 32
		refs = "001b _NF__273"
	strings:
		$1 = { 8B 90 1C 02 00 00 80 7A 15 00 74 13 8B 90 C4 01 00 00 80 7A 15 00 74 07 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5484_0 {
	meta:
		name = "TDBLookupList.CMEnter"
		size = 32
		refs = "0006 TWinControl.CMEnter 001a TCustomGrid.InvalidateRow"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 83 F8 FF 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5485_0 {
	meta:
		name = "TDBLookupList.CMExit"
		size = 109
		refs = "000e TDBLookupList.CMExit 0022 TDataLink.UpdateRecord 0031 @HandleAnyException 003e @RaiseAgain 0043 @DoneExcept 004d TCustomDBGrid.CMExit 0065 TCustomGrid.InvalidateRow"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 38 02 00 00 83 F8 FF 74 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_5486_0 {
	meta:
		name = "TDBLookupList.SetOptions"
		size = 136
		refs = "0027 TDBLookupList.SetOptions 006d TCustomDBGrid.SetOptions"
	strings:
		$1 = { 53 56 51 88 14 24 8B D8 8A 04 24 3A 83 3C 02 00 00 74 5E 8A 04 24 88 83 3C 02 00 00 33 C0 89 83 40 02 00 00 66 8B 35 ?? ?? ?? ?? F6 04 24 01 74 0B 66 A1 ?? ?? ?? ?? 66 0B C6 8B F0 F6 04 24 02 74 0B 66 A1 ?? ?? ?? ?? 66 0B C6 8B F0 F6 04 24 04 74 15 C7 83 40 02 00 00 01 00 00 00 66 A1 ?? ?? ?? ?? 66 0B C6 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 00 01 00 00 20 00 00 00 40 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_5488_0 {
	meta:
		name = "TPopupGrid.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TDBLookupList.Create 0027 TWinControl.SetTabStop"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 19 02 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5489_0 {
	meta:
		name = "TPopupGrid.CreateParams"
		size = 19
		refs = "0006 TCustomGrid.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? C7 43 24 00 08 00 00 5B C3 }
	condition:
		$1
}

rule function_5490_0 {
	meta:
		name = "TPopupGrid.CreateWnd"
		size = 72
		refs = "0006 TDBLookupList.CreateWnd 0015 TWinControl.GetHandle 001b SetParent 0035 CallWindowProc 0042 _NF__1E1"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 75 0F 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 07 8B C3 E8 ?? ?? ?? ?? 50 8B 83 B8 00 00 00 50 E8 ?? ?? ?? ?? 8B D3 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5491_0 {
	meta:
		name = "TPopupGrid.WMLButtonUp"
		size = 27
		refs = "0006 TControl.WMLButtonUp 0015 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 50 02 00 00 66 BB D9 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5492_0 {
	meta:
		name = "TPopupGrid.CanEdit"
		size = 30
	strings:
		$1 = { 8B 90 50 02 00 00 8B 92 40 01 00 00 83 7A 04 00 74 09 80 7A 28 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_5493_0 {
	meta:
		name = "TPopupGrid.MouseDown"
		size = 57
		refs = "001a TFieldDataLink.Edit 002e TDBLookupList.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 8B 86 50 02 00 00 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5494_0 {
	meta:
		name = "TPopupGrid.LinkActive"
		size = 70
		refs = "000c TDBLookupList.LinkActive 002a TDBLookupList.InitFields 0033 TDBLookupList.SetValue 0040 _NF__1E1"
	strings:
		$1 = { 53 8B D8 83 7B 24 00 74 3B 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 01 00 00 80 78 15 00 74 28 83 BB 2C 02 00 00 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5496_0 {
	meta:
		name = "TComboButton.MouseDown"
		size = 152
		refs = "0023 TWinControl.GetHandle 0029 GetFocus 0035 TWinControl.CanFocus 0066 TSpeedButton.MouseDown 0081 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B DA 8B F8 8B 47 24 8B 70 24 8B 86 44 01 00 00 80 78 44 00 75 36 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 3B D0 74 24 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 8B C6 8B 10 FF 52 78 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 3B D0 75 3A 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 47 24 8B 40 24 8B 90 44 01 00 00 80 7A 44 00 74 0B 66 BB D9 FF E8 ?? ?? ?? ?? EB 09 66 BB DA FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5497_0 {
	meta:
		name = "TComboButton.MouseMove"
		size = 85
		refs = "001a TSpeedButton.MouseMove 0028 TWinControl.GetHandle 002e GetCapture 0049 _NF__22B"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? F6 45 FF 08 74 29 8B 43 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 3B D0 75 16 57 8B 43 24 8B 40 24 8B 90 44 01 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5500_0 {
	meta:
		name = "PasswordDialog"
		size = 105
		refs = "000b Application 0014 _DV_TPasswordDialog 0019 TCustomForm.Create 0024 PasswordDialog 003b TCustomForm.ShowModal 0055 TObject.Free 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 98 FC 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5501_0 {
	meta:
		name = "TPasswordDialog.EditChange"
		size = 134
		refs = "000d TPasswordDialog.EditChange 0021 TControl.GetText 0035 TControl.SetEnabled 0075 @LStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 86 E0 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 0F 95 C3 8B D3 8B 86 E4 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 84 DB 75 0D 80 BE F8 01 00 00 00 75 04 33 D2 EB 02 B2 01 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5502_0 {
	meta:
		name = "TPasswordDialog.AddButtonClick"
		size = 128
		refs = "000c TPasswordDialog.AddButtonClick 0020 TControl.GetText 0030 _Dn_TSession 0035 @AsClass 003b TSession.AddPassword 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 FC 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? C6 83 F8 01 00 00 01 8B 83 E0 01 00 00 8B 10 FF 92 94 00 00 00 8B 83 E0 01 00 00 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5503_0 {
	meta:
		name = "TPasswordDialog.RemoveButtonClick"
		size = 121
		refs = "000c TPasswordDialog.RemoveButtonClick 0020 TControl.GetText 0030 _Dn_TSession 0035 @AsClass 003b TSession.RemovePassword 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 FC 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 8B 10 FF 92 94 00 00 00 8B 83 E0 01 00 00 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5504_0 {
	meta:
		name = "TPasswordDialog.RemoveAllButtonClick"
		size = 38
		refs = "000b _Dn_TSession 0010 @AsClass 0015 TSession.RemoveAllPasswords"
	strings:
		$1 = { 53 8B D8 8B 83 FC 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_5505_0 {
	meta:
		name = "TPasswordDialog.OKButtonClick"
		size = 96
		refs = "000c TPasswordDialog.OKButtonClick 0020 TControl.GetText 0030 _Dn_TSession 0035 @AsClass 003b TSession.AddPassword 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 FC 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5512_0 {
	meta:
		name = "RegisterBDEInitProc"
		size = 43
		refs = "0005 _NV__463 000f _Dn_TList 0014 TObject.Create 0025 TList.Add"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12189_0 {
	meta:
		name = "_NF__57"
		size = 43
		refs = "0005 _NV__56 000f _Dn_TList 0014 TObject.Create 0025 TList.Add"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5513_0 {
	meta:
		name = "_NF__469"
		size = 17
		refs = "000c DbiError"
	strings:
		$1 = { 66 85 C0 74 0B 66 3D 2C 27 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5514_0 {
	meta:
		name = "_NF__46A"
		size = 56
		refs = "0003 _NV__462 0015 KillTimer 0025 _NV__461 002a Screen 0033 TScreen.SetCursor"
	strings:
		$1 = { 66 83 3D ?? ?? ?? ?? 00 74 2D 0F B7 05 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 66 C7 05 ?? ?? ?? ?? 00 00 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5515_0 {
	meta:
		name = "_NF__46B"
		size = 12
		refs = "0004 _NF__46A"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_5516_0 {
	meta:
		name = "_NF__46C"
		size = 29
		refs = "0011 TBDECallback.Invoke"
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 0D 8B 4D 10 8B 55 08 E8 ?? ?? ?? ?? EB 02 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_5517_0 {
	meta:
		name = "_NF__46D"
		size = 28
		refs = "0004 Session 000d Sessions 0012 _NF__4CE"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? C6 40 45 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_5518_0 {
	meta:
		name = "TBDECallback.Create"
		size = 150
		refs = "000d @ClassCreate 0047 DbiGetCallBack 005a _NF__46C 0071 DbiRegisterCallBack 0076 Check"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 20 89 4B 08 89 43 04 8B 55 1C 89 53 0C 8B 55 0C 89 53 24 8B 55 10 89 53 28 8D 53 1C 52 8D 53 14 52 8D 53 18 52 8D 53 10 52 8B 53 0C 52 50 E8 ?? ?? ?? ?? 83 7B 1C 00 0F 95 C0 34 01 0A 45 08 74 25 68 ?? ?? ?? ?? 8B 45 18 50 66 8B 45 14 50 53 8B 43 0C 50 8B 43 04 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 20 01 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_5519_0 {
	meta:
		name = "TBDECallback.Destroy"
		size = 168
		refs = "0025 TBDECallback.Destroy 005b DbiRegisterCallBack 006a @HandleAnyException 006f @DoneExcept 009a @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FB 89 45 FC 8B 45 FC 80 78 20 00 74 78 8B 45 FC 83 78 1C 00 74 54 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 50 8B 45 FC 8B 40 14 50 8B 45 FC 66 8B 40 18 50 8B 45 FC 8B 40 10 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 6A 00 6A 00 6A 00 6A 00 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5520_0 {
	meta:
		name = "TBDECallback.Invoke"
		size = 45
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 3B 73 0C 75 0A 8B D7 8B 43 28 FF 53 24 EB 02 33 C0 83 7B 1C 00 74 09 57 8B 43 10 50 56 FF 53 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5521_0 {
	meta:
		name = "_NF__47F"
		size = 57
		refs = "0009 @LStrLen 0012 @LStrSetLength 0024 @LStrToPChar 0032 CharToOem"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 7E 15 8B 03 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5522_0 {
	meta:
		name = "AnsiToNative"
		size = 77
		refs = "0014 @LStrLen 002f AnsiToNativeBuf 0036 AnsiStrLastChar 003c CharNext"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 89 45 FC 8B 7D 08 8B C6 E8 ?? ?? ?? ?? 3B F8 7D 02 8B C7 C6 04 03 00 85 C0 7E 0D 50 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 00 00 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5523_0 {
	meta:
		name = "NativeToAnsi"
		size = 51
		refs = "000d StrLen 001a @LStrFromPCharLen 002a NativeToAnsiBuf"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B E8 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 8B CB 33 D2 E8 ?? ?? ?? ?? 85 DB 7E 0C 53 8B 0F 8B D6 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5524_0 {
	meta:
		name = "AnsiToNativeBuf"
		size = 47
		refs = "001a DbiAnsiToNative 0024 CharToOemBuff"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 85 F6 7E 1B 85 C0 74 0F 8D 5D FC 53 56 52 51 50 E8 ?? ?? ?? ?? EB 08 56 51 52 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5525_0 {
	meta:
		name = "NativeToAnsiBuf"
		size = 47
		refs = "001a DbiNativeToAnsi 0024 OemToCharBuff"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 85 F6 7E 1B 85 C0 74 0F 8D 5D FC 53 56 52 51 50 E8 ?? ?? ?? ?? EB 08 56 51 52 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5526_0 {
	meta:
		name = "NativeCompareStr"
		size = 48
		refs = "0013 @LStrToPChar 0025 NativeCompareStrBuf"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5528_0 {
	meta:
		name = "NativeCompareText"
		size = 48
		refs = "0013 @LStrToPChar 0025 NativeCompareTextBuf"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5527_0 {
	meta:
		name = "NativeCompareStrBuf"
		size = 60
		refs = "001d OsLdStrnCmp 002d OsLdStrCmp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 85 DB 7E 11 53 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 0F B7 C0 EB 0E 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 0F B7 C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5529_0 {
	meta:
		name = "NativeCompareTextBuf"
		size = 60
		refs = "001d OsLdStrnCmpi 002d OsLdStrCmpi"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 85 DB 7E 11 53 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 0F BF C0 EB 0E 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 0F BF C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5530_0 {
	meta:
		name = "_NF__4A7"
		size = 72
		refs = "0014 LeadBytes 0038 @LStrLen"
	strings:
		$1 = { 53 56 57 8B F0 B3 01 85 F6 74 37 BF 01 00 00 00 EB 23 8B 15 ?? ?? ?? ?? 8A 44 3E FF 8B C8 81 E1 FF 00 00 00 0F A3 0A 73 03 47 EB 08 2C 3A 74 12 2C 22 74 0E 47 8B C6 E8 ?? ?? ?? ?? 3B F8 7E D2 33 DB 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5531_0 {
	meta:
		name = "_NF__36C"
		size = 44
		refs = "001a DbiGetProp 001f Check"
		altNames = "_NF__4A8"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 33 C0 89 44 24 04 54 6A 04 8D 44 24 0C 50 56 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5532_0 {
	meta:
		name = "_NF__4A9"
		size = 364
		refs = "0020 _NF__4A9 005c @LStrPos 006a @LStrLen 0092 @LStrCopy 00cc Format 00d7 @LStrLAsg 00ee _NF__47F 010e @LStrSetLength 0128 @LStrArrayClr 0130 @LStrClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 C9 89 4D EC 89 4D D0 89 4D CC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C A8 00 00 00 46 C7 45 F0 00 00 00 00 8D 4D F4 8B 55 F0 8B 45 FC 8B 18 FF 53 0C 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7C 75 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 7D 69 8D 45 EC 50 8B 45 F8 8B 00 89 45 D4 C6 45 D8 0B 8D 45 D0 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D0 89 45 DC C6 45 E0 0B 8D 45 CC 50 8D 53 01 B9 FF 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 CC 89 45 E4 C6 45 E8 0B 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? FF 45 F0 4E 0F 85 60 FF FF FF 8D 55 EC 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B D0 4A 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 FF FF FF FF 0A 00 00 00 25 73 25 73 3A 22 25 73 22 3B 00 00 }
	condition:
		$1
}

rule function_5534_0 {
	meta:
		name = "BDEcheck"
		size = 11
		refs = "0006 DbiError"
		altNames = "Check"
	strings:
		$1 = { 66 85 C0 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5535_0 {
	meta:
		name = "TDBError.Create"
		size = 78
		refs = "000d @ClassCreate 001b TList.Add 0034 @LStrFromPChar"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D6 8B 41 0C E8 ?? ?? ?? ?? 66 8B 45 10 66 89 46 04 8B 45 0C 89 46 08 8D 46 0C 8B 55 08 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_5536_0 {
	meta:
		name = "TDBError.GetCategory"
		size = 9
	strings:
		$1 = { 66 8B 40 04 66 C1 E8 08 C3 }
	condition:
		$1
}

rule function_5537_0 {
	meta:
		name = "TDBError.GetSubCode"
		size = 6
	strings:
		$1 = { 8A 40 04 24 FF C3 }
	condition:
		$1
}

rule function_5538_0 {
	meta:
		name = "_NF__4B9"
		size = 42
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 74 1D 8B 45 08 8B 40 FC 8B D3 8B 08 FF 51 50 40 75 0D 8B 45 08 8B 40 FC 8B D3 8B 08 FF 51 34 5B 5D C3 }
	condition:
		$1
}

rule function_5539_0 {
	meta:
		name = "_NF__4BA"
		size = 109
		refs = "0018 _NF__4BA 0028 DbiGetErrorString 0037 @LStrFromArray 0044 Trim 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 33 C9 89 8D 7C FF FF FF 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 80 52 50 E8 ?? ?? ?? ?? 8B C3 8D 55 80 B9 80 00 00 00 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5540_0 {
	meta:
		name = "EDBEngineError.Create"
		size = 725
		refs = "0022 @ClassCreate 0032 EDBEngineError.Create 003d _NF__46A 0044 _Dn_TList 0049 TObject.Create 0054 _NF__466 0059 TSession.GetActive 0076 SInitError 007b LoadResString 009e Format 00af @LStrAsg 00bd @LStrToPChar 00c8 _DV_TDBError 00cd TDBError.Create 00e2 _NF__4BA 0104 _Dn_TStringList 012c EDBEngineError.GetError 0134 _NF__4B9 014b DbiGetErrorEntry 01b6 @LStrFromArray 01c7 Trim 0213 @LStrLen 0228 @LStrCopy 023c SBDEError 028a TObject.Free 0290 @HandleFinally 02af @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 60 FF FF FF 53 56 57 33 DB 89 9D 6C FF FF FF 89 9D 68 FF FF FF 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 75 66 81 FE 01 2F 74 6E 8D 85 6C FF FF FF 50 8D 95 68 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 0F B7 D6 89 95 60 FF FF FF C6 85 64 FF FF FF 00 8D 95 60 FF FF FF 33 C9 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 F8 83 C0 04 E8 ?? ?? ?? ?? 56 6A 00 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 01 00 00 56 6A 00 8D 95 6C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF E8 ?? ?? ?? ?? 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FE C4 2E 74 14 55 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 0C E8 ?? ?? ?? ?? 59 BF 01 00 00 00 8D 85 70 FF FF FF 50 8D 45 F0 50 57 E8 ?? ?? ?? ?? 8B D8 66 85 DB 0F 84 83 00 00 00 66 81 FB 06 2A 74 7C 53 8B 45 F0 50 8D 85 70 FF FF FF 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F0 00 75 21 66 81 FE C4 2E 74 1A 55 8D 95 6C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF E8 ?? ?? ?? ?? 59 55 8D 85 68 FF FF FF 8D 95 70 FF FF FF B9 80 00 00 00 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 8D 95 6C FF FF FF E8 ?? ?? ?? ?? 8B 85 6C FF FF FF E8 ?? ?? ?? ?? 59 47 E9 61 FF FF FF 8D 95 6C FF FF FF 8B 45 FC 8B 08 FF 51 1C 8B 95 6C FF FF FF 8B 45 F8 83 C0 04 E8 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 74 29 8B 45 F8 83 C0 04 50 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 8B C8 83 E9 02 8B 45 F8 8B 40 04 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 4B 8D 85 6C FF FF FF 50 8D 95 68 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 0F B7 D6 89 95 60 FF FF FF C6 85 64 FF FF FF 00 8D 95 60 FF FF FF 33 C9 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 F8 83 C0 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 80 7D F7 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5541_0 {
	meta:
		name = "EDBEngineError.Destroy"
		size = 81
		refs = "001d TList.Get 0022 TObject.Free 003c TObject.Destroy 0047 @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 46 0C 85 C0 74 26 8B 78 08 4F 83 FF 00 7C 15 8B D7 8B 46 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4F 83 FF FF 75 EB 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5543_0 {
	meta:
		name = "EDBEngineError.GetErrorCount"
		size = 7
		altNames = "TXtabQuery.getNProjectors _NF__2A0 _NF__43D _NF__CA"
	strings:
		$1 = { 8B 40 0C 8B 40 08 C3 }
	condition:
		$1
}

rule function_5544_0 {
	meta:
		name = "TSessionList.Create"
		size = 86
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 002d _Dn_TBits 003a _NV__460 003f InitializeCriticalSection"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5545_0 {
	meta:
		name = "TSessionList.Destroy"
		size = 67
		refs = "0009 _NF__4CE 000e _NV__460 0013 DeleteCriticalSection 001b TObject.Free 002f TObject.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5546_0 {
	meta:
		name = "_NF__4CD"
		size = 22
		refs = "0011 TList.Add"
	strings:
		$1 = { 8B 48 04 83 79 08 00 75 04 C6 42 41 01 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5547_0 {
	meta:
		name = "_NF__4CE"
		size = 40
		refs = "0016 TList.Get 001b TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B 46 04 8B 58 08 4B 83 FB 00 7C 15 8B D3 8B 46 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 EB 5E 5B C3 }
	condition:
		$1
}

rule function_5548_0 {
	meta:
		name = "TComponentList.GetCount"
		size = 7
		altNames = "TParams.Count TSessionList.GetCount _NF__1AE"
	strings:
		$1 = { 8B 40 04 8B 40 08 C3 }
	condition:
		$1
}

rule function_5549_0 {
	meta:
		name = "TSessionList.GetCurrentSession"
		size = 74
		refs = "0008 DbiGetCurrSession 000d Check 0025 TList.Get 002a TSession.GetHandle"
	strings:
		$1 = { 53 56 57 51 8B F8 54 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 04 8B 70 08 4E 85 F6 7C 27 46 33 DB 8B D3 8B 47 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 04 24 75 0C 8B D3 8B 47 04 E8 ?? ?? ?? ?? EB 06 43 4E 75 DC 33 C0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5550_0 {
	meta:
		name = "TSessionList.GetSession"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5551_0 {
	meta:
		name = "TSessionList.GetSessionByName"
		size = 130
		refs = "0015 TSessionList.GetSessionByName 0025 Session 0030 TSessionList.FindSession 003e SInvalidSessionName 0043 LoadResString 0059 DatabaseErrorFmt 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 08 8B 35 ?? ?? ?? ?? EB 0B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 5D F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5552_0 {
	meta:
		name = "TSessionList.FindSession"
		size = 79
		refs = "0012 Session 002c TList.Get 0039 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 83 3C 24 00 75 08 8B 1D ?? ?? ?? ?? EB 2F 8B 45 04 8B 70 08 4E 85 F6 7C 22 46 33 FF 8B 45 04 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 14 24 8B 43 48 E8 ?? ?? ?? ?? 85 C0 74 06 47 4E 75 E1 33 DB 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5553_0 {
	meta:
		name = "TSessionList.GetSessionNames"
		size = 124
		refs = "0012 TStrings.BeginUpdate 001a TSessionList.GetSessionNames 0046 TList.Get 006a TStrings.EndUpdate 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 52 40 8B 45 FC 8B 40 04 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B 45 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 50 48 8B 45 F8 8B 08 FF 51 34 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5554_0 {
	meta:
		name = "TSessionList.OpenSession"
		size = 56
		refs = "0007 TSessionList.FindSession 0016 _DV_TSession 001b TSession.Create 0026 TSession.SetSessionName 002f TSession.SetActive"
	strings:
		$1 = { 53 56 8B F2 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 19 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_5555_0 {
	meta:
		name = "TSessionList.SetCurrentSession"
		size = 19
		refs = "0008 DbiSetCurrSession 000d Check"
	strings:
		$1 = { 53 8B DA 8B 43 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5556_0 {
	meta:
		name = "TSession.Create"
		size = 123
		refs = "000b @ClassCreate 001c _NF__599 0027 TComponent.Create 002e _Dn_TList 0033 TObject.Create 0054 Sessions 0059 _NF__4CD"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 8B D6 8B C7 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 2C C6 47 40 01 C6 47 42 01 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 47 60 33 C0 89 47 24 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5557_0 {
	meta:
		name = "TSession.Destroy"
		size = 74
		refs = "000b TSession.SetActive 0010 Sessions 001a TList.Remove 0022 TObject.Free 0036 TComponent.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5558_0 {
	meta:
		name = "TSession.AddAlias"
		size = 44
		refs = "0013 TSession.GetConfigMode 0021 _NF__54B"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 50 6A 01 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5559_0 {
	meta:
		name = "TSession.AddDriver"
		size = 271
		refs = "001b TSession.AddDriver 002b _NF__4A9 0033 _NF__552 0049 TSession.GetConfigMode 006c _NF__500 0076 @LStrToPChar 0082 _NF__47F 0092 DbiAddDriver 0097 Check 00af TSession.SetConfigMode 00b5 @HandleFinally 00cc _NF__553 00e1 _NF__508 00f6 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 5D F4 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 F3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 6A FF 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 F3 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 4D F8 B2 06 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5560_0 {
	meta:
		name = "_NF__4F5"
		size = 32
		refs = "000e TList.Add 0019 _NF__508"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 14 24 8B 43 28 E8 ?? ?? ?? ?? 8B CC B2 02 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_5561_0 {
	meta:
		name = "TSession.AddStandardAlias"
		size = 332
		refs = "0018 TSession.AddStandardAlias 0025 _Dn_TStringList 002a TObject.Create 0064 Format 00b8 TSession.AddAlias 00cd TObject.Free 00d3 @HandleFinally 00ea @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 0B 89 7D F0 C6 45 F4 0B 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 34 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 0B 8B 45 08 89 45 F0 C6 45 F4 0B 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 34 8B 45 FC 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 FF FF FF FF 04 00 00 00 50 41 54 48 00 00 00 00 FF FF FF FF 05 00 00 00 25 73 3D 25 73 00 00 00 FF FF FF FF 0E 00 00 00 44 45 46 41 55 4C 54 20 44 52 49 56 45 52 00 00 FF FF FF FF 08 00 00 00 53 54 41 4E 44 41 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_5562_0 {
	meta:
		name = "TSession.AddPassword"
		size = 110
		refs = "0013 _NF__552 001b TSession.AddPassword 003d AnsiToNative 0043 DbiAddPassword 0048 Check 005d _NF__553 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 23 68 FF 00 00 00 8D 8D FC FE FF FF 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5563_0 {
	meta:
		name = "_NF__4FE"
		size = 58
		refs = "0008 _NV__463 0027 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F8 83 3D ?? ?? ?? ?? 00 74 26 A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B C7 FF D5 46 4B 75 EA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5564_0 {
	meta:
		name = "_NF__4FF"
		size = 87
		refs = "000c _NF__4FF 0019 TSession.GetActive 0025 SSessionActive 002a LoadResString 0032 DatabaseError 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5565_0 {
	meta:
		name = "_NF__500"
		size = 48
		refs = "0008 _NF__500 001f TSession.SetConfigMode"
	strings:
		$1 = { 53 51 88 14 24 8B D8 A0 ?? ?? ?? ?? 3A 04 24 75 08 A0 ?? ?? ?? ?? 88 04 24 8A 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 00 00 07 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_5567_0 {
	meta:
		name = "TSession.CloseDatabase"
		size = 50
		refs = "001e TDatabase.Close 002d TObject.Free"
	strings:
		$1 = { 83 7A 34 00 74 03 FF 4A 34 83 7A 34 00 75 22 80 7A 2A 00 75 1C 80 7A 2B 00 75 09 8B C2 E8 ?? ?? ?? ?? EB 0D F6 42 20 08 75 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5568_0 {
	meta:
		name = "_NF__506"
		size = 86
		refs = "0024 TList.Get 003b AnsiCompareText 004c DbiCloseDatabase"
	strings:
		$1 = { 53 56 57 55 51 8B FA 89 04 24 8B 04 24 8B 40 28 8B 70 08 4E 85 F6 7C 2F 46 33 ED 8B 04 24 8B 40 28 8B D5 E8 ?? ?? ?? ?? 8B D8 3B FB 74 15 83 7B 38 00 74 0F 8B 57 4C 8B 43 4C E8 ?? ?? ?? ?? 85 C0 74 0D 45 4E 75 D4 8D 47 38 50 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5569_0 {
	meta:
		name = "_NF__507"
		size = 504
		refs = "001b _NF__507 005f @LStrFromArray 006a TSession.OpenDatabase 0092 TSession.CloseDatabase 00a5 _Dn_TStringList 00aa TObject.Create 00d9 TSession.GetAliasParams 00e9 TStrings.GetValue 00fe TObject.Free 0104 @HandleFinally 010e @LStrClr 012e LoginDialogEx 0148 AnsiToNative 0176 TSession.FindDatabase 019e @HandleAnyException 01aa @DoneExcept 01cc @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D F4 89 4D F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 04 00 00 00 89 55 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 83 78 4C 00 0F 85 15 01 00 00 8B 45 FC 80 78 46 00 75 4F 8D 45 E4 8B 55 E8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 80 78 33 00 75 18 8B 40 38 8B 55 E8 89 42 4C 8B 45 E8 C7 40 48 FF FF FF FF E9 07 01 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? C7 45 F8 02 00 00 00 E9 F1 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 8B 55 E8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D EC 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 F0 E8 ?? ?? ?? ?? 6A 01 8D 45 E4 8B 55 E8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8D 4D F0 8D 55 F4 E8 ?? ?? ?? ?? 84 C0 74 20 6A 1F 8B 45 E8 8D 48 28 8B 45 FC 8B 40 30 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 50 48 EB 3D C7 45 F8 02 00 00 00 EB 34 8D 45 E4 8B 55 E8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 15 8B 55 E8 8B 52 4C 3B 50 38 75 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? C7 45 F8 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 09 00 00 00 55 53 45 52 20 4E 41 4D 45 00 00 00 }
	condition:
		$1
}

rule function_5570_0 {
	meta:
		name = "_NF__508"
		size = 27
	strings:
		$1 = { 53 66 83 B8 C6 00 00 00 00 74 0E 8B D8 8B 83 C8 00 00 00 FF 93 C4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5571_0 {
	meta:
		name = "TSession.DeleteAlias"
		size = 29
		refs = "000b TSession.GetConfigMode 0016 _NF__54C"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5572_0 {
	meta:
		name = "TSession.DeleteDriver"
		size = 157
		refs = "0015 TSession.DeleteDriver 0028 _NF__508 0030 _NF__552 004b _NF__47F 0053 @LStrToPChar 005b DbiDeleteDriver 0070 _NF__553 0076 @HandleFinally 008d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 B2 07 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_5573_0 {
	meta:
		name = "_NF__50F"
		size = 125
		refs = "0015 _NF__50F 0032 Format 003a @LStrToPChar 0044 DbiCfgPosition 0051 DbiCfgDropRecord 0056 Check 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 F4 C6 45 F8 0B 8D 55 F4 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 53 6A 00 E8 ?? ?? ?? ?? 66 85 C0 75 0D 53 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5574_0 {
	meta:
		name = "TSession.DropConnections"
		size = 52
		refs = "0016 TList.Get 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B 46 28 8B 58 08 4B 83 FB 00 7C 21 8B D3 8B 46 28 E8 ?? ?? ?? ?? 80 78 2B 00 74 0B 83 78 34 00 75 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DF 5E 5B C3 }
	condition:
		$1
}

rule function_5575_0 {
	meta:
		name = "TSession.FindDatabase"
		size = 77
		refs = "001e TList.Get 0037 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 28 8B 70 08 4E 85 F6 7C 2E 46 33 FF 8B 45 28 8B D7 E8 ?? ?? ?? ?? 8B D8 83 7B 4C 00 75 06 80 7B 2B 00 74 0F 8B 14 24 8B 43 4C E8 ?? ?? ?? ?? 85 C0 74 06 47 4E 75 D5 33 DB 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5576_0 {
	meta:
		name = "_NF__515"
		size = 104
		refs = "002b TList.Get 0047 AnsiCompareText 0059 TSession.FindDatabase"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B F8 83 7C 24 04 00 74 3C 8B 47 28 8B 70 08 4E 85 F6 7C 31 46 33 ED 8B D5 8B 47 28 E8 ?? ?? ?? ?? 8B D8 8B 43 04 3B 44 24 04 75 15 80 7B 33 00 74 0F 8B 14 24 8B 43 4C E8 ?? ?? ?? ?? 85 C0 74 10 45 4E 75 D2 8B 14 24 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5577_0 {
	meta:
		name = "_NF__516"
		size = 80
		refs = "001e TList.Get 0031 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 28 8B 70 08 4E 85 F6 7C 33 46 33 FF 8B 45 28 8B D7 E8 ?? ?? ?? ?? 8B D8 83 7B 38 00 74 1A 8B 14 24 8B 43 4C E8 ?? ?? ?? ?? 85 C0 75 0B 80 7B 33 00 74 05 8B 43 38 EB 06 47 4E 75 D0 33 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5579_0 {
	meta:
		name = "TSession.GetAliasDriverName"
		size = 259
		refs = "001e TSession.GetAliasDriverName 002c _NF__552 004e _NF__47F 0059 @LStrToPChar 005f DbiGetDatabaseDesc 006f SInvalidAliasName 0074 LoadResString 0096 DatabaseErrorFmt 00ab _NF__553 00b1 @HandleFinally 00ca OemToChar 00da @LStrFromArray 00f2 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 84 FE FF FF 53 33 DB 89 9D 8C FE FF FF 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 93 FE FF FF 50 8D 95 8C FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 8C FE FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 74 32 8D 95 8C FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 8C FE FF FF 50 89 9D 84 FE FF FF C6 85 88 FE FF FF 0B 8D 95 84 FE FF FF 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F7 00 74 04 C6 45 F7 00 8D 45 D8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 D8 B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 8C FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5580_0 {
	meta:
		name = "TSession.GetAliasNames"
		size = 323
		refs = "001b TSession.GetAliasNames 0029 TStrings.BeginUpdate 0047 _NF__552 005e DbiOpenDatabaseList 0063 Check 0078 _NF__553 007e @HandleFinally 00a3 OemToChar 00b9 @LStrFromArray 00db DbiGetNextRecord 00f6 DbiCloseCursor 0113 TStrings.EndUpdate 0133 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 88 FE FF FF 33 C9 89 8D 88 FE FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 40 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 37 8D 85 8F FE FF FF 50 8D 85 8F FE FF FF 50 E8 ?? ?? ?? ?? 8D 85 88 FE FF FF 8D 95 8F FE FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 95 88 FE FF FF 8B 45 F8 8B 08 FF 51 34 6A 00 8D 85 8F FE FF FF 50 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 66 85 C0 74 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 88 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C3 }
	condition:
		$1
}

rule function_5581_0 {
	meta:
		name = "TSession.GetAliasParams"
		size = 456
		refs = "001e TSession.GetAliasParams 002c TStrings.BeginUpdate 0051 StrPLCopy 005e CharToOem 0066 _NF__552 0084 DbiGetDatabaseDesc 0089 Check 009e _NF__553 00a4 @HandleFinally 00bd StrIComp 00d8 @LStrFromArray 00eb TSession.GetConfigParams 00fa TStrings.SetValue 013b TStrings.EndUpdate 015b @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 6C FE FF FF 53 33 DB 89 9D 6C FE FF FF 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 40 8D 45 D8 B9 1F 00 00 00 8B D3 E8 ?? ?? ?? ?? 8D 45 D8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 73 FE FF FF 50 8D 45 D8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D D7 00 74 04 C6 45 D7 00 BA ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 85 C0 75 3B 8B 45 F8 50 8D 85 6C FE FF FF 8D 55 D8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 8D 6C FE FF FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 2A 8B 45 F8 50 8D 85 6C FE FF FF 8D 55 D8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 8D 6C FE FF FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 53 54 41 4E 44 41 52 44 00 00 00 00 FF FF FF FF 15 00 00 00 5C 44 41 54 41 42 41 53 45 53 5C 25 73 5C 44 42 20 49 4E 46 4F 00 00 00 FF FF FF FF 04 00 00 00 54 59 50 45 00 00 00 00 FF FF FF FF 15 00 00 00 5C 44 41 54 41 42 41 53 45 53 5C 25 73 5C 44 42 20 4F 50 45 4E 00 00 00 }
	condition:
		$1
}

rule function_5582_0 {
	meta:
		name = "TSession.GetConfigParams"
		size = 384
		refs = "001e TSession.GetConfigParams 002c _NF__552 0061 Format 006c @LStrToPChar 0078 DbiOpenCfgInfoList 007d Check 0092 _NF__553 0098 @HandleFinally 00bd OemToChar 0121 DbiGetNextRecord 013c DbiCloseCursor 015c @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 B8 FE FF FF 53 56 33 DB 89 9D D0 FE FF FF 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 85 D0 FE FF FF 50 89 B5 C8 FE FF FF C6 85 CC FE FF FF 0B 8D 95 C8 FE FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 85 D0 FE FF FF E8 ?? ?? ?? ?? 50 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 63 8D 85 76 FF FF FF 50 8D 85 76 FF FF FF 50 E8 ?? ?? ?? ?? 8D 85 D0 FE FF FF 50 8D 85 D4 FE FF FF 89 85 B8 FE FF FF C6 85 BC FE FF FF 06 8D 85 76 FF FF FF 89 85 C0 FE FF FF C6 85 C4 FE FF FF 06 8D 95 B8 FE FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 D0 FE FF FF 8B 45 08 8B 08 FF 51 34 6A 00 8D 85 D4 FE FF FF 50 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 66 85 C0 74 84 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D0 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C2 04 00 FF FF FF FF 05 00 00 00 25 73 3D 25 73 00 00 00 }
	condition:
		$1
}

rule function_5584_0 {
	meta:
		name = "TSession.GetDatabaseCount"
		size = 7
	strings:
		$1 = { 8B 40 28 8B 40 08 C3 }
	condition:
		$1
}

rule function_5585_0 {
	meta:
		name = "TSession.GetDatabaseNames"
		size = 171
		refs = "0012 _Dn_TStringList 0017 TObject.Create 0022 TSession.GetDatabaseNames 0032 TStringList.SetSorted 003d TSession.GetAliasNames 005b TList.Get 0065 _NF__4A7 0098 TObject.Free 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 8B 70 08 4E 85 F6 7C 2D 46 33 FF 8B 45 FC 8B 40 28 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 4C E8 ?? ?? ?? ?? 84 C0 75 0B 8B 53 4C 8B 45 F4 8B 08 FF 51 34 47 4E 75 D6 8B 55 F4 8B 45 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5586_0 {
	meta:
		name = "TSession.GetDriverNames"
		size = 412
		refs = "001b TSession.GetDriverNames 0029 TStrings.BeginUpdate 0054 _NF__552 006b DbiOpenDriverList 0070 Check 0085 _NF__553 008b @HandleFinally 00ad StrIComp 00d8 OemToChar 00ee @LStrFromArray 0110 DbiGetNextRecord 012b DbiCloseCursor 0148 TStrings.EndUpdate 0168 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 33 C9 89 8D F0 FE FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 40 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 34 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 5F BA ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 85 C0 74 4B BA ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 85 C0 74 37 8D 85 F4 FE FF FF 50 8D 85 F4 FE FF FF 50 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 8D 95 F4 FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8B 45 F8 8B 08 FF 51 34 6A 00 8D 85 F4 FE FF FF 50 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 66 85 C0 74 88 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C3 FF FF FF FF 08 00 00 00 53 54 41 4E 44 41 52 44 00 00 00 00 50 41 52 41 44 4F 58 00 44 42 41 53 45 00 00 00 }
	condition:
		$1
}

rule function_5587_0 {
	meta:
		name = "TSession.GetDriverParams"
		size = 504
		refs = "0018 TSession.GetDriverParams 0026 TStrings.BeginUpdate 0048 CompareText 006f Format 00fc _NF__47F 010b TSession.GetConfigParams 0120 TStrings.EndUpdate 0126 @HandleFinally 013d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 85 9E 00 00 00 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 34 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 0B B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 0B 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 34 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 0B B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 0B 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 34 EB 1D 8B 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 FF FF FF FF 08 00 00 00 53 54 41 4E 44 41 52 44 00 00 00 00 FF FF FF FF 04 00 00 00 50 41 54 48 00 00 00 00 FF FF FF FF 03 00 00 00 25 73 3D 00 FF FF FF FF 0E 00 00 00 44 45 46 41 55 4C 54 20 44 52 49 56 45 52 00 00 FF FF FF FF 07 00 00 00 50 41 52 41 44 4F 58 00 FF FF FF FF 05 00 00 00 25 73 3D 25 73 00 00 00 FF FF FF FF 0A 00 00 00 45 4E 41 42 4C 45 20 42 43 44 00 00 FF FF FF FF 05 00 00 00 46 41 4C 53 45 00 00 00 FF FF FF FF 13 00 00 00 5C 44 52 49 56 45 52 53 5C 25 73 5C 44 42 20 4F 50 45 4E 00 }
	condition:
		$1
}

rule function_5588_0 {
	meta:
		name = "TSession.GetHandle"
		size = 39
		refs = "000d DbiSetCurrSession 0012 Check 001d TSession.SetActive"
	strings:
		$1 = { 53 56 8B D8 8B 73 24 85 F6 74 0D 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 24 5E 5B C3 }
	condition:
		$1
}

rule function_5589_0 {
	meta:
		name = "TSession.GetNetFileDir"
		size = 245
		refs = "001b TSession.GetNetFileDir 0029 TSession.GetActive 003e _NF__552 006d DbiGetProp 0072 Check 0087 _NF__553 008d @HandleFinally 009f NativeToAnsi 00af @LStrLAsg 00bf AnsiUpperCase 00e5 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 33 C9 89 8D F0 FE FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 74 8B 45 FC F6 40 20 04 75 6B 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F6 50 68 00 01 00 00 8D 85 F6 FE FF FF 50 68 02 00 02 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 4D F8 8D 95 F6 FE FF FF 33 C0 E8 ?? ?? ?? ?? EB 0E 8B 45 F8 8B 55 FC 8B 52 50 E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C3 }
	condition:
		$1
}

rule function_5590_0 {
	meta:
		name = "TSession.GetPrivateDir"
		size = 224
		refs = "001b TSession.GetPrivateDir 0029 TSession.GetActive 003e _NF__552 0058 DbiGetSesInfo 005d Check 0072 _NF__553 0078 @HandleFinally 008a NativeToAnsi 009a @LStrLAsg 00aa AnsiUpperCase 00d0 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 C0 FD FF FF 33 C9 89 8D C0 FD FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5F 8B 45 FC F6 40 20 04 75 56 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 C6 FD FF FF 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 4D F8 8D 95 F3 FE FF FF 33 C0 E8 ?? ?? ?? ?? EB 0E 8B 45 F8 8B 55 FC 8B 52 54 E8 ?? ?? ?? ?? 8D 95 C0 FD FF FF 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 95 C0 FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C0 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C3 }
	condition:
		$1
}

rule function_5591_0 {
	meta:
		name = "TSession.GetPassword"
		size = 52
		refs = "0027 PasswordDialog"
	strings:
		$1 = { 53 51 8B D8 66 83 BB B6 00 00 00 00 74 16 C6 04 24 00 8B CC 8B D3 8B 83 B8 00 00 00 FF 93 B4 00 00 00 EB 0A 8B C3 E8 ?? ?? ?? ?? 88 04 24 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_5592_0 {
	meta:
		name = "TSession.GetTableNames"
		size = 408
		refs = "0020 TSession.GetTableNames 002e TStrings.BeginUpdate 004f TSession.OpenDatabase 007b AnsiToNative 0098 DbiOpenTableList 009d Check 00ca StrCat 00e9 NativeToAnsi 0108 DbiGetNextRecord 0123 DbiCloseCursor 0129 @HandleFinally 0143 TSession.CloseDatabase 0160 TStrings.EndUpdate 017d @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 2C FD FF FF 53 56 57 33 DB 89 5D EC 8B F9 89 55 F8 89 45 FC 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 10 FF 52 40 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 85 FF 74 17 6A 7F 8D 8D 6C FF FF FF 8B 45 F4 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 50 56 8A 45 0C F6 D8 1B C0 50 6A 00 8B 45 F4 8B 40 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 47 84 DB 74 24 80 BD 36 FF FF FF 00 74 1B BA ?? ?? ?? ?? 8D 85 2C FD FF FF E8 ?? ?? ?? ?? 8D 95 36 FF FF FF E8 ?? ?? ?? ?? 8D 4D EC 8D 95 2C FD FF FF 8B 45 F4 8B 40 3C E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 8B 08 FF 51 34 6A 00 8D 85 2C FD FF FF 50 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 66 85 C0 74 A0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_5593_0 {
	meta:
		name = "TSession.GetStoredProcNames"
		size = 309
		refs = "0018 TSession.GetStoredProcNames 0026 TStrings.BeginUpdate 0046 TSession.OpenDatabase 006d DbiOpenSPList 0072 Check 0093 NativeToAnsi 00af DbiGetNextRecord 00ca DbiCloseCursor 00d0 @HandleFinally 00ea TSession.CloseDatabase 0107 TStrings.EndUpdate 0124 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 33 DB 89 5D EC 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 40 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 6A 00 6A FF 6A 00 8B 45 F4 8B 40 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1C 8D 4D EC 8D 55 A0 8B 45 F4 8B 40 3C E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 08 FF 51 34 6A 00 8D 45 A0 50 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 66 85 C0 74 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5594_0 {
	meta:
		name = "_NF__54A"
		size = 328
		refs = "0018 _NF__54A 0023 GetCurrentThreadId 0029 MainThreadID 003a Screen 0045 TScreen.SetCursor 0065 @FillChar 0070 SIDAPILangID 0075 LoadResString 0088 StrPLCopy 0094 DbiInit 00a4 Check 00ad DbiGetCurrSession 00bf DbiGetObjFromName 00c9 GDAL 00d8 DbiSetProp 00dd IsLibrary 00e7 _NF__46D 00f6 DbiRegisterCallBack 011d @HandleFinally 0137 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 A8 FD FF FF 53 33 D2 89 95 A8 FD FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 0F 94 45 FB 80 7D FB 00 74 10 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 85 AE FD FF FF 33 C9 BA 4C 02 00 00 E8 ?? ?? ?? ?? 8D 95 A8 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A8 FD FF FF 8D 45 BA B9 1F 00 00 00 E8 ?? ?? ?? ?? 8D 85 AE FD FF FF 50 E8 ?? ?? ?? ?? 66 85 C0 74 0B 66 3D 07 2A 74 05 E8 ?? ?? ?? ?? 8D 43 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 6A 00 6A 07 E8 ?? ?? ?? ?? 66 85 C0 75 14 E8 ?? ?? ?? ?? 50 68 02 00 07 FF 8B 45 FC 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 14 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 1D 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 0E A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A8 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5595_0 {
	meta:
		name = "_NF__54B"
		size = 404
		refs = "0022 _NF__54B 0032 _NF__4A9 0041 TStrings.GetValue 0053 CompareText 0061 @LStrLAsg 0069 _NF__552 007f TSession.GetConfigMode 009b _NF__500 00a5 @LStrToPChar 00b1 _NF__47F 00d5 DbiAddAlias 00da Check 00f8 TSession.SetConfigMode 00fe @HandleFinally 0115 _NF__553 012a _NF__508 0144 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F8 89 45 FC 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 75 1A BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0A 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 EF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 55 0C 8B 45 FC E8 ?? ?? ?? ?? 6A FF 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D 08 00 74 0B 8A 55 EF 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 4D F8 B2 04 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 0C 00 00 00 00 FF FF FF FF 0E 00 00 00 44 45 46 41 55 4C 54 20 44 52 49 56 45 52 00 00 FF FF FF FF 08 00 00 00 53 54 41 4E 44 41 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_5596_0 {
	meta:
		name = "_NF__54C"
		size = 260
		refs = "0019 _NF__54C 002c _NF__508 0034 _NF__552 004a TSession.GetConfigMode 0066 _NF__500 0071 _NF__47F 0081 _NF__50F 009f TSession.SetConfigMode 00a5 @HandleFinally 00bc _NF__553 00d9 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 B2 05 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D 08 00 74 0B 8A 55 F6 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 FF FF FF FF 0D 00 00 00 5C 44 41 54 41 42 41 53 45 53 5C 25 73 00 00 00 }
	condition:
		$1
}

rule function_5597_0 {
	meta:
		name = "TSession.IsAlias"
		size = 144
		refs = "0012 TSession.IsAlias 001d _NF__554 0037 Format 003f @LStrToPChar 0047 DbiCfgPosition 0064 @LStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8D 45 FC 50 89 5D F4 C6 45 F8 0B 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 FF FF FF FF 0D 00 00 00 5C 44 41 54 41 42 41 53 45 53 5C 25 73 00 00 00 }
	condition:
		$1
}

rule function_5598_0 {
	meta:
		name = "TSession.Loaded"
		size = 125
		refs = "000e TComponent.Loaded 0016 TSession.Loaded 002d _NF__591 0040 TSession.SetActive 004f @HandleAnyException 005d Application 0067 TApplication.HandleException 006e @RaiseAgain 0073 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 43 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 3F 00 74 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 74 11 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5599_0 {
	meta:
		name = "_NF__552"
		size = 36
		refs = "000a _NV__460 000f EnterCriticalSection 0019 _NF__554"
	strings:
		$1 = { 53 8B D8 83 7B 5C 00 75 16 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 5C 8B C3 E8 ?? ?? ?? ?? 5B C3 FF 43 5C 5B C3 }
	condition:
		$1
}

rule function_5600_0 {
	meta:
		name = "_NF__553"
		size = 20
		refs = "000a _NV__460 000f LeaveCriticalSection"
	strings:
		$1 = { FF 48 5C 83 78 5C 00 75 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5601_0 {
	meta:
		name = "_NF__554"
		size = 37
		refs = "000d DbiSetCurrSession 0012 Check 001e TSession.SetActive"
	strings:
		$1 = { 53 56 8B D8 8B 73 24 85 F6 74 0E 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5602_0 {
	meta:
		name = "TSession.ModifyAlias"
		size = 372
		refs = "001b @LStrAddRef 0023 TSession.ModifyAlias 0031 _NF__552 0047 TSession.GetConfigMode 006a _NF__500 0078 TSession.GetAliasDriverName 0083 _NF__47F 0094 TSession.ModifyConfigParams 00a1 CompareText 00ce TSession.SetConfigMode 00d4 @HandleFinally 00eb _NF__553 010d @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F4 89 5D F0 8B D9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 EF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 53 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 11 53 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 EF 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 FF FF FF FF 15 00 00 00 5C 44 41 54 41 42 41 53 45 53 5C 25 73 5C 44 42 20 49 4E 46 4F 00 00 00 FF FF FF FF 08 00 00 00 53 54 41 4E 44 41 52 44 00 00 00 00 FF FF FF FF 15 00 00 00 5C 44 41 54 41 42 41 53 45 53 5C 25 73 5C 44 42 20 4F 50 45 4E 00 00 00 }
	condition:
		$1
}

rule function_5603_0 {
	meta:
		name = "TSession.ModifyDriver"
		size = 428
		refs = "0019 @LStrAddRef 0021 TSession.ModifyDriver 002f _NF__552 0045 TSession.GetConfigMode 0068 _NF__500 0073 _NF__47F 0084 TSession.ModifyConfigParams 008c @LStrToPChar 009a StrIComp 00ea TSession.SetConfigMode 00f0 @HandleFinally 0107 _NF__553 0124 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B D9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 53 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 10 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 13 53 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 11 53 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 10 00 00 00 5C 44 52 49 56 45 52 53 5C 25 73 5C 49 4E 49 54 00 00 00 00 50 41 52 41 44 4F 58 00 44 42 41 53 45 00 00 00 FF FF FF FF 18 00 00 00 5C 44 52 49 56 45 52 53 5C 25 73 5C 54 41 42 4C 45 20 43 52 45 41 54 45 00 00 00 00 FF FF FF FF 13 00 00 00 5C 44 52 49 56 45 52 53 5C 25 73 5C 44 42 20 4F 50 45 4E 00 }
	condition:
		$1
}

rule function_5604_0 {
	meta:
		name = "TSession.ModifyConfigParams"
		size = 262
		refs = "001a TSession.ModifyConfigParams 0027 _Dn_TStringList 002c TObject.Create 004f TSession.GetConfigParams 0074 TStrings.GetName 007f TStrings.IndexOfName 00c0 _NF__584 00d5 TObject.Free 00db @HandleFinally 00f2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 8B 45 EC 8B 10 FF 52 14 48 85 C0 7C 47 40 89 45 E8 33 DB 8D 4D E4 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 1D 8D 4D E4 8B D6 8B 45 08 8B 30 FF 56 0C 8B 4D E4 8B D3 8B 45 EC 8B 30 FF 56 20 FF 45 F0 43 FF 4D E8 75 BF 83 7D F0 00 7E 12 8B 45 EC 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5605_0 {
	meta:
		name = "TSession.Notification"
		size = 87
		refs = "0010 TComponent.Notification 0022 _DV_TDBDataSet 0027 @IsClass 0039 @LStrAsg 0043 _DV_TDatabase"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 7F 43 00 74 39 84 DB 75 35 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8D 86 E8 01 00 00 8B 57 48 E8 ?? ?? ?? ?? EB 14 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 89 7E 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5607_0 {
	meta:
		name = "_NF__568"
		size = 155
		refs = "0010 _NF__554 001d _NF__568 002e _NF__515 003d _DV_TDatabase 0042 TDatabase.Create 004f TDatabase.SetDatabaseName 005a TDatabase.SetKeepConnection 006b TDatabase.Open 007d @HandleAnyException 0085 TObject.Free 008a @RaiseAgain 008f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 30 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8A 56 40 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 2B 01 8B 5D FC 8B C3 E8 ?? ?? ?? ?? FF 43 34 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5609_0 {
	meta:
		name = "TSession.SessionNameStored"
		size = 6
	strings:
		$1 = { 8A 40 43 34 01 C3 }
	condition:
		$1
}

rule function_5610_0 {
	meta:
		name = "_NF__56E"
		size = 576
		refs = "001a _NF__56E 004a DbiGetCallBack 0077 OpenFileMapping 0090 CloseHandle 00a4 @IntfClear 00b3 Class_SMClient 00b9 CoCreateInstance 00c0 _NF__466 00ce @IntfCopy 00e3 Application 00ea TApplication.GetTitle 00f8 SUntitled 00fd LoadResString 0133 Format 013e @LStrLAsg 0143 _NF__595 014f @LStrToPChar 0172 @GetMem 018d _NF__596 0199 _DV_TBDECallback 019e TBDECallback.Create 01ab TList.Add 01d7 @HandleAnyException 01e3 @DoneExcept 01f8 @LStrClr 0206 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D F0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 78 34 00 75 21 8D 45 F4 50 6A 00 6A 00 6A 00 6A 1B 6A 00 E8 ?? ?? ?? ?? 66 85 C0 74 09 8B 45 FC 80 78 3E 00 74 0D 33 C0 5A 59 59 64 89 10 E9 7E 01 00 00 84 DB 75 27 68 ?? ?? ?? ?? 6A 00 6A 04 E8 ?? ?? ?? ?? 85 C0 75 0F 64 8F 05 00 00 00 00 83 C4 08 E9 59 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 80 78 41 00 74 22 8B 45 FC 83 C0 34 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 01 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? 8B 50 34 8B 45 FC 83 C0 34 E8 ?? ?? ?? ?? 8B 45 FC 83 78 34 00 0F 84 ED 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 41 00 75 38 8D 45 F0 50 8B 45 F8 89 45 E0 C6 45 E4 0B 8B 45 FC 8B 40 48 89 45 E8 C6 45 EC 0B 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 24 50 8B 45 FC 8B 40 34 50 8B 00 FF 50 0C 66 85 C0 74 45 B8 06 80 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 38 6A 00 6A 1B 53 68 06 80 00 00 8B 45 FC 50 68 ?? ?? ?? ?? 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? EB 0B 8B 45 FC 83 C0 34 E8 ?? ?? ?? ?? 8B 45 FC 83 78 34 00 0F 94 C0 8B 55 FC 88 42 3E 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 FC C6 40 3E 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 53 4D 42 75 66 66 65 72 00 00 00 00 E1 79 98 CB 95 43 D0 11 9F FC 00 A0 24 8E 4B 9A FF FF FF FF 05 00 00 00 25 73 2E 25 73 00 00 00 }
	condition:
		$1
}

rule function_5611_0 {
	meta:
		name = "_NF__56F"
		size = 206
		refs = "001e _NF__578 0029 _DV_TBDECallback 002e TBDECallback.Create 0038 TList.Add 0048 _NF__507 007a TList.Get 007f TObject.Free 008d TList.Clear 009b _NF__56F 00a9 @FreeMem 00b1 @IntfClear 00c0 @HandleAnyException 00c5 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 84 D2 74 5C 80 7B 42 00 74 2A 6A 00 6A 15 8D 43 58 50 6A 04 53 68 ?? ?? ?? ?? 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 2C E8 ?? ?? ?? ?? 6A 00 6A 1C 8D 43 64 50 6A 50 53 68 ?? ?? ?? ?? 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 2C E8 ?? ?? ?? ?? EB 61 8B 43 2C 8B 70 08 4E 83 FE 00 7C 15 8B 43 2C 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 83 FE FF 75 EB 8B 43 2C E8 ?? ?? ?? ?? 83 7B 34 00 74 32 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 E8 ?? ?? ?? ?? 8D 43 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_5612_0 {
	meta:
		name = "_NF__570"
		size = 32
		refs = "000e TList.Remove 0019 _NF__508"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 14 24 8B 43 28 E8 ?? ?? ?? ?? 8B CC B2 03 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_5613_0 {
	meta:
		name = "TSession.RemoveAllPasswords"
		size = 68
		refs = "000b _NF__552 0013 TSession.RemoveAllPasswords 0020 DbiDropPassword 0035 _NF__553 003b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5614_0 {
	meta:
		name = "TSession.RemovePassword"
		size = 105
		refs = "0013 _NF__552 001b TSession.RemovePassword 003d AnsiToNative 0043 DbiDropPassword 0058 _NF__553 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 1E 68 FF 00 00 00 8D 8D FC FE FF FF 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5615_0 {
	meta:
		name = "TSession.SaveConfigFile"
		size = 104
		refs = "000d TSession.GetConfigMode 0018 TSession.SaveConfigFile 002c TSession.SetConfigMode 0037 DbiCfgSave 003c Check 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A FF 6A 00 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 59 59 5D C3 02 00 00 00 }
	condition:
		$1
}

rule function_5616_0 {
	meta:
		name = "_NF__578"
		size = 122
		refs = "000d GetCurrentThreadId 0013 MainThreadID 001d _NV__461 0025 _NF__46B 0033 SetTimer 0039 _NV__462 003e GetTickCount 0066 Screen 0071 TScreen.SetCursor"
	strings:
		$1 = { 53 56 8B D8 33 F6 83 7B 58 01 75 69 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 75 5A 83 3D ?? ?? ?? ?? 00 75 25 68 ?? ?? ?? ?? 68 E8 03 00 00 6A 00 6A 00 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 2C 66 83 3D ?? ?? ?? ?? 00 74 22 E8 ?? ?? ?? ?? 2B 05 ?? ?? ?? ?? 3D F4 01 00 00 7E 10 A1 ?? ?? ?? ?? 8B 00 66 BA EF FF E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5617_0 {
	meta:
		name = "TSession.SetActive"
		size = 41
		refs = "0015 TSession.GetActive 0022 _NF__597"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 46 20 02 74 06 88 5E 3F 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 3A D8 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5618_0 {
	meta:
		name = "TSession.SetAutoSessionName"
		size = 274
		refs = "002a _NF__4FF 003a _NF__599 0049 _NV__460 004e EnterCriticalSection 0056 TSession.SetAutoSessionName 0061 Sessions 0069 TBits.OpenBit 0082 TBits.SetBit 0099 LeaveCriticalSection 009f @HandleFinally 00a9 _NF__598"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 55 FB 89 45 FC 8B 45 FC 8A 40 43 3A 45 FB 0F 84 F1 00 00 00 80 7D FB 00 0F 84 89 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 B1 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 4C FF FF FF FF 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 4C 8B D3 A1 ?? ?? ?? ?? 8B 40 08 B1 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC E8 ?? ?? ?? ?? EB 55 8B 45 FC 83 78 4C FF 7E 4C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 4C A1 ?? ?? ?? ?? 8B 40 08 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8A 55 FB 88 50 43 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5619_0 {
	meta:
		name = "TSession.GetConfigMode"
		size = 86
		refs = "000d _NF__552 0015 TSession.GetConfigMode 002b _NF__4A8 0043 _NF__553 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 BA 0C 00 02 00 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_5620_0 {
	meta:
		name = "TSession.SetConfigMode"
		size = 95
		refs = "0010 _NF__552 0018 TSession.SetConfigMode 0035 DbiSetProp 003a Check 004f _NF__553 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 45 FB 50 68 0C 00 02 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_5621_0 {
	meta:
		name = "_NF__584"
		size = 195
		refs = "0015 _NF__584 0025 _DV_TParamList 002a TParamList.Create 0068 Format 0070 @LStrToPChar 0078 DbiCfgModifyRecord 007d Check 0092 TObject.Free 0098 @HandleFinally 00af @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 10 50 8B 45 FC 8B 40 0C 50 8B 45 FC 66 8B 40 04 50 8D 45 F8 50 89 75 F0 C6 45 F4 0B 8D 55 F0 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5622_0 {
	meta:
		name = "TSession.SetName"
		size = 25
		refs = "0006 TComponent.SetName 0013 _NF__598"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 43 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5623_0 {
	meta:
		name = "TSession.SetNetFileDir"
		size = 142
		refs = "0013 TSession.GetActive 001f _NF__552 0027 TSession.SetNetFileDir 0042 AnsiToNative 0050 TSession.GetHandle 0056 DbiSetProp 005b Check 0070 _NF__553 0076 @HandleFinally 0086 @LStrAsg"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 61 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 FF 00 00 00 8D 8D F8 FE FF FF 8B 55 F8 33 C0 E8 ?? ?? ?? ?? 50 68 02 00 02 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 C0 50 8B 55 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_5624_0 {
	meta:
		name = "TSession.SetPrivateDir"
		size = 128
		refs = "0013 TSession.GetActive 001f _NF__552 0027 TSession.SetPrivateDir 0042 AnsiToNative 0048 DbiSetPrivateDir 004d Check 0062 _NF__553 0068 @HandleFinally 0078 @LStrAsg"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 53 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 FF 00 00 00 8D 8D F8 FE FF FF 8B 55 F8 33 C0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 C0 54 8B 55 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_5625_0 {
	meta:
		name = "TSession.SetSessionName"
		size = 175
		refs = "0015 TSession.SetSessionName 002f SAutoSessionActive 0034 LoadResString 003c DatabaseError 0043 _NF__4FF 004e Sessions 0053 TSessionList.FindSession 0063 SDuplicateSessionName 007e DatabaseErrorFmt 0088 @LStrAsg 009d @LStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 43 00 74 1B 80 7B 44 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 F6 74 37 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 27 3B D8 74 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 8D 43 48 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5626_0 {
	meta:
		name = "_NF__591"
		size = 140
		refs = "0010 TComponent.GetComponentCount 0024 TComponent.GetComponent 002e _DV_TDBDataSet 0033 @IsClass 0045 AnsiCompareText 0053 TDBDataSet.SetSessionName 005d _DV_TDatabase 007f TDatabase.SetSessionName"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 5E 04 85 DB 74 7A 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 6C 47 33 ED 8B D5 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 83 E8 01 00 00 8B 56 48 E8 ?? ?? ?? ?? 85 C0 74 0C 8B 56 48 8B C3 E8 ?? ?? ?? ?? EB 2A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 43 48 8B 56 48 E8 ?? ?? ?? ?? 85 C0 74 0A 8B 56 48 8B C3 E8 ?? ?? ?? ?? 45 4F 75 97 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5627_0 {
	meta:
		name = "TSession.SetTraceFlags"
		size = 58
		refs = "0023 TList.Get 002c TDatabase.SetTraceFlags"
	strings:
		$1 = { 53 56 51 66 89 14 24 8B F0 66 8B 04 24 66 89 46 3C 8B 46 28 8B 58 08 4B 83 FB 00 7C 19 8B D3 8B 46 28 E8 ?? ?? ?? ?? 66 8B 56 3C E8 ?? ?? ?? ?? 4B 83 FB FF 75 E7 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5628_0 {
	meta:
		name = "_NF__595"
		size = 8
		refs = "0003 TSession.SetTraceFlags"
	strings:
		$1 = { 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5629_0 {
	meta:
		name = "_NF__596"
		size = 96
		refs = "000e _NF__596 001e StrLen 003b @HandleAnyException 004a TSession.SetTraceFlags 004f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 5A 06 8B C3 E8 ?? ?? ?? ?? 50 53 8B 45 FC 8B 40 34 50 8B 00 FF 50 10 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_5630_0 {
	meta:
		name = "_NF__597"
		size = 564
		refs = "0015 _NF__597 0020 _NV__460 0025 EnterCriticalSection 006b SSessionNameMissing 0070 LoadResString 0078 DatabaseError 007d _NF__466 008e TSession.SetActive 009f _NF__54A 00b1 DbiStartSession 00b6 Check 00ce _NF__56F 00e5 TSession.SetNetFileDir 00fc TSession.SetPrivateDir 010a TSession.SetConfigMode 0112 _NF__4FE 0124 @HandleAnyException 0133 @RaiseAgain 0138 @DoneExcept 0149 DbiSetCurrSession 0165 TList.Get 0170 TObject.Free 0177 TDatabase.Close 019e IsLibrary 01aa _NF__46D 01b7 DbiRegisterCallBack 01bc DbiDLLExit 01c1 DbiExit 01cf DbiCloseSession 0201 LeaveCriticalSection 0207 @HandleFinally 021e @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 DB 0F 84 02 01 00 00 8B 45 FC 66 83 B8 BE 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 C0 00 00 00 FF 93 BC 00 00 00 8B 45 FC 83 78 48 00 75 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 74 0C E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 45 FC 80 78 41 00 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 15 6A 00 8B 45 FC 83 C0 24 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 50 00 74 0E 8B 45 FC 8B 50 50 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 54 00 74 0E 8B 45 FC 8B 50 54 8B 45 FC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 CB 00 00 00 E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 8B 58 08 4B 83 FB 00 7C 25 8B 45 FC 8B 40 28 8B D3 E8 ?? ?? ?? ?? 80 78 2B 00 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 41 00 74 33 8B 45 FC 80 78 45 00 75 49 A1 ?? ?? ?? ?? 80 38 00 74 19 6A 00 68 ?? ?? ?? ?? 6A 00 6A 00 6A 1D 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 24 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 07 00 00 00 }
	condition:
		$1
}

rule function_5631_0 {
	meta:
		name = "_NF__598"
		size = 196
		refs = "0012 _NF__598 005e Format 0069 TSession.SetSessionName 0083 @HandleFinally 008d _NF__591 00a2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 44 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 45 FC 8B 40 08 89 45 E8 C6 45 EC 0B 8B 45 FC 8B 40 4C 40 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 44 00 C3 E9 ?? ?? ?? ?? EB F1 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 FF FF FF FF 05 00 00 00 25 73 5F 25 64 00 00 00 }
	condition:
		$1
}

rule function_5632_0 {
	meta:
		name = "_NF__599"
		size = 212
		refs = "001b _NF__599 0033 TComponent.GetComponentCount 0047 TComponent.GetComponent 0056 _DV_TSession 005b @IsClass 006d SAutoSessionExclusive 0072 LoadResString 007a DatabaseError 008a SAutoSessionExists 00a8 DatabaseErrorFmt 00c1 @LStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F0 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 84 81 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 72 46 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 3B 5D FC 74 5A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 49 80 7D F7 00 74 17 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 2C 80 7B 43 00 74 26 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 43 08 89 45 E8 C6 45 EC 0B 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 47 4E 75 91 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5633_0 {
	meta:
		name = "TParamList.Create"
		size = 504
		refs = "0019 @ClassCreate 002a TParamList.Create 0062 @LStrPos 0076 @LStrLen 009d AllocMem 0130 @LStrCopy 0140 StrPLCopy 0181 @LStrToPChar 018b StrCopy 0198 CharToOem 01c3 @LStrArrayClr 01c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 48 46 C7 45 F0 00 00 00 00 8D 4D E4 8B 55 F0 8B 45 F4 8B 18 FF 53 0C 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 19 8B 45 FC FF 40 04 8B 45 E4 E8 ?? ?? ?? ?? 66 2B C7 40 8B 55 FC 66 01 42 08 FF 45 F0 4E 75 C0 8B 45 FC 8B 58 04 85 DB 0F 8E 14 01 00 00 6B C3 3E E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8B 45 FC 0F B7 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 10 33 C0 89 45 EC 89 5D E8 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C D7 00 00 00 46 C7 45 F0 00 00 00 00 8D 4D E4 8B 55 F0 8B 45 F4 8B 18 FF 53 0C 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 A0 00 00 00 8B 45 EC 8B D0 C1 E0 05 2B C2 8B 55 FC 8B 52 0C 8D 1C 42 FF 45 EC 66 8B 45 EC 66 89 03 8D 45 E0 50 8B CF 49 BA 01 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E0 8D 43 02 B9 1F 00 00 00 E8 ?? ?? ?? ?? 66 C7 43 22 01 00 8B 45 FC 66 8B 55 E8 66 2B 50 10 66 89 53 2A 8B 45 E4 E8 ?? ?? ?? ?? 66 2B C7 40 66 89 43 2C 8D 45 E0 50 8D 57 01 B9 FF 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 E8 50 E8 ?? ?? ?? ?? 0F B7 43 2C 01 45 E8 FF 45 F0 4E 0F 85 31 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 80 7D FB 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_5634_0 {
	meta:
		name = "TParamList.Destroy"
		size = 46
		refs = "000e DisposeMem 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 6B 56 04 3E 8D 46 0C E8 ?? ?? ?? ?? 0F B7 56 08 8D 46 10 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5635_0 {
	meta:
		name = "TDatabase.Create"
		size = 174
		refs = "000b @ClassCreate 001c TComponent.Create 002a _DV_TSession 002f @IsClass 003d _NF__466 004d TDatabase.SetSessionName 0057 _NF__4F5 005e _Dn_TList 0063 TObject.Create 006d _Dn_TStringList 0081 _NF__5D6"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 83 7F 40 00 75 1E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 89 77 40 EB 08 E8 ?? ?? ?? ?? 89 47 40 8B 47 40 8B 50 48 8B C7 E8 ?? ?? ?? ?? 8B D7 8B 47 40 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 44 89 7E 28 C7 46 24 ?? ?? ?? ?? C6 47 29 01 C6 47 2A 01 8B 47 40 8B 40 30 89 47 3C C6 47 28 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5636_0 {
	meta:
		name = "TDatabase.Destroy"
		size = 78
		refs = "0009 TComponent.Destroying 0010 TDatabase.Close 0018 TObject.Free 002e _NF__570 003a TComponent.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B 46 40 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5637_0 {
	meta:
		name = "TDatabase.ApplyUpdates"
		size = 271
		refs = "001e TDatabase.ApplyUpdates 002c TDatabase.StartTransaction 005e SUpdateWrongDB 0063 LoadResString 008c Format 0094 DatabaseError 009b TBDEDataSet.ApplyUpdates 00a9 TDatabase.Commit 00b8 @HandleAnyException 00c0 TDatabase.Rollback 00c5 @RaiseAgain 00ca @DoneExcept 00dc TBDEDataSet.CommitUpdates 00fc @LStrArrayClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D F0 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 75 F4 85 F6 7C 60 46 8B 5D F8 8B 3B 8B 87 E0 01 00 00 3B 45 FC 74 42 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 47 08 89 45 DC C6 45 E0 0B 8B 45 FC 8B 40 08 89 45 E4 C6 45 E8 0B 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 A4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 F4 85 F6 7C 11 46 8B 5D F8 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5638_0 {
	meta:
		name = "_NF__5AC"
		size = 78
		refs = "0009 _NF__5AC 001d SDatabaseClosed 0022 LoadResString 002a DatabaseError 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 78 38 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5639_0 {
	meta:
		name = "_NF__5AD"
		size = 78
		refs = "0009 _NF__5AD 001d SDatabaseOpen 0022 LoadResString 002a DatabaseError 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 78 38 00 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5640_0 {
	meta:
		name = "_NF__5AE"
		size = 88
		refs = "000c _NF__5AE 0026 SDatabaseNameMissing 002b LoadResString 0033 DatabaseError 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 4C 00 75 1B 80 7B 2B 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5641_0 {
	meta:
		name = "_NF__5AF"
		size = 185
		refs = "0016 Sessions 001b TSessionList.GetSessionByName 002f TSessionList.FindSession 004f _NF__570 005f _NF__4F5 0067 _NF__5AF 007b TDatabase.ValidateName 008a @HandleAnyException 0095 @LStrClr 009a @RaiseAgain 009f @DoneExcept 00b0 TSession.SetActive"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 84 DB 74 14 8B 45 FC 8B 50 48 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 12 8B 45 FC 8B 50 48 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 6A 8B 45 FC 3B 70 40 74 62 8B 45 FC 8B 40 40 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 89 42 40 8B 55 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 4C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 83 C0 4C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 0D 8B 45 FC 8B 40 40 B2 01 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5642_0 {
	meta:
		name = "TDatabase.Close"
		size = 188
		refs = "001c _NF__508 0024 TDatabase.CloseDataSets 0039 OsLdUnloadObj 0045 _NF__466 0065 _NF__506 00a4 TDatabase.Close 00a9 _NF__54C"
	strings:
		$1 = { 51 89 04 24 8B 04 24 83 78 38 00 0F 84 A3 00 00 00 8B CC 8B 04 24 8B 40 40 B2 01 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 80 78 2E 00 74 0C 8B 04 24 83 C0 3C 50 E8 ?? ?? ?? ?? 8B 04 24 C6 40 2E 00 E8 ?? ?? ?? ?? 8B 40 30 8B 14 24 89 42 3C 8B 04 24 80 78 31 00 75 10 8B 04 24 8B 40 40 8B 14 24 E8 ?? ?? ?? ?? EB 07 8B 04 24 C6 40 31 00 8B 04 24 C6 40 30 00 8B 04 24 33 D2 89 50 38 8B 04 24 33 D2 89 50 34 8B 04 24 80 78 2C 00 74 22 6A 01 8B 44 24 04 8B 50 4C 8B 44 24 04 8B 40 40 8A 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 C6 40 2C 00 5A C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_5643_0 {
	meta:
		name = "TDatabase.CloseDataSets"
		size = 33
		refs = "0009 TList.Last"
	strings:
		$1 = { 53 56 8B D8 EB 0F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 C0 01 00 00 8B 73 24 83 7E 08 00 75 E8 5E 5B C3 }
	condition:
		$1
}

rule function_5645_0 {
	meta:
		name = "_NF__5B6"
		size = 26
		refs = "000e DbiEndTran 0013 Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 8B 43 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5646_0 {
	meta:
		name = "TDatabase.GetAliasName"
		size = 35
		refs = "0012 @LStrLAsg 001c @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 2F 00 74 0D 8B C6 8B 53 50 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5647_0 {
	meta:
		name = "TDatabase.GetConnected"
		size = 8
	strings:
		$1 = { 83 78 38 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_5650_0 {
	meta:
		name = "TDatabase.GetDirectory"
		size = 87
		refs = "0019 DbiGetDirectory 001e Check 0025 StrLen 002e @LStrSetLength 0035 @LStrToPChar 0040 OemToChar 0049 @LStrClr"
	strings:
		$1 = { 53 56 57 81 C4 F8 FE FF FF 8B F2 8B D8 8B 7B 38 85 FF 74 32 54 6A 00 57 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5651_0 {
	meta:
		name = "TDatabase.GetDriverName"
		size = 35
		refs = "000f @LStrClr 001c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 2F 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5652_0 {
	meta:
		name = "_NF__5C4"
		size = 116
		refs = "0018 DbiGetProp 001d Check 0022 _NF__5C4 002b StrIComp"
	strings:
		$1 = { 53 83 C4 B8 8B D8 54 6A 40 8D 44 24 10 50 68 02 00 04 00 8B 43 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 44 24 08 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 88 43 30 54 6A 04 8D 44 24 0C 50 68 01 00 03 FF 8B 43 38 50 E8 ?? ?? ?? ?? 66 85 C0 75 07 83 7C 24 04 00 75 04 33 C0 EB 02 B0 01 88 43 32 83 C4 48 5B C3 00 53 54 41 4E 44 41 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_5653_0 {
	meta:
		name = "TDatabase.GetTraceFlags"
		size = 56
		refs = "0007 TDatabase.GetConnected 001e _NF__4A8 0029 TDatabase.GetTraceFlags"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 80 7B 30 00 74 11 BA 07 00 04 04 8B 43 38 E8 ?? ?? ?? ?? 8B F0 EB 07 66 8B 35 ?? ?? ?? ?? 8B C6 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5654_0 {
	meta:
		name = "TDatabase.GetInTransaction"
		size = 46
		refs = "0013 DbiGetTranInfo"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 8B 73 38 85 F6 74 14 54 6A 00 56 E8 ?? ?? ?? ?? 66 85 C0 75 06 83 3C 24 01 74 04 33 C0 EB 02 B0 01 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_5655_0 {
	meta:
		name = "TDatabase.Loaded"
		size = 118
		refs = "000e TComponent.Loaded 0016 TDatabase.Loaded 002d TDatabase.Open 0039 _NF__5AF 0048 @HandleAnyException 0056 Application 0060 TApplication.HandleException 0067 @RaiseAgain 006c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 2D 00 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 74 11 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5656_0 {
	meta:
		name = "TDatabase.Notification"
		size = 49
		refs = "0010 TComponent.Notification 001f _NF__466"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 14 3B 77 40 75 0F E8 ?? ?? ?? ?? 3B 47 40 74 05 33 C0 89 47 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5657_0 {
	meta:
		name = "_NF__5CF"
		size = 64
		refs = "0018 DbiGetLdNameFromDb 0028 OsLdLoadBySymbName"
	strings:
		$1 = { 53 83 C4 DC 8B D8 80 7B 30 00 74 2F 8D 44 24 04 50 6A 00 8B 43 38 50 E8 ?? ?? ?? ?? 66 85 C0 75 1A 54 8D 44 24 08 50 E8 ?? ?? ?? ?? 66 85 C0 75 0A 8B 04 24 89 43 3C C6 43 2E 01 83 C4 24 5B C3 }
	condition:
		$1
}

rule function_5658_0 {
	meta:
		name = "_NF__5D0"
		size = 232
		refs = "0014 _NF__5D0 003c TStrings.GetValue 004c LoginDialogEx 0058 SLoginError 005d LoadResString 0076 DatabaseErrorFmt 0085 TStrings.SetValue 00ae @LStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 56 00 74 0C 8B CE 8B D3 8B 43 58 FF 53 54 EB 67 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 4D F8 8D 55 FC 8B 43 4C E8 ?? ?? ?? ?? 84 C0 75 26 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 4C 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 FF FF FF FF 09 00 00 00 55 53 45 52 20 4E 41 4D 45 00 00 00 FF FF FF FF 08 00 00 00 50 41 53 53 57 4F 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_5659_0 {
	meta:
		name = "_NF__5D1"
		size = 312
		refs = "0010 _NF__5D1 0042 @LStrCmp 00a0 TStrings.GetName 00ad CompareText 00bf TStrings.IndexOfName 00da TStrings.GetValue 00eb TStrings.SetValue 010d @LStrArrayClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 FF 00 74 29 8B 45 08 8B 40 F8 83 78 50 00 74 19 8B 45 08 8B 40 F8 8B 40 4C 8B 55 08 8B 52 F8 8B 52 50 E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 88 45 FF 8B 45 08 8B 40 F8 8B 40 44 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 8D 00 00 00 46 33 DB 8D 4D F4 8B 45 08 8B 40 F8 8B 40 44 8B D3 8B 38 FF 57 0C 8B 55 F4 8B 45 08 8B 40 F4 8B 08 FF 51 50 40 7F 5E 8D 4D F8 8B 45 08 8B 40 F8 8B 40 44 8B D3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 3A 8B 45 08 8B 40 F4 8B 55 F8 E8 ?? ?? ?? ?? 40 7E 29 C6 45 FF 01 8D 4D F4 8B 45 08 8B 40 F8 8B 40 44 8B 55 F8 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 08 8B 40 F4 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 0F 85 76 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 FF 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 08 00 00 00 50 41 53 53 57 4F 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_5660_0 {
	meta:
		name = "_NF__5D2"
		size = 788
		refs = "0021 _NF__5D2 002e @LStrClr 003c _Dn_TStringList 0041 TObject.Create 0069 @LStrLAsg 00a1 _NF__47F 00ac @LStrToPChar 00b2 DbiGetDatabaseDesc 00bc @TryFinallyExit 00d8 OemToChar 00e8 @LStrFromArray 00f9 TSession.GetAliasParams 010c TSession.GetDriverParams 0127 TStrings.IndexOfName 016e TStrings.GetValue 01a0 TStrings.SetValue 01d4 _NF__5D0 01f4 @LStrAsg 0232 TObject.Free 0238 @HandleFinally 0267 _NF__5D1 028c _NF__54B 02d5 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 7C FE FF FF 53 33 C9 89 8D 7C FE FF FF 89 4D F0 89 4D EC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 C6 40 2C 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 50 00 74 19 8D 45 F0 8B 55 F8 8B 52 50 E8 ?? ?? ?? ?? 8B 45 F8 8A 40 2F 88 45 FF EB 12 8D 45 F0 8B 55 F8 8B 52 4C E8 ?? ?? ?? ?? C6 45 FF 01 80 7D FF 00 74 6F 8D 85 83 FE FF FF 50 8D 95 7C FE FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 7C FE FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 74 0A E8 ?? ?? ?? ?? E9 EF 01 00 00 80 7D E7 00 74 04 C6 45 E7 00 8D 45 C8 50 8D 45 C8 50 E8 ?? ?? ?? ?? 8D 45 EC 8D 55 C8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 40 8B 4D F4 8B 55 F0 E8 ?? ?? ?? ?? EB 1F 8B 45 F8 8B 40 40 8B 4D F4 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F8 8B 52 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 40 0F 84 33 01 00 00 8B 45 F8 80 78 29 00 0F 84 FF 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 7C FE FF FF 8B 45 F8 8B 40 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BD 7C FE FF FF 00 75 29 8D 8D 7C FE FF FF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 8D 7C FE FF FF 8B 45 F8 8B 40 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 7C FE FF FF 8B 45 F8 8B 40 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 7C FE FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 8D 7C FE FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 95 7C FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 8D 7C FE FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 8D 7C FE FF FF 8B 45 F8 8B 40 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 85 7C FE FF FF 50 8B 45 F8 8B 40 44 50 BA ?? ?? ?? ?? 58 59 E8 ?? ?? ?? ?? 8B 95 7C FE FF FF 8B C3 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 27 8B 45 F4 50 A0 ?? ?? ?? ?? 50 6A 00 8B 45 F8 8B 50 4C 8B 45 F8 8B 40 40 8B 4D EC E8 ?? ?? ?? ?? 8B 45 F8 C6 40 2C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FE FF FF E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 FF FF FF FF 09 00 00 00 55 53 45 52 20 4E 41 4D 45 00 00 00 FF FF FF FF 08 00 00 00 50 41 53 53 57 4F 52 44 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_5661_0 {
	meta:
		name = "_NF__5D3"
		size = 36
		refs = "000a _NF__516 0013 TDatabase.SetHandle"
	strings:
		$1 = { 53 8B D8 8B 53 4C 8B 43 40 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? C6 43 31 00 83 7B 38 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_5662_0 {
	meta:
		name = "TDatabase.Open"
		size = 572
		refs = "0011 TDatabase.Open 002c _NF__5AE 0036 _NF__5AF 0047 _NF__5D3 005a _NF__552 0073 TSession.GetConfigMode 008f _NF__5D2 00b1 _NF__4A7 00bd @LStrClr 00cd _NF__47F 00f8 DbiOpenDatabase 00fd Check 0111 TDatabase.SetDirectory 0124 DbiSetProp 013f _NF__5C4 0147 _NF__5CF 0165 _NF__56E 0177 TDatabase.SetTraceFlags 0187 _NF__508 0196 @HandleAnyException 01b8 _NF__54C 01bd @RaiseAgain 01c2 @DoneExcept 01dd TSession.SetConfigMode 01e3 @HandleFinally 01fd _NF__553 0227 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 38 00 0F 85 E1 01 00 00 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 33 00 74 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 B6 01 00 00 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 88 45 F3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 50 00 75 19 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 84 C0 74 0A 8D 45 F8 E8 ?? ?? ?? ?? EB 0E 8D 55 F8 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 38 50 6A 00 6A 00 6A 00 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 6A 00 6A 00 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 0E 8B 45 FC 8B 50 4C 8B 45 FC E8 ?? ?? ?? ?? 6A 01 68 05 00 04 00 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 6A 01 68 04 00 04 00 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 30 00 74 15 8B 45 FC F6 40 20 10 0F 95 C2 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 66 8B 50 3C 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FC 8B 45 FC 8B 40 40 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 31 E9 ?? ?? ?? ?? 8B 45 FC 80 78 2C 00 74 19 6A 00 8B 45 FC 8B 50 4C 8B 45 FC 8B 40 40 8A 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8A 55 F3 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_5664_0 {
	meta:
		name = "TDatabase.Rollback"
		size = 24
		refs = "0006 _NF__5AC 0012 _NF__5B6"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5665_0 {
	meta:
		name = "TDatabase.SetAliasName"
		size = 8
		refs = "0003 _NF__5E2"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7907_0 {
	meta:
		name = "TBitmap.WriteData"
		size = 8
		refs = "0003 _NF__5E9"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7988_0 {
	meta:
		name = "TInplaceEdit.Move"
		size = 8
		refs = "0003 _NF__263"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8240_0 {
	meta:
		name = "TStringGrid.GetCols"
		size = 8
		refs = "0003 _NF__497"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5900_0 {
	meta:
		name = "TTable.LockTable"
		size = 8
		refs = "0003 _NF__84E"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5666_0 {
	meta:
		name = "TDatabase.SetConnected"
		size = 27
		refs = "000f TDatabase.Open 0016 TDatabase.Close"
	strings:
		$1 = { F6 40 20 02 74 04 88 50 2D C3 84 D2 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5667_0 {
	meta:
		name = "TDatabase.SetDatabaseName"
		size = 66
		refs = "0012 @LStrAsg 001f @LStrCmp 0028 _NF__5AD 0031 TDatabase.ValidateName"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 02 74 0D 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 4C 8B D6 E8 ?? ?? ?? ?? 74 1A 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5668_0 {
	meta:
		name = "_NF__5E2"
		size = 33
		refs = "000c _NF__5AD 0016 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? 8D 47 50 8B D6 E8 ?? ?? ?? ?? 88 5F 2F 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5669_0 {
	meta:
		name = "TDatabase.SetDirectory"
		size = 93
		refs = "0010 TDatabase.SetDirectory 0027 _NF__47F 0031 DbiSetDirectory 0036 Check 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 38 85 F6 74 19 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5671_0 {
	meta:
		name = "TDatabase.SetHandle"
		size = 206
		refs = "0015 TDatabase.SetHandle 0023 TDatabase.GetConnected 002f TDatabase.Close 003f DbiGetObjFromObj 0044 Check 004c _NF__5AE 0056 _NF__5AF 0061 TSession.GetHandle 006e SDatabaseHandleSet 0073 LoadResString 007b DatabaseError 0089 _NF__5C4 0091 _NF__5CF 00a1 _NF__508 00bd @LStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 85 DB 74 75 8D 45 F8 50 6A 02 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 3B 45 F8 74 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 89 58 38 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FC 8B 45 FC 8B 40 40 33 D2 E8 ?? ?? ?? ?? 8B 45 FC C6 40 31 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5672_0 {
	meta:
		name = "TDatabase.SetKeepConnection"
		size = 24
		refs = "0013 TDatabase.Close"
	strings:
		$1 = { 3A 50 2A 74 12 88 50 2A 84 D2 75 0B 83 78 34 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5673_0 {
	meta:
		name = "TDatabase.SetParams"
		size = 26
		refs = "0009 _NF__5AD"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 44 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_5674_0 {
	meta:
		name = "TDatabase.SetSessionName"
		size = 47
		refs = "0009 _NF__5AD 0013 @LStrCmp 001f @LStrAsg 0028 _NF__5AF"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 48 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 48 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5675_0 {
	meta:
		name = "TDatabase.SetTraceFlags"
		size = 47
		refs = "000b TDatabase.GetConnected 0028 DbiSetProp"
	strings:
		$1 = { 53 51 66 89 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 80 7B 30 00 74 13 0F B7 04 24 50 68 07 00 04 04 8B 43 38 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_5676_0 {
	meta:
		name = "TDatabase.StartTransaction"
		size = 126
		refs = "0012 TDatabase.StartTransaction 001f _NF__5AC 0033 SLocalTransDirty 0038 LoadResString 0040 DatabaseError 0053 DbiBeginTran 0058 Check 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 7B 30 00 75 1B 80 7B 28 00 74 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 33 C0 8A 43 28 50 8B 43 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5677_0 {
	meta:
		name = "TDatabase.ValidateName"
		size = 164
		refs = "0016 TDatabase.ValidateName 0030 TSession.FindDatabase 005a SDuplicateDatabaseName 005f LoadResString 0075 DatabaseErrorFmt 007c TObject.Free 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 5C 83 7B 40 00 74 56 8B D7 8B 43 40 E8 ?? ?? ?? ?? 8B F0 85 F6 74 46 3B DE 74 42 80 7E 33 00 74 06 80 7B 33 00 75 36 80 7E 2B 00 74 06 83 7E 34 00 74 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5678_0 {
	meta:
		name = "TDatabase.FlushSchemaCache"
		size = 48
		refs = "0009 TDatabase.GetConnected 001a @LStrToPChar 0024 DbiSchemaCacheFlush 0029 Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 80 7B 30 00 74 16 8B C6 E8 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5679_0 {
	meta:
		name = "TBDEDataSet.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TDataSet.Create 001c _NF__466 0026 TBDEDataSet.SetLocale"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 30 8B C6 E8 ?? ?? ?? ?? C6 86 75 01 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5680_0 {
	meta:
		name = "TBDEDataSet.Destroy"
		size = 54
		refs = "000e TDataSet.Destroy 0019 TObject.Free 0022 TBDEDataSet.SetUpdateObject 002d @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 8B 86 80 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5681_0 {
	meta:
		name = "TBDEDataSet.OpenCursor"
		size = 222
		refs = "0016 TBDEDataSet.OpenCursor 003c TBDEDataSet.YieldCallBack 0047 _DV_TBDECallback 004c TBDECallback.Create 006d _NF__46A 0075 SHandleError 007a LoadResString 0084 _DV_ENoResultSet 0089 Exception.Create 008e @RaiseExcept 009e DbiGetLdObj 00ad TBDEDataSet.SetLocale 00b6 TDataSet.OpenCursor 00cb @LStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 75 32 83 BE 80 01 00 00 00 75 29 6A 00 6A 14 8D 86 84 01 00 00 50 6A 04 56 68 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 01 00 00 8B C6 8B 10 FF 92 AC 01 00 00 8B F8 89 BE 2C 01 00 00 85 FF 75 26 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 86 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5682_0 {
	meta:
		name = "TBDEDataSet.CloseCursor"
		size = 73
		refs = "0006 TDataSet.CloseCursor 000b _NF__466 0015 TBDEDataSet.SetLocale 0020 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 30 8B C3 E8 ?? ?? ?? ?? 8B 83 80 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 80 01 00 00 83 BB 2C 01 00 00 00 74 12 8B C3 8B 10 FF 92 B0 01 00 00 33 C0 89 83 2C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5684_0 {
	meta:
		name = "TBDEDataSet.DestroyHandle"
		size = 31
		refs = "000d DbiRelRecordLock 0019 DbiCloseCursor"
	strings:
		$1 = { 53 8B D8 6A 00 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 8D 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5685_0 {
	meta:
		name = "TBDEDataSet.InternalInitFieldDefs"
		size = 332
		refs = "001d DbiGetCursorProps 0023 TBDEDataSet.InternalInitFieldDefs 0055 DbiGetVchkDesc 0092 AllocMem 00b3 DbiGetFieldDescs 00bb TFieldDefs.Clear 00f5 TBDEDataSet.AddFieldDesc 0118 @FreeMem 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 6C F9 FF FF 53 56 57 8B F8 8D 85 6C F9 FF FF 50 8B 87 2C 01 00 00 50 E8 ?? ?? ?? ?? 57 BE ?? ?? ?? ?? 8D BD 18 FB FF FF B9 08 00 00 00 F3 A5 5F 0F B7 B5 9D FA FF FF 85 F6 7E 47 BB 01 00 00 00 8D 85 38 FB FF FF 50 53 8B 87 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 83 BD 3A FB FF FF 00 74 20 66 83 BD 40 FB FF FF 00 75 16 0F B7 85 38 FB FF FF 48 3D FF 00 00 00 77 07 0F AB 85 18 FB FF FF 43 4E 75 BE 0F B7 85 93 FA FF FF 6B C0 3E E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 87 2C 01 00 00 50 E8 ?? ?? ?? ?? 8B 47 28 E8 ?? ?? ?? ?? 0F B7 B5 93 FA FF FF 4E 85 F6 7C 32 46 33 DB 8B C3 40 50 8B C3 3D FF 00 00 00 77 07 0F A3 85 18 FB FF FF 0F 92 C1 8B C3 C1 E0 05 2B C3 8B 55 FC 8D 14 42 8B C7 E8 ?? ?? ?? ?? 43 4E 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B7 85 93 FA FF FF 6B D0 3E 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5686_0 {
	meta:
		name = "TBDEDataSet.InternalOpen"
		size = 359
		refs = "001b DbiBeginDelayedUpdates 0020 Check 0027 _NF__72C 0039 TBDEDataSet.ConstraintCallBack 0048 DbiBeginConstraintLayer 005a DbiGetCursorProps 00b3 TBDEDataSet.GetIndexInfo 00c0 TDataSet.CreateFields 00c9 TDataSet.BindFields 00d2 _NF__61F 00e4 TBDEDataSet.AllocCachedUpdateBuffers 00eb TBDEDataSet.UpdateCallbackRequired 00f4 TBDEDataSet.SetupCallBack 00fb TBDEDataSet.AllocKeyBuffers 0107 DbiSetToBegin 0126 TBDEDataSet.CreateExprFilter 013b _NF__715 0147 TBDEDataSet.CreateFuncFilter 015a TBDEDataSet.ActivateFilters"
	strings:
		$1 = { 53 56 81 C4 54 FE FF FF 8B F0 80 BE 72 01 00 00 00 74 11 8D 86 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 88 9E BA 01 00 00 84 DB 74 1A 56 B8 ?? ?? ?? ?? 50 8D 86 2C 01 00 00 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 54 8B 86 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 8B 84 24 2B 01 00 00 66 89 86 B0 01 00 00 0F B7 84 24 35 01 00 00 89 46 50 83 BC 24 39 01 00 00 00 75 0B 66 83 BC 24 89 01 00 00 00 74 04 33 C0 EB 02 B0 01 88 86 74 01 00 00 8A 84 24 43 01 00 00 88 86 A4 01 00 00 8B C6 8B 10 FF 92 50 01 00 00 8B C6 E8 ?? ?? ?? ?? 80 7E 69 00 74 07 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 80 BE 72 01 00 00 00 74 19 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 2C 01 00 00 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 BC 01 00 00 83 7E 70 00 74 15 6A 00 8A 4E 74 8B 56 70 8B C6 E8 ?? ?? ?? ?? 89 86 44 01 00 00 66 83 BE 26 01 00 00 00 74 17 BA ?? ?? ?? ?? B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 86 48 01 00 00 80 7E 6B 00 74 07 8B C6 E8 ?? ?? ?? ?? 81 C4 AC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5687_0 {
	meta:
		name = "TBDEDataSet.InternalClose"
		size = 148
		refs = "0016 TBDEDataSet.FreeKeyBuffers 0028 TBDEDataSet.SetupCallBack 0031 TBDEDataSet.AllocCachedUpdateBuffers 0046 DbiEndConstraintLayer 0052 DbiEndDelayedUpdates 005b TDataSet.BindFields"
	strings:
		$1 = { 53 8B D8 33 C0 89 83 48 01 00 00 33 C0 89 83 44 01 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 72 01 00 00 00 74 33 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB BA 01 00 00 00 74 0C 8D 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 8D 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 80 7B 69 00 74 07 8B C3 8B 10 FF 52 54 33 C0 89 83 A8 01 00 00 66 C7 83 76 01 00 00 00 00 C6 83 70 01 00 00 00 C6 83 71 01 00 00 00 C6 83 74 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5689_0 {
	meta:
		name = "TBDEDataSet.IsCursorOpen"
		size = 11
	strings:
		$1 = { 83 B8 2C 01 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_5691_0 {
	meta:
		name = "TBDEDataSet.SetLocale"
		size = 7
	strings:
		$1 = { 89 90 40 01 00 00 C3 }
	condition:
		$1
}

rule function_5692_0 {
	meta:
		name = "_NF__61F"
		size = 124
		refs = "0016 DbiGetCursorProps 001b Check"
	strings:
		$1 = { 53 81 C4 54 FE FF FF 8B D8 84 D2 74 2C 54 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 84 24 35 01 00 00 89 43 50 66 8B 84 24 2B 01 00 00 66 89 83 B0 01 00 00 66 8B 83 B0 01 00 00 66 03 43 54 66 89 83 B6 01 00 00 66 8B 53 6C C1 E2 02 66 03 D0 66 89 93 B4 01 00 00 8B C2 66 83 C0 08 66 89 83 B2 01 00 00 66 03 43 50 66 89 83 B8 01 00 00 81 C4 AC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5693_0 {
	meta:
		name = "TBDEDataSet.AllocRecordBuffer"
		size = 52
		refs = "000c StrAlloc 0025 String 002b @InitializeArray"
	strings:
		$1 = { 53 56 8B D8 0F B7 83 B8 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 43 6C 85 C0 7E 16 0F B7 93 B6 01 00 00 03 D6 8B C8 A1 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5694_0 {
	meta:
		name = "TBDEDataSet.FreeRecordBuffer"
		size = 46
		refs = "001a String 0020 @FinalizeArray 0027 StrDispose"
	strings:
		$1 = { 53 56 8B DA 8B 50 6C 85 D2 7E 19 8B 0B 0F B7 B0 B6 01 00 00 03 CE 8B C2 8B 15 ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5695_0 {
	meta:
		name = "TBDEDataSet.InternalInitRecord"
		size = 14
		refs = "0009 DbiInitRecord"
	strings:
		$1 = { 52 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5696_0 {
	meta:
		name = "_NF__628"
		size = 54
		refs = "0029 @LStrClr"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 80 BE 75 01 00 00 00 74 20 8B 5E 6C 4B 85 DB 7C 18 43 33 FF 0F B7 86 B6 01 00 00 03 C5 8D 04 B8 E8 ?? ?? ?? ?? 47 4B 75 EB 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5698_0 {
	meta:
		name = "TBDEDataSet.InitRecord"
		size = 50
		refs = "000b TDataSet.InitRecord 0014 _NF__628"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 83 B4 01 00 00 03 C6 C6 40 04 02 C6 40 05 03 C7 00 FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_5699_0 {
	meta:
		name = "TBDEDataSet.GetRecord"
		size = 267
		refs = "002e DbiGetRecord 0046 DbiGetNextRecord 005e DbiGetPriorRecord 00be _NF__628 00e0 DbiGetBookMark 00e5 Check"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F2 8B D8 8A 45 FF 2C 01 72 08 74 1E FE C8 74 32 EB 48 8D 83 30 01 00 00 50 56 6A 00 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? EB 32 8D 83 30 01 00 00 50 56 6A 00 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? EB 1A 8D 83 30 01 00 00 50 56 6A 00 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? EB 02 33 C0 8B D0 66 83 EA 01 72 0E 66 81 EA 00 22 74 78 66 FF CA 74 77 EB 79 0F B7 83 B4 01 00 00 03 C6 8A 93 38 01 00 00 88 50 04 C6 40 05 00 8A 93 A4 01 00 00 80 EA 01 72 0C 75 14 8B 93 30 01 00 00 89 10 EB 10 8B 93 34 01 00 00 89 10 EB 06 C7 00 FF FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 AC 00 00 00 0F B7 83 B2 01 00 00 03 F0 56 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 15 B3 01 EB 11 B3 02 EB 0D B3 03 80 7D 08 00 74 05 E8 ?? ?? ?? ?? 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5700_0 {
	meta:
		name = "TBDEDataSet.GetCurrentRecord"
		size = 78
		refs = "0009 TDataSet.IsEmpty 0014 TDataSet.ActiveBuffer 002b TDataSet.UpdateCursorPos 003c DbiGetRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 38 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 28 01 00 00 84 C0 75 21 8B C3 E8 ?? ?? ?? ?? 6A 00 56 6A 00 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5701_0 {
	meta:
		name = "_NF__637"
		size = 151
		refs = "000b TDataSet.UpdateCursorPos 0021 DbiSetProp 0026 Check 002e _NF__637 0054 DbiGetRecord 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 6A 01 68 04 00 05 05 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC 8B 80 78 01 00 00 8B 40 0C 50 6A 00 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 68 04 00 05 05 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 FC 8B 80 78 01 00 00 8B 40 0C 59 5D C3 }
	condition:
		$1
}

rule function_5702_0 {
	meta:
		name = "TBDEDataSet.FetchAll"
		size = 65
		refs = "000c TDataSet.CheckBrowseMode 0018 DbiSetToEnd 001d Check 002f DbiGetPriorRecord 003b TDataSet.UpdateCursorPos"
	strings:
		$1 = { 53 8B D8 80 7B 59 00 75 36 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5703_0 {
	meta:
		name = "TBDEDataSet.FlushBuffers"
		size = 29
		refs = "0006 TDataSet.CheckBrowseMode 0012 DbiSaveChanges 0017 Check"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5704_0 {
	meta:
		name = "TBDEDataSet.GetRecordCount"
		size = 35
		refs = "0014 DbiGetExactRecordCount 0019 Check"
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 52 38 54 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_5705_0 {
	meta:
		name = "TBDEDataSet.GetRecNo"
		size = 41
		refs = "0018 TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 38 80 7B 5D 05 75 05 8B 43 48 EB 07 8B C3 E8 ?? ?? ?? ?? 0F B7 93 B4 01 00 00 03 C2 8B 00 5B C3 }
	condition:
		$1
}

rule function_5706_0 {
	meta:
		name = "TBDEDataSet.SetRecNo"
		size = 80
		refs = "0009 TDataSet.CheckBrowseMode 002d DbiSetToSeqNo 0038 TBDEDataSet.SetRecNo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB A4 01 00 00 01 75 30 8B C3 8B 10 FF 92 D8 00 00 00 3B F0 74 22 56 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 10 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 5E 5B C3 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_5707_0 {
	meta:
		name = "TBDEDataSet.GetRecordSize"
		size = 8
	strings:
		$1 = { 66 8B 80 B0 01 00 00 C3 }
	condition:
		$1
}

rule function_5708_0 {
	meta:
		name = "_NF__645"
		size = 211
		refs = "0017 _NF__645 0042 TDataSet.IsEmpty 0053 TDataSet.ActiveBuffer 00be _NF__637"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 8A 43 5D 83 F8 08 0F 87 B2 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 33 C0 89 06 EB 7A 8B C3 E8 ?? ?? ?? ?? 89 06 EB 6F 8B C3 E8 ?? ?? ?? ?? 89 06 EB 64 8B 83 A0 01 00 00 83 C0 08 89 06 EB 57 8B 43 48 89 06 EB 50 8B 83 4C 01 00 00 89 06 EB 46 80 BB 73 01 00 00 00 74 0D 8B 83 78 01 00 00 8B 40 08 89 06 EB 30 8B C3 E8 ?? ?? ?? ?? 89 06 EB 25 80 BB 73 01 00 00 00 74 0D 8B 83 78 01 00 00 8B 40 0C 89 06 EB 0F 8B C3 E8 ?? ?? ?? ?? 89 06 EB 04 33 C0 89 06 83 3E 00 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5709_0 {
	meta:
		name = "TBDEDataSet.AddFieldDesc"
		size = 464
		refs = "002a TBDEDataSet.AddFieldDesc 0041 NativeToAnsi 004e @LStrLAsg 0078 Format 0083 TFieldDefs.IndexOf 009a DataTypeMap 014e BlobTypeMap 016a _Dn_TFieldDef 0174 TFieldDef.Create 01a9 @LStrArrayClr 01af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 DB 89 5D F8 89 5D F4 8B F2 8D 7D B4 51 B9 0F 00 00 00 F3 A5 59 66 A5 88 4D FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8D 55 B6 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 33 FF 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? EB 28 47 8D 45 F4 50 8B 45 F8 89 45 A4 C6 45 A8 0B 89 7D AC C6 45 B0 00 8D 55 A4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 46 28 E8 ?? ?? ?? ?? 85 C0 7D C9 66 8B 45 D6 66 83 F8 12 73 0E 0F B7 D0 8B 0D ?? ?? ?? ?? 8A 0C 11 EB 02 33 C9 33 D2 0F B7 C0 83 F8 0F 0F 87 A3 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 07 00 02 03 04 05 06 00 00 02 00 00 06 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 8B 45 DA 66 85 C0 75 04 33 C9 EB 59 8B D0 EB 55 66 83 7D E0 02 74 4E 33 C9 EB 4A 66 83 7D D8 1D 75 43 B1 0E EB 3F 66 83 7D D8 15 75 38 B1 07 EB 34 0F BF 45 DC 99 33 C2 2B C2 8B D0 EB 27 66 8B 55 DA EB 21 66 8B 55 DA 66 8B 45 D8 66 83 F8 16 72 13 66 83 F8 1C 77 0D 0F B7 C0 8B 0D ?? ?? ?? ?? 8A 4C 01 EA 84 C9 74 39 8B 45 F4 50 51 52 8A 45 FF 50 0F B7 45 08 50 A1 ?? ?? ?? ?? B2 01 8B 4E 28 E8 ?? ?? ?? ?? 66 8B 55 EC 66 F7 DA 1B D2 F7 DA 88 50 1B 80 78 10 08 75 07 0F BF 55 DA 89 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 FF FF FF FF 05 00 00 00 25 73 5F 25 64 00 00 00 }
	condition:
		$1
}

rule function_5710_0 {
	meta:
		name = "TBDEDataSet.GetFieldData"
		size = 151
		refs = "0016 _NF__645 0038 DbiGetField 003d Check 008a Move"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B FA 8B F0 33 DB 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 84 C0 74 70 83 7F 38 00 7E 29 54 55 8B 44 24 0C 50 66 8B 47 38 50 8B 86 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1C 24 83 FB 01 1B DB F7 DB EB 41 8A 46 5D 48 2C 03 72 04 2C 01 75 35 0F B7 86 B0 01 00 00 0F B7 57 36 03 C2 01 44 24 04 8B 44 24 04 8A 18 84 DB 74 1A 85 ED 74 16 8B C7 8B 10 FF 52 54 0F B7 C8 8B D5 8B 44 24 04 40 E8 ?? ?? ?? ?? 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5711_0 {
	meta:
		name = "TBDEDataSet.SetFieldData"
		size = 483
		refs = "001b TBDEDataSet.SetFieldData 0032 SNotEditing 0037 LoadResString 003f DatabaseError 005b TField.GetIsIndexField 0069 TField.GetDisplayName 007f SNotIndexField 008f DatabaseErrorFmt 0099 _NF__645 00ef SFieldReadOnly 0108 TField.Validate 0122 TField.GetHasConstraints 0145 DbiVerifyField 014a Check 0160 DbiPutField 019f Move 01c8 @LStrClr 01d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F4 89 5D E8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 43 5D 04 FE 2C 06 72 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 80 7B 5D 04 75 4A 83 7E 38 00 7C 14 83 BB A8 01 00 00 00 7E 3B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 30 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 EC C6 45 F0 0B 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7E 38 00 0F 8E C4 00 00 00 80 7B 5D 05 75 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 80 7E 2D 00 74 3B 8A 43 5D 2C 04 74 34 2C 02 74 30 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 EC C6 45 F0 0B 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 2E 03 0F 84 8D 00 00 00 80 BB BA 01 00 00 00 74 2F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 24 8A 43 5D 04 FE 2C 02 73 1B 8D 45 F8 50 57 66 8B 46 38 50 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 8B 45 FC 50 66 8B 46 38 50 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 38 0F B7 83 B0 01 00 00 0F B7 56 36 03 C2 01 45 FC 8B C7 F7 D8 1B C0 F7 D8 8B 55 FC 88 02 84 C0 74 17 8B C6 8B 10 FF 52 54 0F B7 C8 8B 45 FC 8D 50 01 8B C7 E8 ?? ?? ?? ?? 8A 43 5D 04 FB 2C 03 72 0B 8B CE 33 D2 8B C3 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5712_0 {
	meta:
		name = "_NF__653"
		size = 43
		refs = "0020 @LStrLAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 0F B7 56 36 0F B7 8B B6 01 00 00 03 F9 8B 14 97 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5713_0 {
	meta:
		name = "_NF__654"
		size = 105
		refs = "0010 @LStrAddRef 0018 _NF__654 0025 TDataSet.ActiveBuffer 0041 @LStrAsg 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3B F0 75 18 0F B7 47 36 0F B7 93 B6 01 00 00 03 F2 8D 04 86 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5715_0 {
	meta:
		name = "TBDEDataSet.CloseBlob"
		size = 34
		refs = "000e TDataSet.ActiveBuffer 001b DbiFreeBlob"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 8B 46 38 50 8B C3 E8 ?? ?? ?? ?? 50 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5718_0 {
	meta:
		name = "TBDEDataSet.GetStateFieldValue"
		size = 41
		refs = "000f TBDEDataSet.CheckCachedUpdateMode 001e TDataSet.GetStateFieldValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5719_0 {
	meta:
		name = "TBDEDataSet.SetStateFieldValue"
		size = 112
		refs = "0022 @VarAddRef 002a TBDEDataSet.SetStateFieldValue 0037 TBDEDataSet.CheckCachedUpdateMode 0046 TDataSet.SetStateFieldValue 005b @VarClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 08 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F9 8B DA 8B F0 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5720_0 {
	meta:
		name = "TBDEDataSet.Translate"
		size = 85
		refs = "0011 StrLen 002c AnsiToNativeBuf 0041 NativeToAnsiBuf"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 8B C3 E8 ?? ?? ?? ?? 8B F8 80 7D 08 00 74 15 57 8B 45 FC 8B 80 40 01 00 00 8B CE 8B D3 E8 ?? ?? ?? ?? EB 13 57 8B 45 FC 8B 80 40 01 00 00 8B CE 8B D3 E8 ?? ?? ?? ?? 3B F3 74 04 C6 04 3E 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5721_0 {
	meta:
		name = "TBDEDataSet.InternalFirst"
		size = 22
		refs = "000b DbiSetToBegin 0010 Check"
	strings:
		$1 = { 53 8B D8 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5722_0 {
	meta:
		name = "TBDEDataSet.InternalLast"
		size = 22
		refs = "000b DbiSetToEnd 0010 Check"
	strings:
		$1 = { 53 8B D8 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5728_0 {
	meta:
		name = "TBDEDataSet.InternalRefresh"
		size = 22
		refs = "000b DbiForceReread 0010 Check"
	strings:
		$1 = { 53 8B D8 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5723_0 {
	meta:
		name = "TBDEDataSet.InternalEdit"
		size = 50
		refs = "0008 TDataSet.ActiveBuffer 0017 DbiGetRecord 001c Check 002c _NF__628"
	strings:
		$1 = { 53 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 50 6A 01 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5724_0 {
	meta:
		name = "TBDEDataSet.InternalPost"
		size = 67
		refs = "000e TDataSet.ActiveBuffer 001b DbiModifyRecord 0020 Check 0038 DbiInsertRecord"
	strings:
		$1 = { 53 8B D8 80 7B 5D 02 75 1D 6A FF 8B C3 E8 ?? ?? ?? ?? 50 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5725_0 {
	meta:
		name = "TBDEDataSet.InternalDelete"
		size = 44
		refs = "000b DbiDeleteRecord 0019 ErrCat 0026 Check"
	strings:
		$1 = { 53 6A 00 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 66 85 DB 74 14 8B C3 E8 ?? ?? ?? ?? 66 83 F8 22 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5726_0 {
	meta:
		name = "TBDEDataSet.IsSequenced"
		size = 21
	strings:
		$1 = { 80 B8 A4 01 00 00 01 75 06 80 78 6B 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_5727_0 {
	meta:
		name = "TBDEDataSet.GetCanModify"
		size = 31
		refs = "000f TBDEDataSet.ForceUpdateCallback"
	strings:
		$1 = { 53 8B D8 80 BB 74 01 00 00 00 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5731_0 {
	meta:
		name = "TBDEDataSet.InternalCancel"
		size = 15
		refs = "000a DbiRelRecordLock"
	strings:
		$1 = { 6A 00 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5732_0 {
	meta:
		name = "TBDEDataSet.InternalAddRecord"
		size = 54
		refs = "0013 DbiAppendRecord 0018 Check 002a DbiInsertRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 84 C9 74 15 56 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 56 6A 00 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5733_0 {
	meta:
		name = "TBDEDataSet.InternalGotoBookmark"
		size = 27
		refs = "000f DbiSetToBookMark 0014 Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5734_0 {
	meta:
		name = "TBDEDataSet.InternalSetToRecord"
		size = 24
	strings:
		$1 = { 56 8B F0 0F B7 86 B2 01 00 00 03 D0 8B C6 8B 08 FF 91 48 01 00 00 5E C3 }
	condition:
		$1
}

rule function_5735_0 {
	meta:
		name = "TBDEDataSet.GetBookmarkFlag"
		size = 13
	strings:
		$1 = { 0F B7 80 B4 01 00 00 03 D0 8A 42 05 C3 }
	condition:
		$1
}

rule function_5736_0 {
	meta:
		name = "TBDEDataSet.SetBookmarkFlag"
		size = 13
	strings:
		$1 = { 0F B7 80 B4 01 00 00 03 D0 88 4A 05 C3 }
	condition:
		$1
}

rule function_5737_0 {
	meta:
		name = "TBDEDataSet.GetBookmarkData"
		size = 23
		refs = "0011 Move"
	strings:
		$1 = { 53 0F B7 98 B2 01 00 00 03 D3 8B 40 50 92 87 CA E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5738_0 {
	meta:
		name = "TBDEDataSet.SetBookmarkData"
		size = 21
		refs = "000f Move"
	strings:
		$1 = { 53 0F B7 98 B2 01 00 00 03 D3 8B 40 50 91 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5739_0 {
	meta:
		name = "TBDEDataSet.CompareBookmarks"
		size = 91
		refs = "001e _NV__6A3 003e DbiCompareBookMarks 0043 Check"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F2 8B D8 85 FF 0F 94 C0 83 E0 7F 85 F6 0F 94 C2 83 E2 7F 8D 14 55 ?? ?? ?? ?? 0F BE 04 02 89 04 24 83 3C 24 02 75 23 8B AB 2C 01 00 00 85 ED 74 0E 54 57 56 55 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3C 24 02 75 05 33 C0 89 04 24 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5740_0 {
	meta:
		name = "TBDEDataSet.BookmarkValid"
		size = 77
		refs = "0017 TDataSet.CursorPosChanged 0024 DbiSetToBookMark 003b DbiGetRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 2C 01 00 00 00 0F 95 C0 84 C0 74 36 8B C3 E8 ?? ?? ?? ?? 56 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 17 6A 00 6A 00 6A 00 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 04 33 C0 EB 02 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_5741_0 {
	meta:
		name = "TBDEDataSet.GetIndexInfo"
		size = 141
		refs = "0016 DbiGetIndexDesc"
	strings:
		$1 = { 53 56 57 81 C4 80 FC FF FF 8B D8 54 6A 00 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 64 66 8B 84 24 51 01 00 00 66 F7 D8 1B C0 F7 D8 88 83 70 01 00 00 66 8B 84 24 37 03 00 00 66 F7 D8 1B C0 F7 D8 88 83 71 01 00 00 80 BB 70 01 00 00 00 75 22 0F B7 84 24 55 01 00 00 89 83 A8 01 00 00 8D B4 24 5D 01 00 00 8D BB 50 01 00 00 B9 08 00 00 00 F3 A5 66 8B 84 24 57 01 00 00 66 89 83 76 01 00 00 81 C4 80 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5742_0 {
	meta:
		name = "TBDEDataSet.SwitchToIndex"
		size = 253
		refs = "0012 TBDEDataSet.ResetCursorRange 001a TDataSet.UpdateCursorPos 0025 @LStrToPChar 003e DbiSwitchToIndex 0064 Check 0099 TDataSet.SetBufListSize 00a3 _NF__61F 00ab TBDEDataSet.SwitchToIndex 00cf @HandleAnyException 00d9 TDataSet.SetState 00e6 @RaiseAgain 00eb @DoneExcept 00f3 TBDEDataSet.GetIndexInfo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A FF 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B F8 57 8B 45 FC 05 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 3D 05 22 75 1B 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 57 8B 45 FC 05 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 C7 80 76 01 00 00 00 00 8B 45 FC C6 80 70 01 00 00 00 8B 45 FC C6 80 71 01 00 00 00 8B 45 FC 33 D2 89 90 A8 01 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 34 42 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 4C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5743_0 {
	meta:
		name = "TBDEDataSet.GetIndexField"
		size = 177
		refs = "0016 TBDEDataSet.GetIndexField 0030 SFieldIndexError 0035 LoadResString 003d DatabaseError 0050 TDataSet.FieldByNumber 0061 TFieldDefs.GetItem 0077 SIndexFieldMissing 0087 DatabaseErrorFmt 009c @LStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 08 3B B3 A8 01 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 0F B7 84 73 50 01 00 00 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 75 31 8B D6 4A 8B 43 28 E8 ?? ?? ?? ?? 8B 40 08 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5745_0 {
	meta:
		name = "TBDEDataSet.GetIndexFieldCount"
		size = 7
	strings:
		$1 = { 8B 80 A8 01 00 00 C3 }
	condition:
		$1
}

rule function_5746_0 {
	meta:
		name = "TBDEDataSet.AllocKeyBuffers"
		size = 109
		refs = "000c TBDEDataSet.AllocKeyBuffers 0026 AllocMem 0030 TBDEDataSet.InitKeyBuffer 0053 @HandleAnyException 005b TBDEDataSet.FreeKeyBuffers 0060 @RaiseAgain 0065 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 0F B7 80 B0 01 00 00 83 C0 08 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8A D3 8B 4D FC 89 84 91 88 01 00 00 43 80 FB 06 75 D0 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_5747_0 {
	meta:
		name = "TBDEDataSet.FreeKeyBuffers"
		size = 41
		refs = "001c DisposeMem"
	strings:
		$1 = { 53 56 8B F0 33 DB 0F B7 96 B0 01 00 00 83 C2 08 33 C0 8A C3 8D 84 86 88 01 00 00 E8 ?? ?? ?? ?? 43 80 FB 06 75 E0 5E 5B C3 }
	condition:
		$1
}

rule function_5748_0 {
	meta:
		name = "TBDEDataSet.InitKeyBuffer"
		size = 48
		refs = "0015 @FillChar 0027 DbiInitRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B7 93 B0 01 00 00 83 C2 08 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 83 C0 08 50 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5750_0 {
	meta:
		name = "TBDEDataSet.SetCursorRange"
		size = 512
		refs = "0030 BuffersEqual 0071 AllocMem 007c TBDEDataSet.SetCursorRange 00b1 DbiExtractKey 016b DbiSetRange 0170 Check 0194 Move 01ea @FreeMem 01f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC C6 45 FB 00 8B 45 FC 0F B7 88 B0 01 00 00 83 C1 08 8B 45 FC 8B 90 94 01 00 00 8B 45 FC 8B 80 8C 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 FC 0F B7 88 B0 01 00 00 83 C1 08 8B 45 FC 8B 90 98 01 00 00 8B 45 FC 8B 80 90 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 92 01 00 00 8B 45 FC 0F B7 80 76 01 00 00 03 C0 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 01 C6 45 EE 01 8B 45 FC 8B 98 8C 01 00 00 80 3B 00 74 22 8B FB 83 C7 08 8B 45 F0 50 57 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 EF EB 02 33 FF 8B 45 FC 8B B0 90 01 00 00 80 3E 00 74 32 8B C6 83 C0 08 89 45 F4 8B 45 FC 0F B7 80 76 01 00 00 03 45 F0 50 8B 45 F4 50 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 EE EB 05 33 C0 89 45 F4 8A 45 EF 22 45 EE 88 45 ED 80 7D ED 00 74 1D 85 FF 74 03 8B 7D F0 83 7D F4 00 74 10 8B 45 FC 0F B7 80 76 01 00 00 03 45 F0 89 45 F4 8A 46 01 34 01 F6 D8 1B C0 50 8B 45 F4 50 6A 00 66 8B 46 04 50 8A 43 01 34 01 F6 D8 1B C0 50 57 6A 00 66 8B 43 04 50 8A 45 ED F6 D8 1B C0 50 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B7 88 B0 01 00 00 83 C1 08 8B 45 FC 8B 90 94 01 00 00 8B 45 FC 8B 80 8C 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 88 B0 01 00 00 83 C1 08 8B 45 FC 8B 90 98 01 00 00 8B 45 FC 8B 80 90 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 01 00 00 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B7 80 76 01 00 00 8B D0 03 D2 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8A 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5751_0 {
	meta:
		name = "TBDEDataSet.ResetCursorRange"
		size = 84
		refs = "0023 DbiResetRange 0028 Check 0035 TBDEDataSet.InitKeyBuffer"
	strings:
		$1 = { 56 8B F0 33 C0 8B 96 94 01 00 00 80 3A 00 75 0B 8B 96 98 01 00 00 80 3A 00 74 37 8B 86 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 96 94 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 96 98 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B4 01 00 00 B0 01 5E C3 }
	condition:
		$1
}

rule function_5752_0 {
	meta:
		name = "TBDEDataSet.SetLinkRanges"
		size = 203
		refs = "0014 TDataSet.SetTempState 001f TBDEDataSet.SetLinkRanges 0036 TBDEDataSet.InitKeyBuffer 0058 TList.Get 0063 TBDEDataSet.GetIndexField 0094 TDataSet.RestoreState 009a @HandleFinally 00c0 Move"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC B2 04 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 8C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 A0 01 00 00 C6 03 01 8B 77 08 4E 85 F6 7C 21 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 43 4E 75 E2 8B 47 08 8B 55 FC 8B 92 A0 01 00 00 89 42 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 0F B7 88 B0 01 00 00 83 C1 08 8B 45 FC 8B 90 90 01 00 00 8B 45 FC 8B 80 8C 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5753_0 {
	meta:
		name = "TBDEDataSet.GetKeyBuffer"
		size = 11
	strings:
		$1 = { 83 E2 7F 8B 84 90 88 01 00 00 C3 }
	condition:
		$1
}

rule function_5754_0 {
	meta:
		name = "TBDEDataSet.SetKeyBuffer"
		size = 113
		refs = "000d TDataSet.CheckBrowseMode 0033 Move 0046 TBDEDataSet.InitKeyBuffer 004f TDataSet.SetState 005e TDataSet.SetModified"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 8B 84 86 88 01 00 00 89 86 A0 01 00 00 0F B7 8E B0 01 00 00 83 C1 08 8B 96 9C 01 00 00 E8 ?? ?? ?? ?? 80 3C 24 00 74 0D 8B 96 A0 01 00 00 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 E8 ?? ?? ?? ?? 8B 86 A0 01 00 00 8A 10 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 02 8B C6 8B 18 FF 53 50 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5755_0 {
	meta:
		name = "TBDEDataSet.PostKeyBuffer"
		size = 86
		refs = "003a Move 0043 TDataSet.SetState"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 33 C9 B2 07 8B C6 8B 38 FF 57 50 84 DB 74 0D 8B 86 A0 01 00 00 8A 56 5A 88 10 EB 1B 0F B7 8E B0 01 00 00 83 C1 08 8B 96 A0 01 00 00 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 02 8B C6 8B 18 FF 53 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5756_0 {
	meta:
		name = "TBDEDataSet.GetKeyExclusive"
		size = 21
		refs = "0006 TBDEDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 A0 01 00 00 8A 40 01 5B C3 }
	condition:
		$1
}

rule function_5757_0 {
	meta:
		name = "TBDEDataSet.SetKeyExclusive"
		size = 25
		refs = "0009 TBDEDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 A0 01 00 00 88 58 01 5E 5B C3 }
	condition:
		$1
}

rule function_5758_0 {
	meta:
		name = "TBDEDataSet.GetKeyFieldCount"
		size = 21
		refs = "0006 TBDEDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 A0 01 00 00 8B 40 04 5B C3 }
	condition:
		$1
}

rule function_5759_0 {
	meta:
		name = "TBDEDataSet.SetKeyFieldCount"
		size = 25
		refs = "0009 TBDEDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 A0 01 00 00 89 70 04 5E 5B C3 }
	condition:
		$1
}

rule function_5760_0 {
	meta:
		name = "TBDEDataSet.SetKeyFields"
		size = 291
		refs = "001a TBDEDataSet.SetKeyFields 0034 SCompositeIndexError 0039 LoadResString 0041 DatabaseError 0055 SNoFieldIndexes 006c TDataSet.SetTempState 0093 TBDEDataSet.InitKeyBuffer 00b3 TBDEDataSet.GetIndexField 00ba TField.AssignValue 00f1 TDataSet.RestoreState 00f7 @HandleFinally 010e @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 70 01 00 00 00 74 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 A8 01 00 00 00 75 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B2 04 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 8A C3 8B 55 FC 8B 94 82 88 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 01 00 00 8B 75 08 85 F6 7C 1E 46 33 FF 8B 5D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 83 C3 08 4E 75 E8 8B 55 08 42 8B 45 FC 8B 80 A0 01 00 00 89 50 04 8B 55 FC 8A 52 5A 88 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5761_0 {
	meta:
		name = "TBDEDataSet.GetIsIndexField"
		size = 82
	strings:
		$1 = { 53 56 57 8B FA 80 78 5D 04 75 16 83 B8 A8 01 00 00 00 75 0D 80 B8 70 01 00 00 00 74 04 B2 01 EB 2B 33 D2 83 7F 38 00 7E 23 8B 88 A8 01 00 00 49 85 C9 7C 18 41 33 F6 0F B7 9C 70 50 01 00 00 3B 5F 38 75 04 B2 01 EB 04 46 49 75 EB 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5762_0 {
	meta:
		name = "TBDEDataSet.MapsToIndex"
		size = 88
		refs = "0034 TList.Get"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C6 04 24 00 84 C9 74 09 80 BF 71 01 00 00 00 74 35 8B 45 08 3B 87 A8 01 00 00 7F 2A 8B F0 4E 85 F6 7C 1F 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 8B 40 38 0F B7 94 5F 50 01 00 00 3B C2 75 08 43 4E 75 E4 C6 04 24 01 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5763_0 {
	meta:
		name = "TBDEDataSet.ActivateFilters"
		size = 185
		refs = "0017 DbiActivateFilter 002f DbiDropFilter 003e TBDEDataSet.CreateExprFilter 0058 Check 008c _NF__715 0098 TBDEDataSet.CreateFuncFilter"
	strings:
		$1 = { 53 56 8B D8 8B B3 44 01 00 00 85 F6 74 4E 56 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 3C 8B 83 44 01 00 00 50 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 6A 00 8A 4B 74 8B 53 70 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 44 01 00 00 56 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B3 48 01 00 00 85 F6 74 50 56 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 3E 8B 83 48 01 00 00 50 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 48 01 00 00 56 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5764_0 {
	meta:
		name = "TBDEDataSet.DeactivateFilters"
		size = 63
		refs = "0017 DbiDeactivateFilter 001c Check"
	strings:
		$1 = { 53 56 8B D8 8B B3 48 01 00 00 85 F6 74 12 56 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B3 44 01 00 00 85 F6 74 12 56 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5765_0 {
	meta:
		name = "TBDEDataSet.CreateExprFilter"
		size = 126
		refs = "0014 _Dn_TExprParser 001b TExprParser.Create 0026 TBDEDataSet.CreateExprFilter 004e DbiAddFilter 0053 Check 0068 TObject.Free 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D FF 8B D8 52 8A 45 FF 50 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 6A 00 8B 45 F4 8B 40 24 50 6A 00 66 8B 45 08 50 6A 00 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5766_0 {
	meta:
		name = "TBDEDataSet.CreateFuncFilter"
		size = 43
		refs = "001a DbiAddFilter 001f Check"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 54 56 6A 00 6A 00 57 53 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5767_0 {
	meta:
		name = "TBDEDataSet.CreateLookupFilter"
		size = 384
		refs = "0024 TBDEDataSet.CreateLookupFilter 0047 _Dn_TFilterExpr 004c TFilterExpr.Create 0076 TList.Get 0085 TFilterExpr.NewCompareNode 00a6 @VarArrayGet 00d6 Unassigned 00eb TFilterExpr.NewNode 010d TFilterExpr.GetFilterData 0126 DbiAddFilter 012b Check 0140 TObject.Free 0146 @HandleFinally 015d @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 89 5D E0 89 5D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 0C 01 74 07 A0 ?? ?? ?? ?? EB 05 A0 ?? ?? ?? ?? 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 08 83 F8 01 75 24 8B 45 F4 50 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 B9 03 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B F0 89 75 E8 EB 66 8B F8 4F 85 FF 7C 5F 47 33 DB 53 6A 01 8B 45 F4 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D8 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 B9 03 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B F0 85 DB 75 05 89 75 E8 EB 1D A1 ?? ?? ?? ?? 50 8B 45 E8 50 56 B9 0A 00 00 00 B2 02 8B 45 EC E8 ?? ?? ?? ?? 89 45 E8 43 4F 75 A4 F6 45 0C 02 74 04 C6 46 05 01 8D 45 F0 50 6A 00 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 50 6A 00 66 8B 45 08 50 6A 00 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 03 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_5768_0 {
	meta:
		name = "TBDEDataSet.SetFilterHandle"
		size = 94
		refs = "0012 TDataSet.CursorPosChanged 0028 DbiSetToBegin 003c DbiDropFilter 0052 DbiActivateFilter"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 7B 6B 00 74 49 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 B4 01 00 00 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 83 3E 00 74 0F 8B 06 50 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 89 3E 83 3E 00 74 13 8B 06 50 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? EB 02 89 3E 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5769_0 {
	meta:
		name = "TBDEDataSet.SetFilterData"
		size = 133
		refs = "000d TDataSet.GetActive 0018 TDataSet.CheckBrowseMode 0022 @LStrCmp 003f TBDEDataSet.CreateExprFilter 0052 TBDEDataSet.SetFilterHandle 005b TDataSet.SetFilterText 0065 TDataSet.SetFilterOptions 007d TDataSet.First"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 41 8B C3 E8 ?? ?? ?? ?? 8B 43 70 8B D6 E8 ?? ?? ?? ?? 75 08 8A 04 24 3A 43 74 74 26 85 F6 74 11 6A 00 8A 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 8D 93 44 01 00 00 8B C8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 14 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 80 7B 6B 00 74 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5771_0 {
	meta:
		name = "TBDEDataSet.SetFiltered"
		size = 102
		refs = "0009 TDataSet.GetActive 0014 TDataSet.CheckBrowseMode 002f DbiSetToBegin 003a TBDEDataSet.ActivateFilters 0043 TBDEDataSet.DeactivateFilters 004c TDataSet.SetFiltered 0053 TDataSet.First"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 49 8B C6 E8 ?? ?? ?? ?? 3A 5E 6B 74 33 8B C6 8B 10 FF 92 B4 01 00 00 8B 86 2C 01 00 00 50 E8 ?? ?? ?? ?? 84 DB 74 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5773_0 {
	meta:
		name = "TBDEDataSet.SetOnFilterRecord"
		size = 136
		refs = "0009 TDataSet.GetActive 0014 TDataSet.CheckBrowseMode 0037 _NF__715 0043 TBDEDataSet.CreateFuncFilter 0056 TBDEDataSet.SetFilterHandle 0063 TDataSet.SetOnFilterRecord 0070 TDataSet.First"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 65 8B C3 E8 ?? ?? ?? ?? 66 83 BB 26 01 00 00 00 0F 95 C2 66 8B 45 0A 66 85 C0 0F 95 C1 3A D1 74 29 66 85 C0 74 13 BA ?? ?? ?? ?? B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 8D 93 48 01 00 00 8B C8 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 80 7B 6B 00 74 16 8B C3 E8 ?? ?? ?? ?? EB 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5774_0 {
	meta:
		name = "TBDEDataSet.FindRecord"
		size = 304
		refs = "0013 TDataSet.CheckBrowseMode 0028 TDataSet.SetFound 0030 TDataSet.UpdateCursorPos 0038 TDataSet.CursorPosChanged 0049 TBDEDataSet.ActivateFilters 0051 TBDEDataSet.FindRecord 0070 DbiSetToBegin 0075 Check 008a DbiGetNextRecord 00a3 DbiSetToEnd 00bd DbiGetPriorRecord 00df TBDEDataSet.DeactivateFilters 00e5 @HandleFinally 0111 TDataSet.GetFound"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 4D FB 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 94 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 6B 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FB 00 74 33 84 DB 74 14 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 F8 EB 31 84 DB 74 14 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 78 6B 00 75 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 66 83 7D F8 00 75 1B 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 A4 01 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 74 08 8B 45 FC 8B 10 FF 52 74 8B C3 5B 59 59 5D C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_5775_0 {
	meta:
		name = "_NF__715"
		size = 130
		refs = "000d TDataSet.SetTempState 0024 _NF__715 0052 @HandleAnyException 0057 Application 0061 TApplication.HandleException 0066 @DoneExcept 0071 TDataSet.RestoreState"
	strings:
		$1 = { 55 8B EC 51 53 56 57 B2 06 8B 45 08 E8 ?? ?? ?? ?? 88 45 FE 8B 45 08 8B 55 0C 89 90 4C 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8D 4D FF 8B 5D 08 8B 55 08 8B 83 28 01 00 00 FF 93 24 01 00 00 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FE 8B 45 08 E8 ?? ?? ?? ?? 33 C0 8A 45 FF 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_5776_0 {
	meta:
		name = "TBDEDataSet.LocateRecord"
		size = 675
		refs = "0026 TBDEDataSet.LocateRecord 0034 TDataSet.CheckBrowseMode 003c TDataSet.CursorPosChanged 0044 TDataSet.TempBuffer 004d _Dn_TList 0052 TObject.Create 0070 TDataSet.GetFieldList 0097 TBDEDataSet.MapsToIndex 00cf TDataSet.SetTempState 00f0 DbiInitRecord 0107 TList.First 0126 TList.Get 0137 @VarArrayGet 0157 TList.Last 0178 @LStrLen 018d DbiGetRecordForKey 01a8 TDataSet.RestoreState 01ae @HandleFinally 01e2 DbiSetToCursor 01f7 DbiSetToBegin 01fc Check 0210 TBDEDataSet.CreateLookupFilter 0222 DbiActivateFilter 0236 DbiGetNextRecord 024a DbiDropFilter 025f TObject.Free 0284 @LStrClr 028c @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D DC 89 5D E0 89 5D E4 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? F6 45 0C 01 0F 95 C3 8B 45 FC 80 B8 72 01 00 00 00 74 07 33 C0 89 45 EC EB 31 8B CB 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 80 2C 01 00 00 89 45 EC EB 12 8B CB 8B D7 8B 45 FC 8B 18 FF 93 B8 01 00 00 89 45 EC 83 7D EC 00 0F 84 23 01 00 00 B2 06 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 B0 4C 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 89 45 F4 83 7D F4 01 75 12 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 7C EB 36 8B 5D F4 4B 85 DB 7C 2E 43 33 FF 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 50 57 6A 01 8B 45 F8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 D8 58 8B 08 FF 51 7C 47 4B 75 D5 33 DB F6 45 0C 02 74 2B 8B 45 F0 E8 ?? ?? ?? ?? 80 78 2C 01 75 1D FF 4D F4 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 D4 8B 08 FF 51 48 8B 45 D4 E8 ?? ?? ?? ?? 8B D8 56 56 53 66 8B 45 F4 50 6A 00 8B 45 EC 50 E8 ?? ?? ?? ?? 66 89 45 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 66 83 7D EA 00 0F 94 C0 22 45 08 0F 84 89 00 00 00 8B 45 FC 8B 80 2C 01 00 00 3B 45 EC 74 7B 8B 45 EC 50 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 EA EB 62 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 45 0C 50 6A 02 8B 4D F8 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 6A 00 56 6A 00 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 EA 53 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 66 83 7D EA 00 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5777_0 {
	meta:
		name = "TBDEDataSet.Lookup"
		size = 152
		refs = "0015 Null 001a @VarCopy 001f TBDEDataSet.Lookup 002e TBDEDataSet.LocateRecord 003c TDataSet.SetTempState 0052 TDataSet.TempBuffer 0069 TDataSet.GetFieldValue 0080 TDataSet.RestoreState 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 6A 00 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 56 B2 05 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 34 8B CB 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 5D C2 08 00 00 00 00 00 }
	condition:
		$1
}

rule function_5781_0 {
	meta:
		name = "_NF__72C"
		size = 68
		refs = "000c TCollection.GetCount 0017 TDataSet.GetFieldCount 002a TDataSet.GetField 002f TField.GetHasConstraints"
	strings:
		$1 = { 53 56 57 55 8B F8 B3 01 8B 47 78 E8 ?? ?? ?? ?? 85 C0 7F 29 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 19 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 06 46 4D 75 EA 33 DB 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5782_0 {
	meta:
		name = "TBDEDataSet.ConstraintsDisabled"
		size = 11
	strings:
		$1 = { 83 B8 AC 01 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_5783_0 {
	meta:
		name = "TBDEDataSet.DisableConstraints"
		size = 44
		refs = "001b DbiSetProp 0020 Check"
	strings:
		$1 = { 53 8B D8 83 BB AC 01 00 00 00 75 18 6A 00 68 9B 00 05 04 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 83 AC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5784_0 {
	meta:
		name = "TBDEDataSet.EnableConstraints"
		size = 53
		refs = "002a DbiSetProp 002f Check"
	strings:
		$1 = { 53 8B D8 83 BB AC 01 00 00 00 74 27 FF 8B AC 01 00 00 83 BB AC 01 00 00 00 75 18 6A 01 68 9B 00 05 04 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5785_0 {
	meta:
		name = "_NF__733"
		size = 24
		refs = "000c _NF__733"
	strings:
		$1 = { 53 8B D8 85 DB 74 04 8B C3 5B C3 B8 ?? ?? ?? ?? 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5786_0 {
	meta:
		name = "_NF__734"
		size = 11
	strings:
		$1 = { 55 8B EC 8B 55 08 89 42 FC 5D C3 }
	condition:
		$1
}

rule function_5787_0 {
	meta:
		name = "_NF__735"
		size = 280
		refs = "0013 @LStrClr 0051 LeadBytes 0096 _NF__735 00da @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 81 C4 D8 FB FF FF 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 78 FC 8D B5 FB FB FF FF EB 09 84 C0 0F 84 C3 00 00 00 47 8A 07 8B D0 84 D2 74 EF 80 EA 20 74 EA 80 EA 0E 74 E5 C6 45 FB 2E 80 3F 22 75 4A C6 45 FB 22 47 EB 43 A1 ?? ?? ?? ?? 8B D3 81 E2 FF 00 00 00 0F A3 10 73 06 88 1E 47 46 EB 25 80 FB 5C 75 20 47 8B 15 ?? ?? ?? ?? 8A 07 8B C8 81 E1 FF 00 00 00 0F A3 0A 73 04 88 06 47 46 80 3F 00 75 01 4F 8A 07 88 06 47 46 56 57 BE ?? ?? ?? ?? 8D BD D8 FB FF FF B9 08 00 00 00 F3 A5 5F 5E 8A 45 FB 25 FF 00 00 00 0F AB 85 D8 FB FF FF 8A 1F 8B C3 25 FF 00 00 00 0F A3 85 D8 FB FF FF 73 86 8D 85 FB FB FF FF 8B CE 2B C8 8B D0 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 22 75 06 80 3F 00 74 01 47 8B 45 08 89 78 FC 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5788_0 {
	meta:
		name = "_NF__736"
		size = 52
		refs = "001a _NF__733 0027 _NF__736"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 F8 00 7C 1A 8B 45 08 8B 40 F8 8B 55 08 8B 44 82 E4 E8 ?? ?? ?? ?? 8B 55 08 FF 4A F8 5D C3 B8 ?? ?? ?? ?? 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5789_0 {
	meta:
		name = "_NF__737"
		size = 335
		refs = "0018 String 001d @InitializeArray 0028 _NF__737 0049 @LStrFromArray 0057 TDataSet.FindField 0074 _NF__734 0086 _NF__735 0095 @LStrLAsg 00b0 _NF__736 00c3 StrCopy 0127 @LStrClr 013a @FinalizeArray 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C0 89 45 E0 B9 05 00 00 00 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 7D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 E0 8B 55 08 8B 52 10 81 C2 27 01 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 B1 00 00 00 83 7E 78 00 0F 84 A7 00 00 00 55 8B 46 78 E8 ?? ?? ?? ?? 59 C7 07 FF FF FF FF FF 07 55 8D 45 E0 E8 ?? ?? ?? ?? 59 8B 55 E0 8B 07 8D 44 85 E4 E8 ?? ?? ?? ?? 8B 07 83 7C 85 E4 00 74 05 83 3F 04 75 D8 83 3F 04 74 6A FF 0F 55 E8 ?? ?? ?? ?? 59 8B D0 8B 45 08 8B 40 10 05 47 01 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B D0 8B 45 08 8B 40 10 83 C0 22 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B D0 8B 45 08 8B 40 10 83 C0 02 E8 ?? ?? ?? ?? 8B 45 08 8B 40 10 80 B8 47 01 00 00 00 74 0C 8B 45 08 8B 40 10 80 78 22 00 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5790_0 {
	meta:
		name = "_NF__738"
		size = 251
		refs = "000b _NF__738 002c @LStrFromArray 003a TDataSet.FindField 005e _NF__733 0070 StrCopy 00e8 @LStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B 55 08 8B 52 10 81 C2 27 01 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 8F 00 00 00 80 7E 31 00 75 0C 83 7E 6C 00 75 06 83 7E 68 00 74 7D 8B 46 6C E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 67 01 00 00 E8 ?? ?? ?? ?? 8B 46 68 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 68 21 00 00 E8 ?? ?? ?? ?? 8B 46 70 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 E9 41 00 00 E8 ?? ?? ?? ?? 8B 46 70 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 69 41 00 00 E8 ?? ?? ?? ?? 8A 46 31 F6 D8 1B C0 8B 55 08 8B 52 10 89 82 69 42 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5791_0 {
	meta:
		name = "_NF__739"
		size = 137
		refs = "0018 TCheckConstraints.GetItem 0022 _NF__733 0034 StrCopy"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 50 10 0F B7 12 4A 8B 45 08 8B 40 08 8B 40 78 E8 ?? ?? ?? ?? 8B D8 8B 43 0C E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 67 01 00 00 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 68 21 00 00 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 E9 41 00 00 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 69 41 00 00 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_5792_0 {
	meta:
		name = "_NF__73A"
		size = 138
		refs = "000b _NF__73A 002c @LStrFromArray 003a TDataSet.FindField 004e _NF__733 0060 StrCopy 0077 @LStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B 55 08 8B 52 10 81 C2 27 01 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 8B F0 85 F6 74 22 83 7E 74 00 74 1C 8B 46 74 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 67 01 00 00 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5793_0 {
	meta:
		name = "TBDEDataSet.ConstraintCallBack"
		size = 192
		refs = "0011 TBDEDataSet.ConstraintCallBack 0043 _NF__737 0056 _NF__738 0069 _NF__73A 0081 TCollection.GetCount 0095 _NF__739 00ab @HandleAnyException 00b0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 C7 45 FE 04 2A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 83 C0 FD 83 F8 04 77 7A FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 54 66 C7 45 FE 00 00 EB 4C 55 E8 ?? ?? ?? ?? 59 84 C0 74 41 66 C7 45 FE 00 00 EB 39 55 E8 ?? ?? ?? ?? 59 84 C0 74 2E 66 C7 45 FE 00 00 EB 26 8B 45 08 8B 40 78 E8 ?? ?? ?? ?? 8B 55 10 66 89 02 66 C7 45 FE 00 00 EB 0D 55 E8 ?? ?? ?? ?? 59 66 C7 45 FE 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 FE 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_5794_0 {
	meta:
		name = "TBDEDataSet.AllocCachedUpdateBuffers"
		size = 131
		refs = "000e AllocMem 0020 StrAlloc 005e StrDispose 007c DisposeMem"
	strings:
		$1 = { 53 56 8B D8 84 D2 74 48 B8 10 00 00 00 E8 ?? ?? ?? ?? 89 83 78 01 00 00 0F B7 83 B8 01 00 00 E8 ?? ?? ?? ?? 8B 93 78 01 00 00 89 42 08 0F B7 83 B8 01 00 00 E8 ?? ?? ?? ?? 8B B3 78 01 00 00 89 46 0C 66 8B 83 B0 01 00 00 66 89 46 06 5E 5B C3 8B 83 78 01 00 00 85 C0 74 26 8B 40 08 E8 ?? ?? ?? ?? 8B 83 78 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 8D 83 78 01 00 00 BA 10 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5795_0 {
	meta:
		name = "TBDEDataSet.CheckCachedUpdateMode"
		size = 81
		refs = "0009 TBDEDataSet.CheckCachedUpdateMode 0020 SNoCachedUpdates 0025 LoadResString 002d DatabaseError 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 72 01 00 00 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5796_0 {
	meta:
		name = "TBDEDataSet.UpdateCallbackRequired"
		size = 44
	strings:
		$1 = { 80 B8 72 01 00 00 00 74 1D 66 83 B8 CE 01 00 00 00 75 16 66 83 B8 D6 01 00 00 00 75 0C 83 B8 C8 01 00 00 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_5797_0 {
	meta:
		name = "TBDEDataSet.ForceUpdateCallback"
		size = 34
	strings:
		$1 = { 80 B8 72 01 00 00 00 74 13 66 83 B8 D6 01 00 00 00 75 0C 83 B8 C8 01 00 00 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_5798_0 {
	meta:
		name = "_NF__748"
		size = 151
		refs = "0018 TBDEDataSet.FreeKeyBuffers 0025 TDataSet.SetBufListSize 002d _NF__748 0040 _NF__61F 0060 TBDEDataSet.AllocKeyBuffers 006f @HandleAnyException 007c TDataSet.SetState 008c @RaiseAgain 0091 @DoneExcept"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 10 FF 92 A4 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 50 34 42 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 5D C3 E9 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 10 FF 52 4C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_5799_0 {
	meta:
		name = "TBDEDataSet.SetCachedUpdates"
		size = 264
		refs = "003d TDataSet.CheckBrowseMode 0045 TDataSet.UpdateCursorPos 005f DbiEndConstraintLayer 0079 DbiEndDelayedUpdates 007e Check 008e DbiBeginDelayedUpdates 00a8 TBDEDataSet.ConstraintCallBack 00b9 DbiBeginConstraintLayer 00cd _NF__748 00d8 TBDEDataSet.AllocCachedUpdateBuffers 00e0 TBDEDataSet.UpdateCallbackRequired 00ea TBDEDataSet.SetupCallBack 00f0 TBDEDataSet.SetCachedUpdates"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 80 78 5D 00 74 09 8B 45 FC F6 40 20 10 74 0E 8B 45 FC 88 98 72 01 00 00 E9 D5 00 00 00 8B 45 FC 3A 98 72 01 00 00 0F 84 C6 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 BA 01 00 00 00 74 0E 8B 45 FC 05 2C 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 72 01 00 00 00 74 15 8B 45 FC 05 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B 45 FC 05 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 BA 01 00 00 00 74 1F 8B 45 FC 50 B8 ?? ?? ?? ?? 50 8B 45 FC 05 2C 01 00 00 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 88 98 72 01 00 00 55 E8 ?? ?? ?? ?? 59 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 A4 01 00 00 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_5800_0 {
	meta:
		name = "TBDEDataSet.SetupCallBack"
		size = 95
		refs = "002a TBDEDataSet.CachedUpdateCallBack 0035 _DV_TBDECallback 003a TBDECallback.Create 0051 TObject.Free"
	strings:
		$1 = { 53 8B D8 84 D2 74 3F F6 43 20 10 75 50 83 BB 7C 01 00 00 00 75 47 8B 83 2C 01 00 00 50 6A 19 8B 83 78 01 00 00 50 6A 10 53 68 ?? ?? ?? ?? 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 7C 01 00 00 EB 17 8B 83 7C 01 00 00 85 C0 74 0D E8 ?? ?? ?? ?? 33 C0 89 83 7C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5801_0 {
	meta:
		name = "TBDEDataSet.ProcessUpdates"
		size = 60
		refs = "0009 TBDEDataSet.CheckCachedUpdateMode 0010 TDataSet.UpdateCursorPos 001d DbiApplyDelayedUpdates 0025 TBDEDataSet.ProcessUpdates"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 8B F0 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 8B C6 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_5802_0 {
	meta:
		name = "TBDEDataSet.ApplyUpdates"
		size = 56
		refs = "001b TBDEDataSet.ProcessUpdates 002b Abort 0032 DbiError"
	strings:
		$1 = { 53 8B D8 80 7B 5D 01 74 0A 8B C3 8B 10 FF 92 A0 01 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 85 C0 74 12 66 3D 06 33 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5803_0 {
	meta:
		name = "TBDEDataSet.CommitUpdates"
		size = 19
		refs = "0008 TBDEDataSet.ProcessUpdates 000d Check"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5804_0 {
	meta:
		name = "TBDEDataSet.CancelUpdates"
		size = 27
		refs = "0015 TBDEDataSet.ProcessUpdates"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 7C 01 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5805_0 {
	meta:
		name = "TBDEDataSet.RevertRecord"
		size = 52
		refs = "001e TBDEDataSet.ProcessUpdates 002e Check"
	strings:
		$1 = { 53 8B D8 8A 43 5D 04 FE 2C 03 73 0A 8B C3 8B 10 FF 92 7C 01 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 85 C0 74 0B 66 3D 01 30 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5806_0 {
	meta:
		name = "TBDEDataSet.UpdateStatus"
		size = 42
		refs = "0006 TBDEDataSet.CheckCachedUpdateMode 0018 TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 5D 05 75 05 8B 43 48 EB 07 8B C3 E8 ?? ?? ?? ?? 0F B7 93 B4 01 00 00 03 C2 8A 40 04 5B C3 }
	condition:
		$1
}

rule function_5807_0 {
	meta:
		name = "TBDEDataSet.CachedUpdateCallBack"
		size = 381
		refs = "0015 TBDEDataSet.CachedUpdateCallBack 0092 DbiError 00a4 @HandleOnException 00ac _Dn_EDatabaseError 00ba _DV_EDBEngineError 00bf @IsClass 00cc EDBEngineError.GetError 010c Application 0116 TApplication.HandleException 011f @DoneExcept 012b _NV__75C 0151 @HandleAnyException"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 33 C0 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC C6 80 73 01 00 00 01 C6 45 F7 00 8B 45 FC 8B 90 78 01 00 00 8B 42 02 48 88 45 F6 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 66 83 B8 D6 01 00 00 00 74 1B 8D 45 F7 50 8B 5D FC 8A 4D F6 8B 55 FC 8B 83 D8 01 00 00 FF 93 D4 01 00 00 EB 23 8B 45 FC 8B 80 C8 01 00 00 85 C0 74 0E 8A 55 F6 8B 08 FF 51 30 C6 45 F7 04 EB 08 66 8B 02 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 80 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 33 D2 8B C3 E8 ?? ?? ?? ?? 66 8B 40 04 8B 55 FC 8B 92 78 01 00 00 66 89 02 8B 45 FC 66 83 B8 CE 01 00 00 00 74 1E 8A 45 F6 50 8D 45 F7 50 8B 75 FC 8B CB 8B 55 FC 8B 86 D0 01 00 00 FF 96 CC 01 00 00 EB 13 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? C6 45 F7 01 E8 ?? ?? ?? ?? 33 C0 8A 45 F7 8B 04 85 ?? ?? ?? ?? 89 45 F8 80 7D F7 01 75 0E 8B 45 FC 8B 80 78 01 00 00 66 C7 00 06 33 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 73 01 00 00 00 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5808_0 {
	meta:
		name = "TBDEDataSet.GetUpdateRecordSet"
		size = 60
		refs = "0007 TDataSet.GetActive 0012 TBDEDataSet.CheckCachedUpdateMode 0022 _NF__4A8 002c TBDEDataSet.GetUpdateRecordSet"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 E8 ?? ?? ?? ?? BA 03 00 05 05 8B 86 2C 01 00 00 E8 ?? ?? ?? ?? 8B D8 EB 06 8A 1D ?? ?? ?? ?? 8B C3 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5809_0 {
	meta:
		name = "TBDEDataSet.SetUpdateRecordSet"
		size = 80
		refs = "000a TBDEDataSet.CheckCachedUpdateMode 0011 TDataSet.CheckBrowseMode 0018 TDataSet.UpdateCursorPos 002f DbiSetProp 0034 Check 003a TBDEDataSet.SetUpdateRecordSet"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 04 24 50 68 03 00 05 05 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 5A 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_5810_0 {
	meta:
		name = "TBDEDataSet.SetUpdateObject"
		size = 126
		refs = "0069 TBDEDataSet.SetUpdateObject"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B B3 C8 01 00 00 74 6B 8B BB C8 01 00 00 85 FF 74 18 8B C7 8B 10 FF 52 28 3B D8 75 0D 33 D2 8B 83 C8 01 00 00 8B 08 FF 51 2C 8B C6 89 83 C8 01 00 00 85 C0 74 3D 8B 83 C8 01 00 00 8B 10 FF 52 28 85 C0 74 21 8B 83 C8 01 00 00 8B 10 FF 52 28 3B D8 74 12 8B 83 C8 01 00 00 8B 10 FF 52 28 33 D2 E8 ?? ?? ?? ?? 8B D3 8B 83 C8 01 00 00 8B 08 FF 51 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5811_0 {
	meta:
		name = "TBDEDataSet.SetOnUpdateError"
		size = 56
		refs = "0009 TDataSet.GetActive 0014 TBDEDataSet.UpdateCallbackRequired 001d TBDEDataSet.SetupCallBack"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 83 CC 01 00 00 8B 45 0C 89 83 D0 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5812_0 {
	meta:
		name = "TBDEDataSet.GetUpdatesPending"
		size = 26
		refs = "000f _NF__4A8"
	strings:
		$1 = { 53 8B D8 BA 05 00 05 05 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_5813_0 {
	meta:
		name = "TBDEDataSet.YieldCallBack"
		size = 62
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 B8 C2 01 00 00 00 74 1B 83 B8 84 01 00 00 02 74 12 8B CC 8B D8 8B D0 8B 83 C4 01 00 00 FF 93 C0 01 00 00 80 3C 24 00 74 08 B8 02 00 00 00 5A 5B C3 33 C0 5A 5B C3 }
	condition:
		$1
}

rule function_5814_0 {
	meta:
		name = "TDBDataSet.OpenCursor"
		size = 47
		refs = "001a TBDEDataSet.OpenCursor 0027 TDBDataSet.SetUpdateMode"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 B1 01 33 D2 8B C6 8B 38 FF 97 C8 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 96 DE 01 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5815_0 {
	meta:
		name = "TDBDataSet.CloseCursor"
		size = 26
		refs = "0006 TBDEDataSet.CloseCursor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 8B 18 FF 93 C8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5816_0 {
	meta:
		name = "_NF__775"
		size = 95
		refs = "001d Sessions 0022 TSessionList.FindSession 0037 _NF__515 0040 _NF__466 0058 _NF__5AF"
	strings:
		$1 = { 53 56 8B D8 83 BB E8 01 00 00 00 74 4F 83 BB E4 01 00 00 00 74 46 8B 93 E8 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 30 8B CB 8B 93 E4 01 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1D E8 ?? ?? ?? ?? 8B CB 8B 93 E4 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 B2 01 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5817_0 {
	meta:
		name = "TDBDataSet.CheckOpen"
		size = 67
		refs = "001e TDBDataSet.GetDBSession 0023 TSession.GetPassword 002e DbiError"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 66 83 E8 01 72 08 66 2D 01 29 74 07 EB 21 B0 01 5E 5B C3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5818_0 {
	meta:
		name = "TDBDataSet.ConstraintsStored"
		size = 18
		refs = "0007 TCollection.GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 78 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_5820_0 {
	meta:
		name = "TDBDataSet.GetDBHandle"
		size = 17
	strings:
		$1 = { 8B 90 E0 01 00 00 85 D2 74 04 8B 42 38 C3 33 C0 C3 }
	condition:
		$1
}

rule function_5821_0 {
	meta:
		name = "TDBDataSet.GetDBLocale"
		size = 17
	strings:
		$1 = { 8B 90 E0 01 00 00 85 D2 74 04 8B 42 3C C3 33 C0 C3 }
	condition:
		$1
}

rule function_5822_0 {
	meta:
		name = "TDBDataSet.GetDBSession"
		size = 41
		refs = "0016 Sessions 001b TSessionList.FindSession 0024 _NF__466"
	strings:
		$1 = { 8B 90 E0 01 00 00 85 D2 74 05 8B 42 40 EB 10 8B 90 E8 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5823_0 {
	meta:
		name = "TDBDataSet.GetProvider"
		size = 149
		refs = "0011 TDBDataSet.GetProvider 0026 CreateProviderProc 0042 @IntfCopy 004c SNoProvider 0051 LoadResString 0059 DatabaseError 007b @LStrClr 0083 @IntfClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB BC 01 00 00 00 75 39 83 3D ?? ?? ?? ?? 00 74 1B 8D 55 FC 8B C3 FF 15 ?? ?? ?? ?? 8B 55 FC 8D 83 BC 01 00 00 E8 ?? ?? ?? ?? EB 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C6 8B 93 BC 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5824_0 {
	meta:
		name = "TDBDataSet.OpenDatabase"
		size = 35
		refs = "000a Sessions 000f TSessionList.GetSessionByName 001d _NF__568"
	strings:
		$1 = { 53 8B D8 8B 93 E8 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4B 04 8B 93 E4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5825_0 {
	meta:
		name = "TDBDataSet.CloseDatabase"
		size = 13
		refs = "0008 TSession.CloseDatabase"
	strings:
		$1 = { 85 D2 74 08 8B 42 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5826_0 {
	meta:
		name = "TDBDataSet.SetDatabaseName"
		size = 135
		refs = "000f TDBDataSet.SetDatabaseName 0022 @LStrCmp 003c SDatabaseOpen 0041 LoadResString 0049 DatabaseError 0056 @LStrAsg 0076 @LStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E4 01 00 00 8B D6 E8 ?? ?? ?? ?? 74 3D 8B C3 8B 10 FF 52 3C 83 BB E0 01 00 00 00 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 83 E4 01 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 B2 08 8B C3 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5827_0 {
	meta:
		name = "TDBDataSet.SetDBFlag"
		size = 248
		refs = "0021 TDBDataSet.SetDBFlag 0031 _NF__775 0038 TDBDataSet.OpenDatabase 004a TList.Add 005a TBDEDataSet.SetLocale 0076 _NF__56E 00ba TDBDataSet.GetDBLocale 00d3 TList.Remove 00e2 TSession.CloseDatabase"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 84 C9 74 7F 8B C6 83 F8 0F 77 07 0F A3 83 DC 01 00 00 0F 82 CF 00 00 00 66 A1 ?? ?? ?? ?? 66 3B 83 DC 01 00 00 75 4C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 89 BB E0 01 00 00 8B 47 24 8B D3 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 8B 50 3C 8B C3 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 80 78 2B 00 74 10 F6 43 20 10 74 0A 8B 40 40 B2 01 E8 ?? ?? ?? ?? 8B C6 83 F8 0F 77 6D 0F AB 83 DC 01 00 00 EB 64 8B C6 83 F8 0F 77 07 0F A3 83 DC 01 00 00 73 54 8B C6 83 F8 0F 77 07 0F B3 83 DC 01 00 00 66 A1 ?? ?? ?? ?? 66 3B 83 DC 01 00 00 75 37 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 8B 50 40 92 E8 ?? ?? ?? ?? 33 C0 89 83 E0 01 00 00 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5828_0 {
	meta:
		name = "TDBDataSet.SetSessionName"
		size = 40
		refs = "0016 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 3C 8D 83 E8 01 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 B2 08 8B C3 8B 18 FF 53 50 5E 5B C3 }
	condition:
		$1
}

rule function_5829_0 {
	meta:
		name = "TDBDataSet.SetUpdateMode"
		size = 77
		refs = "003b DbiSetProp 0040 Check"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 2C 01 00 00 00 74 35 8B 86 E0 01 00 00 80 78 30 00 74 29 8B C6 8B 10 FF 92 B0 00 00 00 84 C0 74 1B 33 C0 8A C3 50 68 00 00 05 04 8B 86 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E DE 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5830_0 {
	meta:
		name = "TBatchMove.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TComponent.Create 002a _Dn_TStringList 002f TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 2D 01 C6 46 2E 01 C6 46 2F 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5831_0 {
	meta:
		name = "TBatchMove.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TComponent.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 44 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5832_0 {
	meta:
		name = "_NF__79E"
		size = 34
		refs = "0016 AnsiToNative"
	strings:
		$1 = { 53 56 8B F1 8B DA 85 DB 74 13 68 FF 00 00 00 8B CE 8B D3 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5833_0 {
	meta:
		name = "_NF__79F"
		size = 184
		refs = "000a _NF__79F 0034 @LStrPos 0051 @LStrCopy 0078 @LStrLAsg 009b @LStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC 8B 40 44 8B 18 FF 53 0C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 30 8B 45 08 83 C0 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 83 C0 F0 50 8D 53 01 B9 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 1C 8B 45 08 83 C0 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 83 C0 F0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_5834_0 {
	meta:
		name = "TBatchMove.Execute"
		size = 1062
		refs = "0021 TBatchMove.Execute 004d SInvalidBatchMove 0052 LoadResString 005d DatabaseError 0068 TDataSet.GetActive 009d TDataSet.DisableControls 00b3 TDataSet.Open 00be TDataSet.CheckBrowseMode 00c9 TDataSet.UpdateCursorPos 00e3 TDataSet.Close 0106 TDataSet.SetFieldDefs 0116 TFieldDefs.Clear 0136 _NF__79F 0148 TFieldDefs.Find 0165 TFieldDefs.Add 017c TIndexDefs.Clear 0187 TTable.CreateTable 01bc TFieldDefs.GetCount 01cb AllocMem 025a DbiSetToBegin 025f Check 0274 TDataSet.CursorPosChanged 02a2 TDBDataSet.GetDBHandle 02a8 DbiSetProp 02fe _NF__79E 0360 DbiBatchMove 0383 TDataSet.First 0389 @HandleFinally 03ae @FreeMem 03db TDataSet.EnableControls 0406 @LStrClr 0413 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FC FF FF 53 56 57 33 D2 89 95 D4 FC FF FF 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 85 C0 74 11 8B 55 FC 83 7A 28 00 74 08 8B 55 FC 3B 42 28 75 1B 8D 95 D4 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D4 FC FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 88 45 EF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 88 45 EE 66 C7 45 EC 00 00 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8A 58 2C 80 FB 04 0F 85 B1 00 00 00 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 14 85 C0 75 16 8B 45 FC 8B 40 28 8B 50 28 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? EB 63 8B 45 FC 8B 40 24 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 14 8B F0 4E 85 F6 7C 43 46 C7 45 F8 00 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 28 8B 40 28 8B 55 F0 E8 ?? ?? ?? ?? 66 8B 50 18 52 8A 50 1A 52 8A 48 10 8B 45 FC 8B 40 24 8B 40 28 8B 55 F4 E8 ?? ?? ?? ?? FF 45 F8 4E 75 C5 8B 45 FC 8B 40 24 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 33 DB 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 14 85 C0 74 78 8B 45 FC 8B 40 24 8B 40 28 E8 ?? ?? ?? ?? 66 89 45 EC 0F B7 45 EC 03 C0 E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 8B 40 44 8B 10 FF 52 14 8B F0 4E 85 F6 7C 46 46 C7 45 F8 00 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 28 8B 40 28 8B 55 F0 E8 ?? ?? ?? ?? 66 8B 78 0C 8B 45 FC 8B 40 24 8B 40 28 8B 55 F4 E8 ?? ?? ?? ?? 8B 40 0C 8B 55 E8 66 89 7C 42 FE FF 45 F8 4E 75 C2 8B 45 FC 83 78 30 00 7E 19 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B 55 FC 89 42 34 EB 21 8B 45 FC 8B 40 28 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 40 34 FF FF FF 7F 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 54 00 7E 22 8B 45 FC 8B 40 54 50 68 06 00 04 04 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8A 40 2F F6 D8 1B C0 50 8B 45 FC 83 C0 34 50 8B 45 FC 8A 40 2D F6 D8 1B C0 50 8B 45 FC 8A 40 2E F6 D8 1B C0 50 8B 45 FC 83 C0 40 50 8B 45 FC 83 C0 38 50 8B 45 FC 83 C0 3C 50 8D 8D D9 FC FF FF 8B 45 FC 8B 50 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 8D DE FD FF FF 8B 45 FC 8B 50 4C 8B 45 FC E8 ?? ?? ?? ?? 50 8D 8D E3 FE FF FF 8B 45 FC 8B 50 48 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 8B 45 E8 50 66 8B 45 EC 50 33 C0 8A C3 50 8B 45 FC 8B 40 24 8B 80 2C 01 00 00 50 6A 00 8B 45 FC 8B 40 28 8B 80 2C 01 00 00 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EE 00 74 0B 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 10 0F B7 45 EC 8B D0 03 D2 8B 45 E8 E8 ?? ?? ?? ?? 80 7D EE 00 75 0B 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 80 7D EF 00 75 0B 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FC FF FF E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5835_0 {
	meta:
		name = "TBatchMove.Notification"
		size = 53
		refs = "0010 TComponent.Notification 002d TBatchMove.SetSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 18 3B 77 24 75 05 33 C0 89 47 24 3B 77 28 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5836_0 {
	meta:
		name = "TBatchMove.SetMappings"
		size = 9
	strings:
		$1 = { 8B 40 44 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_5837_0 {
	meta:
		name = "TBatchMove.SetSource"
		size = 14
		refs = "0009 TComponent.FreeNotification"
		altNames = "TDdeServerItem.SetServerConv"
	strings:
		$1 = { 89 50 28 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5839_0 {
	meta:
		name = "TIndexFiles.Add"
		size = 53
		refs = "000d TDataSet.GetActive 001a TTable.OpenIndexFile 002d TStringList.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 5E 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 C6 40 0C 00 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5840_0 {
	meta:
		name = "TIndexFiles.Clear"
		size = 143
		refs = "0014 TIndexFiles.Clear 0028 TDataSet.GetActive 005a TTable.CloseIndexFile 0067 TStringList.Clear 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 34 8B C3 8B 10 FF 52 14 8B F0 4E 85 F6 7C 26 46 C7 45 FC 00 00 00 00 8D 4D F4 8B 55 FC 8B C3 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? FF 45 FC 4E 75 E2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5841_0 {
	meta:
		name = "TIndexFiles.Insert"
		size = 51
		refs = "000b TStringList.Insert 0015 TDataSet.GetActive 0022 TTable.OpenIndexFile"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 5B 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 C6 40 0C 00 5E 5B C3 }
	condition:
		$1
}

rule function_5842_0 {
	meta:
		name = "TIndexFiles.Delete"
		size = 126
		refs = "0017 TIndexFiles.Delete 0027 TDataSet.GetActive 0042 TTable.CloseIndexFile 0056 TStringList.Delete 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 2C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8D 4D F8 8B 55 FC 8B C3 8B 38 FF 57 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 C6 40 0C 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5843_0 {
	meta:
		name = "TTable.Create"
		size = 137
		refs = "000e @ClassCreate 001c TBDEDataSet.Create 0025 _Dn_TIndexDefs 002a TIndexDefs.Create 0039 _Dn_TMasterDataLink 003e TMasterDataLink.Create 0050 _NF__832 005a _NF__833 0063 _DV_TIndexFiles 0068 TIndexFiles.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 EC 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 89 5E 2C C7 46 28 ?? ?? ?? ?? 89 5E 34 C7 46 30 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 00 02 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5844_0 {
	meta:
		name = "TTable.Destroy"
		size = 67
		refs = "000d TObject.Free 002f TBDEDataSet.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5845_0 {
	meta:
		name = "TTable.GetHandle"
		size = 368
		refs = "0020 TTable.GetHandle 0032 TDBDataSet.GetDBLocale 0043 AnsiToNative 0058 TBDEDataSet.ForceUpdateCallback 006c _NV__7C5 0085 _NV__7C6 0091 @LStrToPChar 00a2 _NF__864 00b1 TDBDataSet.GetDBHandle 00b7 DbiOpenTable 00d0 TDBDataSet.CheckOpen 00db _NF__867 0125 CharToOem 0137 DbiOpenIndex 013c _NF__469 015a @LStrClr 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E4 FD FF FF 53 56 57 33 DB 89 9D E4 FD FF FF 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 03 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 8D EC FE FF FF 8B 93 F8 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 F4 80 BB F5 01 00 00 00 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 83 E0 7F 8B 3C 85 ?? ?? ?? ?? 8D 45 F4 50 6A 00 6A 00 6A 02 33 C0 8A 83 F4 01 00 00 8B 04 85 ?? ?? ?? ?? 50 57 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8D 85 EC FE FF FF 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 66 81 FE 0B 2A 75 07 BF 01 00 00 00 EB A5 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 98 8B C3 E8 ?? ?? ?? ?? 84 C0 74 63 8B 83 00 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 51 46 C7 45 F0 00 00 00 00 8D 85 E8 FD FF FF 50 8D 8D E4 FD FF FF 8B 55 F0 8B 83 00 02 00 00 8B 38 FF 57 0C 8B 85 E4 FD FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 85 E8 FD FF FF 50 8B 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F0 4E 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E4 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5846_0 {
	meta:
		name = "TTable.CreateHandle"
		size = 178
		refs = "0010 TTable.CreateHandle 0027 SNoTableName 002c LoadResString 0034 DatabaseError 0059 _NF__7EF 0063 TTable.IsProductionIndex 0074 TTable.GetHandle 009f @LStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB F8 01 00 00 00 75 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 C6 40 0C 00 8D 45 FC 50 8D 45 F8 50 8A 8B F7 01 00 00 8B 93 FC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 0D 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5847_0 {
	meta:
		name = "_NF__7CE"
		size = 52
	strings:
		$1 = { FF FF FF FF 07 00 00 00 50 41 52 41 44 4F 58 00 FF FF FF FF 05 00 00 00 44 42 41 53 45 00 00 00 FF FF FF FF 08 00 00 00 41 53 43 49 49 44 52 56 00 00 00 00 }
	condition:
		$1
}

rule function_5848_0 {
	meta:
		name = "TTable.GetLanguageDriverName"
		size = 624
		refs = "0023 TTable.GetLanguageDriverName 0038 @LStrClr 0040 TDBDataSet.OpenDatabase 0062 TDBDataSet.GetDBSession 0073 TSession.GetAliasDriverName 00b4 FmtStr 00c1 TDBDataSet.GetDBLocale 00cf AnsiToNative 0111 DbiFormFullName 0131 ExtractFileExt 014e _NV__7CD 0153 @LStrLAsg 015d _NF__867 0193 @LStrToPChar 0199 DbiGetLdName 01cd TSession.CloseDatabase 01d3 @HandleFinally 01e8 @LStrFromArray 020d @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 B0 FE FF FF 56 57 33 C9 89 8D B0 FE FF FF 89 4D F4 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 85 E7 FE FF FF 00 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 80 78 30 00 74 7A 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B 55 FC 8B 92 E4 01 00 00 E8 ?? ?? ?? ?? 6A 01 8B 45 FC 8B 80 E4 01 00 00 89 85 B4 FE FF FF C6 85 B8 FE FF FF 0B 8B 45 FC 8B 80 F8 01 00 00 89 85 BC FE FF FF C6 85 C0 FE FF FF 0B 8D 8D B4 FE FF FF 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D E7 FE FF FF 8B 55 F4 E8 ?? ?? ?? ?? E9 A9 00 00 00 68 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D E7 FE FF FF 8B 55 FC 8B 92 F8 01 00 00 E8 ?? ?? ?? ?? 8D 85 E7 FE FF FF 50 6A 00 8D 85 E7 FE FF FF 50 8B 45 EC 8B 40 38 50 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 F6 01 00 00 00 75 1D 8D 95 B0 FE FF FF 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 83 BD B0 FE FF FF 00 75 1B 8D 45 F0 8B 55 FC 0F B6 92 F6 01 00 00 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0F 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 C7 FE FF FF 50 8D 85 E7 FE FF FF 50 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 74 12 BE ?? ?? ?? ?? 8D BD C7 FE FF FF B9 08 00 00 00 F3 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 8D 95 C7 FE FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B0 FE FF FF E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 8B E5 5D C3 00 FF FF FF FF 06 00 00 00 3A 25 73 3A 25 73 00 00 FF FF FF FF 05 00 00 00 44 42 41 53 45 00 00 00 FF FF FF FF 07 00 00 00 50 41 52 41 44 4F 58 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5849_0 {
	meta:
		name = "_NF__7D1"
		size = 162
		refs = "0016 _NF__7D1 002d TDataSet.GetActive 003b TTable.GetLanguageDriverName 004d @LStrToPChar 0053 OsLdLoadBySymbName 006d TBDEDataSet.SetLocale 0078 OsLdUnloadObj 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B BE 40 01 00 00 84 DB 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 47 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 37 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 20 8B 45 F8 3B 86 40 01 00 00 74 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 09 8D 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5850_0 {
	meta:
		name = "_NF__7D2"
		size = 44
		refs = "001c OsLdUnloadObj 0025 TBDEDataSet.SetLocale"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 40 01 00 00 3B F0 74 19 85 C0 74 15 8D 83 40 01 00 00 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5851_0 {
	meta:
		name = "TTable.PrepareCursor"
		size = 124
		refs = "000e TTable.PrepareCursor 002f _NF__7EF 0039 TTable.IsProductionIndex 004a TBDEDataSet.SwitchToIndex 0051 _NF__831 006b @LStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 50 8A 8B F7 01 00 00 8B 93 FC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5852_0 {
	meta:
		name = "TTable.InitFieldDefs"
		size = 604
		refs = "001b TTable.InitFieldDefs 0058 SNoTableName 005d LoadResString 0068 DatabaseError 0075 TDBDataSet.GetDBLocale 0089 AnsiToNative 00a2 _NF__7D1 00c1 _NF__864 00d1 TDBDataSet.GetDBHandle 00d7 DbiOpenFieldList 00e1 TDBDataSet.CheckOpen 0115 DbiOpenVchkList 014d DbiGetNextRecord 015b DbiCloseCursor 0168 TFieldDefs.Clear 0190 TBDEDataSet.AddFieldDesc 01c6 @HandleFinally 01e0 _NF__7D2 0227 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 C4 F9 FF FF 53 56 57 33 D2 89 95 C4 F9 FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 BA 04 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 F8 01 00 00 00 75 1B 8D 95 C4 F9 FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C4 F9 FF FF E8 ?? ?? ?? ?? 68 03 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D CC FE FF FF 8B 55 FC 8B 92 F8 01 00 00 E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 8D 7D D0 B9 08 00 00 00 F3 A5 B2 01 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8D 85 CC FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 CE 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 85 CC FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 41 EB 1D 66 83 BD CA F9 FF FF 00 74 13 0F B7 85 C8 F9 FF FF 48 3D FF 00 00 00 77 04 0F AB 45 D0 6A 00 8D 85 C8 F9 FF FF 50 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 66 85 C0 74 CA 8D 45 F4 50 E8 ?? ?? ?? ?? 33 DB 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? EB 27 8D 43 01 50 8B C3 66 3D FF 00 77 09 25 FF 00 00 00 0F A3 45 D0 0F 92 C1 8D 95 8C FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 43 6A 00 8D 85 8C FE FF FF 50 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 66 85 C0 74 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 04 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C4 F9 FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5853_0 {
	meta:
		name = "TTable.DestroyHandle"
		size = 22
		refs = "0010 TBDEDataSet.DestroyHandle"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 B4 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5854_0 {
	meta:
		name = "_NF__7D9"
		size = 404
		refs = "001d _NF__7D9 0037 @LStrClr 0050 NativeToAnsi 0071 ExtractFileName 007c @LStrAsg 012f @LStrCat 013e TFieldDefs.GetItem 0174 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F8 8B DA 89 45 FC 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 07 01 00 00 00 75 0D 89 5D EC 8B 45 F8 E8 ?? ?? ?? ?? EB 17 8B C3 8D 93 07 01 00 00 89 55 EC 8B 4D F8 8B D0 33 C0 E8 ?? ?? ?? ?? 8B 4D 10 8B 45 FC 8B 80 40 01 00 00 8B 55 EC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 10 8B 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 10 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 45 F7 66 83 BB 47 01 00 00 00 74 04 80 4D F7 01 66 83 BB 49 01 00 00 00 74 04 80 4D F7 02 66 83 BB 4B 01 00 00 00 74 04 80 4D F7 04 66 83 BB 37 03 00 00 00 74 04 80 4D F7 08 66 83 BB 51 01 00 00 00 74 1C 80 4D F7 10 8B CE 8D 93 7D 01 00 00 8B 45 FC 8B 80 40 01 00 00 E8 ?? ?? ?? ?? EB 57 8B C6 E8 ?? ?? ?? ?? 0F B7 BB 55 01 00 00 4F 85 FF 7C 44 47 C7 45 F0 00 00 00 00 8D 83 5D 01 00 00 8B D8 83 7D F0 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 13 4A 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 50 08 8B C6 E8 ?? ?? ?? ?? FF 45 F0 83 C3 02 4F 75 CC 8B 45 08 8A 55 F7 88 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5855_0 {
	meta:
		name = "TTable.EncodeIndexDesc"
		size = 347
		refs = "001c TTable.EncodeIndexDesc 0030 @FillChar 0037 _NF__867 0051 AnsiToNative 00f5 ExtractFieldName 0100 TFieldDefs.Find 0122 @LStrLen 0146 @LStrClr 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 33 C9 BA 7D 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 6A 1F 8D 8F 07 01 00 00 8B 55 FC 8B 86 40 01 00 00 E8 ?? ?? ?? ?? EB 15 68 04 01 00 00 8B CF 8B 55 FC 8B 86 40 01 00 00 E8 ?? ?? ?? ?? F6 C3 01 0F 95 C0 F6 D8 1B C0 66 89 87 47 01 00 00 F6 C3 02 0F 95 C0 F6 D8 1B C0 66 89 87 49 01 00 00 F6 C3 04 0F 95 C0 F6 D8 1B C0 66 89 87 4B 01 00 00 66 C7 87 4D 01 00 00 FF FF F6 C3 08 0F 95 C0 F6 D8 1B C0 66 89 87 37 03 00 00 F6 C3 10 74 24 66 C7 87 51 01 00 00 FF FF 68 DC 00 00 00 8D 8F 7D 01 00 00 8B 55 0C 8B 86 40 01 00 00 E8 ?? ?? ?? ?? EB 53 C7 45 F8 01 00 00 00 EB 33 8D 4D F4 8D 55 F8 8B 45 0C E8 ?? ?? ?? ?? 8B 55 F4 8B 46 28 E8 ?? ?? ?? ?? 66 8B 40 0C 0F B7 97 55 01 00 00 66 89 84 57 5D 01 00 00 66 FF 87 55 01 00 00 8B 45 0C E8 ?? ?? ?? ?? 3B 45 F8 7C 0A 66 83 BF 55 01 00 00 10 72 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5856_0 {
	meta:
		name = "TTable.AddIndex"
		size = 369
		refs = "001d TFieldDefs.Update 0025 TDataSet.GetActive 003b TTable.EncodeIndexDesc 0043 TDataSet.CheckBrowseMode 004b TDataSet.CursorPosChanged 006a TDBDataSet.GetDBHandle 0070 DbiAddIndex 0075 Check 0084 _NF__7D1 008f TTable.AddIndex 00bf _NF__7D2 00c5 @HandleFinally 00f8 _NF__864 0106 TDBDataSet.GetDBLocale 011a AnsiToNative"
	strings:
		$1 = { 55 8B EC 81 C4 74 FB FF FF 53 56 57 8B F1 8B FA 89 45 FC 8B 5D 08 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 51 56 53 8D 95 76 FB FF FF 8B CF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8D 85 76 FB FF FF 50 6A 00 6A 00 8B 45 FC 8B 80 2C 01 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DD 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 53 8D 95 76 FB FF FF 8B CF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 85 76 FB FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 68 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D F3 FE FF FF 8B 55 FC 8B 92 F8 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC 8B 80 EC 01 00 00 C6 40 0C 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5857_0 {
	meta:
		name = "TTable.DeleteIndex"
		size = 362
		refs = "001b TTable.DeleteIndex 0029 TDataSet.GetActive 0041 _NF__7EF 0049 TDataSet.CheckBrowseMode 0053 @LStrToPChar 0073 TDBDataSet.GetDBHandle 0079 DbiDeleteIndex 007e Check 00d3 _NF__864 00e1 TDBDataSet.GetDBLocale 00f5 AnsiToNative 0130 @HandleFinally 0159 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 33 C9 89 4D F8 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 56 8D 45 F8 50 8D 45 F4 50 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 FC 8B 80 2C 01 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF 00 00 00 8D 45 F8 50 8D 45 F4 50 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 68 03 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D F0 FE FF FF 8B 55 FC 8B 92 F8 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC 8B 80 EC 01 00 00 C6 40 0C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5858_0 {
	meta:
		name = "TTable.GetIndexFieldNames"
		size = 41
		refs = "0018 @LStrLAsg 0022 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB F7 01 00 00 00 74 10 8B C6 8B 93 FC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5859_0 {
	meta:
		name = "TTable.GetIndexName"
		size = 41
		refs = "0012 @LStrClr 0022 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB F7 01 00 00 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 FC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5860_0 {
	meta:
		name = "TTable.GetIndexNames"
		size = 155
		refs = "001e TStrings.BeginUpdate 0026 TTable.GetIndexNames 0042 TIndexDefs.GetCount 005c TIndexDefs.GetItem 0088 TStrings.EndUpdate 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 18 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 40 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2A 46 33 FF 8B 45 FC 8B 80 EC 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 83 7B 0C 00 74 0B 8B 53 0C 8B 45 F8 8B 08 FF 51 34 47 4E 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5861_0 {
	meta:
		name = "_NF__7EF"
		size = 620
		refs = "0028 _NF__7EF 0059 @LStrLAsg 0063 _NF__7D1 008f @LStrLen 00ac UniqueString 00c5 @LStrCat3 00d7 TIndexDefs.FindIndexForFields 00ea _NF__867 0100 ExtractFileExt 0111 UpperCase 0121 @LStrCmp 0140 AnsiToNative 0153 TIndexDefs.IndexOf 0163 TIndexDefs.GetItem 017b SIndexDoesNotExist 0180 LoadResString 01a2 DatabaseErrorFmt 01e7 _NF__7D2 01ed @HandleFinally 0202 @LStrFromArray 0232 @LStrArrayClr 023a @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 44 FF FF FF 53 56 57 33 DB 89 9D 50 FF FF FF 89 9D 4C FF FF FF 89 5D F8 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 85 74 FF FF FF 00 C6 85 54 FF FF FF 00 85 F6 0F 84 AB 01 00 00 8B 45 FC 8B 10 FF 92 18 01 00 00 8D 45 F8 8B D6 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 6A 8B 45 FC 8B 80 E0 01 00 00 80 78 32 00 74 40 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 20 BB 01 00 00 00 8B 45 F8 80 7C 18 FF 3B 75 0D 8D 45 F8 E8 ?? ?? ?? ?? C6 44 18 FF 40 43 4F 75 E5 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8B 45 FC 8B 80 EC 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 C4 00 00 00 8D 95 4C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 8D 95 50 FF FF FF E8 ?? ?? ?? ?? 8B 85 50 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 8F 00 00 00 6A 1F 8D 8D 54 FF FF FF 8B 45 FC 8B 80 40 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B B8 EC 01 00 00 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 16 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 08 8D 45 F8 E8 ?? ?? ?? ?? EB 32 8D 95 50 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 89 B5 44 FF FF FF C6 85 48 FF FF FF 0B 8D 95 44 FF FF FF 33 C9 58 E8 ?? ?? ?? ?? 6A 7F 8D 8D 74 FF FF FF 8B 55 F8 33 C0 E8 ?? ?? ?? ?? EB 19 6A 7F 8D 8D 74 FF FF FF 8B 45 FC 8B 80 40 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 0C 8D 95 74 FF FF FF B9 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8D 95 54 FF FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 01 00 00 00 40 00 00 00 FF FF FF FF 04 00 00 00 2E 4E 44 58 00 00 00 00 }
	condition:
		$1
}

rule function_5862_0 {
	meta:
		name = "_NF__7F0"
		size = 212
		refs = "0014 _NF__7F0 0021 TDataSet.GetActive 002c TDataSet.CheckBrowseMode 0039 @LStrCmp 0061 _NF__7EF 006e TBDEDataSet.SwitchToIndex 0075 _NF__831 0082 @LStrAsg 00bd @LStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 8B C7 E8 ?? ?? ?? ?? 8B 87 FC 01 00 00 8B D6 E8 ?? ?? ?? ?? 75 08 3A 9F F7 01 00 00 74 60 8B C7 E8 ?? ?? ?? ?? 84 C0 74 27 8D 45 FC 50 8D 45 F8 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 87 FC 01 00 00 8B D6 E8 ?? ?? ?? ?? 88 9F F7 01 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 74 10 8A 15 ?? ?? ?? ?? 8B C7 8B 08 FF 91 A4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_5865_0 {
	meta:
		name = "TTable.SetIndexFiles"
		size = 12
	strings:
		$1 = { 8B 80 00 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_5866_0 {
	meta:
		name = "TTable.OpenIndexFile"
		size = 54
		refs = "001a AnsiToNative 0027 DbiOpenIndex 002c _NF__469"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 6A 00 6A 1E 8D 4C 24 08 8B D6 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_5867_0 {
	meta:
		name = "TTable.CloseIndexFile"
		size = 203
		refs = "001e TTable.CloseIndexFile 003f _NF__7EF 004a AnsiUpperCase 0061 @LStrCmp 006c TTable.SetIndexName 0080 AnsiToNative 008d DbiCloseIndex 0092 Check 00ac @LStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D D4 89 4D D0 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 50 8A 8B F7 01 00 00 8B 93 FC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 55 D0 58 E8 ?? ?? ?? ?? 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 1E 8D 4D D9 8B D6 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5868_0 {
	meta:
		name = "TTable.UpdateIndexDefs"
		size = 591
		refs = "001e TTable.UpdateIndexDefs 0062 TFieldDefs.Update 0087 TTable.GetHandle 0097 DbiGetLdObj 00a7 TBDEDataSet.SetLocale 00ca DbiGetCursorProps 00e4 AllocMem 0103 TIndexDefs.Clear 0110 DbiGetIndexDescs 013c _NF__7D9 0156 TIndexDefs.Add 0163 TIndexDefs.GetCount 016d TIndexDefs.GetItem 0178 @LStrAsg 01a8 @FreeMem 01ae @HandleFinally 01da DbiCloseCursor 023c @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 2C FE FF FF 53 56 57 33 D2 89 55 F4 89 55 F0 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 EC 01 00 00 80 78 0C 00 0F 85 EB 01 00 00 B1 01 BA 05 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 01 00 00 89 45 DC 8B 45 FC 8B 80 2C 01 00 00 85 C0 75 2E 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8D 45 D8 50 8B 45 E8 50 E8 ?? ?? ?? ?? 66 85 C0 75 10 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? EB 03 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 2C FE FF FF 50 8B 45 E8 50 E8 ?? ?? ?? ?? 66 8B 85 5B FF FF FF 66 89 45 E2 0F B7 5D E2 69 C3 7D 03 00 00 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 E8 50 E8 ?? ?? ?? ?? 8B F3 4E 85 F6 7C 65 46 33 FF 8D 45 F4 50 8D 45 EC 50 8D 45 FB 50 69 C7 7D 03 00 00 8B 55 E4 03 D0 8D 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 EC 01 00 00 8A 45 FB 50 8B 4D EC 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 74 1C 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 83 C0 08 8B 55 F0 E8 ?? ?? ?? ?? 47 4E 75 9E 8B 45 FC 8B 80 EC 01 00 00 C6 40 0C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B7 45 E2 69 D0 7D 03 00 00 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 17 8B 45 FC 8B 80 2C 01 00 00 3B 45 E8 74 09 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 01 00 00 3B 45 DC 74 0B 8B 55 DC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 05 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5869_0 {
	meta:
		name = "TTable.IsProductionIndex"
		size = 212
		refs = "0014 TTable.IsProductionIndex 0023 _NF__867 0035 ExtractFileExt 0040 AnsiUpperCase 004d @LStrCmp 0063 ChangeFileExt 00af @LStrArrayClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B C7 E8 ?? ?? ?? ?? 84 C0 74 6E 85 F6 74 6A 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 DB EB 42 8D 4D F8 33 D2 8B 87 F8 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 04 00 00 00 2E 4E 44 58 00 00 00 00 }
	condition:
		$1
}

rule function_5872_0 {
	meta:
		name = "TTable.GotoKey"
		size = 224
		refs = "0010 TDataSet.CheckBrowseMode 0018 TDataSet.CursorPosChanged 0022 TBDEDataSet.GetKeyBuffer 0033 AllocMem 003e TTable.GotoKey 005d DbiExtractKey 0088 DbiGetRecordForKey 00c5 @FreeMem 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC 0F B7 80 76 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FE 83 C7 08 8B 45 F4 50 57 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C3 84 DB 74 03 8B 7D F4 6A 00 57 6A 00 66 8B 46 04 50 F6 DB 1B C0 50 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 FB 80 7D FB 00 74 11 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 A4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B7 90 76 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8A 45 FB 5F 5E 5B 8B E5 5D C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_5873_0 {
	meta:
		name = "TTable.GotoNearest"
		size = 236
		refs = "0010 TDataSet.CheckBrowseMode 0018 TDataSet.CursorPosChanged 0022 TBDEDataSet.GetKeyBuffer 0049 AllocMem 0054 TTable.GotoNearest 0073 DbiExtractKey 00a0 DbiSetToKey 00a5 Check 00d5 @FreeMem 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F8 80 7F 01 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 02 00 00 00 8B 45 FC 0F B7 80 76 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F7 83 C6 08 8B 45 F4 50 56 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C3 84 DB 74 03 8B 75 F4 56 6A 00 66 8B 47 04 50 F6 DB 1B C0 50 8B 45 F8 50 8B 45 FC 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 A4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B7 90 76 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 02 00 00 00 }
	condition:
		$1
}

rule function_5883_0 {
	meta:
		name = "_NF__827"
		size = 15
		refs = "000a TBDEDataSet.SetLinkRanges"
	strings:
		$1 = { 8B 90 F0 01 00 00 8B 52 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5884_0 {
	meta:
		name = "TTable.GetLookupCursor"
		size = 325
		refs = "001a TTable.GetLookupCursor 002d @LStrCmp 0067 @LStrLAsg 0080 TIndexDefs.GetIndexForFields 00bc DbiCloneCursor 00c1 Check 00d6 _NF__7EF 00e2 @LStrToPChar 00f8 DbiSwitchToIndex 010a @LStrAsg 0130 @LStrArrayClr 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 96 08 02 00 00 E8 ?? ?? ?? ?? 75 0C 3A 9E 10 02 00 00 0F 84 D5 00 00 00 8B C6 8B 10 FF 92 B4 01 00 00 C6 45 FF 00 C6 45 FE 00 8B 86 E0 01 00 00 80 78 30 00 74 18 84 DB 75 42 8D 45 F8 8B D7 E8 ?? ?? ?? ?? C6 45 FE 01 C6 45 FF 01 EB 2E 8B CB 8B D7 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 74 16 8D 45 F8 8B 55 EC 8B 52 0C E8 ?? ?? ?? ?? C6 45 FE 00 C6 45 FF 01 80 7D FF 00 74 58 8D 86 04 02 00 00 50 6A 00 6A FF 8B 86 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 F0 50 8A 4D FE 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 86 04 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 86 08 02 00 00 8B D7 E8 ?? ?? ?? ?? 88 9E 10 02 00 00 8B 9E 04 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5885_0 {
	meta:
		name = "TTable.DestroyLookupCursor"
		size = 45
		refs = "0014 DbiCloseCursor 0027 @LStrClr"
	strings:
		$1 = { 53 8B D8 83 BB 04 02 00 00 00 74 1F 8D 83 04 02 00 00 50 E8 ?? ?? ?? ?? 33 C0 89 83 04 02 00 00 8D 83 08 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5886_0 {
	meta:
		name = "TTable.GotoCurrent"
		size = 188
		refs = "000f TTable.GotoCurrent 001c TDataSet.CheckBrowseMode 0034 AnsiCompareText 0055 STableMismatch 005a LoadResString 0062 DatabaseError 0069 TDataSet.UpdateCursorPos 007c DbiSetToCursor 0081 Check 00a6 @LStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 96 E4 01 00 00 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 15 8B 96 F8 01 00 00 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 2C 01 00 00 50 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_5887_0 {
	meta:
		name = "_NF__831"
		size = 43
		refs = "001e TBDEDataSet.SetLinkRanges 0025 TBDEDataSet.SetCursorRange"
	strings:
		$1 = { 53 8B D8 8B 83 F0 01 00 00 80 78 15 00 74 1A 8B 50 24 83 7A 08 00 7E 11 8B 50 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5888_0 {
	meta:
		name = "_NF__832"
		size = 26
		refs = "0006 TDataSet.CheckBrowseMode 000d _NF__827 0014 TTable.ApplyRange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11880_0 {
	meta:
		name = "TCustomOutline.CMFontChanged"
		size = 26
		refs = "0006 TCustomGrid.CMFontChanged 000d _NF__1FC 0014 _NF__25A"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7094_0 {
	meta:
		name = "TDriveComboBox.CMFontChanged"
		size = 26
		refs = "0006 TWinControl.CMFontChanged 000d _NF__1F6 0014 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10218_0 {
	meta:
		name = "TDssCubeEditor.GetCellCountsClick"
		size = 26
		refs = "0006 _NF__132 000d TDssCubeEditor.UpdateLists 0014 TDssCubeEditor.InitCapacityPage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13009_0 {
	meta:
		name = "TQuickRep.Loaded"
		size = 26
		refs = "0006 TComponent.Loaded 000d TQuickRep.RebuildBandList 0014 TQuickRep.SetBandValues"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5890_0 {
	meta:
		name = "TTable.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 F0 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_5891_0 {
	meta:
		name = "TTable.SetDataSource"
		size = 106
		refs = "000f TTable.SetDataSource 001e TDataSet.IsLinkedTo 002a SCircularDataLink 002f LoadResString 0037 DatabaseError 0044 TDataLink.SetDataSource 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5892_0 {
	meta:
		name = "TTable.GetMasterFields"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 F0 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5893_0 {
	meta:
		name = "TTable.SetMasterFields"
		size = 12
		refs = "0007 TMasterDataLink.SetFieldNames"
	strings:
		$1 = { 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5894_0 {
	meta:
		name = "TTable.DoOnNewRecord"
		size = 82
		refs = "0034 TList.Get 003f TBDEDataSet.SetIndexField 004a TDataSet.DoOnNewRecord"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 F0 01 00 00 80 78 15 00 74 36 8B 50 24 83 7A 08 00 7E 2D 8B 40 24 8B 78 08 4F 85 FF 7C 22 47 33 F6 8B 83 F0 01 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E1 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5895_0 {
	meta:
		name = "TTable.BatchMove"
		size = 124
		refs = "0014 _DV_TBatchMove 0019 TBatchMove.Create 0024 TTable.BatchMove 003a TBatchMove.SetSource 0048 TBatchMove.Execute 0066 TObject.Free 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B F2 8B F8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 78 24 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 88 58 2C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 34 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5896_0 {
	meta:
		name = "_NF__844"
		size = 232
		refs = "0012 _NF__844 0035 _NF__864 003f @LStrFromPChar 0050 _NF__867 0061 @LStrLAsg 007e @LStrToPChar 0084 DbiGetLdName 0098 @LStrFromArray 00a1 @LStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 E0 01 00 00 80 78 30 00 75 70 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 2B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DD 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 18 8B C3 8D 55 DD B9 1F 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 FF FF FF FF 05 00 00 00 44 42 41 53 45 00 00 00 FF FF FF FF 07 00 00 00 50 41 52 41 44 4F 58 00 }
	condition:
		$1
}

rule function_10523_0 {
	meta:
		name = "_NF__371"
		size = 232
		refs = "0012 _NF__371 0035 _NF__377 003f @LStrFromPChar 0050 _NF__37F 0061 @LStrLAsg 007e @LStrToPChar 0084 DbiGetLdName 0098 @LStrFromArray 00a1 @LStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 E0 01 00 00 80 78 30 00 75 70 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 2B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DD 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 18 8B C3 8D 55 DD B9 1F 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 FF FF FF FF 05 00 00 00 44 42 41 53 45 00 00 00 FF FF FF FF 07 00 00 00 50 41 52 41 44 4F 58 00 }
	condition:
		$1
}

rule function_5897_0 {
	meta:
		name = "TTable.CreateTable"
		size = 1192
		refs = "001e TTable.CreateTable 0037 TFieldDefs.GetCount 0043 TDataSet.GetFieldCount 0057 TDataSet.GetField 0077 TFieldDefs.Add 0092 @FillChar 00d4 AnsiToNative 00dc _NF__864 00f5 StrCopy 0111 AllocMem 0125 _NF__844 0134 @LStrLAsg 0152 @LStrToPChar 0158 OsLdLoadBySymbName 0168 TBDEDataSet.SetLocale 0198 TFieldDefs.GetItem 01bb TTable.EncodeFieldDesc 0204 OsLdUnloadObj 0215 @HandleFinally 0248 TDBDataSet.GetDBHandle 024e DbiGetLdNameFromDb 026b _NF__861 027c DbiTranslateRecordStructure 0281 Check 028f TIndexDefs.GetCount 02ce TIndexDefs.GetItem 02dd TIndexDef.GetFields 02fe TTable.EncodeIndexDesc 037e IntToStr 03ba StrLen 03ea DbiCreateTable 0412 @FreeMem 0482 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 9C FC FF FF 53 56 57 33 D2 89 95 9C FC FF FF 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 85 C0 75 40 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 31 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 80 78 2E 00 75 1A 66 8B 50 34 52 8A 50 31 52 8A 48 2C 8B 50 28 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 43 4E 75 D2 33 C0 89 45 F8 8D 85 20 FD FF FF 33 C9 BA AA 02 00 00 E8 ?? ?? ?? ?? B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 04 01 00 00 8D 8D 20 FD FF FF 8B 45 FC 8B 90 F8 01 00 00 8B 45 FC 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 15 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 85 25 FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B D8 66 89 5D 8E 0F B7 C3 6B C0 3E E8 ?? ?? ?? ?? 89 45 F8 33 C0 89 45 F0 55 8D 85 9C FC FF FF E8 ?? ?? ?? ?? 59 8B 95 9C FC FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 01 00 00 89 45 EC 83 7D F4 00 74 22 8D 45 F0 50 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 0B 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 60 46 33 DB 8B 45 FC 8B 40 28 8B D3 E8 ?? ?? ?? ?? 8B F8 8A 47 10 50 66 8B 47 18 50 8B C3 C1 E0 05 2B C3 8B 55 F8 8D 14 42 8B 4F 08 8B 45 FC E8 ?? ?? ?? ?? 80 7F 10 08 75 19 83 7F 14 00 7E 13 8B C3 C1 E0 05 2B C3 8B 55 F8 66 8B 4F 14 66 89 4C 42 26 80 7F 1A 00 74 04 66 FF 45 AC 43 4E 75 A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 14 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B7 45 8E 6B C0 3E E8 ?? ?? ?? ?? 89 45 94 33 DB 8B 45 FC 8B 80 E0 01 00 00 80 78 30 00 74 22 8D 85 00 FD FF FF 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 06 8D 9D 00 FD FF FF 6A 00 8B 45 94 50 53 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 66 8B 45 8E 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 66 89 5D 98 0F B7 C3 69 C0 7D 03 00 00 E8 ?? ?? ?? ?? 89 45 9E 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 47 46 33 DB 8B 45 FC 8B 80 EC 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F8 8D 95 9C FC FF FF 8B C7 E8 ?? ?? ?? ?? 8B 85 9C FC FF FF 50 8A 47 14 50 69 C3 7D 03 00 00 8B 55 9E 03 D0 8B 4F 0C 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 BC 66 8B 5D AC 66 85 DB 74 53 0F B7 C3 69 C0 C3 04 00 00 E8 ?? ?? ?? ?? 8B F0 89 75 B2 8B FE 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2C 46 33 DB 8B 45 FC 8B 40 28 8B D3 E8 ?? ?? ?? ?? 80 78 1A 00 74 12 8B C3 40 66 89 07 66 C7 47 02 FF FF 81 C7 C3 04 00 00 43 4E 75 D7 8B 45 FC 8B 98 0C 02 00 00 85 DB 7E 68 66 C7 45 C0 01 00 8D 95 9C FC FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 9C FC FF FF E8 ?? ?? ?? ?? 8B D0 8D 85 A0 FC FF FF E8 ?? ?? ?? ?? 8D 85 A0 FC FF FF 89 45 C6 BA ?? ?? ?? ?? 8D 85 C2 FC FF FF E8 ?? ?? ?? ?? 8D 85 A0 FC FF FF E8 ?? ?? ?? ?? 66 89 85 EC FC FF FF 66 C7 85 EA FC FF FF 00 00 8D 85 C0 FC FF FF 89 45 C2 8D 85 20 FD FF FF 50 6A FF 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 B2 85 C0 74 0F 0F B7 55 AC 69 D2 C3 04 00 00 E8 ?? ?? ?? ?? 8B 45 9E 85 C0 74 0F 0F B7 55 98 69 D2 7D 03 00 00 E8 ?? ?? ?? ?? 8B 45 94 85 C0 74 0C 0F B7 55 8E 6B D2 3E E8 ?? ?? ?? ?? 83 7D F8 00 74 0F 0F B7 45 8E 6B D0 3E 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 C3 E9 ?? ?? ?? ?? EB 92 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 9C FC FF FF E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 00 00 00 4C 45 56 45 4C 00 00 00 }
	condition:
		$1
}

rule function_5898_0 {
	meta:
		name = "TTable.DeleteTable"
		size = 159
		refs = "002b TTable.DeleteTable 0039 _NF__864 0047 TDBDataSet.GetDBLocale 005b AnsiToNative 0064 TDBDataSet.GetDBHandle 006a DbiDeleteTable 006f Check 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 89 45 FC 8B 45 FC 8B 10 FF 52 3C B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 68 03 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D F8 FE FF FF 8B 55 FC 8B 92 F8 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5899_0 {
	meta:
		name = "TTable.EmptyTable"
		size = 231
		refs = "0011 TDataSet.GetActive 001d TDataSet.CheckBrowseMode 0033 TDBDataSet.GetDBHandle 0039 DbiEmptyTable 003e Check 0071 TTable.EmptyTable 007f _NF__864 008d TDBDataSet.GetDBLocale 00a1 AnsiToNative 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC 8B 80 2C 01 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 40 33 C9 B2 02 8B 45 FC 8B 18 FF 53 50 E9 87 00 00 00 B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 68 03 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D F8 FE FF FF 8B 55 FC 8B 92 F8 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5901_0 {
	meta:
		name = "_NF__84E"
		size = 85
		refs = "0031 DbiAcqTableLock 0036 Check 0047 DbiRelTableLock"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B DA 8B F8 8B C7 8B 10 FF 52 38 84 DB 75 07 BE 02 00 00 00 EB 05 BE 01 00 00 00 80 3C 24 00 74 14 56 8B 87 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 56 6A 00 8B 87 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5903_0 {
	meta:
		name = "TTable.RenameTable"
		size = 201
		refs = "002e TTable.RenameTable 0041 TDBDataSet.GetDBLocale 004f AnsiToNative 0058 _NF__864 0083 TDBDataSet.GetDBHandle 0089 DbiRenameTable 008e Check 00b3 @HandleFinally 00c0 TTable.SetTableName"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FD FF FF 53 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 52 3C B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 03 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D F0 FD FF FF 8B 55 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 68 03 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D F4 FE FF FF 8B 55 FC 8B 92 F8 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 C3 E9 ?? ?? ?? ?? EB E6 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5904_0 {
	meta:
		name = "TTable.EncodeFieldDesc"
		size = 119
		refs = "001d AnsiToNative 0027 FldTypeMap 0035 FldSubTypeMap"
		altNames = "_NF__378"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B 5D 0C 6A 1F 8D 4E 02 8B 55 FC 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 33 C0 8A C3 8B 15 ?? ?? ?? ?? 0F B6 14 02 66 89 56 22 8B 15 ?? ?? ?? ?? 66 8B 04 42 66 89 46 24 FE CB 74 13 80 EB 07 74 18 80 C3 FC 80 EB 02 72 06 4B 80 EB 07 73 18 66 8B 45 08 66 89 46 26 EB 0E 66 C7 46 26 20 00 66 8B 45 08 66 89 46 28 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5905_0 {
	meta:
		name = "TTable.DataEvent"
		size = 23
		refs = "0011 TDataSet.DataEvent"
	strings:
		$1 = { 53 80 FA 08 75 0A 8B 98 EC 01 00 00 C6 43 0C 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5906_0 {
	meta:
		name = "TTable.GetCanModify"
		size = 31
		refs = "0006 TBDEDataSet.GetCanModify"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 80 BB F5 01 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5907_0 {
	meta:
		name = "_NF__861"
		size = 96
		refs = "0016 TDBDataSet.GetDBHandle 001c DbiGetProp 0021 Check 0026 _NF__861 002d StrIComp 0038 _NF__864 0047 StrCopy"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F8 8B F3 54 6A 20 53 68 02 00 04 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 18 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5A 5F 5E 5B C3 53 54 41 4E 44 41 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_10537_0 {
	meta:
		name = "_NF__380"
		size = 96
		refs = "0016 TDBDataSet.GetDBHandle 001c DbiGetProp 0021 Check 0026 _NF__380 002d StrIComp 0038 _NF__377 0047 StrCopy"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F8 8B F3 54 6A 20 53 68 02 00 04 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 18 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5A 5F 5E 5B C3 53 54 41 4E 44 41 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_5908_0 {
	meta:
		name = "_NF__376"
		size = 28
		altNames = "_NF__863"
	strings:
		$1 = { 50 41 52 41 44 4F 58 00 44 42 41 53 45 00 00 00 41 53 43 49 49 44 52 56 00 00 00 00 }
	condition:
		$1
}

rule function_5909_0 {
	meta:
		name = "_NF__864"
		size = 180
		refs = "000d _NF__864 0039 ExtractFileExt 0046 CompareText 006a _NV__862 007f @LStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 86 E0 01 00 00 80 78 30 00 75 49 8A 9E F6 01 00 00 84 DB 75 34 8D 55 FC 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 02 B3 02 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 02 B3 03 33 C0 8A C3 8B 1C 85 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 FF FF FF FF 04 00 00 00 2E 44 42 46 00 00 00 00 FF FF FF FF 04 00 00 00 2E 54 58 54 00 00 00 00 }
	condition:
		$1
}

rule function_5910_0 {
	meta:
		name = "TTable.GetTableLevel"
		size = 30
		refs = "0012 _NF__4A8"
	strings:
		$1 = { 8B 90 2C 01 00 00 85 D2 74 0D 8B C2 BA 03 00 05 00 E8 ?? ?? ?? ?? C3 8B 80 0C 02 00 00 C3 }
	condition:
		$1
}

rule function_5911_0 {
	meta:
		name = "_NF__867"
		size = 124
		refs = "000c _NF__867 0029 ExtractFileExt 0036 CompareText 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F6 01 00 00 02 74 23 8D 55 FC 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 2E 44 42 46 00 00 00 00 }
	condition:
		$1
}

rule function_5912_0 {
	meta:
		name = "TTable.SetExclusive"
		size = 22
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 3C 88 9E F4 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5913_0 {
	meta:
		name = "TTable.SetReadOnly"
		size = 22
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 3C 88 9E F5 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5914_0 {
	meta:
		name = "TTable.SetTableName"
		size = 72
		refs = "001c @LStrCmp 0036 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 3C F6 43 20 02 75 1A 8B 83 F8 01 00 00 8B D6 E8 ?? ?? ?? ?? 74 0B 8B 83 00 02 00 00 8B 10 FF 52 40 8D 83 F8 01 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 B2 08 8B C3 8B 18 FF 53 50 5E 5B C3 }
	condition:
		$1
}

rule function_5915_0 {
	meta:
		name = "TTable.SetTableType"
		size = 22
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 3C 88 9E F6 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5918_0 {
	meta:
		name = "TParams.Assign"
		size = 112
		refs = "000f _DV_TParams 0014 @IsClass 001f TParams.Clear 0027 TParams.Count 003c _DV_TParam 0041 TParam.Create 004d TParams.GetParam 0066 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 44 8B C5 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 38 43 33 F6 6A 00 8B CD B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D6 8B 04 24 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 08 46 4B 75 D7 EB 0A 8B 14 24 8B C5 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5919_0 {
	meta:
		name = "TParams.AssignTo"
		size = 47
		refs = "000a _DV_TParams 000f @IsClass 0028 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 8B 08 FF 51 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5920_0 {
	meta:
		name = "TParams.AssignValues"
		size = 130
		refs = "0010 TParams.Count 0037 TParams.GetParam 004d @LStrCmp"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 89 04 24 8B 04 24 E8 ?? ?? ?? ?? 48 85 C0 7C 62 40 89 44 24 04 33 ED 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 46 46 33 DB 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B 40 1C 50 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 1C 58 E8 ?? ?? ?? ?? 75 1D 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B D5 8B 44 24 04 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 EB 04 43 4E 75 BD 45 FF 4C 24 04 75 A5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5921_0 {
	meta:
		name = "TParams.AddParam"
		size = 22
		refs = "000c TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 89 5E 04 5E 5B C3 }
	condition:
		$1
}

rule function_5922_0 {
	meta:
		name = "TParams.RemoveParam"
		size = 20
		refs = "0009 TList.Remove"
	strings:
		$1 = { 53 8B DA 8B D3 8B 40 04 E8 ?? ?? ?? ?? 33 C0 89 43 04 5B C3 }
	condition:
		$1
}

rule function_5923_0 {
	meta:
		name = "TParams.CreateParam"
		size = 60
		refs = "0014 _DV_TParam 0019 TParam.Create 0026 @LStrAsg 002f TParam.SetDataType"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8A 55 08 52 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 1C 8B 55 FC E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5925_0 {
	meta:
		name = "TParams.IsEqual"
		size = 99
		refs = "000d TParams.Count 003d TParams.GetParam 004d TParam.IsEqual"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 8B D8 8B 04 24 E8 ?? ?? ?? ?? 3B D8 0F 94 C3 84 DB 74 37 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 29 47 33 F6 8B DE 8B D3 8B 04 24 E8 ?? ?? ?? ?? 50 8B D3 8B C5 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 84 DB 74 04 46 4F 75 DA 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5926_0 {
	meta:
		name = "TParams.Clear"
		size = 30
		refs = "0009 TList.Last 000e TObject.Free"
	strings:
		$1 = { 53 56 8B D8 EB 0C 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 04 83 7E 08 00 7F EB 5E 5B C3 }
	condition:
		$1
}

rule function_5927_0 {
	meta:
		name = "TParams.GetParam"
		size = 30
		refs = "000d TList.Get 0017 TParams.ParamByName"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B7 D6 8B 43 04 E8 ?? ?? ?? ?? 8B 50 1C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5928_0 {
	meta:
		name = "TParams.ParamByName"
		size = 163
		refs = "0018 TParams.ParamByName 003c TList.Get 0049 AnsiCompareText 0059 SParameterNotFound 005e LoadResString 0077 DatabaseErrorFmt 008e @LStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 58 08 4B 85 DB 7C 25 43 33 FF 8B 45 FC 8B 40 04 8B D7 E8 ?? ?? ?? ?? 8B F0 8B 55 F8 8B 46 1C E8 ?? ?? ?? ?? 85 C0 74 2C 47 4B 75 DE 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5929_0 {
	meta:
		name = "_NF__89B"
		size = 57
		refs = "001d TParams.IsEqual 002d TParams.Count"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 1C 85 DB 74 15 8B 45 08 8B D3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 34 01 5B 5D C3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5B 5D C3 }
	condition:
		$1
}

rule function_5931_0 {
	meta:
		name = "_NF__89F"
		size = 485
		refs = "0020 _NF__89F 002e TParams.Clear 003d TStream.ReadBuffer 004f SInvalidVersion 0054 LoadResString 005f DatabaseError 00a4 _DV_TParam 00a9 TParam.Create 00e2 @LStrSetLength 00ea @LStrToPChar 0101 @LStrAsg 017e TParam.SetBlobData 018d TParam.SetData 01ca @LStrClr 01d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 F7 FF FF 53 56 57 33 C9 89 8D E8 F7 FF FF 89 4D F0 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EE B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 83 7D EE 02 76 1B 8D 95 E8 F7 FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E8 F7 FF FF E8 ?? ?? ?? ?? 33 C0 89 45 F4 66 83 7D EE 02 75 11 8D 55 F4 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 0F 8D 55 F4 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 7D F4 4F 85 FF 0F 8C 1B 01 00 00 47 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 89 45 F8 66 83 7D EE 02 75 11 8D 55 F8 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 0F 8D 55 F8 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 8D 43 1C 8B 55 F0 E8 ?? ?? ?? ?? 8D 53 23 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 53 20 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 80 7B 20 00 74 68 33 C0 89 45 F8 66 83 7D EE 02 75 11 8D 55 F8 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 0F 8D 55 F8 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 95 EE F7 FF FF 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 8A 43 20 2C 0F 74 06 04 FE 2C 04 73 12 8D 95 EE F7 FF FF 8B 4D F8 8B C3 E8 ?? ?? ?? ?? EB 0D 8D 95 EE F7 FF FF 8B C3 E8 ?? ?? ?? ?? 8D 53 21 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 53 22 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 4F 0F 85 E6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 F7 FF FF E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5932_0 {
	meta:
		name = "_NF__8A0"
		size = 450
		refs = "001d _NF__8A0 002b _NF__8A1 003e TStream.WriteBuffer 0046 TParams.Count 0080 TParams.GetParam 008a @LStrLen 00ae @LStrToPChar 00e7 TParam.GetDataSize 00f9 SParamTooBig 00fe LoadResString 0137 DatabaseErrorFmt 014f TParam.GetData 01af @LStrClr 01b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E0 F7 FF FF 53 56 57 33 C9 89 8D F0 F7 FF FF 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 66 89 45 F4 8D 55 F4 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 66 89 45 F6 8D 55 F6 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 2B 01 00 00 47 C7 45 F8 00 00 00 00 66 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 43 1C E8 ?? ?? ?? ?? 66 89 45 F6 8D 55 F6 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 50 8B 43 1C E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8D 53 23 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 53 20 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 80 7B 20 00 0F 84 8F 00 00 00 8B C3 E8 ?? ?? ?? ?? 3D 00 08 00 00 7E 49 8D 95 F0 F7 FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F0 F7 FF FF 50 8B 43 1C 89 85 E0 F7 FF FF C6 85 E4 F7 FF FF 0B C7 85 E8 F7 FF FF 00 08 00 00 C6 85 EC F7 FF FF 00 8D 95 E0 F7 FF FF B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 89 45 F6 8D 95 F4 F7 FF FF 8B C3 E8 ?? ?? ?? ?? 8D 55 F6 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F BF 4D F6 8D 95 F4 F7 FF FF 8B C6 E8 ?? ?? ?? ?? 8D 53 21 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 53 22 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? FF 45 F8 4F 0F 85 DD FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 F7 FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5933_0 {
	meta:
		name = "_NF__8A1"
		size = 5
	strings:
		$1 = { 66 B8 01 00 C3 }
	condition:
		$1
}

rule function_5934_0 {
	meta:
		name = "TParams.GetParamValue"
		size = 280
		refs = "001e TParams.GetParamValue 0030 @LStrPos 003f _Dn_TList 0044 TObject.Create 0061 TParams.GetParamList 0083 VarArrayCreate 009e TList.Get 00a6 TParam.GetAsVariant 00b0 @VarArrayPut 00cc TObject.Free 00d2 @HandleFinally 00dd TParams.ParamByName 00f9 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 9C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 57 33 C0 89 45 F4 8B 45 FC 8B 40 08 48 89 45 F8 8D 45 F4 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 29 46 33 DB 53 6A 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8D 45 E4 50 57 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5935_0 {
	meta:
		name = "TParams.SetParamValue"
		size = 240
		refs = "001a TParams.SetParamValue 002c @LStrPos 0037 _Dn_TList 003c TObject.Create 0059 TParams.GetParamList 0071 TList.Get 007f @VarArrayGet 008b TParam.SetAsVariant 00a4 TObject.Free 00aa @HandleFinally 00b5 TParams.ParamByName 00d1 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 7C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 2B 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 53 6A 01 57 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 EC 58 E8 ?? ?? ?? ?? 43 4E 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5937_0 {
	meta:
		name = "TParam.Create"
		size = 75
		refs = "000d @ClassCreate 001e TParams.AddParam 002d TParam.SetDataType"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 85 C9 74 09 8B D6 8B C1 E8 ?? ?? ?? ?? 8A 45 08 88 46 23 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 22 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5938_0 {
	meta:
		name = "TParam.Destroy"
		size = 36
		refs = "0010 TParams.RemoveParam 001b @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5939_0 {
	meta:
		name = "TParam.IsEqual"
		size = 97
		refs = "000b VarType 0024 @VarCmp 0031 @LStrCmp"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 43 08 E8 ?? ?? ?? ?? 8B F8 8D 46 08 E8 ?? ?? ?? ?? 3B F8 75 3A 8D 43 08 8D 56 08 E8 ?? ?? ?? ?? 75 2D 8B 43 1C 8B 56 1C E8 ?? ?? ?? ?? 75 20 8A 43 20 3A 46 20 75 18 8A 43 21 3A 46 21 75 10 8A 43 22 3A 46 22 75 08 8A 43 23 3A 46 23 74 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5940_0 {
	meta:
		name = "TParam.SetDataType"
		size = 22
		refs = "000c @VarFromInt"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 46 08 33 D2 E8 ?? ?? ?? ?? 88 5E 20 5E 5B C3 }
	condition:
		$1
}

rule function_5941_0 {
	meta:
		name = "TParam.GetDataSize"
		size = 345
		refs = "0012 TParam.GetDataSize 007f @VarToLStr 0087 @LStrLen 00e9 SFieldUndefinedType 00ee LoadResString 0107 DatabaseErrorFmt 0111 SFieldUnsupportedType 0146 @LStrClr 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 43 20 33 D2 8A D0 83 FA 16 0F 87 B5 00 00 00 8A 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 00 01 06 05 07 02 04 04 03 05 05 04 00 00 05 08 01 08 08 08 08 00 09 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC 8D 53 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 40 8B D8 E9 A2 00 00 00 BB 02 00 00 00 E9 98 00 00 00 BB 22 00 00 00 E9 8E 00 00 00 BB 08 00 00 00 E9 84 00 00 00 BB 04 00 00 00 EB 7D BB 02 00 00 00 EB 76 BB 02 00 00 00 EB 6F 8D 45 FC 8D 53 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 58 33 DB EB 54 84 C0 75 28 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 1C 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? EB 26 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 1C 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5942_0 {
	meta:
		name = "TParam.RecBufDataSize"
		size = 114
		refs = "000c TParam.RecBufDataSize 0023 @VarToLStr 002b @LStrLen 0049 TParam.GetDataSize 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 20 01 75 1A 8D 45 FC 8D 53 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3D FF 00 00 00 7F 09 8A 43 20 04 F1 2C 06 73 07 BB 10 00 00 00 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5943_0 {
	meta:
		name = "_NF__8BF"
		size = 223
		refs = "000c _NF__8BF 0030 @VarToLStr 0038 @LStrLen 0048 @LStrSetLength 0070 @LStrToPChar 0098 AnsiToNativeBuf 00a8 @LStrLAsg 00cf @LStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 FC 00 0F 84 8B 00 00 00 8D 45 FC 8B 55 08 8B 52 F8 83 C2 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 83 C0 18 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 08 8B 52 F8 83 C2 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B 40 18 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 08 8B 52 F8 83 C2 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 59 E8 ?? ?? ?? ?? 8B C3 8B 55 08 8B 52 F8 8B 52 18 E8 ?? ?? ?? ?? EB 10 8B C3 8B 55 08 8B 52 F8 83 C2 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5944_0 {
	meta:
		name = "TParam.RecBufGetData"
		size = 319
		refs = "0018 TParam.RecBufGetData 003e @VarToLStr 0046 @LStrLen 0078 _NF__8BF 0081 @LStrToPChar 00c8 AnsiToNativeBuf 00d4 TParam.GetData 012e @LStrClr 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8A 40 20 3C 01 74 08 3C 10 0F 85 A6 00 00 00 8D 45 F4 8B 55 F8 83 C2 08 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 3D FF 00 00 00 7F 09 8B 45 F8 80 78 20 10 75 32 8D 45 F4 8B 55 F8 83 C2 08 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 43 04 55 8D 45 F4 E8 ?? ?? ?? ?? 59 8B 45 F4 E8 ?? ?? ?? ?? 89 03 E9 91 00 00 00 83 7D FC 00 74 3C 8D 45 F4 8B 55 F8 83 C2 08 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 40 50 8D 45 F4 8B 55 F8 83 C2 08 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 FC E8 ?? ?? ?? ?? EB 4F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? EB 43 04 F1 2C 06 73 33 8D 45 F4 8B 55 F8 83 C2 08 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 43 04 8D 45 F4 8B 55 F8 83 C2 08 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 03 EB 0A 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5945_0 {
	meta:
		name = "TParam.GetData"
		size = 572
		refs = "0015 TParam.GetData 0094 SFieldUndefinedType 0099 LoadResString 00b2 DatabaseErrorFmt 00c2 @VarToLStr 00ca @LStrLen 00df @LStrToPChar 00e9 StrMove 00f6 @VarToInt 0124 TParam.GetAsDateTime 0133 DateTimeToTimeStamp 017b TimeStampToMSecs 018a TParam.GetAsBCD 01a2 CurrToFMTBCD 01ac @VarToReal 01b9 @VarToBool 01ed Move 01f7 SFieldUnsupportedType 022a @LStrClr 0230 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 43 20 83 F8 16 0F 87 C6 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 1C 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? E9 5E 01 00 00 8D 45 FC 8D 53 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 40 50 8D 45 FC 8D 53 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? E9 27 01 00 00 8D 43 08 E8 ?? ?? ?? ?? 66 89 06 E9 17 01 00 00 8D 43 08 E8 ?? ?? ?? ?? 66 89 06 E9 07 01 00 00 8D 43 08 E8 ?? ?? ?? ?? 89 06 E9 F8 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 89 06 E9 D8 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 89 06 E9 B8 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? DD 1E 9B E9 92 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C6 B9 04 00 00 00 BA 20 00 00 00 E8 ?? ?? ?? ?? EB 71 8D 43 08 E8 ?? ?? ?? ?? DD 1E 9B EB 64 8D 43 08 E8 ?? ?? ?? ?? 66 89 06 EB 57 8D 45 FC 8D 53 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FC 8D 53 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D6 59 E8 ?? ?? ?? ?? EB 26 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 1C 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5946_0 {
	meta:
		name = "TParam.SetBlobData"
		size = 102
		refs = "0012 TParam.SetBlobData 0022 @LStrSetLength 002a @LStrToPChar 0035 Move 003f TParam.SetAsBlob 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C7 8B CE E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5947_0 {
	meta:
		name = "TParam.SetData"
		size = 565
		refs = "0015 TParam.SetData 0094 SFieldUndefinedType 0099 LoadResString 00b2 DatabaseErrorFmt 00c1 StrPas 00cb TParam.SetAsString 00da TParam.SetAsWord 00e9 TParam.SetAsSmallInt 00f7 TParam.SetAsInteger 0110 TimeStampToDateTime 011e TParam.SetAsTime 0143 TParam.SetAsDate 0163 MSecsToTimeStamp 0179 TParam.SetAsDateTime 0188 FMTBCDToCurr 0195 TParam.SetAsBCD 01a3 TParam.SetAsCurrency 01b1 TParam.SetAsFloat 01c4 TParam.SetAsBoolean 01da TParam.SetAsMemo 01e6 @VarFromInt 01f0 SFieldUnsupportedType 0223 @LStrClr 0229 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 43 20 83 F8 16 0F 87 BF 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 43 1C 89 45 E4 C6 45 E8 0B 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? E9 57 01 00 00 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 3E 01 00 00 0F B7 16 8B C3 E8 ?? ?? ?? ?? E9 2F 01 00 00 0F BF 16 8B C3 E8 ?? ?? ?? ?? E9 20 01 00 00 8B 16 8B C3 E8 ?? ?? ?? ?? E9 12 01 00 00 8B 06 89 45 F0 C7 45 F4 5A 95 0A 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 EB 00 00 00 33 C0 89 45 F0 8B 06 89 45 F4 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 C6 00 00 00 33 C0 89 45 F0 8B 06 89 45 F4 DD 06 83 C4 F8 DF 3C 24 9B 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 90 00 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8B C3 E8 ?? ?? ?? ?? EB 77 FF 76 04 FF 36 8B C3 E8 ?? ?? ?? ?? EB 69 FF 76 04 FF 36 8B C3 E8 ?? ?? ?? ?? EB 5B 66 8B 06 66 F7 D8 1B D2 F7 DA 8B C3 E8 ?? ?? ?? ?? EB 48 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? EB 32 8D 43 08 33 D2 E8 ?? ?? ?? ?? EB 26 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 43 1C 89 45 E4 C6 45 E8 0B 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5948_0 {
	meta:
		name = "TParam.SetText"
		size = 206
		refs = "0009 _NF__8E3 0018 TParam.SetDataType 0022 @VarFromLStr 0037 TParam.SetText 006f VarToDateTime 0077 @VarFromTDateTime 0082 @VarToCurr 008a @VarFromCurr 0095 @VarToReal 009d @VarFromReal 00a8 @VarToInt 00b2 @VarFromInt 00bd @VarToBool 00c7 @VarFromBool"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 20 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 43 08 8B D6 E8 ?? ?? ?? ?? 33 C0 8A 43 20 83 F8 0B 0F 87 97 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 43 08 E8 ?? ?? ?? ?? 8D 43 08 E8 ?? ?? ?? ?? 5E 5B C3 8D 43 08 E8 ?? ?? ?? ?? 8D 43 08 E8 ?? ?? ?? ?? 5E 5B C3 8D 43 08 E8 ?? ?? ?? ?? 8D 43 08 E8 ?? ?? ?? ?? 5E 5B C3 8D 43 08 E8 ?? ?? ?? ?? 8B D0 8D 43 08 E8 ?? ?? ?? ?? 5E 5B C3 8D 43 08 E8 ?? ?? ?? ?? 8B D0 8D 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5950_0 {
	meta:
		name = "TParam.AssignTo"
		size = 48
		refs = "000a _Dn_TField 000f @IsClass 0029 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8D 53 08 8B C6 8B 08 FF 51 7C 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5951_0 {
	meta:
		name = "TParam.AssignParam"
		size = 85
		refs = "0010 TParam.SetDataType 001d TParam.Clear 0026 _NF__8E3 0031 @VarCopy 0042 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 48 8A 56 20 8B C3 E8 ?? ?? ?? ?? 80 7E 21 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 12 8B C3 E8 ?? ?? ?? ?? 8D 43 08 8D 56 08 E8 ?? ?? ?? ?? 8A 46 22 88 43 22 8D 43 1C 8B 56 1C E8 ?? ?? ?? ?? 80 7B 23 00 75 06 8A 46 23 88 43 23 5E 5B C3 }
	condition:
		$1
}

rule function_5952_0 {
	meta:
		name = "TParam.AssignFieldValue"
		size = 91
		refs = "001e TParam.SetDataType 0032 VarIsNull 003d TParam.Clear 0046 _NF__8E3 0050 @VarCopy"
	strings:
		$1 = { 53 56 8B F1 8B D8 85 D2 74 4E 8A 42 2C 3C 10 75 13 66 81 7A 34 FF 00 76 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 0B 8B CB 8B D0 8B C1 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 11 8B C3 E8 ?? ?? ?? ?? 8D 43 08 8B D6 E8 ?? ?? ?? ?? C6 43 22 01 5E 5B C3 }
	condition:
		$1
}

rule function_5953_0 {
	meta:
		name = "TParam.AssignField"
		size = 166
		refs = "0013 TParam.AssignField 0035 TParam.SetDataType 0052 TParam.Clear 005b _NF__8E3 0070 @VarCopy 007f @LStrAsg 0094 @VarClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 62 8A 43 2C 3C 10 75 13 66 81 7B 34 FF 00 76 0B B2 01 8B C6 E8 ?? ?? ?? ?? EB 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 5C 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 1C 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 4C 8D 55 F0 8D 46 08 E8 ?? ?? ?? ?? C6 46 22 01 8D 46 1C 8B 53 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5954_0 {
	meta:
		name = "TParam.Clear"
		size = 27
		refs = "000d @VarFromInt 0015 @LStrClr"
	strings:
		$1 = { 53 8B D8 C6 43 21 01 8D 43 08 33 D2 E8 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5955_0 {
	meta:
		name = "_NF__8E3"
		size = 9
	strings:
		$1 = { C6 40 22 01 C6 40 21 00 C3 }
	condition:
		$1
}

rule function_5956_0 {
	meta:
		name = "TParam.SetAsBoolean"
		size = 35
		refs = "0009 _NF__8E3 0012 TParam.SetDataType 001c @VarFromBool"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 05 8B C6 E8 ?? ?? ?? ?? 8D 46 08 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5957_0 {
	meta:
		name = "TParam.GetAsBoolean"
		size = 13
		refs = "0007 @VarToBool"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5964_0 {
	meta:
		name = "TParam.GetAsInteger"
		size = 13
		refs = "0007 @VarToInt"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5958_0 {
	meta:
		name = "TParam.SetAsFloat"
		size = 38
		refs = "0009 _NF__8E3 0012 TParam.SetDataType 001d @VarFromReal"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 06 8B C3 E8 ?? ?? ?? ?? DD 45 08 8D 43 08 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5959_0 {
	meta:
		name = "TParam.GetAsFloat"
		size = 25
		refs = "000a @VarToReal"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8D 43 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5960_0 {
	meta:
		name = "TParam.SetAsCurrency"
		size = 28
		refs = "000f TParam.SetAsFloat"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? C6 43 20 07 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5961_0 {
	meta:
		name = "TParam.SetAsBCD"
		size = 33
		refs = "0009 _NF__8E3 0014 @VarFromCurr"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? DF 6D 08 8D 43 08 E8 ?? ?? ?? ?? C6 43 20 08 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5962_0 {
	meta:
		name = "TParam.GetAsBCD"
		size = 25
		refs = "000a @VarToCurr"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8D 43 08 E8 ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5963_0 {
	meta:
		name = "TParam.SetAsInteger"
		size = 35
		refs = "0009 _NF__8E3 0012 TParam.SetDataType 001c @VarFromInt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 8D 43 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5965_0 {
	meta:
		name = "TParam.SetAsWord"
		size = 16
		refs = "0006 TParam.SetAsInteger"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 20 04 5B C3 }
	condition:
		$1
}

rule function_5966_0 {
	meta:
		name = "TParam.SetAsSmallInt"
		size = 16
		refs = "0006 TParam.SetAsInteger"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 20 02 5B C3 }
	condition:
		$1
}

rule function_5967_0 {
	meta:
		name = "TParam.SetAsString"
		size = 35
		refs = "0009 _NF__8E3 0012 TParam.SetDataType 001c @VarFromLStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8D 43 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5968_0 {
	meta:
		name = "TParam.GetAsString"
		size = 179
		refs = "0013 TParam.GetAsString 0036 @VarToBool 0041 STextTrue 0046 LoadResString 004f STextFalse 005e @VarToReal 006d VarFromDateTime 0077 @VarToLStr 008c @LStrClr 00a1 @VarClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 21 00 75 66 8A 43 20 2C 05 74 08 04 FC 2C 03 72 2A EB 4B 8D 43 08 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 8D 43 08 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? EB 13 8B C6 8D 53 08 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5969_0 {
	meta:
		name = "TParam.SetAsDate"
		size = 41
		refs = "0009 _NF__8E3 0012 TParam.SetDataType 0020 VarFromDateTime"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 09 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 43 08 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5970_0 {
	meta:
		name = "TParam.SetAsTime"
		size = 28
		refs = "000f TParam.SetAsDate"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? C6 43 20 0A 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5971_0 {
	meta:
		name = "TParam.SetAsDateTime"
		size = 28
		refs = "000f TParam.SetAsDate"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? C6 43 20 0B 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5972_0 {
	meta:
		name = "TParam.GetAsDateTime"
		size = 38
		refs = "0018 VarToDateTime"
	strings:
		$1 = { 83 C4 F8 80 78 21 00 74 0B 33 C0 89 04 24 89 44 24 04 EB 0C 83 C0 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_5973_0 {
	meta:
		name = "TParam.SetAsVariant"
		size = 237
		refs = "001b @VarAddRef 0023 TParam.SetAsVariant 0030 _NF__8E3 0038 VarType 006d TParam.SetDataType 00c5 @VarCopy 00da @VarClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 83 F8 07 7F 14 74 51 83 E8 02 74 20 48 74 28 48 83 E8 02 72 38 74 2B EB 60 83 E8 08 74 50 83 E8 03 74 40 2D F5 00 00 00 74 44 EB 4D B2 02 8B C3 E8 ?? ?? ?? ?? EB 4B B2 03 8B C3 E8 ?? ?? ?? ?? EB 40 B2 08 8B C3 E8 ?? ?? ?? ?? EB 35 B2 06 8B C3 E8 ?? ?? ?? ?? EB 2A B2 0B 8B C3 E8 ?? ?? ?? ?? EB 1F B2 05 8B C3 E8 ?? ?? ?? ?? EB 14 B2 01 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 08 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5974_0 {
	meta:
		name = "TParam.GetAsVariant"
		size = 19
		refs = "000c @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5976_0 {
	meta:
		name = "TParam.GetAsMemo"
		size = 19
		refs = "000c @VarToLStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5975_0 {
	meta:
		name = "TParam.SetAsMemo"
		size = 35
		refs = "0009 _NF__8E3 0012 TParam.SetDataType 001c @VarFromLStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? B2 10 8B C3 E8 ?? ?? ?? ?? 8D 43 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5977_0 {
	meta:
		name = "TParam.SetAsBlob"
		size = 92
		refs = "000e @LStrAddRef 0016 TParam.SetAsBlob 0023 _NF__8E3 002c TParam.SetDataType 0037 @VarFromLStr 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? B2 0F 8B C3 E8 ?? ?? ?? ?? 8D 43 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5978_0 {
	meta:
		name = "TParam.LoadFromFile"
		size = 89
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TParam.LoadFromFile 0033 TParam.LoadFromStream 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B F0 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5979_0 {
	meta:
		name = "TParam.LoadFromStream"
		size = 126
		refs = "0019 TParam.LoadFromStream 0026 _NF__8E3 0033 TStream.GetSize 003f @LStrSetLength 004b TStream.ReadBuffer 0056 @VarFromLStr 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FF 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8A 45 FF 88 43 20 8B C7 E8 ?? ?? ?? ?? 8B F0 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B C7 E8 ?? ?? ?? ?? 8D 43 08 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5982_0 {
	meta:
		name = "_NF__928"
		size = 33
		refs = "000e TDataSet.GetActive 001a _NF__988"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 14 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5984_0 {
	meta:
		name = "TStoredProc.Create"
		size = 88
		refs = "000a @ClassCreate 0017 TBDEDataSet.Create 001e _DV_TParams 0023 TParams.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 F4 01 00 00 33 C0 89 86 F8 01 00 00 33 C0 89 86 FC 01 00 00 33 C0 89 86 04 02 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5985_0 {
	meta:
		name = "TStoredProc.Destroy"
		size = 62
		refs = "0009 TComponent.Destroying 001e TObject.Free 002a TBDEDataSet.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 C0 01 00 00 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5987_0 {
	meta:
		name = "_NF__933"
		size = 41
		refs = "0014 TStoredProc.SetPrepared 001d _NF__936"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE F0 01 00 00 00 74 15 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5989_0 {
	meta:
		name = "_NF__936"
		size = 59
		refs = "0017 _NF__949 0024 DbiQExec 0029 Check 0030 TStoredProc.GetResults"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 84 D2 74 04 8B F4 EB 02 33 F6 8B C3 E8 ?? ?? ?? ?? 56 8B 83 EC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5990_0 {
	meta:
		name = "TStoredProc.ExecProc"
		size = 101
		refs = "0026 TStoredProc.ExecProc 0036 _NF__933 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 10 FF 52 3C B1 01 BA 07 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 07 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 59 5D C3 }
	condition:
		$1
}

rule function_5991_0 {
	meta:
		name = "TStoredProc.SetProcName"
		size = 84
		refs = "001c @LStrCmp 002b @LStrAsg 0032 _NF__951 003d TParams.Clear"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 02 75 38 8B C3 8B 10 FF 52 3C 8B C6 8B 93 F0 01 00 00 E8 ?? ?? ?? ?? 74 2F 8D 83 F0 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8D 83 F0 01 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5992_0 {
	meta:
		name = "TStoredProc.SetOverLoad"
		size = 66
		refs = "0026 _NF__951 0031 TParams.Clear"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 02 75 2C 8B C3 8B 10 FF 52 3C 66 3B B3 00 02 00 00 74 23 66 89 B3 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 66 89 B3 00 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5993_0 {
	meta:
		name = "TStoredProc.GetParamsCount"
		size = 16
		refs = "000a TParams.Count"
	strings:
		$1 = { 53 8B D8 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5994_0 {
	meta:
		name = "_NF__941"
		size = 306
		refs = "0016 _NF__941 0025 TDBDataSet.GetDBLocale 0033 AnsiToNative 004c TDBDataSet.GetDBHandle 0052 DbiOpenSPParamList 007d NativeToAnsi 0091 SResultName 0096 LoadResString 00a9 DataTypeMap 00d3 TParams.CreateParam 00e1 DbiGetNextRecord 00ed _NF__942 0103 DbiCloseCursor 0109 @HandleFinally 0120 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 33 D2 89 55 F8 8B D8 8D 75 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 40 8B C3 E8 ?? ?? ?? ?? 8D 4D 83 8B 93 F0 01 00 00 E8 ?? ?? ?? ?? 8D 45 FC 50 66 8B 83 00 02 00 00 50 6A 00 8D 45 83 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 0F 85 B0 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 68 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8D 56 02 E8 ?? ?? ?? ?? 80 7E 22 04 75 13 83 7D F8 00 75 0D 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 46 26 66 83 F8 12 73 0E 0F B7 C0 8B 15 ?? ?? ?? ?? 8A 04 02 EB 02 33 C0 66 83 7E 26 07 75 09 66 83 7E 28 15 75 02 B0 07 8A 56 22 52 8B 93 F4 01 00 00 8B 4D F8 92 E8 ?? ?? ?? ?? 6A 00 56 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 66 85 C0 74 85 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5995_0 {
	meta:
		name = "_NF__942"
		size = 150
		refs = "0013 TParams.Count 001b StrAlloc 0052 TList.Get 0069 @LStrToString 0076 @PStrNCpy"
	strings:
		$1 = { 53 56 57 55 81 C4 F8 FE FF FF 8B E8 8B 85 F4 01 00 00 E8 ?? ?? ?? ?? 6B C0 42 E8 ?? ?? ?? ?? 8B D8 89 9D 04 02 00 00 89 5C 24 04 8B 85 F4 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4E 47 C7 04 24 00 00 00 00 8B 85 F4 01 00 00 8B 40 04 8B 14 24 E8 ?? ?? ?? ?? 8B D8 8B 74 24 04 8D 44 24 08 8B 53 1C B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B C6 B1 40 E8 ?? ?? ?? ?? 8A 43 20 88 46 41 83 44 24 04 42 FF 04 24 4F 75 BA 81 C4 08 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5996_0 {
	meta:
		name = "_NF__943"
		size = 250
		refs = "0015 _NF__943 0030 _NF__942 0046 StrBufSize 006a TParams.Count 008a TList.Get 0099 @LStrFromString 00a4 @LStrCmp 00e5 @LStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 04 02 00 00 85 DB 75 0F 8B 45 FC E8 ?? ?? ?? ?? 33 DB E9 99 00 00 00 89 5D F0 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? B9 42 00 00 00 33 D2 F7 F1 48 85 C0 7C 7A 40 89 45 EC 8B 45 F8 50 8B 45 FC 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 58 2B F8 7C 53 47 89 45 F4 8B 45 FC 8B 80 F4 01 00 00 8B 40 04 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8B 75 F0 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8B 55 E8 8B 43 1C E8 ?? ?? ?? ?? 75 19 8A 43 20 3A 46 41 74 04 33 DB EB 1E 8B 45 F4 3B 45 F8 75 0B FF 45 F8 EB 06 FF 45 F4 4F 75 B1 83 45 F0 42 FF 4D EC 75 8A B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5997_0 {
	meta:
		name = "TStoredProc.DescriptionsAvailable"
		size = 173
		refs = "0020 TStoredProc.DescriptionsAvailable 0030 TDBDataSet.GetDBLocale 0041 AnsiToNative 005e TDBDataSet.GetDBHandle 0064 DbiOpenSPParamList 007a DbiCloseCursor 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 89 45 FC B1 01 BA 08 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 40 8B 45 FC E8 ?? ?? ?? ?? 8D 4D B3 8B 55 FC 8B 92 F0 01 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 66 8B 80 00 02 00 00 50 6A 00 8D 45 B3 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 FB 80 7D FB 00 74 09 8D 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 08 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 C3 E9 ?? ?? ?? ?? EB E6 8A 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5998_0 {
	meta:
		name = "_NF__946"
		size = 650
		refs = "0014 _NF__946 0025 TParams.Count 002d StrAlloc 003c StrBufSize 0047 @FillChar 0080 TParams.GetParam 0097 TParam.RecBufDataSize 0113 SNoParameterValue 0118 LoadResString 0131 DatabaseErrorFmt 013f SNoParameterType 0179 AnsiToNative 0196 FldTypeMap 0257 TDBDataSet.GetDBHandle 025d DbiQPrepareProc 0262 Check 0277 @LStrClr 027d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 D2 89 55 A8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 F4 01 00 00 E8 ?? ?? ?? ?? 6B C0 34 E8 ?? ?? ?? ?? 8B D8 89 9F F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 33 C9 E8 ?? ?? ?? ?? 8B 87 F8 01 00 00 89 45 F8 66 C7 45 F6 00 00 8B 87 F4 01 00 00 E8 ?? ?? ?? ?? 48 85 C0 7C 41 40 89 45 F0 C7 45 FC 00 00 00 00 66 8B 55 FC 8B 87 F4 01 00 00 E8 ?? ?? ?? ?? 8B D8 80 7B 20 01 75 08 66 81 45 F6 01 01 EB 0F 8B C3 E8 ?? ?? ?? ?? 66 83 C0 02 66 01 45 F6 FF 45 FC FF 4D F0 75 CA 0F B7 75 F6 8B C6 E8 ?? ?? ?? ?? 8B D8 89 9F FC 01 00 00 8B D6 8B C3 33 C9 E8 ?? ?? ?? ?? 66 C7 45 F4 00 00 8B 87 F4 01 00 00 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 3B 01 00 00 40 89 45 F0 C7 45 FC 00 00 00 00 66 8B 55 FC 8B 87 F4 01 00 00 E8 ?? ?? ?? ?? 8B F0 6B 45 FC 0D 8B 55 F8 8D 1C 82 80 7E 20 00 75 26 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 50 8B 46 1C 89 45 A0 C6 45 A4 0B 8D 55 A0 33 C9 58 E8 ?? ?? ?? ?? 80 7E 23 00 75 26 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 50 8B 46 1C 89 45 A0 C6 45 A4 0B 8D 55 A0 33 C9 58 E8 ?? ?? ?? ?? 80 BF 08 02 00 00 00 75 15 6A 1F 8D 4B 02 8B 56 1C 8B 87 40 01 00 00 E8 ?? ?? ?? ?? EB 08 66 8B 45 FC 40 66 89 03 33 C0 8A 46 23 89 43 22 33 C0 8A 46 20 8B 15 ?? ?? ?? ?? 0F B6 04 02 66 89 43 26 80 7E 20 07 75 06 66 C7 43 28 15 00 66 83 7B 26 01 75 0E 66 C7 43 30 FF 00 66 C7 43 2A FF 00 EB 0B 8B C6 E8 ?? ?? ?? ?? 66 89 43 30 66 8B 45 F4 66 89 43 2E 66 8B 43 30 66 01 45 F4 66 8B 45 FC 40 03 C0 66 8B 55 F6 66 2B D0 66 89 53 32 8A 46 23 2C 01 74 04 2C 02 75 17 0F B7 45 F6 03 87 FC 01 00 00 8B 55 FC 42 03 D2 2B C2 66 C7 00 FF FF FF 45 FC FF 4D F0 0F 85 D0 FE FF FF 6A 40 8D 4D AF 8B 97 F0 01 00 00 8B 87 40 01 00 00 E8 ?? ?? ?? ?? 8D 87 EC 01 00 00 50 6A 00 8B 87 F8 01 00 00 50 8B 87 F4 01 00 00 E8 ?? ?? ?? ?? 50 8D 45 AF 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5999_0 {
	meta:
		name = "TStoredProc.GetResults"
		size = 302
		refs = "0014 TStoredProc.GetResults 0032 StrBufSize 0041 TParams.Count 005d TParams.GetParam 0076 StrLen 0088 NativeToAnsiBuf 00a9 TParam.Clear 00b9 STruncationError 00be LoadResString 00d7 DatabaseErrorFmt 00e3 TParam.SetData 00f9 TParam.RecBufDataSize 011b @LStrClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 9E FC 01 00 00 85 DB 0F 84 DE 00 00 00 89 5D FC 8B C3 E8 ?? ?? ?? ?? 66 89 45 FA 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 48 85 C0 0F 8C BC 00 00 00 40 89 45 F4 33 FF 8B D7 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B D8 8A 43 23 04 FE 2C 03 73 7B 80 7B 20 01 75 1A 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D FC 8B 55 FC 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 0F B7 45 FA 03 86 FC 01 00 00 8D 57 01 03 D2 2B C2 66 8B 10 66 83 FA FF 75 09 8B C3 E8 ?? ?? ?? ?? EB 38 66 83 FA FE 75 28 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 43 1C 89 45 E8 C6 45 EC 0B 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 80 7B 20 01 75 09 81 45 FC FF 00 00 00 EB 0A 8B C3 E8 ?? ?? ?? ?? 01 45 FC 47 FF 4D F4 0F 85 4A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6000_0 {
	meta:
		name = "_NF__949"
		size = 484
		refs = "0014 _NF__949 002e _NF__943 003b TStoredProc.SetPrepared 0068 DbiGetProp 0070 StrLen 0081 OsLdLoadBySymbName 009a StrBufSize 00b2 TParams.Count 00ce TParams.GetParam 00e8 TParam.RecBufGetData 0129 TParam.RecBufDataSize 013b @VarToLStr 0143 @LStrLen 0193 DbiQSetProcParams 0198 Check 01b4 OsLdUnloadObj 01ba @HandleFinally 01d1 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 D2 89 55 C8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE FC 01 00 00 00 0F 84 95 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 12 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? C6 45 CD 00 33 C0 89 45 F4 8D 45 FA 50 6A 1F 8D 45 CD 50 68 04 00 06 00 8B 86 EC 01 00 00 50 E8 ?? ?? ?? ?? 8D 45 CD E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 45 F4 50 8D 45 CD 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 66 89 45 FA 8B 86 FC 01 00 00 89 45 FC 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 48 85 C0 0F 8C B2 00 00 00 40 89 45 F0 33 FF 8B 86 F4 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8A 43 23 2C 01 74 04 2C 02 75 6F 8B 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 86 FC 01 00 00 0F B7 55 FA 03 C2 8D 57 01 03 D2 2B C2 80 7B 21 00 74 07 66 C7 00 FF FF EB 05 66 C7 00 00 00 80 7B 20 01 75 37 6B C7 0D 8B 96 F8 01 00 00 8D 04 82 89 45 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 66 89 42 30 8D 45 C8 8D 53 08 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8B 55 EC 66 89 42 2A 80 7B 20 01 75 09 81 45 FC FF 00 00 00 EB 0A 8B C3 E8 ?? ?? ?? ?? 01 45 FC 47 FF 4D F0 0F 85 54 FF FF FF 8B 86 FC 01 00 00 50 8B 86 F8 01 00 00 50 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 50 8B 86 EC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 09 8D 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6001_0 {
	meta:
		name = "TStoredProc.SetPrepared"
		size = 236
		refs = "0015 TStoredProc.SetPrepared 002f SDataSetOpen 0034 LoadResString 003c DatabaseError 0067 TParams.Count 0073 _NF__941 007d _NF__942 0091 _NF__946 00aa @HandleAnyException 00b2 _NF__951 00b7 @RaiseAgain 00bc @DoneExcept 00db @LStrClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 2C 01 00 00 00 74 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 3A 98 02 02 00 00 74 7F 84 DB 74 73 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 03 02 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 02 02 00 00 01 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6002_0 {
	meta:
		name = "TStoredProc.Prepare"
		size = 33
		refs = "001a TStoredProc.SetPrepared"
	strings:
		$1 = { 53 56 8B D8 B1 01 BA 06 00 00 00 8B C3 8B 30 FF 96 C8 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6003_0 {
	meta:
		name = "TStoredProc.UnPrepare"
		size = 31
		refs = "0008 TStoredProc.SetPrepared"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 06 00 00 00 8B C3 8B 18 FF 93 C8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6004_0 {
	meta:
		name = "_NF__951"
		size = 90
		refs = "0014 DbiQFree 001f StrDispose"
	strings:
		$1 = { 53 8B D8 83 BB EC 01 00 00 00 74 0C 8D 83 EC 01 00 00 50 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 F8 01 00 00 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 FC 01 00 00 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 04 02 00 00 C6 83 02 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6005_0 {
	meta:
		name = "TStoredProc.SetPrepare"
		size = 16
		refs = "0005 TStoredProc.Prepare 000b TStoredProc.UnPrepare"
	strings:
		$1 = { 84 D2 74 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6013_0 {
	meta:
		name = "TQuery.SetPrepare"
		size = 16
		refs = "0005 TQuery.Prepare 000b TQuery.UnPrepare"
	strings:
		$1 = { 84 D2 74 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6006_0 {
	meta:
		name = "TStoredProc.SetDBFlag"
		size = 124
		refs = "001e @SetExpand 0032 TStoredProc.SetDBFlag 0039 @SetEq 0044 TStoredProc.SetPrepared 004f TDBDataSet.SetDBFlag"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B D9 8B F2 8B F8 84 DB 75 38 8D 87 DC 01 00 00 8B D4 B9 00 02 00 00 E8 ?? ?? ?? ?? 8B C6 3D FF 00 00 00 77 04 0F B3 04 24 8B C4 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6007_0 {
	meta:
		name = "TStoredProc.CopyParams"
		size = 147
		refs = "0020 TParams.Count 002c TStoredProc.CopyParams 0044 TStoredProc.Prepare 0069 TStoredProc.UnPrepare 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 80 B8 02 02 00 00 00 75 69 8B 45 FC 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 03 02 00 00 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 F4 01 00 00 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 03 02 00 00 00 C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC 8B 90 F4 01 00 00 8B C3 8B 08 FF 51 08 5B 59 5D C3 }
	condition:
		$1
}

rule function_6008_0 {
	meta:
		name = "TStoredProc.SetParamsList"
		size = 72
		refs = "001b TStoredProc.SetPrepared"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 3C 80 BB 02 02 00 00 00 74 22 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 F4 01 00 00 8B 08 FF 51 08 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 83 F4 01 00 00 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_6009_0 {
	meta:
		name = "TStoredProc.ParamByName"
		size = 12
		refs = "0007 TParams.ParamByName"
	strings:
		$1 = { 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6010_0 {
	meta:
		name = "TQuery.Create"
		size = 147
		refs = "000e @ClassCreate 001c TBDEDataSet.Create 0023 _Dn_TStringList 0028 TObject.Create 003a _NF__97A 0041 _DV_TParams 0046 TParams.Create 0055 _NV__464 005a _NF__926"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 89 5E 20 C7 46 1C ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F8 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 00 02 00 00 C6 83 0D 02 00 00 00 C6 83 15 02 00 00 01 C7 83 08 02 00 00 FF FF FF FF 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6011_0 {
	meta:
		name = "TQuery.Destroy"
		size = 95
		refs = "0009 TComponent.Destroying 001e TObject.Free 003f StrDispose 004b TBDEDataSet.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 C0 01 00 00 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B 86 10 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6014_0 {
	meta:
		name = "TQuery.Prepare"
		size = 33
		refs = "001a _NF__985"
	strings:
		$1 = { 53 56 8B D8 B1 01 BA 01 00 00 00 8B C3 8B 30 FF 96 C8 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6015_0 {
	meta:
		name = "TQuery.UnPrepare"
		size = 31
		refs = "0008 _NF__985"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 01 00 00 00 8B C3 8B 18 FF 93 C8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6016_0 {
	meta:
		name = "TQuery.SetDataSource"
		size = 106
		refs = "000f TQuery.SetDataSource 001e TDataSet.IsLinkedTo 002a SCircularDataLink 002f LoadResString 0037 DatabaseError 0044 TDataLink.SetDataSource 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6017_0 {
	meta:
		name = "TQuery.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 00 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6018_0 {
	meta:
		name = "TQuery.SetQuery"
		size = 200
		refs = "0013 TQuery.SetQuery 0041 @LStrCmp 005c TStrings.BeginUpdate 0095 TStrings.EndUpdate 009b @HandleFinally 00b7 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 80 F0 01 00 00 8B 08 FF 51 1C 8B 45 F8 50 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 55 F4 58 E8 ?? ?? ?? ?? 74 5A 8B 45 FC 8B 10 FF 92 C0 01 00 00 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F0 01 00 00 8B D3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6019_0 {
	meta:
		name = "_NF__97A"
		size = 337
		refs = "0015 _NF__97A 003c @LStrAsg 0062 StrDispose 0089 _DV_TParams 008e TParams.Create 00ad @LStrToPChar 00ba _NF__990 00cb TParams.AssignValues 00d9 TObject.Free 00f4 @HandleAnyException 0101 @DoneExcept 013e @LStrClr 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC 8B 80 F0 01 00 00 8B 08 FF 51 1C 8B 55 F4 8B 45 FC 05 FC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 01 0F 85 C6 00 00 00 8B 45 FC 8B 10 FF 92 C0 01 00 00 8B 45 FC 8B 80 10 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 10 02 00 00 8B 45 FC 80 B8 15 02 00 00 00 75 09 8B 45 FC F6 40 20 10 74 7F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 F8 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 F8 01 00 00 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 08 8B 45 FC 8B 18 FF 53 50 EB 1A 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B C8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6021_0 {
	meta:
		name = "TQuery.GetParamsCount"
		size = 16
		refs = "000a TParams.Count"
	strings:
		$1 = { 53 8B D8 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6022_0 {
	meta:
		name = "TQuery.DefineProperties"
		size = 68
		refs = "000b TComponent.DefineProperties 0011 _NF__983 0017 _NF__984 0026 TQuery.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 BB 10 02 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_6023_0 {
	meta:
		name = "_NF__983"
		size = 49
		refs = "000a TStream.GetSize 000f StrAlloc 0029 TStream.ReadBuffer"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB 10 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6024_0 {
	meta:
		name = "_NF__984"
		size = 35
		refs = "0010 StrBufSize 001b TStream.WriteBuffer"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 10 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6025_0 {
	meta:
		name = "_NF__985"
		size = 212
		refs = "000f _NF__985 0026 SDataSetOpen 002b LoadResString 0033 DatabaseError 005b @LStrLen 0069 @LStrToPChar 0072 _NF__99C 007c SEmptySQLStatement 009b TQuery.GetRowsAffected 00a8 _NF__986 00c3 @LStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 2C 01 00 00 00 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3A 9E F4 01 00 00 74 73 84 DB 74 4C C7 86 08 02 00 00 FF FF FF FF C6 86 16 02 00 00 01 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 48 7E 16 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 34 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 1D 80 BE 16 02 00 00 00 74 0D 8B C6 E8 ?? ?? ?? ?? 89 86 08 02 00 00 8B C6 E8 ?? ?? ?? ?? 88 9E F4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6026_0 {
	meta:
		name = "_NF__986"
		size = 37
		refs = "0014 DbiQFree 001f Check"
	strings:
		$1 = { 53 8B D8 83 BB EC 01 00 00 00 74 17 8D 83 EC 01 00 00 50 E8 ?? ?? ?? ?? F6 43 20 08 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6027_0 {
	meta:
		name = "_NF__987"
		size = 119
		refs = "0027 TFieldDefs.Update 0032 TParams.Count 0049 TParams.GetParam 005c TDataSet.FieldByName 0065 TParam.AssignField"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 83 00 02 00 00 8B 40 04 85 C0 74 5D 8B 40 24 89 04 24 83 3C 24 00 74 51 8B 04 24 8B 40 28 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 34 47 33 ED 8B D5 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B F0 80 7E 22 00 75 18 8B 56 1C 8B 04 24 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? C6 46 22 00 45 4F 75 CF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6028_0 {
	meta:
		name = "_NF__988"
		size = 119
		refs = "000c TDataSet.DisableControls 0014 _NF__988 0038 TDataSet.GetActive 004a TDataSet.Close 0052 TDataSet.Open 0067 TDataSet.EnableControls 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 00 02 00 00 8B 40 04 85 C0 74 28 8B 58 24 85 DB 74 21 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 80 7B 5D 04 74 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6030_0 {
	meta:
		name = "_NF__98C"
		size = 40
		refs = "0015 _NF__98C"
	strings:
		$1 = { 55 8B EC 8B 45 08 8A 40 FF 04 F8 3C 37 77 0A 83 E0 7F 0F A3 05 ?? ?? ?? ?? 0F 92 C0 5D C3 00 00 24 00 00 01 12 00 08 00 }
	condition:
		$1
}

rule function_6031_0 {
	meta:
		name = "_NF__98D"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 45 08 8A 40 FF 2C 22 74 08 2C 05 74 04 33 C0 5D C3 B0 01 5D C3 }
	condition:
		$1
}

rule function_6032_0 {
	meta:
		name = "_NF__98E"
		size = 90
		refs = "0026 StrMove 0031 StrLen"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 3A 18 75 1A 8B 45 08 0F B7 48 FA 49 8B 45 08 8B 50 FC 42 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 3A 5C 02 FF 75 16 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC C6 44 02 FF 00 5B 5D C3 }
	condition:
		$1
}

rule function_6033_0 {
	meta:
		name = "_NF__98F"
		size = 134
		refs = "000f StrLen 001d AllocMem 0027 @LStrClr 002f _NF__98F 003f StrCopy 0047 _NF__98E 005b StrPas 0074 @FreeMem 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 40 66 89 45 FA 0F B7 45 FA E8 ?? ?? ?? ?? 89 45 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 55 B0 27 E8 ?? ?? ?? ?? 59 55 B0 22 E8 ?? ?? ?? ?? 59 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B7 55 FA 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6034_0 {
	meta:
		name = "_NF__990"
		size = 342
		refs = "0018 _NF__990 0059 _NF__98D 007c _NF__98C 0096 _NF__98F 00a2 @LStrLAsg 00b3 StrPas 00c8 TParams.CreateParam 00d8 StrLen 00e4 StrMove 0143 @LStrArrayClr 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F1 33 DB C6 45 F7 00 8A 06 88 45 FF 80 7D FF 3A 0F 85 B3 00 00 00 84 DB 0F 85 AB 00 00 00 8D 46 01 80 38 3A 0F 84 9F 00 00 00 8B FE EB 1F 46 8A 06 88 45 FF 55 E8 ?? ?? ?? ?? 59 84 C0 74 0E 80 F3 01 8D 47 01 3B F0 75 04 C6 45 F7 01 80 7D FF 00 74 0F 84 DB 75 D7 55 E8 ?? ?? ?? ?? 59 84 C0 74 CC C6 06 00 80 7D F7 00 74 1E 55 8D 55 EC 8D 47 01 E8 ?? ?? ?? ?? 59 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? C6 45 F7 00 EB 0B 8D 55 F0 8D 47 01 E8 ?? ?? ?? ?? 83 7D F8 00 74 0F 6A 00 8B 4D F0 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8A 45 FF 88 06 C6 07 3F 47 8B C6 E8 ?? ?? ?? ?? 8B C8 41 8B D6 8B C7 E8 ?? ?? ?? ?? 8B F7 EB 36 80 7D FF 3A 75 22 84 DB 75 1E 8D 46 01 80 38 3A 75 16 8B C6 E8 ?? ?? ?? ?? 8B C8 41 8D 56 01 8B C6 E8 ?? ?? ?? ?? EB 0E 55 E8 ?? ?? ?? ?? 59 84 C0 74 03 80 F3 01 46 80 7D FF 00 0F 85 FD FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6035_0 {
	meta:
		name = "_NF__991"
		size = 153
		refs = "0010 _NF__991 002e _NF__985 0041 _NF__987 004a _NF__996 0056 SEmptySQLStatement 005b LoadResString 0063 DatabaseError 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 F0 01 00 00 8B 10 FF 52 14 85 C0 7E 29 B2 01 8B C7 E8 ?? ?? ?? ?? 8B 87 00 02 00 00 83 78 04 00 74 07 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 F6 85 F6 0F 94 C0 88 87 16 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6037_0 {
	meta:
		name = "TQuery.ExecSQL"
		size = 101
		refs = "0026 TQuery.ExecSQL 0036 _NF__991 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 10 FF 52 3C B1 01 BA 02 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 02 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 59 5D C3 }
	condition:
		$1
}

rule function_6038_0 {
	meta:
		name = "_NF__996"
		size = 67
		refs = "001b TParams.Count 0026 _NF__997 0033 DbiQExec 0038 Check"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 84 D2 74 04 8B F4 EB 02 33 F6 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 07 8B C3 E8 ?? ?? ?? ?? 56 8B 83 EC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6039_0 {
	meta:
		name = "_NF__997"
		size = 685
		refs = "0015 _NF__997 0029 TParams.Count 0031 AllocMem 0067 DbiGetProp 006f StrLen 0080 OsLdLoadBySymbName 00b7 TParams.GetParam 00bc TParam.RecBufDataSize 0138 FldTypeMap 014d SNoParameterValue 0152 LoadResString 016b DatabaseErrorFmt 0189 TParam.RecBufGetData 01c0 @VarToLStr 01c8 @LStrLen 01df FldSubTypeMap 0222 DbiQSetParams 0227 Check 0240 @FreeMem 0246 @HandleFinally 027d OsLdUnloadObj 029a @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 D2 89 55 B8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 6B C0 3E E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 89 45 F4 66 C7 45 FA 02 00 C6 45 BC 00 33 C0 89 45 E0 8D 45 FA 50 6A 20 8D 45 BC 50 68 04 00 06 00 8B 45 FC 8B 80 EC 01 00 00 50 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 45 E0 50 8D 45 BC 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 48 85 C0 7C 25 40 89 45 DC 33 FF 8B 45 FC 8B 80 F8 01 00 00 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 01 45 FA 47 FF 4D DC 75 E1 0F B7 45 FA E8 ?? ?? ?? ?? 89 45 EC 0F B7 45 FA 03 45 EC 83 E8 02 89 45 E4 8B 45 E4 66 C7 00 FF FF 8B 45 EC 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 48 85 C0 0F 8C EA 00 00 00 40 89 45 DC 33 FF 8B 5D F4 8B 45 FC 8B 80 F8 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B F0 33 C0 8A 46 20 8B 15 ?? ?? ?? ?? 0F B6 04 02 66 89 43 22 66 85 C0 75 26 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 50 8B 46 1C 89 45 B0 C6 45 B4 0B 8D 55 B0 33 C9 58 E8 ?? ?? ?? ?? 8B C7 40 66 89 03 8B C6 E8 ?? ?? ?? ?? 66 89 43 2C 8B 4D E0 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 66 8B 55 E8 66 8B 45 EC 66 2B D0 66 89 53 2A 80 7E 21 00 74 0D 66 8B 55 E4 66 2B D0 66 89 53 2E EB 3C 66 8B 43 22 66 83 F8 01 75 19 8D 45 B8 8D 56 08 E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 66 89 43 26 EB 19 66 83 F8 03 75 13 33 C0 8A 46 20 8B 15 ?? ?? ?? ?? 66 8B 04 42 66 89 43 24 0F B7 43 2C 01 45 E8 83 45 F4 3E 47 FF 4D DC 0F 85 1C FF FF FF 8B 45 EC 50 8B 45 F0 50 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 EC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B7 55 FA 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 6B D0 3E 8B 45 F0 E8 ?? ?? ?? ?? 83 7D E0 00 74 09 8D 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6040_0 {
	meta:
		name = "TQuery.SetDBFlag"
		size = 192
		refs = "0012 TQuery.SetDBFlag 0028 TDBDataSet.SetDBFlag 005d @SetExpand 007b @SetEq 0086 _NF__985"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B D9 8B FA 8B F0 84 DB 74 3D 66 A1 ?? ?? ?? ?? 66 3B 86 DC 01 00 00 0F 94 04 24 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? F6 46 20 02 0F 95 C0 34 01 22 04 24 74 5B 8B 86 E0 01 00 00 8A 40 30 34 01 88 86 04 02 00 00 EB 48 8D 86 DC 01 00 00 8D 54 24 04 B9 00 02 00 00 E8 ?? ?? ?? ?? 8B C7 3D FF 00 00 00 77 05 0F B3 44 24 04 8D 44 24 04 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6041_0 {
	meta:
		name = "_NF__99C"
		size = 52
		refs = "0006 _NF__99E 0029 DbiSetProp 002e Check"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 04 02 00 00 00 75 1F 33 C0 8A 83 0C 02 00 00 50 68 10 00 06 00 8B 83 EC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6042_0 {
	meta:
		name = "_NF__99E"
		size = 321
		refs = "0019 TDBDataSet.GetDBHandle 001f DbiQAlloc 0024 Check 002c _NF__99E 0046 TBDEDataSet.ForceUpdateCallback 005a _NV__99D 006f DbiSetProp 00f9 DbiQPrepare 0103 TDBDataSet.CheckOpen 0116 @HandleAnyException 0124 DbiQFree 0134 @RaiseAgain 0139 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 05 EC 01 00 00 50 6A 02 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 0D 02 00 00 00 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 50 68 21 00 06 00 8B 45 FC 8B 80 EC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 04 02 00 00 00 74 69 6A 00 68 26 00 06 00 8B 45 FC 8B 80 EC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 0D 02 00 00 00 74 27 8B 45 FC 80 B8 14 02 00 00 00 74 1B 6A 01 68 31 00 06 00 8B 45 FC 8B 80 EC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 68 42 00 06 00 8B 45 FC 8B 80 EC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 8B 45 FC 8B 80 EC 01 00 00 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 E2 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? 8B 45 FC 05 EC 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 EC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_6043_0 {
	meta:
		name = "TQuery.GetRowsAffected"
		size = 74
		refs = "0028 DbiGetProp"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 BB F4 01 00 00 00 74 2B 8D 44 24 04 50 6A 04 8D 44 24 08 50 68 14 00 06 00 8B 83 EC 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 12 C7 04 24 FF FF FF FF EB 09 8B 83 08 02 00 00 89 04 24 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_6044_0 {
	meta:
		name = "TUpdateSQL.Create"
		size = 100
		refs = "000f @ClassCreate 001d TComponent.Create 0026 _Dn_TStringList 002b TObject.Create 0042 TUpdateSQL.SQLChanged"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 DB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 83 E7 7F 89 44 BE 34 8B 44 BE 34 89 70 20 C7 40 1C ?? ?? ?? ?? 43 80 FB 03 75 D7 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6045_0 {
	meta:
		name = "TUpdateSQL.Destroy"
		size = 83
		refs = "001a TBDEDataSet.SetUpdateObject 0029 TObject.Free 003c TComponent.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8B 46 24 85 C0 74 0F 3B B0 C8 01 00 00 75 07 33 D2 E8 ?? ?? ?? ?? 33 DB 33 C0 8A C3 8B 44 86 34 E8 ?? ?? ?? ?? 43 80 FB 03 75 ED 8A 14 24 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6046_0 {
	meta:
		name = "TUpdateSQL.ExecSQL"
		size = 105
		refs = "000a TUpdateSQL.ExecSQL 0015 TUpdateSQL.GetQuery 001e TQuery.Prepare 0025 TQuery.ExecSQL 002c TQuery.GetRowsAffected 0037 SUpdateFailed 003c LoadResString 0044 DatabaseError 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6047_0 {
	meta:
		name = "TUpdateSQL.GetQuery"
		size = 123
		refs = "0019 _DV_TQuery 001e TQuery.Create 0044 _DV_TDBDataSet 0049 @IsClass 005c TDBDataSet.SetSessionName 006e TDBDataSet.SetDatabaseName"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B FB 83 E7 7F 83 7C BE 28 00 75 5E 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 BE 28 8B 54 BE 34 33 C0 8A C3 8B 44 86 28 8B 80 F0 01 00 00 8B 08 FF 51 08 8B 6E 24 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B 95 E8 01 00 00 8B 44 BE 28 E8 ?? ?? ?? ?? 8B 46 24 8B 90 E4 01 00 00 8B 44 BE 28 E8 ?? ?? ?? ?? 8B 44 BE 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6048_0 {
	meta:
		name = "TUpdateSQL.GetSQL"
		size = 8
		altNames = "TUpdateSQL.GetSQLIndex"
	strings:
		$1 = { 83 E2 7F 8B 44 90 34 C3 }
	condition:
		$1
}

rule function_6051_0 {
	meta:
		name = "TTeeFunction.InternalSetPeriod"
		size = 4
		altNames = "TUpdateSQL.SetDataSet"
	strings:
		$1 = { 89 50 24 C3 }
	condition:
		$1
}

rule function_6052_0 {
	meta:
		name = "TUpdateSQL.SetSQL"
		size = 20
	strings:
		$1 = { 56 8B F0 33 C0 8A C2 8B 44 86 34 8B D1 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_6054_0 {
	meta:
		name = "TUpdateSQL.SQLChanged"
		size = 75
		refs = "0028 TParams.Clear"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B FB 83 E7 7F 3B 54 BE 34 75 2F 83 7C BE 28 00 74 2E 33 C0 8A C3 8B 44 86 28 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 8B 54 BE 34 8B 44 BE 28 8B 80 F0 01 00 00 8B 08 FF 51 08 EB 06 43 80 FB 03 75 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6055_0 {
	meta:
		name = "TUpdateSQL.SetParams"
		size = 336
		refs = "0019 TUpdateSQL.SetParams 0034 TUpdateSQL.GetQuery 0045 TParams.Count 006b TParams.GetParam 0078 @LStrLAsg 008e @LStrCopy 009b CompareText 00b6 @LStrDelete 00c4 TDataSet.FindField 00d8 TField.GetOldValue 00e4 TParam.AssignFieldValue 00f0 TField.GetNewValue 011d @VarClr 0125 @LStrClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 24 00 0F 84 DC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 48 85 C0 0F 8C BA 00 00 00 40 89 45 EC C7 45 F8 00 00 00 00 8B 45 F0 8B 80 F8 01 00 00 66 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 8D 45 F4 8B 56 1C E8 ?? ?? ?? ?? 8D 45 E8 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 12 8D 45 F4 B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 85 FF 74 32 84 DB 74 18 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 8D 4D D8 8B D7 8B C6 E8 ?? ?? ?? ?? EB 16 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 8D 4D D8 8B D7 8B C6 E8 ?? ?? ?? ?? FF 45 F8 FF 4D EC 0F 85 51 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 04 00 00 00 4F 4C 44 5F 00 00 00 00 }
	condition:
		$1
}

rule function_6056_0 {
	meta:
		name = "TUpdateSQL.Apply"
		size = 27
		refs = "000b TUpdateSQL.SetParams 0014 TUpdateSQL.ExecSQL"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7536_0 {
	meta:
		name = "TGanttSeries.PrepareForGallery"
		size = 27
		refs = "000b TChartSeries.PrepareForGallery 0014 TChartSeries.SetColorEachPoint"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6057_0 {
	meta:
		name = "TBlobStream.Create"
		size = 480
		refs = "0019 @ClassCreate 0029 TBlobStream.Create 0040 _DV_TBDEDataSet 0045 @AsClass 005c _NF__645 0078 TField.GetDisplayName 008e SNoFieldAccess 0093 LoadResString 009e DatabaseErrorFmt 00a6 TBlobField.GetModified 00c5 TDataSet.ActiveBuffer 00e8 _NF__653 010e _NF__654 0138 SFieldReadOnly 015c SNotEditing 0169 DatabaseError 018a DbiOpenBlob 018f Check 019f TBlobStream.Truncate 01b9 @LStrArrayClr 01bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 88 5E 10 8B F9 89 7E 04 8B 47 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B 46 04 8B 40 38 89 46 14 8D 56 0C 8B 46 08 E8 ?? ?? ?? ?? 84 C0 0F 84 3B 01 00 00 8B 46 08 80 78 5D 06 75 31 8D 55 F0 8B 46 04 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 84 C0 0F 85 E1 00 00 00 84 DB 75 4C 8B 7E 08 80 BF 75 01 00 00 00 74 30 8B C7 E8 ?? ?? ?? ?? 3B 46 0C 75 24 8B 46 04 8B 10 FF 52 5C 84 C0 75 1C 8D 45 F0 50 8B 4E 0C 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 83 7D F0 00 75 04 33 C0 EB 02 B0 01 88 46 24 BF 01 00 00 00 EB 6D 6A 00 8B 4E 0C 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 8B 46 04 80 78 2D 00 74 31 8D 55 F0 8B 46 04 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 46 08 8A 40 5D 04 FE 2C 02 72 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 FF 80 7E 24 00 75 1E 57 66 8B 46 14 50 8B 46 0C 50 8B 46 08 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 18 01 80 FB 01 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6058_0 {
	meta:
		name = "TBlobStream.Destroy"
		size = 204
		refs = "002a TBlobField.SetModified 0035 TBlobField.GetModified 0063 DbiFreeBlob 0074 TBlobStream.Destroy 009c @HandleAnyException 00a1 Application 00ab TApplication.HandleException 00b0 @DoneExcept 00be @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FB 89 45 FC 8B 45 FC 80 78 18 00 74 4F 8B 45 FC 80 78 19 00 74 0D 8B 45 FC 8B 40 04 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 2A 8B 45 FC 80 78 24 00 75 21 8B 45 FC 66 8B 40 14 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 08 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 80 78 19 00 74 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 04 8B 45 FC 8B 40 08 33 D2 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6059_0 {
	meta:
		name = "TBlobStream.Read"
		size = 476
		refs = "0018 TBlobStream.Read 003a TStream.GetSize 006f _NF__653 0077 @LStrToPChar 0087 Move 00b7 DbiGetBlob 00fa NativeToAnsiBuf 0111 TDataSet.ActiveBuffer 012c TBlobField.GetModified 014a @LStrSetLength 0181 _NF__654 0189 @LStrClr 01a5 DbiFreeBlob 01b2 DbiError 01cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 80 7B 18 00 0F 84 85 01 00 00 80 7B 24 00 74 5F 8B C3 E8 ?? ?? ?? ?? 2B 43 1C 3B F0 7E 0F 8B C3 E8 ?? ?? ?? ?? 2B 43 1C 89 45 F8 EB 03 89 75 F8 83 7D F8 00 0F 8E 55 01 00 00 8D 45 F4 50 8B 4B 0C 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 53 1C 03 C2 8B 55 FC 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 01 43 1C E9 20 01 00 00 8D 45 F8 50 8B 45 FC 50 56 8B 43 1C 50 66 8B 43 14 50 8B 43 0C 50 8B 43 08 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 8B D0 66 83 EA 01 72 17 66 81 EA 06 22 74 10 66 81 EA 07 05 0F 84 E1 00 00 00 E9 D7 00 00 00 8B 43 04 80 B8 C4 00 00 00 00 74 18 8B 45 F8 50 8B 4D FC 8B 55 FC 8B 43 08 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 8B 73 08 80 BE 75 01 00 00 00 0F 84 9B 00 00 00 8B C6 E8 ?? ?? ?? ?? 3B 43 0C 0F 85 8B 00 00 00 80 7B 10 00 0F 85 81 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 84 C0 75 75 8B 43 1C 3B 43 28 75 6D 8B 43 1C 03 45 F8 89 43 28 8D 53 20 92 E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 8B 53 1C 8D 14 10 8B 45 FC 8B 4D F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 43 28 75 36 8B 43 20 50 8B 4B 0C 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8D 43 20 E8 ?? ?? ?? ?? C6 43 24 01 66 8B 43 14 50 8B 43 0C 50 8B 43 08 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 F8 01 43 1C EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6060_0 {
	meta:
		name = "TBlobStream.Write"
		size = 288
		refs = "0036 @GetMem 0041 TBlobStream.Write 0061 AnsiToNativeBuf 0091 DbiPutBlob 0096 Check 00ae @FreeMem 00b4 @HandleFinally 0114 _NF__654"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 8B F2 89 45 FC 33 DB 8B 45 FC 80 78 18 00 0F 84 F9 00 00 00 8B 45 FC 8B 40 04 80 B8 C4 00 00 00 00 0F 84 88 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B D6 8B 45 FC 8B 40 08 8B 80 40 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 45 FC 8B 40 1C 50 8B 45 FC 66 8B 40 14 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 08 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 56 8B 45 F8 50 8B 45 FC 8B 40 1C 50 8B 45 FC 66 8B 40 14 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 08 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 01 50 1C 8B 5D F8 8B 45 FC C6 40 19 01 6A 00 8B 45 FC 8B 48 0C 8B 45 FC 8B 50 04 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6061_0 {
	meta:
		name = "TBlobStream.Seek"
		size = 49
		refs = "0022 _NF__9E0"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 E9 01 72 09 74 0C 66 FF C9 74 0C EB 16 89 73 1C EB 11 01 73 1C EB 0C 8B C3 E8 ?? ?? ?? ?? 03 F0 89 73 1C 8B 43 1C 5E 5B C3 }
	condition:
		$1
}

rule function_6062_0 {
	meta:
		name = "TBlobStream.Truncate"
		size = 64
		refs = "0021 DbiTruncateBlob 0026 Check 003a _NF__654"
	strings:
		$1 = { 53 8B D8 80 7B 18 00 74 35 8B 43 1C 50 66 8B 43 14 50 8B 43 0C 50 8B 43 08 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 19 01 6A 00 8B 4B 0C 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6063_0 {
	meta:
		name = "_NF__9E0"
		size = 146
		refs = "0012 _NF__9E0 003b _NF__653 0043 @LStrLen 0064 DbiGetBlobSize 0069 Check 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 80 7B 18 00 74 46 80 7B 24 00 74 1F 8D 45 F8 50 8B 4B 0C 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC EB 21 8D 45 FC 50 66 8B 43 14 50 8B 43 0C 50 8B 43 08 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6064_0 {
	meta:
		name = "Finalization"
		size = 99
		refs = "0007 Finalization 0013 _NV__45F 001a Sessions 001f TObject.Free 0024 _NV__463 002e _NF__46A 0033 CoUninitialize 0038 _NV__7CD 0043 String 0048 @FinalizeArray 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 33 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6065_0 {
	meta:
		name = "DBTables"
		size = 84
		refs = "0002 _NV__45F 000c CoInitialize 0013 _DV_TSessionList 0018 TSessionList.Create 001d Sessions 0026 _DV_TSession 002b TSession.Create 0030 Session 0035 DBTables 003f TSession.SetSessionName"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 3A 6A 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 FF FF FF FF 07 00 00 00 44 65 66 61 75 6C 74 00 }
	condition:
		$1
}

rule function_6069_0 {
	meta:
		name = "TDSTableProducerEditor.Create"
		size = 58
		refs = "000b @ClassCreate 001a TObject.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 89 47 04 89 78 38 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6070_0 {
	meta:
		name = "TDSTableProducerEditor.Destroy"
		size = 46
		refs = "001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 85 C0 74 05 33 D2 89 50 38 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6073_0 {
	meta:
		name = "TDSTableProducerEditor.GetDataSource"
		size = 18
		refs = "000a TDSTableProducer.GetDataSource"
	strings:
		$1 = { 8B 50 04 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_6074_0 {
	meta:
		name = "TDSTableProducerEditor.SetDataSource"
		size = 15
		refs = "000a TDSTableProducer.SetDataSource"
	strings:
		$1 = { 8B 48 04 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6075_0 {
	meta:
		name = "THTMLTableColumn.Create"
		size = 193
		refs = "000f @ClassCreate 0028 _DV_THTMLTableColumns 002d @IsClass 0045 TDSTableProducer.BeginLayout 004d THTMLTableColumn.Create 005f TCollectionItem.Create 0068 _Dn_THTMLTableHeaderAttributes 006d THTMLTagAttributes.Create 0082 _NF__101 009d TDSTableProducer.EndLayout 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 89 45 F4 85 DB 74 17 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 43 18 89 45 F4 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 24 8B 45 FC 89 43 10 C7 43 0C ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 80 7D FB 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6077_0 {
	meta:
		name = "THTMLTableColumn.AssignTo"
		size = 179
		refs = "000f _DV_THTMLTableColumn 0014 @IsClass 002b TCollection.BeginUpdate 0033 THTMLTableColumn.AssignTo 0048 THTMLTableColumn.SetFieldName 0055 THTMLTableColumn.SetAlign 0062 THTMLTableColumn.SetBgColor 006f THTMLTableColumn.SetVAlign 007c THTMLTableColumn.SetTitle 0098 TCollection.EndUpdate 009e @HandleFinally 00aa TPersistent.AssignTo"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 8B 45 FC 8B 40 04 85 C0 74 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 10 8B F3 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8A 50 14 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 18 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8A 50 20 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 24 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6078_0 {
	meta:
		name = "THTMLTableColumn.GetField"
		size = 93
		refs = "0007 THTMLTableColumn.GeTDSTableProducer 0021 TDataLink.GetDataSet 0036 TDataSet.GetActive 004a TDataSet.FindField 0053 THTMLTableColumn.SetField"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7B 0C 00 75 44 83 7B 10 00 74 3E 85 F6 74 3A 8B 46 30 E8 ?? ?? ?? ?? 85 C0 74 2E 8B 46 30 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 80 7E 69 00 75 13 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_6081_0 {
	meta:
		name = "THTMLTableColumn.GetDisplayName"
		size = 37
		refs = "0012 @LStrLAsg 001e TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 74 0D 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6082_0 {
	meta:
		name = "THTMLTableColumn.RestoreDefaults"
		size = 37
		refs = "000b @LStrClr"
	strings:
		$1 = { 53 8B D8 C6 43 14 00 8D 43 18 E8 ?? ?? ?? ?? 8D 43 1C E8 ?? ?? ?? ?? C6 43 20 00 8B 43 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_6084_0 {
	meta:
		name = "THTMLTableColumn.SetBgColor"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 18 E8 ?? ?? ?? ?? 74 13 8D 43 18 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6085_0 {
	meta:
		name = "THTMLTableColumn.SetCustom"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 1C E8 ?? ?? ?? ?? 74 13 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6087_0 {
	meta:
		name = "THTMLTableColumn.SetFieldName"
		size = 95
		refs = "000d THTMLTableColumn.GeTDSTableProducer 001b TDataLink.GetDataSet 0038 TDataSet.FindField 0044 @LStrAsg 004d THTMLTableColumn.SetField 0056 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 33 ED 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 27 8B 46 30 E8 ?? ?? ?? ?? 85 C0 74 1B F6 46 20 01 75 15 85 FF 74 11 8B 46 30 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B E8 8D 43 10 8B D7 E8 ?? ?? ?? ?? 8B D5 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6088_0 {
	meta:
		name = "TCustomChartLegend.SetFrame"
		size = 9
		altNames = "THTMLTableColumn.SetTitle"
	strings:
		$1 = { 8B 40 24 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_6089_0 {
	meta:
		name = "THTMLTableColumn.SetVAlign"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 20 74 0A 88 50 20 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6097_0 {
	meta:
		name = "THTMLTableColumns.RestoreDefaults"
		size = 102
		refs = "000d TCollection.BeginUpdate 0015 THTMLTableColumns.RestoreDefaults 0023 TCollection.GetCount 0037 THTMLTableColumns.GetColumn 003c THTMLTableColumn.RestoreDefaults 0055 TCollection.EndUpdate 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6098_0 {
	meta:
		name = "THTMLTableColumns.RebuildColumns"
		size = 227
		refs = "000e TCollection.Clear 0023 TDSTableProducer.GetDataSource 004b TDSTableProducer.BeginLayout 0053 THTMLTableColumns.RebuildColumns 006e TDataSet.GetFieldCount 0081 TDataSet.GetField 008a THTMLTableColumns.Add 0090 THTMLTableColumn.SetField 00ac TDSTableProducer.EndLayout 00b2 @HandleFinally 00bc TCollection.GetCount 00d0 THTMLTableColumns.GetColumn 00d5 THTMLTableColumn.Update"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 58 18 85 DB 0F 84 BD 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 AE 00 00 00 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 83 78 24 00 0F 84 99 00 00 00 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 78 24 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6101_0 {
	meta:
		name = "THTMLTableColumns.GetAttrCount"
		size = 6
	strings:
		$1 = { B8 02 00 00 00 C3 }
	condition:
		$1
}

rule function_6102_0 {
	meta:
		name = "THTMLTableColumns.GetAttr"
		size = 49
		refs = "000f sFieldNameColumn 0014 LoadResString 001d sFieldTypeColumn 002b @LStrClr"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6103_0 {
	meta:
		name = "THTMLTableColumns.GetItemAttr"
		size = 136
		refs = "0022 THTMLTableColumns.GetColumn 003e THTMLTableColumn.GetField 005d TObject.ClassName 006a @LStrFromString 0073 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 89 4D FC 8B D8 8B 75 08 83 EA 01 72 04 74 15 EB 5D 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 0C EB 51 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 23 8B C3 E8 ?? ?? ?? ?? 8B 00 8D 95 FC FE FF FF E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6105_0 {
	meta:
		name = "THTMLTableColumns.Update"
		size = 43
		refs = "0015 TDSTableProducer.LayoutChanged"
	strings:
		$1 = { 56 8B 70 18 85 F6 74 21 F6 46 20 01 75 1B 85 D2 75 09 8B C6 E8 ?? ?? ?? ?? EB 0E 8B 56 38 85 D2 74 07 8B C2 8B 10 FF 52 04 5E C3 }
	condition:
		$1
}

rule function_6108_0 {
	meta:
		name = "THTTPDataLink.GetDefaultFields"
		size = 70
		refs = "0009 TDataLink.GetDataSet"
	strings:
		$1 = { 53 56 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0A 8B C6 E8 ?? ?? ?? ?? 8A 58 69 84 DB 74 22 80 7E 2D 00 74 1C 8B 46 20 48 85 C0 7C 14 40 33 D2 8B 4E 28 83 3C 91 00 7D 04 33 DB EB 04 42 48 75 EF 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_6110_0 {
	meta:
		name = "THTTPDataLink.AddMapping"
		size = 254
		refs = "0016 THTTPDataLink.AddMapping 0031 sTooManyColumns 0036 LoadResString 003e _NF__C7 004b TDataLink.GetDataSet 0052 TDataSet.FindField 0064 TDataSet.FieldByName 00a0 @ReallocMem 00ae TField.GetIndex 00c1 TComponent.FreeNotification 00e8 @LStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 81 7B 20 FF FF FF 0F 7C 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 80 7B 2D 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 EB 10 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 53 24 8B 43 20 3B D0 75 33 8B F2 85 F6 75 07 BE 08 00 00 00 EB 02 03 F6 3B C6 7E 03 8B F0 46 81 FE FF FF FF 0F 7E 05 BE FF FF FF 0F 8B D6 C1 E2 02 8D 43 28 E8 ?? ?? ?? ?? 89 73 24 85 FF 74 1C 8B C7 E8 ?? ?? ?? ?? 8B 53 28 8B 4B 20 89 04 8A 8B 53 1C 8B C7 E8 ?? ?? ?? ?? EB 0D 8B 43 28 8B 53 20 C7 04 90 FF FF FF FF FF 43 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6111_0 {
	meta:
		name = "THTTPDataLink.ActiveChanged"
		size = 12
		refs = "0007 TDSTableProducer.LinkActive"
	strings:
		$1 = { 8A 50 15 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10568_0 {
	meta:
		name = "TMultiDimDataLink.ActiveChanged"
		size = 12
		refs = "0007 TCustomDataStore.SetActive"
	strings:
		$1 = { 8A 50 15 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6123_0 {
	meta:
		name = "TDSTableProducer.Create"
		size = 217
		refs = "000e @ClassCreate 001c TComponent.Create 0023 _Dn_TStringList 0028 TObject.Create 0043 _DV_THTTPDataLink 0048 THTTPDataLink.Create 0054 _Dn_TDataSource 0059 TDataSource.Create 0061 _DV_THTMLTableColumn 006b _DV_THTMLTableColumns 0070 THTMLTableColumns.Create 007c _Dn_THTMLTableRowAttributes 0081 THTMLTagAttributes.Create 0090 _NF__162 0099 _Dn_THTMLTableAttributes 009e THTMLTableAttributes.Create 00be TDSTableProducer.SetDataSource"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 58 89 5E 10 C7 46 0C ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 5C 89 5E 10 C7 46 0C ?? ?? ?? ?? C7 43 48 14 00 00 00 8B 53 34 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6124_0 {
	meta:
		name = "TDSTableProducer.Destroy"
		size = 121
		refs = "0009 TDSTableProducer.BeginUpdate 0012 TDSTableProducer.SetDataSource 001a TObject.Free 0065 TComponent.Destroy 0070 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 33 C0 89 46 3C 8B 46 30 E8 ?? ?? ?? ?? 33 C0 89 46 30 8B 46 34 E8 ?? ?? ?? ?? 33 C0 89 46 34 8B 46 58 E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6125_0 {
	meta:
		name = "TDSTableProducer.AcquireLayoutLock"
		size = 32
		refs = "0018 TDSTableProducer.BeginLayout"
	strings:
		$1 = { 53 83 78 50 00 75 06 83 78 54 00 74 04 33 DB EB 02 B3 01 84 DB 74 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_6127_0 {
	meta:
		name = "TDSTableProducer.BeginLayout"
		size = 29
		refs = "0006 TDSTableProducer.BeginUpdate 0014 TCollection.BeginUpdate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 50 00 75 08 8B 43 3C E8 ?? ?? ?? ?? FF 43 50 5B C3 }
	condition:
		$1
}

rule function_6128_0 {
	meta:
		name = "TDSTableProducer.BeginUpdate"
		size = 4
	strings:
		$1 = { FF 40 54 C3 }
	condition:
		$1
}

rule function_6129_0 {
	meta:
		name = "_NF__167"
		size = 25
	strings:
		$1 = { 83 78 54 00 75 0E 83 78 38 00 74 08 8B 40 38 8B 10 FF 12 C3 C6 40 4C 01 C3 }
	condition:
		$1
}

rule function_6130_0 {
	meta:
		name = "TDSTableProducer.DefineFieldMap"
		size = 130
		refs = "000a THTMLTableColumns.GetState 001d TCollection.GetCount 0031 THTMLTableColumns.GetColumn 003c THTTPDataLink.AddMapping 004e TDataLink.GetDataSet 0057 TDataSet.GetFieldCount 006a TDataSet.GetField"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 46 3C E8 ?? ?? ?? ?? 3C 01 75 34 8B 46 30 C6 40 2D 01 8B 46 3C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 55 43 33 FF 8B D7 8B 46 3C E8 ?? ?? ?? ?? 8B 50 10 8B 46 30 E8 ?? ?? ?? ?? 47 4B 75 E7 EB 37 8B 46 30 C6 40 2D 00 E8 ?? ?? ?? ?? 8B E8 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1B 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 50 28 8B 46 30 E8 ?? ?? ?? ?? 47 4B 75 E8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6131_0 {
	meta:
		name = "TDSTableProducer.DoCreateContent"
		size = 31
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 78 62 00 74 0C 8B CC 8B D8 8B D0 8B 43 64 FF 53 60 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_6132_0 {
	meta:
		name = "TDSTableProducer.DoFormatCell"
		size = 49
	strings:
		$1 = { 55 8B EC 53 66 83 78 6A 00 74 21 51 8B 4D 18 51 8B 4D 14 51 8B 4D 10 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 6C FF 53 68 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_6133_0 {
	meta:
		name = "TDSTableProducer.DoGetCaption"
		size = 46
		refs = "000f @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 8B 53 28 E8 ?? ?? ?? ?? 8A 43 2C 88 07 66 83 7B 72 00 74 0B 57 8B CE 8B D3 8B 43 74 FF 53 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6134_0 {
	meta:
		name = "TDSTableProducer.EndLayout"
		size = 135
		refs = "0015 TDSTableProducer.EndLayout 0034 _NF__180 0055 TCollection.EndUpdate 005b @HandleFinally 0078 TDSTableProducer.EndUpdate"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 50 85 C0 7E 73 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 48 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 78 50 01 75 0B 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 48 50 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 59 5D C3 }
	condition:
		$1
}

rule function_6135_0 {
	meta:
		name = "TDSTableProducer.EndUpdate"
		size = 67
	strings:
		$1 = { 53 8B D8 83 7B 54 01 75 2F 83 7B 38 00 74 29 80 7B 4C 00 75 18 8B 53 34 83 7A 24 00 74 0F 8B 43 34 83 78 24 00 74 11 80 78 2E 00 75 0B C6 43 4C 00 8B 43 38 8B 10 FF 12 83 7B 54 00 7E 03 FF 4B 54 5B C3 }
	condition:
		$1
}

rule function_6136_0 {
	meta:
		name = "TDSTableProducer.GetDataSource"
		size = 7
	strings:
		$1 = { 8B 40 30 8B 40 04 C3 }
	condition:
		$1
}

rule function_6137_0 {
	meta:
		name = "_NF__17F"
		size = 76
		refs = "0031 THTTPDataLink.GetFields"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 C6 45 FF 00 85 FF 74 32 8B 45 08 8B 40 FC 8B 40 30 8B 58 20 4B 85 DB 7C 21 43 33 F6 8B 45 08 8B 40 FC 8B 40 30 8B D6 E8 ?? ?? ?? ?? 3B F8 75 06 C6 45 FF 01 EB 04 46 4B 75 E2 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6138_0 {
	meta:
		name = "_NF__180"
		size = 559
		refs = "0022 TCollection.GetCount 0039 THTMLTableColumns.GetColumn 003f _NV__104 0044 @IsClass 008a TObject.Free 00a1 THTTPDataLink.ClearMapping 00b5 TDSTableProducer.DefineFieldMap 00c0 THTMLTableColumns.GetState 00db THTTPDataLink.GetDefaultFields 00ea TCollection.Clear 0115 THTMLTableColumn.GetField 0126 _NF__17F 015c THTTPDataLink.GetFields 01c2 _NF__106 01ce THTMLTableColumn.SetField"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC F6 40 20 01 0F 85 0F 02 00 00 33 DB 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 6D 46 33 FF 8B 45 FC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 46 84 DB 74 42 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 33 8B 45 FC 8B 40 3C 8B D3 E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D3 EB 04 47 4E 75 96 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 80 78 15 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 84 C0 0F 85 2F 01 00 00 8B 45 FC 8B 58 30 80 7B 15 00 75 18 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? EB 4C 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 39 8B 45 FC 8B 40 3C 8B D3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 12 55 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 C7 8B 45 FC 8B 40 30 8B 78 20 8B F7 4E 85 F6 0F 8C D8 00 00 00 46 33 DB 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 6B 8B FB EB 01 47 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 3B F8 7D 17 8B 45 FC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F8 75 D9 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 3B F8 7D 11 8B 45 FC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B F8 EB 34 8B 45 FC 8B 48 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B C7 E8 ?? ?? ?? ?? EB 14 8B 45 FC 8B 48 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D3 8B C7 8B 08 FF 51 10 43 4E 0F 85 5A FF FF FF EB 2D 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1B 46 33 FF 8B 45 FC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 47 4E 75 E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6141_0 {
	meta:
		name = "TDSTableProducer.Notification"
		size = 220
		refs = "0018 TCustomContentProducer.Notification 0036 TDSTableProducer.GetDataSource 0044 TDSTableProducer.SetDataSource 0051 _Dn_TField 0056 @IsClass 0062 TDSTableProducer.BeginLayout 006a TDSTableProducer.Notification 007b TCollection.GetCount 0098 THTMLTableColumns.GetColumn 00a1 THTMLTableColumn.GetField 00ae THTMLTableColumn.SetField 00c9 TDSTableProducer.EndLayout 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B F2 89 45 FC 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 80 FB 01 0F 85 B0 00 00 00 8B 45 FC 83 78 30 00 0F 84 A3 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B F0 75 0F 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 88 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 77 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 32 43 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 3C 8B 55 F8 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? FF 45 F8 4B 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6142_0 {
	meta:
		name = "TDSTableProducer.SetCaption"
		size = 26
		refs = "000c @LStrAsg 0013 _NF__167"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 28 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6143_0 {
	meta:
		name = "TDSTableProducer.SetCaptionAlignment"
		size = 14
		refs = "0009 _NF__167"
	strings:
		$1 = { 3A 50 2C 74 08 88 50 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6144_0 {
	meta:
		name = "TChartSeries.SetMarks"
		size = 9
		altNames = "TDSTableProducer.SetColumns"
	strings:
		$1 = { 8B 40 3C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_6145_0 {
	meta:
		name = "TDSTableProducer.SetDataSource"
		size = 63
		refs = "0011 TDataLink.SetDataSource 001e TComponent.FreeNotification 0038 TDSTableProducer.LinkActive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 30 3B 70 04 74 2E 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 13 F6 40 20 01 75 0D 8B 43 30 8A 50 15 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6146_0 {
	meta:
		name = "TDSTableProducer.SetFooter"
		size = 20
		refs = "000e _NF__167"
	strings:
		$1 = { 53 8B D8 8B 43 44 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6147_0 {
	meta:
		name = "TDSTableProducer.SetHeader"
		size = 20
		refs = "000e _NF__167"
	strings:
		$1 = { 53 8B D8 8B 43 40 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6148_0 {
	meta:
		name = "TDSTableProducer.SetMaxRows"
		size = 14
		refs = "0009 _NF__167"
	strings:
		$1 = { 3B 50 48 74 08 89 50 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6149_0 {
	meta:
		name = "TDSTableProducer.SetRowAttributes"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_6150_0 {
	meta:
		name = "TDSTableProducer.SetTableAttributes"
		size = 9
	strings:
		$1 = { 8B 40 5C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_6151_0 {
	meta:
		name = "TDSTableProducer.StoreColumns"
		size = 18
		refs = "0007 THTMLTableColumns.GetState"
	strings:
		$1 = { 53 8B D8 8B 43 3C E8 ?? ?? ?? ?? 3C 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_6152_0 {
	meta:
		name = "TQueryTableProducer.Content"
		size = 326
		refs = "0018 TQueryTableProducer.Content 0026 @LStrClr 0036 TDataSet.Close 0051 TWebRequest.GetContentFields 0061 TWebRequest.GetQueryFields 008b TStrings.GetName 009c TParams.ParamByName 00af TStrings.GetValue 00b9 TParam.SetText 00c9 TDataSet.Open 00d0 TDSTableProducer.DoCreateContent 00f3 HtmlTable 0111 @LStrCatN 012b @LStrArrayClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 43 78 85 C0 0F 84 E0 00 00 00 E8 ?? ?? ?? ?? 33 F6 8B 43 24 85 C0 74 24 8B 50 44 8A 4A 04 80 F9 03 75 0B 8B C2 E8 ?? ?? ?? ?? 8B F0 EB 0E 80 F9 01 75 09 8B C2 E8 ?? ?? ?? ?? 8B F0 85 F6 74 5A 8B C6 8B 10 FF 52 14 48 85 C0 7C 4E 40 89 45 F0 C7 45 F8 00 00 00 00 8D 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 43 78 8B 80 F8 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 85 FF 74 17 8D 4D EC 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F0 75 BD 8B 43 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3D 8D 55 EC 8B 43 40 8B 08 FF 51 1C FF 75 EC 8D 45 E8 50 8B 4B 48 8B D3 8B 43 78 E8 ?? ?? ?? ?? FF 75 E8 8D 55 E4 8B 43 44 8B 08 FF 51 1C FF 75 E4 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6153_0 {
	meta:
		name = "TDataSetTableProducer.GetDataSet"
		size = 4
		altNames = "TQueryTableProducer.GetDataSet"
	strings:
		$1 = { 8B 40 78 C3 }
	condition:
		$1
}

rule function_6154_0 {
	meta:
		name = "TDataSetTableProducer.Notification"
		size = 39
		refs = "0010 TDSTableProducer.Notification"
		altNames = "TQueryTableProducer.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 78 75 05 33 C0 89 47 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6155_0 {
	meta:
		name = "TQueryTableProducer.SetDataSet"
		size = 31
		refs = "000a _Dn_TQuery 000f @AsClass 0018 TQueryTableProducer.SetQuery"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6156_0 {
	meta:
		name = "TDataSetTableProducer.SetDataSet"
		size = 42
		refs = "0014 TComponent.FreeNotification 0023 TDataSource.SetDataSet"
		altNames = "TQueryTableProducer.SetQuery"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 78 74 1C 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 89 43 78 8B D0 8B 43 34 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6157_0 {
	meta:
		name = "TDataSetTableProducer.Content"
		size = 184
		refs = "0013 TDataSetTableProducer.Content 0020 @LStrClr 002e TDataSet.GetActive 003a TCollection.GetCount 0045 TDSTableProducer.LayoutChanged 004c TDSTableProducer.DoCreateContent 006f HtmlTable 008c @LStrCatN 00a6 @LStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 7B 78 00 74 66 8B 43 78 E8 ?? ?? ?? ?? 84 C0 74 13 8B 43 3C E8 ?? ?? ?? ?? 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C 8D 55 FC 8B 43 40 8B 08 FF 51 1C FF 75 FC 8D 45 F8 50 8B 4B 48 8B D3 8B 43 78 E8 ?? ?? ?? ?? FF 75 F8 8D 55 F4 8B 43 44 8B 08 FF 51 1C FF 75 F4 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6161_0 {
	meta:
		name = "_NF__1C1"
		size = 72
	strings:
		$1 = { FF FF FF FF 0D 00 00 00 20 41 6C 69 67 6E 3D 22 4C 65 66 74 22 00 00 00 FF FF FF FF 0E 00 00 00 20 41 6C 69 67 6E 3D 22 52 69 67 68 74 22 00 00 FF FF FF FF 0F 00 00 00 20 41 6C 69 67 6E 3D 22 43 65 6E 74 65 72 22 00 }
	condition:
		$1
}

rule function_6162_0 {
	meta:
		name = "_NF__1C3"
		size = 108
	strings:
		$1 = { FF FF FF FF 0D 00 00 00 20 56 41 6C 69 67 6E 3D 22 54 6F 70 22 00 00 00 FF FF FF FF 10 00 00 00 20 56 41 6C 69 67 6E 3D 22 4D 69 64 64 6C 65 22 00 00 00 00 FF FF FF FF 10 00 00 00 20 56 41 6C 69 67 6E 3D 22 42 6F 74 74 6F 6D 22 00 00 00 00 FF FF FF FF 11 00 00 00 20 56 41 6C 69 67 6E 3D 22 42 61 73 6C 69 6E 65 22 00 00 00 }
	condition:
		$1
}

rule function_6163_0 {
	meta:
		name = "_NF__1C5"
		size = 64
	strings:
		$1 = { FF FF FF FF 01 00 00 00 3E 00 00 00 FF FF FF FF 0D 00 00 00 20 41 6C 69 67 6E 3D 22 54 6F 70 22 3E 00 00 00 FF FF FF FF 10 00 00 00 20 41 6C 69 67 6E 3D 22 42 6F 74 74 6F 6D 22 3E 00 00 00 00 }
	condition:
		$1
}

rule function_6164_0 {
	meta:
		name = "_NF__1C6"
		size = 628
		refs = "0014 _NF__1C6 0026 @LStrLAsg 005c Format 0074 _NV__1C0 0079 @LStrCat 01b4 @LStrClr 01ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 70 5C 8B 7E 28 85 FF 7E 30 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 89 7D F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 33 D2 8A 56 14 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7E 20 83 FF FF 7E 30 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 89 7D F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 7E 24 83 FF FF 7E 30 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 89 7D F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 7E 18 83 FF FF 7E 30 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 89 7D F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7E 1C 00 74 33 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 8B 46 1C 89 45 F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7E 08 00 74 33 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 8B 46 08 89 45 F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 06 00 00 00 3C 54 61 62 6C 65 00 00 FF FF FF FF 0F 00 00 00 25 73 20 57 69 64 74 68 3D 22 25 64 25 25 22 00 FF FF FF FF 11 00 00 00 25 73 20 43 65 6C 6C 53 70 61 63 69 6E 67 3D 25 64 00 00 00 FF FF FF FF 11 00 00 00 25 73 20 43 65 6C 6C 50 61 64 64 69 6E 67 3D 25 64 00 00 00 FF FF FF FF 0C 00 00 00 25 73 20 42 6F 72 64 65 72 3D 25 64 00 00 00 00 FF FF FF FF 0F 00 00 00 25 73 20 42 67 43 6F 6C 6F 72 3D 22 25 73 22 00 FF FF FF FF 05 00 00 00 25 73 20 25 73 00 00 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_6165_0 {
	meta:
		name = "_NF__1C7"
		size = 212
		refs = "0013 _NF__1C7 002a @LStrLAsg 004b @CallDynaInst 005e _NV__1C4 0081 Format 008a @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 8B 52 FC 8B 52 28 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8A 40 2C 88 45 FB 8D 4D FB 8D 55 FC 8B 45 08 8B 40 FC 66 BB F0 FF E8 ?? ?? ?? ?? 83 7D FC 00 74 32 56 33 C0 8A 45 FB 8B 04 85 ?? ?? ?? ?? 89 45 E8 C6 45 EC 0B 8B 45 FC 89 45 F0 C6 45 F4 0B 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 17 00 00 00 3C 43 61 70 74 69 6F 6E 20 25 73 25 73 3C 2F 43 61 70 74 69 6F 6E 3E 00 }
	condition:
		$1
}

rule function_6166_0 {
	meta:
		name = "_NF__1C8"
		size = 316
		refs = "0013 _NF__1C8 0025 @LStrLAsg 003c _NV__1C0 0041 @LStrCat 004f _NV__1C2 0083 Format 00e7 @LStrClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 70 58 8B C3 33 D2 8A 56 14 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 33 D2 8A 56 1C 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7E 18 00 74 33 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 8B 46 18 89 45 F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7E 08 00 74 33 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 8B 46 08 89 45 F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 03 00 00 00 3C 54 52 00 FF FF FF FF 0F 00 00 00 25 73 20 42 67 43 6F 6C 6F 72 3D 22 25 73 22 00 FF FF FF FF 05 00 00 00 25 73 20 25 73 00 00 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_6167_0 {
	meta:
		name = "_NF__1C9"
		size = 488
		refs = "0026 @LStrAddRef 002e _NF__1C9 004b Format 0056 @LStrLAsg 0095 @CallDynaInst 00a3 _NV__1C0 00a8 @LStrCat 00b6 _NV__1C2 0173 @LStrClr 0191 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D E0 89 5D F0 89 5D EC 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 7D 1C 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 89 7D E4 C6 45 E8 0B 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 18 E8 ?? ?? ?? ?? 8A 45 14 88 45 F7 8A 45 10 88 45 F6 8D 45 EC 8B 55 0C E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F7 50 8D 45 F6 50 8D 45 EC 50 8D 45 F8 50 8B 45 20 8B 40 FC 8B 4D FC 8B D3 66 BB F1 FF E8 ?? ?? ?? ?? 8B C6 33 D2 8A 55 F7 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 33 D2 8A 55 F6 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F0 00 74 33 8D 45 E0 50 8B 06 89 45 D0 C6 45 D4 0B 8B 45 F0 89 45 D8 C6 45 DC 0B 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 83 7D EC 00 74 33 8D 45 E0 50 8B 06 89 45 D0 C6 45 D4 0B 8B 45 EC 89 45 D8 C6 45 DC 0B 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 F8 89 45 D0 C6 45 D4 0B 89 7D D8 C6 45 DC 0B 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 18 00 FF FF FF FF 03 00 00 00 3C 25 73 00 FF FF FF FF 0F 00 00 00 25 73 20 42 67 43 6F 6C 6F 72 3D 22 25 73 22 00 FF FF FF FF 05 00 00 00 25 73 20 25 73 00 00 00 FF FF FF FF 08 00 00 00 3E 25 73 3C 2F 25 73 3E 00 00 00 00 }
	condition:
		$1
}

rule function_6168_0 {
	meta:
		name = "HtmlTable"
		size = 672
		refs = "0027 HtmlTable 0036 _NF__1C8 0042 @LStrLAsg 004b _NF__1C6 0058 _NF__1C7 0070 @LStrCatN 007b TCollection.GetCount 0097 THTMLTableColumns.GetColumn 00a0 THTMLTableColumn.GetField 00cd TField.GetDisplayLabel 0102 _NF__1C9 010d @LStrCat 0192 TField.GetDisplayText 019c @LStrClr 01f4 TDataSet.Next 0233 @LStrArrayClr 0246 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D DC 89 5D D8 89 5D EC 89 5D E8 89 4D F4 89 55 FC 89 45 F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 45 DC E8 ?? ?? ?? ?? 59 8B 55 DC 8D 45 E8 E8 ?? ?? ?? ?? 55 8D 45 DC E8 ?? ?? ?? ?? 59 FF 75 DC 55 8D 45 D8 E8 ?? ?? ?? ?? 59 FF 75 D8 68 ?? ?? ?? ?? FF 75 E8 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 48 85 C0 0F 8C 93 00 00 00 40 89 45 E0 33 FF 8B 45 FC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8B 43 24 83 78 20 00 74 10 8D 45 EC 8B 53 24 8B 52 20 E8 ?? ?? ?? ?? EB 1D 83 7D E4 00 74 0D 8D 55 EC 8B 45 E4 E8 ?? ?? ?? ?? EB 0A 8D 55 EC 8B C3 8B 08 FF 51 0C 8B 5B 24 55 68 ?? ?? ?? ?? 8B 43 18 50 8A 43 14 50 8A 43 1C 50 8B 43 08 50 8D 45 DC 50 8B 4D EC 8B D7 33 C0 E8 ?? ?? ?? ?? 59 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 47 FF 4D E0 0F 85 73 FF FF FF FF 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 80 78 5D 01 0F 85 D1 00 00 00 C7 45 F0 01 00 00 00 E9 B2 00 00 00 8B C6 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 48 85 C0 7C 72 40 89 45 E0 33 FF 8B 45 FC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 0D 8D 55 EC 8B 45 E4 E8 ?? ?? ?? ?? EB 08 8D 45 EC E8 ?? ?? ?? ?? 55 68 ?? ?? ?? ?? 8B 43 18 50 8A 43 14 50 8A 43 20 50 8B 43 1C 50 8D 45 DC 50 8B 4D EC 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 59 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 47 FF 4D E0 75 94 FF 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? FF 4D F4 FF 45 F0 83 7D F4 00 74 0D 8B 45 F8 80 78 59 00 0F 84 3B FF FF FF 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 02 00 00 00 54 48 00 00 FF FF FF FF 05 00 00 00 3C 2F 54 52 3E 00 00 00 FF FF FF FF 02 00 00 00 54 44 00 00 FF FF FF FF 08 00 00 00 3C 2F 54 61 62 6C 65 3E 00 00 00 00 }
	condition:
		$1
}

rule function_6169_0 {
	meta:
		name = "Finalization"
		size = 111
		refs = "0007 Finalization 0013 _NV__C6 001a _NV__1C4 0025 String 002a @FinalizeArray 002f _NV__1C2 0044 _NV__1C0 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 3F B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6171_0 {
	meta:
		name = "_NF__ED"
		size = 244
		refs = "0013 _NF__ED 0026 ddeMgr 002f DdeGetLastError 004e SDdeMemErr 0053 LoadResString 0067 Format 0075 SDdeConvErr 009c SDdeErr 00bf _NV__E5 00c4 Exception.Create 00c9 @RaiseExcept 00e3 @LStrArrayClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F8 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 C0 0F 85 A8 00 00 00 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B D8 8B C3 05 F9 BF FF FF 83 E8 02 72 05 48 74 29 EB 4E 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 5D F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? EB 4C 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 5D F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? EB 25 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 5D F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6172_0 {
	meta:
		name = "_NF__EE"
		size = 526
		refs = "0031 ddeMgr 0036 _NF__FA 004d _NF__FB 0064 _NF__FC 0098 DdeQueryConvInfo 011e _NF__1C6 0157 _NF__1C3 0174 _NF__1C2 0199 _NF__1C4 01b0 _NF__1C5 01c0 _NF__152 01d0 _NF__154 01e1 _DV_TDdeClientConv 01e6 @IsClass 01f1 _NF__153 01ff _NF__FD"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 8B 5D 10 8B 75 08 33 FF 8B C6 2D 62 10 00 00 74 10 2D 80 10 00 00 74 20 2D 90 5F 00 00 74 2D EB 3E 8B 4D 14 8B 55 18 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 E7 7F EB 27 8B 4D 14 8B 55 18 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 13 8A 45 24 50 8B 4D 14 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 0F 84 93 01 00 00 C7 45 9C 60 00 00 00 81 FE 80 80 00 00 75 08 8B 45 20 89 45 FC EB 07 C7 45 FC FF FF FF FF 8D 45 9C 50 8B 45 FC 50 53 E8 ?? ?? ?? ?? 85 C0 0F 84 5F 01 00 00 81 FE 50 40 00 00 7F 33 0F 84 EF 00 00 00 81 EE 30 10 00 00 0F 84 A2 00 00 00 81 EE F2 0F 00 00 74 44 81 EE 8E 00 00 00 74 5B 81 EE 60 1F 00 00 0F 84 EC 00 00 00 E9 24 01 00 00 81 EE 90 40 00 00 0F 84 97 00 00 00 81 EE B0 3F 00 00 74 55 83 EE 40 0F 84 BC 00 00 00 83 EE 42 0F 84 D1 00 00 00 E9 F9 00 00 00 8B 75 A0 8B 45 18 50 66 8B 45 0C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 DA 00 00 00 8B 75 A0 8B 45 18 50 66 8B 45 0C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 BB 00 00 00 8B 75 A0 8B 45 18 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? E9 A3 00 00 00 8B 75 A0 8B 45 18 50 66 8B 45 0C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 83 E7 7F E9 81 00 00 00 8B 75 A0 8B 45 18 50 8B 45 1C 50 8B 45 0C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 62 8B 75 A0 8B 45 1C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 4B 8B 45 A0 85 C0 74 44 E8 ?? ?? ?? ?? EB 3D 8B 45 A0 8B 4D 18 8B 55 1C E8 ?? ?? ?? ?? EB 2D 8B 5D A0 85 DB 74 26 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_6173_0 {
	meta:
		name = "GetPasteLinkInfo"
		size = 188
		refs = "0014 Clipboard 0019 TClipboard.Open 0024 ddeMgr 002d TClipboard.GetAsHandle 003f GlobalLock 0049 GetPasteLinkInfo 005a @LStrFromPChar 0061 @LStrLen 009b GlobalUnlock 00a1 @HandleFinally 00af TClipboard.Close"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 33 DB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 66 8B 52 3C E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 6F 8B 45 F4 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DE 8B C7 8B D6 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 03 D8 43 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 03 D8 43 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF B3 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6174_0 {
	meta:
		name = "TDdeMgr.Create"
		size = 216
		refs = "000f @ClassCreate 001b TDdeMgr.Create 002a TComponent.Create 0034 RegisterClipboardFormat 0046 _NF__EE 004f DdeInitialize 0059 _NF__ED 0060 _Dn_TList 0065 TObject.Create 0090 ParamStr 009a TDdeMgr.SetAppName 00af @LStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 46 3C 33 C0 89 46 38 6A 00 6A 00 68 ?? ?? ?? ?? 8D 46 38 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 4C 69 6E 6B 00 00 00 00 }
	condition:
		$1
}

rule function_6175_0 {
	meta:
		name = "TDdeMgr.Destroy"
		size = 171
		refs = "0020 TList.Get 0025 TObject.Free 0080 _NF__103 0089 DdeUninitialize 0095 TComponent.Destroy 00a0 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 45 2C 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 45 2C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 2C E8 ?? ?? ?? ?? 33 C0 89 45 2C 8B 45 30 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 45 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 30 E8 ?? ?? ?? ?? 33 C0 89 45 30 8B 45 34 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 45 34 8B C5 E8 ?? ?? ?? ?? 8B 45 38 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C5 E8 ?? ?? ?? ?? 84 DB 74 07 8B C5 E8 ?? ?? ?? ?? 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6176_0 {
	meta:
		name = "_NF__FA"
		size = 180
		refs = "0020 _NF__FA 0036 DdeCmpStringHandles 0058 DdeQueryString 0068 @LStrFromPCharLen 0072 _NF__104 0084 _NF__105 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 F6 74 0E 8B 47 28 50 56 E8 ?? ?? ?? ?? 85 C0 75 50 68 EC 03 00 00 68 00 10 00 00 8D 85 F8 EF FF FF 50 8B 45 FC 50 8B 47 38 50 E8 ?? ?? ?? ?? 8B C8 8D 95 F8 EF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 85 C0 74 04 B3 01 EB 10 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 85 C0 74 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6177_0 {
	meta:
		name = "_NF__FB"
		size = 97
		refs = "001a _NF__FA 0048 ddeMgr 0051 DdeCreateDataHandle"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 8B EA 8B D8 33 FF 85 F6 74 44 8B CE 8B D5 8B C3 E8 ?? ?? ?? ?? 3C 01 75 35 8B 43 28 89 04 24 89 74 24 04 33 C0 89 44 24 08 33 C0 89 44 24 0C 6A 00 6A 01 6A 00 6A 00 6A 10 8D 44 24 14 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B F8 8B C7 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6178_0 {
	meta:
		name = "_NF__FC"
		size = 227
		refs = "0020 _NF__FC 002f _NV__E9 0034 _NF__1C0 0054 DdeQueryString 0064 @LStrFromPCharLen 006f @LStrAsg 0079 _NF__104 008c _NF__105 009b DdeSetUserHandle 00a5 TList.Add 00b5 @CallDynaInst 00cc @LStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 68 EC 03 00 00 68 00 10 00 00 8D 85 F8 EF FF FF 50 8B 45 FC 50 8B 46 38 50 E8 ?? ?? ?? ?? 8B C8 8D 95 F8 EF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8D 43 24 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 43 30 83 7B 30 00 75 0D 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 43 2C 89 7B 34 53 6A FF 57 E8 ?? ?? ?? ?? 8B D3 8B 46 2C E8 ?? ?? ?? ?? 8B 43 30 85 C0 74 09 66 BB F1 FF E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6179_0 {
	meta:
		name = "_NF__FD"
		size = 70
		refs = "0013 @CallDynaInst 0024 DdeSetUserHandle 0037 TList.Remove 003e TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B F2 8B 46 30 85 C0 74 09 66 BB F0 FF E8 ?? ?? ?? ?? 8B 46 34 85 C0 74 0A 6A 00 6A FF 50 E8 ?? ?? ?? ?? 33 C0 89 46 34 8B 47 2C 85 C0 74 0E 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6180_0 {
	meta:
		name = "TApplication.GetExeName"
		size = 14
		refs = "0008 ParamStr"
		altNames = "TDdeMgr.GetExeName"
	strings:
		$1 = { 53 8B DA 8B D3 33 C0 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6181_0 {
	meta:
		name = "TDdeMgr.SetAppName"
		size = 180
		refs = "000f TDdeMgr.SetAppName 001c _NF__103 0026 ExtractFileName 0031 @LStrAsg 003e @LStrPos 004c @LStrLen 0058 @LStrDelete 0065 @LStrToPChar 006f DdeCreateStringHandle 0082 DdeNameService 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 24 E8 ?? ?? ?? ?? 8B 53 24 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 14 8B 43 24 E8 ?? ?? ?? ?? 8B C8 8D 43 24 8B D6 E8 ?? ?? ?? ?? 68 EC 03 00 00 8B 43 24 E8 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 8B F0 89 73 28 6A 01 6A 00 56 8B 43 38 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_6182_0 {
	meta:
		name = "_NF__103"
		size = 44
		refs = "0014 DdeNameService 0021 DdeFreeStringHandle"
	strings:
		$1 = { 53 8B D8 8B 43 28 85 C0 74 1B 6A 02 6A 00 50 8B 43 38 50 E8 ?? ?? ?? ?? 8B 43 28 50 8B 43 38 50 E8 ?? ?? ?? ?? 33 C0 89 43 28 5B C3 }
	condition:
		$1
}

rule function_6183_0 {
	meta:
		name = "_NF__104"
		size = 80
		refs = "0026 TList.Get 0033 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 C0 89 44 24 04 8B 45 34 8B 70 08 4E 85 F6 7C 28 46 33 FF 8B 45 34 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 14 24 8B 43 08 E8 ?? ?? ?? ?? 85 C0 75 06 89 5C 24 04 EB 04 47 4E 75 DB 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6184_0 {
	meta:
		name = "_NF__105"
		size = 147
		refs = "0015 _NF__105 0025 Screen 002c TScreen.GetFormCount 0044 TScreen.GetForm 0050 TControl.GetText 005b AnsiCompareText 007d @LStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 35 46 33 FF A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 05 89 5D F8 EB 04 47 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6185_0 {
	meta:
		name = "_NF__106"
		size = 80
		refs = "0026 TList.Get 0033 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 C0 89 44 24 04 8B 45 2C 8B 70 08 4E 85 F6 7C 28 46 33 FF 8B 45 2C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 14 24 8B 43 24 E8 ?? ?? ?? ?? 85 C0 75 06 89 5C 24 04 EB 04 47 4E 75 DB 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6186_0 {
	meta:
		name = "_NF__107"
		size = 99
		refs = "0011 @LStrAddRef 0019 _NF__107 0028 _NF__106 0034 _NF__1C8 003d _NF__1CD 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6187_0 {
	meta:
		name = "_NF__108"
		size = 20
		refs = "000e TList.Insert"
	strings:
		$1 = { 53 8B 48 34 8B 59 08 8B C1 8B CA 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6188_0 {
	meta:
		name = "_NF__109"
		size = 9
		refs = "0004 TList.Remove"
	strings:
		$1 = { 8B 40 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10644_0 {
	meta:
		name = "TDimension.SetFieldType"
		size = 9
		refs = "0004 TFieldDefinition.SetFieldType"
	strings:
		$1 = { 8B 40 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10636_0 {
	meta:
		name = "TSummary.IsSparse"
		size = 9
		refs = "0004 TIndexInfo.IsSparse"
	strings:
		$1 = { 8B 40 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6189_0 {
	meta:
		name = "TDdeClientConv.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6190_0 {
	meta:
		name = "TDdeClientConv.Destroy"
		size = 60
		refs = "0009 TDdeClientConv.CloseLink 0015 TComponent.Destroy 0020 TObject.Free 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 90 00 00 00 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6191_0 {
	meta:
		name = "TDdeClientConv.DefineProperties"
		size = 80
		refs = "000b TComponent.DefineProperties 0011 TDdeClientConv.ReadLinkInfo 0017 TDdeClientConv.WriteLinkInfo 002e TDdeClientConv.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 7B 24 00 75 0A 83 7B 28 00 75 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 00 FF FF FF FF 08 00 00 00 4C 69 6E 6B 49 6E 66 6F 00 00 00 00 }
	condition:
		$1
}

rule function_6192_0 {
	meta:
		name = "TDdeClientConv.Loaded"
		size = 128
		refs = "000e TDdeClientConv.Loaded 001b TComponent.Loaded 0026 @LStrLAsg 0039 @LStrLen 0055 TDdeClientConv.ChangeLink 006f @LStrArrayClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 28 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 18 80 BB B5 00 00 00 01 74 0F 6A 00 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6193_0 {
	meta:
		name = "TDdeClientConv.ReadLinkInfo"
		size = 200
		refs = "0012 TDdeClientConv.ReadLinkInfo 001f TReader.ReadListBegin 002b TReader.ReadString 0038 @LStrPos 0046 @LStrLen 0055 @LStrCopy 006e _NF__165 007a _NF__166 0081 TReader.EndOfList 008c TReader.ReadListEnd 00a6 @LStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? EB 59 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 00 2C 53 74 06 FE C8 74 0E EB 16 8B 55 F8 8B C7 E8 ?? ?? ?? ?? EB 0A 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 9C 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_6194_0 {
	meta:
		name = "TDdeClientConv.WriteLinkInfo"
		size = 228
		refs = "0018 TDdeClientConv.WriteLinkInfo 0025 TWriter.WriteListBegin 0030 @LStrLAsg 004d Format 0057 TWriter.WriteString 0090 TWriter.WriteListEnd 00aa @LStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 56 28 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 FF FF FF FF 0A 00 00 00 53 65 72 76 69 63 65 20 25 73 00 00 FF FF FF FF 08 00 00 00 54 6F 70 69 63 20 25 73 00 00 00 00 }
	condition:
		$1
}

rule function_6195_0 {
	meta:
		name = "TDdeClientConv.OnAttach"
		size = 55
		refs = "000c _NV__EB 0011 _NF__189 0023 TList.Insert 002f _NF__18B"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 83 90 00 00 00 8B 50 08 8B CE E8 ?? ?? ?? ?? 89 7E 10 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6196_0 {
	meta:
		name = "TDdeClientConv.OnDetach"
		size = 53
		refs = "000b TDdeClientConv.GetCliItemByCtrl 001a _NF__18B 0027 TList.Remove 002e TObject.Free"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1D 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6197_0 {
	meta:
		name = "TDdeClientConv.OnSetItem"
		size = 133
		refs = "0014 TDdeClientConv.GetCliItemByCtrl 0021 @LStrLen 002e TDdeClientConv.OnAttach 0051 TDdeClientConv.OnDetach 0060 _NF__18B"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B F0 C6 04 24 01 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1F 8B C5 E8 ?? ?? ?? ?? 85 C0 7E 14 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 8B C5 E8 ?? ?? ?? ?? 85 C0 75 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 25 85 DB 74 21 8B D5 8B C3 E8 ?? ?? ?? ?? 88 04 24 80 3C 24 00 75 0F F6 46 20 01 75 09 8B D7 8B C6 E8 ?? ?? ?? ?? 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6198_0 {
	meta:
		name = "TDdeClientConv.GetCliItemByCtrl"
		size = 55
		refs = "0012 TList.Get"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 33 C0 89 04 24 33 DB EB 10 E8 ?? ?? ?? ?? 3B 78 10 75 05 89 04 24 EB 0F 43 0F B7 D3 8B 86 90 00 00 00 3B 50 08 7C E2 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6199_0 {
	meta:
		name = "TDdeClientConv.PasteLink"
		size = 108
		refs = "0010 TDdeClientConv.PasteLink 0024 GetPasteLinkInfo 0039 TDdeClientConv.ChangeLink 0059 @LStrArrayClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 3C 01 75 15 8B 45 F4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6200_0 {
	meta:
		name = "TDdeClientConv.ChangeLink"
		size = 77
		refs = "000f TDdeClientConv.CloseLink 0018 _NF__165 0021 _NF__166 0028 TDdeClientConv.OpenLink"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6201_0 {
	meta:
		name = "TDdeClientConv.OpenLink"
		size = 500
		refs = "0019 TDdeClientConv.OpenLink 0035 @LStrLen 004c TDdeClientConv.ClearItems 0068 StrPCopy 0079 ddeMgr 0082 DdeCreateStringHandle 00d2 TDdeClientConv.CreateDdeConv 0134 @LStrCatN 0153 WinExec 019a TDdeClientConv.StartAdvise 01a9 @CallDynaInst 01b4 _NF__154 01d0 @LStrClr 01d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 D2 89 95 F8 FE FF FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 83 7E 2C 00 0F 85 8B 01 00 00 8B 46 24 E8 ?? ?? ?? ?? 85 C0 75 18 8B 46 28 E8 ?? ?? ?? ?? 85 C0 75 0C 8B C6 E8 ?? ?? ?? ?? E9 67 01 00 00 83 BE 94 00 00 00 00 75 2E 8D 85 FF FE FF FF 8B 56 24 E8 ?? ?? ?? ?? 68 EC 03 00 00 8D 85 FF FE FF FF 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 89 86 94 00 00 00 83 BE 98 00 00 00 00 75 2E 8D 85 FF FE FF FF 8B 56 28 E8 ?? ?? ?? ?? 68 EC 03 00 00 8D 85 FF FE FF FF 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 89 86 98 00 00 00 8B 8E 98 00 00 00 8B 96 94 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 85 91 00 00 00 8B 46 24 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 76 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 13 8D 85 FF FE FF FF 8B 96 B0 00 00 00 E8 ?? ?? ?? ?? EB 2C FF 76 24 68 ?? ?? ?? ?? FF 76 28 8D 85 F8 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 85 FF FE FF FF E8 ?? ?? ?? ?? 6A 07 8D 85 FF FE FF FF 50 E8 ?? ?? ?? ?? 83 F8 20 7C 15 8B 8E 98 00 00 00 8B 96 94 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 3E 8B 46 4C 85 C0 74 08 89 86 9C 00 00 00 EB 0A C7 86 9C 00 00 00 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8A 45 FF 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_6202_0 {
	meta:
		name = "TDdeClientConv.CloseLink"
		size = 128
		refs = "0010 _NF__153 001f DdeSetUserHandle 0025 DdeDisconnect 0035 ddeMgr 003e DdeFreeStringHandle 0070 _NF__165 0079 _NF__166"
	strings:
		$1 = { 53 56 8B D8 8B 43 2C 85 C0 74 1E 8B F0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 2C 6A 00 6A FF 56 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B 83 94 00 00 00 85 C0 74 17 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 83 94 00 00 00 8B 83 98 00 00 00 85 C0 74 17 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 83 98 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6203_0 {
	meta:
		name = "TDdeClientConv.ClearItems"
		size = 64
		refs = "0024 TList.Get 002a EmptyStr 0034 TDdeClientItem.SetDdeClientItem"
	strings:
		$1 = { 53 56 8B F0 8B 86 90 00 00 00 83 78 08 00 74 2D 66 8B 58 08 4B 66 85 DB 72 23 43 33 D2 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 40 10 E8 ?? ?? ?? ?? 66 FF CB 75 DE 5E 5B C3 }
	condition:
		$1
}

rule function_6204_0 {
	meta:
		name = "TDdeClientConv.CreateDdeConv"
		size = 119
		refs = "0017 @FillChar 002e ddeMgr 0037 DdeConnect 005d DdeQueryConvInfo 0069 DdeSetUserHandle"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B E9 8B FA 8B F0 8B C4 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? C7 04 24 24 00 00 00 C7 44 24 0C EC 03 00 00 54 55 57 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B D8 89 5E 2C 85 DB 0F 95 C0 8B D8 84 DB 74 22 C7 46 30 60 00 00 00 8D 46 30 50 6A FF 8B 46 2C 50 E8 ?? ?? ?? ?? 56 6A FF 8B 46 2C 50 E8 ?? ?? ?? ?? 8B C3 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6205_0 {
	meta:
		name = "TDdeClientConv.StartAdvise"
		size = 94
		refs = "0017 TList.Get 0020 _NF__190 002a EmptyStr 0034 TDdeClientItem.SetDdeClientItem"
	strings:
		$1 = { 53 56 57 55 8B F0 33 C0 83 7E 2C 00 74 4B 33 DB EB 37 8B D5 8B C7 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 75 12 8B 15 ?? ?? ?? ?? 8B 12 8B 47 10 E8 ?? ?? ?? ?? EB 01 43 0F B7 C3 8B 96 90 00 00 00 3B 42 08 7D 0E 0F B7 EB 8B BE 90 00 00 00 3B 6F 08 7C BB B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6206_0 {
	meta:
		name = "TDdeClientConv.ExecuteMacroLines"
		size = 122
		refs = "0019 TDdeClientConv.ExecuteMacroLines 0042 @LStrToPChar 004e TDdeClientConv.ExecuteMacro 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FF 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7E 2C 00 74 29 80 BE B6 00 00 00 00 75 20 8D 55 F8 8B C7 8B 08 FF 51 1C 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8A 4D FF 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6207_0 {
	meta:
		name = "TDdeClientConv.ExecuteMacro"
		size = 140
		refs = "002e StrLen 0036 ddeMgr 003f DdeCreateDataHandle 0071 DdeClientTransaction"
	strings:
		$1 = { 53 56 57 83 C4 F8 88 0C 24 8B F2 8B F8 33 DB 83 7F 2C 00 74 6F 80 BF B6 00 00 00 00 75 66 6A 00 8B 87 9C 00 00 00 50 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 40 50 56 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 85 C0 74 3D 80 3C 24 01 75 07 C6 87 B6 00 00 00 01 8D 54 24 04 52 6A FF 68 50 40 00 00 8B 97 9C 00 00 00 52 6A 00 8B 57 2C 52 6A FF 50 E8 ?? ?? ?? ?? 85 C0 75 09 C6 87 B6 00 00 00 00 EB 02 B3 01 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6208_0 {
	meta:
		name = "TDdeClientConv.PokeDataLines"
		size = 122
		refs = "0019 TDdeClientConv.PokeDataLines 0043 @LStrToPChar 004e TDdeClientConv.PokeData 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7E 2C 00 74 29 80 BE B6 00 00 00 00 75 20 8D 55 F8 8B 45 FC 8B 08 FF 51 1C 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6209_0 {
	meta:
		name = "TDdeClientConv.PokeData"
		size = 160
		refs = "0027 @LStrToPChar 002d ddeMgr 0036 DdeCreateStringHandle 004f StrLen 0060 DdeCreateDataHandle 0081 DdeClientTransaction 0095 DdeFreeStringHandle"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B E8 33 DB 83 7D 2C 00 0F 84 83 00 00 00 80 BD B6 00 00 00 00 75 7A 68 EC 03 00 00 8B C6 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 59 6A 00 8B 85 9C 00 00 00 50 56 6A 00 8B C7 E8 ?? ?? ?? ?? 40 50 57 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 85 C0 74 22 6A 00 6A FF 68 90 40 00 00 8B 95 9C 00 00 00 52 56 8B 55 2C 52 6A FF 50 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 56 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6210_0 {
	meta:
		name = "TDdeClientConv.RequestData"
		size = 278
		refs = "0030 @LStrToPChar 0036 ddeMgr 003f DdeCreateStringHandle 006c DdeClientTransaction 007e DdeFreeStringHandle 0090 TDdeClientConv.RequestData 00a3 DdeAccessData 00c0 StrAlloc 00cd StrCopy 00e3 DdeUnaccessData 00e9 @HandleFinally 0101 DdeFreeDataHandle"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 33 C0 89 45 FC 83 7B 2C 00 0F 84 F2 00 00 00 80 BB B6 00 00 00 00 0F 85 E5 00 00 00 68 EC 03 00 00 8B C6 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 C0 00 00 00 8D 45 F4 50 68 10 27 00 00 68 B0 20 00 00 8B 83 9C 00 00 00 50 56 8B 43 2C 50 6A 00 6A 00 E8 ?? ?? ?? ?? 89 45 F8 56 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 81 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 40 E8 ?? ?? ?? ?? 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6211_0 {
	meta:
		name = "TDdeClientConv.GetCliItemByName"
		size = 78
		refs = "001b TList.Get 0028 @LStrCmp"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 33 C0 89 44 24 04 33 DB EB 1F 8B D5 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 46 04 8B 14 24 E8 ?? ?? ?? ?? 75 06 89 74 24 04 EB 0F 43 0F B7 EB 8B B7 90 00 00 00 3B 6E 08 7C D3 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6212_0 {
	meta:
		name = "_NF__152"
		size = 8
	strings:
		$1 = { C6 80 B6 00 00 00 00 C3 }
	condition:
		$1
}

rule function_6213_0 {
	meta:
		name = "_NF__153"
		size = 66
		refs = "0013 @CallDynaInst 0025 TList.Get 002a _NF__192"
	strings:
		$1 = { 53 56 57 55 8B F0 83 7E 2C 00 74 0B 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? 33 C0 89 46 2C 33 DB EB 0F 8B D5 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 0F B7 EB 8B BE 90 00 00 00 3B 6F 08 7C E3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6214_0 {
	meta:
		name = "_NF__154"
		size = 64
		refs = "0016 TList.Get 0027 _NF__18C"
	strings:
		$1 = { 53 56 57 55 51 8B F9 89 14 24 8B F0 33 DB EB 1C 0F B7 D3 8B C5 E8 ?? ?? ?? ?? 85 FF 74 05 3B 78 08 75 08 8B 14 24 E8 ?? ?? ?? ?? 43 0F B7 C3 8B AE 90 00 00 00 3B 45 08 7C D6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6215_0 {
	meta:
		name = "TDdeClientConv.SetLink"
		size = 75
		refs = "000c TDdeClientConv.CloseLink 0022 TDdeClientConv.ChangeLink 002d _NF__165 0036 _NF__166 0041 _NF__154"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB B5 00 00 00 00 75 0F 6A 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 1F 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6216_0 {
	meta:
		name = "TDdeClientConv.SetConnectMode"
		size = 145
		refs = "000f TDdeClientConv.SetConnectMode 0029 @LStrLen 0040 TDdeClientConv.OpenLink 004c SDdeNoConnect 0051 LoadResString 005b _Dn_Exception 0060 Exception.Create 0065 @RaiseExcept 0080 @LStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E B5 00 00 00 74 4E 84 DB 75 44 8B 46 24 E8 ?? ?? ?? ?? 85 C0 74 38 8B 46 28 E8 ?? ?? ?? ?? 85 C0 74 2C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E B5 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6217_0 {
	meta:
		name = "TDdeClientConv.SetFormatChars"
		size = 30
		refs = "0019 _NF__154"
	strings:
		$1 = { 3A 90 B7 00 00 00 74 15 88 90 B7 00 00 00 83 78 2C 00 74 09 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6220_0 {
	meta:
		name = "_NF__165"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 24 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6221_0 {
	meta:
		name = "_NF__166"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 28 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6222_0 {
	meta:
		name = "TDdeClientConv.Close"
		size = 29
	strings:
		$1 = { 53 66 83 B8 A2 00 00 00 00 74 10 8B D8 8B D0 8B 83 A4 00 00 00 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6223_0 {
	meta:
		name = "TDdeClientConv.Open"
		size = 29
	strings:
		$1 = { 53 66 83 B8 AA 00 00 00 00 74 10 8B D8 8B D0 8B 83 AC 00 00 00 FF 93 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6224_0 {
	meta:
		name = "TDdeClientConv.Notification"
		size = 115
		refs = "001a TComponent.Notification 0037 TList.Get 0047 EmptyStr 004e TDdeClientItem.SetDdeClientItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 4C 24 04 89 14 24 8B D8 8A 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 80 7C 24 04 01 75 47 83 BB 90 00 00 00 00 74 3E 33 F6 EB 2C 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 50 10 3B 14 24 75 0F 8B C2 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 83 90 00 00 00 3B 78 08 7D 0F 46 0F B7 FE 8B AB 90 00 00 00 3B 7D 08 7C C6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6225_0 {
	meta:
		name = "TDdeClientItem.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TStringList 0023 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6227_0 {
	meta:
		name = "TDdeClientItem.SetDdeClientConv"
		size = 135
		refs = "000f TDdeClientItem.SetDdeClientConv 0025 @LStrLAsg 002d @LStrClr 003b TDdeClientConv.OnDetach 004b TComponent.FreeNotification 0053 @LStrLen 0061 TDdeClientItem.SetDdeClientItem 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 28 74 47 8D 45 FC 8B 53 2C E8 ?? ?? ?? ?? 8D 43 2C E8 ?? ?? ?? ?? 8B 43 28 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 28 85 C0 74 1D 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6228_0 {
	meta:
		name = "TDdeClientItem.SetDdeClientItem"
		size = 92
		refs = "0012 @LStrAsg 001e TDdeClientConv.OnSetItem 0042 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 28 00 74 3D 8D 43 2C 8B D6 E8 ?? ?? ?? ?? 8B CE 8B D3 8B 43 28 E8 ?? ?? ?? ?? 84 C0 75 33 F6 43 20 01 74 12 8B 43 28 83 78 2C 00 75 09 80 B8 B5 00 00 00 01 74 1B 8D 43 2C E8 ?? ?? ?? ?? 5E 5B C3 F6 43 20 01 74 0A 8D 43 2C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6229_0 {
	meta:
		name = "TDdeClientItem.Notification"
		size = 57
		refs = "0010 TComponent.Notification 0024 TDdeClientConv.OnDetach 0031 @LStrClr"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1C 3B 77 28 75 17 8B D7 8B 47 28 E8 ?? ?? ?? ?? 33 C0 89 47 28 8D 47 2C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6230_0 {
	meta:
		name = "_NF__180"
		size = 72
		refs = "0010 _Dn_TForm 0015 TObject.InheritsFrom"
	strings:
		$1 = { 53 8B D8 F6 43 20 10 74 2E 8B 43 04 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B 43 04 83 B8 54 01 00 00 00 74 0E 8B 43 04 8B 80 54 01 00 00 8B 10 FF 52 04 66 83 7B 32 00 74 08 8B D3 8B 43 34 FF 53 30 5B C3 }
	condition:
		$1
}

rule function_6231_0 {
	meta:
		name = "TDdeClientItem.GetText"
		size = 43
		refs = "0024 @LStrClr"
		altNames = "TDdeServerItem.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 24 8B 10 FF 52 14 85 C0 7E 0F 8B CE 33 D2 8B 43 24 8B 18 FF 53 0C 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6234_0 {
	meta:
		name = "_NF__189"
		size = 58
		refs = "000b @ClassCreate 001a TObject.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 08 89 77 0C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6236_0 {
	meta:
		name = "_NF__18B"
		size = 172
		refs = "0010 _NF__18B 0023 @LStrLAsg 0030 _NF__191 003a @LStrAsg 004d @LStrLen 0061 _NF__190 006f @LStrClr 0083 _NF__18D 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B 56 04 E8 ?? ?? ?? ?? 83 7E 08 00 74 07 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B D7 E8 ?? ?? ?? ?? 8B 46 10 8B 40 24 8B 10 FF 52 40 8B 46 04 E8 ?? ?? ?? ?? 85 C0 74 2B 8B 46 0C 83 78 2C 00 74 17 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 15 8D 46 04 E8 ?? ?? ?? ?? EB 0B 80 B8 B5 00 00 00 01 75 02 B3 01 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6237_0 {
	meta:
		name = "_NF__18C"
		size = 222
		refs = "0016 _NF__18C 0027 _NF__18D 0038 _NF__18E 0042 @LStrFromPChar 005f _NF__18F 0073 @LStrLen 0098 UniqueString 00b6 _NF__193 00cb @LStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0C 8B C3 E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 67 8B 43 10 8B 40 24 8B 55 F8 8B 08 FF 51 2C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 80 B8 B7 00 00 00 00 75 44 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 28 BE 01 00 00 00 8B 45 F8 8A 44 30 FF 84 C0 76 14 8B 55 F8 3C 20 73 0D 8D 45 F8 E8 ?? ?? ?? ?? C6 44 30 FF 20 46 4F 75 DD 8B 43 10 8B 40 24 8B 55 F8 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6238_0 {
	meta:
		name = "_NF__18D"
		size = 104
		refs = "003d DdeClientTransaction 004c _NF__18C 0052 DdeFreeDataHandle 005d _NF__193"
	strings:
		$1 = { 53 56 57 51 8B F8 33 DB 8B 47 0C 8B 50 2C 85 D2 74 48 83 7F 08 00 74 42 80 B8 B6 00 00 00 01 74 40 54 68 E8 03 00 00 68 B0 20 00 00 8B 80 9C 00 00 00 50 8B 47 08 50 52 6A FF 6A 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1A 8B D6 8B C7 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? B3 01 EB 07 8B C7 E8 ?? ?? ?? ?? 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6239_0 {
	meta:
		name = "_NF__18E"
		size = 8
		refs = "0003 DdeAccessData"
	strings:
		$1 = { 51 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6241_0 {
	meta:
		name = "_NF__190"
		size = 183
		refs = "001b @LStrLen 0036 @LStrToPChar 003c ddeMgr 0045 DdeCreateStringHandle 0072 DdeClientTransaction 0084 DdeGetLastError 0096 DdeFreeStringHandle"
	strings:
		$1 = { 53 83 C4 F8 8B D8 C6 04 24 00 8B 43 0C 83 78 2C 00 0F 84 99 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 85 C0 0F 84 89 00 00 00 83 7B 08 00 75 1F 68 EC 03 00 00 8B 43 04 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 89 43 08 8D 54 24 04 52 68 E8 03 00 00 68 34 10 00 00 8B 43 0C 8B 90 9C 00 00 00 52 8B 53 08 52 8B 40 2C 50 6A FF 6A 00 E8 ?? ?? ?? ?? 85 C0 75 32 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B 43 08 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 43 08 8B 43 10 8B 40 24 8B 10 FF 52 40 EB 04 C6 04 24 01 8A 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_6242_0 {
	meta:
		name = "_NF__191"
		size = 64
		refs = "002f DdeClientTransaction 0036 _NF__192"
	strings:
		$1 = { 53 56 51 8B D8 8B 73 0C 8B 46 2C 85 C0 74 24 8B 53 08 85 D2 74 1D 54 68 E8 03 00 00 68 40 80 00 00 8B 8E 9C 00 00 00 51 52 50 6A FF 6A 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B0 01 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6243_0 {
	meta:
		name = "_NF__192"
		size = 32
		refs = "000c ddeMgr 0015 DdeFreeStringHandle"
	strings:
		$1 = { 53 8B D8 8B 43 08 85 C0 74 14 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 43 08 5B C3 }
	condition:
		$1
}

rule function_6244_0 {
	meta:
		name = "_NF__193"
		size = 9
		refs = "0004 _NF__180"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6245_0 {
	meta:
		name = "TDdeServerItem.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TComponent.Create 0025 _Dn_TStringList 002a TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 3C 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6249_0 {
	meta:
		name = "TDdeServerItem.SetText"
		size = 41
		refs = "0022 _NF__1A6"
	strings:
		$1 = { 53 56 8B F2 8B D8 C7 43 3C 01 00 00 00 8B 43 24 8B 10 FF 52 40 8B D6 8B 43 24 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6250_0 {
	meta:
		name = "TDdeServerItem.SetLines"
		size = 129
		refs = "0011 TDdeServerItem.SetLines 0039 CompareStr 0055 _NF__1A6 006f @LStrArrayClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 24 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B C6 8B 08 FF 51 1C 8B 45 F8 5A E8 ?? ?? ?? ?? 85 C0 74 18 C7 43 3C 01 00 00 00 8B D6 8B 43 24 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6251_0 {
	meta:
		name = "_NF__1A6"
		size = 147
		refs = "000d _NF__1A6 0034 ddeMgr 0039 _NF__107 004a _Dn_TForm 004f @IsClass 005d TControl.GetText 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 2E 00 74 08 8B D3 8B 43 30 FF 53 2C 8B 43 28 85 C0 74 12 8B 50 08 8B 4B 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 8B 73 04 85 F6 74 2B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 4B 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6252_0 {
	meta:
		name = "TDdeServerItem.PokeData"
		size = 148
		refs = "0016 TDdeServerItem.PokeData 002b DdeAccessData 003b @LStrFromPChar 004c DdeUnaccessData 0053 _NF__1A6 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 45 F8 50 57 E8 ?? ?? ?? ?? 8B F0 85 F6 74 38 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 24 8B 08 FF 51 2C 57 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 83 7B 36 00 74 08 8B D3 8B 43 38 FF 53 34 C7 45 FC 00 80 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6253_0 {
	meta:
		name = "TDdeServerItem.CopyToClipboard"
		size = 456
		refs = "0011 TDdeServerItem.CopyToClipboard 0023 ddeMgr 0043 @LStrCatN 0058 _Dn_TForm 005d @IsClass 0078 TControl.GetText 00a8 TDdeServerItem.GetText 00b1 Clipboard 00b7 TClipboard.SetAsText 00bf @LStrLen 00c8 GlobalAlloc 00e2 GlobalLock 0104 @LStrToPChar 010c Move 0123 TClipboard.SetAsHandle 0139 GlobalUnlock 013f @HandleFinally 0150 @HandleAnyException 0159 GlobalFree 015e @RaiseAgain 0163 @DoneExcept 017a TClipboard.Close 0197 @LStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 28 85 F6 74 27 A1 ?? ?? ?? ?? FF 70 24 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? FF 73 08 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 4B 8B 73 04 85 F6 0F 84 32 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F A1 ?? ?? ?? ?? FF 70 24 68 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 73 08 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 40 50 6A 02 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 40 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 66 8B 52 3C 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6254_0 {
	meta:
		name = "TCanvas.Changing"
		size = 20
		altNames = "TDdeServerConv.Disconnect TDdeServerItem.Change TTimer.Timer"
	strings:
		$1 = { 53 66 83 78 2E 00 74 0A 8B D8 8B D0 8B 43 30 FF 53 2C 5B C3 }
	condition:
		$1
}

rule function_6255_0 {
	meta:
		name = "TDdeServerItem.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 77 28 75 0A 80 FB 01 75 05 33 C0 89 47 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6256_0 {
	meta:
		name = "TDdeServerConv.Create"
		size = 58
		refs = "000a @ClassCreate 0017 TComponent.Create 001e ddeMgr 0023 _NF__108"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7397_0 {
	meta:
		name = "TDataModule.CreateNew"
		size = 58
		refs = "000a @ClassCreate 0017 TComponent.Create 001e Screen 0023 _NF__600"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6257_0 {
	meta:
		name = "TDdeServerConv.Destroy"
		size = 46
		refs = "0009 ddeMgr 000e _NF__109 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9520_0 {
	meta:
		name = "TPopupMenu.Destroy"
		size = 46
		refs = "0009 _NV__1E0 000e _NF__1E3 001a TMenu.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6258_0 {
	meta:
		name = "TDdeServerConv.ExecuteMacro"
		size = 155
		refs = "0014 TDdeServerConv.ExecuteMacro 0026 DdeAccessData 003a _Dn_TStringList 003f TObject.Create 004c @LStrFromPChar 0086 @LStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8D 45 FC 50 52 E8 ?? ?? ?? ?? 8B D8 85 DB 74 45 66 83 7E 36 00 74 39 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 51 2C 8B 4D F8 8B D6 8B 46 38 FF 56 34 B2 01 8B 45 F8 8B 08 FF 51 FC BF 00 80 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6259_0 {
	meta:
		name = "TCanvas.Changed"
		size = 20
		altNames = "TDdeServerConv.Connect"
	strings:
		$1 = { 53 66 83 78 26 00 74 0A 8B D8 8B D0 8B 43 28 FF 53 24 5B C3 }
	condition:
		$1
}

rule function_6261_0 {
	meta:
		name = "_NF__1C0"
		size = 61
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6262_0 {
	meta:
		name = "_NF__1C1"
		size = 128
		refs = "0020 TList.Get 0025 TObject.Free 0043 DdeDisconnect 0050 ddeMgr 0059 DdeFreeStringHandle 006a TComponent.Destroy 0075 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 45 38 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 45 38 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 38 E8 ?? ?? ?? ?? 33 C0 89 45 38 8B 45 34 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 28 85 C0 74 14 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 45 28 8B D3 80 E2 FE 8B C5 E8 ?? ?? ?? ?? 84 DB 74 07 8B C5 E8 ?? ?? ?? ?? 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6263_0 {
	meta:
		name = "_NF__1C2"
		size = 296
		refs = "001e _NF__1C2 004d ddeMgr 0056 DdeQueryString 006c @LStrFromArray 0080 _NF__1C7 008f _NV__E7 0094 _NF__1CA 00bc _NF__1CE 00c6 TList.Add 00cf TComponent.FreeNotification 00e2 @LStrToPChar 00f1 DdeCreateStringHandle 0110 @LStrClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F8 53 56 57 33 DB 89 9D F8 EF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 66 83 7D 08 01 0F 85 C5 00 00 00 68 EC 03 00 00 68 00 10 00 00 8D 85 FF EF FF FF 50 8B 45 0C 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8D 85 F8 EF FF FF 8D 95 FF EF FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 8B 85 F8 EF FF FF 50 8B 4B 30 8B 53 2C 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 72 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 7E 30 8D 85 F8 EF FF FF 8D 95 FF EF FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 8B 95 F8 EF FF FF 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 83 7B 28 00 75 1F 68 EC 03 00 00 8B 43 24 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 89 43 28 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 EF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8A 45 FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6264_0 {
	meta:
		name = "_NF__1C3"
		size = 46
		refs = "000d _NF__1C9 001d TList.Remove 0024 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 55 08 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B D3 8B 46 38 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6265_0 {
	meta:
		name = "_NF__1C4"
		size = 180
		refs = "001d _NF__1C4 0045 ddeMgr 004e DdeQueryString 0064 @LStrFromArray 0078 _NF__1C7 0084 TDdeServerItem.PokeData 009e @LStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 FC 53 56 33 DB 89 9D FC EF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 7D 08 01 75 5B 68 EC 03 00 00 68 00 10 00 00 8D 85 00 F0 FF FF 50 8B 45 10 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8D 85 FC EF FF FF 8D 95 00 F0 FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 8B 85 FC EF FF FF 50 8B 4B 30 8B 53 2C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0A 8B 55 0C E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC EF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C6 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_6266_0 {
	meta:
		name = "_NF__1C5"
		size = 30
		refs = "0012 TDdeServerConv.ExecuteMacro"
	strings:
		$1 = { 55 8B EC 33 D2 8B 48 30 85 C9 74 0C 8B 55 08 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 5D C2 04 00 }
	condition:
		$1
}

rule function_6267_0 {
	meta:
		name = "_NF__1C6"
		size = 275
		refs = "0023 _NF__1C6 0037 _NF__1C9 0044 _NF__1CC 0063 ddeMgr 006c DdeQueryString 0082 @LStrFromArray 0096 _NF__1C7 00c0 @LStrLen 00ca @LStrToPChar 00d9 DdeCreateDataHandle 00f4 @LStrClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F4 53 56 33 DB 89 9D F4 EF FF FF 89 5D F8 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 66 8B 55 08 E8 ?? ?? ?? ?? 89 45 FC E9 90 00 00 00 68 EC 03 00 00 68 00 10 00 00 8D 85 F8 EF FF FF 50 56 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8D 85 F4 EF FF FF 8D 95 F8 EF FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 8B 85 F4 EF FF FF 50 8B 4B 30 8B 53 2C 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 40 66 83 7D 08 01 75 39 8D 55 F8 8B 43 24 8B 08 FF 51 1C 6A 00 0F B7 45 08 50 56 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 40 50 8B 45 F8 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 EF FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 FC 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6268_0 {
	meta:
		name = "_NF__1C7"
		size = 210
		refs = "0031 _Dn_TForm 0036 @IsClass 004b TComponent.GetComponentCount 0064 TComponent.GetComponent 006e _DV_TDdeServerItem 0082 @LStrCmp 0099 _Dn_TWinControl 00b3 _NF__1C7"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 45 FC 33 C0 89 45 F4 8B FA 85 FF 75 2A 83 7D F8 00 74 24 8B 45 F8 83 78 04 00 74 1B 8B 45 F8 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 45 F8 8B 78 04 85 FF 74 7E 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 70 46 C7 45 F0 00 00 00 00 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B 43 08 8B 55 08 E8 ?? ?? ?? ?? 75 0D 8B 43 28 3B 45 F8 75 05 89 5D F4 EB 31 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 08 50 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 05 89 45 F4 EB 06 FF 45 F0 4E 75 98 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6269_0 {
	meta:
		name = "_NF__1C8"
		size = 78
		refs = "0026 TList.Get 0033 @LStrCmp"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 C0 89 44 24 04 8B 45 38 8B 70 08 4E 85 F6 7C 26 46 33 FF 8B 45 38 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 28 8B 14 24 E8 ?? ?? ?? ?? 75 06 89 5C 24 04 EB 04 47 4E 75 DD 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6270_0 {
	meta:
		name = "_NF__1C9"
		size = 82
		refs = "0026 TList.Get 0035 DdeCmpStringHandles"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 C0 89 44 24 04 8B 45 38 8B 70 08 4E 85 F6 7C 2A 46 33 FF 8B 45 38 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 04 24 50 8B 43 2C 50 E8 ?? ?? ?? ?? 85 C0 75 06 89 5C 24 04 EB 04 47 4E 75 D9 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6271_0 {
	meta:
		name = "_NF__1CA"
		size = 49
		refs = "000a @ClassCreate 001a TComponent.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 24 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6272_0 {
	meta:
		name = "_NF__1CB"
		size = 61
		refs = "000f ddeMgr 0018 DdeFreeStringHandle 0029 TComponent.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 2C 85 C0 74 14 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 46 2C 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6273_0 {
	meta:
		name = "_NF__1CC"
		size = 197
		refs = "001d _NF__1CC 003f ddeMgr 0048 DdeQueryString 0058 @LStrFromPCharLen 0080 @LStrLen 008a @LStrToPChar 0099 DdeCreateDataHandle 00b0 @LStrClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 FC 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 68 EC 03 00 00 68 00 10 00 00 8D 85 FC EF FF FF 50 8B 43 2C 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B C8 8D 95 FC EF FF FF 8D 43 28 E8 ?? ?? ?? ?? 66 83 FE 01 75 3D 8D 55 FC 8B 43 30 8B 40 24 8B 08 FF 51 1C 6A 00 0F B7 C6 50 8B 43 2C 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 40 50 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6274_0 {
	meta:
		name = "_NF__1CD"
		size = 26
		refs = "000c ddeMgr 0015 DdePostAdvise"
	strings:
		$1 = { 8B 50 2C 52 8B 40 24 8B 40 28 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6275_0 {
	meta:
		name = "_NF__1CE"
		size = 89
		refs = "000c @LStrAsg 0019 ddeMgr 0022 DdeFreeStringHandle 002f @LStrLen 0040 @LStrToPChar 004f DdeCreateStringHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 28 8B D6 E8 ?? ?? ?? ?? 8B 43 2C 85 C0 74 14 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 43 2C 8B 43 28 E8 ?? ?? ?? ?? 85 C0 7E 1F 68 EC 03 00 00 8B 43 28 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 89 43 2C 5E 5B C3 }
	condition:
		$1
}

rule function_6277_0 {
	meta:
		name = "DdeMan"
		size = 35
		refs = "0002 _NV__E4 000b Application 0014 _DV_TDdeMgr 0019 TDdeMgr.Create 001e ddeMgr"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6314_0 {
	meta:
		name = "_NF__22D"
		size = 79
		refs = "0009 GetWindowRect 0016 GetSystemMetrics 0046 SetWindowPos"
		altNames = "_NF__26C"
	strings:
		$1 = { 53 83 C4 F0 8B D8 54 53 E8 ?? ?? ?? ?? 6A 15 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 2B 44 24 18 03 44 24 10 B9 03 00 00 00 99 F7 F9 50 6A 00 E8 ?? ?? ?? ?? 2B 44 24 18 03 44 24 10 D1 F8 79 03 83 D0 00 50 6A 00 53 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_6315_0 {
	meta:
		name = "_NF__26D"
		size = 154
		refs = "001e _NV__26B 002c Subclass3DDlg 0033 SetAutoSubClass 003a _NF__26C 003f _NV__267 0053 SetWindowLong 0074 CallWindowProc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 33 FF 8B C6 83 E8 02 74 6C 2D 0E 01 00 00 75 75 80 3D ?? ?? ?? ?? 00 74 12 66 BA FF FF 8B C3 E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 58 30 A1 ?? ?? ?? ?? 8B 40 34 50 6A FC 53 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 42 28 8B 45 14 50 8B 45 10 50 56 53 A1 ?? ?? ?? ?? 8B 40 34 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? EB 10 80 3D ?? ?? ?? ?? 00 74 07 33 C0 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_6316_0 {
	meta:
		name = "TCommonDialog.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TComponent.Create 0027 MakeObjectInstance"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 24 01 56 8B 06 8B 40 28 50 E8 ?? ?? ?? ?? 89 46 34 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6317_0 {
	meta:
		name = "TCommonDialog.Destroy"
		size = 46
		refs = "000e FreeObjectInstance 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 34 85 C0 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6318_0 {
	meta:
		name = "TCommonDialog.MessageHook"
		size = 40
		refs = "0006 _NV__268 0014 Application 001f TApplication.HelpContext"
	strings:
		$1 = { 33 C9 8B 12 3B 15 ?? ?? ?? ?? 75 19 83 78 2C 00 74 13 8B 15 ?? ?? ?? ?? 8B 12 8B 40 2C 92 E8 ?? ?? ?? ?? B1 01 8B C1 C3 }
	condition:
		$1
}

rule function_6319_0 {
	meta:
		name = "TCommonDialog.DefaultHandler"
		size = 53
		refs = "001f CallWindowProc 002d TObject.DefaultHandler"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 30 85 FF 74 1A 8B 46 08 50 8B 46 04 50 8B 06 50 57 8B 43 28 50 E8 ?? ?? ?? ?? 89 46 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6321_0 {
	meta:
		name = "TCommonDialog.WMDestroy"
		size = 25
		refs = "0012 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6322_0 {
	meta:
		name = "TCommonDialog.WMInitDialog"
		size = 21
		refs = "0009 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 66 BB F0 FF E8 ?? ?? ?? ?? 33 C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_6323_0 {
	meta:
		name = "TCommonDialog.WMNCDestroy"
		size = 17
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 33 C0 89 46 30 5E C3 }
	condition:
		$1
}

rule function_6324_0 {
	meta:
		name = "TCommonDialog.TaskModalDialog"
		size = 187
		refs = "0010 GetActiveWindow 001a DisableTaskWindows 0025 TCommonDialog.TaskModalDialog 003a Application 0041 TApplication.HookMainWindow 0057 _NV__267 0080 TApplication.UnhookMainWindow 0086 @HandleFinally 009d EnableTaskWindows 00a6 SetActiveWindow"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F1 8B DA 89 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 00 8B 40 2C 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC A3 ?? ?? ?? ?? 56 FF D3 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 8B 40 2C 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6325_0 {
	meta:
		name = "TCommonDialog.DoClose"
		size = 20
	strings:
		$1 = { 53 66 83 78 3E 00 74 0A 8B D8 8B D0 8B 43 40 FF 53 3C 5B C3 }
	condition:
		$1
}

rule function_6326_0 {
	meta:
		name = "TCommonDialog.DoShow"
		size = 20
	strings:
		$1 = { 53 66 83 78 46 00 74 0A 8B D8 8B D0 8B 43 48 FF 53 44 5B C3 }
	condition:
		$1
}

rule function_6327_0 {
	meta:
		name = "_NF__290"
		size = 131
		refs = "001e _NV__267 0032 SetWindowLong 0050 CallWindowProc 006f GetWindowLong 0074 _NF__26C"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 14 8B 5D 0C 8B 75 08 33 C0 89 45 FC 81 FB 10 01 00 00 75 40 A1 ?? ?? ?? ?? 89 70 30 A1 ?? ?? ?? ?? 8B 40 34 50 6A FC 56 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 42 28 57 8B 45 10 50 53 56 A1 ?? ?? ?? ?? 8B 40 34 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? EB 1B 83 FB 4E 75 16 81 7F 08 A7 FD FF FF 75 0D 6A F8 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_6328_0 {
	meta:
		name = "TOpenDialog.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TCommonDialog.Create 001e _Dn_TStringList 0023 TObject.Create 002b TOpenDialog.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C A1 ?? ?? ?? ?? 89 46 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 70 C7 46 58 01 00 00 00 C6 46 74 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_6329_0 {
	meta:
		name = "TOpenDialog.Destroy"
		size = 50
		refs = "000a TObject.Free 001e TCommonDialog.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 70 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6330_0 {
	meta:
		name = "TOpenDialog.WndProc"
		size = 134
		refs = "0040 @CallDynaInst 007e TCommonDialog.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 C0 89 46 0C 8B 06 3D 10 01 00 00 75 06 F6 47 52 01 74 67 83 F8 4E 75 59 8B 46 08 8B 50 08 81 EA A1 FD FF FF 74 32 83 EA 04 74 20 4A 74 10 4A 75 40 8B C7 66 BB F0 FF E8 ?? ?? ?? ?? EB 33 8B C7 66 BB EF FF E8 ?? ?? ?? ?? EB 26 8B C7 66 BB EE FF E8 ?? ?? ?? ?? EB 19 8B 40 0C 8B 40 18 3B 47 5C 74 0E 89 47 5C 8B C7 66 BB ED FF E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6331_0 {
	meta:
		name = "TOpenDialog.DoSelectionChange"
		size = 20
	strings:
		$1 = { 53 66 83 78 7A 00 74 0A 8B D8 8B D0 8B 43 7C FF 53 78 5B C3 }
	condition:
		$1
}

rule function_6332_0 {
	meta:
		name = "TOpenDialog.DoFolderChange"
		size = 29
	strings:
		$1 = { 53 66 83 B8 82 00 00 00 00 74 10 8B D8 8B D0 8B 83 84 00 00 00 FF 93 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6333_0 {
	meta:
		name = "TOpenDialog.DoTypeChange"
		size = 29
	strings:
		$1 = { 53 66 83 B8 8A 00 00 00 00 74 10 8B D8 8B D0 8B 83 8C 00 00 00 FF 93 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6334_0 {
	meta:
		name = "_NF__2A1"
		size = 60
		refs = "0009 _NF__2A1 0018 TReader.ReadIdent 002d @LStrClr 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12891_0 {
	meta:
		name = "TQRCustomBand.ReadAlign"
		size = 60
		refs = "0009 TQRCustomBand.ReadAlign 0018 TReader.ReadIdent 002d @LStrClr 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12893_0 {
	meta:
		name = "TQRCustomBand.ReadLinkband"
		size = 60
		refs = "0009 TQRCustomBand.ReadLinkband 0018 TReader.ReadIdent 002d @LStrClr 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12892_0 {
	meta:
		name = "TQRCustomBand.ReadRuler"
		size = 60
		refs = "0009 TQRCustomBand.ReadRuler 0018 TReader.ReadIdent 002d @LStrClr 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_13094_0 {
	meta:
		name = "TQRDetailLink.ReadOnFilter"
		size = 60
		refs = "0009 TQRDetailLink.ReadOnFilter 0018 TReader.ReadIdent 002d @LStrClr 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12832_0 {
	meta:
		name = "TQRFrame.ReadMode"
		size = 60
		refs = "0009 TQRFrame.ReadMode 0018 TReader.ReadIdent 002d @LStrClr 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12818_0 {
	meta:
		name = "TQRGroup.ReadDataSource"
		size = 60
		refs = "0009 TQRGroup.ReadDataSource 0018 TReader.ReadIdent 002d @LStrClr 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12820_0 {
	meta:
		name = "TQRGroup.ReadHeaderBand"
		size = 60
		refs = "0009 TQRGroup.ReadHeaderBand 0018 TReader.ReadIdent 002d @LStrClr 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12821_0 {
	meta:
		name = "TQRGroup.ReadOnNeedData"
		size = 60
		refs = "0009 TQRGroup.ReadOnNeedData 0018 TReader.ReadIdent 002d @LStrClr 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_6335_0 {
	meta:
		name = "TOpenDialog.DefineProperties"
		size = 68
		refs = "000b TComponent.DefineProperties 0011 _NF__2A1 001c TOpenDialog.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 00 00 00 FF FF FF FF 0D 00 00 00 46 69 6C 65 45 64 69 74 53 74 79 6C 65 00 00 00 }
	condition:
		$1
}

rule function_6336_0 {
	meta:
		name = "_NF__2A6"
		size = 80
		refs = "0009 @LStrClr 0014 _NF__2A6 001b @LStrCat3 0022 @LStrToPChar 0029 AnsiStrScan"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 85 F6 74 2F 8B C3 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B2 7C E8 ?? ?? ?? ?? 85 C0 74 0F C6 00 00 40 B2 7C E8 ?? ?? ?? ?? 85 C0 75 F1 5E 5B C3 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6337_0 {
	meta:
		name = "_NF__2A7"
		size = 70
		refs = "0013 AnsiStrScan 0022 @LStrFromPChar 0029 StrEnd 003a @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 8A 50 FF 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 14 8B C7 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 0E 8B CB 2B CE 8B C7 8B D6 E8 ?? ?? ?? ?? 43 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6338_0 {
	meta:
		name = "_NF__2A8"
		size = 256
		refs = "000e _NF__2A8 0022 _NF__2A7 0057 AnsiLastChar 0069 @LStrCat 0079 @LStrLen 009e @LStrCat3 00e0 @LStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 59 8B D8 8B 45 08 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 59 8B D8 83 7D F8 00 75 13 8B 45 08 8B 40 F8 8B 40 70 8B 55 FC 8B 08 FF 51 34 EB 77 8B 45 FC E8 ?? ?? ?? ?? 80 38 5C 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 80 38 5C 74 2D 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 03 7E 12 8B 45 F8 80 78 01 3A 75 09 8B 45 F8 80 78 02 5C 74 0E 8D 45 F8 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 40 70 8B 55 F8 8B 08 FF 51 34 8B 45 08 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 59 8B D8 83 7D F8 00 75 A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_6339_0 {
	meta:
		name = "TOpenDialog.DoExecute"
		size = 718
		refs = "001f TOpenDialog.DoExecute 0040 NewStyleControls 0063 @FillChar 006f HInstance 0082 _NF__2A6 008a @LStrToPChar 00c3 @LStrSetLength 00f7 StrLCopy 011e _NV__26B 012c _NV__2A5 0174 @LStrLAsg 018e ExtractFileExt 01a0 @LStrDelete 01cb _NF__26D 01d4 _NF__290 01ea Application 021b _NF__2A8 023a @LStrAsg 024b _NF__2A7 02ad @LStrClr 02ba @LStrArrayClr 02c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 33 C9 89 4D 9C 89 4D F4 89 4D F0 89 4D EC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B 45 F8 F6 40 50 40 74 17 8B 45 F8 F6 40 52 01 75 0A A1 ?? ?? ?? ?? 80 38 00 75 04 C6 45 FF 20 8B 45 F8 8B 40 70 8B 10 FF 52 40 8D 45 A0 33 C9 BA 4C 00 00 00 E8 ?? ?? ?? ?? C7 45 A0 4C 00 00 00 A1 ?? ?? ?? ?? 8B 00 89 45 A8 8D 55 F4 8B 45 F8 8B 40 54 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 AC 8B 45 F8 8B 40 58 89 45 B8 8B 55 F8 89 42 5C 8B 45 F8 F6 40 50 40 74 09 C7 45 C0 00 20 00 00 EB 07 C7 45 C0 04 01 00 00 8B 55 C0 83 C2 02 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 89 5D BC 8B 55 C0 83 C2 02 8B C3 33 C9 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 6C E8 ?? ?? ?? ?? 8B D0 8B 4D C0 8B 45 BC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 60 E8 ?? ?? ?? ?? 89 45 CC 8B 45 F8 8B 40 64 E8 ?? ?? ?? ?? 89 45 D0 8B 45 F8 8A 40 24 A2 ?? ?? ?? ?? C7 45 D4 20 00 00 00 33 C0 BA ?? ?? ?? ?? 8B 4D F8 8B D8 80 FB 1F 77 07 83 E3 7F 0F A3 59 50 73 05 8B 0A 09 4D D4 40 83 C2 04 3C 12 75 E0 A1 ?? ?? ?? ?? 80 38 00 74 09 81 75 D4 00 00 08 00 EB 07 81 65 D4 FF FF F7 FF 8D 45 EC 8B 55 F8 8B 52 68 E8 ?? ?? ?? ?? 83 7D EC 00 75 26 F6 45 D6 08 75 20 8D 55 EC 8B 45 F8 8B 40 6C E8 ?? ?? ?? ?? 8D 45 EC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D EC 00 74 0B 8B 45 EC E8 ?? ?? ?? ?? 89 45 DC 8B 45 F8 F6 40 52 01 75 0A A1 ?? ?? ?? ?? 80 38 00 75 09 C7 45 E4 ?? ?? ?? ?? EB 07 C7 45 E4 ?? ?? ?? ?? 8B 45 F8 8B 40 38 85 C0 74 07 83 4D D4 40 89 45 E8 A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 45 A4 8D 4D A0 8B D6 8B 45 F8 8B 18 FF 53 30 8B D8 85 DB 0F 84 8F 00 00 00 8B 45 F8 F6 40 50 40 74 2A 55 8B 45 BC E8 ?? ?? ?? ?? 59 8D 4D 9C 8B 45 F8 8B 40 70 33 D2 8B 30 FF 56 0C 8B 55 9C 8B 45 F8 83 C0 6C E8 ?? ?? ?? ?? EB 21 55 8B 45 F8 8D 50 6C 8B 45 BC E8 ?? ?? ?? ?? 59 8B 45 F8 8B 50 6C 8B 45 F8 8B 40 70 8B 08 FF 51 34 F6 45 D5 04 74 0C 8B 45 F8 81 48 50 80 00 00 00 EB 0A 8B 45 F8 81 60 50 7F FF FF FF F6 45 D4 01 74 09 8B 45 F8 83 48 50 01 EB 07 8B 45 F8 83 60 50 FE 8B 45 F8 8B 55 B8 89 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6340_0 {
	meta:
		name = "TOpenDialog.GetStaticRect"
		size = 81
		refs = "001c GetDlgItem 0022 GetWindowRect 0030 MapWindowPoints 0039 GetClientRect 0049 Rect"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 30 85 FF 74 31 F6 43 52 01 75 22 56 68 5F 04 00 00 57 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 56 8B 43 30 50 6A 00 E8 ?? ?? ?? ?? EB 17 56 57 E8 ?? ?? ?? ?? EB 0E 6A 00 56 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6341_0 {
	meta:
		name = "TOpenDialog.GetFileName"
		size = 86
		refs = "000d NewStyleControls 002e GetParent 0034 SendMessage 003d StrPas 0049 @LStrLAsg"
	strings:
		$1 = { 53 56 81 C4 F8 FE FF FF 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 2D 83 7B 30 00 74 27 8B C4 50 68 05 01 00 00 68 65 04 00 00 8B 43 30 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C4 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 6C E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6342_0 {
	meta:
		name = "TOpenDialog.GetFilterIndex"
		size = 14
	strings:
		$1 = { 83 78 30 00 74 04 8B 40 5C C3 8B 40 58 C3 }
	condition:
		$1
}

rule function_6343_0 {
	meta:
		name = "TFontDialog.SetFont"
		size = 13
		altNames = "TOpenDialog.SetHistoryList"
	strings:
		$1 = { 56 8B F0 8B 46 4C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_6344_0 {
	meta:
		name = "TOpenDialog.SetInitialDir"
		size = 88
		refs = "000a @LStrLen 001a IsPathDelimiter 0028 TOpenDialog.SetInitialDir 002d IsDelimiter 0044 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB 01 7E 21 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 8B CB 49 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 01 4B 8D 47 60 50 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_6345_0 {
	meta:
		name = "TOpenDialog.Execute"
		size = 23
		refs = "0004 GetOpenFileName 000b TOpenDialog.DoExecute"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_6346_0 {
	meta:
		name = "TSaveDialog.Execute"
		size = 23
		refs = "0004 GetSaveFileName 000b TOpenDialog.DoExecute"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_6347_0 {
	meta:
		name = "TColorDialog.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TCommonDialog.Create 001e _Dn_TStringList 0023 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6348_0 {
	meta:
		name = "TColorDialog.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TCommonDialog.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 54 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6349_0 {
	meta:
		name = "_NF__2C4"
		size = 192
		refs = "0010 _NF__2C4 003a Format 004f @LStrFromChar 0060 @LStrCat3 0072 TStrings.SetValue 0095 @LStrArrayClr 009d @LStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 08 8D 58 B4 8D 45 FC 50 8B 03 89 45 F4 C6 45 F8 00 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 EC 8B 55 08 8B 52 F4 8A 14 32 E8 ?? ?? ?? ?? 8B 4D EC 8B 45 08 8B 50 F8 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 40 FC 8B 40 54 59 E8 ?? ?? ?? ?? 46 83 C3 04 83 FE 10 75 A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 25 2E 36 78 00 00 00 00 }
	condition:
		$1
}

rule function_6350_0 {
	meta:
		name = "_NF__2C5"
		size = 188
		refs = "000f _NF__2C5 002e @LStrFromChar 003f @LStrCat3 0053 TStrings.GetValue 0071 StrToInt 009e @LStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 08 8D 58 B4 8D 45 F4 8B 55 08 8B 52 F4 8A 14 32 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 08 8B 50 F8 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 45 08 8B 40 FC 8B 40 54 E8 ?? ?? ?? ?? 83 7D FC 00 74 1C 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 03 EB 06 C7 03 FF FF FF FF 46 83 C3 04 83 FE 10 75 99 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_6351_0 {
	meta:
		name = "TColorDialog.Execute"
		size = 279
		refs = "0016 TColorDialog.Execute 0024 SColorPrefix 0029 LoadResString 0031 SColorTags 003c _NF__2C5 0049 HInstance 0059 ColorToRGB 0070 _NV__2C3 00ac _NV__26B 00b3 _NF__26D 00b8 Application 00c8 ChooseColor 00e9 _NF__2C4 0104 @LStrArrayClr 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 33 D2 89 55 F8 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 C7 45 90 24 00 00 00 A1 ?? ?? ?? ?? 8B 00 89 45 98 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 89 45 9C 8D 45 B4 89 45 A0 C7 45 A4 11 00 00 00 33 C0 BA ?? ?? ?? ?? 8B 4D FC 8B D8 80 FB 07 77 07 83 E3 7F 0F A3 59 50 73 05 8B 0A 09 4D A4 40 83 C2 04 3C 05 75 E0 8B 45 FC 8B 40 38 85 C0 74 07 83 4D A4 20 89 45 B0 8B 45 FC 8A 40 24 A2 ?? ?? ?? ?? C7 45 AC ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 45 94 8D 4D 90 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 30 F7 D8 1B DB F7 DB 84 DB 74 10 8B 45 FC 8B 55 9C 89 50 4C 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6352_0 {
	meta:
		name = "TColorDialog.SetCustomColors"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 54 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_6353_0 {
	meta:
		name = "_NF__2CC"
		size = 67
		refs = "0020 _NV__2CB 0025 _NF__2DA 003b _NF__26D"
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 55 08 3D 11 01 00 00 75 20 66 81 7D 10 02 04 75 18 66 83 7D 12 00 75 11 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 01 00 00 00 EB 0F 8B 4D 14 51 8B 4D 10 51 50 52 E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_6354_0 {
	meta:
		name = "TFontDialog.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TCommonDialog.Create 001e _Dn_TFont 0023 TFont.Create 002c TFontDialog.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C 66 A1 ?? ?? ?? ?? 66 89 46 51 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_6355_0 {
	meta:
		name = "TFontDialog.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TCommonDialog.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 4C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6356_0 {
	meta:
		name = "TFontDialog.WndProc"
		size = 49
		refs = "002c TCommonDialog.WndProc"
	strings:
		$1 = { 81 3A 11 01 00 00 75 23 66 83 7A 06 09 75 1C 66 8B 4A 04 66 81 F9 73 04 75 06 C6 40 65 01 EB 0B 66 81 F9 74 04 75 04 C6 40 64 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6357_0 {
	meta:
		name = "TFontDialog.Apply"
		size = 22
	strings:
		$1 = { 53 66 83 78 56 00 74 0C 8B D8 8B CA 8B D0 8B 43 58 FF 53 54 5B C3 }
	condition:
		$1
}

rule function_6358_0 {
	meta:
		name = "_NF__2DA"
		size = 171
		refs = "001b SendMessage 0026 _NF__2E2 003a SendDlgItemMessage 0061 TFont.SetColor 0069 _NF__2DA 007d @CallDynaInst 008c @HandleAnyException 0091 Application 009b TApplication.HandleException 00a0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B DA 89 45 FC 8D 45 C0 50 6A 00 68 01 04 00 00 53 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 68 47 01 00 00 68 73 04 00 00 53 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 20 6A 00 56 68 50 01 00 00 68 73 04 00 00 53 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 66 BB EF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6359_0 {
	meta:
		name = "TFontDialog.Execute"
		size = 434
		refs = "001d TFontDialog.Execute 003a Printer 003f TPrinter.GetHandle 0056 TFont.GetHandle 005c GetObject 006c @LStrFromArray 0078 _NV__2DC 0085 _NV__2DB 00d4 _NV__26B 00db _NF__2CC 00f8 Application 0106 _NV__2CB 011c ChooseFont 0159 AnsiCompareText 016b _NF__2E2 017c TFont.SetColor 0194 @LStrClr 01a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 56 57 33 D2 89 95 7C FF FF FF 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 BC 3C 00 00 00 33 C0 89 45 C4 80 7B 50 00 74 0D E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 8D 45 80 89 45 C8 8D 45 80 50 6A 3C 8B 43 4C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 F8 8D 55 9C B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 8A 43 50 8B 04 85 ?? ?? ?? ?? 83 C8 48 89 45 D0 33 C0 BE ?? ?? ?? ?? 8B D0 80 FA 0F 77 07 83 E2 7F 0F A3 53 51 73 05 8B 16 09 55 D0 40 83 C6 04 3C 10 75 E3 66 83 7B 56 00 74 07 81 4D D0 00 02 00 00 8B 43 38 85 C0 74 07 83 4D D0 10 89 45 E0 8B 43 4C 8B 40 14 89 45 D4 33 C0 89 45 D8 8A 43 24 A2 ?? ?? ?? ?? C7 45 DC ?? ?? ?? ?? 8B 43 5C 89 45 F0 8B 43 60 89 45 F4 3B 45 F0 7D 07 81 65 D0 FF DF FF FF A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 45 C0 8B 35 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? C6 43 65 00 C6 43 64 00 8D 4D BC BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 30 F7 D8 1B C0 F7 D8 88 45 FF 89 35 ?? ?? ?? ?? 80 7D FF 00 74 44 8D 85 7C FF FF FF 8D 55 9C B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 04 C6 43 64 01 8D 55 80 8B C3 E8 ?? ?? ?? ?? 80 7B 65 00 74 0B 8B 55 D4 8B 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6361_0 {
	meta:
		name = "_NF__2E2"
		size = 176
		refs = "0010 _NF__2E2 0026 @LStrFromArray 0031 TFont.SetName 003b TFont.SetHeight 004c TFont.SetCharset 0083 TFont.SetStyle 0098 @LStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 57 1C B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 4C E8 ?? ?? ?? ?? 8B 17 8B 46 4C E8 ?? ?? ?? ?? 80 7E 64 00 74 0B 8A 57 17 8B 46 4C E8 ?? ?? ?? ?? 8A 1D ?? ?? ?? ?? 81 7F 10 90 01 00 00 7E 03 80 CB 01 80 7F 14 00 74 03 80 CB 02 80 7F 15 00 74 03 80 CB 04 80 7F 16 00 74 03 80 CB 08 8B D3 8B 46 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6362_0 {
	meta:
		name = "_NF__2E3"
		size = 249
		refs = "001a Printer 0028 TPrinter.GetPrinter 0039 StrLen 0063 GlobalAlloc 0073 GlobalLock 007d _NF__2E3 009f StrECopy 00ce StrCopy 00e6 GlobalUnlock 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 0C FF FF FF 53 56 57 89 55 FC 8B D8 8D 85 0C FF FF FF 50 53 E8 ?? ?? ?? ?? 8D 8D 5C FF FF FF 8D 55 AC E8 ?? ?? ?? ?? 83 3B 00 0F 84 BD 00 00 00 8D 45 AC E8 ?? ?? ?? ?? 8B D8 83 C3 08 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 03 D8 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 03 D8 83 C3 03 53 6A 42 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DE 83 C3 08 8B FE 8B C3 66 2B C6 66 89 07 8D 95 5C FF FF FF 8B C3 E8 ?? ?? ?? ?? 40 8B D8 8B C3 66 2B C6 66 89 47 02 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 40 8B D8 8B C3 66 2B C6 66 89 47 04 8D 95 0C FF FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6363_0 {
	meta:
		name = "_NF__2E4"
		size = 122
		refs = "0014 GlobalLock 001e _NF__2E4 0038 Printer 0048 TPrinter.SetPrinter 005e GlobalUnlock 0067 GlobalFree 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 0F B7 46 04 8B FB 03 C7 50 8B 45 FC 50 E8 ?? ?? ?? ?? 0F B7 0E 03 CF 0F B7 56 02 03 D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6364_0 {
	meta:
		name = "_NF__2E5"
		size = 151
		refs = "0016 GlobalSize 0020 GlobalAlloc 0031 _NF__2E5 0040 GlobalLock 005e Move 0074 GlobalUnlock 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 83 7D FC 00 74 78 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 53 6A 42 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 61 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 50 E8 ?? ?? ?? ?? 85 F6 74 0F 85 C0 74 0B 8B D0 8B C6 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 89 45 F8 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6365_0 {
	meta:
		name = "TPrinterSetupDialog.Execute"
		size = 180
		refs = "0012 @FillChar 001f HInstance 0030 _NF__2E3 0038 _NF__2E5 004c _NV__26B 0054 _NF__26D 0059 Application 006b PrintDlg 008b _NF__2E4 009b GlobalFree"
	strings:
		$1 = { 53 83 C4 B8 8B D8 8D 44 24 04 33 C9 BA 42 00 00 00 E8 ?? ?? ?? ?? C7 44 24 04 42 00 00 00 A1 ?? ?? ?? ?? 8B 00 89 44 24 26 8D 54 24 10 8B C4 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 0C C7 44 24 18 40 20 00 00 8A 43 24 A2 ?? ?? ?? ?? C7 44 24 32 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 44 24 08 8D 4C 24 04 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 30 F7 D8 1B C0 F7 D8 8B D8 84 DB 74 0F 8B 54 24 10 8B 44 24 0C E8 ?? ?? ?? ?? EB 1C 8B 44 24 0C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 44 24 10 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B C3 83 C4 48 5B C3 }
	condition:
		$1
}

rule function_6366_0 {
	meta:
		name = "TPrintDialog.SetNumCopies"
		size = 20
		refs = "0007 Printer 000e TPrinter.SetNumCopies"
	strings:
		$1 = { 53 8B DA 89 58 60 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6367_0 {
	meta:
		name = "TPrintDialog.Execute"
		size = 416
		refs = "0016 @FillChar 0021 HInstance 0030 _NF__2E3 0038 _NF__2E5 0047 _NV__2EB 00d3 _NV__26B 00da _NF__26D 00e6 Application 00f5 PrintDlg 0111 _NF__2E4 015d Printer 0162 TPrinter.GetNumCopies 016b TPrintDialog.SetNumCopies 0186 GlobalFree"
	strings:
		$1 = { 53 56 57 83 C4 B8 8B F8 8D 74 24 04 8B C6 33 C9 BA 42 00 00 00 E8 ?? ?? ?? ?? C7 06 42 00 00 00 A1 ?? ?? ?? ?? 8B 00 89 46 22 8D 56 0C 8B C4 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 89 46 08 33 C0 8A 47 57 8B 04 85 ?? ?? ?? ?? 0D 00 30 00 00 89 46 14 80 7F 54 00 74 04 83 46 14 10 F6 47 55 01 75 07 81 46 14 00 00 10 00 F6 47 55 02 75 04 83 46 14 08 F6 47 55 04 75 04 83 46 14 04 F6 47 55 20 74 07 81 46 14 00 00 08 00 80 7F 56 00 74 04 83 46 14 20 F6 47 55 10 74 07 81 46 14 00 08 00 00 F6 47 55 08 75 07 81 46 14 80 00 00 00 66 8B 47 4C 66 89 46 18 66 8B 47 50 66 89 46 1A 66 8B 47 58 66 89 46 1C 66 8B 47 5C 66 89 46 1E 8A 47 24 A2 ?? ?? ?? ?? C7 46 2A ?? ?? ?? ?? C7 46 2E ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 46 04 8B CE BA ?? ?? ?? ?? 8B C7 8B 18 FF 53 30 F7 D8 1B DB F7 DB 84 DB 74 73 8B 56 0C 8B 46 08 E8 ?? ?? ?? ?? F6 46 14 10 0F 95 C0 88 47 54 F6 46 14 20 0F 95 C0 88 47 56 8B 46 14 A8 01 74 06 C6 47 57 01 EB 0E A8 02 74 06 C6 47 57 02 EB 04 C6 47 57 00 0F B7 46 18 89 47 4C 0F B7 46 1A 89 47 50 66 8B 46 20 66 83 F8 01 75 15 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 26 0F B7 D0 8B C7 E8 ?? ?? ?? ?? EB 1A 8B 46 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 46 0C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B C3 83 C4 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6368_0 {
	meta:
		name = "_NF__2F0"
		size = 34
		refs = "000b TWinControl.CreateParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? C7 46 04 00 00 00 90 8B 83 1C 01 00 00 89 46 1C 5E 5B C3 }
	condition:
		$1
}

rule function_6369_0 {
	meta:
		name = "_NF__2F1"
		size = 52
		refs = "000b TWinControl.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 0C 00 75 1C 83 BB 18 01 00 00 00 74 13 8B D6 8B 83 18 01 00 00 8B 08 FF 51 2C 83 E0 7F 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_6371_0 {
	meta:
		name = "_NF__2F3"
		size = 59
		refs = "0022 _NV__26A 002f GetProp 0035 CallWindowProc"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 14 50 8B 45 08 8B 40 10 50 8B 45 08 8B 40 0C 50 8B 45 08 8B 40 08 50 0F B7 05 ?? ?? ?? ?? 50 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_6372_0 {
	meta:
		name = "_NF__2F4"
		size = 178
		refs = "001e Application 0025 TApplication.GetDialogHandle 0038 TApplication.SetDialogHandle 0088 _NF__2F3 0092 _NV__26A 009c RemoveProp"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C 83 E8 02 74 11 2D 80 00 00 00 74 73 83 E8 04 74 26 E9 85 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 3B 45 08 75 74 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? EB 64 83 7D 10 00 74 21 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 85 C0 75 4E A1 ?? ?? ?? ?? 8B 00 8B 55 08 E8 ?? ?? ?? ?? EB 3D A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 3B 45 08 75 2C A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? EB 1C 55 E8 ?? ?? ?? ?? 59 8B D8 0F B7 05 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? EB 09 55 E8 ?? ?? ?? ?? 59 8B D8 8B C3 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_6373_0 {
	meta:
		name = "_NF__2F5"
		size = 136
		refs = "0017 _NF__26D 0029 TFindDialog.GetLeft 0033 TFindDialog.GetTop 0054 SetWindowPos 005c GetWindowLong 0064 _NV__26A 006b SetProp 0070 _NF__2F4 0078 SetWindowLong"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 14 8B 75 0C 8B 5D 08 57 8B 45 10 50 56 53 E8 ?? ?? ?? ?? 81 FE 10 01 00 00 75 5E 8B 77 1C 8B C6 E8 ?? ?? ?? ?? 40 75 0A 8B C6 E8 ?? ?? ?? ?? 40 74 1E 6A 15 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 6A 00 53 E8 ?? ?? ?? ?? 6A FC 53 E8 ?? ?? ?? ?? 50 0F B7 05 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FC 53 E8 ?? ?? ?? ?? B8 01 00 00 00 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_6374_0 {
	meta:
		name = "TFindDialog.Create"
		size = 164
		refs = "000d @ClassCreate 001b TCommonDialog.Create 0021 TFindDialog.Create 0042 Application 0050 HInstance 007d _NF__2F5 0082 FindText"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 43 4C C7 43 50 FF FF FF FF C7 43 54 FF FF FF FF 8D 43 74 C7 00 28 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 52 24 89 50 04 8B 15 ?? ?? ?? ?? 8B 12 89 50 08 8D 93 9C 00 00 00 89 50 10 66 C7 40 18 00 01 8D 93 9C 01 00 00 89 50 14 66 C7 40 1A 00 01 89 58 1C C7 40 20 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 43 58 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_6375_0 {
	meta:
		name = "TFindDialog.Destroy"
		size = 61
		refs = "0015 SendMessage 001d TObject.Free 0029 TCommonDialog.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 70 85 C0 74 0C 6A 00 6A 00 6A 10 50 E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6376_0 {
	meta:
		name = "TFindDialog.CloseDialog"
		size = 20
		refs = "000f PostMessage"
	strings:
		$1 = { 8B 50 70 85 D2 74 0C 6A 00 6A 00 6A 10 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6377_0 {
	meta:
		name = "_NF__300"
		size = 58
		refs = "000c FindControl 001d _Dn_TForm 0022 @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 8B C6 E8 ?? ?? ?? ?? 8B D8 83 CF FF 85 DB 74 18 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B 45 0C 89 30 33 FF 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6378_0 {
	meta:
		name = "TFindDialog.Execute"
		size = 199
		refs = "000d BringWindowToTop 001a _NV__26B 002e _NF__2F5 0037 _NV__2EE 003c TWinControl.Create 0053 _NF__300 0058 GetCurrentThreadId 005e EnumThreadWindows 0066 TWinControl.GetHandle 0070 _NV__2F6 00af _NV__267"
	strings:
		$1 = { 53 56 8B D8 8B 43 70 85 C0 74 0B 50 E8 ?? ?? ?? ?? B0 01 5E 5B C3 8A 43 24 A2 ?? ?? ?? ?? C7 83 80 00 00 00 00 01 00 00 C7 83 94 00 00 00 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 5C 89 9E 18 01 00 00 8D 86 1C 01 00 00 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 5C E8 ?? ?? ?? ?? 89 43 78 33 C0 BE ?? ?? ?? ?? 8B D0 80 FA 0F 77 07 83 E2 7F 0F A3 53 4C 73 08 8B 16 09 93 80 00 00 00 40 83 C6 04 3C 0D 75 E0 83 7B 38 00 74 13 81 8B 80 00 00 00 00 02 00 00 8B 43 38 89 83 98 00 00 00 89 1D ?? ?? ?? ?? 8D 43 74 50 FF 53 58 8B F0 89 73 70 85 F6 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_6379_0 {
	meta:
		name = "TFindDialog.Find"
		size = 20
	strings:
		$1 = { 53 66 83 78 62 00 74 0A 8B D8 8B D0 8B 43 64 FF 53 60 5B C3 }
	condition:
		$1
}

rule function_6380_0 {
	meta:
		name = "TFindDialog.GetFindText"
		size = 27
		refs = "0014 @LStrFromArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 93 9C 00 00 00 B9 00 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6382_0 {
	meta:
		name = "TFindDialog.GetPosition"
		size = 48
		refs = "001b GetWindowRect"
	strings:
		$1 = { 53 83 C4 F0 8B DA 8B 50 50 89 13 8B 50 54 89 53 04 8B 50 70 85 D2 74 13 54 52 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_6383_0 {
	meta:
		name = "TFindDialog.GetReplaceText"
		size = 27
		refs = "0014 @LStrFromArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 93 9C 01 00 00 B9 00 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6385_0 {
	meta:
		name = "TFindDialog.MessageHook"
		size = 220
		refs = "000f TCommonDialog.MessageHook 001f _NV__269 0039 TFindDialog.MessageHook 0044 _NV__2F6 0079 @CallDynaInst 009a GetWindowRect 00bd TWinControl.GetHandle 00c3 PostMessage"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 85 B3 00 00 00 8B 13 3B 15 ?? ?? ?? ?? 0F 85 A5 00 00 00 8B 53 08 8D 4F 74 3B D1 0F 85 97 00 00 00 66 A1 ?? ?? ?? ?? 66 89 47 4C 33 DB BE ?? ?? ?? ?? 8B 87 80 00 00 00 23 06 74 0D 8B C3 3C 0F 77 07 83 E0 7F 0F AB 47 4C 43 83 C6 04 80 FB 0D 75 E0 8B 87 80 00 00 00 A8 08 74 0D 8B C7 66 BB EF FF E8 ?? ?? ?? ?? EB 4D A8 30 74 0D 8B C7 66 BB EE FF E8 ?? ?? ?? ?? EB 3C A8 40 74 38 54 8B 47 70 50 E8 ?? ?? ?? ?? 8B 04 24 89 47 50 8B 44 24 04 89 47 54 33 C0 89 47 70 6A 00 6A 00 68 21 B0 00 00 8B 47 5C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 47 5C B0 01 83 C4 10 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6386_0 {
	meta:
		name = "TFindDialog.Replace"
		size = 20
	strings:
		$1 = { 53 66 83 78 6A 00 74 0A 8B D8 8B D0 8B 43 6C FF 53 68 5B C3 }
	condition:
		$1
}

rule function_6387_0 {
	meta:
		name = "TFindDialog.SetFindText"
		size = 34
		refs = "0009 @LStrToPChar 001b StrLCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 83 9C 00 00 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6389_0 {
	meta:
		name = "TFindDialog.SetPosition"
		size = 57
		refs = "0033 SetWindowPos"
	strings:
		$1 = { 53 8B 0A 3B 48 50 75 08 8B 4A 04 3B 48 54 74 27 8B 0A 89 48 50 8B 4A 04 89 48 54 8B 48 70 85 C9 74 15 6A 15 6A 00 6A 00 8B 5A 04 53 8B 12 52 6A 00 51 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6390_0 {
	meta:
		name = "TFindDialog.SetReplaceText"
		size = 34
		refs = "0009 @LStrToPChar 001b StrLCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 83 9C 01 00 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6392_0 {
	meta:
		name = "TReplaceDialog.Create"
		size = 54
		refs = "000a @ClassCreate 0017 TFindDialog.Create 001c ReplaceText"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 46 58 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6393_0 {
	meta:
		name = "MaxLong"
		size = 7
		altNames = "_NF__327"
	strings:
		$1 = { 3B D0 7C 02 8B C2 C3 }
	condition:
		$1
}

rule function_6394_0 {
	meta:
		name = "_NF__328"
		size = 82
		refs = "0036 TCanvas.GetHandle 003c GetTextExtentPoint"
	strings:
		$1 = { 53 56 83 C4 CC 8B DA 8B F0 33 C0 8B D4 8D 48 41 88 0A 40 42 83 F8 1A 75 F4 33 C0 8D 54 24 1A 8D 48 61 88 0A 40 42 83 F8 1A 75 F4 53 6A 34 8D 44 24 08 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 03 B9 34 00 00 00 99 F7 F9 89 03 83 C4 34 5E 5B C3 }
	condition:
		$1
}

rule function_6395_0 {
	meta:
		name = "_NF__32B"
		size = 109
		refs = "0013 @ClassCreate 0020 TCustomForm.CreateNew 003c SystemParametersInfo 0049 CreateFontIndirect 0053 TFont.SetHandle"
	strings:
		$1 = { 55 8B EC 81 C4 AC FE FF FF 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 85 AC FE FF FF 54 01 00 00 6A 00 8D 85 AC FE FF FF 50 6A 00 6A 29 E8 ?? ?? ?? ?? 85 C0 74 13 8D 45 C4 50 E8 ?? ?? ?? ?? 8B D0 8B 46 50 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6396_0 {
	meta:
		name = "TPictureEditorDlg.HelpButtonClick"
		size = 21
		refs = "0002 Application 0010 TApplication.HelpContext"
		altNames = "_NF__29B _NF__32C"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 8B 80 E0 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6397_0 {
	meta:
		name = "_NF__330"
		size = 164
	strings:
		$1 = { FF FF FF FF 03 00 00 00 59 65 73 00 FF FF FF FF 02 00 00 00 4E 6F 00 00 FF FF FF FF 02 00 00 00 4F 4B 00 00 FF FF FF FF 06 00 00 00 43 61 6E 63 65 6C 00 00 FF FF FF FF 05 00 00 00 41 62 6F 72 74 00 00 00 FF FF FF FF 05 00 00 00 52 65 74 72 79 00 00 00 FF FF FF FF 06 00 00 00 49 67 6E 6F 72 65 00 00 FF FF FF FF 03 00 00 00 41 6C 6C 00 FF FF FF FF 07 00 00 00 4E 6F 54 6F 41 6C 6C 00 FF FF FF FF 08 00 00 00 59 65 73 54 6F 41 6C 6C 00 00 00 00 FF FF FF FF 04 00 00 00 48 65 6C 70 00 00 00 00 }
	condition:
		$1
}

rule function_6398_0 {
	meta:
		name = "CreateMessageDialog"
		size = 1128
		refs = "001c CreateMessageDialog 0028 Application 0031 _NV__329 0036 _NF__32B 0041 TCustomForm.SetBorderStyle 0048 TCustomForm.GetCanvas 0050 TCanvas.SetFont 005f _NF__328 006c MulDiv 00c7 Screen 00ce TScreen.GetWidth 00e3 SetRect 00f4 @LStrLen 00fd @LStrToPChar 010a TCanvas.GetHandle 0110 DrawText 011c _NV__32E 0179 _NF__327 0189 TCustomForm.SetClientWidth 01a0 TCustomForm.SetClientHeight 01c8 TControl.SetLeft 01d4 TScreen.GetHeight 01f0 TControl.SetTop 0205 _NV__32D 020a LoadResString 0214 TControl.SetText 0225 TApplication.GetTitle 023c _Dn_TImage 0241 TImage.Create 0263 LoadIcon 0272 TPicture.GetIcon 0278 TIcon.SetHandle 0293 _Dn_TLabel 0298 TCustomLabel.Create 02b8 TCustomLabel.SetWordWrap 02cc TControl.SetBoundsRect 0326 TControl.GetClientWidth 033b _NV__32F 0342 _NV__331 0349 _NV__332 0365 _Dn_TButton 036a TButton.Create 03b9 TButton.SetDefault 0405 _NF__32C 0430 @LStrClr 0436 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 DB 89 5D 9C 66 89 4D F9 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B2 03 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 56 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 6A 04 8B 5D F0 53 6A 08 E8 ?? ?? ?? ?? 89 45 EC 6A 08 8B 7D F4 57 6A 08 E8 ?? ?? ?? ?? 89 45 E8 6A 04 53 6A 0A E8 ?? ?? ?? ?? 89 45 E4 6A 08 57 6A 0A E8 ?? ?? ?? ?? 89 45 E0 6A 04 53 6A 32 E8 ?? ?? ?? ?? 89 45 DC 6A 08 57 6A 0E E8 ?? ?? ?? ?? 89 45 D8 6A 04 53 6A 04 E8 ?? ?? ?? ?? 89 45 D4 6A 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 6A 00 6A 00 8D 45 A0 50 E8 ?? ?? ?? ?? 68 50 04 00 00 8D 45 A0 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 8A 45 FB 8B 3C 85 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 CC 85 FF 74 16 8B 45 E4 83 C0 20 01 45 D0 83 7D CC 20 7D 07 C7 45 CC 20 00 00 00 33 C0 33 DB 8B D3 80 FA 0F 77 07 83 E2 7F 0F A3 55 F9 73 01 40 43 80 FB 0B 75 E9 33 DB 85 C0 74 0C 8B 5D DC 0F AF D8 48 F7 6D D4 03 D8 8B D3 8B 45 D0 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 03 C0 03 D0 8B C6 E8 ?? ?? ?? ?? 8B 55 CC 03 55 D8 03 55 E0 8B 45 E8 03 C0 03 D0 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 46 38 D1 F8 79 03 83 D0 00 2B D0 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 46 3C D1 F8 79 03 83 D0 00 2B D0 8B C6 E8 ?? ?? ?? ?? 80 7D FB 04 74 20 8D 55 9C 33 C0 8A 45 FB 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B C6 E8 ?? ?? ?? ?? EB 19 8D 55 9C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 9C 8B C6 E8 ?? ?? ?? ?? 85 FF 74 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 BA ?? ?? ?? ?? 8B 45 C0 8B 08 FF 51 18 8B D6 8B 45 C0 8B 08 FF 51 3C 57 6A 00 E8 ?? ?? ?? ?? 50 8B 45 C0 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 6A 20 6A 20 8B 4D E8 8B 55 EC 8B 45 C0 8B 38 FF 57 4C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 18 8B D6 8B C7 8B 08 FF 51 3C B2 01 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 55 A0 8B C7 E8 ?? ?? ?? ?? 8B 45 A8 50 8B 45 AC 50 8B 55 D0 2B 55 A8 03 55 EC 8B 4D E8 8B C7 8B 38 FF 57 4C F6 45 F9 04 74 06 C6 45 C7 02 EB 10 F6 45 F9 01 74 06 C6 45 C7 00 EB 04 C6 45 C7 05 F6 45 F9 08 74 06 C6 45 C6 03 EB 10 F6 45 F9 02 74 06 C6 45 C6 01 EB 04 C6 45 C6 02 8B C6 E8 ?? ?? ?? ?? 2B C3 D1 F8 79 03 83 D0 00 89 45 C8 33 DB C7 45 B8 ?? ?? ?? ?? C7 45 B4 ?? ?? ?? ?? C7 45 B0 ?? ?? ?? ?? 8B C3 3C 0F 77 07 83 E0 7F 0F A3 45 F9 0F 83 A9 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 BC 8B 45 B8 8B 10 8B 45 BC 8B 08 FF 51 18 8B D6 8B 45 BC 8B 08 FF 51 3C 8D 55 9C 8B 45 B4 8B 00 E8 ?? ?? ?? ?? 8B 55 9C 8B 45 BC E8 ?? ?? ?? ?? 8B 45 B0 8B 00 8B 55 BC 89 82 20 01 00 00 3A 5D C7 75 0A B2 01 8B 45 BC E8 ?? ?? ?? ?? 3A 5D C6 75 0A 8B 45 BC C6 80 1D 01 00 00 01 8B 45 DC 50 8B 45 D8 50 8B 4D CC 03 4D E8 03 4D E0 8B 55 C8 8B 45 BC 8B 38 FF 57 4C 8B 45 DC 03 45 D4 01 45 C8 80 FB 0A 75 13 8B 45 BC 89 B0 A8 00 00 00 C7 80 A4 00 00 00 ?? ?? ?? ?? 43 83 45 B0 04 83 45 B4 04 83 45 B8 04 80 FB 0B 0F 85 2E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 05 00 00 00 49 6D 61 67 65 00 00 00 FF FF FF FF 07 00 00 00 4D 65 73 73 61 67 65 00 }
	condition:
		$1
}

rule function_6399_0 {
	meta:
		name = "MessageDlg"
		size = 32
		refs = "0017 MessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 51 66 89 4D FE 8B 4D 08 51 6A FF 6A FF 6A 00 66 8B 4D FE E8 ?? ?? ?? ?? 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6400_0 {
	meta:
		name = "MessageDlgPos"
		size = 36
		refs = "001b MessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 51 66 89 4D FE 8B 4D 10 51 8B 4D 0C 51 8B 4D 08 51 6A 00 66 8B 4D FE E8 ?? ?? ?? ?? 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_6401_0 {
	meta:
		name = "MessageDlgPosHelp"
		size = 157
		refs = "001d CreateMessageDialog 0028 MessageDlgPosHelp 004a @LStrAsg 0058 TControl.SetLeft 0066 TControl.SetTop 006e TCustomForm.ShowModal 0086 TObject.Free 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 66 89 4D FD 88 55 FF 8B 75 0C 8B 5D 10 66 8B 4D FD 8A 55 FF E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 55 14 89 90 E0 00 00 00 8B 45 F4 05 44 01 00 00 8B 55 08 E8 ?? ?? ?? ?? 85 DB 7C 0A 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 85 F6 7C 0A 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_6402_0 {
	meta:
		name = "ShowMessage"
		size = 12
		refs = "0007 ShowMessagePos"
	strings:
		$1 = { 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6403_0 {
	meta:
		name = "ShowMessageFmt"
		size = 107
		refs = "0020 ShowMessageFmt 0035 Format 003d ShowMessage 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 03 DB 43 8B 34 9A 4B 56 79 F9 8B D4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_6404_0 {
	meta:
		name = "ShowMessagePos"
		size = 24
		refs = "0009 ShowMessagePos 000e MessageDlgPos"
	strings:
		$1 = { 6A 00 52 51 B2 04 66 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_6405_0 {
	meta:
		name = "InputQuery"
		size = 746
		refs = "001d InputQuery 002d Application 0036 _Dn_TForm 003b TCustomForm.Create 0054 TCustomForm.GetCanvas 005f TCanvas.SetFont 006f _NF__328 0079 TCustomForm.SetBorderStyle 0083 TControl.SetText 0093 MulDiv 009d TCustomForm.SetClientWidth 00b4 TCustomForm.SetClientHeight 00be TCustomForm.SetPosition 00c8 _Dn_TLabel 00cd TCustomLabel.Create 00f8 TControl.SetLeft 010b TControl.SetTop 011f _Dn_TEdit 0124 TCustomEdit.Create 0166 TControl.SetWidth 0172 TCustomEdit.SetMaxLength 0185 TCustomEdit.SelectAll 01b8 _Dn_TButton 01bd TButton.Create 01d1 SMsgDlgOK 01d6 LoadResString 01f3 TButton.SetDefault 0236 SMsgDlgCancel 027e TCustomForm.ShowModal 028b TControl.GetText 0296 @LStrAsg 02af TObject.Free 02b5 @HandleFinally 02cc @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 52 50 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? B2 03 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 6A 04 8B 45 E8 50 68 B4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 6A 08 8B 7D EC 57 6A 3F E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? B2 04 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 F0 8B C6 8B 08 FF 51 3C B2 01 8B C6 8B 08 FF 51 5C 6A 04 8B 45 E8 50 6A 08 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 6A 08 57 6A 08 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 F0 8B C3 8B 08 FF 51 3C 8B 56 30 8B C3 E8 ?? ?? ?? ?? 6A 08 57 6A 13 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 04 8B 45 E8 50 68 A4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? BA FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 12 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 08 57 6A 29 E8 ?? ?? ?? ?? 8B F0 6A 04 8B 45 E8 50 6A 32 E8 ?? ?? ?? ?? 89 45 E4 6A 08 57 6A 0E E8 ?? ?? ?? ?? 89 45 E0 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 55 F0 8B C7 8B 08 FF 51 3C 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C7 E8 ?? ?? ?? ?? C7 87 20 01 00 00 01 00 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 E0 50 6A 04 8B 45 E8 50 6A 26 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C7 8B 38 FF 57 4C 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 55 F0 8B C7 8B 08 FF 51 3C 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C7 E8 ?? ?? ?? ?? C7 87 20 01 00 00 02 00 00 00 C6 87 1D 01 00 00 01 8B 45 E4 50 8B 45 E0 50 6A 04 8B 45 E8 50 6A 5C E8 ?? ?? ?? ?? 8B D0 8B CE 8B C7 8B 30 FF 56 4C 8B 45 F0 E8 ?? ?? ?? ?? 48 75 19 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6406_0 {
	meta:
		name = "InputBox"
		size = 46
		refs = "0017 @LStrLAsg 0022 InputQuery"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6407_0 {
	meta:
		name = "_NF__35D"
		size = 156
		refs = "0004 _NF__35D 0009 RegisterWindowMessage 000e _NV__268 001d _NV__269 0024 HInstance 0034 GetCurrentThreadId 004f StrFmt 0055 GlobalAddAtom 005b _NV__26A"
	strings:
		$1 = { 83 C4 D0 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 01 A1 ?? ?? ?? ?? 8B 00 89 44 24 24 C6 44 24 28 00 E8 ?? ?? ?? ?? 89 44 24 2C C6 44 24 30 00 8D 4C 24 24 BA ?? ?? ?? ?? 8D 44 24 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 83 C4 30 C3 00 63 6F 6D 6D 64 6C 67 5F 68 65 6C 70 00 00 00 00 63 6F 6D 6D 64 6C 67 5F 46 69 6E 64 52 65 70 6C 61 63 65 00 57 6E 64 50 72 6F 63 50 74 72 25 2E 38 58 25 2E 38 58 00 00 }
	condition:
		$1
}

rule function_6409_0 {
	meta:
		name = "Finalization"
		size = 91
		refs = "0007 Finalization 0013 _NV__266 001c _NV__26A 002b GlobalDeleteAtom 0030 _NV__32F 003b String 0040 @FinalizeArray 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2B 66 83 3D ?? ?? ?? ?? 00 74 0C 66 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6410_0 {
	meta:
		name = "Dialogs"
		size = 25
		refs = "0002 _NV__266 000a _NF__35E 000f @InitImports 0014 _NF__35D"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6411_0 {
	meta:
		name = "TDirectoryOutline.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TCustomOutline.Create 0023 TCustomOutline.GetPicture 0031 TCustomOutline.SetPicture 0037 TDirectoryOutline.Create 003e TCustomOutline.SetOutlineOptions 0047 TDirectoryOutline.SetTextCase 004e TDirectoryOutline.AssignCaseProc"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_6412_0 {
	meta:
		name = "TDirectoryOutline.AssignCaseProc"
		size = 48
		refs = "0010 AnsiLowerCaseFileName 001c AnsiUpperCaseFileName"
	strings:
		$1 = { 8A 90 14 02 00 00 80 EA 01 72 04 74 0E EB 18 BA ?? ?? ?? ?? 89 90 18 02 00 00 C3 BA ?? ?? ?? ?? 89 90 18 02 00 00 C3 33 D2 89 90 18 02 00 00 C3 }
	condition:
		$1
}

rule function_6413_0 {
	meta:
		name = "TDirectoryOutline.FindIndex"
		size = 204
		refs = "0015 @LStrAddRef 001d TDirectoryOutline.FindIndex 002a TOutlineNode.GetFirstChild 003b TCustomOutline.Get 0046 @LStrCmp 004f TOutlineNode.GetLastChild 00b7 @LStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B F2 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 71 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 76 5A 8B C6 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 72 05 83 CB FF EB 35 8D 34 1F D1 FE 79 03 83 D6 00 3B DE 75 01 46 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 76 04 8B DE EB 02 8B FE 8B C7 48 3B D8 7C CD 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6414_0 {
	meta:
		name = "TDirectoryOutline.BuildOneLevel"
		size = 564
		refs = "0019 TDirectoryOutline.BuildOneLevel 0025 _NT__C7 002f @New 004e TCustomOutline.Get 0056 TOutlineNode.GetFullPath 0060 @LStrAsg 006c AnsiPos 007f @LStrDelete 0086 AnsiLastChar 0093 @_CToPasStr 00a8 @AStrCmp 00b6 @LStrCat 00d1 FindFirst 0104 TDirectoryOutline.ForceCase 0129 TOutlineNode.HasChildren 013d TDirectoryOutline.FindIndex 015c TCustomOutline.Insert 016f TOutlineNode.GetLastChild 017b TCustomOutline.Add 018f TCustomOutline.AddChild 019d FindNext 01db @Dispose 01e1 @HandleFinally 01f8 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 C9 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 6C 01 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B D8 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0F 8D 50 02 8B C3 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B D0 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF BA ?? ?? ?? ?? 33 C9 8A 08 41 E8 ?? ?? ?? ?? 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4B 04 8B 03 BA 10 00 00 00 E8 ?? ?? ?? ?? 89 83 5C 01 00 00 E9 C7 00 00 00 8B 43 0C 83 E0 10 83 F8 10 0F 85 AA 00 00 00 8B 43 10 80 38 2E 0F 84 9E 00 00 00 8D 4D F8 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 10 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 89 83 60 01 00 00 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 56 8B 4B 10 8B 93 60 01 00 00 8B C6 E8 ?? ?? ?? ?? 89 83 64 01 00 00 83 BB 64 01 00 00 FF 74 18 8B 4B 10 8B 93 64 01 00 00 8B C6 E8 ?? ?? ?? ?? 89 83 68 01 00 00 EB 31 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4B 10 8B C6 E8 ?? ?? ?? ?? 89 83 68 01 00 00 EB 12 8B 4B 10 8B D7 8B C6 E8 ?? ?? ?? ?? 89 83 68 01 00 00 8D 43 04 E8 ?? ?? ?? ?? 89 83 5C 01 00 00 83 BB 5C 01 00 00 00 0F 84 2C FF FF FF 8B D7 8B C6 E8 ?? ?? ?? ?? C7 40 0C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 03 00 00 00 3A 5C 5C 00 01 5C 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 FF FF FF FF 03 00 00 00 2A 2E 2A 00 }
	condition:
		$1
}

rule function_6415_0 {
	meta:
		name = "TDirectoryOutline.BuildTree"
		size = 160
		refs = "000e TDirectoryOutline.BuildTree 001b TCustomOutline.Clear 0029 @LStrFromChar 0036 @LStrCat 0043 TDirectoryOutline.ForceCase 004f TCustomOutline.AddChild 005c TDirectoryOutline.WalkTree 0080 @LStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8A 93 04 02 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 93 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 FF FF FF FF 02 00 00 00 3A 5C 00 00 }
	condition:
		$1
}

rule function_6416_0 {
	meta:
		name = "TDirectoryOutline.BuildSubTree"
		size = 76
		refs = "0018 TCustomOutline.Get 0021 TOutlineNode.GetFirstChild 003d TOutlineNode.GetNextChild"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 8B 08 FF 91 90 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 1C 8B D3 8B C6 8B 08 FF 91 98 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6417_0 {
	meta:
		name = "TDirectoryOutline.Change"
		size = 29
	strings:
		$1 = { 53 66 83 B8 0E 02 00 00 00 74 10 8B D8 8B D0 8B 83 10 02 00 00 FF 93 0C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_6418_0 {
	meta:
		name = "TDirectoryOutline.Click"
		size = 144
		refs = "000c TDirectoryOutline.Click 0019 TCustomOutline.Click 0020 TCustomOutline.GetSelectedItem 0029 TCustomOutline.Get 0031 TOutlineNode.GetFullPath 003e AnsiPos 0052 @LStrDelete 005c TDirectoryOutline.SetDirectory 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 10 8D 50 02 8D 45 FC B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FF FF FF FF 03 00 00 00 3A 5C 5C 00 }
	condition:
		$1
}

rule function_6419_0 {
	meta:
		name = "TDirectoryOutline.CreateWnd"
		size = 162
		refs = "000e TDirectoryOutline.CreateWnd 001b TWinControl.CreateWnd 002e @LGetDir 003b TDirectoryOutline.ForceCase 0061 @LStrAsg 0091 @LStrArrayClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 04 02 00 00 00 75 3D 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8A 00 88 83 04 02 00 00 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 08 02 00 00 E8 ?? ?? ?? ?? F6 43 20 01 75 10 F6 43 20 10 74 0A 8B C3 8B 10 FF 92 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6420_0 {
	meta:
		name = "TDirectoryOutline.Expand"
		size = 45
		refs = "000b TCustomOutline.Get 0026 TCustomOutline.Expand"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 78 0C 00 75 0C 8B D6 8B C3 8B 08 FF 91 90 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6421_0 {
	meta:
		name = "TDirectoryOutline.ForceCase"
		size = 43
		refs = "0023 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 83 BB 18 02 00 00 00 74 0C 8B D7 8B C6 FF 93 18 02 00 00 EB 09 8B C7 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6422_0 {
	meta:
		name = "TDirectoryOutline.Loaded"
		size = 29
		refs = "0006 TCustomOutline.Loaded 000d TDirectoryOutline.AssignCaseProc"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 94 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6423_0 {
	meta:
		name = "TDirectoryOutline.SetDirectory"
		size = 404
		refs = "001b TDirectoryOutline.SetDirectory 0028 @LStrLen 004a @LStrCopy 0057 @LStrCmp 0065 TDirectoryOutline.ForceCase 0071 ExpandFileName 0093 AnsiLastChar 00a0 @_CToPasStr 00b5 @AStrCmp 00ca @LStrSetLength 00d8 AnsiCompareFileName 00ea @LStrAsg 00f5 @ChDir 00fa @_IOTest 0110 TDirectoryOutline.SetDrive 014d TDirectoryOutline.WalkTree 0171 @LStrArrayClr 0177 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 C9 89 4D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E 27 01 00 00 8D 45 F8 50 8B C6 E8 ?? ?? ?? ?? 8B D0 4A B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 F8 03 7E 3F 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF BA ?? ?? ?? ?? 33 C9 8A 08 41 E8 ?? ?? ?? ?? 75 13 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 8D 45 FC E8 ?? ?? ?? ?? 8B 93 08 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 7B 8D 83 08 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 83 08 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8A 00 3A 83 04 02 00 00 74 0B 8B D0 8B C3 E8 ?? ?? ?? ?? EB 45 8D 45 F8 50 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B D0 4A B9 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 FF FF FF FF 02 00 00 00 3A 5C 00 00 01 5C 00 00 }
	condition:
		$1
}

rule function_6424_0 {
	meta:
		name = "TDirectoryOutline.SetDrive"
		size = 220
		refs = "0011 TDirectoryOutline.SetDrive 001e UpCase 003a SameLetter 0052 @LStrFromChar 005f @LStrCat 0067 @ChDir 006c @_IOTest 0076 @LGetDir 0083 TDirectoryOutline.ForceCase 0091 @LStrAsg 00bb @LStrArrayClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 04 BF 2C 1A 73 7D 80 BE 04 02 00 00 00 74 11 8A 96 04 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 63 88 9E 04 02 00 00 8D 45 F8 8A 96 04 02 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 86 08 02 00 00 E8 ?? ?? ?? ?? F6 46 20 01 75 0A 8B C6 8B 10 FF 92 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 02 00 00 00 3A 5C 00 00 }
	condition:
		$1
}

rule function_6425_0 {
	meta:
		name = "TDirectoryOutline.SetTextCase"
		size = 136
		refs = "000f TDirectoryOutline.SetTextCase 002a TDirectoryOutline.AssignCaseProc 0039 @LGetDir 0052 @LStrAsg 0077 @LStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E 14 02 00 00 74 45 88 9E 14 02 00 00 8B C6 E8 ?? ?? ?? ?? 80 FB 02 75 23 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 8A 00 88 86 04 02 00 00 8D 86 08 02 00 00 8B 55 FC E8 ?? ?? ?? ?? F6 46 20 01 75 0A 8B C6 8B 10 FF 92 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6426_0 {
	meta:
		name = "_NF__EB"
		size = 114
		refs = "0017 TCustomOutline.Get 001e TOutlineNode.SetExpandedState 0030 TOutlineNode.GetFirstChild 004a @LStrCmp 0060 TOutlineNode.GetNextChild"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B 7D 08 83 C7 FC 8B 45 08 8B 50 F8 8B 07 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F8 8B 07 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 30 8B 07 8B D3 E8 ?? ?? ?? ?? 8B 40 08 8B D6 E8 ?? ?? ?? ?? 74 1B 8B 45 08 8B 50 F8 8B 07 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 D0 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6427_0 {
	meta:
		name = "TDirectoryOutline.WalkTree"
		size = 332
		refs = "0018 TDirectoryOutline.WalkTree 0032 TDirectoryOutline.ForceCase 003f @LStrPos 005e @LStrLen 0069 @LStrCopy 0083 @LStrDelete 008e @LStrLAsg 009d AnsiPos 00e5 @LStrClr 00ee _NF__EB 0109 TCustomOutline.SetSelectedItem 0123 @LStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 01 00 00 00 8D 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 26 8D 45 F4 50 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 F4 5A E8 ?? ?? ?? ?? 8B 45 F4 80 38 5C 75 12 8D 45 F4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? EB 62 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 2F 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8D 53 01 8B 45 F4 E8 ?? ?? ?? ?? EB 13 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 55 8B 45 F0 E8 ?? ?? ?? ?? 59 89 45 F8 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7F 92 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 3A 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_6428_0 {
	meta:
		name = "SameLetter"
		size = 33
		refs = "000a UpCase"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8A 44 24 04 E8 ?? ?? ?? ?? 5A 3A D0 0F 94 C0 5A 5B C3 }
	condition:
		$1
}

rule function_6433_0 {
	meta:
		name = "QualifyTableName"
		size = 232
		refs = "0018 QualifyTableName 0027 @LStrLAsg 0041 @LStrPos 0062 DbiGetProp 009d NativeToAnsi 00b2 @LStrCatN 00c7 @LStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B D6 E8 ?? ?? ?? ?? 85 DB 0F 84 83 00 00 00 83 7B 38 00 74 7D 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 6D 33 C0 89 45 FC 8D 45 FA 50 6A 04 8D 45 FC 50 68 09 00 04 04 8B 43 38 50 E8 ?? ?? ?? ?? 66 85 C0 74 05 33 C0 89 45 FC 83 7D FC 00 74 40 8D 45 FA 50 6A 20 8D 45 D4 50 68 08 00 04 04 8B 43 38 50 E8 ?? ?? ?? ?? 66 85 C0 75 23 8D 4D F4 8D 55 D4 8B 43 3C E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 56 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_6434_0 {
	meta:
		name = "QualifyTableNameByName"
		size = 78
		refs = "0014 @LStrLAsg 001b Sessions 0024 TSessionList.FindSession 0030 TSession.FindDatabase 0042 QualifyTableName"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B F8 8B 45 08 8B D6 E8 ?? ?? ?? ?? 33 DB A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 85 C0 74 0A 8B 55 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 0C 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6435_0 {
	meta:
		name = "_NF__17F"
		size = 140
		refs = "0012 _NV__17D 0017 TBDEDataSet.Create 0022 _NF__17F 0040 @LStrAsg 005e TDataSet.Open 006d @HandleAnyException 0075 TObject.Free 007a @RaiseAgain 007f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 DC 01 00 00 8B 45 FC 05 E0 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 8B 17 89 90 E4 01 00 00 66 8B 57 04 66 89 90 E8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6436_0 {
	meta:
		name = "_NF__180"
		size = 156
		refs = "0013 _NF__180 0028 TDataSet.GetFieldValue 0030 @VarToInt 0062 @VarClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 89 06 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 66 89 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 FF FF FF FF 09 00 00 00 44 45 53 54 4F 42 4A 49 44 00 00 00 FF FF FF FF 0A 00 00 00 44 45 53 54 4F 42 4A 56 45 52 00 00 }
	condition:
		$1
}

rule function_6437_0 {
	meta:
		name = "_NF__181"
		size = 168
		refs = "001c _NF__181 002d @VarFromInt 003c TDataSet.SetFieldValue 006c @VarClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8D 7D F8 A5 66 A5 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 0F B7 55 FC E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 08 00 00 00 53 52 43 4F 42 4A 49 44 00 00 00 00 FF FF FF FF 09 00 00 00 53 52 43 4F 42 4A 56 45 52 00 00 00 }
	condition:
		$1
}

rule function_6438_0 {
	meta:
		name = "_NF__182"
		size = 168
		refs = "001c _NF__182 002d @VarFromInt 003c TDataSet.SetFieldValue 006c @VarClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8D 7D F8 A5 66 A5 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 0F B7 55 FC E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 09 00 00 00 44 45 53 54 4F 42 4A 49 44 00 00 00 FF FF FF FF 0A 00 00 00 44 45 53 54 4F 42 4A 56 45 52 00 00 }
	condition:
		$1
}

rule function_6439_0 {
	meta:
		name = "_NF__183"
		size = 64
		refs = "0023 @LStrToPChar 0030 DbiDROpenRelSet 0035 Check"
	strings:
		$1 = { 53 56 51 8B D8 33 F6 83 BB E4 01 00 00 00 74 06 8D B3 E4 01 00 00 54 6A 00 6A 00 56 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 DC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6440_0 {
	meta:
		name = "_NF__184"
		size = 13
		altNames = "_NF__185"
	strings:
		$1 = { 8B 08 89 0A 66 8B 48 04 66 89 4A 04 C3 }
	condition:
		$1
}

rule function_6442_0 {
	meta:
		name = "_NF__188"
		size = 93
		refs = "000c _Dn_TDRObjectList 0011 TBDEDataSet.Create 001c _NF__188 0031 @LStrAsg 0040 @HandleAnyException 0048 TObject.Free 004d @RaiseAgain 0052 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 E0 01 00 00 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5B 59 5D C3 }
	condition:
		$1
}

rule function_6443_0 {
	meta:
		name = "_NF__189"
		size = 132
		refs = "000a @ClassCreate 0013 _NF__189 0018 _NF__188"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 FF FF FF FF 08 00 00 00 45 58 54 46 49 45 4C 44 00 00 00 00 FF FF FF FF 08 00 00 00 44 41 54 41 42 41 53 45 00 00 00 00 FF FF FF FF 05 00 00 00 46 49 45 4C 44 00 00 00 }
	condition:
		$1
}

rule function_6444_0 {
	meta:
		name = "_NF__18A"
		size = 46
		refs = "000a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6445_0 {
	meta:
		name = "CurrentDictionary"
		size = 129
		refs = "000b Session 0012 TSession.GetHandle 0018 DbiGetObjFromObj 001d Check 002b CurrentDictionary 0052 DbiOpenSessionRepository 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8D 45 FC 50 6A 09 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 54 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 C6 40 46 01 8D 45 FC 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 C6 40 46 00 C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 59 5D C3 }
	condition:
		$1
}

rule function_6446_0 {
	meta:
		name = "_NF__18C"
		size = 139
		refs = "000e CurrentDictionary 001f TDataSet.Close 0030 TDataSet.Open"
	strings:
		$1 = { 53 56 8B D8 3A 53 14 74 7F 84 D2 74 5F E8 ?? ?? ?? ?? 8B F0 89 73 04 85 F6 74 6D 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 8B 53 04 89 90 DC 01 00 00 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 8B 53 04 89 90 DC 01 00 00 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C 8B 53 04 89 90 DC 01 00 00 E8 ?? ?? ?? ?? C6 43 14 01 EB 1C C6 43 14 00 8B 43 10 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6447_0 {
	meta:
		name = "_NF__18D"
		size = 75
		refs = "0019 _NF__18E 002a DbiDRGetObjID 0032 NullID"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 57 8B 86 2C 01 00 00 50 E8 ?? ?? ?? ?? EB 13 8B 05 ?? ?? ?? ?? 89 07 66 8B 05 ?? ?? ?? ?? 66 89 47 04 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6448_0 {
	meta:
		name = "_NF__18E"
		size = 164
		refs = "0018 _NF__18E 0027 TDataSet.First 0038 TDataSet.GetFieldValue 0043 @VarToLStr 004d AnsiCompareText 0058 TDataSet.Next 0075 @VarClr 007d @LStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B C7 E8 ?? ?? ?? ?? EB 2F 8D 4D EC BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C7 E8 ?? ?? ?? ?? 80 7F 59 00 74 CB 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 04 00 00 00 4E 61 6D 65 00 00 00 00 }
	condition:
		$1
}

rule function_6449_0 {
	meta:
		name = "_NF__18F"
		size = 45
		refs = "0015 _NF__18D"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 8B 4B 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 07 66 8B 44 24 04 66 89 47 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6450_0 {
	meta:
		name = "_NF__190"
		size = 244
		refs = "0016 IsNullID 0020 NullTableID 003b _Dn_TDRObjectList 0040 TBDEDataSet.Create 004b _NF__190 006f @LStrAsg 007e TDRObjectList.NavigateFrom 0086 TDataSet.Open 0097 _NF__18D 00b9 TObject.Free 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 8B 05 ?? ?? ?? ?? 89 07 66 8B 05 ?? ?? ?? ?? 66 89 47 04 E9 8F 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 55 F8 89 82 DC 01 00 00 8B 45 F8 05 E0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 07 66 8B 45 F4 66 89 47 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 FF FF FF FF 05 00 00 00 54 41 42 4C 45 00 00 00 FF FF FF FF 08 00 00 00 44 42 54 41 42 4C 45 53 00 00 00 00 }
	condition:
		$1
}

rule function_6451_0 {
	meta:
		name = "_NF__191"
		size = 244
		refs = "0016 IsNullID 0020 NullFieldID 003b _Dn_TDRObjectList 0040 TBDEDataSet.Create 004b _NF__191 006f @LStrAsg 007e TDRObjectList.NavigateFrom 0086 TDataSet.Open 0097 _NF__18D 00b9 TObject.Free 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 8B 05 ?? ?? ?? ?? 89 07 66 8B 05 ?? ?? ?? ?? 66 89 47 04 E9 8F 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 55 F8 89 82 DC 01 00 00 8B 45 F8 05 E0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 07 66 8B 45 F4 66 89 47 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 FF FF FF FF 05 00 00 00 46 49 45 4C 44 00 00 00 FF FF FF FF 09 00 00 00 54 41 42 4C 45 46 4C 44 53 00 00 00 }
	condition:
		$1
}

rule function_6452_0 {
	meta:
		name = "_NF__192"
		size = 45
		refs = "0015 _NF__18D"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 8B 4B 10 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 07 66 8B 44 24 04 66 89 47 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6453_0 {
	meta:
		name = "_NF__193"
		size = 149
		refs = "001a _NF__184 0027 _NF__17F 0032 _NF__193 004c _NF__180 0056 _NF__185 005e NullID 0080 TObject.Free 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B 43 04 8B D7 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 78 59 00 75 17 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? EB 13 8B 05 ?? ?? ?? ?? 89 06 66 8B 05 ?? ?? ?? ?? 66 89 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6454_0 {
	meta:
		name = "_NF__194"
		size = 100
		refs = "000f IsNullID 001b _NF__194 0022 _NF__193 0038 NullAttrID"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 54 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 07 66 8B 44 24 04 66 89 47 04 EB 13 8B 05 ?? ?? ?? ?? 89 07 66 8B 05 ?? ?? ?? ?? 66 89 47 04 59 5A 5F 5E 5B C3 00 FF FF FF FF 0B 00 00 00 46 4C 44 45 58 54 46 49 45 4C 44 00 }
	condition:
		$1
}

rule function_6455_0 {
	meta:
		name = "_NF__195"
		size = 152
		refs = "0012 _NF__195 0020 TDataSet.First 0031 TDataSet.GetFieldValue 003c @VarToLStr 004d TDataSet.Next 006b @VarClr 0073 @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 E8 ?? ?? ?? ?? EB 2B 8D 4D EC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C FF 55 08 8B 43 10 E8 ?? ?? ?? ?? 8B 73 10 80 7E 59 00 74 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 04 00 00 00 4E 41 4D 45 00 00 00 00 }
	condition:
		$1
}

rule function_6456_0 {
	meta:
		name = "_NF__196"
		size = 72
		refs = "0010 _NF__196 0017 _NF__193"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 07 66 8B 44 24 04 66 89 47 04 59 5A 5F 5E 5B C3 00 FF FF FF FF 0E 00 00 00 50 41 52 45 4E 54 45 58 54 46 49 45 4C 44 00 00 }
	condition:
		$1
}

rule function_6457_0 {
	meta:
		name = "_NF__197"
		size = 40
		refs = "0004 _NF__197 0009 _NF__199"
	strings:
		$1 = { 51 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 FF FF FF FF 0E 00 00 00 50 41 52 45 4E 54 45 58 54 46 49 45 4C 44 00 00 }
	condition:
		$1
}

rule function_6458_0 {
	meta:
		name = "_NF__198"
		size = 200
		refs = "0019 _NF__198 0027 TDataSet.Append 002f TDataSet.GetFieldCount 0047 TDataSet.GetField 005e @VarFromLStr 006e TDataSet.SetFieldValue 008c DbiDRGetObjID 00a1 @VarClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B F0 4E 83 EE 02 7C 1C 46 BF 02 00 00 00 8B D7 8B 43 10 E8 ?? ?? ?? ?? 8B 10 FF 92 8C 00 00 00 47 4E 75 EA 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 8B 10 FF 92 A0 01 00 00 8B 45 08 50 8B 43 10 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 FF FF FF FF 04 00 00 00 4E 61 6D 65 00 00 00 00 }
	condition:
		$1
}

rule function_6459_0 {
	meta:
		name = "_NF__199"
		size = 174
		refs = "0015 _NF__184 0022 _NF__17F 002d _NF__199 003d TDataSet.Delete 004e TDataSet.Append 0063 _NF__181 0079 _NF__182 0099 TObject.Free 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 4D F4 8B 43 04 8B D7 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 59 00 74 EF 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 08 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6460_0 {
	meta:
		name = "_NF__19A"
		size = 36
		refs = "0004 _NF__19A 0009 _NF__199"
	strings:
		$1 = { 51 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 FF FF FF FF 0B 00 00 00 46 4C 44 45 58 54 46 49 45 4C 44 00 }
	condition:
		$1
}

rule function_6461_0 {
	meta:
		name = "_NF__19B"
		size = 132
		refs = "0012 _NF__184 001d _NF__19B 0022 _NF__17F 003d TDataSet.Delete 005b TObject.Free 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 8B D8 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 4D F4 8B 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 59 00 74 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 0B 00 00 00 46 4C 44 45 58 54 46 49 45 4C 44 00 }
	condition:
		$1
}

rule function_6462_0 {
	meta:
		name = "_NF__19C"
		size = 68
		refs = "000e _NF__184 001e DbiDRSetToObjID 0023 Check 0029 _NF__19C"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 54 8B 43 10 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 43 10 8B 08 FF 91 A4 01 00 00 59 5A 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_6463_0 {
	meta:
		name = "_NF__19D"
		size = 68
		refs = "000e _NF__184 001e DbiDRSetToObjID 0023 Check 0029 _NF__19D"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 54 8B 43 0C 8B 80 2C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 43 0C 8B 08 FF 91 A4 01 00 00 59 5A 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_6464_0 {
	meta:
		name = "_NF__19F"
		size = 341
		refs = "0022 @VarAddRef 002a _NF__19F 0084 @VarToInt 008f GetTypeData 00a3 Boolean 00c4 SetOrdProp 00ce @VarToReal 00de SetFloatProp 00eb @VarToLStr 00f7 SetStrProp 0105 SetVariantProp 0114 @HandleOnException 011c _Dn_EVariantError 0125 @DoneExcept 013a @LStrClr 0142 @VarClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B DA 8B F8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 03 8B 00 0F B6 00 83 F8 0C 0F 87 B7 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 01 01 02 03 00 00 00 01 03 03 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B F0 8B 03 8B 00 E8 ?? ?? ?? ?? 8B 13 8B 12 80 3A 03 75 17 8B 50 09 8B 12 3B 15 ?? ?? ?? ?? 75 0A 85 F6 0F 95 C2 83 E2 7F 8B F2 3B 70 01 7C 51 3B 70 05 7F 4C 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? EB 3F 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D3 8B C7 E8 ?? ?? ?? ?? EB 25 8D 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 4D EC 8B D3 8B C7 E8 ?? ?? ?? ?? EB 0C 8D 4D F0 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6465_0 {
	meta:
		name = "_NF__1A0"
		size = 262
		refs = "0012 _NF__1A0 0063 GetOrdProp 006c @VarFromInt 0077 GetTypeData 0080 Boolean 0094 @VarFromBool 00b3 GetFloatProp 00ba @VarFromReal 00c8 GetStrProp 00d2 @VarFromLStr 00df GetVariantProp 00f4 @LStrClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 00 0F B6 00 83 F8 0C 0F 87 B7 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 01 02 03 04 00 00 00 01 04 04 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 71 8B 03 8B 00 E8 ?? ?? ?? ?? 8B 40 09 3B 05 ?? ?? ?? ?? 75 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 49 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 35 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 23 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 0B 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6466_0 {
	meta:
		name = "_NF__1A1"
		size = 184
		refs = "001a _NF__1A1 0050 @VarFromInt 0059 GetTypeData 0062 Boolean 006e @VarFromBool 0089 @VarFromCurr 0094 @VarFromLStr 009e Unassigned 00a3 @VarCopy"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 03 8B 38 33 C0 8A 07 83 F8 0C 0F 87 8F 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 01 02 03 04 00 00 00 01 04 04 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 8B 53 14 E8 ?? ?? ?? ?? EB 51 8B C7 E8 ?? ?? ?? ?? 8B 40 09 3B 05 ?? ?? ?? ?? 75 0C 8B C6 8A 53 14 E8 ?? ?? ?? ?? EB 33 8B C6 8B 53 14 E8 ?? ?? ?? ?? EB 27 DB 2D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 18 8B C6 33 D2 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6469_0 {
	meta:
		name = "_NF__1A8"
		size = 236
		refs = "001d @VarAddRef 0025 _NF__1A8 0034 _NF__1B2 003e _NT__1A5 0048 @New 0063 @LStrAsg 0071 @VarCopy 007c TList.Add 008b @HandleAnyException 0099 @Dispose 009e @DoneExcept 00a9 TList.Get 00d9 @VarClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8D 7D EC B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 68 8B 15 ?? ?? ?? ?? B8 14 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 8D 55 EC E8 ?? ?? ?? ?? 8B 43 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3E E9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8B 53 04 92 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 8D 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6470_0 {
	meta:
		name = "_NF__1A9"
		size = 138
		refs = "0017 _NF__1A9 0024 _NF__1AE 003a _NF__1B0 004a _NF__1AF 0056 _NF__1A8 006f @LStrClr 0077 @VarClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 DB 8D 4D EC 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 4D E8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 59 E8 ?? ?? ?? ?? 43 4E 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6472_0 {
	meta:
		name = "_NF__1AB"
		size = 40
		refs = "000c TList.Get 0012 _NT__1A5 0017 @Dispose 0021 TList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6474_0 {
	meta:
		name = "_NF__1AD"
		size = 68
		refs = "000d Null 0012 @VarCopy 001b _NF__1AC 0032 TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 1D 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 04 E8 ?? ?? ?? ?? 8D 50 04 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6476_0 {
	meta:
		name = "_NF__1AF"
		size = 32
		refs = "000f TList.Get 0018 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 10 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6477_0 {
	meta:
		name = "_NF__1B0"
		size = 33
		refs = "000f TList.Get 0019 @VarCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8D 50 04 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6478_0 {
	meta:
		name = "_NF__1B1"
		size = 87
		refs = "0011 @LStrAddRef 0019 _NF__1B1 0029 TList.Get 0031 @LStrAsg 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6479_0 {
	meta:
		name = "_NF__1B2"
		size = 61
		refs = "001c TList.Get 0025 CompareText"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 04 8B 70 08 4E 85 F6 7C 22 46 33 DB 8B D3 8B 47 04 E8 ?? ?? ?? ?? 8B 10 8B C5 E8 ?? ?? ?? ?? 85 C0 75 04 8B C3 EB 07 43 4E 75 E1 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6480_0 {
	meta:
		name = "_NF__1B3"
		size = 25
		refs = "0006 _NF__1B2 0013 _NF__1AB"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6484_0 {
	meta:
		name = "_NF__1BB"
		size = 125
		refs = "000f _NT__1B7 0019 @New 0024 _NF__1BB 0034 @LStrAsg 004c TList.Add 005b @HandleAnyException 0069 @Dispose 006e @RaiseAgain 0073 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 15 ?? ?? ?? ?? B8 08 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 43 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6485_0 {
	meta:
		name = "_NF__1BC"
		size = 93
		refs = "0024 TList.Get 0030 CompareText 0040 @LStrLAsg"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 8B 45 04 8B 70 08 4E 85 F6 7C 2F 46 33 FF 8B 45 04 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 14 24 8B 03 E8 ?? ?? ?? ?? 85 C0 75 0E 8B 44 24 04 8B 53 04 E8 ?? ?? ?? ?? EB 10 47 4E 75 D4 8B 44 24 04 8B 14 24 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6486_0 {
	meta:
		name = "_NF__1BD"
		size = 93
		refs = "0024 TList.Get 0031 CompareText 0040 @LStrLAsg"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 8B 45 04 8B 70 08 4E 85 F6 7C 2F 46 33 FF 8B 45 04 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 14 24 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 44 24 04 8B 13 E8 ?? ?? ?? ?? EB 10 47 4E 75 D4 8B 44 24 04 8B 14 24 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6487_0 {
	meta:
		name = "_NF__1C0"
		size = 289
		refs = "001c _NF__1C0 0029 TObject.ClassInfo 002e GetTypeData 004a @GetMem 006a GetPropInfos 009d IsStoredProp 00ad _NF__1A0 00bc @LStrFromString 00c8 _NF__1A8 00e9 @FreeMem 00ef @HandleFinally 0106 @LStrClr 010e @VarClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF 40 08 89 45 F4 83 7D F4 00 0F 8E B2 00 00 00 8B 45 F4 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 75 F4 4E 85 F6 7C 5C 46 C7 45 F8 00 00 00 00 8B 45 F0 8B 55 F8 8B 1C 90 8B 03 8B 00 8A 00 48 2C 05 72 06 04 FD 2C 04 73 34 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 27 8D 4D E0 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 45 DC 8D 53 1A E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 59 E8 ?? ?? ?? ?? FF 45 F8 4E 75 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 C1 E2 02 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6488_0 {
	meta:
		name = "_NF__1C1"
		size = 285
		refs = "001d _NF__1C1 002d TObject.ClassInfo 0032 GetTypeData 004e @GetMem 0071 GetPropInfos 009d IsStoredProp 00ab _NF__1A1 00ba @LStrFromString 00c6 _NF__1A8 00e5 @FreeMem 00eb @HandleFinally 0102 @LStrClr 010a @VarClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF 40 08 89 45 F4 83 7D F4 00 0F 8E AA 00 00 00 8B 45 F4 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 75 F4 4E 85 F6 7C 51 46 33 FF 8B 45 F0 8B 1C B8 8B 03 8B 00 8A 00 48 2C 05 72 06 04 FD 2C 04 73 33 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 25 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 45 DC 8D 53 1A E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 59 E8 ?? ?? ?? ?? 47 4E 75 B2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 C1 E2 02 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6489_0 {
	meta:
		name = "_NF__1C2"
		size = 150
		refs = "0018 _NF__1C2 0026 TDataSet.GetFieldCount 003a TDataSet.GetField 004e VarIsNull 006a _NF__1A8 0083 @VarClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 41 46 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 55 E8 8B C3 8B 08 FF 51 4C 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 18 8D 55 E8 8B C3 8B 08 FF 51 4C 8D 4D E8 8B 53 28 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6490_0 {
	meta:
		name = "_NF__1C3"
		size = 314
		refs = "001c _NF__1C3 002a _NF__1AE 004b _NF__1AF 0060 TObject.ClassInfo 0068 GetPropInfo 007c _NF__1B0 0088 _NF__19F 0097 @HandleOnException 009f _Dn_Exception 00d5 SProperty 00da LoadResString 00e9 Exception.CreateFmt 00ee @RaiseExcept 00f3 @DoneExcept 0117 @LStrArrayClr 011f @VarClr 0127 @LStrClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C C8 00 00 00 46 C7 45 F8 00 00 00 00 8D 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8D 4D E4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 61 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 4D D0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 0B 8B 43 04 89 45 DC C6 45 E0 0B 8D 45 D4 50 6A 01 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F8 4E 0F 85 40 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6491_0 {
	meta:
		name = "_NF__1C4"
		size = 156
		refs = "0019 _NF__1C4 0027 _NF__1AE 003f _NF__1AF 004a TDataSet.FindField 005d _NF__1B0 0082 @VarClr 008a @LStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 41 40 89 45 F4 33 F6 8D 4D F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 74 17 8D 4D E0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8B C7 8B 08 FF 51 7C 46 FF 4D F4 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_6492_0 {
	meta:
		name = "_NF__1C8"
		size = 95
		refs = "0014 IsNullID 0027 _NV__19E 002c _NF__196 0034 _NF__1C8 0042 _NF__19C 0055 _NF__1C2"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F0 8D 7D FA A5 66 A5 8D 45 FA E8 ?? ?? ?? ?? 84 C0 75 3D 8B 45 08 50 8D 4D F0 8D 55 FA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 59 8D 55 FA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 50 10 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_6493_0 {
	meta:
		name = "_NF__1C9"
		size = 130
		refs = "0011 @ClassCreate 0031 _NF__1A6 0039 IsNullID 0045 _NV__19E 004a _NF__19D 005a _NF__1C2 0063 _NF__1C8"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 08 8D 7D F0 A5 66 A5 8B F1 8D 7D F6 A5 66 A5 8B DA 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F6 E8 ?? ?? ?? ?? 84 C0 75 1D 8D 55 F6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 50 0C 8B 45 FC E8 ?? ?? ?? ?? 55 8D 45 F0 E8 ?? ?? ?? ?? 59 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6494_0 {
	meta:
		name = "_NF__1CA"
		size = 128
		refs = "0010 _NF__1CA 001d _NF__1AE 0033 _NF__1AF 003e _NV__1C5 0043 _NF__1BD 004f _NF__1B1 006d @LStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2F 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 4F 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6495_0 {
	meta:
		name = "_NF__1CB"
		size = 128
		refs = "0010 _NF__1CB 001d _NF__1AE 0033 _NF__1AF 003e _NV__1C5 0043 _NF__1BC 004f _NF__1B1 006d @LStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2F 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 4F 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6496_0 {
	meta:
		name = "_NF__1CC"
		size = 59
		refs = "000b @ClassCreate 001a _NF__1A6 0023 _NF__1C0"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6497_0 {
	meta:
		name = "_NF__1CD"
		size = 59
		refs = "000b @ClassCreate 001a _NF__1A6 0023 _NF__1C1"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6498_0 {
	meta:
		name = "_NF__1CE"
		size = 372
		refs = "001c _NF__1CE 002a _NF__1AE 0045 _NF__1AF 0052 CompareText 0096 _NF__1B2 00b8 _NF__1B0 00d2 @VarCmp 00e2 TList.Get 00eb Null 00f0 @VarCopy 00ff @HandleOnException 0107 _Dn_EVariantError 0110 @DoneExcept 0133 Variant 013d @FinalizeArray 0145 @LStrClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 83 F8 00 0F 8C E9 00 00 00 89 45 F4 8D 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 B6 00 00 00 8D 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 93 00 00 00 8D 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 46 8D 4D E0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 50 8D 4D D0 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D0 58 E8 ?? ?? ?? ?? 75 1C 8B 45 FC 8B 40 04 8B 55 F4 E8 ?? ?? ?? ?? 83 C0 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4D F4 83 7D F4 FF 0F 85 1A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 FF FF FF FF 04 00 00 00 4E 61 6D 65 00 00 00 00 FF FF FF FF 02 00 00 00 49 44 00 00 }
	condition:
		$1
}

rule function_6499_0 {
	meta:
		name = "IsNullID"
		size = 18
	strings:
		$1 = { 83 38 00 75 07 66 83 78 04 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_6500_0 {
	meta:
		name = "_NF__1D1"
		size = 94
		refs = "0002 _NV__19E 000a Session 0013 TSession.SetActive 001a _NV__186 001f _NF__189 0036 CurrentDictionary 004d _NF__18C"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 21 A1 ?? ?? ?? ?? 8B 00 B2 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 27 A1 ?? ?? ?? ?? 80 78 14 00 74 1C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 42 04 74 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6501_0 {
	meta:
		name = "DictionaryDeactivate"
		size = 22
		refs = "0002 _NV__19E 0011 _NF__18C"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6502_0 {
	meta:
		name = "DictionaryActive"
		size = 62
		refs = "000a DictionaryActive 0015 _NF__1D1 001a _NV__19E 002c @HandleAnyException 0033 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8A 58 14 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6503_0 {
	meta:
		name = "FindDatabaseID"
		size = 54
		refs = "0007 DictionaryActive 0014 _NV__19E 0019 _NF__18F 0022 NullDatabaseID"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 84 C0 74 11 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B 05 ?? ?? ?? ?? 89 03 66 8B 05 ?? ?? ?? ?? 66 89 43 04 5E 5B C3 }
	condition:
		$1
}

rule function_6507_0 {
	meta:
		name = "FindAttrID"
		size = 54
		refs = "0007 DictionaryActive 0014 _NV__19E 0019 _NF__192 0022 NullAttrID"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 84 C0 74 11 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B 05 ?? ?? ?? ?? 89 03 66 8B 05 ?? ?? ?? ?? 66 89 43 04 5E 5B C3 }
	condition:
		$1
}

rule function_6506_0 {
	meta:
		name = "GetAttrID"
		size = 54
		refs = "0007 DictionaryActive 0014 _NV__19E 0019 _NF__194 0022 NullAttrID"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 84 C0 74 11 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B 05 ?? ?? ?? ?? 89 03 66 8B 05 ?? ?? ?? ?? 66 89 43 04 5E 5B C3 }
	condition:
		$1
}

rule function_6504_0 {
	meta:
		name = "FindTableID"
		size = 58
		refs = "000a DictionaryActive 0018 _NV__19E 001d _NF__190 0025 NullTableID"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 E8 ?? ?? ?? ?? 84 C0 74 11 53 8B D6 8B CF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B 05 ?? ?? ?? ?? 89 03 66 8B 05 ?? ?? ?? ?? 66 89 43 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6505_0 {
	meta:
		name = "FindFieldID"
		size = 58
		refs = "000a DictionaryActive 0018 _NV__19E 001d _NF__191 0025 NullFieldID"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 E8 ?? ?? ?? ?? 84 C0 74 11 53 8B D6 8B CF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B 05 ?? ?? ?? ?? 89 03 66 8B 05 ?? ?? ?? ?? 66 89 43 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6508_0 {
	meta:
		name = "GetAttrName"
		size = 152
		refs = "0013 GetAttrName 0020 IsNullID 0029 DictionaryActive 0034 @LStrClr 003d _NV__19E 0042 _NF__19C 0057 TDataSet.GetFieldValue 0061 @VarToLStr 0076 @VarClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 E8 ?? ?? ?? ?? 84 C0 75 09 8B C6 E8 ?? ?? ?? ?? EB 2B 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 A1 ?? ?? ?? ?? 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 FF FF FF FF 04 00 00 00 4E 61 6D 65 00 00 00 00 }
	condition:
		$1
}

rule function_6509_0 {
	meta:
		name = "GetAttrNames"
		size = 32
		refs = "0004 DictionaryActive 0013 _NV__19E 0018 _NF__195"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 84 C0 74 10 FF 75 0C FF 75 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_6510_0 {
	meta:
		name = "AssociateAttr"
		size = 32
		refs = "0007 DictionaryActive 0014 _NV__19E 0019 _NF__19A"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0E 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6511_0 {
	meta:
		name = "UnassociateAttr"
		size = 26
		refs = "0004 DictionaryActive 000f _NV__19E 0014 _NF__19B"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6512_0 {
	meta:
		name = "NewAttr"
		size = 119
		refs = "0018 DictionaryActive 0027 _NV__19E 002c _NF__198 0033 IsNullID 0045 _NF__197 005e _NF__19A 006a UpdateAttr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B F2 89 45 FC 8B 5D 08 8B 7D 0C E8 ?? ?? ?? ?? 84 C0 74 4E 53 8B CF 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0E 8B CF 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0E 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6513_0 {
	meta:
		name = "_NF__1EE"
		size = 236
		refs = "0025 _NF__1EE 0033 IsNullID 003e @LStrClr 0048 _NV__19E 004d _NF__19C 0062 TDataSet.GetFieldValue 006a VarIsNull 008d @VarToLStr 00a3 _NF__196 00c3 @VarClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E8 89 4D EC 89 4D F0 89 4D F4 8B F0 8D 7D FA A5 66 A5 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FA E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 6E 8D 55 FA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 A1 ?? ?? ?? ?? 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 21 8D 4D E8 A1 ?? ?? ?? ?? 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? EB 1F 8B 45 08 50 8D 4D E0 8D 55 FA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 0A 00 00 00 46 69 65 6C 64 43 6C 61 73 73 00 00 }
	condition:
		$1
}

rule function_6514_0 {
	meta:
		name = "_NF__1EF"
		size = 231
		refs = "0021 _NF__1EF 002f @LStrClr 0034 DictionaryActive 0044 _NF__1EE 0050 @LStrLAsg 005e FindClass 006a _Dn_TField 0071 TObject.InheritsFrom 0094 SInvalidFieldClass 0099 LoadResString 00a3 _Dn_Exception 00a8 Exception.CreateFmt 00ad @RaiseExcept 00b6 TFieldDef.GetFieldClass 00d2 @LStrArrayClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F0 8D 7D FA A5 66 A5 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 55 8D 55 F0 8D 45 FA E8 ?? ?? ?? ?? 59 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 59 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 43 8B 45 F4 89 45 E0 C6 45 E4 0B 89 75 E8 C6 45 EC 0B 8D 45 E0 50 6A 01 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6515_0 {
	meta:
		name = "_NF__1F0"
		size = 122
		refs = "000e TObject.ClassType 0019 _NF__1F0 0040 TFieldDefs.Find 0056 _NF__1EF 0068 @HandleAnyException 006d @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 58 24 85 DB 74 2D 8B 45 08 8B 40 FC 8B 50 28 8B 45 08 8B 43 28 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 48 28 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6516_0 {
	meta:
		name = "UpdateAttr"
		size = 496
		refs = "0024 UpdateAttr 0032 IsNullID 003f DictionaryActive 0051 _NV__1C6 0056 _NF__1CC 006f _NF__1CB 007a _NV__19E 007f _NF__196 0091 _NF__1C9 00b1 _NF__1CD 00d5 _NF__1A9 00db _NF__1F0 00e6 TObject.ClassType 00fa TObject.ClassName 0108 @VarFromPStr 0118 _NF__1A8 0123 _NF__1CE 0138 TObject.Free 013e @HandleFinally 016a _NF__19C 0177 TDataSet.Edit 0187 _NF__1C4 01c9 @VarClr"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FE FF FF 53 33 DB 89 5D D4 89 5D D8 89 5D DC 89 5D E0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 7A 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 6D 01 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D E4 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B D8 8B 45 FC E8 ?? ?? ?? ?? 3B D8 74 2E 8D 95 D4 FE FF FF 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8D 95 D4 FE FF FF 8D 45 D4 E8 ?? ?? ?? ?? 8D 4D D4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 10 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 50 10 8B 45 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 10 8B 10 FF 92 A0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 FF FF FF FF 0A 00 00 00 46 69 65 6C 64 43 6C 61 73 73 00 00 }
	condition:
		$1
}

rule function_6517_0 {
	meta:
		name = "UpdateField"
		size = 136
		refs = "000e DictionaryActive 001c _NV__1C6 0021 _NF__1C9 002c UpdateField 003f _NF__1B3 0047 _NF__1CA 0051 _NF__1C3 0066 TObject.Free 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 5C 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 FF FF FF FF 04 00 00 00 4E 61 6D 65 00 00 00 00 }
	condition:
		$1
}

rule function_6518_0 {
	meta:
		name = "CreateField"
		size = 213
		refs = "0014 TFieldDefs.Update 001e TFieldDefs.Find 002c _NF__1EF 003f CreateField 004f TField.SetFieldName 0083 @LStrAsg 0088 DictionaryActive 009a UpdateField 00a4 TField.SetDataSet 00b3 @HandleAnyException 00bb TObject.Free 00c0 @RaiseAgain 00c5 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 89 45 FC 8B 46 28 E8 ?? ?? ?? ?? 8B 46 28 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B CF 8B D3 E8 ?? ?? ?? ?? 8B 4D FC B2 01 FF 50 24 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 66 8B 53 18 8B 45 F8 8B 08 FF 91 80 00 00 00 8A 43 1A 8B 55 F8 88 42 31 8A 53 10 8B 45 F8 8B 08 FF 91 98 00 00 00 8B 45 F8 83 C0 78 8B 55 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 4D 08 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_6519_0 {
	meta:
		name = "GetControlClass"
		size = 220
		refs = "0014 GetControlClass 0021 @LStrClr 0028 IsNullID 0031 DictionaryActive 003b NullFieldID 0042 _NV__1C6 0047 _NF__1C9 0068 _NF__1AD 0070 VarIsNull 007e @VarToLStr 0093 TObject.Free 0099 @HandleFinally 00b0 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 6F E8 ?? ?? ?? ?? 84 C0 74 66 53 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 0A 8B C6 8D 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 72 6F 6C 43 6C 61 73 73 00 00 00 00 }
	condition:
		$1
}

rule function_6520_0 {
	meta:
		name = "_NF__208"
		size = 68
		refs = "000e @ClassCreate 001e @LStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8D 47 08 8B 55 08 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6521_0 {
	meta:
		name = "_NF__209"
		size = 67
		refs = "0018 _NF__20A 001d TObject.Free 002d TList.Destroy 0038 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B 6F 08 4D 85 ED 7C 15 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4D 75 EE 8B D3 80 E2 FE 8B C7 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6523_0 {
	meta:
		name = "_NF__20B"
		size = 110
		refs = "0020 _NF__20A 002e AnsiCompareText 0055 _NV__202 005a _NF__208 0063 TList.Add"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 8B 75 08 4E 85 F6 7C 31 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D8 8B 53 08 8B 44 24 04 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 53 04 8B 04 24 E8 ?? ?? ?? ?? 85 C0 74 22 47 4E 75 D2 8B 44 24 04 50 8B 4C 24 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6524_0 {
	meta:
		name = "_NF__20C"
		size = 376
		refs = "001e @ClassCreate 002e _NF__20C 004b _Dn_TQueryDescription 0050 TBDEDataSet.Create 0072 TDataSet.Open 0084 TDataSet.GetFieldValue 008f @VarToLStr 00ba _NF__20B 00c2 TDataSet.Next 00e0 TObject.Free 00e6 @HandleFinally 00f7 @HandleAnyException 00fc @DoneExcept 0111 @VarClr 0119 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 89 98 DC 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? EB 4E 8D 4D E0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 4D CC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 CC 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 59 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 78 59 00 74 A9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 80 7D FB 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 09 00 00 00 54 41 42 4C 45 4E 41 4D 45 00 00 00 FF FF FF FF 08 00 00 00 44 41 54 41 42 41 53 45 00 00 00 00 }
	condition:
		$1
}

rule function_6525_0 {
	meta:
		name = "_NF__20D"
		size = 180
		refs = "000c _Dn_TDRObjectList 0011 TBDEDataSet.Create 001c _NF__20D 0027 CurrentDictionary 0042 @LStrAsg 0051 TDRObjectList.NavigateFrom 0059 TDataSet.Open 0068 @HandleAnyException 0070 TObject.Free 0075 @RaiseAgain 007a @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 55 FC 89 82 DC 01 00 00 8B 45 FC 05 E0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 B9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5B 59 5D C3 00 00 00 FF FF FF FF 0A 00 00 00 43 4F 4E 53 54 52 41 49 4E 54 00 00 FF FF FF FF 0C 00 00 00 54 41 42 4C 45 43 4F 4E 53 54 52 53 00 00 00 00 }
	condition:
		$1
}

rule function_6526_0 {
	meta:
		name = "_NF__210"
		size = 263
		refs = "0018 @LStrAddRef 0030 _NF__210 003e _NV__20E 0043 AnsiCompareText 0052 FindDatabaseID 005b _NV__20F 0073 @LStrAsg 0084 QualifyTableName 008f @LStrLAsg 00a3 QualifyTableNameByName 00be FindTableID 00c6 _NF__20D 00dd @LStrClr 00ea @LStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 DB 89 5D E4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2C 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 89 05 ?? ?? ?? ?? 66 8B 45 EC 66 89 05 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 85 DB 74 1A 8D 4D E4 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 08 E8 ?? ?? ?? ?? EB 1D 8D 45 E4 50 8B 4D 08 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 08 E8 ?? ?? ?? ?? 8D 4D F2 B8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 8D 45 F2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6527_0 {
	meta:
		name = "_NF__211"
		size = 31
		refs = "001a _NF__210"
	strings:
		$1 = { 8B 90 F8 01 00 00 52 8B 88 E4 01 00 00 8B 90 E8 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6528_0 {
	meta:
		name = "_NF__212"
		size = 75
		refs = "0007 _NF__211 0012 _NF__212 0038 TObject.Free 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8A 40 59 34 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 59 59 5D C3 }
	condition:
		$1
}

rule function_6529_0 {
	meta:
		name = "_NF__213"
		size = 175
		refs = "0013 _NV__206 0018 _NF__20C 003c _NF__20A 005a _NF__210 0065 _NF__213 0079 @TryFinallyExit 0090 TObject.Free 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 45 FC C6 45 FB 01 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 40 08 48 85 C0 7C 7A 40 89 45 E8 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 50 08 52 8B 48 04 8B 45 FC 8B 90 E8 01 00 00 8B 45 FC 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 80 78 59 00 75 07 E8 ?? ?? ?? ?? EB 29 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 F0 FF 4D E8 75 91 C6 45 FB 00 8A 45 FB 8B E5 5D C3 }
	condition:
		$1
}

rule function_6530_0 {
	meta:
		name = "HasConstraints"
		size = 121
		refs = "0011 HasConstraints 001c DictionaryActive 0028 _Dn_TTable 002d @IsClass 0038 _NF__212 0045 _Dn_TQuery 0055 _NF__213 0067 @HandleAnyException 006c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 C6 45 FF 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 84 C0 74 38 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 88 45 FF EB 1B 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6531_0 {
	meta:
		name = "_NF__217"
		size = 86
		refs = "0005 _NF__21D 000f TInterfacedObject.QueryInterface 0019 TInterfacedObject._AddRef 0023 TInterfacedObject._Release 002a _NF__217"
	strings:
		$1 = { CC 83 C0 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_6532_0 {
	meta:
		name = "_NF__21A"
		size = 86
		refs = "0005 _NF__21F 000f TInterfacedObject.QueryInterface 0019 TInterfacedObject._AddRef 0023 TInterfacedObject._Release 002a _NF__21A"
	strings:
		$1 = { CC 83 C0 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_6536_0 {
	meta:
		name = "_NF__220"
		size = 56
		refs = "000b TCollection.GetCount 0020 TCheckConstraints.GetItem 002b TObject.Free"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 1E 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 80 78 18 00 74 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E2 5B 5D C3 }
	condition:
		$1
}

rule function_6537_0 {
	meta:
		name = "_NF__221"
		size = 112
		refs = "001b @VarAddRef 0023 _NF__221 0031 VarIsNull 003c @LStrClr 0048 @VarToLStr 005d @VarClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F0 8D 7D F0 B9 04 00 00 00 F3 A5 8B DA 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 0A 8B C3 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6538_0 {
	meta:
		name = "_NF__222"
		size = 324
		refs = "0018 @IntfAddRef 0020 _NF__222 0035 TDataSet.GetFieldValue 0040 _NF__221 0083 TCheckConstraints.Add 0093 TCheckConstraint.SetCustomConstraint 009d TCheckConstraint.SetImportedConstraint 00c1 TCheckConstraint.SetErrorMessage 00d6 @LStrClr 00de @VarClr 00eb @LStrArrayClr 00f3 @IntfClear 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 E4 8D 55 F8 E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 0C 84 C0 74 58 8B 55 F4 8B 45 FC 8B 08 FF 51 0C 84 C0 74 49 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 C6 43 18 01 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 E4 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 08 00 00 00 4C 4F 43 43 48 45 43 4B 00 00 00 00 FF FF FF FF 08 00 00 00 53 52 56 43 48 45 43 4B 00 00 00 00 FF FF FF FF 08 00 00 00 45 52 52 4F 52 53 54 52 00 00 00 00 }
	condition:
		$1
}

rule function_6539_0 {
	meta:
		name = "_NF__223"
		size = 169
		refs = "000f _NF__223 001a _NF__211 0032 _NV__218 0037 TObject.Create 0044 @IntfCopy 0055 _NF__222 005e TDataSet.Next 007c TObject.Free 0082 @HandleFinally 0099 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 0C 8D 45 F8 E8 ?? ?? ?? ?? EB 18 8B 45 08 50 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 59 00 74 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_6540_0 {
	meta:
		name = "_NF__224"
		size = 267
		refs = "0012 _NF__224 0022 _NV__206 0027 _NF__20C 004f _NF__20A 006d _NF__210 0088 _NV__21B 008d _NF__21E 009a @IntfCopy 00ab _NF__222 00b4 TDataSet.Next 00d2 TObject.Free 00d8 @HandleFinally 00fb @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 D2 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 40 08 48 85 C0 0F 8C AD 00 00 00 40 89 45 E8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 08 52 8B 48 04 8B 45 FC 8B 90 E8 01 00 00 8B 45 FC 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 0C 8D 45 EC E8 ?? ?? ?? ?? EB 18 8B 45 08 50 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 59 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 80 78 59 00 74 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 F4 FF 4D E8 0F 85 5E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_6541_0 {
	meta:
		name = "UpdateConstraints"
		size = 177
		refs = "000d DictionaryActive 001d UpdateConstraints 002b TCollection.BeginUpdate 003f _NF__220 0048 _Dn_TTable 004d @IsClass 0059 _NF__223 0064 _Dn_TQuery 0075 _NF__224 008b TCollection.EndUpdate 0091 @HandleFinally 00a2 @HandleAnyException 00a7 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 E8 ?? ?? ?? ?? 84 C0 0F 84 92 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 55 8B C3 E8 ?? ?? ?? ?? 59 EB 1A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 55 8B C3 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6542_0 {
	meta:
		name = "UpdateDataset"
		size = 334
		refs = "0014 UpdateDataset 001f DictionaryActive 002d NullTableID 0043 _Dn_TTable 0048 @IsClass 0067 QualifyTableName 0075 FindDatabaseID 0083 FindTableID 008a TDataSet.GetFieldCount 00a3 TDataSet.GetField 00b9 FindFieldID 00c4 GetAttrID 00cc NullFieldID 00e5 FindAttrID 00f2 UpdateField 010d _Dn_TQuery 0126 UpdateConstraints 013b @LStrClr 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 84 C0 0F 84 FF 00 00 00 8B 05 ?? ?? ?? ?? 89 45 F9 66 8B 05 ?? ?? ?? ?? 66 89 45 FD 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 74 32 8D 4D F4 8B DF 8B 93 F8 01 00 00 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8D 55 DC 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8D 4D F9 8B 55 F4 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 67 46 C7 45 E4 00 00 00 00 8B 55 E4 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7D FF 00 74 1B 8D 4D EE 8D 45 F9 8B 53 28 E8 ?? ?? ?? ?? 8D 55 E8 8D 45 EE E8 ?? ?? ?? ?? EB 1F 8B 05 ?? ?? ?? ?? 89 45 EE 66 8B 05 ?? ?? ?? ?? 66 89 45 F2 8D 55 E8 8B 43 64 E8 ?? ?? ?? ?? 8D 4D E8 8D 55 EE 8B C3 E8 ?? ?? ?? ?? FF 45 E4 4E 75 A1 33 DB 80 7D FF 00 74 05 8B 5F 78 EB 14 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 8B 5F 78 85 DB 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6543_0 {
	meta:
		name = "Finalization"
		size = 68
		refs = "0007 Finalization 0013 _NV__173 001a _NV__19E 001f TObject.Free 0024 _NV__20E 0029 @LStrClr 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6544_0 {
	meta:
		name = "DRIntf"
		size = 624
		refs = "0005 _NV__1C5 000d DRIntf 0019 _NV__173 0027 _NV__1B4 002c _NF__1B8 003f _NF__1BB 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 BB ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 A7 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 00 FF FF FF FF 09 00 00 00 44 49 53 50 4C 41 42 45 4C 00 00 00 FF FF FF FF 0C 00 00 00 44 69 73 70 6C 61 79 4C 61 62 65 6C 00 00 00 00 FF FF FF FF 09 00 00 00 44 49 53 50 57 49 44 54 48 00 00 00 FF FF FF FF 0C 00 00 00 44 69 73 70 6C 61 79 57 69 64 74 68 00 00 00 00 FF FF FF FF 0A 00 00 00 44 49 53 50 46 4F 52 4D 41 54 00 00 FF FF FF FF 0D 00 00 00 44 69 73 70 6C 61 79 46 6F 72 6D 61 74 00 00 00 FF FF FF FF 06 00 00 00 4D 41 58 56 41 4C 00 00 FF FF FF FF 08 00 00 00 4D 61 78 56 61 6C 75 65 00 00 00 00 FF FF FF FF 06 00 00 00 4D 49 4E 56 41 4C 00 00 FF FF FF FF 08 00 00 00 4D 69 6E 56 61 6C 75 65 00 00 00 00 FF FF FF FF 08 00 00 00 4C 4F 43 43 48 45 43 4B 00 00 00 00 FF FF FF FF 10 00 00 00 43 75 73 74 6F 6D 43 6F 6E 73 74 72 61 69 6E 74 00 00 00 00 FF FF FF FF 08 00 00 00 53 52 56 43 48 45 43 4B 00 00 00 00 FF FF FF FF 12 00 00 00 49 6D 70 6F 72 74 65 64 43 6F 6E 73 74 72 61 69 6E 74 00 00 FF FF FF FF 08 00 00 00 45 52 52 4F 52 53 54 52 00 00 00 00 FF FF FF FF 16 00 00 00 43 6F 6E 73 74 72 61 69 6E 74 45 72 72 6F 72 4D 65 73 73 61 67 65 00 00 FF FF FF FF 07 00 00 00 44 45 46 41 55 4C 54 00 FF FF FF FF 11 00 00 00 44 65 66 61 75 6C 74 45 78 70 72 65 73 73 69 6F 6E 00 00 00 }
	condition:
		$1
}

rule function_6545_0 {
	meta:
		name = "TDRList.CreateHandle"
		size = 17
		refs = "0003 DbiOpenRepositoryList 0008 Check"
	strings:
		$1 = { 51 54 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_6546_0 {
	meta:
		name = "TDRObjectDescList.CreateHandle"
		size = 28
		refs = "000d DbiDROpenObjectTypeList 0012 Check"
	strings:
		$1 = { 53 51 8B D8 54 8B 83 DC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_6547_0 {
	meta:
		name = "TDRRelationshipDescList.CreateHandle"
		size = 40
		refs = "000c @LStrToPChar 0019 DbiDROpenRelTypeList 001e Check"
	strings:
		$1 = { 53 51 8B D8 54 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 DC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_6548_0 {
	meta:
		name = "TDRAttrDescList.CreateHandle"
		size = 40
		refs = "000c @LStrToPChar 0019 DbiDROpenAttrTypeList 001e Check"
	strings:
		$1 = { 53 51 8B D8 54 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 DC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_6549_0 {
	meta:
		name = "TDRObjectList.CreateHandle"
		size = 61
		refs = "0021 @LStrToPChar 002e DbiDROpenObjSet 0033 Check"
	strings:
		$1 = { 53 51 8B D8 54 8B 83 E4 01 00 00 50 8B 83 E8 01 00 00 50 8D 83 EC 01 00 00 50 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 DC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_6550_0 {
	meta:
		name = "TDRObjectList.NavigateFrom"
		size = 41
		refs = "0022 @LStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 02 89 83 EC 01 00 00 66 8B 42 04 66 89 83 F0 01 00 00 8D 83 E8 01 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6551_0 {
	meta:
		name = "TDRRelationshipList.CreateHandle"
		size = 91
		refs = "003d @LStrToPChar 004a DbiDROpenRelSet 004f Check"
	strings:
		$1 = { 53 56 57 51 8B D8 83 BB E8 01 00 00 00 75 04 33 F6 EB 06 8D B3 E8 01 00 00 83 BB F0 01 00 00 00 75 04 33 FF EB 06 8D BB F0 01 00 00 54 8B 83 E4 01 00 00 50 57 56 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 DC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6552_0 {
	meta:
		name = "TDRRelationshipList.NavigateFromTo"
		size = 43
	strings:
		$1 = { 53 8B D9 8B 0A 89 88 E8 01 00 00 66 8B 4A 04 66 89 88 EC 01 00 00 8B 13 89 90 F0 01 00 00 66 8B 53 04 66 89 90 F4 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6553_0 {
	meta:
		name = "TQueryDescription.CreateHandle"
		size = 70
		refs = "001d TQuery.Prepare 0037 DbiQGetBaseDescs 003c Check"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 8B 83 DC 01 00 00 85 C0 74 2D 83 B8 EC 01 00 00 00 75 0C E8 ?? ?? ?? ?? C6 83 E0 01 00 00 01 54 8B 83 DC 01 00 00 8B 80 EC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_6554_0 {
	meta:
		name = "TQueryDescription.DestroyHandle"
		size = 32
		refs = "0006 TBDEDataSet.DestroyHandle 001a TQuery.UnPrepare"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB E0 01 00 00 00 74 0B 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6589_0 {
	meta:
		name = "TComponentList.Equals"
		size = 87
		refs = "0010 TComponentList.GetCount 0032 TComponentList.Get 003d TList.Get"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C6 04 24 00 8B C5 E8 ?? ?? ?? ?? 8B 57 04 3B 42 08 75 32 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 20 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 50 8B D3 8B 47 04 E8 ?? ?? ?? ?? 5A 3B D0 75 08 43 4E 75 E3 C6 04 24 01 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6590_0 {
	meta:
		name = "_NF__1BF"
		size = 67
		refs = "000e @ClassCreate 0022 @GetMem"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 75 08 89 4F 04 8B C6 C1 E0 03 E8 ?? ?? ?? ?? 89 47 08 89 77 0C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6591_0 {
	meta:
		name = "TPropertyEditor.Destroy"
		size = 40
		refs = "0014 @FreeMem 001f @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 08 85 C0 74 0B 8B 56 0C C1 E2 03 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6593_0 {
	meta:
		name = "TPropertyEditor.AllEqual"
		size = 8
	strings:
		$1 = { 83 78 0C 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_6594_0 {
	meta:
		name = "TPropertyEditor.Edit"
		size = 242
		refs = "0013 TPropertyEditor.Edit 0020 _Dn_TStringList 0025 TObject.Create 003c TStringList.SetSorted 00c3 TObject.Free 00c9 @HandleFinally 00e0 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B C3 8B 10 FF 52 0C A8 20 0F 95 C2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 45 F8 8B 00 8B 40 34 89 45 F4 FF 75 F8 FF 75 F4 8B C3 8B 10 FF 52 20 8B 45 FC 8B 10 FF 52 14 85 C0 7E 3D 8D 55 F0 8B C3 8B 08 FF 51 1C 8B 55 F0 8B 45 FC 8B 08 FF 51 50 8B F0 46 8B 45 FC 8B 10 FF 52 14 3B F0 75 02 33 F6 8D 4D F0 8B D6 8B 45 FC 8B 30 FF 56 0C 8B 55 F0 8B C3 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6595_0 {
	meta:
		name = "TPropertyEditor.GetAttributes"
		size = 12
		refs = "0001 TPropertyEditor.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 88 00 00 00 }
	condition:
		$1
}

rule function_6710_0 {
	meta:
		name = "TDateProperty.GetAttributes"
		size = 12
		refs = "0001 TDateProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 88 00 00 00 }
	condition:
		$1
}

rule function_6716_0 {
	meta:
		name = "TDateTimeProperty.GetAttributes"
		size = 12
		refs = "0001 TDateTimeProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 88 00 00 00 }
	condition:
		$1
}

rule function_6713_0 {
	meta:
		name = "TTimeProperty.GetAttributes"
		size = 12
		refs = "0001 TTimeProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 88 00 00 00 }
	condition:
		$1
}

rule function_6596_0 {
	meta:
		name = "TPropertyEditor.GetComponent"
		size = 7
	strings:
		$1 = { 8B 40 08 8B 04 D0 C3 }
	condition:
		$1
}

rule function_6597_0 {
	meta:
		name = "TPropertyEditor.GetFloatValue"
		size = 21
		refs = "0006 TPropertyEditor.GetFloatValueAt"
	strings:
		$1 = { 83 C4 F4 33 D2 E8 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 0C C3 }
	condition:
		$1
}

rule function_6598_0 {
	meta:
		name = "TPropertyEditor.GetFloatValueAt"
		size = 30
		refs = "000f GetFloatProp"
	strings:
		$1 = { 83 C4 F4 8B 40 08 8D 04 D0 8B 50 04 8B 00 E8 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 0C C3 }
	condition:
		$1
}

rule function_6600_0 {
	meta:
		name = "TPropertyEditor.GetMethodValueAt"
		size = 25
		refs = "0012 GetMethodProp"
	strings:
		$1 = { 53 56 8B F1 8B 40 08 8D 1C D0 8B CE 8B 53 04 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6610_0 {
	meta:
		name = "TPropertyEditor.GetStrValueAt"
		size = 25
		refs = "0012 GetStrProp"
	strings:
		$1 = { 53 56 8B F1 8B 40 08 8D 1C D0 8B CE 8B 53 04 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6612_0 {
	meta:
		name = "TPropertyEditor.GetVarValueAt"
		size = 25
		refs = "0012 GetVariantProp"
	strings:
		$1 = { 53 56 8B F1 8B 40 08 8D 1C D0 8B CE 8B 53 04 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6601_0 {
	meta:
		name = "TPropertyEditor.GetEditLimit"
		size = 6
	strings:
		$1 = { B8 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_6602_0 {
	meta:
		name = "TPropertyEditor.GetName"
		size = 25
		refs = "0012 @LStrFromString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8B 52 04 83 C2 1A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6604_0 {
	meta:
		name = "TPropertyEditor.GetOrdValueAt"
		size = 17
		refs = "000c GetOrdProp"
	strings:
		$1 = { 8B 40 08 8D 04 D0 8B 50 04 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6605_0 {
	meta:
		name = "TPropertyEditor.GetPrivateDirectory"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 51 20 5E 5B C3 }
	condition:
		$1
}

rule function_6607_0 {
	meta:
		name = "TPropertyEditor.GetPropInfo"
		size = 7
	strings:
		$1 = { 8B 40 08 8B 40 04 C3 }
	condition:
		$1
}

rule function_6608_0 {
	meta:
		name = "TPropertyEditor.GetPropType"
		size = 11
	strings:
		$1 = { 8B 40 08 8B 40 04 8B 00 8B 00 C3 }
	condition:
		$1
}

rule function_6613_0 {
	meta:
		name = "TPropertyEditor.GetValue"
		size = 17
		refs = "0006 srUnknown 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6616_0 {
	meta:
		name = "TPropertyEditor.Modified"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_6617_0 {
	meta:
		name = "TPropertyEditor.SetFloatValue"
		size = 64
		refs = "002a SetFloatProp 0035 TPropertyEditor.Modified"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 5F 0C 4B 85 DB 7C 22 43 33 F6 8B 47 08 8D 04 F0 66 8B 55 10 52 FF 75 0C FF 75 08 8B 50 04 8B 00 E8 ?? ?? ?? ?? 46 4B 75 E1 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_6618_0 {
	meta:
		name = "TPropertyEditor.SetMethodValue"
		size = 55
		refs = "0023 SetMethodProp 002e TPropertyEditor.Modified"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F8 8B 5F 0C 4B 85 DB 7C 1A 43 33 F6 8B 47 08 8D 04 F0 8B 0C 24 8B 50 04 8B 00 E8 ?? ?? ?? ?? 46 4B 75 E9 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6619_0 {
	meta:
		name = "TPropertyEditor.SetOrdValue"
		size = 55
		refs = "0023 SetOrdProp 002e TPropertyEditor.Modified"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F8 8B 5F 0C 4B 85 DB 7C 1A 43 33 F6 8B 47 08 8D 04 F0 8B 0C 24 8B 50 04 8B 00 E8 ?? ?? ?? ?? 46 4B 75 E9 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6621_0 {
	meta:
		name = "TPropertyEditor.SetStrValue"
		size = 55
		refs = "0023 SetStrProp 002e TPropertyEditor.Modified"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F8 8B 5F 0C 4B 85 DB 7C 1A 43 33 F6 8B 47 08 8D 04 F0 8B 0C 24 8B 50 04 8B 00 E8 ?? ?? ?? ?? 46 4B 75 E9 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6622_0 {
	meta:
		name = "TPropertyEditor.SetVarValue"
		size = 55
		refs = "0023 SetVariantProp 002e TPropertyEditor.Modified"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F8 8B 5F 0C 4B 85 DB 7C 1A 43 33 F6 8B 47 08 8D 04 F0 8B 0C 24 8B 50 04 8B 00 E8 ?? ?? ?? ?? 46 4B 75 E9 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6620_0 {
	meta:
		name = "_NF__207"
		size = 21
	strings:
		$1 = { 55 8B EC 8B 40 08 8D 04 D0 89 08 8B 55 08 89 50 04 5D C2 04 00 }
	condition:
		$1
}

rule function_6623_0 {
	meta:
		name = "TPropertyEditor.Revert"
		size = 55
	strings:
		$1 = { 53 56 57 51 8B D8 8B 73 0C 4E 85 F6 7C 24 46 C7 04 24 00 00 00 00 8B 43 08 8B 14 24 8D 04 D0 8B 48 04 8B 10 8B 43 04 8B 38 FF 57 6C FF 04 24 4E 75 E4 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6625_0 {
	meta:
		name = "TPropertyEditor.ValueAvailable"
		size = 178
		refs = "0014 TPropertyEditor.ValueAvailable 0035 _Dn_TComponent 003a @IsClass 0078 @HandleAnyException 0081 @DoneExcept 009c @LStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8B 7B 0C 4F 85 FF 7C 61 47 33 F6 8B 43 08 8B 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 45 8B 43 08 8B 04 F0 F6 40 21 02 74 39 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 1C 8B C3 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? C6 45 FF 00 E8 ?? ?? ?? ?? EB 04 46 4F 75 A2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6626_0 {
	meta:
		name = "TOrdinalProperty.AllEqual"
		size = 69
		refs = "0014 TPropertyEditor.GetOrdValue 002c TPropertyEditor.GetOrdValueAt"
	strings:
		$1 = { 53 56 57 55 51 8B F0 C6 04 24 00 83 7E 0C 01 7E 27 8B C6 E8 ?? ?? ?? ?? 8B E8 8B 5E 0C 4B 85 DB 7E 16 BF 01 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 3B E8 75 08 47 4B 75 EF C6 04 24 01 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6627_0 {
	meta:
		name = "TComponentNameProperty.GetEditLimit"
		size = 6
		altNames = "TMethodProperty.GetEditLimit TOrdinalProperty.GetEditLimit"
	strings:
		$1 = { B8 3F 00 00 00 C3 }
	condition:
		$1
}

rule function_6629_0 {
	meta:
		name = "TIntegerProperty.SetValue"
		size = 167
		refs = "0014 TIntegerProperty.SetValue 0021 StrToInt 002a TPropertyEditor.GetPropType 002f GetTypeData 005d SOutOfRange 0062 LoadResString 006c _DV_EPropertyError 0071 Exception.CreateFmt 0076 @RaiseExcept 007f TPropertyEditor.SetOrdValue 0094 @LStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 3B 73 01 7C 05 3B 73 05 7E 3B 8B 43 01 89 45 F0 C6 45 F4 00 8B 43 05 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6630_0 {
	meta:
		name = "TCharProperty.GetValue"
		size = 88
		refs = "000c TPropertyEditor.GetOrdValue 001f @LStrFromChar 003b TCharProperty.GetValue 0040 FmtStr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 04 DF 2C 5F 73 0B 8B C6 8B D3 E8 ?? ?? ?? ?? EB 1F 6A 00 33 C0 8A C3 89 44 24 04 C6 44 24 08 00 8D 4C 24 04 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 FF FF FF FF 03 00 00 00 23 25 64 00 }
	condition:
		$1
}

rule function_6631_0 {
	meta:
		name = "TCharProperty.SetValue"
		size = 261
		refs = "0016 TCharProperty.SetValue 0023 @LStrLen 0054 @LStrCopy 005c StrToInt 0068 SInvalidPropertyValue 006d LoadResString 0077 _DV_EPropertyError 007c Exception.Create 0081 @RaiseExcept 0088 TPropertyEditor.GetPropType 008d GetTypeData 00bb SOutOfRange 00cf Exception.CreateFmt 00dd TPropertyEditor.SetOrdValue 00f2 @LStrClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 F6 EB 56 8B C3 E8 ?? ?? ?? ?? 48 75 05 0F B6 33 EB 47 80 3B 23 75 21 8D 45 FC 50 B9 FF FF FF 7F BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 3B 73 01 7C 05 3B 73 05 7E 3B 8B 43 01 89 45 EC C6 45 F0 00 8B 43 05 89 45 F4 C6 45 F8 00 8D 45 EC 50 6A 01 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6632_0 {
	meta:
		name = "TEnumProperty.GetAttributes"
		size = 12
		refs = "0001 TEnumProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 A9 00 00 00 }
	condition:
		$1
}

rule function_6662_0 {
	meta:
		name = "TComponentProperty.GetAttributes"
		size = 12
		refs = "0001 TComponentProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 A9 00 00 00 }
	condition:
		$1
}

rule function_6693_0 {
	meta:
		name = "TCursorProperty.GetAttributes"
		size = 12
		refs = "0001 TCursorProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 A9 00 00 00 }
	condition:
		$1
}

rule function_6676_0 {
	meta:
		name = "TFontNameProperty.GetAttributes"
		size = 12
		refs = "0001 TFontNameProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 A9 00 00 00 }
	condition:
		$1
}

rule function_6669_0 {
	meta:
		name = "TMethodProperty.GetAttributes"
		size = 12
		refs = "0001 TMethodProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 A9 00 00 00 }
	condition:
		$1
}

rule function_6633_0 {
	meta:
		name = "TEnumProperty.GetValue"
		size = 61
		refs = "000a TPropertyEditor.GetOrdValue 0013 TPropertyEditor.GetPropType 0018 GetTypeData 0035 GetEnumName"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 58 01 7C 05 3B 58 05 7E 03 8B 58 05 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6634_0 {
	meta:
		name = "TEnumProperty.GetValues"
		size = 117
		refs = "0011 TEnumProperty.GetValues 001c TPropertyEditor.GetPropType 0027 GetTypeData 003f GetEnumName 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 70 01 8B 58 05 2B DE 7C 1B 43 8D 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 0C FF 55 08 46 4B 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6635_0 {
	meta:
		name = "TEnumProperty.SetValue"
		size = 119
		refs = "000f TEnumProperty.SetValue 001c TPropertyEditor.GetPropType 0023 GetEnumValue 002f SInvalidPropertyValue 0034 LoadResString 003e _DV_EPropertyError 0043 Exception.Create 0048 @RaiseExcept 0051 TPropertyEditor.SetOrdValue 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6636_0 {
	meta:
		name = "TBoolProperty.GetValue"
		size = 80
		refs = "0009 TPropertyEditor.GetOrdValue 0014 TBoolProperty.GetValue 0019 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 }
	condition:
		$1
}

rule function_6637_0 {
	meta:
		name = "TBoolProperty.GetValues"
		size = 64
		refs = "0004 TBoolProperty.GetValues"
	strings:
		$1 = { 55 8B EC BA ?? ?? ?? ?? 8B 45 0C FF 55 08 BA ?? ?? ?? ?? 8B 45 0C FF 55 08 5D C2 08 00 00 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 }
	condition:
		$1
}

rule function_6654_0 {
	meta:
		name = "TSetElementProperty.GetValues"
		size = 64
		refs = "0004 TSetElementProperty.GetValues"
	strings:
		$1 = { 55 8B EC BA ?? ?? ?? ?? 8B 45 0C FF 55 08 BA ?? ?? ?? ?? 8B 45 0C FF 55 08 5D C2 08 00 00 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 }
	condition:
		$1
}

rule function_6638_0 {
	meta:
		name = "TBoolProperty.SetValue"
		size = 100
		refs = "0007 TBoolProperty.SetValue 000e CompareText 0032 StrToInt 003b TPropertyEditor.SetOrdValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 1C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 07 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 }
	condition:
		$1
}

rule function_6639_0 {
	meta:
		name = "TFloatProperty.AllEqual"
		size = 76
		refs = "0014 TPropertyEditor.GetFloatValue 002e TPropertyEditor.GetFloatValueAt"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F0 33 DB 83 7E 0C 01 7E 2F 8B C6 E8 ?? ?? ?? ?? DB 3C 24 9B 8B 6E 0C 4D 85 ED 7E 1C BF 01 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? DB 2C 24 DE D9 DF E0 9E 75 06 47 4D 75 E9 B3 01 8B C3 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6640_0 {
	meta:
		name = "TFloatProperty.GetValue"
		size = 55
		refs = "0009 TPropertyEditor.GetFloatValue 0018 TPropertyEditor.GetPropType 001d GetTypeData 0027 _NV__237 0030 FloatToStrF"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 56 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 00 8B 14 85 ?? ?? ?? ?? 33 C9 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6641_0 {
	meta:
		name = "TFloatProperty.SetValue"
		size = 30
		refs = "0009 StrToFloat 0017 TPropertyEditor.SetFloatValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6642_0 {
	meta:
		name = "TStringProperty.AllEqual"
		size = 138
		refs = "0012 TStringProperty.AllEqual 002c TPropertyEditor.GetStrValue 0045 TPropertyEditor.GetStrValueAt 0050 @LStrCmp 0074 @LStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 83 7E 0C 01 7E 34 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 5E 0C 4B 85 DB 7E 22 BF 01 00 00 00 8D 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 75 08 47 4B 75 E3 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6643_0 {
	meta:
		name = "TStringProperty.GetEditLimit"
		size = 39
		refs = "0006 TPropertyEditor.GetPropType 0017 GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 38 05 75 11 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 00 5B C3 B8 FF 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6648_0 {
	meta:
		name = "_NF__24A"
		size = 54
		refs = "000b @ClassCreate"
	strings:
		$1 = { 55 8B EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 04 8B 4D 10 89 48 08 8B 4D 0C 89 48 0C 8B 4D 08 89 48 10 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C 5D C2 0C 00 }
	condition:
		$1
}

rule function_6649_0 {
	meta:
		name = "EOutOfMemory.Destroy"
		size = 10
		refs = "0005 @ClassDestroy"
		altNames = "TObject.Destroy TSetElementProperty.Destroy"
	strings:
		$1 = { 84 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6650_0 {
	meta:
		name = "TSetElementProperty.AllEqual"
		size = 105
		refs = "0014 TPropertyEditor.GetOrdValue 003e TPropertyEditor.GetOrdValueAt"
	strings:
		$1 = { 53 56 57 55 51 8B D8 C6 04 24 00 83 7B 0C 01 7E 4B 8B C3 E8 ?? ?? ?? ?? 89 C6 8B 43 10 83 F8 1F 77 03 0F A3 C6 0F 92 C0 88 44 24 01 8B 7B 0C 4F 85 FF 7E 28 BD 01 00 00 00 8B D5 8B C3 E8 ?? ?? ?? ?? 89 C6 8B 43 10 83 F8 1F 77 03 0F A3 C6 0F 92 C0 3A 44 24 01 75 08 45 4F 75 DD C6 04 24 01 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6651_0 {
	meta:
		name = "TSetElementProperty.GetAttributes"
		size = 12
		refs = "0001 TSetElementProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_6678_0 {
	meta:
		name = "TFontCharsetProperty.GetAttributes"
		size = 12
		refs = "0001 TFontCharsetProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_6682_0 {
	meta:
		name = "TImeNameProperty.GetAttributes"
		size = 12
		refs = "0001 TImeNameProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_6652_0 {
	meta:
		name = "TSetElementProperty.GetName"
		size = 36
		refs = "0009 TPropertyEditor.GetPropType 000e GetTypeData 001d GetEnumName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 01 8B 00 8B CE 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6653_0 {
	meta:
		name = "TSetElementProperty.GetValue"
		size = 92
		refs = "000a TPropertyEditor.GetOrdValue 0020 TSetElementProperty.GetValue 0025 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 89 C6 8B 43 10 83 F8 1F 77 03 0F A3 C6 73 0E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 }
	condition:
		$1
}

rule function_6655_0 {
	meta:
		name = "TSetElementProperty.SetValue"
		size = 88
		refs = "000a TPropertyEditor.GetOrdValue 0011 TSetElementProperty.SetValue 0018 CompareText 003d TPropertyEditor.SetOrdValue"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 89 C6 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 43 10 83 F8 1F 77 10 0F AB C6 EB 0B 8B 43 10 83 F8 1F 77 03 0F B3 C6 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 }
	condition:
		$1
}

rule function_6656_0 {
	meta:
		name = "TSetProperty.GetAttributes"
		size = 12
		refs = "0001 TSetProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 CA 00 00 00 }
	condition:
		$1
}

rule function_6657_0 {
	meta:
		name = "TSetProperty.GetProperties"
		size = 92
		refs = "000b TPropertyEditor.GetPropType 0010 GetTypeData 003e _DV_TSetElementProperty 0043 _NF__24A"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 01 8B 00 E8 ?? ?? ?? ?? 8B 50 01 8B 70 05 2B F2 7C 2D 46 89 55 FC 8B 43 08 50 8B 43 0C 50 8B 45 FC 50 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 FF 45 FC 4E 75 D7 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6658_0 {
	meta:
		name = "TSetProperty.GetValue"
		size = 224
		refs = "0016 TSetProperty.GetValue 0023 TPropertyEditor.GetOrdValue 002c TPropertyEditor.GetPropType 0031 GetTypeData 0045 @LStrLAsg 005a @LStrLen 0069 @LStrCat 0076 GetEnumName 00a7 @LStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 C7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 01 8B 00 89 45 FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8B C3 83 F8 1F 77 03 0F A3 C7 73 2D 8B 06 E8 ?? ?? ?? ?? 48 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 43 83 FB 20 75 C1 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 FF FF FF FF 01 00 00 00 5B 00 00 00 FF FF FF FF 01 00 00 00 2C 00 00 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_6659_0 {
	meta:
		name = "TClassProperty.GetAttributes"
		size = 12
		refs = "0001 TClassProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 4A 00 00 00 }
	condition:
		$1
}

rule function_6660_0 {
	meta:
		name = "TClassProperty.GetProperties"
		size = 140
		refs = "000c _DV_TComponentList 0011 TComponentList.Create 001c TClassProperty.GetProperties 0036 TPropertyEditor.GetOrdValueAt 0040 TComponentList.Add 005c GetComponentProperties 0071 TObject.Free 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 0C 4B 85 DB 7C 1A 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E9 FF 75 0C FF 75 08 8B 4F 04 66 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 00 00 00 FE FE 00 00 }
	condition:
		$1
}

rule function_6661_0 {
	meta:
		name = "TClassProperty.GetValue"
		size = 68
		refs = "000e TPropertyEditor.GetPropType 0023 TClassProperty.GetValue 0028 FmtStr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 04 C6 44 24 08 04 8D 4C 24 04 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_6663_0 {
	meta:
		name = "TComponentProperty.GetEditLimit"
		size = 6
	strings:
		$1 = { B8 7F 00 00 00 C3 }
	condition:
		$1
}

rule function_6664_0 {
	meta:
		name = "TComponentProperty.GetValue"
		size = 28
		refs = "0009 TPropertyEditor.GetOrdValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 43 04 8B 18 FF 53 48 5E 5B C3 }
	condition:
		$1
}

rule function_6665_0 {
	meta:
		name = "TComponentProperty.GetValues"
		size = 39
		refs = "000f TPropertyEditor.GetPropType 0014 GetTypeData"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B 08 FF 51 40 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6666_0 {
	meta:
		name = "TComponentProperty.SetValue"
		size = 146
		refs = "000f TComponentProperty.SetValue 0030 TPropertyEditor.GetPropType 0035 GetTypeData 003e @IsClass 004a SInvalidPropertyValue 004f LoadResString 0059 _DV_EPropertyError 005e Exception.Create 0063 @RaiseExcept 006c TPropertyEditor.SetOrdValue 0081 @LStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 04 33 F6 EB 46 8B D6 8B 43 04 8B 08 FF 51 44 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6667_0 {
	meta:
		name = "TMethodProperty.AllEqual"
		size = 87
		refs = "0016 TPropertyEditor.GetMethodValue 0030 TPropertyEditor.GetMethodValueAt"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F0 33 DB 83 7E 0C 01 7E 3A 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 6E 0C 4D 85 ED 7E 29 BF 01 00 00 00 8D 4C 24 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 44 24 08 3B 04 24 75 10 8B 44 24 0C 3B 44 24 04 75 06 47 4D 75 DC B3 01 8B C3 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6668_0 {
	meta:
		name = "TMethodProperty.Edit"
		size = 221
		refs = "0016 TMethodProperty.Edit 0036 TPropertyEditor.GetMethodValue 0063 SCannotCreateName 0068 LoadResString 0072 _DV_EPropertyError 0077 Exception.Create 007c @RaiseExcept 0087 TPropertyEditor.GetPropType 008c GetTypeData 00a3 TPropertyEditor.SetMethodValue 00c3 @LStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 1C 83 7D FC 00 74 19 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 43 04 8B 08 FF 51 58 84 C0 74 5E 83 7D FC 00 75 0A 8D 55 FC 8B C3 8B 08 FF 51 2C 83 7D FC 00 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 43 04 8B 30 FF 56 14 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6671_0 {
	meta:
		name = "TMethodProperty.GetFormMethodName"
		size = 252
		refs = "0016 TMethodProperty.GetFormMethodName 0026 TPropertyEditor.GetComponent 003d @LStrLAsg 005b @LStrLen 0082 @LStrDelete 0094 SCannotCreateName 0099 LoadResString 00a3 _DV_EPropertyError 00a8 Exception.Create 00ad @RaiseExcept 00b8 TMethodProperty.GetTrimmedEventName 00c2 @LStrCat 00d7 @LStrClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 5A 04 3B 43 04 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 48 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 8B 18 FF 53 50 8B 06 E8 ?? ?? ?? ?? 8B D8 83 FB 01 7C 25 8B 06 8A 44 18 FF 2C 2E 74 08 2C 2D 74 04 2C 02 75 0E 8B C6 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 4B 85 DB 75 DB 83 3E 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 46 6F 72 6D 00 00 00 00 }
	condition:
		$1
}

rule function_6672_0 {
	meta:
		name = "TMethodProperty.GetTrimmedEventName"
		size = 72
		refs = "0012 @LStrLen 0041 @LStrDelete"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 14 8B 03 E8 ?? ?? ?? ?? 83 F8 02 7C 2A 8B 03 8A 00 2C 4F 74 04 2C 20 75 1E 8B 03 8A 40 01 2C 4E 74 04 2C 20 75 11 8B C3 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6673_0 {
	meta:
		name = "TMethodProperty.GetValue"
		size = 35
		refs = "000e TPropertyEditor.GetMethodValue"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B CE 8B 43 04 8B 18 FF 53 18 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6674_0 {
	meta:
		name = "TMethodProperty.GetValues"
		size = 39
		refs = "000f TPropertyEditor.GetPropType 0014 GetTypeData"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B 08 FF 51 1C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6675_0 {
	meta:
		name = "TMethodProperty.SetValue"
		size = 212
		refs = "0016 TMethodProperty.SetValue 003a CompareText 0081 TPropertyEditor.GetPropType 0086 GetTypeData 009c TPropertyEditor.SetMethodValue 00c1 @LStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 1C 83 7D F8 00 74 2F 85 F6 74 2B 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0E 8B D6 8B 43 04 8B 08 FF 51 28 84 C0 75 0F 8B CE 8B 55 F8 8B 43 04 8B 18 FF 53 2C EB 51 85 F6 74 0E 8B D6 8B 43 04 8B 08 FF 51 28 84 C0 74 04 33 C0 EB 02 B0 01 88 45 FF 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 04 8B 38 FF 57 14 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 8B D6 8B 43 04 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6677_0 {
	meta:
		name = "TFontNameProperty.GetValues"
		size = 117
		refs = "000c TFontNameProperty.GetValues 0017 Screen 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 40 24 8B 10 FF 52 14 8B D8 4B 85 DB 7C 24 43 33 F6 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B 40 24 8B D6 8B 38 FF 57 0C 8B 55 FC 8B 45 0C FF 55 08 46 4B 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6679_0 {
	meta:
		name = "TFontCharsetProperty.GetValue"
		size = 84
		refs = "000c TPropertyEditor.GetOrdValue 0018 CharsetToIdent 0039 TFontCharsetProperty.GetValue 003e FmtStr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 25 FF 00 00 00 8B D6 E8 ?? ?? ?? ?? 84 C0 75 22 6A 00 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 00 8D 4C 24 04 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 FF FF FF FF 02 00 00 00 25 64 00 00 }
	condition:
		$1
}

rule function_6680_0 {
	meta:
		name = "TFontCharsetProperty.GetValues"
		size = 18
		refs = "000a GetCharsetValues"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_6691_0 {
	meta:
		name = "TColorProperty.GetValues"
		size = 18
		refs = "000a GetColorValues"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_6695_0 {
	meta:
		name = "TCursorProperty.GetValues"
		size = 18
		refs = "000a GetCursorValues"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_13133_0 {
	meta:
		name = "TRegistry.WriteDate"
		size = 18
		refs = "000a TRegistry.WriteDateTime"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_13135_0 {
	meta:
		name = "TRegistry.WriteTime"
		size = 18
		refs = "000a TRegistry.WriteDateTime"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_6681_0 {
	meta:
		name = "TFontCharsetProperty.SetValue"
		size = 45
		refs = "000c IdentToCharset 001a TPropertyEditor.SetOrdValue 0025 TIntegerProperty.SetValue"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 14 24 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6692_0 {
	meta:
		name = "TColorProperty.SetValue"
		size = 45
		refs = "000c IdentToColor 001a TPropertyEditor.SetOrdValue 0025 TIntegerProperty.SetValue"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 14 24 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6696_0 {
	meta:
		name = "TCursorProperty.SetValue"
		size = 45
		refs = "000c IdentToCursor 001a TPropertyEditor.SetOrdValue 0025 TIntegerProperty.SetValue"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 14 24 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6683_0 {
	meta:
		name = "TImeNameProperty.GetValues"
		size = 117
		refs = "000c TImeNameProperty.GetValues 0017 Screen 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B 10 FF 52 14 8B D8 4B 85 DB 7C 24 43 33 F6 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B D6 8B 38 FF 57 0C 8B 55 FC 8B 45 0C FF 55 08 46 4B 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6684_0 {
	meta:
		name = "TMPFilenameProperty.Edit"
		size = 236
		refs = "0012 TMPFilenameProperty.Edit 001e Application 0027 _Dn_TOpenDialog 002c TOpenDialog.Create 0047 @LStrAsg 0052 SMPOpenFilter 0057 LoadResString 0098 TOpenDialog.GetFileName 00b7 TObject.Free 00bd @HandleFinally 00d4 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F8 8B C3 8B 08 FF 51 1C 8B 55 F8 8B 45 FC 83 C0 6C E8 ?? ?? ?? ?? 8B 45 FC 8D 50 54 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 40 2C BC 61 00 00 8B 45 FC 8B 40 50 0B 05 ?? ?? ?? ?? 8B 55 FC 89 42 50 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 34 84 C0 74 15 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 00 00 10 03 00 00 }
	condition:
		$1
}

rule function_6685_0 {
	meta:
		name = "TMPFilenameProperty.GetAttributes"
		size = 12
		refs = "0001 TMPFilenameProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 84 00 00 00 }
	condition:
		$1
}

rule function_6686_0 {
	meta:
		name = "_NF__2A2"
		size = 192
		refs = "000c _NF__2A2 001e _Dn_TRegIniFile 0023 TRegIniFile.Create 003f SCustomColors 0044 LoadResString 005b TRegIniFile.ReadSectionValues 006a @HandleAnyException 006f @DoneExcept 0084 @LStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 8B 48 54 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 FF FF FF FF 1C 00 00 00 5C 53 6F 66 74 77 61 72 65 5C 42 6F 72 6C 61 6E 64 5C 44 65 6C 70 68 69 5C 33 2E 30 00 00 00 00 }
	condition:
		$1
}

rule function_6687_0 {
	meta:
		name = "_NF__2A3"
		size = 240
		refs = "000f _NF__2A3 0060 @LStrPos 007a @LStrCopy 008e TStrings.GetValue 009a SCustomColors 009f LoadResString 00b0 TRegIniFile.WriteString 00d0 @LStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 FC 00 0F 84 94 00 00 00 8B 45 08 8B 40 F8 8B 40 54 8B 10 FF 52 14 8B F0 4E 85 F6 7C 7F 46 C7 45 FC 00 00 00 00 8D 4D F8 8B 45 08 8B 40 F8 8B 40 54 8B 55 FC 8B 18 FF 53 0C 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 4A 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D F4 8B 45 08 8B 40 F8 8B 40 54 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 40 FC 8B 4D F8 E8 ?? ?? ?? ?? FF 45 FC 4E 75 89 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_6688_0 {
	meta:
		name = "TColorProperty.Edit"
		size = 180
		refs = "0010 Application 0019 _Dn_TColorDialog 001e TColorDialog.Create 0029 TColorProperty.Edit 0035 _NF__2A2 003d TPropertyEditor.GetOrdValue 0072 TPropertyEditor.SetOrdValue 0078 _NF__2A3 0094 TObject.Free 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 89 45 FC 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 89 42 4C 8B 45 F8 C7 40 2C B2 61 00 00 8B 45 F8 8A 15 ?? ?? ?? ?? 88 50 50 8B 45 F8 8B 10 FF 52 34 84 C0 74 0D 8B 45 F8 8B 50 4C 8B C3 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_6689_0 {
	meta:
		name = "TColorProperty.GetAttributes"
		size = 12
		refs = "0001 TColorProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 8D 00 00 00 }
	condition:
		$1
}

rule function_6697_0 {
	meta:
		name = "TFontProperty.Edit"
		size = 156
		refs = "0009 Application 0012 _Dn_TFontDialog 0017 TFontDialog.Create 0022 TFontProperty.Edit 002f TPropertyEditor.GetOrdValue 0039 TFontDialog.SetFont 0071 TPropertyEditor.SetOrdValue 0086 TObject.Free 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 2C A8 61 00 00 8B 45 FC 66 8B 40 51 66 0B 05 ?? ?? ?? ?? 8B 55 FC 66 89 42 51 8B 45 FC 8B 10 FF 52 34 84 C0 74 0D 8B 45 FC 8B 50 4C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 10 08 00 00 }
	condition:
		$1
}

rule function_6698_0 {
	meta:
		name = "TFontProperty.GetAttributes"
		size = 12
		refs = "0001 TFontProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 4E 00 00 00 }
	condition:
		$1
}

rule function_6699_0 {
	meta:
		name = "_NF__2BF"
		size = 192
	strings:
		$1 = { FF FF FF FF 06 00 00 00 6D 72 4E 6F 6E 65 00 00 FF FF FF FF 04 00 00 00 6D 72 4F 6B 00 00 00 00 FF FF FF FF 08 00 00 00 6D 72 43 61 6E 63 65 6C 00 00 00 00 FF FF FF FF 07 00 00 00 6D 72 41 62 6F 72 74 00 FF FF FF FF 07 00 00 00 6D 72 52 65 74 72 79 00 FF FF FF FF 08 00 00 00 6D 72 49 67 6E 6F 72 65 00 00 00 00 FF FF FF FF 05 00 00 00 6D 72 59 65 73 00 00 00 FF FF FF FF 04 00 00 00 6D 72 4E 6F 00 00 00 00 FF FF FF FF 05 00 00 00 6D 72 41 6C 6C 00 00 00 FF FF FF FF 09 00 00 00 6D 72 4E 6F 54 6F 41 6C 6C 00 00 00 FF FF FF FF 0A 00 00 00 6D 72 59 65 73 54 6F 41 6C 6C 00 00 }
	condition:
		$1
}

rule function_6700_0 {
	meta:
		name = "TModalResultProperty.GetAttributes"
		size = 12
		refs = "0001 TModalResultProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 89 00 00 00 }
	condition:
		$1
}

rule function_6704_0 {
	meta:
		name = "TShortCutProperty.GetAttributes"
		size = 12
		refs = "0001 TShortCutProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 89 00 00 00 }
	condition:
		$1
}

rule function_6701_0 {
	meta:
		name = "TModalResultProperty.GetValue"
		size = 47
		refs = "0005 TPropertyEditor.GetOrdValue 0017 _NV__2BE 001c @LStrLAsg 0028 IntToStr"
	strings:
		$1 = { 53 56 8B F2 E8 ?? ?? ?? ?? 8B D8 8B C3 83 E8 0B 73 11 8B C6 8B 14 9D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6702_0 {
	meta:
		name = "TModalResultProperty.GetValues"
		size = 35
		refs = "000b _NV__2BE"
	strings:
		$1 = { 55 8B EC 53 56 BE 0B 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 45 0C FF 55 08 83 C3 04 4E 75 F2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6703_0 {
	meta:
		name = "TModalResultProperty.SetValue"
		size = 77
		refs = "0011 TPropertyEditor.SetOrdValue 001a _NV__2BE 0023 CompareText 0044 TIntegerProperty.SetValue"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 85 FF 75 0B 33 D2 8B C5 E8 ?? ?? ?? ?? EB 31 33 F6 BB ?? ?? ?? ?? 8B D7 8B 03 E8 ?? ?? ?? ?? 85 C0 75 0B 8B D6 8B C5 E8 ?? ?? ?? ?? EB 12 46 83 C3 04 83 FE 0B 75 DF 8B D7 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6705_0 {
	meta:
		name = "TShortCutProperty.GetValue"
		size = 47
		refs = "0009 TPropertyEditor.GetOrdValue 0017 srNone 001c LoadResString 0028 ShortCutToText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D8 66 85 DB 75 0F 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6706_0 {
	meta:
		name = "TShortCutProperty.GetValues"
		size = 115
		refs = "000b TShortCutProperty.GetValues 0019 srNone 001e LoadResString 0031 _NV__2CA 003c ShortCutToText 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C FF 55 08 BE 52 00 00 00 BB ?? ?? ?? ?? 8D 55 FC 66 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C FF 55 08 83 C3 02 4E 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6707_0 {
	meta:
		name = "TShortCutProperty.SetValue"
		size = 151
		refs = "0010 TShortCutProperty.SetValue 0024 srNone 0029 LoadResString 0033 AnsiCompareText 003e TextToShortCut 004d SInvalidPropertyValue 005c _DV_EPropertyError 0061 Exception.Create 0066 @RaiseExcept 0070 TPropertyEditor.SetOrdValue 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 F6 74 4A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2F 8B C6 E8 ?? ?? ?? ?? 8B D8 66 85 DB 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6709_0 {
	meta:
		name = "TCaptionProperty.GetAttributes"
		size = 12
		refs = "0001 TCaptionProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 98 00 00 00 }
	condition:
		$1
}

rule function_6711_0 {
	meta:
		name = "TDateProperty.GetValue"
		size = 68
		refs = "000c TPropertyEditor.GetFloatValue 0019 TDateProperty.GetValue 0025 @LStrClr 0036 DateToStr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 75 09 8B C6 E8 ?? ?? ?? ?? EB 0F FF 74 24 04 FF 74 24 04 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_6717_0 {
	meta:
		name = "TDateTimeProperty.GetValue"
		size = 68
		refs = "000c TPropertyEditor.GetFloatValue 0019 TDateTimeProperty.GetValue 0025 @LStrClr 0036 DateTimeToStr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 75 09 8B C6 E8 ?? ?? ?? ?? EB 0F FF 74 24 04 FF 74 24 04 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_6714_0 {
	meta:
		name = "TTimeProperty.GetValue"
		size = 68
		refs = "000c TPropertyEditor.GetFloatValue 0019 TTimeProperty.GetValue 0025 @LStrClr 0036 TimeToStr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 75 09 8B C6 E8 ?? ?? ?? ?? EB 0F FF 74 24 04 FF 74 24 04 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_6712_0 {
	meta:
		name = "TDateProperty.SetValue"
		size = 57
		refs = "001b StrToDate 0030 TPropertyEditor.SetFloatValue"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 85 F6 75 0B 33 C0 89 04 24 89 44 24 04 EB 0B 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6718_0 {
	meta:
		name = "TDateTimeProperty.SetValue"
		size = 57
		refs = "001b StrToDateTime 0030 TPropertyEditor.SetFloatValue"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 85 F6 75 0B 33 C0 89 04 24 89 44 24 04 EB 0B 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6715_0 {
	meta:
		name = "TTimeProperty.SetValue"
		size = 57
		refs = "001b StrToTime 0030 TPropertyEditor.SetFloatValue"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 85 F6 75 0B 33 C0 89 04 24 89 44 24 04 EB 0B 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6719_0 {
	meta:
		name = "_NF__2F0"
		size = 111
		refs = "000f @ClassCreate 0020 TObject.ClassInfo 0029 GetPropList 003d @GetMem"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 8B 06 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? 89 43 08 8B 43 08 C1 E0 02 89 43 0C 8B 43 0C E8 ?? ?? ?? ?? 89 43 04 8B 06 E8 ?? ?? ?? ?? 8B 4B 04 8B D7 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6720_0 {
	meta:
		name = "_NF__2F1"
		size = 37
		refs = "0011 @FreeMem 001c @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 85 C0 74 08 8B 56 0C E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6721_0 {
	meta:
		name = "_NF__2F2"
		size = 171
		refs = "001a _NF__2F2 0054 @LStrFromString 006c CompareText 0096 @LStrArrayClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 70 08 4E 85 F6 7C 4F 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 04 8B 55 F8 8B 1C 90 8B 03 8B 00 8B 17 3B 02 75 2B 8D 45 F4 8D 57 1A E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F0 8D 53 1A E8 ?? ?? ?? ?? 8B 45 F0 5A E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 08 FF 45 F8 4E 75 B9 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6722_0 {
	meta:
		name = "_NF__2F3"
		size = 46
		refs = "0027 Move"
	strings:
		$1 = { 53 56 FF 48 08 8B 48 08 3B D1 7D 1F 8B 58 04 8D 5C 93 04 8B 70 04 8D 34 96 2B CA 8B C1 C1 E0 02 8B C8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6723_0 {
	meta:
		name = "_NF__2F4"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 04 90 C3 }
	condition:
		$1
}

rule function_6724_0 {
	meta:
		name = "_NF__2F5"
		size = 52
		refs = "0019 _NF__2F2 0026 _NF__2F3"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 20 8B 46 04 8B 14 98 8B C7 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6725_0 {
	meta:
		name = "RegisterPropertyEditor"
		size = 124
		refs = "0010 _NV__1AB 001a _Dn_TList 001f TObject.Create 002a _NT__1A7 0034 @New 003b CurrentGroup 004d @LStrClr 005c @LStrAsg 0070 TList.Insert"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B F8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 14 00 00 00 E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 8B 00 89 03 89 7B 04 89 73 0C 8D 43 08 E8 ?? ?? ?? ?? 85 F6 74 0B 8D 43 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 89 43 10 8B CB 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6726_0 {
	meta:
		name = "RegisterPropertyMapper"
		size = 68
		refs = "0005 _NV__1AD 000f _Dn_TList 0014 TObject.Create 0023 @GetMem 0029 CurrentGroup 003e TList.Insert"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 89 10 89 58 04 8B C8 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6727_0 {
	meta:
		name = "_NF__2FD"
		size = 356
		refs = "0018 _NF__2FD 0024 _NV__1AD 0043 TList.Get 0076 _NV__1AB 009b GetTypeData 00ad TObject.InheritsFrom 00dc @LStrFromString 00e7 CompareText 013a _NV__1AA 014f @LStrClr 0155 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 35 A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 28 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 55 FC 8B 45 F8 FF 57 04 8B F8 85 FF 0F 85 E2 00 00 00 46 4B 75 DB 8B 45 FC 8B 00 8B 38 33 F6 33 C0 89 45 F4 E9 A4 00 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 3B 7B 04 74 2F 80 3F 07 0F 85 87 00 00 00 8B 43 04 80 38 07 75 7F 8B 43 04 E8 ?? ?? ?? ?? 8B 00 50 8B C7 E8 ?? ?? ?? ?? 8B 00 5A E8 ?? ?? ?? ?? 84 C0 74 61 83 7B 0C 00 74 11 8B 45 F8 8B 00 8B 53 0C E8 ?? ?? ?? ?? 84 C0 74 4A 83 7B 08 00 74 1D 8D 45 F0 8B 55 FC 83 C2 1A E8 ?? ?? ?? ?? 8B 45 F0 8B 53 08 E8 ?? ?? ?? ?? 85 C0 75 27 83 7D F4 00 74 1E 8B 45 F4 83 78 0C 00 75 06 83 7B 0C 00 75 0F 8B 45 F4 83 78 08 00 75 09 83 7B 08 00 74 03 89 5D F4 46 A1 ?? ?? ?? ?? 3B 70 08 0F 8C 4E FF FF FF 83 7D F4 00 74 08 8B 45 F4 8B 78 10 EB 0B 33 C0 8A 07 8B 3C 85 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6728_0 {
	meta:
		name = "GetComponentProperties"
		size = 967
		refs = "0021 TComponentList.GetCount 003e TComponentList.Get 0050 TObject.ClassType 006b _NV__2EE 0070 _NF__2F0 007b GetComponentProperties 009f _NF__2F4 00ab _NF__2FD 00ba _NF__2F3 00cb _NF__1BF 00f3 _NF__207 012a TPropertyEditor.ValueAvailable 014e TObject.Free 0154 @HandleFinally 016a _Dn_TList 016f TObject.Create 018b TList.SetCapacity 01c3 TList.Add 01e4 TList.Get 01ee _NF__2F5 0304 @HandleAnyException 0311 @RaiseAgain 0316 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D F4 66 89 55 FA 89 45 FC 83 7D FC 00 0F 84 A1 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 91 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 D4 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 66 8B 45 FA 50 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 8B 40 08 48 83 F8 00 0F 8C D2 00 00 00 89 45 F0 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 85 C0 75 10 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? E9 97 00 00 00 6A 01 8B 4D F4 B2 01 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C8 33 D2 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 24 83 7B 04 00 74 2D 8B 03 8B 00 80 38 07 74 06 83 7B 08 00 74 1E 83 7D EC 01 7E 0C 8B 45 DC 8B 10 FF 52 0C A8 08 74 0C 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 0B 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 4D F0 83 7D F0 FF 0F 85 31 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 EC 8B 45 E0 E8 ?? ?? ?? ?? 8B 75 EC 4E 85 F6 7C 36 46 C7 45 F0 00 00 00 00 66 8B 45 FA 50 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 E0 E8 ?? ?? ?? ?? FF 45 F0 4E 75 D2 8B 75 EC 4E 85 F6 7C 23 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8B 45 E4 E8 ?? ?? ?? ?? FF 45 F0 4E 75 E5 8B 75 EC 4E 85 F6 7C 21 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 E4 E8 ?? ?? ?? ?? FF 45 F0 4E 75 E7 8B 45 E4 8B 70 08 4E 85 F6 0F 8C 2B 01 00 00 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 D4 E8 ?? ?? ?? ?? 85 C0 0F 84 FE 00 00 00 8B 55 EC 52 8B 4D F4 B2 01 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DB 01 8B 7D EC 4F 85 FF 7C 7B 47 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 E8 74 37 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 50 8B 45 DC E8 ?? ?? ?? ?? 5A 3B D0 74 06 C6 45 DB 00 EB 2D 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 DC E8 ?? ?? ?? ?? 43 4F 75 88 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D DB 00 74 29 8B 45 DC 8B 10 FF 52 24 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 DC 8B 45 0C FF 55 08 EB 12 8B 45 DC E8 ?? ?? ?? ?? EB 08 8B 45 DC E8 ?? ?? ?? ?? FF 45 F0 4E 0F 85 DD FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 8B 70 08 4E 85 F6 7C 1E 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F0 4E 75 EA 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6729_0 {
	meta:
		name = "RegisterComponentEditor"
		size = 75
		refs = "0008 _NV__305 0012 _Dn_TList 0017 TObject.Create 0026 @GetMem 002c CurrentGroup 0044 TList.Insert"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 89 10 89 58 04 89 70 08 8B C8 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6730_0 {
	meta:
		name = "GetComponentEditor"
		size = 143
		refs = "0010 _Dn_TPersistent 0015 _DV_TDefaultEditor 001e _NV__305 003d TList.Get 004c @IsClass 005d TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 54 24 04 89 04 24 8B 3D ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 44 24 0C A1 ?? ?? ?? ?? 8B 68 08 4D 85 ED 7C 4C 45 C7 44 24 08 00 00 00 00 8B 54 24 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 04 24 8B 73 04 8B D6 E8 ?? ?? ?? ?? 84 C0 74 1B 3B FE 74 17 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 43 08 89 44 24 0C 8B 7B 04 FF 44 24 08 4D 75 BD 8B 44 24 04 50 8B 4C 24 04 B2 01 8B 44 24 10 FF 10 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6731_0 {
	meta:
		name = "NewEditorGroup"
		size = 72
		refs = "0002 _NV__1AC 000c _Dn_TBits 0011 TObject.Create 0020 TBits.OpenBit 0026 CurrentGroup 003c TBits.SetBit"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 8B 15 ?? ?? ?? ?? 8B 12 B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 C3 }
	condition:
		$1
}

rule function_6732_0 {
	meta:
		name = "FreeEditorGroup"
		size = 251
		refs = "0007 _NV__1AB 001d TList.Get 002d TList.Delete 0033 _NT__1A7 003a @Dispose 0045 _NV__305 0078 @FreeMem 0084 _NV__1AD 00cb FreeCustomModulesProc 00df _NV__1AC 00f2 TBits.SetBit"
	strings:
		$1 = { 53 56 57 55 8B F0 BD ?? ?? ?? ?? 8B 45 00 8B 58 08 4B 83 FB FF 7E 2D 8B D3 8B 45 00 E8 ?? ?? ?? ?? 8B F8 3B 37 75 17 8B D3 8B 45 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 7F D3 A1 ?? ?? ?? ?? 8B 58 08 4B 83 FB FF 7E 30 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 3B 37 75 18 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 7F D0 83 3D ?? ?? ?? ?? 00 74 3E A1 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 7C 30 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 3B 37 75 18 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 08 00 00 00 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D0 83 3D ?? ?? ?? ?? 00 74 08 8B C6 FF 15 ?? ?? ?? ?? 85 F6 7C 18 A1 ?? ?? ?? ?? 3B 70 04 7D 0E 33 C9 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6733_0 {
	meta:
		name = "TComponentEditor.Create"
		size = 65
		refs = "000e @ClassCreate 001d TObject.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B 45 08 89 47 08 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6734_0 {
	meta:
		name = "TComponentEditor.Edit"
		size = 25
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 10 85 C0 7E 09 33 D2 8B C3 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_6739_0 {
	meta:
		name = "_NF__320"
		size = 89
		refs = "0012 _NF__320 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC C6 45 FB 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 14 00 74 0F 8D 55 FB 52 8D 48 14 8B 55 FC 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6740_0 {
	meta:
		name = "_NF__321"
		size = 68
		refs = "000d TObject.Free"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 89 42 10 8B 55 08 8B 55 08 8B 52 FC 3B 42 0C 75 0B 8B 45 08 8B 40 FC 33 D2 89 50 0C 8B 45 08 8B 40 08 C6 00 00 5D C3 }
	condition:
		$1
}

rule function_6741_0 {
	meta:
		name = "TDefaultEditor.EditProperty"
		size = 324
		refs = "0019 TDefaultEditor.EditProperty 0031 _DV_TMethodProperty 0036 @IsClass 005c @LStrClr 007d CompareText 0087 _NF__321 00f8 @LStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F4 89 5D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 0C 00 75 21 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 C6 00 00 8B 45 FC 8B 55 F8 89 50 0C 8D 55 F4 8B 45 F8 8B 08 FF 51 14 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 10 85 DB 74 0A 8D 55 F0 8B C3 8B 08 FF 51 14 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 09 55 E8 ?? ?? ?? ?? 59 EB 54 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 74 43 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 09 55 E8 ?? ?? ?? ?? 59 EB 29 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 74 18 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 00 FF FF FF FF 08 00 00 00 4F 4E 43 52 45 41 54 45 00 00 00 00 FF FF FF FF 08 00 00 00 4F 4E 43 48 41 4E 47 45 00 00 00 00 FF FF FF FF 07 00 00 00 4F 4E 43 4C 49 43 4B 00 }
	condition:
		$1
}

rule function_6742_0 {
	meta:
		name = "TDefaultEditor.Edit"
		size = 240
		refs = "000c _DV_TComponentList 0011 TComponentList.Create 001c TDefaultEditor.Edit 0037 TComponentList.Add 005e _NF__320 0073 GetComponentProperties 00b4 TObject.Free 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC C6 40 14 01 8B 45 FC 8B 50 04 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 0C 8B 45 FC 33 D2 89 50 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 48 08 66 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 78 14 00 74 20 8B 45 FC 8B 40 10 85 C0 74 07 8B 10 FF 52 08 EB 0F 8B 45 FC 8B 40 0C 85 C0 74 05 8B 10 FF 52 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 FF FF 00 00 }
	condition:
		$1
}

rule function_6750_0 {
	meta:
		name = "RegisterCustomModule"
		size = 27
		refs = "0002 RegisterCustomModuleProc 000b CurrentGroup"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 11 8B 0D ?? ?? ?? ?? 8B 09 91 87 D1 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6751_0 {
	meta:
		name = "Finalization"
		size = 109
		refs = "0007 Finalization 0013 _NV__1A4 001a _NV__1AC 001f TObject.Free 0024 _NV__1AB 002e _NV__305 0038 _NV__1AD 0042 _NV__2BE 004d String 0052 @FinalizeArray 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 3D A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6754_0 {
	meta:
		name = "TDesignWindow.Create"
		size = 115
		refs = "0011 @ClassCreate 001e TCustomForm.Create 0023 CompLib 003f DelphiIDE"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 91 80 00 00 00 8B 46 38 50 8B 46 3C 50 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 3C 8B 4D FC 83 C1 02 BA C8 00 00 00 8B C6 8B 38 FF 57 4C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6755_0 {
	meta:
		name = "TDesignWindow.Destroy"
		size = 51
		refs = "0007 CompLib 001f TCustomForm.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 91 9C 00 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6757_0 {
	meta:
		name = "TDesignWindow.WMActivate"
		size = 59
		refs = "000b TCustomForm.WMActivate 0022 DelphiIDE 0034 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 7E 04 00 0F 95 C0 88 83 E8 01 00 00 84 C0 74 17 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 18 8B C3 66 BB D4 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6758_0 {
	meta:
		name = "TDesignWindow.ActivateInspector"
		size = 17
		refs = "0003 DelphiIDE"
	strings:
		$1 = { 53 8B 0D ?? ?? ?? ?? 8B 09 91 8B 18 FF 53 44 5B C3 }
	condition:
		$1
}

rule function_6759_0 {
	meta:
		name = "TDesignWindow.ClipboardComponents"
		size = 127
		refs = "000a TDesignWindow.ClipboardComponents 0015 Clipboard 001b CF_COMPONENTS 0023 TClipboard.HasFormat 0046 TClipboard.GetAsText 004e PossibleStream 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 66 8B 12 E8 ?? ?? ?? ?? 84 C0 75 2F E8 ?? ?? ?? ?? 66 BA 01 00 E8 ?? ?? ?? ?? 84 C0 74 19 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_6761_0 {
	meta:
		name = "TDesignWindow.CopyComponents"
		size = 214
		refs = "0010 _Dn_TMemoryStream 0015 TObject.Create 0020 TDesignWindow.CopyComponents 0035 _Dn_TWriter 003a TFiler.Create 0058 TComponentList.GetCount 006a TWriter.WriteSignature 0073 TComponentList.Get 007d TWriter.WriteComponent 0089 TWriter.WriteListEnd 009e TObject.Free 00a4 @HandleFinally 00ae CopyStreamToClipboard"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B DA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 04 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 18 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 22 43 33 F6 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 46 4B 75 E1 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6762_0 {
	meta:
		name = "TDesignWindow.GetEditState"
		size = 12
		refs = "0002 TDesignWindow.GetEditState"
	strings:
		$1 = { 66 A1 ?? ?? ?? ?? C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_6766_0 {
	meta:
		name = "_NF__8C"
		size = 12
		refs = "0007 TComponentList.Add"
	strings:
		$1 = { 8B 80 DC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6767_0 {
	meta:
		name = "_NF__8D"
		size = 129
		refs = "0019 _NF__8D 0038 TComponent.FindComponent 0057 @LStrAsg 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 18 8B B3 E0 01 00 00 3B C6 75 2B 8B 55 08 8B 12 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1B 8D 4D F8 8B 55 FC 8B C3 8B 18 FF 93 80 00 00 00 8B 55 F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6768_0 {
	meta:
		name = "TDesignWindow.PasteComponents"
		size = 187
		refs = "0010 GetClipboardStream 001b TDesignWindow.PasteComponents 0030 _Dn_TReader 0035 TFiler.Create 0053 _NF__8D 0068 _NF__8C 0074 TReader.ReadComponents 0089 TObject.Free 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 04 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 40 C7 40 3C ?? ?? ?? ?? 89 B3 E0 01 00 00 8B 45 08 89 83 DC 01 00 00 53 68 ?? ?? ?? ?? 8B CF 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6770_0 {
	meta:
		name = "TDesignWindow.SetSelection"
		size = 29
		refs = "0004 CompLib"
	strings:
		$1 = { 53 52 8B 15 ?? ?? ?? ?? 8B 12 8B C8 8B 80 E4 01 00 00 92 8B 18 FF 93 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6778_0 {
	meta:
		name = "_NF__3D"
		size = 54
		refs = "0006 Application 000f _Dn_TChartEditForm 0014 TCustomForm.Create 0022 InternalOnCreateEditChart"
	strings:
		$1 = { 53 56 8B F0 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 B3 60 05 00 00 83 3D ?? ?? ?? ?? 00 74 08 8B C3 FF 15 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_6779_0 {
	meta:
		name = "EditSeries"
		size = 82
		refs = "000b _NF__3D 0016 EditSeries 002d TCustomForm.ShowModal 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 43 40 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 74 05 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6780_0 {
	meta:
		name = "EditChartPage"
		size = 81
		refs = "000a _NF__3D 0015 EditChartPage 002c TCustomForm.ShowModal 0041 TObject.Free 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 8B C2 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 7C 05 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6781_0 {
	meta:
		name = "EditChartTitle"
		size = 95
		refs = "000b _NF__3D 0016 EditChartTitle 003a TCustomForm.ShowModal 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 43 04 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 68 05 00 00 8B 45 FC C7 80 7C 05 00 00 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6782_0 {
	meta:
		name = "EditChartWall"
		size = 95
		refs = "000b _NF__3D 0016 EditChartWall 003a TCustomForm.ShowModal 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 43 14 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 6C 05 00 00 8B 45 FC C7 80 7C 05 00 00 07 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6783_0 {
	meta:
		name = "EditAxis"
		size = 95
		refs = "000b _NF__3D 0016 EditAxis 003a TCustomForm.ShowModal 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 43 04 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 64 05 00 00 8B 45 FC C7 80 7C 05 00 00 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6784_0 {
	meta:
		name = "EditDSSChart"
		size = 78
		refs = "0007 _NF__3D 0012 EditDSSChart 002a TCustomForm.ShowModal 003f TObject.Free 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8B C2 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 5C 05 00 00 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_6787_0 {
	meta:
		name = "EditChartPart"
		size = 101
		refs = "000d EditChartPart 002a EditChartLegend 0034 EditAxis 003e EditSeries 004b EditChartTitle 005f EditChart"
	strings:
		$1 = { 53 33 DB 8A 19 83 FB 05 77 54 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B 51 0C E8 ?? ?? ?? ?? 5B C3 8B 51 08 E8 ?? ?? ?? ?? 5B C3 8B 92 44 02 00 00 E8 ?? ?? ?? ?? 5B C3 8B 92 48 02 00 00 E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6908_0 {
	meta:
		name = "RegisterLibraryExpert"
		size = 16
		refs = "0002 LibraryExpertProc"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6911_0 {
	meta:
		name = "_NF__200"
		size = 193
		refs = "0034 TPen.SetColor 006a TCanvas.Polyline"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 8B 5D 08 8B 5B FC 8B 43 08 89 45 F8 8B 43 04 89 45 FC 8B 03 89 45 F0 8B 43 0C 89 45 F4 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 40 10 E8 ?? ?? ?? ?? 8B 45 F0 89 45 D8 8B 45 F4 89 45 DC 8B 03 89 45 E0 8B 43 04 89 45 E4 8B 45 F8 89 45 E8 8B 45 FC 89 45 EC 8D 55 D8 8B 45 08 8B 40 F8 B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 50 0C 8B 45 08 8B 40 F8 8B 40 10 E8 ?? ?? ?? ?? FF 4D F0 8B 45 F8 89 45 D8 8B 45 FC 89 45 DC 8B 43 08 89 45 E0 8B 43 0C 89 45 E4 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC 8D 55 D8 8B 45 08 8B 40 F8 B9 02 00 00 00 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6912_0 {
	meta:
		name = "Frame3D"
		size = 95
		refs = "001f TPen.SetWidth 0036 _NF__200 0044 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 FC 89 45 F8 8B 5D 08 8B 45 F8 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC FF 48 0C 8B 45 FC FF 48 08 85 DB 7E 19 4B 55 E8 ?? ?? ?? ?? 59 6A FF 6A FF 8B 45 FC 50 E8 ?? ?? ?? ?? 85 DB 7F E7 8B 45 FC FF 40 0C 8B 45 FC FF 40 08 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6913_0 {
	meta:
		name = "TShape.Create"
		size = 160
		refs = "000e @ClassCreate 001c TGraphicControl.Create 0022 TShape.Create 0036 TControl.SetWidth 0042 TControl.SetHeight 0049 _Dn_TPen 004e TPen.Create 0060 TShape.StyleChanged 0067 _Dn_TBrush 006c TBrush.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 BA 41 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 41 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 00 00 00 89 5E 08 C7 46 04 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 BC 00 00 00 89 5E 08 C7 46 04 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 08 00 00 }
	condition:
		$1
}

rule function_6914_0 {
	meta:
		name = "TShape.Destroy"
		size = 56
		refs = "000d TObject.Free 0024 TGraphicControl.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6915_0 {
	meta:
		name = "TShape.Paint"
		size = 288
		refs = "0018 TCanvas.SetPen 0025 TCanvas.SetBrush 002d TPen.GetWidth 00d3 TCanvas.Rectangle 00fb TCanvas.RoundRect 0115 TCanvas.Ellipse"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B B3 B4 00 00 00 8B 93 B8 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 BC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 04 24 8B 04 24 89 44 24 04 8B 46 10 E8 ?? ?? ?? ?? 8B 7B 38 2B F8 47 8B 46 10 E8 ?? ?? ?? ?? 8B 6B 3C 2B E8 45 8B 46 10 E8 ?? ?? ?? ?? 85 C0 75 02 4F 4D 3B EF 7E 04 8B C7 EB 02 8B C5 8A 93 C0 00 00 00 80 EA 01 74 0A 80 EA 02 74 05 80 EA 02 75 1D 2B F8 D1 FF 79 03 83 D7 00 01 3C 24 2B E8 D1 FD 79 03 83 D5 00 01 6C 24 04 8B F8 8B E8 8A 93 C0 00 00 00 80 EA 02 72 0C 80 EA 02 72 21 80 EA 02 72 44 EB 5A 03 3C 24 57 03 6C 24 08 55 8B 4C 24 0C 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? EB 40 03 3C 24 57 03 6C 24 08 55 8B D0 85 D2 79 03 83 C2 03 C1 FA 02 52 52 8B 4C 24 14 8B C6 8B 54 24 10 E8 ?? ?? ?? ?? EB 18 03 3C 24 57 03 6C 24 08 55 8B 4C 24 0C 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6917_0 {
	meta:
		name = "TShape.SetBrush"
		size = 12
	strings:
		$1 = { 8B 80 BC 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_6918_0 {
	meta:
		name = "TShape.SetPen"
		size = 12
	strings:
		$1 = { 8B 80 B8 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_6919_0 {
	meta:
		name = "TCustomLabel.SetShowAccelChar"
		size = 26
		altNames = "TShape.SetShape"
	strings:
		$1 = { 56 8B F0 3A 96 C0 00 00 00 74 0D 88 96 C0 00 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_6920_0 {
	meta:
		name = "TPaintBox.Create"
		size = 88
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001d TPaintBox.Create 0031 TControl.SetWidth 003d TControl.SetHeight"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 BA 69 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 08 00 00 }
	condition:
		$1
}

rule function_6921_0 {
	meta:
		name = "TPaintBox.Paint"
		size = 113
		refs = "000e TCanvas.SetFont 001f TBrush.SetColor 0035 TPen.SetStyle 003f TBrush.SetStyle 0052 TCanvas.Rectangle"
	strings:
		$1 = { 53 56 8B D8 8B 53 50 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 8B 40 14 8B 53 54 E8 ?? ?? ?? ?? F6 43 20 10 74 2D 8B B3 B4 00 00 00 B2 01 8B 46 10 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B 43 38 50 8B 43 3C 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 66 83 BB BA 00 00 00 00 74 0E 8B D3 8B 83 BC 00 00 00 FF 93 B8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6922_0 {
	meta:
		name = "TImage.Create"
		size = 144
		refs = "000e @ClassCreate 001c TGraphicControl.Create 0022 TImage.Create 0031 _Dn_TPicture 0036 TPicture.Create 0048 _NF__24A 0056 @FindDynaInst 0065 TControl.SetHeight 0071 TControl.SetWidth"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 00 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? 89 5E 18 8B C3 66 BA E1 FF E8 ?? ?? ?? ?? 89 46 14 BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 08 00 00 }
	condition:
		$1
}

rule function_6923_0 {
	meta:
		name = "TImage.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TGraphicControl.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6924_0 {
	meta:
		name = "TImage.GetPalette"
		size = 27
	strings:
		$1 = { 33 D2 8B 88 B8 00 00 00 8B 49 04 85 C9 74 09 8B C1 8B 10 FF 52 24 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_6925_0 {
	meta:
		name = "TImage.DestRect"
		size = 157
		refs = "002b TPicture.GetHeight 0050 TPicture.GetWidth 0071 Bounds 0096 Rect"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB C5 00 00 00 00 74 0C 8B D6 8B C3 8B 08 FF 51 2C 5E 5B C3 80 BB C6 00 00 00 00 74 53 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 50 56 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B 53 3C 2B D0 D1 FA 79 03 83 D2 00 52 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B 53 38 2B D0 D1 FA 79 03 83 D2 00 52 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B C8 58 5A E8 ?? ?? ?? ?? EB 23 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 50 56 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6926_0 {
	meta:
		name = "TImage.Paint"
		size = 189
		refs = "0022 TPen.SetStyle 002c TBrush.SetStyle 0045 TCanvas.Rectangle 0063 TImage.Paint 007d TImage.DestRect 0093 TCanvas.StretchDraw 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 45 FC 8B 45 FC F6 40 20 10 74 36 8B 45 FC 8B 98 B4 00 00 00 8B 43 10 B2 01 E8 ?? ?? ?? ?? 8B 43 14 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 50 8B 45 FC 8B 40 3C 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8A 80 C9 00 00 00 88 45 FB 8B 45 FC C6 80 C9 00 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 B4 00 00 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 B8 00 00 00 8B 48 04 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 FB 88 90 C9 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6927_0 {
	meta:
		name = "TImage.DoPaletteChange"
		size = 151
		refs = "003b GetParentForm 0051 TWinControl.HandleAllocated 006e TControl.Perform 0080 TWinControl.GetHandle 0086 PostMessage"
	strings:
		$1 = { 53 56 57 55 8B E8 33 DB 8B 85 B8 00 00 00 8B 70 04 80 7D 44 00 74 79 F6 45 20 01 75 73 85 F6 74 6F 80 7E 16 00 74 69 8B C6 8B 10 FF 52 24 85 C0 75 06 C6 46 16 00 EB 58 8B C5 E8 ?? ?? ?? ?? 8B F8 85 FF 74 4B 80 BF 39 01 00 00 00 74 42 8B C7 E8 ?? ?? ?? ?? 84 C0 74 37 80 BD C9 00 00 00 00 74 12 6A 00 33 C9 BA 0F 03 00 00 8B C7 E8 ?? ?? ?? ?? EB 16 6A 00 6A 00 68 0F 03 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B3 01 C6 46 16 00 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6928_0 {
	meta:
		name = "TImage.Progress"
		size = 100
		refs = "001c TImage.DoPaletteChange"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B FA 8B F0 8B 5D 10 84 9E C7 00 00 00 74 1B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 8B 10 FF 52 50 EB 07 8B C6 8B 10 FF 52 54 66 83 BE BE 00 00 00 00 74 1E 8A 45 14 50 53 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D7 8B 86 C0 00 00 00 FF 96 BC 00 00 00 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_6929_0 {
	meta:
		name = "TImage.GetCanvas"
		size = 256
		refs = "0013 TImage.GetCanvas 002f _Dn_TBitmap 0034 TBitmap.Create 0072 TPicture.SetGraphic 0087 TObject.Free 008d @HandleFinally 00a8 @IsClass 00b3 TBitmap.GetCanvas 00bf SImageCanvasNeedsBitmap 00c4 LoadResString 00ce _Dn_EInvalidOperation 00d3 Exception.Create 00d8 @RaiseExcept 00ed @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B8 00 00 00 83 78 04 00 75 67 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 38 8B 45 F8 8B 08 FF 51 40 8B 45 FC 8B 50 3C 8B 45 F8 8B 08 FF 51 34 8B 45 FC 8B 80 B8 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 B8 00 00 00 8B 58 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6930_0 {
	meta:
		name = "TImage.SetAutoSize"
		size = 14
		refs = "0009 _NF__24A"
	strings:
		$1 = { 88 90 C4 00 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6931_0 {
	meta:
		name = "TImage.SetCenter"
		size = 22
		refs = "0011 _NF__24A"
	strings:
		$1 = { 3A 90 C6 00 00 00 74 0D 88 90 C6 00 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6932_0 {
	meta:
		name = "TImage.SetPicture"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 B8 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_6933_0 {
	meta:
		name = "TImage.SetStretch"
		size = 22
		refs = "0011 _NF__24A"
	strings:
		$1 = { 3A 90 C5 00 00 00 74 0D 88 90 C5 00 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6934_0 {
	meta:
		name = "TImage.SetTransparent"
		size = 22
		refs = "0011 _NF__24A"
	strings:
		$1 = { 3A 90 C8 00 00 00 74 0D 88 90 C8 00 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6935_0 {
	meta:
		name = "_NF__24A"
		size = 268
		refs = "0014 TPicture.GetWidth 0023 TPicture.GetHeight 00a9 _NF__24A 00ca TImage.DoPaletteChange"
	strings:
		$1 = { 53 56 8B F0 80 BE C4 00 00 00 00 74 43 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 34 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 25 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 50 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 50 8B 4E 34 8B 56 30 8B C6 8B 18 FF 53 4C 8B 86 B8 00 00 00 8B 40 04 85 C0 0F 84 83 00 00 00 8A 96 C8 00 00 00 8B 08 FF 51 3C 8B 86 B8 00 00 00 8B 40 04 8B 10 FF 52 28 84 C0 75 39 80 BE C5 00 00 00 00 75 20 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 3B 46 38 7C 20 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 3B 46 3C 7C 10 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 EB 10 66 A1 ?? ?? ?? ?? F7 D0 66 23 46 40 66 89 46 40 8B C6 E8 ?? ?? ?? ?? 84 C0 74 22 80 BE C9 00 00 00 00 74 19 8B C6 8B 10 FF 52 50 EB 10 66 A1 ?? ?? ?? ?? F7 D0 66 23 46 40 66 89 46 40 80 BE C9 00 00 00 00 75 07 8B C6 8B 10 FF 52 44 5E 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_6936_0 {
	meta:
		name = "TBevel.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001d TBevel.Create 003f TControl.SetWidth 004b TControl.SetHeight"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 C6 86 B8 00 00 00 00 C6 86 B9 00 00 00 00 BA 32 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 32 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 08 00 00 }
	condition:
		$1
}

rule function_6937_0 {
	meta:
		name = "TBevel.SetStyle"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 B8 00 00 00 74 0D 88 96 B8 00 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_6938_0 {
	meta:
		name = "TBevel.SetShape"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 B9 00 00 00 74 0D 88 96 B9 00 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_6939_0 {
	meta:
		name = "_NF__255"
		size = 239
		refs = "0020 TPen.SetColor 002d Point 007b TCanvas.Polyline"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 8B D8 8B 45 08 8B 40 FC 8B B0 B4 00 00 00 8B 45 08 8B 50 F8 8B 46 10 E8 ?? ?? ?? ?? 8D 4D E0 8B 53 0C 8B 03 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC 8D 4D D8 8B 53 04 8B 03 E8 ?? ?? ?? ?? 8B 45 D8 89 45 F0 8B 45 DC 89 45 F4 8D 4D D0 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 45 D0 89 45 F8 8B 45 D4 89 45 FC 8D 55 E8 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F4 8B 46 10 E8 ?? ?? ?? ?? 8D 4D E0 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC 8D 4D D8 8B 53 0C 8B 43 08 E8 ?? ?? ?? ?? 8B 45 D8 89 45 F0 8B 45 DC 89 45 F4 8D 4D D0 8B 53 0C 8B 03 E8 ?? ?? ?? ?? 8B 45 D0 89 45 F8 8B 45 D4 89 45 FC 8D 55 E8 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6940_0 {
	meta:
		name = "_NF__256"
		size = 63
		refs = "001c TPen.SetColor 0027 TCanvas.MoveTo 0034 TCanvas.LineTo"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B 55 10 8B 52 FC 8B 9A B4 00 00 00 8B D0 8B 43 10 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6941_0 {
	meta:
		name = "TBevel.Paint"
		size = 505
		refs = "001c TPen.SetWidth 0060 TBevel.Paint 0095 Rect 009d _NF__255 0123 _NF__256"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 45 FC 8B 45 FC 8B 80 B4 00 00 00 BA 01 00 00 00 8B 40 10 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B8 00 00 00 00 75 10 C7 45 F8 10 00 00 80 C7 45 F4 14 00 00 80 EB 0E C7 45 F8 14 00 00 80 C7 45 F4 10 00 00 80 8B 45 FC 0F B6 80 B9 00 00 00 83 F8 05 0F 87 97 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 8B 45 FC 8B 40 3C 48 50 8D 45 E4 50 8B 45 FC 8B 48 38 49 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 59 E9 4D 01 00 00 8B 5D F8 8B 45 F4 89 45 F8 55 8B 45 FC 8B 40 3C 48 50 8D 45 E4 50 8B 45 FC 8B 48 38 49 BA 01 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 59 89 5D F4 89 5D F8 55 8B 45 FC 8B 40 3C 83 E8 02 50 8D 45 E4 50 8B 45 FC 8B 48 38 83 E9 02 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 59 E9 E3 00 00 00 55 8B 45 FC 8B 40 38 50 6A 00 33 C9 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 40 38 50 6A 01 B9 01 00 00 00 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 59 E9 AD 00 00 00 55 8B 55 FC 8B 52 38 52 8B 45 FC 8B 40 3C 83 E8 02 50 8B C8 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8B 55 FC 8B 52 38 52 8B 45 FC 8B 40 3C 48 50 8B C8 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 59 EB 6F 55 6A 00 8B 45 FC 8B 40 3C 50 33 C9 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 59 55 6A 01 8B 45 FC 8B 40 3C 50 33 C9 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 59 EB 3C 55 8B 45 FC 8B 40 38 83 E8 02 50 8B 55 FC 8B 52 3C 52 8B D0 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 40 38 48 50 8B 55 FC 8B 52 3C 52 8B D0 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 59 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6942_0 {
	meta:
		name = "TTimer.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TComponent.Create 0028 _NF__260 002d AllocateHWnd"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 34 01 C7 46 24 E8 03 00 00 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6943_0 {
	meta:
		name = "TTimer.Destroy"
		size = 53
		refs = "000d _NF__261 0015 DeallocateHWnd 0021 TComponent.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 C6 46 34 00 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6944_0 {
	meta:
		name = "_NF__260"
		size = 115
		refs = "001a _NF__260 002c @CallDynaInst 003b @HandleAnyException 0040 Application 004a TApplication.HandleException 004f @DoneExcept 0066 DefWindowProc"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 33 81 FE 13 01 00 00 75 3F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB F1 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B 43 08 50 8B 43 04 50 56 8B 45 FC 8B 40 28 50 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6945_0 {
	meta:
		name = "_NF__261"
		size = 139
		refs = "000d _NF__261 001e KillTimer 0040 SetTimer 004c SNoTimers 0051 LoadResString 005b _Dn_EOutOfResources 0060 Exception.Create 0065 @RaiseExcept 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 43 28 50 E8 ?? ?? ?? ?? 8B 73 24 85 F6 74 40 80 7B 34 00 74 3A 66 83 7B 2E 00 74 33 6A 00 56 6A 01 8B 43 28 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6946_0 {
	meta:
		name = "TTimer.SetEnabled"
		size = 14
		refs = "0009 _NF__261"
	strings:
		$1 = { 3A 50 34 74 08 88 50 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6947_0 {
	meta:
		name = "TTimer.SetInterval"
		size = 14
		refs = "0009 _NF__261"
	strings:
		$1 = { 3B 50 24 74 08 89 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8309_0 {
	meta:
		name = "THTMLTableAttributes.SetCellPadding"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3B 50 24 74 08 89 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6948_0 {
	meta:
		name = "TTimer.SetOnTimer"
		size = 24
		refs = "0010 _NF__261"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 2C 8B 55 0C 89 50 30 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_6950_0 {
	meta:
		name = "TCustomPanel.Create"
		size = 140
		refs = "000a @ClassCreate 0017 TCustomControl.Create 001d TCustomPanel.Create 002d TControl.SetWidth 0039 TControl.SetHeight 0049 TCustomPanel.SetBevelOuter 0055 TCustomPanel.SetBevelWidth 0068 TControl.SetColor"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 46 40 BA B9 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 29 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 34 01 00 00 02 B2 02 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 28 01 00 00 00 BA 0F 00 00 80 8B C6 E8 ?? ?? ?? ?? C6 86 29 01 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 EB 08 00 00 }
	condition:
		$1
}

rule function_6951_0 {
	meta:
		name = "TCustomPanel.CreateParams"
		size = 82
		refs = "000b TWinControl.CreateParams 001a _NV__271 0022 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 28 01 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 A1 ?? ?? ?? ?? 80 38 00 74 20 80 BB D5 00 00 00 00 74 17 80 BB 28 01 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 83 66 24 FC 5E 5B C3 }
	condition:
		$1
}

rule function_6953_0 {
	meta:
		name = "TCustomPanel.CMCtl3DChanged"
		size = 44
		refs = "0007 NewStyleControls 001c TWinControl.RecreateWnd 0025 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 80 BB 28 01 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6954_0 {
	meta:
		name = "TCustomPanel.CMIsToolControl"
		size = 17
	strings:
		$1 = { 80 B8 2A 01 00 00 00 75 07 C7 42 0C 01 00 00 00 C3 }
	condition:
		$1
}

rule function_6956_0 {
	meta:
		name = "TCustomPanel.WMWindowPosChanged"
		size = 271
		refs = "0016 TCustomPanel.WMWindowPosChanged 002f TControl.GetText 009b TWinControl.GetHandle 00a1 InvalidateRect 00d6 TWinControl.WMWindowPosChanged 00e7 @CallDynaInst 00fc @LStrClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 29 01 00 00 00 75 10 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 74 0C 8B C3 8B 10 FF 52 44 E9 8C 00 00 00 8B B3 24 01 00 00 80 BB 1C 01 00 00 00 74 06 03 B3 20 01 00 00 80 BB 1D 01 00 00 00 74 06 03 B3 20 01 00 00 85 F6 7E 64 8B 43 38 89 45 F8 8B 43 3C 89 45 FC 8B 47 08 8B 40 10 3B 45 F8 74 21 33 C0 89 45 F4 8B 45 F8 2B C6 48 89 45 F0 6A FF 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 47 08 8B 40 14 3B 45 FC 74 21 33 C0 89 45 F0 8B 45 FC 2B C6 48 89 45 F4 6A FF 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? F6 43 20 01 75 0B 8B C3 66 BB DB FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6957_0 {
	meta:
		name = "TCustomPanel.AlignControls"
		size = 74
		refs = "0037 InflateRect 0042 TWinControl.AlignControls"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B 83 24 01 00 00 80 BB 1D 01 00 00 00 74 06 03 83 20 01 00 00 80 BB 1C 01 00 00 00 74 06 03 83 20 01 00 00 8B D0 F7 DA 52 F7 D8 52 56 E8 ?? ?? ?? ?? 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6958_0 {
	meta:
		name = "_NF__288"
		size = 53
	strings:
		$1 = { 55 8B EC 8B 55 08 C7 42 FC 14 00 00 80 3C 01 75 0A 8B 55 08 C7 42 FC 10 00 00 80 8B 55 08 C7 42 F8 10 00 00 80 3C 01 75 0A 8B 45 08 C7 40 F8 14 00 00 80 5D C3 }
	condition:
		$1
}

rule function_6959_0 {
	meta:
		name = "TCustomPanel.Paint"
		size = 348
		refs = "0013 TCustomPanel.Paint 0033 _NF__288 0050 Frame3D 00a9 TBrush.SetColor 00b3 TCanvas.FillRect 00bd TBrush.SetStyle 00c7 TCanvas.SetFont 00d3 TCanvas.TextHeight 00fa _NV__287 0112 TControl.GetText 011a @LStrToPChar 0122 TCanvas.GetHandle 0128 DrawText 013d @LStrClr 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C3 8B 08 FF 51 2C 8A 83 1D 01 00 00 84 C0 74 23 55 E8 ?? ?? ?? ?? 59 8B 45 F8 50 8B 83 20 01 00 00 50 8D 55 E8 8B 4D FC 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B 43 54 50 8B 93 24 01 00 00 52 8D 55 E8 8B C8 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8A 83 1C 01 00 00 84 C0 74 23 55 E8 ?? ?? ?? ?? 59 8B 45 F8 50 8B 83 20 01 00 00 50 8D 55 E8 8B 4D FC 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B B3 18 01 00 00 8B 53 54 8B 46 14 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B 53 50 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 03 55 EC 2B D0 D1 FA 79 03 83 D2 00 89 55 EC 03 C2 89 45 F4 33 C0 8A 83 34 01 00 00 66 8B 04 45 ?? ?? ?? ?? 66 83 C8 44 0F B7 C0 50 8D 45 E8 50 6A FF 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_6960_0 {
	meta:
		name = "TCustomPanel.SetAlignment"
		size = 18
	strings:
		$1 = { 56 8B F0 88 96 34 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_6961_0 {
	meta:
		name = "TCustomPanel.SetBevelInner"
		size = 25
		refs = "000c TWinControl.Realign"
	strings:
		$1 = { 56 8B F0 88 96 1C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_6962_0 {
	meta:
		name = "TCustomPanel.SetBevelOuter"
		size = 25
		refs = "000c TWinControl.Realign"
	strings:
		$1 = { 56 8B F0 88 96 1D 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_6963_0 {
	meta:
		name = "TCustomPanel.SetBevelWidth"
		size = 25
		refs = "000c TWinControl.Realign"
	strings:
		$1 = { 56 8B F0 89 96 20 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_6964_0 {
	meta:
		name = "TCustomPanel.SetBorderWidth"
		size = 25
		refs = "000c TWinControl.Realign"
	strings:
		$1 = { 56 8B F0 89 96 24 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_6966_0 {
	meta:
		name = "TStringGridStrings.Create"
		size = 65
		refs = "000e @ClassCreate 001d TObject.Create"
		altNames = "_NF__29F _NF__C9"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B 45 08 89 47 10 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6972_0 {
	meta:
		name = "_NF__2A5"
		size = 50
		refs = "0019 TList.Get 001e TObject.Free 002a TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 0C 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 47 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6973_0 {
	meta:
		name = "_NF__2A6"
		size = 82
		refs = "000c TList.Get 0011 TObject.Free 001b TList.Delete 0025 TNotebook.SetPageIndex 0033 GetParentForm"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 0C E8 ?? ?? ?? ?? 33 D2 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 F6 40 20 10 74 1D E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 54 01 00 00 00 74 0B 8B 80 54 01 00 00 8B 10 FF 52 04 5E 5B C3 }
	condition:
		$1
}

rule function_6974_0 {
	meta:
		name = "_NF__2A7"
		size = 111
		refs = "0010 _DV_TPage 0015 TPage.Create 002a TControl.SetText 0036 TList.Insert 0040 TNotebook.SetPageIndex 004e GetParentForm"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B 4B 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 10 8B C6 8B 08 FF 51 3C 8B D5 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B D7 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 F6 40 20 10 74 1D E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 54 01 00 00 00 74 0B 8B 80 54 01 00 00 8B 10 FF 52 04 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6975_0 {
	meta:
		name = "_NF__2A8"
		size = 65
		refs = "0014 TList.Get 002c TList.Put"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 3B FE 74 2E 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B E8 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B CD 8B D7 8B 43 0C E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6976_0 {
	meta:
		name = "TPage.Create"
		size = 84
		refs = "000a @ClassCreate 0017 TCustomControl.Create 0020 TControl.SetVisible 0026 TPage.Create 0037 TControl.SetAlign"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 B2 05 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_6977_0 {
	meta:
		name = "TPage.Paint"
		size = 65
		refs = "0007 TCustomControl.Paint 001d TPen.SetStyle 0027 TBrush.SetStyle 003a TCanvas.Rectangle"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 2D 8B B3 18 01 00 00 B2 01 8B 46 10 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B 43 38 50 8B 43 3C 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6978_0 {
	meta:
		name = "TPage.ReadState"
		size = 53
		refs = "000e _DV_TNotebook 0013 @IsClass 0024 TList.Add 002d TWinControl.ReadState"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 87 1C 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6979_0 {
	meta:
		name = "TPage.WMNCHitTest"
		size = 20
		refs = "000f TWinControl.WMNCHitTest"
	strings:
		$1 = { F6 40 20 10 75 08 C7 42 0C FF FF FF FF C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6980_0 {
	meta:
		name = "TNotebook.Create"
		size = 255
		refs = "0015 @ClassCreate 0022 TNotebook.Create 0031 TCustomControl.Create 003d TControl.SetWidth 0049 TControl.SetHeight 0050 _Dn_TList 0055 TObject.Create 0067 _NV__29D 006c _NF__29F 0084 SDefault 0089 LoadResString 00a0 TNotebook.SetPageIndex 00aa _NV__2B5 00b2 _DV_TPage 00bf RegisterClasses 00db @LStrClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 01 00 00 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 20 01 00 00 C7 83 24 01 00 00 FF FF FF FF 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 20 01 00 00 8B 08 FF 51 34 33 D2 8B C3 E8 ?? ?? ?? ?? 80 63 21 FE 80 3D ?? ?? ?? ?? 00 75 19 A1 ?? ?? ?? ?? 89 45 F4 8D 45 F4 33 D2 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6981_0 {
	meta:
		name = "TNotebook.Destroy"
		size = 56
		refs = "000d TObject.Free 0024 TCustomControl.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6984_0 {
	meta:
		name = "TNotebook.GetChildren"
		size = 64
		refs = "0029 TList.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 80 1C 01 00 00 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B D6 8B 45 FC 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6985_0 {
	meta:
		name = "TNotebook.ReadState"
		size = 108
		refs = "0016 TWinControl.ReadState 003d TList.Get 0046 TControl.BringToFront 004f TControl.SetVisible 0058 TControl.SetAlign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 20 01 00 00 8B 10 FF 52 40 8B D6 8B C3 E8 ?? ?? ?? ?? 8B B3 24 01 00 00 83 FE FF 74 3A 85 F6 7C 36 8B 83 1C 01 00 00 3B 70 08 7D 2B 8B D6 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 C7 83 24 01 00 00 FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_6986_0 {
	meta:
		name = "TNotebook.ShowControl"
		size = 71
		refs = "0022 TList.Get 002f TNotebook.SetPageIndex 003e TWinControl.ShowControl"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 87 1C 01 00 00 8B 70 08 4E 85 F6 7C 23 46 33 DB 8B D3 8B 87 1C 01 00 00 E8 ?? ?? ?? ?? 3B E8 75 0B 8B D3 8B C7 E8 ?? ?? ?? ?? EB 0D 43 4E 75 E0 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6987_0 {
	meta:
		name = "TCustomRadioGroup.SetItems"
		size = 16
		altNames = "TNotebook.SetPages"
	strings:
		$1 = { 56 8B F0 8B 86 20 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_6988_0 {
	meta:
		name = "TNotebook.SetPageIndex"
		size = 234
		refs = "003f GetParentForm 0052 TWinControl.ContainsControl 005f TCustomForm.SetActiveControl 006c TList.Get 0075 TControl.BringToFront 007e TControl.SetVisible 0087 TControl.SetAlign 00c9 TWinControl.SelectFirst"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 F6 43 20 01 74 0B 89 B3 24 01 00 00 E9 CC 00 00 00 3B B3 24 01 00 00 0F 84 C0 00 00 00 85 F6 0F 8C B8 00 00 00 8B 83 1C 01 00 00 3B 70 08 0F 8D A9 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 1A 8B 97 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D6 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8B E8 8B C5 E8 ?? ?? ?? ?? B2 01 8B C5 E8 ?? ?? ?? ?? B2 05 8B C5 E8 ?? ?? ?? ?? 8B AB 24 01 00 00 85 ED 7C 1F 8B 83 1C 01 00 00 3B 68 08 7D 14 8B D5 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 89 B3 24 01 00 00 85 FF 74 0F 3B 9F 2C 01 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 66 83 BB 2A 01 00 00 00 74 0E 8B D3 8B 83 2C 01 00 00 FF 93 28 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6989_0 {
	meta:
		name = "TNotebook.SetActivePage"
		size = 31
		refs = "0018 TNotebook.SetPageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 20 01 00 00 8B 08 FF 51 50 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6990_0 {
	meta:
		name = "TNotebook.GetActivePage"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 93 24 01 00 00 8B 83 20 01 00 00 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_6991_0 {
	meta:
		name = "_NF__2DB"
		size = 16
		refs = "0006 _NT__2D8 000b @Dispose"
	strings:
		$1 = { 85 C0 74 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6992_0 {
	meta:
		name = "_NF__2DC"
		size = 58
		refs = "000e _NT__2D8 0018 @New 0026 @LStrAsg"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F8 8B 15 ?? ?? ?? ?? B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B DE 8D 43 08 8B D7 E8 ?? ?? ?? ?? 89 6B 04 8B 04 24 89 03 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6993_0 {
	meta:
		name = "_NF__2DD"
		size = 61
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6994_0 {
	meta:
		name = "_NF__2DE"
		size = 57
		refs = "0025 TStrings.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 10 00 74 11 8B C6 8B 10 FF 52 40 B2 01 8B 46 10 8B 08 FF 51 FC 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6995_0 {
	meta:
		name = "_NF__2DF"
		size = 675
		refs = "001d _NF__2DF 002b _Dn_TStrings 0030 @IsClass 0043 TStrings.BeginUpdate 0058 _Dn_TList 005d TObject.Create 00bd CompareStr 0168 TList.Get 0172 _NF__2DC 0198 TCanvas.TextWidth 01ca TList.Add 020a @HandleAnyException 022d _NF__2DB 0242 @RaiseAgain 0247 @DoneExcept 025c TStrings.EndUpdate 0262 @HandleFinally 026e TStrings.Assign 0288 @LStrArrayClr 0290 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E4 89 4D E0 89 4D EC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 2C 02 00 00 89 5D F4 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 10 8B 40 08 48 89 45 F8 C6 45 EB 00 83 7D F8 00 7C 62 8D 4D EC 8B 55 F8 8B 45 FC 8B 18 FF 53 0C 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2B 43 33 F6 8D 4D E4 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 E4 8B 55 EC E8 ?? ?? ?? ?? 85 C0 0F 94 45 EB 80 7D EB 00 75 04 46 4B 75 D8 80 7D EB 00 75 0B 8B 55 F8 8B 45 FC 8B 08 FF 51 44 FF 4D F8 83 7D F8 00 7D 9E 33 C0 89 45 F8 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C D3 00 00 00 43 33 F6 8B 45 FC 8B 40 10 8B 40 08 3B 45 F8 7E 67 8D 4D E4 8B 55 F8 8B 45 FC 8B 38 FF 57 0C 8B 45 E4 50 8D 4D E0 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 E0 5A E8 ?? ?? ?? ?? 85 C0 75 3B 8D 4D E4 8B 55 F8 8B 45 FC 8B 38 FF 57 0C 8B 45 E4 50 8B 55 F8 8B 45 FC 8B 08 FF 51 18 50 8B 45 FC 8B 40 10 8B 55 F8 E8 ?? ?? ?? ?? 8B 50 04 59 58 E8 ?? ?? ?? ?? FF 45 F8 EB 49 8D 4D E4 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 55 E4 8B 45 FC 8B 40 0C 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 83 C0 08 50 8D 4D E4 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 E4 50 8B D6 8B 45 F4 8B 08 FF 51 18 8B C8 58 5A E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 46 4B 0F 85 30 FF FF FF 8B 45 FC 8B 10 FF 52 40 8B 45 FC 8B 40 10 B2 01 8B 08 FF 51 FC 8B 45 FC 8B 55 F0 89 50 10 8B 45 FC 8B 40 0C 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 EB 42 E9 ?? ?? ?? ?? 8B 45 F0 8B 58 08 4B 85 DB 7C 1E 43 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F8 4B 75 EA B2 01 8B 45 F0 8B 08 FF 51 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6996_0 {
	meta:
		name = "_NF__2E0"
		size = 92
		refs = "000a _Dn_TReader 000f @IsClass 001c TStrings.DefineProperties 0022 _NF__2E9 0028 _NF__2EB 0039 _NF__2E0"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 85 C0 0F 9F C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 00 00 FF FF FF FF 08 00 00 00 53 65 63 74 69 6F 6E 73 00 00 00 00 }
	condition:
		$1
}

rule function_6997_0 {
	meta:
		name = "_NF__2E1"
		size = 50
		refs = "0019 TList.Get 001e _NF__2DB 002a TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 10 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 47 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6998_0 {
	meta:
		name = "_NF__2E2"
		size = 50
		refs = "000d TList.Get 0012 _NF__2DB 001c TList.Delete"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B 46 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 46 10 E8 ?? ?? ?? ?? 8B 7E 0C 85 FF 74 07 8B C7 8B 10 FF 52 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6999_0 {
	meta:
		name = "_NF__2E3"
		size = 33
		refs = "000f TList.Get 0019 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B 50 08 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7000_0 {
	meta:
		name = "TDataCache.GetIndexCount"
		size = 7
		altNames = "TXtabQuery.getNDimensions _NF__2E4"
	strings:
		$1 = { 8B 40 10 8B 40 08 C3 }
	condition:
		$1
}

rule function_7001_0 {
	meta:
		name = "_NF__2E5"
		size = 21
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B 00 5E 5B C3 }
	condition:
		$1
}

rule function_7002_0 {
	meta:
		name = "_NF__2E6"
		size = 89
		refs = "001a TCanvas.TextWidth 0031 _NF__2DC 003a TList.Expand 0042 TList.Insert"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B F0 8B 5E 0C 85 DB 74 14 8B 83 18 01 00 00 8B D7 E8 ?? ?? ?? ?? 83 C0 08 8B D8 EB 05 BB 4B 00 00 00 33 C9 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B 46 10 E8 ?? ?? ?? ?? 8B D5 59 E8 ?? ?? ?? ?? 8B 7E 0C 85 FF 74 07 8B C7 8B 10 FF 52 44 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7003_0 {
	meta:
		name = "_NF__2E7"
		size = 108
		refs = "0012 TList.Get 0029 TCanvas.TextWidth 0041 _NF__2DC 004d TList.Put 0054 _NF__2DB"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F0 8B D5 8B 46 10 E8 ?? ?? ?? ?? 8B D8 8B 7E 0C 85 FF 74 15 8B 87 18 01 00 00 8B 14 24 E8 ?? ?? ?? ?? 83 C0 08 8B F8 EB 05 BF 4B 00 00 00 8B 0B 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B C8 8B D5 8B 46 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 7E 0C 85 FF 74 07 8B C7 8B 10 FF 52 44 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7004_0 {
	meta:
		name = "_NF__2E8"
		size = 39
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B D3 8B 46 10 E8 ?? ?? ?? ?? 89 38 8B 7E 0C 85 FF 74 07 8B C7 8B 10 FF 52 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7005_0 {
	meta:
		name = "_NF__2E9"
		size = 253
		refs = "0015 _NF__2E9 0023 TReader.ReadListBegin 003a TReader.ReadString 0055 @LStrLen 0079 @LStrCopy 0086 StrToIntDef 0097 @LStrDelete 00a3 _NF__2DC 00ac TList.Expand 00b8 TList.Insert 00c0 TReader.EndOfList 00d0 TReader.ReadListEnd 00ea @LStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 40 E9 89 00 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? BE 4B 00 00 00 BB 01 00 00 00 8B 45 F8 80 38 00 75 4B 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7F 0A 8B 45 F8 80 7C 18 FF 00 75 E9 8D 45 F4 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 BA 4B 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F8 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C9 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 47 10 E8 ?? ?? ?? ?? 8B 57 10 8B 52 08 59 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 67 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7006_0 {
	meta:
		name = "_NF__2EA"
		size = 58
		refs = "001d TWinControl.GetHandle 0023 SendMessage 0032 TControl.Refresh"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7E 0C 85 FF 74 28 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 08 8B 46 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7007_0 {
	meta:
		name = "_NF__2EB"
		size = 192
		refs = "0018 _NF__2EB 0026 TWriter.WriteListBegin 0045 TList.Get 0071 Format 007c TWriter.WriteString 0088 TWriter.WriteListEnd 009d @LStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4B 46 33 FF 8B 45 FC 8B 40 10 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 45 F4 50 8B 43 04 89 45 E4 C6 45 E8 00 8B 43 08 89 45 EC C6 45 F0 0B 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 47 4E 75 B8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 06 00 00 00 00 25 64 00 25 73 00 00 }
	condition:
		$1
}

rule function_7008_0 {
	meta:
		name = "THeader.Create"
		size = 136
		refs = "000e @ClassCreate 001c TCustomControl.Create 0022 THeader.Create 0036 TControl.SetWidth 0042 TControl.SetHeight 0049 _NV__2D9 004e _NF__2DD"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 01 00 00 89 5E 0C C6 83 29 01 00 00 01 C6 83 2A 01 00 00 01 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 44 00 00 00 }
	condition:
		$1
}

rule function_7009_0 {
	meta:
		name = "THeader.Destroy"
		size = 52
		refs = "0009 _NF__2F9 0014 TObject.Free 0020 TCustomControl.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7010_0 {
	meta:
		name = "THeader.CreateParams"
		size = 40
		refs = "000b TWinControl.CreateParams 001a _NV__2F3"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 2A 01 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 83 66 24 FC 5E 5B C3 }
	condition:
		$1
}

rule function_7011_0 {
	meta:
		name = "THeader.Paint"
		size = 408
		refs = "0017 THeader.Paint 0031 TCanvas.SetFont 0041 TBrush.SetColor 0053 TCanvas.TextHeight 005b TControl.GetClientHeight 007c Rect 0089 @LStrClr 00a8 TList.Get 00c2 @LStrLAsg 00d5 TControl.GetClientWidth 0127 TCanvas.TextRect 0137 TCanvas.GetHandle 013d DrawEdge 017e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 F4 8B D8 8D 7D DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 18 01 00 00 89 45 F0 8B 53 50 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 33 F6 BA ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B C2 D1 F8 79 03 83 D0 00 89 45 FC 8B C3 E8 ?? ?? ?? ?? 50 57 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8D 45 F4 E8 ?? ?? ?? ?? 8B 83 1C 01 00 00 8B 10 FF 52 14 3B F0 7D 2B 8B 83 1C 01 00 00 8B 40 10 8B D6 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 8B 40 04 89 45 F8 8D 45 F4 8B 55 EC 8B 52 08 E8 ?? ?? ?? ?? 46 8B 47 08 89 07 8B 45 F8 01 47 08 8B C3 E8 ?? ?? ?? ?? 2B 47 08 83 F8 02 7C 0F 8B 83 1C 01 00 00 8B 10 FF 52 14 3B F0 75 0A 8B C3 E8 ?? ?? ?? ?? 89 47 08 8B 45 FC 50 8B 45 F4 50 8B 47 0C 48 50 8D 45 CC 50 8B 4F 08 49 8B 57 04 42 8B 07 40 E8 ?? ?? ?? ?? 8D 55 CC 8B 0F 83 C1 03 8B 45 F0 E8 ?? ?? ?? ?? 6A 03 6A 04 57 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 0C 6A 04 57 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 47 08 0F 85 26 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_7012_0 {
	meta:
		name = "_NF__2F9"
		size = 20
	strings:
		$1 = { 56 8B B0 1C 01 00 00 85 F6 74 07 8B C6 8B 10 FF 52 40 5E C3 }
	condition:
		$1
}

rule function_7014_0 {
	meta:
		name = "THeader.SetSections"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 1C 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_7015_0 {
	meta:
		name = "THeader.GetWidth"
		size = 115
		refs = "002e TList.Get 003c TControl.GetClientWidth"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 83 1C 01 00 00 8B 10 FF 52 14 48 3B F0 75 2C 33 ED 4E 85 F6 7C 1A 46 33 FF 8B 83 1C 01 00 00 8B 40 10 8B D7 E8 ?? ?? ?? ?? 03 68 04 47 4E 75 E9 8B C3 E8 ?? ?? ?? ?? 2B C5 EB 2A 85 F6 7C 24 8B 83 1C 01 00 00 8B 10 FF 52 14 3B F0 7D 15 8B 83 1C 01 00 00 8B 40 10 8B D6 E8 ?? ?? ?? ?? 8B 40 04 EB 02 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7016_0 {
	meta:
		name = "THeader.SetWidth"
		size = 43
		refs = "0019 TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 7C 1A 8B 86 1C 01 00 00 8B 40 10 8B D3 E8 ?? ?? ?? ?? 89 78 04 8B C6 8B 10 FF 52 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7017_0 {
	meta:
		name = "THeader.WMNCHitTest"
		size = 52
		refs = "000e TWinControl.WMNCHitTest 0018 SmallPointToPoint"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D4 8B 46 08 E8 ?? ?? ?? ?? 8B 04 24 89 83 20 01 00 00 8B 44 24 04 89 83 24 01 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7018_0 {
	meta:
		name = "THeader.WMSetCursor"
		size = 247
		refs = "0027 TControl.ScreenToClient 0071 TList.Get 009f LoadCursor 00df SetCursor 00eb TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 14 24 8B D8 33 C0 89 44 24 04 33 C0 89 83 2C 01 00 00 8D 4C 24 08 8D 93 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 83 20 01 00 00 8B 44 24 0C 89 83 24 01 00 00 BD 02 00 00 00 8B 04 24 66 83 78 08 01 75 65 8B 83 1C 01 00 00 8B 10 FF 52 14 8B F8 83 EF 02 85 FF 7C 51 47 33 F6 8B 83 1C 01 00 00 8B 40 10 8B D6 E8 ?? ?? ?? ?? 03 68 04 8B 83 20 01 00 00 83 C0 02 8B CD 2B C8 89 8B 30 01 00 00 8B C1 99 33 C2 2B C2 83 F8 04 7D 18 68 84 7F 00 00 6A 00 E8 ?? ?? ?? ?? 89 44 24 04 89 B3 2C 01 00 00 EB 04 46 4F 75 B2 80 BB 29 01 00 00 00 75 06 F6 43 20 10 74 07 83 7C 24 04 00 75 04 33 C0 EB 02 B0 01 88 83 28 01 00 00 84 C0 74 0C 8B 44 24 04 50 E8 ?? ?? ?? ?? EB 0A 8B 14 24 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7019_0 {
	meta:
		name = "THeader.MouseDown"
		size = 77
		refs = "001d TControl.MouseDown 003c TWinControl.GetHandle 0042 SetCapture"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? F6 46 20 10 74 05 80 FB 01 74 04 84 DB 75 16 80 BE 28 01 00 00 00 74 0D 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7020_0 {
	meta:
		name = "THeader.MouseMove"
		size = 277
		refs = "001e TControl.MouseMove 0025 TWinControl.GetHandle 002c GetCapture 0065 TList.Get 00a2 TControl.GetClientWidth 0101 @CallDynaInst 0108 TControl.Refresh"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 88 55 FF 8B F0 8B 45 08 50 8B 4D F8 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 0F 85 D4 00 00 00 80 BE 28 01 00 00 00 0F 84 C7 00 00 00 C7 45 F4 02 00 00 00 8B 9E 2C 01 00 00 85 DB 7C 1D 43 33 FF 8B 86 1C 01 00 00 8B 40 10 8B D7 E8 ?? ?? ?? ?? 8B 40 04 01 45 F4 47 4B 75 E6 8B 9E 2C 01 00 00 85 DB 7E 1D 8B 86 1C 01 00 00 8B 40 10 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 2B 50 04 83 C2 02 8B DA EB 05 BB 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 E8 02 3B 5D F8 7E 03 89 5D F8 3B 45 F8 7D 03 89 45 F8 8B 86 1C 01 00 00 8B 40 10 8B 96 2C 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 2B 55 F8 83 EA 02 2B 96 30 01 00 00 29 50 04 8B 86 1C 01 00 00 8B 40 10 8B 9E 2C 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 48 04 8B D3 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7021_0 {
	meta:
		name = "THeader.MouseUp"
		size = 101
		refs = "0018 ReleaseCapture 002e TList.Get 003e @CallDynaInst 005a TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FE 88 55 FF 8B F0 80 BE 28 01 00 00 00 74 32 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 8B 40 10 8B 9E 2C 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 48 04 8B D3 8B C6 66 BB DA FF E8 ?? ?? ?? ?? C6 86 28 01 00 00 00 8B 45 0C 50 8B 45 08 50 8A 4D FE 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7022_0 {
	meta:
		name = "THeader.Sizing"
		size = 32
		altNames = "TScrollBar.Scroll"
	strings:
		$1 = { 53 66 83 B8 36 01 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 38 01 00 00 FF 93 34 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7023_0 {
	meta:
		name = "THeader.Sized"
		size = 62
		refs = "0029 GetParentForm"
	strings:
		$1 = { 56 8B F0 66 83 BE 3E 01 00 00 00 74 13 51 8B C6 8B CA 8B D0 8B 86 40 01 00 00 FF 96 3C 01 00 00 F6 46 20 10 74 16 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 80 54 01 00 00 8B 10 FF 52 04 5E C3 }
	condition:
		$1
}

rule function_7025_0 {
	meta:
		name = "_NF__32B"
		size = 125
		refs = "000e @ClassCreate 0020 TRadioButton.Create 002d TList.Add 0036 TControl.SetVisible 0040 TControl.SetEnabled 0049 TControl.SetParentShowHint 0059 _NF__339"
	strings:
		$1 = { 55 8B EC 51 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 8B CF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 87 1C 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8A 57 45 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 89 BE A8 00 00 00 C7 86 A4 00 00 00 ?? ?? ?? ?? 8B D7 8B C6 8B 08 FF 51 3C 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_7026_0 {
	meta:
		name = "_NF__32C"
		size = 50
		refs = "0012 TList.Remove 001e TWinControl.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 8B 80 1C 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7027_0 {
	meta:
		name = "_NF__32D"
		size = 142
		refs = "0026 _NF__32D 0057 TRadioButton.CNCommand 0066 @HandleAnyException 006b Application 0075 TApplication.HandleException 007a @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 80 B8 20 01 00 00 00 75 70 8B 45 FC C6 80 20 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 8B 73 06 66 85 F6 74 06 66 83 FE 05 75 1C 8B 45 FC 8B 40 24 8B 10 FF 92 80 00 00 00 84 C0 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 20 01 00 00 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7029_0 {
	meta:
		name = "_NF__32F"
		size = 62
		refs = "000c TWinControl.KeyPress 001a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D6 8B 47 24 66 BB DD FF E8 ?? ?? ?? ?? 80 3E 08 74 05 80 3E 20 75 12 8B 47 24 8B 10 FF 92 80 00 00 00 84 C0 75 03 C6 06 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7030_0 {
	meta:
		name = "_NF__330"
		size = 43
		refs = "0012 TWinControl.KeyDown 0023 @CallDynaInst"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 8B D6 8A 0C 24 8B 43 24 66 BB DF FF E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7031_0 {
	meta:
		name = "TCustomRadioGroup.Create"
		size = 140
		refs = "000e @ClassCreate 001c TCustomGroupBox.Create 0022 TCustomRadioGroup.Create 002d _Dn_TList 0032 TObject.Create 003f _Dn_TStringList 0056 _NF__33A"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 1C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 01 00 00 89 5E 20 C7 46 1C ?? ?? ?? ?? C7 83 24 01 00 00 FF FF FF FF C7 83 28 01 00 00 01 00 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 A0 00 00 00 }
	condition:
		$1
}

rule function_7032_0 {
	meta:
		name = "TCustomRadioGroup.Destroy"
		size = 73
		refs = "000b _NF__33E 001e TObject.Free 0035 TCustomControl.Destroy 0040 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 20 01 00 00 33 D2 89 50 1C 89 50 20 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7033_0 {
	meta:
		name = "_NF__338"
		size = 311
		refs = "0029 GetDC 0033 TFont.GetHandle 003a SelectObject 0047 GetTextMetrics 0056 ReleaseDC 00a9 BeginDeferWindowPos 00cf TList.Get 0102 TWinControl.GetHandle 010d DeferWindowPos 011a TControl.SetVisible 012b EndDeferWindowPos"
	strings:
		$1 = { 53 56 57 55 83 C4 B4 8B F0 8B 86 1C 01 00 00 83 78 08 00 0F 84 16 01 00 00 80 BE 2C 01 00 00 00 0F 85 09 01 00 00 6A 00 E8 ?? ?? ?? ?? 8B D8 8B 46 50 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F8 8D 44 24 14 50 53 E8 ?? ?? ?? ?? 57 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 8B 78 08 8B C7 8B 8E 28 01 00 00 03 C1 48 99 F7 F9 8B E8 8B 46 38 83 E8 0A 99 F7 F9 89 04 24 8B 5E 3C 8B 4C 24 14 2B D9 83 EB 05 8B C3 99 F7 FD 89 44 24 04 8B C3 99 F7 FD D1 FA 79 03 83 D2 00 41 03 D1 89 54 24 08 57 E8 ?? ?? ?? ?? 89 44 24 0C 8B 86 1C 01 00 00 8B 40 08 48 85 C0 7C 66 40 89 44 24 10 33 DB 8B D3 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B F8 6A 14 8B 44 24 08 50 8B 44 24 08 50 8B C3 99 F7 FD 0F AF 54 24 10 03 54 24 14 52 8B C3 99 F7 FD F7 6C 24 10 83 C0 08 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B 44 24 28 50 E8 ?? ?? ?? ?? 89 44 24 0C B2 01 8B C7 E8 ?? ?? ?? ?? 43 FF 4C 24 10 75 A1 8B 44 24 0C 50 E8 ?? ?? ?? ?? 83 C4 4C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7034_0 {
	meta:
		name = "_NF__339"
		size = 55
		refs = "0018 TList.IndexOf 0025 TControl.Changed 0030 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 2D 01 00 00 00 75 25 8B D6 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 89 83 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7035_0 {
	meta:
		name = "_NF__33A"
		size = 58
		refs = "0034 _NF__348"
	strings:
		$1 = { 53 8B D8 80 BB 2C 01 00 00 00 75 2C 8B 83 20 01 00 00 8B 10 FF 52 14 3B 83 24 01 00 00 7F 12 8B 83 20 01 00 00 8B 10 FF 52 14 48 89 83 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7036_0 {
	meta:
		name = "TCustomRadioGroup.ReadState"
		size = 33
		refs = "000d TWinControl.ReadState 001b _NF__348"
	strings:
		$1 = { 53 8B D8 C6 83 2C 01 00 00 01 8B C3 E8 ?? ?? ?? ?? C6 83 2C 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7037_0 {
	meta:
		name = "_NF__33E"
		size = 63
		refs = "000e _NV__329 0013 _NF__32B 0027 TList.Last 002c TObject.Free"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 EB 0E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 1C 01 00 00 3B 70 08 7F E7 EB 0C 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B BB 1C 01 00 00 3B 77 08 7C E9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7038_0 {
	meta:
		name = "TCustomRadioGroup.SetColumns"
		size = 53
		refs = "0028 _NF__338"
	strings:
		$1 = { 56 8B F0 83 FA 01 7D 05 BA 01 00 00 00 83 FA 10 7E 05 BA 10 00 00 00 3B 96 28 01 00 00 74 14 89 96 28 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_7039_0 {
	meta:
		name = "TCustomRadioGroup.SetItemIndex"
		size = 116
		refs = "0044 TList.Get 004b TRadioButton.SetChecked"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 80 BB 2C 01 00 00 00 74 08 89 B3 24 01 00 00 EB 56 83 FE FF 7D 03 83 CE FF 8B AB 1C 01 00 00 8B 45 08 3B F0 7C 03 8B F0 4E 8B BB 24 01 00 00 3B F7 74 34 85 FF 7C 10 8B D7 8B C5 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B FE 89 BB 24 01 00 00 85 FF 7C 14 8B D7 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7041_0 {
	meta:
		name = "_NF__348"
		size = 212
		refs = "0014 _NF__348 002e _NF__33E 0063 TList.Get 0069 TControl.SetText 0097 TRadioButton.SetChecked 00a5 _NF__338 00c1 @LStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 20 01 00 00 8B 10 FF 52 14 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 8B 40 08 48 85 C0 7C 33 40 89 45 FC 33 DB 8D 4D F8 8B D3 8B 86 20 01 00 00 8B 38 FF 57 0C 8B 45 F8 50 8B D3 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 FF 4D FC 75 D3 83 BE 24 01 00 00 00 7C 26 C6 86 2D 01 00 00 01 8B 96 24 01 00 00 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C6 86 2D 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7042_0 {
	meta:
		name = "TCustomRadioGroup.CMEnabledChanged"
		size = 58
		refs = "0008 TWinControl.CMEnabledChanged 0026 TList.Get 002e TControl.SetEnabled"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 1C 01 00 00 8B 70 08 4E 85 F6 7C 1C 46 33 FF 8B D7 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8A 53 45 E8 ?? ?? ?? ?? 47 4E 75 E7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7047_0 {
	meta:
		name = "TSplitter.Create"
		size = 95
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 0020 TControl.SetAlign 002c TControl.SetWidth 0037 TControl.SetCursor"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 BA F2 FF 8B C6 E8 ?? ?? ?? ?? C7 86 C8 00 00 00 1E 00 00 00 C6 86 E4 00 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7048_0 {
	meta:
		name = "_NF__35E"
		size = 32
		refs = "000e TWinControl.GetHandle 0014 GetDCEx"
	strings:
		$1 = { 53 8B D8 68 12 04 00 00 6A 00 8B 43 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 83 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7049_0 {
	meta:
		name = "_NF__35F"
		size = 108
		refs = "001d Point 0064 PatBlt"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8A 83 E5 00 00 00 34 01 88 83 E5 00 00 00 8B CC 8B 53 34 8B 43 30 E8 ?? ?? ?? ?? 8A 43 48 04 FD 2C 02 73 0E 8B 43 30 03 83 C4 00 00 00 89 04 24 EB 0D 8B 43 34 03 83 C4 00 00 00 89 44 24 04 68 49 00 5A 00 8B 43 3C 50 8B 43 38 50 8B 44 24 10 50 8B 44 24 10 50 8B 83 B8 00 00 00 50 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_7050_0 {
	meta:
		name = "_NF__360"
		size = 26
		refs = "000e TWinControl.GetHandle 0014 ReleaseDC"
	strings:
		$1 = { 53 8B D8 8B 83 B8 00 00 00 50 8B 43 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7051_0 {
	meta:
		name = "TSplitter.Paint"
		size = 239
		refs = "001d TBrush.SetColor 0037 TCanvas.FillRect 005b InflateRect 0079 OffsetRect 0083 ColorToRGB 0089 CreateSolidBrush 009c TCanvas.GetHandle 00a2 FrameRect 00a8 DeleteObject"
	strings:
		$1 = { 53 56 83 C4 E0 8B D8 8B D4 8B C3 8B 08 FF 51 2C 8B 83 B4 00 00 00 8B 40 14 8B 53 54 E8 ?? ?? ?? ?? 8D 54 24 10 8B C3 8B 08 FF 51 2C 8D 54 24 10 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 80 BB E4 00 00 00 00 0F 84 A1 00 00 00 8A 43 48 04 FD 2C 02 73 10 6A 02 6A FF 8D 44 24 08 50 E8 ?? ?? ?? ?? EB 0E 6A FF 6A 02 8D 44 24 08 50 E8 ?? ?? ?? ?? 6A 01 6A 01 8D 44 24 08 50 E8 ?? ?? ?? ?? B8 14 00 00 80 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 56 8D 44 24 04 50 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 6A FE 6A FE 8D 44 24 08 50 E8 ?? ?? ?? ?? B8 10 00 00 80 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 56 8D 44 24 04 50 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_7052_0 {
	meta:
		name = "_NF__363"
		size = 186
		refs = "0021 Point 006e TWinControl.GetControlCount 0088 TWinControl.GetControl 009a TControl.GetBoundsRect 00a3 PtInRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 8D 4D F8 8B 45 08 8B 40 FC 8B 50 34 8B 45 08 8B 40 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8A 40 48 FE C8 74 21 FE C8 74 22 FE C8 74 06 FE C8 74 07 EB 71 FF 4D F8 EB 1F 8B 45 08 8B 40 FC 8B 40 38 01 45 F8 EB 11 FF 4D FC EB 0C 8B 45 08 8B 40 FC 8B 40 3C 01 45 FC 8B 45 08 8B 40 FC 8B 40 24 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 36 46 33 FF 8B 45 08 8B 40 FC 8B 40 24 8B D7 E8 ?? ?? ?? ?? 8B D8 FF 75 FC FF 75 F8 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 50 E8 ?? ?? ?? ?? 85 C0 75 06 47 4E 75 CD 33 DB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7053_0 {
	meta:
		name = "TSplitter.MouseDown"
		size = 470
		refs = "0022 TControl.MouseDown 0030 _NF__363 0047 Point 0083 TControl.GetClientWidth 00a0 TWinControl.GetControlCount 00b7 TWinControl.GetControl 00f4 TControl.GetClientHeight 0163 _NF__36A 016b _NF__35E 0173 ValidParentForm 01c1 _NF__376 01c9 _NF__35F"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D FB 8B DA 89 45 FC 8B 7D 0C 57 8B 45 08 50 8A 4D FB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 DB 0F 85 9F 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 55 FC 89 82 D0 00 00 00 8D 4D F0 8B 55 08 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 90 BC 00 00 00 8B 55 F4 89 90 C0 00 00 00 8B 45 FC 83 B8 D0 00 00 00 00 0F 84 5D 01 00 00 8B 45 FC 8A 40 48 04 FD 2C 02 73 71 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 55 FC 2B 82 C8 00 00 00 8B 55 FC 89 82 CC 00 00 00 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2B 43 33 F6 8B 45 FC 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8A 50 48 80 C2 FD 80 EA 02 73 0C 8B 40 38 8B 55 FC 29 82 CC 00 00 00 46 4B 75 D8 8B 45 FC 8B 80 D0 00 00 00 8B 40 38 8B 55 FC 01 82 CC 00 00 00 EB 6D 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 55 FC 2B 82 C8 00 00 00 8B 55 FC 89 82 CC 00 00 00 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 29 43 33 F6 8B 45 FC 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8A 50 48 4A 80 EA 02 73 0C 8B 40 3C 8B 55 FC 29 82 CC 00 00 00 46 4B 75 DA 8B 45 FC 8B 80 D0 00 00 00 8B 40 3C 8B 55 FC 01 82 CC 00 00 00 8B 4D 08 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 8A 2C 01 00 00 85 C9 74 42 8B C1 8B 55 FC 89 82 D8 00 00 00 8B 55 FC 8B 88 EC 00 00 00 89 8A DC 00 00 00 8B 88 F0 00 00 00 89 8A E0 00 00 00 8B 45 FC 8B 80 D8 00 00 00 8B 55 FC 89 90 F0 00 00 00 C7 80 EC 00 00 00 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7054_0 {
	meta:
		name = "_NF__36A"
		size = 206
	strings:
		$1 = { 56 8B F0 8A 46 48 04 FD 2C 02 73 0E 2B 96 BC 00 00 00 89 96 C4 00 00 00 EB 0C 2B 8E C0 00 00 00 89 8E C4 00 00 00 33 C0 8A 56 48 FE CA 74 30 FE CA 74 3D FE CA 74 06 FE CA 74 13 EB 42 8B 86 D0 00 00 00 8B 40 38 03 86 C4 00 00 00 EB 31 8B 86 D0 00 00 00 8B 40 38 2B 86 C4 00 00 00 EB 20 8B 86 D0 00 00 00 8B 40 3C 03 86 C4 00 00 00 EB 0F 8B 86 D0 00 00 00 8B 40 3C 2B 86 C4 00 00 00 89 86 D4 00 00 00 8B 96 C8 00 00 00 3B C2 7D 08 89 96 D4 00 00 00 EB 10 8B 96 CC 00 00 00 3B C2 7E 06 89 96 D4 00 00 00 8B 96 D4 00 00 00 3B C2 74 1B 8A 4E 48 80 E9 02 74 05 80 E9 02 75 04 2B C2 EB 04 2B D0 8B C2 01 86 C4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_7055_0 {
	meta:
		name = "TSplitter.MouseMove"
		size = 72
		refs = "001a TControl.MouseMove 002a _NF__35F 0035 _NF__36A"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 83 BB D0 00 00 00 00 74 19 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7056_0 {
	meta:
		name = "TSplitter.MouseUp"
		size = 374
		refs = "001b TControl.MouseUp 0033 _NF__35F 0069 TControl.SetWidth 0085 TControl.SetHeight 0095 TWinControl.DisableAlign 009d TSplitter.MouseUp 00c0 TControl.SetLeft 00ef TWinControl.EnableAlign 00f5 @HandleFinally 012d TControl.SetTop 016c TSplitter.StopSizing"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 4D FB 89 45 FC 8B 45 0C 50 8B 45 08 50 8A 4D FB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 D0 00 00 00 00 0F 84 41 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 40 48 FE C8 74 31 FE C8 0F 84 B2 00 00 00 FE C8 74 09 FE C8 74 3D E9 12 01 00 00 8B 45 FC 8B 90 D4 00 00 00 8B 45 FC 8B 80 D0 00 00 00 E8 ?? ?? ?? ?? E9 F6 00 00 00 8B 45 FC 8B 90 D4 00 00 00 8B 45 FC 8B 80 D0 00 00 00 E8 ?? ?? ?? ?? E9 DA 00 00 00 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 D0 00 00 00 8B 50 38 8B 4D FC 2B 91 D4 00 00 00 03 50 30 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 D4 00 00 00 8B 45 FC 8B 80 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 D0 00 00 00 8B 50 3C 8B 4D FC 2B 91 D4 00 00 00 03 50 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 D4 00 00 00 8B 45 FC 8B 80 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7057_0 {
	meta:
		name = "_NF__376"
		size = 50
		refs = "000b TSplitter.StopSizing"
	strings:
		$1 = { 55 8B EC 53 66 83 39 1B 75 07 E8 ?? ?? ?? ?? EB 1C 66 83 B8 DE 00 00 00 00 74 12 8A 5D 08 53 8B D8 8B 83 E0 00 00 00 FF 93 DC 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7058_0 {
	meta:
		name = "TSplitter.SetBeveled"
		size = 18
	strings:
		$1 = { 56 8B F0 88 96 E4 00 00 00 8B C6 8B 10 FF 52 48 5E C3 }
	condition:
		$1
}

rule function_7059_0 {
	meta:
		name = "TSplitter.StopSizing"
		size = 111
		refs = "0018 _NF__35F 0027 _NF__360"
	strings:
		$1 = { 53 8B D8 83 BB D0 00 00 00 00 74 49 80 BB E5 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 D0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 D8 00 00 00 85 C0 74 20 8B 93 DC 00 00 00 89 90 EC 00 00 00 8B 93 E0 00 00 00 89 90 F0 00 00 00 33 C0 89 83 D8 00 00 00 66 83 BB EA 00 00 00 00 74 0E 8B D3 8B 83 EC 00 00 00 FF 93 E8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7062_0 {
	meta:
		name = "TOpenPictureDialog.Create"
		size = 876
		refs = "0016 @ClassCreate 0023 TOpenPictureDialog.Create 0032 TOpenDialog.Create 003a _Dn_TGraphic 003f GraphicFilter 004a @LStrAsg 0051 _Dn_TPicture 0056 TPicture.Create 0065 _Dn_TPanel 006a TCustomPanel.Create 0087 TControl.SetText 00ab TCustomPanel.SetBevelOuter 00b7 TCustomPanel.SetBorderWidth 00c2 TWinControl.SetTabOrder 00cb _Dn_TLabel 00d0 TCustomLabel.Create 0110 TControl.SetAlign 012f _Dn_TSpeedButton 0134 TSpeedButton.Create 0168 TControl.SetEnabled 016f TSpeedButton.GetGlyph 0175 HInstance 0181 TBitmap.LoadFromResourceName 0189 SPreviewLabel 018e LoadResString 0197 TControl.SetParentShowHint 01a0 TControl.SetShowHint 01b0 _NF__B2 0217 TCustomPanel.SetBevelInner 0232 _Dn_TPaintBox 0237 TPaintBox.Create 029a _NF__B1 02bc @LStrClr 02c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 46 54 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 94 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 18 33 D2 8B C3 E8 ?? ?? ?? ?? 68 A9 00 00 00 68 C8 00 00 00 B9 05 00 00 00 BA CC 00 00 00 8B C3 8B 38 FF 57 4C 33 D2 8B C3 E8 ?? ?? ?? ?? BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 98 00 00 00 8B FB BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 18 33 D2 8B C7 E8 ?? ?? ?? ?? 68 9D 00 00 00 6A 17 B9 06 00 00 00 BA 06 00 00 00 8B C7 8B 18 FF 53 4C B2 01 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 8B 08 FF 51 5C 8B 96 94 00 00 00 8B C7 8B 08 FF 51 3C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 9C 00 00 00 8B FB BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 18 6A 17 6A 16 B9 01 00 00 00 BA 4D 00 00 00 8B C7 8B 18 FF 53 4C 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 57 60 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 89 B7 A8 00 00 00 C7 87 A4 00 00 00 ?? ?? ?? ?? 8B 96 94 00 00 00 8B C7 8B 08 FF 51 3C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E A0 00 00 00 8B FB BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 18 33 D2 8B C7 E8 ?? ?? ?? ?? 68 9D 00 00 00 68 91 00 00 00 B9 1D 00 00 00 BA 06 00 00 00 8B C7 8B 18 FF 53 4C B2 05 8B C7 E8 ?? ?? ?? ?? B2 02 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A4 00 00 00 8B 96 94 00 00 00 8B C7 8B 08 FF 51 3C 8B BE A4 00 00 00 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 18 68 99 00 00 00 68 8D 00 00 00 33 C9 33 D2 8B C7 8B 18 FF 53 4C B2 05 8B C7 E8 ?? ?? ?? ?? 89 B7 B0 00 00 00 C7 87 AC 00 00 00 ?? ?? ?? ?? 89 B7 BC 00 00 00 C7 87 B8 00 00 00 ?? ?? ?? ?? 8B 96 A0 00 00 00 8B C7 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 0C 00 00 00 50 69 63 74 75 72 65 50 61 6E 65 6C 00 00 00 00 FF FF FF FF 0C 00 00 00 50 69 63 74 75 72 65 4C 61 62 65 6C 00 00 00 00 FF FF FF FF 0D 00 00 00 50 72 65 76 69 65 77 42 75 74 74 6F 6E 00 00 00 FF FF FF FF 0C 00 00 00 50 52 45 56 49 45 57 47 4C 59 50 48 00 00 00 00 FF FF FF FF 0A 00 00 00 50 61 69 6E 74 50 61 6E 65 6C 00 00 FF FF FF FF 08 00 00 00 50 61 69 6E 74 42 6F 78 00 00 00 00 }
	condition:
		$1
}

rule function_7063_0 {
	meta:
		name = "TOpenPictureDialog.Destroy"
		size = 100
		refs = "000d TObject.Free 0050 TOpenDialog.Destroy 005b @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 A4 00 00 00 E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B 86 94 00 00 00 E8 ?? ?? ?? ?? 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7064_0 {
	meta:
		name = "_NF__A8"
		size = 22
		refs = "0006 @LStrToPChar 000c GetFileAttributes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 40 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_7065_0 {
	meta:
		name = "TOpenPictureDialog.DoSelectionChange"
		size = 378
		refs = "001b TOpenPictureDialog.DoSelectionChange 002c TOpenDialog.GetFileName 0034 FileExists 0040 _NF__A8 0071 TPicture.LoadFromFile 007d SPictureDesc 0082 LoadResString 0094 TPicture.GetWidth 00a9 TPicture.GetHeight 00be Format 00cf TControl.SetText 00df TControl.SetEnabled 00ee @HandleAnyException 00f5 @DoneExcept 0101 SPictureLabel 014d TOpenDialog.DoSelectionChange 0167 @LStrArrayClr 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 F4 89 55 F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 0F 84 A3 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 90 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 00 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 00 8D 55 E0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 00 00 00 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 84 DB 75 3E 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 00 00 00 33 D2 8B 08 FF 51 08 8B 45 FC 8B 80 A4 00 00 00 8B 10 FF 52 44 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7066_0 {
	meta:
		name = "TOpenPictureDialog.DoClose"
		size = 18
		refs = "0001 TCommonDialog.DoClose 0006 Application 000d TApplication.HideHint"
	strings:
		$1 = { E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7067_0 {
	meta:
		name = "TOpenPictureDialog.DoShow"
		size = 141
		refs = "000c GetClientRect 0038 TControl.SetBoundsRect 0047 TControl.GetBoundsRect 0062 TControl.SetLeft 007d TWinControl.SetParentWindow 0084 TCommonDialog.DoShow"
	strings:
		$1 = { 53 83 C4 D0 8B D8 54 8B 43 30 50 E8 ?? ?? ?? ?? 8D 54 24 10 8B C3 8B 08 FF 51 38 8B 54 24 18 8B 44 24 10 2B D0 03 D0 89 14 24 83 44 24 04 04 8B D4 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 8D 54 24 20 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B 54 24 28 8B 83 9C 00 00 00 2B 50 38 83 EA 02 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 90 00 00 00 8B 08 FF 51 08 8B 53 30 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 30 5B C3 }
	condition:
		$1
}

rule function_7068_0 {
	meta:
		name = "TOpenPictureDialog.Execute"
		size = 52
		refs = "0002 NewStyleControls 0012 TOpenPictureDialog.Execute 0021 TOpenDialog.Execute"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 3A 00 74 10 F6 40 52 01 75 0A BA ?? ?? ?? ?? 89 50 38 EB 05 33 D2 89 50 38 E8 ?? ?? ?? ?? C3 00 00 44 4C 47 54 45 4D 50 4C 41 54 45 00 }
	condition:
		$1
}

rule function_7069_0 {
	meta:
		name = "_NF__B1"
		size = 472
		refs = "0016 _NF__B1 002f TBrush.SetColor 0044 TPicture.GetWidth 006c TPicture.GetHeight 00b4 MulDiv 00fd TCanvas.StretchDraw 0154 TCanvas.Draw 0164 srNone 0169 LoadResString 0177 TCanvas.TextHeight 0195 TCanvas.TextWidth 01b0 TCanvas.TextOut 01c5 @LStrClr 01cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FE 8B 57 54 8B 87 B4 00 00 00 8B 40 14 E8 ?? ?? ?? ?? 8D 55 EC 8B C7 8B 08 FF 51 2C 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 0A 01 00 00 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 7D F4 2B 7D EC 3B C7 7F 19 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 2B 55 F0 3B C2 0F 8E 88 00 00 00 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 50 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 5A 3B D0 7E 26 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 50 57 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 45 F0 89 45 F8 EB 2A 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 50 8B 45 F8 2B 45 F0 50 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 45 EC 89 45 F4 8B 83 90 00 00 00 8B 48 04 8D 55 EC 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 83 90 00 00 00 8B 40 04 50 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 7D F0 2B D7 2B D0 D1 FA 79 03 83 D2 00 03 D7 52 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 2B 55 EC 2B D0 D1 FA 79 03 83 D2 00 03 55 EC 8B 86 B4 00 00 00 59 E8 ?? ?? ?? ?? EB 5A 8B 9E B4 00 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 7D F0 2B D7 2B D0 D1 FA 79 03 83 D2 00 03 D7 52 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 75 EC 2B D6 2B D0 D1 FA 79 03 83 D2 00 03 D6 8B C3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7070_0 {
	meta:
		name = "_NF__B2"
		size = 568
		refs = "0014 _NF__B2 0023 _Dn_TForm 0028 TCustomForm.Create 004e SPreviewLabel 0053 LoadResString 005e TControl.SetText 0068 TCustomForm.SetBorderStyle 007c TCustomForm.SetPosition 008f _NF__B3 0099 _Dn_TPanel 009e TCustomPanel.Create 00be TControl.SetAlign 00c7 TCustomPanel.SetBevelOuter 00d0 TCustomPanel.SetBorderStyle 00dc TCustomPanel.SetBorderWidth 00e8 TControl.SetColor 00fc _Dn_TImage 0101 TImage.Create 012e TImage.SetStretch 0157 TPicture.GetWidth 0163 TControl.GetClientWidth 0188 TCustomForm.SetClientWidth 0190 TControl.GetClientHeight 01a6 TPicture.GetHeight 01b5 TCustomForm.SetClientHeight 01bd TCustomForm.ShowModal 01d2 TObject.Free 01d8 @HandleFinally 01ef @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 18 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? B2 05 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 38 01 00 00 01 B2 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 B8 F8 00 00 00 C7 80 F4 00 00 00 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 18 33 D2 8B C6 E8 ?? ?? ?? ?? B2 05 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? BA 05 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 05 00 00 80 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 3C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 18 33 D2 8B C6 E8 ?? ?? ?? ?? B2 05 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 97 90 00 00 00 8B 45 F8 8B 80 B8 00 00 00 8B 08 FF 51 08 8B D6 8B 45 F8 8B 08 FF 51 3C 8B 87 90 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 5A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 2B D8 8B 87 90 00 00 00 E8 ?? ?? ?? ?? 03 D8 8B D3 83 C2 0A 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 2B D8 8B 87 90 00 00 00 E8 ?? ?? ?? ?? 03 D8 8B D3 83 C2 0A 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 0B 00 00 00 50 72 65 76 69 65 77 46 6F 72 6D 00 FF FF FF FF 05 00 00 00 50 61 6E 65 6C 00 00 00 FF FF FF FF 05 00 00 00 49 6D 61 67 65 00 00 00 }
	condition:
		$1
}

rule function_7071_0 {
	meta:
		name = "_NF__B3"
		size = 13
		refs = "0008 TCustomForm.Close"
	strings:
		$1 = { 80 39 1B 75 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7072_0 {
	meta:
		name = "TSavePictureDialog.Execute"
		size = 68
		refs = "0004 NewStyleControls 0014 TSavePictureDialog.Execute 0023 GetSaveFileName 002a TOpenDialog.DoExecute"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 F6 43 52 01 75 0A B8 ?? ?? ?? ?? 89 43 38 EB 05 33 C0 89 43 38 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 00 00 44 4C 47 54 45 4D 50 4C 41 54 45 00 }
	condition:
		$1
}

rule function_7075_0 {
	meta:
		name = "_NF__1C6"
		size = 72
		refs = "000c AnsiLastChar 0017 _NF__1C6 0024 @LStrCatN 0031 @LStrCat3"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 80 38 5C 74 15 53 68 ?? ?? ?? ?? 56 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0B 8B C7 8B CE 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_7076_0 {
	meta:
		name = "_NF__1C7"
		size = 73
		refs = "000a @ClassCreate 0017 TCustomLabel.Create 0020 TCustomLabel.SetWordWrap 0032 TCustomLabel.SetShowAccelChar"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 5C 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7077_0 {
	meta:
		name = "_NF__1C9"
		size = 240
		refs = "0016 _NF__1C9 0033 TCustomLabel.GetTransparent 0042 TBrush.SetColor 004c TBrush.SetStyle 0056 TCanvas.FillRect 006e TControl.GetText 0082 MinimizeName 0092 _NV__1C8 00a6 @LStrLen 00af @LStrToPChar 00bb TCanvas.GetHandle 00c1 DrawText 00d6 @LStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 E8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 B4 00 00 00 8D 55 EC 8B C3 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B 53 54 8B 46 14 E8 ?? ?? ?? ?? 33 D2 8B 46 14 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8B 4D F4 2B 4D EC 8B 93 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 8A 83 BC 00 00 00 66 8B 04 45 ?? ?? ?? ?? 66 0D 00 08 0F B7 C0 50 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7078_0 {
	meta:
		name = "_NF__1CA"
		size = 188
		refs = "0007 _NF__1CA 000c @LStrCmp 0015 @LStrClr 0032 @LStrDelete 005a AnsiPos 007b @LStrCat3"
	strings:
		$1 = { 53 56 8B F0 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 06 80 38 5C 75 15 B3 01 8B C6 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 8B 06 80 38 2E 75 11 8B C6 B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1F 8B D6 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0E 8B 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 FF FF FF FF 04 00 00 00 2E 2E 2E 5C 00 00 00 00 }
	condition:
		$1
}

rule function_7079_0 {
	meta:
		name = "MinimizeName"
		size = 328
		refs = "001c MinimizeName 002c @LStrLAsg 0036 ExtractFilePath 0040 ExtractFileName 0048 @LStrLen 006c @LStrCopy 007e @LStrDelete 0088 @LStrClr 0097 @LStrCmp 00c8 _NF__1CA 00dd @LStrCatN 00f2 TCanvas.TextWidth 0110 @LStrArrayClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 F8 02 7C 33 8B 45 F4 80 78 01 3A 75 2A 8D 45 F8 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 5D 8D 45 F8 E8 ?? ?? ?? ?? EB 53 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 83 7D F4 00 75 0A 8D 45 F8 E8 ?? ?? ?? ?? EB 08 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 75 06 83 7D F8 00 74 0D 8B 13 8B C6 E8 ?? ?? ?? ?? 3B F8 7C 94 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 05 00 00 00 5C 2E 2E 2E 5C 00 00 00 FF FF FF FF 04 00 00 00 2E 2E 2E 5C 00 00 00 00 }
	condition:
		$1
}

rule function_7080_0 {
	meta:
		name = "_NF__1CF"
		size = 380
		refs = "001b _NF__1CF 0028 SetErrorMode 0060 @LStrFromChar 0070 @LStrCat 007b @LStrToPChar 0081 GetVolumeInformation 0090 StrLen 009f @LStrFromPCharLen 00a8 @LStrClr 00ba AnsiUpperCaseFileName 00c7 @LStrLAsg 00d6 AnsiLowerCaseFileName 010b Format 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 53 56 33 C9 89 8D E8 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 45 F4 50 8D 45 F8 50 6A 00 68 05 01 00 00 8D 85 EF FE FF FF 50 8D 85 E8 FE FF FF 8B D3 E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 1C 8D 85 EF FE FF FF E8 ?? ?? ?? ?? 8B C8 8D 95 EF FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 80 FB 61 73 1C 8D 95 E8 FE FF FF 8B 06 E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 1A 8D 95 E8 FE FF FF 8B 06 E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF 50 8B 06 89 85 E0 FE FF FF C6 85 E4 FE FF FF 0B 8D 95 E0 FE FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 FF FF FF FF 02 00 00 00 3A 5C 00 00 FF FF FF FF 04 00 00 00 5B 25 73 5D 00 00 00 00 }
	condition:
		$1
}

rule function_7081_0 {
	meta:
		name = "_NF__1D0"
		size = 210
		refs = "001b _NF__1D0 002f UpCase 004e WNetGetConnection 0062 @LStrFromPCharLen 0074 AnsiUpperCaseFileName 0081 @LStrLAsg 0090 AnsiLowerCaseFileName 00a8 _NF__1CF 00c0 @LStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 C9 89 8D EC FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 05 01 00 00 8B C3 E8 ?? ?? ?? ?? 88 45 FC C6 45 FD 3A C6 45 FE 00 8D 45 F8 50 8D 85 F3 FE FF FF 50 8D 45 FC 50 E8 ?? ?? ?? ?? 85 C0 75 4D 8D 95 F3 FE FF FF 8B C6 8B 4D F8 E8 ?? ?? ?? ?? 80 FB 61 73 1C 8D 95 EC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 25 8D 95 EC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7082_0 {
	meta:
		name = "ProcessPath"
		size = 672
		refs = "001c ProcessPath 002c @LGetDir 003d @LStrAsg 004b AnsiLastChar 0058 @LStrLen 0069 @LStrCopy 0075 ExtractFileDrive 00a4 @LStrDelete 00dc @ChDir 00e1 @_IOTest 00eb ExtractFileName 0146 @LStrSetLength 01b6 @LStrPos 01d1 FileExists 01f9 @LStrCat3 0210 @LStrCatN 0217 @LStrClr 0248 @HandleFinally 0264 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8A 00 88 07 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 03 80 38 5B 75 27 8B 03 E8 ?? ?? ?? ?? 80 38 5D 75 1B 53 8B 03 E8 ?? ?? ?? ?? 8B C8 83 E9 02 8B 03 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 5B 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 0D 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 16 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 F8 02 7C 12 8B 45 F4 80 78 01 3A 75 09 8B 45 F4 8A 00 88 07 EB 03 C6 07 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 40 5A 3B D0 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 70 8B 03 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 5A 3B D0 7E 1C 8B 03 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 5A 2B D0 4A 8B C3 E8 ?? ?? ?? ?? EB 40 8B D3 33 C0 E8 ?? ?? ?? ?? 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 7E 0C 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 85 C0 7E 6D 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 5D 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 4D 8B 06 E8 ?? ?? ?? ?? 84 C0 75 42 8B 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 48 75 10 8B 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 FF 33 68 ?? ?? ?? ?? FF 36 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 3F 00 75 0C 8B 0B 8B C3 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 FF FF FF FF 01 00 00 00 2A 00 00 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_7083_0 {
	meta:
		name = "_NF__1D6"
		size = 63
		refs = "000a GetDC 0013 TFont.GetHandle 001a SelectObject 0023 GetTextMetrics 0032 ReleaseDC"
	strings:
		$1 = { 53 56 83 C4 C8 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F0 54 53 E8 ?? ?? ?? ?? 56 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 04 24 83 C4 38 5E 5B C3 }
	condition:
		$1
}

rule function_7084_0 {
	meta:
		name = "TDriveComboBox.Create"
		size = 126
		refs = "0012 @ClassCreate 0020 TCustomComboBox.Create 0033 _NF__1F7 0045 @SGetDir 0063 _NF__1F6"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 8B 08 FF 91 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 95 FF FE FF FF B9 FF 00 00 00 33 C0 E8 ?? ?? ?? ?? 8A 85 00 FF FF FF 88 83 74 01 00 00 3C 5C 75 07 C6 83 74 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7085_0 {
	meta:
		name = "TDriveComboBox.Destroy"
		size = 89
		refs = "000d TObject.Free 0045 TCustomComboBox.Destroy 0050 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 78 01 00 00 E8 ?? ?? ?? ?? 8B 86 7C 01 00 00 E8 ?? ?? ?? ?? 8B 86 80 01 00 00 E8 ?? ?? ?? ?? 8B 86 84 01 00 00 E8 ?? ?? ?? ?? 8B 86 88 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7086_0 {
	meta:
		name = "_NF__1DE"
		size = 148
		refs = "0015 _NF__1DE 0045 Format 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 08 8A 40 FB 88 45 EC C6 45 F0 02 89 5D F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 8B 80 18 01 00 00 8B CE 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 06 00 00 00 25 73 3A 20 25 73 00 00 }
	condition:
		$1
}

rule function_7087_0 {
	meta:
		name = "TDriveComboBox.BuildList"
		size = 448
		refs = "0014 TDriveComboBox.BuildList 0022 TCustomComboBox.Clear 0027 GetLogicalDrives 004f @LStrFromChar 005c @LStrCat 0064 @LStrToPChar 006a GetDriveType 0080 UpCase 00ca @PStrCpy 00d9 @PStrNCat 00e4 @LStrFromString 010c _NF__1CF 011d _NF__1DE 012c _NF__1D0 019d @LStrClr 01a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F7 33 F6 8B C6 83 F8 1F 77 04 0F A3 45 F7 0F 83 41 01 00 00 8B C6 04 61 88 45 FB 8D 45 F0 8A 55 FB E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 80 B8 75 01 00 00 01 75 0B 8A 45 FB E8 ?? ?? ?? ?? 88 45 FB 33 C0 8A C3 83 F8 06 0F 87 EE 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 EC 8A 55 FB 88 50 01 C6 00 01 8D 55 EC 8D 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 45 E8 B1 02 E8 ?? ?? ?? ?? 8D 55 E8 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 88 78 01 00 00 8B 45 FC 8B 80 18 01 00 00 8B 18 FF 53 38 EB 7E 55 8D 55 F0 8A 45 FB E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 8B 92 7C 01 00 00 E8 ?? ?? ?? ?? 59 EB 5E 55 8D 55 F0 8A 45 FB E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 8B 92 80 01 00 00 E8 ?? ?? ?? ?? 59 EB 3E 55 8D 55 F0 8A 45 FB E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 8B 92 84 01 00 00 E8 ?? ?? ?? ?? 59 EB 1E 55 8D 55 F0 8A 45 FB E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 8B 92 88 01 00 00 E8 ?? ?? ?? ?? 59 46 83 FE 1A 0F 85 A4 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 FF FF FF FF 02 00 00 00 3A 5C 00 00 01 3A 00 00 }
	condition:
		$1
}

rule function_7088_0 {
	meta:
		name = "TDriveComboBox.SetDrive"
		size = 300
		refs = "0016 TDriveComboBox.SetDrive 0023 TCustomComboBox.GetItemIndex 002e UpCase 0057 TCustomComboBox.SetItemIndex 00f9 _NF__204 0104 @CallDynaInst 0119 @LStrClr 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 7C 1C 8B C3 E8 ?? ?? ?? ?? 50 8A 86 74 01 00 00 E8 ?? ?? ?? ?? 5A 3A D0 0F 84 C1 00 00 00 84 DB 75 15 88 9E 74 01 00 00 83 CA FF 8B C6 E8 ?? ?? ?? ?? E9 88 00 00 00 80 BE 75 01 00 00 01 75 0F 8B C3 E8 ?? ?? ?? ?? 88 86 74 01 00 00 EB 15 8B C3 E8 ?? ?? ?? ?? 25 FF 00 00 00 83 C0 20 88 86 74 01 00 00 8B 86 18 01 00 00 8B 10 FF 52 14 48 85 C0 7C 4B 40 89 45 F8 33 DB 8D 4D FC 8B D3 8B 86 18 01 00 00 8B 38 FF 57 0C 8B 45 FC 8A 00 E8 ?? ?? ?? ?? 50 8A 86 74 01 00 00 E8 ?? ?? ?? ?? 5A 3A D0 75 14 8B 45 FC 80 78 01 3A 75 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 06 43 FF 4D F8 75 BB 8B 86 70 01 00 00 85 C0 74 0B 8A 96 74 01 00 00 E8 ?? ?? ?? ?? 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7089_0 {
	meta:
		name = "TDriveComboBox.SetTextCase"
		size = 38
		refs = "001f TDriveComboBox.SetDrive"
	strings:
		$1 = { 53 56 8B F0 88 96 75 01 00 00 8A 9E 74 01 00 00 8B C6 8B 10 FF 92 8C 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7090_0 {
	meta:
		name = "TDriveComboBox.SetDirListBox"
		size = 48
		refs = "002a TComponent.FreeNotification"
	strings:
		$1 = { 53 8B 88 70 01 00 00 85 C9 74 08 33 DB 89 99 58 01 00 00 8B CA 89 88 70 01 00 00 85 C9 74 0F 89 81 58 01 00 00 8B D0 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7091_0 {
	meta:
		name = "TDriveComboBox.CreateWnd"
		size = 35
		refs = "0006 TCustomComboBox.CreateWnd 001d TDriveComboBox.SetDrive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 8C 00 00 00 8A 93 74 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7092_0 {
	meta:
		name = "TDriveComboBox.DrawItem"
		size = 330
		refs = "0023 TDriveComboBox.DrawItem 003d TCanvas.FillRect 0081 Bounds 0095 TBitmap.GetCanvas 009d TCanvas.GetPixel 00e1 TCanvas.BrushCopy 010e @LStrToPChar 011a TCanvas.GetHandle 0120 DrawText 0135 @LStrClr 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 8B F1 8D 7D E8 B9 04 00 00 00 F3 A5 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 1C 01 00 00 89 45 F8 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? BF 10 00 00 00 8B 55 FC 8B 86 18 01 00 00 8B 08 FF 51 18 8B D8 85 DB 0F 84 87 00 00 00 8B C3 8B 10 FF 52 2C 8B F8 8B C3 8B 10 FF 52 20 50 8D 45 D8 50 8B C3 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D8 50 8B C3 8B 10 FF 52 20 48 50 8B C3 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 20 50 8D 45 C8 50 8B C3 8B 10 FF 52 2C 50 8B C3 8B 10 FF 52 20 8B 55 EC 03 55 F4 2B D0 D1 FA 79 03 83 D2 00 8B 45 E8 83 C0 02 59 E8 ?? ?? ?? ?? 8D 55 C8 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 03 7D E8 83 C7 06 89 7D E8 68 24 08 00 00 8D 45 E8 50 6A FF 8D 4D C4 8B 55 FC 8B 86 18 01 00 00 8B 18 FF 53 0C 8B 45 C4 E8 ?? ?? ?? ?? 50 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7093_0 {
	meta:
		name = "TDriveComboBox.Click"
		size = 110
		refs = "000d TDriveComboBox.Click 001a TControl.Click 0021 TCustomComboBox.GetItemIndex 0048 TDriveComboBox.SetDrive 005d @LStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 23 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B 83 18 01 00 00 8B 30 FF 56 0C 8B 45 FC 8A 10 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7095_0 {
	meta:
		name = "_NF__1F6"
		size = 54
		refs = "0008 _NF__1D6 002f TCustomComboBox.SetItemHeight"
	strings:
		$1 = { 53 56 8B D8 8B 43 50 E8 ?? ?? ?? ?? 8B F0 8B 83 78 01 00 00 8B 10 FF 52 20 3B F0 7D 0D 8B 83 78 01 00 00 8B 10 FF 52 20 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7096_0 {
	meta:
		name = "_NF__1F7"
		size = 280
		refs = "0007 _Dn_TBitmap 000c TBitmap.Create 0019 _NF__1F7 001e HInstance 0026 LoadBitmap 002f TBitmap.SetHandle"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 78 01 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 7C 01 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 01 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 84 01 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 88 01 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 46 4C 4F 50 50 59 00 00 48 41 52 44 00 00 00 00 4E 45 54 57 4F 52 4B 00 43 44 52 4F 4D 00 00 00 52 41 4D 00 }
	condition:
		$1
}

rule function_7097_0 {
	meta:
		name = "TDriveComboBox.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 70 01 00 00 75 08 33 C0 89 87 70 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7098_0 {
	meta:
		name = "_NF__1FC"
		size = 42
		refs = "0009 @LStrToPChar 0010 AnsiStrScan"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? B2 5C E8 ?? ?? ?? ?? 85 C0 74 0D 43 40 B2 5C E8 ?? ?? ?? ?? 85 C0 75 F3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_7099_0 {
	meta:
		name = "TDirectoryListBox.Create"
		size = 106
		refs = "000a @ClassCreate 0017 TCustomListBox.Create 0023 TControl.SetWidth 002c TCustomListBox.SetStyle 0035 TCustomListBox.SetSorted 004c @LGetDir 0053 _NF__230"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 91 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 8C 00 00 00 8D 96 70 01 00 00 33 C0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7100_0 {
	meta:
		name = "TDirectoryListBox.Destroy"
		size = 67
		refs = "000d TObject.Free 002f TCustomListBox.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 64 01 00 00 E8 ?? ?? ?? ?? 8B 86 68 01 00 00 E8 ?? ?? ?? ?? 8B 86 6C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7101_0 {
	meta:
		name = "_NF__204"
		size = 204
		refs = "0015 _NF__204 0022 UpCase 002a TDirectoryListBox.GetDrive 004e @PStrCpy 005d @PStrNCat 0068 @LStrFromString 0070 @ChDir 0075 @_IOTest 0082 @LGetDir 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 3A D0 74 6B 84 DB 74 4A 8D 45 F8 8B D3 88 50 01 C6 00 01 8D 55 F8 8D 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 45 F4 B1 02 E8 ?? ?? ?? ?? 8D 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 96 70 01 00 00 33 C0 E8 ?? ?? ?? ?? 80 BE 60 01 00 00 00 75 14 8B C6 8B 10 FF 92 90 00 00 00 8B C6 8B 10 FF 92 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 01 3A 00 00 }
	condition:
		$1
}

rule function_7102_0 {
	meta:
		name = "TDirectoryListBox.SetFileListBox"
		size = 48
		refs = "002a TComponent.FreeNotification"
	strings:
		$1 = { 53 8B 88 54 01 00 00 85 C9 74 08 33 DB 89 99 64 01 00 00 8B CA 89 88 54 01 00 00 85 C9 74 0F 89 81 64 01 00 00 8B D0 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7103_0 {
	meta:
		name = "TDirectoryListBox.SetDirLabel"
		size = 31
		refs = "0012 TComponent.FreeNotification 0019 _NF__240"
	strings:
		$1 = { 53 8B D8 89 93 5C 01 00 00 85 D2 74 09 8B C2 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7104_0 {
	meta:
		name = "_NF__20B"
		size = 72
		refs = "000d @ChDir 0012 IOResult 0020 @_IOTest 002d @LGetDir"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 70 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 93 70 01 00 00 33 C0 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 90 00 00 00 8B C3 8B 10 FF 92 88 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7105_0 {
	meta:
		name = "TDirectoryListBox.OpenCurrent"
		size = 87
		refs = "000c TDirectoryListBox.OpenCurrent 0019 TCustomListBox.GetItemIndex 0025 TDirectoryListBox.GetItemPath 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7106_0 {
	meta:
		name = "TDirectoryListBox.Update"
		size = 25
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 90 00 00 00 8B C3 8B 10 FF 92 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7107_0 {
	meta:
		name = "TDirectoryListBox.DisplayCase"
		size = 48
		refs = "001d @LStrLAsg 0029 AnsiLowerCase"
	strings:
		$1 = { 53 56 8B F1 8B DA 80 B8 61 01 00 00 00 75 09 80 B8 62 01 00 00 00 74 0C 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7108_0 {
	meta:
		name = "TDirectoryListBox.FileCompareText"
		size = 29
		refs = "000e AnsiCompareStr 0018 AnsiCompareFileName"
	strings:
		$1 = { 80 B8 62 01 00 00 00 74 0A 8B C2 8B D1 E8 ?? ?? ?? ?? C3 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7109_0 {
	meta:
		name = "TDirectoryListBox.ReadDirectoryNames"
		size = 324
		refs = "001f TSearchRec 0024 @InitializeRecord 002c TDirectoryListBox.ReadDirectoryNames 0049 _NF__1C6 005f FindFirst 008f @LStrCmp 00be FindNext 00da FindClose 00e0 @HandleFinally 00fa @LStrClr 010b @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 A0 FE FF FF 53 56 33 DB 89 9D A0 FE FF FF 8B D9 8B F2 8D 85 A4 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 8D A0 FE FF FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 85 A0 FE FF FF 8D 8D A4 FE FF FF BA 10 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 C0 75 51 8B 85 AC FE FF FF 83 E0 10 83 F8 10 75 34 8B 85 B0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 22 8B 85 B0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 10 8B 95 B0 FE FF FF 8B C3 8B 08 FF 51 34 FF 45 FC 8D 85 A4 FE FF FF E8 ?? ?? ?? ?? 85 C0 74 AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A0 FE FF FF E8 ?? ?? ?? ?? 8D 85 A4 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B 45 FC 5E 5B 8B E5 5D C3 FF FF FF FF 03 00 00 00 2A 2E 2A 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 02 00 00 00 2E 2E 00 00 }
	condition:
		$1
}

rule function_7110_0 {
	meta:
		name = "TDirectoryListBox.BuildList"
		size = 764
		refs = "001d TDirectoryListBox.BuildList 003f TStrings.BeginUpdate 0060 ExtractFileDrive 0070 @LStrCat3 008a @LStrToPChar 0090 GetVolumeInformation 00b8 @LStrLen 010e @LStrCopy 0121 @LStrLAsg 0139 AnsiLastChar 014b AnsiPos 0176 @LStrCat 0185 @LStrDelete 01e6 _Dn_TStringList 01eb TObject.Create 0206 TStringList.SetSorted 021a TDirectoryListBox.ReadDirectoryNames 0274 TObject.Free 027a @HandleFinally 0297 TStrings.EndUpdate 02a7 TWinControl.HandleAllocated 02b6 TCustomListBox.SetItemIndex 02d0 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 D2 89 55 DC 89 55 F8 89 55 F4 89 55 E0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 8B 10 FF 52 40 33 DB 8D 55 DC 8B 45 FC 8B 80 70 01 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 EC 50 8D 45 F0 50 6A 00 6A 00 6A 00 8B 45 E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 45 EC 03 0F 95 C0 8B 55 FC 88 82 61 01 00 00 F6 45 EC 01 0F 95 C0 8B 55 FC 88 82 62 01 00 00 8B 45 E0 E8 ?? ?? ?? ?? 83 F8 02 7C 53 8B 45 E0 80 78 01 5C 75 4A 8B 45 FC 8B 88 68 01 00 00 8B 45 FC 8B 80 18 01 00 00 8B 55 E0 8B 30 FF 56 38 43 8D 45 F8 50 8B 45 FC 8B 80 70 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 42 8B 45 FC 8B 80 70 01 00 00 59 E8 ?? ?? ?? ?? EB 11 8D 45 F8 8B 55 FC 8B 92 70 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 8E 9C 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 80 38 5C 74 75 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 62 8D 45 F4 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 85 DB 75 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 68 01 00 00 8B 45 FC 8B 80 18 01 00 00 8B 55 F4 8B 30 FF 56 38 43 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 9E 8B 45 FC 8B 88 6C 01 00 00 8B 45 FC 8B 80 18 01 00 00 8B 55 F8 8B 18 FF 53 38 8B 45 FC 8B 80 18 01 00 00 8B 10 FF 52 14 48 89 45 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 70 01 00 00 8B 4D E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 36 43 C7 45 F0 00 00 00 00 8D 4D DC 8B 55 F0 8B 45 E8 8B 30 FF 56 0C 8B 55 DC 8B 45 FC 8B 88 64 01 00 00 8B 45 FC 8B 80 18 01 00 00 8B 30 FF 56 38 FF 45 F0 4B 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_7111_0 {
	meta:
		name = "TDirectoryListBox.ReadBitmaps"
		size = 196
		refs = "0007 _Dn_TBitmap 000c TBitmap.Create 001a HInstance 0021 TDirectoryListBox.ReadBitmaps 0028 TBitmap.LoadFromResourceName"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 68 01 00 00 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 64 01 00 00 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 6C 01 00 00 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 FF FF FF FF 0A 00 00 00 4F 50 45 4E 46 4F 4C 44 45 52 00 00 FF FF FF FF 0C 00 00 00 43 4C 4F 53 45 44 46 4F 4C 44 45 52 00 00 00 00 FF FF FF FF 0D 00 00 00 43 55 52 52 45 4E 54 46 4F 4C 44 45 52 00 00 00 }
	condition:
		$1
}

rule function_7113_0 {
	meta:
		name = "TDirectoryListBox.Change"
		size = 57
		refs = "0014 _NF__269 001b _NF__240"
	strings:
		$1 = { 53 8B D8 8B 83 54 01 00 00 85 C0 74 0B 8B 93 70 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 83 BB 76 01 00 00 00 74 0E 8B D3 8B 83 78 01 00 00 FF 93 74 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7114_0 {
	meta:
		name = "TDirectoryListBox.DrawItem"
		size = 376
		refs = "0026 TDirectoryListBox.DrawItem 0040 TCanvas.FillRect 007e _NF__1FC 00b0 Bounds 00c4 TBitmap.GetCanvas 00cc TCanvas.GetPixel 0110 TCanvas.BrushCopy 012e TDirectoryListBox.DisplayCase 0149 TCanvas.TextOut 0163 @LStrArrayClr 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D BC 89 5D B8 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 20 01 00 00 89 45 F0 8D 55 E0 8B 45 F0 E8 ?? ?? ?? ?? C7 45 F8 10 00 00 00 8B 45 FC C1 E0 02 83 C0 02 89 45 F4 8B 55 FC 8B 86 18 01 00 00 8B 08 FF 51 18 8B D8 85 DB 0F 84 A5 00 00 00 3B 9E 64 01 00 00 75 15 8B 86 70 01 00 00 E8 ?? ?? ?? ?? 40 C1 E0 02 83 C0 02 89 45 F4 8B C3 8B 10 FF 52 2C 89 45 F8 8B C3 8B 10 FF 52 20 50 8D 45 D0 50 8B C3 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D0 50 8B C3 8B 10 FF 52 20 48 50 8B C3 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 20 50 8D 45 C0 50 8B C3 8B 10 FF 52 2C 50 8B C3 8B 10 FF 52 20 8B 55 E4 03 55 EC 2B D0 D1 FA 79 03 83 D2 00 8B 45 E0 03 45 F4 59 E8 ?? ?? ?? ?? 8D 55 C0 8B CB 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D B8 8B 55 FC 8B 86 18 01 00 00 8B 18 FF 53 0C 8B 55 B8 8D 4D BC 8B C6 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 55 E0 03 55 F8 03 55 F4 83 C2 04 8B 4D E4 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7115_0 {
	meta:
		name = "TDirectoryListBox.GetItemPath"
		size = 408
		refs = "001b TDirectoryListBox.GetItemPath 0029 @LStrClr 004a @LStrLAsg 0066 ExtractFileDrive 0076 @LStrCat3 00a1 _NF__1C6 00d8 @LStrLen 00e7 @LStrDelete 0103 LeadBytes 0139 @LStrCopy 0171 @LStrArrayClr 017f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 83 18 01 00 00 8B 10 FF 52 14 3B F0 0F 8D 1B 01 00 00 8D 45 F8 8B 93 70 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 18 01 00 00 8B 08 FF 51 18 85 F6 75 20 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DC 00 00 00 3B 83 64 01 00 00 75 23 8D 4D F0 8B D6 8B 83 18 01 00 00 8B 18 FF 53 0C 8B 55 F0 8B 4D FC 8B 45 F8 E8 ?? ?? ?? ?? E9 B1 00 00 00 3B 83 6C 01 00 00 75 10 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? E9 99 00 00 00 33 FF 33 C0 89 45 F4 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8D 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 34 47 8B 45 F8 E8 ?? ?? ?? ?? 3B F8 7F 2F 8B 45 F8 8A 44 38 FF 8B 15 ?? ?? ?? ?? 8B C8 81 E1 FF 00 00 00 0F A3 0A 73 03 47 EB 0A 8B 55 F8 3C 5C 75 03 FF 45 F4 8D 46 01 3B 45 F4 75 C4 8D 45 F0 50 8B CF 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_7116_0 {
	meta:
		name = "TDirectoryListBox.CreateWnd"
		size = 42
		refs = "0006 TCustomListBox.CreateWnd 001b _NF__1FC 0024 TCustomListBox.SetItemIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 90 00 00 00 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7118_0 {
	meta:
		name = "_NF__230"
		size = 56
		refs = "0008 _NF__1D6 0031 TCustomListBox.SetItemHeight"
	strings:
		$1 = { 53 56 8B D8 8B 43 50 E8 ?? ?? ?? ?? 8B F0 8B 83 68 01 00 00 8B 10 FF 52 20 40 3B F0 7D 0E 8B 83 68 01 00 00 8B 10 FF 52 20 8B F0 46 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7119_0 {
	meta:
		name = "TDirectoryListBox.GetDrive"
		size = 9
	strings:
		$1 = { 8B 80 70 01 00 00 8A 00 C3 }
	condition:
		$1
}

rule function_7120_0 {
	meta:
		name = "TDirectoryListBox.SetDrive"
		size = 144
		refs = "0015 TDirectoryListBox.SetDrive 0022 UpCase 002a TDirectoryListBox.GetDrive 004e Format 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 3A D0 74 27 8D 45 FC 50 88 5D F4 C6 45 F8 02 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 03 00 00 00 25 73 3A 00 }
	condition:
		$1
}

rule function_7121_0 {
	meta:
		name = "TDirectoryListBox.SetDirectory"
		size = 245
		refs = "0018 TDirectoryListBox.SetDirectory 0025 @LStrLen 0040 TDirectoryListBox.FileCompareText 0059 ProcessPath 006f TDirectoryListBox.GetDrive 0093 TDriveComboBox.SetDrive 00a0 _NF__204 00bd @HandleFinally 00ca _NF__20B 00e4 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F8 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 9D 00 00 00 8B 45 FC 8B 88 70 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 82 00 00 00 8D 45 F4 50 8D 4D F8 8D 55 F3 8B C3 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 3A 45 F3 74 2C 8B 45 FC C6 80 60 01 00 00 01 8B 45 FC 8B 80 58 01 00 00 85 C0 74 0A 8A 55 F3 E8 ?? ?? ?? ?? EB 0B 8A 55 F3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 60 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7122_0 {
	meta:
		name = "TDirectoryListBox.KeyPress"
		size = 35
		refs = "000b TWinControl.KeyPress 001c TDirectoryListBox.OpenCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 06 66 83 F8 0D 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7123_0 {
	meta:
		name = "TDirectoryListBox.Notification"
		size = 81
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 34 3B BE 54 01 00 00 75 0A 33 C0 89 86 54 01 00 00 EB 22 3B BE 58 01 00 00 75 0A 33 C0 89 86 58 01 00 00 EB 10 3B BE 5C 01 00 00 75 08 33 C0 89 86 5C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7124_0 {
	meta:
		name = "_NF__240"
		size = 117
		refs = "000e _NF__240 0044 MinimizeName 004e TControl.SetText 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 5C 01 00 00 85 F6 74 30 8B 7B 38 80 BE BD 00 00 00 00 75 03 8B 7E 38 8D 45 FC 50 8B 96 B4 00 00 00 8B CF 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7125_0 {
	meta:
		name = "TFileListBox.Create"
		size = 168
		refs = "000a @ClassCreate 0017 TCustomListBox.Create 0023 TControl.SetWidth 0028 TFileListBox.Create 003b @LGetDir 004b @LStrAsg 0054 TCustomListBox.SetMultiSelect 0071 TCustomListBox.SetSorted 007a TCustomListBox.SetStyle 0081 _NF__273"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 91 00 00 00 8B C6 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 86 5C 01 00 00 8D 96 54 01 00 00 33 C0 E8 ?? ?? ?? ?? 8D 86 58 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 80 01 00 00 FF FF FF FF 8B C6 8B 10 FF 92 84 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 40 00 00 00 FF FF FF FF 03 00 00 00 2A 2E 2A 00 }
	condition:
		$1
}

rule function_7126_0 {
	meta:
		name = "TFileListBox.Destroy"
		size = 67
		refs = "000d TObject.Free 002f TCustomListBox.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 6C 01 00 00 E8 ?? ?? ?? ?? 8B 86 70 01 00 00 E8 ?? ?? ?? ?? 8B 86 74 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7127_0 {
	meta:
		name = "TFileListBox.Update"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 8C 00 00 00 C3 }
	condition:
		$1
}

rule function_7128_0 {
	meta:
		name = "TFileListBox.CreateWnd"
		size = 22
		refs = "0006 TCustomListBox.CreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 8C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7129_0 {
	meta:
		name = "TFileListBox.IsMaskStored"
		size = 36
		refs = "0004 TFileListBox.IsMaskStored 000f @LStrCmp"
	strings:
		$1 = { 53 8B D8 B8 ?? ?? ?? ?? 8B 93 58 01 00 00 E8 ?? ?? ?? ?? 0F 95 C0 5B C3 FF FF FF FF 03 00 00 00 2A 2E 2A 00 }
	condition:
		$1
}

rule function_7130_0 {
	meta:
		name = "TFileListBox.GetDrive"
		size = 9
	strings:
		$1 = { 8B 80 54 01 00 00 8A 00 C3 }
	condition:
		$1
}

rule function_7131_0 {
	meta:
		name = "TFileListBox.ReadBitmaps"
		size = 188
		refs = "0007 _Dn_TBitmap 000c TBitmap.Create 0019 TFileListBox.ReadBitmaps 001e HInstance 0026 LoadBitmap 002f TBitmap.SetHandle"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 6C 01 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 70 01 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 74 01 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 45 58 45 43 55 54 41 42 4C 45 00 00 43 4C 4F 53 45 44 46 4F 4C 44 45 52 00 00 00 00 55 4E 4B 4E 4F 57 4E 46 49 4C 45 00 }
	condition:
		$1
}

rule function_7132_0 {
	meta:
		name = "TFileListBox.ReadFileNames"
		size = 816
		refs = "0021 TSearchRec 0026 @InitializeRecord 002e TFileListBox.ReadFileNames 0042 TWinControl.HandleAllocated 0051 _NV__252 0084 @ChDir 0089 @_IOTest 0091 TCustomListBox.Clear 009b Screen 00c1 @LStrToPChar 00d4 StrScan 00ea @LStrFromPChar 00ff FindFirst 0158 Format 01af ExtractFileExt 01bd AnsiLowerCase 01d3 @LStrCmp 023a TScreen.SetCursor 0245 FindNext 0258 FindClose 028d @HandleFinally 02b2 @LStrClr 02c3 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 8C FE FF FF 53 56 33 D2 89 95 94 FE FF FF 89 55 F4 89 45 FC 8D 85 98 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 F2 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 50 02 00 00 33 C0 BA ?? ?? ?? ?? 8B 4D FC 8B D8 80 FB 07 77 0A 83 E3 7F 0F A3 99 5C 01 00 00 73 07 66 8B 0A 66 09 4D F2 40 83 C2 02 3C 06 75 DB 8B 45 FC 8B 80 54 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F8 A1 ?? ?? ?? ?? 8B 00 66 8B 40 38 66 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 58 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 9F 01 00 00 B2 3B 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 03 C6 03 00 8D 85 94 FE FF FF 8B D6 E8 ?? ?? ?? ?? 8B 85 94 FE FF FF 8D 8D 98 FE FF FF 0F B7 55 F2 E8 ?? ?? ?? ?? 85 C0 0F 85 51 01 00 00 8B 45 FC F6 80 5C 01 00 00 40 75 10 0F B7 45 F2 23 85 A0 FE FF FF 0F 84 01 01 00 00 F6 85 A0 FE FF FF 10 74 72 8D 85 94 FE FF FF 50 8B 85 A4 FE FF FF 89 85 8C FE FF FF C6 85 90 FE FF FF 0B 8D 95 8C FE FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 94 FE FF FF 8B 45 FC 8B 80 18 01 00 00 8B 08 FF 51 34 89 45 F8 8B 45 FC 80 B8 84 01 00 00 00 0F 84 A5 00 00 00 8B 45 FC 8B 88 70 01 00 00 8B 45 FC 8B 80 18 01 00 00 8B 55 F8 8B 30 FF 56 24 E9 86 00 00 00 8D 95 94 FE FF FF 8B 85 A4 FE FF FF E8 ?? ?? ?? ?? 8B 85 94 FE FF FF 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B B0 74 01 00 00 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2D 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 8B 45 FC 8B B0 6C 01 00 00 8B 45 FC 8B 80 18 01 00 00 8B CE 8B 95 A4 FE FF FF 8B 30 FF 56 38 89 45 F8 83 7D F8 64 75 10 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 8D 85 98 FE FF FF E8 ?? ?? ?? ?? 85 C0 0F 84 BA FE FF FF 8D 85 98 FE FF FF E8 ?? ?? ?? ?? 85 DB 74 04 C6 03 3B 43 8B F3 85 F6 0F 85 61 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 66 8B 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 10 FF 92 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 94 FE FF FF E8 ?? ?? ?? ?? 8D 85 98 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 5B 25 73 5D 00 00 00 00 FF FF FF FF 04 00 00 00 2E 65 78 65 00 00 00 00 FF FF FF FF 04 00 00 00 2E 63 6F 6D 00 00 00 00 FF FF FF FF 04 00 00 00 2E 62 61 74 00 00 00 00 FF FF FF FF 04 00 00 00 2E 70 69 66 00 00 00 00 }
	condition:
		$1
}

rule function_7133_0 {
	meta:
		name = "TFileListBox.Click"
		size = 37
		refs = "0006 TControl.Click 000d TCustomListBox.GetItemIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 83 80 01 00 00 74 0A 8B C3 8B 10 FF 92 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7134_0 {
	meta:
		name = "TFileListBox.Change"
		size = 177
		refs = "000c TFileListBox.Change 0019 TCustomListBox.GetItemIndex 0032 _NF__25C 003a @LStrLen 004f TControl.SetText 0074 TCustomEdit.SelectAll 00a1 @LStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 83 80 01 00 00 83 BB 60 01 00 00 00 74 4C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 13 8B 93 58 01 00 00 8B 83 60 01 00 00 E8 ?? ?? ?? ?? EB 18 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 66 83 BB 7A 01 00 00 00 74 0E 8B D3 8B 83 7C 01 00 00 FF 93 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7135_0 {
	meta:
		name = "TFileListBox.SetShowGlyphs"
		size = 69
		refs = "002c TCustomListBox.GetItemHeight 0037 _NF__273"
	strings:
		$1 = { 53 56 8B F0 3A 96 84 01 00 00 74 36 88 96 84 01 00 00 80 BE 84 01 00 00 01 75 20 8B 86 6C 01 00 00 8B 10 FF 52 20 8B D8 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7E 07 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_7136_0 {
	meta:
		name = "_NF__25C"
		size = 76
		refs = "000a TCustomListBox.GetItemIndex 0028 TCustomListBox.GetSelected 0033 @LStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 1C 8B 83 18 01 00 00 8B 10 FF 52 14 85 C0 74 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B C7 E8 ?? ?? ?? ?? EB 0F 8B CF 8B D6 8B 83 18 01 00 00 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7137_0 {
	meta:
		name = "_NF__25D"
		size = 130
		refs = "000f _NF__25D 001f _NF__25C 0029 AnsiCompareFileName 0034 @LStrToPChar 0043 TWinControl.GetHandle 0049 SendMessage 0052 TCustomListBox.SetItemIndex 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2F 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 A2 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7138_0 {
	meta:
		name = "TFileListBox.SetFileEdit"
		size = 133
		refs = "000c TFileListBox.SetFileEdit 0025 TComponent.FreeNotification 002f _NF__25C 004d TControl.SetText 0075 @LStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 89 83 60 01 00 00 85 C0 74 42 8B D3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 60 01 00 00 E8 ?? ?? ?? ?? EB 11 8B 93 58 01 00 00 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7139_0 {
	meta:
		name = "TFileListBox.DrawItem"
		size = 324
		refs = "0023 TFileListBox.DrawItem 003d TCanvas.FillRect 0087 Bounds 009b TBitmap.GetCanvas 00a3 TCanvas.GetPixel 00e7 TCanvas.BrushCopy 011a TCanvas.TextOut 012f @LStrClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 8B F1 8D 7D E4 B9 04 00 00 00 F3 A5 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 20 01 00 00 89 45 F4 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? C7 45 F8 02 00 00 00 80 BB 84 01 00 00 00 0F 84 A3 00 00 00 8B 55 FC 8B 83 18 01 00 00 8B 08 FF 51 18 8B F0 85 F6 0F 84 8B 00 00 00 8B C6 8B 10 FF 52 20 50 8D 45 D4 50 8B C6 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D4 50 8B C6 8B 10 FF 52 20 48 50 8B C6 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? 50 8B C6 8B 10 FF 52 20 50 8D 45 C4 50 8B C6 8B 10 FF 52 2C 50 8B C6 8B 10 FF 52 20 8B 55 E8 03 55 F0 2B D0 D1 FA 79 03 83 D2 00 8B 45 E4 83 C0 02 59 E8 ?? ?? ?? ?? 8D 55 C4 8B CE 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 2C 83 C0 06 89 45 F8 8D 4D C0 8B 55 FC 8B 83 18 01 00 00 8B 18 FF 53 0C 8B 45 C0 50 8B 55 E4 03 55 F8 8B 4D E8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7140_0 {
	meta:
		name = "TFileListBox.SetDrive"
		size = 144
		refs = "0015 TFileListBox.SetDrive 0022 UpCase 004f Format 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8B 86 54 01 00 00 8A 00 E8 ?? ?? ?? ?? 5A 3A D0 74 27 8D 45 FC 50 88 5D F4 C6 45 F8 02 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 FF FF FF FF 03 00 00 00 25 73 3A 00 }
	condition:
		$1
}

rule function_7141_0 {
	meta:
		name = "_NF__269"
		size = 77
		refs = "000f AnsiCompareFileName 001e @ChDir 0023 @_IOTest 003c @LGetDir"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 93 54 01 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 33 8B 83 54 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 93 54 01 00 00 33 C0 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 8C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7142_0 {
	meta:
		name = "TFileListBox.SetFileType"
		size = 40
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 83 5C 01 00 00 3A 04 24 74 13 8A 04 24 88 83 5C 01 00 00 8B C3 8B 10 FF 92 8C 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_7143_0 {
	meta:
		name = "TFileListBox.SetMask"
		size = 47
		refs = "000f @LStrCmp 001e @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 58 01 00 00 8B D6 E8 ?? ?? ?? ?? 74 17 8D 83 58 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 8C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7145_0 {
	meta:
		name = "_NF__273"
		size = 65
		refs = "0008 _NF__1D6 003a TCustomListBox.SetItemHeight"
	strings:
		$1 = { 53 56 8B D8 8B 43 50 E8 ?? ?? ?? ?? 8B F0 80 BB 84 01 00 00 01 75 1E 8B 83 6C 01 00 00 8B 10 FF 52 20 40 3B F0 7D 0E 8B 83 6C 01 00 00 8B 10 FF 52 20 8B F0 46 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7146_0 {
	meta:
		name = "TFileListBox.ApplyFilePath"
		size = 444
		refs = "001b TFileListBox.ApplyFilePath 0038 AnsiCompareFileName 0047 @LStrLen 0060 ProcessPath 00a6 Format 00b0 _NF__269 00c9 @LStrPos 00e8 TFileListBox.SetMask 0100 _NF__25D 0108 FileExists 0116 _NF__25C 0147 SInvalidFileName 014c LoadResString 0156 _Dn_EInvalidOperation 015b Exception.CreateFmt 0160 @RaiseExcept 0175 @LStrClr 0182 @LStrArrayClr 0188 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D F0 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 90 00 00 00 8B 45 F0 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 20 01 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 11 01 00 00 8D 45 F8 50 8D 4D FC 8D 55 F7 8B C6 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 85 C0 74 0C 8B D6 8B 08 FF 91 84 00 00 00 EB 46 80 7D F7 00 74 36 8D 45 F0 50 8A 45 F7 88 45 E0 C6 45 E4 02 8B 45 FC 89 45 E8 C6 45 EC 0B 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 11 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 76 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 6A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 26 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 75 44 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 2E 89 75 D8 C6 45 DC 0B 8D 45 D8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 25 73 3A 25 73 00 00 00 FF FF FF FF 01 00 00 00 2A 00 00 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_7147_0 {
	meta:
		name = "TFileListBox.GetFilePath"
		size = 108
		refs = "000f TFileListBox.GetFilePath 001c @LStrClr 0026 _NF__25C 0046 _NF__1C6 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7148_0 {
	meta:
		name = "TFileListBox.Notification"
		size = 81
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 34 3B BE 60 01 00 00 75 0A 33 C0 89 86 60 01 00 00 EB 22 3B BE 64 01 00 00 75 0A 33 C0 89 86 64 01 00 00 EB 10 3B BE 68 01 00 00 75 08 33 C0 89 86 68 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7149_0 {
	meta:
		name = "TFilterComboBox.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TCustomComboBox.Create 002e SDefaultFilter 0033 LoadResString 003a _Dn_TStringList 003f TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 8B 08 FF 91 88 00 00 00 8D 96 70 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 78 01 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7150_0 {
	meta:
		name = "TFilterComboBox.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TCustomComboBox.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 78 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7152_0 {
	meta:
		name = "TFilterComboBox.IsFilterStored"
		size = 89
		refs = "000c TFilterComboBox.IsFilterStored 001a SDefaultFilter 001f LoadResString 002d @LStrCmp 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 93 70 01 00 00 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_7153_0 {
	meta:
		name = "TFilterComboBox.SetFilter"
		size = 68
		refs = "000f AnsiCompareFileName 0020 @LStrAsg 0027 TWinControl.HandleAllocated 0032 TFilterComboBox.BuildList 003d @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 93 70 01 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2A 8D 83 70 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB DB FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7154_0 {
	meta:
		name = "TFilterComboBox.SetFileListBox"
		size = 54
		refs = "0024 TComponent.FreeNotification"
	strings:
		$1 = { 53 8B D8 8B 83 74 01 00 00 85 C0 74 08 33 C9 89 88 68 01 00 00 8B C2 89 83 74 01 00 00 85 C0 74 13 8B D3 E8 ?? ?? ?? ?? 8B 83 74 01 00 00 89 98 68 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7155_0 {
	meta:
		name = "TFilterComboBox.Click"
		size = 23
		refs = "0006 TControl.Click 0011 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB DB FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7156_0 {
	meta:
		name = "TFilterComboBox.GetMask"
		size = 104
		refs = "0009 TCustomComboBox.GetItemIndex 0022 TCustomComboBox.SetItemIndex 004d TFilterComboBox.GetMask 0052 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 15 8B 83 18 01 00 00 8B 10 FF 52 14 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 19 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 78 01 00 00 8B 18 FF 53 0C 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 FF FF FF FF 03 00 00 00 2A 2E 2A 00 }
	condition:
		$1
}

rule function_7157_0 {
	meta:
		name = "TFilterComboBox.BuildList"
		size = 304
		refs = "0011 TFilterComboBox.BuildList 001e TCustomComboBox.Clear 0037 @LStrLAsg 0044 AnsiPos 0062 @LStrCopy 0071 @LStrDelete 00bc @LStrClr 00f8 TCustomComboBox.SetItemIndex 0112 @LStrArrayClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 86 78 01 00 00 8B 10 FF 52 40 8D 45 FC 8B 96 70 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 A1 00 00 00 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 25 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? EB 13 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 86 18 01 00 00 8B 08 FF 51 34 8B 55 F4 8B 86 78 01 00 00 8B 08 FF 51 34 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 5F FF FF FF 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_7158_0 {
	meta:
		name = "TFilterComboBox.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 74 01 00 00 75 08 33 C0 89 87 74 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7159_0 {
	meta:
		name = "TFilterComboBox.Change"
		size = 94
		refs = "000d TFilterComboBox.Change 0027 TFilterComboBox.GetMask 0031 TFileListBox.SetMask 0038 TCustomComboBox.Change 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 74 01 00 00 85 F6 74 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7160_0 {
	meta:
		name = "_NF__29A"
		size = 1428
		refs = "0016 @ClassCreate 0023 _NF__29A 0032 TCustomForm.CreateNew 003a SSelectDirCap 003f LoadResString 0049 TControl.SetText 0052 TCustomForm.SetBorderStyle 005e TCustomForm.SetClientWidth 006a TCustomForm.SetClientHeight 0073 TCustomForm.SetPosition 007c _Dn_TEdit 0081 TCustomEdit.Create 00b3 TControl.SetVisible 00be TWinControl.SetTabOrder 00c7 _Dn_TLabel 00cc TCustomLabel.Create 00f9 TCustomLabel.SetFocusControl 0101 SDirNameCap 0119 _DV_TDriveComboBox 011e TDriveComboBox.Create 0162 _NF__29E 0198 SDrivesCap 01bd _NV__1C2 01c2 _NF__1C7 01f4 _DV_TDirectoryListBox 01f9 TDirectoryListBox.Create 0237 TWinControl.SetTabStop 0243 TCustomListBox.SetItemHeight 024c TCustomListBox.SetIntegralHeight 025c _NF__29C 0292 SDirsCap 02b7 _DV_TFileListBox 02bc TFileListBox.Create 0306 TFileListBox.SetFileType 0312 TFileListBox.SetMask 031f TFont.SetColor 0361 SFilesCap 0386 _Dn_TButton 038b TButton.Create 03cd SNetworkCap 03ec _NF__2A2 043b _NF__2A3 0443 SOKButton 0465 TButton.SetDefault 04b3 SCancelButton 0513 SHelpButton 0532 _NF__29B 053b _NF__29D 0548 TCustomForm.SetActiveControl 055d @LStrClr 0563 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? BA A8 01 00 00 8B C6 E8 ?? ?? ?? ?? BA FF 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E E0 01 00 00 8B D6 8B C3 8B 08 FF 51 3C 68 39 01 00 00 6A 14 B9 18 00 00 00 BA 08 00 00 00 8B C3 8B 38 FF 57 4C 33 D2 8B C3 E8 ?? ?? ?? ?? 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 3C 6A 5C 6A 0D B9 08 00 00 00 BA 08 00 00 00 8B C3 8B 38 FF 57 4C 8B 96 E0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E E4 01 00 00 8B D6 8B C3 8B 08 FF 51 3C 68 B9 00 00 00 6A 13 B9 C0 00 00 00 BA E8 00 00 00 8B C3 8B 38 FF 57 4C 66 BA 02 00 8B C3 E8 ?? ?? ?? ?? 89 B3 54 01 00 00 C7 83 50 01 00 00 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 3C 6A 29 6A 0D B9 B0 00 00 00 BA E8 00 00 00 8B C3 8B 38 FF 57 4C 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 96 E4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E E8 01 00 00 8B D6 8B C3 8B 08 FF 51 3C 68 D5 00 00 00 6A 0D B9 08 00 00 00 BA 78 00 00 00 8B C3 8B 18 FF 53 4C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E DC 01 00 00 8B D6 8B C3 8B 08 FF 51 3C 68 D5 00 00 00 68 8A 00 00 00 B9 48 00 00 00 BA 08 00 00 00 8B C3 8B 38 FF 57 4C 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 89 B3 78 01 00 00 C7 83 74 01 00 00 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 3C 6A 42 6A 0D B9 38 00 00 00 BA 08 00 00 00 8B C3 8B 38 FF 57 4C 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 96 DC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E FC 01 00 00 8B D6 8B C3 8B 08 FF 51 3C 68 B9 00 00 00 6A 5D B9 48 00 00 00 BA E8 00 00 00 8B C3 8B 38 FF 57 4C 66 BA 06 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 11 00 00 80 8B 43 50 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 3C 6A 39 6A 0D B9 38 00 00 00 BA E8 00 00 00 8B C3 8B 38 FF 57 4C 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 96 FC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E F8 01 00 00 8B D6 8B C3 8B 08 FF 51 3C 6A 4D 6A 1B B9 E0 00 00 00 BA 08 00 00 00 8B C3 8B 38 FF 57 4C 33 D2 8B C3 E8 ?? ?? ?? ?? 66 BA 03 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 B3 A8 00 00 00 C7 83 A4 00 00 00 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E EC 01 00 00 8B D6 8B C3 8B 08 FF 51 3C 6A 4D 6A 1B B9 E0 00 00 00 BA AC 00 00 00 8B C3 8B 38 FF 57 4C 66 BA 04 00 8B C3 E8 ?? ?? ?? ?? 89 B3 A8 00 00 00 C7 83 A4 00 00 00 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? C7 83 20 01 00 00 01 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E F0 01 00 00 8B D6 8B C3 8B 08 FF 51 3C 6A 4D 6A 1B B9 E0 00 00 00 BA 00 01 00 00 8B C3 8B 38 FF 57 4C 66 BA 05 00 8B C3 E8 ?? ?? ?? ?? C6 83 1D 01 00 00 01 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? C7 83 20 01 00 00 02 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E F4 01 00 00 8B D6 8B C3 8B 08 FF 51 3C 6A 4D 6A 1B B9 E0 00 00 00 BA 54 01 00 00 8B C3 8B 38 FF 57 4C 66 BA 07 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 B3 A8 00 00 00 C7 83 A4 00 00 00 ?? ?? ?? ?? 8B D6 8B C6 E8 ?? ?? ?? ?? 8B 96 DC 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 59 5D C3 00 00 40 00 00 00 FF FF FF FF 03 00 00 00 2A 2E 2A 00 }
	condition:
		$1
}

rule function_7162_0 {
	meta:
		name = "_NF__29C"
		size = 143
		refs = "000c _NF__29C 0029 TControl.SetText 0051 TControl.GetText 006a TCustomEdit.SelectAll 007f @LStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 DC 01 00 00 8B 90 70 01 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 83 DC 01 00 00 8B 90 70 01 00 00 8B 83 FC 01 00 00 8B 08 FF 91 94 00 00 00 8D 55 FC 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7163_0 {
	meta:
		name = "_NF__29D"
		size = 184
		refs = "000a _NF__29D 000f GetModuleHandle 001c GetProcAddress 0056 TControl.SetVisible 006a TControl.GetBoundsRect 0077 TControl.SetBoundsRect 0080 _NF__29C"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B E8 89 EE 85 ED 74 32 66 B8 FF FF FF D6 0F B7 C0 8B F0 85 F6 74 23 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B F8 89 BB 04 02 00 00 85 FF 0F 95 C2 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? C6 83 00 02 00 00 00 8B D4 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B D4 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 75 73 65 72 33 32 2E 64 6C 6C 00 00 57 4E 45 54 47 45 54 43 41 50 53 00 57 4E 45 54 43 4F 4E 4E 45 43 54 44 49 41 4C 4F 47 00 00 00 }
	condition:
		$1
}

rule function_7164_0 {
	meta:
		name = "_NF__29E"
		size = 24
		refs = "0013 TDirectoryListBox.SetDrive"
	strings:
		$1 = { 8B 90 E4 01 00 00 8A 92 74 01 00 00 8B 80 DC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7165_0 {
	meta:
		name = "_NF__29F"
		size = 54
		refs = "001f TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 3A 93 00 02 00 00 74 29 8B C2 88 83 00 02 00 00 8B D0 80 F2 01 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8A 93 00 02 00 00 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7166_0 {
	meta:
		name = "_NF__2A0"
		size = 332
		refs = "0015 _NF__2A0 0032 _NF__1C6 003d ExpandFileName 0045 @LStrLen 006e TDriveComboBox.SetDrive 0079 ExtractFilePath 0084 @LStrLAsg 00ae @LStrCopy 00d1 @HandleOnException 00d9 _Dn_EInOutError 00e7 @LGetDir 0113 @DoneExcept 012d @LStrArrayClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 F0 00 00 00 8D 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 03 0F 8C C5 00 00 00 8B 45 F8 80 78 01 3A 0F 85 B8 00 00 00 8B 45 F8 8A 10 8B 45 FC 8B 80 E4 01 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 DC 01 00 00 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 EB 47 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8A 10 8B 45 FC 8B 80 E4 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 DC 01 00 00 8B 55 F8 8B 08 FF 91 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 FF FF FF FF 03 00 00 00 2A 2E 2A 00 }
	condition:
		$1
}

rule function_7167_0 {
	meta:
		name = "_NF__2A1"
		size = 47
		refs = "0018 TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 00 02 00 00 00 74 10 8B D6 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7168_0 {
	meta:
		name = "_NF__2A2"
		size = 32
		refs = "000f TWinControl.GetHandle"
	strings:
		$1 = { 53 8B D8 83 BB 04 02 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 FF 93 04 02 00 00 5B C3 }
	condition:
		$1
}

rule function_7169_0 {
	meta:
		name = "_NF__2A3"
		size = 144
		refs = "000c _NF__2A3 002e _NF__2A1 0036 DirectoryExists 0044 SConfirmCreateDir 0049 LoadResString 005a MessageDlg 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 00 02 00 00 00 74 4C 80 BB 01 02 00 00 00 74 43 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 2D 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 8B 0D ?? ?? ?? ?? B2 03 E8 ?? ?? ?? ?? 83 F8 06 74 08 33 C0 89 83 50 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_7170_0 {
	meta:
		name = "SelectDirectory"
		size = 481
		refs = "0018 SelectDirectory 0024 Application 002d _NV__1C4 0032 _NF__29A 004d _NF__2A0 005c _NF__29F 0071 Screen 0094 TWinControl.ScaleBy 00a4 TControl.SetParentFont 00b0 TScreen.GetWidth 00d0 TControl.SetLeft 00dc TScreen.GetHeight 00fc TControl.SetTop 0112 TFont.SetColor 0126 TControl.SetVisible 016d TCustomForm.ShowModal 0183 _NF__2A1 018d @LStrAsg 019a ForceDirectories 01af TObject.Free 01b5 @HandleFinally 01cc @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 13 8B 45 F8 E8 ?? ?? ?? ?? F6 45 FF 01 0F 95 C2 8B 45 F8 E8 ?? ?? ?? ?? F6 45 FF 04 0F 95 C0 8B 55 F8 88 82 01 02 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 83 F8 60 0F 84 93 00 00 00 8B 15 ?? ?? ?? ?? 8B D0 B9 60 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 FC 01 00 00 B2 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 45 F8 8B 40 38 D1 F8 79 03 83 D0 00 2B D0 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 45 F8 8B 40 3C D1 F8 79 03 83 D0 00 2B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 FC 01 00 00 8B 40 50 BA 11 00 00 80 E8 ?? ?? ?? ?? 85 F6 75 46 8B 45 F8 8B 80 F4 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 F0 01 00 00 8B 50 30 8B 45 F8 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 F4 01 00 00 8B 50 30 8B 45 F8 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? EB 09 8B 45 F8 89 B0 E0 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 48 0F 94 45 FE 80 7D FE 00 74 22 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? F6 45 FF 02 74 07 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7171_0 {
	meta:
		name = "DirectoryExists"
		size = 33
		refs = "0006 @LStrToPChar 000c GetFileAttributes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 74 04 A8 10 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_7172_0 {
	meta:
		name = "ForceDirectories"
		size = 243
		refs = "0012 @LStrAddRef 001a ForceDirectories 0028 @LStrLen 0034 SCannotCreateDir 0039 LoadResString 0043 _Dn_Exception 0048 Exception.Create 004d @RaiseExcept 0055 AnsiLastChar 007d @LStrDelete 0092 DirectoryExists 00a1 ExtractFilePath 00ac @LStrCmp 00c9 CreateDir 00e3 @LStrArrayClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 24 8B 45 FC E8 ?? ?? ?? ?? 80 38 5C 75 17 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 FC B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 F8 03 7C 3F 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 33 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 74 1B 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_7187_0 {
	meta:
		name = "TFastLineSeriesEditor.BLinePenClick"
		size = 80
		refs = "0014 TPen.SetColor 0021 EditChartPen 002c TPen.GetColor 0049 TBrush.SetColor"
	strings:
		$1 = { 53 56 8B F0 8B 9E E4 01 00 00 8B 53 44 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 8B 93 D0 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 4C 8B 86 E0 01 00 00 8B 80 BC 00 00 00 8B 53 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7188_0 {
	meta:
		name = "TFastLineSeriesEditor.FormShow"
		size = 48
		refs = "0004 Screen 000d TScreen.SetCursor 002a TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 E4 01 00 00 8B 50 44 8B 83 E0 01 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7189_0 {
	meta:
		name = "TFastLineSeriesEditor.Shape1MouseUp"
		size = 58
		refs = "0013 EditColor 0030 TBrush.SetColor"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B B3 E4 01 00 00 8B 56 44 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 4C 8B 83 E0 01 00 00 8B 80 BC 00 00 00 8B 56 44 E8 ?? ?? ?? ?? 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_7197_0 {
	meta:
		name = "_NF__3D0"
		size = 11
	strings:
		$1 = { 8B C8 3B C2 7D 02 8B CA 8B C1 C3 }
	condition:
		$1
}

rule function_7198_0 {
	meta:
		name = "_NF__3D7"
		size = 53
		refs = "0001 Application 0010 ShowOwnedPopups 001c TApplication.SetShowHint 0026 TComponent.Destroying 0030 TComponent.DestroyComponents"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 40 24 85 C0 74 08 6A 00 50 E8 ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7199_0 {
	meta:
		name = "_NF__3D8"
		size = 77
		refs = "0009 _NV__3D3 0011 IsWindowVisible 001b IsWindowEnabled 0029 @GetMem 002f _NV__3D6 0041 EnableWindow"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 3B 1D ?? ?? ?? ?? 74 36 53 E8 ?? ?? ?? ?? 85 C0 74 2C 53 E8 ?? ?? ?? ?? 85 C0 74 22 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 89 58 04 A3 ?? ?? ?? ?? 6A 00 53 E8 ?? ?? ?? ?? 83 C8 FF 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7200_0 {
	meta:
		name = "DisableTaskWindows"
		size = 174
		refs = "000d _NV__3D3 0016 _NV__3D6 002d DisableTaskWindows 0048 _NF__3D8 004d GetCurrentThreadId 0053 EnumThreadWindows 006a @HandleAnyException 0074 EnableTaskWindows 0079 @RaiseAgain 007e @DoneExcept 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 D2 89 55 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8B 15 ?? ?? ?? ?? 89 55 F4 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 A3 ?? ?? ?? ?? 8B 45 F8 A3 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_7201_0 {
	meta:
		name = "EnableTaskWindows"
		size = 55
		refs = "000f IsWindow 001e EnableWindow 002c @FreeMem"
	strings:
		$1 = { 53 56 8B F0 85 F6 74 2C 8B DE 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 74 0B 6A FF 8B 43 04 50 E8 ?? ?? ?? ?? 8B 33 BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 F6 75 D4 5E 5B C3 }
	condition:
		$1
}

rule function_7202_0 {
	meta:
		name = "_NF__3DD"
		size = 97
		refs = "0009 _NV__3D3 0010 Application 001b IsWindowVisible 0025 IsWindowEnabled 0031 GetWindowLong 003b _NV__3D4 004c _NV__3D5"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 3B 1D ?? ?? ?? ?? 74 4A A1 ?? ?? ?? ?? 3B 58 24 74 40 53 E8 ?? ?? ?? ?? 85 C0 74 36 53 E8 ?? ?? ?? ?? 85 C0 74 2C 6A EC 53 E8 ?? ?? ?? ?? A8 08 75 11 83 3D ?? ?? ?? ?? 00 75 17 89 1D ?? ?? ?? ?? EB 0F 83 3D ?? ?? ?? ?? 00 75 06 89 1D ?? ?? ?? ?? 83 C8 FF 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7203_0 {
	meta:
		name = "_NF__3DE"
		size = 58
		refs = "0001 _NV__3D3 0008 _NV__3D4 000f _NV__3D5 0016 _NF__3DD 001b GetCurrentThreadId 0021 EnumThreadWindows"
	strings:
		$1 = { A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 06 A1 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7204_0 {
	meta:
		name = "_NF__3DF"
		size = 32
		refs = "0003 _NV__3CF 0011 SendMessage"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 6A 00 6A 00 0F B7 D2 52 50 E8 ?? ?? ?? ?? 3B 1D ?? ?? ?? ?? 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_7205_0 {
	meta:
		name = "_NF__3E2"
		size = 32
	strings:
		$1 = { 55 8B EC 53 8B 45 0C 83 CA FF 8B C8 8B 19 3B 5D 08 75 06 33 D2 C6 41 04 01 8B C2 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7206_0 {
	meta:
		name = "ForegroundTask"
		size = 42
		refs = "0004 GetActiveWindow 0014 _NF__3E2 0019 GetCurrentThreadId 001f EnumThreadWindows"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 00 8B C4 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8A 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_7207_0 {
	meta:
		name = "_NF__3E4"
		size = 119
		refs = "0007 Screen 000c TScreen.GetFormCount 0022 TScreen.GetForm 002e CompareText 0040 TScreen.GetDataModuleCount 0056 TScreen.GetDataModule"
	strings:
		$1 = { 53 56 57 55 8B E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 23 43 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 56 08 8B C5 E8 ?? ?? ?? ?? 85 C0 74 3A 47 4B 75 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 23 43 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 56 08 8B C5 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 E0 33 F6 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7208_0 {
	meta:
		name = "InitCtl3D"
		size = 568
		refs = "0003 _NV__3E5 000f GetVersion 001d HiByte 002b SetErrorMode 0032 InitCtl3D 0037 LoadLibrary 007e GetProcAddress 0083 _NV__3E6 0088 HInstance 00ae _NV__3E7 00c3 _NV__3E8 00d8 _NV__3E9 00ed Ctl3DDlgFramePaint 0102 Ctl3DCtlColorEx 0117 _NV__3EA 012c _NV__3EB 0141 _NV__3EC 0156 Ctl3DBtnWndProc 0163 FreeLibrary"
	strings:
		$1 = { 53 83 3D ?? ?? ?? ?? 00 0F 85 63 01 00 00 E8 ?? ?? ?? ?? 8B D8 80 FB 04 73 2F 8B C3 E8 ?? ?? ?? ?? 3C 59 73 24 68 00 80 00 00 E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 0F B7 C3 50 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 7C 13 83 3D ?? ?? ?? ?? 20 7D 0A C7 05 ?? ?? ?? ?? 01 00 00 00 83 3D ?? ?? ?? ?? 20 0F 8C FF 00 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 FF 15 ?? ?? ?? ?? 85 C0 0F 84 BF 00 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 15 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 5B C3 00 43 54 4C 33 44 33 32 2E 44 4C 4C 00 43 74 6C 33 64 52 65 67 69 73 74 65 72 00 00 00 43 74 6C 33 64 55 6E 72 65 67 69 73 74 65 72 00 43 74 6C 33 64 53 75 62 63 6C 61 73 73 43 74 6C 00 00 00 00 43 74 6C 33 64 53 75 62 63 6C 61 73 73 44 6C 67 45 78 00 00 43 74 6C 33 64 44 6C 67 46 72 61 6D 65 50 61 69 6E 74 00 00 43 74 6C 33 64 43 74 6C 43 6F 6C 6F 72 45 78 00 43 74 6C 33 64 41 75 74 6F 53 75 62 63 6C 61 73 73 00 00 00 43 74 6C 33 64 55 6E 41 75 74 6F 53 75 62 63 6C 61 73 73 00 43 74 6C 33 44 43 6F 6C 6F 72 43 68 61 6E 67 65 00 00 00 00 42 74 6E 57 6E 64 50 72 6F 63 33 64 00 00 00 00 }
	condition:
		$1
}

rule function_7209_0 {
	meta:
		name = "DoneCtl3D"
		size = 35
		refs = "0002 _NV__3E5 000a HInstance 0013 _NV__3E7 001e FreeLibrary"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 20 7C 19 A1 ?? ?? ?? ?? 8B 00 50 FF 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7210_0 {
	meta:
		name = "Subclass3DWnd"
		size = 47
		refs = "0008 _NV__3E5 0010 InitCtl3D 0020 _NV__3E8"
	strings:
		$1 = { 53 56 8B F0 33 DB 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 20 7C 0D 56 FF 15 ?? ?? ?? ?? F7 D8 1B DB F7 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_7211_0 {
	meta:
		name = "Subclass3DDlg"
		size = 40
		refs = "0008 _NV__3E5 0010 InitCtl3D 0021 _NV__3E9"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 20 7C 08 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7212_0 {
	meta:
		name = "SetAutoSubClass"
		size = 72
		refs = "0005 _NV__3E5 000d InitCtl3D 001c _NV__3EA 0025 _NV__3EB 0031 HInstance"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 20 7C 2C 83 3D ?? ?? ?? ?? 00 74 23 83 3D ?? ?? ?? ?? 00 74 1A 84 DB 74 10 A1 ?? ?? ?? ?? 8B 00 50 FF 15 ?? ?? ?? ?? EB 06 FF 15 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7213_0 {
	meta:
		name = "_NF__3FC"
		size = 30
	strings:
		$1 = { 55 8B EC 31 C0 50 FF 75 14 FF 75 10 FF 75 0C 89 E2 8B 41 04 FF 11 83 C4 0C 58 5D C2 10 00 }
	condition:
		$1
}

rule function_7214_0 {
	meta:
		name = "_NF__3FD"
		size = 8
	strings:
		$1 = { 83 C0 05 2B D0 8B C2 C3 }
	condition:
		$1
}

rule function_7215_0 {
	meta:
		name = "MakeObjectInstance"
		size = 152
		refs = "0007 _NV__3FB 001f VirtualAlloc 0026 _NV__3FA 0030 _NV__3FE 003a Move 003f _NF__3FC 0047 _NF__3FD"
	strings:
		$1 = { 55 8B EC 53 56 57 BF ?? ?? ?? ?? 83 3F 00 75 6C 6A 40 68 00 10 00 00 68 00 10 00 00 6A 00 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 89 06 8D 56 04 B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 46 05 E8 ?? ?? ?? ?? 89 46 06 8D 5E 0A C6 03 E8 8D 56 04 8B C3 E8 ?? ?? ?? ?? 89 43 01 8B 07 89 43 05 89 1F 83 C3 0D 8B C3 2B C6 3D FC 0F 00 00 7C DB 89 35 ?? ?? ?? ?? 8B 07 8B 1F 8B 53 05 89 17 8B 55 08 89 53 05 8B 55 0C 89 53 09 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7216_0 {
	meta:
		name = "FreeObjectInstance"
		size = 19
		refs = "0006 _NV__3FB"
	strings:
		$1 = { 85 C0 74 0E 8B 15 ?? ?? ?? ?? 89 50 05 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7217_0 {
	meta:
		name = "_NF__404"
		size = 16
	strings:
		$1 = { 54 50 55 74 69 6C 57 69 6E 64 6F 77 00 00 00 00 }
	condition:
		$1
}

rule function_7218_0 {
	meta:
		name = "AllocateHWnd"
		size = 188
		refs = "0008 HInstance 000f _NV__403 0026 GetClassInfo 0035 DefWindowProc 0051 UnregisterClass 005b RegisterClass 007b AllocateHWnd 008b CreateWindowEx 009f MakeObjectInstance 00a8 SetWindowLong"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? 8D 45 D8 50 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 84 C0 74 0A BA ?? ?? ?? ?? 3B 55 DC 74 21 84 C0 74 13 A1 ?? ?? ?? ?? 8B 00 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 8B 00 50 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 68 00 00 00 80 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 68 80 00 00 00 E8 ?? ?? ?? ?? 8B D8 66 83 7D 0A 00 74 14 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 50 6A FC 53 E8 ?? ?? ?? ?? 8B C3 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7219_0 {
	meta:
		name = "DeallocateHWnd"
		size = 38
		refs = "0008 GetWindowLong 0010 DestroyWindow 0016 DefWindowProc 001f FreeObjectInstance"
	strings:
		$1 = { 53 56 8B F0 6A FC 56 E8 ?? ?? ?? ?? 8B D8 56 E8 ?? ?? ?? ?? 81 FB ?? ?? ?? ?? 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7220_0 {
	meta:
		name = "KeysToShiftState"
		size = 84
		refs = "0006 KeysToShiftState 003f GetKeyState"
	strings:
		$1 = { 53 56 8B F0 8A 1D ?? ?? ?? ?? 66 F7 C6 04 00 74 03 80 CB 01 66 F7 C6 08 00 74 03 80 CB 04 66 F7 C6 01 00 74 03 80 CB 08 66 F7 C6 02 00 74 03 80 CB 10 66 F7 C6 10 00 74 03 80 CB 20 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7D 03 80 CB 02 8B C3 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_7221_0 {
	meta:
		name = "KeyDataToShiftState"
		size = 60
		refs = "0006 KeyDataToShiftState 000d GetKeyState"
	strings:
		$1 = { 53 56 8B F0 8A 1D ?? ?? ?? ?? 6A 10 E8 ?? ?? ?? ?? 66 85 C0 7D 03 80 CB 01 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 03 80 CB 04 F7 C6 00 00 00 20 74 03 80 CB 02 8B C3 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_7222_0 {
	meta:
		name = "IsAccel"
		size = 160
		refs = "0012 IsAccel 0024 @LStrPos 0031 @LStrLen 003f @LStrFromChar 0057 AnsiCompareText 007d @LStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 31 8B C6 E8 ?? ?? ?? ?? 3B D8 7D 26 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8A 14 1E E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 00 00 FF FF FF FF 01 00 00 00 26 00 00 00 }
	condition:
		$1
}

rule function_7223_0 {
	meta:
		name = "GetParentForm"
		size = 41
		refs = "0015 _DV_TCustomForm 001a @IsClass"
	strings:
		$1 = { 53 56 8B D8 EB 02 8B D8 8B 43 24 85 C0 75 F7 33 F6 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 8B F3 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7224_0 {
	meta:
		name = "ValidParentForm"
		size = 128
		refs = "0013 ValidParentForm 0020 GetParentForm 003e SParentRequired 0043 LoadResString 004d _Dn_EInvalidOperation 0052 Exception.CreateFmt 0057 @RaiseExcept 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 31 8B 46 08 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7225_0 {
	meta:
		name = "TDesigner.GetIsControl"
		size = 19
	strings:
		$1 = { 8B 50 04 85 D2 74 06 80 7A 4A 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_7226_0 {
	meta:
		name = "TDesigner.SetIsControl"
		size = 11
	strings:
		$1 = { 8B 48 04 85 C9 74 03 88 51 4A C3 }
	condition:
		$1
}

rule function_7227_0 {
	meta:
		name = "_NF__419"
		size = 75
		refs = "000e @ClassCreate 001d TObject.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8A 45 08 88 47 18 66 C7 47 08 08 00 C6 47 1C 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7228_0 {
	meta:
		name = "TControlScrollBar.Assign"
		size = 79
		refs = "000b _DV_TControlScrollBar 0010 @IsClass 0020 TControlScrollBar.SetVisible 002a TControlScrollBar.SetRange 0034 TControlScrollBar.SetPosition 0047 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B FE 8A 57 1C 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 66 8B 47 08 66 89 43 08 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7229_0 {
	meta:
		name = "_NF__41D"
		size = 71
		refs = "002f _NF__3D0"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 7B 44 00 74 38 8A 43 48 2C 01 72 06 2C 03 74 24 EB 2B 8B 45 08 8B 40 F8 8B 50 0C 03 53 30 03 53 38 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 89 42 FC EB 09 8B 45 08 8B 53 38 01 50 F4 5B 5D C3 }
	condition:
		$1
}

rule function_7230_0 {
	meta:
		name = "_NF__41E"
		size = 71
		refs = "002f _NF__3D0"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 7B 44 00 74 38 8A 43 48 2C 01 72 06 FE C8 74 24 EB 2B 8B 45 08 8B 40 F8 8B 50 0C 03 53 34 03 53 3C 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 89 42 FC EB 09 8B 45 08 8B 53 3C 01 50 F4 5B 5D C3 }
	condition:
		$1
}

rule function_7231_0 {
	meta:
		name = "_NF__41F"
		size = 141
		refs = "002b TWinControl.GetControlCount 004c TWinControl.GetControl 0051 _NF__41D 0067 _NF__41E 0083 _NF__42A"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 45 F8 8B 45 F8 8B 40 04 80 B8 20 01 00 00 00 74 6D 33 C0 89 45 FC 33 C0 89 45 F4 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 3A 43 33 F6 8B 45 F8 80 78 18 00 75 16 55 8B 45 F8 8B 40 04 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 14 55 8B 45 F8 8B 40 04 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 C9 8B 55 FC 03 55 F4 8B 45 F8 0F B7 40 1A 03 D0 8B 45 F8 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7232_0 {
	meta:
		name = "_NF__420"
		size = 50
		refs = "0020 TWinControl.GetHandle 0026 GetWindowLong"
	strings:
		$1 = { 55 8B EC 53 BB 00 00 10 00 66 83 F8 01 75 05 BB 00 00 20 00 6A F0 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 D8 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_7233_0 {
	meta:
		name = "_NF__421"
		size = 116
		refs = "0025 _NF__420 0033 GetSystemMetrics"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 33 DB 8B 45 08 80 78 FB 00 75 58 8B 45 08 80 78 FA 00 74 25 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 84 C0 75 15 0F B7 C7 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 2B 58 F4 F7 DB EB 2A 8B 45 08 80 78 FA 00 75 21 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 84 C0 74 11 0F B7 C7 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 2B 58 F4 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_7234_0 {
	meta:
		name = "_NF__422"
		size = 127
		refs = "0019 TWinControl.GetHandle 001f GetWindowLong 0042 _NF__421 0050 TControl.GetClientHeight 0072 TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D FA 88 55 FB 89 45 FC 6A F0 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A9 00 00 84 00 0F 95 C0 83 E0 7F 89 45 F4 8B 45 FC 80 78 18 01 75 20 55 66 BA 15 00 33 C0 E8 ?? ?? ?? ?? 59 8B D8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 03 D8 8B C3 EB 20 55 66 BA 14 00 66 B8 01 00 E8 ?? ?? ?? ?? 59 8B D8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 03 D8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7235_0 {
	meta:
		name = "TControlScrollBar.GetScrollPos"
		size = 14
	strings:
		$1 = { 33 D2 80 78 1C 00 74 03 8B 50 0C 8B C2 C3 }
	condition:
		$1
}

rule function_7236_0 {
	meta:
		name = "_NF__425"
		size = 22
		refs = "000a _NF__422"
	strings:
		$1 = { 53 8B D8 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 3B 43 10 0F 9C C0 5B C3 }
	condition:
		$1
}

rule function_7237_0 {
	meta:
		name = "_NF__426"
		size = 200
		refs = "0013 _NF__426 0043 TControlScrollBar.SetPosition 0060 _NF__422"
	strings:
		$1 = { 53 8B D8 0F BF 42 04 83 F8 07 0F 87 B6 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 43 08 8B 53 0C 2B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 0F B7 53 08 03 53 0C 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 2B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D0 03 53 0C 8B C3 E8 ?? ?? ?? ?? 5B C3 0F BF 42 06 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 80 7B 1D 00 74 26 0F BF 42 06 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 53 14 8B C3 E8 ?? ?? ?? ?? 5B C3 5B C3 }
	condition:
		$1
}

rule function_7238_0 {
	meta:
		name = "TControlScrollBar.SetPosition"
		size = 185
		refs = "004f TWinControl.ScrollBy 006d GetParentForm 0091 TWinControl.GetHandle 0097 GetScrollPos 00b1 SetScrollPos"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 04 F6 40 20 02 74 08 89 53 0C E9 9F 00 00 00 8B 43 14 3B D0 7E 04 8B D0 EB 06 85 D2 7D 02 33 D2 80 7B 18 00 75 04 33 F6 EB 04 66 BE 01 00 8B 43 0C 3B D0 74 4D 89 53 0C 80 7B 18 00 75 10 2B C2 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? EB 0E 8B C8 2B CA 8B 43 04 33 D2 E8 ?? ?? ?? ?? 8B 43 04 F6 40 20 10 74 1D E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 54 01 00 00 00 74 0B 8B 80 54 01 00 00 8B 10 FF 52 04 0F B7 FE 57 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B 43 0C 74 15 6A FF 8B 43 0C 50 57 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7239_0 {
	meta:
		name = "_NF__42A"
		size = 23
		refs = "0012 _NF__44E"
	strings:
		$1 = { 8B CA 89 48 10 85 C9 7D 05 33 D2 89 50 10 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7240_0 {
	meta:
		name = "TControlScrollBar.SetRange"
		size = 20
		refs = "000f _NF__42A"
	strings:
		$1 = { 8B 48 04 C6 81 20 01 00 00 00 C6 40 1E 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7241_0 {
	meta:
		name = "TControlScrollBar.IsRangeStored"
		size = 12
	strings:
		$1 = { 8B 40 04 8A 80 20 01 00 00 34 01 C3 }
	condition:
		$1
}

rule function_7242_0 {
	meta:
		name = "TControlScrollBar.SetVisible"
		size = 12
		refs = "0007 _NF__44E"
	strings:
		$1 = { 88 50 1C 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7243_0 {
	meta:
		name = "_NF__433"
		size = 180
		refs = "002d _NF__422 0098 TWinControl.GetHandle 009e SetScrollInfo 00a8 TControlScrollBar.SetPosition"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 88 0C 24 8B DA 8B F8 33 C0 89 47 14 33 F6 80 7F 18 01 75 04 66 BE 01 00 80 7F 1C 00 74 1D 8A 0C 24 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 6F 10 2B E8 89 6F 14 85 ED 7D 05 33 C0 89 47 14 C7 44 24 04 1C 00 00 00 C7 44 24 08 17 00 00 00 33 C0 89 44 24 0C 83 7F 14 00 7E 09 8B 47 10 89 44 24 10 EB 06 33 C0 89 44 24 10 8A 0C 24 8B D3 8B C7 E8 ?? ?? ?? ?? 40 89 44 24 14 8B 47 0C 89 44 24 18 89 44 24 1C 6A FF 8D 44 24 08 50 0F B7 C6 50 8B 47 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 57 0C 8B C7 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7244_0 {
	meta:
		name = "TScrollingWinControl.Create"
		size = 97
		refs = "000a @ClassCreate 0017 TWinControl.Create 0022 _DV_TControlScrollBar 0027 _NF__419"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 18 01 00 00 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 1C 01 00 00 C6 86 20 01 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7248_0 {
	meta:
		name = "TScrollingWinControl.AlignControls"
		size = 129
		refs = "0010 _NF__444 0017 TControl.GetClientHeight 0025 _NF__3D0 0032 TControl.GetClientWidth 0059 Bounds 0075 TWinControl.AlignControls"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 8B EA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 93 1C 01 00 00 8B 52 10 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B BB 18 01 00 00 8B 47 10 E8 ?? ?? ?? ?? 8B C8 8B 83 1C 01 00 00 8B 50 0C F7 DA 8B 47 0C F7 D8 E8 ?? ?? ?? ?? 56 57 8B FE 8D 74 24 08 B9 04 00 00 00 F3 A5 5F 5E 8B CE 8B D5 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7249_0 {
	meta:
		name = "_NF__444"
		size = 36
		refs = "0013 _NF__41F"
	strings:
		$1 = { 53 8B D8 83 BB 24 01 00 00 00 7F 16 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7250_0 {
	meta:
		name = "TScrollingWinControl.SetAutoScroll"
		size = 58
		refs = "0018 _NF__444 0027 TControlScrollBar.SetRange"
	strings:
		$1 = { 53 8B D8 3A 93 20 01 00 00 74 2D 88 93 20 01 00 00 84 D2 74 09 8B C3 E8 ?? ?? ?? ?? EB 1A 33 D2 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7252_0 {
	meta:
		name = "TScrollingWinControl.SetVertScrollBar"
		size = 12
	strings:
		$1 = { 8B 80 1C 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_7253_0 {
	meta:
		name = "_NF__44E"
		size = 245
		refs = "001b TWinControl.HandleAllocated 002b _NF__44E 0049 _NF__425 005f _NF__433 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 B8 28 01 00 00 00 0F 85 DB 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 CB 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 28 01 00 00 01 8B 45 FC 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 FC 8B 80 18 01 00 00 B1 01 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 1C 01 00 00 33 C9 B2 01 E8 ?? ?? ?? ?? EB 5C 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 FC 8B 80 1C 01 00 00 B1 01 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 33 C9 B2 01 E8 ?? ?? ?? ?? EB 24 8B 45 FC 8B 80 1C 01 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 33 C9 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 28 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_7254_0 {
	meta:
		name = "TScrollingWinControl.AutoScrollInView"
		size = 22
		refs = "0011 TScrollingWinControl.ScrollInView"
	strings:
		$1 = { 85 D2 74 11 F6 42 20 01 75 0B F6 40 20 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7255_0 {
	meta:
		name = "TScrollingWinControl.DisableAutoRange"
		size = 7
	strings:
		$1 = { FF 80 24 01 00 00 C3 }
	condition:
		$1
}

rule function_7256_0 {
	meta:
		name = "TScrollingWinControl.EnableAutoRange"
		size = 54
		refs = "0031 _NF__444"
	strings:
		$1 = { 83 B8 24 01 00 00 00 7E 2C FF 88 24 01 00 00 83 B8 24 01 00 00 00 75 1D 8B 90 18 01 00 00 80 7A 1C 00 75 0C 8B 90 1C 01 00 00 80 7A 1C 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7257_0 {
	meta:
		name = "TScrollingWinControl.ScrollInView"
		size = 337
		refs = "0046 TControl.ClientToScreen 0055 TControl.ScreenToClient 00a3 TControlScrollBar.SetPosition 00ac TControl.GetClientWidth 0108 TControl.GetClientHeight"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F2 8B D8 8B FC 85 F6 0F 84 34 01 00 00 8B D7 8B C6 8B 08 FF 51 2C 8B 83 18 01 00 00 0F B7 40 1A 29 07 01 47 08 8B 83 1C 01 00 00 0F B7 40 1A 29 47 04 01 47 0C 8D 4C 24 18 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 54 24 18 8D 4C 24 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 10 89 07 8B 44 24 14 89 47 04 8D 4C 24 18 8D 57 08 8B C6 E8 ?? ?? ?? ?? 8D 54 24 18 8D 4C 24 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 10 89 47 08 8B 44 24 14 89 47 0C 8B 37 85 F6 7D 12 8B 83 18 01 00 00 8B 50 0C 03 D6 E8 ?? ?? ?? ?? EB 43 8B C3 E8 ?? ?? ?? ?? 8B 6F 08 3B C5 7D 35 8B C3 E8 ?? ?? ?? ?? 2B EE 3B C5 7D 0C 8B C3 E8 ?? ?? ?? ?? 03 07 89 47 08 8B B3 18 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 03 57 08 2B D0 8B C6 E8 ?? ?? ?? ?? 8B 77 04 85 F6 7D 12 8B 83 1C 01 00 00 8B 50 0C 03 D6 E8 ?? ?? ?? ?? EB 44 8B C3 E8 ?? ?? ?? ?? 8B 6F 0C 3B C5 7D 36 8B C3 E8 ?? ?? ?? ?? 2B EE 3B C5 7D 0D 8B C3 E8 ?? ?? ?? ?? 03 47 04 89 47 0C 8B B3 1C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 03 57 0C 2B D0 8B C6 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7258_0 {
	meta:
		name = "_NF__459"
		size = 164
		refs = "0031 TControlScrollBar.SetPosition 005e MulDiv 0067 TControlScrollBar.SetRange"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 3B FE 74 7D F6 43 20 01 75 14 8B 83 18 01 00 00 C6 40 1E 01 8B 83 1C 01 00 00 C6 40 1E 01 33 D2 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 80 BB 20 01 00 00 00 75 40 8B AB 18 01 00 00 80 7D 1E 00 74 14 57 56 8B 45 10 50 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 8B AB 1C 01 00 00 80 7D 1E 00 74 14 57 56 8B 45 10 50 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 C6 40 1E 00 8B 83 1C 01 00 00 C6 40 1E 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7259_0 {
	meta:
		name = "TScrollingWinControl.ChangeScale"
		size = 35
		refs = "0010 _NF__459 001b TWinControl.ChangeScale"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7260_0 {
	meta:
		name = "TScrollingWinControl.WMSize"
		size = 109
		refs = "0014 TScrollingWinControl.WMSize 0022 TWinControl.WMSize 003e @HandleFinally 0066 _NF__44E"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC FF 80 24 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 88 24 01 00 00 C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 8B 80 18 01 00 00 80 78 1C 00 75 0F 8B 45 FC 8B 80 1C 01 00 00 80 78 1C 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_7261_0 {
	meta:
		name = "TScrollingWinControl.WMHScroll"
		size = 36
		refs = "0019 _NF__426 001f TWinControl.WMHScroll"
	strings:
		$1 = { 83 7A 08 00 75 18 8B 88 18 01 00 00 80 79 1C 00 74 0C 8B 80 18 01 00 00 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7262_0 {
	meta:
		name = "TScrollingWinControl.WMVScroll"
		size = 36
		refs = "0019 _NF__426 001f TWinControl.WMVScroll"
	strings:
		$1 = { 83 7A 08 00 75 18 8B 88 1C 01 00 00 80 79 1C 00 74 0C 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7263_0 {
	meta:
		name = "TScrollBox.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TScrollingWinControl.Create 001d TScrollBox.Create 002d TControl.SetWidth 0039 TControl.SetHeight"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 46 40 BA B9 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 29 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 2C 01 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 AB 00 00 00 }
	condition:
		$1
}

rule function_7264_0 {
	meta:
		name = "TScrollBox.CreateParams"
		size = 90
		refs = "000b TScrollingWinControl.CreateParams 001a _NV__46B 002e NewStyleControls"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 8A 86 2C 01 00 00 8B 04 85 ?? ?? ?? ?? 09 43 04 8B 43 24 83 C8 02 83 C8 01 89 43 24 A1 ?? ?? ?? ?? 80 38 00 74 20 80 BE D5 00 00 00 00 74 17 80 BE 2C 01 00 00 01 75 0E 81 63 04 FF FF 7F FF 81 4B 08 00 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7267_0 {
	meta:
		name = "TScrollBox.WMSize"
		size = 38
		refs = "0007 TScrollingWinControl.WMSize 0018 @CallDynaInst 001f _NF__444"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? F6 46 20 01 75 0B 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7268_0 {
	meta:
		name = "TButton.WMEraseBkgnd"
		size = 18
		altNames = "TCustomComboBox.WMDeleteItem TCustomComboBox.WMDrawItem TCustomComboBox.WMMeasureItem TScrollBar.WMEraseBkgnd TScrollBox.WMNCHitTest"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 51 F0 5F 5E C3 }
	condition:
		$1
}

rule function_7269_0 {
	meta:
		name = "TScrollBox.CMCtl3DChanged"
		size = 44
		refs = "0007 NewStyleControls 001c TWinControl.RecreateWnd 0025 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 80 BB 2C 01 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7270_0 {
	meta:
		name = "TCustomForm.Create"
		size = 400
		refs = "001c @ClassCreate 002a TCustomForm.Create 003a TCustomForm.CreateNew 0042 TObject.ClassType 0048 _DV_TForm 0081 InitInheritedComponent 0095 TObject.ClassName 00b3 SResNotFound 00b8 LoadResString 00c5 _Dn_EResNotFound 00ca Exception.CreateFmt 00cf @RaiseExcept 00ec @HandleFinally 012a @HandleAnyException 0132 Application 0137 TApplication.HandleException 013c @DoneExcept 0152 TCustomForm.SetVisible 016a @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 DB 89 9D EC FE FF FF 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 0F 84 04 01 00 00 8B 45 FC F6 40 20 10 0F 85 F7 00 00 00 8B 45 FC 80 88 3D 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 4A 8D 95 F0 FE FF FF 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 89 45 F0 C6 45 F4 04 8D 45 F0 50 6A 00 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 A0 3D 01 00 00 FE C3 E9 ?? ?? ?? ?? EB EE 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 B8 CE 01 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 D0 01 00 00 FF 93 CC 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC F6 80 3D 01 00 00 02 74 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 80 7D FB 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7271_0 {
	meta:
		name = "TCustomForm.CreateNew"
		size = 268
		refs = "000e @ClassCreate 001c TScrollingWinControl.Create 0022 TCustomForm.CreateNew 002f TControl.SetLeft 0038 TControl.SetTop 0044 TControl.SetWidth 0050 TControl.SetHeight 0059 TCustomForm.SetVisible 0062 TControl.SetParentColor 006b TControl.SetParentFont 0074 TWinControl.SetCtl3D 0094 _Dn_TIcon 0099 TIcon.Create 00ab _NF__49C 00b2 _Dn_TControlCanvas 00b7 TCanvas.Create 00c8 TControlCanvas.SetControl 00cd Screen 00e9 _NF__5FE"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 43 40 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 40 01 00 00 8B C3 E8 ?? ?? ?? ?? BA F0 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 83 34 01 00 00 C6 83 35 01 00 00 02 C6 83 36 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 48 01 00 00 89 5E 08 C7 46 04 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 40 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 34 89 83 60 01 00 00 C6 83 3F 01 00 00 01 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 AB 00 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_7272_0 {
	meta:
		name = "TCustomForm.Destroy"
		size = 296
		refs = "0013 TComponent.Destroying 0018 Screen 0023 TList.Remove 002d RemoveFixupReferences 005b TCustomForm.Hide 0070 TCustomForm.Destroy 0097 @HandleAnyException 009f Application 00a4 TApplication.HandleException 00a9 @DoneExcept 00b3 _NF__538 00bb TWinControl.HandleAllocated 00d4 _NF__5FF 00e2 TObject.Free 010c TScrollingWinControl.Destroy 011a @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 6C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 68 01 00 00 00 74 0E 8B 45 FC 8B 80 68 01 00 00 8B 10 FF 52 0C 8B 45 FC 80 B8 3A 01 00 00 01 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 D6 01 00 00 00 74 41 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 83 D8 01 00 00 FF 93 D4 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 68 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 48 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 4C 01 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FE 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7273_0 {
	meta:
		name = "TCustomForm.Loaded"
		size = 54
		refs = "0007 TComponent.Loaded 0022 TWinControl.CanFocus 002f TCustomForm.SetActiveControl"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 01 00 00 85 C0 74 1E 8B F0 33 C0 89 83 2C 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7274_0 {
	meta:
		name = "TCustomForm.Notification"
		size = 135
		refs = "0010 TControl.Notification 0036 _Dn_TMainMenu 003b @IsClass 0048 TCustomForm.SetMenu 006c TCustomForm.SetWindowMenu"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C3 2C 01 72 04 74 32 EB 52 F6 47 20 01 75 4C 83 BF 4C 01 00 00 00 75 43 3B 7E 04 75 3E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B D6 8B C7 E8 ?? ?? ?? ?? EB 22 3B B7 4C 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 5C 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 87 54 01 00 00 85 C0 74 09 8B CB 8B D6 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7275_0 {
	meta:
		name = "TCustomForm.ReadState"
		size = 484
		refs = "000f TWinControl.DisableAlign 0017 TCustomForm.ReadState 004a TWinControl.ReadState 0082 Screen 00a7 TFont.GetHeight 00ad MulDiv 00b6 TFont.SetHeight 00cf _NF__497 00ec _NF__459 00ff TWinControl.ScaleControls 016e TControl.SetClientWidth 0185 TControl.SetClientHeight 01ce TWinControl.EnableAlign 01d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 33 D2 89 90 6C 01 00 00 8B 45 FC 33 D2 89 90 70 01 00 00 8B 45 FC 33 D2 89 90 74 01 00 00 33 DB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 60 01 00 00 00 0F 84 FD 00 00 00 8B 45 FC 83 B8 74 01 00 00 00 0F 8E ED 00 00 00 8B 45 FC F6 40 68 10 74 43 8B 45 FC 8B 80 60 01 00 00 8B 15 ?? ?? ?? ?? 3B 42 34 74 2F 8B 45 FC 8B 80 60 01 00 00 50 A1 ?? ?? ?? ?? 8B 40 34 50 8B 45 FC 8B 70 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 34 8B 55 FC 89 82 60 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 74 01 00 00 3B F0 74 79 B3 01 8B C8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 88 74 01 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 68 04 74 23 8B 45 FC 8B 80 74 01 00 00 50 56 8B 45 FC 8B 80 6C 01 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 6C 01 00 00 8B 45 FC F6 40 68 08 74 23 8B 45 FC 8B 80 74 01 00 00 50 56 8B 45 FC 8B 80 70 01 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 70 01 00 00 8B 45 FC 8B 80 6C 01 00 00 85 C0 7E 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 01 00 00 85 C0 7E 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 15 ?? ?? ?? ?? 88 50 68 84 DB 75 24 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_7276_0 {
	meta:
		name = "TCustomForm.DefineProperties"
		size = 120
		refs = "000c TControl.DefineProperties 0016 _NF__496 0021 TCustomForm.DefineProperties 002d _NF__494 0033 _NF__495"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 53 68 ?? ?? ?? ?? 8A 4B 4A 80 F1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8A 4B 4A 80 F1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5F 5E 5B C3 FF FF FF FF 0D 00 00 00 50 69 78 65 6C 73 50 65 72 49 6E 63 68 00 00 00 FF FF FF FF 0A 00 00 00 54 65 78 74 48 65 69 67 68 74 00 00 }
	condition:
		$1
}

rule function_7277_0 {
	meta:
		name = "_NF__494"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 83 74 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7278_0 {
	meta:
		name = "_NF__495"
		size = 25
		refs = "0009 _NF__497 0012 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7279_0 {
	meta:
		name = "_NF__496"
		size = 25
		refs = "0009 TCustomForm.GetPixelsPerInch 0012 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7280_0 {
	meta:
		name = "_NF__497"
		size = 36
		refs = "0006 TCustomForm.GetCanvas 000b _NF__497 0010 TCanvas.TextHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_7281_0 {
	meta:
		name = "TCustomForm.ChangeScale"
		size = 125
		refs = "0011 _NF__459 001c TWinControl.ScaleControls 0023 TCustomForm.IsClientSizeStored 002e TControl.GetClientHeight 0039 TControl.GetClientWidth 003f MulDiv 0048 TCustomForm.SetClientWidth 0059 TCustomForm.SetClientHeight 0065 TFont.GetSize 0074 TFont.SetSize"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8B C3 E8 ?? ?? ?? ?? 8B E8 57 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 57 56 55 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 57 56 8B 6B 50 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7282_0 {
	meta:
		name = "_NF__49C"
		size = 89
		refs = "0004 NewStyleControls 0010 TWinControl.HandleAllocated 0024 _NF__541 0033 TWinControl.GetHandle 0039 SendMessage 0048 IsIconic"
	strings:
		$1 = { 56 8B F0 A1 ?? ?? ?? ?? 80 38 00 74 32 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3F 80 BE 35 01 00 00 03 74 36 8B C6 E8 ?? ?? ?? ?? 50 6A 01 68 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E C3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_7283_0 {
	meta:
		name = "TCustomForm.IsClientSizeStored"
		size = 14
		refs = "0006 TCustomForm.IsFormSizeStored"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_7284_0 {
	meta:
		name = "TCustomForm.IsFormSizeStored"
		size = 39
	strings:
		$1 = { 80 B8 20 01 00 00 00 75 1B 8B 90 18 01 00 00 83 7A 10 00 75 0F 8B 80 1C 01 00 00 83 78 10 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_7285_0 {
	meta:
		name = "TCustomForm.IsAutoScrollStored"
		size = 50
		refs = "0006 TCustomForm.IsForm"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 8A 83 35 01 00 00 2C 02 74 08 2C 03 74 04 33 C0 EB 02 B0 01 3A 83 20 01 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_7287_0 {
	meta:
		name = "TCustomForm.DoShow"
		size = 29
	strings:
		$1 = { 53 66 83 B8 C6 01 00 00 00 74 10 8B D8 8B D0 8B 83 C8 01 00 00 FF 93 C4 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7288_0 {
	meta:
		name = "TCustomForm.GetClientRect"
		size = 134
		refs = "0009 TWinControl.GetHandle 000f IsIconic 0021 SetRect 0030 GetWindowLong 0056 AdjustWindowRectEx 007f TWinControl.GetClientRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 63 6A 00 6A 00 6A 00 6A 00 56 E8 ?? ?? ?? ?? 6A EC 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 83 BB 4C 01 00 00 00 0F 95 C0 F6 D8 1B C0 50 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B 43 3C 2B 46 0C 03 46 04 50 8B 43 38 2B 46 08 03 06 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7289_0 {
	meta:
		name = "TCustomForm.GetChildren"
		size = 107
		refs = "0018 TWinControl.GetChildren 0023 TComponent.GetComponentCount 003d TComponent.GetComponent 004a @CallDynaInst"
		altNames = "TQuickRep.GetChildren"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 8B F0 FF 75 0C FF 75 08 8B D3 8B C6 E8 ?? ?? ?? ?? 3B F3 75 42 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 36 40 89 45 F8 C7 45 FC 00 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 66 BB F2 FF E8 ?? ?? ?? ?? 84 C0 75 08 8B D7 8B 45 0C FF 55 08 FF 45 FC FF 4D F8 75 D5 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7404_0 {
	meta:
		name = "TDataModule.GetChildren"
		size = 107
		refs = "0018 TComponent.GetChildren 0023 TComponent.GetComponentCount 003d TComponent.GetComponent 004a @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 8B F0 FF 75 0C FF 75 08 8B D3 8B C6 E8 ?? ?? ?? ?? 3B F3 75 42 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 36 40 89 45 F8 C7 45 FC 00 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 66 BB F2 FF E8 ?? ?? ?? ?? 84 C0 75 08 8B D7 8B 45 0C FF 55 08 FF 45 FC FF 4D F8 75 D5 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7290_0 {
	meta:
		name = "TCustomForm.SetChildOrder"
		size = 146
		refs = "0015 _Dn_TControl 001a @IsClass 002c TWinControl.SetChildOrder 0035 TWinControl.GetControlCount 0048 TComponent.GetComponentCount 005b TComponent.GetComponent 0064 @CallDynaInst 0080 TComponent.SetComponentIndex"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B E8 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 4C 24 04 8B 14 24 8B C5 E8 ?? ?? ?? ?? EB 58 8B C5 E8 ?? ?? ?? ?? 29 44 24 04 C7 44 24 08 FF FF FF FF 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 37 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 66 BB F2 FF E8 ?? ?? ?? ?? 84 C0 75 1A FF 44 24 08 8B 44 24 08 3B 44 24 04 75 0C 8B D7 8B 04 24 E8 ?? ?? ?? ?? EB 04 47 4E 75 CC 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7291_0 {
	meta:
		name = "TCustomForm.SetClientWidth"
		size = 44
		refs = "0010 TCustomForm.SetClientWidth 001f TControl.SetClientWidth"
	strings:
		$1 = { 53 8B D8 F6 43 42 08 74 13 89 93 6C 01 00 00 A0 ?? ?? ?? ?? 0A 43 68 88 43 68 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_7292_0 {
	meta:
		name = "TCustomForm.SetClientHeight"
		size = 44
		refs = "0010 TCustomForm.SetClientHeight 001f TControl.SetClientHeight"
	strings:
		$1 = { 53 8B D8 F6 43 42 08 74 13 89 93 70 01 00 00 A0 ?? ?? ?? ?? 0A 43 68 88 43 68 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_7293_0 {
	meta:
		name = "TCustomForm.SetVisible"
		size = 43
		refs = "0025 TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 F6 83 3D 01 00 00 01 74 16 84 D2 74 09 80 8B 3D 01 00 00 02 EB 10 80 A3 3D 01 00 00 FD 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7294_0 {
	meta:
		name = "TCustomForm.VisibleChanging"
		size = 99
		refs = "0009 TCustomForm.VisibleChanging 0026 SMDIChildNotVisible 002b LoadResString 0035 _Dn_EInvalidOperation 003a Exception.Create 003f @RaiseExcept 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 3A 01 00 00 01 75 27 80 78 44 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_7296_0 {
	meta:
		name = "TCustomForm.SetParent"
		size = 53
		refs = "0018 TWinControl.DestroyHandle 0021 TControl.SetParent 002e TWinControl.UpdateControlState"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 24 3B F0 74 25 3B DE 74 21 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 24 00 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7297_0 {
	meta:
		name = "TCustomForm.ValidateRename"
		size = 57
		refs = "0017 TComponent.ValidateRename"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 54 01 00 00 85 C0 74 0D 8B 55 08 52 8B CF 8B D6 8B 18 FF 53 10 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7298_0 {
	meta:
		name = "TCustomForm.WndProc"
		size = 556
		refs = "0033 TWinControl.HandleAllocated 005b Ctl3DDlgFramePaint 007c CreateRectRgn 0086 TWinControl.GetHandle 008c GetWindowRgn 00a9 SetWindowRgn 00b2 TWinControl.WndProc 00c9 GetSystemMetrics 0132 DeleteObject 015e _NV__3CE 018a TCustomForm.GetActiveMDIChild 01bd SetFocus 01c8 TCustomForm.WndProc"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 06 83 C0 FA 83 E8 03 0F 82 46 01 00 00 83 E8 03 74 15 83 E8 3A 0F 84 9F 01 00 00 83 C0 C1 83 E8 02 0F 83 E4 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 D5 01 00 00 80 BB 35 01 00 00 03 0F 85 C8 01 00 00 80 BB D5 00 00 00 00 0F 84 BB 01 00 00 83 3D ?? ?? ?? ?? 00 0F 84 AE 01 00 00 83 3E 0C 0F 85 CC 00 00 00 8B 43 3C 50 8B 43 38 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F8 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 07 E8 ?? ?? ?? ?? 8B F0 6A 08 E8 ?? ?? ?? ?? 8B F8 6A 04 E8 ?? ?? ?? ?? 8B 53 34 03 D7 03 C2 48 50 8B 6B 30 8B C5 03 43 38 8B D6 03 D2 2B C2 50 03 7B 34 47 57 03 F5 83 C6 02 56 E8 ?? ?? ?? ?? 8B F0 6A 00 56 68 85 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? E9 E2 00 00 00 8B 46 08 50 8B 46 04 50 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 46 0C E9 C1 00 00 00 80 3D ?? ?? ?? ?? 00 0F 84 B4 00 00 00 83 3E 07 0F 85 A2 00 00 00 F6 43 20 10 0F 85 98 00 00 00 33 FF 80 BB 3A 01 00 00 02 75 1B 8B C3 E8 ?? ?? ?? ?? 85 C0 74 25 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 15 8B 83 2C 01 00 00 85 C0 74 0B 3B D8 74 07 E8 ?? ?? ?? ?? 8B F8 85 FF 74 59 57 E8 ?? ?? ?? ?? EB 5A 8A 43 20 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 75 3E 8A 83 3B 01 00 00 48 2C 02 73 10 80 BB 36 01 00 00 02 74 07 8B 46 08 83 48 18 02 8A 83 3B 01 00 00 2C 01 74 04 2C 02 75 15 8A 83 35 01 00 00 2C 02 74 04 2C 03 75 07 8B 46 08 83 48 18 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 11 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_7299_0 {
	meta:
		name = "_NF__4CB"
		size = 74
		refs = "003b CallWindowProc"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 8B 40 08 50 8B 45 08 8B 40 F8 8B 40 04 50 8B 45 08 8B 40 F8 8B 00 50 8B 45 08 8B 40 FC 8B 80 58 01 00 00 50 8B 45 08 8B 40 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 42 0C 5D C3 }
	condition:
		$1
}

rule function_7300_0 {
	meta:
		name = "_NF__4CC"
		size = 120
		refs = "001d _NF__4CB 0041 TBrush.GetHandle 005d FillRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 8B 45 F8 8B 00 83 E8 14 74 21 83 E8 70 75 52 55 E8 ?? ?? ?? ?? 59 8B 45 F8 83 78 0C 01 75 49 8B 45 F8 C7 40 0C FF FF FF FF EB 3D 8B 45 FC 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 50 8D 55 E8 8B 45 FC 8B 08 FF 51 2C 8D 45 E8 50 8B 45 F8 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 F8 C7 40 0C 01 00 00 00 EB 07 55 E8 ?? ?? ?? ?? 59 8B E5 5D C3 }
	condition:
		$1
}

rule function_7301_0 {
	meta:
		name = "TCustomForm.AlignControls"
		size = 62
		refs = "000c TScrollingWinControl.AlignControls 0036 SetWindowPos"
	strings:
		$1 = { 53 56 57 8B D9 8B F0 8B CB 8B C6 E8 ?? ?? ?? ?? 8B 86 58 01 00 00 85 C0 74 20 68 00 01 00 00 8B 4B 0C 8B 7B 04 2B CF 51 8B 4B 08 8B 13 2B CA 51 57 52 6A 01 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7302_0 {
	meta:
		name = "TCustomForm.SetDesigner"
		size = 7
	strings:
		$1 = { 89 90 54 01 00 00 C3 }
	condition:
		$1
}

rule function_7303_0 {
	meta:
		name = "TCustomForm.SetBorderIcons"
		size = 43
		refs = "0024 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 04 24 3A 83 34 01 00 00 74 16 8A 04 24 88 83 34 01 00 00 F6 43 20 10 75 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_7304_0 {
	meta:
		name = "TCustomForm.SetBorderStyle"
		size = 55
		refs = "0024 TScrollingWinControl.SetAutoScroll 0031 TWinControl.RecreateWnd"
	strings:
		$1 = { 56 8B F0 3A 96 35 01 00 00 74 2A 8B C2 88 86 35 01 00 00 2C 02 74 08 2C 03 74 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? F6 46 20 10 75 07 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_7305_0 {
	meta:
		name = "TCustomForm.GetActiveMDIChild"
		size = 51
		refs = "0028 SendMessage 002d FindControl"
	strings:
		$1 = { 53 8B D8 33 C0 80 BB 3A 01 00 00 02 75 23 83 BB 58 01 00 00 00 74 1A 6A 00 6A 00 68 29 02 00 00 8B 83 58 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7306_0 {
	meta:
		name = "TCustomForm.GetMDIChildCount"
		size = 75
		refs = "0018 Screen 001d TScreen.GetFormCount 0033 TScreen.GetForm"
	strings:
		$1 = { 53 56 57 33 FF 80 B8 3A 01 00 00 02 75 37 83 B8 58 01 00 00 00 74 2E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1D 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 B8 3A 01 00 00 01 75 01 47 46 4B 75 E6 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7307_0 {
	meta:
		name = "TCustomForm.GetMDIChildren"
		size = 79
		refs = "0018 Screen 001d TScreen.GetFormCount 0033 TScreen.GetForm"
	strings:
		$1 = { 53 56 57 8B FA 80 B8 3A 01 00 00 02 75 3B 83 B8 58 01 00 00 00 74 32 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 B8 3A 01 00 00 01 75 05 4F 85 FF 7C 06 46 4B 75 E2 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7308_0 {
	meta:
		name = "TCustomForm.GetCanvas"
		size = 7
		altNames = "TQRBasePanel.GetFrame"
	strings:
		$1 = { 8B 80 40 01 00 00 C3 }
	condition:
		$1
}

rule function_7309_0 {
	meta:
		name = "TCustomForm.SetIcon"
		size = 12
	strings:
		$1 = { 8B 80 48 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_7310_0 {
	meta:
		name = "TCustomForm.IsColorStored"
		size = 42
	strings:
		$1 = { 80 B8 D5 00 00 00 00 74 09 81 78 54 0F 00 00 80 75 15 80 B8 D5 00 00 00 00 75 09 81 78 54 05 00 00 80 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_7311_0 {
	meta:
		name = "TCustomForm.IsForm"
		size = 6
	strings:
		$1 = { 8A 40 4A 34 01 C3 }
	condition:
		$1
}

rule function_7312_0 {
	meta:
		name = "TCustomForm.IsIconStored"
		size = 37
		refs = "0006 TCustomForm.IsForm 0015 TIcon.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_7313_0 {
	meta:
		name = "TCustomForm.SetFormStyle"
		size = 126
		refs = "0021 TCustomForm.SetPosition 002e TWinControl.DestroyHandle 0053 _NF__509 005c TControl.SetColor 0069 TWinControl.UpdateControlState 0077 TCustomForm.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 3A 01 00 00 74 6D 80 FB 01 75 12 80 BE 3B 01 00 00 00 75 09 B2 01 8B C6 E8 ?? ?? ?? ?? F6 46 20 10 75 07 8B C6 E8 ?? ?? ?? ?? 8A 86 3A 01 00 00 88 9E 3A 01 00 00 80 FB 02 74 04 3C 02 75 19 80 BE D5 00 00 00 00 75 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? F6 46 20 10 75 07 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 09 B2 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7314_0 {
	meta:
		name = "_NF__4EF"
		size = 121
		refs = "0038 TMenuItem.GetHandle 0041 TWinControl.GetHandle 0047 GetMenu 005f SendMessage 0070 DrawMenuBar"
	strings:
		$1 = { 53 56 57 55 8B E8 80 BD 3A 01 00 00 02 75 65 83 BD 58 01 00 00 00 74 5C 33 F6 8B 85 4C 01 00 00 85 C0 74 07 8B 10 FF 52 2C 8B F0 33 FF 8B 85 5C 01 00 00 85 C0 74 07 E8 ?? ?? ?? ?? 8B F8 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B F0 0F 95 C3 57 56 68 30 02 00 00 8B 85 58 01 00 00 50 E8 ?? ?? ?? ?? 84 DB 74 0D 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7315_0 {
	meta:
		name = "TCustomForm.SetObjectMenuItem"
		size = 20
		refs = "000f TMenuItem.SetEnabled"
	strings:
		$1 = { 89 90 64 01 00 00 85 D2 74 09 8B C2 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7316_0 {
	meta:
		name = "TCustomForm.SetWindowMenu"
		size = 39
		refs = "001a TComponent.FreeNotification 0021 _NF__4EF"
	strings:
		$1 = { 53 8B D8 3B 93 5C 01 00 00 74 1A 89 93 5C 01 00 00 85 D2 74 09 8B C2 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7317_0 {
	meta:
		name = "TCustomForm.SetMenu"
		size = 450
		refs = "0016 TCustomForm.SetMenu 0025 Screen 002a TScreen.GetFormCount 0041 TScreen.GetForm 0071 SDuplicateMenus 0076 LoadResString 0080 _Dn_EInvalidOperation 0085 Exception.CreateFmt 008a @RaiseExcept 00a1 TMenu.SetWindowHandle 00b4 TComponent.FreeNotification 00f1 TWinControl.HandleAllocated 010d TWinControl.GetHandle 0113 GetMenu 0130 SetMenu 0193 _NF__538 019a _NF__4EF 01af @LStrClr 01b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 70 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 7C 61 40 89 45 FC 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B B0 4C 01 00 00 75 41 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B D8 74 31 8B 46 08 89 45 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 FF 4D FC 75 A5 8B 83 4C 01 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 89 B3 4C 01 00 00 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 85 F6 0F 84 AB 00 00 00 F6 43 20 10 75 0D 80 BB 35 01 00 00 03 0F 84 98 00 00 00 8B 83 4C 01 00 00 80 78 34 00 75 09 80 BB 3A 01 00 00 01 75 06 F6 43 20 10 74 58 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 8B 83 4C 01 00 00 8B 10 FF 52 2C 8B F8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B F8 74 19 8B 83 4C 01 00 00 8B 10 FF 52 2C 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 3F 80 BB 3A 01 00 00 01 74 36 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1A 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB 39 01 00 00 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7318_0 {
	meta:
		name = "TCustomForm.GetPixelsPerInch"
		size = 19
		refs = "000b Screen"
	strings:
		$1 = { 8B 80 60 01 00 00 85 C0 75 08 A1 ?? ?? ?? ?? 8B 40 34 C3 }
	condition:
		$1
}

rule function_7319_0 {
	meta:
		name = "TCustomForm.SetPixelsPerInch"
		size = 50
		refs = "0009 TCustomForm.GetPixelsPerInch"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 1E 85 F6 74 05 83 FE 24 7C 15 F6 43 20 01 74 09 83 BB 60 01 00 00 00 74 06 89 B3 60 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7320_0 {
	meta:
		name = "TCustomForm.SetPosition"
		size = 26
		refs = "0015 TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 3B 01 00 00 74 11 88 90 3B 01 00 00 F6 40 20 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7321_0 {
	meta:
		name = "TCustomForm.GetScaled"
		size = 11
	strings:
		$1 = { 83 B8 60 01 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_7322_0 {
	meta:
		name = "TCustomForm.SetScaled"
		size = 46
		refs = "0009 TCustomForm.GetScaled 001e Screen"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 1A 33 C0 89 86 60 01 00 00 84 DB 74 0E A1 ?? ?? ?? ?? 8B 40 34 89 86 60 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7323_0 {
	meta:
		name = "TCustomForm.CMColorChanged"
		size = 33
		refs = "0006 TWinControl.CMColorChanged 001b TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 40 01 00 00 85 C0 74 0B 8B 40 14 8B 53 54 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7324_0 {
	meta:
		name = "_NF__509"
		size = 22
	strings:
		$1 = { BA 05 00 00 80 80 B8 3A 01 00 00 02 75 05 BA 0C 00 00 80 8B C2 C3 }
	condition:
		$1
}

rule function_7325_0 {
	meta:
		name = "TCustomForm.CMCtl3DChanged"
		size = 72
		refs = "0006 TWinControl.CMCtl3DChanged 0016 _NF__509 0027 TControl.SetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB D5 00 00 00 00 74 1A 8B C3 E8 ?? ?? ?? ?? 3B 43 54 75 27 BA 0F 00 00 80 8B C3 E8 ?? ?? ?? ?? 5B C3 81 7B 54 0F 00 00 80 75 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7326_0 {
	meta:
		name = "TCustomForm.CMFontChanged"
		size = 30
		refs = "0006 TWinControl.CMFontChanged 0018 TCanvas.SetFont"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 40 01 00 00 85 C0 74 08 8B 53 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7327_0 {
	meta:
		name = "TCustomForm.CMMenuChanged"
		size = 25
		refs = "0006 _NF__4EF 0013 TCustomForm.SetMenu"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 4C 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7328_0 {
	meta:
		name = "TCustomForm.SetWindowState"
		size = 63
		refs = "002a _NV__513 0032 TWinControl.GetHandle 0038 ShowWindow"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 36 01 00 00 74 2E 88 9E 36 01 00 00 F6 46 20 10 75 22 80 BE D7 00 00 00 00 74 19 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7329_0 {
	meta:
		name = "TCustomForm.CreateParams"
		size = 492
		refs = "000d TScrollingWinControl.CreateParams 0021 Application 009c TCustomForm.CreateParams 011c NewStyleControls 01d4 DefMDIChildProc"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 83 7F 24 00 75 1B 83 BF D0 00 00 00 00 75 12 A1 ?? ?? ?? ?? 8B 40 24 89 46 1C 81 66 04 FF FF FC BF C7 46 24 08 00 00 00 F6 47 20 10 74 0C 81 4E 04 00 00 CF 00 E9 90 01 00 00 8A 87 3B 01 00 00 48 2C 02 73 0E C7 46 0C 00 00 00 80 C7 46 10 00 00 00 80 8A 9F 34 01 00 00 8A 87 35 01 00 00 88 04 24 80 BF 3A 01 00 00 01 75 0F 8A 04 24 84 C0 74 04 2C 03 75 04 C6 04 24 02 33 C0 8A 04 24 83 F8 05 0F 87 AC 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7F 24 00 75 10 83 BF D0 00 00 00 00 75 07 81 4E 04 00 00 00 80 8A 1D ?? ?? ?? ?? EB 6F 81 4E 04 00 00 C0 00 EB 66 81 4E 04 00 00 C4 00 8A 87 3B 01 00 00 2C 01 74 04 2C 02 75 51 C7 46 14 00 00 00 80 C7 46 18 00 00 00 80 EB 41 8B 46 04 0D 00 00 00 80 0D 00 00 C0 00 89 46 04 C7 46 08 01 01 00 00 A1 ?? ?? ?? ?? 80 38 00 75 10 8B 46 04 0D 00 00 40 00 0D 80 00 00 00 89 46 04 A0 ?? ?? ?? ?? 22 C3 8B D8 C7 46 24 08 28 00 00 8A 04 24 04 FC 2C 02 73 10 C7 46 08 80 00 00 00 A0 ?? ?? ?? ?? 22 C3 8B D8 8A 04 24 2C 03 73 46 80 BF 3A 01 00 00 01 75 05 F6 C3 01 74 18 F6 C3 02 74 07 81 4E 04 00 00 02 00 F6 C3 04 74 07 81 4E 04 00 00 01 00 8A 87 36 01 00 00 3C 01 75 09 81 4E 04 00 00 00 20 EB 14 3C 02 75 10 81 4E 04 00 00 00 01 EB 07 C6 87 36 01 00 00 00 F6 C3 01 74 07 81 4E 04 00 00 08 00 F6 C3 08 74 07 81 4E 08 00 04 00 00 80 BF 3A 01 00 00 01 75 08 B8 ?? ?? ?? ?? 89 46 28 5A 5F 5E 5B C3 00 00 00 00 09 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_7330_0 {
	meta:
		name = "TCustomForm.CreateWnd"
		size = 320
		refs = "000a TScrollingWinControl.CreateWnd 000f NewStyleControls 0024 _NF__541 0033 TWinControl.GetHandle 0039 SendMessage 0090 TMenuItem.GetHandle 0099 HInstance 00ad TControl.GetClientHeight 00b5 TControl.GetClientWidth 00c6 TCustomForm.CreateWnd 00d0 CreateWindowEx 00dc _NF__4CC 00e1 MakeObjectInstance 00f5 GetWindowLong 0110 SetWindowLong 012b SetWindowPos"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 3D 80 BB 35 01 00 00 03 74 1E 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 16 6A 00 6A 01 68 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 43 20 10 0F 85 D0 00 00 00 8A 83 3A 01 00 00 2C 02 74 0D FE C8 0F 84 A5 00 00 00 E9 B9 00 00 00 C7 44 24 04 00 FF 00 00 33 C0 89 04 24 8B B3 5C 01 00 00 85 F6 74 0A 8B C6 E8 ?? ?? ?? ?? 89 04 24 54 A1 ?? ?? ?? ?? 8B 00 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 6A 00 68 01 00 33 56 6A 00 68 ?? ?? ?? ?? 68 00 02 00 00 E8 ?? ?? ?? ?? 89 83 58 01 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 7C 01 00 00 6A FC 8B 83 58 01 00 00 50 E8 ?? ?? ?? ?? 89 83 78 01 00 00 8B 83 7C 01 00 00 50 6A FC 8B 83 58 01 00 00 50 E8 ?? ?? ?? ?? EB 19 6A 13 6A 00 6A 00 6A 00 6A 00 6A FF 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 4D 44 49 43 4C 49 45 4E 54 00 00 00 }
	condition:
		$1
}

rule function_7331_0 {
	meta:
		name = "TCustomForm.CreateWindowHandle"
		size = 256
		refs = "0012 TCustomForm.CreateWindowHandle 0034 Application 004c SNoMDIForm 0051 LoadResString 005b _Dn_EInvalidOperation 0060 Exception.Create 0065 @RaiseExcept 0075 HInstance 00bd SendMessage 00d3 TWinControl.CreateWindowHandle 00ef @LStrClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 C9 89 4D D8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 3A 01 00 00 01 0F 85 A7 00 00 00 F6 43 20 10 0F 85 9D 00 00 00 A1 ?? ?? ?? ?? 8B 40 2C 85 C0 74 09 83 B8 58 01 00 00 00 75 21 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 42 4C 89 45 DC 8B 02 89 45 E0 A1 ?? ?? ?? ?? 8B 00 89 45 E4 8B 42 0C 89 45 E8 8B 42 10 89 45 EC 8B 42 14 89 45 F0 8B 42 18 89 45 F4 8B 42 04 89 45 F8 8B 42 20 89 45 FC 8D 45 DC 50 6A 00 68 20 02 00 00 A1 ?? ?? ?? ?? 8B 40 2C 8B 80 58 01 00 00 50 E8 ?? ?? ?? ?? 89 83 CC 00 00 00 80 8B 3D 01 00 00 10 EB 0E 8B C3 E8 ?? ?? ?? ?? 80 A3 3D 01 00 00 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7332_0 {
	meta:
		name = "TCustomForm.DestroyWindowHandle"
		size = 66
		refs = "0011 TWinControl.GetHandle 001c Application 002b SendMessage 0034 TWinControl.DestroyWindowHandle"
	strings:
		$1 = { 53 8B D8 F6 83 3D 01 00 00 10 74 25 6A 00 8B C3 E8 ?? ?? ?? ?? 50 68 21 02 00 00 A1 ?? ?? ?? ?? 8B 40 2C 8B 80 58 01 00 00 50 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 58 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7333_0 {
	meta:
		name = "TCustomForm.DefaultHandler"
		size = 98
		refs = "0022 TWinControl.GetHandle 0028 DefWindowProc 004c DefFrameProc 005b TWinControl.DefaultHandler"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 58 01 00 00 00 74 47 83 3E 05 75 1D 8B 46 08 50 8B 46 04 50 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 0C EB 2E 8B 46 08 50 8B 46 04 50 8B 06 50 8B 83 58 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7334_0 {
	meta:
		name = "TCustomForm.SetActiveControl"
		size = 175
		refs = "000f TCustomForm.SetActiveControl 002c GetParentForm 003d TWinControl.CanFocus 0049 SCannotFocus 004e LoadResString 0058 _Dn_EInvalidOperation 005d Exception.Create 0062 @RaiseExcept 007e _NF__533 0089 @CallDynaInst 009e @LStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 9E 2C 01 00 00 74 6C 85 DB 74 41 3B F3 74 1C 8B C3 E8 ?? ?? ?? ?? 3B F0 75 11 F6 46 20 01 75 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 9E 2C 01 00 00 F6 46 20 01 75 1B 80 BE 39 01 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB DA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7335_0 {
	meta:
		name = "TCustomForm.DefocusControl"
		size = 69
		refs = "0016 TWinControl.ContainsControl 003d TCustomForm.SetActiveControl"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 84 DB 74 1A 8B 97 30 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B 46 24 89 87 30 01 00 00 8B 97 2C 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7336_0 {
	meta:
		name = "TCustomForm.FocusControl"
		size = 31
		refs = "000d TCustomForm.SetActiveControl"
	strings:
		$1 = { 53 56 8B F0 8A 9E 39 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 75 07 8B C6 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_7337_0 {
	meta:
		name = "TCustomForm.SetFocusedControl"
		size = 640
		refs = "0010 _NV__3CF 0036 Screen 0053 TList.Remove 0064 TList.Insert 006c _DV_TForm 0071 @IsClass 00c2 TCustomForm.SetFocusedControl 00eb TWinControl.GetHandle 0102 _NF__3DF 010b @TryFinallyExit 0199 TWinControl.ContainsControl 01f2 _DV_TScrollingWinControl 0205 TScrollingWinControl.AutoScrollInView 021e TControl.Perform 0262 @HandleFinally 026e _NF__5FD"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 33 DB FF 05 ?? ?? ?? ?? 83 BF 54 01 00 00 00 75 18 3B 7D FC 74 0B 8B 45 FC 89 87 2C 01 00 00 EB 08 33 C0 89 87 2C 01 00 00 A1 ?? ?? ?? ?? 8B 55 FC 89 50 54 A1 ?? ?? ?? ?? 89 78 58 A1 ?? ?? ?? ?? 8B 40 44 8B D7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 44 8B CF 33 D2 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A A1 ?? ?? ?? ?? 89 78 5C A1 ?? ?? ?? ?? 8B 40 40 8B D7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 40 8B CF 33 D2 E8 ?? ?? ?? ?? EB 0A A1 ?? ?? ?? ?? 33 D2 89 50 5C 8B 45 FC F6 40 42 20 0F 85 BA 01 00 00 8B 45 FC 8A 40 42 0A 05 ?? ?? ?? ?? 8B 55 FC 88 42 42 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 40 68 3B F8 74 54 85 C0 74 2A E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 33 D2 89 50 68 66 BA 01 B0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 60 01 00 00 A1 ?? ?? ?? ?? 89 78 68 8B C7 E8 ?? ?? ?? ?? 66 BA 00 B0 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 3A 01 00 00 83 BF 30 01 00 00 00 75 06 89 BF 30 01 00 00 8B 87 30 01 00 00 3B 45 FC 0F 84 E7 00 00 00 EB 35 8B 87 30 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 87 30 01 00 00 8B 40 24 89 87 30 01 00 00 66 BA 1B B0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 E5 00 00 00 8B 87 30 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 B9 EB 36 8B 75 FC EB 02 8B F0 8B 46 24 3B 87 30 01 00 00 75 F3 89 B7 30 01 00 00 8B C6 E8 ?? ?? ?? ?? 66 BA 1A B0 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 9B 00 00 00 8B 87 30 01 00 00 3B 45 FC 75 BF 8B 45 FC 8B 70 24 85 F6 74 22 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 76 24 85 F6 75 DE 8B 45 FC 50 33 C9 BA 07 B0 00 00 8B C7 E8 ?? ?? ?? ?? 8B 87 80 01 00 00 85 C0 74 13 3B 45 FC 74 0E 6A 00 33 C9 BA 2A B0 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 15 ?? ?? ?? ?? F7 D2 22 50 42 8B 45 FC 88 50 42 C3 E9 ?? ?? ?? ?? EB E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 8B C3 5F 5E 5B 59 5D C3 20 00 00 00 }
	condition:
		$1
}

rule function_7339_0 {
	meta:
		name = "_NF__533"
		size = 77
		refs = "001e TWinControl.GetHandle 0024 SetFocus 0032 GetFocus 0046 TControl.Perform"
	strings:
		$1 = { 53 56 8B 90 2C 01 00 00 85 D2 74 0D 83 B8 54 01 00 00 00 75 04 8B DA EB 02 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 10 6A 00 33 C9 BA 29 B0 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7340_0 {
	meta:
		name = "_NF__534"
		size = 100
		refs = "0022 TControl.Perform 0044 TWinControl.FindNextControl 004d TCustomForm.SetActiveControl 0056 _NF__538 005d _NF__533"
	strings:
		$1 = { 53 56 8B DA 8B F0 88 9E 39 01 00 00 8B 86 80 01 00 00 85 C0 74 10 6A 00 33 C9 8A CB BA 2B B0 00 00 E8 ?? ?? ?? ?? 84 DB 74 37 83 BE 2C 01 00 00 00 75 1E F6 46 20 10 75 18 6A 01 6A 00 B1 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7341_0 {
	meta:
		name = "TCustomForm.SendCancelMode"
		size = 80
		refs = "0027 TControl.Perform 0037 TCustomForm.GetActiveMDIChild 0049 TCustomForm.SendCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 39 01 00 00 00 74 1C 83 BB 2C 01 00 00 00 74 13 56 33 C9 BA 04 B0 00 00 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 80 BB 3A 01 00 00 02 75 19 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7342_0 {
	meta:
		name = "_NF__538"
		size = 265
		refs = "0016 Application 00a8 TMainMenu.Merge 00b0 TMainMenu.Unmerge 00cf TControl.GetClientWidth 00d8 TControl.GetClientHeight 00e9 TWinControl.GetHandle 00ef SendMessage"
	strings:
		$1 = { 53 56 51 88 14 24 8B D8 F6 83 3D 01 00 00 08 0F 85 F0 00 00 00 A1 ?? ?? ?? ?? 83 78 2C 00 0F 84 E1 00 00 00 A1 ?? ?? ?? ?? 8B 40 2C 83 B8 4C 01 00 00 00 0F 84 CC 00 00 00 A1 ?? ?? ?? ?? 3B 58 2C 0F 84 BE 00 00 00 80 BB 3A 01 00 00 01 74 15 A1 ?? ?? ?? ?? 8B 40 2C 80 B8 3A 01 00 00 02 0F 84 A0 00 00 00 33 C0 F6 43 20 10 75 24 83 BB 4C 01 00 00 00 74 1B 8B 93 4C 01 00 00 80 7A 34 00 75 09 80 BB 3A 01 00 00 01 75 06 8B 83 4C 01 00 00 8B 15 ?? ?? ?? ?? 8B 52 2C 8B 92 4C 01 00 00 80 3C 24 00 74 08 92 E8 ?? ?? ?? ?? EB 06 92 E8 ?? ?? ?? ?? 80 3C 24 00 74 4B 80 BB 3A 01 00 00 01 75 42 80 BB 36 01 00 00 02 75 39 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? C1 E0 10 03 F0 56 6A 00 6A 05 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 6A 02 6A 05 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7343_0 {
	meta:
		name = "TCustomForm.Activate"
		size = 29
	strings:
		$1 = { 53 66 83 B8 86 01 00 00 00 74 10 8B D8 8B D0 8B 83 88 01 00 00 FF 93 84 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7344_0 {
	meta:
		name = "TCustomForm.Deactivate"
		size = 29
	strings:
		$1 = { 53 66 83 B8 9E 01 00 00 00 74 10 8B D8 8B D0 8B 83 A0 01 00 00 FF 93 9C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7345_0 {
	meta:
		name = "TCustomForm.Paint"
		size = 29
	strings:
		$1 = { 53 66 83 B8 B6 01 00 00 00 74 10 8B D8 8B D0 8B 83 B8 01 00 00 FF 93 B4 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7346_0 {
	meta:
		name = "TCustomForm.Resize"
		size = 29
	strings:
		$1 = { 53 66 83 B8 BE 01 00 00 00 74 10 8B D8 8B D0 8B 83 C0 01 00 00 FF 93 BC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7347_0 {
	meta:
		name = "_NF__541"
		size = 26
		refs = "0007 TIcon.GetHandle 0010 Application 0015 _NF__643"
	strings:
		$1 = { 8B 80 48 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7348_0 {
	meta:
		name = "TCustomForm.PaintWindow"
		size = 176
		refs = "0014 TCanvas.Lock 001c TCustomForm.PaintWindow 0032 TCanvas.SetHandle 0060 @CallDynaInst 0083 @HandleFinally 00a0 TCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 40 01 00 00 8B D3 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 54 01 00 00 85 C0 74 07 8B 10 FF 52 0C EB 0C 8B 45 FC 66 BB D6 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 40 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 40 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_7349_0 {
	meta:
		name = "TCustomForm.PaletteChanged"
		size = 170
		refs = "0014 TCustomForm.GetActiveMDIChild 002f @CallDynaInst 003a TCustomForm.GetMDIChildCount 005e TCustomForm.GetMDIChildren 0096 TWinControl.PaletteChanged"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 88 14 24 8B E8 C6 44 24 01 00 8B C5 E8 ?? ?? ?? ?? 89 44 24 08 83 7C 24 08 00 74 14 8A 14 24 8B 44 24 08 66 BB E5 FF E8 ?? ?? ?? ?? 88 44 24 01 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 42 47 C7 44 24 04 00 00 00 00 8A 04 24 22 44 24 01 75 47 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? 8B F0 3B 74 24 08 74 16 8A 14 24 8B C6 66 BB E5 FF E8 ?? ?? ?? ?? 0A 44 24 01 88 44 24 01 FF 44 24 04 4F 75 C7 8A 04 24 22 44 24 01 75 0E 8A 14 24 8B C5 E8 ?? ?? ?? ?? 88 44 24 01 8A 44 24 01 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7350_0 {
	meta:
		name = "TCustomForm.WMPaint"
		size = 91
		refs = "000c TWinControl.GetHandle 0012 IsIconic 001f TWinControl.PaintHandler 002f BeginPaint 0038 _NF__541 0043 DrawIcon 0051 EndPaint"
	strings:
		$1 = { 53 56 83 C4 C0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 30 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 40 5E 5B C3 }
	condition:
		$1
}

rule function_7351_0 {
	meta:
		name = "TCustomForm.WMIconEraseBkgnd"
		size = 95
		refs = "0022 Application 0030 TBrush.GetHandle 004a FillRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 80 BB 3A 01 00 00 01 75 47 80 BB 3A 01 00 00 01 75 35 F6 43 20 10 75 2F A1 ?? ?? ?? ?? 8B 40 2C 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 50 8D 54 24 04 8B C3 8B 08 FF 51 2C 8D 44 24 04 50 8B 46 04 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 8B 08 FF 51 F0 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_7352_0 {
	meta:
		name = "TCustomForm.WMEraseBkgnd"
		size = 53
		refs = "0009 TWinControl.GetHandle 000f IsIconic 001c TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 0C 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 C7 07 27 00 00 00 8B D7 8B C6 8B 08 FF 51 F0 5F 5E C3 }
	condition:
		$1
}

rule function_7353_0 {
	meta:
		name = "TCustomForm.WMQueryDragIcon"
		size = 19
		refs = "0009 _NF__541"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_7354_0 {
	meta:
		name = "_NF__554"
		size = 249
		refs = "0046 TWinControl.GetHandle 004c GetSystemMenu 006a DeleteMenu 00d6 EnableMenuItem"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 80 B8 35 01 00 00 00 0F 84 DF 00 00 00 8B 45 08 8B 40 FC F6 80 34 01 00 00 01 0F 84 CC 00 00 00 8B 45 08 8B 40 FC 80 B8 3A 01 00 00 01 0F 84 B9 00 00 00 6A 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 80 B8 35 01 00 00 03 75 5D 6A 00 68 30 F1 00 00 53 E8 ?? ?? ?? ?? 68 00 04 00 00 6A 07 53 E8 ?? ?? ?? ?? 68 00 04 00 00 6A 05 53 E8 ?? ?? ?? ?? 6A 00 68 30 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 20 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 00 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 20 F1 00 00 53 E8 ?? ?? ?? ?? EB 38 8B 45 08 8B 40 FC F6 80 34 01 00 00 02 75 0D 6A 01 68 20 F0 00 00 53 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC F6 80 34 01 00 00 04 75 0D 6A 01 68 30 F0 00 00 53 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_7355_0 {
	meta:
		name = "TCustomForm.WMNCCreate"
		size = 51
		refs = "001c TCustomForm.SetMenu 002b _NF__554"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 08 FF 51 F0 8B 45 FC 8B 90 4C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 75 07 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_7356_0 {
	meta:
		name = "TCustomForm.WMDestroy"
		size = 96
		refs = "0007 NewStyleControls 001c TWinControl.GetHandle 0022 SendMessage 0043 SetMenu 0050 TMenu.SetWindowHandle 0059 TWinControl.WMDestroy"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 16 6A 00 6A 01 68 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 BB 4C 01 00 00 00 74 25 80 BB 3A 01 00 00 01 74 1C 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7357_0 {
	meta:
		name = "TCustomForm.WMCommand"
		size = 52
		refs = "0020 TMenu.DispatchCommand 002d TWinControl.WMCommand"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7E 08 00 75 1C 83 BB 4C 01 00 00 00 74 13 66 8B 56 04 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7358_0 {
	meta:
		name = "TCustomForm.WMInitMenuPopup"
		size = 21
		refs = "0010 TMenu.DispatchPopup"
	strings:
		$1 = { 8B 88 4C 01 00 00 85 C9 74 0A 8B 52 04 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7359_0 {
	meta:
		name = "TCustomForm.WMMenuSelect"
		size = 171
		refs = "000e TCustomForm.WMMenuSelect 0049 GetSubMenu 0058 TMenu.FindItem 0069 GetLongHint 0071 Application 0076 TApplication.SetHint 0099 @LStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BF 4C 01 00 00 00 74 67 33 F6 0F B7 42 06 3D FF FF 00 00 75 07 66 83 7A 04 00 74 29 33 DB 0F B7 42 04 F6 42 06 10 74 0C B3 01 50 8B 42 08 50 E8 ?? ?? ?? ?? 8B CB 8B D0 8B 87 4C 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1A 8D 55 FC 8B 46 3C E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7360_0 {
	meta:
		name = "TCustomForm.WMActivate"
		size = 29
		refs = "0018 _NF__534"
	strings:
		$1 = { 80 B8 3A 01 00 00 02 75 06 F6 40 20 10 74 0D 66 83 7A 04 00 0F 95 C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7361_0 {
	meta:
		name = "TCustomForm.WMSize"
		size = 108
		refs = "000b TScrollingWinControl.WMSize 005e @CallDynaInst 0065 _NF__444"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? F6 46 20 10 75 28 8B 43 04 83 E8 01 72 07 74 0E 48 74 14 EB 19 C6 86 36 01 00 00 00 EB 10 C6 86 36 01 00 00 01 EB 07 C6 86 36 01 00 00 02 83 BE 68 01 00 00 00 74 0B 8B 86 68 01 00 00 8B 10 FF 52 10 F6 46 20 01 75 0B 8B C6 66 BB D5 FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7363_0 {
	meta:
		name = "TCustomForm.WMQueryEndSession"
		size = 41
		refs = "0009 TCustomForm.CloseQuery 0012 CallTerminateProcs"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 83 E0 7F 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_7364_0 {
	meta:
		name = "TCustomForm.CMAppSysCommand"
		size = 86
		refs = "0033 TCustomForm.SendCancelMode 0044 SendAppMessage"
	strings:
		$1 = { 53 56 8B DA 33 D2 89 53 0C F6 40 20 10 75 1E 80 B8 3A 01 00 00 01 74 15 83 B8 4C 01 00 00 00 74 0C 8B 90 4C 01 00 00 80 7A 34 00 74 26 8B 73 08 33 D2 E8 ?? ?? ?? ?? 0F B7 4E 08 8B 56 04 B8 17 B0 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 C7 43 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7365_0 {
	meta:
		name = "TCustomForm.WMSysCommand"
		size = 45
		refs = "0013 Application 0022 TApplication.Minimize 0028 TWinControl.WMSysCommand"
	strings:
		$1 = { 8B 4A 04 81 E1 F0 FF 00 00 81 F9 20 F0 00 00 75 16 8B 0D ?? ?? ?? ?? 3B 41 2C 75 0B A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7366_0 {
	meta:
		name = "TCustomForm.WMShowWindow"
		size = 150
		refs = "0016 TWinControl.GetHandle 001c IsIconic 0036 IsZoomed 006e _NV__577 007c ShowWindow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 08 48 74 07 83 E8 02 74 49 EB 77 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 09 C6 83 37 01 00 00 02 EB 21 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 09 C6 83 37 01 00 00 03 EB 07 C6 83 37 01 00 00 01 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 80 BB 37 01 00 00 00 74 30 33 C0 8A 83 37 01 00 00 8B 04 85 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 37 01 00 00 00 5E 5B C3 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_7367_0 {
	meta:
		name = "TCustomForm.WMMDIActivate"
		size = 88
		refs = "001b TWinControl.GetHandle 002c _NF__534 0035 Application 0051 @CallDynaInst"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 F0 80 BE 3A 01 00 00 01 75 3D 8B C6 E8 ?? ?? ?? ?? 3B 43 08 0F 94 C0 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 74 21 A1 ?? ?? ?? ?? 8B 40 2C F6 40 42 04 74 13 A1 ?? ?? ?? ?? 8B 40 2C B2 01 66 BB E5 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7368_0 {
	meta:
		name = "TCustomForm.WMNextDlgCtl"
		size = 41
		refs = "000c SetFocus 0024 TWinControl.SelectNext"
	strings:
		$1 = { 66 83 7A 08 00 74 0A 8B 42 04 50 E8 ?? ?? ?? ?? C3 6A 01 8B 4A 04 83 F9 01 1B C9 F7 D9 8B 90 2C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7369_0 {
	meta:
		name = "TCustomForm.WMEnterMenuLoop"
		size = 27
		refs = "000b TCustomForm.SendCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_7370_0 {
	meta:
		name = "_NF__584"
		size = 61
		refs = "001d TMenu.GetHelpContext"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 85 DB 74 2E 8B 45 08 8B 40 FC 8B 40 08 8B 50 08 B1 01 8B C3 E8 ?? ?? ?? ?? 85 C0 75 15 8B 45 08 8B 40 FC 8B 40 08 8B 50 0C 33 C9 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_7371_0 {
	meta:
		name = "TCustomForm.WMHelp"
		size = 238
		refs = "001e FindControl 004c Point 0059 TControl.ClientToScreen 0061 PointToSmallPoint 0072 _NF__584 00bf Application 00c4 TApplication.HelpCommand 00e3 TApplication.HelpContext"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 FC 8B F0 8B 45 FC 8B 40 08 83 78 04 01 75 50 8B 40 0C E8 ?? ?? ?? ?? 8B D8 EB 03 8B 5B 24 85 DB 74 09 83 BB E0 00 00 00 00 74 F0 85 DB 0F 84 A9 00 00 00 8B BB E0 00 00 00 8D 4D E8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 89 45 F8 EB 43 55 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 59 8B F8 85 FF 75 0C 55 8B 46 5C E8 ?? ?? ?? ?? 59 8B F8 8D 4D E8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F0 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 89 45 F8 F6 86 34 01 00 00 08 74 25 8B 4D F8 BA 0D 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF BA 08 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7372_0 {
	meta:
		name = "TCustomForm.CMActivate"
		size = 12
		refs = "0006 @CallDynaInst"
	strings:
		$1 = { 53 66 BB DB FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7373_0 {
	meta:
		name = "TCustomForm.CMDeactivate"
		size = 18
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 66 BB D9 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7374_0 {
	meta:
		name = "TCustomForm.CMDialogKey"
		size = 154
		refs = "0009 GetKeyState 004b TWinControl.SelectNext 0093 TWinControl.CMDialogKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7C 7C 66 8B 46 04 66 83 E8 09 74 0B 83 C0 E4 66 83 E8 04 72 34 EB 67 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7C 5B 6A 01 6A 10 E8 ?? ?? ?? ?? 66 85 C0 0F 9D C1 8B 93 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 5E 5B C3 8B 83 2C 01 00 00 85 C0 74 34 6A 00 66 8B 56 04 66 83 FA 27 74 0A 66 83 FA 28 74 04 33 C9 EB 02 B1 01 8B 50 24 92 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7375_0 {
	meta:
		name = "TCustomForm.CMShowingChanged"
		size = 949
		refs = "0015 TCustomForm.CMShowingChanged 0038 SVisibleChanged 003d LoadResString 0047 _Dn_EInvalidOperation 004c Exception.Create 0051 @RaiseExcept 0056 Application 005b _NF__695 00aa @CallDynaInst 00b9 @HandleAnyException 00c6 TApplication.HandleException 00cb @DoneExcept 00f4 TControl.GetClientWidth 0110 TControl.GetClientHeight 0124 Screen 0129 TScreen.GetWidth 0142 TScreen.GetHeight 01a5 TWinControl.GetHandle 01bf SendMessage 01cf ShowWindow 01e2 _NV__591 0215 DefMDIChildProc 021a CallWindowProc 0222 TControl.BringToFront 02bb _NF__538 02cf TWinControl.DestroyHandle 02fd SetWindowPos 0310 GetActiveWindow 0322 IsIconic 0333 _NF__3DE 035c SetActiveWindow 038b @HandleFinally 03a2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 20 10 75 2D 8B 45 FC F6 80 3D 01 00 00 04 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 88 3D 01 00 00 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC F6 40 20 10 0F 85 EE 02 00 00 8B 45 FC 80 B8 D7 00 00 00 00 0F 84 D9 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB D7 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 3B 01 00 00 04 0F 85 9A 00 00 00 8B 45 FC 80 B8 3A 01 00 00 01 75 38 A1 ?? ?? ?? ?? 8B 40 2C E8 ?? ?? ?? ?? 8B D8 8B 45 FC 2B 58 38 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? 8B 40 2C E8 ?? ?? ?? ?? 8B 55 FC 2B 42 3C D1 F8 79 35 83 D0 00 EB 30 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 2B 58 38 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 2B 42 3C D1 F8 79 03 83 D0 00 85 DB 7D 02 33 DB 85 C0 7D 02 33 C0 8B 55 FC 8B 52 38 52 8B 55 FC 8B 52 3C 52 8B C8 8B D3 8B 45 FC 8B 18 FF 53 4C 8B 45 FC C6 80 3B 01 00 00 00 8B 45 FC 80 B8 3A 01 00 00 01 0F 85 B5 00 00 00 8B 45 FC 80 B8 36 01 00 00 02 75 36 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 68 23 02 00 00 A1 ?? ?? ?? ?? 8B 40 2C 8B 80 58 01 00 00 50 E8 ?? ?? ?? ?? 6A 03 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 51 8B 45 FC 0F B6 80 36 01 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 55 FC 8B 52 3C C1 E2 10 0B C2 50 6A 00 6A 05 8B 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 68 34 02 00 00 A1 ?? ?? ?? ?? 8B 40 2C 8B 80 58 01 00 00 50 E8 ?? ?? ?? ?? E9 2A 01 00 00 8B 45 FC 0F B6 80 36 01 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 05 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB D8 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 5C 3B 45 FC 75 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 3A 01 00 00 01 75 0D 8B 45 FC E8 ?? ?? ?? ?? E9 9A 00 00 00 8B 45 FC F6 80 3D 01 00 00 08 74 1F 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 6F 33 DB 8B 45 FC E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 21 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 25 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? EB 10 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 A0 3D 01 00 00 FB C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7376_0 {
	meta:
		name = "TCustomForm.CMIconChanged"
		size = 29
		refs = "000a TIcon.GetHandle 0017 _NF__49C"
	strings:
		$1 = { 53 8B D8 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7378_0 {
	meta:
		name = "TCustomForm.CMTextChanged"
		size = 78
		refs = "0014 Application 0048 SendMessage"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 80 BE 3A 01 00 00 01 75 39 A1 ?? ?? ?? ?? 83 78 2C 00 74 2E A1 ?? ?? ?? ?? 8B 40 2C 83 B8 58 01 00 00 00 74 1D 6A 00 6A 00 68 34 02 00 00 A1 ?? ?? ?? ?? 8B 40 2C 8B 80 58 01 00 00 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_7379_0 {
	meta:
		name = "TCustomForm.CMUIActivate"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 F0 C3 }
	condition:
		$1
}

rule function_7380_0 {
	meta:
		name = "TCustomForm.CMParentFontChanged"
		size = 105
		refs = "0023 _Dn_TFont 0028 TFont.Create 0033 TCustomForm.CMParentFontChanged 0059 TObject.Free 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 80 7E 46 00 74 58 83 7A 04 00 74 0D 8B 46 50 8B 52 08 8B 08 FF 51 08 EB 45 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 50 8B 55 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_7381_0 {
	meta:
		name = "TCustomForm.Close"
		size = 167
		refs = "001d TCustomForm.CloseQuery 0068 Application 0077 TApplication.Terminate 0086 TCustomForm.Hide 0097 TCustomForm.SetWindowState 00a0 TCustomForm.Release"
	strings:
		$1 = { 53 51 8B D8 F6 83 3D 01 00 00 08 74 0D C7 83 50 01 00 00 02 00 00 00 5A 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7F 80 BB 3A 01 00 00 01 75 15 F6 83 34 01 00 00 02 74 06 C6 04 24 03 EB 0A C6 04 24 00 EB 04 C6 04 24 01 66 83 BB 8E 01 00 00 00 74 10 8B CC 8B D3 8B 83 90 01 00 00 FF 93 8C 01 00 00 80 3C 24 00 74 3D A1 ?? ?? ?? ?? 3B 58 2C 75 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 80 3C 24 01 75 09 8B C3 E8 ?? ?? ?? ?? EB 18 80 3C 24 03 75 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_7382_0 {
	meta:
		name = "TCustomForm.CloseQuery"
		size = 96
		refs = "0016 TCustomForm.GetMDIChildCount 0029 TCustomForm.GetMDIChildren 002e TCustomForm.CloseQuery"
	strings:
		$1 = { 53 56 57 51 8B D8 80 BB 3A 01 00 00 02 75 2B C6 04 24 00 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 19 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 47 4E 75 EA C6 04 24 01 66 83 BB 96 01 00 00 00 74 10 8B CC 8B D3 8B 83 98 01 00 00 FF 93 94 01 00 00 8A 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7383_0 {
	meta:
		name = "_NF__5A8"
		size = 165
		refs = "0010 _NF__5A8 0022 TCustomForm.CloseQuery 006e TCustomForm.Release 007d @HandleAnyException 0090 Application 0095 TApplication.HandleException 009a @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 26 C6 45 FB 01 8B 45 FC 66 83 B8 8E 01 00 00 00 74 15 8D 4D FB 8B 5D FC 8B 55 FC 8B 83 90 01 00 00 FF 93 8C 01 00 00 8A 45 FB 2C 01 72 06 FE C8 74 0F EB 15 8B 45 FC 33 D2 89 90 50 01 00 00 EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 50 01 00 00 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7384_0 {
	meta:
		name = "TCustomForm.GetFormImage"
		size = 247
		refs = "000c _Dn_TBitmap 0011 TBitmap.Create 001c TCustomForm.GetFormImage 0029 TControl.GetClientWidth 003a TControl.GetClientHeight 004c TBitmap.GetCanvas 0057 TCanvas.SetBrush 0073 TCanvas.FillRect 0080 TCanvas.Lock 009d TCanvas.GetHandle 00a8 TWinControl.PaintTo 00c2 TCanvas.Unlock 00c8 @HandleFinally 00d9 @HandleAnyException 00e1 TObject.Free 00e6 @RaiseAgain 00eb @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 40 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 34 8B 45 FC E8 ?? ?? ?? ?? 8B 93 C8 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 51 2C 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7385_0 {
	meta:
		name = "TCustomForm.Print"
		size = 556
		refs = "000d Printer 0012 TPrinter.BeginDoc 001a TCustomForm.Print 0028 TCustomForm.GetFormImage 0033 TCustomForm.GetCanvas 0038 TCanvas.Lock 0054 TPrinter.GetCanvas 006e GetDIBSizes 0076 AllocMem 00b0 GetDIB 00d7 TCustomForm.GetPixelsPerInch 00e2 TCanvas.GetHandle 00e8 GetDeviceCaps 00ef MulDiv 011f TPrinter.GetPageHeight 0130 TPrinter.GetPageWidth 0198 StretchDIBits 01b0 @FreeMem 01b6 @HandleFinally 01f2 TCanvas.Unlock 01fa TObject.Free 0219 TPrinter.EndDoc"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 89 45 DC 8B 45 F8 8B 10 FF 52 60 8B F0 8D 4D E8 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 50 8B 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 70 04 8B 78 08 8B 45 FC 8A 80 3F 01 00 00 FE C8 74 09 FE C8 74 4D E9 90 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 6A 58 8B 45 DC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 50 6A 5A 8B 45 DC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 89 45 E0 EB 4E 57 8B C3 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 89 45 E4 8B C3 E8 ?? ?? ?? ?? 3B 45 E4 7E 0C 8B C3 E8 ?? ?? ?? ?? 89 45 E0 EB 24 8B C3 E8 ?? ?? ?? ?? 89 45 E4 56 8B C3 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 89 45 E0 EB 06 89 75 E4 89 7D E0 68 20 00 CC 00 6A 00 8B 45 F4 50 8B 45 EC 50 57 56 6A 00 6A 00 8B 45 E0 50 8B 45 E4 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7387_0 {
	meta:
		name = "TCustomForm.Show"
		size = 21
		refs = "0008 TCustomForm.SetVisible 000f TControl.BringToFront"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7388_0 {
	meta:
		name = "TCustomForm.SetFocus"
		size = 110
		refs = "0009 TCustomForm.SetFocus 002c SCannotFocus 0031 LoadResString 003b _Dn_EInvalidOperation 0040 Exception.Create 0045 @RaiseExcept 004a _NF__533 005f @LStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 39 01 00 00 00 75 32 80 78 44 00 74 06 80 78 45 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_7389_0 {
	meta:
		name = "TCustomForm.Release"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 PostMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 21 B0 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7390_0 {
	meta:
		name = "TCustomForm.ShowModal"
		size = 666
		refs = "0011 Application 0019 TCustomForm.ShowModal 0024 CancelDrag 0056 SCannotShowModal 005b LoadResString 0065 _Dn_EInvalidOperation 006a Exception.Create 006f @RaiseExcept 0074 GetCapture 0089 SendMessage 008e ReleaseCapture 009d GetActiveWindow 00a5 _NV__3CF 00ad Screen 00bf TList.Insert 00e3 TScreen.SetCursor 00f5 DisableTaskWindows 010e TCustomForm.Show 012d TWinControl.GetHandle 0145 TApplication.HandleMessage 0170 _NF__5A8 01c4 TCustomForm.Hide 01ca @HandleFinally 020a EnableTaskWindows 021f TList.First 0238 TList.Remove 0253 SetActiveWindow 0285 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 D2 89 55 E0 89 45 FC BB ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 45 FC 80 78 44 00 75 21 8B 45 FC 80 78 45 00 74 18 8B 45 FC F6 80 3D 01 00 00 08 75 0C 8B 45 FC 80 B8 3A 01 00 00 01 75 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 88 3D 01 00 00 08 E8 ?? ?? ?? ?? 89 45 E4 A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 8B 48 68 A1 ?? ?? ?? ?? 8B 40 6C 33 D2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 55 FC 89 50 68 A1 ?? ?? ?? ?? 66 8B 40 38 66 89 45 EE 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 3C 89 45 E8 33 C0 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 68 00 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 50 01 00 00 8B 03 E8 ?? ?? ?? ?? 8B 03 80 78 7C 00 74 0F 8B 45 FC C7 80 50 01 00 00 02 00 00 00 EB 14 8B 45 FC 83 B8 50 01 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 50 01 00 00 85 C0 74 C1 89 45 F8 6A 00 6A 00 68 01 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 74 05 33 C0 89 45 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 3C 3B 45 E8 75 10 66 8B 55 EE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 58 6C 83 7B 08 00 7E 22 8B C3 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 89 70 68 8B D6 A1 ?? ?? ?? ?? 8B 40 6C E8 ?? ?? ?? ?? EB 0A A1 ?? ?? ?? ?? 33 D2 89 50 68 83 7D E4 00 74 09 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 F0 A3 ?? ?? ?? ?? 8B 45 FC 80 A0 3D 01 00 00 F7 C3 E9 ?? ?? ?? ?? E9 69 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7391_0 {
	meta:
		name = "TForm.Tile"
		size = 55
		refs = "0020 _NV__5B7 0032 SendMessage"
	strings:
		$1 = { 80 B8 3A 01 00 00 02 75 2D 83 B8 58 01 00 00 00 74 24 6A 00 33 D2 8A 90 3C 01 00 00 0F B7 14 55 ?? ?? ?? ?? 52 68 26 02 00 00 8B 80 58 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7392_0 {
	meta:
		name = "TForm.Cascade"
		size = 40
		refs = "0023 SendMessage"
	strings:
		$1 = { 80 B8 3A 01 00 00 02 75 1E 83 B8 58 01 00 00 00 74 15 6A 00 6A 00 68 27 02 00 00 8B 80 58 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7393_0 {
	meta:
		name = "TForm.ArrangeIcons"
		size = 40
		refs = "0023 SendMessage"
	strings:
		$1 = { 80 B8 3A 01 00 00 02 75 1E 83 B8 58 01 00 00 00 74 15 6A 00 6A 00 68 28 02 00 00 8B 80 58 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7394_0 {
	meta:
		name = "TForm.Next"
		size = 40
		refs = "0023 SendMessage"
	strings:
		$1 = { 80 B8 3A 01 00 00 02 75 1E 83 B8 58 01 00 00 00 74 15 6A 00 6A 00 68 24 02 00 00 8B 80 58 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7395_0 {
	meta:
		name = "TForm.Previous"
		size = 40
		refs = "0023 SendMessage"
	strings:
		$1 = { 80 B8 3A 01 00 00 02 75 1E 83 B8 58 01 00 00 00 74 15 6A 01 6A 00 68 24 02 00 00 8B 80 58 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7396_0 {
	meta:
		name = "TDataModule.Create"
		size = 314
		refs = "001c @ClassCreate 002a TDataModule.Create 003a TDataModule.CreateNew 0042 TObject.ClassType 0048 _DV_TDataModule 0069 InitInheritedComponent 007d TObject.ClassName 009b SResNotFound 00a0 LoadResString 00ad _Dn_EResNotFound 00b2 Exception.CreateFmt 00b7 @RaiseExcept 00ea @HandleAnyException 00f2 Application 00f7 TApplication.HandleException 00fc @DoneExcept 0114 @LStrClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 DB 89 9D EC FE FF FF 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 0F 84 AE 00 00 00 8B 45 FC F6 40 20 10 0F 85 A1 00 00 00 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 4A 8D 95 F0 FE FF FF 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 89 45 F0 C6 45 F4 04 8D 45 F0 50 6A 00 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 78 36 00 74 0C 8B 5D FC 8B 55 FC 8B 43 38 FF 53 34 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 80 7D FB 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7398_0 {
	meta:
		name = "TDataModule.Destroy"
		size = 153
		refs = "0013 TComponent.Destroying 001d RemoveFixupReferences 002f TDataModule.Destroy 0050 @HandleAnyException 0058 Application 005d TApplication.HandleException 0062 @DoneExcept 006a Screen 006f _NF__601 007d TComponent.Destroy 008b @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 78 3E 00 74 3B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 43 40 FF 53 3C 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FE 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7399_0 {
	meta:
		name = "_NF__5CD"
		size = 37
	strings:
		$1 = { 55 8B EC B0 01 8B 55 08 83 7A FC 00 74 15 8B 45 08 8B 40 F8 8B 40 24 8B 55 08 8B 52 FC 3B 42 24 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_7400_0 {
	meta:
		name = "_NF__5CE"
		size = 50
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 74 17 8B 45 08 8B 40 F8 8B 40 2C 8B 55 08 8B 52 FC 3B 42 2C 0F 95 C0 5D C3 8B 45 08 8B 40 F8 83 78 2C 00 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_7401_0 {
	meta:
		name = "_NF__5CF"
		size = 50
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 74 17 8B 45 08 8B 40 F8 8B 40 30 8B 55 08 8B 52 FC 3B 42 30 0F 95 C0 5D C3 8B 45 08 8B 40 F8 83 78 30 00 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_7402_0 {
	meta:
		name = "_NF__5D0"
		size = 37
	strings:
		$1 = { 55 8B EC B0 01 8B 55 08 83 7A FC 00 74 15 8B 45 08 8B 40 F8 8B 40 28 8B 55 08 8B 52 FC 3B 42 28 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_7403_0 {
	meta:
		name = "TDataModule.DefineProperties"
		size = 272
		refs = "0013 TComponent.DefineProperties 0022 _NF__5E2 002b _NF__5E6 0031 _NF__5D0 0039 TDataModule.DefineProperties 0048 _NF__5E0 0051 _NF__5E4 0057 _NF__5CE 006e _NF__5E1 0077 _NF__5E5 007d _NF__5CF 0094 _NF__5DF 009d _NF__5E3 00a3 _NF__5CD"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 F8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 43 1C 89 45 FC 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 16 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 16 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 16 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 18 FF 13 5E 5B 59 59 5D C3 00 FF FF FF FF 06 00 00 00 48 65 69 67 68 74 00 00 FF FF FF FF 10 00 00 00 48 6F 72 69 7A 6F 6E 74 61 6C 4F 66 66 73 65 74 00 00 00 00 FF FF FF FF 0E 00 00 00 56 65 72 74 69 63 61 6C 4F 66 66 73 65 74 00 00 FF FF FF FF 05 00 00 00 57 69 64 74 68 00 00 00 }
	condition:
		$1
}

rule function_7405_0 {
	meta:
		name = "TDataModule.GetProviderNames"
		size = 137
		refs = "002b TDataModule.GetProviderNames 0037 GetDataModuleProviderNames 0050 @OleVarFromVar 005b Null 0072 @HandleAutoException 007a @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 18 8D 55 F0 8B C3 FF 15 ?? ?? ?? ?? 8D 55 F0 8B 45 0C E8 ?? ?? ?? ?? EB 0E 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7406_0 {
	meta:
		name = "TDataModule.UpdateRegistry"
		size = 29
		refs = "0005 UpdateDataModuleRegistry"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0D 8B C2 8B D1 8B 4D 08 FF 15 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_7407_0 {
	meta:
		name = "_NF__5DF"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 24 5E 5B C3 }
	condition:
		$1
}

rule function_7408_0 {
	meta:
		name = "_NF__5E0"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 2C 5E 5B C3 }
	condition:
		$1
}

rule function_7409_0 {
	meta:
		name = "_NF__5E1"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 30 5E 5B C3 }
	condition:
		$1
}

rule function_7410_0 {
	meta:
		name = "_NF__5E2"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 28 5E 5B C3 }
	condition:
		$1
}

rule function_7411_0 {
	meta:
		name = "_NF__5E3"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 24 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7412_0 {
	meta:
		name = "_NF__5E4"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 2C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7413_0 {
	meta:
		name = "_NF__5E5"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 30 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7414_0 {
	meta:
		name = "_NF__5E6"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 28 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7415_0 {
	meta:
		name = "_NF__5E7"
		size = 150
		refs = "000d _NF__5E7 0029 @LStrFromArray 0053 AnsiCompareText 0080 @LStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D 14 8D 45 FC 8B 55 08 83 C2 1C B9 20 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 85 C0 74 23 8B C3 8B 10 FF 52 14 8B D0 4A 8D 4D F8 8B C3 8B 30 FF 56 0C 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 0A 8B 55 FC 8B C3 8B 08 FF 51 34 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_7416_0 {
	meta:
		name = "TScreen.Create"
		size = 412
		refs = "000e @ClassCreate 001e TComponent.Create 0026 _NF__603 002e _NF__607 0035 _Dn_TStringList 003a TObject.Create 0047 _Dn_TList 008f GetDC 009a TScreen.Create 00b5 GetVersion 00ce @FillChar 00e0 _NF__5E7 00ed EnumFontFamiliesEx 0106 EnumFonts 0113 TStringList.SetSorted 011e GetDeviceCaps 013c ReleaseDC 0142 @HandleFinally 014b _Dn_TFont 0150 TFont.Create 015e _NF__618 0171 _NF__608"
	strings:
		$1 = { 55 8B EC 83 C4 B8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 6C 6A 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 BA ?? ?? ?? ?? 8B 08 FF 51 34 E8 ?? ?? ?? ?? 66 25 FF 00 66 83 F8 04 72 30 8D 45 B8 33 C9 BA 3C 00 00 00 E8 ?? ?? ?? ?? C6 45 CF 01 6A 00 8B 45 FC 8B 40 24 50 68 ?? ?? ?? ?? 8D 45 B8 50 8B 45 F4 50 E8 ?? ?? ?? ?? EB 17 8B 45 FC 8B 40 24 50 68 ?? ?? ?? ?? 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 B2 01 E8 ?? ?? ?? ?? 6A 5A 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 70 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 70 8B 55 FC 89 50 08 C7 40 04 ?? ?? ?? ?? 80 7D FB 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 FF FF FF FF 07 00 00 00 44 65 66 61 75 6C 74 00 }
	condition:
		$1
}

rule function_7417_0 {
	meta:
		name = "TScreen.Destroy"
		size = 97
		refs = "000a TObject.Free 0041 _NF__604 004d TComponent.Destroy 0058 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 70 E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 6C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7420_0 {
	meta:
		name = "TScreen.GetForm"
		size = 9
		refs = "0004 TList.Get"
	strings:
		$1 = { 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13437_0 {
	meta:
		name = "TBarSeries.InternalCalcMarkLength"
		size = 9
		refs = "0004 TCustomTeePanel.TeeCharHeight"
	strings:
		$1 = { 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10626_0 {
	meta:
		name = "TSummary.SetFieldType"
		size = 9
		refs = "0004 TFieldDefinition.SetFieldType"
	strings:
		$1 = { 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7421_0 {
	meta:
		name = "TScreen.GetFormCount"
		size = 7
	strings:
		$1 = { 8B 40 40 8B 40 08 C3 }
	condition:
		$1
}

rule function_7422_0 {
	meta:
		name = "TScreen.GetCustomForms"
		size = 9
		refs = "0004 TList.Get"
	strings:
		$1 = { 8B 40 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10670_0 {
	meta:
		name = "TBuilderDim.GetSumCount"
		size = 9
		refs = "0004 TCustomArray.GetMemberCount"
	strings:
		$1 = { 8B 40 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7423_0 {
	meta:
		name = "TScreen.GetCustomFormCount"
		size = 7
	strings:
		$1 = { 8B 40 44 8B 40 08 C3 }
	condition:
		$1
}

rule function_7424_0 {
	meta:
		name = "_NF__5FD"
		size = 60
	strings:
		$1 = { 53 8B D8 8B 43 58 3B 43 64 74 15 89 43 64 66 83 7B 7E 00 74 0B 8B D3 8B 83 80 00 00 00 FF 53 7C 8B 43 54 3B 43 60 74 12 89 43 60 66 83 7B 76 00 74 08 8B D3 8B 43 78 FF 53 74 5B C3 }
	condition:
		$1
}

rule function_7425_0 {
	meta:
		name = "_NF__5FE"
		size = 56
		refs = "000c TList.Add 0014 _DV_TForm 0019 @IsClass 002c Application 0031 _NF__695"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 44 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B D6 8B 43 40 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7426_0 {
	meta:
		name = "_NF__5FF"
		size = 72
		refs = "000c TList.Remove 001b Application 0020 _NF__695 0041 THintWindow.ReleaseHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 44 E8 ?? ?? ?? ?? 8B D6 8B 43 40 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 44 83 78 08 00 75 18 A1 ?? ?? ?? ?? 83 78 64 00 74 0D A1 ?? ?? ?? ?? 8B 40 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7427_0 {
	meta:
		name = "_NF__600"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7435_0 {
	meta:
		name = "TScreen.GetDataModule"
		size = 9
		refs = "0004 TList.Get"
	strings:
		$1 = { 8B 40 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7428_0 {
	meta:
		name = "_NF__601"
		size = 9
		refs = "0004 TList.Remove"
	strings:
		$1 = { 8B 40 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7429_0 {
	meta:
		name = "_NF__603"
		size = 92
		refs = "000e LoadCursor 001b _NV__602 0030 HInstance 004a _NF__606"
	strings:
		$1 = { 53 56 57 55 8B E8 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 89 45 50 BB EB FF FF FF BE ?? ?? ?? ?? 83 FB EF 7C 05 83 FB F4 7E 05 83 FB EB 7F 0A 8B 3D ?? ?? ?? ?? 8B 3F EB 02 33 FF 8B 06 50 57 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 43 83 C6 04 83 FB FF 75 C8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7430_0 {
	meta:
		name = "_NF__604"
		size = 82
		refs = "001d DestroyCursor 002b @FreeMem 003d LoadCursor"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 4C 85 DB 74 29 8B 43 04 83 F8 F4 7E 04 85 C0 7E 09 8B 43 08 50 E8 ?? ?? ?? ?? 8B 33 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B DE 85 DB 75 D7 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 8B 57 50 3B C2 74 06 52 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7431_0 {
	meta:
		name = "_NF__605"
		size = 69
		refs = "0022 DestroyCursor 003d @FreeMem"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 4C 33 F6 EB 04 8B F3 8B 1B 85 DB 74 05 3B 53 04 75 F3 85 DB 74 24 8B 43 08 50 E8 ?? ?? ?? ?? 85 F6 75 07 8B 03 89 47 4C EB 04 8B 03 89 06 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7432_0 {
	meta:
		name = "_NF__606"
		size = 37
		refs = "000f @GetMem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B 53 4C 89 10 89 70 04 89 78 08 89 43 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7433_0 {
	meta:
		name = "_NF__607"
		size = 504
		refs = "0019 _NF__607 0026 _Dn_TStringList 002b TObject.Create 003c @LStrClr 0043 GetKeyboardLayout 0057 GetKeyboardLayoutList 0077 Imm32IsIME 00b4 StrFmt 00bf RegOpenKeyEx 00f9 RegQueryValueEx 0113 @LStrFromArray 0162 RegCloseKey 0168 @HandleFinally 0188 TStringList.SetSorted"
	strings:
		$1 = { 55 8B EC 81 C4 A0 FD FF FF 53 33 D2 89 95 A0 FD FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 8B 45 FC 83 C0 2C E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 8D 85 EC FE FF FF 50 6A 40 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 17 01 00 00 40 89 45 F0 8D 85 EC FE FF FF 89 45 EC 8B 45 EC 8B 00 E8 ?? ?? ?? ?? 84 C0 0F 84 EB 00 00 00 8D 45 F4 50 68 3F 00 0F 00 6A 00 6A 00 8B 45 EC 8B 00 89 85 A4 FD FF FF C6 85 A8 FD FF FF 00 8D 8D A4 FD FF FF BA ?? ?? ?? ?? 8D 85 AC FD FF FF E8 ?? ?? ?? ?? 50 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 0F 85 A3 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 00 01 00 00 8D 45 F8 50 8D 85 EC FD FF FF 50 6A 00 6A 00 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 85 C0 75 4F 8D 85 A0 FD FF FF 8D 95 EC FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 95 A0 FD FF FF 8B 45 EC 8B 08 8B 45 FC 8B 40 28 8B 18 FF 53 38 8B 45 EC 8B 00 8B 55 FC 3B 42 30 75 16 8B 45 FC 83 C0 2C 8D 95 EC FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 83 45 EC 04 FF 4D F0 0F 85 F6 FE FF FF 8B 45 FC 8B 40 28 C6 40 19 00 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A0 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 00 00 00 53 79 73 74 65 6D 5C 43 75 72 72 65 6E 74 43 6F 6E 74 72 6F 6C 53 65 74 5C 43 6F 6E 74 72 6F 6C 5C 4B 65 79 62 6F 61 72 64 20 4C 61 79 6F 75 74 73 5C 25 2E 38 78 00 00 6C 61 79 6F 75 74 20 74 65 78 74 00 }
	condition:
		$1
}

rule function_7434_0 {
	meta:
		name = "_NF__608"
		size = 15
		refs = "0005 Application 000a _NF__68E"
	strings:
		$1 = { 66 BA 35 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7436_0 {
	meta:
		name = "TScreen.GetDataModuleCount"
		size = 7
	strings:
		$1 = { 8B 40 48 8B 40 08 C3 }
	condition:
		$1
}

rule function_7437_0 {
	meta:
		name = "TScreen.GetCursors"
		size = 38
	strings:
		$1 = { 33 C9 83 FA FF 74 1C 8B 48 4C EB 02 8B 09 85 C9 74 05 3B 51 04 75 F5 85 C9 75 05 8B 48 50 EB 03 8B 49 08 8B C1 C3 }
	condition:
		$1
}

rule function_7438_0 {
	meta:
		name = "TScreen.SetCursor"
		size = 142
		refs = "001c GetCursorPos 0029 WindowFromPoint 0037 GetWindowThreadProcessId 003e GetCurrentThreadId 0057 SendMessage 0064 MakeLong 007a TScreen.GetCursors 0080 SetCursor"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B D8 66 3B 73 38 74 73 66 89 73 38 66 85 F6 75 5A 54 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? 8B F8 85 FF 74 41 6A 00 57 E8 ?? ?? ?? ?? 8B E8 E8 ?? ?? ?? ?? 3B E8 75 2E 8B 44 24 04 50 8B 44 24 04 50 68 84 00 00 00 57 E8 ?? ?? ?? ?? 8B D8 66 BA 00 02 8B C3 E8 ?? ?? ?? ?? 50 57 6A 20 57 E8 ?? ?? ?? ?? EB 13 0F BF D6 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? FF 43 3C 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7439_0 {
	meta:
		name = "TScreen.SetCursors"
		size = 72
		refs = "0019 LoadCursor 0031 _NF__605 0040 _NF__606"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 75 1A 85 FF 75 11 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 89 43 50 EB 22 89 7B 50 EB 1D 83 FE FF 74 18 8B D6 8B C3 E8 ?? ?? ?? ?? 85 FF 74 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7440_0 {
	meta:
		name = "_NF__618"
		size = 66
		refs = "0012 SystemParametersInfo 001c CreateFontIndirect 0026 TFont.SetHandle 002f GetStockObject"
	strings:
		$1 = { 53 83 C4 C4 8B D8 6A 00 8D 44 24 04 50 6A 3C 6A 1F E8 ?? ?? ?? ?? 85 C0 74 12 54 E8 ?? ?? ?? ?? 8B D0 8B 43 70 E8 ?? ?? ?? ?? EB 11 6A 0D E8 ?? ?? ?? ?? 8B D0 8B 43 70 E8 ?? ?? ?? ?? 83 C4 3C 5B C3 }
	condition:
		$1
}

rule function_7441_0 {
	meta:
		name = "_NF__619"
		size = 48
		refs = "001b @LStrLAsg 0029 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 74 1C 83 7B 60 00 75 05 8B 5B 24 EB 0D 8B C6 8B 53 60 E8 ?? ?? ?? ?? 5E 5B C3 85 DB 75 E4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7442_0 {
	meta:
		name = "_NF__61A"
		size = 28
	strings:
		$1 = { EB 03 8B 40 24 85 C0 74 06 80 78 69 00 74 F3 85 C0 74 08 F6 40 20 10 74 02 33 C0 C3 }
	condition:
		$1
}

rule function_7443_0 {
	meta:
		name = "_NF__61B"
		size = 26
		refs = "0005 Application 0012 _NF__69C"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_7444_0 {
	meta:
		name = "_NF__61E"
		size = 92
		refs = "0008 Application 000d GetCurrentThreadId 0012 _NV__61C 002a GetCursorPos 0032 FindVCLWindow 003d TApplication.CancelHint 0044 _NV__61D 004a WaitForSingleObject"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 BB ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 29 83 3B 00 74 24 8B 03 83 78 44 00 74 1C 8D 45 F8 50 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 85 C0 75 07 8B 03 E8 ?? ?? ?? ?? 6A 64 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3D 02 01 00 00 74 C3 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7445_0 {
	meta:
		name = "_NF__621"
		size = 65
		refs = "0013 _NV__61F 0019 CallNextHookEx 0025 Application 0034 _NF__658"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 10 8B 5D 08 56 8B 45 0C 50 53 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 85 DB 7C 15 83 3D ?? ?? ?? ?? 00 74 0C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_7446_0 {
	meta:
		name = "_NF__622"
		size = 115
		refs = "0002 Application 0011 _NV__61F 0019 GetCurrentThreadId 0021 _NF__621 0029 SetWindowsHookEx 0034 _NV__61D 0044 CreateEvent 004f _NV__620 005c _NF__61E 0068 CreateThread"
	strings:
		$1 = { 51 A1 ?? ?? ?? ?? 80 B8 85 00 00 00 00 75 62 83 3D ?? ?? ?? ?? 00 75 1A E8 ?? ?? ?? ?? 50 6A 00 B8 ?? ?? ?? ?? 50 6A 03 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 12 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 1B 54 6A 00 6A 00 68 ?? ?? ?? ?? 68 E8 03 00 00 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_7447_0 {
	meta:
		name = "_NF__623"
		size = 81
		refs = "0002 _NV__61F 0010 UnhookWindowsHookEx 001d _NV__620 0025 _NV__61D 002b SetEvent 0030 GetCurrentThreadId 0036 _NV__61C 0045 WaitForSingleObject"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 2C A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 0D 6A FF A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7448_0 {
	meta:
		name = "_NF__624"
		size = 46
		refs = "0016 SystemParametersInfo"
	strings:
		$1 = { 83 C4 F8 C7 04 24 08 00 00 00 6A 00 8D 44 24 04 50 6A 08 6A 48 E8 ?? ?? ?? ?? 85 C0 74 0B 83 7C 24 04 00 0F 95 C0 59 5A C3 33 C0 59 5A C3 }
	condition:
		$1
}

rule function_7449_0 {
	meta:
		name = "_NF__625"
		size = 37
		refs = "001e SystemParametersInfo"
	strings:
		$1 = { 83 C4 F8 C7 04 24 08 00 00 00 F6 D8 1B C0 89 44 24 04 6A 00 8D 44 24 04 50 6A 08 6A 49 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_7450_0 {
	meta:
		name = "_NF__626"
		size = 47
		refs = "0008 _NF__624 0015 _NF__625 001c ShowWindow"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 E8 ?? ?? ?? ?? 8B D8 84 DB 74 07 33 C0 E8 ?? ?? ?? ?? 57 56 E8 ?? ?? ?? ?? 84 DB 74 07 B0 01 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7451_0 {
	meta:
		name = "_NF__628"
		size = 16
	strings:
		$1 = { 54 41 70 70 6C 69 63 61 74 69 6F 6E 00 00 00 00 }
	condition:
		$1
}

rule function_7452_0 {
	meta:
		name = "TApplication.Create"
		size = 380
		refs = "0013 @ClassCreate 0021 TComponent.Create 0028 _Dn_TList 002d TObject.Create 0077 _Dn_TIcon 007c TIcon.Create 0086 TApplication.Create 008b MainInstance 0093 LoadIcon 009c TIcon.SetHandle 00a9 _NF__68F 00c2 GetModuleFileName 00d5 OemToAnsi 00e2 AnsiStrRScan 00f4 StrCopy 0101 AnsiStrScan 0115 AnsiLower 0128 @LStrFromArray 012d IsLibrary 0139 TApplication.CreateHandle"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 70 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 88 00 00 00 33 C0 89 43 44 33 C0 89 43 64 C7 43 40 18 00 00 80 C7 43 58 F4 01 00 00 C7 43 5C 32 00 00 00 C7 43 60 C4 09 00 00 C6 43 68 00 C6 43 7D 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 78 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 43 78 89 58 08 C7 40 04 ?? ?? ?? ?? 68 00 01 00 00 8D 85 FF FE FF FF 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8D 85 FF FE FF FF 50 8D 85 FF FE FF FF 50 E8 ?? ?? ?? ?? 8D 85 FF FE FF FF B2 5C E8 ?? ?? ?? ?? 85 C0 74 0E 8D 50 01 8D 85 FF FE FF FF E8 ?? ?? ?? ?? 8D 85 FF FE FF FF B2 2E E8 ?? ?? ?? ?? 85 C0 74 03 C6 00 00 8D 85 FF FE FF FF 40 50 E8 ?? ?? ?? ?? 8D 43 6C 8D 95 FF FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 75 07 8B C3 E8 ?? ?? ?? ?? C6 43 3D 01 C6 43 3E 01 C6 43 3F 01 C6 43 7E 01 33 C0 89 83 80 00 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 00 00 4D 41 49 4E 49 43 4F 4E 00 00 00 00 }
	condition:
		$1
}

rule function_7453_0 {
	meta:
		name = "TApplication.Destroy"
		size = 214
		refs = "0013 FreeLibrary 0036 TApplication.HelpCommand 0041 TApplication.CancelHint 004a TApplication.SetShowHint 0056 TComponent.Destroy 005c _NF__63F 0063 TApplication.UnhookMainWindow 0079 NewStyleControls 008d SendMessage 0096 DestroyWindow 00a2 FreeObjectInstance 00a7 DoneCtl3D 00b2 TObject.Free 00cd @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 80 00 00 00 83 F8 20 7E 06 50 E8 ?? ?? ?? ?? 83 7E 24 00 74 1D 80 BE 84 00 00 00 00 74 14 83 7E 34 00 74 0E 33 C9 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 46 7D 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 24 85 C0 74 2C 80 BE 84 00 00 00 00 74 23 8B 15 ?? ?? ?? ?? 80 3A 00 74 0F 6A 00 6A 01 68 80 00 00 00 50 E8 ?? ?? ?? ?? 8B 46 24 50 E8 ?? ?? ?? ?? 8B 46 28 85 C0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 46 70 E8 ?? ?? ?? ?? 8B 46 78 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7454_0 {
	meta:
		name = "TApplication.CreateHandle"
		size = 392
		refs = "0012 TApplication.CreateHandle 002a IsConsole 0039 _NF__642 003e MakeObjectInstance 004a _NV__627 0050 HInstance 0058 GetClassInfo 0072 RegisterClass 007f SWindowClass 0084 LoadResString 008e _Dn_EOutOfResources 0093 Exception.Create 0098 @RaiseExcept 009f GetSystemMetrics 00d0 @LStrToPChar 00e1 CreateWindow 00ec @LStrClr 0102 SetWindowLong 0107 NewStyleControls 0113 _NF__643 0124 SendMessage 012f GetSystemMenu 013e DeleteMenu 017d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 D2 89 55 D4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 84 00 00 00 00 0F 85 3D 01 00 00 A1 ?? ?? ?? ?? 80 38 00 0F 85 2F 01 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8D 45 D8 50 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 85 C0 75 3C A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 85 C0 75 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 6A 01 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 6A 00 6A 00 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 50 6A 00 8B 43 6C E8 ?? ?? ?? ?? 8B D0 B9 00 00 CA 84 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 8D 43 6C E8 ?? ?? ?? ?? C6 83 84 00 00 00 01 8B 43 28 50 6A FC 8B 43 24 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 18 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 80 00 00 00 8B 43 24 50 E8 ?? ?? ?? ?? 6A 00 8B 43 24 50 E8 ?? ?? ?? ?? 8B D8 6A 00 68 30 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 00 F0 00 00 53 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0D 6A 00 68 10 F0 00 00 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7455_0 {
	meta:
		name = "TApplication.ControlDestroyed"
		size = 96
		refs = "0003 Screen 0059 _NF__5FD"
	strings:
		$1 = { 53 56 B9 ?? ?? ?? ?? 3B 50 2C 75 05 33 DB 89 58 2C 3B 50 30 75 05 33 DB 89 58 30 8B 19 3B 53 54 75 07 8B 19 33 F6 89 73 54 8B 19 3B 53 58 75 0E 8B 19 33 F6 89 73 58 8B 19 33 F6 89 73 5C 8B 19 3B 53 68 75 07 8B 19 33 F6 89 73 68 3B 50 44 75 05 33 D2 89 50 44 8B 01 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7456_0 {
	meta:
		name = "_NF__637"
		size = 108
		refs = "0010 GetWindow 0016 Application 0023 GetWindowLong 0043 TWinControl.GetHandle 0056 TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 83 CE FF 6A 04 53 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 42 24 75 44 6A EC 53 E8 ?? ?? ?? ?? A8 08 74 31 A1 ?? ?? ?? ?? 8B 78 2C 85 FF 74 14 8B 45 0C 80 78 04 00 75 0B 8B C7 E8 ?? ?? ?? ?? 3B D8 74 11 A1 ?? ?? ?? ?? 8B 40 70 8B D3 E8 ?? ?? ?? ?? EB 07 8B 45 0C 89 18 33 F6 8B C6 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7457_0 {
	meta:
		name = "_NF__638"
		size = 149
		refs = "0008 Application 0026 _NF__637 002b EnumWindows 0040 GetWindow 004d GetWindowLong 007d TList.Get 0083 SetWindowPos"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 A1 ?? ?? ?? ?? 83 78 24 00 74 7E 83 7B 74 00 75 75 8B 43 24 89 04 24 88 54 24 04 8B C4 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 70 83 78 08 00 74 55 6A 03 8B 44 24 04 50 E8 ?? ?? ?? ?? 8B F0 89 34 24 6A EC 56 E8 ?? ?? ?? ?? A8 08 74 07 C7 04 24 FE FF FF FF 8B 43 70 8B 70 08 4E 83 FE 00 7C 25 6A 13 6A 00 6A 00 6A 00 6A 00 8B 44 24 14 50 8B D6 8B 43 70 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 4E 83 FE FF 75 DB FF 43 74 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7460_0 {
	meta:
		name = "TApplication.RestoreTopMosts"
		size = 87
		refs = "0005 Application 003c TList.Get 0042 SetWindowPos 0050 TList.Clear"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 83 78 24 00 74 45 83 7B 74 00 7E 3F FF 4B 74 83 7B 74 00 75 36 8B 43 70 8B 70 08 4E 83 FE 00 7C 22 6A 13 6A 00 6A 00 6A 00 6A 00 6A FF 8B D6 8B 43 70 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 4E 83 FE FF 75 DE 8B 43 70 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7461_0 {
	meta:
		name = "_NF__63F"
		size = 79
		refs = "0019 SetThreadLocale 001e GetFormatSettings 0029 Screen 002e _NF__618 003d TApplication.SetShowHint"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B 02 83 E8 1A 75 3D 80 7E 3D 00 74 0F 68 00 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 3E 00 74 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 68 00 74 12 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_7462_0 {
	meta:
		name = "_NF__640"
		size = 58
		refs = "002b DefWindowProc"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 8B 40 08 50 8B 45 08 8B 40 F8 8B 40 04 50 8B 45 08 8B 40 F8 8B 00 50 8B 45 08 8B 40 FC 8B 40 24 50 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 42 0C 5D C3 }
	condition:
		$1
}

rule function_7463_0 {
	meta:
		name = "_NF__641"
		size = 74
		refs = "0016 BeginPaint 0023 _NF__643 002e DrawIcon 0041 EndPaint"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 8D 45 C0 50 8B 45 08 8B 40 FC 8B 40 24 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 53 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 08 8B 40 FC 8B 40 24 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7464_0 {
	meta:
		name = "_NF__642"
		size = 1656
		refs = "0013 _NF__642 0045 TList.Get 006f _NF__63F 018d TApplication.Minimize 019a TApplication.Restore 01a5 _NF__640 01be TCustomForm.Close 01c9 _NV__3E5 01d6 _NV__3EC 01f4 IsIconic 01fe _NF__641 022d _NF__643 024d PostMessage 0283 TApplication.RestoreTopMosts 02a5 TApplication.NormalizeTopMosts 02e2 EnableTaskWindows 0317 DisableTaskWindows 0328 TApplication.NormalizeAllTopMosts 034e SendMessage 036b @Halt0 03a9 LoadLibrary 03e0 GetProcAddress 0409 GetLastError 044e TWinControl.GetHandle 0454 IsWindowEnabled 0470 TMenu.IsShortCut 04c8 IsWindowVisible 04d6 _NV__3CE 04dc GetFocus 04eb SetFocus 0504 TControl.Perform 059c _NF__3DE 05c1 _NF__679 05df TApplication.HookMainWindow 05f4 TApplication.UnhookMainWindow 0637 @HandleAnyException 0642 TApplication.HandleException 0647 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 33 D2 89 50 0C 8B 45 FC 8B 80 88 00 00 00 8B 58 08 4B 85 DB 7C 32 43 33 F6 8B 45 FC 8B 80 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B 47 04 FF 17 84 C0 74 0D 33 C0 5A 59 59 64 89 10 E9 E7 05 00 00 46 4B 75 D1 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 5D F8 8B 1B 8B C3 3D 12 01 00 00 0F 8F 85 00 00 00 0F 84 E3 00 00 00 83 F8 15 7F 51 0F 84 31 01 00 00 83 C0 F9 83 F8 0D 0F 87 83 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 E8 16 0F 84 73 02 00 00 83 E8 06 0F 84 6A 01 00 00 83 E8 1B 0F 84 2D 01 00 00 83 E8 13 0F 84 6F 02 00 00 E9 1B 05 00 00 3D 17 B0 00 00 7F 34 0F 84 74 03 00 00 05 CE FE FF FF 83 E8 07 0F 82 0C 02 00 00 2D C7 AE 00 00 0F 84 F4 03 00 00 48 0F 84 15 04 00 00 83 E8 15 0F 84 F0 02 00 00 E9 E0 04 00 00 2D 1A B0 00 00 0F 84 24 04 00 00 83 E8 05 0F 84 57 04 00 00 48 0F 84 67 04 00 00 83 E8 11 0F 84 91 04 00 00 E9 B7 04 00 00 8B 45 F8 8B 40 04 25 F0 FF 00 00 2D 20 F0 00 00 74 09 2D 00 01 00 00 74 0F EB 1A 8B 45 FC E8 ?? ?? ?? ?? E9 96 04 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 89 04 00 00 55 E8 ?? ?? ?? ?? 59 E9 7D 04 00 00 8B 45 FC 8B 40 2C 85 C0 0F 84 6F 04 00 00 E8 ?? ?? ?? ?? E9 65 04 00 00 83 3D ?? ?? ?? ?? 20 0F 8C 58 04 00 00 83 3D ?? ?? ?? ?? 00 0F 84 4B 04 00 00 FF 15 ?? ?? ?? ?? E9 40 04 00 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? 85 C0 74 0C 55 E8 ?? ?? ?? ?? 59 E9 24 04 00 00 55 E8 ?? ?? ?? ?? 59 E9 18 04 00 00 8B 45 F8 C7 00 27 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 03 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C E9 F0 03 00 00 6A 00 6A 00 68 1A B0 00 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E9 CF 03 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 40 04 F7 D8 1B C0 F7 D8 8B 55 FC 88 42 7D 8B 45 F8 83 78 04 00 74 22 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 68 00 B0 00 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? E9 8B 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 68 01 B0 00 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? E9 69 03 00 00 8B 45 F8 83 78 04 00 74 31 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 00 00 00 85 C0 74 10 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 8C 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 2F 03 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 B8 8C 00 00 00 00 75 14 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 55 FC 89 82 8C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 FB 02 00 00 8B 75 F8 8B 76 08 56 8B 45 F8 8B 40 04 50 8B 45 F8 81 C3 00 BC 00 00 53 8B 45 F8 56 E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C E9 CF 02 00 00 8B 45 F8 83 78 04 00 0F 84 C2 02 00 00 E8 ?? ?? ?? ?? E9 B8 02 00 00 8B 45 F8 8B 40 08 81 38 54 44 53 DE 0F 85 A6 02 00 00 8B 45 FC 80 78 7E 00 0F 84 99 02 00 00 8B 45 FC 83 B8 80 00 00 00 00 0F 85 80 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 80 00 00 00 8B 45 FC 8B 80 80 00 00 00 85 C0 7C 05 83 F8 20 7E 40 8B 45 F8 33 D2 89 50 0C 68 ?? ?? ?? ?? 8B 45 FC 8B 80 80 00 00 00 50 E8 ?? ?? ?? ?? 8B F0 89 F3 85 F6 0F 84 3C 02 00 00 8B 45 F8 8B 40 08 8B 50 08 52 8B 55 F8 8B 40 04 50 FF D3 E9 24 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 8B 45 FC 33 D2 89 90 80 00 00 00 E9 09 02 00 00 8B 45 F8 33 D2 89 50 0C E9 FC 01 00 00 8B 45 FC 8B 58 2C 85 DB 0F 84 EE 01 00 00 83 BB 4C 01 00 00 00 0F 84 E1 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 CC 01 00 00 8B 55 F8 8B 45 FC 8B 40 2C 8B 80 4C 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 B0 01 00 00 8B 45 F8 C7 40 0C 01 00 00 00 E9 A1 01 00 00 8B 45 FC 8B 40 2C 85 C0 0F 84 93 01 00 00 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 82 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 6D 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 58 01 00 00 C6 05 ?? ?? ?? ?? 00 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 50 8B 4D F8 8B 49 04 BA 12 01 00 00 8B C6 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 8B 45 F8 C7 40 0C 01 00 00 00 E9 08 01 00 00 8B 45 FC 66 83 B8 C6 00 00 00 00 0F 84 F7 00 00 00 8B 5D FC 8B 55 FC 8B 83 C8 00 00 00 FF 93 C4 00 00 00 E9 E0 00 00 00 8B 45 FC 66 83 B8 BE 00 00 00 00 0F 84 CF 00 00 00 8B 5D FC 8B 55 FC 8B 83 C0 00 00 00 FF 93 BC 00 00 00 E9 B8 00 00 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? 85 C0 0F 85 A4 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 3B 42 24 0F 85 93 00 00 00 33 C0 E8 ?? ?? ?? ?? 85 C0 0F 84 84 00 00 00 50 E8 ?? ?? ?? ?? EB 7C 8B 4D F8 8B 49 08 8B 55 F8 66 8B 52 04 8B 45 FC E8 ?? ?? ?? ?? EB 65 8B 45 F8 83 78 04 00 75 15 8B 45 F8 8B 40 08 FF 70 04 FF 30 8B 45 FC E8 ?? ?? ?? ?? EB 47 8B 45 F8 8B 40 08 FF 70 04 FF 30 8B 45 FC E8 ?? ?? ?? ?? EB 32 8B 45 F8 83 78 04 01 75 11 8B 45 FC 8B 80 90 00 00 00 8B 55 F8 89 42 0C EB 18 8B 45 F8 8B 40 08 8B 55 FC 89 82 90 00 00 00 EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 00 00 76 63 6C 74 65 73 74 33 2E 64 6C 6C 00 00 00 00 52 65 67 69 73 74 65 72 41 75 74 6F 6D 61 74 69 6F 6E 00 00 }
	condition:
		$1
}

rule function_7465_0 {
	meta:
		name = "_NF__643"
		size = 25
		refs = "0004 TIcon.GetHandle 0014 LoadIcon"
	strings:
		$1 = { 8B 40 78 E8 ?? ?? ?? ?? 85 C0 75 0C 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7466_0 {
	meta:
		name = "TApplication.Minimize"
		size = 71
		refs = "0008 IsIconic 0013 TApplication.NormalizeTopMosts 001c SetActiveWindow 0029 _NF__626"
	strings:
		$1 = { 53 8B D8 8B 43 24 50 E8 ?? ?? ?? ?? 85 C0 75 35 8B C3 E8 ?? ?? ?? ?? 8B 43 24 50 E8 ?? ?? ?? ?? BA 06 00 00 00 8B 43 24 E8 ?? ?? ?? ?? 66 83 BB D6 00 00 00 00 74 0E 8B D3 8B 83 D8 00 00 00 FF 93 D4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7467_0 {
	meta:
		name = "TApplication.Restore"
		size = 135
		refs = "0009 IsIconic 0016 SetActiveWindow 0023 _NF__626 0040 TCustomForm.SetWindowState 0048 TCustomForm.Show 004f TApplication.RestoreTopMosts 0054 Screen 0062 TWinControl.GetHandle 0068 SetFocus"
	strings:
		$1 = { 53 56 8B D8 8B 43 24 50 E8 ?? ?? ?? ?? 85 C0 74 73 8B 43 24 50 E8 ?? ?? ?? ?? BA 09 00 00 00 8B 43 24 E8 ?? ?? ?? ?? 8B 43 2C 85 C0 74 1E 80 B8 36 01 00 00 01 75 15 80 78 44 00 75 0F 33 D2 E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 70 54 85 F6 74 0D 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 83 BB DE 00 00 00 00 74 0E 8B D3 8B 83 E0 00 00 00 FF 93 DC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7468_0 {
	meta:
		name = "TApplication.BringToFront"
		size = 57
		refs = "000d GetLastActivePopup 001e IsWindowVisible 0028 IsWindowEnabled 0032 SetForegroundWindow"
	strings:
		$1 = { 53 56 8B D8 8B 43 24 85 C0 74 2B 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1F 3B 73 24 74 1A 56 E8 ?? ?? ?? ?? 85 C0 74 10 56 E8 ?? ?? ?? ?? 85 C0 74 06 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7469_0 {
	meta:
		name = "TApplication.GetTitle"
		size = 72
		refs = "0024 GetWindowText 002f @LStrFromPCharLen 003b @LStrLAsg"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 8B D8 80 BB 84 00 00 00 00 74 20 68 00 01 00 00 8D 44 24 04 50 8B 43 24 50 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 6C E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7471_0 {
	meta:
		name = "TApplication.SetTitle"
		size = 48
		refs = "0012 @LStrToPChar 001c SetWindowText 0029 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 84 00 00 00 00 74 14 8B C6 E8 ?? ?? ?? ?? 50 8B 43 24 50 E8 ?? ?? ?? ?? 5E 5B C3 8D 43 6C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7472_0 {
	meta:
		name = "TApplication.SetHandle"
		size = 64
		refs = "001c _NF__63F 0023 TApplication.UnhookMainWindow 0039 TApplication.HookMainWindow"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 84 00 00 00 00 75 2E 3B 73 24 74 29 83 7B 24 00 74 0D 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 89 43 24 85 C0 74 0D 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7473_0 {
	meta:
		name = "_NF__655"
		size = 36
		refs = "0016 IsDialogMessage"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 C0 8B B3 90 00 00 00 85 F6 74 0D 57 56 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7474_0 {
	meta:
		name = "_NF__656"
		size = 78
		refs = "001b Screen 0040 TranslateMDISysAccel"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 C0 8B 73 2C 85 F6 74 3A 80 BE 3A 01 00 00 02 75 31 8B 15 ?? ?? ?? ?? 83 7A 5C 00 74 25 8B 15 ?? ?? ?? ?? 8B 52 5C 80 BA 3A 01 00 00 01 75 13 57 8B 86 58 01 00 00 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7475_0 {
	meta:
		name = "_NF__657"
		size = 99
		refs = "001e GetCapture 0039 TWinControl.GetHandle 0052 SendMessage"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 33 DB 8B 7D 04 81 FF 00 01 00 00 7C 47 81 FF 08 01 00 00 7F 3F E8 ?? ?? ?? ?? 85 C0 75 36 8B 7D 00 8B 46 2C 85 C0 74 0F 3B B8 58 01 00 00 75 07 E8 ?? ?? ?? ?? 8B F8 8B 45 0C 50 8B 45 08 50 8B 45 04 05 00 BC 00 00 50 57 E8 ?? ?? ?? ?? 85 C0 74 02 B3 01 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7476_0 {
	meta:
		name = "_NF__658"
		size = 47
		refs = "0024 TApplication.CancelHint"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 33 DB 8B 75 64 85 F6 74 17 8B D7 8B C6 8B 08 FF 91 8C 00 00 00 84 C0 74 07 8B C5 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7477_0 {
	meta:
		name = "_NF__659"
		size = 176
		refs = "0017 PeekMessage 0053 _NF__658 0068 _NF__656 0077 _NF__657 0086 _NF__655 0094 TranslateMessage 009e DispatchMessage"
	strings:
		$1 = { 53 56 83 C4 E0 8B F0 33 DB 6A 01 6A 00 6A 00 6A 00 8D 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 0F 84 85 00 00 00 B3 01 83 7C 24 08 12 74 78 C6 04 24 00 66 83 BE 9E 00 00 00 00 74 12 8B CC 8D 54 24 04 8B 86 A0 00 00 00 FF 96 9C 00 00 00 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 84 C0 75 4D 80 3C 24 00 75 47 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 84 C0 75 38 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 84 C0 75 29 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 44 24 04 50 E8 ?? ?? ?? ?? 8D 44 24 04 50 E8 ?? ?? ?? ?? EB 04 C6 46 7C 01 8B C3 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_7478_0 {
	meta:
		name = "TApplication.ProcessMessages"
		size = 16
		refs = "0006 _NF__659"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 F5 5B C3 }
	condition:
		$1
}

rule function_7479_0 {
	meta:
		name = "TApplication.HandleMessage"
		size = 23
		refs = "0006 _NF__659 0011 _NF__68D"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7480_0 {
	meta:
		name = "TApplication.HookMainWindow"
		size = 91
		refs = "0023 SendMessage 0030 TList.Expand 003a @GetMem 0052 TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB 84 00 00 00 00 75 1A 8B 43 24 85 C0 74 40 8D 55 08 52 6A 00 68 20 B0 00 00 50 E8 ?? ?? ?? ?? EB 2D 8B 83 88 00 00 00 E8 ?? ?? ?? ?? B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 89 10 8B 55 0C 89 50 04 8B D0 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7481_0 {
	meta:
		name = "TApplication.UnhookMainWindow"
		size = 124
		refs = "0025 SendMessage 0045 TList.Get 005e @FreeMem 006b TList.Delete"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 80 BB 84 00 00 00 00 75 1A 8B 43 24 85 C0 74 5D 8D 55 08 52 6A 01 68 20 B0 00 00 50 E8 ?? ?? ?? ?? EB 4A 8B 83 88 00 00 00 8B 78 08 4F 85 FF 7C 3C 47 33 F6 8B D6 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 10 3B 55 08 75 21 8B 55 0C 3B 50 04 75 19 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 88 00 00 00 E8 ?? ?? ?? ?? EB 04 46 4F 75 C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7482_0 {
	meta:
		name = "TApplication.Initialize"
		size = 23
		refs = "0002 InitProc"
	strings:
		$1 = { 53 A1 ?? ?? ?? ?? 83 38 00 74 0A 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_7483_0 {
	meta:
		name = "TApplication.CreateForm"
		size = 140
		refs = "0023 TApplication.CreateForm 0044 @HandleAnyException 0053 TObject.Free 0058 @RaiseAgain 005d @DoneExcept 006c _DV_TForm 0071 @IsClass 007f TWinControl.HandleNeeded"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B F2 8B D8 8B C6 FF 50 F4 89 45 F8 8B 45 FC 8B 55 F8 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 F8 8B 30 FF 56 24 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 10 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 2C 00 75 1F 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 75 F8 8B C6 E8 ?? ?? ?? ?? 89 73 2C 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7484_0 {
	meta:
		name = "TApplication.Run"
		size = 177
		refs = "0015 TApplication.Run 0020 _NF__3D7 0025 AddExitProc 0035 CmdShow 0051 TCustomForm.SetWindowState 0071 TApplication.Minimize 007a TCustomForm.SetVisible 0082 TApplication.HandleMessage 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 85 00 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 2C 85 C0 74 5C 8B 15 ?? ?? ?? ?? 8B 12 83 EA 03 74 0E 83 EA 04 75 10 C6 80 36 01 00 00 01 EB 07 B2 02 E8 ?? ?? ?? ?? 8B 45 FC 80 78 3F 00 74 20 8B 45 FC 8B 40 2C 80 B8 36 01 00 00 01 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 07 B2 01 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 7C 00 74 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 85 00 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_7485_0 {
	meta:
		name = "TApplication.Terminate"
		size = 17
		refs = "0001 CallTerminateProcs 000c PostQuitMessage"
	strings:
		$1 = { E8 ?? ?? ?? ?? 84 C0 74 07 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7486_0 {
	meta:
		name = "TApplication.HandleException"
		size = 142
		refs = "0007 GetCapture 001c SendMessage 0021 ExceptObject 0027 _Dn_Exception 002c @IsClass 003b _Dn_EAbort 0073 TApplication.ShowException 007b ExceptAddr 0087 ShowException"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 43 66 83 BB 96 00 00 00 00 74 17 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 83 98 00 00 00 FF 93 94 00 00 00 EB 22 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7487_0 {
	meta:
		name = "TApplication.MessageBox"
		size = 115
		refs = "0010 GetActiveWindow 001a DisableTaskWindows 0025 TApplication.MessageBox 003a MessageBox 0052 EnableTaskWindows 005b SetActiveWindow 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 89 45 F8 33 C0 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 57 56 8B 43 24 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7488_0 {
	meta:
		name = "TApplication.ShowException"
		size = 216
		refs = "001e TApplication.ShowException 002f @LStrLAsg 003d AnsiLastChar 004a @_CToPasStr 005a @PStrCmp 0069 @LStrCat 0078 TApplication.GetTitle 0083 @LStrToPChar 0096 TApplication.MessageBox 00ae @LStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 C9 89 8D F8 FE FF FF 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 E8 ?? ?? ?? ?? 83 7D FC 00 74 34 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 85 FC FE FF FF E8 ?? ?? ?? ?? 8D 85 FC FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 76 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 10 8D 95 F8 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 01 2E 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_7489_0 {
	meta:
		name = "_NF__679"
		size = 298
		refs = "0018 Screen 0083 TWinControl.HandleAllocated 0097 TWinControl.GetHandle 00af @LStrToPChar 00b6 WinHelp 011d PostMessage"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 4C 24 04 66 89 14 24 8B F0 33 DB C6 44 24 08 01 A1 ?? ?? ?? ?? 8B 78 58 85 FF 74 28 66 83 BF A6 01 00 00 00 74 1E 8D 44 24 08 50 8B 4C 24 08 66 8B 54 24 04 8B 87 A8 01 00 00 FF 97 A4 01 00 00 8B D8 EB 26 66 83 BE A6 00 00 00 00 74 1C 8D 44 24 08 50 8B 4C 24 08 66 8B 54 24 04 8B 86 A8 00 00 00 FF 96 A4 00 00 00 8B D8 80 7C 24 08 00 0F 84 A5 00 00 00 85 FF 74 44 8B C7 E8 ?? ?? ?? ?? 84 C0 74 39 83 BF 44 01 00 00 00 74 30 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 44 24 04 50 0F B7 44 24 04 50 8B 87 44 01 00 00 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 8B D8 EB 5D 83 7E 34 00 74 35 8B 5E 24 8B 46 2C 85 C0 74 07 E8 ?? ?? ?? ?? 8B D8 8B 44 24 04 50 0F B7 44 24 04 50 8B 46 34 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 8B D8 EB 22 80 BE 84 00 00 00 00 75 19 8B 44 24 04 50 0F B7 44 24 04 50 68 1F B0 00 00 8B 46 24 50 E8 ?? ?? ?? ?? 8B C3 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7490_0 {
	meta:
		name = "TApplication.HelpContext"
		size = 12
		refs = "0007 _NF__679"
	strings:
		$1 = { 8B CA 66 BA 01 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7492_0 {
	meta:
		name = "TApplication.HelpJump"
		size = 120
		refs = "0018 _NF__679 003a TApplication.HelpJump 0048 StrLFmt"
	strings:
		$1 = { 53 56 57 81 C4 F8 FE FF FF 8B FA 8B F0 B3 01 33 C9 66 BA 03 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3B 89 BC 24 00 01 00 00 C6 84 24 04 01 00 00 0B 8D 84 24 00 01 00 00 50 6A 00 B9 ?? ?? ?? ?? 8D 44 24 08 BA FF 00 00 00 E8 ?? ?? ?? ?? 8B CC 66 BA 02 01 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 81 C4 08 01 00 00 5F 5E 5B C3 00 4A 75 6D 70 49 44 28 22 22 2C 22 25 73 22 29 00 }
	condition:
		$1
}

rule function_7494_0 {
	meta:
		name = "TApplication.SetShowHint"
		size = 63
		refs = "0017 HintWindowClass 0029 TControl.SetColor 0033 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 3A 53 68 74 33 8B C2 88 43 68 84 C0 74 1D 8B CB B2 01 A1 ?? ?? ?? ?? FF 50 24 8B F0 89 73 64 8B 53 40 8B C6 E8 ?? ?? ?? ?? EB 0D 8B 43 64 E8 ?? ?? ?? ?? 33 C0 89 43 64 5E 5B C3 }
	condition:
		$1
}

rule function_7495_0 {
	meta:
		name = "TApplication.SetHintColor"
		size = 26
		refs = "0015 TControl.SetColor"
	strings:
		$1 = { 3B 50 40 74 14 8B CA 89 48 40 8B 50 64 85 D2 74 08 8B C1 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7496_0 {
	meta:
		name = "_NF__68C"
		size = 132
		refs = "000a GetCursorPos 0013 FindDragTarget 0026 GetCaptureControl 0051 TControl.Perform"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 54 E8 ?? ?? ?? ?? 8B C4 B2 01 E8 ?? ?? ?? ?? 8B F0 85 F6 74 08 F6 46 20 10 74 02 33 F6 E8 ?? ?? ?? ?? 8B F8 3B 73 30 74 4B 83 7B 30 00 74 04 85 FF 74 09 85 FF 74 16 3B 7B 30 75 11 6A 00 33 C9 BA 14 B0 00 00 8B 43 30 E8 ?? ?? ?? ?? 89 73 30 83 7B 30 00 74 04 85 FF 74 09 85 FF 74 16 3B 7B 30 75 11 6A 00 33 C9 BA 13 B0 00 00 8B 43 30 E8 ?? ?? ?? ?? 8B C6 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7497_0 {
	meta:
		name = "_NF__68D"
		size = 251
		refs = "0018 _NF__68D 0026 _NF__68C 0042 TApplication.CancelHint 004c _NF__619 0057 GetLongHint 005f Application 0064 TApplication.SetHint 00a7 @HandleOnException 00af _Dn_Exception 00be TApplication.HandleException 00c3 @DoneExcept 00ce WaitMessage 00e8 @LStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 80 78 68 00 74 11 8B 45 FC 83 78 30 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FB 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 B8 B6 00 00 00 00 74 15 8D 4D FB 8B 5D FC 8B 55 FC 8B 83 B8 00 00 00 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FB 00 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7498_0 {
	meta:
		name = "_NF__68E"
		size = 57
		refs = "0006 Screen 000b TScreen.GetFormCount 0023 TScreen.GetForm 002d TControl.Perform"
	strings:
		$1 = { 53 56 57 8B FA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 F6 6A 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 D7 33 C9 E8 ?? ?? ?? ?? 46 4B 75 E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7499_0 {
	meta:
		name = "_NF__68F"
		size = 78
		refs = "0004 NewStyleControls 0010 _NF__643 0021 SendMessage 002c IsIconic 003d InvalidateRect 0048 _NF__68E"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 1A 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 80 00 00 00 8B 43 24 50 E8 ?? ?? ?? ?? EB 1A 8B 43 24 50 E8 ?? ?? ?? ?? 85 C0 74 0D 6A FF 6A 00 8B 43 24 50 E8 ?? ?? ?? ?? 66 BA 1D B0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7500_0 {
	meta:
		name = "TApplication.SetHint"
		size = 55
		refs = "000c @LStrCmp 0018 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 8B D6 E8 ?? ?? ?? ?? 74 22 8D 43 38 8B D6 E8 ?? ?? ?? ?? 66 83 BB AE 00 00 00 00 74 0E 8B D3 8B 83 B0 00 00 00 FF 93 AC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7501_0 {
	meta:
		name = "_NF__694"
		size = 72
		refs = "0011 IsWindowVisible 0027 _NV__693 0041 SetWindowPos"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B 40 24 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 3A D8 74 26 33 C0 8A C3 0F B7 04 45 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 08 8B 40 FC 8B 40 24 50 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_7502_0 {
	meta:
		name = "_NF__695"
		size = 85
		refs = "0013 Screen 0018 TScreen.GetFormCount 002e TScreen.GetForm 003c _NF__694"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 83 78 24 00 74 3E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 44 00 74 0B 55 B0 01 E8 ?? ?? ?? ?? 59 EB 0D 46 4B 75 DF 55 33 C0 E8 ?? ?? ?? ?? 59 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7503_0 {
	meta:
		name = "_NF__696"
		size = 56
		refs = "000c _NF__697 0011 _NF__61B 001b SetTimer 0030 TApplication.CancelHint"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 00 6A 00 E8 ?? ?? ?? ?? 66 89 47 6A 88 5F 69 66 83 7F 6A 00 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7504_0 {
	meta:
		name = "_NF__697"
		size = 31
		refs = "0013 KillTimer"
	strings:
		$1 = { 53 8B D8 66 8B 43 6A 66 85 C0 74 11 0F B7 C0 50 6A 00 E8 ?? ?? ?? ?? 66 C7 43 6A 00 00 5B C3 }
	condition:
		$1
}

rule function_7505_0 {
	meta:
		name = "TApplication.HintMouseMessage"
		size = 185
		refs = "0015 SmallPointToPoint 0024 TControl.ClientToScreen 002f FindDragTarget 0034 _NF__61A 0047 TApplication.CancelHint 007a PtInRect 00ad _NF__696"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B E9 8B FA 8B D8 8D 54 24 0C 8B 45 08 E8 ?? ?? ?? ?? 8D 54 24 0C 8D 4C 24 04 8B C7 E8 ?? ?? ?? ?? 8D 44 24 04 B2 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 06 80 7E 69 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 64 3B 73 44 75 30 8D 54 24 0C 8B 45 08 E8 ?? ?? ?? ?? 8D 54 24 0C 8D 4C 24 04 8B C7 E8 ?? ?? ?? ?? FF 74 24 08 FF 74 24 08 8D 43 48 50 E8 ?? ?? ?? ?? 85 C0 75 2F 8A 43 3C 88 04 24 80 3C 24 00 74 05 8B 7B 5C EB 03 8B 7B 58 8B C3 E8 ?? ?? ?? ?? 8A 04 24 88 43 3C 89 73 44 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7506_0 {
	meta:
		name = "_NF__69C"
		size = 50
		refs = "0009 _NF__697 0019 TApplication.HideHint 0021 GetCursorPos 002a _NF__6A4"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 43 69 2C 01 72 0B 75 18 8B C3 E8 ?? ?? ?? ?? EB 0F 54 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_7507_0 {
	meta:
		name = "TApplication.HideHint"
		size = 59
		refs = "000e TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 IsWindowVisible 0034 ShowWindow"
	strings:
		$1 = { 53 56 8B D8 8B 73 64 85 F6 74 2D 8B C6 E8 ?? ?? ?? ?? 84 C0 74 22 8B 43 64 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 10 6A 00 8B 43 64 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7508_0 {
	meta:
		name = "TApplication.CancelHint"
		size = 39
		refs = "000c TApplication.HideHint 001a _NF__623 0021 _NF__697"
	strings:
		$1 = { 53 8B D8 83 7B 44 00 74 1C 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 44 C6 43 3C 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7509_0 {
	meta:
		name = "_NF__6A1"
		size = 15
	strings:
		$1 = { 51 89 D1 89 FA 89 C7 58 F3 AE 89 C8 89 D7 C3 }
	condition:
		$1
}

rule function_7510_0 {
	meta:
		name = "_NF__6A2"
		size = 335
		refs = "000c GetSystemMetrics 0018 GetCursor 001e GetIconInfo 002e _NF__6A2 0042 GetDIBSizes 004d AllocMem 0074 GetDIB 00ba _NF__6A1 010a @FreeMem 0110 @HandleFinally 012c DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 6A 0E E8 ?? ?? ?? ?? 89 45 FC 8D 45 D8 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 1B 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F4 8D 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F8 03 45 F4 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5D F0 03 5D F8 53 8B 75 F0 8B CE 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 77 8B 45 F0 66 83 78 0E 01 75 6D 8B 46 04 8B D0 0F B7 4E 0E 0F AF D1 83 C2 1F 83 E2 E0 85 D2 79 03 83 C2 07 C1 FA 03 89 55 EC 8B F8 0F AF 7D EC 03 5D F4 2B DF B9 FF 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 1C 8B 46 08 8B 56 04 03 D2 3B C2 7C 10 8B C3 2B C7 33 C9 8B D7 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 99 F7 7D EC 89 45 FC 8B 45 E0 29 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 03 55 F4 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 E4 85 C0 74 06 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7511_0 {
	meta:
		name = "_NF__6A3"
		size = 84
		refs = "000d HintWindowClass 0024 TObject.ClassType 0036 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 85 DB 75 06 8B 1D ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 70 64 85 F6 74 0E 8B 45 08 8B C6 E8 ?? ?? ?? ?? 3B D8 74 24 8B 45 08 8B 40 FC 8B 40 64 E8 ?? ?? ?? ?? 8B 45 08 8B 48 FC B2 01 8B C3 FF 50 24 8B 55 08 8B 52 FC 89 42 64 5E 5B 5D C3 }
	condition:
		$1
}

rule function_7512_0 {
	meta:
		name = "_NF__6A4"
		size = 829
		refs = "0029 THintInfo 002e @InitializeRecord 0039 _NF__6A4 0062 ForegroundTask 0074 FindDragTarget 0079 _NF__61A 009d _NF__6A2 00a5 Screen 00aa TScreen.GetWidth 00c2 TControl.GetBoundsRect 010b _Dn_TWinControl 0110 @IsClass 012d ClientToScreen 0144 OffsetRect 0157 TControl.ScreenToClient 0179 _NF__619 018a GetShortHint 0198 @LStrLAsg 01aa HintWindowClass 01c7 TControl.Perform 021e _NF__6A3 025e TControl.ClientToScreen 02a6 TControl.SetColor 02c2 _NF__622 02d4 _NF__696 02ff TApplication.CancelHint 031c @LStrArrayClr 032a @FinalizeRecord 0330 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 70 FF FF FF 53 56 57 33 C9 89 8D 74 FF FF FF 89 8D 70 FF FF FF 8B F2 8D 7D F4 A5 A5 89 45 FC 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 5D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 C6 40 3C 00 8B 03 80 78 68 00 0F 84 93 02 00 00 8B 03 83 78 44 00 0F 84 87 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 7A 02 00 00 8D 45 F4 B2 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 3B 42 44 0F 85 60 02 00 00 8B 03 8B 40 44 89 45 A0 8B 45 F4 89 45 A8 8B 45 F8 89 45 AC E8 ?? ?? ?? ?? 01 45 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B0 8B 03 8B 40 40 89 45 B4 8D 55 80 8B 03 8B 40 44 E8 ?? ?? ?? ?? 8D 75 80 8D 7D B8 B9 04 00 00 00 F3 A5 8D 55 EC 8B 03 8B 40 44 8B 08 FF 51 28 33 C0 89 45 E4 33 C0 89 45 E8 8B 03 8B 40 44 8B 70 24 85 F6 74 0C 8D 55 E4 8B C6 8B 08 FF 51 28 EB 2F 8B 03 8B 70 44 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 83 BE D0 00 00 00 00 74 10 8D 45 E4 50 8B 86 D0 00 00 00 50 E8 ?? ?? ?? ?? 8B 45 E8 2B 45 F0 50 8B 45 E4 2B 45 EC 50 8D 45 B8 50 E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF 8D 55 F4 8B 03 8B 40 44 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 C8 8B 85 7C FF FF FF 89 45 CC 8D 95 70 FF FF FF 8B 03 8B 40 44 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 8D 95 74 FF FF FF E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 45 D8 E8 ?? ?? ?? ?? 33 C0 89 45 D0 8B 03 8B 40 60 89 45 D4 A1 ?? ?? ?? ?? 89 45 A4 33 C0 89 45 DC 8D 45 A0 50 8B 03 8B 40 44 33 C9 BA 30 B0 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 45 E3 80 7D E3 00 74 24 8B 03 66 83 B8 CE 00 00 00 00 74 18 8D 45 A0 50 8D 4D E3 8D 55 D8 8B 33 8B 86 D0 00 00 00 FF 96 CC 00 00 00 8B 03 8A 55 E3 88 50 3C 8B 03 80 78 3C 00 0F 84 D9 00 00 00 83 7D D8 00 0F 84 CF 00 00 00 55 8B 45 A4 E8 ?? ?? ?? ?? 59 8B 45 DC 50 8D 45 90 50 8B 03 8B 40 64 8B 4D D8 8B 55 B0 8B 30 FF 96 88 00 00 00 8B 45 AC 50 8B 45 A8 50 8D 45 90 50 E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF 8D 55 B8 8B 03 8B 40 44 E8 ?? ?? ?? ?? 8B 03 8B 95 78 FF FF FF 89 50 48 8B 95 7C FF FF FF 89 50 4C 8D 8D 78 FF FF FF 8D 55 C0 8B 03 8B 40 44 E8 ?? ?? ?? ?? 8B 03 8B 95 78 FF FF FF 89 50 50 8B 95 7C FF FF FF 89 50 54 8B 03 8B 40 64 8B 55 B4 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 03 8B 40 64 8B 4D D8 8D 55 90 8B 30 FF 96 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 85 C0 7E 0D 33 C9 8B D0 8B 03 E8 ?? ?? ?? ?? EB 29 B1 01 8B 55 D4 8B 03 E8 ?? ?? ?? ?? EB 1B 8B 45 D0 85 C0 7E 0D 33 C9 8B D0 8B 03 E8 ?? ?? ?? ?? EB 07 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7513_0 {
	meta:
		name = "TApplication.GetCurrentHelpFile"
		size = 57
		refs = "0008 Screen 0025 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 A1 ?? ?? ?? ?? 8B 58 58 85 DB 74 18 83 BB 44 01 00 00 00 74 0F 8B C7 8B 93 44 01 00 00 E8 ?? ?? ?? ?? EB 0A 8B C7 8B 56 34 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7514_0 {
	meta:
		name = "TApplication.GetDialogHandle"
		size = 35
		refs = "0017 SendMessage"
	strings:
		$1 = { 80 B8 84 00 00 00 00 75 13 6A 00 6A 01 68 31 B0 00 00 8B 40 24 50 E8 ?? ?? ?? ?? C3 8B 80 90 00 00 00 C3 }
	condition:
		$1
}

rule function_7515_0 {
	meta:
		name = "TApplication.SetDialogHandle"
		size = 41
		refs = "001c SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 84 00 00 00 00 75 11 56 6A 00 68 31 B0 00 00 8B 43 24 50 E8 ?? ?? ?? ?? 89 B3 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7517_0 {
	meta:
		name = "Finalization"
		size = 82
		refs = "0007 Finalization 0013 _NV__3CD 001b Application 0023 _NF__3D7 0029 _NV__61D 0037 CloseHandle 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 22 83 3D ?? ?? ?? ?? 00 74 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7518_0 {
	meta:
		name = "Forms"
		size = 31
		refs = "0002 _NV__3CD 000a _NF__6AC 000f @InitImports 0014 FindGlobalComponent 001a _NF__3E4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7519_0 {
	meta:
		name = "TGanttSeries.Create"
		size = 240
		refs = "000e @ClassCreate 001c TPointSeries.Create 0035 TGanttSeries.Create 003a @LStrAsg 0044 TChartValueList.SetDateTime 004d TChartSeries.SetColorEachPoint 005b _Dn_TChartValueList 0060 TChartValueList.Create 0097 TSeriesPointer.SetStyle 009e TChartSeries.CreateChartPen"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 0C 01 00 00 00 C6 83 CC 00 00 00 00 8B 43 2C 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 43 2C E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 10 01 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 14 01 00 00 33 D2 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 18 01 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 FF FF FF FF 05 00 00 00 53 74 61 72 74 00 00 00 FF FF FF FF 03 00 00 00 45 6E 64 00 FF FF FF FF 08 00 00 00 4E 65 78 74 54 61 73 6B 00 00 00 00 }
	condition:
		$1
}

rule function_7524_0 {
	meta:
		name = "TGanttSeries.AddGanttColor"
		size = 95
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F0 FF 75 1C FF 75 18 FF 75 0C FF 75 08 8B 4D FC 8B C6 8B 18 FF 93 90 00 00 00 8B D8 8B 86 10 01 00 00 8B 55 10 89 50 18 8B 55 14 89 50 1C 8B 86 14 01 00 00 33 D2 89 50 18 C7 40 1C 00 00 F0 BF 8B D3 8B C6 8B 08 FF 91 B8 00 00 00 8B C3 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_7525_0 {
	meta:
		name = "TGanttSeries.AddGantt"
		size = 35
		refs = "001b TGanttSeries.AddGanttColor"
	strings:
		$1 = { 55 8B EC FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 B9 00 00 00 80 E8 ?? ?? ?? ?? 5D C2 18 00 }
	condition:
		$1
}

rule function_7526_0 {
	meta:
		name = "_NF__BC"
		size = 195
		refs = "000f _NF__BC 003a TeeMsg_GanttSample1 003f LoadResString 0048 TeeMsg_GanttSample2 0056 TeeMsg_GanttSample3 0064 TeeMsg_GanttSample4 0072 TeeMsg_GanttSample5 0080 TeeMsg_GanttSample6 008e TeeMsg_GanttSample7 009c TeeMsg_GanttSample8 00aa TeeMsg_GanttSample9 00b8 TeeMsg_GanttSample10"
	strings:
		$1 = { 53 8B DA 83 F8 08 0F 87 A9 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7527_0 {
	meta:
		name = "TGanttSeries.FillSampleValues"
		size = 372
		refs = "0016 TGanttSeries.FillSampleValues 0030 @RandInt 003c MinLong 0068 Date 00ce _NF__BC 00d8 TGanttSeries.AddGantt 00f3 TChartValueList.GetValue 012a TChartValueList.SetValue 0143 TChartSeries.RefreshSeries 0158 @LStrClr 015e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 92 88 00 00 00 B8 14 00 00 00 E8 ?? ?? ?? ?? 8B D0 83 C2 0A 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8C F8 00 00 00 40 89 45 E4 C7 45 F8 00 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 DB 45 E0 DB 7D D4 9B E8 ?? ?? ?? ?? 8B 45 F8 8D 04 40 89 45 D0 DB 45 D0 DE C1 DB 6D D4 DE C1 DD 5D F0 9B B8 10 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 DB 45 E0 DD 45 F0 D8 05 ?? ?? ?? ?? DE C1 DD 5D E8 9B 8B 45 F8 B9 0A 00 00 00 99 F7 F9 8B DA FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 89 5D E0 DB 45 E0 83 C4 F8 DD 1C 24 9B 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 7D FC 4F 85 FF 7C 4D 47 33 DB 8B D3 8B 86 14 01 00 00 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 75 2E 8B D3 8B 86 10 01 00 00 E8 ?? ?? ?? ?? DC 5D F0 DF E0 9E 73 19 DB 45 FC 83 C4 F8 DD 1C 24 9B 8B D3 8B 86 14 01 00 00 E8 ?? ?? ?? ?? EB 04 43 4F 75 B6 FF 45 F8 FF 4D E4 0F 85 13 FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 10 41 00 00 80 BF }
	condition:
		$1
}

rule function_7528_0 {
	meta:
		name = "TGanttSeries.ClickedPointer"
		size = 89
		refs = "001f TChartValueList.GetValue 002d TChartSeries.CalcXPosValue"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 0C 3B 75 FC 7C 35 8B D7 8B 83 10 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 3B F0 7F 16 8B 45 10 2B 45 08 99 33 C2 2B C2 8B 93 D4 00 00 00 3B 42 08 7C 04 33 C0 EB 02 B0 01 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_7529_0 {
	meta:
		name = "TGanttSeries.DrawValue"
		size = 371
		refs = "0036 TSeriesPointer.PrepareCanvas 0051 TChartValueList.GetValue 005f TChartSeries.CalcXPosValue 00a8 TSeriesPointer.DrawPointer 00ca @ROUND 00db TChartSeries.Count 0103 TBrush.SetStyle 0113 TCanvas.MoveTo 013f TCanvas.LineTo"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F2 8B D8 8B BB D4 00 00 00 80 7F 18 00 0F 84 50 01 00 00 8B 43 40 8B 80 50 01 00 00 89 44 24 08 8B D6 8B C3 8B 08 FF 51 48 8B D0 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 8B F8 8B D6 8B 83 10 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B 2C 24 2B EF D1 FD 79 03 83 D5 00 8B D6 8B C3 8B 08 FF 91 B4 00 00 00 89 44 24 04 55 8B 83 D4 00 00 00 8B 40 08 50 8B D6 8B C3 8B 08 FF 51 48 50 6A 00 8D 54 3D 00 8B 4C 24 14 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 80 78 18 00 0F 84 AF 00 00 00 8B D6 8B 83 14 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 0F 8C 93 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 8D 84 00 00 00 8B 44 24 08 8B 40 10 8B 93 18 01 00 00 8B 08 FF 51 08 8B 44 24 08 8B 40 14 B2 01 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 8B 44 24 08 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 8B E8 8B FD 2B 3C 24 D1 FF 79 03 83 D7 00 03 3C 24 8B 4C 24 04 8B D7 8B 44 24 08 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 B4 00 00 00 8B D8 8B CB 8B D7 8B 44 24 08 E8 ?? ?? ?? ?? 8B CB 8B D5 8B 44 24 08 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7531_0 {
	meta:
		name = "TGanttSeries.DrawMark"
		size = 131
		refs = "002b TChartValueList.GetValue 0039 TChartSeries.CalcXPosValue 0076 TCustomSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 18 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B FA 8B D8 8B 75 14 8B D7 8B 83 10 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 2B C6 D1 F8 79 03 83 D0 00 03 C6 8B 55 F4 03 55 EC D1 FA 79 03 83 D2 00 2B C2 01 45 EC 01 45 F4 8D 45 EC 50 56 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_7532_0 {
	meta:
		name = "TGanttSeries.ClearTempValue"
		size = 29
		refs = "0018 TChartSeries.ClearTempValue"
	strings:
		$1 = { 8B 88 14 01 00 00 3B D1 75 0D 33 C0 89 41 18 C7 41 1C 00 00 F0 BF C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7537_0 {
	meta:
		name = "TGanttSeries.GetEditorClass"
		size = 48
		refs = "0006 TGanttSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 12 00 00 00 54 47 61 6E 74 74 53 65 72 69 65 73 45 64 69 74 6F 72 00 00 }
	condition:
		$1
}

rule function_7538_0 {
	meta:
		name = "TGanttSeries.Assign"
		size = 52
		refs = "000a _DV_TGanttSeries 000f @IsClass 002d TPointSeries.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 96 18 01 00 00 8B 83 18 01 00 00 8B 08 FF 51 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7542_0 {
	meta:
		name = "GanttCh"
		size = 114
		refs = "000b GanttCh 0017 _NV__9E 0024 TeeMsg_GalleryStandard 0029 LoadResString 0035 TeeMsg_GalleryGantt 0042 _DV_TGanttSeries 0048 RegisterTeeSeries 0062 @LStrArrayClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 2E 6A 01 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_7543_0 {
	meta:
		name = "TGanttSeriesEditor.FormShow"
		size = 141
		refs = "0005 Screen 000e TScreen.SetCursor 0029 TGanttSeriesEditor.SetPointerVisible 003d TCustomCheckBox.SetChecked 0051 TSpinEdit.SetValue 0073 TBrush.GetColor"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 00 02 00 00 8B F0 8B 86 D4 00 00 00 8A 50 18 8B C3 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 8A 50 0C 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 8B 50 08 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 8A 50 19 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 8B 40 14 E8 ?? ?? ?? ?? 3D 00 00 00 80 0F 94 C2 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7544_0 {
	meta:
		name = "TGanttSeriesEditor.SetPointerVisible"
		size = 106
		refs = "0015 TSeriesPointer.SetVisible 0022 TControl.SetEnabled"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 00 02 00 00 8B 80 D4 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B D3 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 E0 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7545_0 {
	meta:
		name = "TGanttSeriesEditor.CB3dPointClick"
		size = 35
		refs = "000a TCustomCheckBox.GetChecked 001d TSeriesPointer.Set3D"
	strings:
		$1 = { 53 8B D8 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 00 02 00 00 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7546_0 {
	meta:
		name = "TGanttSeriesEditor.BPointFillColorClick"
		size = 60
		refs = "0016 TBrush.GetColor 001f EditColor 0028 TBrush.SetColor 0035 TCustomCheckBox.SetChecked"
	strings:
		$1 = { 53 56 8B D8 8B 83 00 02 00 00 8B 80 D4 00 00 00 8B 70 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7547_0 {
	meta:
		name = "TGanttSeriesEditor.CBPointColorDefClick"
		size = 45
		refs = "000a TCustomCheckBox.GetChecked 0027 TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 19 8B 83 00 02 00 00 8B 80 D4 00 00 00 8B 40 14 BA 00 00 00 80 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7548_0 {
	meta:
		name = "TGanttSeriesEditor.Button1Click"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 00 02 00 00 8B 92 DC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7549_0 {
	meta:
		name = "TGanttSeriesEditor.BPoinPenColClick"
		size = 21
		refs = "0010 EditChartPen"
	strings:
		$1 = { 8B 90 00 02 00 00 8B 92 D4 00 00 00 8B 52 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7550_0 {
	meta:
		name = "TGanttSeriesEditor.FormCreate"
		size = 9
	strings:
		$1 = { 33 D2 89 90 00 02 00 00 C3 }
	condition:
		$1
}

rule function_7551_0 {
	meta:
		name = "TGanttSeriesEditor.SEPointVertSizeChange"
		size = 105
		refs = "000c TGanttSeriesEditor.SEPointVertSizeChange 0020 TControl.GetText 0031 TSpinEdit.GetValue 0044 TSeriesPointer.SetVertSize 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 1E 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 00 02 00 00 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7552_0 {
	meta:
		name = "TGanttSeriesEditor.CBInflateClick"
		size = 35
		refs = "000a TCustomCheckBox.GetChecked 001d TSeriesPointer.SetInflateMargins"
	strings:
		$1 = { 53 8B D8 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 00 02 00 00 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7553_0 {
	meta:
		name = "TGanttSeriesEditor.BConnLinesClick"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 00 02 00 00 8B 92 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7556_0 {
	meta:
		name = "_NF__AB"
		size = 129
		refs = "002c TBitmap.GetCanvas 0039 TBrush.SetColor 004a TBrush.SetStyle 0069 Rect 0077 TCanvas.FillRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C6 8B 10 FF 52 2C 8B D0 8B C3 8B 08 FF 51 40 8B C6 8B 10 FF 52 20 8B D0 8B C3 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 8B 40 14 BA 06 00 00 80 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 50 8D 44 24 04 50 8B C3 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_7557_0 {
	meta:
		name = "_NF__AC"
		size = 56
		refs = "0019 _NF__AC 0022 @TRUNC"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 89 34 24 DB 04 24 89 5C 24 04 DB 44 24 04 DB 2D ?? ?? ?? ?? DE C9 DE C9 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_7558_0 {
	meta:
		name = "_NF__AD"
		size = 56
		refs = "0019 _NF__AD 0028 @TRUNC"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 85 DB 75 04 33 C0 EB 1B 89 34 24 DB 04 24 D8 0D ?? ?? ?? ?? 89 5C 24 04 DB 44 24 04 DE F9 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_7559_0 {
	meta:
		name = "TGauge.Create"
		size = 156
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001d TGauge.Create 0072 TControl.SetWidth 007e TControl.SetHeight"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 33 C0 89 86 B8 00 00 00 C7 86 BC 00 00 00 64 00 00 00 33 C0 89 86 C0 00 00 00 C6 86 C4 00 00 00 01 C6 86 C5 00 00 00 01 C6 86 C6 00 00 00 01 33 C0 89 86 C8 00 00 00 C7 86 CC 00 00 00 FF FF FF 00 BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 50 00 00 00 }
	condition:
		$1
}

rule function_7560_0 {
	meta:
		name = "TGauge.GetPercentDone"
		size = 34
		refs = "001c _NF__AD"
	strings:
		$1 = { 53 8B 88 C0 00 00 00 8B 90 B8 00 00 00 2B CA 8B 98 BC 00 00 00 2B DA 8B D3 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7561_0 {
	meta:
		name = "TGauge.Paint"
		size = 421
		refs = "000c _Dn_TBitmap 0011 TBitmap.Create 001c TGauge.Paint 0049 _NF__B6 006d InflateRect 0074 _NV__A9 0095 _NF__AB 00c7 _NF__B8 00d7 _NF__B9 00e7 _NF__BA 00f7 _NF__BB 00ff TBitmap.GetCanvas 011b TCanvas.Draw 0144 _NF__B7 0159 TObject.Free 015f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 3C 8B 45 F8 8B 08 FF 51 34 8B 45 FC 8B 50 38 8B 45 F8 8B 08 FF 51 40 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 08 FF 51 2C 8B 45 FC 80 B8 C6 00 00 00 01 75 0D 6A FF 6A FF 8D 45 E4 50 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 80 C4 00 00 00 2C 01 72 0C 2C 02 72 18 74 26 FE C8 74 32 EB 3E 8D 4D E4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 2E 8D 4D E4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 1E 8D 4D E4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 0E 8D 4D E4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C7 40 20 46 00 66 00 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C7 40 20 20 00 CC 00 8B 45 FC 80 B8 C5 00 00 00 00 74 0E 8D 4D E4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 B4 00 00 00 C7 40 20 20 00 CC 00 8B 55 F8 52 33 C9 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB EE 8B E5 5D C3 }
	condition:
		$1
}

rule function_7562_0 {
	meta:
		name = "_NF__B6"
		size = 82
		refs = "000d TBitmap.GetCanvas 002b Rect 0040 TCanvas.CopyRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B D8 C7 43 20 42 00 00 00 8B 46 3C 50 8D 44 24 04 50 8B 4E 38 33 D2 33 C0 E8 ?? ?? ?? ?? 54 8B C7 E8 ?? ?? ?? ?? 8B C8 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? C7 43 20 20 00 CC 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7563_0 {
	meta:
		name = "_NF__B7"
		size = 356
		refs = "0022 _NF__B7 002f _NV__A9 0034 TBitmap.Create 004f _NF__AB 0059 _NF__B6 0064 TGauge.GetPercentDone 007a Format 0082 TBitmap.GetCanvas 008e TBrush.SetStyle 0098 TCanvas.SetFont 00a5 TFont.SetColor 00af TCanvas.TextWidth 00c9 TCanvas.TextHeight 00ec TCanvas.TextRect 010e TCanvas.Draw 0123 TObject.Free 0129 @HandleFinally 0140 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 8B F1 8D 7D E8 B9 04 00 00 00 F3 A5 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 8B C6 E8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 00 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 43 14 B2 01 E8 ?? ?? ?? ?? 8B 56 50 8B C3 E8 ?? ?? ?? ?? 8B 43 0C BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 75 F0 2B 75 E8 46 2B F0 D1 FE 79 03 83 D6 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F4 2B 45 EC 40 5A 2B C2 D1 F8 79 03 83 D0 00 50 8B 45 FC 50 8B CE 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? C7 40 20 46 00 66 00 8B 45 F8 50 8B C7 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 25 64 25 25 00 00 00 00 }
	condition:
		$1
}

rule function_7564_0 {
	meta:
		name = "_NF__B8"
		size = 64
		refs = "0019 TBitmap.GetCanvas 0027 TBrush.SetColor 0035 TCanvas.FillRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8D 3C 24 B9 04 00 00 00 F3 A5 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 40 14 8B 93 CC 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7565_0 {
	meta:
		name = "_NF__B9"
		size = 258
		refs = "002f TBitmap.GetCanvas 003f TBrush.SetColor 004a TCanvas.FillRect 0058 TPen.SetColor 0065 TPen.SetWidth 008a TGauge.GetPercentDone 0091 _NF__AC 00b2 Rect"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B F1 8D 7C 24 04 B9 04 00 00 00 F3 A5 89 14 24 8B F0 8B 6C 24 0C 2B 6C 24 04 45 8B 7C 24 10 2B 7C 24 08 47 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B 96 CC 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 96 C8 00 00 00 8B 43 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 96 C8 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8A 86 C4 00 00 00 FE C8 74 06 FE C8 74 3E EB 73 8B C6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 8B F0 3B EE 7D 02 8B F5 85 F6 7E 59 57 8D 44 24 18 50 8B CE 8B 54 24 10 8B 44 24 0C E8 ?? ?? ?? ?? 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? EB 37 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B F0 3B FE 7F 03 8B F7 4E 57 8D 44 24 18 50 8B D7 2B D6 8B CD 8B 44 24 0C E8 ?? ?? ?? ?? 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7566_0 {
	meta:
		name = "_NF__BA"
		size = 360
		refs = "0038 TBitmap.GetCanvas 0045 TBrush.SetColor 0050 TCanvas.FillRect 006c TPen.SetColor 0079 TPen.SetWidth 008a TCanvas.Ellipse 0091 TGauge.GetPercentDone 00d6 _NF__BA 00f6 @COS 0107 @ROUND 0111 @SIN 0139 TCanvas.Pie"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F1 8D 7C 24 14 B9 04 00 00 00 F3 A5 89 14 24 8B F0 8B 7C 24 1C 2B 7C 24 14 8B 6C 24 20 2B 6C 24 18 80 BE C6 00 00 00 01 75 02 47 45 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B 56 54 8B 43 14 E8 ?? ?? ?? ?? 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 8B 96 CC 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B 96 C8 00 00 00 8B 43 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 57 55 8B 4C 24 20 8B 54 24 1C 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E A0 00 00 00 8B 96 C8 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B C7 D1 F8 79 03 83 D0 00 89 44 24 04 8B C5 D1 F8 79 03 83 D0 00 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 89 44 24 24 DB 44 24 24 DB 2D ?? ?? ?? ?? DE C9 D8 05 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DD 5C 24 0C 9B 57 55 DD 44 24 14 E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? DB 44 24 0C DE C9 E8 ?? ?? ?? ?? 50 DD 44 24 18 E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? DB 44 24 14 DE C9 E8 ?? ?? ?? ?? 50 8B 44 24 14 50 6A 00 8B 4C 24 30 8B 54 24 2C 8B C3 E8 ?? ?? ?? ?? 83 C4 28 5D 5F 5E 5B C3 00 00 00 0A D7 A3 70 3D 0A D7 A3 F9 3F 00 00 00 00 00 3F 35 C2 68 21 A2 DA 0F C9 00 40 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_7567_0 {
	meta:
		name = "_NF__BB"
		size = 408
		refs = "0049 TBitmap.GetCanvas 0056 TBrush.SetColor 0061 TCanvas.FillRect 007d TPen.SetColor 008a TPen.SetWidth 00ad TCanvas.Pie 00ba TCanvas.MoveTo 00c9 TCanvas.LineTo 00d0 TGauge.GetPercentDone 0113 _NF__BB 012b @SIN 0145 @ROUND 014f @COS"
	strings:
		$1 = { 53 56 57 55 83 C4 D4 8B F1 8D 7C 24 14 B9 04 00 00 00 F3 A5 89 14 24 8B F0 8B 44 24 14 8B F8 8B 54 24 18 89 54 24 0C 8B 6C 24 1C 2B E8 8B 44 24 20 2B C2 89 44 24 10 80 BE C6 00 00 00 01 75 05 45 FF 44 24 10 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B 56 54 8B 43 14 E8 ?? ?? ?? ?? 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 8B 96 CC 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B 96 C8 00 00 00 8B 43 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 55 8B 54 24 14 03 D2 4A 52 8D 54 3D 00 52 8B 44 24 2C 48 50 57 50 8B 4C 24 24 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 54 3D 00 8B 4C 24 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E 96 00 00 00 8B 96 C8 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 7E 38 D1 FF 79 03 83 D7 00 8B 4C 24 20 49 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 44 24 24 DB 44 24 24 DB 2D ?? ?? ?? ?? DE C9 DB 2D ?? ?? ?? ?? DE C9 DD 5C 24 04 9B DD 44 24 04 E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? 8B 44 24 20 48 89 44 24 24 DB 44 24 24 DE C9 E8 ?? ?? ?? ?? 50 DD 44 24 08 E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? 89 7C 24 2C DB 44 24 2C DE C9 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 83 C4 2C 5D 5F 5E 5B C3 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 35 C2 68 21 A2 DA 0F C9 00 40 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_7568_0 {
	meta:
		name = "TGauge.SetGaugeKind"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3A 90 C4 00 00 00 74 0B 88 90 C4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7569_0 {
	meta:
		name = "TGauge.SetShowText"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3A 90 C5 00 00 00 74 0B 88 90 C5 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7570_0 {
	meta:
		name = "TGauge.SetBorderStyle"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3A 90 C6 00 00 00 74 0B 88 90 C6 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7571_0 {
	meta:
		name = "TGauge.SetForeColor"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3B 90 C8 00 00 00 74 0B 89 90 C8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7572_0 {
	meta:
		name = "TGauge.SetBackColor"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3B 90 CC 00 00 00 74 0B 89 90 CC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7573_0 {
	meta:
		name = "TGauge.SetMinValue"
		size = 175
		refs = "0012 TGauge.SetMinValue 0055 SOutOfRange 005a LoadResString 0064 _Dn_EInvalidOperation 0069 Exception.CreateFmt 006e @RaiseExcept 0089 TControl.Refresh 009e @LStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 93 B8 00 00 00 74 69 3B 93 BC 00 00 00 7E 46 F6 43 20 01 75 40 C7 45 F0 01 00 00 80 C6 45 F4 00 8B 83 BC 00 00 00 48 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 93 B8 00 00 00 3B 93 C0 00 00 00 7E 06 89 93 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7574_0 {
	meta:
		name = "TGauge.SetMaxValue"
		size = 175
		refs = "0012 TGauge.SetMaxValue 0055 SOutOfRange 005a LoadResString 0064 _Dn_EInvalidOperation 0069 Exception.CreateFmt 006e @RaiseExcept 0089 TControl.Refresh 009e @LStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 93 BC 00 00 00 74 69 3B 93 B8 00 00 00 7D 46 F6 43 20 01 75 40 8B 83 B8 00 00 00 40 89 45 F0 C6 45 F4 00 C7 45 F8 FF FF FF 7F C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 93 BC 00 00 00 3B 93 C0 00 00 00 7D 06 89 93 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7575_0 {
	meta:
		name = "TGauge.SetProgress"
		size = 78
		refs = "000a TGauge.GetPercentDone 0046 TControl.Refresh"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 83 B8 00 00 00 3B F0 7D 04 8B F0 EB 0C 8B 83 BC 00 00 00 3B F0 7E 02 8B F0 3B B3 C0 00 00 00 74 18 89 B3 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B F8 74 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7576_0 {
	meta:
		name = "TGauge.AddProgress"
		size = 25
		refs = "000c TGauge.SetProgress 0013 TControl.Refresh"
	strings:
		$1 = { 53 8B D8 03 93 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7590_0 {
	meta:
		name = "_NF__29B"
		size = 19
		refs = "0006 SystemPalette16 000e DeleteObject"
	strings:
		$1 = { 85 C0 74 0E 3B 05 ?? ?? ?? ?? 74 06 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7591_0 {
	meta:
		name = "_NF__2A1"
		size = 17
	strings:
		$1 = { 89 D1 89 C2 31 C0 66 C1 C0 05 32 02 42 49 75 F6 C3 }
	condition:
		$1
}

rule function_7592_0 {
	meta:
		name = "_NF__2A2"
		size = 50
		refs = "000a @ClassCreate 001b InitializeCriticalSection"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 66 89 4E 20 8D 46 08 50 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7593_0 {
	meta:
		name = "_NF__2A3"
		size = 31
		refs = "000b DeleteCriticalSection 0016 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 46 08 50 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7596_0 {
	meta:
		name = "_NF__2A6"
		size = 228
		refs = "0017 _NF__2A1 0021 _NF__2A4 0029 _NF__2A6 0065 CompareMem 007e @GetMem 00ab Move 00cf _NF__2A5 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 FC 8B 45 FC 0F B7 50 20 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 89 45 F8 EB 08 8B 45 F8 8B 00 89 45 F8 83 7D F8 00 74 21 8B 45 F8 66 3B 70 0C 75 E9 8B 45 FC 0F B7 48 20 8B D3 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 84 C0 74 D1 83 7D F8 00 75 45 8B 45 FC 0F B7 40 20 83 C0 10 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 55 FC 8B 52 04 89 10 33 D2 89 50 04 8B 13 89 50 08 66 89 70 0C 8B 55 FC 0F B7 4A 20 8D 50 10 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 04 8B 45 F8 FF 40 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7597_0 {
	meta:
		name = "_NF__2A7"
		size = 176
		refs = "0020 _NF__2A4 0028 _NF__2A7 0082 _NF__2A5 0088 @HandleFinally 00a0 DeleteObject 00a8 @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 83 7D F8 00 0F 84 96 00 00 00 8B 45 F8 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F0 FF 48 04 8B 45 F0 83 78 04 00 0F 94 45 F7 80 7D F7 00 74 28 8B 45 FC 8B 40 04 3B 45 F8 75 0F 8B 45 F8 8B 00 8B 55 FC 89 42 04 EB 10 8B C2 8B 10 3B 55 F8 75 F7 8B 55 F8 8B 12 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F7 00 74 18 8B 45 F0 8B 40 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_7598_0 {
	meta:
		name = "_NF__2A8"
		size = 119
		refs = "0015 _NF__2A4 001d _NF__2A8 0031 _NF__2A6 0045 @CallDynaInst 004f _NF__2A7 0064 _NF__2A5 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F8 89 7B 0C 3B F7 74 0B 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7599_0 {
	meta:
		name = "_NF__2A9"
		size = 105
		refs = "0012 _NF__2A4 001a _NF__2A9 0038 @CallDynaInst 0042 _NF__2A7 0057 _NF__2A5 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 0C 3B FE 74 1B FF 47 04 89 7B 0C 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7600_0 {
	meta:
		name = "_NF__2AB"
		size = 107
		refs = "000d _NF__2A4 0015 _NF__2AB 003a DeleteObject 005a _NF__2A5 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 58 04 85 DB 74 20 8B F3 8B 46 08 85 C0 74 11 83 7E 14 00 7D 0B 50 E8 ?? ?? ?? ?? 33 C0 89 46 08 8B 1B 85 DB 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7601_0 {
	meta:
		name = "PaletteChanged"
		size = 170
		refs = "000e _NV__2AA 0013 TThreadList.LockList 001e PaletteChanged 0031 TList.Get 003a TCanvas.Lock 0044 _NF__3EA 0054 _NV__29F 0059 _NF__2AB 005e _NV__2A0 008a TCanvas.Unlock 0098 TThreadList.UnlockList 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C0 89 45 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? FF 45 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 3B 45 FC 7F D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 5D FC 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7602_0 {
	meta:
		name = "_NF__2AE"
		size = 856
	strings:
		$1 = { FF FF FF FF 07 00 00 00 63 6C 42 6C 61 63 6B 00 FF FF FF FF 08 00 00 00 63 6C 4D 61 72 6F 6F 6E 00 00 00 00 FF FF FF FF 07 00 00 00 63 6C 47 72 65 65 6E 00 FF FF FF FF 07 00 00 00 63 6C 4F 6C 69 76 65 00 FF FF FF FF 06 00 00 00 63 6C 4E 61 76 79 00 00 FF FF FF FF 08 00 00 00 63 6C 50 75 72 70 6C 65 00 00 00 00 FF FF FF FF 06 00 00 00 63 6C 54 65 61 6C 00 00 FF FF FF FF 06 00 00 00 63 6C 47 72 61 79 00 00 FF FF FF FF 08 00 00 00 63 6C 53 69 6C 76 65 72 00 00 00 00 FF FF FF FF 05 00 00 00 63 6C 52 65 64 00 00 00 FF FF FF FF 06 00 00 00 63 6C 4C 69 6D 65 00 00 FF FF FF FF 08 00 00 00 63 6C 59 65 6C 6C 6F 77 00 00 00 00 FF FF FF FF 06 00 00 00 63 6C 42 6C 75 65 00 00 FF FF FF FF 09 00 00 00 63 6C 46 75 63 68 73 69 61 00 00 00 FF FF FF FF 06 00 00 00 63 6C 41 71 75 61 00 00 FF FF FF FF 07 00 00 00 63 6C 57 68 69 74 65 00 FF FF FF FF 0B 00 00 00 63 6C 53 63 72 6F 6C 6C 42 61 72 00 FF FF FF FF 0C 00 00 00 63 6C 42 61 63 6B 67 72 6F 75 6E 64 00 00 00 00 FF FF FF FF 0F 00 00 00 63 6C 41 63 74 69 76 65 43 61 70 74 69 6F 6E 00 FF FF FF FF 11 00 00 00 63 6C 49 6E 61 63 74 69 76 65 43 61 70 74 69 6F 6E 00 00 00 FF FF FF FF 06 00 00 00 63 6C 4D 65 6E 75 00 00 FF FF FF FF 08 00 00 00 63 6C 57 69 6E 64 6F 77 00 00 00 00 FF FF FF FF 0D 00 00 00 63 6C 57 69 6E 64 6F 77 46 72 61 6D 65 00 00 00 FF FF FF FF 0A 00 00 00 63 6C 4D 65 6E 75 54 65 78 74 00 00 FF FF FF FF 0C 00 00 00 63 6C 57 69 6E 64 6F 77 54 65 78 74 00 00 00 00 FF FF FF FF 0D 00 00 00 63 6C 43 61 70 74 69 6F 6E 54 65 78 74 00 00 00 FF FF FF FF 0E 00 00 00 63 6C 41 63 74 69 76 65 42 6F 72 64 65 72 00 00 FF FF FF FF 10 00 00 00 63 6C 49 6E 61 63 74 69 76 65 42 6F 72 64 65 72 00 00 00 00 FF FF FF FF 0E 00 00 00 63 6C 41 70 70 57 6F 72 6B 53 70 61 63 65 00 00 FF FF FF FF 0B 00 00 00 63 6C 48 69 67 68 6C 69 67 68 74 00 FF FF FF FF 0F 00 00 00 63 6C 48 69 67 68 6C 69 67 68 74 54 65 78 74 00 FF FF FF FF 09 00 00 00 63 6C 42 74 6E 46 61 63 65 00 00 00 FF FF FF FF 0B 00 00 00 63 6C 42 74 6E 53 68 61 64 6F 77 00 FF FF FF FF 0A 00 00 00 63 6C 47 72 61 79 54 65 78 74 00 00 FF FF FF FF 09 00 00 00 63 6C 42 74 6E 54 65 78 74 00 00 00 FF FF FF FF 15 00 00 00 63 6C 49 6E 61 63 74 69 76 65 43 61 70 74 69 6F 6E 54 65 78 74 00 00 00 FF FF FF FF 0E 00 00 00 63 6C 42 74 6E 48 69 67 68 6C 69 67 68 74 00 00 FF FF FF FF 0C 00 00 00 63 6C 33 44 44 6B 53 68 61 64 6F 77 00 00 00 00 FF FF FF FF 09 00 00 00 63 6C 33 44 4C 69 67 68 74 00 00 00 FF FF FF FF 0A 00 00 00 63 6C 49 6E 66 6F 54 65 78 74 00 00 FF FF FF FF 08 00 00 00 63 6C 49 6E 66 6F 42 6B 00 00 00 00 FF FF FF FF 06 00 00 00 63 6C 4E 6F 6E 65 00 00 }
	condition:
		$1
}

rule function_7603_0 {
	meta:
		name = "ColorToRGB"
		size = 16
		refs = "000b GetSysColor"
	strings:
		$1 = { 85 C0 7D 0B 25 FF 00 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7604_0 {
	meta:
		name = "ColorToString"
		size = 72
		refs = "000e ColorToIdent 0028 ColorToString 002d FmtStr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1B 6A 00 89 5C 24 04 C6 44 24 08 00 8D 4C 24 04 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 FF FF FF FF 05 00 00 00 24 25 2E 38 78 00 00 00 }
	condition:
		$1
}

rule function_7605_0 {
	meta:
		name = "StringToColor"
		size = 33
		refs = "0009 IdentToColor 0014 StrToInt"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_7606_0 {
	meta:
		name = "GetColorValues"
		size = 35
		refs = "000b _NV__2AD"
	strings:
		$1 = { 55 8B EC 53 56 BE 2A 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 45 0C FF 55 08 83 C3 08 4E 75 F2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7607_0 {
	meta:
		name = "ColorToIdent"
		size = 13
		refs = "0003 _NV__2AD 0008 IntToIdent"
	strings:
		$1 = { 6A 29 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7608_0 {
	meta:
		name = "IdentToColor"
		size = 13
		refs = "0003 _NV__2AD 0008 IdentToInt"
	strings:
		$1 = { 6A 29 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7609_0 {
	meta:
		name = "TGraphicsObject.Changed"
		size = 20
	strings:
		$1 = { 53 66 83 78 06 00 74 0A 8B D8 8B D0 8B 43 08 FF 53 04 5B C3 }
	condition:
		$1
}

rule function_7610_0 {
	meta:
		name = "TGraphicsObject.Lock"
		size = 14
		refs = "0009 EnterCriticalSection"
	strings:
		$1 = { 8B 50 10 85 D2 74 06 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7611_0 {
	meta:
		name = "TGraphicsObject.Unlock"
		size = 14
		refs = "0009 LeaveCriticalSection"
	strings:
		$1 = { 8B 50 10 85 D2 74 06 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7612_0 {
	meta:
		name = "_NF__2C4"
		size = 436
	strings:
		$1 = { FF FF FF FF 0C 00 00 00 41 4E 53 49 5F 43 48 41 52 53 45 54 00 00 00 00 FF FF FF FF 0F 00 00 00 44 45 46 41 55 4C 54 5F 43 48 41 52 53 45 54 00 FF FF FF FF 0E 00 00 00 53 59 4D 42 4F 4C 5F 43 48 41 52 53 45 54 00 00 FF FF FF FF 0B 00 00 00 4D 41 43 5F 43 48 41 52 53 45 54 00 FF FF FF FF 10 00 00 00 53 48 49 46 54 4A 49 53 5F 43 48 41 52 53 45 54 00 00 00 00 FF FF FF FF 0F 00 00 00 48 41 4E 47 45 55 4C 5F 43 48 41 52 53 45 54 00 FF FF FF FF 0D 00 00 00 4A 4F 48 41 42 5F 43 48 41 52 53 45 54 00 00 00 FF FF FF FF 0E 00 00 00 47 42 32 33 31 32 5F 43 48 41 52 53 45 54 00 00 FF FF FF FF 13 00 00 00 43 48 49 4E 45 53 45 42 49 47 35 5F 43 48 41 52 53 45 54 00 FF FF FF FF 0D 00 00 00 47 52 45 45 4B 5F 43 48 41 52 53 45 54 00 00 00 FF FF FF FF 0F 00 00 00 54 55 52 4B 49 53 48 5F 43 48 41 52 53 45 54 00 FF FF FF FF 0E 00 00 00 48 45 42 52 45 57 5F 43 48 41 52 53 45 54 00 00 FF FF FF FF 0E 00 00 00 41 52 41 42 49 43 5F 43 48 41 52 53 45 54 00 00 FF FF FF FF 0E 00 00 00 42 41 4C 54 49 43 5F 43 48 41 52 53 45 54 00 00 FF FF FF FF 0F 00 00 00 52 55 53 53 49 41 4E 5F 43 48 41 52 53 45 54 00 FF FF FF FF 0C 00 00 00 54 48 41 49 5F 43 48 41 52 53 45 54 00 00 00 00 FF FF FF FF 12 00 00 00 45 41 53 54 45 55 52 4F 50 45 5F 43 48 41 52 53 45 54 00 00 FF FF FF FF 0B 00 00 00 4F 45 4D 5F 43 48 41 52 53 45 54 00 }
	condition:
		$1
}

rule function_7613_0 {
	meta:
		name = "GetCharsetValues"
		size = 35
		refs = "000b _NV__2C3"
	strings:
		$1 = { 55 8B EC 53 56 BE 12 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 45 0C FF 55 08 83 C3 08 4E 75 F2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7614_0 {
	meta:
		name = "CharsetToIdent"
		size = 13
		refs = "0003 _NV__2C3 0008 IntToIdent"
	strings:
		$1 = { 6A 11 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7615_0 {
	meta:
		name = "IdentToCharset"
		size = 13
		refs = "0003 _NV__2C3 0008 IdentToInt"
	strings:
		$1 = { 6A 11 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7616_0 {
	meta:
		name = "_NF__2CD"
		size = 178
		refs = "000e DefFontData 0027 GetObject 0079 @_CLenToPasStr 0087 @PStrNCpy"
	strings:
		$1 = { 53 56 57 83 C4 A0 8B DA 8B F0 56 8B FB BE ?? ?? ?? ?? B9 0B 00 00 00 F3 A5 5E 85 F6 0F 84 89 00 00 00 54 6A 3C 56 E8 ?? ?? ?? ?? 85 C0 74 7C 8B 04 24 89 43 04 81 7C 24 10 BC 02 00 00 7C 04 80 4B 09 01 80 7C 24 14 01 75 04 80 4B 09 02 80 7C 24 15 01 75 04 80 4B 09 04 80 7C 24 16 01 75 04 80 4B 09 08 8A 44 24 17 88 43 0A 8D 44 24 3C 8D 54 24 1C B9 20 00 00 00 E8 ?? ?? ?? ?? 8D 54 24 3C 8D 43 0B B1 1F E8 ?? ?? ?? ?? 8A 44 24 1B 24 0F FE C8 74 0A FE C8 75 0C C6 43 08 01 EB 0A C6 43 08 02 EB 04 C6 43 08 00 89 33 83 C4 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7617_0 {
	meta:
		name = "TFont.Create"
		size = 77
		refs = "000a @ClassCreate 0015 DefFontData 001f _NV__29E 0024 _NF__2A6 0033 _NV__294"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 A3 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C C7 46 14 08 00 00 80 A1 ?? ?? ?? ?? 89 46 18 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7618_0 {
	meta:
		name = "TFont.Destroy"
		size = 35
		refs = "000a _NV__29E 000f _NF__2A7 001a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 56 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7653_0 {
	meta:
		name = "TBrush.Destroy"
		size = 35
		refs = "000a _NV__2A0 000f _NF__2A7 001a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 56 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7639_0 {
	meta:
		name = "TPen.Destroy"
		size = 35
		refs = "000a _NV__29F 000f _NF__2A7 001a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 56 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7619_0 {
	meta:
		name = "TFont.Changed"
		size = 26
		refs = "0006 TGraphicsObject.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 1C 00 74 08 8B 43 1C 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_7620_0 {
	meta:
		name = "TFont.Assign"
		size = 210
		refs = "0012 _DV_TFont 0017 @IsClass 0027 TGraphicsObject.Lock 002f TFont.Assign 0058 _NV__29E 005d _NF__2A9 0068 TFont.SetColor 007a TFont.GetSize 0084 TFont.SetSize 0099 TGraphicsObject.Unlock 009f @HandleFinally 00c9 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9F 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 0C 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 3B 43 18 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7621_0 {
	meta:
		name = "_NF__2D9"
		size = 24
	strings:
		$1 = { 56 57 8B 40 0C 8D 70 10 8B FA B9 0B 00 00 00 F3 A5 33 C0 89 02 5F 5E C3 }
	condition:
		$1
}

rule function_7622_0 {
	meta:
		name = "_NF__2DA"
		size = 80
		refs = "000e TGraphicsObject.Lock 0016 _NF__2DA 0026 _NV__29E 002b _NF__2A8 0040 TGraphicsObject.Unlock 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7642_0 {
	meta:
		name = "_NF__30C"
		size = 80
		refs = "000e TGraphicsObject.Lock 0016 _NF__30C 0026 _NV__29F 002b _NF__2A8 0040 TGraphicsObject.Unlock 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7656_0 {
	meta:
		name = "_NF__330"
		size = 80
		refs = "000e TGraphicsObject.Lock 0016 _NF__330 0026 _NV__2A0 002b _NF__2A8 0040 TGraphicsObject.Unlock 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7623_0 {
	meta:
		name = "TFont.SetColor"
		size = 20
		refs = "000e @CallDynaInst"
	strings:
		$1 = { 53 3B 50 14 74 0C 89 50 14 66 BB FD FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7624_0 {
	meta:
		name = "TFont.GetHandle"
		size = 412
		refs = "0012 TFont.GetHandle 0030 _NV__29E 0035 _NF__2A4 00bf @LStrFromString 00cc AnsiCompareText 00d8 DefFontData 00e8 StrPCopy 0116 TFont.GetPitch 0139 CreateFontIndirect 0156 _NF__2A5 015c @HandleFinally 0179 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 33 D2 89 55 BC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 89 45 FC 8B 45 FC 83 78 08 00 0F 85 33 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 08 00 0F 85 EF 00 00 00 8B 45 FC 8B 40 14 89 45 C0 33 C0 89 45 C4 33 C0 89 45 C8 33 C0 89 45 CC 8B 45 FC F6 40 19 01 74 09 C7 45 D0 BC 02 00 00 EB 07 C7 45 D0 90 01 00 00 8B 45 FC F6 40 19 02 0F 95 C0 88 45 D4 8B 45 FC F6 40 19 04 0F 95 C0 88 45 D5 8B 45 FC F6 40 19 08 0F 95 C0 88 45 D6 8B 45 FC 8A 40 1A 88 45 D7 8D 45 BC 8B 55 FC 83 C2 1B E8 ?? ?? ?? ?? 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1A 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8D 45 DC E8 ?? ?? ?? ?? EB 19 8D 45 BC 8B 55 FC 83 C2 1B E8 ?? ?? ?? ?? 8B 55 BC 8D 45 DC E8 ?? ?? ?? ?? C6 45 DA 00 C6 45 D8 00 C6 45 D9 00 8B C3 E8 ?? ?? ?? ?? FE C8 74 06 FE C8 74 08 EB 0C C6 45 DB 02 EB 0A C6 45 DB 01 EB 04 C6 45 DB 00 8D 45 C0 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 FF FF FF FF 07 00 00 00 44 65 66 61 75 6C 74 00 }
	condition:
		$1
}

rule function_7625_0 {
	meta:
		name = "TFont.SetHandle"
		size = 33
		refs = "000e _NF__2CD 0017 _NF__2DA"
	strings:
		$1 = { 53 56 83 C4 D4 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 2C 5E 5B C3 }
	condition:
		$1
}

rule function_7626_0 {
	meta:
		name = "TBrush.GetColor"
		size = 7
		altNames = "TFont.GetHeight TPen.GetColor"
	strings:
		$1 = { 8B 40 0C 8B 40 14 C3 }
	condition:
		$1
}

rule function_7627_0 {
	meta:
		name = "TFont.SetHeight"
		size = 37
		refs = "000e _NF__2D9 001b _NF__2DA"
	strings:
		$1 = { 53 56 83 C4 D4 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 89 74 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 2C 5E 5B C3 }
	condition:
		$1
}

rule function_7628_0 {
	meta:
		name = "TFont.GetName"
		size = 22
		refs = "000f @LStrFromString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 83 C2 1B E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7629_0 {
	meta:
		name = "TFont.SetName"
		size = 90
		refs = "0015 _NF__2D9 0025 @FillChar 0035 @LStrToString 0044 @PStrNCpy 004d _NF__2DA"
	strings:
		$1 = { 53 56 81 C4 D4 FE FF FF 8B F2 8B D8 85 F6 74 41 8B D4 8B C3 E8 ?? ?? ?? ?? 8D 44 24 0B 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8D 44 24 2C 8B D6 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 54 24 2C 8D 44 24 0B B1 1F E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 2C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7630_0 {
	meta:
		name = "TFont.GetSize"
		size = 26
		refs = "000c TFont.GetHeight 0012 MulDiv"
	strings:
		$1 = { 53 8B D8 8B 43 18 50 6A 48 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 5B C3 }
	condition:
		$1
}

rule function_7631_0 {
	meta:
		name = "TFont.SetSize"
		size = 32
		refs = "000e MulDiv 0019 TFont.SetHeight"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 48 8B 43 18 50 56 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7632_0 {
	meta:
		name = "TFont.GetStyle"
		size = 9
	strings:
		$1 = { 8B 40 0C 8A 50 19 8B C2 C3 }
	condition:
		$1
}

rule function_7633_0 {
	meta:
		name = "TFont.SetStyle"
		size = 43
		refs = "0010 _NF__2D9 0022 _NF__2DA"
	strings:
		$1 = { 53 83 C4 D0 88 14 24 8B D8 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8A 04 24 88 44 24 0D 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 83 C4 30 5B C3 }
	condition:
		$1
}

rule function_7634_0 {
	meta:
		name = "TFont.GetPitch"
		size = 7
	strings:
		$1 = { 8B 40 0C 8A 40 18 C3 }
	condition:
		$1
}

rule function_7635_0 {
	meta:
		name = "TFont.SetPitch"
		size = 37
		refs = "000e _NF__2D9 001b _NF__2DA"
	strings:
		$1 = { 53 56 83 C4 D4 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 88 5C 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 2C 5E 5B C3 }
	condition:
		$1
}

rule function_7636_0 {
	meta:
		name = "TFont.GetCharset"
		size = 7
	strings:
		$1 = { 8B 40 0C 8A 40 1A C3 }
	condition:
		$1
}

rule function_7637_0 {
	meta:
		name = "TFont.SetCharset"
		size = 37
		refs = "000e _NF__2D9 001b _NF__2DA"
	strings:
		$1 = { 53 56 83 C4 D4 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 88 5C 24 0A 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 2C 5E 5B C3 }
	condition:
		$1
}

rule function_7638_0 {
	meta:
		name = "TPen.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _NV__301 0018 _NV__29F 001d _NF__2A6"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C C6 46 14 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7640_0 {
	meta:
		name = "TPen.Assign"
		size = 182
		refs = "0012 _DV_TPen 0017 @IsClass 0027 TGraphicsObject.Lock 002f TPen.Assign 0058 _NV__29F 005d _NF__2A9 0068 TPen.SetMode 007d TGraphicsObject.Unlock 0083 @HandleFinally 00ad TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 83 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 0C 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 53 14 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7641_0 {
	meta:
		name = "_NF__30B"
		size = 24
	strings:
		$1 = { 56 57 8B 40 0C 8D 70 10 8B FA B9 04 00 00 00 F3 A5 33 C0 89 02 5F 5E C3 }
	condition:
		$1
}

rule function_7644_0 {
	meta:
		name = "TPen.SetColor"
		size = 37
		refs = "000e _NF__30B 001b _NF__30C"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 89 74 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_7645_0 {
	meta:
		name = "TPen.GetHandle"
		size = 151
		refs = "0016 _NV__29F 001b _NF__2A4 0023 TPen.GetHandle 0041 _NV__312 0058 ColorToRGB 0064 CreatePenIndirect 0081 _NF__2A5 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 8B 40 0C 89 45 FC 8B 45 FC 83 78 08 00 75 78 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 08 00 75 38 8B 45 FC 0F B6 40 1C 0F B7 04 45 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 18 89 45 F0 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 89 45 F8 8D 45 EC 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 40 08 8B E5 5D C3 }
	condition:
		$1
}

rule function_7646_0 {
	meta:
		name = "TPen.SetHandle"
		size = 35
		refs = "0006 _NV__301 0019 _NF__30C"
	strings:
		$1 = { 56 57 83 C4 F0 BE ?? ?? ?? ?? 8B FC B9 04 00 00 00 F3 A5 89 14 24 8B D4 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_7662_0 {
	meta:
		name = "TBrush.SetHandle"
		size = 35
		refs = "0006 _NV__325 0019 _NF__330"
	strings:
		$1 = { 56 57 83 C4 F0 BE ?? ?? ?? ?? 8B FC B9 04 00 00 00 F3 A5 89 14 24 8B D4 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_7647_0 {
	meta:
		name = "TPen.SetMode"
		size = 20
		refs = "000e @CallDynaInst"
	strings:
		$1 = { 53 3A 50 14 74 0C 88 50 14 66 BB FD FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7648_0 {
	meta:
		name = "TBrush.GetStyle"
		size = 7
		altNames = "TPen.GetStyle"
	strings:
		$1 = { 8B 40 0C 8A 40 1C C3 }
	condition:
		$1
}

rule function_7649_0 {
	meta:
		name = "TPen.SetStyle"
		size = 37
		refs = "000e _NF__30B 001b _NF__30C"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 88 5C 24 0C 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_7650_0 {
	meta:
		name = "TBrush.GetBitmap"
		size = 7
		altNames = "TPen.GetWidth"
	strings:
		$1 = { 8B 40 0C 8B 40 18 C3 }
	condition:
		$1
}

rule function_7651_0 {
	meta:
		name = "TPen.SetWidth"
		size = 41
		refs = "0012 _NF__30B 001f _NF__30C"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 85 F6 7C 16 8B D4 8B C3 E8 ?? ?? ?? ?? 89 74 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_7652_0 {
	meta:
		name = "TBrush.Create"
		size = 55
		refs = "000a @ClassCreate 0013 _NV__325 0018 _NV__2A0 001d _NF__2A6"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7654_0 {
	meta:
		name = "TBrush.Assign"
		size = 167
		refs = "0012 _DV_TBrush 0017 @IsClass 0023 TGraphicsObject.Lock 002b TBrush.Assign 0054 _NV__2A0 0059 _NF__2A9 006e TGraphicsObject.Unlock 0074 @HandleFinally 009e TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 78 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 0C 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7655_0 {
	meta:
		name = "_NF__32F"
		size = 29
	strings:
		$1 = { 56 57 8B 40 0C 8D 70 10 8B FA B9 04 00 00 00 F3 A5 33 C0 89 02 33 C0 89 42 08 5F 5E C3 }
	condition:
		$1
}

rule function_7658_0 {
	meta:
		name = "TBrush.SetBitmap"
		size = 36
		refs = "0006 _NV__325 001a _NF__330"
	strings:
		$1 = { 56 57 83 C4 F0 BE ?? ?? ?? ?? 8B FC B9 04 00 00 00 F3 A5 89 54 24 08 8B D4 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_7660_0 {
	meta:
		name = "TBrush.SetColor"
		size = 49
		refs = "000e _NF__32F 0027 _NF__330"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 89 74 24 04 80 7C 24 0C 01 75 05 C6 44 24 0C 00 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_7661_0 {
	meta:
		name = "TBrush.GetHandle"
		size = 222
		refs = "001a _NV__2A0 001f _NF__2A4 0027 TBrush.GetHandle 009f ColorToRGB 00ab CreateBrushIndirect 00c8 _NF__2A5 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 8B 40 0C 89 45 FC 8B 45 FC 83 78 08 00 0F 85 BB 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 78 08 00 75 7B 8B 45 FC 8B 40 18 85 C0 74 1E C7 45 F0 03 00 00 00 B2 01 8B 08 FF 51 68 8B 45 FC 8B 40 18 8B 10 FF 52 60 89 45 F8 EB 36 33 C0 89 45 F8 8B 45 FC 8A 40 1C 8B D0 80 EA 01 72 04 74 09 EB 10 33 C0 89 45 F0 EB 19 C7 45 F0 01 00 00 00 EB 10 C7 45 F0 02 00 00 00 83 E0 7F 83 E8 02 89 45 F8 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 40 08 8B E5 5D C3 }
	condition:
		$1
}

rule function_7664_0 {
	meta:
		name = "TBrush.SetStyle"
		size = 51
		refs = "000e _NF__32F 0029 _NF__330"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C3 88 44 24 0C 3C 01 75 08 C7 44 24 04 FF FF FF 00 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_7665_0 {
	meta:
		name = "TCanvas.Create"
		size = 188
		refs = "000b @ClassCreate 0018 TObject.Create 0021 InitializeCriticalSection 0028 _DV_TFont 002d TFont.Create 003c _NF__3FB 0049 _DV_TPen 004e TPen.Create 005d _NF__3FC 006a _DV_TBrush 006f TBrush.Create 007e _NF__3FD 0090 TCanvas.Create 009a _NV__2AA 009f TThreadList.Add"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 34 50 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 89 7E 08 C7 46 04 ?? ?? ?? ?? 8D 47 34 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 10 89 7E 08 C7 46 04 ?? ?? ?? ?? 8D 47 34 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 14 89 7E 08 C7 46 04 ?? ?? ?? ?? 8D 47 34 89 46 10 C7 47 20 20 00 CC 00 A0 ?? ?? ?? ?? 88 47 08 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_7666_0 {
	meta:
		name = "TCanvas.Destroy"
		size = 88
		refs = "0009 _NV__2AA 000e TThreadList.Remove 0017 TCanvas.SetHandle 001f TObject.Free 0038 DeleteCriticalSection 0044 TPersistent.Destroy 004f @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8D 46 34 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7667_0 {
	meta:
		name = "TCanvas.Arc"
		size = 88
		refs = "0015 TCanvas.Arc 001c TCanvas.RequiredState 003f Arc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 18 00 00 00 00 05 00 00 00 }
	condition:
		$1
}

rule function_7668_0 {
	meta:
		name = "TCanvas.BrushCopy"
		size = 704
		refs = "0022 TCanvas.Lock 002a TCanvas.BrushCopy 0046 TCanvas.RequiredState 004e TBitmap.GetCanvas 0088 TBitmap.GetTransparentColor 00a4 CreateCompatibleDC 00b4 SelectObject 00c0 _DV_TBitmap 00c5 TBitmap.Create 00de TBitmap.Mask 0130 TBrush.GetStyle 016f TransparentStretchBlt 01ac StretchBlt 01ba SetTextColor 01ce SetBkColor 023c TObject.Free 025a DeleteDC 0260 @HandleFinally 027c TCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D F8 8B F2 89 45 FC 8B 5D 0C 83 7D F8 00 0F 84 8F 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 2B 06 89 45 F0 8B 46 0C 2B 46 04 89 45 EC 8B 7B 08 2B 3B 8B 43 0C 2B 43 04 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 08 75 2C 33 C0 89 45 DC 8B 45 F8 8B 10 FF 52 64 89 45 D8 6A 00 E8 ?? ?? ?? ?? 89 45 E0 8B 45 D8 50 8B 45 E0 50 E8 ?? ?? ?? ?? 89 45 D8 EB 4B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 55 F8 8B 45 DC 8B 08 FF 51 08 8B 55 08 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 40 04 89 45 E0 33 C0 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 3C 01 75 40 8B 45 F0 50 8B 45 EC 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 04 50 8B 03 50 8B 43 04 50 57 8B 45 F4 50 8B 45 E0 50 8B 03 50 8B 43 04 50 8B 4E 04 8B 16 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? E9 AD 00 00 00 68 20 00 CC 00 8B 45 F4 50 57 8B 43 04 50 8B 03 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 04 50 8B 45 EC 50 8B 45 F0 50 8B 46 04 50 8B 06 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 E4 68 FF FF FF 00 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 E8 68 46 07 E2 00 8B 45 F4 50 57 8B 43 04 50 8B 03 50 8B 45 E0 50 8B 45 EC 50 8B 45 F0 50 8B 46 04 50 8B 06 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A 8B 45 DC E8 ?? ?? ?? ?? EB 1C 83 7D D8 00 74 0D 8B 45 D8 50 8B 45 E0 50 E8 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 09 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_7669_0 {
	meta:
		name = "TCanvas.Chord"
		size = 88
		refs = "0015 TCanvas.Chord 001c TCanvas.RequiredState 003f Chord"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 18 00 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_7680_0 {
	meta:
		name = "TCanvas.Pie"
		size = 88
		refs = "0015 TCanvas.Pie 001c TCanvas.RequiredState 003f Pie"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 18 00 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_7670_0 {
	meta:
		name = "TCanvas.CopyRect"
		size = 136
		refs = "001a TCanvas.CopyRect 0021 TCanvas.RequiredState 006b StretchBlt"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 53 20 52 8B 57 0C 2B 57 04 52 8B 57 08 2B 17 52 8B 57 04 52 8B 17 52 8B 55 FC 8B 52 04 52 8B 56 0C 2B 56 04 52 8B 56 08 8B 06 2B D0 52 8B 56 04 52 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 59 5D C2 04 00 00 00 0B 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_7671_0 {
	meta:
		name = "TCanvas.Draw"
		size = 172
		refs = "002f TCanvas.Draw 0036 TCanvas.RequiredState 003e TBrush.GetColor 0043 ColorToRGB 004d SetBkColor 0062 SetTextColor 0086 Rect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 85 F6 0F 84 82 00 00 00 8B C6 8B 10 FF 52 1C 84 C0 75 77 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 43 0C 8B 40 14 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 20 03 45 FC 50 8D 45 EC 50 8B C6 8B 10 FF 52 2C 8B C8 03 CF 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 8B C6 8B 30 FF 56 14 8B C3 8B 10 FF 52 0C 5F 5E 5B 8B E5 5D C2 04 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_7672_0 {
	meta:
		name = "TCanvas.DrawFocusRect"
		size = 52
		refs = "000f TCanvas.DrawFocusRect 0016 TCanvas.RequiredState 0020 DrawFocusRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5E 5B C3 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_7673_0 {
	meta:
		name = "TCanvas.Ellipse"
		size = 72
		refs = "0015 TCanvas.Ellipse 001c TCanvas.RequiredState 002f Ellipse"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 08 00 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_7683_0 {
	meta:
		name = "TCanvas.Rectangle"
		size = 72
		refs = "0015 TCanvas.Rectangle 001c TCanvas.RequiredState 002f Rectangle"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 08 00 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_7674_0 {
	meta:
		name = "TCanvas.FillRect"
		size = 60
		refs = "000f TCanvas.FillRect 0016 TCanvas.RequiredState 001e TBrush.GetHandle 0029 FillRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5E 5B C3 00 09 00 00 00 }
	condition:
		$1
}

rule function_7676_0 {
	meta:
		name = "TCanvas.FrameRect"
		size = 60
		refs = "000f TCanvas.FrameRect 0016 TCanvas.RequiredState 001e TBrush.GetHandle 0029 FrameRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5E 5B C3 00 09 00 00 00 }
	condition:
		$1
}

rule function_7675_0 {
	meta:
		name = "TCanvas.FloodFill"
		size = 80
		refs = "0015 TCanvas.FloodFill 001c TCanvas.RequiredState 0029 _NV__37B 0039 ExtFloodFill"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 45 08 0F B7 04 45 ?? ?? ?? ?? 50 8B 45 0C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 08 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_7677_0 {
	meta:
		name = "TCanvas.LineTo"
		size = 56
		refs = "0012 TCanvas.LineTo 0019 TCanvas.RequiredState 0024 LineTo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B C3 00 05 00 00 00 }
	condition:
		$1
}

rule function_7678_0 {
	meta:
		name = "TCanvas.Lock"
		size = 37
		refs = "0004 _NV__29A 0009 EnterCriticalSection 0016 LeaveCriticalSection"
	strings:
		$1 = { 53 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 4C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 34 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7679_0 {
	meta:
		name = "TCanvas.MoveTo"
		size = 44
		refs = "000b TCanvas.MoveTo 0012 TCanvas.RequiredState 001f MoveToEx"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_7681_0 {
	meta:
		name = "TCanvas.Polygon"
		size = 56
		refs = "0012 TCanvas.Polygon 0019 TCanvas.RequiredState 0025 Polygon"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 47 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B C3 0D 00 00 00 }
	condition:
		$1
}

rule function_7682_0 {
	meta:
		name = "TCanvas.Polyline"
		size = 56
		refs = "0012 TCanvas.Polyline 0019 TCanvas.RequiredState 0025 Polyline"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 47 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B C3 0D 00 00 00 }
	condition:
		$1
}

rule function_7685_0 {
	meta:
		name = "TCanvas.RoundRect"
		size = 80
		refs = "0015 TCanvas.RoundRect 001c TCanvas.RequiredState 0037 RoundRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 10 00 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_7686_0 {
	meta:
		name = "TCanvas.StretchDraw"
		size = 60
		refs = "0016 TCanvas.StretchDraw 001d TCanvas.RequiredState"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 74 26 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 8B 30 FF 56 14 8B C3 8B 10 FF 52 0C 5F 5E 5B C3 00 0F 00 00 00 }
	condition:
		$1
}

rule function_7687_0 {
	meta:
		name = "TCanvas.TextOut"
		size = 112
		refs = "001a TCanvas.TextOut 0021 TCanvas.RequiredState 0028 @LStrLen 0030 @LStrToPChar 003f TextOut 0048 TCanvas.TextWidth 0056 TCanvas.MoveTo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC 50 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 03 D7 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 59 5D C2 04 00 00 00 00 0B 00 00 00 }
	condition:
		$1
}

rule function_7688_0 {
	meta:
		name = "TCanvas.TextRect"
		size = 132
		refs = "0028 TCanvas.TextRect 002f TCanvas.RequiredState 003c TBrush.GetStyle 004c @LStrLen 0054 @LStrToPChar 006b ExtTextOut"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B D8 8B 7D 08 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BE 04 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 3C 01 74 03 83 C6 02 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8D 45 EC 50 56 8B 45 0C 50 8B 45 FC 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 8B E5 5D C2 08 00 00 0B 00 00 00 }
	condition:
		$1
}

rule function_7689_0 {
	meta:
		name = "TCanvas.TextExtent"
		size = 68
		refs = "000b TCanvas.TextExtent 0012 TCanvas.RequiredState 0023 @LStrLen 002b @LStrToPChar 0035 GetTextExtentPoint"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 06 33 C0 89 46 04 56 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_7690_0 {
	meta:
		name = "TCanvas.TextWidth"
		size = 28
		refs = "0010 TCanvas.TextExtent"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7691_0 {
	meta:
		name = "TCanvas.TextHeight"
		size = 29
		refs = "0010 TCanvas.TextExtent"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7692_0 {
	meta:
		name = "TCanvas.TryLock"
		size = 90
		refs = "0008 _NV__29A 000d EnterCriticalSection 0015 TCanvas.TryLock 0030 TCanvas.Lock 0047 LeaveCriticalSection 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 4C 00 0F 94 45 FF 80 7D FF 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8A 45 FF 5B 59 5D C3 }
	condition:
		$1
}

rule function_7693_0 {
	meta:
		name = "TCanvas.Unlock"
		size = 37
		refs = "0008 LeaveCriticalSection 000d _NV__29A 0012 EnterCriticalSection"
	strings:
		$1 = { 53 8B D8 8D 43 34 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4B 4C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7694_0 {
	meta:
		name = "TCanvas.SetFont"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 0C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_7695_0 {
	meta:
		name = "TCanvas.SetPen"
		size = 9
		altNames = "TSeriesPointer.SetPen"
	strings:
		$1 = { 8B 40 10 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_7696_0 {
	meta:
		name = "TCanvas.SetBrush"
		size = 9
		altNames = "TSeriesMarks.SetFont TSeriesPointer.SetBrush"
	strings:
		$1 = { 8B 40 14 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_7697_0 {
	meta:
		name = "TCanvas.GetPenPos"
		size = 36
		refs = "0008 TCanvas.GetPenPos 000f TCanvas.RequiredState 0019 GetCurrentPositionEx"
	strings:
		$1 = { 53 56 8B F2 8B D8 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 8B 43 04 50 E8 ?? ?? ?? ?? 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_7701_0 {
	meta:
		name = "TCanvas.GetClipRect"
		size = 36
		refs = "0008 TCanvas.GetClipRect 000f TCanvas.RequiredState 0019 GetClipBox"
	strings:
		$1 = { 53 56 8B F2 8B D8 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 8B 43 04 50 E8 ?? ?? ?? ?? 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_7698_0 {
	meta:
		name = "TCanvas.SetPenPos"
		size = 29
		refs = "0014 TCanvas.MoveTo"
	strings:
		$1 = { 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B 4C 24 04 8B 14 24 E8 ?? ?? ?? ?? 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_7699_0 {
	meta:
		name = "TCanvas.GetPixel"
		size = 44
		refs = "000b TCanvas.GetPixel 0012 TCanvas.RequiredState 001d GetPixel"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_7700_0 {
	meta:
		name = "TCanvas.SetPixel"
		size = 72
		refs = "0015 TCanvas.SetPixel 001c TCanvas.RequiredState 0024 ColorToRGB 0030 SetPixel"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 04 00 00 00 05 00 00 00 }
	condition:
		$1
}

rule function_7702_0 {
	meta:
		name = "TCanvas.GetHandle"
		size = 32
		refs = "000c TCanvas.GetHandle 0013 TCanvas.RequiredState"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 04 5B C3 0F 00 00 00 }
	condition:
		$1
}

rule function_7703_0 {
	meta:
		name = "_NF__3EA"
		size = 92
		refs = "000c _NF__3EA 001d _NV__295 0024 SelectObject 0029 _NV__296 0038 _NV__297"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 85 F6 74 48 A0 ?? ?? ?? ?? F7 D0 22 43 08 8A 53 08 3A D0 74 37 A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? F7 D0 22 43 08 88 43 08 5E 5B C3 00 00 0E 00 00 00 }
	condition:
		$1
}

rule function_7705_0 {
	meta:
		name = "TCanvas.SetHandle"
		size = 84
		refs = "0017 _NF__3EA 0020 TCanvas.GetPenPos 004b TCanvas.SetPenPos"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B 43 04 3B F0 74 3F 85 C0 74 26 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 43 18 8B 44 24 04 89 43 1C 33 C0 89 43 04 80 63 08 FE 85 F6 74 11 80 4B 08 01 89 73 04 8D 53 18 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7706_0 {
	meta:
		name = "TCanvas.RequiredState"
		size = 200
		refs = "0016 TCanvas.RequiredState 0047 SNoCanvasHandle 004c LoadResString 0056 _Dn_EInvalidOperation 005b Exception.Create 0060 @RaiseExcept 006c _NF__3F7 0078 _NF__3F9 0080 TPen.GetStyle 0094 _NF__3FA 00af @LStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 5E 08 F7 D3 22 5D FF A0 ?? ?? ?? ?? 3A C3 74 6D F6 C3 01 74 2E 8B C6 8B 10 FF 52 14 83 7E 04 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 C3 02 74 07 8B C6 E8 ?? ?? ?? ?? F6 C3 04 74 17 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 48 2C 04 73 03 80 CB 08 F6 C3 08 74 07 8B C6 E8 ?? ?? ?? ?? 0A 5E 08 88 5E 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7709_0 {
	meta:
		name = "_NF__3F7"
		size = 44
		refs = "0007 TFont.GetHandle 0011 SelectObject 001c ColorToRGB 0026 SetTextColor"
	strings:
		$1 = { 53 8B D8 8B 43 0C E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 43 0C 8B 40 14 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7710_0 {
	meta:
		name = "_NF__3F9"
		size = 48
		refs = "0007 TPen.GetHandle 0011 SelectObject 0020 _NV__3F8 002a SetROP2"
	strings:
		$1 = { 53 8B D8 8B 43 10 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 43 10 0F B6 40 14 0F B7 04 45 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7711_0 {
	meta:
		name = "_NF__3FA"
		size = 121
		refs = "0007 TBrush.GetHandle 000d UnrealizeObject 001f SelectObject 0027 TBrush.GetStyle 0033 TBrush.GetColor 0038 ColorToRGB 0042 SetBkColor 004d SetBkMode"
	strings:
		$1 = { 53 8B D8 8B 43 14 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 84 C0 75 24 8B 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 6A 02 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 8B 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D0 50 8B 43 04 50 E8 ?? ?? ?? ?? 6A 01 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7712_0 {
	meta:
		name = "_NF__3FB"
		size = 30
		refs = "000e _NV__297 0018 SelectObject"
	strings:
		$1 = { 53 8B D8 F6 43 08 02 74 13 80 63 08 FD A1 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7713_0 {
	meta:
		name = "_NF__3FC"
		size = 30
		refs = "000e _NV__295 0018 SelectObject"
	strings:
		$1 = { 53 8B D8 F6 43 08 04 74 13 80 63 08 FB A1 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7714_0 {
	meta:
		name = "_NF__3FD"
		size = 30
		refs = "000e _NV__296 0018 SelectObject"
	strings:
		$1 = { 53 8B D8 F6 43 08 08 74 13 80 63 08 F7 A1 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7721_0 {
	meta:
		name = "_NF__40A"
		size = 168
		refs = "0016 _NF__40A 0021 GetLastError 0047 FormatMessage 0061 @LStrFromArray 006e _Dn_EOutOfResources 0073 Exception.Create 0078 @RaiseExcept 007f _NF__409 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 33 C0 89 85 FC FE FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 85 DB 74 53 6A 00 68 00 01 00 00 8D 85 00 FF FF FF 50 68 00 04 00 00 53 6A 00 68 00 10 00 00 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 85 FC FE FF FF 8D 95 00 FF FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 8D FC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7722_0 {
	meta:
		name = "_NF__40B"
		size = 16
		refs = "0008 _NF__40A"
	strings:
		$1 = { 53 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_14712_0 {
	meta:
		name = "Win32Check"
		size = 16
		refs = "0008 RaiseLastWin32Error"
	strings:
		$1 = { 53 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_7723_0 {
	meta:
		name = "_NF__40C"
		size = 351
		refs = "0018 CreateCompatibleDC 002d _NF__40C 0042 GetObject 0059 CreateBitmap 0065 GetDC 0073 _NF__40A 0092 CreateCompatibleBitmap 00b8 ReleaseDC 00be @HandleFinally 00d3 SelectObject 010e StretchBlt 0140 DeleteDC"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F2 8D 7D F4 A5 A5 8B D9 89 45 FC 6A 00 E8 ?? ?? ?? ?? 89 45 E8 6A 00 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CC 50 6A 18 8B 45 FC 50 E8 ?? ?? ?? ?? 84 DB 74 18 6A 00 6A 01 6A 01 8B 45 F8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 EB 62 6A 00 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 45 F4 50 8B 45 EC 50 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 83 7D F0 00 74 64 8B 45 FC 50 8B 45 E8 50 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B F0 68 20 00 CC 00 8B 45 D4 50 8B 45 D0 50 6A 00 6A 00 8B 45 E8 50 8B 45 F8 50 8B 45 F4 50 6A 00 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 85 DB 74 0A 53 8B 45 E8 50 E8 ?? ?? ?? ?? 85 F6 74 0A 56 8B 45 E4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7724_0 {
	meta:
		name = "_NF__40D"
		size = 32
	strings:
		$1 = { 8B D0 66 FF CA 74 0C 66 83 EA 03 74 06 66 83 EA 04 75 0A 8B C8 B8 01 00 00 00 D3 E0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_7725_0 {
	meta:
		name = "_NF__40E"
		size = 20
	strings:
		$1 = { 49 F7 EA 03 C1 F7 D1 23 C1 85 C0 79 03 83 C0 07 C1 F8 03 C3 }
	condition:
		$1
}

rule function_7726_0 {
	meta:
		name = "TransparentStretchBlt"
		size = 659
		refs = "001c Win32Platform 0044 CreateCompatibleBitmap 0049 _NF__40B 0059 SelectObject 0064 TransparentStretchBlt 0079 MakeROP4 00a8 MaskBlt 00ce DeleteObject 00d4 @HandleFinally 00e2 CreateCompatibleDC 0122 SystemPalette16 012c SelectPalette 0175 RealizePalette 0197 StretchBlt 01c1 SetTextColor 01cf SetBkColor 027b DeleteDC"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F8 89 55 FC 8B F8 8B 75 14 8B 5D 18 C6 45 F7 01 A1 ?? ?? ?? ?? 83 38 02 0F 85 B1 00 00 00 3B 5D 2C 0F 85 A8 00 00 00 3B 75 28 0F 85 9F 00 00 00 6A 01 6A 01 8B 45 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 10 50 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 20 00 CC 00 B8 29 00 AA 00 E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 45 0C 50 8B 45 EC 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 28 50 8B 45 2C 50 8B 45 F8 50 8B 45 FC 50 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 10 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 89 45 DC 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 53 8B 45 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 E8 6A 00 A1 ?? ?? ?? ?? 50 8B 45 24 50 E8 ?? ?? ?? ?? 89 45 DC 6A 00 8B 45 DC 50 8B 45 24 50 E8 ?? ?? ?? ?? 83 7D DC 00 74 14 6A FF 8B 45 DC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 DC EB 14 6A FF A1 ?? ?? ?? ?? 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 DC 8B 45 F0 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 56 53 8B 45 08 50 8B 45 0C 50 8B 45 10 50 56 53 6A 00 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 68 28 03 44 00 56 53 8B 45 1C 50 8B 45 20 50 8B 45 24 50 56 53 6A 00 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 6A 00 57 E8 ?? ?? ?? ?? 89 45 E4 68 FF FF FF 00 57 E8 ?? ?? ?? ?? 89 45 E0 68 C6 00 88 00 56 53 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 28 50 8B 45 2C 50 8B 45 F8 50 8B 45 FC 50 57 E8 ?? ?? ?? ?? 68 46 00 66 00 56 53 6A 00 6A 00 8B 45 F0 50 8B 45 28 50 8B 45 2C 50 8B 45 F8 50 8B 45 FC 50 57 E8 ?? ?? ?? ?? 8B 45 E4 50 57 E8 ?? ?? ?? ?? 8B 45 E0 50 57 E8 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0F 6A 00 8B 45 DC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8A 45 F7 5F 5E 5B 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule function_7727_0 {
	meta:
		name = "_NF__421"
		size = 50
	strings:
		$1 = { 53 56 57 8B F0 8B FE BA FF 00 00 00 8D 04 97 8D 0C 52 8D 0C 0E 8A 59 02 88 58 02 8A 59 01 88 58 01 8A 09 88 08 C6 40 03 00 4A 85 D2 75 DE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7728_0 {
	meta:
		name = "_NF__422"
		size = 120
		refs = "0065 @FillChar"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 14 24 8B F0 89 74 24 04 8B 3C 24 8B 3F 4F 85 FF 7E 26 B9 01 00 00 00 8B 44 24 04 8D 04 88 8D 14 49 8D 14 16 8A 58 02 88 5A 02 8A 58 01 88 5A 01 8A 00 88 02 41 4F 75 DF 8B 04 24 81 38 00 01 00 00 7D 28 8B 04 24 BA 00 01 00 00 2B 10 8D 14 52 8B 04 24 8B 00 8D 04 40 8D 04 06 33 C9 E8 ?? ?? ?? ?? 8B 04 24 C7 00 00 01 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7729_0 {
	meta:
		name = "_NF__423"
		size = 85
		refs = "0011 GetSystemInfo"
	strings:
		$1 = { 55 8B EC 83 C4 D4 89 55 F8 89 45 FC 8D 45 D4 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F8 49 78 33 8D 45 D4 66 83 78 20 03 74 10 8B 04 8A 0F C8 C1 E8 08 89 04 8A 49 75 F2 EB 19 53 31 DB 8B 04 8A 88 C7 88 E3 C1 E8 10 C1 E3 08 88 C3 89 1C 8A 49 75 E9 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7730_0 {
	meta:
		name = "_NF__424"
		size = 277
		refs = "0028 Move 002f GetDC 003a _NF__424 004b GetDeviceCaps 006a GetSystemPaletteEntries 00f8 ReleaseDC 00fe @HandleFinally 010c CreatePalette"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FB FF FF 53 66 C7 85 F8 FB FF FF 00 03 66 C7 85 FA FB FF FF 10 00 8D 95 FC FB FF FF B9 40 00 00 00 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 68 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 83 FB 10 0F 8C 8A 00 00 00 8D 85 FC FB FF FF 50 6A 08 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 81 BD 18 FC FF FF C0 C0 C0 00 75 4C 8D 85 18 FC FF FF 50 6A 01 8B C3 83 E8 08 50 8B 45 FC 50 E8 ?? ?? ?? ?? 0F B7 85 FA FB FF FF 8D 84 85 E0 FB FF FF 50 6A 07 83 EB 07 53 8B 45 FC 50 E8 ?? ?? ?? ?? 8D 85 1C FC FF FF 50 6A 01 6A 07 8B 45 FC 50 E8 ?? ?? ?? ?? EB 1E 0F B7 85 FA FB FF FF 8D 84 85 DC FB FF FF 50 6A 08 83 EB 08 53 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8D 85 F8 FB FF FF 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7731_0 {
	meta:
		name = "_NF__425"
		size = 149
		refs = "000f SystemPalette16 0019 GetDC 0024 _NF__425 0035 GetDeviceCaps 004d GetPaletteEntries 0081 ReleaseDC 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 C6 45 FF 00 83 3D ?? ?? ?? ?? 00 74 77 6A 00 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 68 8B 45 F8 50 E8 ?? ?? ?? ?? 83 F8 10 7C 2F 8D 43 04 50 6A 08 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B7 43 02 8D 44 83 E4 50 6A 08 6A 08 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7732_0 {
	meta:
		name = "_NF__426"
		size = 161
		refs = "001a CreateCompatibleDC 0023 SelectObject 0037 GetDIBColorTable 0049 DeleteDC 005e Move 0075 _NF__425 0087 _NF__423 008f CreatePalette"
	strings:
		$1 = { 53 56 57 81 C4 FC FB FF FF 8B F8 33 F6 66 C7 04 24 00 03 85 FF 74 38 6A 00 E8 ?? ?? ?? ?? 8B D8 57 53 E8 ?? ?? ?? ?? 8B F8 8D 44 24 04 50 68 00 01 00 00 6A 00 53 E8 ?? ?? ?? ?? 66 89 44 24 02 57 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? EB 13 66 89 4C 24 02 8B C2 8D 54 24 04 C1 E1 02 E8 ?? ?? ?? ?? 66 83 7C 24 02 00 74 2B 66 83 7C 24 02 10 75 0B 8B C4 E8 ?? ?? ?? ?? 84 C0 75 0E 0F B7 54 24 02 8D 44 24 04 E8 ?? ?? ?? ?? 8B C4 50 E8 ?? ?? ?? ?? 8B F0 8B C6 81 C4 04 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7733_0 {
	meta:
		name = "_NF__427"
		size = 81
		refs = "0018 GetObject 003b GetPaletteEntries 0045 _NF__423"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 33 C0 89 04 24 85 DB 74 36 54 6A 04 53 E8 ?? ?? ?? ?? 85 C0 74 29 83 3C 24 00 74 23 8D 47 01 3B 04 24 7D 03 89 04 24 56 8B 44 24 04 50 6A 00 53 E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7734_0 {
	meta:
		name = "_NF__428"
		size = 462
		refs = "0014 GetSystemMetrics 003e _NF__40E 0056 _NF__40D 005f GetDC 006d _NF__409 0075 _NF__428 00a6 CreateDIBitmap 00ab _NF__40B 00c9 _NF__40C 00e1 DeleteObject 00e7 @HandleFinally 01bb ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F8 8B DA 89 45 FC 6A 0B E8 ?? ?? ?? ?? 89 45 E4 6A 0C E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC D1 68 08 8B 55 FC 0F B7 52 0E 8B 45 FC 8B 40 04 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC F7 6A 08 8B 55 FC 89 42 14 8B 45 FC 66 8B 40 0E E8 ?? ?? ?? ?? 8B F0 6A 00 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 7D FC 8B C7 83 C0 28 8B D6 C1 E2 02 03 C2 89 45 EC 6A 00 8B 45 FC 57 8B 45 EC 50 6A 04 8B 45 FC 50 8B 45 F0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 89 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 8B 40 14 01 45 EC 8B 45 FC 66 BB 01 00 66 89 58 0E 8B 45 FC 0F B7 D3 8B 45 FC 8B 40 04 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC F7 6A 08 8B 55 FC 89 42 14 8B 45 FC C7 40 20 02 00 00 00 8B 45 FC C7 40 24 02 00 00 00 8B 45 FC 83 C0 28 33 D2 89 10 C7 40 04 FF FF FF 00 6A 00 8B 5D FC 53 8B 45 EC 50 6A 04 8B 45 FC 53 8B 45 F0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7735_0 {
	meta:
		name = "_NF__429"
		size = 704
		refs = "001f AllocMem 0028 _NF__429 004b GetSystemMetrics 005f GetDC 006d _NF__409 0086 GetDeviceCaps 00cc ReleaseDC 00d2 @HandleFinally 0190 _NF__428 019f GetObject 01ff GetBitmapBits 0216 DeleteObject 0236 HInstance 023e CreateIcon 0250 _NF__40A 0268 @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 C1 E0 04 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 F0 55 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 64 89 25 00 00 00 00 8B 55 F0 8B 4D EC 8B 45 FC 8B 18 FF 53 04 6A 0B E8 ?? ?? ?? ?? 89 45 D8 6A 0C E8 ?? ?? ?? ?? 89 45 DC 6A 00 E8 ?? ?? ?? ?? 89 45 D4 83 7D D4 00 75 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 0E 8B 45 D4 50 E8 ?? ?? ?? ?? 8B D8 6A 0C 8B 45 D4 50 E8 ?? ?? ?? ?? 66 0F AF D8 8B C3 66 83 F8 18 75 08 66 C7 45 E6 00 00 EB 0D 8B C8 66 B8 01 00 66 D3 E0 66 89 45 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 83 CE FF 33 C0 89 45 E0 8B 4D F4 49 85 C9 7C 42 41 33 C0 8B D0 03 D2 8B 5D F0 0F B7 54 D3 02 0F B7 7D E6 3B D7 75 04 8B F0 EB 27 83 FE FF 75 17 3B FA 7C 1A 8B F0 8B D0 03 D2 8B 5D F0 0F B7 54 D3 02 89 55 E0 EB 07 3B 55 E0 7E 02 8B F0 40 49 75 C1 83 FE FF 75 02 33 F6 8B C6 03 C0 8B 55 F0 8D 04 C2 89 45 BC 8B 45 BC 8B 40 08 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 BC 8B 50 0C 8B 45 EC 03 45 08 2B D0 66 B9 01 00 8B 45 FC 8B 18 FF 53 0C 8B 45 BC 8B 48 08 8B 5D D0 8B D3 8B 45 FC 8B 30 FF 56 04 8D 4D C4 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8D 45 8C 50 6A 18 8B 45 C4 50 E8 ?? ?? ?? ?? 8D 45 A4 50 6A 18 8B 45 C8 50 E8 ?? ?? ?? ?? 8B 5D 98 0F AF 5D 94 0F B7 45 9C 0F AF D8 8B 45 B0 F7 6D AC 0F B7 55 B4 F7 EA 89 45 C0 8B 45 C0 03 C3 89 45 E8 8B 45 E8 E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7D CC 8B 75 CC 03 F3 57 53 8B 45 C4 50 E8 ?? ?? ?? ?? 56 8B 45 C0 50 8B 45 C8 50 E8 ?? ?? ?? ?? 8B 45 C8 50 E8 ?? ?? ?? ?? 8B 45 C4 50 E8 ?? ?? ?? ?? 56 57 8A 45 B6 50 8A 45 B4 50 8B 45 DC 50 8B 45 D8 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B 55 F8 89 02 8B 45 F8 83 38 00 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E8 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 BC 8B 50 08 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7736_0 {
	meta:
		name = "_NF__42A"
		size = 22
	strings:
		$1 = { 33 C9 8B D0 83 C0 14 EB 06 66 33 0A 83 C2 02 3B D0 7C F6 8B C1 C3 }
	condition:
		$1
}

rule function_7737_0 {
	meta:
		name = "_NF__42B"
		size = 213
		refs = "0015 GetObject 001e _NF__406 004b @FillChar 00ba _NF__40E"
	strings:
		$1 = { 53 56 57 83 C4 AC 8B F1 8B DA 33 D2 89 54 24 18 54 6A 54 50 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 3F 83 F8 40 7C 18 83 7C 24 18 28 7C 11 56 8B FB 8D 74 24 1C B9 0A 00 00 00 F3 A5 5E EB 22 8B C3 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? C7 03 28 00 00 00 8B 44 24 04 89 43 04 8B 44 24 08 89 43 08 85 F6 74 2C 83 EE 02 74 0F 83 EE 0E 74 12 81 EE F0 00 00 00 74 12 EB 26 66 C7 43 0E 01 00 EB 1E 66 C7 43 0E 04 00 EB 16 66 C7 43 0E 08 00 EB 0E 66 8B 44 24 12 66 F7 6C 24 10 66 89 43 0E 66 C7 43 0C 01 00 83 7B 14 00 75 21 0F B7 53 0E 8B 43 04 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B 43 08 99 33 C2 2B C2 0F AF C8 89 4B 14 83 C4 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7738_0 {
	meta:
		name = "_NF__42C"
		size = 80
		refs = "0013 _NF__42B"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B F1 8B DA 8D 55 D8 8B 4D 08 E8 ?? ?? ?? ?? 66 8B 45 E6 66 83 F8 08 76 11 C7 03 28 00 00 00 F6 45 E8 03 74 16 83 03 0C EB 11 8B C8 B8 01 00 00 00 D3 E0 C1 E0 02 83 C0 28 89 03 8B 45 EC 89 06 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7740_0 {
	meta:
		name = "_NF__431"
		size = 176
		refs = "0017 _NF__42B 0023 CreateCompatibleDC 002e _NF__431 0044 SelectPalette 0050 RealizePalette 0067 GetDIBits 0098 DeleteDC 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B FA 8B F0 8B D3 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 F8 6A 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 18 6A 00 57 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F4 50 E8 ?? ?? ?? ?? 6A 00 53 8B 45 0C 50 8B 43 08 50 6A 00 56 8B 45 F4 50 E8 ?? ?? ?? ?? 85 C0 0F 95 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0F 6A 00 8B 45 F8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8A 45 FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7743_0 {
	meta:
		name = "_NF__438"
		size = 10
		refs = "0005 _NF__437"
	strings:
		$1 = { 85 C0 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8367_0 {
	meta:
		name = "_NF__291"
		size = 10
		refs = "0005 _NF__290"
	strings:
		$1 = { 85 C0 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7744_0 {
	meta:
		name = "_NF__439"
		size = 508
		refs = "001b @FillChar 0034 GetIconInfo 0039 _NF__438 0041 _NF__439 0057 _NF__42C 0091 AllocMem 00c8 _NF__431 01a1 @FreeMem 01c8 @HandleFinally 01e0 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 88 4D FF 8B F2 8B D8 8D 45 D6 33 C9 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 50 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 02 8D 4D F0 8D 55 F8 8B 45 C8 E8 ?? ?? ?? ?? 6A 10 8D 4D EC 8D 55 F4 8B 45 CC E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 C0 89 45 E4 33 C0 89 45 E0 33 C0 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E4 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E0 8B 45 EC E8 ?? ?? ?? ?? 89 45 DC 8B 45 E4 50 6A 02 8B 4D E8 33 D2 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 DC 50 6A 10 8B 4D E0 33 D2 8B 45 CC E8 ?? ?? ?? ?? 80 7D FF 00 74 1E 8B 45 F4 83 C0 16 03 45 EC 03 45 F0 89 45 D0 8D 55 D0 B9 04 00 00 00 8B C3 8B 30 FF 56 08 66 C7 45 D8 01 00 66 C7 45 DA 01 00 8D 55 D6 B9 06 00 00 00 8B C3 8B 30 FF 56 08 8B 75 E0 8B C6 8A 50 04 88 55 AC 8A 50 08 88 55 AD 66 8B 50 0C 66 0F AF 50 0E 66 89 55 AE 8B 45 F4 03 45 EC 03 45 F0 89 45 B4 C7 45 B8 16 00 00 00 8D 55 AC B9 10 00 00 00 8B C3 8B 38 FF 57 08 8B C6 8B 50 08 01 50 08 8B 55 E0 8B 4D F4 8B C3 8B 30 FF 56 08 8B 55 DC 8B 4D EC 8B C3 8B 30 FF 56 08 8B 55 E4 8B 4D F0 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 DC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC 50 E8 ?? ?? ?? ?? 8B 45 C8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7746_0 {
	meta:
		name = "TGraphic.Changed"
		size = 24
	strings:
		$1 = { 53 C6 40 14 01 66 83 78 06 00 74 0A 8B D8 8B D0 8B 43 08 FF 53 04 5B C3 }
	condition:
		$1
}

rule function_7747_0 {
	meta:
		name = "_NF__440"
		size = 87
		refs = "001d _DV_TGraphic 0022 @IsClass"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 1C 00 74 37 8B 45 08 8B 40 FC 8B 58 1C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 08 8B D3 8B 45 08 8B 40 F8 8B 08 FF 51 18 84 C0 74 04 33 C0 EB 12 B0 01 5B 5D C3 8B 45 08 8B 40 F8 8B 10 FF 52 1C 34 01 5B 5D C3 }
	condition:
		$1
}

rule function_7748_0 {
	meta:
		name = "TGraphic.DefineProperties"
		size = 76
		refs = "0023 _NF__440 002b TGraphic.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 8B 00 8B 40 30 50 8B 45 F8 50 8B 00 8B 40 44 50 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_7749_0 {
	meta:
		name = "TGraphic.Equals"
		size = 322
		refs = "0014 TObject.ClassType 0075 _Dn_TMemoryStream 007a TObject.Create 0085 TGraphic.Equals 00c4 TStream.GetSize 00ed CompareMem 010f TObject.Free 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8B D8 85 F6 74 14 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 74 04 33 C0 EB 02 B0 01 88 45 FF 8B C3 8B 10 FF 52 1C 84 C0 75 0B 8B C6 8B 10 FF 52 1C 84 C0 74 24 8B C3 8B 10 FF 52 1C 84 C0 74 0B 8B C6 8B 10 FF 52 1C 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FF E9 D0 00 00 00 80 7D FF 00 0F 84 C6 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 8B 08 FF 51 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B C6 8B 08 FF 51 44 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 75 1F 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 45 F4 8B 50 04 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7751_0 {
	meta:
		name = "TGraphic.GetTransparent"
		size = 4
	strings:
		$1 = { 8A 40 15 C3 }
	condition:
		$1
}

rule function_7752_0 {
	meta:
		name = "TGraphic.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TGraphic.LoadFromFile 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_7753_0 {
	meta:
		name = "TGraphic.Progress"
		size = 40
	strings:
		$1 = { 55 8B EC 53 66 83 78 0E 00 74 18 8A 5D 14 53 8A 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 43 10 FF 53 0C 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_7754_0 {
	meta:
		name = "TGraphic.ReadData"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 50 5E C3 }
	condition:
		$1
}

rule function_7755_0 {
	meta:
		name = "TGraphic.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TGraphic.SaveToFile 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_7757_0 {
	meta:
		name = "TGraphic.SetModified"
		size = 17
	strings:
		$1 = { 84 D2 74 08 8B D0 8B 08 FF 51 10 C3 C6 40 14 00 C3 }
	condition:
		$1
}

rule function_7758_0 {
	meta:
		name = "TGraphic.SetTransparent"
		size = 16
	strings:
		$1 = { 3A 50 15 74 0A 88 50 15 8B D0 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_7759_0 {
	meta:
		name = "TGraphic.WriteData"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 54 5E C3 }
	condition:
		$1
}

rule function_7760_0 {
	meta:
		name = "_NF__46C"
		size = 288
		refs = "000f @ClassCreate 001b _NF__46C 002a TObject.Create 0031 _DV_TMetafile 003a SVMetafiles 003f LoadResString 004e _NF__46E 005e SVEnhMetafiles 0079 _DV_TIcon 0082 SVIcons 009d _DV_TBitmap 00a6 SVBitmaps 00cf @LStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 FF FF FF FF 03 00 00 00 77 6D 66 00 FF FF FF FF 03 00 00 00 65 6D 66 00 FF FF FF FF 03 00 00 00 69 63 6F 00 FF FF FF FF 03 00 00 00 62 6D 70 00 }
	condition:
		$1
}

rule function_7761_0 {
	meta:
		name = "_NF__46D"
		size = 73
		refs = "0018 TList.Get 001e _NT__469 0023 @Dispose 0033 TList.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B 6F 08 4D 85 ED 7C 1B 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4D 75 E8 8B D3 80 E2 FE 8B C7 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7762_0 {
	meta:
		name = "_NF__46E"
		size = 147
		refs = "001a _NF__46E 0026 _NT__469 0030 @New 003f AnsiLowerCase 004a @LStrAsg 0069 TList.Add 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 10 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B DE 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 43 04 E8 ?? ?? ?? ?? 8B 45 08 89 03 8D 43 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 0C 89 43 0C 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7763_0 {
	meta:
		name = "_NF__46F"
		size = 151
		refs = "0017 @LStrAddRef 001f _NF__46F 0030 AnsiLowerCase 003b @LStrLAsg 004d TList.Get 005a @LStrCmp 0082 @LStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 5F 08 4B 83 FB 00 7C 22 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B 46 04 8B 55 FC E8 ?? ?? ?? ?? 75 04 8B 1E EB 08 4B 83 FB FF 75 DE 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7764_0 {
	meta:
		name = "_NF__470"
		size = 142
		refs = "001a _NF__470 0032 TList.Get 0041 TObject.ClassName 004f @LStrFromString 005a @LStrCmp 0079 @LStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 83 FB 00 7C 39 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 30 8D 95 F8 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 74 08 4B 83 FB FF 75 C7 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7765_0 {
	meta:
		name = "_NF__471"
		size = 74
		refs = "0016 TList.Get 0021 TObject.InheritsFrom 002b _NT__469 0032 @Dispose 003b TList.Delete"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 5F 08 4B 83 FB 00 7C 34 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B D5 8B 06 E8 ?? ?? ?? ?? 84 C0 74 16 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 CC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7766_0 {
	meta:
		name = "_NF__472"
		size = 480
		refs = "001a _NF__472 0027 @LStrClr 004e TList.Get 005a TObject.InheritsFrom 0082 @LStrCat 00a9 LoadStr 00b4 @LStrAsg 00e2 FmtStr 0127 sAllFilter 012c LoadResString 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D F0 8B F9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 45 FC 8B 70 08 4E 83 FE 00 0F 8C D3 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 55 F8 8B 03 E8 ?? ?? ?? ?? 84 C0 0F 84 AB 00 00 00 83 7B 04 00 0F 84 A1 00 00 00 8B C3 8B D8 83 7D F4 00 74 1C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 83 7B 08 00 75 1C 83 7B 0C 00 74 16 8D 55 F0 8B 43 0C E8 ?? ?? ?? ?? 8B 55 F0 8D 43 08 E8 ?? ?? ?? ?? 6A 02 8B 07 89 45 D8 C6 45 DC 0B 8B 43 08 89 45 E0 C6 45 E4 0B 8B 43 04 89 45 E8 C6 45 EC 0B 8D 4D D8 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8B 45 08 8B 00 89 45 C8 C6 45 CC 0B 8B 43 04 89 45 D0 C6 45 D4 0B 8D 4D C8 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 4E 83 FE FF 0F 85 2D FF FF FF 83 7D F4 01 7E 3D 6A 02 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 89 45 D8 C6 45 DC 0B 8B 45 08 8B 00 89 45 E0 C6 45 E4 0B 8B 07 89 45 E8 C6 45 EC 0B 8D 4D D8 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 FF FF FF FF 01 00 00 00 7C 00 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 FF FF FF FF 12 00 00 00 25 73 25 73 20 28 2A 2E 25 73 29 7C 2A 2E 25 32 3A 73 00 00 FF FF FF FF 06 00 00 00 25 73 2A 2E 25 73 00 00 FF FF FF FF 0F 00 00 00 25 73 20 28 25 73 29 7C 25 31 3A 73 7C 25 73 00 }
	condition:
		$1
}

rule function_7767_0 {
	meta:
		name = "_NF__475"
		size = 118
		refs = "000a @ClassCreate 0015 _Dn_TList 001a TObject.Create 0032 _DV_TMetafile 003d _NF__477 0054 _DV_TBitmap"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B 0D ?? ?? ?? ?? 66 BA 03 00 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 66 BA 0E 00 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 66 BA 02 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7768_0 {
	meta:
		name = "_NF__476"
		size = 38
		refs = "000a TObject.Free 001d @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7769_0 {
	meta:
		name = "_NF__477"
		size = 100
		refs = "0015 TList.Add 0020 _NF__477 0043 @HandleAnyException 0051 TList.Delete 0056 @RaiseAgain 005b @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC 8B 40 04 8B D1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 D3 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7770_0 {
	meta:
		name = "_NF__478"
		size = 58
		refs = "0019 TList.Get"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 08 8B 58 08 4B 83 FB 00 7C 21 8B D3 8B 46 08 E8 ?? ?? ?? ?? 66 3B F8 75 0C 8B D3 8B 46 04 E8 ?? ?? ?? ?? EB 08 4B 83 FB FF 75 DF 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7771_0 {
	meta:
		name = "_NF__479"
		size = 70
		refs = "0019 TList.Get 0020 TObject.InheritsFrom 002e TList.Delete"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 8B 58 08 4B 83 FB 00 7C 2F 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 84 C0 74 14 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B D3 8B 46 08 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7774_0 {
	meta:
		name = "TPicture.Create"
		size = 56
		refs = "000a @ClassCreate 0017 TObject.Create 001c _NF__47C 0021 _NF__47D"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7776_0 {
	meta:
		name = "TPicture.AssignTo"
		size = 52
		refs = "0009 TObject.ClassType 0013 @IsClass 002d TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 53 04 8B C6 8B 08 FF 51 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7777_0 {
	meta:
		name = "_NF__487"
		size = 98
		refs = "000f @IsClass 001a TObject.Free 0039 @FindDynaInst 005a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 04 8B C6 8B D7 E8 ?? ?? ?? ?? 84 C0 75 47 8B C6 E8 ?? ?? ?? ?? 33 C0 89 43 04 B2 01 8B C7 FF 50 0C 8B F0 89 73 04 89 5E 08 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 89 46 04 89 5E 10 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 89 46 0C 8B D3 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7778_0 {
	meta:
		name = "TPicture.GetBitmap"
		size = 21
		refs = "0005 _DV_TBitmap 000c _NF__487"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_7779_0 {
	meta:
		name = "TPicture.GetIcon"
		size = 21
		refs = "0005 _DV_TIcon 000c _NF__487"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_7780_0 {
	meta:
		name = "TPicture.GetMetafile"
		size = 21
		refs = "0005 _DV_TMetafile 000c _NF__487"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_7784_0 {
	meta:
		name = "TPicture.SetGraphic"
		size = 171
		refs = "0016 TObject.ClassType 003a @FindDynaInst 0060 TPicture.SetGraphic 006e TObject.Free 0081 @CallDynaInst 0090 @HandleAnyException 009d @RaiseAgain 00a2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 33 C0 89 45 FC 85 F6 74 49 8B C6 E8 ?? ?? ?? ?? B2 01 FF 50 0C 89 45 FC 8B D6 8B 45 FC 8B 08 FF 51 08 8B 45 FC 89 58 08 50 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 8B D0 58 89 50 04 8B 45 FC 89 58 10 50 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 8B D0 58 89 50 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 8B 45 FC 89 43 04 8B D3 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7785_0 {
	meta:
		name = "TPicture.LoadFromFile"
		size = 304
		refs = "0018 TPicture.LoadFromFile 0028 ExtractFileExt 003a @LStrDelete 0042 _NV__47B 0047 _NF__46F 0063 SUnknownExtension 0068 LoadResString 0072 _DV_EInvalidGraphic 0077 Exception.CreateFmt 007c @RaiseExcept 00a4 @FindDynaInst 00c3 @HandleAnyException 00cb TObject.Free 00d0 @RaiseAgain 00d5 @DoneExcept 0101 @CallDynaInst 0116 @LStrClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 31 8B 45 FC 89 45 F0 C6 45 F4 0B 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 FF 50 0C 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 10 50 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 8B D0 58 89 50 0C 8B D6 8B 45 F8 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B 75 F8 89 73 04 89 5E 08 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 89 46 04 8B D3 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7786_0 {
	meta:
		name = "TPicture.SaveToFile"
		size = 21
	strings:
		$1 = { 56 57 8B F0 8B 7E 04 85 FF 74 07 8B C7 8B 08 FF 51 4C 5F 5E C3 }
	condition:
		$1
}

rule function_7787_0 {
	meta:
		name = "TPicture.LoadFromClipboardFormat"
		size = 254
		refs = "0019 TPicture.LoadFromClipboardFormat 0026 _NV__47A 002b _NF__478 0039 SUnknownClipboardFormat 003e LoadResString 0046 _NF__405 0070 @FindDynaInst 0096 @HandleAnyException 009e TObject.Free 00a3 @RaiseAgain 00a8 @DoneExcept 00d4 @CallDynaInst 00e9 @LStrClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B C6 FF 50 0C 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 10 50 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 8B D0 58 89 50 0C 8B 45 08 50 8B 4D FC 8B D7 8B 45 F8 8B 30 FF 56 58 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B 75 F8 89 73 04 89 5E 08 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 89 46 04 8B D3 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7788_0 {
	meta:
		name = "TPicture.SaveToClipboardFormat"
		size = 41
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F0 8B 7E 04 85 FF 74 0E 8B 45 08 50 8B 4D FC 8B C7 8B 18 FF 53 5C 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7789_0 {
	meta:
		name = "TPicture.SupportsClipboardFormat"
		size = 22
		refs = "0004 _NF__47D 000b _NF__478"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_7790_0 {
	meta:
		name = "TPicture.Assign"
		size = 91
		refs = "000f TPicture.SetGraphic 001a _DV_TPicture 001f @IsClass 0037 _DV_TGraphic 0054 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 75 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 53 04 8B C6 E8 ?? ?? ?? ?? EB 25 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7791_0 {
	meta:
		name = "TPicture.RegisterFileFormat"
		size = 35
		refs = "0010 _NF__47C 0019 _NF__46E"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7792_0 {
	meta:
		name = "TPicture.RegisterFileFormatRes"
		size = 34
		refs = "000f _NF__47C 0018 _NF__46E"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B 45 08 50 E8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7793_0 {
	meta:
		name = "TPicture.RegisterClipboardFormat"
		size = 23
		refs = "0007 _NF__47D 0010 _NF__477"
	strings:
		$1 = { 53 56 8B F1 8B DA E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7794_0 {
	meta:
		name = "TPicture.UnregisterGraphicClass"
		size = 47
		refs = "0005 _NV__47B 0014 _NF__471 001a _NV__47A 0029 _NF__479"
	strings:
		$1 = { 53 8B DA 83 3D ?? ?? ?? ?? 00 74 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7795_0 {
	meta:
		name = "TPicture.Changed"
		size = 34
	strings:
		$1 = { 53 8B D8 66 83 7B 0A 00 74 08 8B D3 8B 43 0C FF 53 08 83 7B 10 00 74 08 8B 43 10 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_7796_0 {
	meta:
		name = "TPicture.Progress"
		size = 40
	strings:
		$1 = { 55 8B EC 53 66 83 78 16 00 74 18 8A 5D 14 53 8A 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 43 18 FF 53 14 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_7797_0 {
	meta:
		name = "_NF__4CC"
		size = 252
		refs = "0016 _NF__4CC 0045 @LStrFromString 004d _NV__47B 0052 _NF__470 0085 @HandleAnyException 008d TObject.Free 0092 @RaiseAgain 0097 @DoneExcept 00b3 @FindDynaInst 00d4 @CallDynaInst 00e9 @LStrClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 C9 89 4D B8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 BC B9 01 00 00 00 8B C6 8B 38 FF 57 04 33 C9 8A 4D BC 8D 55 BD 8B C6 8B 38 FF 57 04 8D 45 B8 8D 55 BC E8 ?? ?? ?? ?? 8B 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 7E B2 01 FF 50 0C 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B 75 FC 89 73 04 89 5E 08 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 89 46 04 89 5E 10 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 89 46 0C 8B D3 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7798_0 {
	meta:
		name = "_NF__4CD"
		size = 75
		refs = "0017 TObject.ClassName 0024 @PStrNCpy"
	strings:
		$1 = { 53 56 57 81 C4 C0 FE FF FF 8B F2 8B D8 8D 54 24 40 8B 43 04 8B 00 E8 ?? ?? ?? ?? 8D 54 24 40 8B C4 B1 3F E8 ?? ?? ?? ?? 33 C9 8A 0C 24 41 8B D4 8B C6 8B 38 FF 57 08 8B D6 8B 43 04 8B 08 FF 51 44 81 C4 40 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7799_0 {
	meta:
		name = "_NF__4CE"
		size = 124
		refs = "001b _DV_TPicture 0020 @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 70 1C 85 F6 74 57 B3 01 8B 45 08 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 8B 45 08 8B DE 8B 45 08 8B 40 F8 8B 40 04 3B 43 04 74 24 8B 45 08 8B 40 F8 8B 70 04 85 F6 74 1B 83 7B 04 00 74 15 8B 45 08 8B C6 8B 53 04 8B 08 FF 51 18 84 C0 74 04 33 C0 EB 02 B0 01 8B D8 EB 0D 8B 45 08 8B 40 F8 83 78 04 00 0F 95 C3 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_7800_0 {
	meta:
		name = "TPicture.DefineProperties"
		size = 76
		refs = "0012 _NF__4CC 001b _NF__4CD 0021 _NF__4CE 0029 TPicture.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_7801_0 {
	meta:
		name = "TPicture.GetWidth"
		size = 21
	strings:
		$1 = { 33 D2 8B 48 04 85 C9 74 09 8B C1 8B 10 FF 52 2C 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_7802_0 {
	meta:
		name = "TPicture.GetHeight"
		size = 21
	strings:
		$1 = { 33 D2 8B 48 04 85 C9 74 09 8B C1 8B 10 FF 52 20 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_7803_0 {
	meta:
		name = "TMetafileImage.Destroy"
		size = 55
		refs = "000f DeleteEnhMetaFile 0017 _NF__29B 0023 TObject.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7805_0 {
	meta:
		name = "TMetafileCanvas.Create"
		size = 144
		refs = "0012 @ClassCreate 0020 TMetafileCanvas.Create 0034 TMetafile.GetAuthor 0042 TMetafile.GetDesc 0051 TMetafileCanvas.CreateWithComment 006b @LStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 50 8B CF 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7806_0 {
	meta:
		name = "TMetafileCanvas.CreateWithComment"
		size = 584
		refs = "0016 @ClassCreate 002c TMetafileCanvas.CreateWithComment 003c TCanvas.Create 0055 GetDC 0071 TMetafile.GetMMWidth 008f GetDeviceCaps 009d TMetafile.SetMMWidth 00cd MulDiv 00e1 TMetafile.GetMMHeight 010d TMetafile.SetMMHeight 016c Rect 0173 @LStrLen 019b @LStrCatN 01a3 @LStrToPChar 01b7 CreateEnhMetaFile 01c2 _NF__40A 01cc TCanvas.SetHandle 01ea ReleaseDC 01f0 @HandleFinally 0207 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FB 89 45 FC 8B 75 08 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 78 50 8B 45 10 89 45 F4 83 7D 10 00 75 0A 6A 00 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 85 C0 75 61 8B 45 FC 8B 40 50 8B 10 FF 52 2C 85 C0 75 1B 6A 04 8B 45 F4 50 E8 ?? ?? ?? ?? 6B D0 64 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? EB 37 6A 08 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 04 8B 45 F4 50 E8 ?? ?? ?? ?? 6B C0 64 50 8B 45 FC 8B 78 50 8B C7 8B 10 FF 52 2C 50 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 85 C0 75 61 8B 45 FC 8B 40 50 8B 10 FF 52 20 85 C0 75 1B 6A 06 8B 45 F4 50 E8 ?? ?? ?? ?? 6B D0 64 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? EB 37 6A 0A 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 06 8B 45 F4 50 E8 ?? ?? ?? ?? 6B C0 64 50 8B 45 FC 8B 78 50 8B C7 8B 10 FF 52 20 50 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 50 8D 45 E4 50 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7F 0B 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 23 53 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? EB 02 33 C0 50 8D 45 E4 50 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D 10 00 75 0B 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FB 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C2 0C 00 00 FF FF FF FF 01 00 00 00 00 00 00 00 FF FF FF FF 02 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7807_0 {
	meta:
		name = "TMetafileCanvas.Destroy"
		size = 70
		refs = "000a TCanvas.GetHandle 0015 TCanvas.SetHandle 001b CloseEnhMetaFile 0025 TMetafile.SetHandle 0031 TCanvas.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 33 D2 8B C7 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B D0 8B 47 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C7 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7808_0 {
	meta:
		name = "TMetafile.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TGraphic.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 1C 01 B2 01 8B C6 8B 08 FF 51 3C 33 D2 8B C6 8B 08 FF 51 08 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7809_0 {
	meta:
		name = "TIcon.Destroy"
		size = 42
		refs = "000a TSharedImage.Release 0016 TPersistent.Destroy 0021 @ClassDestroy"
		altNames = "TMetafile.Destroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11010_0 {
	meta:
		name = "TOleControlEditor.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TObject.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7810_0 {
	meta:
		name = "TMetafile.Assign"
		size = 147
		refs = "000f _DV_TMetafile 0014 @IsClass 0029 TSharedImage.Release 0044 _DV_TMetafileImage 0049 TObject.Create 0058 TSharedImage.Reference 008b TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 74 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6A 33 FF 8B 43 18 85 C0 74 08 8B 78 14 E8 ?? ?? ?? ?? 85 F6 74 10 8B C6 8B 50 18 89 53 18 8A 40 1C 88 43 1C EB 13 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 C6 43 1C 01 8B 43 18 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 3B F8 74 0B 8B C3 8B 10 FF 52 24 85 C0 75 04 33 C0 EB 02 B0 01 88 43 16 8B D3 8B C3 8B 08 FF 51 10 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7812_0 {
	meta:
		name = "TMetafile.Draw"
		size = 147
		refs = "0029 TCanvas.GetHandle 002f SelectPalette 003e RealizePalette 0073 PlayEnhMetaFile"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 0C 24 8B FA 8B D8 83 7B 18 00 74 77 8B C3 8B 10 FF 52 24 8B F0 33 ED 85 F6 74 1F 6A FF 56 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E8 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 56 57 8B F0 8D 7C 24 0C B9 04 00 00 00 F3 A5 5F 5E FF 4C 24 0C FF 4C 24 10 8D 44 24 04 50 8B 43 18 8B 40 08 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 F6 74 10 6A FF 55 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7813_0 {
	meta:
		name = "TMetafile.GetAuthor"
		size = 101
		refs = "000a @LStrClr 0024 GetEnhMetaFileDescription 0033 @LStrSetLength 003a @LStrToPChar 0054 StrLen"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 43 18 85 C0 74 4C 83 78 08 00 74 46 6A 00 6A 00 8B 40 08 50 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 33 8B C6 8B D7 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 50 57 8B 43 18 8B 40 08 50 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7814_0 {
	meta:
		name = "TMetafile.GetDesc"
		size = 128
		refs = "000a @LStrClr 0024 GetEnhMetaFileDescription 0033 @LStrSetLength 003a @LStrToPChar 0054 StrLen 0063 @LStrDelete"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 67 83 78 08 00 74 61 6A 00 6A 00 8B 40 08 50 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 4E 8B C3 8B D7 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 50 57 8B 46 18 8B 40 08 50 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 41 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7815_0 {
	meta:
		name = "TMetafile.GetEmpty"
		size = 8
	strings:
		$1 = { 83 78 18 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_7816_0 {
	meta:
		name = "TMetafile.GetHandle"
		size = 14
	strings:
		$1 = { 8B 50 18 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_7817_0 {
	meta:
		name = "TMetafile.GetHeight"
		size = 97
		refs = "000f _NF__510 002e GetEnhMetaFileHeader 0042 MulDiv 004e _NV__294"
	strings:
		$1 = { 53 83 C4 9C 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 5B 18 66 83 7B 18 00 75 2B 8B 43 08 85 C0 75 05 8B 43 20 EB 33 54 6A 64 50 E8 ?? ?? ?? ?? 6B 44 24 54 64 50 8B 44 24 50 50 8B 43 10 50 E8 ?? ?? ?? ?? EB 14 68 38 63 00 00 A1 ?? ?? ?? ?? 50 8B 43 10 50 E8 ?? ?? ?? ?? 83 C4 64 5B C3 }
	condition:
		$1
}

rule function_7818_0 {
	meta:
		name = "TMetafile.GetInch"
		size = 16
	strings:
		$1 = { 33 D2 8B 48 18 85 C9 74 04 66 8B 51 18 8B C2 C3 }
	condition:
		$1
}

rule function_7819_0 {
	meta:
		name = "TMetafile.GetMMHeight"
		size = 24
		refs = "000c _NF__510"
	strings:
		$1 = { 53 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 10 5B C3 }
	condition:
		$1
}

rule function_7820_0 {
	meta:
		name = "TMetafile.GetMMWidth"
		size = 24
		refs = "000c _NF__510"
	strings:
		$1 = { 53 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 0C 5B C3 }
	condition:
		$1
}

rule function_7821_0 {
	meta:
		name = "TMetafile.GetPalette"
		size = 137
		refs = "0029 GetEnhMetaFilePaletteEntries 0048 _NF__29B 006d CreatePalette"
	strings:
		$1 = { 53 56 57 81 C4 FC FB FF FF 8B D8 33 FF 8B 43 18 85 C0 74 69 83 78 08 00 74 63 83 78 14 00 75 57 6A 00 6A 00 8B 40 08 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 4A 81 FE 00 01 00 00 7E 06 81 E6 FF 00 00 00 8B 43 18 8B 40 14 E8 ?? ?? ?? ?? 66 C7 04 24 00 03 66 89 74 24 02 8D 44 24 04 50 56 8B 43 18 8B 40 08 50 E8 ?? ?? ?? ?? 8B C4 50 E8 ?? ?? ?? ?? 8B 53 18 89 42 14 8B 43 18 8B 78 14 8B C7 81 C4 04 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7822_0 {
	meta:
		name = "TMetafile.GetWidth"
		size = 97
		refs = "000f _NF__510 002e GetEnhMetaFileHeader 0042 MulDiv 004e _NV__294"
	strings:
		$1 = { 53 83 C4 9C 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 5B 18 66 83 7B 18 00 75 2B 8B 43 08 85 C0 75 05 8B 43 1C EB 33 54 6A 64 50 E8 ?? ?? ?? ?? 6B 44 24 50 64 50 8B 44 24 4C 50 8B 43 0C 50 E8 ?? ?? ?? ?? EB 14 68 38 63 00 00 A1 ?? ?? ?? ?? 50 8B 43 0C 50 E8 ?? ?? ?? ?? 83 C4 64 5B C3 }
	condition:
		$1
}

rule function_7823_0 {
	meta:
		name = "TMetafile.LoadFromStream"
		size = 84
		refs = "000b TMetafile.TestEMF 0018 TMetafile.ReadEMFStream 0021 TStream.GetSize 0029 TStream.GetPosition 0035 TMetafile.ReadWMFStream"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 1B 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 59 2B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 85 C0 0F 95 C0 88 43 16 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_7824_0 {
	meta:
		name = "_NF__510"
		size = 39
		refs = "0008 TSharedImage.Release 000f _DV_TMetafileImage 0014 TObject.Create 0020 TSharedImage.Reference"
	strings:
		$1 = { 53 56 8B D8 8B 43 18 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 18 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7825_0 {
	meta:
		name = "TMetafile.ReadData"
		size = 90
		refs = "001b TMetafile.TestEMF 0028 TMetafile.ReadEMFStream 0039 TMetafile.ReadWMFStream"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 04 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0F 8B 0C 24 83 E9 04 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 85 C0 0F 95 C0 88 43 16 8B D3 8B C3 8B 08 FF 51 10 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7826_0 {
	meta:
		name = "TMetafile.ReadEMFStream"
		size = 206
		refs = "0010 _NF__510 001f TStream.ReadBuffer 002d _NF__408 0035 @GetMem 0043 TMetafile.ReadEMFStream 0059 Move 0079 SetEnhMetaFileBits 00bb @FreeMem 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 55 98 B9 64 00 00 00 8B C7 E8 ?? ?? ?? ?? 81 7D C0 20 45 4D 46 74 05 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 89 45 FC 8B 5E 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8D 45 98 B9 64 00 00 00 E8 ?? ?? ?? ?? 8B 4D C8 83 E9 64 8B 55 FC 83 C2 64 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 C8 50 E8 ?? ?? ?? ?? 8B F8 89 7B 08 85 FF 75 05 E8 ?? ?? ?? ?? 66 C7 43 18 00 00 8B 45 B8 2B 45 B0 89 43 0C 8B 45 BC 2B 45 B4 89 43 10 C6 46 1C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 C8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7827_0 {
	meta:
		name = "TMetafile.ReadWMFStream"
		size = 294
		refs = "0014 _NF__510 0035 _NF__42A 0040 _NF__408 004c @GetMem 005a TMetafile.ReadWMFStream 00a0 MulDiv 00e9 SetWinMetaFileBits 0113 @FreeMem 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D F8 89 55 FC 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 55 DC B9 16 00 00 00 8B 45 FC 8B 30 FF 56 04 81 7D DC D7 CD C6 9A 75 0E 8D 45 DC E8 ?? ?? ?? ?? 66 3B 45 F0 74 05 E8 ?? ?? ?? ?? 83 6D F8 16 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 73 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 4D F8 8B 45 FC 8B 38 FF 57 04 8B 43 18 66 8B 55 EA 66 89 50 18 66 83 7D EA 00 75 06 66 C7 45 EA 60 00 0F B7 45 EA 50 68 38 63 00 00 0F BF 45 E6 0F BF 55 E2 2B C2 50 E8 ?? ?? ?? ?? 89 46 0C 0F B7 45 EA 50 68 38 63 00 00 0F BF 45 E8 0F BF 55 E4 2B C2 50 E8 ?? ?? ?? ?? 89 46 10 C7 45 CC 08 00 00 00 33 C0 89 45 D0 33 C0 89 45 D4 33 C0 89 45 D8 8D 45 CC 50 6A 00 8B 45 F4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F8 89 7E 08 85 FF 75 05 E8 ?? ?? ?? ?? C6 43 1C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7828_0 {
	meta:
		name = "TMetafile.SaveToFile"
		size = 140
		refs = "0012 TMetafile.SaveToFile 0025 ExtractFileExt 0030 AnsiLowerCaseFileName 003d @LStrCmp 004c TGraphic.SaveToFile 0069 @LStrArrayClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 5F 1C 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 47 1C 00 8B D6 8B C7 E8 ?? ?? ?? ?? 88 5F 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 FF FF FF FF 04 00 00 00 2E 77 6D 66 00 00 00 00 }
	condition:
		$1
}

rule function_7829_0 {
	meta:
		name = "TMetafile.SaveToStream"
		size = 25
		refs = "000d TMetafile.WriteEMFStream 0014 TMetafile.WriteWMFStream"
	strings:
		$1 = { 83 78 18 00 74 12 80 78 1C 00 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7830_0 {
	meta:
		name = "TMetafile.SetHandle"
		size = 142
		refs = "0012 GetEnhMetaFileHeader 001b _NF__408 0022 _NF__536 0032 DeleteEnhMetaFile 003d _NF__29B"
	strings:
		$1 = { 53 56 83 C4 9C 8B F2 8B D8 85 F6 74 12 54 6A 64 56 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 43 18 8B 40 14 E8 ?? ?? ?? ?? 8B 43 18 33 D2 89 50 14 89 70 08 33 D2 89 50 1C 33 D2 89 50 20 85 F6 74 16 8B 54 24 20 2B 54 24 18 89 50 0C 8B 54 24 24 2B 54 24 1C 89 50 10 8B C3 8B 10 FF 52 24 85 C0 0F 95 C0 88 43 16 8B D3 8B C3 8B 08 FF 51 10 83 C4 64 5E 5B C3 }
	condition:
		$1
}

rule function_7831_0 {
	meta:
		name = "TMetafile.SetHeight"
		size = 113
		refs = "0012 _NF__510 0031 GetEnhMetaFileHeader 0042 MulDiv 004b TMetafile.SetMMHeight 0052 _NV__294"
	strings:
		$1 = { 53 56 83 C4 9C 8B F2 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 66 83 78 18 00 75 31 8B 50 08 85 D2 75 05 89 70 20 EB 3F 54 6A 64 52 E8 ?? ?? ?? ?? 8B 44 24 4C 50 6B 44 24 58 64 50 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1A A1 ?? ?? ?? ?? 50 68 38 63 00 00 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 64 5E 5B C3 }
	condition:
		$1
}

rule function_7832_0 {
	meta:
		name = "TMetafile.SetInch"
		size = 54
		refs = "000f _NF__510 001f _NF__536"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 66 3B 70 18 74 17 8B C3 E8 ?? ?? ?? ?? 8B 43 18 66 89 70 18 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_7833_0 {
	meta:
		name = "TMetafile.SetMMHeight"
		size = 57
		refs = "000f _NF__510 0023 _NF__536"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 33 D2 89 50 20 3B 70 10 74 16 8B C3 E8 ?? ?? ?? ?? 8B 43 18 89 70 10 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_7834_0 {
	meta:
		name = "TMetafile.SetMMWidth"
		size = 57
		refs = "000f _NF__510 0023 _NF__536"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 33 D2 89 50 1C 3B 70 0C 74 16 8B C3 E8 ?? ?? ?? ?? 8B 43 18 89 70 0C 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_7835_0 {
	meta:
		name = "TMetafile.SetWidth"
		size = 113
		refs = "0012 _NF__510 0031 GetEnhMetaFileHeader 0042 MulDiv 004b TMetafile.SetMMWidth 0052 _NV__294"
	strings:
		$1 = { 53 56 83 C4 9C 8B F2 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 66 83 78 18 00 75 31 8B 50 08 85 D2 75 05 89 70 1C EB 3F 54 6A 64 52 E8 ?? ?? ?? ?? 8B 44 24 48 50 6B 44 24 54 64 50 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1A A1 ?? ?? ?? ?? 50 68 38 63 00 00 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 64 5E 5B C3 }
	condition:
		$1
}

rule function_7836_0 {
	meta:
		name = "TMetafile.TestEMF"
		size = 95
		refs = "000b TStream.GetSize 0014 TStream.GetPosition"
	strings:
		$1 = { 53 56 57 83 C4 9C 8B DA 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 2B F0 83 FE 64 7E 1E 8B D4 B9 64 00 00 00 8B C3 8B 38 FF 57 04 66 B9 01 00 BA 9C FF FF FF 8B C3 8B 18 FF 53 0C 83 FE 64 7E 10 83 3C 24 01 75 0A 81 7C 24 28 20 45 4D 46 74 04 33 C0 EB 02 B0 01 83 C4 64 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7837_0 {
	meta:
		name = "_NF__536"
		size = 131
		refs = "000f _NF__510 001e _DV_TMetafileImage 0023 TObject.Create 0037 CopyEnhMetaFile 0071 TSharedImage.Release 007b TSharedImage.Reference"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 18 85 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 6A 83 78 04 01 7E 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 18 8B 78 08 85 FF 74 0B 6A 00 57 E8 ?? ?? ?? ?? 89 46 08 8B 43 18 8B 40 10 89 46 10 8B 43 18 8B 40 0C 89 46 0C 8B 43 18 66 8B 40 18 66 89 46 18 8B 43 18 8B 40 1C 89 46 1C 8B 43 18 8B 40 20 89 46 20 8B 43 18 E8 ?? ?? ?? ?? 8B C6 89 43 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7838_0 {
	meta:
		name = "TMetafile.WriteData"
		size = 129
		refs = "0024 TStream.GetPosition 0039 TMetafile.WriteEMFStream 0044 TMetafile.WriteWMFStream 0057 TStream.GetSize"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F0 83 7E 18 00 74 6E 33 C0 89 04 24 8B D4 B9 04 00 00 00 8B C3 8B 38 FF 57 08 8B C3 E8 ?? ?? ?? ?? 83 E8 04 89 04 24 80 7E 1C 00 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 14 24 8B C3 8B 30 FF 56 0C 8B C3 E8 ?? ?? ?? ?? 2B 04 24 89 04 24 8B D4 B9 04 00 00 00 8B C3 8B 30 FF 56 08 66 B9 02 00 33 D2 8B C3 8B 18 FF 53 0C 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7839_0 {
	meta:
		name = "TMetafile.WriteEMFStream"
		size = 131
		refs = "001c GetEnhMetaFileBits 0027 @GetMem 0032 TMetafile.WriteEMFStream 0059 TStream.WriteBuffer 0071 @FreeMem 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B 43 18 85 C0 74 6A 6A 00 6A 00 8B 40 08 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 F8 50 8B 43 18 8B 40 08 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7840_0 {
	meta:
		name = "TMetafile.WriteWMFStream"
		size = 310
		refs = "0021 @FillChar 0064 _NF__42A 006f GetDC 007a TMetafile.WriteWMFStream 0093 GetWinMetaFileBits 009e @GetMem 00d0 _NF__40A 00df TStream.WriteBuffer 0104 @FreeMem 010a @HandleFinally 0124 ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B F2 8B D8 83 7B 18 00 0F 84 1A 01 00 00 8D 45 DC 33 C9 BA 16 00 00 00 E8 ?? ?? ?? ?? 8B 5B 18 C7 45 DC D7 CD C6 9A 66 8B 43 18 66 85 C0 75 08 66 C7 45 EA EC 09 EB 04 66 89 45 EA 66 C7 45 E2 00 00 66 C7 45 E4 00 00 66 8B 43 0C 66 89 45 E6 66 8B 43 10 66 89 45 E8 8D 45 DC E8 ?? ?? ?? ?? 66 89 45 F0 6A 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 6A 08 6A 00 6A 00 8B 43 08 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 6A 08 8B 45 FC 50 8B 45 F8 50 8B 43 08 50 E8 ?? ?? ?? ?? 3B 45 F8 7D 05 E8 ?? ?? ?? ?? 8D 55 DC B9 16 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7841_0 {
	meta:
		name = "TMetafile.LoadFromClipboardFormat"
		size = 190
		refs = "0014 TMetafile.LoadFromClipboardFormat 0021 GetClipboardData 002f SUnknownClipboardFormat 0034 LoadResString 003c _NF__405 0043 _NF__510 004e CopyEnhMetaFile 0060 GetEnhMetaFileHeader 00a9 @LStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D 98 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 0E E8 ?? ?? ?? ?? 8B F8 85 FF 75 15 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 73 18 6A 00 57 E8 ?? ?? ?? ?? 89 46 08 8D 45 9C 50 6A 64 8B 46 08 50 E8 ?? ?? ?? ?? 8B 45 BC 2B 45 B4 89 46 0C 8B 45 C0 2B 45 B8 89 46 10 66 C7 46 18 00 00 C6 43 1C 01 8B C3 8B 10 FF 52 24 85 C0 0F 95 C0 88 43 16 8B D3 8B C3 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7842_0 {
	meta:
		name = "TMetafile.SaveToClipboardFormat"
		size = 49
		refs = "0024 CopyEnhMetaFile"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 8B 73 18 85 F6 74 19 66 C7 02 0E 00 8B 45 08 33 D2 89 10 6A 00 8B 46 08 50 E8 ?? ?? ?? ?? 89 07 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7843_0 {
	meta:
		name = "TMetafile.ReleaseHandle"
		size = 25
		refs = "0006 _NF__536"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 50 08 33 C9 89 48 08 8B C2 5B C3 }
	condition:
		$1
}

rule function_7844_0 {
	meta:
		name = "FreeMemoryContexts"
		size = 124
		refs = "0007 _NV__54C 000c TThreadList.LockList 0029 TList.Get 0034 TCanvas.TryLock 0040 FreeMemoryContexts 004e _NF__553 0063 TCanvas.Unlock 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 40 08 48 83 F8 00 7C 59 89 45 FC 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 33 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 4D FC 83 7D FC FF 75 AA 8B E5 5D C3 }
	condition:
		$1
}

rule function_7845_0 {
	meta:
		name = "_NF__550"
		size = 69
		refs = "000a _NV__54C 000f TThreadList.LockList 0023 TList.Get 0037 _NF__553"
	strings:
		$1 = { 53 56 57 8B F8 85 FF 74 38 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 5E 08 4B 83 FB 00 7C 23 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 50 85 D2 74 0D 8B 52 18 3B 7A 08 75 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DD 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7846_0 {
	meta:
		name = "_NF__551"
		size = 53
		refs = "000b @ClassCreate 001a TCanvas.Create"
		altNames = "_NF__C3"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 50 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7848_0 {
	meta:
		name = "_NF__553"
		size = 159
		refs = "0019 TCanvas.Lock 0021 _NF__553 003e SelectObject 0057 SelectPalette 0067 TCanvas.SetHandle 006d DeleteDC 0075 _NV__54C 007a TThreadList.Remove 008f TCanvas.Unlock 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 83 78 04 00 0F 84 86 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 54 85 C0 74 0D 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 85 C0 74 0F 6A FF 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 04 33 D2 8B 45 FC E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7849_0 {
	meta:
		name = "_NF__554"
		size = 235
		refs = "001a TCanvas.Lock 0022 _NF__554 0033 TBitmap.HandleNeeded 0044 _NF__550 004f TBitmap.PaletteNeeded 0056 CreateCompatibleDC 006f SelectObject 0098 SelectPalette 00a4 RealizePalette 00b8 TCanvas.SetHandle 00c0 _NV__54C 00c5 TThreadList.Add 00da TCanvas.Unlock 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 83 78 50 00 0F 84 D0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 40 18 8B 40 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 50 8B 40 18 8B 70 08 85 F6 74 0F 56 53 E8 ?? ?? ?? ?? 8B 55 FC 89 42 54 EB 08 8B 45 FC 33 D2 89 50 54 8B 45 FC 8B 40 50 8B 40 18 8B 70 10 85 F6 74 17 6A FF 56 53 E8 ?? ?? ?? ?? 8B 55 FC 89 42 58 53 E8 ?? ?? ?? ?? EB 08 8B 45 FC 33 D2 89 50 58 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7850_0 {
	meta:
		name = "TSharedImage.Reference"
		size = 4
	strings:
		$1 = { FF 40 04 C3 }
	condition:
		$1
}

rule function_7851_0 {
	meta:
		name = "TSharedImage.Release"
		size = 31
		refs = "0019 TObject.Free"
	strings:
		$1 = { 53 8B D8 85 DB 74 16 FF 4B 04 83 7B 04 00 75 0D 8B C3 8B 10 FF 12 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7852_0 {
	meta:
		name = "TBitmapImage.Destroy"
		size = 79
		refs = "000e _NF__550 0017 DeleteObject 002f CloseHandle 003b TObject.Destroy 0046 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 14 85 C0 74 13 E8 ?? ?? ?? ?? 8B 46 14 50 E8 ?? ?? ?? ?? 33 C0 89 46 14 8B C6 8B 10 FF 12 8B 46 64 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7853_0 {
	meta:
		name = "TBitmapImage.FreeHandle"
		size = 75
		refs = "0010 _NF__550 0019 DeleteObject 003b _NF__29B"
	strings:
		$1 = { 53 8B D8 8B 43 08 85 C0 74 13 3B 43 14 74 0E E8 ?? ?? ?? ?? 8B 43 08 50 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 13 E8 ?? ?? ?? ?? 8B 43 0C 50 E8 ?? ?? ?? ?? 33 C0 89 43 0C 8B 43 10 E8 ?? ?? ?? ?? 33 C0 89 43 08 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_7854_0 {
	meta:
		name = "CreateMappedBmp"
		size = 456
		refs = "0027 _NF__42C 0032 AllocMem 003d CreateMappedBmp 0060 _NF__431 0092 _NF__423 00ba ColorToRGB 00f8 GetDC 0112 CreateCompatibleDC 012c CreateCompatibleBitmap 013f SelectObject 0168 StretchDIBits 0175 DeleteObject 018d ReleaseDC 0193 @HandleFinally 01b0 @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 89 4D F8 89 55 FC 8B D8 89 5D F4 85 DB 0F 84 A0 01 00 00 6A 00 8D 4D E4 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 03 45 E4 E8 ?? ?? ?? ?? 89 45 F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 75 F0 8B C6 03 45 E8 89 45 E0 8B 45 E0 50 6A 00 8B 4D F0 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 66 8B 40 0E 66 83 F8 08 0F 87 24 01 00 00 8B C8 B8 01 00 00 00 D3 E0 89 45 EC 8B 45 F0 8B 00 03 C6 89 45 DC 8B 45 DC 8B 55 EC E8 ?? ?? ?? ?? 8B 45 EC 48 85 C0 7C 4C 40 89 45 D0 C7 45 D8 00 00 00 00 8B 7D F8 85 FF 7C 32 47 8B 5D FC 8B 75 0C 8B 03 E8 ?? ?? ?? ?? 8B 55 DC 8B 4D D8 3B 04 8A 75 10 8B 06 E8 ?? ?? ?? ?? 8B 55 DC 8B 4D D8 89 04 8A 83 C6 04 83 C3 04 4F 75 D5 FF 45 D8 FF 4D D0 75 BF 8B 45 DC 8B 55 EC E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 89 45 D4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 D4 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 57 8B 75 F0 8B 46 08 50 8B 46 04 50 8B 45 D4 50 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 3A 8B 45 F4 50 53 E8 ?? ?? ?? ?? 8B F8 68 20 00 CC 00 6A 00 8B 4D F0 51 8B 4D E0 51 8B 56 08 52 8B 46 04 50 6A 00 6A 00 52 50 6A 00 6A 00 53 E8 ?? ?? ?? ?? 57 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E8 03 55 E4 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7855_0 {
	meta:
		name = "CreateMappedRes"
		size = 676
		refs = "001a FindResource 0029 LoadResource 0034 CreateMappedRes 0043 LockResource 009f @GetMem 00be Move 00de _NF__423 0106 ColorToRGB 014a GetDC 0164 CreateCompatibleDC 017e CreateCompatibleBitmap 0191 SelectObject 01b8 StretchDIBits 01c8 DeleteObject 01e0 ReleaseDC 01e6 @HandleFinally 0200 @FreeMem 020f _DV_TBitmap 0214 TBitmap.Create 0231 TBitmap.LoadFromResourceID 0239 TBitmap.ReleaseHandle 0251 TObject.Free 026e UnlockResource 028c FreeResource"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D FC 8B F2 8B D8 33 C0 89 45 F8 6A 02 56 53 E8 ?? ?? ?? ?? 85 C0 0F 84 72 02 00 00 50 53 E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 0F 84 26 02 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 E8 66 8B 40 0E 0F B7 D0 8B 4D E8 0F B7 49 0C 0F AF D1 83 FA 08 0F 8F 8D 01 00 00 8B C8 B8 01 00 00 00 D3 E0 89 45 F0 8B 45 E8 8B 00 8B 55 F0 C1 E2 02 03 C2 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 E4 8B 45 E8 8B 4D EC E8 ?? ?? ?? ?? 8B 45 E8 66 83 78 0E 08 77 75 8B 45 E4 8B 00 03 45 E4 89 45 E0 8B 45 E0 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 48 85 C0 7C 4C 40 89 45 CC C7 45 DC 00 00 00 00 8B 7D 10 85 FF 7C 32 47 8B 5D FC 8B 75 0C 8B 03 E8 ?? ?? ?? ?? 8B 55 E0 8B 4D DC 3B 04 8A 75 10 8B 06 E8 ?? ?? ?? ?? 8B 55 E0 8B 4D DC 89 04 8A 83 C6 04 83 C3 04 4F 75 D5 FF 45 DC FF 4D CC 75 BF 8B 45 E0 8B 55 F0 E8 ?? ?? ?? ?? 8B 7D E8 03 7D EC 6A 00 E8 ?? ?? ?? ?? 89 45 D8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 D8 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 58 8B 75 E4 8B 46 08 50 8B 46 04 50 8B 45 D8 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 3B 8B 45 F8 50 53 E8 ?? ?? ?? ?? 89 45 D4 68 20 00 CC 00 6A 00 8B 4D E4 51 57 8B 56 08 52 8B 46 04 50 6A 00 6A 00 52 50 6A 00 6A 00 53 E8 ?? ?? ?? ?? 8B 45 D4 50 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 F8 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_7856_0 {
	meta:
		name = "CreateGrayMappedBmp"
		size = 23
		refs = "0001 _NV__55F 0008 _NV__55E 0012 CreateMappedBmp"
	strings:
		$1 = { 68 ?? ?? ?? ?? 6A 03 BA ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7857_0 {
	meta:
		name = "CreateGrayMappedRes"
		size = 20
		refs = "0003 _NV__55F 000a _NV__55E 000f CreateMappedRes"
	strings:
		$1 = { 6A 03 68 ?? ?? ?? ?? 6A 03 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7858_0 {
	meta:
		name = "_NF__572"
		size = 188
		refs = "0032 _NF__427 003f GetDC 004b CreateCompatibleDC 0058 SelectObject 0063 _NF__572 007c SetDIBColorTable 009f DeleteDC 00aa ReleaseDC 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FB FF FF 53 56 89 55 FC 8B F0 85 F6 0F 84 9E 00 00 00 66 83 79 26 08 0F 87 93 00 00 00 8D 95 F0 FB FF FF B9 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 7A 6A 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F4 56 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 F0 FB FF FF 50 53 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7859_0 {
	meta:
		name = "_NF__573"
		size = 73
	strings:
		$1 = { F6 40 28 03 74 42 83 78 40 00 75 3C 66 8B 50 26 66 83 FA 10 75 17 C7 40 40 00 F8 00 00 C7 40 44 E0 07 00 00 C7 40 48 1F 00 00 00 EB 1B 66 83 FA 20 75 15 C7 40 40 00 00 FF 00 C7 40 44 00 FF 00 00 C7 40 48 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_7860_0 {
	meta:
		name = "_NF__574"
		size = 1588
		refs = "006a _NF__550 0087 GetObject 0091 _NF__406 0098 GetDC 009d _NF__40B 00a9 CreateCompatibleDC 00b9 _NF__574 00f5 CreateBitmap 0119 CreateCompatibleBitmap 0130 @GetMem 01d1 _NF__427 01ed SelectObject 0213 GetDIBColorTable 023e GetDIBits 0274 _NF__573 028a Move 02a1 CreateDIBSection 02b4 _NF__40A 0307 @TryFinallyExit 0326 @FreeMem 032c @HandleFinally 0383 SelectPalette 038f RealizePalette 03b2 TBrush.GetHandle 03d0 Rect 03e0 FillRect 03ee ColorToRGB 03f8 SetTextColor 0403 TBrush.GetColor 0412 SetBkColor 045a SetDIBColorTable 047c PatBlt 0539 BitBlt 0570 DeleteDC 05d3 @HandleAnyException 05dc DeleteObject 05e1 @RaiseAgain 05e6 @DoneExcept 0607 ReleaseDC"
	strings:
		$1 = { 55 8B EC 81 C4 68 FF FF FF 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 83 7D FC 00 75 46 8B 45 0C 83 78 18 00 74 1A 8B 45 0C 83 78 1C 00 0F 84 F2 05 00 00 8B 45 0C 83 78 20 00 0F 84 E5 05 00 00 8B 45 0C 83 78 18 00 75 1A 8B 45 0C 83 78 04 00 0F 84 CF 05 00 00 8B 45 0C 83 78 08 00 0F 84 C2 05 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 90 83 7D FC 00 74 1C 8D 85 78 FF FF FF 50 6A 54 8B 45 FC 50 E8 ?? ?? ?? ?? 83 F8 18 7D 05 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C 83 78 18 28 7D 5E 8B 45 0C 66 8B 40 10 8B 55 0C 66 0B 42 12 66 83 F8 01 75 26 6A 00 6A 01 6A 01 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 E9 2C 02 00 00 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 E9 08 02 00 00 B8 2C 04 00 00 E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C C7 40 18 28 00 00 00 8B 45 0C 66 C7 40 24 01 00 8B 45 0C 8B 55 DC 8D 70 18 8B FA B9 0A 00 00 00 F3 A5 8B 45 0C 8B 40 1C 8B 55 0C 89 42 04 8B 45 0C 8B 40 20 8B 55 0C 89 42 08 8B 45 0C 66 83 78 26 08 0F 87 C1 00 00 00 8B 45 0C 66 83 78 26 01 75 22 83 7D 8C 00 75 1C 8B 45 DC 33 D2 89 50 28 8B 45 DC 83 C0 28 83 C0 04 C7 00 FF FF FF 00 E9 D2 00 00 00 83 7D F4 00 74 18 8B 45 DC 8D 50 28 B9 FF 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 B4 00 00 00 83 7D FC 00 0F 84 AA 00 00 00 8B 45 FC 50 8B 45 E4 50 E8 ?? ?? ?? ?? 89 45 EC 83 7D 90 00 7E 25 83 7D 8C 00 74 1F 8B 45 DC 83 C0 28 50 68 00 01 00 00 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 55 0C 89 42 38 EB 23 6A 00 8B 45 DC 50 6A 00 8B 45 0C 8B 40 20 99 33 C2 2B C2 50 6A 00 8B 45 FC 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E4 50 E8 ?? ?? ?? ?? EB 3D 8B 45 0C 66 8B 40 26 66 83 F8 10 74 09 8B 55 0C 66 83 F8 20 75 27 8B 45 0C F6 40 28 03 74 1E 8B 45 0C E8 ?? ?? ?? ?? 8B 45 DC 8D 50 28 8B 45 0C 83 C0 40 B9 0C 00 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 D8 50 6A 00 8B 45 DC 50 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 83 7D D8 00 75 05 E8 ?? ?? ?? ?? 83 7D FC 00 74 57 8B 45 0C 8B 40 1C 3B 85 7C FF FF FF 75 49 8B 45 0C 8B 40 20 3B 45 80 75 3E 8B 45 0C 66 83 78 26 08 76 34 6A 00 8B 45 DC 50 8B 45 D8 50 8B 45 0C 8B 40 20 99 33 C2 2B C2 50 6A 00 8B 45 FC 50 8B 45 E4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 13 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 E4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 CC 33 DB 83 7D F4 00 74 1B 6A 00 8B 45 F4 50 8B 45 E4 50 E8 ?? ?? ?? ?? 89 45 CC 8B 45 E4 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 08 00 0F 84 B5 00 00 00 8B 45 08 8B 40 14 E8 ?? ?? ?? ?? 50 8B 45 0C 8B 40 08 50 8D 85 68 FF FF FF 50 8B 4D 0C 8B 49 04 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 0C 8B 40 14 E8 ?? ?? ?? ?? 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 0C 66 83 78 26 01 75 60 8B 45 0C 83 78 14 00 74 57 8B 45 08 8B 40 0C 8B 40 14 E8 ?? ?? ?? ?? 89 45 D0 8B 45 08 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 8D 45 D0 50 6A 02 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? EB 20 68 62 00 FF 00 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 6A 00 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 F2 00 00 00 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 E0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 7D F8 00 74 1A 6A 00 8B 45 F8 50 8B 45 E0 50 E8 ?? ?? ?? ?? 8B D8 8B 45 E0 50 E8 ?? ?? ?? ?? 83 7D 08 00 74 32 8B 45 08 8B 40 0C 8B 40 14 E8 ?? ?? ?? ?? 50 8B 45 E0 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E0 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B 45 E0 50 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 6A 00 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 7D F8 00 74 0C 6A FF 53 8B 45 E0 50 E8 ?? ?? ?? ?? 56 8B 45 E0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0F 6A FF 8B 45 CC 50 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 E8 50 6A 00 E8 ?? ?? ?? ?? 83 7D F0 00 74 0F 8B 45 0C 50 6A 54 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B 45 F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7861_0 {
	meta:
		name = "CopyPalette"
		size = 97
		refs = "001a GetObject 0046 GetPaletteEntries 0050 CreatePalette"
	strings:
		$1 = { 53 56 81 C4 F8 FB FF FF 8B D8 33 F6 85 DB 74 46 33 C0 89 04 24 54 6A 04 53 E8 ?? ?? ?? ?? 85 C0 74 34 83 3C 24 00 74 2E 66 C7 44 24 04 00 03 66 8B 04 24 66 89 44 24 06 8D 44 24 08 50 8B 44 24 04 50 6A 00 53 E8 ?? ?? ?? ?? 8D 44 24 04 50 E8 ?? ?? ?? ?? 8B F0 8B C6 81 C4 08 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7862_0 {
	meta:
		name = "_NF__577"
		size = 524
		refs = "0024 GetObject 0033 _NF__550 0045 _NF__577 0052 GetDC 0057 _NF__40B 0063 CreateCompatibleDC 007e CreateBitmap 0098 SelectObject 00ba PatBlt 00fe _NF__574 0123 SelectPalette 012c RealizePalette 014b SetBkColor 016f BitBlt 0198 DeleteObject 01ae DeleteDC 01b4 @HandleFinally 01f6 ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 8B F9 8B F2 8B D8 33 C0 89 45 FC 85 DB 0F 84 E6 01 00 00 8D 45 90 50 6A 54 53 E8 ?? ?? ?? ?? 85 C0 0F 84 D2 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 00 6A 01 6A 01 8B 45 98 50 8B 45 94 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 3E 01 00 00 8B 45 FC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 E4 81 FF FF FF FF 1F 75 1C 6A 42 8B 45 98 50 8B 45 94 50 6A 00 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? E9 F7 00 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D A4 00 74 1E C6 45 EF 01 33 C0 89 45 A8 8D 45 90 50 6A 00 8B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 04 C6 45 EF 00 53 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 E8 85 F6 74 2A 6A 00 56 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 6A 00 56 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 57 8B 45 F4 50 E8 ?? ?? ?? ?? 8B F0 68 20 00 CC 00 6A 00 6A 00 8B 45 F4 50 8B 45 98 50 8B 45 94 50 6A 00 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 56 8B 45 F4 50 E8 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 80 7D EF 00 74 06 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 83 7D E4 00 74 0D 8B 45 E4 50 8B 45 F0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 09 8B 45 F0 50 E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7863_0 {
	meta:
		name = "TBitmap.Create"
		size = 97
		refs = "000b @ClassCreate 0018 TGraphic.Create 0026 _DV_TBitmapImage 002b TObject.Create 0037 TSharedImage.Reference 003d DDBsOnly"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 24 00 00 00 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 18 8B C6 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 09 B2 01 8B C7 8B 08 FF 51 68 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7864_0 {
	meta:
		name = "TBitmap.Destroy"
		size = 57
		refs = "0009 _NF__5A8 0011 TSharedImage.Release 0019 TObject.Free 0025 TPersistent.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7865_0 {
	meta:
		name = "TBitmap.Assign"
		size = 228
		refs = "0015 _DV_TBitmap 001a @IsClass 0027 _NV__299 002c EnterCriticalSection 0034 TBitmap.Assign 0048 TSharedImage.Reference 0053 TSharedImage.Release 007f @FillChar 0091 _NF__5C2 00a8 LeaveCriticalSection 00ae @HandleFinally 00da TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 8B DA 89 45 FC 85 DB 74 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AE 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 32 8B F3 8B 46 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 46 18 8B 55 FC 89 42 18 8B 46 24 8B 55 FC 89 42 24 8A 46 28 8B 55 FC 88 42 28 EB 21 8D 45 A8 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 50 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 10 FF 52 24 85 C0 0F 95 C0 8B 55 FC 88 42 16 8B 55 FC 8B 45 FC 8B 08 FF 51 10 EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7866_0 {
	meta:
		name = "_NF__581"
		size = 188
		refs = "0021 _NF__5A8 0033 _NF__581 003f SystemPalette16 004d CopyPalette 0064 _NF__574 007f _NF__5C2 008e @HandleAnyException 0096 _NF__29B 00a5 DeleteObject 00aa @RaiseAgain 00af @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 8B 75 08 8D 7D A4 51 B9 15 00 00 00 F3 A5 59 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 35 ?? ?? ?? ?? 75 05 89 75 F8 EB 0A 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8D 45 A4 50 8B 43 1C 50 8B 4D F8 8B D6 8B C7 E8 ?? ?? ?? ?? 89 45 FC 8D 45 A4 50 8B 43 18 8A 40 6C 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 09 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7868_0 {
	meta:
		name = "TBitmap.Changed"
		size = 10
		refs = "0005 TGraphic.Changed"
	strings:
		$1 = { C6 40 21 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7869_0 {
	meta:
		name = "TBitmap.Dormant"
		size = 26
		refs = "0006 _NF__5A8 000d _NF__5A7"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 10 FF 12 5B C3 }
	condition:
		$1
}

rule function_7870_0 {
	meta:
		name = "TBitmap.Draw"
		size = 592
		refs = "0015 TBitmap.Draw 001d TCanvas.RequiredState 0024 TBitmap.PaletteNeeded 0043 SelectPalette 0052 RealizePalette 0064 GetDeviceCaps 00a7 GetBrushOrgEx 00b5 SetStretchBltMode 00cd SetBrushOrgEx 00d6 TBitmap.GetMonochrome 00e4 TCanvas.GetHandle 010a TBitmap.MaskHandleNeeded 0111 TBitmap.GetCanvas 014a CreateCompatibleDC 014f _NF__40B 015f SelectObject 019e TransparentStretchBlt 01cd DeleteDC 01d3 @HandleFinally 0213 StretchBlt"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F9 89 55 FC 8B D8 8B 73 18 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F8 C6 45 F7 00 8B 46 10 85 C0 74 22 6A FF 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? C6 45 F7 01 6A 0C 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 50 6A 0E 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 5A 0F AF D0 8B C2 83 F8 08 7F 0F 0F B7 56 2A 0F B7 4E 28 0F AF D1 3B C2 7C 04 33 C0 EB 02 B0 01 84 C0 74 38 8D 45 EC 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 6A 04 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 F0 50 8B 45 EC 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 6A 03 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 28 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 84 C0 0F 84 AA 00 00 00 33 C0 89 45 E4 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 46 0C 50 8B 45 E8 50 E8 ?? ?? ?? ?? 89 45 E4 8B 47 08 2B 07 50 8B 47 0C 2B 47 04 50 8B C3 E8 ?? ?? ?? ?? 8B 40 04 50 6A 00 6A 00 8B 46 1C 50 8B 46 20 50 8B 45 E8 50 6A 00 6A 00 8B 4F 04 8B 17 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 50 8B 45 E8 50 E8 ?? ?? ?? ?? 83 7D E8 00 74 09 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 FC 8B 40 20 50 8B 46 20 50 8B 46 1C 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 40 04 50 8B 47 0C 2B 47 04 50 8B 47 08 2B 07 50 8B 47 04 50 8B 07 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 12 6A FF 8B 45 F8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 0F 00 00 00 }
	condition:
		$1
}

rule function_7871_0 {
	meta:
		name = "TBitmap.FreeImage"
		size = 80
		refs = "0010 TBitmap.HandleNeeded 0021 _NF__581 0036 DeleteObject 003f _NF__40A"
	strings:
		$1 = { 53 56 8B F0 8B 5E 18 83 7B 04 01 7E 1B 8B C6 E8 ?? ?? ?? ?? 8D 43 18 50 8B 4B 10 8B 53 08 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 73 14 3B 73 08 74 1D 85 F6 74 0F 56 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 33 C0 89 43 14 33 C0 89 43 2C 5E 5B C3 }
	condition:
		$1
}

rule function_7872_0 {
	meta:
		name = "TBitmap.GetEmpty"
		size = 21
	strings:
		$1 = { 8B 40 18 83 78 08 00 75 06 83 78 14 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_7873_0 {
	meta:
		name = "TBitmap.GetCanvas"
		size = 63
		refs = "000d TBitmap.HandleNeeded 0016 _NV__54D 001b _NF__551 0035 _NF__582"
	strings:
		$1 = { 53 56 8B D8 83 7B 1C 00 75 2F 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 1C 89 5E 28 8B 03 8B 40 10 89 46 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 8B 43 1C 5E 5B C3 }
	condition:
		$1
}

rule function_7874_0 {
	meta:
		name = "TBitmap.GetHandle"
		size = 34
		refs = "0006 _NF__5A8 000d TBitmap.HandleNeeded 0016 _NF__582"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 08 5B C3 }
	condition:
		$1
}

rule function_7875_0 {
	meta:
		name = "TBitmap.GetHandleType"
		size = 41
	strings:
		$1 = { 8B 40 18 8B 50 08 85 D2 74 05 3B 50 14 75 17 83 78 14 00 75 0E 83 78 30 00 75 04 B0 01 EB 09 33 C0 EB 05 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_7876_0 {
	meta:
		name = "TBitmap.GetHeight"
		size = 14
	strings:
		$1 = { 8B C8 8B 41 18 8B 40 20 99 33 C2 2B C2 C3 }
	condition:
		$1
}

rule function_7877_0 {
	meta:
		name = "TBitmap.GetMaskHandle"
		size = 18
		refs = "0006 TBitmap.MaskHandleNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 0C 5B C3 }
	condition:
		$1
}

rule function_7878_0 {
	meta:
		name = "TBitmap.GetMonochrome"
		size = 26
	strings:
		$1 = { 8B 40 18 83 C0 18 66 83 78 10 01 75 07 66 83 78 12 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_7879_0 {
	meta:
		name = "TBitmap.GetPalette"
		size = 18
		refs = "0006 TBitmap.PaletteNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 10 5B C3 }
	condition:
		$1
}

rule function_7880_0 {
	meta:
		name = "TBitmap.GetPixelFormat"
		size = 129
		refs = "0009 TBitmap.GetHandleType"
	strings:
		$1 = { 53 56 8B F0 B3 08 8B C6 E8 ?? ?? ?? ?? 3C 01 75 04 33 DB EB 67 8B 46 18 8D 50 18 8D 42 18 0F B7 48 0E 83 F9 10 7F 11 74 27 49 74 18 83 E9 03 74 17 83 E9 04 74 16 EB 44 83 E9 18 74 33 83 E9 08 74 32 EB 38 B3 01 EB 34 B3 02 EB 30 B3 03 EB 2C 8B 40 10 83 E8 01 72 07 83 E8 02 74 06 EB 1D B3 04 EB 19 81 7A 44 E0 07 00 00 75 10 B3 05 EB 0C B3 06 EB 08 83 78 10 00 75 02 B3 07 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_7881_0 {
	meta:
		name = "TBitmap.GetScanline"
		size = 166
		refs = "0016 TBitmap.GetScanline 003c SScanLine 0041 LoadResString 0049 _NF__404 0050 _NF__5A7 0055 GdiFlush 0072 _NF__40E 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 18 83 C0 18 89 45 FC 8D 58 18 85 F6 7C 08 8B 45 FC 3B 70 08 7E 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 85 C0 7E 05 2B C6 48 8B F0 0F B7 53 0E B9 20 00 00 00 8B 43 04 E8 ?? ?? ?? ?? F7 EE 8B 55 FC 03 42 14 89 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7882_0 {
	meta:
		name = "TBitmap.GetTransparentColor"
		size = 69
		refs = "0010 TBitmap.GetMonochrome 002b TBitmap.GetCanvas 0033 TCanvas.GetPixel 003a ColorToRGB"
	strings:
		$1 = { 53 8B D8 8B 43 24 3D 00 00 00 20 75 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 B8 FF FF FF 00 EB 1F 8B C3 8B 10 FF 52 20 48 50 8B C3 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 0D 00 00 00 02 5B C3 }
	condition:
		$1
}

rule function_7883_0 {
	meta:
		name = "TBitmap.GetWidth"
		size = 7
	strings:
		$1 = { 8B 40 18 8B 40 1C C3 }
	condition:
		$1
}

rule function_7884_0 {
	meta:
		name = "_NF__5A7"
		size = 115
		refs = "0012 TBitmap.PaletteNeeded 0027 GetObject 0069 _NF__574"
	strings:
		$1 = { 53 56 8B 58 18 83 7B 08 00 74 65 83 7B 14 00 75 5F E8 ?? ?? ?? ?? 83 7B 30 00 75 3C 8D 43 18 50 6A 54 8B 43 08 50 E8 ?? ?? ?? ?? 8D 43 18 8B D0 83 C0 18 C7 00 28 00 00 00 8B 4A 04 89 48 04 8B 4A 08 89 48 08 66 C7 40 0C 01 00 66 8B 4A 10 66 0F AF 4A 12 66 89 48 0E 8D 43 18 50 6A 00 8B 73 10 8B CE 8B D6 8B 43 08 E8 ?? ?? ?? ?? 89 43 14 5E 5B C3 }
	condition:
		$1
}

rule function_7886_0 {
	meta:
		name = "TBitmap.HandleNeeded"
		size = 16
	strings:
		$1 = { 8B 40 18 83 78 08 00 75 06 8B 50 14 89 50 08 C3 }
	condition:
		$1
}

rule function_7887_0 {
	meta:
		name = "TBitmap.Mask"
		size = 222
		refs = "001b TBitmap.Mask 0028 _NF__5A8 002f TBitmap.HandleNeeded 0036 ColorToRGB 0046 _NF__577 0058 @FillChar 0067 GetObject 0073 SystemPalette16 007f CopyPalette 009a _NF__5C2 00a9 @HandleAnyException 00b1 _NF__29B 00c0 DeleteObject 00c5 @RaiseAgain 00ca @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 8B FA 8B D8 33 C0 89 45 FC 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 73 18 8B 56 10 8B 46 08 E8 ?? ?? ?? ?? 89 45 FC 8D 45 A4 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 50 6A 54 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 43 18 8B 40 10 3B 05 ?? ?? ?? ?? 75 05 89 45 F8 EB 08 E8 ?? ?? ?? ?? 89 45 F8 8D 45 A4 50 8B 43 18 8A 40 6C 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 09 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7888_0 {
	meta:
		name = "TBitmap.MaskHandleNeeded"
		size = 93
		refs = "001b _NF__550 0024 DeleteObject 0030 _NF__5A8 0037 TBitmap.HandleNeeded 003e TBitmap.GetTransparentColor 004b _NF__577"
	strings:
		$1 = { 53 56 8B D8 80 7B 22 00 74 06 80 7B 21 00 75 4A 8B 73 18 8B 46 0C 85 C0 74 13 E8 ?? ?? ?? ?? 8B 46 0C 50 E8 ?? ?? ?? ?? 33 C0 89 46 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 56 10 8B 46 08 E8 ?? ?? ?? ?? 89 46 0C C6 43 22 01 C6 43 21 01 5E 5B C3 }
	condition:
		$1
}

rule function_7889_0 {
	meta:
		name = "TBitmap.PaletteNeeded"
		size = 184
		refs = "0030 _NF__550 0047 _NF__426 0057 GetDC 005c _NF__40B 006c GetDeviceCaps 009a CreateHalftonePalette 00a5 ReleaseDC"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 6F 18 80 7F 20 00 0F 85 A0 00 00 00 83 7D 10 00 0F 85 96 00 00 00 83 7D 14 00 0F 84 8C 00 00 00 8B 45 14 3B 45 08 75 05 E8 ?? ?? ?? ?? 66 8B 4D 3E B8 01 00 00 00 D3 E0 8B C8 33 D2 8B 45 14 E8 ?? ?? ?? ?? 8B F0 89 75 10 85 F6 75 5F 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 80 7D 6D 00 75 27 6A 0C 56 E8 ?? ?? ?? ?? 8B D8 6A 0E 56 E8 ?? ?? ?? ?? 0F AF D8 0F B7 45 2A 0F B7 55 28 F7 EA 3B D8 7C 04 33 DB EB 02 B3 01 88 5D 6D 84 DB 74 09 56 E8 ?? ?? ?? ?? 89 45 10 56 6A 00 E8 ?? ?? ?? ?? 83 7D 10 00 75 04 C6 47 20 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7890_0 {
	meta:
		name = "TBitmap.LoadFromClipboardFormat"
		size = 191
		refs = "0015 TBitmap.LoadFromClipboardFormat 002d SUnknownClipboardFormat 0032 LoadResString 003a _NF__405 0041 _NF__5A8 0050 @FillChar 005c GetObject 0077 _NF__581 00ab @LStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 33 DB 89 5D A8 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 FA 02 75 04 85 DB 75 15 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 AC 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC 50 6A 54 53 E8 ?? ?? ?? ?? 83 7D C0 00 75 05 33 C0 89 45 C4 8D 45 AC 50 8B 4D 08 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 46 18 C6 40 6C 00 8B C6 8B 10 FF 52 24 85 C0 0F 95 C0 88 46 16 8B D6 8B C6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7891_0 {
	meta:
		name = "TBitmap.LoadFromStream"
		size = 36
		refs = "0009 TStream.GetSize 0011 TStream.GetPosition 001d _NF__5C8"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 59 2B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7892_0 {
	meta:
		name = "TBitmap.LoadFromResourceName"
		size = 94
		refs = "000b _Dn_TResourceStream 0014 TResourceStream.Create 001f TBitmap.LoadFromResourceName 002d TStream.GetSize 0039 _NF__5C7 004e TObject.Free 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 51 6A 02 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7893_0 {
	meta:
		name = "TBitmap.LoadFromResourceID"
		size = 94
		refs = "000b _Dn_TResourceStream 0014 TResourceStream.CreateFromID 001f TBitmap.LoadFromResourceID 002d TStream.GetSize 0039 _NF__5C7 004e TObject.Free 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 51 6A 02 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7894_0 {
	meta:
		name = "_NF__5C2"
		size = 234
		refs = "0013 _DV_TBitmapImage 0018 TObject.Create 0023 _NF__5C2 0074 @HandleAnyException 007c TObject.Free 0081 @RaiseAgain 0086 @DoneExcept 008b _NV__299 0090 EnterCriticalSection 00a9 TSharedImage.Release 00b7 TSharedImage.Reference 00ce LeaveCriticalSection 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 08 8B 45 F8 89 70 10 8B 45 0C 8B 55 F8 8B F0 8D 7A 18 B9 15 00 00 00 F3 A5 8B 45 F8 8A 55 08 88 50 6C 8B 45 F8 83 78 2C 00 74 0C 8B 45 F8 8B 40 08 8B 55 F8 89 42 14 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 89 42 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC C6 40 22 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7895_0 {
	meta:
		name = "TBitmap.ReadData"
		size = 39
		refs = "001e _NF__5C8"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 04 8B 0C 24 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7896_0 {
	meta:
		name = "_NF__5C7"
		size = 1088
		refs = "0047 @GetMem 0058 _NF__5C7 0088 @FillChar 00e1 _NF__406 010d TStream.ReadBuffer 0123 _NF__40D 0135 _NV__5C6 0169 _NF__40E 0190 _NF__421 019b GetDC 01a0 _NF__40B 01c7 DDBsOnly 0201 CreateCompatibleDC 0216 CreateCompatibleBitmap 0220 SelectObject 0226 DeleteObject 0241 _NF__426 0253 SelectPalette 025f RealizePalette 0283 CreateDIBitmap 0291 GetLastError 02a1 RaiseLastWin32Error 02c9 @HandleFinally 02e7 DeleteDC 02ef @FreeMem 030c CreateDIBSection 035e @HandleAnyException 036c @RaiseAgain 0371 @DoneExcept 0389 ReleaseDC 03fe GetObject 0417 _NF__5C2"
	strings:
		$1 = { 55 8B EC 81 C4 6C FF FF FF 53 56 57 8B F1 89 55 F8 89 45 FC 33 C0 89 45 D4 8D 55 E0 B9 04 00 00 00 8B 45 F8 8B 18 FF 53 04 83 7D E0 0C 0F 94 45 DF 80 7D DF 00 74 07 C7 45 E0 28 00 00 00 8B 45 E0 05 00 04 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 89 45 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D DF 00 74 49 8D 55 C0 83 C2 04 B9 08 00 00 00 8B 45 F8 8B 18 FF 53 04 8B 5D CC 8B C3 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8B C3 0F B7 55 C4 89 50 04 0F B7 55 C6 89 50 08 66 8B 55 C8 66 89 50 0C 66 8B 55 CA 66 89 50 0E 83 EE 0C EB 17 8B 4D E0 83 E9 04 8B 55 E8 83 C2 04 8B 45 F8 8B 18 FF 53 04 2B 75 E0 8B 5D CC 8B 45 E0 89 03 8B 45 E8 03 45 E0 89 45 E4 66 83 7B 0C 01 74 05 E8 ?? ?? ?? ?? 83 7D E0 28 75 2D 66 8B 43 0E 66 83 F8 10 74 06 66 83 F8 20 75 1D 83 7B 10 03 75 17 8B 55 E4 B9 0C 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 45 E4 0C 83 EE 0C 83 7B 20 00 75 0C 66 8B 43 0E E8 ?? ?? ?? ?? 89 43 20 8B 4B 20 0F B6 7D DF 33 C0 8A 87 ?? ?? ?? ?? 0F AF C8 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 43 20 33 D2 8A 97 ?? ?? ?? ?? F7 EA 2B F0 83 7B 14 00 75 21 0F B7 53 0E 8B 43 04 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B 43 08 99 33 C2 2B C2 0F AF C8 89 4B 14 8B 43 14 3B F0 7E 02 8B F0 80 7D DF 00 74 08 8B 45 E4 E8 ?? ?? ?? ?? 33 DB 33 FF 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 CC 8B 40 10 83 F8 01 74 12 83 F8 02 74 0D 80 3D ?? ?? ?? ?? 00 0F 84 29 01 00 00 33 C0 89 45 F0 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 EC 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 01 6A 01 8B 45 F4 50 E8 ?? ?? ?? ?? 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 45 D0 8B 45 CC 8B 40 20 85 C0 7E 2A 8B C8 8B 55 E4 33 C0 E8 ?? ?? ?? ?? 89 45 D4 6A 00 8B 45 D4 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 D0 8B 45 F0 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 E8 50 8B 55 EC 52 6A 04 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 75 15 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D0 00 74 0F 6A FF 8B 45 D0 50 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 09 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 57 53 8D 45 EC 50 6A 00 8B 45 E8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 74 06 83 7D EC 00 75 15 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0D 8B 55 EC 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 D8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 CC 66 83 78 0E 08 76 22 8B 45 CC 83 78 20 00 7E 19 83 7D D4 00 75 13 8B 45 CC 8B 48 20 8B 55 E4 33 C0 E8 ?? ?? ?? ?? 89 45 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 85 6C FF FF FF 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 6A 54 8B 45 D8 50 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 8A 45 DF 50 8B 4D D4 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 85 C0 0F 95 C0 8B 55 FC 88 42 16 8B 55 FC 8B 45 FC 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7897_0 {
	meta:
		name = "_NF__5C8"
		size = 107
		refs = "000f _NF__5A8 0023 @FillChar 0035 _NF__5C2 0045 TStream.ReadBuffer 0052 _NF__406 0060 _NF__5C7"
	strings:
		$1 = { 53 56 57 83 C4 9C 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 85 F6 75 24 8D 44 24 10 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 44 24 10 50 6A 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? EB 29 8B D4 B9 0E 00 00 00 8B C7 E8 ?? ?? ?? ?? 66 81 3C 24 42 4D 74 05 E8 ?? ?? ?? ?? 8B CE 83 E9 0E 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 64 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7898_0 {
	meta:
		name = "TBitmap.SetHandle"
		size = 192
		refs = "001c _NF__5A8 002b @FillChar 003b GetObject 0057 SystemPalette16 0068 CopyPalette 0073 TBitmap.SetHandle 008b _NF__5C2 009a @HandleAnyException 00a2 _NF__29B 00a7 @RaiseAgain 00ac @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 8B FA 8B D8 8B 73 18 3B 7E 08 0F 84 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 A8 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 85 FF 74 0C 8D 45 A8 50 6A 54 57 E8 ?? ?? ?? ?? 83 7E 04 01 75 0D 8B 46 10 89 45 FC 33 C0 89 46 10 EB 1D 8B 46 10 3B 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? 89 45 FC EB 08 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A8 50 6A 00 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7899_0 {
	meta:
		name = "TBitmap.SetHandleType"
		size = 308
		refs = "000e TBitmap.GetHandleType 005b _NF__5A8 0062 TBitmap.PaletteNeeded 0069 _NF__5A7 0092 _NF__5C2 00a8 _NF__581 00f4 CopyPalette 0106 _NF__574"
	strings:
		$1 = { 53 56 57 55 83 C4 AC 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 0F 84 12 01 00 00 8B 7E 18 83 7F 08 00 75 21 83 7F 14 00 75 1B 80 FB 01 75 0A 33 C0 89 47 30 E9 F4 00 00 00 C7 47 30 28 00 00 00 E9 E8 00 00 00 84 DB 75 66 8B 47 14 85 C0 74 09 3B 47 08 0F 84 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7F 04 01 75 28 8B 47 14 33 D2 89 57 14 8B 6F 10 33 D2 89 57 10 8D 57 18 52 8A 57 6C 52 8B CD 8B D0 8B C6 E8 ?? ?? ?? ?? E9 88 00 00 00 8D 47 18 50 8B 4F 10 8B 57 14 8B C6 E8 ?? ?? ?? ?? EB 75 8B 47 08 85 C0 74 05 3B 47 14 75 72 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 56 57 8D 77 18 8D 7C 24 08 B9 15 00 00 00 F3 A5 5F 5E 33 C0 89 44 24 18 83 7F 04 01 0F 94 C3 84 DB 74 05 8B 6F 10 EB 0A 8B 47 10 E8 ?? ?? ?? ?? 8B E8 54 6A 00 8B CD 8B 57 10 8B 47 14 E8 ?? ?? ?? ?? 84 DB 74 05 89 47 08 EB 10 54 8A 57 6C 52 8B CD 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 83 C4 54 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7900_0 {
	meta:
		name = "TBitmap.SetHeight"
		size = 81
		refs = "0015 TBitmap.HandleNeeded 003d _NF__581"
	strings:
		$1 = { 53 56 57 83 C4 AC 8B FA 8B D8 8B 73 18 3B 7E 20 74 38 8B C3 E8 ?? ?? ?? ?? 56 57 83 C6 18 8D 7C 24 08 B9 15 00 00 00 F3 A5 5F 5E 89 7C 24 08 89 7C 24 20 54 8B 4E 10 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 83 C4 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7901_0 {
	meta:
		name = "TBitmap.SetMonochrome"
		size = 125
		refs = "002b TBitmap.HandleNeeded 0069 _NF__581"
	strings:
		$1 = { 53 56 57 83 C4 AC 8B DA 8B F8 8B 77 18 8D 46 30 66 83 78 0C 01 75 07 66 83 78 0E 01 74 04 33 C0 EB 02 B0 01 3A D8 74 4E 8B C7 E8 ?? ?? ?? ?? 56 57 83 C6 18 8D 7C 24 08 B9 15 00 00 00 F3 A5 5F 5E 33 C0 89 44 24 18 33 C0 8A C3 66 89 44 24 24 66 89 44 24 26 66 89 44 24 10 66 89 44 24 12 54 8B 4E 10 8B 56 08 8B C7 E8 ?? ?? ?? ?? 8B D7 8B C7 8B 08 FF 51 10 83 C4 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7902_0 {
	meta:
		name = "TBitmap.SetPalette"
		size = 209
		refs = "0029 _NF__29B 0037 _NF__5A8 003e TBitmap.HandleNeeded 0062 _NF__574 006d TBitmap.SetPalette 0087 _NF__5C2 0096 @HandleAnyException 009f DeleteObject 00a4 @RaiseAgain 00a9 @DoneExcept 00b9 _NF__572"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 8B FA 8B D8 8B 43 18 3B 78 10 0F 84 B1 00 00 00 8B F0 85 FF 75 15 83 7E 04 01 75 0F 8B 46 10 E8 ?? ?? ?? ?? 33 C0 89 46 10 EB 79 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 57 83 C6 18 8D 7D A8 B9 15 00 00 00 F3 A5 5F 5E 8D 45 A8 50 6A 00 8B 56 10 8B 46 08 8B CF E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A8 50 8A 46 6C 50 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 18 8D 48 18 8B 40 14 8B D7 E8 ?? ?? ?? ?? C6 43 16 01 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7903_0 {
	meta:
		name = "TBitmap.SetPixelFormat"
		size = 339
		refs = "0016 TBitmap.SetPixelFormat 0023 TBitmap.GetPixelFormat 004d SInvalidPixelFormat 0052 LoadResString 005a _NF__405 006e @FillChar 00a9 _NV__5D8 00c6 SystemPalette16 00cf GetDC 00d4 _NF__40B 00dc CreateHalftonePalette 00e6 ReleaseDC 011a _NF__581 0140 @LStrClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 C9 89 4D A8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3A D8 0F 84 00 01 00 00 8B C3 2C 01 72 06 2C 07 74 10 EB 28 B2 01 8B C6 8B 08 FF 51 68 E9 E6 00 00 00 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? E9 CC 00 00 00 8D 45 AC 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8B 46 18 56 8D 70 18 8D 7D AC B9 06 00 00 00 F3 A5 5E 33 D2 89 55 C0 C7 45 C4 28 00 00 00 8B 55 B0 89 55 C8 8B 55 B4 89 55 CC 66 C7 45 D0 01 00 33 D2 8A D3 0F B6 92 ?? ?? ?? ?? 66 89 55 D2 8B 78 10 80 EB 02 74 0B FE CB 74 0F 80 EB 02 74 2A EB 44 8B 3D ?? ?? ?? ?? EB 3C 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 53 E8 ?? ?? ?? ?? 8B F8 53 6A 00 E8 ?? ?? ?? ?? EB 1C C7 45 D4 03 00 00 00 C7 45 EC 00 F8 00 00 C7 45 F0 E0 07 00 00 C7 45 F4 1F 00 00 00 8D 45 AC 50 8B C6 8B 10 FF 52 60 8B D0 8B CF 8B C6 E8 ?? ?? ?? ?? 85 FF 0F 95 C0 88 46 16 8B D6 8B C6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7904_0 {
	meta:
		name = "TBitmap.SetTransparentColor"
		size = 77
		refs = "002c TBitmap.HandleNeeded 003d _NF__581"
	strings:
		$1 = { 53 56 8B F0 3B 56 24 74 41 81 FA 00 00 00 20 75 06 C6 46 28 00 EB 04 C6 46 28 01 89 56 24 8B 46 18 83 78 04 01 7E 1A 8B D8 8B C6 E8 ?? ?? ?? ?? 8D 43 18 50 8B 4B 10 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_7905_0 {
	meta:
		name = "TBitmap.SetTransparentMode"
		size = 44
		refs = "0014 TBitmap.SetTransparentColor 001d TBitmap.GetTransparentColor"
	strings:
		$1 = { 53 8B D8 3A 53 28 74 22 84 D2 75 0E BA 00 00 00 20 8B C3 E8 ?? ?? ?? ?? EB 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7906_0 {
	meta:
		name = "TBitmap.SetWidth"
		size = 81
		refs = "0015 TBitmap.HandleNeeded 003d _NF__581"
	strings:
		$1 = { 53 56 57 83 C4 AC 8B FA 8B D8 8B 73 18 3B 7E 1C 74 38 8B C3 E8 ?? ?? ?? ?? 56 57 83 C6 18 8D 7C 24 08 B9 15 00 00 00 F3 A5 5F 5E 89 7C 24 04 89 7C 24 1C 54 8B 4E 10 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 83 C4 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7908_0 {
	meta:
		name = "_NF__5E9"
		size = 552
		refs = "0013 _NF__5A7 0031 _NF__42C 0075 TStream.WriteBuffer 008f @FillChar 00af TBitmap.GetCanvas 00b5 _NF__5E9 00ba TCanvas.RequiredState 00ca SelectObject 00cf _NF__40B 00e9 GetDIBColorTable 011e _NF__427 012a _NF__573 0158 _NF__422 01f5 _NV__5E8"
	strings:
		$1 = { 53 56 57 55 81 C4 D8 FB FF FF 8B D9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 6E 18 33 C0 89 04 24 8B 45 14 85 C0 74 41 6A 00 8D 4C 24 04 8D 54 24 08 E8 ?? ?? ?? ?? 80 7D 6C 00 74 22 C7 44 24 04 0C 00 00 00 66 8B 45 3E 66 83 F8 08 77 10 8B C8 B8 01 00 00 00 D3 E0 8D 04 40 01 44 24 04 8B 44 24 04 83 C0 0E 01 04 24 84 DB 74 0E 8B D4 B9 04 00 00 00 8B C7 E8 ?? ?? ?? ?? 83 3C 24 00 0F 84 93 01 00 00 8D 44 24 0C 33 C9 BA 0E 00 00 00 E8 ?? ?? ?? ?? 66 C7 44 24 0C 42 4D 8B 04 24 89 44 24 0E 8B 44 24 04 83 C0 0E 89 44 24 16 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 14 50 8B 46 1C 8B 40 04 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 44 24 28 50 68 00 01 00 00 6A 00 8B 46 1C 8B 40 04 50 E8 ?? ?? ?? ?? 89 44 24 08 53 8B 46 1C 8B 40 04 50 E8 ?? ?? ?? ?? 83 7C 24 08 00 75 21 83 7D 10 00 74 1B 80 7D 6D 00 75 15 8D 54 24 28 B9 FF 00 00 00 8B 45 10 E8 ?? ?? ?? ?? 89 44 24 08 8D 45 18 E8 ?? ?? ?? ?? 83 7C 24 08 00 74 27 8B 45 50 85 C0 74 06 3B 44 24 08 74 07 8B 44 24 08 89 45 50 80 7D 6C 00 74 0D 8D 54 24 08 8D 44 24 28 E8 ?? ?? ?? ?? 80 7D 6C 00 74 4F 8D 45 30 C7 44 24 1C 0C 00 00 00 66 8B 50 04 66 89 54 24 20 66 8B 50 08 66 89 54 24 22 66 C7 44 24 24 01 00 66 8B 40 0E 66 89 44 24 26 8D 54 24 0C B9 0E 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 54 24 1C B9 0C 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 3B 8D 54 24 0C B9 0E 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 55 30 B9 28 00 00 00 8B C7 E8 ?? ?? ?? ?? 66 83 7D 3E 08 76 15 F6 45 40 03 74 0F 8D 55 58 B9 0C 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 C0 8A 45 6C 33 C9 8A 88 ?? ?? ?? ?? 0F AF 4C 24 08 8D 54 24 28 8B C7 E8 ?? ?? ?? ?? 8B 55 2C 8B 4D 44 8B C7 E8 ?? ?? ?? ?? 81 C4 28 04 00 00 5D 5F 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_7909_0 {
	meta:
		name = "TBitmap.ReleaseHandle"
		size = 51
		refs = "0006 TBitmap.HandleNeeded 000f _NF__582"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 50 08 8B CA 3B 50 14 75 0A 33 D2 89 50 14 33 D2 89 50 2C 33 D2 89 50 08 8B C1 5B C3 }
	condition:
		$1
}

rule function_7910_0 {
	meta:
		name = "TBitmap.ReleaseMaskHandle"
		size = 20
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 8B 53 18 33 C9 89 4A 0C 5B C3 }
	condition:
		$1
}

rule function_7911_0 {
	meta:
		name = "TBitmap.ReleasePalette"
		size = 34
		refs = "0006 TBitmap.HandleNeeded 000f _NF__582"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 50 10 33 C9 89 48 10 8B C2 5B C3 }
	condition:
		$1
}

rule function_7913_0 {
	meta:
		name = "TBitmap.SaveToClipboardFormat"
		size = 157
		refs = "0016 TBitmap.HandleNeeded 0049 _NF__574 0056 TBitmap.SaveToClipboardFormat 0067 CopyPalette 007b @HandleAnyException 0086 DeleteObject 008b @RaiseAgain 0090 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 89 4D FC 8B D8 66 C7 02 02 00 8B C3 E8 ?? ?? ?? ?? 8B 73 18 56 83 C6 18 8D 7D A8 B9 15 00 00 00 F3 A5 5E 33 C0 89 45 C0 33 C0 89 45 BC 8D 45 A8 50 8B 43 1C 50 8B 7E 10 8B CF 8B D7 8B 46 08 E8 ?? ?? ?? ?? 8B 55 FC 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 8B 40 10 E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7914_0 {
	meta:
		name = "TBitmap.TransparentColorStored"
		size = 8
	strings:
		$1 = { 80 78 28 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_7916_0 {
	meta:
		name = "TIconImage.FreeHandle"
		size = 23
		refs = "000c DestroyIcon"
	strings:
		$1 = { 53 8B D8 8B 43 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 33 C0 89 43 08 5B C3 }
	condition:
		$1
}

rule function_7917_0 {
	meta:
		name = "TIcon.Create"
		size = 81
		refs = "000b @ClassCreate 0018 TGraphic.Create 0028 _DV_TIconImage 002d TObject.Create 0039 TSharedImage.Reference"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 8B 08 FF 51 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 18 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7919_0 {
	meta:
		name = "TIcon.Assign"
		size = 93
		refs = "000f _DV_TIcon 0014 @IsClass 0026 TSharedImage.Reference 002e TSharedImage.Release 0041 _NF__619 0055 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 85 DB 74 1A 8B FB 8B 47 18 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B 47 18 89 46 18 EB 0B 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7920_0 {
	meta:
		name = "TIcon.Draw"
		size = 56
		refs = "000b TIcon.Draw 0012 TCanvas.RequiredState 0019 TIcon.GetHandle 002a DrawIcon"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8A 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B 47 04 50 8B 07 50 8B 46 04 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_7921_0 {
	meta:
		name = "TIcon.GetEmpty"
		size = 21
	strings:
		$1 = { 8B 40 18 83 78 08 00 75 06 83 78 0C 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_7922_0 {
	meta:
		name = "TIcon.GetHandle"
		size = 18
		refs = "0006 _NF__614"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 08 5B C3 }
	condition:
		$1
}

rule function_7923_0 {
	meta:
		name = "TIcon.GetHeight"
		size = 8
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7924_0 {
	meta:
		name = "TIcon.GetWidth"
		size = 8
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 0B E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7925_0 {
	meta:
		name = "_NF__614"
		size = 106
		refs = "0017 TStream.SetPosition 0026 TStream.ReadBuffer 003a _NV__298 0053 _NF__429 005a _NF__407"
	strings:
		$1 = { 53 83 C4 F4 8B 58 18 83 7B 08 00 75 58 8B 43 0C 85 C0 74 51 33 D2 E8 ?? ?? ?? ?? 8B D4 B9 06 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 66 8B 44 24 02 66 83 E8 01 72 04 74 0D EB 20 A1 ?? ?? ?? ?? 89 44 24 08 EB 1A 6A 06 0F B7 4C 24 08 8D 54 24 0C 8B 43 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B 44 24 08 89 43 08 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_7926_0 {
	meta:
		name = "_NF__615"
		size = 175
		refs = "001e _NF__407 0025 _Dn_TMemoryStream 002a TObject.Create 0035 _NF__615 0042 TIcon.GetHandle 0048 _NV__298 0059 @FillChar 0069 TStream.WriteBuffer 007e _NF__439 008d @HandleAnyException 0095 TObject.Free 009a @RaiseAgain 009f @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F0 8B 5E 18 83 7B 0C 00 0F 85 92 00 00 00 83 7B 08 00 75 05 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 21 8D 45 F6 33 C9 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 55 F6 B9 06 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 43 0C 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7927_0 {
	meta:
		name = "TIcon.LoadFromStream"
		size = 180
		refs = "000f _Dn_TMemoryStream 0014 TObject.Create 001f TIcon.LoadFromStream 002c TStream.GetSize 0034 TStream.GetPosition 0055 TStream.ReadBuffer 0074 _NF__407 0080 _NF__619 008f @HandleAnyException 0097 TObject.Free 009c @RaiseAgain 00a1 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 2B D0 8B 45 FC 8B 08 FF 11 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 50 04 8B C6 E8 ?? ?? ?? ?? 8D 55 F6 B9 06 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 66 8B 45 F8 66 83 E8 02 72 05 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7928_0 {
	meta:
		name = "_NF__619"
		size = 115
		refs = "0010 _DV_TIconImage 0015 TObject.Create 0020 _NF__619 0041 @HandleAnyException 0049 TObject.Free 004e @RaiseAgain 0053 @DoneExcept 005b TSharedImage.Reference 0063 TSharedImage.Release"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 70 08 8B 45 FC 89 78 0C 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 45 FC 89 43 18 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7929_0 {
	meta:
		name = "TIcon.ReleaseHandle"
		size = 57
		refs = "0013 CopyIcon 001e _NF__619"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 18 83 7E 04 01 7E 14 8B 46 08 50 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 7E 08 33 C0 89 46 08 8B D3 8B C3 8B 08 FF 51 10 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7930_0 {
	meta:
		name = "TIcon.SetHandle"
		size = 23
		refs = "0008 _NF__619"
	strings:
		$1 = { 53 8B D8 33 C9 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5B C3 }
	condition:
		$1
}

rule function_7933_0 {
	meta:
		name = "TIcon.SaveToStream"
		size = 41
		refs = "0009 _NF__615 0016 TStream.GetSize 0022 TStream.WriteBuffer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 58 0C 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 53 04 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7936_0 {
	meta:
		name = "GraphicFilter"
		size = 77
		refs = "000f GraphicFilter 001e _NF__47C 0027 _NF__472 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7937_0 {
	meta:
		name = "GraphicExtension"
		size = 135
		refs = "000f _NV__47B 0014 _NF__47C 0027 TList.Get 0030 TObject.ClassName 0053 @AStrCmp 0069 @LStrLAsg 0078 @LStrClr"
	strings:
		$1 = { 53 56 57 55 81 C4 00 FE FF FF 8B FA 8B F0 BD ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 7C 54 8B D3 8B 45 00 E8 ?? ?? ?? ?? 8B 00 8B D4 E8 ?? ?? ?? ?? 8B C4 50 8D 94 24 04 01 00 00 8B C6 E8 ?? ?? ?? ?? 8D 94 24 04 01 00 00 58 33 C9 8A 08 41 E8 ?? ?? ?? ?? 75 16 8B D3 8B 45 00 E8 ?? ?? ?? ?? 8B 50 04 8B C7 E8 ?? ?? ?? ?? EB 0D 4B 83 FB FF 75 AC 8B C7 E8 ?? ?? ?? ?? 81 C4 00 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7938_0 {
	meta:
		name = "GraphicFileMask"
		size = 75
		refs = "000f GraphicFileMask 001b _NF__47C 0025 _NF__472 003a @LStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7939_0 {
	meta:
		name = "_NF__639"
		size = 53
		refs = "0004 GetDC 000e GetDeviceCaps 0013 _NV__294 001b ReleaseDC 0020 _NV__638 002a _NF__424 002f SystemPalette16"
	strings:
		$1 = { 53 6A 00 E8 ?? ?? ?? ?? 8B D8 6A 5A 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA 0F 00 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7940_0 {
	meta:
		name = "GetDefFontCharSet"
		size = 67
		refs = "000a GetDC 0015 _NV__297 001c SelectObject 0027 GetTextMetrics 0037 ReleaseDC"
	strings:
		$1 = { 53 56 83 C4 C8 B3 01 6A 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 27 A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 85 C0 74 0F 54 56 E8 ?? ?? ?? ?? 85 C0 74 04 8A 5C 24 34 56 6A 00 E8 ?? ?? ?? ?? 8B C3 83 C4 38 5E 5B C3 }
	condition:
		$1
}

rule function_7941_0 {
	meta:
		name = "_NF__63B"
		size = 116
		refs = "0006 _NV__294 000e MulDiv 0015 DefFontData 001a SysLocale 0025 GetDefFontCharSet 0032 _NF__63B"
	strings:
		$1 = { 53 56 57 6A 48 A1 ?? ?? ?? ?? 50 6A 08 E8 ?? ?? ?? ?? F7 D8 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 3A E8 ?? ?? ?? ?? 8B D8 8B C3 2C 80 75 2D BE ?? ?? ?? ?? BF ?? ?? ?? ?? B9 04 00 00 00 F3 A5 6A 48 A1 ?? ?? ?? ?? 50 6A 09 E8 ?? ?? ?? ?? F7 D8 A3 ?? ?? ?? ?? 88 1D ?? ?? ?? ?? 5F 5E 5B C3 00 00 0F 82 6C 82 72 20 82 6F 83 53 83 56 83 62 83 4E }
	condition:
		$1
}

rule function_7942_0 {
	meta:
		name = "Finalization"
		size = 200
		refs = "0007 Finalization 0013 _NV__293 001e _NV__47B 0023 TObject.Free 0028 _NV__47A 0032 FreeMemoryContexts 0037 _NV__54C 0041 _NV__2AA 004b _NV__29E 0055 _NV__29F 005f _NV__2A0 0069 SystemPalette16 006f DeleteObject 0074 _NV__299 0079 DeleteCriticalSection 007e _NV__29A 0088 _NV__2C3 0093 TIdentMapEntry 0098 @FinalizeArray 009d _NV__2AD 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 94 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 12 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 2A 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7943_0 {
	meta:
		name = "Graphics"
		size = 234
		refs = "0002 _NV__293 000e _NF__639 0013 _NV__299 0018 InitializeCriticalSection 001d _NV__29A 0029 GetStockObject 002e _NV__295 003a _NV__296 0046 _NV__297 0052 LoadIcon 0057 _NV__298 005c _NF__63B 0067 _NV__29C 006c _NF__2A2 0071 _NV__29E 0086 _NV__29F 009b _NV__2A0 00a2 _Dn_TThreadList 00a7 TThreadList.Create 00ac _NV__54C 00bd _NV__2AA 00c2 ColorToIdent 00c7 IdentToColor 00cc TColor 00d1 RegisterIntegerConsts 00d6 CharsetToIdent 00db IdentToCharset 00e0 TFontCharset"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 0F 83 DC 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 07 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 05 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 0D E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 B9 2C 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 66 B9 10 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 66 B9 10 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7946_0 {
	meta:
		name = "_NF__120"
		size = 11
		altNames = "_NF__1B1 _NF__21B"
	strings:
		$1 = { 8B CA 3B D0 7E 02 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_7948_0 {
	meta:
		name = "_NF__21D"
		size = 101
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 44 24 08 89 01 8B 04 24 3B 44 24 08 7D 02 89 01 8B 04 24 89 41 08 8B 44 24 08 3B 04 24 7E 03 89 41 08 8B 44 24 0C 89 41 04 8B 44 24 04 3B 44 24 0C 7D 03 89 41 04 8B 44 24 04 89 41 0C 8B 44 24 0C 3B 44 24 04 7E 03 89 41 0C 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_7949_0 {
	meta:
		name = "_NF__21E"
		size = 25
		altNames = "_NF__220"
	strings:
		$1 = { 3B 01 7C 0F 3B 41 08 7F 0A 3B 51 04 7C 05 3B 51 0C 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_7951_0 {
	meta:
		name = "_NF__221"
		size = 73
		refs = "0015 _NF__220"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 08 8B 48 FC 8B 53 04 8B 03 E8 ?? ?? ?? ?? 84 C0 75 18 8B 45 08 8B 48 F8 8B 53 04 8B 03 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 0A 8B 13 89 16 8B 53 04 89 56 04 5E 5B 5D C3 }
	condition:
		$1
}

rule function_7952_0 {
	meta:
		name = "_NF__222"
		size = 117
		refs = "0019 _NF__221"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 B3 01 8B 45 0C 50 8B D6 8B C7 E8 ?? ?? ?? ?? 59 84 C0 74 24 8B 45 0C 50 8D 56 08 8B 45 08 E8 ?? ?? ?? ?? 59 84 C0 75 35 8B 45 FC 8B 10 89 56 08 8B 50 04 89 56 0C EB 25 8B 45 0C 50 8B D6 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 74 10 8B 45 08 8B 10 89 56 08 8B 50 04 89 56 0C EB 02 33 DB 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7953_0 {
	meta:
		name = "_NF__223"
		size = 405
		refs = "001b @FillChar 002c IntersectRect 0063 UnionRect 0072 Point 00a1 _NF__222"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B D9 89 55 F8 89 45 FC 8B C3 33 C9 BA 40 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 50 8D 45 E8 50 E8 ?? ?? ?? ?? 85 C0 75 22 8B 45 FC 8B F0 8B FB B9 04 00 00 00 F3 A5 8B 45 F8 8B F0 8D 7B 10 B9 04 00 00 00 F3 A5 E9 38 01 00 00 8B 45 F8 50 8B 45 FC 50 8D 45 D8 50 E8 ?? ?? ?? ?? 55 8D 4D D0 8B 55 F4 8B 45 D8 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 4D C8 8B 55 EC 8B 45 D8 E8 ?? ?? ?? ?? 8D 45 C8 50 8D 4D C0 8B 55 DC 8B 45 D8 E8 ?? ?? ?? ?? 8D 55 C0 8B C3 59 E8 ?? ?? ?? ?? 59 84 C0 74 06 8B 45 E8 89 43 08 55 8D 4D D0 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 4D C8 8B 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 C8 50 8D 4D C0 8B 55 DC 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 C0 8D 43 10 59 E8 ?? ?? ?? ?? 59 84 C0 74 06 8B 45 EC 89 43 1C 55 8D 4D D0 8B 55 E4 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 4D C8 8B 55 F4 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 C8 50 8D 4D C0 8B 55 EC 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 C0 8D 43 20 59 E8 ?? ?? ?? ?? 59 84 C0 74 06 8B 45 F0 89 43 20 55 8D 4D D0 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 4D C8 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 C8 50 8D 4D C0 8B 55 E4 8B 45 D8 E8 ?? ?? ?? ?? 8D 55 C0 8D 43 30 59 E8 ?? ?? ?? ?? 59 84 C0 74 06 8B 45 F4 89 43 34 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7954_0 {
	meta:
		name = "_NF__224"
		size = 233
		refs = "0019 _NF__224 0047 SIndexOutOfRange 004c LoadResString 0054 _NF__21A 0064 STooManyDeleted 0083 SGridTooLarge 00a1 @ReallocMem 00d4 @LStrClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 0F 84 98 00 00 00 83 3B 00 75 04 33 F6 EB 04 8B 03 8B 30 83 7D FC 00 7C 05 3B 75 FC 7D 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 03 FE 8B F7 85 F6 7D 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 1D 81 FE FE FF FF 07 7C 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 F6 7E 01 46 8B D6 C1 E2 02 8B C3 E8 ?? ?? ?? ?? 83 3B 00 74 19 8B 45 FC 3B F0 76 0D 8B 13 8B 4D 08 89 0C 82 40 3B F0 77 F3 4E 8B 03 89 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7955_0 {
	meta:
		name = "_NF__225"
		size = 28
		refs = "0015 _NF__224"
	strings:
		$1 = { 53 56 33 F6 83 38 00 74 04 8B 18 8B 33 51 8B CA 2B CE 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7956_0 {
	meta:
		name = "_NF__226"
		size = 87
		refs = "002c Move"
	strings:
		$1 = { 53 56 57 55 8B F1 8B D8 83 3B 00 74 45 8B 03 8B 3C 90 3B F2 7E 1C 8B C6 2B C2 8B C8 C1 E1 02 8B 03 8D 44 90 04 8B 2B 8D 54 95 00 E8 ?? ?? ?? ?? EB 1B 3B F2 7D 17 2B D6 8B CA C1 E1 02 8B 03 8D 04 B0 8B 13 8D 54 B2 04 E8 ?? ?? ?? ?? 8B 03 89 3C B0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7957_0 {
	meta:
		name = "_NF__227"
		size = 51
	strings:
		$1 = { 53 56 57 8B FA 33 D2 85 C0 74 1D 85 FF 74 1E 8B 30 85 F6 7C 0F 46 33 C9 8B 1C 88 3B 1C 8F 75 0D 41 4E 75 F4 B2 01 EB 05 85 FF 0F 94 C2 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7959_0 {
	meta:
		name = "TInplaceEdit.Create"
		size = 82
		refs = "000a @ClassCreate 0017 TCustomMaskEdit.Create 0020 TWinControl.SetParentCtl3D 0029 TWinControl.SetCtl3D 0032 TWinControl.SetTabStop 003b TCustomEdit.SetBorderStyle"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7960_0 {
	meta:
		name = "TInplaceEdit.CreateParams"
		size = 16
		refs = "0006 TCustomEdit.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 4B 04 04 5B C3 }
	condition:
		$1
}

rule function_7961_0 {
	meta:
		name = "_NF__231"
		size = 7
	strings:
		$1 = { 89 90 4C 01 00 00 C3 }
	condition:
		$1
}

rule function_7963_0 {
	meta:
		name = "TInplaceEdit.WMGetDlgCode"
		size = 37
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B 83 4C 01 00 00 F6 80 55 01 00 00 08 74 04 83 4E 0C 02 5E 5B C3 }
	condition:
		$1
}

rule function_7964_0 {
	meta:
		name = "TInplaceEdit.WMPaste"
		size = 32
		refs = "0019 TCustomMaskEdit.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 9C 00 00 00 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7966_0 {
	meta:
		name = "TInplaceEdit.WMCut"
		size = 32
		refs = "0019 TCustomMaskEdit.WMCut"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 9C 00 00 00 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7965_0 {
	meta:
		name = "TInplaceEdit.WMClear"
		size = 32
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 9C 00 00 00 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_7967_0 {
	meta:
		name = "TInplaceEdit.DblClick"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 53 8B 80 4C 01 00 00 66 BB EF FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7968_0 {
	meta:
		name = "TInplaceEdit.EditCanModify"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 53 8B 80 4C 01 00 00 66 BB D8 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7969_0 {
	meta:
		name = "_NF__245"
		size = 51
		refs = "0021 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8A 48 F7 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC 8B 80 4C 01 00 00 66 BB DF FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 66 C7 00 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_7970_0 {
	meta:
		name = "_NF__246"
		size = 71
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 8B 40 FC 8B 80 4C 01 00 00 8B 90 EC 00 00 00 89 55 F8 8B 90 F0 00 00 00 89 55 FC 66 83 7D FA 00 74 18 8B 55 08 8A 52 F7 52 8B 55 08 8B 4A F8 8B 55 08 8B D0 8B 45 FC FF 55 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_7971_0 {
	meta:
		name = "_NF__247"
		size = 27
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 4C 01 00 00 F6 80 55 01 00 00 20 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_7972_0 {
	meta:
		name = "_NF__248"
		size = 15
	strings:
		$1 = { 55 8B EC 8B 45 08 F6 40 F7 04 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_7973_0 {
	meta:
		name = "_NF__249"
		size = 36
		refs = "0017 TWinControl.GetHandle 001d SendMessage"
	strings:
		$1 = { 55 8B EC 53 8B D8 8D 43 04 50 53 68 B0 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_7974_0 {
	meta:
		name = "_NF__24A"
		size = 59
		refs = "000f _NF__249 0027 TCustomMaskEdit.GetTextLen"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B 45 08 50 8D 45 F8 E8 ?? ?? ?? ?? 59 8B 5D F8 85 DB 74 05 3B 5D FC 75 10 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3B 45 FC 74 04 33 C0 EB 02 B0 01 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7975_0 {
	meta:
		name = "_NF__24B"
		size = 59
		refs = "000f _NF__249 0028 TCustomMaskEdit.GetTextLen"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B 45 08 50 8D 45 F8 E8 ?? ?? ?? ?? 59 83 7D F8 00 75 16 8B 5D FC 85 DB 74 13 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3B D8 74 04 33 C0 EB 02 B0 01 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7976_0 {
	meta:
		name = "TInplaceEdit.KeyDown"
		size = 524
		refs = "0080 _NF__245 008b TInplaceEdit.KeyDown 00bc @CallDynaInst 00d7 _NF__247 00e6 _NF__248 00f1 _NF__24B 0126 _NF__24A 0192 _NF__246 01a4 TInplaceEdit.Deselect 01f8 TCustomMaskEdit.KeyDown"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 8B 45 F8 0F B7 00 83 F8 25 7F 38 0F 84 B4 00 00 00 83 F8 21 7D 13 83 E8 09 0F 84 7B 01 00 00 83 E8 12 74 4A E9 7E 01 00 00 83 C0 DF 83 E8 02 72 3D 0F 84 1F 01 00 00 48 0F 84 EE 00 00 00 E9 64 01 00 00 83 F8 28 7F 13 74 24 83 E8 26 74 1F 48 0F 84 A4 00 00 00 E9 4C 01 00 00 83 E8 2D 74 1A 83 E8 44 0F 84 17 01 00 00 E9 39 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 2D 01 00 00 A0 ?? ?? ?? ?? 3A 45 F7 75 0C 55 E8 ?? ?? ?? ?? 59 E9 17 01 00 00 A0 ?? ?? ?? ?? 3A 45 F7 0F 85 09 01 00 00 8B 45 FC 8B 80 4C 01 00 00 66 BB D8 FF E8 ?? ?? ?? ?? 84 C0 0F 85 EF 00 00 00 8B 45 F8 66 C7 00 00 00 E9 E2 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 D3 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 75 0F 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 B9 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 AD 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 9E 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 75 0F 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 84 00 00 00 55 E8 ?? ?? ?? ?? 59 EB 7B 55 E8 ?? ?? ?? ?? 59 84 C0 74 70 55 E8 ?? ?? ?? ?? 59 84 C0 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 74 5A 55 E8 ?? ?? ?? ?? 59 EB 51 55 E8 ?? ?? ?? ?? 59 84 C0 74 46 55 E8 ?? ?? ?? ?? 59 84 C0 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 74 30 55 E8 ?? ?? ?? ?? 59 EB 27 55 E8 ?? ?? ?? ?? 59 8B 45 F8 66 83 38 71 75 17 8B 45 FC E8 ?? ?? ?? ?? EB 52 F6 45 F7 02 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 66 83 38 2E 75 1E 8B 45 FC 8B 80 4C 01 00 00 66 BB D8 FF E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 F8 66 C7 00 00 00 8B 45 F8 66 83 38 00 74 15 55 E8 ?? ?? ?? ?? 59 8B 55 F8 8A 4D F7 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 00 00 00 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_7977_0 {
	meta:
		name = "TInplaceEdit.KeyPress"
		size = 229
		refs = "0017 @CallDynaInst 003e MessageBeep 0089 TWinControl.GetHandle 008f SendMessage 009c TCustomMaskEdit.GetTextLen 00a9 TInplaceEdit.Deselect 00b2 TCustomEdit.SelectAll 00db TCustomMaskEdit.KeyPress"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B F8 8B D6 8B 87 4C 01 00 00 66 BB DD FF E8 ?? ?? ?? ?? 8A 06 04 E0 2C E0 73 1F 8A 16 8B 87 4C 01 00 00 66 BB DA FF E8 ?? ?? ?? ?? 84 C0 75 0A C6 06 00 6A 00 E8 ?? ?? ?? ?? 33 C0 8A 06 83 F8 16 7F 11 74 6E 83 E8 08 74 69 48 74 1D 83 E8 04 74 1D EB 75 83 E8 18 74 5A 83 E8 03 74 0C 83 C0 FB 2D E0 00 00 00 72 4B EB 5F C6 06 00 EB 5A 8D 44 24 04 50 8D 44 24 04 50 68 B0 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3C 24 00 75 16 8B C7 E8 ?? ?? ?? ?? 3B 44 24 04 75 09 8B C7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? C6 06 00 EB 16 8B 87 4C 01 00 00 66 BB D8 FF E8 ?? ?? ?? ?? 84 C0 75 03 C6 06 00 80 3E 00 74 09 8B D6 8B C7 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7978_0 {
	meta:
		name = "TInplaceEdit.KeyUp"
		size = 26
		refs = "0013 @CallDynaInst"
	strings:
		$1 = { 53 51 88 0C 24 8A 0C 24 8B 80 4C 01 00 00 66 BB DE FF E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_7979_0 {
	meta:
		name = "TInplaceEdit.WndProc"
		size = 116
		refs = "001a GetParentForm 0030 TCustomForm.SetFocusedControl 003d TObject.Dispatch 0044 GetMessageTime 0051 GetDoubleClickTime 006c TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 06 83 E8 07 74 09 2D FA 01 00 00 74 2E EB 50 8B C3 E8 ?? ?? ?? ?? 85 C0 74 16 8B C3 E8 ?? ?? ?? ?? 8B 93 4C 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 38 8B D6 8B C3 E8 ?? ?? ?? ?? EB 2D E8 ?? ?? ?? ?? 8B F8 2B BB 50 01 00 00 E8 ?? ?? ?? ?? 3B F8 7D 06 C7 06 03 02 00 00 33 C0 89 83 50 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7980_0 {
	meta:
		name = "TInplaceEdit.Deselect"
		size = 30
		refs = "0012 TWinControl.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 8B D8 6A FF 68 FF FF FF 7F 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7981_0 {
	meta:
		name = "TInplaceEdit.Invalidate"
		size = 131
		refs = "000b TWinControl.GetHandle 0011 ValidateRect 0022 InvalidateRect 0030 GetClientRect 0050 MapWindowPoints"
	strings:
		$1 = { 53 83 C4 F0 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 44 24 04 50 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 54 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_7982_0 {
	meta:
		name = "TInplaceEdit.Hide"
		size = 96
		refs = "0006 TWinControl.HandleAllocated 0011 TWinControl.GetHandle 0017 IsWindowVisible 0022 TInplaceEdit.Invalidate 003e SetWindowPos 0045 TWinControl.Focused 005a SetFocus"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 3F 8B C3 E8 ?? ?? ?? ?? 68 8C 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7983_0 {
	meta:
		name = "TInplaceEdit.PosEqual"
		size = 68
		refs = "000d TWinControl.GetHandle 0013 GetWindowRect 002d MapWindowPoints 0034 EqualRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 44 24 04 50 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 54 56 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_7984_0 {
	meta:
		name = "_NF__263"
		size = 166
		refs = "000c IsRectEmpty 0017 TInplaceEdit.Hide 002e TWinControl.GetHandle 0034 IsWindowVisible 0047 TInplaceEdit.Invalidate 006c SetWindowPos 008c TWinControl.Focused 009d SetFocus"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F2 8B F8 56 E8 ?? ?? ?? ?? 85 C0 74 0C 8B C7 E8 ?? ?? ?? ?? E9 81 00 00 00 8B C7 8B 10 FF 52 58 84 DB 75 15 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 8B C7 E8 ?? ?? ?? ?? 6A 48 8B 46 0C 2B 46 04 50 8B 46 08 8B 2E 2B C5 50 8B 46 04 50 55 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 A4 00 00 00 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B 87 4C 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7985_0 {
	meta:
		name = "TInplaceEdit.BoundsChanged"
		size = 86
		refs = "0020 Rect 0031 TWinControl.GetHandle 0037 SendMessage"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B 43 3C 50 8D 44 24 04 50 8B 4B 38 83 E9 02 BA 02 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B C4 50 6A 00 68 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 B7 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_7987_0 {
	meta:
		name = "TInplaceEdit.Visible"
		size = 24
		refs = "0006 TWinControl.GetHandle 000c IsWindowVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_14533_0 {
	meta:
		name = "DeleteFile"
		size = 24
		refs = "0006 @LStrToPChar 000c DeleteFile"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_14558_0 {
	meta:
		name = "RemoveDir"
		size = 24
		refs = "0006 @LStrToPChar 000c RemoveDirectory"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_14556_0 {
	meta:
		name = "SetCurrentDir"
		size = 24
		refs = "0006 @LStrToPChar 000c SetCurrentDirectory"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_7989_0 {
	meta:
		name = "TInplaceEdit.SetFocus"
		size = 35
		refs = "0006 TWinControl.GetHandle 000c IsWindowVisible 001d SetFocus"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7990_0 {
	meta:
		name = "TInplaceEdit.UpdateContents"
		size = 178
		refs = "000e TInplaceEdit.UpdateContents 001d TCustomMaskEdit.SetText 003e @CallDynaInst 0048 TCustomMaskEdit.SetEditMask 008b TCustomMaskEdit.SetMaxLength 00a0 @LStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 8B BE 4C 01 00 00 8B 8F 38 01 00 00 8B 97 34 01 00 00 8B C7 66 BB D5 FF E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 8B BE 4C 01 00 00 8B 8F 38 01 00 00 8B 97 34 01 00 00 8B C7 66 BB D7 FF E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 86 4C 01 00 00 66 BB D4 FF E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7991_0 {
	meta:
		name = "TCustomGrid.Create"
		size = 328
		refs = "000e @ClassCreate 001c TCustomControl.Create 0021 NewStyleControls 002c TCustomGrid.Create 00dc TControl.SetColor 00e5 TControl.SetParentColor 00ee TWinControl.SetTabStop 011c _NF__2FD"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0C 66 A1 ?? ?? ?? ?? 66 89 43 40 EB 0A 66 A1 ?? ?? ?? ?? 66 89 43 40 C6 83 25 01 00 00 01 C7 83 28 01 00 00 05 00 00 00 C7 83 58 01 00 00 05 00 00 00 C7 83 44 01 00 00 01 00 00 00 C7 83 48 01 00 00 01 00 00 00 C7 83 50 01 00 00 01 00 00 00 66 A1 ?? ?? ?? ?? 66 89 83 54 01 00 00 66 A1 ?? ?? ?? ?? 66 89 83 9C 01 00 00 C7 83 4C 01 00 00 0F 00 00 80 C6 83 60 01 00 00 03 C6 83 24 01 00 00 01 C7 83 3C 01 00 00 40 00 00 00 C7 83 40 01 00 00 18 00 00 00 C6 83 98 01 00 00 01 C6 83 9B 01 00 00 01 C6 83 99 01 00 00 00 BA 05 00 00 80 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 83 28 01 00 00 F7 AB 3C 01 00 00 50 8B 83 58 01 00 00 F7 AB 40 01 00 00 50 8B 4B 34 8B 53 30 8B C3 8B 30 FF 56 4C 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 C2 00 00 00 D2 00 00 00 1F 00 00 00 C0 00 00 00 }
	condition:
		$1
}

rule function_7992_0 {
	meta:
		name = "TCustomGrid.Destroy"
		size = 78
		refs = "000d TObject.Free 0019 TCustomControl.Destroy 0024 @FreeMem 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 88 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 8B 86 2C 01 00 00 E8 ?? ?? ?? ?? 8B 86 5C 01 00 00 E8 ?? ?? ?? ?? 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7993_0 {
	meta:
		name = "_NF__279"
		size = 286
		refs = "0018 _NF__279 003f STooManyDeleted 0044 LoadResString 004c _NF__21A 00a9 _NF__224 0107 @LStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 00 8B 55 0C 03 42 FC 89 45 F4 8B 45 0C 8B 40 F8 3B 45 F4 7E 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 0C 83 78 FC 00 7D 30 83 3B 00 74 2B 33 C0 89 45 F8 8B 45 0C 8B 50 F8 8B 45 0C 8B 40 F8 8B 4D 0C 2B 41 FC 48 2B C2 7C 1A 40 8B 0B 8B 0C 91 01 4D F8 42 48 75 F4 EB 0B 8B 45 0C 8B 40 FC F7 EE 89 45 F8 83 3B 00 74 14 56 8B 45 0C 8B 48 FC 8B 45 0C 8B 50 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 10 8B 45 08 8B 00 8B 55 0C 3B 42 F8 7C 34 8B 45 0C 83 78 FC 00 7D 20 8B 45 0C 8B 40 F8 8B 55 0C 2B 42 FC 8B 55 08 3B 02 7E 0D 8B 45 0C 8B 40 F8 8B 55 08 89 02 EB 0B 8B 45 0C 8B 40 FC 8B 55 08 01 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7994_0 {
	meta:
		name = "TCustomGrid.AdjustSize"
		size = 353
		refs = "0087 _NF__279 00e9 _NF__2FC 00f2 IsRectEmpty 010a TWinControl.GetHandle 0110 ScrollWindow 011d UpdateWindow 012e @CallDynaInst 0154 _NF__313"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D FC 89 55 F8 8B F0 83 7D FC 00 0F 84 3D 01 00 00 8B 86 34 01 00 00 89 45 F0 8B 86 38 01 00 00 89 45 F4 8B 86 28 01 00 00 89 45 E8 8B 96 58 01 00 00 89 55 EC 8B 8E 44 01 00 00 89 4D D4 48 89 45 DC 8B 86 48 01 00 00 89 45 D8 4A 89 55 E0 33 FF 33 C0 89 45 E4 8B 5D FC 85 DB 7D 02 F7 DB 80 7D 08 00 74 39 55 8D 45 F4 50 8D 96 5C 01 00 00 8D 86 58 01 00 00 8B 8E 40 01 00 00 E8 ?? ?? ?? ?? 59 89 45 E4 8B 45 F8 89 45 D8 03 5D F8 8B 86 68 01 00 00 3B D8 7F 3C 48 89 45 E0 EB 36 55 8D 45 F0 50 8D 96 2C 01 00 00 8D 86 28 01 00 00 8B 8E 3C 01 00 00 E8 ?? ?? ?? ?? 59 8B F8 8B 45 F8 89 45 D4 03 5D F8 8B 86 64 01 00 00 3B D8 7F 04 48 89 45 DC 6A 01 8D 4D C4 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8D 45 C4 50 E8 ?? ?? ?? ?? 85 C0 75 27 8D 45 C4 50 8D 45 C4 50 8B 45 E4 50 57 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4D EC 8B 55 E8 8B C6 66 BB D1 FF E8 ?? ?? ?? ?? 8B 45 F0 3B 86 34 01 00 00 75 0B 8B 55 F4 3B 96 38 01 00 00 74 10 6A 01 6A 01 8B 4D F4 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7995_0 {
	meta:
		name = "TCustomGrid.BoxRect"
		size = 49
		refs = "0026 _NF__2FC"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 8B F0 89 55 F0 8B 45 10 89 45 F8 89 4D F4 8B 45 0C 89 45 FC 6A 00 8B 4D 08 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_7996_0 {
	meta:
		name = "TCustomGrid.DoExit"
		size = 28
		refs = "0006 TWinControl.DoExit 0016 TCustomGrid.HideEditor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 83 55 01 00 00 20 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7997_0 {
	meta:
		name = "TCustomGrid.CellRect"
		size = 36
		refs = "0019 TCustomGrid.BoxRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 56 57 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8000_0 {
	meta:
		name = "TCustomGrid.CanEditModify"
		size = 7
	strings:
		$1 = { 8A 80 25 01 00 00 C3 }
	condition:
		$1
}

rule function_8001_0 {
	meta:
		name = "TCustomGrid.CanEditShow"
		size = 92
		refs = "000d TCustomGrid.CanEditShow 002f TWinControl.HandleAllocated 0043 _NF__296"
	strings:
		$1 = { 53 8B D8 66 8B 83 54 01 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 2E 80 BB 99 01 00 00 00 74 25 F6 43 20 10 75 1F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 F6 83 55 01 00 00 20 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 00 00 14 00 00 00 04 00 00 }
	condition:
		$1
}

rule function_8002_0 {
	meta:
		name = "_NF__296"
		size = 79
		refs = "000a GetParentForm 001f GetFocus 0035 GetParent 003d IsWindow"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0C 3B B0 2C 01 00 00 75 2F B3 01 EB 2B E8 ?? ?? ?? ?? 8B F8 EB 14 3B BE CC 00 00 00 75 04 B3 01 EB 08 57 E8 ?? ?? ?? ?? 8B F8 57 E8 ?? ?? ?? ?? 85 C0 74 04 84 DB 74 DE 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8003_0 {
	meta:
		name = "TCustomGrid.GetEditMask"
		size = 15
		refs = "0007 @LStrClr"
		altNames = "TCustomGrid.GetEditText"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_8007_0 {
	meta:
		name = "TCustomGrid.HideEditor"
		size = 13
		refs = "0008 _NF__39B"
	strings:
		$1 = { C6 80 99 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8008_0 {
	meta:
		name = "TCustomGrid.ShowEditor"
		size = 13
		refs = "0008 _NF__39D"
	strings:
		$1 = { C6 80 99 01 00 00 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8009_0 {
	meta:
		name = "TCustomGrid.ShowEditorChar"
		size = 53
		refs = "000a TCustomGrid.ShowEditor 0027 TWinControl.GetHandle 002d PostMessage"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B B7 88 01 00 00 85 F6 74 19 6A 00 33 C0 8A C3 50 68 02 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8010_0 {
	meta:
		name = "TCustomGrid.InvalidateEditor"
		size = 26
		refs = "0015 _NF__39D"
	strings:
		$1 = { C7 80 8C 01 00 00 FF FF FF FF C7 80 90 01 00 00 FF FF FF FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8011_0 {
	meta:
		name = "_NF__2AF"
		size = 63
		refs = "000b TReader.ReadListBegin 0020 TReader.ReadInteger 002b TCustomGrid.SetColWidths 0036 TReader.ReadListEnd"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 E8 ?? ?? ?? ?? 8B 9F 28 01 00 00 4B 85 DB 7C 19 43 33 F6 8B C5 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 46 4B 75 EA 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8012_0 {
	meta:
		name = "_NF__2B0"
		size = 63
		refs = "000b TReader.ReadListBegin 0020 TReader.ReadInteger 002b TCustomGrid.SetRowHeights 0036 TReader.ReadListEnd"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 E8 ?? ?? ?? ?? 8B 9F 58 01 00 00 4B 85 DB 7C 19 43 33 F6 8B C5 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 46 4B 75 EA 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8013_0 {
	meta:
		name = "_NF__2B1"
		size = 63
		refs = "000b TWriter.WriteListBegin 0022 TCustomGrid.GetColWidths 002b TWriter.WriteInteger 0036 TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 E8 ?? ?? ?? ?? 8B 9F 28 01 00 00 4B 85 DB 7C 19 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 46 4B 75 EA 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8014_0 {
	meta:
		name = "_NF__2B2"
		size = 63
		refs = "000b TWriter.WriteListBegin 0022 TCustomGrid.GetRowHeights 002b TWriter.WriteInteger 0036 TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 E8 ?? ?? ?? ?? 8B 9F 58 01 00 00 4B 85 DB 7C 19 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 46 4B 75 EA 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8015_0 {
	meta:
		name = "_NF__2B3"
		size = 67
		refs = "0027 _NF__227"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 1C 85 DB 74 1F 8B 45 08 8B 40 F8 8B 90 2C 01 00 00 8B 45 08 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 34 01 5B 5D C3 8B 45 08 8B 40 F8 83 B8 2C 01 00 00 00 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_8016_0 {
	meta:
		name = "_NF__2B4"
		size = 67
		refs = "0027 _NF__227"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 1C 85 DB 74 1F 8B 45 08 8B 40 F8 8B 90 5C 01 00 00 8B 45 08 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 34 01 5B 5D C3 8B 45 08 8B 40 F8 83 B8 5C 01 00 00 00 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_8017_0 {
	meta:
		name = "TCustomGrid.DefineProperties"
		size = 160
		refs = "0014 TControl.DefineProperties 0029 _NF__2AF 0032 _NF__2B1 0038 _NF__2B3 0040 TCustomGrid.DefineProperties 0050 _NF__2B0 0059 _NF__2B2 005f _NF__2B4"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 9B 01 00 00 00 74 4E 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 5B 59 59 5D C3 00 FF FF FF FF 09 00 00 00 43 6F 6C 57 69 64 74 68 73 00 00 00 FF FF FF FF 0A 00 00 00 52 6F 77 48 65 69 67 68 74 73 00 00 }
	condition:
		$1
}

rule function_8018_0 {
	meta:
		name = "TCustomGrid.MoveColumn"
		size = 209
		refs = "002d _NF__226 004d _NF__311 007a TCustomGrid.GetVisibleRowCount 009b _NF__309 00aa @CallDynaInst 00c5 _NF__39D"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F9 8B DA 8B F0 3B FB 0F 84 B4 00 00 00 83 BE 2C 01 00 00 00 74 23 8D 4F 01 8D 6B 01 8B D5 8D 86 2C 01 00 00 E8 ?? ?? ?? ?? 8D 4F 01 8B D5 8D 86 30 01 00 00 E8 ?? ?? ?? ?? 57 8D 96 34 01 00 00 8B CB 8B C6 E8 ?? ?? ?? ?? 57 8D 96 1C 01 00 00 8B CB 8B C6 E8 ?? ?? ?? ?? 57 8D 96 8C 01 00 00 8B CB 8B C6 E8 ?? ?? ?? ?? 33 C0 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 89 44 24 0C 3B FB 7E 09 89 1C 24 89 7C 24 08 EB 07 89 3C 24 89 5C 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 66 BB D3 FF E8 ?? ?? ?? ?? 83 BE 2C 01 00 00 00 74 0B 8B C6 66 BB CE FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8020_0 {
	meta:
		name = "TCustomGrid.MoveRow"
		size = 129
		refs = "001f _NF__226 002f _NF__311 005e @CallDynaInst 0079 _NF__39D"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 83 BE 5C 01 00 00 00 74 11 8D 4F 01 8D 53 01 8D 86 5C 01 00 00 E8 ?? ?? ?? ?? 57 8D 96 38 01 00 00 8B CB 8B C6 E8 ?? ?? ?? ?? 57 8D 96 20 01 00 00 8B CB 8B C6 E8 ?? ?? ?? ?? 57 8D 96 90 01 00 00 8B CB 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 66 BB D2 FF E8 ?? ?? ?? ?? 83 BE 5C 01 00 00 00 74 0B 8B C6 66 BB CD FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8022_0 {
	meta:
		name = "TCustomGrid.MouseCoord"
		size = 81
		refs = "0019 _NF__2EA 002a _NF__2E9"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 8D 45 A4 50 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 83 3B 00 7D 09 C7 43 04 FF FF FF FF EB 0C 83 7B 04 00 7D 06 C7 03 FF FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8023_0 {
	meta:
		name = "TCustomGrid.MoveColRow"
		size = 22
		refs = "000d _NF__313"
	strings:
		$1 = { 55 8B EC 53 8A 5D 0C 53 8A 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8026_0 {
	meta:
		name = "TCustomGrid.Sizing"
		size = 84
		refs = "0022 _NF__2EA 0042 _NF__2F2"
	strings:
		$1 = { 53 56 57 83 C4 98 8B F9 8B F2 8B D8 8A 83 9A 01 00 00 88 04 24 80 3C 24 00 75 2B 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 54 8D 44 24 08 50 8D 44 24 10 50 8D 44 24 18 50 8D 44 24 20 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 0F 95 C0 83 C4 68 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8027_0 {
	meta:
		name = "TCustomGrid.TopLeftChanged"
		size = 62
		refs = "0028 TCustomGrid.CellRect 0035 TInplaceEdit.UpdateLoc"
	strings:
		$1 = { 53 83 C4 F0 8B D8 80 BB 99 01 00 00 00 74 2A 83 BB 88 01 00 00 00 74 21 54 8B 8B 38 01 00 00 8B 93 34 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D4 8B 83 88 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_8028_0 {
	meta:
		name = "_NF__2E0"
		size = 11
	strings:
		$1 = { 87 CA 57 89 C7 89 D0 F3 AB 5F C3 }
	condition:
		$1
}

rule function_8029_0 {
	meta:
		name = "_NF__2E1"
		size = 48
	strings:
		$1 = { 59 89 E2 83 C0 03 83 E0 FC 3D FC 0F 00 00 7E 13 81 EC FC 0F 00 00 50 2D 00 10 00 00 79 F2 05 00 10 00 00 29 C4 89 E0 52 89 E2 83 EA 04 52 51 C3 }
	condition:
		$1
}

rule function_8030_0 {
	meta:
		name = "_NF__2E2"
		size = 21
	strings:
		$1 = { 59 8B 14 24 83 E8 08 39 E2 75 08 39 C2 75 04 8B 64 24 04 51 C3 }
	condition:
		$1
}

rule function_8031_0 {
	meta:
		name = "_NF__2E3"
		size = 399
		refs = "003f TPen.SetWidth 0053 TPen.SetColor 006b TPen.GetWidth 007b TPen.GetColor 00a0 ExtCreatePen 00a9 TPen.SetHandle 017c TCanvas.GetHandle 0182 PolyPolyline"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F1 89 55 F8 89 45 FC 8B 45 0C 8B 40 1C 8B 40 FC 8B 98 18 01 00 00 8B 45 FC 83 38 00 0F 84 5A 01 00 00 8B 45 0C 8B 40 1C 8B 40 FC 8B 90 50 01 00 00 8B 43 10 E8 ?? ?? ?? ?? 80 7D 08 00 74 10 8B 45 0C 8B 50 0C 8B 43 10 E8 ?? ?? ?? ?? EB 0E 8B 45 0C 8B 50 08 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 48 7E 3B 33 C0 89 45 DC 8B 43 10 E8 ?? ?? ?? ?? 89 45 E0 33 C0 89 45 E4 6A 00 6A 00 8D 45 DC 50 8B 7B 10 8B C7 E8 ?? ?? ?? ?? 50 68 00 22 01 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 1C 8B 78 F8 8B 5D FC 8B 55 F8 8B 43 28 FF 53 24 8B 55 0C 8B 52 14 8B 14 B2 8B 4D FC 8B 09 D1 E9 03 D1 03 C2 89 45 F4 8B C6 83 F0 01 8B 55 0C 8B 52 14 8B 14 82 89 55 EC 83 C0 02 8B 55 0C 8B 52 14 8B 04 82 89 45 E8 8D 46 02 8B 55 0C 8B 52 14 8B 04 82 8B 55 FC 03 02 89 45 F0 33 DB 8D 04 1E 8B 55 F4 89 14 87 8B C6 83 F0 01 8B D0 03 D3 8B 4D EC 89 0C 97 83 C3 02 8D 14 1E 8B 4D F4 89 0C 97 03 C3 8B 55 E8 89 14 87 83 C3 02 FF 45 F8 8B 4D FC 8B 55 F8 8B 41 28 FF 51 24 8B 55 FC 03 02 01 45 F4 8B 45 F4 3B 45 F0 7E B2 C1 EB 02 53 8B 45 0C 8B 40 1C 8B 40 F4 50 57 8B 45 0C 8B 40 1C 8B 40 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8032_0 {
	meta:
		name = "_NF__2E4"
		size = 142
		refs = "0040 _NF__2E3"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 18 8B 45 14 8B 00 8B 55 14 3B 42 08 74 68 8B 45 14 8B 40 04 8B 55 14 3B 42 0C 74 5A 84 DB 75 2C 55 53 8B 45 1C 83 C0 C8 B9 01 00 00 00 8B D7 E8 ?? ?? ?? ?? 59 55 8A 45 FF 50 8B 45 1C 83 C0 9C 33 C9 8B D6 E8 ?? ?? ?? ?? 59 EB 2A 55 8A 45 FF 50 8B 45 1C 83 C0 9C 33 C9 8B D6 E8 ?? ?? ?? ?? 59 55 53 8B 45 1C 83 C0 C8 B9 01 00 00 00 8B D7 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_8033_0 {
	meta:
		name = "_NF__2E5"
		size = 724
		refs = "0032 TCustomGrid.GetRowHeights 0046 TCustomGrid.GetColWidths 005d TCanvas.GetHandle 0063 RectVisible 0078 _NF__296 00a7 _NF__21E 00fe TCanvas.SetFont 011a _NF__2E5 0133 TBrush.SetColor 0140 TFont.SetColor 0157 TCanvas.FillRect 01f9 DrawEdge 0270 DrawFocusRect"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 89 4D F8 89 45 FC 8B 5D 1C 83 C3 FC 89 55 F4 8B 45 18 89 45 E4 E9 83 02 00 00 8B 75 FC 8B 45 F8 89 45 E0 8B 03 8B 55 F4 E8 ?? ?? ?? ?? 03 45 E4 89 45 EC E9 40 02 00 00 8B 03 8B D6 E8 ?? ?? ?? ?? 03 45 E0 89 45 E8 8D 45 E0 50 8B 03 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 05 02 00 00 8A 45 08 88 45 F3 8B 03 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 03 8B 80 38 01 00 00 3B 45 F4 75 0E 8B 03 3B B0 34 01 00 00 75 04 80 4D F3 02 8B 45 1C 8D 48 8C 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 80 4D F3 01 F6 45 F3 02 74 22 8B 03 F6 80 55 01 00 00 04 74 17 8B 03 80 B8 99 01 00 00 00 74 0C 8B 03 F6 40 20 10 0F 84 99 01 00 00 8B 03 80 B8 98 01 00 00 00 75 08 8B 03 F6 40 20 10 74 6D 8B 03 8B B8 18 01 00 00 8B 03 8B 50 50 8B C7 E8 ?? ?? ?? ?? F6 45 F3 01 74 3E F6 45 F3 02 74 1C 8B 03 66 8B 80 54 01 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 74 1C 8B 47 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8B 47 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? EB 0B 8B 47 14 8B 55 0C E8 ?? ?? ?? ?? 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 8D 45 E0 50 8A 45 F3 50 8B 03 8B 4D F4 8B D6 8B 38 FF 97 88 00 00 00 8B 03 80 B8 98 01 00 00 00 0F 84 9C 00 00 00 F6 45 F3 04 0F 84 92 00 00 00 8B 03 80 B8 D5 00 00 00 00 0F 84 83 00 00 00 8B 45 1C 8B 40 88 8B 55 1C 0B 42 84 74 75 56 8D 75 E0 8D 7D D0 B9 04 00 00 00 F3 A5 5E 8B 45 1C F6 40 88 04 75 0B 8B 45 1C 8B 40 9C 01 45 D8 EB 12 8B 45 1C F6 40 88 08 75 09 8B 45 1C 8B 40 C8 01 45 DC 8B 45 1C 8B 40 88 50 6A 04 8D 45 D0 50 8B 03 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 1C 8B 40 84 50 6A 04 8D 45 D0 50 8B 03 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 03 80 B8 98 01 00 00 00 74 4C 8B 03 F6 40 20 10 75 44 F6 45 F3 02 74 3E 8B 03 66 8B 80 54 01 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 74 22 8B 03 F6 80 55 01 00 00 10 75 17 8D 45 E0 50 8B 03 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 1C 8B 40 9C 03 45 E8 89 45 E0 46 8B 45 E0 3B 45 14 7D 0E 8B 03 3B B0 28 01 00 00 0F 8C AA FD FF FF 8B 45 1C 8B 40 C8 03 45 EC 89 45 E4 FF 45 F4 8B 45 E4 3B 45 10 7D 11 8B 03 8B 80 58 01 00 00 3B 45 F4 0F 8F 64 FD FF FF 5F 5E 5B 8B E5 5D C2 14 00 20 10 00 00 00 00 00 00 00 24 00 00 }
	condition:
		$1
}

rule function_8034_0 {
	meta:
		name = "TCustomGrid.Paint"
		size = 1104
		refs = "0024 TCanvas.GetClipRect 002d _NF__2EA 0071 _NF__21C 0082 _NF__2E1 00a1 _NF__2E0 00ab ColorToRGB 0111 _NF__2E4 0242 _NF__2E2 0254 TCustomGrid.GetSelection 02a3 TCustomGrid.Paint 02af _NF__2E5 0372 TWinControl.Focused 0398 _NF__2FC 03ab TCanvas.DrawFocusRect 03c8 TBrush.SetColor 03e0 Rect 03f3 TCanvas.FillRect"
	strings:
		$1 = { 55 8B EC 81 C4 50 FF FF FF 53 56 57 89 45 FC 8D 5D FC 8D 75 9C 8D 95 70 FF FF FF 8B 03 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 03 E8 ?? ?? ?? ?? 83 3E 00 7F 0A 83 7E 2C 00 0F 8E 0E 02 00 00 C7 45 80 C0 C0 C0 00 8B 03 8B 56 3C 2B 90 68 01 00 00 8B 03 03 90 48 01 00 00 8B 03 FF B0 64 01 00 00 8B 46 10 59 2B C1 8B 0B 03 81 44 01 00 00 E8 ?? ?? ?? ?? 8B F8 83 C7 03 8B C7 C1 E0 03 03 C0 E8 ?? ?? ?? ?? 89 45 F8 8B C7 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 B9 02 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B 03 8B 40 54 E8 ?? ?? ?? ?? 3D C0 C0 C0 00 75 07 C7 45 80 80 80 80 00 55 6A 00 33 C0 89 85 50 FF FF FF 33 C0 89 85 54 FF FF FF 8B 46 04 89 85 58 FF FF FF 8B 46 30 89 85 5C FF FF FF 8D 85 50 FF FF FF 50 6A 03 6A 00 8B 03 8B 80 4C 01 00 00 50 8B 03 F6 80 54 01 00 00 01 0F 95 C2 8B 03 F6 80 54 01 00 00 02 0F 95 C0 33 C9 E8 ?? ?? ?? ?? 59 55 6A 00 8B 46 04 89 85 50 FF FF FF 33 C0 89 85 54 FF FF FF 8B 46 08 89 85 58 FF FF FF 8B 46 30 89 85 5C FF FF FF 8D 85 50 FF FF FF 50 6A 03 6A 00 8B 03 8B 80 4C 01 00 00 50 8B 03 F6 80 54 01 00 00 01 0F 95 C2 8B 03 F6 80 54 01 00 00 02 0F 95 C0 8B 0B 8B 89 64 01 00 00 E8 ?? ?? ?? ?? 59 55 8B 03 8B 80 68 01 00 00 50 33 C0 89 85 50 FF FF FF 8B 46 30 89 85 54 FF FF FF 8B 46 04 89 85 58 FF FF FF 8B 46 34 89 85 5C FF FF FF 8D 85 50 FF FF FF 50 6A 03 6A 00 8B 03 8B 80 4C 01 00 00 50 8B 03 F6 80 54 01 00 00 01 0F 95 C2 8B 03 F6 80 54 01 00 00 02 0F 95 C0 33 C9 E8 ?? ?? ?? ?? 59 55 8B 03 8B 80 68 01 00 00 50 8B 46 04 89 85 50 FF FF FF 8B 46 30 89 85 54 FF FF FF 8B 46 08 89 85 58 FF FF FF 8B 46 34 89 85 5C FF FF FF 8D 85 50 FF FF FF 50 6A 03 8B 45 80 50 8B 03 8B 40 54 50 8B 03 F6 80 54 01 00 00 04 0F 95 C2 8B 03 F6 80 54 01 00 00 08 0F 95 C0 8B 0B 8B 89 64 01 00 00 E8 ?? ?? ?? ?? 59 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 8C 8B 03 E8 ?? ?? ?? ?? 33 C0 89 45 88 33 C0 89 45 84 8B 03 F6 80 54 01 00 00 01 74 0E C7 45 88 04 00 00 00 C7 45 84 01 00 00 00 8B 03 F6 80 54 01 00 00 02 74 08 83 4D 88 08 83 4D 84 02 55 6A 00 8B 46 04 50 8B 46 30 50 8B 03 8B 80 4C 01 00 00 50 A0 ?? ?? ?? ?? 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 59 55 6A 00 8B 46 08 50 8B 46 30 50 8B 03 8B 80 4C 01 00 00 50 A0 ?? ?? ?? ?? 50 8B 03 8B 4E 04 2B 88 94 01 00 00 8B 03 8B 80 64 01 00 00 33 D2 E8 ?? ?? ?? ?? 59 55 8B 46 30 50 8B 46 04 50 8B 46 34 50 8B 03 8B 80 4C 01 00 00 50 A0 ?? ?? ?? ?? 50 8B 03 8B 90 68 01 00 00 33 C9 33 C0 E8 ?? ?? ?? ?? 59 55 8B 46 30 50 8B 46 08 50 8B 46 34 50 8B 03 8B 40 54 50 A0 ?? ?? ?? ?? 50 8B 03 8B 4E 04 2B 88 94 01 00 00 8B 03 8B 90 68 01 00 00 8B 03 8B 80 64 01 00 00 E8 ?? ?? ?? ?? 59 8B 03 F6 40 20 10 75 56 8B 03 F6 80 55 01 00 00 10 74 4B 8B 03 80 B8 98 01 00 00 00 74 40 8B 03 E8 ?? ?? ?? ?? 84 C0 74 35 6A 00 8D 95 50 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 50 FF FF FF 8D 8D 60 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8B 03 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8B 46 08 3B 46 0C 7D 40 8B 03 8B 50 54 8B 03 8B 80 18 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 46 34 50 8D 85 50 FF FF FF 50 8B 4E 0C 33 D2 8B 46 08 E8 ?? ?? ?? ?? 8D 95 50 FF FF FF 8B 03 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8B 46 34 3B 46 38 7D 40 8B 03 8B 50 54 8B 03 8B 80 18 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 46 38 50 8D 85 50 FF FF FF 50 8B 4E 0C 8B 56 34 33 C0 E8 ?? ?? ?? ?? 8D 95 50 FF FF FF 8B 03 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 04 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8035_0 {
	meta:
		name = "_NF__2E8"
		size = 101
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 73 04 3B 75 FC 7E 0D 33 C0 8B 53 18 4A 33 C9 89 4D F4 EB 0A 8B 43 1C 8B 53 20 4A 89 75 F4 C7 45 F8 FF FF FF FF 8B F0 8B FA 2B FE 7C 1F 47 8B D6 8B 43 28 FF 53 24 03 03 01 45 F4 8B 45 FC 3B 45 F4 7D 05 89 75 F8 EB 04 46 4F 75 E2 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8036_0 {
	meta:
		name = "_NF__2E9"
		size = 51
		refs = "0017 _NF__2E8"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B 75 08 8B 5D 0C 8B C3 8B D7 E8 ?? ?? ?? ?? 89 06 8D 43 2C 8B 55 FC E8 ?? ?? ?? ?? 89 46 04 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8037_0 {
	meta:
		name = "_NF__2EA"
		size = 35
		refs = "0009 TControl.GetClientHeight 0011 TControl.GetClientWidth 001c _NF__2EC"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8038_0 {
	meta:
		name = "_NF__2EB"
		size = 85
	strings:
		$1 = { 53 56 57 8B D8 89 53 0C 8B 43 04 89 43 08 8B 43 04 89 43 14 8B 43 1C 89 43 10 8B 73 1C 8B 7B 20 4F 2B FE 7C 2C 47 8B D6 8B 43 28 FF 53 24 03 03 01 43 08 8B 43 0C 8B D0 03 13 3B 53 08 7D 05 89 43 08 EB 0D 89 73 10 8B 43 08 89 43 14 46 4F 75 D5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8039_0 {
	meta:
		name = "_NF__2EC"
		size = 42
		refs = "000c _NF__2EE 0015 _NF__2EB"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B D3 E8 ?? ?? ?? ?? 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 2C 8B 55 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8040_0 {
	meta:
		name = "_NF__2ED"
		size = 144
		refs = "0026 _NF__2ED"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 66 89 55 FE 8B D8 8B 45 18 8B 40 FC 66 8B 80 54 01 00 00 66 23 45 FE 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 06 33 C0 89 03 EB 0E 8B 45 18 8B 40 FC 8B 80 50 01 00 00 89 03 33 C0 89 43 04 8B 75 F8 4E 85 F6 7C 14 46 33 FF 8B D7 8B 45 0C FF 55 08 03 03 01 43 04 47 4E 75 EF 8B 45 F8 89 43 18 8B 45 14 89 43 1C 8B 45 10 89 43 20 8B 45 08 89 43 24 8B 45 0C 89 43 28 5F 5E 5B 59 59 5D C2 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8041_0 {
	meta:
		name = "_NF__2EE"
		size = 132
		refs = "0024 TCustomGrid.GetColWidths 0036 _NF__2EE 003b _NF__2ED 005a TCustomGrid.GetRowHeights"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 55 8B 45 FC 8B 80 64 01 00 00 50 8B 45 FC 8B 80 28 01 00 00 50 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 88 44 01 00 00 8B C3 66 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 68 01 00 00 50 8B 45 FC 8B 80 58 01 00 00 50 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 88 48 01 00 00 8D 43 2C 66 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5B 59 5D C3 00 05 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_8042_0 {
	meta:
		name = "_NF__2EF"
		size = 68
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 89 55 FC 8B 73 0C 03 33 8B FA 8B 43 18 2B C7 7F 1E 48 89 45 F8 8B D7 8B 43 28 FF 53 24 2B F0 2B 33 3B 73 04 7C 09 89 7D FC 4F FF 45 F8 75 E6 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8043_0 {
	meta:
		name = "_NF__2F0"
		size = 45
		refs = "0012 _NF__2EF"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B DA 8B 7D 08 8B 13 8B C6 E8 ?? ?? ?? ?? 89 07 8B 53 04 8D 46 2C E8 ?? ?? ?? ?? 89 47 04 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8044_0 {
	meta:
		name = "_NF__2F1"
		size = 229
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D FF 8B FA 8B F0 8B 5E 04 8B 06 89 45 F0 33 D2 89 55 F4 83 7D F0 07 7D 11 C7 45 F0 07 00 00 00 8B 55 F0 2B D0 D1 EA 89 55 F4 8B 46 1C 8B 56 20 4A 2B D0 7C 5B 42 89 55 EC 89 45 F8 8B 55 F8 8B 46 28 FF 56 24 03 D8 3B 5E 08 7F 44 8B C3 2B 45 F4 3B F8 7C 31 03 45 F0 3B F8 7F 2A 8B 45 08 8B 40 18 8A 55 FF 88 10 8B 45 08 8B 40 10 89 18 2B DF 8B 45 08 8B 40 0C 89 18 8B 45 08 8B 40 14 8B 55 F8 89 10 EB 4E 03 1E FF 45 F8 FF 4D EC 75 AC 8B 46 0C 3B 46 08 75 3C 8B D0 2B 55 F4 3B FA 7C 33 3B C7 7C 2F 8B 45 08 8B 40 18 8A 55 FF 88 10 8B 46 0C 8B 55 08 8B 52 10 89 02 8B 46 0C 2B C7 8B 55 08 8B 52 0C 89 02 8B 46 10 40 8B 55 08 8B 52 14 89 02 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8045_0 {
	meta:
		name = "_NF__2F2"
		size = 196
		refs = "0041 _NF__2F2 0054 TControl.GetClientHeight 005e TControl.GetClientWidth 0085 _NF__2F1"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 8B 45 18 C6 00 00 8B 45 14 C7 00 FF FF FF FF 66 8B B3 54 01 00 00 F6 43 20 10 74 0C 66 8B 83 9C 01 00 00 66 0B C6 8B F0 8B C6 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 74 61 8B C3 E8 ?? ?? ?? ?? 89 47 38 8B C3 E8 ?? ?? ?? ?? 89 47 0C 8B 47 04 3B 45 FC 7D 1F 66 F7 C6 80 00 74 18 8B 47 30 3B 45 F8 7E 36 55 8B C7 B1 03 8B 55 FC E8 ?? ?? ?? ?? 59 EB 26 8B 47 30 3B 45 F8 7D 1E 66 F7 C6 40 00 74 17 8B 47 04 3B 45 FC 7E 0F 55 8D 47 2C B1 02 8B 55 F8 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 59 5D C2 14 00 00 C0 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8046_0 {
	meta:
		name = "_NF__2F3"
		size = 112
		refs = "001a _NF__21B 0037 TCustomGrid.CellRect 0060 TWinControl.GetHandle 0066 InvalidateRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D FC 8B 72 10 8B 48 10 3B F1 74 55 8B C1 8B D6 E8 ?? ?? ?? ?? 8B D8 8D 45 EC 50 8B 4D FC 23 CB 8B 55 FC F7 D2 23 D3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 3C 89 45 F8 8B 45 08 8B 40 FC 8B 40 38 89 45 F4 6A 00 8D 45 EC 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8047_0 {
	meta:
		name = "_NF__2F4"
		size = 410
		refs = "0030 _NF__225 00db _NF__313 00ff _NF__312 0131 _NF__308 013a TWinControl.HandleAllocated 0148 _NF__2EA 015c _NF__2F3 017a _NF__327 0191 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 8B 5D 08 83 C3 FC 8B 03 83 B8 2C 01 00 00 00 74 35 8B 03 8B 88 3C 01 00 00 8B 03 8B 90 28 01 00 00 8B 03 05 2C 01 00 00 E8 ?? ?? ?? ?? 8B 03 8B 90 28 01 00 00 8B 03 05 30 01 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 83 B8 5C 01 00 00 00 74 1C 8B 03 8B 88 40 01 00 00 8B 03 8B 90 58 01 00 00 8B 03 05 5C 01 00 00 E8 ?? ?? ?? ?? 8B 03 8B 90 34 01 00 00 89 55 F8 8B 90 38 01 00 00 89 55 FC 8B 03 8B 80 58 01 00 00 8B 13 3B 82 38 01 00 00 7F 04 48 89 45 FC 8B 03 8B 80 28 01 00 00 8B 13 3B 82 34 01 00 00 7F 04 48 89 45 F8 8B 13 8B 92 34 01 00 00 8B 45 F8 3B D0 75 0D 8B 13 8B 92 38 01 00 00 3B 55 FC 74 0F 6A 01 6A 01 8B 13 8B 4D FC 92 E8 ?? ?? ?? ?? 8B 03 8B 80 1C 01 00 00 3B 45 F8 75 0D 8B 03 8B 80 20 01 00 00 3B 45 FC 74 0A 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 03 80 B8 9E 01 00 00 00 75 20 8B 03 8B 80 64 01 00 00 8B 55 08 3B 42 C0 75 10 8B 03 8B 80 68 01 00 00 8B 55 08 3B 42 EC 74 09 8B 03 E8 ?? ?? ?? ?? EB 40 8B 03 E8 ?? ?? ?? ?? 84 C0 74 35 8D 55 A0 8B 03 E8 ?? ?? ?? ?? 8B 45 08 50 8D 55 A0 8B 45 08 83 C0 A4 33 C9 E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 55 CC 8B 45 08 83 C0 D0 83 C9 FF E8 ?? ?? ?? ?? 59 8B 03 E8 ?? ?? ?? ?? 8B 45 08 8B 48 9C 8B 45 08 8B 50 A0 8B 03 66 BB D1 FF E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8048_0 {
	meta:
		name = "_NF__2F5"
		size = 213
		refs = "0013 TWinControl.HandleAllocated 0022 _NF__2EA 007e _NF__2F5 008a _NF__2F4 009a @HandleAnyException 00c1 _NF__308 00c6 @RaiseAgain 00cb @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8D 55 A4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 28 01 00 00 89 45 A0 8B 45 FC 8B 80 58 01 00 00 89 45 9C 8B 45 FC 89 98 28 01 00 00 8B 45 FC 89 B0 58 01 00 00 8B 45 FC 3B 98 44 01 00 00 7D 0A 4B 8B 45 FC 89 98 44 01 00 00 8B 45 FC 3B B0 48 01 00 00 7D 0A 4E 8B 45 FC 89 B0 48 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 8B 45 FC 8B 55 A0 89 90 28 01 00 00 8B 45 FC 8B 55 9C 89 90 58 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8049_0 {
	meta:
		name = "_NF__2F6"
		size = 197
		refs = "000c TWinControl.HandleAllocated 001f _NF__2EA 0065 _NF__2F0 00bb _NF__31E"
	strings:
		$1 = { 53 56 83 C4 98 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A7 00 00 00 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B 06 3B 44 24 20 7F 1C 8B 56 04 3B 54 24 4C 7F 13 3B 83 64 01 00 00 7C 0B 8B 46 04 3B 83 68 01 00 00 7D 78 8B 83 64 01 00 00 89 44 24 08 8B 83 68 01 00 00 89 44 24 0C 54 8D 4C 24 14 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 8B 06 3B 83 64 01 00 00 7D 08 89 83 64 01 00 00 EB 0F 3B 44 24 20 7E 09 8B 04 24 89 83 64 01 00 00 8B 46 04 3B 83 68 01 00 00 7D 08 89 83 68 01 00 00 EB 10 3B 44 24 4C 7E 0A 8B 44 24 04 89 83 68 01 00 00 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 83 C4 68 5E 5B C3 }
	condition:
		$1
}

rule function_8050_0 {
	meta:
		name = "_NF__2F7"
		size = 264
		refs = "000f _Dn_TPen 0014 TPen.Create 001f _NF__2F7 0049 TPen.SetStyle 0056 TPen.SetMode 0066 TPen.SetWidth 008d TCanvas.MoveTo 009e TCanvas.LineTo 00d9 TCanvas.SetPen 00df @HandleFinally 00f6 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 18 01 00 00 89 45 F8 8B 45 F8 8B 50 10 8B 45 FC 8B 08 FF 51 08 8B 45 F8 8B 40 10 B2 02 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 B2 0E E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 9A 01 00 00 02 75 23 8B 8B 70 01 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 8B 70 01 00 00 8B 56 08 8B 45 F8 E8 ?? ?? ?? ?? EB 21 8B 93 70 01 00 00 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B 4E 34 8B 93 70 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8051_0 {
	meta:
		name = "_NF__2F8"
		size = 356
		refs = "000e _Dn_TPen 0013 TPen.Create 001e _NF__2F8 0050 TPen.SetStyle 005a TPen.SetMode 0067 TPen.SetWidth 008a TCustomGrid.CellRect 00b1 TCanvas.MoveTo 00b9 TControl.GetClientWidth 00c4 TCanvas.LineTo 010c TControl.GetClientHeight 0135 TCanvas.SetPen 013b @HandleFinally 0152 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 18 01 00 00 8B 53 10 8B 45 F8 8B 08 FF 51 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 B2 02 E8 ?? ?? ?? ?? 8B 43 10 B2 0E E8 ?? ?? ?? ?? 8B 43 10 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 9A 01 00 00 04 75 53 8D 45 E8 50 8B 45 FC 8B 88 7C 01 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 01 00 00 8B 55 FC 3B 82 78 01 00 00 7E 05 8B 75 F4 EB 03 8B 75 EC 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? EB 51 8D 45 E8 50 8B 45 FC 8B 90 7C 01 00 00 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 01 00 00 8B 55 FC 3B 82 78 01 00 00 7E 05 8B 75 F0 EB 03 8B 75 E8 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8052_0 {
	meta:
		name = "_NF__2F9"
		size = 44
		refs = "0010 _NF__313 0017 _NF__39D 0022 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8A 45 08 50 6A 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8053_0 {
	meta:
		name = "_NF__2FA"
		size = 77
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 F6 3B 53 18 7D 04 33 C0 EB 0A 8B 43 1C 3B D0 7C 03 8B 73 04 8B FA 4F 2B F8 7C 20 47 89 45 FC 8B 55 FC 8B 43 28 FF 53 24 03 03 03 F0 3B 73 0C 7E 04 33 F6 EB 06 FF 45 FC 4F 75 E4 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8054_0 {
	meta:
		name = "_NF__2FB"
		size = 198
		refs = "003c @FillChar 005c _NF__2FA"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 C6 45 FB 00 8B 43 18 3B 45 FC 7F 26 8B 43 1C 3B 45 FC 7E 1E 8B 43 1C 3B F0 7D 14 8B 45 10 8B 40 FC 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? EB 78 89 45 FC 8B 43 10 3B F0 7E 19 8B F0 8B 43 20 48 3B F0 7D 01 46 8B C3 8B D6 E8 ?? ?? ?? ?? 85 C0 75 01 4E 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B C3 8B D6 E8 ?? ?? ?? ?? 89 07 83 3F 00 75 12 8B 55 FC 8B 43 28 FF 53 24 8B 55 0C 03 02 89 07 EB 0A 8B D6 8B 43 28 FF 53 24 01 07 8B 43 0C 3B 07 7D 02 89 07 8B 45 10 80 78 08 00 74 04 8B 03 01 07 C6 45 FB 01 8A 45 FB 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8055_0 {
	meta:
		name = "_NF__2FC"
		size = 158
		refs = "0027 @FillChar 0041 _NF__2EA 006e _NF__2FB"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 8B F2 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B D8 8B 45 FC 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 3B 45 F4 7F 62 8B 45 F0 3B 45 F8 7F 5A 8D 55 94 8B C3 E8 ?? ?? ?? ?? 8B 45 A4 40 8B 5D EC 3B C3 7C 45 8B 45 D0 40 3B 45 F0 7C 3C 55 8B 45 FC 50 8B 45 FC 83 C0 08 50 8D 45 94 8B 4D F4 8B D3 E8 ?? ?? ?? ?? 59 84 C0 74 1E 55 8B 45 FC 83 C0 04 50 8B 45 FC 83 C0 0C 50 8D 45 C0 8B 4D F8 8B 55 F0 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8056_0 {
	meta:
		name = "_NF__2FD"
		size = 95
	strings:
		$1 = { 8B 90 44 01 00 00 89 90 64 01 00 00 8B 90 48 01 00 00 89 90 68 01 00 00 8B 90 64 01 00 00 89 90 34 01 00 00 8B 90 68 01 00 00 89 90 38 01 00 00 8B 90 34 01 00 00 89 90 1C 01 00 00 8B 90 38 01 00 00 89 90 20 01 00 00 F6 80 55 01 00 00 10 74 0D 8B 90 28 01 00 00 4A 89 90 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_8057_0 {
	meta:
		name = "TCustomGrid.InvalidateCell"
		size = 35
		refs = "001a _NF__309"
	strings:
		$1 = { 56 83 C4 F0 8B F0 89 4C 24 04 89 14 24 89 4C 24 0C 89 54 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E C3 }
	condition:
		$1
}

rule function_8058_0 {
	meta:
		name = "TCustomGrid.InvalidateCol"
		size = 60
		refs = "000c TWinControl.HandleAllocated 0020 TCustomGrid.GetVisibleRowCount 0032 _NF__309"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 33 C0 89 44 24 04 89 34 24 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 0C 89 74 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_8059_0 {
	meta:
		name = "TCustomGrid.InvalidateRow"
		size = 60
		refs = "000c TWinControl.HandleAllocated 0024 TCustomGrid.GetVisibleColCount 0032 _NF__309"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 89 74 24 04 33 C0 89 04 24 89 74 24 0C 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_8061_0 {
	meta:
		name = "_NF__309"
		size = 75
		refs = "0017 TWinControl.HandleAllocated 002c _NF__2FC 003a TWinControl.GetHandle 0040 InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 6A 01 8D 4C 24 14 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 44 24 14 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8062_0 {
	meta:
		name = "_NF__30A"
		size = 40
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 75 0E 8B 45 08 8B 40 F8 8B 80 44 01 00 00 5D C3 8B 45 08 8B 40 F8 8B 80 48 01 00 00 5D C3 }
	condition:
		$1
}

rule function_8063_0 {
	meta:
		name = "_NF__30B"
		size = 28
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 75 08 8B 45 08 8B 40 F0 5D C3 8B 45 08 8B 40 F4 5D C3 }
	condition:
		$1
}

rule function_8064_0 {
	meta:
		name = "_NF__30C"
		size = 94
		refs = "0023 _NF__2F0"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8D 45 F8 50 8B 45 08 8D 48 98 8B 45 08 8B 40 F8 8D 90 64 01 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 83 78 FC 00 75 11 8B 45 08 8B 40 F8 8B 80 64 01 00 00 2B 45 F8 EB 0F 8B 45 08 8B 40 F8 8B 80 68 01 00 00 2B 45 FC 83 F8 01 7D 05 B8 01 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_8065_0 {
	meta:
		name = "_NF__30D"
		size = 81
		refs = "0010 _NF__2EA"
	strings:
		$1 = { 55 8B EC 83 C4 A8 8D 55 A8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 83 78 FC 00 75 14 8B 45 08 8B 40 F8 FF B0 64 01 00 00 8B 45 B8 5A 2B C2 EB 12 8B 45 08 8B 40 F8 FF B0 68 01 00 00 8B 45 E4 5A 2B C2 83 F8 01 7D 05 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_8066_0 {
	meta:
		name = "_NF__30E"
		size = 216
		refs = "001a _NF__30E 004f _NF__30C 0062 _NF__30D 008b _NF__30B 0097 _NF__30A 00a7 _NF__228"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 55 08 8B 52 94 83 FA 07 0F 87 BE 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 48 5B 5D C3 8D 43 01 5B 5D C3 8B 45 08 50 E8 ?? ?? ?? ?? 59 50 8B C3 5A 2B C2 5B 5D C3 8B 45 08 50 E8 ?? ?? ?? ?? 59 03 C3 5B 5D C3 8B 55 08 8B 52 F8 F6 82 55 01 00 00 40 75 09 8B 55 08 83 7A 94 04 75 51 6A 7F 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 8B 45 08 50 E8 ?? ?? ?? ?? 59 2B D8 53 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 E8 ?? ?? ?? ?? 59 03 D8 8B C3 5B 5D C3 8B 45 08 50 E8 ?? ?? ?? ?? 59 5B 5D C3 8B 45 08 50 E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_8067_0 {
	meta:
		name = "_NF__30F"
		size = 360
		refs = "0028 TCustomGrid.GetColWidths 0035 TControl.GetClientWidth 0050 _NF__30F 0086 TCanvas.TextWidth 010f TCustomGrid.ScrollData 011e @FillChar 013b _NF__309 0151 _NF__320"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F8 89 45 FC 8B 45 08 8B 40 F8 8B 98 94 01 00 00 8B 45 08 8B 50 B4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 08 2B 70 9C 8B 45 FC 83 F8 07 0F 87 84 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B D8 EB 43 8B 45 08 8B 40 F8 8B 80 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 D8 EB 29 2B DE EB 25 03 DE EB 21 8B 5D F8 EB 1C 8B 45 08 8B 40 F8 F6 80 55 01 00 00 40 74 0D 8B 5D F8 EB 08 33 DB EB 04 8B DF 2B DE 85 DB 7D 04 33 DB EB 0A 8B C7 2B C6 3B D8 7C 02 8B D8 8B 45 08 8B 40 F8 8B 80 94 01 00 00 3B D8 74 62 8B 55 08 8B 55 08 8B 52 F8 89 9A 94 01 00 00 8B D0 2B D3 8B 45 08 8B 40 F8 33 C9 E8 ?? ?? ?? ?? 8D 45 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 48 01 00 00 89 45 F4 8B 45 08 8B 40 F8 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 10 FF 52 50 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_8068_0 {
	meta:
		name = "_NF__310"
		size = 323
		refs = "001e TWinControl.CanFocus 0046 _NF__2EA 0063 _NF__30F 0092 _NF__2F0 00c1 _NF__30E 0138 _NF__314"
	strings:
		$1 = { 55 8B EC 83 C4 84 53 89 4D 94 89 55 FC 89 45 F8 8D 5D F8 8B 03 80 78 44 00 74 25 8B 03 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 03 80 B8 D4 00 00 00 00 74 0F 8B 03 F6 40 20 10 75 07 8B 03 8B 10 FF 52 78 8D 55 98 8B 03 E8 ?? ?? ?? ?? 83 7D FC 00 75 1D 8B 03 83 B8 28 01 00 00 01 75 12 55 8B 55 08 8B 45 94 E8 ?? ?? ?? ?? 59 E9 CF 00 00 00 8B 03 8B 80 28 01 00 00 48 89 45 F0 8B 03 8B 80 58 01 00 00 48 89 45 F4 8D 45 84 50 8D 4D 98 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 45 84 89 45 F0 8B 45 88 89 45 F4 8B 03 8B 90 64 01 00 00 89 55 8C 8B 90 68 01 00 00 89 55 90 83 7D FC 00 75 0F 55 8B 45 8C E8 ?? ?? ?? ?? 59 89 45 8C EB 0D 55 8B 45 90 E8 ?? ?? ?? ?? 59 89 45 90 8B 03 8B 80 44 01 00 00 8B 55 8C 3B C2 7E 05 89 45 8C EB 0A 8B 45 F0 3B D0 7E 03 89 45 8C 8B 03 8B 80 48 01 00 00 8B 55 90 3B C2 7E 05 89 45 90 EB 0A 8B 45 F4 3B D0 7E 03 89 45 90 8B 13 8B 92 64 01 00 00 8B 45 8C 3B D0 75 0D 8B 13 8B 92 68 01 00 00 3B 55 90 74 0C 8B 4D 90 8B D0 8B 03 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8069_0 {
	meta:
		name = "_NF__311"
		size = 52
	strings:
		$1 = { 55 8B EC 56 57 8B 45 08 3B 0A 75 04 89 02 EB 1E 8B F1 8B F8 3B C1 7D 04 8B F0 8B F9 3B 32 7F 0E 3B 3A 7C 0A 3B C1 7D 04 FF 02 EB 02 FF 0A 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_8070_0 {
	meta:
		name = "_NF__312"
		size = 136
		refs = "0013 _NF__312 0028 TCustomGrid.GetSelection 0058 _NF__2F6 0061 _NF__317 0073 _NF__313"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 66 8B 83 54 01 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 44 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 06 89 83 1C 01 00 00 8B 46 04 89 83 20 01 00 00 F6 83 55 01 00 00 10 74 0D 8B 83 28 01 00 00 48 89 83 1C 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? EB 10 6A 01 6A 01 8B 4E 04 8B 16 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 00 00 10 04 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_8071_0 {
	meta:
		name = "_NF__313"
		size = 341
		refs = "0019 _NF__313 0044 SIndexOutOfRange 0049 LoadResString 0051 _NF__21A 0072 TCustomGrid.GetSelection 00a3 TCustomGrid.HideEditor 0108 _NF__2F6 0112 _NF__317 011f TCustomGrid.InvalidateCell 0140 @LStrClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 19 83 7D FC 00 7C 13 3B B3 28 01 00 00 7D 0B 8B 45 FC 3B 83 58 01 00 00 7C 15 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 8B 38 FF 97 8C 00 00 00 84 C0 0F 84 C3 00 00 00 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 83 34 01 00 00 89 45 F4 8B 83 38 01 00 00 89 45 F8 89 B3 34 01 00 00 8B 45 FC 89 83 38 01 00 00 F6 83 55 01 00 00 20 75 07 8B C3 E8 ?? ?? ?? ?? 80 7D 0C 00 75 09 F6 83 54 01 00 00 10 75 2E 8B 83 34 01 00 00 89 83 1C 01 00 00 8B 83 38 01 00 00 89 83 20 01 00 00 F6 83 55 01 00 00 10 74 0D 8B 83 28 01 00 00 48 89 83 1C 01 00 00 F6 83 55 01 00 00 10 74 0C 8B 83 44 01 00 00 89 83 34 01 00 00 80 7D 08 00 74 0D 8D 93 34 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8072_0 {
	meta:
		name = "_NF__314"
		size = 81
		refs = "0047 _NF__31E"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 3B B3 64 01 00 00 75 08 3B BB 68 01 00 00 74 2F 8B C3 8B 10 FF 52 50 8B 83 64 01 00 00 89 04 24 8B 83 68 01 00 00 89 44 24 04 89 B3 64 01 00 00 89 BB 68 01 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8073_0 {
	meta:
		name = "_NF__315"
		size = 12
		refs = "0004 _NF__308"
		altNames = "_NF__316"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_8075_0 {
	meta:
		name = "_NF__317"
		size = 117
		refs = "000d TWinControl.HandleAllocated 0020 _NF__2FC 002d TCustomGrid.GetSelection 004b _NF__223 005e TWinControl.GetHandle 0064 InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 90 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 59 6A 01 8D 4C 24 04 8B D3 8B C7 E8 ?? ?? ?? ?? 6A 01 8D 54 24 64 8B C7 E8 ?? ?? ?? ?? 8D 54 24 64 8D 4C 24 14 8B C7 E8 ?? ?? ?? ?? 8D 4C 24 20 8D 54 24 10 8B C4 E8 ?? ?? ?? ?? BE 04 00 00 00 8D 5C 24 20 6A 00 53 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C3 10 4E 75 EA 83 C4 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8076_0 {
	meta:
		name = "_NF__318"
		size = 336
		refs = "003c Rect 0056 TWinControl.GetHandle 005c ScrollWindowEx"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 5D 08 BF 02 00 00 00 80 BE 98 01 00 00 00 75 03 83 CF 04 83 7D F8 00 75 3A 8B 43 38 50 8D 45 E8 50 8B 4B 0C 8B 43 04 33 D2 E8 ?? ?? ?? ?? 57 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 6A 00 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 E2 00 00 00 83 7D FC 00 75 3A 8B 43 38 50 8D 45 E8 50 8B 4B 0C 8B 53 30 33 C0 E8 ?? ?? ?? ?? 57 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 8B 45 F8 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 A2 00 00 00 8B 43 30 50 8D 45 E8 50 8B 4B 0C 8B 43 04 33 D2 E8 ?? ?? ?? ?? 57 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 6A 00 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 38 50 8D 45 E8 50 8B 4B 04 8B 53 30 33 C0 E8 ?? ?? ?? ?? 57 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 8B 45 F8 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 38 50 8D 45 E8 50 8B 4B 0C 8B 53 30 8B 43 04 E8 ?? ?? ?? ?? 57 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 8B 45 F8 50 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8077_0 {
	meta:
		name = "TCustomGrid.ScrollData"
		size = 40
		refs = "0011 _NF__2EA 001d _NF__318"
	strings:
		$1 = { 53 56 57 83 C4 A8 8B F9 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 54 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 58 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8078_0 {
	meta:
		name = "_NF__31D"
		size = 129
		refs = "005b _NF__308"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 C6 45 F7 00 8B 45 FC 3B 45 F8 7D 08 8B 45 FC 8B 55 F8 EB 06 8B 45 F8 8B 55 FC 33 C9 89 0E 8B FA 4F 2B F8 7C 2E 47 89 45 F0 8B 55 F0 8B 43 28 FF 53 24 03 03 01 06 8B 43 08 2B 43 04 3B 06 7D 0D 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? EB 14 FF 45 F0 4F 75 D6 8B 45 FC 3B 45 F8 7D 02 F7 1E C6 45 F7 01 8A 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8079_0 {
	meta:
		name = "_NF__31E"
		size = 125
		refs = "0010 _NF__320 001b _NF__2EA 0033 _NF__31D 0068 _NF__318 0074 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 9C 8B 45 FC E8 ?? ?? ?? ?? 55 8D 45 F4 50 8B 45 FC 8B 88 64 01 00 00 8B 13 8D 45 9C E8 ?? ?? ?? ?? 59 84 C0 74 30 55 8D 45 F8 50 8B 45 FC 8B 88 68 01 00 00 8B 53 04 8D 45 C8 E8 ?? ?? ?? ?? 59 84 C0 74 12 8D 45 9C 50 8B 4D F8 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB D0 FF E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8080_0 {
	meta:
		name = "_NF__31F"
		size = 61
		refs = "0015 TWinControl.GetHandle 001b GetScrollPos 0034 SetScrollPos"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 0F B7 FB 57 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B F0 74 15 6A FF 56 57 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8081_0 {
	meta:
		name = "_NF__320"
		size = 314
		refs = "0011 TWinControl.HandleAllocated 0032 _NF__2EA 005b _NF__2F0 008c TCustomGrid.GetColWidths 0095 TControl.GetClientWidth 00bd _NF__310 00c7 _NF__31F 00eb _NF__228"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 89 45 FC 8D 75 FC 8B 06 E8 ?? ?? ?? ?? 84 C0 0F 84 17 01 00 00 8B 06 80 B8 60 01 00 00 00 0F 84 08 01 00 00 8D 55 9C 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 80 28 01 00 00 48 89 45 F4 8B 06 8B 80 58 01 00 00 48 89 45 F8 8D 45 94 50 8D 4D 9C 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 45 94 89 45 F4 8B 45 98 89 45 F8 8B 06 8A 80 60 01 00 00 2C 01 74 04 2C 02 75 7E 8B 06 83 B8 28 01 00 00 01 75 48 8B 55 B8 8B 06 E8 ?? ?? ?? ?? 8B D8 8B 06 E8 ?? ?? ?? ?? 2B 45 A0 8B 16 8B 92 94 01 00 00 85 D2 7E 1B 8B CB 2B CA 3B C1 7E 13 2B D8 53 B9 04 00 00 00 33 D2 8B 06 E8 ?? ?? ?? ?? EB 36 55 33 C0 E8 ?? ?? ?? ?? 59 EB 2B 55 8B 06 8B 98 44 01 00 00 8B 45 F4 2B C3 50 6A 7F 8B 06 8B 80 64 01 00 00 2B C3 50 E8 ?? ?? ?? ?? 8B D0 33 C0 E8 ?? ?? ?? ?? 59 8B 06 8A 80 60 01 00 00 04 FE 2C 02 73 2D 55 8B 06 8B 98 48 01 00 00 8B 45 F8 2B C3 50 6A 7F 8B 06 8B 80 68 01 00 00 2B C3 50 E8 ?? ?? ?? ?? 8B D0 66 B8 01 00 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8082_0 {
	meta:
		name = "_NF__321"
		size = 32
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 FF 00 75 12 8B 45 08 8B 40 F8 8B 10 FF 52 50 8B 45 08 C6 40 FF 01 5D C3 }
	condition:
		$1
}

rule function_8083_0 {
	meta:
		name = "_NF__322"
		size = 110
		refs = "0056 TWinControl.GetHandle 005c GetScrollRange"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 8B 55 08 8B 52 F8 80 BA 60 01 00 00 03 74 29 66 85 DB 75 0F 8B 55 08 8B 52 F8 80 BA 60 01 00 00 01 74 15 66 83 FB 01 75 35 8B 55 08 8B 52 F8 80 BA 60 01 00 00 02 75 26 8D 45 F8 50 8D 45 FC 50 0F B7 C3 50 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 0F 95 C0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8084_0 {
	meta:
		name = "_NF__323"
		size = 120
		refs = "0020 _NF__2EC 0061 _NF__2F0"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 8B 40 D8 50 8B 45 08 8B 48 AC 8B 45 08 8D 50 A0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 28 01 00 00 48 8B 55 08 89 42 98 8B 45 08 8B 40 F8 8B 80 58 01 00 00 48 8B 55 08 89 42 9C 8D 45 F8 50 8B 45 08 8D 48 A0 8B 45 08 8D 50 98 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 89 50 98 8B 55 FC 89 50 9C 59 59 5D C3 }
	condition:
		$1
}

rule function_8085_0 {
	meta:
		name = "_NF__324"
		size = 121
		refs = "0016 _NF__323 0033 TWinControl.GetHandle 0039 SetScrollRange 0065 _NF__321"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 0C 8B 45 10 50 E8 ?? ?? ?? ?? 59 8B 03 3B 45 08 7E 1D 6A FF 6A 7F 6A 00 0F B7 C6 50 8B 45 10 8B 40 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1B 6A FF 6A 00 6A 00 0F B7 C6 50 8B 45 10 8B 40 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 07 3B 03 7E 11 8B 45 10 50 E8 ?? ?? ?? ?? 59 8B 03 8B 55 FC 89 02 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8086_0 {
	meta:
		name = "_NF__325"
		size = 145
		refs = "002a TCustomGrid.GetColWidths 0037 TControl.GetClientWidth 0051 TWinControl.GetHandle 0057 SetScrollRange 0089 _NF__324"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8A 40 8F 2C 01 74 04 2C 02 75 7C 8B 45 08 8B 40 F8 83 B8 28 01 00 00 01 75 3C 8B 45 08 8B 40 F8 33 D2 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 2B D8 85 DB 7D 02 33 DB 6A FF 53 6A 00 6A 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 31 8B 45 08 50 6A 00 8B 45 08 8B 40 F8 8B 80 44 01 00 00 50 8B 45 08 8B 40 F8 8D 88 64 01 00 00 8B 45 08 8D 50 90 8B 45 08 83 C0 98 E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_8087_0 {
	meta:
		name = "_NF__326"
		size = 66
		refs = "003b _NF__324"
	strings:
		$1 = { 55 8B EC 8B 45 08 8A 40 8F 04 FE 2C 02 73 31 8B 45 08 50 6A 01 8B 45 08 8B 40 F8 8B 80 48 01 00 00 50 8B 45 08 8B 40 F8 8D 88 68 01 00 00 8B 45 08 8D 50 94 8B 45 08 83 C0 9C E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_8088_0 {
	meta:
		name = "_NF__327"
		size = 312
		refs = "001d TWinControl.HandleAllocated 002d TControl.GetClientWidth 0038 TControl.GetClientHeight 0043 _NF__322 004f GetSystemMetrics 00a2 _NF__327 00ae _NF__325 00c0 _NF__326 00ff @HandleFinally 0109 _NF__320 0130 _NF__31E"
	strings:
		$1 = { 55 8B EC 83 C4 8C 89 45 F8 8B 45 F8 80 B8 60 01 00 00 00 0F 84 1B 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 0B 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 AC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 D8 55 33 C0 E8 ?? ?? ?? ?? 59 84 C0 74 0A 6A 03 E8 ?? ?? ?? ?? 01 45 D8 55 66 B8 01 00 E8 ?? ?? ?? ?? 59 84 C0 74 0A 6A 02 E8 ?? ?? ?? ?? 01 45 AC 8B 45 F8 8B 90 64 01 00 00 89 55 90 8B 90 68 01 00 00 89 55 94 8B 45 F8 8A 80 60 01 00 00 88 45 8F 8B 45 F8 C6 80 60 01 00 00 00 C6 45 FF 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 89 45 D8 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 AC 74 12 8B 45 F8 E8 ?? ?? ?? ?? 89 45 AC 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8A 55 8F 88 90 60 01 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 64 01 00 00 3B 45 90 75 0E 8B 45 F8 8B 80 68 01 00 00 3B 45 94 74 0B 8D 55 90 8B 45 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_8090_0 {
	meta:
		name = "TCustomGrid.CreateParams"
		size = 123
		refs = "000b TWinControl.CreateParams 004f NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 81 4E 04 00 00 01 00 8A 83 60 01 00 00 04 FE 2C 02 73 07 81 4E 04 00 00 20 00 8A 83 60 01 00 00 2C 01 74 04 2C 02 75 07 81 4E 04 00 00 10 00 C7 46 24 08 00 00 00 80 BB 24 01 00 00 01 75 2A A1 ?? ?? ?? ?? 80 38 00 74 19 80 BB D5 00 00 00 00 74 10 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 EB 07 81 4E 04 00 00 80 00 5E 5B C3 }
	condition:
		$1
}

rule function_8091_0 {
	meta:
		name = "_NF__32D"
		size = 108
		refs = "0010 _NF__2EA"
	strings:
		$1 = { 55 8B EC 8B 45 08 8D 50 A8 8B 45 08 8B 40 A4 E8 ?? ?? ?? ?? 8B 45 08 8B 40 B8 8B 55 08 8B 52 A4 2B 82 64 01 00 00 8B 55 08 89 42 A0 8B 45 08 83 78 A0 01 7D 0A 8B 45 08 C7 40 A0 01 00 00 00 8B 45 08 8B 40 E4 8B 55 08 8B 52 A4 2B 82 68 01 00 00 8B 55 08 89 42 9C 8B 45 08 83 78 9C 01 7D 0A 8B 45 08 C7 40 9C 01 00 00 00 5D C3 }
	condition:
		$1
}

rule function_8092_0 {
	meta:
		name = "_NF__32E"
		size = 63
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B 75 08 8B 5D 0C 8B 38 3B DF 7D 04 89 18 EB 06 3B D7 7E 02 89 10 8B 50 04 3B F2 7D 05 89 70 04 EB 0B 3B 55 FC 7D 06 8B 55 FC 89 50 04 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8093_0 {
	meta:
		name = "TCustomGrid.KeyDown"
		size = 1036
		refs = "001f TWinControl.KeyDown 0030 @CallDynaInst 0067 _NF__32D 0088 TCustomGrid.KeyDown 02f7 TCustomGrid.GetTabStops 0317 TCustomGrid.SetEditorMode 0343 _NF__2F0 0375 _NF__32E 039d _NF__314 03fc _NF__2F9"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 88 4D 9B 8B F2 89 45 A4 8D 7D A4 8B D6 8A 4D 9B 8B 07 E8 ?? ?? ?? ?? 66 8B 16 8A 4D 9B 8B 07 66 BB D9 FF E8 ?? ?? ?? ?? 84 C0 75 05 66 C7 06 00 00 8B 07 8B 90 34 01 00 00 89 55 88 8B 90 38 01 00 00 89 55 8C 8B 07 8B 90 64 01 00 00 89 55 90 8B 90 68 01 00 00 89 55 94 55 E8 ?? ?? ?? ?? 59 F6 45 9B 04 0F 84 D9 00 00 00 0F B7 06 83 C0 DF 83 F8 07 0F 87 96 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF 4D 94 E9 67 02 00 00 FF 45 94 E9 5F 02 00 00 8B 07 F6 80 55 01 00 00 10 0F 85 50 02 00 00 8B 45 A0 29 45 88 8B 45 A0 29 45 90 E9 3F 02 00 00 8B 07 F6 80 55 01 00 00 10 0F 85 30 02 00 00 8B 45 A0 01 45 88 8B 45 A0 01 45 90 E9 1F 02 00 00 8B 07 8B 80 68 01 00 00 89 45 8C E9 0F 02 00 00 8B 45 E4 89 45 8C E9 04 02 00 00 8B 07 8B 80 44 01 00 00 89 45 88 8B 07 8B 80 48 01 00 00 89 45 8C E9 E9 01 00 00 8B 07 8B 80 28 01 00 00 48 89 45 88 8B 07 8B 80 58 01 00 00 48 89 45 8C E9 CC 01 00 00 0F B7 06 83 F8 25 7F 39 74 60 83 F8 22 7F 1D 0F 84 8B 00 00 00 83 E8 09 0F 84 FC 00 00 00 83 E8 18 0F 84 8A 00 00 00 E9 A0 01 00 00 83 E8 23 0F 84 B8 00 00 00 48 0F 84 86 00 00 00 E9 8B 01 00 00 83 E8 26 74 14 48 74 3C 48 74 16 83 E8 49 0F 84 6E 01 00 00 E9 72 01 00 00 FF 4D 8C E9 6A 01 00 00 FF 45 8C E9 62 01 00 00 8B 07 F6 80 55 01 00 00 10 74 08 FF 4D 8C E9 4F 01 00 00 FF 4D 88 E9 47 01 00 00 8B 07 F6 80 55 01 00 00 10 74 08 FF 45 8C E9 34 01 00 00 FF 45 88 E9 2C 01 00 00 8B 45 9C 01 45 8C 8B 45 9C 01 45 94 E9 1B 01 00 00 8B 45 9C 29 45 8C 8B 45 9C 29 45 94 E9 0A 01 00 00 8B 07 F6 80 55 01 00 00 10 74 10 8B 07 8B 80 48 01 00 00 89 45 8C E9 EF 00 00 00 8B 07 8B 80 44 01 00 00 89 45 88 E9 DF 00 00 00 8B 07 F6 80 55 01 00 00 10 74 11 8B 07 8B 80 58 01 00 00 48 89 45 8C E9 C3 00 00 00 8B 07 8B 80 28 01 00 00 48 89 45 88 E9 B2 00 00 00 F6 45 9B 02 0F 85 A8 00 00 00 F6 45 9B 01 74 42 FF 4D 88 8B 07 8B 80 44 01 00 00 3B 45 88 7E 28 8B 07 8B 80 28 01 00 00 48 89 45 88 FF 4D 8C 8B 07 8B 80 48 01 00 00 3B 45 8C 7E 0C 8B 07 8B 80 58 01 00 00 48 89 45 8C A0 ?? ?? ?? ?? 88 45 9B EB 36 FF 45 88 8B 07 8B 80 28 01 00 00 3B 45 88 7F 26 8B 07 8B 80 44 01 00 00 89 45 88 FF 45 8C 8B 07 8B 80 58 01 00 00 3B 45 8C 7F 0B 8B 07 8B 80 48 01 00 00 89 45 8C 8B 55 88 8B 07 E8 ?? ?? ?? ?? 84 C0 75 1C 8B 07 8B 80 34 01 00 00 3B 45 88 0F 85 63 FF FF FF EB 09 B2 01 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 80 28 01 00 00 48 89 45 80 8B 07 8B 80 58 01 00 00 48 89 45 84 8D 85 78 FF FF FF 50 8D 4D A8 8D 55 80 8B 07 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 80 8B 85 7C FF FF FF 89 45 84 8B 45 80 50 8B 45 84 50 8B 07 8B 88 48 01 00 00 8B 07 8B 90 44 01 00 00 8D 45 90 E8 ?? ?? ?? ?? 8B 17 8B 92 64 01 00 00 8B 45 90 3B D0 75 0D 8B 17 8B 92 68 01 00 00 3B 55 94 74 0C 8B 4D 94 8B D0 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 80 28 01 00 00 48 50 8B 07 8B 80 58 01 00 00 48 50 8B 07 8B 88 48 01 00 00 8B 07 8B 90 44 01 00 00 8D 45 88 E8 ?? ?? ?? ?? 8B 17 8B 92 34 01 00 00 8B 45 88 3B D0 75 0D 8B 17 8B 92 38 01 00 00 3B 55 8C 74 17 F6 45 9B 01 0F 95 C2 80 F2 01 52 8B 4D 8C 8B D0 8B 07 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_8094_0 {
	meta:
		name = "TCustomGrid.KeyPress"
		size = 60
		refs = "000b TWinControl.KeyPress 0029 TCustomGrid.HideEditor 0032 TCustomGrid.ShowEditor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 83 55 01 00 00 20 75 21 80 3E 0D 75 1C 80 BB 99 01 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? C6 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_8095_0 {
	meta:
		name = "TCustomGrid.MouseDown"
		size = 769
		refs = "0020 _NF__39B 0031 TWinControl.CanFocus 003d GetParentForm 0051 _NF__296 005f TControl.SetMouseCapture 007c @CallDynaInst 0096 _NF__2EA 00ca _NF__2F2 00e1 _NF__2F7 00fa _NF__2E9 0152 TCustomGrid.ShowEditor 0165 _NF__313 016d _NF__39D 0196 TWinControl.GetHandle 019c SetTimer 01ad _NF__312 0225 _NF__2F8 02bc TCustomGrid.MouseDown 02d2 TControl.MouseDown 02e1 @HandleAnyException 02f4 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 88 4D FA 88 55 FB 89 45 FC 8B 7D 08 8B 75 0C C6 45 EF 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 75 3B 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 23 8B 45 FC 8B 10 FF 52 78 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0F 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 90 02 00 00 80 7D FB 00 75 17 F6 45 FA 40 74 11 8B 45 FC 66 BB EF FF E8 ?? ?? ?? ?? E9 33 02 00 00 80 7D FB 00 0F 85 29 02 00 00 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 9A 01 00 00 50 8B 45 FC 05 6C 01 00 00 50 8B 45 FC 05 70 01 00 00 50 8B 45 FC 05 74 01 00 00 50 8D 45 94 50 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 9A 01 00 00 00 74 10 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? E9 0E 02 00 00 8D 45 94 50 8D 45 F0 50 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 01 00 00 8B 5D F0 3B C3 0F 8F BA 00 00 00 8B 45 FC 8B 80 48 01 00 00 3B 45 F4 0F 8F A8 00 00 00 8B 45 FC F6 80 55 01 00 00 04 74 52 8B 55 FC 8B 92 34 01 00 00 8B 45 F0 3B D0 75 18 8B 55 FC 8B 92 38 01 00 00 3B 55 F4 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 19 6A 01 6A 01 8B 4D F4 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? E9 36 01 00 00 8B 45 FC C6 80 9A 01 00 00 01 6A 00 6A 3C 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 45 FA 01 74 10 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 02 01 00 00 6A 01 6A 01 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 EC 00 00 00 8B 45 FC F6 80 55 01 00 00 01 74 6B 83 7D F0 00 7C 65 8B 45 FC 8B 80 44 01 00 00 3B 45 F0 7E 57 8B 45 FC 8B 80 48 01 00 00 3B 45 F4 7F 49 8B 45 FC C6 80 9A 01 00 00 04 8B 55 FC 8B 45 F4 89 82 78 01 00 00 8B 55 FC 89 82 7C 01 00 00 8B 45 FC 8B 10 FF 52 50 8B 45 FC E8 ?? ?? ?? ?? C6 45 EF 01 6A 00 6A 3C 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 75 8B 45 FC F6 80 55 01 00 00 02 74 69 83 7D F4 00 7C 63 8B 45 FC 8B 80 48 01 00 00 3B 45 F4 7E 55 8B 45 FC 8B 80 44 01 00 00 3B 45 F0 7F 47 8B 45 FC C6 80 9A 01 00 00 05 8B 55 FC 8B 45 F0 89 82 78 01 00 00 8B 55 FC 89 82 7C 01 00 00 8B 45 FC 8B 10 FF 52 50 8B 45 FC E8 ?? ?? ?? ?? C6 45 EF 01 6A 00 6A 3C 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 57 8A 4D FA 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 80 7D EF 00 74 08 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8096_0 {
	meta:
		name = "TCustomGrid.MouseMove"
		size = 316
		refs = "0019 _NF__2EA 0047 _NF__2E9 00b6 _NF__312 00cd _NF__348 00f1 _NF__2F7 012f TControl.MouseMove"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 8A 83 9A 01 00 00 FE C8 74 11 48 2C 02 0F 82 BB 00 00 00 2C 02 0F 83 EE 00 00 00 8D 45 9C 50 8D 45 F4 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 3B 83 44 01 00 00 0F 8C CC 00 00 00 8B 55 F8 3B 93 48 01 00 00 0F 8C BD 00 00 00 8B 55 AC 42 3B C2 0F 8F B1 00 00 00 8B 55 D8 42 3B 55 F8 0F 8C A4 00 00 00 8A 93 9A 01 00 00 FE CA 74 0E 80 EA 03 74 42 FE CA 74 27 E9 8C 00 00 00 8B 45 F4 3B 83 1C 01 00 00 75 0B 8B 45 F8 3B 83 20 01 00 00 74 76 8D 55 F4 8B C3 E8 ?? ?? ?? ?? EB 6A 8D 55 9C 52 8D 55 9C 52 6A 00 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? EB 53 8D 45 9C 50 8D 45 C8 50 6A 01 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? EB 3B 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 80 BB 9A 01 00 00 02 75 10 8B 83 74 01 00 00 03 C7 89 83 70 01 00 00 EB 0E 8B 83 74 01 00 00 03 C6 89 83 70 01 00 00 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8097_0 {
	meta:
		name = "_NF__341"
		size = 80
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 8B 43 04 89 45 FC 8B 7B 1C 8B 45 08 8B 40 FC 8B B0 6C 01 00 00 4E 2B F7 7C 12 46 8B D7 8B 43 28 FF 53 24 03 03 01 45 FC 47 4E 75 EF 8B 45 08 8B 40 FC 8B 80 70 01 00 00 2B 45 FC 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8098_0 {
	meta:
		name = "TCustomGrid.MouseUp"
		size = 427
		refs = "001c TCustomGrid.MouseUp 0053 @CallDynaInst 005d TWinControl.GetHandle 0063 KillTimer 006b _NF__39D 0087 _NF__2EA 0092 _NF__2F7 00a7 _NF__341 00c4 TCustomGrid.SetColWidths 00cc TCustomGrid.UpdateDesigner 00f7 TCustomGrid.SetRowHeights 0109 _NF__2F8 0147 TCustomGrid.MoveColumn 0155 TCustomGrid.MoveRow 017f TControl.MouseUp 019c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 88 4D FA 88 55 FB 89 45 FC 8B 7D 08 8B 75 0C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8A 80 9A 01 00 00 FE C8 74 12 48 2C 02 72 48 2C 02 0F 82 C5 00 00 00 E9 26 01 00 00 57 8B CE 8A 55 FA 8B 45 FC 66 BB E7 FF E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? E9 F3 00 00 00 8D 55 A0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 A0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 9A 01 00 00 03 75 33 55 8D 45 A0 E8 ?? ?? ?? ?? 59 83 F8 01 0F 8E BE 00 00 00 8B 55 FC 8B 92 6C 01 00 00 8B C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 9E 00 00 00 55 8D 45 CC E8 ?? ?? ?? ?? 59 83 F8 01 0F 8E 8B 00 00 00 8B 55 FC 8B 92 6C 01 00 00 8B C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 6E 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 7C 01 00 00 8B 45 FC 8B 80 78 01 00 00 3B D0 74 2E 8B 4D FC 80 B9 9A 01 00 00 05 75 0E 8B CA 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 0C 8B CA 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 56 57 8A 4D FA 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 9A 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8099_0 {
	meta:
		name = "_NF__348"
		size = 242
		refs = "004c _NF__2F8 006a _NF__310 007b _NF__2EA"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 0C 8B 45 FC 3B 83 7C 01 00 00 0F 84 CA 00 00 00 8B 46 18 3B 83 7C 01 00 00 75 09 3B 7E 04 0F 8C B6 00 00 00 8B 46 20 48 3B 83 7C 01 00 00 75 09 3B 7E 08 0F 8F A1 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B 7E 04 7D 32 8B 46 18 3B 83 7C 01 00 00 7D 1F 6A 00 33 C9 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 8B 55 10 8B C3 E8 ?? ?? ?? ?? 8B 46 1C 89 45 FC EB 53 3B 7E 14 7C 3F 8B 56 10 8B 83 7C 01 00 00 3B D0 75 2A 8B 56 20 4A 3B C2 7D 22 6A 00 B9 01 00 00 00 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 8B 55 10 8B C3 E8 ?? ?? ?? ?? 8B 46 10 89 45 FC EB 0F 83 7D FC 00 7D 09 8B 83 7C 01 00 00 89 45 FC 8B 45 FC 89 83 7C 01 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_8100_0 {
	meta:
		name = "TCustomGrid.GetColWidths"
		size = 30
	strings:
		$1 = { 8B 88 2C 01 00 00 85 C9 74 08 3B 90 28 01 00 00 7C 07 8B 80 3C 01 00 00 C3 8B 44 91 04 C3 }
	condition:
		$1
}

rule function_8101_0 {
	meta:
		name = "TCustomGrid.GetRowHeights"
		size = 30
	strings:
		$1 = { 8B 88 5C 01 00 00 85 C9 74 08 3B 90 58 01 00 00 7C 07 8B 80 40 01 00 00 C3 8B 44 91 04 C3 }
	condition:
		$1
}

rule function_8102_0 {
	meta:
		name = "TCustomGrid.GetGridWidth"
		size = 18
		refs = "0006 _NF__2EA"
	strings:
		$1 = { 83 C4 A8 8B D4 E8 ?? ?? ?? ?? 8B 44 24 08 83 C4 58 C3 }
	condition:
		$1
}

rule function_8103_0 {
	meta:
		name = "TCustomGrid.GetGridHeight"
		size = 18
		refs = "0006 _NF__2EA"
	strings:
		$1 = { 83 C4 A8 8B D4 E8 ?? ?? ?? ?? 8B 44 24 34 83 C4 58 C3 }
	condition:
		$1
}

rule function_8104_0 {
	meta:
		name = "TCustomGrid.GetSelection"
		size = 28
		refs = "0015 _NF__21D"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8D 93 1C 01 00 00 8D 83 34 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8105_0 {
	meta:
		name = "TCustomGrid.GetTabStops"
		size = 18
	strings:
		$1 = { 8B 88 30 01 00 00 85 C9 75 03 B0 01 C3 8A 44 91 04 C3 }
	condition:
		$1
}

rule function_8106_0 {
	meta:
		name = "TCustomGrid.GetVisibleColCount"
		size = 31
		refs = "000b _NF__2EA"
	strings:
		$1 = { 53 83 C4 A8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 10 2B 83 64 01 00 00 40 83 C4 58 5B C3 }
	condition:
		$1
}

rule function_8107_0 {
	meta:
		name = "TCustomGrid.GetVisibleRowCount"
		size = 31
		refs = "000b _NF__2EA"
	strings:
		$1 = { 53 83 C4 A8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 3C 2B 83 68 01 00 00 40 83 C4 58 5B C3 }
	condition:
		$1
}

rule function_8109_0 {
	meta:
		name = "TCustomGrid.SetCol"
		size = 22
		refs = "0011 _NF__2F9"
	strings:
		$1 = { 3B 90 34 01 00 00 74 0D 6A 01 8B 88 38 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8110_0 {
	meta:
		name = "TCustomGrid.SetColCount"
		size = 89
		refs = "0026 TCustomGrid.SetFixedCols 0035 _NF__2F5"
	strings:
		$1 = { 53 56 8B DA 8B F0 3B 9E 28 01 00 00 74 48 83 FB 01 7D 05 BB 01 00 00 00 3B 9E 44 01 00 00 7F 0A 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 8B 8E 58 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? F6 86 55 01 00 00 10 74 14 8B 86 28 01 00 00 48 89 86 1C 01 00 00 8B C6 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_8111_0 {
	meta:
		name = "TCustomGrid.SetColWidths"
		size = 177
		refs = "0012 TCustomGrid.SetColWidths 0038 _NF__225 0048 SIndexOutOfRange 004d LoadResString 0055 _NF__21A 0075 _NF__315 008a @CallDynaInst 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 2C 01 00 00 00 75 17 8D 83 2C 01 00 00 8B 8B 3C 01 00 00 8B 93 28 01 00 00 E8 ?? ?? ?? ?? 3B B3 28 01 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 83 2C 01 00 00 8B 44 B0 04 3B F8 74 27 57 8B 93 2C 01 00 00 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 01 00 00 89 7C B0 04 8B C3 66 BB CE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8112_0 {
	meta:
		name = "TCustomGrid.SetDefaultColWidth"
		size = 57
		refs = "001a _NF__225 002b @CallDynaInst 0032 _NF__308"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 2C 01 00 00 00 74 0F 8D 86 2C 01 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 89 9E 3C 01 00 00 8B C6 66 BB CE FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8113_0 {
	meta:
		name = "TCustomGrid.SetDefaultRowHeight"
		size = 57
		refs = "001a _NF__225 002b @CallDynaInst 0032 _NF__308"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 5C 01 00 00 00 74 0F 8D 86 5C 01 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 89 9E 40 01 00 00 8B C6 66 BB CD FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8115_0 {
	meta:
		name = "TCustomGrid.SetFixedCols"
		size = 141
		refs = "000f TCustomGrid.SetFixedCols 0029 SIndexOutOfRange 002e LoadResString 0036 _NF__21A 0046 SFixedColTooBig 0060 _NF__2FD 0067 _NF__308 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 44 01 00 00 74 4A 85 F6 7D 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B B3 28 01 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 B3 44 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8116_0 {
	meta:
		name = "TCustomGrid.SetFixedRows"
		size = 141
		refs = "000f TCustomGrid.SetFixedRows 0029 SIndexOutOfRange 002e LoadResString 0036 _NF__21A 0046 SFixedRowTooBig 0060 _NF__2FD 0067 _NF__308 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 48 01 00 00 74 4A 85 F6 7D 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B B3 58 01 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 B3 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8117_0 {
	meta:
		name = "TCustomGrid.SetEditorMode"
		size = 40
		refs = "000a TCustomGrid.HideEditor 0013 TCustomGrid.ShowEditor 0022 TInplaceEdit.Deselect"
	strings:
		$1 = { 53 8B D8 84 D2 75 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 83 88 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8118_0 {
	meta:
		name = "TCustomGrid.SetGridLineWidth"
		size = 20
		refs = "000f _NF__308"
	strings:
		$1 = { 3B 90 50 01 00 00 74 0B 89 90 50 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8119_0 {
	meta:
		name = "TCustomGrid.SetLeftCol"
		size = 20
		refs = "000f _NF__314"
	strings:
		$1 = { 3B 90 64 01 00 00 74 0B 8B 88 68 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8120_0 {
	meta:
		name = "TCustomGrid.SetOptions"
		size = 117
		refs = "0040 TCustomGrid.ShowEditor 0049 TCustomGrid.HideEditor 0067 _NF__313 006e _NF__308"
	strings:
		$1 = { 53 51 66 89 14 24 8B D8 66 8B 04 24 66 3B 83 54 01 00 00 74 5D F6 44 24 01 10 74 06 66 81 24 24 FF DF 66 8B 04 24 66 89 83 54 01 00 00 80 BB 99 01 00 00 00 75 17 F6 44 24 01 20 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? F6 44 24 01 10 74 17 6A 01 6A 00 8B 8B 38 01 00 00 8B 93 34 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_8121_0 {
	meta:
		name = "TCustomGrid.SetRow"
		size = 24
		refs = "0013 _NF__2F9"
	strings:
		$1 = { 3B 90 38 01 00 00 74 0F 6A 01 8B CA 8B 90 34 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8122_0 {
	meta:
		name = "TCustomGrid.SetRowCount"
		size = 60
		refs = "0026 TCustomGrid.SetFixedRows 0035 _NF__2F5"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 58 01 00 00 74 2B 83 FE 01 7D 05 BE 01 00 00 00 3B B3 48 01 00 00 7F 0A 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 93 28 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8123_0 {
	meta:
		name = "TCustomGrid.SetRowHeights"
		size = 177
		refs = "0012 TCustomGrid.SetRowHeights 0038 _NF__225 0048 SIndexOutOfRange 004d LoadResString 0055 _NF__21A 0075 _NF__316 008a @CallDynaInst 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 5C 01 00 00 00 75 17 8D 83 5C 01 00 00 8B 8B 40 01 00 00 8B 93 58 01 00 00 E8 ?? ?? ?? ?? 3B B3 58 01 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 83 5C 01 00 00 8B 44 B0 04 3B F8 74 27 57 8B 93 5C 01 00 00 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 5C 01 00 00 89 7C B0 04 8B C3 66 BB CD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8124_0 {
	meta:
		name = "TCustomGrid.SetScrollBars"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 60 01 00 00 74 0B 88 90 60 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8125_0 {
	meta:
		name = "TCustomGrid.SetSelection"
		size = 88
		refs = "001b TCustomGrid.GetSelection 004d _NF__317"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D8 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 83 1C 01 00 00 8B 44 24 04 89 83 20 01 00 00 8B 44 24 08 89 83 34 01 00 00 8B 44 24 0C 89 83 38 01 00 00 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8126_0 {
	meta:
		name = "TCustomGrid.SetTabStops"
		size = 137
		refs = "0012 TCustomGrid.SetTabStops 0037 _NF__225 0047 SIndexOutOfRange 004c LoadResString 0054 _NF__21A 0077 @LStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BF 30 01 00 00 00 75 16 8D 87 30 01 00 00 B9 01 00 00 00 8B 97 28 01 00 00 E8 ?? ?? ?? ?? 3B B7 28 01 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 8A C3 8B 97 30 01 00 00 89 44 B2 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8127_0 {
	meta:
		name = "TCustomGrid.SetTopRow"
		size = 22
		refs = "0011 _NF__314"
	strings:
		$1 = { 3B 90 68 01 00 00 74 0D 8B CA 8B 90 64 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8128_0 {
	meta:
		name = "_NF__39B"
		size = 105
		refs = "0017 _NF__39B 0025 _NF__39E 005a TInplaceEdit.Hide 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 B8 88 01 00 00 00 74 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C7 80 8C 01 00 00 FF FF FF FF 8B 45 FC C7 80 90 01 00 00 FF FF FF FF 8B 45 FC 8B 80 88 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 59 5D C3 }
	condition:
		$1
}

rule function_8129_0 {
	meta:
		name = "_NF__39C"
		size = 110
		refs = "0043 TCustomMaskEdit.GetMaxLength 0067 TCustomEdit.SelectAll"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC 8B 03 8B 80 34 01 00 00 8B 13 89 82 8C 01 00 00 8B 03 8B 80 38 01 00 00 8B 13 89 82 90 01 00 00 8B 03 8B 80 88 01 00 00 8B 10 FF 92 A8 00 00 00 8B 03 8B 80 88 01 00 00 E8 ?? ?? ?? ?? 40 75 0B 8B 03 C6 80 25 01 00 00 00 EB 09 8B 03 C6 80 25 01 00 00 01 8B 03 8B 80 88 01 00 00 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_8130_0 {
	meta:
		name = "_NF__39D"
		size = 221
		refs = "0045 _NF__231 005c _NF__39C 008f _NF__39B 00c3 TCustomGrid.CellRect 00d4 TInplaceEdit.Move"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 45 FC 8B 45 FC 8B 10 FF 92 84 00 00 00 84 C0 0F 84 BB 00 00 00 8B 45 FC 83 B8 88 01 00 00 00 75 3A 8B 45 FC 8B 10 FF 92 80 00 00 00 8B D8 8B 45 FC 89 98 88 01 00 00 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 01 00 00 8B 55 FC 8B 08 FF 51 3C 55 E8 ?? ?? ?? ?? 59 EB 37 8B 45 FC 8B 80 34 01 00 00 8B 55 FC 3B 82 8C 01 00 00 75 14 8B 45 FC 8B 80 38 01 00 00 8B 55 FC 3B 82 90 01 00 00 74 0F 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 10 FF 92 84 00 00 00 84 C0 74 2F 8D 45 EC 50 8B 45 FC 8B 88 38 01 00 00 8B 45 FC 8B 90 34 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 88 01 00 00 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8131_0 {
	meta:
		name = "_NF__39E"
		size = 114
		refs = "000d _NF__39E 0035 TCustomMaskEdit.GetText 004c @CallDynaInst 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 8C 01 00 00 83 FE FF 74 2E 83 BB 90 01 00 00 FF 74 25 8D 55 FC 8B 83 88 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 8B 90 01 00 00 8B D6 8B C3 66 BB D6 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8132_0 {
	meta:
		name = "TCustomGrid.WMChar"
		size = 40
		refs = "001d TCustomGrid.ShowEditorChar 0023 TWinControl.WMChar"
	strings:
		$1 = { F6 80 55 01 00 00 04 74 19 8A 4A 04 80 E9 08 74 08 80 C1 E8 80 E9 E0 73 09 8A 52 04 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8133_0 {
	meta:
		name = "TCustomGrid.WMCommand"
		size = 50
		refs = "0014 TWinControl.GetHandle 002a _NF__39E"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 88 01 00 00 85 F6 74 1D 8B C6 E8 ?? ?? ?? ?? 3B 47 08 75 11 66 8B 47 06 66 2D 00 03 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8134_0 {
	meta:
		name = "TCustomGrid.WMGetDlgCode"
		size = 46
	strings:
		$1 = { C7 42 0C 01 00 00 00 F6 80 55 01 00 00 10 75 1D F6 80 55 01 00 00 08 74 04 83 4A 0C 02 F6 80 55 01 00 00 04 74 07 81 4A 0C 80 00 00 00 C3 }
	condition:
		$1
}

rule function_8135_0 {
	meta:
		name = "TCustomGrid.WMKillFocus"
		size = 73
		refs = "000f TWinControl.WMKillFocus 0018 TCustomGrid.GetSelection 0021 _NF__309 0032 TWinControl.GetHandle 003e _NF__39B"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B BB 88 01 00 00 85 FF 74 13 8B C7 E8 ?? ?? ?? ?? 3B 46 04 74 07 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8136_0 {
	meta:
		name = "TCustomGrid.WMLButtonDown"
		size = 38
		refs = "0006 TControl.WMLButtonDown 0014 GetMessageTime"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB 88 01 00 00 00 74 11 E8 ?? ?? ?? ?? 8B 93 88 01 00 00 89 82 50 01 00 00 5B C3 }
	condition:
		$1
}

rule function_8137_0 {
	meta:
		name = "TCustomGrid.WMNCHitTest"
		size = 68
		refs = "001a SmallPointToPoint 0027 TControl.ScreenToClient"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8D 54 24 08 8B 46 08 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 83 80 01 00 00 8B 44 24 04 89 83 84 01 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_8138_0 {
	meta:
		name = "TCustomGrid.WMSetCursor"
		size = 165
		refs = "0024 _NF__2EA 004c _NF__2F2 005c Screen 0068 TScreen.GetCursors 008f SetCursor 009a TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 57 83 C4 98 8B FA 8B D8 33 F6 66 83 7F 08 01 75 76 8A 83 9A 01 00 00 84 C0 75 35 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 54 8D 44 24 08 50 8D 44 24 10 50 8D 44 24 18 50 8D 44 24 20 50 8B 8B 84 01 00 00 8B 93 80 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 03 88 04 24 80 3C 24 02 75 15 A1 ?? ?? ?? ?? 8B 00 BA F1 FF FF FF E8 ?? ?? ?? ?? 8B F0 EB 19 80 3C 24 03 75 13 A1 ?? ?? ?? ?? 8B 00 BA F2 FF FF FF E8 ?? ?? ?? ?? 8B F0 85 F6 74 08 56 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 68 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8139_0 {
	meta:
		name = "TCustomGrid.WMSetFocus"
		size = 73
		refs = "000f TWinControl.WMSetFocus 0020 TWinControl.GetHandle 002e TCustomGrid.GetSelection 0037 _NF__309 003e _NF__39D"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B BB 88 01 00 00 85 FF 74 0C 8B C7 E8 ?? ?? ?? ?? 3B 46 04 74 19 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8141_0 {
	meta:
		name = "TCustomGrid.WMVScroll"
		size = 20
		refs = "000f _NF__310"
	strings:
		$1 = { 0F BF 4A 06 51 0F BF 4A 04 BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8142_0 {
	meta:
		name = "TCustomGrid.WMHScroll"
		size = 17
		refs = "000c _NF__310"
	strings:
		$1 = { 0F BF 4A 06 51 0F BF 4A 04 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8143_0 {
	meta:
		name = "TCustomGrid.CMCancelMode"
		size = 35
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 88 01 00 00 85 C0 74 07 8B D6 8B 08 FF 51 40 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_8144_0 {
	meta:
		name = "TCustomGrid.CMFontChanged"
		size = 36
		refs = "0014 TControl.SetFont 001d TWinControl.CMFontChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 88 01 00 00 85 C0 74 08 8B 53 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8146_0 {
	meta:
		name = "TCustomGrid.CMDesignHitTest"
		size = 31
		refs = "0011 TCustomGrid.Sizing"
	strings:
		$1 = { 53 56 8B DA 8B F0 0F BF 4B 0A 0F BF 53 08 8B C6 E8 ?? ?? ?? ?? F6 D8 1B C0 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_8147_0 {
	meta:
		name = "TCustomGrid.CMWantSpecialKey"
		size = 40
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 F6 83 55 01 00 00 04 74 0D 80 7E 04 0D 75 07 C7 46 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8148_0 {
	meta:
		name = "TCustomGrid.TimedScroll"
		size = 177
		refs = "00a9 _NF__312"
	strings:
		$1 = { 83 C4 EC 88 14 24 8B 90 1C 01 00 00 89 54 24 0C 8B 90 20 01 00 00 89 54 24 10 8B 90 28 01 00 00 4A 89 54 24 04 8B 90 58 01 00 00 4A 89 54 24 08 F6 04 24 01 74 12 8B 90 1C 01 00 00 3B 90 44 01 00 00 7E 04 FF 4C 24 0C F6 04 24 02 74 10 8B 90 1C 01 00 00 3B 54 24 04 7D 04 FF 44 24 0C F6 04 24 04 74 12 8B 90 20 01 00 00 3B 90 48 01 00 00 7E 04 FF 4C 24 10 F6 04 24 08 74 10 8B 90 20 01 00 00 3B 54 24 08 7D 04 FF 44 24 10 8B 90 1C 01 00 00 3B 54 24 0C 75 0C 8B 90 20 01 00 00 3B 54 24 10 74 09 8D 54 24 0C E8 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_8149_0 {
	meta:
		name = "TCustomGrid.WMTimer"
		size = 260
		refs = "001d GetCursorPos 002a TControl.ScreenToClient 0044 _NF__2EA 004a TCustomGrid.WMTimer 0063 _NF__2E9 0090 _NF__348 00f4 @CallDynaInst"
	strings:
		$1 = { 53 56 83 C4 90 8B F0 8A 86 9A 01 00 00 2C 01 74 0A 04 FD 2C 02 0F 83 DD 00 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 68 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 44 24 68 89 04 24 8B 44 24 6C 89 44 24 04 8D 54 24 10 8B C6 E8 ?? ?? ?? ?? 8A 1D ?? ?? ?? ?? 8D 44 24 10 50 8D 44 24 0C 50 8B 4C 24 0C 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 8A 86 9A 01 00 00 FE C8 74 42 2C 03 74 21 FE C8 75 7F 8D 44 24 10 50 8D 44 24 14 50 6A 00 8B 4C 24 14 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? EB 62 8D 44 24 10 50 8D 44 24 40 50 6A 01 8B 4C 24 18 8B 54 24 10 8B C6 E8 ?? ?? ?? ?? EB 45 8B 04 24 3B 44 24 14 7D 05 80 CB 01 EB 09 3B 44 24 24 7E 03 80 CB 02 8B 44 24 04 3B 44 24 40 7D 05 80 CB 04 EB 09 3B 44 24 50 7E 03 80 CB 08 A0 ?? ?? ?? ?? 3A C3 74 0D 8B D3 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 83 C4 70 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8152_0 {
	meta:
		name = "TCustomGrid.DeleteColumn"
		size = 33
		refs = "000d TCustomGrid.MoveColumn 001b TCustomGrid.SetColCount"
	strings:
		$1 = { 53 8B D8 8B 8B 28 01 00 00 49 8B C3 E8 ?? ?? ?? ?? 8B 93 28 01 00 00 4A 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8153_0 {
	meta:
		name = "TCustomGrid.DeleteRow"
		size = 33
		refs = "000d TCustomGrid.MoveRow 001b TCustomGrid.SetRowCount"
	strings:
		$1 = { 53 8B D8 8B 8B 58 01 00 00 49 8B C3 E8 ?? ?? ?? ?? 8B 93 58 01 00 00 4A 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8154_0 {
	meta:
		name = "TCustomGrid.UpdateDesigner"
		size = 59
		refs = "000c TWinControl.HandleAllocated 001d GetParentForm"
	strings:
		$1 = { 53 8B D8 F6 43 20 10 74 30 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 F6 43 20 40 75 1F 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 54 01 00 00 00 74 0B 8B 80 54 01 00 00 8B 10 FF 52 04 5B C3 }
	condition:
		$1
}

rule function_8155_0 {
	meta:
		name = "TDrawGrid.CellRect"
		size = 34
		refs = "0017 TCustomGrid.CellRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8156_0 {
	meta:
		name = "TDrawGrid.MouseToCell"
		size = 55
		refs = "001a TCustomGrid.MouseCoord"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F8 89 10 8B 45 08 8B 55 FC 89 10 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8157_0 {
	meta:
		name = "TDrawGrid.ColumnMoved"
		size = 32
	strings:
		$1 = { 53 66 83 B8 A2 01 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 A4 01 00 00 FF 93 A0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_8158_0 {
	meta:
		name = "TDrawGrid.GetEditMask"
		size = 63
		refs = "0014 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 66 83 BB B2 01 00 00 00 74 15 8B 45 FC 50 56 8B CF 8B D3 8B 83 B4 01 00 00 FF 93 B0 01 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8159_0 {
	meta:
		name = "TDrawGrid.GetEditText"
		size = 63
		refs = "0014 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 66 83 BB BA 01 00 00 00 74 15 8B 45 FC 50 56 8B CF 8B D3 8B 83 BC 01 00 00 FF 93 B8 01 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8160_0 {
	meta:
		name = "TDrawGrid.RowMoved"
		size = 32
	strings:
		$1 = { 53 66 83 B8 C2 01 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 C4 01 00 00 FF 93 C0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_8161_0 {
	meta:
		name = "TDrawGrid.SelectCell"
		size = 46
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 CA 01 00 00 00 74 18 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 83 CC 01 00 00 FF 93 C8 01 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_8162_0 {
	meta:
		name = "TDrawGrid.SetEditText"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 D2 01 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 D4 01 00 00 FF 93 D0 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8163_0 {
	meta:
		name = "TDrawGrid.DrawCell"
		size = 70
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 75 0C 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F0 66 83 BE AA 01 00 00 00 74 1B 51 8D 45 F0 50 8A 45 08 50 8B C6 8B CA 8B D0 8B 86 AC 01 00 00 FF 96 A8 01 00 00 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8164_0 {
	meta:
		name = "TDrawGrid.TopLeftChanged"
		size = 36
		refs = "0006 TCustomGrid.TopLeftChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB DA 01 00 00 00 74 0E 8B D3 8B 83 DC 01 00 00 FF 93 D8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_8165_0 {
	meta:
		name = "_NF__40E"
		size = 43
		refs = "0009 _NT__40D 0013 @New 0021 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 15 ?? ?? ?? ?? B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D8 89 3B 8D 43 04 8B D6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8166_0 {
	meta:
		name = "_NF__40F"
		size = 12
		refs = "0002 _NT__40D 0007 @Dispose"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8167_0 {
	meta:
		name = "_NF__41F"
		size = 60
		refs = "0016 @ReallocMem 002d @FillChar"
	strings:
		$1 = { 53 56 57 51 8B F1 8B DA 89 04 24 0F B7 FE 8B D7 C1 E2 02 8B C4 E8 ?? ?? ?? ?? 0F B7 03 2B F8 8B D7 C1 E2 02 8B 0C 24 8D 04 81 33 C9 E8 ?? ?? ?? ?? 66 89 33 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8168_0 {
	meta:
		name = "_NF__420"
		size = 37
		refs = "000e @GetMem 001b @FillChar"
	strings:
		$1 = { 53 56 57 8B F2 C1 E6 02 0F B7 FE 8B C7 E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 33 C9 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8169_0 {
	meta:
		name = "_NF__421"
		size = 95
		refs = "000a @ClassCreate 0027 _NV__41D 003f _NV__41E"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 33 DB 89 58 04 66 C7 40 08 00 00 C7 40 10 FF FF FF FF 33 DB 8A D9 0F B6 B3 ?? ?? ?? ?? 46 66 89 70 14 0F B6 B3 ?? ?? ?? ?? 66 89 70 0A 33 C9 8A 8B ?? ?? ?? ?? 66 89 48 0C C7 40 18 FF FF FF FF 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_8170_0 {
	meta:
		name = "_NF__422"
		size = 86
		refs = "0024 @FreeMem 004b @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 33 ED 66 8B 7E 14 C1 E7 02 EB 16 8B 46 04 8B 04 A8 85 C0 74 0B 0F B7 D7 8B 4E 04 E8 ?? ?? ?? ?? 45 0F B7 46 08 3B E8 7C E2 8B 46 04 85 C0 74 0C 0F B7 56 08 C1 E2 02 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8171_0 {
	meta:
		name = "_NF__423"
		size = 74
	strings:
		$1 = { 53 3B 50 18 75 05 8B 48 1C EB 3B 66 8B 48 0C 8B DA D3 EB 8B CB 0F B7 58 08 3B CB 7C 04 33 C9 EB 15 8B 58 04 8B 0C 8B 85 C9 74 0B 0F B7 58 0A 23 DA C1 E3 02 03 CB 85 C9 75 04 33 C9 EB 02 8B 09 89 50 18 89 48 1C 8B C1 5B C3 }
	condition:
		$1
}

rule function_8172_0 {
	meta:
		name = "_NF__424"
		size = 107
		refs = "0020 _NF__41F 0041 _NF__420"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 66 8B 4B 0C 8B F7 D3 EE 66 3B 73 08 72 12 8D 4E 01 8D 53 08 8B 43 04 E8 ?? ?? ?? ?? 8B E8 EB 03 8B 6B 04 89 6B 04 0F B7 C6 8B 44 85 00 85 C0 75 13 0F B7 C6 66 8B 53 14 E8 ?? ?? ?? ?? 0F B7 D6 89 44 95 00 0F B7 53 0A 23 D7 C1 E2 02 03 C2 3B 7B 10 7E 03 89 7B 10 C7 43 18 FF FF FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8173_0 {
	meta:
		name = "_NF__425"
		size = 52
		refs = "0012 _NF__423 001f _NF__424 002c _NF__428"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 75 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 74 16 8B D7 8B C3 E8 ?? ?? ?? ?? 89 30 85 F6 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8174_0 {
	meta:
		name = "_NF__426"
		size = 137
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F0 8B F0 33 C0 89 45 EC 33 C0 89 45 E8 8B 45 00 89 45 FC EB 50 8B 46 04 8B 55 E8 8B 1C 90 85 DB 74 40 33 FF 66 8B 4E 0C 8B 45 E8 D3 E0 89 45 F8 EB 22 8B 03 89 45 F4 83 7D F4 00 74 10 8B 45 F8 8B 55 F4 FF 75 FC FF 55 F0 59 89 45 EC 83 C3 04 47 FF 45 F8 0F B7 46 14 3B F8 7D 06 83 7D EC 00 74 D0 FF 45 E8 0F B7 46 08 3B 45 E8 7E 06 83 7D EC 00 74 A1 8B 45 EC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8175_0 {
	meta:
		name = "_NF__427"
		size = 37
	strings:
		$1 = { 55 8B EC 8B 4D 08 8B 49 FC 3B 41 10 7E 07 B9 01 00 00 00 EB 0C 33 C9 85 D2 74 06 8B 55 08 89 42 F8 8B C1 5D C3 }
	condition:
		$1
}

rule function_8176_0 {
	meta:
		name = "_NF__428"
		size = 42
		refs = "0011 _NF__427 0019 _NF__426"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC C7 45 F8 FF FF FF FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 10 59 59 5D C3 }
	condition:
		$1
}

rule function_8178_0 {
	meta:
		name = "_NF__42A"
		size = 36
		refs = "001b @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 85 C0 74 07 B2 01 8B 08 FF 51 FC 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8179_0 {
	meta:
		name = "_NF__42B"
		size = 30
		refs = "0013 _NF__433"
	strings:
		$1 = { 53 8B D8 B2 01 8B 43 04 8B 08 FF 51 FC 8A 53 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 5B C3 }
	condition:
		$1
}

rule function_8180_0 {
	meta:
		name = "_NF__42C"
		size = 75
		refs = "0023 _NF__423 002e _NF__425"
	strings:
		$1 = { 53 56 57 55 8B D8 85 D2 7C 3C 3B 53 08 7D 37 8B F2 8B 7B 08 4F 2B FE 7C 1D 47 8D 56 01 8B 6B 04 8B C5 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C5 E8 ?? ?? ?? ?? 46 4F 75 E4 33 C9 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? FF 4B 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8182_0 {
	meta:
		name = "_NF__42E"
		size = 57
		refs = "000f _NF__430 0025 _NF__434"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8183_0 {
	meta:
		name = "_NF__42F"
		size = 9
		refs = "0004 _NF__426"
	strings:
		$1 = { 8B 40 04 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8184_0 {
	meta:
		name = "_NF__430"
		size = 29
		refs = "0016 _NF__423"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 06 8B C3 8B 10 FF 12 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8185_0 {
	meta:
		name = "_NF__431"
		size = 88
		refs = "0026 _NF__423 0031 _NF__425"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F0 85 ED 7D 06 8B C6 8B 10 FF 12 8B 5E 08 3B EB 7D 1D 8B D3 4A 8B 7E 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? 4B 3B EB 7C E3 8B 0C 24 8B D5 8B 46 04 E8 ?? ?? ?? ?? 3B 6E 08 7E 03 89 6E 08 FF 46 08 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8186_0 {
	meta:
		name = "_NF__432"
		size = 50
		refs = "0013 _NF__430 001e _NF__42C 0029 _NF__431"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 3B FE 74 1F 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8187_0 {
	meta:
		name = "_NF__433"
		size = 29
		refs = "000e _NV__417 0013 _NF__421"
	strings:
		$1 = { 53 56 8B DA 8B F0 88 5E 0C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_8188_0 {
	meta:
		name = "_NF__434"
		size = 45
		refs = "001b _NF__425"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7D 06 8B C3 8B 10 FF 12 8B CF 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 8B 40 10 40 89 43 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8189_0 {
	meta:
		name = "_NF__435"
		size = 65
		refs = "000e @ClassCreate 001e _NV__419 0023 _NF__429"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8190_0 {
	meta:
		name = "_NF__436"
		size = 45
		refs = "0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 0C 00 74 11 8B C6 8B 10 FF 52 40 B2 01 8B 46 0C 8B 08 FF 51 FC 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8191_0 {
	meta:
		name = "_NF__437"
		size = 112
		refs = "0010 _NF__437 001d TReader.ReadInteger 002f TReader.ReadString 0044 TStrings.InsertObject 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 26 6A 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 4E 85 F6 7F DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8192_0 {
	meta:
		name = "_NF__438"
		size = 13
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 40 FC 33 C0 5D C3 }
	condition:
		$1
}

rule function_8193_0 {
	meta:
		name = "_NF__439"
		size = 37
		refs = "000e TWriter.WriteInteger 001c TWriter.WriteString"
	strings:
		$1 = { 55 8B EC 53 8B DA 8B 55 08 8B 52 F8 92 E8 ?? ?? ?? ?? 8B 53 04 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_8194_0 {
	meta:
		name = "_NF__43A"
		size = 59
		refs = "0012 _NF__438 001a _NF__42F 0025 TWriter.WriteInteger 002a _NF__439"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 8B D8 33 C0 89 45 FC BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8195_0 {
	meta:
		name = "_NF__43B"
		size = 44
		refs = "0003 _NF__437 0009 _NF__43A 0012 _NF__43B"
	strings:
		$1 = { 53 50 68 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? B1 01 8B C2 BA ?? ?? ?? ?? 8B 18 FF 13 5B C3 FF FF FF FF 04 00 00 00 4C 69 73 74 00 00 00 00 }
	condition:
		$1
}

rule function_8196_0 {
	meta:
		name = "_NF__43C"
		size = 48
		refs = "000f _NF__430 001c @LStrClr 0028 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8198_0 {
	meta:
		name = "_NF__43E"
		size = 30
		refs = "000c _NF__430"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 5E 5B C3 8B 00 5E 5B C3 }
	condition:
		$1
}

rule function_8199_0 {
	meta:
		name = "_NF__43F"
		size = 104
		refs = "0012 _NF__430 0034 _NF__434 0040 _NF__40E 0057 _NF__40F"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B D8 8B D5 8B 43 0C E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 33 FF EB 02 8B 3E 83 3C 24 00 75 12 85 FF 75 0E 33 C9 8B D5 8B 43 0C E8 ?? ?? ?? ?? EB 16 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B C8 8B D5 8B 43 0C E8 ?? ?? ?? ?? 85 F6 74 07 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8200_0 {
	meta:
		name = "_NF__440"
		size = 63
		refs = "000f _NF__430 0024 _NF__40E 0030 _NF__434"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D7 8B 43 0C E8 ?? ?? ?? ?? 85 C0 74 04 89 30 EB 19 85 F6 74 15 8B D6 33 C0 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8201_0 {
	meta:
		name = "_NF__441"
		size = 20
	strings:
		$1 = { 53 66 83 78 12 00 74 0A 8B D8 8B D0 8B 43 14 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_8203_0 {
	meta:
		name = "_NF__443"
		size = 45
		refs = "000c _NF__430 0015 _NF__40F 001f _NF__42C"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 5E 5B C3 }
	condition:
		$1
}

rule function_8205_0 {
	meta:
		name = "_NF__445"
		size = 41
		refs = "000e _NF__40E 001a _NF__431"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8206_0 {
	meta:
		name = "_NF__446"
		size = 10
		refs = "0003 _NF__40F"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_8223_0 {
	meta:
		name = "_NF__475"
		size = 10
		refs = "0003 TObject.Free"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_8207_0 {
	meta:
		name = "_NF__447"
		size = 33
		refs = "0004 _NF__446 000c _NF__42F 0014 _NF__42B"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 5B C3 }
	condition:
		$1
}

rule function_8209_0 {
	meta:
		name = "TStringGridStrings.Assign"
		size = 246
		refs = "0017 TStringGridStrings.Assign 0025 _Dn_TStrings 002a @IsClass 003a TStrings.BeginUpdate 00bc TStrings.EndUpdate 00c2 @HandleFinally 00ce TStrings.Assign 00e3 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 92 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 8B D8 4B 8B 45 FC 8B 10 FF 52 14 3B D8 7C 0B 8B 45 FC 8B 10 FF 52 14 8B D8 4B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 3A 43 89 5D F8 33 DB 8D 4D F4 8B D3 8B C6 8B 38 FF 57 0C 8B 4D F4 8B D3 8B 45 FC 8B 38 FF 57 20 8B D3 8B C6 8B 08 FF 51 18 8B C8 8B D3 8B 45 FC 8B 38 FF 57 24 43 FF 4D F8 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8210_0 {
	meta:
		name = "_NF__450"
		size = 64
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 55 08 8B 58 10 85 DB 75 0E C7 01 FF FF FF FF C7 02 FF FF FF FF EB 18 85 DB 7E 0A 8B 75 FC 89 31 4B 89 1A EB 0A F7 DB 4B 89 19 8B 45 FC 89 02 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8211_0 {
	meta:
		name = "TStringGridStrings.Add"
		size = 131
		refs = "0018 TStringGridStrings.Add 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 29 46 33 DB 8D 4D F4 8B D3 8B 45 FC 8B 38 FF 57 0C 83 7D F4 00 75 0F 8B 4D F8 8B D3 8B 45 FC 8B 30 FF 56 20 EB 07 43 4E 75 DA 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8212_0 {
	meta:
		name = "_NF__454"
		size = 43
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 33 C9 8B D3 8B 30 FF 56 24 8B 45 08 8B 40 FC 33 C9 8B D3 8B 18 FF 53 20 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8213_0 {
	meta:
		name = "TStringGridStrings.Clear"
		size = 113
		refs = "0023 _NF__430 002c _NF__454 0034 _NF__42F"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 58 10 85 DB 7E 27 8B D3 4A 8B 45 FC 8B 40 0C 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 41 BA ?? ?? ?? ?? 8B 40 0C E8 ?? ?? ?? ?? EB 32 85 DB 7D 2E 8B 45 FC 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 1E 33 C9 8B D3 8B 45 FC 8B 30 FF 56 24 33 C9 8B D3 8B 45 FC 8B 30 FF 56 20 4B 83 FB FF 75 E2 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8215_0 {
	meta:
		name = "TStringGridStrings.Get"
		size = 62
		refs = "0015 _NF__450 0022 @LStrClr 0035 TStringGrid.GetCells"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B D8 8D 44 24 04 50 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 83 3C 24 00 7D 09 8B C6 E8 ?? ?? ?? ?? EB 11 56 8B 4C 24 08 8B 54 24 04 8B 43 0C E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8216_0 {
	meta:
		name = "TStringGridStrings.GetCount"
		size = 35
	strings:
		$1 = { 8B 50 10 85 D2 75 03 33 C0 C3 85 D2 7E 0B 8B 40 0C 8B 80 28 01 00 00 EB 09 8B 40 0C 8B 80 58 01 00 00 C3 }
	condition:
		$1
}

rule function_8217_0 {
	meta:
		name = "TStringGridStrings.GetObject"
		size = 51
		refs = "0012 _NF__450 002b TStringGrid.GetObjects"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8D 44 24 04 50 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 83 3C 24 00 7D 04 33 C0 EB 0F 8B 4C 24 04 8B 14 24 8B 43 0C E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_8218_0 {
	meta:
		name = "TStringGridStrings.Insert"
		size = 74
		refs = "000a TStringGridStrings.Insert 0018 SInvalidStringGridOp 001d LoadResString 0025 _NF__21A 003a @LStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8219_0 {
	meta:
		name = "TStringGridStrings.Put"
		size = 47
		refs = "0015 _NF__450 0026 TStringGrid.SetCells"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B D8 8D 44 24 04 50 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 56 8B 4C 24 08 8B 54 24 04 8B 43 0C E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8220_0 {
	meta:
		name = "TStringGridStrings.PutObject"
		size = 47
		refs = "0015 _NF__450 0026 TStringGrid.SetObjects"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B D8 8D 44 24 04 50 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 56 8B 4C 24 08 8B 54 24 04 8B 43 0C E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8222_0 {
	meta:
		name = "TStringGrid.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TCustomGrid.Create 001e _NF__494"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8224_0 {
	meta:
		name = "TStringGrid.Destroy"
		size = 142
		refs = "0010 _NF__475 001b _NF__42F 0026 TObject.Free 007a TCustomGrid.Destroy 0085 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE E4 01 00 00 00 74 1B BA ?? ?? ?? ?? 8B 86 E4 01 00 00 E8 ?? ?? ?? ?? 8B 86 E4 01 00 00 E8 ?? ?? ?? ?? 83 BE E8 01 00 00 00 74 1B BA ?? ?? ?? ?? 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 83 BE E0 01 00 00 00 74 1B BA ?? ?? ?? ?? 8B 86 E0 01 00 00 E8 ?? ?? ?? ?? 8B 86 E0 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8225_0 {
	meta:
		name = "_NF__479"
		size = 27
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC 92 8B 18 FF 53 60 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_8226_0 {
	meta:
		name = "TStringGrid.ColumnMoved"
		size = 56
		refs = "0010 _NF__479 001b _NF__42F 002f TDrawGrid.ColumnMoved"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 BA ?? ?? ?? ?? 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8227_0 {
	meta:
		name = "TStringGrid.RowMoved"
		size = 46
		refs = "0014 _NF__432 0026 TDrawGrid.RowMoved"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8228_0 {
	meta:
		name = "TStringGrid.GetEditText"
		size = 65
		refs = "0017 TStringGrid.GetCells"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 BB BA 01 00 00 00 74 15 57 8B 45 08 50 8B CE 8B D3 8B 83 BC 01 00 00 FF 93 B8 01 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8229_0 {
	meta:
		name = "TStringGrid.SetEditText"
		size = 189
		refs = "0019 TStringGrid.SetEditText 0027 _NF__492 0047 TStringGrid.GetCells 0052 @LStrCmp 0066 TStringGrid.SetCells 007b _NF__493 0081 @HandleFinally 0095 TDrawGrid.SetEditText 00aa @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 E8 ?? ?? ?? ?? 74 12 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8230_0 {
	meta:
		name = "_NF__48B"
		size = 150
		refs = "0009 _NF__48B 002a TStringGrid.GetCells 0034 @LStrLen 003d @LStrToPChar 006c TCanvas.GetHandle 0072 ExtTextOut 0087 @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 08 8B 48 E4 8B 45 08 8B 50 E8 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 08 83 C0 F0 50 6A 06 8B 45 08 8B 40 F4 83 C0 02 50 8B 45 08 8B 40 F0 83 C0 02 50 8B 45 08 8B 40 EC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8231_0 {
	meta:
		name = "TStringGrid.DrawCell"
		size = 81
		refs = "002e _NF__48B 0045 TDrawGrid.DrawCell"
	strings:
		$1 = { 55 8B EC 83 C4 E4 56 57 8B 75 0C 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 89 4D E4 89 55 E8 89 45 EC 8B 45 EC 80 B8 98 01 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 8D 45 F0 50 8A 45 08 50 8B 4D E4 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8232_0 {
	meta:
		name = "_NF__492"
		size = 7
	strings:
		$1 = { FF 80 F0 01 00 00 C3 }
	condition:
		$1
}

rule function_8233_0 {
	meta:
		name = "_NF__493"
		size = 7
	strings:
		$1 = { FF 88 F0 01 00 00 C3 }
	condition:
		$1
}

rule function_8234_0 {
	meta:
		name = "_NF__494"
		size = 130
		refs = "0024 _NV__419 0029 _NF__429"
	strings:
		$1 = { 53 56 8B F0 83 BE E8 01 00 00 00 75 26 81 BE 28 01 00 00 00 02 00 00 7E 04 B3 01 EB 02 33 DB 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 E8 01 00 00 81 BE 58 01 00 00 00 01 00 00 7E 04 B3 01 EB 02 33 DB 83 BE E4 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 E4 01 00 00 83 BE E0 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 E0 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8235_0 {
	meta:
		name = "_NF__495"
		size = 38
		refs = "0019 _NF__308"
	strings:
		$1 = { 53 8B D8 88 93 EC 01 00 00 84 D2 75 17 80 BB ED 01 00 00 00 74 0E 8B C3 E8 ?? ?? ?? ?? C6 83 ED 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_8236_0 {
	meta:
		name = "_NF__496"
		size = 74
		refs = "0019 TCustomGrid.InvalidateCell 0042 TCustomGrid.InvalidateEditor"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 BB EC 01 00 00 00 75 0D 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 07 C6 83 ED 01 00 00 01 3B B3 34 01 00 00 75 18 3B BB 38 01 00 00 75 10 83 BB F0 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8237_0 {
	meta:
		name = "_NF__497"
		size = 99
		refs = "0025 _NF__430 0045 _DV_TStringGridStrings 004a TStringGridStrings.Create 0057 _NF__434"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B EA 8B F0 80 3C 24 00 74 08 8D BE E8 01 00 00 EB 06 8D BE E4 01 00 00 8B D5 8B 07 E8 ?? ?? ?? ?? 8B D8 85 DB 75 2C 80 3C 24 00 74 07 8B C5 F7 D8 48 EB 03 8D 45 01 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B CB 8B D5 8B 07 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8238_0 {
	meta:
		name = "_NF__498"
		size = 81
		refs = "0010 _NF__430 0031 _NV__41B 0036 _NF__435 0047 _NF__434"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 31 81 BB 28 01 00 00 00 02 00 00 7E 04 B0 01 EB 02 33 C0 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B CE 8B D7 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8239_0 {
	meta:
		name = "TStringGrid.GetCells"
		size = 65
		refs = "001a _NF__430 0027 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 8B D7 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 0C 8B CE 8B 55 FC 8B C3 8B 18 FF 53 0C 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8241_0 {
	meta:
		name = "TStringGrid.GetObjects"
		size = 41
		refs = "0012 _NF__430"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D6 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 07 8B D7 8B 08 FF 51 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8243_0 {
	meta:
		name = "TStringGrid.SetCells"
		size = 77
		refs = "0014 _NF__498 0029 _NF__497 0041 _NF__496"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B 38 FF 57 20 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8244_0 {
	meta:
		name = "TStringGrid.SetCols"
		size = 31
		refs = "0010 _NF__497"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8245_0 {
	meta:
		name = "TStringGrid.SetObjects"
		size = 77
		refs = "0014 _NF__498 0029 _NF__497 0041 _NF__496"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B 38 FF 57 24 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8246_0 {
	meta:
		name = "TStringGrid.SetRows"
		size = 31
		refs = "0010 _NF__497"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8273_0 {
	meta:
		name = "TWebRequest.Create"
		size = 288
		refs = "0010 @ClassCreate 001c TWebRequest.Create 002b TObject.Create 0043 CompareText 00c6 @LStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C6 8B 38 FF 17 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 06 C6 46 04 01 EB 64 8D 4D FC 33 D2 8B C6 8B 38 FF 17 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 06 C6 46 04 02 EB 42 8D 4D FC 33 D2 8B C6 8B 38 FF 17 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 06 C6 46 04 03 EB 20 8D 4D FC 33 D2 8B C6 8B 38 FF 17 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 04 C6 46 04 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 FF FF FF FF 03 00 00 00 47 45 54 00 FF FF FF FF 03 00 00 00 50 55 54 00 FF FF FF FF 04 00 00 00 50 4F 53 54 00 00 00 00 FF FF FF FF 04 00 00 00 48 45 41 44 00 00 00 00 }
	condition:
		$1
}

rule function_8274_0 {
	meta:
		name = "TWebRequest.Destroy"
		size = 58
		refs = "000a TObject.Free 0026 TObject.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8275_0 {
	meta:
		name = "TWebRequest.ExtractFields"
		size = 58
		refs = "002e ExtractHTTPFields"
	strings:
		$1 = { 55 8B EC 83 C4 C0 56 57 8B F1 8D 7D C0 B9 08 00 00 00 F3 A5 8B F2 8D 7D E0 B9 08 00 00 00 F3 A5 8B 45 08 50 8B 4D 0C 8D 55 C0 8D 45 E0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8276_0 {
	meta:
		name = "TWebRequest.ExtractContentFields"
		size = 264
		refs = "0012 TWebRequest.ExtractContentFields 004c @LStrLen 007d @LStrCat 0085 @LStrToPChar 0098 TWebRequest.ExtractFields 00b2 @LStrArrayClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 10 00 00 00 8B C3 8B 08 FF 51 08 85 C0 7E 70 8D 4D FC BA 19 00 00 00 8B C3 8B 38 FF 17 BA 10 00 00 00 8B C3 8B 08 FF 51 08 8B F8 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7E 2D BA 10 00 00 00 8B C3 8B 08 FF 51 08 50 8B 45 FC E8 ?? ?? ?? ?? 5A 2B D0 8D 4D F8 8B C3 8B 38 FF 57 10 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 56 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 40 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8277_0 {
	meta:
		name = "TWebRequest.ExtractCookieFields"
		size = 168
		refs = "000f TWebRequest.ExtractCookieFields 002e @LStrToPChar 003f ExtractHeaderFields 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 1B 00 00 00 8B C3 8B 18 FF 13 56 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8278_0 {
	meta:
		name = "TWebRequest.ExtractQueryFields"
		size = 168
		refs = "0010 TWebRequest.ExtractQueryFields 002c @LStrToPChar 003f TWebRequest.ExtractFields 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 03 00 00 00 8B C3 8B 38 FF 17 8B 45 FC E8 ?? ?? ?? ?? 50 56 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 40 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8279_0 {
	meta:
		name = "TWebRequest.GetContentFields"
		size = 42
		refs = "000d _Dn_TStringList 0012 TObject.Create 0020 TWebRequest.ExtractContentFields"
	strings:
		$1 = { 53 56 8B D8 83 7B 08 00 75 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_8280_0 {
	meta:
		name = "TWebRequest.GetCookieFields"
		size = 42
		refs = "000d _Dn_TStringList 0012 TObject.Create 0020 TWebRequest.ExtractCookieFields"
	strings:
		$1 = { 53 56 8B D8 83 7B 0C 00 75 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_8281_0 {
	meta:
		name = "TWebRequest.GetQueryFields"
		size = 42
		refs = "000d _Dn_TStringList 0012 TObject.Create 0020 TWebRequest.ExtractQueryFields"
	strings:
		$1 = { 53 56 8B D8 83 7B 10 00 75 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 10 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 10 5E 5B C3 }
	condition:
		$1
}

rule function_8282_0 {
	meta:
		name = "TCookie.Create"
		size = 58
		refs = "000a @ClassCreate 0017 TCollectionItem.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 1C C7 46 20 00 00 F0 BF 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8283_0 {
	meta:
		name = "TCookie.AssignTo"
		size = 103
		refs = "000b _DV_TCookie 0010 @IsClass 0021 @LStrAsg 005f TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 42 8B FE 8D 47 0C 8B 53 0C E8 ?? ?? ?? ?? 8D 47 10 8B 53 10 E8 ?? ?? ?? ?? 8D 47 18 8B 53 18 E8 ?? ?? ?? ?? 8D 47 14 8B 53 14 E8 ?? ?? ?? ?? 8B 43 1C 89 47 1C 8B 43 20 89 47 20 8A 43 24 88 47 24 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8284_0 {
	meta:
		name = "TCookie.GetHeaderValue"
		size = 460
		refs = "0015 TCookie.GetHeaderValue 0042 Format 006f @LStrCat 00bd FormatDateTime 00e4 @LStrLen 00f5 @LStrCopy 0102 @LStrCmp 0117 @LStrSetLength 012c @LStrClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 43 0C 89 45 F0 C6 45 F4 0B 8B 43 10 89 45 F8 C6 45 FC 0B 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 18 00 74 27 8D 45 EC 50 8B 43 18 89 45 E4 C6 45 E8 0B 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 83 7B 14 00 74 27 8D 45 EC 50 8B 43 14 89 45 E4 C6 45 E8 0B 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? DD 43 1C D8 1D ?? ?? ?? ?? DF E0 9E 76 1D FF 73 20 FF 73 1C 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 80 7B 24 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8B 06 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8B 06 B9 FF FF FF 7F E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 8B 06 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 07 00 00 00 25 73 3D 25 73 3B 20 00 FF FF FF FF 0B 00 00 00 64 6F 6D 61 69 6E 3D 25 73 3B 20 00 FF FF FF FF 09 00 00 00 70 61 74 68 3D 25 73 3B 20 00 00 00 00 00 80 BF FF FF FF FF 2B 00 00 00 22 65 78 70 69 72 65 73 3D 22 64 64 64 2C 20 64 64 20 6D 6D 6D 20 79 79 79 79 20 68 68 3A 6D 6D 3A 73 73 20 22 47 4D 54 3B 20 22 00 FF FF FF FF 06 00 00 00 73 65 63 75 72 65 00 00 FF FF FF FF 02 00 00 00 3B 20 00 00 }
	condition:
		$1
}

rule function_8289_0 {
	meta:
		name = "TWebResponse.Create"
		size = 91
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TStringList 0031 _DV_TCookie 003b _DV_TCookieCollection 0040 TCookieCollection.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 A1 ?? ?? ?? ?? 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8290_0 {
	meta:
		name = "TWebResponse.Destroy"
		size = 58
		refs = "000a TObject.Free 0026 TObject.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8291_0 {
	meta:
		name = "TWebResponse.AddCustomHeaders"
		size = 184
		refs = "0014 TWebResponse.AddCustomHeaders 003f TStrings.GetName 004d TStrings.GetValue 006b @LStrCatN 008b @LStrArrayClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 10 FF 52 14 8B F0 4E 85 F6 7C 48 46 C7 45 FC 00 00 00 00 8D 4D F8 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? FF 37 FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? FF 45 FC 4E 75 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 02 00 00 00 3A 20 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_8292_0 {
	meta:
		name = "TWebResponse.GetCustomHeader"
		size = 25
		refs = "0011 TStrings.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8294_0 {
	meta:
		name = "TWebResponse.SetContentStream"
		size = 50
		refs = "000f TObject.Free 001f TStream.GetSize"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 04 3B F0 74 20 E8 ?? ?? ?? ?? 8B FE 89 7B 04 85 FF 74 12 8B C7 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 8B 18 FF 53 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8295_0 {
	meta:
		name = "TWebResponse.SetCookieField"
		size = 218
		refs = "001d TWebResponse.SetCookieField 0040 TCookieCollection.Add 004e TStrings.GetName 0059 @LStrAsg 0072 TStrings.GetValue 00c5 @LStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 48 85 C0 7C 7C 40 89 45 F4 33 FF 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 8D 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 0C E8 ?? ?? ?? ?? 8D 4D EC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 10 E8 ?? ?? ?? ?? 8D 43 18 8B 55 F8 E8 ?? ?? ?? ?? 8D 43 14 8B 55 14 E8 ?? ?? ?? ?? 8B 45 0C 89 43 1C 8B 45 10 89 43 20 8A 45 08 88 43 24 47 FF 4D F4 75 8A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_8299_0 {
	meta:
		name = "THTMLTagAttributes.Changed"
		size = 20
	strings:
		$1 = { 53 66 83 78 0E 00 74 0A 8B D8 8B D0 8B 43 10 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_8300_0 {
	meta:
		name = "THTMLTagAttributes.RestoreDefaults"
		size = 20
		refs = "0007 @LStrClr 000e THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8301_0 {
	meta:
		name = "THTMLTagAttributes.SetCustom"
		size = 38
		refs = "000c @LStrCmp 0018 @LStrAsg 001f THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 E8 ?? ?? ?? ?? 74 11 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8302_0 {
	meta:
		name = "THTMLTableAttributes.Create"
		size = 74
		refs = "000a @ClassCreate 0017 THTMLTagAttributes.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 28 64 00 00 00 C7 46 18 FF FF FF FF C7 46 24 FF FF FF FF C7 46 20 FF FF FF FF 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8303_0 {
	meta:
		name = "THTMLTableAttributes.AssignTo"
		size = 89
		refs = "000b _DV_THTMLTableAttributes 0010 @IsClass 0033 @LStrAsg 0046 THTMLTagAttributes.Changed 0051 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B FB 8B 46 28 89 47 28 8A 46 14 88 47 14 8B 46 18 89 47 18 8D 47 1C 8B 56 1C E8 ?? ?? ?? ?? 8B 46 20 89 47 20 8B 46 24 89 47 24 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8304_0 {
	meta:
		name = "THTMLTableAttributes.RestoreDefaults"
		size = 52
		refs = "0007 @LStrClr 002e THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? C6 43 14 00 C7 43 28 64 00 00 00 C7 43 18 FF FF FF FF C7 43 24 FF FF FF FF C7 43 20 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8306_0 {
	meta:
		name = "THTMLTableAttributes.SetBorder"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3B 50 18 74 08 89 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8307_0 {
	meta:
		name = "THTMLTableAttributes.SetBGColor"
		size = 96
		refs = "000e @LStrAddRef 0016 THTMLTableAttributes.SetBGColor 0027 @LStrCmp 0034 @LStrAsg 003b THTMLTagAttributes.Changed 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 1C E8 ?? ?? ?? ?? 74 12 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8308_0 {
	meta:
		name = "THTMLTableAttributes.SetCellSpacing"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3B 50 20 74 08 89 50 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8310_0 {
	meta:
		name = "THTMLTableAttributes.SetWidth"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3B 50 28 74 08 89 50 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8311_0 {
	meta:
		name = "THTMLTableElementAttributes.AssignTo"
		size = 71
		refs = "000b _DV_THTMLTableElementAttributes 0010 @IsClass 002d @LStrAsg 0034 THTMLTagAttributes.Changed 003f TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B FB 8A 46 14 88 47 14 8A 46 1C 88 47 1C 8D 47 18 8B 56 18 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8312_0 {
	meta:
		name = "THTMLTableElementAttributes.RestoreDefaults"
		size = 36
		refs = "0007 @LStrClr 001e THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? C6 43 14 00 C6 43 1C 00 8D 43 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8314_0 {
	meta:
		name = "THTMLTableElementAttributes.SetBGColor"
		size = 96
		refs = "000e @LStrAddRef 0016 THTMLTableElementAttributes.SetBGColor 0027 @LStrCmp 0034 @LStrAsg 003b THTMLTagAttributes.Changed 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 18 E8 ?? ?? ?? ?? 74 12 8D 43 18 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8315_0 {
	meta:
		name = "THTMLTableElementAttributes.SetVAlign"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3A 50 1C 74 08 88 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8316_0 {
	meta:
		name = "THTMLTableHeaderAttributes.AssignTo"
		size = 82
		refs = "000b _DV_THTMLTableHeaderAttributes 0010 @IsClass 002d @LStrAsg 003f THTMLTagAttributes.Changed 004a THTMLTableElementAttributes.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B FB 8A 46 14 88 47 14 8A 46 1C 88 47 1C 8D 47 18 8B 56 18 E8 ?? ?? ?? ?? 8D 47 20 8B 56 20 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8317_0 {
	meta:
		name = "THTMLTableHeaderAttributes.RestoreDefaults"
		size = 44
		refs = "0007 @LStrClr 0026 THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? C6 43 14 00 C6 43 1C 00 8D 43 18 E8 ?? ?? ?? ?? 8D 43 20 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8318_0 {
	meta:
		name = "THTMLTableHeaderAttributes.SetCaption"
		size = 98
		refs = "000e @LStrAddRef 0016 THTMLTableHeaderAttributes.SetCaption 0027 AnsiCompareStr 0036 @LStrAsg 003d THTMLTagAttributes.Changed 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 12 8D 43 20 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8319_0 {
	meta:
		name = "TCustomContentProducer.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 24 75 05 33 C0 89 47 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8320_0 {
	meta:
		name = "TCustomContentProducer.SetDispatcher"
		size = 30
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 24 74 10 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 73 24 5E 5B C3 }
	condition:
		$1
}

rule function_8322_0 {
	meta:
		name = "TCustomContentProducer.ContentFromStream"
		size = 18
		altNames = "TCustomContentProducer.ContentFromString"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B D6 8B C3 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_8324_0 {
	meta:
		name = "TCustomPageProducer.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TStringList 0023 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8325_0 {
	meta:
		name = "TCustomPageProducer.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TComponent.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 2C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8326_0 {
	meta:
		name = "TCustomPageProducer.Content"
		size = 191
		refs = "0015 TCustomPageProducer.Content 0022 @LStrClr 0034 _Dn_TFileStream 0039 TFileStream.Create 0053 _Dn_TStringStream 0058 TStringStream.Create 0090 TObject.Free 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 7B 28 00 74 16 6A 20 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC EB 1D 8D 55 F8 8B 43 2C 8B 08 FF 51 1C 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 37 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 8B 18 FF 53 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8327_0 {
	meta:
		name = "TCustomPageProducer.ContentFromStream"
		size = 576
		refs = "0024 TCustomPageProducer.ContentFromStream 0033 _Dn_TStringStream 0038 TStringStream.Create 0056 _Dn_TCopyParser 005b TCopyParser.Create 0076 TCopyParser.CopyTokenToOutput 0080 TCopyParser.SkipToken 00c7 TCopyParser.TokenString 00d4 TCopyParser.SkipToToken 00df TrimRight 00ea TrimLeft 00f1 _Dn_TStringList 00f6 TObject.Create 0113 @LStrToPChar 0124 ExtractHTTPFields 0141 TStringStream.WriteString 0156 TObject.Free 015c @HandleFinally 01bc @LStrLAsg 01f3 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 DB 89 5D DC 89 5D D8 89 5D EC 89 5D E8 89 5D E4 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 12 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8A 40 31 84 C0 74 04 2C 3C 75 E0 8B 45 F4 8A 40 31 84 C0 0F 84 F5 00 00 00 3C 3C 75 E0 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 3C 23 0F 85 BB 00 00 00 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D D8 B2 3E 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 50 8B 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 8B 4D E0 8B 55 E4 8B 45 FC 8B 18 FF 53 34 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B2 01 8B 45 F4 E8 ?? ?? ?? ?? E9 13 FF FF FF BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? E9 EF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 F0 8B 52 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 FF FF FF FF 01 00 00 00 3C 00 00 00 }
	condition:
		$1
}

rule function_8328_0 {
	meta:
		name = "TCustomPageProducer.ContentFromString"
		size = 90
		refs = "000f _Dn_TStringStream 0016 TStringStream.Create 0021 TCustomPageProducer.ContentFromString 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D FC 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 53 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8329_0 {
	meta:
		name = "TCustomPageProducer.HandleTag"
		size = 60
		refs = "001a TCustomPageProducer.HandleTag 001f Format"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 8B 45 08 50 89 5D F8 C6 45 FC 0B 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 59 5D C2 04 00 00 00 FF FF FF FF 05 00 00 00 3C 23 25 73 3E 00 00 00 }
	condition:
		$1
}

rule function_8330_0 {
	meta:
		name = "TCustomPageProducer.SetHTMLFile"
		size = 41
		refs = "000c CompareText 0022 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 28 E8 ?? ?? ?? ?? 85 C0 74 12 8B 43 2C 8B 10 FF 52 40 8D 43 28 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8331_0 {
	meta:
		name = "TCustomPageProducer.SetHTMLDoc"
		size = 21
		refs = "000f @LStrClr"
	strings:
		$1 = { 53 8B D8 8B 43 2C 8B 08 FF 51 08 8D 43 28 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8332_0 {
	meta:
		name = "_NF__223"
		size = 100
	strings:
		$1 = { FF FF FF FF 04 00 00 00 4C 49 4E 4B 00 00 00 00 FF FF FF FF 05 00 00 00 49 4D 41 47 45 00 00 00 FF FF FF FF 05 00 00 00 54 41 42 4C 45 00 00 00 FF FF FF FF 08 00 00 00 49 4D 41 47 45 4D 41 50 00 00 00 00 FF FF FF FF 06 00 00 00 4F 42 4A 45 43 54 00 00 FF FF FF FF 05 00 00 00 45 4D 42 45 44 00 00 00 }
	condition:
		$1
}

rule function_8333_0 {
	meta:
		name = "TPageProducer.HandleTag"
		size = 86
		refs = "001b _NV__222 0022 CompareText 0033 @LStrClr 004a @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B F8 B3 06 84 DB 74 1B 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 74 05 4B 84 DB 73 E1 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 08 50 8B CE 8B D3 8B C7 66 BB F1 FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8334_0 {
	meta:
		name = "TPageProducer.DoTagEvent"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 78 32 00 74 15 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 34 FF 53 30 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8335_0 {
	meta:
		name = "TWebActionItem.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0024 _Dn_TMask 0029 TMask.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 1A 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8336_0 {
	meta:
		name = "TWebActionItem.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TCollectionItem.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 1C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8337_0 {
	meta:
		name = "TWebActionItem.AssignTo"
		size = 162
		refs = "000f _DV_TWebActionItem 0014 @IsClass 0027 TCollection.BeginUpdate 002f TWebActionItem.AssignTo 0044 TWebActionItem.SetDefault 0051 TWebActionItem.SetPathInfo 005e TWebActionItem.SetEnabled 006b TWebActionItem.SetMethodType 0087 TCollection.EndUpdate 008d @HandleFinally 0099 TPersistent.AssignTo"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 77 8B 45 FC 8B 40 04 85 C0 74 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8A 50 19 8B F3 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 14 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8A 50 1A 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8A 50 18 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8338_0 {
	meta:
		name = "_NF__238"
		size = 166
		refs = "0019 _NF__238 0058 TMask.Matches 008e @LStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8A 43 19 22 45 08 75 31 80 7B 1A 00 74 48 80 7B 18 00 74 08 8A 43 18 3A 46 04 75 3A 8D 4D F4 BA 04 00 00 00 8B C6 8B 38 FF 17 8B 55 F4 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 1D 66 83 7B 0E 00 74 16 C6 45 FB 01 8B 45 FC 50 8D 45 FB 50 8B CE 8B D3 8B 43 10 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8339_0 {
	meta:
		name = "TWebActionItem.GetDisplayName"
		size = 19
		refs = "000c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8340_0 {
	meta:
		name = "TWebActionItem.SetDefault"
		size = 83
		refs = "001b TCollection.GetCount 002f TWebActionItems.GetActionItem 003a TWebActionItem.SetDefault 004a TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 3A 5D 19 74 41 84 DB 74 31 83 7D 04 00 74 2B 8B 45 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1C 46 33 FF 8B D7 8B 45 04 E8 ?? ?? ?? ?? 3B E8 74 07 33 D2 E8 ?? ?? ?? ?? 47 4E 75 E7 88 5D 19 33 D2 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8341_0 {
	meta:
		name = "TWebActionItem.SetEnabled"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 1A 74 0A 88 50 1A 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8343_0 {
	meta:
		name = "TWebActionItem.SetDisplayName"
		size = 218
		refs = "0017 TWebActionItem.SetDisplayName 0028 AnsiCompareText 003e TCollection.GetCount 0058 TWebActionItems.GetActionItem 007f sDuplicateActionName 0084 LoadResString 008e _Dn_Exception 0093 Exception.Create 0098 @RaiseExcept 00a9 @LStrAsg 00b2 TCollectionItem.Changed 00c7 @LStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 82 00 00 00 8B 73 04 85 F6 74 67 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 59 47 C7 45 F8 00 00 00 00 8B 55 F8 8B 43 04 E8 ?? ?? ?? ?? 8B F0 3B DE 74 3A 8D 55 F4 8B C6 8B 08 FF 51 0C 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F8 4F 75 AF 8D 43 20 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8344_0 {
	meta:
		name = "TWebActionItem.SetOnAction"
		size = 26
		refs = "0012 TCollectionItem.Changed"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 0C 8B 55 0C 89 50 10 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_8345_0 {
	meta:
		name = "TWebActionItem.SetPathInfo"
		size = 244
		refs = "0015 TWebActionItem.SetPathInfo 0029 DosPathToUnixPath 0049 @LStrInsert 0054 AnsiCompareText 0062 _Dn_TMask 0067 TMask.Create 0083 @LStrAsg 008b TObject.Free 009f @HandleAnyException 00ac @RaiseAgain 00b1 @DoneExcept 00c0 TCollectionItem.Changed 00d5 @LStrClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 0A 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 1A 8B 45 F8 80 38 2F 74 12 8D 55 F8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 14 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 68 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 14 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 33 C0 89 43 1C 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 43 1C 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_8349_0 {
	meta:
		name = "TWebActionItems.GetAttrCount"
		size = 6
	strings:
		$1 = { B8 04 00 00 00 C3 }
	condition:
		$1
}

rule function_8350_0 {
	meta:
		name = "TWebActionItems.GetAttr"
		size = 83
		refs = "0015 sHTTPItemName 001a LoadResString 0023 sHTTPItemURI 0031 sHTTPItemEnabled 003f sHTTPItemDefault 004d @LStrClr"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8351_0 {
	meta:
		name = "TWebActionItems.GetItemAttr"
		size = 212
		refs = "0023 TWebActionItems.GetActionItem 0040 @LStrLAsg 0059 TWebActionItems.GetItemAttr 0093 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 75 08 83 EA 01 72 0A 74 1B 4A 74 2E 4A 74 57 EB 7C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 0C EB 70 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 50 14 8B C6 E8 ?? ?? ?? ?? EB 5A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 80 78 1A 00 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 80 78 19 00 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_8354_0 {
	meta:
		name = "TWebActionItems.SetItemName"
		size = 236
		refs = "001a TWebActionItems.SetItemName 0044 Format 0051 TWebActionItems.GetActionItem 006d CompareText 007e TCollection.GetCount 0096 _DV_TWebActionItem 009b @AsClass 00b8 @LStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 01 00 00 00 8D 45 F4 50 8B 45 F8 89 45 EC C6 45 F0 00 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 2F 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 3B 75 FC 74 1E 8D 55 E8 8B C6 8B 08 FF 51 0C 8B 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 85 C0 75 05 FF 45 F8 EB 0C 43 8B C7 E8 ?? ?? ?? ?? 3B D8 7C C6 8B C7 E8 ?? ?? ?? ?? 3B D8 7C 9A 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 0F 00 00 00 57 65 62 41 63 74 69 6F 6E 49 74 65 6D 25 64 00 }
	condition:
		$1
}

rule function_8356_0 {
	meta:
		name = "TCustomWebDispatcher.Create"
		size = 364
		refs = "0016 @ClassCreate 0026 TCustomWebDispatcher.Create 003f Application 004e _DV_TCustomWebDispatcher 0053 @IsClass 005f sOnlyOneDispatcher 0064 LoadResString 006e _Dn_Exception 0073 Exception.Create 0078 @RaiseExcept 0082 TComponent.GetComponentCount 0096 TComponent.GetComponent 00d6 TDataModule.CreateNew 00db _DV_TWebActionItem 00e5 _DV_TWebActionItems 00ea TWebActionItems.Create 011b _DV_TCustomContentProducer 012e TCustomContentProducer.SetDispatcher 0147 @LStrClr 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 84 94 00 00 00 8B 45 F8 3B 05 ?? ?? ?? ?? 0F 84 85 00 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 50 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 41 46 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 C2 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C 8B 73 04 85 F6 74 3E 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 32 40 89 C6 33 FF 8B D7 8B 43 04 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 47 4E 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8357_0 {
	meta:
		name = "TCustomWebDispatcher.Destroy"
		size = 42
		refs = "000e TDataModule.Destroy 0016 TObject.Free 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8358_0 {
	meta:
		name = "TCustomWebDispatcher.ActionByName"
		size = 139
		refs = "0018 TCustomWebDispatcher.ActionByName 0029 TCollection.GetCount 0040 TWebActionItems.GetActionItem 0057 AnsiCompareText 0076 @LStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2F 43 33 FF 8B 45 FC 8B 40 4C 8B D7 E8 ?? ?? ?? ?? 8B F0 8D 55 F4 8B C6 8B 08 FF 51 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 D4 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8359_0 {
	meta:
		name = "TCustomWebDispatcher.DoAfterDispatch"
		size = 37
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 78 5A 00 74 12 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 43 5C FF 53 58 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_8360_0 {
	meta:
		name = "TCustomWebDispatcher.DoBeforeDispatch"
		size = 37
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 78 52 00 74 12 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 43 54 FF 53 50 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_8361_0 {
	meta:
		name = "TCustomWebDispatcher.DispatchAction"
		size = 212
		refs = "0027 TCustomWebDispatcher.DoBeforeDispatch 004c TWebActionItems.GetActionItem 005d _NF__238 007b TCollection.GetCount 00c0 TCustomWebDispatcher.DoAfterDispatch"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B E9 89 14 24 8B F8 8B 04 24 89 47 44 89 6F 48 33 F6 33 C0 89 44 24 08 8B CD 8B 14 24 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C5 8B 10 FF 52 34 84 C0 75 04 33 C0 EB 02 B0 01 88 44 24 04 EB 2A 8B D6 8B 47 4C E8 ?? ?? ?? ?? 8B D8 6A 00 8B CD 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 88 44 24 04 80 7B 19 00 74 04 89 5C 24 08 46 80 7C 24 04 00 75 0C 8B 47 4C E8 ?? ?? ?? ?? 3B F0 7C C3 80 7C 24 04 00 75 1C 83 7C 24 08 00 74 15 6A 01 8B CD 8B 54 24 04 8B 44 24 0C E8 ?? ?? ?? ?? 88 44 24 04 80 7C 24 04 00 74 1B 8B C5 8B 10 FF 52 34 84 C0 75 10 8B CD 8B 14 24 8B C7 E8 ?? ?? ?? ?? 88 44 24 04 8A 44 24 04 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8362_0 {
	meta:
		name = "TCustomWebDispatcher.GetAction"
		size = 9
		refs = "0004 TWebActionItems.GetActionItem"
	strings:
		$1 = { 8B 40 4C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13234_0 {
	meta:
		name = "TServerWinSocket.GetConnections"
		size = 9
		refs = "0004 TList.Get"
	strings:
		$1 = { 8B 40 4C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8363_0 {
	meta:
		name = "TCustomWebDispatcher.Notification"
		size = 54
		refs = "0010 TComponent.Notification 001c _DV_TCustomContentProducer 0021 @IsClass 002e TCustomContentProducer.SetDispatcher"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 84 DB 75 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8364_0 {
	meta:
		name = "TCustomWebDispatcher.SetActions"
		size = 9
	strings:
		$1 = { 8B 40 4C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_8365_0 {
	meta:
		name = "TWebModule.Create"
		size = 236
		refs = "001b @ClassCreate 0027 TWebModule.Create 0036 TCustomWebDispatcher.Create 003d TObject.ClassType 0043 _DV_TCustomWebDispatcher 0058 InitInheritedComponent 0069 TObject.ClassName 0087 sResNotFound 008c LoadResString 0099 _Dn_EResNotFound 009e Exception.CreateFmt 00a3 @RaiseExcept 00ca @LStrClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 33 DB 89 9D F4 FE FF FF 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 6D F6 46 20 10 75 67 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 47 8D 95 F8 FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 7E 36 00 74 08 8B D6 8B 46 38 FF 56 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8366_0 {
	meta:
		name = "_NF__290"
		size = 87
		refs = "0001 Application 0018 ShowOwnedPopups 0026 TApplication.SetShowHint 0032 TComponent.Destroying 003e TComponent.DestroyComponents"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 8B 40 24 85 C0 74 0E 6A 00 8B 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8368_0 {
	meta:
		name = "TWebApplication.Create"
		size = 138
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TCriticalSection 0023 TCriticalSection.Create 002d _Dn_TBits 0032 TObject.Create 003c _Dn_TList 0063 IsLibrary 006d DllProc 0073 _NF__291"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 C7 46 3C 20 00 00 00 C6 46 40 01 A1 ?? ?? ?? ?? 80 38 00 74 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8369_0 {
	meta:
		name = "TWebApplication.Destroy"
		size = 87
		refs = "0007 Application 001f TObject.Free 0043 TComponent.Destroy 004e @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 33 D2 89 90 94 00 00 00 89 90 98 00 00 00 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8370_0 {
	meta:
		name = "TWebApplication.CreateForm"
		size = 97
		refs = "000a TWebApplication.CreateForm 0023 sOnlyOneDataModuleAllowed 0028 LoadResString 0032 _Dn_Exception 0037 Exception.Create 003c @RaiseExcept 0051 @LStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 78 24 00 75 05 89 50 24 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8371_0 {
	meta:
		name = "TWebApplication.ActivateWebModule"
		size = 305
		refs = "0013 TWebApplication.ActivateWebModule 0024 TCriticalSection.Enter 0054 sTooManyActiveConnections 0059 LoadResString 0063 _Dn_Exception 0068 Exception.Create 006d @RaiseExcept 0080 TList.Get 0090 TList.Delete 009e TList.Add 00cf sNoDataModulesRegistered 0100 TCriticalSection.Leave 0106 @HandleFinally 011d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F8 8B 45 FC 8B 40 3C 85 C0 7E 2C 8B 55 FC 8B 52 30 3B 42 08 7F 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 34 83 78 08 00 7E 27 33 D2 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 34 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B 55 F8 E8 ?? ?? ?? ?? EB 48 8B 45 FC 8B 58 24 85 DB 74 1D 8B C3 8B 4D FC B2 01 FF 50 24 89 45 F8 8B 45 FC 8B 40 30 8B 55 F8 E8 ?? ?? ?? ?? EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8372_0 {
	meta:
		name = "TWebApplication.DeactivateWebModule"
		size = 115
		refs = "0011 TCriticalSection.Enter 0019 TWebApplication.DeactivateWebModule 002c TList.Remove 0042 TList.Add 004b TObject.Free 0063 TCriticalSection.Leave 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 74 0F 8B 45 FC 8B 40 34 8B D3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_8374_0 {
	meta:
		name = "TWebApplication.GetActiveCount"
		size = 85
		refs = "0010 TCriticalSection.Enter 0018 TWebApplication.GetActiveCount 0042 TCriticalSection.Leave 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 30 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_8375_0 {
	meta:
		name = "TWebApplication.GetInactiveCount"
		size = 85
		refs = "0010 TCriticalSection.Enter 0018 TWebApplication.GetInactiveCount 0042 TCriticalSection.Leave 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 34 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_8376_0 {
	meta:
		name = "TWebApplication.HandleRequest"
		size = 314
		refs = "001b TWebApplication.HandleRequest 002d TWebApplication.ActivateWebModule 0051 _DV_TCustomWebDispatcher 0056 @IsClass 0069 TComponent.GetComponentCount 007d TComponent.GetComponent 00af TCustomWebDispatcher.DispatchAction 00d6 sNoDispatcherComponent 00db LoadResString 00e5 _Dn_Exception 00ea Exception.Create 00ef @RaiseExcept 0107 TWebApplication.DeactivateWebModule 010d @HandleFinally 0124 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 0F 84 D5 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B 7D EC EB 3F 33 FF 8B 45 EC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2E 46 33 DB 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F8 EB 04 43 4E 75 D5 85 FF 74 2C 8B 4D F4 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 74 37 8B 45 F4 8B 10 FF 52 34 84 C0 75 2B 8B 45 F4 8B 10 FF 52 38 EB 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8378_0 {
	meta:
		name = "_NF__2AF"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 53 8B D1 66 BB F1 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8379_0 {
	meta:
		name = "TWebApplication.SetCacheConnections"
		size = 139
		refs = "0022 TCriticalSection.Enter 002a TWebApplication.SetCacheConnections 004e TList.Get 0053 TObject.Free 0062 TList.Clear 007a TCriticalSection.Leave 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 3A 50 40 74 75 8B 45 FC 88 50 40 84 D2 75 6B 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 34 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 45 FC 8B 40 34 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EA 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8380_0 {
	meta:
		name = "TWebApplication.Run"
		size = 48
		refs = "0004 IsLibrary 000e _NF__290 0013 AddExitProc 0018 Application 002a _NF__2AF"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 38 00 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 89 98 98 00 00 00 C7 80 94 00 00 00 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8381_0 {
	meta:
		name = "HTTPDecode"
		size = 244
		refs = "0017 HTTPDecode 0024 @LStrLen 002e @LStrSetLength 0035 @LStrToPChar 0094 Format 009c StrToInt 00d1 @LStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B F0 EB 5B 8B D0 80 EA 25 74 09 80 EA 06 74 04 88 06 EB 49 3C 2B 75 05 C6 06 20 EB 40 43 80 3B 25 75 05 C6 06 25 EB 35 8B FB 43 8D 45 F8 50 8A 07 88 45 E8 C6 45 EC 02 8A 03 88 45 F0 C6 45 F4 02 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 88 06 46 43 8A 03 84 C0 75 9F 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B D6 2B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 24 25 73 25 73 00 00 00 }
	condition:
		$1
}

rule function_8382_0 {
	meta:
		name = "HTTPEncode"
		size = 188
		refs = "000d @LStrLen 0017 @LStrSetLength 001e @LStrToPChar 007a HTTPEncode 0084 FormatBuf"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 14 40 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 07 E8 ?? ?? ?? ?? 8B F0 EB 5E 8B D0 80 EA 2A 74 1D 80 C2 FD 80 EA 02 72 15 80 C2 EF 80 EA 1B 72 0D 80 EA 04 74 08 80 C2 FE 80 EA 1A 73 04 88 06 EB 34 3C 20 75 05 C6 06 2B EB 2B 6A 06 25 FF 00 00 00 89 44 24 04 C6 44 24 08 00 8D 44 24 04 50 6A 00 8B C6 B9 ?? ?? ?? ?? BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C6 02 46 43 8A 03 84 C0 75 9C 8B 07 E8 ?? ?? ?? ?? 8B D6 2B D0 8B C7 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 00 FF FF FF FF 06 00 00 00 25 25 25 2E 32 78 00 00 }
	condition:
		$1
}

rule function_8383_0 {
	meta:
		name = "_NF__2BA"
		size = 144
	strings:
		$1 = { FF FF FF FF 03 00 00 00 4A 61 6E 00 FF FF FF FF 03 00 00 00 46 65 62 00 FF FF FF FF 03 00 00 00 4D 61 72 00 FF FF FF FF 03 00 00 00 41 70 72 00 FF FF FF FF 03 00 00 00 4D 61 79 00 FF FF FF FF 03 00 00 00 4A 75 6E 00 FF FF FF FF 03 00 00 00 4A 75 6C 00 FF FF FF FF 03 00 00 00 41 75 67 00 FF FF FF FF 03 00 00 00 53 65 70 00 FF FF FF FF 03 00 00 00 4F 63 74 00 FF FF FF FF 03 00 00 00 4E 6F 76 00 FF FF FF FF 03 00 00 00 44 65 63 00 }
	condition:
		$1
}

rule function_8384_0 {
	meta:
		name = "_NF__2BB"
		size = 58
		refs = "0019 _NV__2B9 0024 TParser.TokenSymbolIs"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC C7 03 01 00 00 00 EB 02 FF 03 8B 03 8B 14 85 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 75 05 83 3B 0D 7C E1 83 3B 0D 0F 9C C0 5B 5D C3 }
	condition:
		$1
}

rule function_8385_0 {
	meta:
		name = "_NF__2BC"
		size = 103
		refs = "000d TParser.TokenInt 001a TParser.NextToken"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 03 E8 ?? ?? ?? ?? 8B 03 80 78 2D 3A 75 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 03 E8 ?? ?? ?? ?? 8B 03 80 78 2D 3A 75 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 55 08 89 42 EC 8B 03 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_8386_0 {
	meta:
		name = "ParseDate"
		size = 390
		refs = "000d _Dn_TStringStream 0012 TStringStream.Create 001d ParseDate 002d _Dn_TParser 0032 TParser.Create 004b TParser.NextToken 007b _NF__2BB 0090 TParser.TokenInt 00a0 _NF__2BC 0121 EncodeDate 0138 EncodeTime 0154 TObject.Free 015a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 2D 3A 75 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 2D 2C 75 08 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 2D 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 EB 67 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 2D 2D 75 08 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 2D 2D 75 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 83 FB 64 7D 06 81 C3 6C 07 00 00 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B CE 66 8B 55 FC 8B C3 E8 ?? ?? ?? ?? DD 5D D8 9B 6A 00 66 8B 4D EC 66 8B 55 F0 66 8B 45 F4 E8 ?? ?? ?? ?? DC 45 D8 DD 5D E4 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 E4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8387_0 {
	meta:
		name = "ExtractHeaderFields"
		size = 448
		refs = "0034 ExtractHeaderFields 007a @SetUnion 0117 @LStrFromPChar 0122 HTTPDecode 0169 @LStrArrayClr 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 33 DB 89 5D 94 89 5D 90 8B F2 8D 7D BA 51 B9 08 00 00 00 F3 A5 59 8B F0 8D 7D DA 51 B9 08 00 00 00 F3 A5 59 89 4D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 0B 01 00 00 8B 45 FC 80 38 00 0F 84 FF 00 00 00 8B 75 FC 33 DB C6 45 FA 00 EB 01 46 56 8D 75 BA 8D 7D 98 B9 08 00 00 00 F3 A5 5E 8D 45 98 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 8A 06 25 FF 00 00 00 0F A3 45 98 72 D4 8B FE EB 01 46 84 DB 74 0A 8A 06 2C 22 74 04 2C 05 75 F1 56 57 8D 75 DA 8D 7D 98 B9 08 00 00 00 F3 A5 5F 5E 8D 45 98 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 8A 06 25 FF 00 00 00 0F A3 45 98 73 C4 8A 06 2C 22 74 04 2C 05 75 27 80 7D FA 00 74 0D 8A 45 FA 3A 06 75 06 C6 45 FA 00 EB 06 8A 06 88 45 FA 47 80 7D FA 00 0F 95 C3 84 DB 74 03 46 EB 94 80 3E 00 0F 94 45 FB C6 06 00 80 3F 00 74 3D 80 7D 08 00 74 22 8D 45 90 8B D7 E8 ?? ?? ?? ?? 8B 45 90 8D 55 94 E8 ?? ?? ?? ?? 8B 55 94 8B 45 0C 8B 08 FF 51 34 EB 15 8D 45 94 8B D7 E8 ?? ?? ?? ?? 8B 55 94 8B 45 0C 8B 08 FF 51 34 46 80 7D FB 00 0F 84 0D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 24 00 00 84 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8388_0 {
	meta:
		name = "ExtractHTTPFields"
		size = 61
		refs = "0031 ExtractHeaderFields"
	strings:
		$1 = { 55 8B EC 83 C4 C0 56 57 8B F2 8D 7D C0 51 B9 08 00 00 00 F3 A5 59 8B F0 8D 7D E0 51 B9 08 00 00 00 F3 A5 59 8B 45 08 50 6A 01 8D 55 C0 8D 45 E0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8389_0 {
	meta:
		name = "StatusString"
		size = 1588
		refs = "00da StatusString 0151 @LStrLAsg 031a @LStrClr"
	strings:
		$1 = { 53 8B DA 3D 91 01 00 00 0F 8F AE 00 00 00 0F 84 15 02 00 00 3D CE 00 00 00 7F 56 0F 84 98 01 00 00 3D CA 00 00 00 7F 2B 0F 84 53 01 00 00 83 E8 64 0F 84 12 01 00 00 48 0F 84 19 01 00 00 83 E8 63 0F 84 1E 01 00 00 48 0F 84 25 01 00 00 E9 C4 02 00 00 2D CB 00 00 00 0F 84 31 01 00 00 48 0F 84 38 01 00 00 48 0F 84 3F 01 00 00 E9 A6 02 00 00 3D 2F 01 00 00 7F 24 0F 84 73 01 00 00 2D 2C 01 00 00 0F 84 3E 01 00 00 48 0F 84 45 01 00 00 48 0F 84 4C 01 00 00 E9 7B 02 00 00 2D 30 01 00 00 0F 84 58 01 00 00 48 0F 84 5F 01 00 00 83 E8 5F 0F 84 64 01 00 00 E9 5B 02 00 00 3D 9A 01 00 00 7F 3B 0F 84 DE 01 00 00 05 6E FE FF FF 83 F8 07 0F 87 40 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D F5 01 00 00 7F 26 0F 84 D4 01 00 00 2D 9B 01 00 00 0F 84 9F 01 00 00 48 0F 84 A6 01 00 00 83 E8 58 0F 84 AB 01 00 00 E9 EC 01 00 00 2D F6 01 00 00 0F 84 B7 01 00 00 48 0F 84 BE 01 00 00 48 0F 84 C5 01 00 00 E9 CE 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 FF FF FF FF 08 00 00 00 43 6F 6E 74 69 6E 75 65 00 00 00 00 FF FF FF FF 13 00 00 00 53 77 69 74 63 68 69 6E 67 20 50 72 6F 74 6F 63 6F 6C 73 00 FF FF FF FF 02 00 00 00 4F 4B 00 00 FF FF FF FF 07 00 00 00 43 72 65 61 74 65 64 00 FF FF FF FF 08 00 00 00 41 63 63 65 70 74 65 64 00 00 00 00 FF FF FF FF 1D 00 00 00 4E 6F 6E 2D 41 75 74 68 6F 72 69 74 61 74 69 76 65 20 49 6E 66 6F 72 6D 61 74 69 6F 6E 00 00 00 FF FF FF FF 0A 00 00 00 4E 6F 20 43 6F 6E 74 65 6E 74 00 00 FF FF FF FF 0D 00 00 00 52 65 73 65 74 20 43 6F 6E 74 65 6E 74 00 00 00 FF FF FF FF 0F 00 00 00 50 61 72 74 69 61 6C 20 43 6F 6E 74 65 6E 74 00 FF FF FF FF 10 00 00 00 4D 75 6C 74 69 70 6C 65 20 43 68 6F 69 63 65 73 00 00 00 00 FF FF FF FF 11 00 00 00 4D 6F 76 65 64 20 50 65 72 6D 61 6E 65 6E 74 6C 79 00 00 00 FF FF FF FF 11 00 00 00 4D 6F 76 65 64 20 54 65 6D 70 6F 72 61 72 69 6C 79 00 00 00 FF FF FF FF 09 00 00 00 53 65 65 20 4F 74 68 65 72 00 00 00 FF FF FF FF 0C 00 00 00 4E 6F 74 20 4D 6F 64 69 66 69 65 64 00 00 00 00 FF FF FF FF 09 00 00 00 55 73 65 20 50 72 6F 78 79 00 00 00 FF FF FF FF 0B 00 00 00 42 61 64 20 52 65 71 75 65 73 74 00 FF FF FF FF 0C 00 00 00 55 6E 61 75 74 68 6F 72 69 7A 65 64 00 00 00 00 FF FF FF FF 10 00 00 00 50 61 79 6D 65 6E 74 20 52 65 71 75 69 72 65 64 00 00 00 00 FF FF FF FF 09 00 00 00 46 6F 72 62 69 64 64 65 6E 00 00 00 FF FF FF FF 09 00 00 00 4E 6F 74 20 46 6F 75 6E 64 00 00 00 FF FF FF FF 12 00 00 00 4D 65 74 68 6F 64 20 4E 6F 74 20 41 6C 6C 6F 77 65 64 00 00 FF FF FF FF 0F 00 00 00 4E 6F 6E 65 20 41 63 63 65 70 74 61 62 6C 65 00 FF FF FF FF 1D 00 00 00 50 72 6F 78 79 20 41 75 74 68 65 6E 74 69 63 61 74 69 6F 6E 20 52 65 71 75 69 72 65 64 00 00 00 FF FF FF FF 0F 00 00 00 52 65 71 75 65 73 74 20 54 69 6D 65 6F 75 74 00 FF FF FF FF 08 00 00 00 43 6F 6E 66 6C 69 63 74 00 00 00 00 FF FF FF FF 04 00 00 00 47 6F 6E 65 00 00 00 00 FF FF FF FF 0F 00 00 00 4C 65 6E 67 74 68 20 52 65 71 75 69 72 65 64 00 FF FF FF FF 0B 00 00 00 55 6E 6C 65 73 73 20 54 72 75 65 00 FF FF FF FF 15 00 00 00 49 6E 74 65 72 6E 61 6C 20 53 65 72 76 65 72 20 45 72 72 6F 72 00 00 00 FF FF FF FF 0F 00 00 00 4E 6F 74 20 49 6D 70 6C 65 6D 65 6E 74 65 64 00 FF FF FF FF 0B 00 00 00 42 61 64 20 47 61 74 65 77 61 79 00 FF FF FF FF 13 00 00 00 53 65 72 76 69 63 65 20 55 6E 61 76 61 69 6C 61 62 6C 65 00 FF FF FF FF 0F 00 00 00 47 61 74 65 77 61 79 20 54 69 6D 65 6F 75 74 00 }
	condition:
		$1
}

rule function_8390_0 {
	meta:
		name = "_NF__2CC"
		size = 82
		refs = "0017 @LStrLAsg 001e @LStrLen 003b UniqueString"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B C7 8B D3 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 22 BB 01 00 00 00 8B 07 8A 44 18 FF 3A 45 FF 75 0E 8B C7 E8 ?? ?? ?? ?? 8A 55 FE 88 54 18 FF 43 4E 75 E3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8391_0 {
	meta:
		name = "UnixPathToDosPath"
		size = 21
		refs = "000e _NF__2CC"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 B1 5C B2 2F 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8392_0 {
	meta:
		name = "DosPathToUnixPath"
		size = 21
		refs = "000e _NF__2CC"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 B1 2F B2 5C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8393_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _NV__16B 001a _NV__2B9 0025 String 002a @FinalizeArray 002f _NV__222 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8397_0 {
	meta:
		name = "TIBComponent.GetNativeHandle"
		size = 74
		refs = "0011 TDatabase.GetConnected 0032 DbiGetProp 0037 Check"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 73 24 85 F6 74 2F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 24 8D 44 24 04 50 6A 04 8D 44 24 08 50 68 03 00 04 04 8B 43 24 8B 40 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 33 C0 89 04 24 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8398_0 {
	meta:
		name = "TIBComponent.HandleIBErrors"
		size = 240
		refs = "001f TIBComponent.HandleIBErrors 002d @LStrClr 003e _NV__90 0051 StrPas 005f @LStrCmp 0077 @LStrLen 0088 @LStrCat 00a1 _DV_EIBError 00a6 Exception.Create 00ab @RaiseExcept 00d0 @LStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 33 C9 89 8D F0 FE FF FF 89 4D F8 89 4D F4 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 85 F4 FE FF FF 50 FF 15 ?? ?? ?? ?? 8B D8 8D 95 F0 FE FF FF 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8B 45 F4 E8 ?? ?? ?? ?? 74 32 8D 55 F4 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 85 DB 75 96 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_8399_0 {
	meta:
		name = "TIBComponent.IsInterbaseDatabase"
		size = 80
		refs = "001f DbiGetProp 0024 Check 0029 TIBComponent.IsInterbaseDatabase 0032 StrIComp"
	strings:
		$1 = { 53 56 83 C4 BC 8B DA 33 C0 8B 73 38 85 F6 74 2B 54 6A 40 8D 44 24 0A 50 68 02 00 04 00 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 44 24 02 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 83 C4 44 5E 5B C3 00 00 00 49 4E 54 52 42 41 53 45 00 00 00 00 }
	condition:
		$1
}

rule function_8400_0 {
	meta:
		name = "TIBComponent.SetDatabase"
		size = 41
		refs = "0012 TDatabase.GetConnected 001f _NF__9C"
	strings:
		$1 = { 53 56 8B DA 8B F0 3B 5E 24 74 1B 85 DB 74 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 5E 24 5E 5B C3 }
	condition:
		$1
}

rule function_8401_0 {
	meta:
		name = "_NF__9C"
		size = 178
		refs = "0015 _NF__9C 0026 TDatabase.GetConnected 0032 SInvalidDBConnection 0037 LoadResString 0041 _DV_EIBError 0046 Exception.Create 004b @RaiseExcept 0056 TIBComponent.IsInterbaseDatabase 0072 SInvalidDatabase 0086 Exception.CreateFmt 00a0 @LStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 31 8B 43 08 89 45 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8402_0 {
	meta:
		name = "_NF__9D"
		size = 69
		refs = "000a _NF__9D 0018 TIBEventAlerter.HandleEvent 0027 @HandleAnyException 002c Application 0035 TApplication.HandleException 003a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8403_0 {
	meta:
		name = "_NF__9E"
		size = 84
		refs = "0013 EnterCriticalSection 0021 _NF__C1 002d _NF__9D 0039 CreateThread 003f CloseHandle 004b LeaveCriticalSection"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 5D 08 8B F3 8D 86 FC 03 00 00 50 E8 ?? ?? ?? ?? 8B 4D 10 66 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 6A 00 53 68 ?? ?? ?? ?? 68 00 20 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 86 FC 03 00 00 50 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8404_0 {
	meta:
		name = "TIBEventAlerter.Create"
		size = 828
		refs = "000e @ClassCreate 001c TComponent.Create 0028 InitializeCriticalSection 002f _Dn_TStringList 0034 TObject.Create 0045 _NF__A9 004e TIBEventAlerter.Create 0053 LoadLibrary 0069 _Dn_EDLLLoadError 006e Exception.Create 0073 @RaiseExcept 0081 GetProcAddress 0089 _NV__8B 00b9 _NV__90 00e9 _NV__8C 0119 _NV__8D 0149 _NV__8E 0179 _NV__8F"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 FC 03 00 00 50 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 2C 8B C6 89 58 20 C7 40 1C ?? ?? ?? ?? C6 40 19 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 83 FE 20 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 67 64 73 33 32 2E 64 6C 6C 00 00 00 FF FF FF FF 18 00 00 00 55 6E 61 62 6C 65 20 74 6F 20 6C 6F 61 64 20 67 64 73 33 32 2E 64 6C 6C 00 00 00 00 69 73 63 5F 71 75 65 5F 65 76 65 6E 74 73 00 00 FF FF FF FF 1F 00 00 00 46 61 69 6C 65 64 20 74 6F 20 6C 6F 6F 6B 75 70 20 69 73 63 5F 71 75 65 5F 65 76 65 6E 74 73 00 69 73 63 5F 69 6E 74 65 72 70 72 65 74 65 00 00 FF FF FF FF 1F 00 00 00 46 61 69 6C 65 64 20 74 6F 20 6C 6F 6F 6B 75 70 20 69 73 63 5F 69 6E 74 65 72 70 72 65 74 65 00 69 73 63 5F 66 72 65 65 00 00 00 00 FF FF FF FF 19 00 00 00 46 61 69 6C 65 64 20 74 6F 20 6C 6F 6F 6B 75 70 20 69 73 63 5F 66 72 65 65 00 00 00 69 73 63 5F 65 76 65 6E 74 5F 62 6C 6F 63 6B 00 FF FF FF FF 20 00 00 00 46 61 69 6C 65 64 20 74 6F 20 6C 6F 6F 6B 75 70 20 69 73 63 5F 65 76 65 6E 74 5F 62 6C 6F 63 6B 00 00 00 00 69 73 63 5F 65 76 65 6E 74 5F 63 6F 75 6E 74 73 00 00 00 00 FF FF FF FF 21 00 00 00 46 61 69 6C 65 64 20 74 6F 20 6C 6F 6F 6B 75 70 20 69 73 63 5F 65 76 65 6E 74 5F 63 6F 75 6E 74 73 00 00 00 69 73 63 5F 63 61 6E 63 65 6C 5F 65 76 65 6E 74 73 00 00 00 FF FF FF FF 22 00 00 00 46 61 69 6C 65 64 20 74 6F 20 6C 6F 6F 6B 75 70 20 69 73 63 5F 63 61 6E 63 65 6C 5F 65 76 65 6E 74 73 00 00 }
	condition:
		$1
}

rule function_8405_0 {
	meta:
		name = "TIBEventAlerter.Destroy"
		size = 92
		refs = "0009 TIBEventAlerter.UnRegisterEvents 0012 TIBEventAlerter.SetDatabase 0022 TObject.Free 002e DeleteCriticalSection 003a TComponent.Destroy 0048 FreeLibrary 0053 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 2C 33 D2 89 50 1C 89 50 20 E8 ?? ?? ?? ?? 8D 86 FC 03 00 00 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 8B 46 28 83 F8 20 7C 06 50 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8406_0 {
	meta:
		name = "TIBEventAlerter.CancelEvents"
		size = 262
		refs = "0012 TIBEventAlerter.CancelEvents 002c SInvalidCancellation 0031 LoadResString 003b _DV_EIBError 0040 Exception.Create 0045 @RaiseExcept 006e EnterCriticalSection 007c _NF__9C 0095 TIBComponent.GetNativeHandle 00af _NV__8F 00be TIBComponent.HandleIBErrors 00d9 LeaveCriticalSection 00df @HandleFinally 00f6 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 A4 33 D2 89 55 A4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 20 04 00 00 00 74 21 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 38 00 0F 84 8F 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 05 FC 03 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 24 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 38 00 8B 45 FC C6 80 FA 03 00 00 01 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 05 1C 04 00 00 50 8D 45 F8 50 8D 45 A8 50 FF 15 ?? ?? ?? ?? 85 C0 74 0B 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 FC 03 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_8407_0 {
	meta:
		name = "_NF__A8"
		size = 97
		refs = "000d _NF__9C 0012 _NF__9E 0019 TIBComponent.GetNativeHandle 0044 _NV__8B 0053 TIBComponent.HandleIBErrors"
	strings:
		$1 = { 53 56 83 C4 AC 8B D8 8B 53 24 8B C3 E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 04 24 53 56 8B 83 14 04 00 00 50 66 8B 83 18 04 00 00 50 8D 83 1C 04 00 00 50 8D 44 24 14 50 8D 44 24 1C 50 FF 15 ?? ?? ?? ?? 85 C0 74 0B 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? C6 43 38 01 83 C4 54 5E 5B C3 }
	condition:
		$1
}

rule function_8408_0 {
	meta:
		name = "_NF__A9"
		size = 194
		refs = "000c _NF__A9 0027 SInvalidEvent 002c LoadResString 0036 _DV_EIBError 003b Exception.Create 0040 @RaiseExcept 0077 SMaximumEvents 009d TIBEventAlerter.RegisterEvents 00b2 @LStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 43 2C 8B 08 FF 51 50 40 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 2C 8B 10 FF 52 14 83 F8 0F 7E 43 8B 43 2C 33 D2 89 50 1C 89 50 20 BA 0F 00 00 00 8B 08 FF 51 44 8B 43 2C 89 58 20 C7 40 1C ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 39 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8409_0 {
	meta:
		name = "TIBEventAlerter.HandleEvent"
		size = 423
		refs = "0015 TIBEventAlerter.HandleEvent 0037 EnterCriticalSection 006a _NV__8E 0112 @HandleAnyException 0117 Application 0120 TApplication.HandleException 0125 @DoneExcept 0152 _NF__A8 0177 LeaveCriticalSection 017d @HandleFinally 0194 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 D2 89 55 98 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 FC 03 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC C6 80 20 04 00 00 01 8B 45 FC 8B 80 24 04 00 00 50 8B 45 FC 8B 80 14 04 00 00 50 8B 45 FC 66 8B 80 18 04 00 00 50 8D 45 9C 50 FF 15 ?? ?? ?? ?? C6 45 FB 00 8B 45 FC 66 83 78 32 00 0F 84 B5 00 00 00 8B 45 FC 80 B8 FA 03 00 00 00 0F 85 A5 00 00 00 8B 45 FC 8B 40 2C 8B 10 FF 52 14 48 85 C0 0F 8C 91 00 00 00 40 89 45 F0 C7 45 F4 00 00 00 00 8D 45 9C 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 83 38 00 74 3C 80 7D FB 00 75 36 8B 45 EC 8B 00 50 8D 45 FB 50 8B 45 FC 8B 58 2C 8B C3 8B 10 FF 52 14 8B D0 2B 55 F4 4A 8D 4D 98 8B C3 8B 18 FF 53 0C 8B 4D 98 8B 5D FC 8B 55 FC 8B 43 34 FF 53 30 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 83 45 EC 04 FF 4D F0 75 80 8B 45 FC C6 80 FA 03 00 00 00 80 7D FB 00 75 11 8B 45 FC 80 78 38 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 20 04 00 00 00 8B 45 FC 05 FC 03 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8410_0 {
	meta:
		name = "TIBEventAlerter.Loaded"
		size = 109
		refs = "000e TComponent.Loaded 0016 TIBEventAlerter.Loaded 0030 TIBEventAlerter.RegisterEvents 003f @HandleAnyException 004d Application 0057 TApplication.HandleException 005e @RaiseAgain 0063 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 21 04 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 74 11 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8411_0 {
	meta:
		name = "TIBEventAlerter.Notification"
		size = 46
		refs = "0010 TComponent.Notification 0021 TIBEventAlerter.UnRegisterEvents"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B 77 24 75 0C 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8412_0 {
	meta:
		name = "TIBEventAlerter.QueueEvents"
		size = 238
		refs = "0012 TIBEventAlerter.QueueEvents 0029 SNoEventsRegistered 002e LoadResString 0038 _DV_EIBError 003d Exception.Create 0042 @RaiseExcept 0056 SInvalidQueueing 0094 EnterCriticalSection 009c _NF__A8 00c1 LeaveCriticalSection 00c7 @HandleFinally 00de @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 39 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 20 04 00 00 00 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 38 00 75 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 FC 03 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 FA 03 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 FC 03 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_8413_0 {
	meta:
		name = "TIBEventAlerter.RegisterEvents"
		size = 271
		refs = "0014 TIBEventAlerter.RegisterEvents 0024 _NF__9C 003a TIBEventAlerter.UnRegisterEvents 0081 StrPCopy 00c5 _NV__8D 00e7 TIBEventAlerter.QueueEvents 00fc @LStrClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 24 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 09 C6 43 39 01 E9 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 2C 8B 10 FF 52 14 85 C0 0F 84 9D 00 00 00 8B 43 2C 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2E 46 C7 45 FC 00 00 00 00 8D 4D E8 8B 55 FC 8B 43 2C 8B 38 FF 57 0C 8B 55 E8 8B 45 FC C1 E0 03 8D 44 C3 3A E8 ?? ?? ?? ?? FF 45 FC 4E 75 DA 8B 43 2C 8B 10 FF 52 14 89 45 FC 8D 43 3A 89 45 F8 8D 83 14 04 00 00 89 45 F0 8D 83 24 04 00 00 89 45 F4 8B 4D FC 8B 45 F8 50 83 C0 40 E2 FA FF 75 FC FF 75 F4 FF 75 F0 FF 15 ?? ?? ?? ?? 89 45 EC 8B 45 FC C1 E0 02 83 C0 0C 01 C4 8B 45 EC 89 83 18 04 00 00 C6 43 39 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8414_0 {
	meta:
		name = "TChartAxis.SetMinorTicks"
		size = 9
		altNames = "TIBEventAlerter.SetEvents"
	strings:
		$1 = { 8B 40 2C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_8415_0 {
	meta:
		name = "TIBEventAlerter.SetDatabase"
		size = 48
		refs = "000e TIBEventAlerter.UnRegisterEvents 0019 TDatabase.GetConnected 0026 _NF__9C"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 24 74 22 8B C3 E8 ?? ?? ?? ?? 85 F6 74 14 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 24 5E 5B C3 }
	condition:
		$1
}

rule function_8416_0 {
	meta:
		name = "TIBEventAlerter.SetRegistered"
		size = 35
		refs = "0017 TIBEventAlerter.RegisterEvents 001e TIBEventAlerter.UnRegisterEvents"
	strings:
		$1 = { F6 40 20 02 74 07 88 90 21 04 00 00 C3 3A 50 39 74 10 84 D2 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8417_0 {
	meta:
		name = "TIBEventAlerter.UnRegisterEvents"
		size = 174
		refs = "000c TIBEventAlerter.UnRegisterEvents 0023 SInvalidRegistration 0028 LoadResString 0032 _DV_EIBError 0037 Exception.Create 003c @RaiseExcept 0055 TIBEventAlerter.CancelEvents 0068 _NV__8C 009e @LStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 20 04 00 00 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 43 20 10 74 06 C6 43 39 00 EB 41 F6 43 20 01 75 3B 8B C3 E8 ?? ?? ?? ?? 80 7B 39 00 74 2A 8B 83 14 04 00 00 50 FF 15 ?? ?? ?? ?? 33 C0 89 83 14 04 00 00 8B 83 24 04 00 00 50 FF 15 ?? ?? ?? ?? 33 C0 89 83 24 04 00 00 C6 43 39 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8418_0 {
	meta:
		name = "_NF__C1"
		size = 34
	strings:
		$1 = { 53 56 57 0F B7 F2 4E 85 F6 7C 13 46 33 D2 8A 1C 11 8B B8 24 04 00 00 88 1C 17 42 4E 75 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8421_0 {
	meta:
		name = "EditAlerterEvents"
		size = 304
		refs = "0015 EditAlerterEvents 0025 Application 002e _DV_TIBEAEventsEditor 0033 TCustomForm.Create 007c TStringGrid.SetCells 0088 TCustomForm.ShowModal 00b2 TStringGrid.GetCells 00ba @LStrLen 00fd TObject.Free 0103 @HandleFinally 011a @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2D 46 33 DB 8D 4D F0 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 F0 50 8B 45 F4 8B 80 E4 01 00 00 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 43 4E 75 D6 8B 45 F4 E8 ?? ?? ?? ?? 48 75 5D C6 45 FB 01 8B 45 FC 8B 10 FF 52 40 33 DB 8D 45 F0 50 8B 45 F4 8B 80 E4 01 00 00 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 74 24 8D 45 F0 50 8B 45 F4 8B 80 E4 01 00 00 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 51 34 43 83 FB 0F 75 B1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8422_0 {
	meta:
		name = "TIBEAEventsEditor.FormCreate"
		size = 98
		refs = "000d TIBEAEventsEditor.FormCreate 0022 IntToStr 0036 TStringGrid.SetCells 0051 @LStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B CB 49 33 D2 8B 86 E4 01 00 00 E8 ?? ?? ?? ?? 43 83 FB 10 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8427_0 {
	meta:
		name = "FillTeeFunctions"
		size = 183
		refs = "0014 FillTeeFunctions 0029 TeeMsg_FunctionNone 002e LoadResString 003d TeeSeriesList 0054 GetTeeSeriesType 006a TStrings.IndexOfObject 007c @LStrFromString 008b TStrings.InsertObject 00a4 @LStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 C4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 40 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B C6 8B 08 FF 51 34 A1 ?? ?? ?? ?? 8B 00 8B 58 08 4B 85 DB 7C 48 43 33 FF 8D 55 C8 8B C7 E8 ?? ?? ?? ?? 83 7D CC 00 74 31 83 7D C8 00 75 2B 8B 55 CC 8B C6 E8 ?? ?? ?? ?? 40 75 1E 8B 45 CC 50 8D 45 C4 8D 55 D0 E8 ?? ?? ?? ?? 8B 4D C4 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 47 4B 75 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8428_0 {
	meta:
		name = "_NF__233"
		size = 81
		refs = "000a TObject.Free 0031 @LStrClr 003d TObject.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 33 C0 89 46 08 8B 46 0C E8 ?? ?? ?? ?? 33 C0 89 46 0C 8B 46 10 E8 ?? ?? ?? ?? 33 C0 89 46 10 8D 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8429_0 {
	meta:
		name = "_NF__234"
		size = 91
		refs = "000e @ClassCreate 001e TObject.Create 002a _NV__22C 0040 _NF__239"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 89 5E 04 33 DB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 9E 10 43 83 FB 10 75 EA 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8430_0 {
	meta:
		name = "_NF__235"
		size = 70
		refs = "000a @LStrClr 0018 TChartSeries.ValuesListCount 0031 TCustomComboBox.SetItemIndex"
	strings:
		$1 = { 53 56 57 55 8B E8 8D 45 0C E8 ?? ?? ?? ?? 8B 45 04 8B 80 70 05 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1E 46 33 FF 8B 5C BD 10 83 CA FF 8B 43 08 E8 ?? ?? ?? ?? 8D 43 04 E8 ?? ?? ?? ?? 47 4E 75 E5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8431_0 {
	meta:
		name = "_NF__236"
		size = 99
		refs = "0013 TChartSeries.ValuesListCount 003e TCustomComboBox.SetItemIndex 0049 TChartSeries.GetValueList 0054 TCustomCheckBox.SetChecked"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3E 47 33 F6 8B 04 24 8B 5C B0 10 8B 6B 08 8B 85 18 01 00 00 8B 53 04 8B 08 FF 51 50 8B D0 8B C5 E8 ?? ?? ?? ?? 8B D6 8B 44 24 04 E8 ?? ?? ?? ?? 8A 50 0D 8B 43 10 E8 ?? ?? ?? ?? 46 4F 75 C5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8432_0 {
	meta:
		name = "_NF__237"
		size = 73
		refs = "0014 TChartSeries.ValuesListCount 003b TControl.SetEnabled"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B E8 8B 45 04 8B 80 70 05 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 24 46 33 FF 8B 5C BD 10 8B 43 08 8B 80 18 01 00 00 8B 10 FF 52 40 8A 14 24 8B 43 08 E8 ?? ?? ?? ?? 47 4E 75 DF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8433_0 {
	meta:
		name = "_NF__238"
		size = 112
		refs = "000b TChartSeries.GetDataSource 0019 @LStrAsg 0024 TObject.Free 002b _NV__22C 0030 TObject.Create 0041 TChartSeries.ValuesListCount 0054 TChartSeries.GetValueList"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B C5 E8 ?? ?? ?? ?? 89 46 08 8D 46 0C 8B 55 64 E8 ?? ?? ?? ?? 33 DB 8B 44 9E 10 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 9E 10 43 83 FB 10 75 E1 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1F 47 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 8B 50 24 8B 44 9E 10 83 C0 04 E8 ?? ?? ?? ?? 43 4F 75 E4 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8434_0 {
	meta:
		name = "_NF__239"
		size = 40
		refs = "0013 @LStrClr"
	strings:
		$1 = { 53 56 8B F0 33 C0 89 46 08 33 DB 8B 44 9E 10 83 C0 04 E8 ?? ?? ?? ?? 43 83 FB 10 75 EE 8D 46 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8435_0 {
	meta:
		name = "_NF__23A"
		size = 53
		refs = "000e TObject.Free 0020 TObject.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 33 FF 8B 44 BE 10 E8 ?? ?? ?? ?? 47 83 FF 10 75 F1 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8436_0 {
	meta:
		name = "TChartEditForm.SELegMarginChange"
		size = 81
		refs = "002b TSpinEdit.GetValue 0034 TCustomChartLegend.SetVertMargin 004a TCustomChartLegend.SetHorizMargin"
	strings:
		$1 = { 53 56 8B D8 80 BB 5D 05 00 00 00 75 41 8B 83 60 05 00 00 8B B0 B4 01 00 00 8A 46 2D 2C 02 72 1A 2C 02 73 2A 8B 83 08 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 14 8B 83 08 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8437_0 {
	meta:
		name = "TChartEditForm.cbLegendStyleChange"
		size = 44
		refs = "0013 TCustomComboBox.GetItemIndex 0026 TCustomChartLegend.SetLegendStyle"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 1E 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 8B 80 B4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8438_0 {
	meta:
		name = "TChartEditForm.AxisTitleOrName"
		size = 108
		refs = "000f @LStrLAsg 002d TeeMsg_TopAxis 0032 LoadResString 003b TeeMsg_BottomAxis 0052 TeeMsg_RightAxis 0060 TeeMsg_LeftAxis"
	strings:
		$1 = { 53 56 8B D9 8B F2 8B C3 8B 56 64 8B 52 10 E8 ?? ?? ?? ?? 83 3B 00 75 51 80 BE 8F 00 00 00 00 74 25 80 BE 90 00 00 00 00 74 0E 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 80 BE 90 00 00 00 00 74 0E 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8439_0 {
	meta:
		name = "TChartEditForm.GetDateTimeStepText"
		size = 112
		refs = "0010 @LStrClr 0019 _Dn_TAxisIncrement 001e TCustomForm.Create 0029 TChartEditForm.GetDateTimeStepText 005e TObject.Free 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 8B F8 8B C6 E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8A D3 8B 45 FC 8B 80 E0 01 00 00 8B 80 18 01 00 00 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8440_0 {
	meta:
		name = "_NF__247"
		size = 33
		refs = "0013 TControl.SetEnabled"
	strings:
		$1 = { 53 56 57 8B D8 8B F1 85 F6 7C 12 46 8B FA 8B D3 8B 07 E8 ?? ?? ?? ?? 83 C7 04 4E 75 F1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8441_0 {
	meta:
		name = "_NF__248"
		size = 98
		refs = "000c @LStrLAsg 0013 @LStrLen 002f UniqueString 0035 ThousandSeparator 0050 DecimalSeparator"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 41 BB 01 00 00 00 8B 06 8A 44 18 FF 3C 2C 75 15 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8A 12 88 54 18 FF EB 19 8B 16 3C 2E 75 13 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8A 12 88 54 18 FF 43 4F 75 C4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8442_0 {
	meta:
		name = "_NF__249"
		size = 96
		refs = "000c @LStrLAsg 0013 @LStrLen 002a ThousandSeparator 0035 UniqueString 0044 DecimalSeparator"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 3F BB 01 00 00 00 8B 06 8A 44 18 FF 8B 15 ?? ?? ?? ?? 3A 02 75 0E 8B C6 E8 ?? ?? ?? ?? C6 44 18 FF 2C EB 18 8B 16 8B 15 ?? ?? ?? ?? 3A 02 75 0C 8B C6 E8 ?? ?? ?? ?? C6 44 18 FF 2E 43 4F 75 C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8443_0 {
	meta:
		name = "TChartEditForm.SetAxisLabels"
		size = 348
		refs = "000f TChartEditForm.SetAxisLabels 0029 TCustomCheckBox.SetChecked 0039 TCustomRadioGroup.SetItemIndex 0066 TSpinEdit.SetValue 0089 TChartAxis.IsDateTime 0095 TeeMsg_DateTimeFormat 009a LoadResString 00a8 TControl.SetText 00b3 @LStrLAsg 00ce DateTimeDefaultFormat 00e6 TeeMsg_ValuesFormat 0112 TeeMsg_DefValueFormat 0122 _NF__248 014a @LStrArrayClr 0150 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 64 05 00 00 8A 56 10 8B 83 68 02 00 00 E8 ?? ?? ?? ?? 33 D2 8A 56 25 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8A 56 24 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? 8A 96 8D 00 00 00 8B 83 70 02 00 00 E8 ?? ?? ?? ?? 8B 56 14 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 8B 56 18 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 56 20 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 51 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 56 6C E8 ?? ?? ?? ?? 83 7D FC 00 75 15 DD 46 4C DC 66 54 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 74 02 00 00 E8 ?? ?? ?? ?? EB 52 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 56 68 E8 ?? ?? ?? ?? 83 7D FC 00 75 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8444_0 {
	meta:
		name = "TChartEditForm.SetAxisTicks"
		size = 86
		refs = "0014 TSpinEdit.SetValue 004f TCustomCheckBox.SetChecked"
	strings:
		$1 = { 53 56 8B D8 8B B3 64 05 00 00 8B 56 48 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 8B 56 3C 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B 56 40 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B 56 44 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8A 96 8E 00 00 00 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8445_0 {
	meta:
		name = "TChartEditForm.SetAxisTitle"
		size = 61
		refs = "0017 TControl.SetText 0028 TSpinEdit.SetValue"
	strings:
		$1 = { 53 56 8B D8 8B B3 64 05 00 00 8B 46 64 8B 50 10 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B 46 64 8B 50 0C 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 8B 56 1C 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8446_0 {
	meta:
		name = "TChartEditForm.SetAxisScales"
		size = 836
		refs = "0013 TChartEditForm.SetAxisScales 002d TChartAxis.IsDateTime 0040 FindDateTimeStep 0059 TChartEditForm.GetDateTimeStepText 0067 TControl.SetText 007f DateTimeStep 008c TimeToStr 00d6 @INT 00e5 FloatToStr 00fb @FRAC 0116 TControl.GetText 0145 @LStrCatN 016b DateTimeToStr 01f9 FormatFloat 025b TCustomCheckBox.SetChecked 02b0 TControl.SetEnabled 02f1 _NF__247 0312 @LStrArrayClr 031a @LStrClr 0320 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 86 5D 05 00 00 01 8B BE 64 05 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 AF 01 00 00 FF 77 60 FF 77 5C E8 ?? ?? ?? ?? 8B D8 80 7F 72 00 74 24 80 FB 19 74 1F 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 10 02 00 00 E8 ?? ?? ?? ?? E9 E3 00 00 00 DD 47 5C D8 1D ?? ?? ?? ?? DF E0 9E 77 25 A1 ?? ?? ?? ?? FF 70 04 FF 30 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 86 10 02 00 00 E8 ?? ?? ?? ?? E9 B0 00 00 00 DD 47 5C D8 1D ?? ?? ?? ?? DF E0 9E 77 21 FF 77 60 FF 77 5C 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 86 10 02 00 00 E8 ?? ?? ?? ?? E9 81 00 00 00 DD 47 5C E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 86 10 02 00 00 E8 ?? ?? ?? ?? DD 47 5C E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 74 49 8D 55 F4 8B 9E 10 02 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? DD 47 5C E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? DD 47 54 D8 1D ?? ?? ?? ?? DF E0 9E 72 1E FF 77 58 FF 77 54 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 86 08 02 00 00 E8 ?? ?? ?? ?? EB 1C FF 77 58 FF 77 54 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 86 08 02 00 00 E8 ?? ?? ?? ?? DD 47 4C D8 1D ?? ?? ?? ?? DF E0 9E 72 21 FF 77 50 FF 77 4C 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 86 04 02 00 00 E8 ?? ?? ?? ?? E9 87 00 00 00 FF 77 50 FF 77 4C 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 86 04 02 00 00 E8 ?? ?? ?? ?? EB 69 DD 47 5C 83 C4 F4 DB 3C 24 9B 8D 55 FC 8B 47 68 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 10 02 00 00 E8 ?? ?? ?? ?? DD 47 54 83 C4 F4 DB 3C 24 9B 8D 55 FC 8B 47 68 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 08 02 00 00 E8 ?? ?? ?? ?? DD 47 4C 83 C4 F4 DB 3C 24 9B 8D 55 FC 8B 47 68 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 8A 57 0D 8B 86 14 02 00 00 E8 ?? ?? ?? ?? 8A 57 0E 8B 86 20 02 00 00 E8 ?? ?? ?? ?? 8A 57 0F 8B 86 24 02 00 00 E8 ?? ?? ?? ?? 8A 57 71 8B 86 18 02 00 00 E8 ?? ?? ?? ?? 8A 57 70 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 80 7F 0D 00 75 06 80 7F 0E 00 74 04 33 D2 EB 02 B2 01 8B 86 28 02 00 00 E8 ?? ?? ?? ?? 80 7F 0D 00 75 06 80 7F 0F 00 74 04 33 D2 EB 02 B2 01 8B 86 2C 02 00 00 E8 ?? ?? ?? ?? 8A 47 0D 34 01 8B 96 20 02 00 00 89 55 EC 8B 96 24 02 00 00 89 55 F0 8D 55 EC B9 01 00 00 00 E8 ?? ?? ?? ?? C6 86 5D 05 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 80 3F FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_8447_0 {
	meta:
		name = "TChartEditForm.SpinEdit2Change"
		size = 44
		refs = "0013 TSpinEdit.GetValue 0026 TCustomChartLegend.SetColorWidth"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 1E 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 8B 80 B4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8448_0 {
	meta:
		name = "TChartEditForm.SelectedTitle"
		size = 46
		refs = "000a TCustomComboBox.GetItemIndex"
	strings:
		$1 = { 53 8B D8 8B 83 44 04 00 00 E8 ?? ?? ?? ?? 85 C0 75 0E 8B 83 60 05 00 00 8B 80 44 02 00 00 5B C3 8B 83 60 05 00 00 8B 80 48 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8449_0 {
	meta:
		name = "TChartEditForm.SelectedWall"
		size = 46
		refs = "000a TCustomTabControl.GetTabIndex"
	strings:
		$1 = { 53 8B D8 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 85 C0 75 0E 8B 83 60 05 00 00 8B 80 38 02 00 00 5B C3 8B 83 60 05 00 00 8B 80 3C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8450_0 {
	meta:
		name = "TChartEditForm.BTitFontClick"
		size = 90
		refs = "0007 TChartEditForm.SelectedTitle 0013 InternalEditFont 001c TChartFontObject.SetFont 002a TControl.SetFont 0046 TControl.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 56 08 8B 83 40 04 00 00 E8 ?? ?? ?? ?? 8B 83 40 04 00 00 8B 50 50 81 7A 14 FF FF FF 00 75 0D BA 80 80 80 00 E8 ?? ?? ?? ?? 5E 5B C3 BA FF FF FF 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8451_0 {
	meta:
		name = "TChartEditForm.BColGridClick"
		size = 15
		refs = "000a EditChartPen"
	strings:
		$1 = { 8B 90 64 05 00 00 8B 52 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8452_0 {
	meta:
		name = "TChartEditForm.RGHorizAxisClick"
		size = 43
		refs = "0018 TChartSeries.SetHorizAxis"
	strings:
		$1 = { 8B 90 7C 04 00 00 83 BA 24 01 00 00 00 75 0E 33 D2 8B 80 70 05 00 00 E8 ?? ?? ?? ?? C3 B2 01 8B 80 70 05 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8453_0 {
	meta:
		name = "TChartEditForm.EnableLegendMarginControls"
		size = 55
		refs = "0023 TSpinEdit.SetValue"
	strings:
		$1 = { 8B 90 60 05 00 00 8B 92 B4 01 00 00 8A 4A 2D 80 E9 02 72 14 80 E9 02 73 1D 8B 80 08 04 00 00 8B 52 18 E8 ?? ?? ?? ?? C3 8B 80 08 04 00 00 8B 52 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8454_0 {
	meta:
		name = "_NF__264"
		size = 106
		refs = "0015 _NF__264 0025 TeeMsg_Editing 002a LoadResString 0043 FmtStr 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 08 89 45 F4 C6 45 F8 0B 8D 4D F4 8B C6 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8455_0 {
	meta:
		name = "TChartEditForm.BEditSeriesClick"
		size = 62
		refs = "000a TCustomListBox.GetItemIndex 001e TPageControl.SetActivePage 0038 TChartEditForm.MainPageChange"
	strings:
		$1 = { 53 8B D8 8B 83 18 05 00 00 E8 ?? ?? ?? ?? 40 74 2B 8B 93 48 04 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 93 50 04 00 00 8B 83 4C 04 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8456_0 {
	meta:
		name = "TChartEditForm.FormShow"
		size = 446
		refs = "000e TChartEditForm.FormShow 0019 Screen 0022 TScreen.SetCursor 0037 _NF__264 0041 TControl.SetText 0077 TCustomRadioGroup.SetItemIndex 00d2 TCustomComboBox.SetItemIndex 0115 TCustomTabControl.SetTabIndex 0141 TPageControl.GetPage 014a TPageControl.SetActivePage 0153 TChartEditForm.Notebook1Change 0165 TControl.SendToBack 017a TTabSheet.SetTabVisible 0187 TChartEditForm.FillSeries 0197 TChartEditForm.BEditSeriesClick 01ac @LStrClr 01b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C6 83 5D 05 00 00 01 8D 55 FC 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B B3 60 05 00 00 83 BB 64 05 00 00 00 75 0C 8B 86 C0 01 00 00 89 83 64 05 00 00 8B 83 64 05 00 00 3B 86 C0 01 00 00 75 0F 33 D2 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? EB 4C 3B 86 C4 01 00 00 75 12 BA 01 00 00 00 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? EB 32 3B 86 B8 01 00 00 75 12 BA 02 00 00 00 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? EB 18 3B 86 BC 01 00 00 75 10 BA 03 00 00 00 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 44 04 00 00 E8 ?? ?? ?? ?? 8B 83 68 05 00 00 85 C0 74 1A 3B 86 48 02 00 00 75 43 BA 01 00 00 00 8B 83 44 04 00 00 E8 ?? ?? ?? ?? EB 31 8B 83 6C 05 00 00 85 C0 74 27 3B 86 38 02 00 00 75 0F 33 D2 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? EB 10 BA 01 00 00 00 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 8B BB 7C 05 00 00 83 FF FF 74 21 8B D7 8B B3 E4 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? C6 83 5D 05 00 00 00 8B 83 3C 05 00 00 E8 ?? ?? ?? ?? F6 83 82 05 00 00 10 0F 95 C2 8B 83 B8 04 00 00 E8 ?? ?? ?? ?? 8B 93 74 05 00 00 8B C3 E8 ?? ?? ?? ?? 83 BB 74 05 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8457_0 {
	meta:
		name = "TChartEditForm.SE3dChange"
		size = 38
		refs = "0013 TSpinEdit.GetValue 0020 TCustomAxisPanel.SetChart3DPercent"
		altNames = "TChartEditForm.SpinEdit9Change"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 18 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8458_0 {
	meta:
		name = "TChartEditForm.SETopLegPosChange"
		size = 44
		refs = "0013 TSpinEdit.GetValue 0026 TCustomChartLegend.SetTopPos"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 1E 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 8B 80 B4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8459_0 {
	meta:
		name = "TChartEditForm.RGBevelInClick"
		size = 45
		refs = "0028 TCustomPanel.SetBevelInner"
	strings:
		$1 = { 80 B8 5D 05 00 00 00 75 23 8B 88 44 03 00 00 8A 89 24 01 00 00 8B 90 60 05 00 00 3A 8A 1C 01 00 00 74 09 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8460_0 {
	meta:
		name = "TChartEditForm.RGBevelOutClick"
		size = 45
		refs = "0028 TCustomPanel.SetBevelOuter"
	strings:
		$1 = { 80 B8 5D 05 00 00 00 75 23 8B 88 48 03 00 00 8A 89 24 01 00 00 8B 90 60 05 00 00 3A 8A 1D 01 00 00 74 09 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8461_0 {
	meta:
		name = "TChartEditForm.CBPanelBorderClick"
		size = 57
		refs = "0013 TCustomCheckBox.GetChecked 0024 TCustomPanel.SetBorderStyle"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 2B 8B 83 4C 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 0F B2 01 8B 83 60 05 00 00 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8462_0 {
	meta:
		name = "TChartEditForm.SEPanelWiChange"
		size = 54
		refs = "0013 TSpinEdit.GetValue 0030 TCustomPanel.SetBevelWidth"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 28 8B 83 50 03 00 00 E8 ?? ?? ?? ?? 85 C0 7C 19 83 F8 64 7F 14 8B 93 60 05 00 00 3B 82 20 01 00 00 74 06 92 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8463_0 {
	meta:
		name = "TChartEditForm.RGWhatAxisClick"
		size = 124
		refs = "006d TCustomCheckBox.SetChecked 0076 TChartEditForm.PageControlAxisChange"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 6E 8B 83 60 05 00 00 8B 92 24 01 00 00 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 36 8B 80 C0 01 00 00 89 83 64 05 00 00 EB 28 8B 80 C4 01 00 00 89 83 64 05 00 00 EB 1A 8B 80 B8 01 00 00 89 83 64 05 00 00 EB 0C 8B 80 BC 01 00 00 89 83 64 05 00 00 8B 83 64 05 00 00 8A 50 0C 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8464_0 {
	meta:
		name = "TChartEditForm.CBAxisVisibleClick"
		size = 38
		refs = "0013 TCustomCheckBox.GetChecked 0020 TChartAxis.SetVisible"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 18 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8465_0 {
	meta:
		name = "TChartEditForm.SEAxisTickLengthChange"
		size = 108
		refs = "000c TChartEditForm.SEAxisTickLengthChange 0029 TControl.GetText 003a TSpinEdit.GetValue 0047 TChartAxis.SetTickLength 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 5D 05 00 00 00 75 2C 8D 55 FC 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8466_0 {
	meta:
		name = "TChartEditForm.BLegFontClick"
		size = 38
		refs = "0016 InternalEditFont 001f TChartFontObject.SetFont"
	strings:
		$1 = { 53 56 8B D8 8B 83 60 05 00 00 8B B0 B4 01 00 00 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8467_0 {
	meta:
		name = "TChartEditForm.BPrintClick"
		size = 12
		refs = "0007 ChartPreview"
	strings:
		$1 = { 8B 90 60 05 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8591_0 {
	meta:
		name = "TChartEditForm.BExportClick"
		size = 12
		refs = "0007 ChartExport"
	strings:
		$1 = { 8B 90 60 05 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8468_0 {
	meta:
		name = "TChartEditForm.BLegColorClick"
		size = 38
		refs = "0016 EditColor 001f TCustomChartLegend.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B 83 60 05 00 00 8B B0 B4 01 00 00 8B 56 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8469_0 {
	meta:
		name = "TChartEditForm.BMarksBackColorClick"
		size = 48
		refs = "0013 EditColor 001c TSeriesMarks.SetBackColor 0029 TCustomCheckBox.SetChecked"
	strings:
		$1 = { 53 56 8B D8 8B 83 70 05 00 00 8B 70 3C 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 83 A8 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8470_0 {
	meta:
		name = "TChartEditForm.CBAutomaticClick"
		size = 62
		refs = "0013 TCustomCheckBox.GetChecked 0020 TChartAxis.SetAutomatic 0031 TChartAxis.AdjustMaxMin 0038 TChartEditForm.SetAxisScales"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 30 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 8B 83 64 05 00 00 80 78 0D 00 74 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8471_0 {
	meta:
		name = "TChartEditForm.CBLegStyleChange"
		size = 44
		refs = "0013 TCustomComboBox.GetItemIndex 0026 TCustomChartLegend.SetTextStyle"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 1E 8B 83 14 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 8B 80 B4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8472_0 {
	meta:
		name = "TChartEditForm.BBackColClick"
		size = 90
		refs = "0013 EditColor 001c TCustomAxisPanel.SetBackColor 003a TCustomCheckBox.SetChecked 0047 TCustomCheckBox.GetChecked 0053 TControl.SetEnabled"
	strings:
		$1 = { 53 56 8B D8 8B B3 60 05 00 00 8B 96 B0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 60 05 00 00 81 B8 B0 01 00 00 00 00 00 80 0F 94 C2 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B B3 BC 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8473_0 {
	meta:
		name = "TChartEditForm.CBShowLegClick"
		size = 44
		refs = "0013 TCustomCheckBox.GetChecked 0026 TCustomChartLegend.SetVisible"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 1E 8B 83 00 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 8B 80 B4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8474_0 {
	meta:
		name = "TChartEditForm.CBAllowZoomClick"
		size = 37
		refs = "0013 TCustomCheckBox.GetChecked"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 17 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 8B 93 60 05 00 00 88 82 29 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8475_0 {
	meta:
		name = "TChartEditForm.CBClipPointsClick"
		size = 38
		refs = "0013 TCustomCheckBox.GetChecked 0020 TCustomAxisPanel.SetClipPoints"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 18 8B 83 E4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8476_0 {
	meta:
		name = "TChartEditForm.CBTitleVisibleClick"
		size = 39
		refs = "0013 TCustomCheckBox.GetChecked 001b TChartEditForm.SelectedTitle 0021 TChartTitle.SetVisible"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 19 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8477_0 {
	meta:
		name = "TChartEditForm.EAxisTitleChange"
		size = 95
		refs = "000c TChartEditForm.EAxisTitleChange 0029 TControl.GetText 003a TChartAxisTitle.SetCaption 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 5D 05 00 00 00 75 1F 8D 55 FC 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 64 05 00 00 8B 40 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8478_0 {
	meta:
		name = "TChartEditForm.BChartFrameClick"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 60 05 00 00 8B 92 D0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8479_0 {
	meta:
		name = "TChartEditForm.BLegendFrameClick"
		size = 21
		refs = "0010 EditChartPen"
	strings:
		$1 = { 8B 90 60 05 00 00 8B 92 B4 01 00 00 8B 52 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8480_0 {
	meta:
		name = "TChartEditForm.BTitleFontClick"
		size = 35
		refs = "0013 InternalEditFont 001c TChartFontObject.SetFont"
	strings:
		$1 = { 53 56 8B D8 8B 83 64 05 00 00 8B 70 64 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8481_0 {
	meta:
		name = "TChartEditForm.FormCreate"
		size = 196
		refs = "000e TChartEditForm.FormCreate 007b _NV__22E 0080 _NF__234 0085 _NV__230 0096 TPageControl.SetActivePage"
	strings:
		$1 = { 53 8B D8 C7 83 7C 05 00 00 FF FF FF FF A0 ?? ?? ?? ?? 88 83 82 05 00 00 33 C0 89 83 84 05 00 00 33 C0 89 83 88 05 00 00 33 C0 89 83 8C 05 00 00 33 C0 89 83 90 05 00 00 33 C0 89 83 64 05 00 00 33 C0 89 83 70 05 00 00 33 C0 89 83 74 05 00 00 33 C0 89 83 60 05 00 00 33 C0 89 83 68 05 00 00 33 C0 89 83 6C 05 00 00 C6 83 5C 05 00 00 00 C6 83 83 05 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 93 E0 01 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 93 E8 01 00 00 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B 93 50 04 00 00 8B 83 4C 04 00 00 E8 ?? ?? ?? ?? 5B C3 00 00 1F 00 00 00 }
	condition:
		$1
}

rule function_8482_0 {
	meta:
		name = "_NF__2B5"
		size = 176
		refs = "001a _NF__2B5 0075 @LStrCmp 009c @LStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D F0 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B D8 8B 45 F8 8B 10 FF 52 14 3B D8 0F 94 C3 84 DB 74 47 8B 45 FC 8B 10 FF 52 14 48 85 C0 7C 3A 40 89 45 F4 33 F6 8D 4D F0 8B D6 8B 45 FC 8B 18 FF 53 0C 8B 45 F0 50 8D 4D EC 8B D6 8B 45 F8 8B 18 FF 53 0C 8B 55 EC 58 E8 ?? ?? ?? ?? 0F 94 C3 84 DB 74 06 46 FF 4D F4 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8483_0 {
	meta:
		name = "TChartEditForm.MTitleChange"
		size = 68
		refs = "0010 TChartEditForm.SelectedTitle 0026 _NF__2B5 003d TChartTitle.SetText"
	strings:
		$1 = { 53 56 8B D8 80 BB 5D 05 00 00 00 75 34 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 83 40 04 00 00 8B 90 30 01 00 00 8B 46 10 E8 ?? ?? ?? ?? 84 C0 75 13 8B 83 40 04 00 00 8B 90 30 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8484_0 {
	meta:
		name = "TChartEditForm.BAxisMaxClick"
		size = 308
		refs = "0010 TChartEditForm.BAxisMaxClick 001f _Dn_TAxisMaxMin 0024 TCustomForm.Create 003d TeeMsg_Maximum 0042 LoadResString 005a TChartEditForm.AxisTitleOrName 006a @LStrCatN 0075 TControl.SetText 0080 TChartAxis.IsDateTime 00ac TCustomForm.ShowModal 00c9 TChartAxis.SetMaximum 00d6 TCustomCheckBox.SetChecked 00dd TChartEditForm.SetAxisScales 00f2 TObject.Free 00f8 @HandleFinally 0114 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 4D F0 8B 93 64 05 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 F0 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 8B 55 FC 88 82 F4 01 00 00 8B 45 FC 8B 93 64 05 00 00 8B 4A 4C 89 88 F8 01 00 00 8B 4A 50 89 88 FC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 48 75 2E 8B 45 FC FF B0 FC 01 00 00 FF B0 F8 01 00 00 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 8B 83 20 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_8485_0 {
	meta:
		name = "TChartEditForm.BAxisMinClick"
		size = 308
		refs = "0010 TChartEditForm.BAxisMinClick 001f _Dn_TAxisMaxMin 0024 TCustomForm.Create 003d TeeMsg_Minimum 0042 LoadResString 005a TChartEditForm.AxisTitleOrName 006a @LStrCatN 0075 TControl.SetText 0080 TChartAxis.IsDateTime 00ac TCustomForm.ShowModal 00c9 TChartAxis.SetMinimum 00d6 TCustomCheckBox.SetChecked 00dd TChartEditForm.SetAxisScales 00f2 TObject.Free 00f8 @HandleFinally 0114 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 4D F0 8B 93 64 05 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 F0 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 8B 55 FC 88 82 F4 01 00 00 8B 45 FC 8B 93 64 05 00 00 8B 4A 54 89 88 F8 01 00 00 8B 4A 58 89 88 FC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 48 75 2E 8B 45 FC FF B0 FC 01 00 00 FF B0 F8 01 00 00 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_8486_0 {
	meta:
		name = "TChartEditForm.BAxisIncreClick"
		size = 368
		refs = "0018 TChartEditForm.BAxisIncreClick 0027 _Dn_TAxisIncrement 002c TCustomForm.Create 0051 TChartEditForm.AxisTitleOrName 0067 TeeMsg_DesiredIncrement 006c LoadResString 0077 Format 0082 TControl.SetText 008d TChartAxis.IsDateTime 00d7 FindDateTimeStep 00e8 TCustomForm.ShowModal 0105 TChartAxis.SetDesiredIncrement 0119 TChartAxis.SetExactDateTime 0120 TChartEditForm.SetAxisScales 0135 TObject.Free 013b @HandleFinally 0157 @LStrArrayClr 015f @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D F8 89 4D EC 89 4D E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 4D EC 8B 93 64 05 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 0B 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 8B 55 FC 88 82 F8 01 00 00 8B 83 64 05 00 00 8A 40 72 8B 55 FC 88 82 F9 01 00 00 8B 45 FC 8B 93 64 05 00 00 8B 4A 5C 89 88 FC 01 00 00 8B 4A 60 89 88 00 02 00 00 8B 45 FC FF B0 00 02 00 00 FF B0 FC 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 88 82 04 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 48 75 35 8B 45 FC FF B0 00 02 00 00 FF B0 FC 01 00 00 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8A 90 F9 01 00 00 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8487_0 {
	meta:
		name = "TChartEditForm.BPanelColorClick"
		size = 32
		refs = "0010 EditColor 0019 TControl.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B B3 60 05 00 00 8B 56 54 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8488_0 {
	meta:
		name = "TChartEditForm.CBLogarithmicClick"
		size = 135
		refs = "0017 TChartEditForm.CBLogarithmicClick 002b TCustomCheckBox.GetChecked 003b TChartAxis.SetLogarithmic 004a @HandleOnException 0052 _Dn_AxisException 0076 TCustomCheckBox.SetChecked 007b @RaiseAgain 0080 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 B8 5D 05 00 00 00 75 71 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 64 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3B E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 80 64 05 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 02 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_8489_0 {
	meta:
		name = "TChartEditForm.BInnerTicksClick"
		size = 15
		refs = "000a EditChartPen"
	strings:
		$1 = { 8B 90 64 05 00 00 8B 52 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8490_0 {
	meta:
		name = "TChartEditForm.SEInnerTicksLengthChange"
		size = 108
		refs = "000c TChartEditForm.SEInnerTicksLengthChange 0029 TControl.GetText 003a TSpinEdit.GetValue 0047 TChartAxis.SetTickInnerLength 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 5D 05 00 00 00 75 2C 8D 55 FC 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8491_0 {
	meta:
		name = "TChartEditForm.ButtonNextClick"
		size = 25
		refs = "000a TCustomChart.NextPage 0013 TChartEditForm.TheChartPageChange"
	strings:
		$1 = { 53 8B D8 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8492_0 {
	meta:
		name = "TChartEditForm.ButtonPreviousClick"
		size = 25
		refs = "000a TCustomChart.PreviousPage 0013 TChartEditForm.TheChartPageChange"
	strings:
		$1 = { 53 8B D8 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8493_0 {
	meta:
		name = "TChartEditForm.TheChartPageChange"
		size = 268
		refs = "0012 TChartEditForm.TheChartPageChange 002c IntToStr 0043 @CallDynaInst 005b @LStrCatN 0069 TControl.SetText 0084 TControl.SetEnabled 00eb @LStrArrayClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 86 60 05 00 00 8B 80 04 02 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B 86 60 05 00 00 66 BB D9 FF E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 64 03 00 00 E8 ?? ?? ?? ?? 8B 86 60 05 00 00 83 B8 04 02 00 00 01 0F 9F C2 8B 86 70 03 00 00 E8 ?? ?? ?? ?? 8B BE 60 05 00 00 8B C7 66 BB D9 FF E8 ?? ?? ?? ?? 3B 87 04 02 00 00 0F 9F C2 8B 86 74 03 00 00 E8 ?? ?? ?? ?? 8B 86 70 03 00 00 8A 50 45 8B 86 80 03 00 00 E8 ?? ?? ?? ?? 8B 86 74 03 00 00 8A 50 45 8B 86 7C 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_8494_0 {
	meta:
		name = "TChartEditForm.SEPointsPerPageChange"
		size = 127
		refs = "000c TChartEditForm.SEPointsPerPageChange 0020 TControl.GetText 0033 TCustomAxisPanel.SetMaxPointsPerPage 0040 TSpinEdit.GetValue 005a TChartEditForm.TheChartPageChange 006f @LStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 6C 03 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 0F 33 D2 8B 83 60 05 00 00 E8 ?? ?? ?? ?? EB 18 8B 83 6C 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 8B 93 60 05 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8495_0 {
	meta:
		name = "TChartEditForm.CBScaleLastClick"
		size = 38
		refs = "0013 TCustomCheckBox.GetChecked 0020 TCustomAxisPanel.SetScaleLastPage"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 18 8B 83 78 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8496_0 {
	meta:
		name = "TChartEditForm.BGradientStartClick"
		size = 45
		refs = "0016 EditColor 001f TChartGradient.SetStartColor 0026 TChartEditForm.RepaintGradientColors"
	strings:
		$1 = { 53 56 8B D8 8B 83 60 05 00 00 8B B0 34 02 00 00 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8497_0 {
	meta:
		name = "TChartEditForm.RepaintGradientColors"
		size = 149
		refs = "0013 TPen.SetStyle 0020 TPen.SetColor 002d TBrush.SetStyle 0047 TBrush.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B B3 98 03 00 00 33 D2 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B 83 60 05 00 00 8B 80 34 02 00 00 8B 50 0C 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B B3 A0 03 00 00 33 D2 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B 83 60 05 00 00 8B 80 34 02 00 00 8B 50 10 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8498_0 {
	meta:
		name = "TChartEditForm.BGradientEndClick"
		size = 45
		refs = "0016 EditColor 001f TChartGradient.SetEndColor 0026 TChartEditForm.RepaintGradientColors"
	strings:
		$1 = { 53 56 8B D8 8B 83 60 05 00 00 8B B0 34 02 00 00 8B 56 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8499_0 {
	meta:
		name = "TChartEditForm.RGGradientDirectionClick"
		size = 30
		refs = "0019 TChartGradient.SetDirection"
	strings:
		$1 = { 8B 90 94 03 00 00 8A 92 24 01 00 00 8B 80 60 05 00 00 8B 80 34 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8500_0 {
	meta:
		name = "TChartEditForm.CheckGradientVisible"
		size = 122
		refs = "001e TCustomRadioGroup.SetItemIndex 006a _NF__247 0071 TChartEditForm.RepaintGradientColors"
	strings:
		$1 = { 53 83 C4 EC 8B D8 8B 83 60 05 00 00 8B 80 34 02 00 00 33 D2 8A 50 09 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 83 94 03 00 00 89 04 24 8B 83 9C 03 00 00 89 44 24 04 8B 83 A4 03 00 00 89 44 24 08 8B 83 98 03 00 00 89 44 24 0C 8B 83 A0 03 00 00 89 44 24 10 8B D4 8B 83 60 05 00 00 8B 80 34 02 00 00 8A 40 08 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5B C3 }
	condition:
		$1
}

rule function_8501_0 {
	meta:
		name = "TChartEditForm.CBGradientVisibleClick"
		size = 51
		refs = "0013 TCustomCheckBox.GetChecked 0026 TChartGradient.SetVisible 002d TChartEditForm.CheckGradientVisible"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 1E 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 8B 80 34 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8502_0 {
	meta:
		name = "TChartEditForm.BLastPageClick"
		size = 47
		refs = "0012 @CallDynaInst 0027 TChartEditForm.TheChartPageChange"
	strings:
		$1 = { 53 56 57 8B F0 8B BE 60 05 00 00 8B C7 66 BB D9 FF E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 91 98 00 00 00 8B D6 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8503_0 {
	meta:
		name = "TChartEditForm.BFirstPageClick"
		size = 33
		refs = "001b TChartEditForm.TheChartPageChange"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B 83 60 05 00 00 8B 08 FF 91 98 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8504_0 {
	meta:
		name = "TChartEditForm.CBBackDefClick"
		size = 63
		refs = "000b TCustomCheckBox.GetChecked 001f TCustomAxisPanel.SetBackColor 0038 TControl.SetEnabled"
	strings:
		$1 = { 53 56 8B D8 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 10 BA 00 00 00 80 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 8B B3 BC 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8505_0 {
	meta:
		name = "TChartEditForm.CBAnimatedZoomClick"
		size = 38
		refs = "0013 TCustomCheckBox.GetChecked 0020 TCustomChart.SetAnimatedZoom"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 18 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8506_0 {
	meta:
		name = "TChartEditForm.CBResizeChartClick"
		size = 44
		refs = "0013 TCustomCheckBox.GetChecked 0026 TCustomChartLegend.SetResizeChart"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 1E 8B 83 20 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 8B 80 B4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8507_0 {
	meta:
		name = "TChartEditForm.BTitleFrameClick"
		size = 22
		refs = "0006 TChartEditForm.SelectedTitle 0010 EditChartPen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 18 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8508_0 {
	meta:
		name = "TChartEditForm.CBFootAdjustClick"
		size = 35
		refs = "0009 TCustomCheckBox.GetChecked 001c TChartTitle.SetAdjustFrame"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 8B 80 48 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8509_0 {
	meta:
		name = "TChartEditForm.CBTitleAdjustClick"
		size = 30
		refs = "0009 TCustomCheckBox.GetChecked 0011 TChartEditForm.SelectedTitle 0017 TChartTitle.SetAdjustFrame"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8510_0 {
	meta:
		name = "TChartEditForm.BTitleBrushClick"
		size = 39
		refs = "0006 TChartEditForm.SelectedTitle 0010 TChartPen.SetVisible 0021 EditChartBrush"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 18 B2 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 20 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8511_0 {
	meta:
		name = "TChartEditForm.BMinorTicksClick"
		size = 15
		refs = "000a EditChartPen"
	strings:
		$1 = { 8B 90 64 05 00 00 8B 52 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8512_0 {
	meta:
		name = "TChartEditForm.SEAxisMinorTickLenChange"
		size = 108
		refs = "000c TChartEditForm.SEAxisMinorTickLenChange 0029 TControl.GetText 003a TSpinEdit.GetValue 0047 TChartAxis.SetMinorTickLength 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 5D 05 00 00 00 75 2C 8D 55 FC 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8513_0 {
	meta:
		name = "TChartEditForm.SEMinorCountChange"
		size = 108
		refs = "000c TChartEditForm.SEMinorCountChange 0029 TControl.GetText 003a TSpinEdit.GetValue 0047 TChartAxis.SetMinorTickCount 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 5D 05 00 00 00 75 2C 8D 55 FC 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8514_0 {
	meta:
		name = "TChartEditForm.SEPanelBorChange"
		size = 54
		refs = "0013 TSpinEdit.GetValue 0030 TCustomPanel.SetBorderWidth"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 28 8B 83 58 03 00 00 E8 ?? ?? ?? ?? 85 C0 7C 19 83 F8 64 7F 14 8B 93 60 05 00 00 3B 82 24 01 00 00 74 06 92 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8515_0 {
	meta:
		name = "TChartEditForm.CBShowAxisClick"
		size = 38
		refs = "0012 TCustomCheckBox.GetChecked 001f TCustomAxisPanel.SetAxisVisible"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 5D 05 00 00 00 75 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8516_0 {
	meta:
		name = "TChartEditForm.CBAutoMaxClick"
		size = 56
		refs = "0013 TCustomCheckBox.GetChecked 0020 TChartAxis.SetAutomaticMaximum 002b TChartAxis.AdjustMaxMin 0032 TChartEditForm.SetAxisScales"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 2A 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8517_0 {
	meta:
		name = "TChartEditForm.CBAutoMinClick"
		size = 56
		refs = "0013 TCustomCheckBox.GetChecked 0020 TChartAxis.SetAutomaticMinimum 002b TChartAxis.AdjustMaxMin 0032 TChartEditForm.SetAxisScales"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 2A 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8518_0 {
	meta:
		name = "TChartEditForm.CBInvertedClick"
		size = 38
		refs = "0013 TCustomCheckBox.GetChecked 0020 TChartAxis.SetInverted"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 18 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8521_0 {
	meta:
		name = "TChartEditForm.CBLegendInvertedClick"
		size = 44
		refs = "0013 TCustomCheckBox.GetChecked 0026 TCustomChartLegend.SetInverted"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 1E 8B 83 24 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 8B 80 B4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8522_0 {
	meta:
		name = "TChartEditForm.BLegShadowColClick"
		size = 38
		refs = "0016 EditColor 001f TChartLegend.SetShadowColor"
	strings:
		$1 = { 53 56 8B D8 8B 83 60 05 00 00 8B B0 B4 01 00 00 8B 56 40 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8523_0 {
	meta:
		name = "TChartEditForm.SELegShadowSizeChange"
		size = 44
		refs = "0013 TSpinEdit.GetValue 0026 TChartLegend.SetShadowSize"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 1E 8B 83 34 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 8B 80 B4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8524_0 {
	meta:
		name = "TChartEditForm.RGBitmapClick"
		size = 24
		refs = "0013 TCustomChart.SetBackImageMode"
	strings:
		$1 = { 8B 90 44 05 00 00 8A 92 24 01 00 00 8B 80 60 05 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8525_0 {
	meta:
		name = "TChartEditForm.SEAxisTitleAngleChange"
		size = 111
		refs = "000c TChartEditForm.SEAxisTitleAngleChange 0029 TControl.GetText 003a TSpinEdit.GetValue 004a TChartAxisTitle.SetAngle 005f @LStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 5D 05 00 00 00 75 2F 8D 55 FC 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 1B 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 8B 40 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8526_0 {
	meta:
		name = "TChartEditForm.SEAxisTitleSizeChange"
		size = 108
		refs = "000c TChartEditForm.SEAxisTitleSizeChange 0029 TControl.GetText 003a TSpinEdit.GetValue 0047 TChartAxis.SetTitleSize 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 5D 05 00 00 00 75 2C 8D 55 FC 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8527_0 {
	meta:
		name = "TChartEditForm.CBAxisLabelsClick"
		size = 38
		refs = "0013 TCustomCheckBox.GetChecked 0020 TChartAxis.SetLabels"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 18 8B 83 68 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8528_0 {
	meta:
		name = "TChartEditForm.SEAxisLabelsAngleChange"
		size = 108
		refs = "000c TChartEditForm.SEAxisLabelsAngleChange 0029 TControl.GetText 003a TSpinEdit.GetValue 0047 TChartAxis.SetLabelsAngle 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 5D 05 00 00 00 75 2C 8D 55 FC 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8529_0 {
	meta:
		name = "TChartEditForm.RGAxisLabelStyleClick"
		size = 33
		refs = "001c TChartAxis.SetLabelStyle"
	strings:
		$1 = { 80 B8 5D 05 00 00 00 75 17 8B 90 88 02 00 00 8A 92 24 01 00 00 8B 80 64 05 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8530_0 {
	meta:
		name = "TChartEditForm.SELabelsSizeChange"
		size = 108
		refs = "000c TChartEditForm.SELabelsSizeChange 0029 TControl.GetText 003a TSpinEdit.GetValue 0047 TChartAxis.SetLabelsSize 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 5D 05 00 00 00 75 2C 8D 55 FC 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8531_0 {
	meta:
		name = "TChartEditForm.CBLabelsOnAxisClick"
		size = 38
		refs = "0013 TCustomCheckBox.GetChecked 0020 TChartAxis.SetLabelsOnAxis"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 18 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8532_0 {
	meta:
		name = "TChartEditForm.SEAxisLabelSeparChange"
		size = 108
		refs = "000c TChartEditForm.SEAxisLabelSeparChange 0029 TControl.GetText 003a TSpinEdit.GetValue 0047 TChartAxis.SetLabelsSeparation 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 5D 05 00 00 00 75 2C 8D 55 FC 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8533_0 {
	meta:
		name = "TChartEditForm.CBRoundFirstLabelClick"
		size = 38
		refs = "0013 TCustomCheckBox.GetChecked 0020 TChartAxis.SetRoundFirstLabel"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 18 8B 83 70 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8534_0 {
	meta:
		name = "TChartEditForm.EAxisValuesFormatChange"
		size = 155
		refs = "000f TChartEditForm.EAxisValuesFormatChange 002b TChartAxis.IsDateTime 003d TControl.GetText 0047 TChartAxis.SetDateTimeFormat 0062 _NF__249 006c TChartAxis.SetValuesFormat 0081 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 5D 05 00 00 00 75 4E 8B B3 64 05 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 55 FC 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 23 8D 55 FC 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8535_0 {
	meta:
		name = "TChartEditForm.BitBtn2Click"
		size = 32
		refs = "0010 InternalEditFont 0019 TChartFontObject.SetFont"
	strings:
		$1 = { 53 56 8B D8 8B B3 64 05 00 00 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8536_0 {
	meta:
		name = "TChartEditForm.CBView3dWallsClick"
		size = 52
		refs = "000a TCustomCheckBox.GetChecked 0017 TCustomAxisPanel.SetView3DWalls 002e TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 8B 83 60 05 00 00 8A 90 C9 01 00 00 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8537_0 {
	meta:
		name = "TChartEditForm.BWallPenClick"
		size = 22
		refs = "0006 TChartEditForm.SelectedWall 0010 EditChartPen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8538_0 {
	meta:
		name = "TChartEditForm.BWallBrushClick"
		size = 22
		refs = "0006 TChartEditForm.SelectedWall 0010 EditChartBrush"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8539_0 {
	meta:
		name = "TChartEditForm.BWallColorClick"
		size = 42
		refs = "0007 TChartEditForm.SelectedWall 0013 EditColor 001c TChartWall.SetColor 0023 TChartEditForm.RefreshWallColorShape"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8540_0 {
	meta:
		name = "TChartEditForm.BBottomWallPenClick"
		size = 21
		refs = "0010 EditChartPen"
	strings:
		$1 = { 8B 90 60 05 00 00 8B 92 3C 02 00 00 8B 52 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8541_0 {
	meta:
		name = "TChartEditForm.BBottomWallBrushClick"
		size = 21
		refs = "0010 EditChartBrush"
	strings:
		$1 = { 8B 90 60 05 00 00 8B 92 3C 02 00 00 8B 52 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8542_0 {
	meta:
		name = "TChartEditForm.SEWallSizeChange"
		size = 100
		refs = "000c TChartEditForm.SEWallSizeChange 0020 TControl.GetText 0031 TSpinEdit.GetValue 0039 TChartEditForm.SelectedWall 003f TChartWall.SetSize 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 1C 04 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 19 8B 83 1C 04 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8543_0 {
	meta:
		name = "TChartEditForm.EValueformatChange"
		size = 105
		refs = "000e TChartEditForm.EValueformatChange 0022 TControl.GetText 002d _NF__249 003b TChartSeries.SetValueFormat 0050 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 83 74 04 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 70 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8544_0 {
	meta:
		name = "TChartEditForm.EPercentFormatChange"
		size = 105
		refs = "000e TChartEditForm.EPercentFormatChange 0022 TControl.GetText 002d _NF__249 003b TChartSeries.SetPercentFormat 0050 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 83 78 04 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 70 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8545_0 {
	meta:
		name = "TChartEditForm.SetTabSeriesMarks"
		size = 88
		refs = "0019 TCustomRadioGroup.SetItemIndex 0027 TCustomCheckBox.SetChecked 0035 TSpinEdit.SetValue"
	strings:
		$1 = { 53 56 8B D8 8B 83 70 05 00 00 8B 70 3C 33 D2 8A 56 18 8B 83 9C 04 00 00 E8 ?? ?? ?? ?? 8A 56 08 8B 83 88 04 00 00 E8 ?? ?? ?? ?? 8B 56 28 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 8A 56 10 8B 83 A8 04 00 00 E8 ?? ?? ?? ?? 8A 56 24 8B 83 B4 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8546_0 {
	meta:
		name = "TChartEditForm.SetTabSeriesDatabase"
		size = 784
		refs = "0015 _NV__230 001d TChartEditForm.SetTabSeriesDatabase 0033 TControl.SetVisible 003b TChartEditForm.FillSourceDataSets 004b _NF__238 005f TChartSeries.ValuesListCount 0087 TChartSeries.GetValueList 0092 @LStrLAsg 009e _Dn_TComboBox 00a3 TCustomComboBox.Create 00cf TControl.SetLeft 00f0 TControl.SetWidth 0117 TControl.SetTop 012c TChartEditForm.CBValuesChange 014c _Dn_TLabel 0151 TCustomLabel.Create 015f TCustomLabel.SetAlignment 01c4 @LStrCat3 01ce TControl.SetText 01e8 _Dn_TCheckBox 01ed TCustomCheckBox.Create 0240 TeeMsg_DateTime 0245 LoadResString 0278 TChartEditForm.CBDateTimeClick 028e @LStrAsg 02aa _NF__236 02b2 TChartEditForm.SetCurrentDataSource 02ba TChartEditForm.SetSelectedSourceDatabase 02e9 @LStrClr 02f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 55 F4 89 45 FC BF ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 D0 04 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 70 05 00 00 8B 07 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 05 00 00 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 32 02 00 00 40 89 45 EC C7 45 F8 00 00 00 00 8B 07 8B 55 F8 8B 5C 90 10 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 50 20 8D 45 F4 E8 ?? ?? ?? ?? 8B 07 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 8B 07 8B 40 04 8B 90 D0 04 00 00 8B C6 8B 08 FF 51 3C 8B 07 8B 40 04 8B 80 D8 04 00 00 8B 50 30 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 88 00 00 00 8B 07 8B 40 04 8B 80 D8 04 00 00 8B 50 38 8B C6 E8 ?? ?? ?? ?? 8B 07 8B 40 04 8B 80 D8 04 00 00 8B 50 34 83 C2 02 03 50 3C 8B 45 F8 8D 04 80 8D 04 80 40 03 D0 8B C6 E8 ?? ?? ?? ?? 8B 07 8B 40 04 89 86 54 01 00 00 C7 86 50 01 00 00 ?? ?? ?? ?? 8B 45 F8 89 46 0C 83 7D F4 00 0F 95 C2 8B C6 E8 ?? ?? ?? ?? 8B 07 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 0C B2 01 8B C6 E8 ?? ?? ?? ?? 8B 07 8B 40 04 8B 90 D0 04 00 00 8B C6 8B 08 FF 51 3C 8B 43 08 8B 50 34 83 C2 04 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 5C 8B 07 8B 40 04 8B 80 D4 04 00 00 8B 50 30 8B C6 E8 ?? ?? ?? ?? 8B 07 8B 40 04 8B 80 D4 04 00 00 8B 50 38 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 83 7D F4 00 0F 95 C2 8B C6 E8 ?? ?? ?? ?? 8B 07 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 10 8B 07 8B 40 04 8B 90 D0 04 00 00 8B C6 8B 08 FF 51 3C 8B 07 8B 40 04 8B 80 D8 04 00 00 8B 50 30 03 50 38 83 C2 06 8B C6 E8 ?? ?? ?? ?? BA 5A 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 43 08 8B 50 34 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 89 46 0C 83 7D F4 00 0F 95 C2 8B C6 E8 ?? ?? ?? ?? 8B 07 8B 40 04 89 86 A8 00 00 00 C7 86 A4 00 00 00 ?? ?? ?? ?? 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 50 24 8D 43 04 E8 ?? ?? ?? ?? FF 45 F8 FF 4D EC 0F 85 D9 FD FF FF 8B 45 FC 8B 90 70 05 00 00 8B 07 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D0 04 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC C6 80 81 05 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_8547_0 {
	meta:
		name = "TChartEditForm.SetTabSeriesFunctions"
		size = 292
		refs = "0009 TChartEditForm.FillSourceSeries 0014 _NV__230 0019 _NF__238 002a TStrings.BeginUpdate 0035 TCustomListBox.Clear 0040 TChartSeries.GetDataSource 0068 TList.Get 006e _Dn_TChartSeries 0073 @IsClass 00d2 TStrings.EndUpdate 00ec TObject.ClassType 00f9 TStrings.IndexOfObject 0102 TCustomComboBox.SetItemIndex 011b TChartEditForm.EnableListButtons"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 70 05 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 F8 04 00 00 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8B 83 F8 04 00 00 E8 ?? ?? ?? ?? 8B 83 70 05 00 00 E8 ?? ?? ?? ?? 85 C0 74 7D 8B 83 70 05 00 00 8B 40 60 8B 78 08 4F 85 FF 7C 6C 47 33 F6 8B 83 70 05 00 00 8B 40 60 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8B 83 70 05 00 00 8B 40 60 8B D6 E8 ?? ?? ?? ?? 8B E8 83 7D 4C 00 74 18 8B 55 4C 8B 83 F8 04 00 00 8B 80 18 01 00 00 8B CD 8B 28 FF 55 38 EB 16 8B 55 08 8B 83 F8 04 00 00 8B 80 18 01 00 00 8B CD 8B 28 FF 55 38 46 4F 75 97 8B 83 F8 04 00 00 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8B B3 E4 04 00 00 8B 83 70 05 00 00 8B 78 74 85 FF 74 1F 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 09 33 D2 8B C6 E8 ?? ?? ?? ?? C6 83 80 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8548_0 {
	meta:
		name = "TChartEditForm.SetTabSeriesDataSource"
		size = 204
		refs = "000b TChartSeries.GetDataSource 002b TCustomComboBox.SetItemIndex 0036 TChartEditForm.EnableDataSourceControls 0042 TChartSeries.Count 0084 _Dn_TChartSeries 0089 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 83 70 05 00 00 E8 ?? ?? ?? ?? 85 C0 75 64 8B B3 70 05 00 00 83 7E 74 00 74 20 BA 02 00 00 00 8B 83 BC 04 00 00 E8 ?? ?? ?? ?? B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? E9 8A 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 12 BA 01 00 00 00 8B 83 BC 04 00 00 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 83 BC 04 00 00 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 70 05 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D BA 02 00 00 00 8B 83 BC 04 00 00 E8 ?? ?? ?? ?? B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? EB 1B BA 03 00 00 00 8B 83 BC 04 00 00 E8 ?? ?? ?? ?? 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8549_0 {
	meta:
		name = "TChartEditForm.CBMarksVisibleClick"
		size = 32
		refs = "000a TCustomCheckBox.GetChecked 001a TSeriesMarks.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 88 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 70 05 00 00 8B 40 3C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8550_0 {
	meta:
		name = "TChartEditForm.CBTransparentClick"
		size = 32
		refs = "000a TCustomCheckBox.GetChecked 001a TSeriesMarks.SetBackTransparent"
	strings:
		$1 = { 53 8B D8 8B 83 A8 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 70 05 00 00 8B 40 3C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8551_0 {
	meta:
		name = "TChartEditForm.CBMarkClipClick"
		size = 32
		refs = "000a TCustomCheckBox.GetChecked 001a TSeriesMarks.SetClip"
	strings:
		$1 = { 53 8B D8 8B 83 B4 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 70 05 00 00 8B 40 3C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8552_0 {
	meta:
		name = "TChartEditForm.SEArrowLengthChange"
		size = 102
		refs = "000c TChartEditForm.SEArrowLengthChange 0020 TControl.GetText 0031 TSpinEdit.GetValue 0041 TSeriesMarks.SetArrowLength 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 1B 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 70 05 00 00 8B 40 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8553_0 {
	meta:
		name = "TChartEditForm.SetTabTitle"
		size = 153
		refs = "0007 TChartEditForm.SelectedTitle 0025 TCustomRadioGroup.SetItemIndex 0057 TCustomCheckBox.SetChecked 008b TCustomMemo.SetLines"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8A 46 0C 2C 01 72 08 74 27 FE C8 74 11 EB 31 33 D2 8B 83 3C 04 00 00 E8 ?? ?? ?? ?? EB 22 BA 01 00 00 00 8B 83 3C 04 00 00 E8 ?? ?? ?? ?? EB 10 BA 02 00 00 00 8B 83 3C 04 00 00 E8 ?? ?? ?? ?? 8A 56 14 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 8A 56 1C 8B 83 2C 04 00 00 E8 ?? ?? ?? ?? 8B 83 40 04 00 00 8B 40 50 8B 56 08 8B 08 FF 51 08 C6 83 5D 05 00 00 01 8B 56 10 8B 83 40 04 00 00 E8 ?? ?? ?? ?? C6 83 5D 05 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8554_0 {
	meta:
		name = "TChartEditForm.RefreshWallColorShape"
		size = 32
		refs = "0006 TChartEditForm.SelectedWall 001a TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 04 8B 83 20 04 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8555_0 {
	meta:
		name = "TChartEditForm.SetTabWalls"
		size = 56
		refs = "0016 TCustomCheckBox.SetChecked 001d TChartEditForm.SelectedWall 002b TSpinEdit.SetValue 0032 TChartEditForm.RefreshWallColorShape"
	strings:
		$1 = { 53 8B D8 8B 83 60 05 00 00 8A 90 C9 01 00 00 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B 83 1C 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8556_0 {
	meta:
		name = "TChartEditForm.EnableImageControls"
		size = 179
		refs = "000c TChartEditForm.EnableImageControls 0030 TControl.SetEnabled 005e TeeMsg_ClearImage 0063 LoadResString 0071 TControl.SetText 007b TeeMsg_BrowseImage 00a3 @LStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 60 05 00 00 8B 80 30 02 00 00 83 78 04 00 0F 95 C2 8B 83 44 05 00 00 E8 ?? ?? ?? ?? 8B 83 44 05 00 00 8A 50 45 8B 83 4C 05 00 00 E8 ?? ?? ?? ?? 8B 83 60 05 00 00 8B 80 30 02 00 00 83 78 04 00 74 1D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 48 05 00 00 E8 ?? ?? ?? ?? EB 1B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 48 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8557_0 {
	meta:
		name = "_NF__392"
		size = 282
		refs = "0022 TCustomCheckBox.SetChecked 0035 TControl.SetEnabled 0048 TSpinEdit.SetValue 005d TCustomRadioGroup.SetItemIndex 007c TCustomTeePanel.GetMargin"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 8B 06 8B 98 60 05 00 00 8B 06 8B 80 E4 03 00 00 8A 93 C8 01 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 EC 03 00 00 8A 93 C8 01 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 EC 03 00 00 8B 93 CC 01 00 00 E8 ?? ?? ?? ?? 33 D2 8A 93 2A 02 00 00 8B 06 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 E4 02 00 00 8A 93 D4 01 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 06 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 06 8B 80 D4 02 00 00 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 06 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 06 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 D0 03 00 00 8A 93 29 02 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 D4 03 00 00 8A 93 28 02 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 DC 03 00 00 8B 93 24 02 00 00 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8558_0 {
	meta:
		name = "_NF__393"
		size = 279
		refs = "0025 TSpinEdit.SetValue 0067 TCustomCheckBox.SetChecked 007f TCustomComboBox.SetItemIndex 00d5 TRadioButton.SetChecked 010f TChartEditForm.EnableLegendMarginControls"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 8B 06 8B 98 60 05 00 00 8B 83 B4 01 00 00 8B 50 1C 8B 06 8B 80 0C 03 00 00 E8 ?? ?? ?? ?? 8B 83 B4 01 00 00 8B 50 10 8B 06 8B 80 10 03 00 00 E8 ?? ?? ?? ?? 8B 83 B4 01 00 00 8B 50 44 8B 06 8B 80 34 03 00 00 E8 ?? ?? ?? ?? 8B 83 B4 01 00 00 8A 50 0C 8B 06 8B 80 20 03 00 00 E8 ?? ?? ?? ?? 8B 83 B4 01 00 00 33 D2 8A 50 0D 8B 06 8B 80 18 03 00 00 E8 ?? ?? ?? ?? 8B 83 B4 01 00 00 33 D2 8A 50 0E 8B 06 8B 80 14 03 00 00 E8 ?? ?? ?? ?? 8B 83 B4 01 00 00 8A 50 2C 8B 06 8B 80 00 03 00 00 E8 ?? ?? ?? ?? 8B 83 B4 01 00 00 8A 40 2D 2C 01 72 2E 74 3D FE C8 74 06 FE C8 74 13 EB 42 8B 06 8B 80 00 04 00 00 B2 01 E8 ?? ?? ?? ?? EB 31 8B 06 8B 80 FC 03 00 00 B2 01 E8 ?? ?? ?? ?? EB 20 8B 06 8B 80 F4 03 00 00 B2 01 E8 ?? ?? ?? ?? EB 0F 8B 06 8B 80 F8 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8559_0 {
	meta:
		name = "_NF__394"
		size = 255
		refs = "0024 TCustomRadioGroup.SetItemIndex 0050 TCustomCheckBox.SetChecked 0063 TSpinEdit.SetValue 0093 TChartEditForm.CheckGradientVisible 00c2 TChartEditForm.EnableImageControls 00eb TCustomCheckBox.GetChecked 00f7 TControl.SetEnabled"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 8B 06 8B 98 60 05 00 00 33 D2 8A 93 1C 01 00 00 8B 06 8B 80 44 03 00 00 E8 ?? ?? ?? ?? 33 D2 8A 93 1D 01 00 00 8B 06 8B 80 48 03 00 00 E8 ?? ?? ?? ?? 80 BB 28 01 00 00 01 0F 94 C2 8B 06 8B 80 4C 03 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 50 03 00 00 8B 93 20 01 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 58 03 00 00 8B 93 24 01 00 00 E8 ?? ?? ?? ?? 8B 83 34 02 00 00 8A 50 08 8B 06 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 33 D2 8A 93 2B 02 00 00 8B 06 8B 80 44 05 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 4C 05 00 00 8A 93 2C 02 00 00 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 81 BB B0 01 00 00 00 00 00 80 0F 94 C2 8B 06 8B 80 BC 03 00 00 E8 ?? ?? ?? ?? 8B 06 8B 98 BC 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8560_0 {
	meta:
		name = "_NF__395"
		size = 82
		refs = "0023 TSpinEdit.SetValue 003a TCustomCheckBox.SetChecked 004b TChartEditForm.TheChartPageChange"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 98 60 05 00 00 8B 45 08 8B 40 FC 8B 80 6C 03 00 00 8B 93 08 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 78 03 00 00 8A 93 0C 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 50 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_8561_0 {
	meta:
		name = "_NF__396"
		size = 97
		refs = "0024 TCustomCheckBox.SetChecked 0051 TPageControl.SetActivePage 005a TChartEditForm.PageControlAxisChange"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC 8B 03 8B 80 64 05 00 00 8B 40 04 8A 90 D5 01 00 00 8B 03 8B 80 88 03 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 64 05 00 00 8A 50 0C 8B 03 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? 8B 03 8B 90 F8 01 00 00 8B 03 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? 8B 13 8B 03 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_8562_0 {
	meta:
		name = "TChartEditForm.Notebook1Change"
		size = 310
		refs = "0025 TTabSheet.GetPageIndex 003f _NF__392 0066 _NF__396 008f TChartEditForm.SetTabTitle 00b5 _NF__393 00d9 _NF__394 00fd _NF__395 0123 TChartEditForm.SetTabWalls"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC C6 80 5D 05 00 00 01 8B 45 FC 8B 80 E4 01 00 00 8B 98 44 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 3B F0 75 0C 55 E8 ?? ?? ?? ?? 59 E9 DE 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 3B F0 75 0C 55 E8 ?? ?? ?? ?? 59 E9 B7 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? 3B F0 75 0D 8B 45 FC E8 ?? ?? ?? ?? E9 8F 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 EC 02 00 00 E8 ?? ?? ?? ?? 3B F0 75 09 55 E8 ?? ?? ?? ?? 59 EB 6B 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 38 03 00 00 E8 ?? ?? ?? ?? 3B F0 75 09 55 E8 ?? ?? ?? ?? 59 EB 47 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 5C 03 00 00 E8 ?? ?? ?? ?? 3B F0 75 09 55 E8 ?? ?? ?? ?? 59 EB 23 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 84 03 00 00 E8 ?? ?? ?? ?? 3B D8 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 5D 05 00 00 00 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8563_0 {
	meta:
		name = "TChartEditForm.PageControlAxisChange"
		size = 151
		refs = "0014 TTabSheet.GetPageIndex 002c TChartEditForm.SetAxisLabels 004d TChartEditForm.SetAxisScales 006e TChartEditForm.SetAxisTitle 008f TChartEditForm.SetAxisTicks"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 F4 01 00 00 8B B0 44 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 3B F8 75 09 8B C3 E8 ?? ?? ?? ?? EB 61 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 3B F8 75 09 8B C3 E8 ?? ?? ?? ?? EB 40 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 83 34 02 00 00 E8 ?? ?? ?? ?? 3B F8 75 09 8B C3 E8 ?? ?? ?? ?? EB 1F 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 3B F0 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8564_0 {
	meta:
		name = "TChartEditForm.ProcGetCursors"
		size = 18
	strings:
		$1 = { 8B 80 64 04 00 00 8B 80 18 01 00 00 8B 08 FF 51 34 C3 }
	condition:
		$1
}

rule function_8565_0 {
	meta:
		name = "TChartEditForm.SetTabSeriesGeneral"
		size = 392
		refs = "000f TChartEditForm.SetTabSeriesGeneral 0029 TCustomCheckBox.SetChecked 0034 _NF__248 0042 TControl.SetText 006e TCustomRadioGroup.SetItemIndex 00d8 TStrings.BeginUpdate 00df TCustomComboBox.Clear 00e5 TChartEditForm.ProcGetCursors 00ea GetCursorValues 0105 TStrings.EndUpdate 0117 TeeCursorToIdent 0138 TCustomComboBox.SetItemIndex 0162 @LStrArrayClr 0168 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 70 05 00 00 8A 56 72 8B 83 60 04 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 46 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 74 04 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 46 54 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 78 04 00 00 E8 ?? ?? ?? ?? 80 7E 6C 00 75 0F 33 D2 8B 83 7C 04 00 00 E8 ?? ?? ?? ?? EB 10 BA 01 00 00 00 8B 83 7C 04 00 00 E8 ?? ?? ?? ?? 80 7E 6D 00 75 0F 33 D2 8B 83 80 04 00 00 E8 ?? ?? ?? ?? EB 10 BA 01 00 00 00 8B 83 80 04 00 00 E8 ?? ?? ?? ?? 8B 46 2C 8A 50 0D 8B 83 50 05 00 00 E8 ?? ?? ?? ?? 8B 46 30 8A 50 0D 8B 83 54 05 00 00 E8 ?? ?? ?? ?? 8B B3 64 04 00 00 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 86 18 01 00 00 8B 08 FF 51 34 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 70 05 00 00 0F BF 40 70 E8 ?? ?? ?? ?? 84 C0 74 1F 8B B3 64 04 00 00 8B 86 18 01 00 00 8B 55 FC 8B 08 FF 51 50 8B D0 8B C6 E8 ?? ?? ?? ?? EB 0E 83 CA FF 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 FF FF FF FF 09 00 00 00 63 72 54 65 65 48 61 6E 64 00 00 00 }
	condition:
		$1
}

rule function_8566_0 {
	meta:
		name = "TChartEditForm.PageControlSeriesChange"
		size = 132
		refs = "001b TTabSheet.GetPageIndex 0033 TChartEditForm.SetTabSeriesGeneral 0054 TChartEditForm.SetTabSeriesMarks 0075 TChartEditForm.SetTabSeriesDataSource"
	strings:
		$1 = { 53 56 57 8B D8 C6 83 5D 05 00 00 01 8B 83 4C 04 00 00 8B B0 44 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 3B F8 75 09 8B C3 E8 ?? ?? ?? ?? EB 40 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 83 84 04 00 00 E8 ?? ?? ?? ?? 3B F8 75 09 8B C3 E8 ?? ?? ?? ?? EB 1F 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 83 B8 04 00 00 E8 ?? ?? ?? ?? 3B F0 75 07 8B C3 E8 ?? ?? ?? ?? C6 83 5D 05 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8567_0 {
	meta:
		name = "TChartEditForm.BMarkFontClick"
		size = 35
		refs = "0013 InternalEditFont 001c TSeriesMarks.SetFont"
	strings:
		$1 = { 53 56 8B D8 8B 83 70 05 00 00 8B 70 3C 8B 56 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8568_0 {
	meta:
		name = "TChartEditForm.BMarksFrameClick"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 70 05 00 00 8B 52 3C 8B 52 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8569_0 {
	meta:
		name = "TChartEditForm.BMarkLinColClick"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 70 05 00 00 8B 52 3C 8B 52 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8570_0 {
	meta:
		name = "TChartEditForm.BAxisPenClick"
		size = 15
		refs = "000a EditChartPen"
	strings:
		$1 = { 8B 90 64 05 00 00 8B 52 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8571_0 {
	meta:
		name = "TChartEditForm.CBSeriesCursorChange"
		size = 122
		refs = "0013 TChartEditForm.CBSeriesCursorChange 0026 TCustomComboBox.GetItemIndex 0041 TeeIdentToCursor 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 64 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D F8 8B 86 18 01 00 00 8B 30 FF 56 0C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B 83 70 05 00 00 66 8B 55 FC 66 89 50 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8572_0 {
	meta:
		name = "TChartEditForm.CBView3dClick"
		size = 61
		refs = "0013 TCustomCheckBox.GetChecked 0020 TCustomAxisPanel.SetView3D 0037 TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 2F 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 8B 83 60 05 00 00 8A 90 C8 01 00 00 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8573_0 {
	meta:
		name = "TChartEditForm.RGTitalignClick"
		size = 70
		refs = "000f TChartEditForm.SelectedTitle 002e TChartTitle.SetAlignment"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 38 8B C3 E8 ?? ?? ?? ?? 8B 93 3C 04 00 00 8B 92 24 01 00 00 83 EA 01 72 07 74 0E 4A 74 14 EB 19 33 D2 E8 ?? ?? ?? ?? EB 10 B2 02 E8 ?? ?? ?? ?? EB 07 B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8574_0 {
	meta:
		name = "TChartEditForm.RGVertAxisClick"
		size = 43
		refs = "0018 TChartSeries.SetVertAxis"
	strings:
		$1 = { 8B 90 80 04 00 00 83 BA 24 01 00 00 00 75 0E 33 D2 8B 80 70 05 00 00 E8 ?? ?? ?? ?? C3 B2 01 8B 80 70 05 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8575_0 {
	meta:
		name = "TChartEditForm.BAxisTickPenClick"
		size = 15
		refs = "000a EditChartPen"
	strings:
		$1 = { 8B 90 64 05 00 00 8B 52 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8576_0 {
	meta:
		name = "TChartEditForm.CBShowInLegendClick"
		size = 29
		refs = "000a TCustomCheckBox.GetChecked 0017 TChartSeries.SetShowInLegend"
	strings:
		$1 = { 53 8B D8 8B 83 60 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 70 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8577_0 {
	meta:
		name = "TChartEditForm.SetCurrentDataSource"
		size = 65
		refs = "0006 _NV__230 001b TCustomComboBox.SetItemIndex 0030 TStrings.IndexOfObject"
	strings:
		$1 = { 53 56 57 8B D8 A1 ?? ?? ?? ?? 8B 78 08 85 FF 75 10 83 CA FF 8B 83 CC 04 00 00 E8 ?? ?? ?? ?? EB 1C 8B D7 8B B3 CC 04 00 00 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8578_0 {
	meta:
		name = "TChartEditForm.FillSourceDataSets"
		size = 57
		refs = "0025 TChartEditForm.FillSources 002c TChartEditForm.SetCurrentDataSource"
	strings:
		$1 = { 53 8B D8 8B 83 CC 04 00 00 8B 80 18 01 00 00 8B 10 FF 52 40 8B 83 CC 04 00 00 8B 90 18 01 00 00 B1 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 81 05 00 00 01 5B C3 }
	condition:
		$1
}

rule function_8579_0 {
	meta:
		name = "TChartEditForm.FillSourceSeries"
		size = 127
		refs = "0012 FillTeeFunctions 0038 TChartEditForm.FillSources 003d _NV__230 0052 TCustomListBox.SetItemIndex 0067 TStrings.IndexOfObject 0077 TChartEditForm.SetSelectedSourceSeries"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 E4 04 00 00 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8B 83 F4 04 00 00 8B 80 18 01 00 00 8B 10 FF 52 40 8B 83 F4 04 00 00 8B 90 18 01 00 00 33 C9 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 78 08 85 FF 75 10 83 CA FF 8B 83 F4 04 00 00 E8 ?? ?? ?? ?? EB 1C 8B D7 8B B3 F4 04 00 00 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8580_0 {
	meta:
		name = "TChartEditForm.EnableDataSourceControls"
		size = 90
		refs = "0011 TChartEditForm.SetTabSeriesDatabase 0022 TPageControl.SetActivePage 0031 TChartEditForm.SetTabSeriesFunctions 0052 TControl.SetVisible"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 84 DB 74 1A 8B C6 E8 ?? ?? ?? ?? 8B 96 C4 04 00 00 8B 86 C0 04 00 00 E8 ?? ?? ?? ?? EB 1E 80 3C 24 00 74 18 8B C6 E8 ?? ?? ?? ?? 8B 96 DC 04 00 00 8B 86 C0 04 00 00 E8 ?? ?? ?? ?? 8A 14 24 0A D3 8B 86 C0 04 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8582_0 {
	meta:
		name = "TChartEditForm.SetSelectedSourceDatabase"
		size = 221
		refs = "001d TCustomComboBox.GetItemIndex 0041 TControl.SetEnabled 0055 _NV__230 005a _NF__237 00a3 TChartEditForm.FillFields 00c5 TCustomComboBox.SetItemIndex 00d5 _NF__236"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 D8 04 00 00 8B 80 18 01 00 00 8B 10 FF 52 40 8B 83 CC 04 00 00 E8 ?? ?? ?? ?? 40 74 10 8B 83 BC 04 00 00 E8 ?? ?? ?? ?? 83 F8 03 74 04 33 D2 EB 02 B2 01 8B 83 D8 04 00 00 E8 ?? ?? ?? ?? 8B 83 CC 04 00 00 E8 ?? ?? ?? ?? 40 0F 95 C2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 CC 04 00 00 E8 ?? ?? ?? ?? 40 75 0C A1 ?? ?? ?? ?? 33 D2 89 50 08 EB 2F 8B B3 CC 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 18 01 00 00 8B 08 FF 51 18 8B F8 A1 ?? ?? ?? ?? 89 78 08 85 FF 74 07 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 50 0C 8B B3 D8 04 00 00 8B 86 18 01 00 00 8B 08 FF 51 50 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 93 70 05 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8583_0 {
	meta:
		name = "TChartEditForm.CBListDataSetsChange"
		size = 19
		refs = "0006 TChartEditForm.SetSelectedSourceDatabase"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 81 05 00 00 01 5B C3 }
	condition:
		$1
}

rule function_8584_0 {
	meta:
		name = "_NF__3D5"
		size = 112
		refs = "0012 _NF__3D5 0031 TeeMsg_FieldNotFound 0036 LoadResString 0040 _Dn_ChartException 0045 Exception.CreateFmt 004a @RaiseExcept 005f @LStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 2E 89 5D F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8585_0 {
	meta:
		name = "_NF__3D6"
		size = 168
		refs = "000c _NF__3D6 0023 TChartSeries.ValuesListCount 0032 _NV__230 0040 TCustomComboBox.GetItemIndex 004d TControl.GetText 0055 _NF__3D5 0096 @LStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 70 05 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 FF A1 ?? ?? ?? ?? 8B 44 B8 10 8B 58 08 8B C3 E8 ?? ?? ?? ?? 40 75 12 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 D4 8B 45 08 8B 40 FC 8B 98 D8 04 00 00 8B C3 E8 ?? ?? ?? ?? 40 75 12 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8586_0 {
	meta:
		name = "TChartEditForm.DoApplyChangesDataset"
		size = 400
		refs = "0018 TChartEditForm.DoApplyChangesDataset 0037 _NV__230 004d TCustomComboBox.SetItemIndex 0058 _NF__3D6 0063 TChartSeries.SetDataSource 006b TChartSeries.ValuesListCount 0080 TChartSeries.GetValueList 0093 TCustomComboBox.GetItemIndex 009f TChartValueList.SetValueSource 00b3 TCustomCheckBox.GetChecked 00bc TChartValueList.SetDateTime 00d5 TControl.GetText 0120 @LStrAsg 0134 TChartSeries.SetLabelsSource 0175 @LStrClr 0183 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 70 05 00 00 85 C0 0F 84 27 01 00 00 89 45 F8 A1 ?? ?? ?? ?? 83 78 08 00 75 15 8B 45 FC 8B 80 BC 04 00 00 33 D2 E8 ?? ?? ?? ?? E9 04 01 00 00 55 E8 ?? ?? ?? ?? 59 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 52 40 89 45 F4 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 8B 5C B8 10 8B 43 08 E8 ?? ?? ?? ?? 40 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 0A 8B 53 04 8B C6 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 47 FF 4D F4 75 B4 8B 45 FC 8B 98 D8 04 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 83 18 01 00 00 8B 08 FF 51 50 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 74 30 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D EC 8B 83 18 01 00 00 8B 30 FF 56 0C 8B 55 EC A1 ?? ?? ?? ?? 83 C0 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 40 75 0C 33 D2 8B 45 F8 E8 ?? ?? ?? ?? EB 10 A1 ?? ?? ?? ?? 8B 50 0C 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC C6 80 81 05 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8587_0 {
	meta:
		name = "TChartEditForm.CBDateTimeClick"
		size = 8
	strings:
		$1 = { C6 80 81 05 00 00 01 C3 }
	condition:
		$1
}

rule function_8588_0 {
	meta:
		name = "TChartEditForm.CBValuesChange"
		size = 189
		refs = "0016 TChartEditForm.CBValuesChange 0025 _NV__230 0030 TCustomComboBox.GetItemIndex 003b @LStrClr 005f @LStrAsg 0067 TCustomCheckBox.GetChecked 0081 TChartEditForm.IsDateTimeSource 008c TCustomCheckBox.SetChecked 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C 8B 15 ?? ?? ?? ?? 8B 5C 82 10 8B C6 E8 ?? ?? ?? ?? 40 75 0A 8D 43 04 E8 ?? ?? ?? ?? EB 22 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D F4 8B 86 18 01 00 00 8B 30 FF 56 0C 8B 55 F4 8D 43 04 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 88 45 FB 8D 45 FB 50 A1 ?? ?? ?? ?? 8B 50 08 8B 4B 04 8B 45 FC E8 ?? ?? ?? ?? 8A 55 FB 8B 43 10 E8 ?? ?? ?? ?? 8B 45 FC C6 80 81 05 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8589_0 {
	meta:
		name = "TChartEditForm.CBLabelsFieldChange"
		size = 138
		refs = "000d TChartEditForm.CBLabelsFieldChange 001e TCustomComboBox.GetItemIndex 0026 _NV__230 002e @LStrClr 005d @LStrAsg 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D8 04 00 00 E8 ?? ?? ?? ?? 40 75 0F A1 ?? ?? ?? ?? 83 C0 0C E8 ?? ?? ?? ?? EB 2D 8B B3 D8 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B 86 18 01 00 00 8B 30 FF 56 0C 8B 55 FC A1 ?? ?? ?? ?? 83 C0 0C E8 ?? ?? ?? ?? C6 83 81 05 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8590_0 {
	meta:
		name = "TChartEditForm.CBTickOnLabelsClick"
		size = 38
		refs = "0013 TCustomCheckBox.GetChecked 0020 TChartAxis.SetTickOnLabelsOnly"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 18 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 64 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8592_0 {
	meta:
		name = "TChartEditForm.FillFields"
		size = 20
	strings:
		$1 = { 53 83 B8 88 05 00 00 00 74 08 8B D8 FF 93 88 05 00 00 5B C3 }
	condition:
		$1
}

rule function_8593_0 {
	meta:
		name = "TChartEditForm.AddComponentDataSource"
		size = 304
		refs = "0017 TChartEditForm.AddComponentDataSource 0033 TList.IndexOf 0043 TChartEditForm.IsValidComponentSource 0074 _Dn_TChartSeries 0079 @IsClass 0090 @LStrLAsg 00e7 @LStrCatN 010e @LStrArrayClr 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 75 17 8B 83 70 05 00 00 8B 40 60 8B D6 E8 ?? ?? ?? ?? 40 0F 85 BA 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A9 00 00 00 8B 83 70 05 00 00 8B 40 40 8B CE 8B 93 70 05 00 00 8B 38 FF 97 C8 00 00 00 84 C0 0F 84 88 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B FE 83 7F 4C 00 74 0D 8D 45 F8 8B 56 4C E8 ?? ?? ?? ?? EB 18 8D 45 F8 8B 57 08 E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 56 08 E8 ?? ?? ?? ?? 8B 83 70 05 00 00 8B 40 04 8B 7E 04 3B C7 74 2D 85 FF 74 29 8D 45 F4 8B 57 08 E8 ?? ?? ?? ?? 83 7D F4 00 74 18 FF 75 F4 68 ?? ?? ?? ?? FF 75 F8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B CE 8B 55 F8 8B 45 FC 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_8594_0 {
	meta:
		name = "_NF__3EF"
		size = 73
		refs = "000f TComponent.GetComponentCount 0029 TComponent.GetComponent 003c TChartEditForm.AddComponentDataSource"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 85 FF 74 38 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2A 43 33 F6 8B 45 08 8A 40 F7 50 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 46 4B 75 D9 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8595_0 {
	meta:
		name = "TChartEditForm.FillSources"
		size = 164
		refs = "0031 TChartEditForm.AddComponentDataSource 0047 Screen 004e TScreen.GetDataModuleCount 0067 TScreen.GetDataModule 006c _NF__3EF"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 89 55 F8 89 45 FC 8B 45 FC 8B 80 70 05 00 00 F6 40 20 10 74 26 8B 55 FC 83 BA 84 05 00 00 00 74 1A 8B 55 FC 52 68 ?? ?? ?? ?? 8B 5D FC 8A 4D F7 8B 55 F8 FF 93 84 05 00 00 EB 58 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 F6 55 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 E7 55 8B 45 FC 8B 80 70 05 00 00 8B 40 40 8B 40 04 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 70 05 00 00 8B 40 40 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8596_0 {
	meta:
		name = "TChartEditForm.IsValidComponentSource"
		size = 91
		refs = "000e TCustomComboBox.GetItemIndex 001b _Dn_TChartSeries 0020 @IsClass"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 86 BC 04 00 00 E8 ?? ?? ?? ?? 83 F8 02 75 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 75 23 8B 86 BC 04 00 00 E8 ?? ?? ?? ?? 83 F8 03 75 13 83 BE 90 05 00 00 00 74 0A 8B C7 FF 96 90 05 00 00 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8597_0 {
	meta:
		name = "TChartEditForm.RGMarkStyleClick"
		size = 27
		refs = "0016 TSeriesMarks.SetStyle"
	strings:
		$1 = { 8B 90 9C 04 00 00 8A 92 24 01 00 00 8B 80 70 05 00 00 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8598_0 {
	meta:
		name = "TChartEditForm.RGPanningClick"
		size = 34
	strings:
		$1 = { 80 B8 5D 05 00 00 00 75 18 8B 90 C0 03 00 00 8A 92 24 01 00 00 8B 80 60 05 00 00 88 90 2A 02 00 00 C3 }
	condition:
		$1
}

rule function_8599_0 {
	meta:
		name = "TChartEditForm.FormClose"
		size = 26
		refs = "0004 _NV__230 0009 TObject.Free"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 78 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8600_0 {
	meta:
		name = "TChartEditForm.SHWallColorMouseUp"
		size = 48
		refs = "000a TChartEditForm.SelectedWall 0016 EditColor 001f TChartWall.SetColor 0026 TChartEditForm.RefreshWallColorShape"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_8601_0 {
	meta:
		name = "TChartEditForm.TabSubWallsChange"
		size = 26
		refs = "000d TChartEditForm.SetTabWalls"
	strings:
		$1 = { 53 8B D8 C6 83 5D 05 00 00 01 8B C3 E8 ?? ?? ?? ?? C6 83 5D 05 00 00 00 5B C3 }
	condition:
		$1
}

rule function_8602_0 {
	meta:
		name = "TChartEditForm.SEAniZoomStepsChange"
		size = 38
		refs = "0013 TSpinEdit.GetValue 0020 TCustomChart.SetAnimatedZoomSteps"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 18 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8603_0 {
	meta:
		name = "TChartEditForm.RBLegendTopClick"
		size = 40
		refs = "001b TCustomChartLegend.SetAlignment 0022 TChartEditForm.EnableLegendMarginControls"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 1A 8B 83 60 05 00 00 8B 80 B4 01 00 00 B2 02 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8604_0 {
	meta:
		name = "TChartEditForm.RBLegendLeftClick"
		size = 40
		refs = "001b TCustomChartLegend.SetAlignment 0022 TChartEditForm.EnableLegendMarginControls"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 1A 8B 83 60 05 00 00 8B 80 B4 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8605_0 {
	meta:
		name = "TChartEditForm.RBLegendRightClick"
		size = 40
		refs = "001b TCustomChartLegend.SetAlignment 0022 TChartEditForm.EnableLegendMarginControls"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 1A 8B 83 60 05 00 00 8B 80 B4 01 00 00 B2 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8606_0 {
	meta:
		name = "TChartEditForm.RBLegendBottomClick"
		size = 40
		refs = "001b TCustomChartLegend.SetAlignment 0022 TChartEditForm.EnableLegendMarginControls"
	strings:
		$1 = { 53 8B D8 80 BB 5D 05 00 00 00 75 1A 8B 83 60 05 00 00 8B 80 B4 01 00 00 B2 03 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8607_0 {
	meta:
		name = "TChartEditForm.CheckApplyChanges"
		size = 30
		refs = "000a TChartEditForm.DoApplyChangesDataset 0019 TChartEditForm.DoApplyChangesFunction"
	strings:
		$1 = { 80 B8 81 05 00 00 00 74 06 E8 ?? ?? ?? ?? C3 80 B8 80 05 00 00 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8608_0 {
	meta:
		name = "TChartEditForm.BCloseClick"
		size = 22
		refs = "0006 TChartEditForm.CheckApplyChanges"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 50 01 00 00 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_8609_0 {
	meta:
		name = "_NF__41F"
		size = 44
		refs = "0004 Screen 000d TScreen.SetCursor 0016 _NF__41F 001f MessageDlg"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 6A 00 66 8B 0D ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 0B 00 00 00 }
	condition:
		$1
}

rule function_8610_0 {
	meta:
		name = "TChartEditForm.PageControlSeriesChanging"
		size = 283
		refs = "0010 TChartEditForm.PageControlSeriesChanging 004f TeeMsg_SureToApply 0054 LoadResString 005c _NF__41F 0087 TChartEditForm.DoApplyChangesDataset 0090 TChartEditForm.DoApplyChangesFunction 00a2 @HandleOnException 00aa _Dn_Exception 00b4 Application 00bc TApplication.ShowException 00c1 @DoneExcept 0109 @LStrClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 06 00 8B 83 4C 04 00 00 8B 80 44 01 00 00 3B 83 B8 04 00 00 0F 85 C0 00 00 00 80 BB 81 05 00 00 00 75 0D 80 BB 80 05 00 00 00 0F 84 8F 00 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 E8 06 74 08 48 74 5F E9 8B 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 BB 81 05 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? C6 06 01 33 C0 5A 59 59 64 89 10 EB 57 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 92 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 C6 83 81 05 00 00 00 C6 83 80 05 00 00 00 C6 06 01 EB 1E 3B 93 48 04 00 00 75 0E 83 BB 70 05 00 00 00 75 05 C6 06 00 EB 08 C6 06 01 EB 03 C6 06 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8613_0 {
	meta:
		name = "TChartEditForm.EnableListButtons"
		size = 111
		refs = "0020 TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 F4 04 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 85 C0 0F 9F C2 8B 83 FC 04 00 00 E8 ?? ?? ?? ?? 8B 83 FC 04 00 00 8A 50 45 8B 83 00 05 00 00 E8 ?? ?? ?? ?? 8B 83 F8 04 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 85 C0 0F 9F C2 8B 83 04 05 00 00 E8 ?? ?? ?? ?? 8B 83 04 05 00 00 8A 50 45 8B 83 08 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8614_0 {
	meta:
		name = "TChartEditForm.BRightOneClick"
		size = 36
		refs = "0010 MoveList 0017 TChartEditForm.EnableListButtons"
	strings:
		$1 = { 53 8B D8 8B 93 F8 04 00 00 8B 83 F4 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 80 05 00 00 01 5B C3 }
	condition:
		$1
}

rule function_8616_0 {
	meta:
		name = "TChartEditForm.BRightAllClick"
		size = 36
		refs = "0010 MoveListAll 0017 TChartEditForm.EnableListButtons"
	strings:
		$1 = { 53 8B D8 8B 93 F8 04 00 00 8B 83 F4 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 80 05 00 00 01 5B C3 }
	condition:
		$1
}

rule function_8615_0 {
	meta:
		name = "TChartEditForm.BLeftOneClick"
		size = 36
		refs = "0010 MoveList 0017 TChartEditForm.EnableListButtons"
	strings:
		$1 = { 53 8B D8 8B 93 F4 04 00 00 8B 83 F8 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 80 05 00 00 01 5B C3 }
	condition:
		$1
}

rule function_8617_0 {
	meta:
		name = "TChartEditForm.BLeftAllClick"
		size = 36
		refs = "0010 MoveListAll 0017 TChartEditForm.EnableListButtons"
	strings:
		$1 = { 53 8B D8 8B 93 F4 04 00 00 8B 83 F8 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 80 05 00 00 01 5B C3 }
	condition:
		$1
}

rule function_8620_0 {
	meta:
		name = "TChartEditForm.CBFunctionsChange"
		size = 8
	strings:
		$1 = { C6 80 80 05 00 00 01 C3 }
	condition:
		$1
}

rule function_8621_0 {
	meta:
		name = "TChartEditForm.DoApplyChangesFunction"
		size = 375
		refs = "0025 TChartSeries.SetDataSource 0067 TChartSeries.CheckOtherSeries 0095 TList.Get 00a0 TChartSeries.RemoveLinkedSeries 00ac TList.Clear 00e6 TList.Add 00f3 TChartSeries.AddLinkedSeries 0102 TCustomComboBox.GetItemIndex 0136 TObject.ClassType 0147 CreateNewTeeFunction 0154 TChartSeries.CheckDataSource"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 83 F8 04 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 85 C0 75 12 33 D2 8B 83 70 05 00 00 E8 ?? ?? ?? ?? E9 CD 00 00 00 8B 83 F8 04 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 29 46 33 FF 8B 83 F8 04 00 00 8B 80 18 01 00 00 8B D7 8B 08 FF 51 18 8B E8 8B D5 8B 83 70 05 00 00 E8 ?? ?? ?? ?? 47 4E 75 DA 8B 83 70 05 00 00 8B 40 60 89 04 24 8B 04 24 8B 70 08 4E 85 F6 7C 22 46 33 FF 8B 83 70 05 00 00 8B 40 60 8B D7 E8 ?? ?? ?? ?? 8B 93 70 05 00 00 E8 ?? ?? ?? ?? 47 4E 75 E1 8B 04 24 E8 ?? ?? ?? ?? 8B 83 F8 04 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 33 46 33 FF 8B 83 F8 04 00 00 8B 80 18 01 00 00 8B D7 8B 08 FF 51 18 8B E8 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B 93 70 05 00 00 8B C5 E8 ?? ?? ?? ?? 47 4E 75 D0 8B 83 E4 04 00 00 E8 ?? ?? ?? ?? 85 C0 7E 50 8B B3 E4 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 18 01 00 00 8B 08 FF 51 18 8B F0 8B 83 70 05 00 00 8B 78 74 85 FF 74 0B 8B C7 E8 ?? ?? ?? ?? 3B F0 74 0F 8B D6 8B 83 70 05 00 00 E8 ?? ?? ?? ?? EB 1D 8B 83 70 05 00 00 E8 ?? ?? ?? ?? EB 10 33 D2 8B 83 70 05 00 00 8B 08 FF 91 04 01 00 00 C6 83 80 05 00 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8622_0 {
	meta:
		name = "TChartEditForm.GetSelectedSource"
		size = 9
		refs = "0001 _NV__230"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 40 08 C3 }
	condition:
		$1
}

rule function_8623_0 {
	meta:
		name = "TChartEditForm.GetSourceCombo"
		size = 13
		refs = "0001 _NV__230"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 44 90 10 8B 40 08 C3 }
	condition:
		$1
}

rule function_8624_0 {
	meta:
		name = "TChartEditForm.Button1Click"
		size = 21
		refs = "0010 EditChartPen"
	strings:
		$1 = { 8B 90 60 05 00 00 8B 92 B4 01 00 00 8B 52 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8625_0 {
	meta:
		name = "TChartEditForm.CBDataSourcestyleChange"
		size = 231
		refs = "000b TCustomComboBox.GetItemIndex 002e TControl.SetVisible 0058 _NV__230 005d _NF__239 0068 TChartEditForm.EnableDataSourceControls 0075 TChartSeries.SetDataSource"
	strings:
		$1 = { 53 56 8B D8 8B 83 BC 04 00 00 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 83 BC 04 00 00 E8 ?? ?? ?? ?? 48 75 04 33 D2 EB 02 B2 01 8B 83 C0 04 00 00 E8 ?? ?? ?? ?? 8B 83 BC 04 00 00 E8 ?? ?? ?? ?? 83 E8 01 72 15 74 46 48 0F 84 80 00 00 00 48 0F 84 87 00 00 00 E9 8D 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 70 05 00 00 E8 ?? ?? ?? ?? 8B 83 70 05 00 00 8B 10 FF 92 88 00 00 00 5E 5B C3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 70 05 00 00 E8 ?? ?? ?? ?? 8B B3 70 05 00 00 8B C6 8B 10 FF 92 80 00 00 00 8B D0 8B C6 8B 08 FF 91 84 00 00 00 5E 5B C3 B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8627_0 {
	meta:
		name = "_NF__453"
		size = 332
		refs = "000b _NF__453 0030 GetClass 0069 TCustomForm.SetPosition 0072 TCustomForm.SetBorderStyle 007f TCustomForm.SetBorderIcons 00a9 TControl.GetClientWidth 00c2 TControl.SetLeft 00ca TControl.GetClientHeight 00ee MinLong 00f7 TControl.SetTop 00fe TCustomForm.Show 0111 TObject.Free 0134 @LStrClr 013a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 8B 40 FC 8B 80 70 05 00 00 8B 08 FF 91 AC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 C6 00 00 00 8B 45 08 8B 40 FC 8B 88 48 04 00 00 B2 01 8B C3 FF 50 24 8B F0 8B 45 08 8B 40 FC 89 B0 78 05 00 00 8B 45 08 8B DE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 70 05 00 00 89 43 0C 8B 45 08 8B 40 FC 8B 90 50 04 00 00 8B C3 8B 08 FF 51 3C 8B 43 24 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 D1 FA 79 03 83 D2 00 8B C3 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 92 2B C2 99 33 C2 2B C2 8B D0 D1 FA 79 03 83 D2 00 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 1F 8B 45 08 8B 40 FC 8B 80 78 05 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 89 90 78 05 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8628_0 {
	meta:
		name = "_NF__454"
		size = 62
		refs = "0012 TControl.SetVisible 0025 TControl.SetText"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 10 05 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 14 05 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 4C 04 00 00 33 D2 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_8629_0 {
	meta:
		name = "TChartEditForm.CBSeriesChange"
		size = 728
		refs = "0017 TChartEditForm.CBSeriesChange 0025 TChartEditForm.CheckApplyChanges 0035 TCustomComboBox.GetItemIndex 0085 _Dn_TBitmap 008a TBitmap.Create 00db TObject.Free 00e1 @HandleFinally 00f4 GetGallerySeriesName 0115 @LStrCatN 0126 TControl.SetText 0136 TControl.SetVisible 0178 TTabSheet.SetTabVisible 01ac TPageControl.SetActivePage 01ca TChartEditForm.PageControlSeriesChange 0231 _NF__453 023a TChartEditForm.SetTabSeriesDataSource 028d TCustomCheckBox.SetChecked 0295 _NF__454 02b9 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D F0 89 4D EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 0C 05 00 00 8B C3 E8 ?? ?? ?? ?? 40 0F 84 5C 02 00 00 8B 45 FC 8B 80 4C 04 00 00 8B 80 44 01 00 00 89 45 F4 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 0C 05 00 00 8B 80 18 01 00 00 8B 08 FF 51 18 8B F0 8B 45 FC 89 B0 70 05 00 00 85 F6 0F 84 11 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 70 05 00 00 8B 55 F8 8B 08 FF 91 0C 01 00 00 8B 45 FC 8B 80 10 05 00 00 8B 80 B8 00 00 00 8B 55 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 EC 8B 45 FC 8B 80 70 05 00 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 FC 8B 80 70 05 00 00 FF 70 08 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 80 14 05 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 10 05 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 4C 04 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 05 00 00 F6 40 78 01 75 0F 8B 45 FC 8B 80 70 05 00 00 F6 40 78 20 74 04 33 D2 EB 02 B2 01 8B 45 FC 8B 80 B8 04 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 74 17 8B 45 FC 8B 80 B8 04 00 00 3B 45 F4 75 22 80 B8 1C 01 00 00 00 75 19 8B 45 FC 8B 90 50 04 00 00 8B 45 FC 8B 80 4C 04 00 00 E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 80 4C 04 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 05 00 00 8B 10 FF 92 00 01 00 00 8B D8 8B 45 FC 8B 80 7C 04 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 04 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 50 05 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 54 05 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 05 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 5C 05 00 00 00 74 0F 8B 45 FC 8B 80 70 05 00 00 F6 40 78 01 74 04 33 D2 EB 02 B2 01 8B 45 FC 8B 80 58 05 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 58 05 00 00 80 78 44 00 74 27 8B 55 FC 8B 92 70 05 00 00 F6 42 78 10 0F 95 C2 E8 ?? ?? ?? ?? EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 FF FF FF FF 02 00 00 00 3A 20 00 00 }
	condition:
		$1
}

rule function_8630_0 {
	meta:
		name = "TChartEditForm.SelectedSeriesIndex"
		size = 12
		refs = "0007 TCustomListBox.GetItemIndex"
	strings:
		$1 = { 8B 80 18 05 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8631_0 {
	meta:
		name = "TChartEditForm.RefreshButtons"
		size = 394
		refs = "000d TCustomAxisPanel.SeriesCount 001d TChartEditForm.SelectedSeriesIndex 002a TCustomAxisPanel.GetSeries 0058 TControl.SetEnabled 0097 TCustomListBox.GetSelCount"
	strings:
		$1 = { 53 56 57 51 8B F0 8B 86 60 05 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C3 84 DB 74 18 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 60 05 00 00 E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 84 DB 74 06 F6 47 20 20 75 04 33 C0 EB 02 B0 01 88 04 24 F6 86 82 05 00 00 01 0F 95 C2 8B 86 28 05 00 00 E8 ?? ?? ?? ?? 84 DB 74 1B 80 3C 24 00 75 15 F6 86 82 05 00 00 02 74 0C F6 47 78 01 75 06 F6 47 78 04 74 04 33 D2 EB 02 B2 01 8B 86 2C 05 00 00 E8 ?? ?? ?? ?? 84 DB 74 10 8B 86 18 05 00 00 E8 ?? ?? ?? ?? 83 F8 02 7C 04 33 D2 EB 02 B2 01 8B 86 30 05 00 00 E8 ?? ?? ?? ?? 84 DB 74 15 80 3C 24 00 75 0F F6 86 82 05 00 00 04 74 06 F6 47 78 02 74 04 33 D2 EB 02 B2 01 8B 86 38 05 00 00 E8 ?? ?? ?? ?? 84 DB 74 25 8B 86 18 05 00 00 E8 ?? ?? ?? ?? 83 F8 02 7D 15 F6 86 82 05 00 00 08 74 0C F6 47 78 01 75 06 F6 47 78 08 74 04 33 D2 EB 02 B2 01 8B 86 34 05 00 00 E8 ?? ?? ?? ?? 84 DB 74 52 8B 86 18 05 00 00 E8 ?? ?? ?? ?? 48 7F 44 8B 86 18 05 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 8B D8 4B 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 9F C2 8B 86 24 05 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 9F C2 8B 86 20 05 00 00 E8 ?? ?? ?? ?? EB 1A 33 D2 8B 86 24 05 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 20 05 00 00 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8632_0 {
	meta:
		name = "TChartEditForm.SwapSeries"
		size = 118
		refs = "003f TCustomChart.ExchangeSeries 004c TCustomForm.SetActiveControl 005b TCustomListBox.SetSelected 006d TChartEditForm.RefreshButtons"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 8B AB 18 05 00 00 8B 85 18 01 00 00 8B CE 8B D7 8B 28 FF 55 48 8B 83 0C 05 00 00 8B 80 18 01 00 00 8B CE 8B D7 8B 28 FF 55 48 8B CE 8B D7 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 8B 93 18 05 00 00 8B C3 E8 ?? ?? ?? ?? B1 01 8B D6 8B 83 18 05 00 00 E8 ?? ?? ?? ?? 8B 83 18 05 00 00 8B 10 FF 52 48 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8633_0 {
	meta:
		name = "TChartEditForm.BMoveUPClick"
		size = 50
		refs = "000d TCustomListBox.GetItemIndex 002b TChartEditForm.SwapSeries"
	strings:
		$1 = { 53 56 8B F0 8B 9E 18 05 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 1A 8B C3 E8 ?? ?? ?? ?? 48 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8634_0 {
	meta:
		name = "TChartEditForm.BMoveDownClick"
		size = 76
		refs = "000e TCustomListBox.GetItemIndex 0026 TChartEditForm.SelectedSeriesIndex 0044 TChartEditForm.SwapSeries"
	strings:
		$1 = { 53 56 57 8B F0 8B 9E 18 05 00 00 8B C3 E8 ?? ?? ?? ?? 40 74 33 8B 83 18 01 00 00 8B 10 FF 52 14 8B F8 4F 8B C6 E8 ?? ?? ?? ?? 3B F8 7E 1A 8B C3 E8 ?? ?? ?? ?? 40 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8635_0 {
	meta:
		name = "TChartEditForm.SelectedSeries"
		size = 80
		refs = "000b TCustomListBox.GetItemIndex 0026 TCustomAxisPanel.SeriesCount"
	strings:
		$1 = { 53 56 8B D8 8B 83 18 05 00 00 E8 ?? ?? ?? ?? 40 74 39 8B 83 18 05 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 3B F0 7D 1D 8B B3 18 05 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 18 01 00 00 8B 08 FF 51 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_8636_0 {
	meta:
		name = "TChartEditForm.FillSeries"
		size = 322
		refs = "0017 TChartEditForm.FillSeries 0057 TCustomAxisPanel.SeriesCount 0072 TCustomAxisPanel.GetSeries 0085 @LStrLAsg 0104 TCustomListBox.SetSelected 0113 TControl.SetVisible 011a TChartEditForm.RefreshButtons 012f @LStrClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 60 05 00 00 89 45 EC 8B 86 18 05 00 00 8B 80 18 01 00 00 8B 10 FF 52 40 8B 86 0C 05 00 00 8B 80 18 01 00 00 8B 10 FF 52 40 C7 45 F4 FF FF FF FF 8B 45 EC E8 ?? ?? ?? ?? 48 85 C0 7C 7B 40 89 45 E8 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B D8 83 7B 4C 00 74 0D 8D 45 F0 8B 53 4C E8 ?? ?? ?? ?? EB 0B 8D 45 F0 8B 53 08 E8 ?? ?? ?? ?? 8B 86 18 05 00 00 8B 80 18 01 00 00 8B CB 8B 55 F0 8B 38 FF 57 38 8B 86 0C 05 00 00 8B 80 18 01 00 00 8B CB 8B 55 F0 8B 38 FF 57 38 83 7D FC 00 74 0B 3B 5D FC 75 06 8B 45 F8 89 45 F4 FF 45 F8 FF 4D E8 75 90 83 7D F4 FF 75 11 8B 45 EC E8 ?? ?? ?? ?? 85 C0 7E 05 33 C0 89 45 F4 83 7D F4 FF 74 12 B1 01 8B 55 F4 8B 86 18 05 00 00 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 86 4C 04 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8637_0 {
	meta:
		name = "TChartEditForm.BAddSeriesClick"
		size = 117
		refs = "000b TChartEditForm.SelectedSeries 0021 CreateNewSeriesGallery 0030 TChartEditForm.FillSeries 0043 TChartEditForm.SetTabSeries 0054 TPageControl.SetActivePage 006e TChartEditForm.PageControlSeriesChange"
	strings:
		$1 = { 53 56 8B D8 6A 01 6A 01 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 8B 40 04 8B 8B 60 05 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 47 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 74 00 74 38 89 B3 70 05 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 48 04 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 93 B8 04 00 00 8B 83 4C 04 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8638_0 {
	meta:
		name = "TChartEditForm.BDeleteSeriesClick"
		size = 384
		refs = "001a TChartEditForm.BDeleteSeriesClick 002b TCustomListBox.GetSelCount 0048 TChartEditForm.SelectedSeries 0053 @LStrLAsg 005d TeeMsg_SelectedSeries 0062 LoadResString 0070 TeeMsg_SureToDeleteSeries 008e Format 009f MessageDlg 00dd TCustomListBox.GetSelected 00ee TCustomAxisPanel.GetSeries 00f3 TObject.Free 00fe TCustomAxisPanel.SeriesCount 014e TChartEditForm.FillSeries 0168 @LStrArrayClr 016e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F0 89 4D EC 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 18 05 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 1B 01 00 00 8B 83 18 05 00 00 E8 ?? ?? ?? ?? 48 75 14 8B C3 E8 ?? ?? ?? ?? 8B 50 08 8D 45 F4 E8 ?? ?? ?? ?? EB 0D 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F4 89 45 E4 C6 45 E8 0B 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F0 66 8B 0D ?? ?? ?? ?? B2 03 E8 ?? ?? ?? ?? 83 F8 06 0F 85 A6 00 00 00 33 C0 89 45 FC 33 F6 8B 83 18 05 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 7D 47 C7 45 F8 00 00 00 00 8B 55 F8 8B 83 18 05 00 00 E8 ?? ?? ?? ?? 84 C0 74 5C 8B D6 8B 83 60 05 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 48 3B F0 7E 0E 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 21 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 3B F0 7D 12 8B D6 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 89 45 FC EB 08 33 C0 89 45 FC EB 01 46 FF 45 F8 4F 75 8B 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_8639_0 {
	meta:
		name = "TChartEditForm.BRenameSeriesClick"
		size = 275
		refs = "0012 TChartEditForm.BRenameSeriesClick 0023 TCustomListBox.GetItemIndex 0035 TChartEditForm.SelectedSeries 0042 @LStrLAsg 005b TeeMsg_NewSeriesTitle 0060 LoadResString 006c TeeMsg_ChangeSeriesTitle 007d InputQuery 0092 @LStrCmp 009e TChartSeries.SetTitle 00d7 TCustomForm.SetActiveControl 00e6 TCustomListBox.SetSelected 0100 @LStrArrayClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 18 05 00 00 E8 ?? ?? ?? ?? 8B F0 83 FE FF 0F 84 B8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B 57 4C E8 ?? ?? ?? ?? 83 7D FC 00 75 0B 8D 45 FC 8B 57 08 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 4D FC 5A E8 ?? ?? ?? ?? 84 C0 74 49 83 7D FC 00 74 43 8B 45 FC 8B 57 08 E8 ?? ?? ?? ?? 74 0A 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 83 18 05 00 00 8B 80 18 01 00 00 8B 4D FC 8B D6 8B 38 FF 57 20 8B 83 0C 05 00 00 8B 80 18 01 00 00 8B 4D FC 8B D6 8B 38 FF 57 20 8B 93 18 05 00 00 8B C3 E8 ?? ?? ?? ?? B1 01 8B D6 8B 83 18 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8640_0 {
	meta:
		name = "TChartEditForm.BCloneSeriesClick"
		size = 40
		refs = "000a TCustomListBox.GetItemIndex 0014 TChartEditForm.SelectedSeries 0019 CloneChartSeries 0022 TChartEditForm.FillSeries"
	strings:
		$1 = { 53 8B D8 8B 83 18 05 00 00 E8 ?? ?? ?? ?? 40 74 15 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8641_0 {
	meta:
		name = "TChartEditForm.BChangeTypeSeriesClick"
		size = 157
		refs = "0010 TCustomListBox.GetSelCount 0044 TCustomListBox.GetSelected 0055 TCustomAxisPanel.GetSeries 0069 ChangeSeriesTypeGallery 0071 TObject.ClassType 0084 ChangeSeriesType 0092 TChartEditForm.FillSeries"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E8 8B 85 18 05 00 00 E8 ?? ?? ?? ?? 85 C0 7E 7E B3 01 33 C0 89 44 24 04 8B 85 18 05 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 54 47 33 F6 8B D6 8B 85 18 05 00 00 E8 ?? ?? ?? ?? 84 C0 74 3C 8B D6 8B 85 60 05 00 00 E8 ?? ?? ?? ?? 89 04 24 84 DB 74 1D 8B D4 8B 04 24 8B 40 04 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 04 33 DB EB 0B 8B C4 8B 54 24 04 E8 ?? ?? ?? ?? 46 4F 75 AF 8B 14 24 8B C5 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8642_0 {
	meta:
		name = "TChartEditForm.SeriesAtMousePos"
		size = 62
		refs = "000b GetCursorPos 001a TControl.ScreenToClient 0035 TCustomListBox.ItemAtPos"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 53 E8 ?? ?? ?? ?? 8B CC 8B D3 8B 86 18 05 00 00 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 8B D3 B1 01 8B 86 18 05 00 00 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8643_0 {
	meta:
		name = "TChartEditForm.PointInSection"
		size = 77
		refs = "0019 THeaderSections.GetItem 001e THeaderSection.GetLeft"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B 83 1C 05 00 00 8B 80 18 01 00 00 8B D5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 3B 37 7D 1A 8B 83 1C 05 00 00 8B 80 18 01 00 00 8B D5 E8 ?? ?? ?? ?? 03 70 10 3B 37 7F 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8644_0 {
	meta:
		name = "TChartEditForm.LBSeriesDblClick"
		size = 178
		refs = "0013 TChartEditForm.SeriesAtMousePos 002b TCustomListBox.GetSelected 003a TChartEditForm.PointInSection 0047 TChartEditForm.BChangeTypeSeriesClick 0068 TCustomAxisPanel.GetSeries 007a EditColor 00a9 TChartEditForm.BEditSeriesClick"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 C6 83 83 05 00 00 01 8B D4 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 0F 84 8B 00 00 00 8B D6 8B 83 18 05 00 00 E8 ?? ?? ?? ?? 84 C0 74 7A 8B D4 33 C9 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C3 E8 ?? ?? ?? ?? EB 60 8B D4 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 8B D6 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 8B F0 80 7E 48 00 75 39 8B 56 44 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 4C 8B 83 18 05 00 00 8B 10 FF 52 48 EB 19 8B D4 B9 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8645_0 {
	meta:
		name = "TChartEditForm.LBSeriesDragDrop"
		size = 92
		refs = "0012 TCustomListBox.GetItemIndex 002d Point 0039 TCustomListBox.ItemAtPos 0050 TChartEditForm.SwapSeries"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B DA 89 45 FC 8B F3 8B C6 E8 ?? ?? ?? ?? 40 74 3B 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8D 4D F0 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? 8D 55 F0 B1 01 8B C6 E8 ?? ?? ?? ?? 83 F8 FF 74 12 3B 45 F8 74 0D 8B C8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8646_0 {
	meta:
		name = "TChartEditForm.LBSeriesDrawItem"
		size = 925
		refs = "0027 TChartEditForm.LBSeriesDrawItem 0050 TCustomAxisPanel.GetSeries 0069 TBrush.SetColor 0086 TCanvas.FillRect 00b0 TBrush.SetStyle 00db THeaderSections.GetItem 00e0 THeaderSection.GetLeft 0133 _Dn_TBitmap 0138 TBitmap.Create 016b TCanvas.Draw 0180 TObject.Free 0186 @HandleFinally 01e8 Rect 01f5 InflateRect 0242 TCustomTeePanel.SetInternalCanvas 02db TCustomCheckBox.SetChecked 02e7 TCanvas.GetHandle 02f3 TWinControl.PaintTo 0329 TFont.SetColor 0373 TCanvas.TextOut 0388 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D B0 8B 75 0C 8D 7D D4 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 18 05 00 00 8B 80 20 01 00 00 89 45 EC 8B 45 FC 8B 80 60 05 00 00 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F0 F6 45 08 01 74 12 8B 45 EC 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? EB 10 8B 45 EC 8B 40 14 BA 05 00 00 80 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 60 05 00 00 8B 80 B4 01 00 00 8B 50 20 8B 45 EC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 45 D8 89 45 C8 8B 45 E0 89 45 D0 8B 45 D4 89 45 C4 8B 45 FC 8B 80 1C 05 00 00 8B 80 18 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 1C 05 00 00 8B 80 18 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 03 58 10 83 EB 04 89 5D CC 8D 55 C4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 1C 05 00 00 8B 80 18 01 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F0 8B 08 FF 91 0C 01 00 00 8B 45 F4 50 8B 4D D8 83 C1 02 8B D3 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 80 78 48 00 0F 85 F4 00 00 00 8B 45 FC 8B 80 1C 05 00 00 8B 80 18 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 EB 02 8B 45 E0 50 8D 45 C4 50 8B 45 FC 8B 80 1C 05 00 00 8B 80 18 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 48 10 03 CB 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 6A FC 6A FC 8D 45 C4 50 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 60 05 00 00 8B 80 B4 01 00 00 8B 50 20 8B 45 EC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 60 05 00 00 89 45 E4 8B 45 E4 8B 80 50 01 00 00 89 45 E8 8B 55 EC 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8D 4D C4 83 CA FF 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E8 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 80 1C 05 00 00 8B 80 18 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 75 D8 8B C6 83 C0 12 50 8D 45 B4 50 8D 4B 0C 8B D6 83 C2 06 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 3C 05 00 00 8B 45 F0 8A 50 58 8B C3 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 4D B4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 1C 05 00 00 8B 80 18 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 F6 45 08 01 74 12 8B 45 EC 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? EB 0D 8B 45 EC 8B 40 0C 33 D2 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 14 B2 01 E8 ?? ?? ?? ?? 8D 4D B0 8B 45 FC 8B 80 18 05 00 00 8B 80 18 01 00 00 8B 55 F8 8B 30 FF 56 0C 8B 45 B0 50 8B 4D D8 83 C1 06 8B D3 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8647_0 {
	meta:
		name = "TChartEditForm.LBSeriesDragOver"
		size = 15
	strings:
		$1 = { 55 8B EC 3B CA 8B 45 08 0F 94 00 5D C2 10 00 }
	condition:
		$1
}

rule function_8648_0 {
	meta:
		name = "TChartEditForm.LBSeriesKeyUp"
		size = 32
		refs = "0018 TChartEditForm.BDeleteSeriesClick"
	strings:
		$1 = { 55 8B EC 66 83 39 2E 75 13 8B 90 2C 05 00 00 80 7A 45 00 74 07 8B D0 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_8649_0 {
	meta:
		name = "TChartEditForm.SetTabSeries"
		size = 99
		refs = "000c TCustomAxisPanel.SeriesCount 0025 TControl.SetVisible 002e TChartEditForm.SelectedSeries 0049 TStrings.IndexOfObject 0052 TCustomComboBox.SetItemIndex 005b TChartEditForm.CBSeriesChange"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 85 C0 75 17 33 C0 89 83 70 05 00 00 33 D2 8B 83 4C 04 00 00 E8 ?? ?? ?? ?? EB 34 8B C3 E8 ?? ?? ?? ?? 8B F8 89 BB 70 05 00 00 8B B3 0C 05 00 00 8B 86 18 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8650_0 {
	meta:
		name = "TChartEditForm.IsDateTimeSource"
		size = 37
	strings:
		$1 = { 55 8B EC 53 56 83 B8 8C 05 00 00 00 74 11 8B 5D 08 8B F0 8B C2 8B D1 8B CB FF 96 8C 05 00 00 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8651_0 {
	meta:
		name = "TChartEditForm.MainPageChange"
		size = 64
		refs = "001a TTabSheet.GetPageIndex 0032 TChartEditForm.SetTabSeries"
	strings:
		$1 = { 53 56 8B D8 C6 83 5D 05 00 00 01 8B 83 DC 01 00 00 8B B0 44 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 3B F0 75 07 8B C3 E8 ?? ?? ?? ?? C6 83 5D 05 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8652_0 {
	meta:
		name = "TChartEditForm.LBSeriesMouseDown"
		size = 199
		refs = "0011 TCustomListBox.GetItemIndex 0022 TChartEditForm.SeriesAtMousePos 0038 TChartEditForm.PointInSection 0049 TCustomAxisPanel.GetSeries 009c TControl.BeginDrag 00bb TCustomComboBox.SetItemIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F0 8B 86 18 05 00 00 E8 ?? ?? ?? ?? 40 0F 84 A3 00 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 38 8D 55 F8 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 25 8B D3 8B 86 60 05 00 00 E8 ?? ?? ?? ?? 8A 50 58 80 F2 01 8B 08 FF 51 54 8B 86 18 05 00 00 8B 10 FF 52 48 EB 3B 8D 55 F8 B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 28 80 BE 83 05 00 00 00 75 1F F6 45 10 01 75 19 F6 45 10 04 75 13 F6 45 10 08 74 0D 33 D2 8B 86 18 05 00 00 E8 ?? ?? ?? ?? C6 86 83 05 00 00 00 8B 86 18 05 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 0C 05 00 00 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_8653_0 {
	meta:
		name = "TChartEditForm.BBrowseImageClick"
		size = 292
		refs = "0012 TChartEditForm.BBrowseImageClick 0043 _Dn_TOpenDialog 0048 TOpenDialog.Create 0063 TeeGetImageExtension 0071 @LStrAsg 0079 _Dn_TBitmap 007e GraphicFilter 00b5 TOpenDialog.GetFileName 00cc TPicture.LoadFromFile 00d4 TChartEditForm.EnableImageControls 00e9 TObject.Free 00ef @HandleFinally 010e @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 60 05 00 00 8B 80 30 02 00 00 83 78 04 00 74 0C 33 D2 8B 08 FF 51 08 E9 B8 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 33 C0 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 83 C0 68 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 83 C0 54 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 50 0B 05 ?? ?? ?? ?? 8B 55 F8 89 42 50 8B 45 F8 8B 10 FF 52 34 84 C0 74 22 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 60 05 00 00 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_8654_0 {
	meta:
		name = "TChartEditForm.CBImageInsideClick"
		size = 29
		refs = "000a TCustomCheckBox.GetChecked 0017 TCustomChart.SetBackImageInside"
	strings:
		$1 = { 53 8B D8 8B 83 4C 05 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 60 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8655_0 {
	meta:
		name = "TChartEditForm.CBXDateTimeClick"
		size = 32
		refs = "000a TCustomCheckBox.GetChecked 001a TChartValueList.SetDateTime"
	strings:
		$1 = { 53 8B D8 8B 83 50 05 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 70 05 00 00 8B 40 2C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8656_0 {
	meta:
		name = "TChartEditForm.CBYDateTimeClick"
		size = 32
		refs = "000a TCustomCheckBox.GetChecked 001a TChartValueList.SetDateTime"
	strings:
		$1 = { 53 8B D8 8B 83 54 05 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 70 05 00 00 8B 40 30 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8659_0 {
	meta:
		name = "TChartEditForm.ChangeMargin"
		size = 56
		refs = "000f TSpinEdit.GetValue 002b TSpinEdit.SetValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B DA 8B FE 8B C3 E8 ?? ?? ?? ?? 03 45 08 83 F8 64 7D 0B 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8660_0 {
	meta:
		name = "TChartEditForm.SERightMaChange"
		size = 73
		refs = "0018 TCustomTeePanel.GetMargin 0034 TChartEditForm.ChangeMargin 0042 TCustomTeePanel.SetMargin"
	strings:
		$1 = { 53 56 8B D8 80 BB 5D 05 00 00 00 75 39 8B B3 60 05 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 93 DC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8661_0 {
	meta:
		name = "TChartEditForm.SETopMaChange"
		size = 76
		refs = "001b TCustomTeePanel.GetMargin 0037 TChartEditForm.ChangeMargin 0045 TCustomTeePanel.SetMargin"
	strings:
		$1 = { 53 56 8B D8 80 BB 5D 05 00 00 00 75 3C 8B B3 60 05 00 00 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 93 D0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8662_0 {
	meta:
		name = "TChartEditForm.SEBotMaChange"
		size = 76
		refs = "001b TCustomTeePanel.GetMargin 0037 TChartEditForm.ChangeMargin 0045 TCustomTeePanel.SetMargin"
	strings:
		$1 = { 53 56 8B D8 80 BB 5D 05 00 00 00 75 3C 8B B3 60 05 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 93 D8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8663_0 {
	meta:
		name = "TChartEditForm.SELeftMaChange"
		size = 70
		refs = "001b TCustomTeePanel.GetMargin 0034 TChartEditForm.ChangeMargin 003f TCustomTeePanel.SetMargin"
	strings:
		$1 = { 53 56 8B D8 80 BB 5D 05 00 00 00 75 36 8B B3 60 05 00 00 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 93 D4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8664_0 {
	meta:
		name = "TChartEditForm.CBPersistentClick"
		size = 60
		refs = "0011 TCustomCheckBox.GetChecked 001a TChartEditForm.CBPersistentClick"
	strings:
		$1 = { 53 56 8B F0 8B 9E 70 05 00 00 8B 86 58 05 00 00 E8 ?? ?? ?? ?? 84 C0 74 0E A0 ?? ?? ?? ?? 0A 43 78 88 43 78 5E 5B C3 A0 ?? ?? ?? ?? F7 D0 22 43 78 88 43 78 5E 5B C3 00 10 00 00 00 }
	condition:
		$1
}

rule function_8808_0 {
	meta:
		name = "TIniFile.ReadString"
		size = 94
		refs = "0016 @LStrToPChar 0041 GetPrivateProfileString 0051 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 81 C4 00 FC FF FF 53 56 57 8B F9 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 50 68 00 04 00 00 8D 85 00 FC FF FF 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8D 95 00 FC FF FF 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8809_0 {
	meta:
		name = "TIniFile.WriteString"
		size = 164
		refs = "0018 TIniFile.WriteString 0026 @LStrToPChar 0045 WritePrivateProfileString 0061 SIniFileWriteError 0066 LoadResString 0070 _Dn_Exception 0075 Exception.CreateFmt 007a @RaiseExcept 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 31 8B 43 04 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8810_0 {
	meta:
		name = "TIniFile.ReadInteger"
		size = 192
		refs = "0014 TIniFile.ReadInteger 002b TIniFile.ReadString 0033 @LStrLen 0066 @LStrCopy 0076 @LStrCat3 0081 StrToIntDef 009d @LStrArrayClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 F8 02 7E 3E 8B 45 FC 80 38 30 75 36 8B 45 FC 8A 58 01 80 FB 58 74 05 80 FB 78 75 26 8D 45 F8 50 B9 FF FF FF 7F BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C2 04 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_8811_0 {
	meta:
		name = "TIniFile.WriteInteger"
		size = 91
		refs = "0012 TIniFile.WriteInteger 0023 IntToStr 0032 TIniFile.WriteString 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8812_0 {
	meta:
		name = "TIniFile.ReadBool"
		size = 41
		refs = "0019 TIniFile.ReadInteger"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 33 C0 8A 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13161_0 {
	meta:
		name = "TRegIniFile.ReadBool"
		size = 41
		refs = "0019 TRegIniFile.ReadInteger"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 33 C0 8A 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8814_0 {
	meta:
		name = "TIniFile.WriteBool"
		size = 27
		refs = "000c _NV__60 0012 TIniFile.WriteString"
	strings:
		$1 = { 55 8B EC 53 33 DB 8A 5D 08 8B 1C 9D ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8815_0 {
	meta:
		name = "TIniFile.ReadSections"
		size = 254
		refs = "0015 TIniFile.ReadSections 0025 @GetMem 003e TStrings.BeginUpdate 005c @LStrToPChar 0071 GetPrivateProfileString 0084 @LStrFromPChar 0096 StrLen 00b3 TStrings.EndUpdate 00b9 @HandleFinally 00d0 @FreeMem 00ed @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 00 20 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B 43 04 E8 ?? ?? ?? ?? 50 68 00 20 00 00 8B 45 F8 50 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 85 C0 74 29 8B 5D F8 EB 1F 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 40 03 D8 80 3B 00 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8816_0 {
	meta:
		name = "TIniFile.ReadSection"
		size = 264
		refs = "0018 TIniFile.ReadSection 0028 @GetMem 0041 TStrings.BeginUpdate 005f @LStrToPChar 007a GetPrivateProfileString 008d @LStrFromPChar 009f StrLen 00bc TStrings.EndUpdate 00c2 @HandleFinally 00d9 @FreeMem 00f6 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 00 20 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B 43 04 E8 ?? ?? ?? ?? 50 68 00 20 00 00 8B 45 F8 50 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 29 8B 5D F8 EB 1F 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 40 03 D8 80 3B 00 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8817_0 {
	meta:
		name = "TIniFile.ReadSectionValues"
		size = 288
		refs = "001e TIniFile.ReadSectionValues 002b _Dn_TStringList 0030 TObject.Create 004f TIniFile.ReadSection 0057 TStrings.BeginUpdate 0098 TIniFile.ReadString 00b5 TStrings.SetValue 00ce TStrings.EndUpdate 00d4 @HandleFinally 00eb TObject.Free 010d @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 45 46 33 DB 6A 00 8D 45 EC 50 8D 4D E8 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 4D E8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8D 4D E8 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 55 E8 8B 45 F4 59 E8 ?? ?? ?? ?? 43 4E 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13166_0 {
	meta:
		name = "TRegIniFile.ReadSectionValues"
		size = 288
		refs = "001e TRegIniFile.ReadSectionValues 002b _Dn_TStringList 0030 TObject.Create 004f TRegIniFile.ReadSection 0057 TStrings.BeginUpdate 0098 TRegIniFile.ReadString 00b5 TStrings.SetValue 00ce TStrings.EndUpdate 00d4 @HandleFinally 00eb TObject.Free 010d @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 45 46 33 DB 6A 00 8D 45 EC 50 8D 4D E8 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 4D E8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8D 4D E8 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 55 E8 8B 45 F4 59 E8 ?? ?? ?? ?? 43 4E 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8818_0 {
	meta:
		name = "TIniFile.EraseSection"
		size = 145
		refs = "0015 TIniFile.EraseSection 0023 @LStrToPChar 0035 WritePrivateProfileString 0051 SIniFileWriteError 0056 LoadResString 0060 _Dn_Exception 0065 Exception.CreateFmt 006a @RaiseExcept 007f @LStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 31 8B 43 04 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8819_0 {
	meta:
		name = "TIniFile.DeleteKey"
		size = 45
		refs = "000d @LStrToPChar 0025 WritePrivateProfileString"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8826_0 {
	meta:
		name = "_NF__81"
		size = 560
	strings:
		$1 = { FF FF FF FF 0F 00 00 00 53 45 52 56 45 52 5F 50 52 4F 54 4F 43 4F 4C 00 FF FF FF FF 03 00 00 00 55 52 4C 00 FF FF FF FF 12 00 00 00 48 54 54 50 5F 43 41 43 48 45 5F 43 4F 4E 54 52 4F 4C 00 00 FF FF FF FF 09 00 00 00 48 54 54 50 5F 44 41 54 45 00 00 00 FF FF FF FF 0B 00 00 00 48 54 54 50 5F 41 43 43 45 50 54 00 FF FF FF FF 09 00 00 00 48 54 54 50 5F 46 52 4F 4D 00 00 00 FF FF FF FF 09 00 00 00 48 54 54 50 5F 48 4F 53 54 00 00 00 FF FF FF FF 16 00 00 00 48 54 54 50 5F 49 46 5F 4D 4F 44 49 46 49 45 44 5F 53 49 4E 43 45 00 00 FF FF FF FF 0C 00 00 00 48 54 54 50 5F 52 45 46 45 52 45 52 00 00 00 00 FF FF FF FF 0F 00 00 00 48 54 54 50 5F 55 53 45 52 5F 41 47 45 4E 54 00 FF FF FF FF 15 00 00 00 48 54 54 50 5F 43 4F 4E 54 45 4E 54 5F 45 4E 43 4F 44 49 4E 47 00 00 00 FF FF FF FF 0C 00 00 00 43 4F 4E 54 45 4E 54 5F 54 59 50 45 00 00 00 00 FF FF FF FF 0E 00 00 00 43 4F 4E 54 45 4E 54 5F 4C 45 4E 47 54 48 00 00 FF FF FF FF 14 00 00 00 48 54 54 50 5F 43 4F 4E 54 45 4E 54 5F 56 45 52 53 49 4F 4E 00 00 00 00 FF FF FF FF 11 00 00 00 48 54 54 50 5F 44 45 52 49 56 45 44 5F 46 52 4F 4D 00 00 00 FF FF FF FF 0C 00 00 00 48 54 54 50 5F 45 58 50 49 52 45 53 00 00 00 00 FF FF FF FF 0A 00 00 00 48 54 54 50 5F 54 49 54 4C 45 00 00 FF FF FF FF 0B 00 00 00 52 45 4D 4F 54 45 5F 41 44 44 52 00 FF FF FF FF 0B 00 00 00 52 45 4D 4F 54 45 5F 48 4F 53 54 00 FF FF FF FF 0B 00 00 00 53 43 52 49 50 54 5F 4E 41 4D 45 00 FF FF FF FF 0B 00 00 00 53 45 52 56 45 52 5F 50 4F 52 54 00 FF FF FF FF 0F 00 00 00 48 54 54 50 5F 43 4F 4E 4E 45 43 54 49 4F 4E 00 FF FF FF FF 0B 00 00 00 48 54 54 50 5F 43 4F 4F 4B 49 45 00 FF FF FF FF 12 00 00 00 48 54 54 50 5F 41 55 54 48 4F 52 49 5A 41 54 49 4F 4E 00 00 }
	condition:
		$1
}

rule function_8827_0 {
	meta:
		name = "TISAPIRequest.Create"
		size = 49
		refs = "000a @ClassCreate 001a TWebRequest.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 14 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8828_0 {
	meta:
		name = "TISAPIRequest.GetFieldByName"
		size = 101
		refs = "0024 @LStrToPChar 004d @LStrFromPCharLen 0056 @LStrClr"
	strings:
		$1 = { 53 56 57 55 81 C4 04 F0 FF FF 50 83 C4 FC 8B F9 8B EA 8B D8 C7 04 24 00 10 00 00 54 8D 44 24 08 50 8B C5 E8 ?? ?? ?? ?? 50 8B 73 14 8B 46 08 50 FF 96 80 00 00 00 85 C0 74 19 83 3C 24 00 7E 03 FF 0C 24 8D 54 24 04 8B C7 8B 0C 24 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 81 C4 04 10 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8829_0 {
	meta:
		name = "TISAPIRequest.GetStringVariable"
		size = 204
		refs = "0016 TISAPIRequest.GetStringVariable 0063 @LStrFromPChar 009b _NV__80 00bb @LStrFromPCharLen 00c4 @LStrClr"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 83 F8 1C 0F 87 AD 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 05 05 02 03 04 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 06 05 05 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C7 8B 53 14 8B 52 60 E8 ?? ?? ?? ?? EB 5F 8B C7 8B 53 14 8B 52 64 E8 ?? ?? ?? ?? EB 50 8B C7 8B 53 14 8B 52 68 E8 ?? ?? ?? ?? EB 41 8B C7 8B 53 14 8B 52 6C E8 ?? ?? ?? ?? EB 32 8B CF 8B 14 B5 ?? ?? ?? ?? 8B C3 8B 18 FF 53 20 EB 20 8B 43 14 8B 50 74 85 D2 7E 16 8B CA 8B D7 8B 40 78 92 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8831_0 {
	meta:
		name = "TISAPIRequest.GetIntegerVariable"
		size = 93
		refs = "000f TISAPIRequest.GetIntegerVariable 002e StrToInt 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 8B 18 FF 13 83 7D FC 00 74 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 03 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8832_0 {
	meta:
		name = "TISAPIRequest.ReadClient"
		size = 45
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 89 0C 24 54 57 8B 73 14 8B 46 08 50 FF 96 88 00 00 00 85 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8833_0 {
	meta:
		name = "TISAPIRequest.ReadString"
		size = 54
		refs = "000e @LStrSetLength 002e @LStrClr"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C3 8B D7 E8 ?? ?? ?? ?? 8B 13 8B CF 8B C6 8B 30 FF 56 0C 85 C0 7E 0A 8B D3 92 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8834_0 {
	meta:
		name = "TISAPIRequest.TranslateURI"
		size = 109
		refs = "0012 @LStrToPChar 001d StrCopy 0056 @LStrFromArray 005f @LStrClr"
	strings:
		$1 = { 53 56 57 81 C4 FC FB FF FF 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 44 24 04 E8 ?? ?? ?? ?? C7 04 24 00 04 00 00 6A 00 8D 44 24 04 50 8D 44 24 0C 50 68 E9 03 00 00 8B 73 14 8B 46 08 50 FF 96 8C 00 00 00 85 C0 74 12 8B C7 8D 54 24 04 B9 00 04 00 00 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 81 C4 04 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8835_0 {
	meta:
		name = "TISAPIRequest.WriteClient"
		size = 51
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 89 0C 24 6A 00 8D 44 24 04 50 57 8B 73 14 8B 46 08 50 FF 96 84 00 00 00 85 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8836_0 {
	meta:
		name = "TISAPIRequest.WriteString"
		size = 41
		refs = "0009 @LStrLen"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 8B 30 FF 56 18 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_8839_0 {
	meta:
		name = "TISAPIResponse.GetDateVariable"
		size = 44
	strings:
		$1 = { 83 C4 F8 85 D2 7C 16 83 FA 02 7F 11 8B 4C D0 4C 89 0C 24 8B 4C D0 50 89 4C 24 04 EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_8840_0 {
	meta:
		name = "TISAPIResponse.GetIntegerVariable"
		size = 17
	strings:
		$1 = { 85 D2 7C 09 85 D2 7F 05 8B 44 90 48 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_8841_0 {
	meta:
		name = "TISAPIResponse.GetLogMessage"
		size = 30
		refs = "0017 @LStrFromArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 8B 52 14 83 C2 10 B9 50 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8843_0 {
	meta:
		name = "TISAPIResponse.GetStringVariable"
		size = 33
		refs = "0019 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 7C 10 83 FB 0B 7F 0B 8B C7 8B 54 9E 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8847_0 {
	meta:
		name = "TISAPIResponse.SetIntegerVariable"
		size = 19
	strings:
		$1 = { 85 D2 7C 0E 85 D2 7F 0A 3B 4C 90 48 74 04 89 4C 90 48 C3 }
	condition:
		$1
}

rule function_8848_0 {
	meta:
		name = "TISAPIResponse.SetLogMessage"
		size = 20
		refs = "000f StrPLCopy"
	strings:
		$1 = { 8B 40 10 8B 40 14 83 C0 10 B9 50 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8852_0 {
	meta:
		name = "TISAPIResponse.SendResponse"
		size = 1208
		refs = "001a TISAPIResponse.SendResponse 00a4 Format 00b3 @LStrLAsg 00cf _NF__CD 00d8 TCollection.GetCount 00ed TCookieCollection.GetCookie 00f5 TCookie.GetHeaderValue 015b FormatDateTime 0166 @LStrCat 01ec TWebResponse.AddCustomHeaders 026b IntToStr 0297 @LStrToPChar 02f9 @LStrArrayClr 02ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 F4 89 55 F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 BA 01 00 00 00 8B 43 10 8B 30 FF 16 83 7D F4 00 0F 84 6E 02 00 00 8B C3 8B 10 FF 52 24 8B 53 10 8B 52 14 89 42 0C 8D 4D F4 BA 01 00 00 00 8B C3 8B 30 FF 16 83 7D F4 00 74 49 8B C3 8B 10 FF 52 24 85 C0 7E 3E 8D 45 F8 50 8B C3 8B 10 FF 52 24 89 45 E4 C6 45 E8 00 8D 4D F4 BA 01 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 89 45 EC C6 45 F0 0B 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8D 4D F4 BA 05 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 43 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 28 46 33 FF 55 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 47 4E 75 DB 55 8D 4D F4 BA 0A 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 BA 01 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 2B BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 2B BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 55 8D 4D F4 BA 0B 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 03 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 55 8D 4D F4 BA 09 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 07 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 08 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 55 F4 8B C3 8B 08 FF 51 18 83 7D F4 00 75 06 83 7B 04 00 74 20 55 33 D2 8B C3 8B 08 FF 51 10 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 10 8B 45 FC 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 6A 03 8B 7E 14 8B 47 08 50 FF 97 8C 00 00 00 8B 43 04 85 C0 75 17 8D 55 F4 8B C3 8B 08 FF 51 18 8B 55 F4 8B 43 10 8B 08 FF 51 1C EB 16 85 C0 74 12 8B D0 8B C3 8B 08 FF 51 40 33 D2 8B C3 8B 08 FF 51 20 C6 43 68 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 25 64 20 25 73 00 00 00 FF FF FF FF 06 00 00 00 32 30 30 20 4F 4B 00 00 FF FF FF FF 0B 00 00 00 41 6C 6C 6F 77 3A 20 25 73 0D 0A 00 FF FF FF FF 10 00 00 00 53 65 74 2D 43 6F 6F 6B 69 65 3A 20 25 73 0D 0A 00 00 00 00 FF FF FF FF 12 00 00 00 44 65 72 69 76 65 64 2D 46 72 6F 6D 3A 20 25 73 0D 0A 00 00 00 00 00 00 FF FF FF FF 2C 00 00 00 22 45 78 70 69 72 65 73 3A 20 22 64 64 64 2C 20 64 64 20 6D 6D 6D 20 79 79 79 79 20 68 68 3A 6D 6D 3A 73 73 20 22 47 4D 54 22 0D 0A 00 00 00 00 FF FF FF FF 32 00 00 00 22 4C 61 73 74 2D 4D 6F 64 69 66 69 65 64 3A 20 22 64 64 64 2C 20 64 64 20 6D 6D 6D 20 79 79 79 79 20 68 68 3A 6D 6D 3A 73 73 20 22 47 4D 54 22 0D 0A 00 00 FF FF FF FF 0B 00 00 00 54 69 74 6C 65 3A 20 25 73 0D 0A 00 FF FF FF FF 16 00 00 00 57 57 57 2D 41 75 74 68 65 6E 74 69 63 61 74 65 3A 20 25 73 0D 0A 00 00 FF FF FF FF 15 00 00 00 43 6F 6E 74 65 6E 74 2D 56 65 72 73 69 6F 6E 3A 20 25 73 0D 0A 00 00 00 FF FF FF FF 16 00 00 00 43 6F 6E 74 65 6E 74 2D 45 6E 63 6F 64 69 6E 67 3A 20 25 73 0D 0A 00 00 FF FF FF FF 12 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 25 73 0D 0A 00 00 FF FF FF FF 14 00 00 00 43 6F 6E 74 65 6E 74 2D 4C 65 6E 67 74 68 3A 20 25 73 0D 0A 00 00 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 3A 0D 0A 0D 0A 00 00 00 00 }
	condition:
		$1
}

rule function_8853_0 {
	meta:
		name = "TISAPIResponse.SendRedirect"
		size = 47
		refs = "0012 @LStrToPChar"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 73 10 6A 00 6A 00 8B C5 E8 ?? ?? ?? ?? 50 6A 01 8B 7E 14 8B 47 08 50 FF 97 8C 00 00 00 C6 43 68 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8855_0 {
	meta:
		name = "_NF__D6"
		size = 388
		refs = "0021 _NF__D6 003f TObject.ClassName 0065 sInternalServerError 006a LoadResString 007b Format 0087 @LStrLen 00c1 @LStrCat3 00cc @LStrToPChar 0110 @LStrClr 011d @LStrArrayClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D8 FE FF FF 53 56 33 C9 89 8D E0 FE FF FF 89 4D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 43 0C F4 01 00 00 8D 45 FC 50 8D 95 E4 FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF 89 45 E4 C6 45 E8 04 8B 46 04 89 45 EC C6 45 F0 0B 8D 45 E4 50 8D 95 E0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 89 85 D8 FE FF FF C6 85 DC FE FF FF 00 8D 95 D8 FE FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 50 8D 85 E0 FE FF FF 8B 4E 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF E8 ?? ?? ?? ?? 50 6A 03 8B 43 08 50 FF 93 8C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 6A 00 8D 45 F4 50 8B 45 FC 50 8B 43 08 50 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 FF FF FF FF 39 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 74 65 78 74 2F 68 74 6D 6C 0D 0A 43 6F 6E 74 65 6E 74 2D 4C 65 6E 67 74 68 3A 20 25 64 0D 0A 43 6F 6E 74 65 6E 74 3A 0D 0A 0D 0A 00 00 00 FF FF FF FF 04 00 00 00 35 30 30 20 00 00 00 00 }
	condition:
		$1
}

rule function_8856_0 {
	meta:
		name = "TISAPIApplication.GetExtensionVersion"
		size = 92
		refs = "000e TISAPIApplication.GetExtensionVersion 001f MakeLong 0029 @LStrToPChar 0038 StrLCopy 004a @HandleAnyException 0051 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 BA 02 00 33 C0 E8 ?? ?? ?? ?? 89 06 8B 43 38 E8 ?? ?? ?? ?? 8B D0 8D 46 04 B9 00 01 00 00 E8 ?? ?? ?? ?? 83 CB FF 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8857_0 {
	meta:
		name = "TISAPIApplication.HttpExtensionProc"
		size = 223
		refs = "0012 TISAPIApplication.HttpExtensionProc 0022 _NF__DD 003d _NF__DE 005b TWebApplication.HandleRequest 0084 TObject.Free 008a @HandleFinally 00b8 @HandleAnyException 00bd ExceptObject 00c5 _NF__D6 00d1 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 04 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? C7 45 F8 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8858_0 {
	meta:
		name = "_NF__DD"
		size = 15
		refs = "0003 _DV_TISAPIRequest 000a TISAPIRequest.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8859_0 {
	meta:
		name = "_NF__DE"
		size = 15
		refs = "0003 _DV_TISAPIResponse 000a TISAPIResponse.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8861_0 {
	meta:
		name = "GetExtensionVersion"
		size = 33
		refs = "0004 Application 000c _DV_TISAPIApplication 0011 @AsClass 0019 TISAPIApplication.GetExtensionVersion"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_8862_0 {
	meta:
		name = "HttpExtensionProc"
		size = 33
		refs = "0004 Application 000c _DV_TISAPIApplication 0011 @AsClass 0019 TISAPIApplication.HttpExtensionProc"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_8863_0 {
	meta:
		name = "TerminateExtension"
		size = 33
		refs = "0004 Application 000c _DV_TISAPIApplication 0011 @AsClass 0019 TISAPIApplication.TerminateExtension"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_8866_0 {
	meta:
		name = "Finalization"
		size = 74
		refs = "0007 Finalization 0013 _NV__7F 001a _NF__E9 001f _NV__80 002a String 002f @FinalizeArray 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1A E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 1D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8868_0 {
	meta:
		name = "CoDocHeaderCls.Create"
		size = 100
		refs = "000c CoDocHeaderCls.Create 001a Class_DocHeaderCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 90 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8869_0 {
	meta:
		name = "CoDocHeaderCls.CreateRemote"
		size = 128
		refs = "0011 CoDocHeaderCls.CreateRemote 0021 @WStrFromLStr 002c Class_DocHeaderCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 90 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8870_0 {
	meta:
		name = "CoDocHeadersCls.Create"
		size = 100
		refs = "000c CoDocHeadersCls.Create 001a Class_DocHeadersCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 92 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8871_0 {
	meta:
		name = "CoDocHeadersCls.CreateRemote"
		size = 128
		refs = "0011 CoDocHeadersCls.CreateRemote 0021 @WStrFromLStr 002c Class_DocHeadersCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 92 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8872_0 {
	meta:
		name = "CoDocInputCls.Create"
		size = 100
		refs = "000c CoDocInputCls.Create 001a Class_DocInputCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 95 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8873_0 {
	meta:
		name = "CoDocInputCls.CreateRemote"
		size = 128
		refs = "0011 CoDocInputCls.CreateRemote 0021 @WStrFromLStr 002c Class_DocInputCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 95 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8874_0 {
	meta:
		name = "CoDocOutputCls.Create"
		size = 100
		refs = "000c CoDocOutputCls.Create 001a Class_DocOutputCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 97 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8875_0 {
	meta:
		name = "CoDocOutputCls.CreateRemote"
		size = 128
		refs = "0011 CoDocOutputCls.CreateRemote 0021 @WStrFromLStr 002c Class_DocOutputCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 97 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8876_0 {
	meta:
		name = "CoicErrorCls.Create"
		size = 100
		refs = "000c CoicErrorCls.Create 001a Class_icErrorCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 A0 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8877_0 {
	meta:
		name = "CoicErrorCls.CreateRemote"
		size = 128
		refs = "0011 CoicErrorCls.CreateRemote 0021 @WStrFromLStr 002c Class_icErrorCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 A0 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8878_0 {
	meta:
		name = "CoicErrorsCls.Create"
		size = 100
		refs = "000c CoicErrorsCls.Create 001a Class_icErrorsCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 A2 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8879_0 {
	meta:
		name = "CoicErrorsCls.CreateRemote"
		size = 128
		refs = "0011 CoicErrorsCls.CreateRemote 0021 @WStrFromLStr 002c Class_icErrorsCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 A2 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8880_0 {
	meta:
		name = "CoFTPDirItemCls.Create"
		size = 100
		refs = "000c CoFTPDirItemCls.Create 001a Class_FTPDirItemCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 43 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8881_0 {
	meta:
		name = "CoFTPDirItemCls.CreateRemote"
		size = 128
		refs = "0011 CoFTPDirItemCls.CreateRemote 0021 @WStrFromLStr 002c Class_FTPDirItemCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 43 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8882_0 {
	meta:
		name = "CoFirewall.Create"
		size = 100
		refs = "000c CoFirewall.Create 001a Class_Firewall 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 A0 DD 61 70 57 E1 CF 11 A3 06 00 A0 24 3B 6C 29 }
	condition:
		$1
}

rule function_8883_0 {
	meta:
		name = "CoFirewall.CreateRemote"
		size = 128
		refs = "0011 CoFirewall.CreateRemote 0021 @WStrFromLStr 002c Class_Firewall 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 A0 DD 61 70 57 E1 CF 11 A3 06 00 A0 24 3B 6C 29 }
	condition:
		$1
}

rule function_8884_0 {
	meta:
		name = "TFTP.InitControlData"
		size = 12
		refs = "0001 _NV__1E1"
	strings:
		$1 = { BA ?? ?? ?? ?? 89 90 38 01 00 00 C3 }
	condition:
		$1
}

rule function_8947_0 {
	meta:
		name = "THTML.InitControlData"
		size = 12
		refs = "0001 _NV__29E"
	strings:
		$1 = { BA ?? ?? ?? ?? 89 90 38 01 00 00 C3 }
	condition:
		$1
}

rule function_8924_0 {
	meta:
		name = "THTTP.InitControlData"
		size = 12
		refs = "0001 _NV__259"
	strings:
		$1 = { BA ?? ?? ?? ?? 89 90 38 01 00 00 C3 }
	condition:
		$1
}

rule function_8987_0 {
	meta:
		name = "TNNTP.InitControlData"
		size = 12
		refs = "0001 _NV__315"
	strings:
		$1 = { BA ?? ?? ?? ?? 89 90 38 01 00 00 C3 }
	condition:
		$1
}

rule function_8966_0 {
	meta:
		name = "TPOP.InitControlData"
		size = 12
		refs = "0001 _NV__2D7"
	strings:
		$1 = { BA ?? ?? ?? ?? 89 90 38 01 00 00 C3 }
	condition:
		$1
}

rule function_9019_0 {
	meta:
		name = "TSMTP.InitControlData"
		size = 12
		refs = "0001 _NV__378"
	strings:
		$1 = { BA ?? ?? ?? ?? 89 90 38 01 00 00 C3 }
	condition:
		$1
}

rule function_9036_0 {
	meta:
		name = "TTCP.InitControlData"
		size = 12
		refs = "0001 _NV__3AD"
	strings:
		$1 = { BA ?? ?? ?? ?? 89 90 38 01 00 00 C3 }
	condition:
		$1
}

rule function_9046_0 {
	meta:
		name = "TUDP.InitControlData"
		size = 12
		refs = "0001 _NV__3CF"
	strings:
		$1 = { BA ?? ?? ?? ?? 89 90 38 01 00 00 C3 }
	condition:
		$1
}

rule function_8885_0 {
	meta:
		name = "TFTP.InitControlInterface"
		size = 44
		refs = "000f TFTP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 60 02 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 4A 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8886_0 {
	meta:
		name = "TFTP.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 60 02 00 00 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8887_0 {
	meta:
		name = "TFTP.Cancel"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 60 02 00 00 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8888_0 {
	meta:
		name = "TFTP.Connect"
		size = 156
		refs = "0027 @VarAddRef 0037 TFTP.Connect 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 60 02 00 00 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8889_0 {
	meta:
		name = "TFTP.Authenticate"
		size = 156
		refs = "0027 @VarAddRef 0037 TFTP.Authenticate 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 60 02 00 00 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8890_0 {
	meta:
		name = "TFTP.SendDoc"
		size = 263
		refs = "0054 @VarAddRef 007c TFTP.SendDoc 00d2 @CheckAutoResult 00e8 OleVariant 00f2 @FinalizeArray 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B 75 08 8D 7D B0 51 B9 04 00 00 00 F3 A5 59 8B 75 0C 8D 7D C0 51 B9 04 00 00 00 F3 A5 59 8B 75 10 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 60 02 00 00 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_8891_0 {
	meta:
		name = "TFTP.GetDoc"
		size = 193
		refs = "0036 @VarAddRef 004e TFTP.GetDoc 008c @CheckAutoResult 00a2 OleVariant 00ac @FinalizeArray 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 08 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 60 02 00 00 50 8B 00 FF 90 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8892_0 {
	meta:
		name = "TFTP.Abort"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 60 02 00 00 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8893_0 {
	meta:
		name = "TFTP.Account"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 60 02 00 00 50 8B 00 FF 90 EC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8894_0 {
	meta:
		name = "TFTP.ChangeDir"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 60 02 00 00 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8895_0 {
	meta:
		name = "TFTP.CreateDir"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 60 02 00 00 50 8B 00 FF 90 F4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8896_0 {
	meta:
		name = "TFTP.DeleteDir"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 60 02 00 00 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8897_0 {
	meta:
		name = "TFTP.DeleteFile"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 60 02 00 00 50 8B 00 FF 90 FC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8898_0 {
	meta:
		name = "TFTP.Quit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 60 02 00 00 50 8B 00 FF 90 00 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8899_0 {
	meta:
		name = "TFTP.Help"
		size = 26
		refs = "0014 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 52 8B 86 60 02 00 00 50 8B 00 FF 90 04 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8900_0 {
	meta:
		name = "TFTP.Noop"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 60 02 00 00 50 8B 00 FF 90 08 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8901_0 {
	meta:
		name = "TFTP.Mode"
		size = 26
		refs = "0014 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 52 8B 86 60 02 00 00 50 8B 00 FF 90 0C 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8902_0 {
	meta:
		name = "TFTP.Type_"
		size = 26
		refs = "0014 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 52 8B 86 60 02 00 00 50 8B 00 FF 90 10 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8903_0 {
	meta:
		name = "TFTP.List"
		size = 26
		refs = "0014 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 52 8B 86 60 02 00 00 50 8B 00 FF 90 14 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8904_0 {
	meta:
		name = "TFTP.NameList"
		size = 26
		refs = "0014 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 52 8B 86 60 02 00 00 50 8B 00 FF 90 18 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8905_0 {
	meta:
		name = "TFTP.ParentDir"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 60 02 00 00 50 8B 00 FF 90 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8906_0 {
	meta:
		name = "TFTP.PrintDir"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 60 02 00 00 50 8B 00 FF 90 20 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8907_0 {
	meta:
		name = "TFTP.Execute"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 60 02 00 00 50 8B 00 FF 90 24 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8908_0 {
	meta:
		name = "TFTP.Status"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 60 02 00 00 50 8B 00 FF 90 28 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8909_0 {
	meta:
		name = "TFTP.PutFile"
		size = 27
		refs = "0015 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 60 02 00 00 50 8B 00 FF 90 2C 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8910_0 {
	meta:
		name = "TFTP.Reinitialize"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 60 02 00 00 50 8B 00 FF 90 30 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8911_0 {
	meta:
		name = "TFTP.System"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 60 02 00 00 50 8B 00 FF 90 34 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8912_0 {
	meta:
		name = "TFTP.GetFile"
		size = 27
		refs = "0015 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 60 02 00 00 50 8B 00 FF 90 38 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8913_0 {
	meta:
		name = "TFTP.PutFileUnique"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 60 02 00 00 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8914_0 {
	meta:
		name = "TFTP.Site"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 60 02 00 00 50 8B 00 FF 90 40 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8915_0 {
	meta:
		name = "TFTP.Get_Timeout"
		size = 25
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 51 54 52 8B 80 60 02 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_8916_0 {
	meta:
		name = "TFTP.Set_Timeout"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 60 02 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8917_0 {
	meta:
		name = "TFTP.Set_EnableTimer"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 60 02 00 00 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8918_0 {
	meta:
		name = "TFTP.Get_Errors"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 60 02 00 00 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8919_0 {
	meta:
		name = "TFTP.Get_DocInput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 60 02 00 00 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8920_0 {
	meta:
		name = "TFTP.Get_DocOutput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 60 02 00 00 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8921_0 {
	meta:
		name = "TFTP.Get_Firewall"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 60 02 00 00 50 8B 00 FF 90 E4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8922_0 {
	meta:
		name = "CoProxy.Create"
		size = 100
		refs = "000c CoProxy.Create 001a Class_Proxy 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 60 A0 B8 6F 52 F4 CF 11 A3 06 00 A0 24 3B 6C 29 }
	condition:
		$1
}

rule function_8923_0 {
	meta:
		name = "CoProxy.CreateRemote"
		size = 128
		refs = "0011 CoProxy.CreateRemote 0021 @WStrFromLStr 002c Class_Proxy 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 60 A0 B8 6F 52 F4 CF 11 A3 06 00 A0 24 3B 6C 29 }
	condition:
		$1
}

rule function_8925_0 {
	meta:
		name = "THTTP.InitControlInterface"
		size = 44
		refs = "000f THTTP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 C8 01 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 61 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8926_0 {
	meta:
		name = "THTTP.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 C8 01 00 00 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8927_0 {
	meta:
		name = "THTTP.Cancel"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 C8 01 00 00 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8928_0 {
	meta:
		name = "THTTP.SendDoc"
		size = 263
		refs = "0054 @VarAddRef 007c THTTP.SendDoc 00d2 @CheckAutoResult 00e8 OleVariant 00f2 @FinalizeArray 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B 75 08 8D 7D B0 51 B9 04 00 00 00 F3 A5 59 8B 75 0C 8D 7D C0 51 B9 04 00 00 00 F3 A5 59 8B 75 10 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 C8 01 00 00 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_8929_0 {
	meta:
		name = "THTTP.GetDoc"
		size = 193
		refs = "0036 @VarAddRef 004e THTTP.GetDoc 008c @CheckAutoResult 00a2 OleVariant 00ac @FinalizeArray 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 08 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 C8 01 00 00 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8930_0 {
	meta:
		name = "THTTP.Get_Timeout"
		size = 25
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 51 54 52 8B 80 C8 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_8931_0 {
	meta:
		name = "THTTP.Set_Timeout"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 C8 01 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8932_0 {
	meta:
		name = "THTTP.Set_EnableTimer"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 C8 01 00 00 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8933_0 {
	meta:
		name = "THTTP.Get_Errors"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 C8 01 00 00 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8934_0 {
	meta:
		name = "THTTP.Get_DocInput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 C8 01 00 00 50 8B 00 FF 90 A8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8935_0 {
	meta:
		name = "THTTP.Get_DocOutput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 C8 01 00 00 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8936_0 {
	meta:
		name = "THTTP.Get_Proxy"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 C8 01 00 00 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8937_0 {
	meta:
		name = "CoHTMLElementCls.Create"
		size = 100
		refs = "000c CoHTMLElementCls.Create 001a Class_HTMLElementCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 4E 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8938_0 {
	meta:
		name = "CoHTMLElementCls.CreateRemote"
		size = 128
		refs = "0011 CoHTMLElementCls.CreateRemote 0021 @WStrFromLStr 002c Class_HTMLElementCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 4E 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8939_0 {
	meta:
		name = "CoHTMLFormCls.Create"
		size = 100
		refs = "000c CoHTMLFormCls.Create 001a Class_HTMLFormCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 51 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8940_0 {
	meta:
		name = "CoHTMLFormCls.CreateRemote"
		size = 128
		refs = "0011 CoHTMLFormCls.CreateRemote 0021 @WStrFromLStr 002c Class_HTMLFormCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 51 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8941_0 {
	meta:
		name = "CoHTMLFormsCls.Create"
		size = 100
		refs = "000c CoHTMLFormsCls.Create 001a Class_HTMLFormsCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 55 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8942_0 {
	meta:
		name = "CoHTMLFormsCls.CreateRemote"
		size = 128
		refs = "0011 CoHTMLFormsCls.CreateRemote 0021 @WStrFromLStr 002c Class_HTMLFormsCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 55 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8943_0 {
	meta:
		name = "CoHTMLAttrCls.Create"
		size = 100
		refs = "000c CoHTMLAttrCls.Create 001a Class_HTMLAttrCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 58 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8944_0 {
	meta:
		name = "CoHTMLAttrCls.CreateRemote"
		size = 128
		refs = "0011 CoHTMLAttrCls.CreateRemote 0021 @WStrFromLStr 002c Class_HTMLAttrCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 58 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8945_0 {
	meta:
		name = "CoHTMLAttrsCls.Create"
		size = 100
		refs = "000c CoHTMLAttrsCls.Create 001a Class_HTMLAttrsCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 5A 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8946_0 {
	meta:
		name = "CoHTMLAttrsCls.CreateRemote"
		size = 128
		refs = "0011 CoHTMLAttrsCls.CreateRemote 0021 @WStrFromLStr 002c Class_HTMLAttrsCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 5A 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8948_0 {
	meta:
		name = "THTML.InitControlInterface"
		size = 44
		refs = "000f THTML.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 E8 01 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 5C 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8949_0 {
	meta:
		name = "THTML.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
		altNames = "TSMTP.AboutBox"
	strings:
		$1 = { 8B 80 E8 01 00 00 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8950_0 {
	meta:
		name = "THTML.RequestDoc"
		size = 30
		refs = "0017 @CheckAutoResult"
	strings:
		$1 = { 56 57 8B FA 8B F0 57 8B 86 E8 01 00 00 50 8B 00 FF 90 24 01 00 00 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_8951_0 {
	meta:
		name = "THTML.RequestAllEmbedded"
		size = 25
		refs = "0013 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 8B 86 E8 01 00 00 50 8B 00 FF 90 28 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8952_0 {
	meta:
		name = "THTML.Cancel"
		size = 111
		refs = "001a @VarAddRef 0022 THTML.Cancel 0048 @CheckAutoResult 005d @VarClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B F0 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 86 E8 01 00 00 50 8B 00 FF 90 2C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_8953_0 {
	meta:
		name = "THTML.BeginPrinting"
		size = 304
		refs = "0068 @VarAddRef 0098 THTML.BeginPrinting 00fb @CheckAutoResult 0111 OleVariant 011b @FinalizeArray 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 8B 75 08 8D 7D A0 51 B9 04 00 00 00 F3 A5 59 8B 75 0C 8D 7D B0 51 B9 04 00 00 00 F3 A5 59 8B 75 10 8D 7D C0 51 B9 04 00 00 00 F3 A5 59 8B 75 14 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B 75 18 8D 7D E0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 AC FF 75 A8 FF 75 A4 FF 75 A0 FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8B 83 E8 01 00 00 50 8B 00 FF 90 30 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_8954_0 {
	meta:
		name = "THTML.PrintPage"
		size = 23
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 51 52 8B 80 E8 01 00 00 50 8B 00 FF 90 34 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8955_0 {
	meta:
		name = "THTML.EndPrinting"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 E8 01 00 00 50 8B 00 FF 90 38 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8956_0 {
	meta:
		name = "THTML.AutoPrint"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 E8 01 00 00 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8957_0 {
	meta:
		name = "THTML.GetPlainText"
		size = 50
		refs = "0010 @WStrClr 0027 @CheckAutoResult"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 50 57 56 8B 83 E8 01 00 00 50 8B 00 FF 90 48 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8958_0 {
	meta:
		name = "THTML.HasSelection"
		size = 28
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 51 54 8B 80 E8 01 00 00 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 66 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_8959_0 {
	meta:
		name = "THTML.SelectAll"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 E8 01 00 00 50 8B 00 FF 90 50 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8960_0 {
	meta:
		name = "THTML.Get_DocInput"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 E8 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8961_0 {
	meta:
		name = "THTML.Get_DocOutput"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 E8 01 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8962_0 {
	meta:
		name = "THTML.Get_Forms"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 E8 01 00 00 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8963_0 {
	meta:
		name = "THTML.Get_IsPrintingDone"
		size = 29
		refs = "0013 @CheckAutoResult"
	strings:
		$1 = { 51 54 52 8B 80 E8 01 00 00 50 8B 00 FF 90 20 01 00 00 E8 ?? ?? ?? ?? 66 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_8964_0 {
	meta:
		name = "THTML.Get_Errors"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 E8 01 00 00 50 8B 00 FF 90 40 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8965_0 {
	meta:
		name = "THTML.Get_hWnd"
		size = 27
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 51 54 8B 80 E8 01 00 00 50 8B 00 FF 90 44 01 00 00 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_8967_0 {
	meta:
		name = "TPOP.InitControlInterface"
		size = 44
		refs = "000f TPOP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 F0 01 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 6C 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8968_0 {
	meta:
		name = "TPOP.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 F0 01 00 00 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8969_0 {
	meta:
		name = "TPOP.Cancel"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 F0 01 00 00 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8970_0 {
	meta:
		name = "TPOP.Connect"
		size = 156
		refs = "0027 @VarAddRef 0037 TPOP.Connect 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 F0 01 00 00 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8971_0 {
	meta:
		name = "TPOP.Authenticate"
		size = 156
		refs = "0027 @VarAddRef 0037 TPOP.Authenticate 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 F0 01 00 00 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8972_0 {
	meta:
		name = "TPOP.GetDoc"
		size = 193
		refs = "0036 @VarAddRef 004e TPOP.GetDoc 008c @CheckAutoResult 00a2 OleVariant 00ac @FinalizeArray 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 08 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 F0 01 00 00 50 8B 00 FF 90 C4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8973_0 {
	meta:
		name = "TPOP.MessageSize"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 F0 01 00 00 50 8B 00 FF 90 C8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8974_0 {
	meta:
		name = "TPOP.RetrieveMessage"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 F0 01 00 00 50 8B 00 FF 90 CC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8975_0 {
	meta:
		name = "TPOP.Delete"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 F0 01 00 00 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8976_0 {
	meta:
		name = "TPOP.Reset"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 F0 01 00 00 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8977_0 {
	meta:
		name = "TPOP.Last"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 F0 01 00 00 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8978_0 {
	meta:
		name = "TPOP.Noop"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 F0 01 00 00 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8979_0 {
	meta:
		name = "TPOP.TopMessage"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 F0 01 00 00 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8980_0 {
	meta:
		name = "TPOP.Quit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 F0 01 00 00 50 8B 00 FF 90 E4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8981_0 {
	meta:
		name = "TPOP.RefreshMessageCount"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 F0 01 00 00 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8982_0 {
	meta:
		name = "TPOP.Get_Timeout"
		size = 25
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 51 54 52 8B 80 F0 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_8983_0 {
	meta:
		name = "TPOP.Set_Timeout"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 F0 01 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8984_0 {
	meta:
		name = "TPOP.Set_EnableTimer"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 F0 01 00 00 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8985_0 {
	meta:
		name = "TPOP.Get_Errors"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 F0 01 00 00 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8986_0 {
	meta:
		name = "TPOP.Get_DocOutput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 F0 01 00 00 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8988_0 {
	meta:
		name = "TNNTP.InitControlInterface"
		size = 44
		refs = "000f TNNTP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 00 02 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 66 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_8989_0 {
	meta:
		name = "TNNTP.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 00 02 00 00 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8990_0 {
	meta:
		name = "TNNTP.Cancel"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 00 02 00 00 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8991_0 {
	meta:
		name = "TNNTP.Connect"
		size = 156
		refs = "0027 @VarAddRef 0037 TNNTP.Connect 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 00 02 00 00 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8992_0 {
	meta:
		name = "TNNTP.SendDoc"
		size = 263
		refs = "0054 @VarAddRef 007c TNNTP.SendDoc 00d2 @CheckAutoResult 00e8 OleVariant 00f2 @FinalizeArray 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B 75 08 8D 7D B0 51 B9 04 00 00 00 F3 A5 59 8B 75 0C 8D 7D C0 51 B9 04 00 00 00 F3 A5 59 8B 75 10 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 00 02 00 00 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_8993_0 {
	meta:
		name = "TNNTP.GetDoc"
		size = 193
		refs = "0036 @VarAddRef 004e TNNTP.GetDoc 008c @CheckAutoResult 00a2 OleVariant 00ac @FinalizeArray 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 08 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 00 02 00 00 50 8B 00 FF 90 A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8994_0 {
	meta:
		name = "TNNTP.GetAdministrationFile"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.GetAdministrationFile 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 00 02 00 00 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8995_0 {
	meta:
		name = "TNNTP.SelectGroup"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 00 02 00 00 50 8B 00 FF 90 C4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8996_0 {
	meta:
		name = "TNNTP.SetNextArticle"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 00 02 00 00 50 8B 00 FF 90 C8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8997_0 {
	meta:
		name = "TNNTP.SetLastArticle"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 00 02 00 00 50 8B 00 FF 90 CC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8998_0 {
	meta:
		name = "TNNTP.GetArticleNumbers"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.GetArticleNumbers 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 00 02 00 00 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8999_0 {
	meta:
		name = "TNNTP.GetArticleHeaders"
		size = 164
		refs = "002c @VarAddRef 003c TNNTP.GetArticleHeaders 006f @CheckAutoResult 0085 OleVariant 008f @FinalizeArray 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 08 8D 7D E0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8B 83 00 02 00 00 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9000_0 {
	meta:
		name = "TNNTP.GetArticleByArticleNumber"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.GetArticleByArticleNumber 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 00 02 00 00 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9001_0 {
	meta:
		name = "TNNTP.GetArticleByMessageID"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 00 02 00 00 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9002_0 {
	meta:
		name = "TNNTP.GetHeaderByArticleNumber"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.GetHeaderByArticleNumber 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 00 02 00 00 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9003_0 {
	meta:
		name = "TNNTP.GetHeaderByMessageID"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 00 02 00 00 50 8B 00 FF 90 E4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9004_0 {
	meta:
		name = "TNNTP.GetBodyByArticleNumber"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.GetBodyByArticleNumber 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 00 02 00 00 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9005_0 {
	meta:
		name = "TNNTP.GetBodyByMessageID"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 00 02 00 00 50 8B 00 FF 90 EC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9006_0 {
	meta:
		name = "TNNTP.GetStatByArticleNumber"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.GetStatByArticleNumber 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 00 02 00 00 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9007_0 {
	meta:
		name = "TNNTP.GetOverviewFormat"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 00 02 00 00 50 8B 00 FF 90 F4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9008_0 {
	meta:
		name = "TNNTP.GetOverview"
		size = 156
		refs = "0027 @VarAddRef 0037 TNNTP.GetOverview 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 00 02 00 00 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9009_0 {
	meta:
		name = "TNNTP.ListGroups"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 00 02 00 00 50 8B 00 FF 90 FC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9010_0 {
	meta:
		name = "TNNTP.ListGroupDescriptions"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 00 02 00 00 50 8B 00 FF 90 00 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9011_0 {
	meta:
		name = "TNNTP.ListNewGroups"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.ListNewGroups 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 00 02 00 00 50 8B 00 FF 90 04 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9012_0 {
	meta:
		name = "TNNTP.Quit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 00 02 00 00 50 8B 00 FF 90 08 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9013_0 {
	meta:
		name = "TNNTP.Get_Timeout"
		size = 25
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 51 54 52 8B 80 00 02 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_9014_0 {
	meta:
		name = "TNNTP.Set_Timeout"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 00 02 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_9015_0 {
	meta:
		name = "TNNTP.Set_EnableTimer"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 00 02 00 00 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_9016_0 {
	meta:
		name = "TNNTP.Get_Errors"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 00 02 00 00 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9017_0 {
	meta:
		name = "TNNTP.Get_DocInput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 00 02 00 00 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9018_0 {
	meta:
		name = "TNNTP.Get_DocOutput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 00 02 00 00 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9020_0 {
	meta:
		name = "TSMTP.InitControlInterface"
		size = 44
		refs = "000f TSMTP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 E8 01 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 71 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_9022_0 {
	meta:
		name = "TSMTP.Cancel"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 E8 01 00 00 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9023_0 {
	meta:
		name = "TSMTP.Connect"
		size = 156
		refs = "0027 @VarAddRef 0037 TSMTP.Connect 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 E8 01 00 00 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9024_0 {
	meta:
		name = "TSMTP.SendDoc"
		size = 263
		refs = "0054 @VarAddRef 007c TSMTP.SendDoc 00d2 @CheckAutoResult 00e8 OleVariant 00f2 @FinalizeArray 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B 75 08 8D 7D B0 51 B9 04 00 00 00 F3 A5 59 8B 75 0C 8D 7D C0 51 B9 04 00 00 00 F3 A5 59 8B 75 10 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 E8 01 00 00 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_9025_0 {
	meta:
		name = "TSMTP.Reset"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 E8 01 00 00 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9026_0 {
	meta:
		name = "TSMTP.Verify"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 E8 01 00 00 50 8B 00 FF 90 A8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9027_0 {
	meta:
		name = "TSMTP.Expand"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 E8 01 00 00 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9028_0 {
	meta:
		name = "TSMTP.Help"
		size = 113
		refs = "001b @VarAddRef 0023 TSMTP.Help 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 E8 01 00 00 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9029_0 {
	meta:
		name = "TSMTP.Noop"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 E8 01 00 00 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9030_0 {
	meta:
		name = "TSMTP.Quit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 E8 01 00 00 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9031_0 {
	meta:
		name = "TSMTP.Get_Timeout"
		size = 25
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 51 54 52 8B 80 E8 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_9032_0 {
	meta:
		name = "TSMTP.Set_Timeout"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 E8 01 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_9033_0 {
	meta:
		name = "TSMTP.Set_EnableTimer"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 E8 01 00 00 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_9034_0 {
	meta:
		name = "TSMTP.Get_Errors"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 E8 01 00 00 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9035_0 {
	meta:
		name = "TSMTP.Get_DocInput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 E8 01 00 00 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9037_0 {
	meta:
		name = "TTCP.InitControlInterface"
		size = 44
		refs = "000f TTCP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 B8 01 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 82 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_9038_0 {
	meta:
		name = "TTCP.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 B8 01 00 00 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9039_0 {
	meta:
		name = "TTCP.Connect"
		size = 153
		refs = "0027 @VarAddRef 0037 TTCP.Connect 0066 @CheckAutoResult 007c OleVariant 0086 @FinalizeArray 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 B8 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9040_0 {
	meta:
		name = "TTCP.Listen"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 B8 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9041_0 {
	meta:
		name = "TTCP.Accept"
		size = 19
		refs = "000e @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 B8 01 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9042_0 {
	meta:
		name = "TTCP.SendData"
		size = 110
		refs = "001b @VarAddRef 0023 TTCP.SendData 0046 @CheckAutoResult 005b @VarClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 B8 01 00 00 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9043_0 {
	meta:
		name = "TTCP.GetData"
		size = 161
		refs = "002c @VarAddRef 003c TTCP.GetData 006c @CheckAutoResult 0082 OleVariant 008c @FinalizeArray 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 08 8D 7D E0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8B 83 B8 01 00 00 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9044_0 {
	meta:
		name = "TTCP.PeekData"
		size = 161
		refs = "002c @VarAddRef 003c TTCP.PeekData 006c @CheckAutoResult 0082 OleVariant 008c @FinalizeArray 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 08 8D 7D E0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8B 83 B8 01 00 00 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9045_0 {
	meta:
		name = "TTCP.Close"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 B8 01 00 00 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9047_0 {
	meta:
		name = "TUDP.InitControlInterface"
		size = 44
		refs = "000f TUDP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 90 01 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 85 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_9048_0 {
	meta:
		name = "TUDP.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 90 01 00 00 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9049_0 {
	meta:
		name = "TUDP.SendData"
		size = 110
		refs = "001b @VarAddRef 0023 TUDP.SendData 0046 @CheckAutoResult 005b @VarClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 90 01 00 00 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9050_0 {
	meta:
		name = "TUDP.GetData"
		size = 113
		refs = "001d @VarAddRef 0025 TUDP.GetData 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8B 83 90 01 00 00 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9051_0 {
	meta:
		name = "Register"
		size = 116
		refs = "0004 _DV_TFTP 000c _DV_THTML 0015 _DV_THTTP 001e _DV_TNNTP 0027 _DV_TPOP 0030 _DV_TSMTP 0039 _DV_TTCP 0042 _DV_TUDP 0052 Register 0057 RegisterComponents"
	strings:
		$1 = { 83 C4 E0 A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 A1 ?? ?? ?? ?? 89 44 24 08 A1 ?? ?? ?? ?? 89 44 24 0C A1 ?? ?? ?? ?? 89 44 24 10 A1 ?? ?? ?? ?? 89 44 24 14 A1 ?? ?? ?? ?? 89 44 24 18 A1 ?? ?? ?? ?? 89 44 24 1C 8B D4 B9 07 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 20 C3 00 FF FF FF FF 08 00 00 00 49 6E 74 65 72 6E 65 74 00 00 00 00 }
	condition:
		$1
}

rule function_9054_0 {
	meta:
		name = "TIVCLStreamAdapter.Create"
		size = 53
		refs = "000b @ClassCreate 001a TInterface.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 08 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9055_0 {
	meta:
		name = "TIVCLStreamAdapter.Destroy"
		size = 48
		refs = "0010 TObject.Free 001c TObject.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 7E 0C 00 74 08 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9056_0 {
	meta:
		name = "TIVCLStreamAdapter.Read"
		size = 26
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 55 0C 8B 4D 10 8B 40 08 8B 18 FF 53 04 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9057_0 {
	meta:
		name = "TIVCLStreamAdapter.Write"
		size = 26
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 55 0C 8B 4D 10 8B 40 08 8B 18 FF 53 08 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9058_0 {
	meta:
		name = "TIVCLStreamAdapter.Seek"
		size = 27
	strings:
		$1 = { 55 8B EC 53 8B 45 08 66 8B 4D 10 8B 55 0C 8B 40 08 8B 18 FF 53 0C 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9062_0 {
	meta:
		name = "TIStreamAdapter.Create"
		size = 78
		refs = "000d @ClassCreate 0020 TIVCLStreamAdapter.Create 0025 Now 0031 DateTimeToFileDate"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8A 45 08 88 46 0C 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 89 46 10 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9063_0 {
	meta:
		name = "TIStreamAdapter.Write"
		size = 52
		refs = "0012 TIVCLStreamAdapter.Write 0019 Now 0025 DateTimeToFileDate"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 45 10 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 89 43 10 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9064_0 {
	meta:
		name = "TIStreamAdapter.GetModifyTime"
		size = 13
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 10 5D C2 04 00 }
	condition:
		$1
}

rule function_9065_0 {
	meta:
		name = "TIStreamAdapter.SetModifyTime"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 89 50 10 5D C2 08 00 }
	condition:
		$1
}

rule function_9066_0 {
	meta:
		name = "TIMemoryStream.Create"
		size = 76
		refs = "000a @ClassCreate 0021 _Dn_TMemoryStream 0026 TObject.Create 0035 TIStreamAdapter.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 85 C9 0F 94 C0 88 46 0C 85 C9 75 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8A 46 0C 50 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9067_0 {
	meta:
		name = "TIFileStream.GetFileStream"
		size = 4
		altNames = "TIMemoryStream.GetMemoryStream"
	strings:
		$1 = { 8B 40 08 C3 }
	condition:
		$1
}

rule function_9068_0 {
	meta:
		name = "TIFileStream.Create"
		size = 81
		refs = "000e @ClassCreate 0026 _Dn_TFileStream 002b TFileStream.Create 0036 TIVCLStreamAdapter.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 C6 47 0C 01 66 8B 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9070_0 {
	meta:
		name = "TIFileStream.GetModifyTime"
		size = 27
		refs = "000a TIFileStream.GetFileStream 0012 FileGetDate"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9071_0 {
	meta:
		name = "TIFileStream.SetModifyTime"
		size = 30
		refs = "000a TIFileStream.GetFileStream 0015 FileSetDate"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 8B 40 04 8B 55 0C E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9072_0 {
	meta:
		name = "TIFileStream.Flush"
		size = 28
		refs = "000a TIFileStream.GetFileStream 0013 FlushFileBuffers"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 8B 40 04 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9075_0 {
	meta:
		name = "TVirtualStream.Read"
		size = 12
	strings:
		$1 = { 51 52 8B 40 04 50 8B 00 FF 50 0C C3 }
	condition:
		$1
}

rule function_9076_0 {
	meta:
		name = "TVirtualStream.Write"
		size = 12
	strings:
		$1 = { 51 52 8B 40 04 50 8B 00 FF 50 10 C3 }
	condition:
		$1
}

rule function_9077_0 {
	meta:
		name = "TVirtualStream.Seek"
		size = 12
	strings:
		$1 = { 51 52 8B 40 04 50 8B 00 FF 50 14 C3 }
	condition:
		$1
}

rule function_9078_0 {
	meta:
		name = "TVirtualStream.GetModifyTime"
		size = 10
	strings:
		$1 = { 8B 40 04 50 8B 00 FF 50 18 C3 }
	condition:
		$1
}

rule function_9079_0 {
	meta:
		name = "TVirtualStream.SetModifyTime"
		size = 11
	strings:
		$1 = { 52 8B 40 04 50 8B 00 FF 50 1C C3 }
	condition:
		$1
}

rule function_9084_0 {
	meta:
		name = "_NF__CB"
		size = 13
		refs = "0007 @GetMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_9085_0 {
	meta:
		name = "_NF__CC"
		size = 13
		refs = "0007 @FreeMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_9086_0 {
	meta:
		name = "_NF__CD"
		size = 21
		refs = "000f @FillChar"
	strings:
		$1 = { 55 8B EC 33 C9 8A 4D 0C 8B 45 08 8B 55 10 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_9087_0 {
	meta:
		name = "_NF__CE"
		size = 19
		refs = "000d Move"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 45 0C 8B 4D 10 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_9088_0 {
	meta:
		name = "_NF__CF"
		size = 25
	strings:
		$1 = { 55 8B EC 53 8B 4D 0C 0F AF 4D 10 8B 55 08 8B 45 14 8B 18 FF 53 04 5B 5D C3 }
	condition:
		$1
}

rule function_9089_0 {
	meta:
		name = "_NF__D0"
		size = 25
	strings:
		$1 = { 55 8B EC 53 8B 4D 0C 0F AF 4D 10 8B 55 08 8B 45 14 8B 18 FF 53 08 5B 5D C3 }
	condition:
		$1
}

rule function_9090_0 {
	meta:
		name = "_NF__D1"
		size = 7
	strings:
		$1 = { 55 8B EC 33 C0 5D C3 }
	condition:
		$1
}

rule function_9091_0 {
	meta:
		name = "_NF__D2"
		size = 23
		refs = "000f @TRUNC"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8D 45 F8 DD 18 DD 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_9093_0 {
	meta:
		name = "_NF__D7"
		size = 113
		refs = "0012 _NF__D7 0032 sJPEGError 0037 LoadResString 0041 _NV__D4 0046 Exception.CreateFmt 004b @RaiseExcept 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 40 14 89 45 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9097_0 {
	meta:
		name = "_NF__DB"
		size = 13
	strings:
		$1 = { 8B 10 33 C9 89 4A 70 33 C0 89 42 14 C3 }
	condition:
		$1
}

rule function_9098_0 {
	meta:
		name = "TJPEGData.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TObject.Destroy 0021 @ClassDestroy"
		altNames = "TQREvElementFunction.Destroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15154_0 {
	meta:
		name = "TChartFontObject.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TPersistent.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14936_0 {
	meta:
		name = "TChartValueList.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TPersistent.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9100_0 {
	meta:
		name = "TJPEGImage.Create"
		size = 107
		refs = "000b @ClassCreate 0014 JPEGDefaults 001d TGraphic.Create 0024 TJPEGImage.NewImage"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 BE ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8A 06 88 47 2F 8A 46 01 88 47 2D 8A 46 02 88 47 32 8A 46 03 88 47 2E 8A 46 04 88 47 30 8A 46 05 88 47 31 8A 46 06 88 47 33 8A 46 07 88 47 2C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9101_0 {
	meta:
		name = "TJPEGImage.Destroy"
		size = 63
		refs = "000f DeleteObject 0017 TObject.Free 001f TSharedImage.Release 002b TPersistent.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 28 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9102_0 {
	meta:
		name = "TJPEGImage.Assign"
		size = 127
		refs = "000b _DV_TJPEGImage 0010 @IsClass 001c TSharedImage.Release 0029 TSharedImage.Reference 0036 TJPEGImage.NewBitmap 004b _Dn_TBitmap 005b TJPEGImage.NewImage 0077 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F 8B 43 18 E8 ?? ?? ?? ?? 8B FE 8B 47 18 89 43 18 E8 ?? ?? ?? ?? 83 7F 1C 00 74 48 8B C3 E8 ?? ?? ?? ?? 8B 57 1C 8B 43 1C 8B 08 FF 51 08 EB 34 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 1C 8B 08 FF 51 08 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9103_0 {
	meta:
		name = "TJPEGImage.AssignTo"
		size = 54
		refs = "000a _Dn_TBitmap 000f @IsClass 001a TJPEGImage.GetBitmap 002f TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9104_0 {
	meta:
		name = "_NF__EE"
		size = 244
		refs = "0020 GetTickCount 0061 Rect 0098 _NF__EE 00a2 @TRUNC 00e2 @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B 46 08 85 C0 0F 84 D3 00 00 00 83 78 14 00 0F 84 C9 00 00 00 8B D8 E8 ?? ?? ?? ?? 8B D0 8B CA 8B 43 20 2B C8 81 F9 F4 01 00 00 0F 8C AD 00 00 00 89 53 20 85 C0 0F 84 A2 00 00 00 83 7E 0C 00 74 2D 8B FE 8B 87 88 00 00 00 50 8D 44 24 04 50 8B 4F 6C 8B 53 24 33 C0 E8 ?? ?? ?? ?? 8B 44 24 0C 3B 43 24 7D 1B 8B 47 70 89 44 24 0C EB 12 6A 00 8D 44 24 04 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? DB 43 04 DB 43 08 DE F9 DB 43 0C DE C1 D8 0D ?? ?? ?? ?? DB 43 10 DE F9 E8 ?? ?? ?? ?? 3B 43 1C 74 3B 89 43 1C 83 7E 0C 00 74 09 8B 96 88 00 00 00 89 53 24 50 8B 44 24 10 2B 44 24 08 83 F8 04 0F 9D C0 50 8D 44 24 08 50 6A 00 B1 01 8B 73 14 8B D6 8B C6 66 BB FD FF E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_9105_0 {
	meta:
		name = "_NF__EF"
		size = 33
		refs = "0013 _NF__190"
	strings:
		$1 = { 53 8B D8 83 BB A8 00 00 00 00 74 13 8D 83 A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_9106_0 {
	meta:
		name = "_NF__F0"
		size = 520
		refs = "0017 @FillChar 0021 _NV__DC 004b _NF__149 0053 _NF__F0 005e _NF__EE 0089 TStream.SetPosition 009c _NF__15D 00ac _NF__14B 0195 _NF__14D 01ec @HandleAnyException 01f4 _NF__EF 01f9 @RaiseAgain 01fe @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 8B 45 FC 33 C9 BA 6C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B F8 BE ?? ?? ?? ?? B9 1D 00 00 00 F3 A5 8B 45 FC 8B 55 FC 89 82 A8 00 00 00 8B 45 FC 05 A8 00 00 00 B9 C2 01 00 00 BA 3D 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? 8B 55 FC 89 42 74 8B 45 FC 89 98 88 00 00 00 8B 45 FC 83 C0 74 8B 55 FC 89 82 B0 00 00 00 8B 43 18 8B 40 08 33 D2 E8 ?? ?? ?? ?? 8B 43 18 8B 50 08 8B 45 FC 05 A8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 A8 00 00 00 83 CA FF E8 ?? ?? ?? ?? 8B 45 FC C7 80 D4 00 00 00 01 00 00 00 8A 4B 33 B8 01 00 00 00 D3 E0 8B 55 FC 89 82 D8 00 00 00 8A 43 2C F6 D8 1B C0 8B 55 FC 89 82 F4 00 00 00 80 7B 2D 00 74 0D 8B 45 FC C7 80 D0 00 00 00 01 00 00 00 80 7B 2E 01 74 0C 8B 45 FC 83 B8 D0 00 00 00 01 75 1A 8B 45 FC C7 80 F8 00 00 00 FF FF FF FF 8B 45 FC C7 80 04 01 00 00 EC 00 00 00 80 7B 32 01 75 25 8B 45 FC C7 80 EC 00 00 00 01 00 00 00 8B 45 FC 33 D2 89 90 00 01 00 00 8B 45 FC C7 80 FC 00 00 00 01 00 00 00 8B 45 FC 8B 80 EC 00 00 00 8B 55 FC 89 82 9C 00 00 00 8B 45 FC 8B 80 00 01 00 00 F7 D8 1B C0 F7 D8 8B 55 FC 88 82 A0 00 00 00 8B 45 FC 8B 80 FC 00 00 00 8B 55 FC 89 82 A4 00 00 00 80 7B 30 00 74 55 8B 45 FC 05 A8 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 44 8B 45 FC 8B 80 00 01 00 00 8B 55 FC 89 82 10 01 00 00 8B 45 FC C7 80 EC 00 00 00 01 00 00 00 8B 45 FC 33 D2 89 90 00 01 00 00 8B 45 FC C7 80 FC 00 00 00 01 00 00 00 8B 45 FC C7 80 E4 00 00 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9107_0 {
	meta:
		name = "_NF__F1"
		size = 139
		refs = "001b _NF__F0 0023 _NF__F1 003c _NF__163 0059 _NF__14D 007a _NF__EF 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 94 FD FF FF 53 8B D8 80 7B 34 00 74 74 8D 95 94 FD FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 85 44 FE FF FF 8D 85 3C FE FF FF E8 ?? ?? ?? ?? 8B 85 A8 FE FF FF 89 43 20 8B 85 AC FE FF FF 89 43 24 8D 85 3C FE FF FF E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 88 43 31 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 94 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9109_0 {
	meta:
		name = "TJPEGImage.Compress"
		size = 894
		refs = "001d @FillChar 0022 _NV__DC 0050 _NF__19D 0058 TJPEGImage.Compress 0071 _NF__EE 00a0 TJPEGImage.NewImage 00a7 _Dn_TMemoryStream 00ac TObject.Create 00c0 TStream.SetPosition 00d4 _NF__194 0105 @TryFinallyExit 016f _Dn_TBitmap 0174 TBitmap.Create 019d TBitmap.SetPixelFormat 01a8 _NF__197 01be _NF__196 01e1 _NF__198 01f5 _NF__199 01ff TBitmap.GetScanline 024a Rect 0264 @CallDynaInst 0280 _NF__19B 0293 _NF__19C 02b4 _NF__19F 02c6 ExceptObject 030c @HandleFinally 0323 TObject.Free 033a @HandleOnException 0342 _Dn_EAbort 0353 @DoneExcept 036b _NF__EF"
	strings:
		$1 = { 55 8B EC 81 C4 74 FD FF FF 53 56 57 89 45 FC 8D 85 84 FD FF FF 33 C9 BA 6C 02 00 00 E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 8D BD 84 FD FF FF B9 1D 00 00 00 F3 A5 8D 85 84 FD FF FF 89 85 2C FE FF FF 8D 85 2C FE FF FF B9 65 01 00 00 BA 3D 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B8 ?? ?? ?? ?? 89 85 F8 FD FF FF 8B 45 FC 89 85 0C FE FF FF 8D 85 F8 FD FF FF 89 85 34 FE FF FF 8B 45 FC 8B 40 18 83 78 08 00 74 08 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 18 89 58 08 8B C3 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 8B 50 08 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 58 1C 85 DB 74 1A 8B C3 8B 10 FF 52 2C 85 C0 74 0F 8B 45 FC 8B 40 1C 8B 10 FF 52 20 85 C0 75 12 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 69 02 00 00 8B 45 FC 8B 40 1C 8B 10 FF 52 2C 89 85 44 FE FF FF 8B 45 FC 8B 40 1C 8B 10 FF 52 2C 8B 55 FC 8B 52 18 89 42 10 8B 45 FC 8B 40 1C 8B 10 FF 52 20 89 85 48 FE FF FF 8B 45 FC 8B 40 1C 8B 10 FF 52 20 8B 55 FC 8B 52 18 89 42 0C C7 85 4C FE FF FF 03 00 00 00 C7 85 50 FE FF FF 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 1C 8B 45 F0 8B 08 FF 51 08 B2 06 8B 45 F0 E8 ?? ?? ?? ?? 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 33 D2 8A 50 2F 8D 85 2C FE FF FF 83 C9 FF E8 ?? ?? ?? ?? 8B 45 FC 80 78 2D 00 74 1A 8B 45 FC 8B 40 18 C6 40 14 01 8D 85 2C FE FF FF BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 78 31 00 74 0B 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 2B 75 F4 85 F6 7E 13 F7 C6 03 00 00 00 75 0B 8B 85 48 FE FF FF 89 45 F8 EB 07 C7 45 F8 01 00 00 00 6A 00 6A 00 6A 00 8D 85 74 FD FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 74 FD FF FF 50 6A 00 33 C9 8B 55 FC 8B 45 FC 66 BB FD FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 85 2C FE FF FF 83 CA FF E8 ?? ?? ?? ?? EB 19 8D 55 F4 8D 85 2C FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 8B D6 0F AF D0 01 55 F4 8B 85 01 FF FF FF 3B 85 48 FE FF FF 72 D9 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 BE 64 00 00 00 EB 02 33 F6 8B C6 50 6A 00 6A 00 8D 85 74 FD FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 74 FD FF FF 50 6A 00 B1 02 8B 55 FC 8B 45 FC 66 BB FD FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 84 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9111_0 {
	meta:
		name = "TJPEGImage.Draw"
		size = 31
		refs = "000c TJPEGImage.GetBitmap 0017 TCanvas.StretchDraw"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9112_0 {
	meta:
		name = "TJPEGImage.Equals"
		size = 41
		refs = "000a _DV_TJPEGImage 000f @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 18 3B 43 18 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_9113_0 {
	meta:
		name = "TJPEGImage.FreeBitmap"
		size = 18
		refs = "0007 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 33 C0 89 43 1C 5B C3 }
	condition:
		$1
}

rule function_9114_0 {
	meta:
		name = "_NF__102"
		size = 167
		refs = "009a CreatePalette"
	strings:
		$1 = { 56 57 81 C4 FC FB FF FF 8B F8 66 C7 04 24 00 03 66 8B 97 80 00 00 00 66 89 54 24 02 83 7F 28 01 75 2F 0F B7 F2 4E 85 F6 7C 6C 46 33 C9 8D 54 24 04 8B 87 84 00 00 00 8B 00 8A 04 08 88 02 88 42 01 88 42 02 C6 42 03 00 41 83 C2 04 4E 75 E2 EB 45 0F B7 F2 4E 85 F6 7C 3D 46 33 C9 8D 54 24 04 8B 87 84 00 00 00 8B 40 08 8A 04 08 88 02 8B 87 84 00 00 00 8B 40 04 8A 04 08 88 42 01 8B 87 84 00 00 00 8B 00 8A 04 08 88 42 02 C6 42 03 00 41 83 C2 04 4E 75 CA 8B C4 50 E8 ?? ?? ?? ?? 81 C4 04 04 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_9115_0 {
	meta:
		name = "_NF__103"
		size = 136
		refs = "001a GetPaletteEntries"
	strings:
		$1 = { 53 56 57 55 81 C4 FC FB FF FF 8B D8 8D 44 24 04 50 68 00 01 00 00 6A 00 52 E8 ?? ?? ?? ?? 8B F0 85 F6 74 59 6A 03 8B 7B 04 8B C3 8B CE BA 01 00 00 00 FF 57 08 89 83 84 00 00 00 89 B3 80 00 00 00 8B FE 4F 85 FF 7C 35 47 33 D2 8D 44 24 04 8B B3 84 00 00 00 8B 4E 08 8D 2C 11 8A 08 88 4D 00 8B 4E 04 8D 2C 11 8A 48 01 88 4D 00 8B 0E 8D 34 11 8A 48 02 88 0E 42 83 C0 04 4F 75 D2 81 C4 04 04 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9116_0 {
	meta:
		name = "TJPEGImage.GetBitmap"
		size = 1030
		refs = "0029 _Dn_TBitmap 002e TBitmap.Create 004f _NF__F0 0057 TJPEGImage.GetBitmap 0078 TBitmap.SetHandle 0097 TBitmap.SetPixelFormat 00be Rect 00d8 @CallDynaInst 0106 _NF__103 0111 CopyPalette 012a DeleteObject 013d _NF__15E 016f TBitmap.GetScanline 01bc _NF__160 01dc TBitmap.GetPixelFormat 01f1 _NF__102 0227 _NF__15F 0248 _NF__161 0253 _NF__14C 0347 _NF__14E 0359 ExceptObject 03b6 @HandleFinally 03c7 @HandleOnException 03cf _Dn_EAbort 03d8 @DoneExcept 03f0 _NF__EF"
	strings:
		$1 = { 55 8B EC 81 C4 74 FD FF FF 53 56 57 89 45 FC 8B 45 FC 8B 40 1C 89 45 F8 83 7D F8 00 0F 85 DA 03 00 00 85 C0 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 8B 45 FC 8B 40 1C 89 45 F8 C6 45 F3 01 8D 95 84 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 1C 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 80 78 2E 01 74 09 83 BD 54 FE FF FF 01 75 0F 8B 45 FC 8B 40 1C B2 03 E8 ?? ?? ?? ?? EB 0D 8B 45 FC 8B 40 1C B2 06 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8D 85 74 FD FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 74 FD FF FF 50 6A 00 33 C9 8B 55 FC 8B 45 FC 66 BB FD FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 28 85 C0 74 42 8B 55 FC 80 7A 2E 01 75 2B 8B D0 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 1C 8B 08 FF 51 38 C6 45 F3 00 EB 0E 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 28 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 58 1C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 95 98 FE FF FF 8B C3 8B 08 FF 51 40 8B 95 9C FE FF FF 8B C3 8B 08 FF 51 34 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 F4 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B 45 F4 8B D8 85 DB 7E 0D F6 C3 03 75 08 8B B5 A8 FE FF FF EB 05 BE 01 00 00 00 83 BD 68 FE FF FF 00 0F 84 0A 01 00 00 E9 9D 00 00 00 8D 85 2C FE FF FF 8B 95 B8 FE FF FF E8 ?? ?? ?? ?? 8B 85 34 FE FF FF 83 78 0C 00 75 3D 83 BD B0 FE FF FF 00 74 34 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 3C 03 75 25 80 7D F3 00 74 1F 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 1C 8B 08 FF 51 38 8B 45 FC C6 40 16 01 8B 45 FC 8B 40 1C 33 D2 E8 ?? ?? ?? ?? 89 45 F4 EB 18 8D 55 F4 8D 85 2C FE FF FF 8B CE E8 ?? ?? ?? ?? 8B D3 0F AF D0 01 55 F4 8B 85 B4 FE FF FF 3B 85 9C FE FF FF 72 DA 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 83 F8 02 0F 85 4F FF FF FF 8B 85 20 FE FF FF 89 85 70 FE FF FF 8B 85 28 FE FF FF 89 85 80 FE FF FF 80 BD 24 FE FF FF 00 74 12 C7 85 84 FE FF FF FF FF FF FF 33 C0 89 85 B0 FE FF FF 8D 85 2C FE FF FF 8B 95 B8 FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 33 D2 E8 ?? ?? ?? ?? 89 45 F4 83 BD 68 FE FF FF 00 74 09 80 BD 24 FE FF FF 00 74 58 83 BD B0 FE FF FF 00 74 4F 80 7D F3 00 74 49 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 1C 8B 08 FF 51 38 8B 45 FC C6 40 16 01 8B 45 FC 8B 40 1C 33 D2 E8 ?? ?? ?? ?? 89 45 F4 EB 18 8D 55 F4 8D 85 2C FE FF FF 8B CE E8 ?? ?? ?? ?? 8B D3 0F AF D0 01 55 F4 8B 85 B4 FE FF FF 3B 85 9C FE FF FF 72 DA 83 BD 68 FE FF FF 00 74 0B 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 BB 64 00 00 00 EB 02 33 DB 53 8B 45 FC 8A 40 16 50 6A 00 8D 85 74 FD FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 74 FD FF FF 50 6A 00 B1 02 8B 55 FC 8B 45 FC 66 BB FD FF E8 ?? ?? ?? ?? 8B 45 FC 80 78 16 00 74 0B 8B 55 FC 8B 45 FC 8B 08 FF 51 10 C3 E9 ?? ?? ?? ?? EB 9C 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 84 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9117_0 {
	meta:
		name = "TJPEGImage.GetEmpty"
		size = 32
	strings:
		$1 = { 53 8B D8 8B 43 18 83 78 08 00 75 0C 8B 43 1C 8B 10 FF 52 1C 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_9118_0 {
	meta:
		name = "TJPEGImage.GetGrayscale"
		size = 21
	strings:
		$1 = { 80 78 2D 00 75 0C 8B 40 18 80 78 14 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9119_0 {
	meta:
		name = "TJPEGImage.GetPalette"
		size = 102
		refs = "002c GetDC 0036 GetDeviceCaps 004e CreateHalftonePalette 005b ReleaseDC"
	strings:
		$1 = { 53 56 57 55 8B D8 33 F6 8B 43 1C 85 C0 74 09 8B 10 FF 52 24 8B F0 EB 47 8B 43 28 85 C0 74 04 8B F0 EB 3C 80 7B 2E 00 75 36 6A 00 E8 ?? ?? ?? ?? 8B F8 6A 0C 57 E8 ?? ?? ?? ?? 8B E8 6A 0E 57 E8 ?? ?? ?? ?? 0F AF E8 83 FD 08 7F 0B 57 E8 ?? ?? ?? ?? 8B F0 89 73 28 57 6A 00 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9120_0 {
	meta:
		name = "TJPEGImage.GetHeight"
		size = 43
		refs = "0022 _NF__F1"
	strings:
		$1 = { 53 8B D8 8B 43 1C 85 C0 74 07 8B 10 FF 52 20 5B C3 80 7B 33 00 75 08 8B 43 18 8B 40 0C EB 0A 8B C3 E8 ?? ?? ?? ?? 8B 43 24 5B C3 }
	condition:
		$1
}

rule function_9121_0 {
	meta:
		name = "TJPEGImage.GetWidth"
		size = 43
		refs = "0022 _NF__F1"
	strings:
		$1 = { 53 8B D8 8B 43 1C 85 C0 74 07 8B 10 FF 52 2C 5B C3 80 7B 33 00 75 08 8B 43 18 8B 40 10 EB 0A 8B C3 E8 ?? ?? ?? ?? 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_9122_0 {
	meta:
		name = "TJPEGImage.JPEGNeeded"
		size = 15
		refs = "000a TJPEGImage.Compress"
	strings:
		$1 = { 8B 50 18 83 7A 08 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9123_0 {
	meta:
		name = "TJPEGImage.LoadFromClipboardFormat"
		size = 31
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 50 8B D7 8B 46 1C 8B 18 FF 53 58 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9124_0 {
	meta:
		name = "TJPEGImage.LoadFromStream"
		size = 36
		refs = "0009 TStream.GetSize 0011 TStream.GetPosition 001d TJPEGImage.ReadStream"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 8B CB 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9125_0 {
	meta:
		name = "TJPEGImage.NewBitmap"
		size = 28
		refs = "0007 TObject.Free 000e _Dn_TBitmap 0013 TBitmap.Create"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C 5B C3 }
	condition:
		$1
}

rule function_9126_0 {
	meta:
		name = "TJPEGImage.NewImage"
		size = 43
		refs = "000c TSharedImage.Release 0013 _DV_TJPEGData 0018 TObject.Create 0024 TSharedImage.Reference"
	strings:
		$1 = { 53 56 8B D8 8B 43 18 85 C0 74 05 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 18 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9127_0 {
	meta:
		name = "TJPEGImage.ReadData"
		size = 39
		refs = "001e TJPEGImage.ReadStream"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 04 8B CE 8B 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9128_0 {
	meta:
		name = "TJPEGImage.ReadStream"
		size = 291
		refs = "0018 TJPEGImage.NewImage 0025 _Dn_TMemoryStream 002a TObject.Create 0047 TStream.ReadBuffer 0054 _NV__DC 007c _NF__149 0084 TJPEGImage.ReadStream 0094 TStream.SetPosition 00a2 _NF__15D 00b0 _NF__14B 00da _NF__14D 00fe _NF__14A 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 C0 FD FF FF 53 56 57 89 4D F8 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 58 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 08 8B C7 8B D6 8B 08 FF 11 8B 43 08 8B 50 04 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 85 F6 0F 8E B7 00 00 00 BE ?? ?? ?? ?? 8D 7D 84 B9 1D 00 00 00 F3 A5 8D 45 84 89 85 C0 FD FF FF 8D 85 C0 FD FF FF B9 C2 01 00 00 BA 3D 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 33 D2 E8 ?? ?? ?? ?? 8B 53 08 8D 85 C0 FD FF FF E8 ?? ?? ?? ?? 8D 85 C0 FD FF FF 83 CA FF E8 ?? ?? ?? ?? 8B 85 D8 FD FF FF 89 43 10 8B 85 DC FD FF FF 89 43 0C 83 BD E4 FD FF FF 01 0F 94 C0 88 43 14 8D 85 C0 FD FF FF E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 8B 55 FC 88 42 31 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C0 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC C6 40 16 01 8B 55 FC 8B 45 FC 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9129_0 {
	meta:
		name = "TJPEGImage.SaveToClipboardFormat"
		size = 39
		refs = "0013 TJPEGImage.GetBitmap"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 5C 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9130_0 {
	meta:
		name = "TJPEGImage.SaveToStream"
		size = 41
		refs = "0009 TJPEGImage.JPEGNeeded 0016 TStream.GetSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 58 08 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 53 04 8B C6 8B 18 FF 53 08 5E 5B C3 }
	condition:
		$1
}

rule function_9131_0 {
	meta:
		name = "TJPEGImage.SetGrayscale"
		size = 37
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 2D 74 17 8B C6 E8 ?? ?? ?? ?? 88 5E 2D C6 46 16 01 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_9133_0 {
	meta:
		name = "TJPEGImage.SetPalette"
		size = 73
		refs = "002d TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 3B 77 28 74 39 8B 5F 1C 85 DB 74 0B 8B C3 8B 10 FF 52 24 3B F0 75 04 33 C0 EB 02 B0 01 8B D8 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 89 77 28 84 DB 74 0D C6 47 16 01 8B D7 8B C7 8B 08 FF 51 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9134_0 {
	meta:
		name = "TJPEGImage.SetPerformance"
		size = 37
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 32 74 17 8B C6 E8 ?? ?? ?? ?? 88 5E 32 C6 46 16 01 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_9135_0 {
	meta:
		name = "TJPEGImage.SetPixelFormat"
		size = 37
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 2E 74 17 8B C6 E8 ?? ?? ?? ?? 88 5E 2E C6 46 16 01 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_9136_0 {
	meta:
		name = "TJPEGImage.SetScale"
		size = 37
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 33 74 17 8B C6 E8 ?? ?? ?? ?? 88 5E 33 C6 46 34 01 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_9137_0 {
	meta:
		name = "TJPEGImage.SetSmoothing"
		size = 33
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 2C 74 13 8B C6 E8 ?? ?? ?? ?? 88 5E 2C 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_9139_0 {
	meta:
		name = "TJPEGImage.WriteData"
		size = 77
		refs = "001a TStream.GetSize"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 33 C0 89 04 24 8B 43 18 8B 78 08 85 FF 74 0A 8B C7 E8 ?? ?? ?? ?? 89 04 24 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 08 83 3C 24 00 7E 13 8B 43 18 8B 40 08 8B 50 04 8B 0C 24 8B C6 8B 18 FF 53 08 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9140_0 {
	meta:
		name = "_NF__148"
		size = 64
		refs = "0005 GetDC 000f GetDeviceCaps 0027 JPEGDefaults 0039 ReleaseDC"
	strings:
		$1 = { 53 56 6A 00 E8 ?? ?? ?? ?? 8B D8 6A 0C 53 E8 ?? ?? ?? ?? 8B F0 6A 0E 53 E8 ?? ?? ?? ?? 0F AF F0 83 FE 08 7F 09 C6 05 ?? ?? ?? ?? 01 EB 07 C6 05 ?? ?? ?? ?? 00 53 6A 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9141_0 {
	meta:
		name = "_NF__149"
		size = 200
		refs = "0055 _NF__CD 0068 _NF__150 00b2 _NF__18A 00b9 _NF__15B"
	strings:
		$1 = { 53 8B D8 33 C0 56 8B F1 89 43 04 83 FA 3D 74 19 8B 03 C7 40 14 0A 00 00 00 C7 40 18 3D 00 00 00 89 50 1C 8B C3 8B 10 FF 12 81 FE C2 01 00 00 74 19 8B 03 C7 40 14 13 00 00 00 C7 40 18 C2 01 00 00 89 70 1C 8B C3 8B 10 FF 12 8B 33 68 C2 01 00 00 6A 00 53 E8 ?? ?? ?? ?? 83 C4 0C 89 33 C7 43 0C 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 89 53 08 33 C9 89 4B 14 6A 10 6A 00 8D 83 A0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 93 B0 00 00 00 6A 10 6A 00 52 E8 ?? ?? ?? ?? 83 C4 0C 8D 8B C0 00 00 00 6A 10 6A 00 51 E8 ?? ?? ?? ?? 83 C4 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 43 10 C8 00 00 00 5E 5B C3 90 }
	condition:
		$1
}

rule function_9142_0 {
	meta:
		name = "_NF__14A"
		size = 572
		refs = "0001 _NF__190 0009 _NF__18F"
	strings:
		$1 = { E8 ?? ?? ?? ?? C3 90 90 E8 ?? ?? ?? ?? C3 90 90 81 FA FE 00 00 00 75 0A 8B 80 AA 01 00 00 89 48 0C C3 81 FA E0 00 00 00 7C 16 81 FA EF 00 00 00 7F 0E 8B 80 AA 01 00 00 89 8C 90 90 FC FF FF C3 8B 08 C7 41 14 43 00 00 00 89 51 18 8B 10 FF 12 C3 90 90 90 53 8B D8 56 8B 43 20 48 74 11 83 E8 02 74 1F 48 0F 84 F7 00 00 00 E9 55 01 00 00 C7 43 24 01 00 00 00 C7 43 28 01 00 00 00 E9 4C 01 00 00 83 BB 14 01 00 00 00 74 0C C7 43 24 03 00 00 00 E9 C1 00 00 00 83 BB 1D 01 00 00 00 74 4E 8A 93 21 01 00 00 80 EA 01 72 04 74 0E EB 18 C7 43 24 02 00 00 00 E9 9D 00 00 00 C7 43 24 03 00 00 00 E9 91 00 00 00 8B 03 33 D2 C7 40 14 6E 00 00 00 8A 93 21 01 00 00 89 50 18 8B C3 83 CA FF 8B 08 FF 51 04 C7 43 24 03 00 00 00 EB 6A 8B 8B D4 00 00 00 8B 01 8B 51 54 8B 89 A8 00 00 00 83 F8 01 75 13 83 FA 02 75 0E 83 F9 03 75 09 C7 43 24 03 00 00 00 EB 41 83 F8 52 75 13 83 FA 47 75 0E 83 F9 42 75 09 C7 43 24 02 00 00 00 EB 29 8B 33 83 C6 18 89 06 89 56 04 89 4E 08 8B 03 C7 40 14 6B 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 C7 43 24 03 00 00 00 C7 43 28 02 00 00 00 EB 6D 83 BB 1D 01 00 00 00 74 4A 8A 93 21 01 00 00 80 EA 01 72 06 FE CA 74 0B EB 12 C7 43 24 04 00 00 00 EB 37 C7 43 24 05 00 00 00 EB 2E 8B 03 33 D2 C7 40 14 6E 00 00 00 8A 93 21 01 00 00 89 50 18 8B C3 83 CA FF 8B 08 FF 51 04 C7 43 24 05 00 00 00 EB 07 C7 43 24 04 00 00 00 C7 43 28 04 00 00 00 EB 0A 33 C0 33 D2 89 43 24 89 53 28 C7 43 2C 01 00 00 00 C7 43 30 01 00 00 00 33 C9 33 C0 89 4B 34 33 D2 C7 43 38 00 00 F0 3F 89 43 3C 89 53 40 33 C9 33 C0 89 4B 44 33 D2 C7 43 48 01 00 00 00 C7 43 4C 01 00 00 00 89 43 50 33 C9 C7 43 54 02 00 00 00 C7 43 58 01 00 00 00 C7 43 5C 00 01 00 00 89 93 84 00 00 00 33 C0 89 4B 60 89 43 64 33 D2 89 53 68 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_9143_0 {
	meta:
		name = "_NF__14B"
		size = 108
		refs = "005e _NF__18F"
	strings:
		$1 = { 53 8B D8 56 8B F2 8B 43 10 3D C8 00 00 00 74 1C 3D C9 00 00 00 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B C3 E8 39 00 00 00 8B D0 83 EA 01 72 2D 74 05 4A 74 09 EB 26 B8 01 00 00 00 EB 1F 85 F6 74 0F 8B 13 8B C3 C7 42 14 32 00 00 00 8B 10 FF 12 8B C3 E8 ?? ?? ?? ?? B8 02 00 00 00 5E 5B C3 90 90 }
	condition:
		$1
}

rule function_9144_0 {
	meta:
		name = "_NF__14C"
		size = 224
		refs = "0015 _NF__149"
	strings:
		$1 = { 53 8B D8 56 33 F6 8B 43 10 05 38 FF FF FF 83 F8 0A 77 7C 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 04 03 02 01 01 01 01 01 01 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 90 A6 01 00 00 FF 52 04 8B C3 8B 50 14 FF 52 08 C7 43 10 C9 00 00 00 8B C3 8B 90 A6 01 00 00 FF 12 8B F0 83 FE 01 75 3A 8B C3 E8 3B FD FF FF C7 43 10 CA 00 00 00 EB 2A BE 01 00 00 00 EB 23 8B C3 8B 90 A6 01 00 00 FF 12 8B F0 EB 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B C6 5E 5B C3 90 90 90 53 8B D8 8B 43 10 3D C8 00 00 00 7C 07 3D D2 00 00 00 7E 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 8B A6 01 00 00 8B 41 14 5B C3 }
	condition:
		$1
}

rule function_9145_0 {
	meta:
		name = "_NF__14D"
		size = 52
	strings:
		$1 = { 53 8B D8 8B 43 10 3D CA 00 00 00 7C 07 3D D2 00 00 00 7E 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 8B A6 01 00 00 8B 41 10 5B C3 }
	condition:
		$1
}

rule function_9146_0 {
	meta:
		name = "_NF__14E"
		size = 174
		refs = "00a3 _NF__18F"
	strings:
		$1 = { 53 8B D8 8B 43 10 3D CD 00 00 00 74 07 3D CE 00 00 00 75 34 83 7B 3C 00 75 2E 8B 93 88 00 00 00 3B 53 70 73 0F 8B 0B 8B C3 C7 41 14 42 00 00 00 8B 10 FF 12 8B C3 8B 90 96 01 00 00 FF 52 04 C7 43 10 D2 00 00 00 EB 44 81 7B 10 CF 00 00 00 75 09 C7 43 10 D2 00 00 00 EB 32 81 7B 10 D2 00 00 00 74 29 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 EB 12 8B C3 8B 90 A6 01 00 00 FF 12 85 C0 75 04 33 C0 5B C3 8B 93 A6 01 00 00 83 7A 14 00 74 E2 8B C3 8B 50 14 FF 52 18 8B C3 E8 ?? ?? ?? ?? B8 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_9147_0 {
	meta:
		name = "_NF__14F"
		size = 2864
		refs = "00a7 _NV__151 00cf _NF__152 01a1 _NF__154 04f0 _NF__156 0548 _NF__157 085d _NF__CD 0a9f _NF__155 0add _NF__153 0b26 _NF__159"
	strings:
		$1 = { 8B 08 C7 41 14 35 00 00 00 89 51 18 8B 10 FF 12 C3 90 90 90 53 56 57 55 83 C4 F4 8B F8 8B F1 81 FE F4 C9 9A 3B 89 14 24 8B 47 04 89 44 24 04 76 0C BA 01 00 00 00 8B C7 E8 C3 FF FF FF 8B C6 83 E0 07 85 C0 76 09 BA 08 00 00 00 2B D0 03 F2 83 3C 24 00 7C 06 83 3C 24 02 7C 15 8B 07 C7 40 14 0C 00 00 00 8B 14 24 89 50 18 8B C7 8B 10 FF 12 8B 44 24 04 8B 14 24 33 ED 8B 44 90 30 85 C0 74 0D 3B 70 08 76 08 8B E8 8B 00 85 C0 75 F3 85 C0 0F 85 97 00 00 00 8D 46 0C 85 ED 89 44 24 08 75 0C 8B 14 24 8B 1C 95 ?? ?? ?? ?? EB 0A 8B 04 24 8B 1C 85 ?? ?? ?? ?? B8 00 CA 9A 3B 2B 44 24 08 3B D8 76 02 8B D8 8B 54 24 08 8B C7 03 D3 E8 ?? ?? ?? ?? 85 C0 75 20 B9 02 00 00 00 8B C3 33 D2 F7 F1 89 C3 83 FB 32 73 DD BA 02 00 00 00 8B C7 E8 0B FF FF FF EB CF 8B 54 24 04 8B 4C 24 08 03 CB 03 DE 03 4A 48 8B 54 24 04 89 4A 48 33 C9 33 D2 89 08 89 50 04 89 58 08 85 ED 75 0D 8B 54 24 04 8B 0C 24 89 44 8A 30 EB 03 89 45 00 8D 50 0C 03 50 04 01 70 04 29 70 08 8B C2 83 C4 0C 5D 5F 5E 5B C3 90 53 56 57 55 8B E8 51 89 14 24 8B F1 81 FE F4 C9 9A 3B 8B 7D 04 76 0C BA 03 00 00 00 8B C5 E8 99 FE FF FF 8B C6 83 E0 07 85 C0 76 09 BA 08 00 00 00 2B D0 03 F2 83 3C 24 00 7C 06 83 3C 24 02 7C 16 8B 45 00 C7 40 14 0C 00 00 00 8B 14 24 89 50 18 8B C5 8B 10 FF 12 8D 56 0C 8B C5 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0C BA 04 00 00 00 8B C5 E8 49 FE FF FF 8B 4F 48 03 CE 83 C1 0C 89 4F 48 33 C9 8B 04 24 8B 54 87 38 89 13 89 73 04 89 4B 08 8B 04 24 89 5C 87 38 8D 43 0C 5A 5D 5F 5E 5B C3 90 55 8B EC 83 C4 E8 53 56 89 4D F4 89 55 F8 89 45 FC 33 D2 8B 45 FC 8B 70 04 B8 F4 C9 9A 3B F7 75 F4 8B D8 85 DB 7F 13 8B 45 FC 8B 10 C7 42 14 45 00 00 00 8B 45 FC 8B 10 FF 12 3B 5D 08 7D 05 89 5D EC EB 06 8B 4D 08 89 4D EC 8B 45 EC 89 46 4C 8B 4D 08 C1 E1 02 8B 55 F8 8B 45 FC E8 CF FD FF FF 89 45 F0 33 D2 89 55 E8 8B 4D E8 3B 4D 08 73 55 8B 45 08 2B 45 E8 3B 45 EC 76 05 8B 55 EC EB 06 8B 55 08 2B 55 E8 89 55 EC 8B 4D EC 8B 55 F8 0F AF 4D F4 8B 45 FC E8 C4 FE FF FF 8B D0 8B 4D EC 8B 45 F0 8B 5D E8 8D 04 98 85 C9 76 10 89 10 FF 45 E8 83 C0 04 03 55 F4 49 85 C9 77 F0 8B 55 E8 3B 55 08 72 AB 8B 45 F0 5E 5B 8B E5 5D C2 04 00 90 90 90 55 8B EC 83 C4 E8 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 70 04 8B 45 F4 C1 E0 07 50 B8 F4 C9 9A 3B 5A 8B CA 33 D2 F7 F1 8B D8 85 DB 7F 13 8B 45 FC 8B 10 C7 42 14 45 00 00 00 8B 45 FC 8B 10 FF 12 3B 5D 08 7D 05 89 5D EC EB 06 8B 4D 08 89 4D EC 8B 45 EC 89 46 4C 8B 4D 08 C1 E1 02 8B 55 F8 8B 45 FC E8 F2 FC FF FF 89 45 F0 33 D2 89 55 E8 8B 4D E8 3B 4D 08 73 5D 8B 45 08 2B 45 E8 3B 45 EC 76 05 8B 55 EC EB 06 8B 55 08 2B 55 E8 89 55 EC 8B 4D EC 0F AF 4D F4 C1 E1 07 8B 55 F8 8B 45 FC E8 E4 FD FF FF 8B D0 8B 4D EC 8B 45 F0 8B 5D E8 8D 04 98 85 C9 76 15 89 10 FF 45 E8 83 C0 04 8B 5D F4 C1 E3 07 03 D3 49 85 C9 77 EB 8B 45 E8 3B 45 08 72 A3 8B 45 F0 5E 5B 8B E5 5D C2 04 00 90 90 55 8B EC 51 53 8B D8 56 57 8B FA 89 4D FC 83 FF 01 8B 73 04 74 12 8B 03 C7 40 14 0C 00 00 00 89 78 18 8B C3 8B 10 FF 12 B9 80 00 00 00 8B D7 8B C3 E8 42 FC FF FF 33 C9 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 08 89 50 0C 33 D2 8B 4D FC 89 48 20 89 50 28 8B 4E 40 89 48 2C 89 46 40 5F 5E 5B 59 5D C2 0C 00 55 8B EC 51 53 8B D8 56 57 8B FA 89 4D FC 83 FF 01 8B 73 04 74 12 8B 03 C7 40 14 0C 00 00 00 89 78 18 8B C3 8B 10 FF 12 B9 80 00 00 00 8B D7 8B C3 E8 DA FB FF FF 33 C9 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 08 89 50 0C 33 D2 8B 4D FC 89 48 20 89 50 28 8B 4E 44 89 48 2C 89 46 44 5F 5E 5B 59 5D C2 0C 00 53 56 57 8B F8 55 51 8B 6F 04 33 C0 89 04 24 33 F6 8B 5D 40 85 DB 74 25 83 3B 00 75 19 8B 43 08 8B 53 0C 0F AF D0 8B 4B 04 03 D6 0F AF C8 03 0C 24 8B F2 89 0C 24 8B 5B 2C 85 DB 75 DB 8B 5D 44 85 DB 74 2B 83 3B 00 75 1F 8B 43 08 8B 53 0C 0F AF D0 8B 4B 04 0F AF C8 C1 E2 07 C1 E1 07 03 D6 03 0C 24 8B F2 89 0C 24 8B 5B 2C 85 DB 75 D5 85 F6 0F 8E 16 01 00 00 8B 45 48 8B D6 50 8B C7 8B 4C 24 04 E8 ?? ?? ?? ?? 8B C8 3B 0C 24 7C 07 BE 00 CA 9A 3B EB 10 8B C1 99 F7 FE 8B F0 85 F6 7F 05 BE 01 00 00 00 8B 5D 40 85 DB 74 6B 83 3B 00 75 5F 8B 4B 04 8B C1 48 33 D2 F7 73 0C 40 3B F0 7C 05 89 4B 10 EB 20 8B C6 F7 6B 0C 89 43 10 8B C7 8B 4B 04 8D 53 30 0F AF 4B 08 E8 ?? ?? ?? ?? C7 43 28 01 00 00 00 8B 53 10 8B C7 52 BA 01 00 00 00 8B 4B 08 E8 7E FC FF FF 89 03 33 C0 8B 4D 4C 33 D2 89 4B 14 89 43 18 89 53 1C 33 C9 89 4B 24 8B 5B 2C 85 DB 75 95 8B 5D 44 85 DB 74 6E 83 3B 00 75 62 8B 4B 04 8B C1 48 33 D2 F7 73 0C 40 3B F0 7C 05 89 4B 10 EB 23 8B C6 F7 6B 0C 89 43 10 8B C7 8B 4B 04 8D 53 30 0F AF 4B 08 C1 E1 07 E8 ?? ?? ?? ?? C7 43 28 01 00 00 00 8B 53 10 8B C7 52 BA 01 00 00 00 8B 4B 08 E8 DD FC FF FF 89 03 33 C0 8B 4D 4C 33 D2 89 4B 14 89 43 18 89 53 1C 33 C9 89 4B 24 8B 5B 2C 85 DB 75 92 5A 5D 5F 5E 5B C3 90 53 56 57 83 C4 F0 89 4C 24 04 8B DA 89 04 24 8B 43 08 89 44 24 08 8B 53 18 0F AF 54 24 08 89 54 24 0C 33 F6 EB 77 2B C6 3B 43 14 7E 05 8B 43 14 EB 05 8B 43 10 2B C6 8B 53 18 03 D6 8B 4B 1C 2B CA 3B C1 7C 05 8B 43 1C 2B C2 8B 4B 04 2B CA 3B C1 7C 05 8B 43 04 2B C2 85 C0 7E 48 8B F8 0F AF 7C 24 08 83 7C 24 04 00 74 17 8B 44 24 0C 50 57 8B 13 8B 44 24 08 8B 0C B2 8D 53 30 FF 53 34 EB 15 8B 4C 24 0C 8D 53 30 51 57 8B 03 8B 0C B0 8B 44 24 08 FF 53 30 01 7C 24 0C 03 73 14 8B 43 10 3B F0 7C 82 83 C4 10 5F 5E 5B C3 90 53 56 57 83 C4 F0 89 4C 24 04 8B DA 89 04 24 8B 43 08 C1 E0 07 89 44 24 08 8B 53 18 0F AF 54 24 08 89 54 24 0C 33 F6 EB 77 2B C6 3B 43 14 7E 05 8B 43 14 EB 05 8B 43 10 2B C6 8B 53 18 03 D6 8B 4B 1C 2B CA 3B C1 7C 05 8B 43 1C 2B C2 8B 4B 04 2B CA 3B C1 7C 05 8B 43 04 2B C2 85 C0 7E 48 8B F8 0F AF 7C 24 08 83 7C 24 04 00 74 17 8B 44 24 0C 50 57 8B 13 8B 44 24 08 8B 0C B2 8D 53 30 FF 53 34 EB 15 8B 4C 24 0C 8D 53 30 51 57 8B 03 8B 0C B0 8B 44 24 08 FF 53 30 01 7C 24 0C 03 73 14 8B 43 10 3B F0 7C 82 83 C4 10 5F 5E 5B C3 90 90 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 0C 8B 7D F8 03 F8 3B 7B 04 77 0A 3B 43 0C 77 05 83 3B 00 75 13 8B 45 FC 8B 10 C7 42 14 14 00 00 00 8B 45 FC 8B 10 FF 12 8B 43 18 3B 45 F8 77 07 03 43 10 3B F8 76 5D 83 7B 28 00 75 13 8B 55 FC 8B 0A C7 41 14 44 00 00 00 8B 45 FC 8B 10 FF 12 83 7B 24 00 74 14 B9 01 00 00 00 8B D3 8B 45 FC E8 2C FE FF FF 33 C9 89 4B 24 8B 45 F8 3B 43 18 76 08 8B 55 F8 89 53 18 EB 0E 8B C7 2B 43 10 85 C0 7D 02 33 C0 89 43 18 33 C9 8B D3 8B 45 FC E8 FD FD FF FF 8B 43 1C 3B F8 76 7A 3B 45 F8 73 1E 83 7D 08 00 74 13 8B 55 FC 8B 0A C7 41 14 14 00 00 00 8B 45 FC 8B 10 FF 12 8B 75 F8 EB 03 8B 73 1C 83 7D 08 00 74 03 89 7B 1C 83 7B 20 00 74 2C 8B 43 08 89 45 F4 8B 43 18 2B F0 2B F8 3B FE 76 34 8B 55 F4 52 6A 00 8B 0B 8B 04 B1 50 E8 ?? ?? ?? ?? 83 C4 0C 46 3B FE 77 E7 EB 19 83 7D 08 00 75 13 8B 55 FC 8B 0A C7 41 14 14 00 00 00 8B 45 FC 8B 10 FF 12 83 7D 08 00 74 07 C7 43 24 01 00 00 00 8B 45 F8 2B 43 18 C1 E0 02 03 03 5F 5E 5B 8B E5 5D C2 08 00 90 90 90 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 0C 8B 7D F8 03 F8 3B 7B 04 77 0A 3B 43 0C 77 05 83 3B 00 75 13 8B 45 FC 8B 10 C7 42 14 14 00 00 00 8B 45 FC 8B 10 FF 12 8B 43 18 3B 45 F8 77 07 03 43 10 3B F8 76 5D 83 7B 28 00 75 13 8B 55 FC 8B 0A C7 41 14 44 00 00 00 8B 45 FC 8B 10 FF 12 83 7B 24 00 74 14 B9 01 00 00 00 8B D3 8B 45 FC E8 8C FD FF FF 33 C9 89 4B 24 8B 45 F8 3B 43 18 76 08 8B 55 F8 89 53 18 EB 0E 8B C7 2B 43 10 85 C0 7D 02 33 C0 89 43 18 33 C9 8B D3 8B 45 FC E8 5D FD FF FF 8B 43 1C 3B F8 76 7D 3B 45 F8 73 1E 83 7D 08 00 74 13 8B 55 FC 8B 0A C7 41 14 14 00 00 00 8B 45 FC 8B 10 FF 12 8B 75 F8 EB 03 8B 73 1C 83 7D 08 00 74 03 89 7B 1C 83 7B 20 00 74 2F 8B 43 08 C1 E0 07 89 45 F4 8B 43 18 2B F0 2B F8 3B FE 76 34 8B 55 F4 52 6A 00 8B 0B 8B 04 B1 50 E8 ?? ?? ?? ?? 83 C4 0C 46 3B FE 77 E7 EB 19 83 7D 08 00 75 13 8B 55 FC 8B 0A C7 41 14 14 00 00 00 8B 45 FC 8B 10 FF 12 83 7D 08 00 74 07 C7 43 24 01 00 00 00 8B 45 F8 2B 43 18 C1 E0 02 03 03 5F 5E 5B 8B E5 5D C2 08 00 53 56 57 83 C4 F4 89 14 24 8B F8 8B 77 04 83 3C 24 00 7C 06 83 3C 24 02 7C 15 8B 07 C7 40 14 0C 00 00 00 8B 14 24 89 50 18 8B C7 8B 10 FF 12 83 3C 24 01 75 4C 8B 5E 40 85 DB 74 1A 83 7B 28 00 74 0D 33 C0 8D 53 30 89 43 28 8B C7 FF 53 38 8B 5B 2C 85 DB 75 E6 33 D2 89 56 40 8B 5E 44 85 DB 74 1A 83 7B 28 00 74 0D 33 C0 8D 53 30 89 43 28 8B C7 FF 53 38 8B 5B 2C 85 DB 75 E6 33 D2 89 56 44 8B 0C 24 8B 14 24 8B 44 8E 38 33 C9 89 4C 96 38 85 C0 74 2A 8B 10 89 54 24 04 8B D0 8B 58 04 03 58 08 8B C7 83 C3 0C 8B CB E8 ?? ?? ?? ?? 8B 46 48 2B C3 89 46 48 8B 44 24 04 85 C0 75 D6 8B 14 24 8B 44 96 30 8B 14 24 33 C9 89 4C 96 30 85 C0 74 2A 8B 10 89 54 24 08 8B D0 8B 58 04 03 58 08 8B C7 83 C3 0C 8B CB E8 ?? ?? ?? ?? 8B 46 48 2B C3 89 46 48 8B 44 24 08 85 C0 75 D6 83 C4 0C 5F 5E 5B C3 53 56 8B F0 BB 01 00 00 00 8B D3 8B C6 E8 EA FE FF FF 4B 85 DB 7D F2 B9 50 00 00 00 8B 56 04 8B C6 E8 ?? ?? ?? ?? 33 C9 8B C6 89 4E 04 E8 ?? ?? ?? ?? 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_9148_0 {
	meta:
		name = "_NF__150"
		size = 236
		refs = "0039 _NF__158 0047 _NF__152 0054 _NF__159 006e _NF__14F"
	strings:
		$1 = { 53 56 57 8B F0 33 C0 89 46 04 EB 0F 8B 16 8B C6 C7 42 14 02 00 00 00 8B 10 FF 12 B8 00 CA 9A 3B 3D 00 CA 9A 3B 74 0F 8B 16 8B C6 C7 42 14 03 00 00 00 8B 10 FF 12 8B C6 E8 ?? ?? ?? ?? 8B F8 BA 50 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1B 8B C6 E8 ?? ?? ?? ?? 8B 06 33 D2 C7 40 14 35 00 00 00 89 50 18 8B C6 8B 10 FF 12 C7 03 ?? ?? ?? ?? BA 01 00 00 00 C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? C7 43 0C ?? ?? ?? ?? C7 43 10 ?? ?? ?? ?? C7 43 14 ?? ?? ?? ?? C7 43 18 ?? ?? ?? ?? C7 43 1C ?? ?? ?? ?? C7 43 20 ?? ?? ?? ?? C7 43 24 ?? ?? ?? ?? C7 43 28 ?? ?? ?? ?? 89 7B 2C 8D 43 34 33 C9 4A 89 08 33 C9 89 48 08 83 C0 FC 85 D2 7D EF 33 C0 33 D2 89 43 40 89 53 44 C7 43 48 50 00 00 00 89 5E 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9149_0 {
	meta:
		name = "_NF__152"
		size = 8
		refs = "0002 _NF__CB"
		altNames = "_NF__154"
	strings:
		$1 = { 52 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_9150_0 {
	meta:
		name = "_NF__153"
		size = 8
		refs = "0002 _NF__CC"
	strings:
		$1 = { 52 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_9152_0 {
	meta:
		name = "_NF__155"
		size = 8
		refs = "0002 _NF__CC"
	strings:
		$1 = { 52 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_9153_0 {
	meta:
		name = "_NF__156"
		size = 12
	strings:
		$1 = { 55 8B EC 8B C1 5D C2 04 00 90 90 90 }
	condition:
		$1
}

rule function_9154_0 {
	meta:
		name = "_NF__157"
		size = 16
	strings:
		$1 = { 8B 10 C7 42 14 30 00 00 00 8B 08 FF 11 C3 90 90 }
	condition:
		$1
}

rule function_9155_0 {
	meta:
		name = "_NF__158"
		size = 4
	strings:
		$1 = { 33 C0 C3 90 }
	condition:
		$1
}

rule function_9157_0 {
	meta:
		name = "_NF__15A"
		size = 1312
		refs = "03c9 _NF__CE 0430 _NF__15A"
	strings:
		$1 = { 53 8B D8 56 57 81 7B 1C DC FF 00 00 7F 09 81 7B 18 DC FF 00 00 7E 16 8B 03 C7 40 14 28 00 00 00 C7 40 18 DC FF 00 00 8B C3 8B 10 FF 12 83 BB D0 00 00 00 08 74 18 8B 03 C7 40 14 0D 00 00 00 8B 93 D0 00 00 00 89 50 18 8B C3 8B 10 FF 12 83 7B 20 0A 7E 1C 8B 03 C7 40 14 18 00 00 00 8B 53 20 89 50 18 C7 40 1C 0A 00 00 00 8B C3 8B 10 FF 12 C7 83 26 01 00 00 01 00 00 00 C7 83 2A 01 00 00 01 00 00 00 33 FF 8B B3 D4 00 00 00 EB 63 8B 46 08 85 C0 7E 11 83 F8 04 7F 0C 83 7E 0C 00 7E 06 83 7E 0C 04 7E 0F 8B 13 8B C3 C7 42 14 10 00 00 00 8B 10 FF 12 8B 8B 26 01 00 00 3B 4E 08 7E 08 8B 83 26 01 00 00 EB 03 8B 46 08 89 83 26 01 00 00 8B 93 2A 01 00 00 3B 56 0C 7E 08 8B 8B 2A 01 00 00 EB 03 8B 4E 0C 89 8B 2A 01 00 00 47 83 C6 54 3B 7B 20 7C 98 C7 83 2E 01 00 00 08 00 00 00 33 FF 8B B3 D4 00 00 00 EB 71 C7 46 24 08 00 00 00 8B 43 18 8B 8B 26 01 00 00 F7 6E 08 C1 E1 03 47 03 C1 48 99 F7 F9 89 46 1C 8B 43 1C 8B 8B 2A 01 00 00 F7 6E 0C C1 E1 03 03 C1 48 99 F7 F9 89 46 20 8B 43 18 8B 8B 26 01 00 00 F7 6E 08 03 C1 48 99 F7 F9 89 46 28 8B 43 1C 8B 8B 2A 01 00 00 F7 6E 0C 03 C1 48 99 F7 F9 89 46 2C 33 C0 C7 46 30 01 00 00 00 89 46 4C 83 C6 54 3B 7B 20 7C 8A 8B 8B 2A 01 00 00 C1 E1 03 8B C1 03 43 1C 48 99 F7 F9 89 83 32 01 00 00 8B 8B 3A 01 00 00 3B 4B 20 7C 09 83 BB D8 00 00 00 00 74 0F 8B 83 A6 01 00 00 C7 40 10 01 00 00 00 EB 0B 8B 93 A6 01 00 00 33 C9 89 4A 10 5F 5E 5B C3 90 90 53 8B D8 56 57 51 83 BB 3A 01 00 00 01 75 66 8B 8B 3E 01 00 00 8B 41 1C 89 83 4E 01 00 00 8B 51 20 89 93 52 01 00 00 33 D2 C7 41 34 01 00 00 00 C7 41 38 01 00 00 00 C7 41 3C 01 00 00 00 8B 41 24 89 41 40 C7 41 44 01 00 00 00 8B 41 20 8B 71 0C F7 F6 8B C2 85 C0 75 02 8B C6 89 41 48 33 D2 C7 83 56 01 00 00 01 00 00 00 89 93 5A 01 00 00 E9 11 01 00 00 8B 83 3A 01 00 00 85 C0 7E 05 83 F8 04 7E 1F 8B 03 C7 40 14 18 00 00 00 8B 93 3A 01 00 00 89 50 18 C7 40 1C 04 00 00 00 8B C3 8B 10 FF 12 8B 8B 26 01 00 00 C1 E1 03 8B C1 03 43 18 48 99 F7 F9 89 83 4E 01 00 00 8B 8B 2A 01 00 00 C1 E1 03 8B C1 03 43 1C 48 99 F7 F9 89 83 52 01 00 00 33 C9 89 8B 56 01 00 00 33 F6 8D 83 3E 01 00 00 89 04 24 E9 8F 00 00 00 8B 14 24 8B 0A 8B 41 08 89 41 34 8B 41 0C 89 41 38 8B 51 34 0F AF D0 89 51 3C 8B 41 34 F7 69 24 89 41 40 33 D2 8B 41 1C 8B 79 34 F7 F7 8B C2 85 C0 75 02 8B C7 89 41 44 33 D2 8B 41 20 8B 79 38 F7 F7 8B C2 85 C0 75 02 8B C7 89 41 48 8B 79 3C 8B 83 56 01 00 00 03 C7 83 F8 0A 7E 24 8B 13 8B C3 C7 42 14 0B 00 00 00 8B 10 FF 12 EB 13 8B 8B 56 01 00 00 FF 83 56 01 00 00 89 B4 8B 5A 01 00 00 8B C7 83 C7 FF 85 C0 7F E4 46 83 04 24 04 3B B3 3A 01 00 00 0F 8C 65 FF FF FF 5A 5F 5E 5B C3 90 53 56 57 55 83 C4 F8 8B D8 33 C0 89 04 24 8D 93 3E 01 00 00 89 54 24 04 EB 69 8B 4C 24 04 8B 31 83 7E 4C 00 75 55 8B 7E 10 85 FF 7C 0F 83 FF 04 7D 0A 83 BC BB A0 00 00 00 00 75 12 8B 03 C7 40 14 33 00 00 00 89 78 18 8B C3 8B 10 FF 12 8B C3 B9 84 00 00 00 BA 01 00 00 00 8B 68 04 FF 55 00 8B E8 68 84 00 00 00 8B 84 BB A0 00 00 00 50 55 E8 ?? ?? ?? ?? 83 C4 0C 89 6E 4C FF 04 24 83 44 24 04 04 8B 14 24 3B 93 3A 01 00 00 7C 8C 59 5A 5D 5F 5E 5B C3 90 90 90 53 8B D8 8B C3 E8 D2 FD FF FF 8B C3 E8 57 FF FF FF 8B C3 8B 90 AE 01 00 00 FF 12 8B C3 8B 90 9E 01 00 00 FF 12 8B 8B 9E 01 00 00 8B 93 A6 01 00 00 8B 41 04 89 02 5B C3 8B 80 A6 01 00 00 C7 00 ?? ?? ?? ?? C3 90 90 90 53 8B D8 56 57 8B B3 A6 01 00 00 83 7E 14 00 74 0A B8 02 00 00 00 E9 8D 00 00 00 8B C3 8B 90 AA 01 00 00 FF 52 04 8B F8 8B C7 83 E8 01 72 77 74 05 48 74 34 EB 70 83 7E 18 00 74 0E 8B C3 E8 85 FB FF FF 33 D2 89 56 18 EB 5C 83 7E 10 00 75 0F 8B 0B 8B C3 C7 41 14 22 00 00 00 8B 10 FF 12 8B C3 E8 52 FF FF FF EB 3E C7 46 14 01 00 00 00 83 7E 18 00 74 1D 8B 93 AA 01 00 00 83 7A 54 00 74 25 8B 0B 8B C3 C7 41 14 3A 00 00 00 8B 10 FF 12 EB 14 8B 83 8C 00 00 00 3B 83 94 00 00 00 7D 06 89 83 94 00 00 00 8B C7 5F 5E 5B C3 53 8B D8 33 D2 33 C9 8B 83 A6 01 00 00 C7 00 ?? ?? ?? ?? 89 50 10 89 48 14 C7 40 18 01 00 00 00 8B C3 8B 10 FF 52 10 8B C3 8B 90 AA 01 00 00 FF 12 33 C9 89 8B 9C 00 00 00 5B C3 90 }
	condition:
		$1
}

rule function_9158_0 {
	meta:
		name = "_NF__15B"
		size = 71
		refs = "001a _NF__15A"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 1C 00 00 00 33 D2 8B 70 04 FF 16 89 83 A6 01 00 00 C7 00 ?? ?? ?? ?? C7 40 04 ?? ?? ?? ?? C7 40 08 ?? ?? ?? ?? C7 40 0C ?? ?? ?? ?? 33 D2 33 C9 89 50 10 89 48 14 C7 40 18 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9159_0 {
	meta:
		name = "_NF__15C"
		size = 172
		refs = "0023 _NF__CF"
	strings:
		$1 = { 8B 40 14 C7 40 24 01 00 00 00 C3 90 53 56 8B F0 8B 5E 14 8B 43 1C 50 68 00 10 00 00 6A 01 8B 53 20 52 E8 ?? ?? ?? ?? 83 C4 10 85 C0 77 37 83 7B 24 00 74 0F 8B 0E 8B C6 C7 41 14 29 00 00 00 8B 10 FF 12 8B 0E 8B C6 83 CA FF C7 41 14 74 00 00 00 8B 08 FF 51 04 8B 43 20 C6 00 FF C6 40 01 D9 B8 02 00 00 00 8B 53 20 33 C9 89 13 89 43 04 B8 01 00 00 00 89 4B 24 5E 5B C3 90 90 53 56 57 8B F8 8B DA 85 DB 8B 77 14 7E 17 EB 09 2B D8 8B C7 E8 77 FF FF FF 8B 46 04 3B D8 7F F0 01 1E 29 5E 04 5F 5E 5B C3 90 90 90 C3 90 90 90 }
	condition:
		$1
}

rule function_9160_0 {
	meta:
		name = "_NF__15D"
		size = 106
		refs = "003d _NF__15C 0052 _NF__189"
	strings:
		$1 = { 53 56 8B F0 57 55 8B FA 83 7E 14 00 75 25 8B C6 B9 28 00 00 00 33 D2 8B 58 04 FF 13 8B D8 8B C6 89 5E 14 B9 00 10 00 00 8B 68 04 33 D2 FF 55 00 89 43 20 8B 5E 14 33 C0 33 D2 C7 43 08 ?? ?? ?? ?? C7 43 0C ?? ?? ?? ?? C7 43 10 ?? ?? ?? ?? C7 43 14 ?? ?? ?? ?? C7 43 18 ?? ?? ?? ?? 89 7B 1C 89 43 04 89 13 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9161_0 {
	meta:
		name = "_NF__15E"
		size = 388
		refs = "000f _NF__164"
	strings:
		$1 = { 53 8B D8 81 7B 10 CA 00 00 00 75 22 8B C3 E8 ?? ?? ?? ?? 83 7B 3C 00 74 0E C7 43 10 CF 00 00 00 B8 01 00 00 00 5B C3 C7 43 10 CB 00 00 00 81 7B 10 CB 00 00 00 75 68 8B 93 A6 01 00 00 83 7A 10 00 74 4E 83 7B 08 00 74 07 8B C3 8B 50 08 FF 12 8B C3 8B 90 A6 01 00 00 FF 12 85 C0 75 04 33 C0 5B C3 83 F8 02 74 2A 83 7B 08 00 74 D6 83 F8 03 74 03 48 75 CE 8B 53 08 FF 42 04 8B 4A 04 8B 43 08 3B 48 08 7C BD 8B 93 32 01 00 00 01 50 08 EB B2 8B 8B 8C 00 00 00 89 8B 94 00 00 00 EB 1E 81 7B 10 CC 00 00 00 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B C3 E8 04 00 00 00 5B C3 90 90 53 8B D8 56 57 81 7B 10 CC 00 00 00 0F 84 83 00 00 00 8B C3 8B 90 96 01 00 00 FF 12 33 C9 89 8B 88 00 00 00 C7 43 10 CC 00 00 00 EB 68 EB 3E 8B 43 08 85 C0 74 10 89 50 04 8B 53 70 89 50 08 8B C3 8B 50 08 FF 12 8B C3 8B B3 88 00 00 00 6A 00 8D 8B 88 00 00 00 8B B8 9A 01 00 00 33 D2 FF 57 04 3B B3 88 00 00 00 75 04 33 C0 EB 48 8B 93 88 00 00 00 3B 53 70 72 B7 8B C3 8B 90 96 01 00 00 FF 52 04 8B C3 8B 90 96 01 00 00 FF 12 33 C9 89 8B 88 00 00 00 8B 83 96 01 00 00 83 78 08 00 75 CC 83 7B 40 00 BA CE 00 00 00 75 01 4A 89 53 10 B8 01 00 00 00 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_9162_0 {
	meta:
		name = "_NF__15F"
		size = 316
	strings:
		$1 = { 53 8B D8 56 57 51 8B F9 81 7B 10 CD 00 00 00 8B F2 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 8B 88 00 00 00 3B 4B 70 72 17 8B 03 C7 40 14 77 00 00 00 83 CA FF 8B C3 8B 08 FF 51 04 33 C0 EB 40 8B 43 08 85 C0 74 16 8B 93 88 00 00 00 89 50 04 8B 4B 70 89 48 08 8B C3 8B 50 08 FF 12 33 C9 8B C3 89 0C 24 57 8B D6 8B B0 9A 01 00 00 8D 4C 24 04 FF 56 04 8B 04 24 01 83 88 00 00 00 8B 04 24 5A 5F 5E 5B C3 90 53 8B D8 56 57 55 8B E9 81 7B 10 CE 00 00 00 8B FA 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 8B 88 00 00 00 3B 4B 70 72 17 8B 03 C7 40 14 77 00 00 00 83 CA FF 8B C3 8B 08 FF 51 04 33 C0 EB 5A 8B 43 08 85 C0 74 16 8B 93 88 00 00 00 89 50 04 8B 4B 70 89 48 08 8B C3 8B 50 08 FF 12 8B B3 2A 01 00 00 0F AF B3 2E 01 00 00 3B F5 76 0F 8B 03 C7 40 14 15 00 00 00 8B C3 8B 10 FF 12 8B D7 8B C3 8B 88 9E 01 00 00 FF 51 0C 85 C0 75 04 33 C0 EB 08 01 B3 88 00 00 00 8B C6 5D 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_9163_0 {
	meta:
		name = "_NF__160"
		size = 96
	strings:
		$1 = { 53 8B D8 56 8B F2 8B 43 10 3D CF 00 00 00 74 1C 3D CC 00 00 00 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 85 F6 7F 05 BE 01 00 00 00 8B 83 A6 01 00 00 83 78 14 00 74 0E 3B B3 8C 00 00 00 7E 06 8B B3 8C 00 00 00 89 B3 94 00 00 00 8B C3 E8 AC FD FF FF 5E 5B C3 90 }
	condition:
		$1
}

rule function_9164_0 {
	meta:
		name = "_NF__161"
		size = 136
	strings:
		$1 = { 53 8B D8 8B 43 10 3D CD 00 00 00 74 07 3D CE 00 00 00 75 1A 83 7B 3C 00 74 14 8B C3 8B 90 96 01 00 00 FF 52 04 C7 43 10 D0 00 00 00 EB 32 81 7B 10 D0 00 00 00 74 29 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 EB 12 8B C3 8B 90 A6 01 00 00 FF 12 85 C0 75 04 33 C0 5B C3 8B 93 8C 00 00 00 3B 93 94 00 00 00 7F 0C 8B 8B A6 01 00 00 83 79 14 00 74 D4 C7 43 10 CF 00 00 00 B8 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_9165_0 {
	meta:
		name = "_NF__162"
		size = 144
	strings:
		$1 = { 53 83 78 48 00 75 09 83 B8 22 01 00 00 00 74 04 33 C0 5B C3 83 78 24 03 75 12 83 78 20 03 75 0C 83 78 28 02 75 06 83 78 74 03 74 04 33 C0 5B C3 8B 90 D4 00 00 00 83 7A 08 02 75 24 83 7A 5C 01 75 1E 83 BA B0 00 00 00 01 75 15 83 7A 0C 02 7F 0F 83 7A 60 01 75 09 83 BA B4 00 00 00 01 74 04 33 C0 5B C3 8B 90 D4 00 00 00 8B 5A 24 8B 88 2E 01 00 00 3B D9 75 0D 3B 4A 78 75 08 3B 8A CC 00 00 00 74 04 33 C0 5B C3 B8 01 00 00 00 5B C3 90 }
	condition:
		$1
}

rule function_9166_0 {
	meta:
		name = "_NF__163"
		size = 1644
		refs = "0222 _NF__CD 027f _NF__CE 0364 _NF__173 0380 _NF__176 039c _NF__16F 03a5 _NF__171 03ac _NF__181 03b6 _NF__17C 03bd _NF__17E 03e7 _NF__166 03f0 _NF__16C 0414 _NF__17A 0423 _NF__178"
	strings:
		$1 = { 53 8B D8 56 57 81 7B 10 CA 00 00 00 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 4B 2C C1 E1 03 3B 4B 30 77 35 8B 43 18 83 C0 07 85 C0 79 03 83 C0 07 C1 F8 03 89 43 6C 8B 53 1C 83 C2 07 85 D2 79 03 83 C2 07 C1 FA 03 89 53 70 C7 83 2E 01 00 00 01 00 00 00 E9 85 00 00 00 8B 4B 2C C1 E1 02 3B 4B 30 77 32 8B 43 18 83 C0 03 85 C0 79 03 83 C0 03 C1 F8 02 89 43 6C 8B 53 1C 83 C2 03 85 D2 79 03 83 C2 03 C1 FA 02 89 53 70 C7 83 2E 01 00 00 02 00 00 00 EB 48 8B 4B 2C 03 C9 3B 4B 30 77 28 8B 43 18 40 D1 F8 79 03 83 D0 00 89 43 6C 8B 53 1C 42 D1 FA 79 03 83 D2 00 89 53 70 C7 83 2E 01 00 00 04 00 00 00 EB 16 8B 4B 18 89 4B 6C 8B 43 1C 89 43 70 C7 83 2E 01 00 00 08 00 00 00 33 F6 8B 8B D4 00 00 00 EB 48 8B 83 2E 01 00 00 EB 02 03 C0 83 F8 08 7D 32 8B 51 08 0F AF D0 03 D2 8B BB 26 01 00 00 0F AF BB 2E 01 00 00 3B D7 7F 19 8B 51 0C 0F AF D0 03 D2 8B BB 2A 01 00 00 0F AF BB 2E 01 00 00 3B D7 7E C7 89 41 24 46 83 C1 54 3B 73 20 7C B3 33 F6 8B 8B D4 00 00 00 EB 3A 8B 41 08 8B BB 26 01 00 00 F7 69 24 F7 6B 18 C1 E7 03 46 03 C7 48 99 F7 FF 89 41 28 8B 41 0C 8B BB 2A 01 00 00 F7 69 24 F7 6B 1C C1 E7 03 03 C7 48 99 F7 FF 89 41 2C 83 C1 54 3B 73 20 7C C1 8B 43 28 48 74 0D 48 83 E8 02 72 10 83 E8 02 72 14 EB 1B C7 43 74 01 00 00 00 EB 18 C7 43 74 03 00 00 00 EB 0F C7 43 74 04 00 00 00 EB 06 8B 4B 20 89 4B 74 83 7B 50 00 74 07 B8 01 00 00 00 EB 03 8B 43 74 89 43 78 8B C3 E8 9A FD FF FF 85 C0 74 0B 8B 93 2A 01 00 00 89 53 7C EB 07 C7 43 7C 01 00 00 00 5F 5E 5B C3 53 8B D8 8B C3 56 B9 80 05 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B F0 81 C6 00 01 00 00 89 B3 36 01 00 00 68 00 01 00 00 6A 00 8D 86 00 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B D6 88 02 40 42 3D FF 00 00 00 7E F5 81 C6 80 00 00 00 B8 80 00 00 00 8D 96 80 00 00 00 C6 02 FF 40 42 3D 00 02 00 00 7C F4 68 80 01 00 00 6A 00 8D 8E 00 02 00 00 51 E8 ?? ?? ?? ?? 83 C4 0C 68 80 00 00 00 8B 83 36 01 00 00 50 81 C6 80 03 00 00 56 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 90 90 90 53 8B D8 56 8B C3 8B B3 96 01 00 00 E8 63 FD FF FF 8B C3 E8 4C FF FF FF 8B 43 6C F7 6B 74 8B D0 3B C2 74 0F 8B 0B 8B C3 C7 41 14 45 00 00 00 8B 10 FF 12 33 C9 8B C3 89 4E 0C E8 A5 FC FF FF 89 46 10 33 D2 89 56 14 33 C9 89 4E 18 83 7B 50 00 74 06 83 7B 3C 00 75 0F 33 C0 89 43 60 33 D2 89 53 64 33 C9 89 4B 68 83 7B 50 00 0F 84 90 00 00 00 83 7B 40 00 74 0F 8B 03 C7 40 14 2E 00 00 00 8B C3 8B 10 FF 12 83 7B 74 03 74 1B C7 43 60 01 00 00 00 33 C9 89 4B 64 33 C0 89 43 68 33 D2 89 93 84 00 00 00 EB 28 83 BB 84 00 00 00 00 74 09 C7 43 64 01 00 00 00 EB 16 83 7B 58 00 74 09 C7 43 68 01 00 00 00 EB 07 C7 43 60 01 00 00 00 83 7B 60 00 74 10 8B C3 E8 ?? ?? ?? ?? 8B 93 BE 01 00 00 89 56 14 83 7B 68 00 75 06 83 7B 64 00 74 10 8B C3 E8 ?? ?? ?? ?? 8B 93 BE 01 00 00 89 56 18 83 7B 40 00 75 27 83 7E 10 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 53 68 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BB DC 00 00 00 00 74 11 8B 13 8B C3 C7 42 14 01 00 00 00 8B 10 FF 12 EB 19 83 BB D8 00 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B 93 A6 01 00 00 83 7A 10 00 75 0A 83 7B 3C 00 75 04 33 C0 EB 05 B8 01 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 83 7B 40 00 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 50 04 FF 52 18 8B C3 8B 90 A6 01 00 00 FF 52 08 83 7B 08 00 74 57 83 7B 3C 00 75 51 8B 8B A6 01 00 00 83 79 10 00 74 45 83 BB D8 00 00 00 00 74 0B 8B 53 20 8D 14 52 83 C2 02 EB 03 8B 53 20 8B 43 08 33 C9 89 48 04 8B 8B 32 01 00 00 0F AF CA 89 48 08 33 D2 89 50 0C B8 03 00 00 00 83 7B 68 00 75 01 48 8B 53 08 89 42 10 FF 46 0C 5E 5B C3 90 90 53 8B D8 56 8B B3 96 01 00 00 83 7E 08 00 74 34 33 C0 33 D2 89 46 08 8B C3 8B 88 BE 01 00 00 FF 11 BA 02 00 00 00 8B C3 8B 88 A2 01 00 00 FF 11 BA 02 00 00 00 8B C3 8B 88 9A 01 00 00 FF 11 E9 B9 00 00 00 83 7B 50 00 74 47 83 BB 84 00 00 00 00 75 3E 83 7B 58 00 74 18 83 7B 68 00 74 12 8B 56 18 89 93 BE 01 00 00 C7 46 08 01 00 00 00 EB 20 83 7B 60 00 74 0B 8B 46 14 89 83 BE 01 00 00 EB 0F 8B 13 8B C3 C7 42 14 2D 00 00 00 8B 10 FF 12 8B C3 8B 90 B2 01 00 00 FF 12 8B C3 8B 90 9E 01 00 00 FF 52 08 83 7B 40 00 75 51 83 7E 10 00 75 0A 8B C3 8B 90 BA 01 00 00 FF 12 8B C3 8B 90 B6 01 00 00 FF 12 83 7B 50 00 74 0D 8B 56 08 8B C3 8B 88 BE 01 00 00 FF 11 83 7E 08 00 BA 03 00 00 00 75 03 83 C2 FD 8B C3 8B 88 A2 01 00 00 FF 11 33 D2 8B C3 8B 88 9A 01 00 00 FF 11 8B 43 08 85 C0 74 3F 8B 56 0C 89 50 0C B9 02 00 00 00 83 7E 08 00 75 01 49 03 4E 0C 8B 43 08 89 48 10 83 7B 3C 00 74 1E 8B 93 A6 01 00 00 83 7A 14 00 75 12 83 7B 68 00 B9 02 00 00 00 75 01 49 8B 43 08 01 48 10 5E 5B C3 90 90 53 83 78 50 00 8B 98 96 01 00 00 74 09 8B 90 BE 01 00 00 FF 52 08 FF 43 0C 5B C3 90 53 8B D8 56 81 7B 10 CF 00 00 00 8B B3 96 01 00 00 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 83 7B 50 00 74 2B 83 7B 64 00 74 25 83 BB 84 00 00 00 00 74 1C 8B C3 8B 4E 18 89 8B BE 01 00 00 8B 90 BE 01 00 00 FF 52 0C 33 C9 89 4E 08 5E 5B C3 8B 03 C7 40 14 2D 00 00 00 8B C3 8B 10 FF 12 5E 5B C3 90 }
	condition:
		$1
}

rule function_9167_0 {
	meta:
		name = "_NF__164"
		size = 55
		refs = "001d _NF__162"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 1C 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 96 01 00 00 C7 00 ?? ?? ?? ?? C7 40 04 ?? ?? ?? ?? 33 D2 89 50 08 8B C3 E8 EC FB FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_9168_0 {
	meta:
		name = "_NF__165"
		size = 3416
		refs = "018f _NF__165 0213 _NF__169 03f3 _NF__16A 0466 _NF__16B 04bf _NV__167 0739 _NV__18E"
	strings:
		$1 = { 53 56 8B D8 57 55 83 C4 EC 83 BB 82 01 00 00 00 0F 94 C0 83 E0 01 8B AB AE 01 00 00 89 04 24 33 C0 83 3C 24 00 74 10 83 BB 86 01 00 00 00 74 2D B8 01 00 00 00 EB 26 8B 93 86 01 00 00 3B 93 82 01 00 00 7C 05 83 FA 40 7C 05 B8 01 00 00 00 83 BB 3A 01 00 00 01 74 05 B8 01 00 00 00 8B 93 8A 01 00 00 85 D2 74 0E 4A 3B 93 8E 01 00 00 74 05 B8 01 00 00 00 83 BB 8E 01 00 00 0D 7E 05 B8 01 00 00 00 85 C0 74 33 8B 03 C7 40 14 0E 00 00 00 8B 93 82 01 00 00 89 50 18 8B 8B 86 01 00 00 89 48 1C 8B 93 8A 01 00 00 89 50 20 8B 8B 8E 01 00 00 89 48 24 8B C3 8B 10 FF 12 33 C0 89 44 24 04 8D 8B 3E 01 00 00 89 4C 24 0C E9 9E 00 00 00 8B 44 24 0C 8B 10 8B 4A 04 89 4C 24 08 8B 74 24 08 C1 E6 08 03 B3 9C 00 00 00 83 3C 24 00 75 24 83 3E 00 7D 1F 8B 03 33 C9 C7 40 14 6F 00 00 00 8B 54 24 08 89 50 18 89 48 1C 8B C3 83 CA FF 8B 08 FF 51 04 8B BB 82 01 00 00 8D 04 BE 8B F0 EB 3C 83 3E 00 7D 04 33 C0 EB 02 8B 06 3B 83 8A 01 00 00 74 1D 8B 03 C7 40 14 6F 00 00 00 8B 54 24 08 89 50 18 89 78 1C 83 CA FF 8B C3 8B 08 FF 51 04 8B 83 8E 01 00 00 89 06 47 83 C6 04 3B BB 86 01 00 00 7E BC FF 44 24 04 83 44 24 0C 04 8B 54 24 04 3B 93 3A 01 00 00 0F 8C 52 FF FF FF 83 BB 8A 01 00 00 00 75 18 83 3C 24 00 74 09 C7 45 04 ?? ?? ?? ?? EB 1F C7 45 04 ?? ?? ?? ?? EB 16 83 3C 24 00 74 09 C7 45 04 ?? ?? ?? ?? EB 07 C7 45 04 ?? ?? ?? ?? 33 C9 8D 45 18 89 4C 24 04 89 44 24 10 8D BB 3E 01 00 00 E9 A2 00 00 00 8B 07 83 3C 24 00 74 45 83 BB 8A 01 00 00 00 75 7D 8B 70 14 85 F6 7C 0F 83 FE 04 7D 0A 83 BC B3 B0 00 00 00 00 75 12 8B 03 C7 40 14 31 00 00 00 89 70 18 8B C3 8B 10 FF 12 8D 4C B5 2C 8B 94 B3 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 41 8B 70 18 85 F6 7C 0F 83 FE 04 7D 0A 83 BC B3 C0 00 00 00 00 75 12 8B 03 C7 40 14 31 00 00 00 89 70 18 8B C3 8B 10 FF 12 8D 4C B5 2C 8B 94 B3 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4C B5 2C 89 4D 3C 8B 44 24 10 33 D2 89 10 FF 44 24 04 83 44 24 10 04 83 C7 04 8B 4C 24 04 3B 8B 3A 01 00 00 0F 8C 4E FF FF FF 33 C0 33 D2 89 45 0C 89 55 08 33 C9 33 C0 89 4D 10 89 45 14 8B 93 10 01 00 00 89 55 28 83 C4 14 5D 5F 5E 5B C3 90 53 8B D8 56 8B B3 AE 01 00 00 8B 46 0C 85 C0 79 03 83 C0 07 C1 F8 03 8B 93 AA 01 00 00 01 42 5C 33 C9 89 4E 0C 8B C3 8B 90 AA 01 00 00 FF 52 08 85 C0 75 05 33 C0 5E 5B C3 33 D2 8D 46 18 EB 08 33 C9 42 89 08 83 C0 04 3B 93 3A 01 00 00 7C F0 33 D2 89 56 14 33 D2 8B 83 10 01 00 00 89 46 28 B8 01 00 00 00 89 56 10 5E 5B C3 90 53 56 57 55 8B E8 83 C4 AC 8B DA 8B 85 AE 01 00 00 89 04 24 8B 95 8E 01 00 00 89 54 24 04 83 BD 10 01 00 00 00 74 1B 8B 0C 24 83 79 28 00 75 12 8B C5 E8 5D FF FF FF 85 C0 75 07 33 C0 E9 00 02 00 00 89 6C 24 38 8B 45 14 8B 10 89 54 24 24 8B 48 04 89 4C 24 28 B9 05 00 00 00 8B 85 92 01 00 00 89 44 24 2C 8B 04 24 8B 14 24 8B 70 0C 8B 04 24 8B 7A 08 83 C0 10 89 44 24 3C 8B 14 24 56 57 8D 7C 24 48 8D 72 14 8D 95 5A 01 00 00 F3 A5 5F 5E 33 C0 8B CB 89 44 24 08 89 54 24 20 89 4C 24 1C E9 4A 01 00 00 8B 44 24 1C 8B 10 89 54 24 10 8B 4C 24 20 8B 01 89 44 24 0C 8B 54 24 0C 8B 84 95 3E 01 00 00 8B 50 14 8B 0C 24 8B 44 91 2C 89 44 24 14 83 FE 08 7D 31 6A 00 8D 44 24 28 8B CE 8B D7 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 50 01 00 00 8B 7C 24 30 8B 74 24 34 83 FE 08 7D 0A C7 44 24 18 01 00 00 00 EB 3A 8D 4E F8 8B C7 D3 F8 25 FF 00 00 00 8B 54 24 14 8B 94 82 D4 00 00 00 89 54 24 18 85 D2 74 13 2B 74 24 18 8B 4C 24 14 33 DB 8A 9C 01 D4 04 00 00 EB 34 C7 44 24 18 09 00 00 00 8B 44 24 14 8B CE 50 8B 54 24 1C 52 8B D7 8D 44 24 2C E8 ?? ?? ?? ?? 8B D8 85 C0 7D 07 33 C0 E9 DB 00 00 00 8B 7C 24 30 8B 74 24 34 85 DB 74 51 3B DE 7E 21 53 8D 44 24 28 8B CE 8B D7 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 B2 00 00 00 8B 7C 24 30 8B 74 24 34 2B F3 8B CE 8B C7 D3 F8 8B CB BA 01 00 00 00 D3 E2 4A 23 C2 3B 04 9D ?? ?? ?? ?? 7D 0B 8B 14 9D ?? ?? ?? ?? 03 D0 EB 02 8B D0 8B DA 8B 44 24 0C 8B 4C 24 0C 03 5C 84 44 89 5C 8C 44 8B 4C 24 04 8B 44 24 10 66 D3 E3 66 89 18 FF 44 24 08 83 44 24 20 04 83 44 24 1C 04 8B 95 56 01 00 00 3B 54 24 08 0F 8F A6 FE FF FF 8B 45 14 8B 54 24 24 89 10 8B 4C 24 28 89 48 04 8B 44 24 2C 89 85 92 01 00 00 8B 14 24 89 7A 08 8B 0C 24 89 71 0C 8D 74 24 40 8B 04 24 B9 05 00 00 00 8D 78 14 F3 A5 8B 04 24 FF 48 28 B8 01 00 00 00 83 C4 54 5D 5F 5E 5B C3 90 90 53 56 57 55 83 C4 C4 8B F2 89 04 24 8B 04 24 8B 90 AE 01 00 00 89 54 24 04 8B 0C 24 8B 81 86 01 00 00 89 44 24 08 8B 14 24 8B 8A 8E 01 00 00 89 4C 24 0C 8B 04 24 83 B8 10 01 00 00 00 74 1D 8B 54 24 04 83 7A 28 00 75 13 8B 04 24 E8 F7 FC FF FF 85 C0 75 07 33 C0 E9 3C 02 00 00 8B 54 24 04 8B 4A 14 89 4C 24 14 83 7C 24 14 00 76 09 FF 4C 24 14 E9 0A 02 00 00 8B 04 24 89 44 24 34 8B 14 24 8B 42 14 8B 10 89 54 24 20 8B 48 04 89 4C 24 24 8B 04 24 8B 90 92 01 00 00 89 54 24 28 8B 44 24 04 8B 4C 24 04 8B 58 0C 8B 44 24 04 8B 69 08 83 C0 10 89 44 24 38 8B 16 89 54 24 18 8B 4C 24 04 8B 41 3C 89 44 24 1C 8B 14 24 8B 8A 82 01 00 00 89 4C 24 10 8B 44 24 10 3B 44 24 08 0F 8F 70 01 00 00 83 FB 08 7D 2E 6A 00 8D 44 24 24 8B CB 8B D5 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 96 01 00 00 8B 6C 24 2C 8B 5C 24 30 83 FB 08 7D 07 BE 01 00 00 00 EB 30 8D 4B F8 8B C5 D3 F8 25 FF 00 00 00 8B 54 24 1C 8B B4 82 D4 00 00 00 85 F6 74 10 2B DE 8B 54 24 1C 0F B6 BC 02 D4 04 00 00 EB 2D BE 09 00 00 00 8B 44 24 1C 50 56 8D 44 24 28 8B CB 8B D5 E8 ?? ?? ?? ?? 8B F8 85 C0 7D 07 33 C0 E9 32 01 00 00 8B 6C 24 2C 8B 5C 24 30 8B F7 C1 FE 04 83 E7 0F 85 FF 74 71 01 74 24 10 3B FB 7E 21 57 8D 44 24 24 8B CB 8B D5 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 FD 00 00 00 8B 6C 24 2C 8B 5C 24 30 2B DF 8B CB 8B F5 D3 FE 8B CF B8 01 00 00 00 D3 E0 48 23 F0 3B 34 BD ?? ?? ?? ?? 7D 0B 8B 14 BD ?? ?? ?? ?? 03 D6 EB 02 8B D6 8B FA 8B 4C 24 0C 66 D3 E7 8B 44 24 10 8B 04 85 ?? ?? ?? ?? 8B 54 24 18 66 89 3C 42 EB 56 83 FE 0F 75 07 83 44 24 10 0F EB 4A 8B CE BF 01 00 00 00 D3 E7 89 7C 24 14 85 F6 74 33 3B F3 7E 1E 56 8D 44 24 24 8B CB 8B D5 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 76 8B 6C 24 2C 8B 5C 24 30 2B DE 8B C5 8B CB 4F D3 F8 23 C7 8B F0 01 74 24 14 FF 4C 24 14 EB 12 FF 44 24 10 8B 54 24 10 3B 54 24 08 0F 8E 90 FE FF FF 8B 04 24 8B 40 14 8B 54 24 20 89 10 8B 4C 24 24 89 48 04 8B 04 24 8B 54 24 28 89 90 92 01 00 00 8B 4C 24 04 89 69 08 8B 44 24 04 89 58 0C 8B 54 24 04 8B 4C 24 14 89 4A 14 8B 44 24 04 FF 48 28 B8 01 00 00 00 83 C4 3C 5D 5F 5E 5B C3 53 56 8B D8 57 83 C4 D4 8B F2 8B 83 AE 01 00 00 BA 01 00 00 00 89 04 24 8B 8B 8E 01 00 00 D3 E2 89 54 24 04 83 BB 10 01 00 00 00 74 1B 8B 04 24 83 78 28 00 75 12 8B C3 E8 6B FA FF FF 85 C0 75 07 33 C0 E9 C6 00 00 00 89 5C 24 24 8B 43 14 8B 10 89 54 24 10 8B 48 04 89 4C 24 14 8B 83 92 01 00 00 89 44 24 18 8B 04 24 8B 14 24 8B 0C 24 83 C1 10 8B 52 08 8B 40 0C 89 4C 24 28 33 C9 89 4C 24 08 8B CE 8B F1 EB 49 8B 0E 83 F8 01 89 4C 24 0C 7D 1C 6A 01 8D 4C 24 14 91 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 67 8B 54 24 1C 8B 44 24 20 48 8B C8 8B FA D3 FF F7 C7 01 00 00 00 74 0C 8B 4C 24 0C 66 8B 7C 24 04 66 09 39 FF 44 24 08 83 C6 04 8B 4C 24 08 3B 8B 56 01 00 00 7C AB 8B 4B 14 8B 74 24 10 89 31 8B 74 24 14 89 71 04 8B 4C 24 18 89 8B 92 01 00 00 8B 0C 24 89 51 08 8B 14 24 89 42 0C 8B 04 24 FF 48 28 B8 01 00 00 00 83 C4 2C 5F 5E 5B C3 90 90 90 53 56 57 55 81 C4 B0 FE FF FF 8B FA 89 04 24 8B 04 24 8B 90 AE 01 00 00 89 54 24 04 8B 0C 24 8B 81 86 01 00 00 89 44 24 08 8B 14 24 8B 82 8E 01 00 00 BA 01 00 00 00 8B C8 D3 E2 8B C8 83 C8 FF D3 E0 89 54 24 0C 89 44 24 10 8B 14 24 83 BA 10 01 00 00 00 74 1D 8B 44 24 04 83 78 28 00 75 13 8B 04 24 E8 28 F9 FF FF 85 C0 75 07 33 C0 E9 C5 03 00 00 8B 14 24 89 54 24 48 8B 0C 24 8B 41 14 8B 10 89 54 24 34 8B 48 04 89 4C 24 38 8B 04 24 8B 90 92 01 00 00 89 54 24 3C 8B 44 24 04 8B 4C 24 04 8B 58 0C 8B 44 24 04 8B 71 08 83 C0 10 89 44 24 4C 8B 54 24 04 8B 4A 14 89 4C 24 18 8B 07 89 44 24 1C 33 C0 8B 54 24 04 8B 4A 3C 89 4C 24 24 89 44 24 28 8B 14 24 8B 8A 82 01 00 00 89 4C 24 14 83 7C 24 18 00 0F 85 2D 02 00 00 8B 44 24 28 8D 54 84 50 89 54 24 30 8B 4C 24 14 8D 04 8D ?? ?? ?? ?? 89 44 24 2C 8B 54 24 14 3B 54 24 08 0F 8F 04 02 00 00 83 FB 08 7D 2B 6A 00 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 DB 02 00 00 8B 74 24 40 8B 5C 24 44 83 FB 08 7D 07 BD 01 00 00 00 EB 30 8D 4B F8 8B C6 D3 F8 25 FF 00 00 00 8B 54 24 24 8B AC 82 D4 00 00 00 85 ED 74 10 2B DD 8B 54 24 24 0F B6 BC 02 D4 04 00 00 EB 2A BD 09 00 00 00 8B 44 24 24 50 55 8D 44 24 3C 8B CB 8B D6 E8 ?? ?? ?? ?? 8B F8 85 C0 0F 8C 7A 02 00 00 8B 74 24 40 8B 5C 24 44 8B EF C1 FD 04 83 E7 0F 85 FF 74 55 4F 74 17 8B 04 24 8B 10 C7 42 14 72 00 00 00 83 CA FF 8B 04 24 8B 08 FF 51 04 83 FB 01 7D 1F 6A 01 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 30 02 00 00 8B 74 24 40 8B 5C 24 44 4B 8B CB 8B C6 D3 F8 A8 01 74 06 8B 7C 24 0C EB 58 8B 7C 24 10 EB 52 83 FD 0F 74 4D 8B CD BF 01 00 00 00 D3 E7 89 7C 24 18 85 ED 0F 84 04 01 00 00 3B EB 7E 1E 55 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 DD 01 00 00 8B 74 24 40 8B 5C 24 44 2B DD 8B C6 8B CB 4F D3 F8 23 C7 8B E8 01 6C 24 18 E9 CC 00 00 00 8B 54 24 2C 8B 02 03 C0 03 44 24 1C 89 44 24 20 8B 54 24 20 66 83 3A 00 74 60 83 FB 01 7D 1F 6A 01 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 89 01 00 00 8B 74 24 40 8B 5C 24 44 4B 8B CB 8B C6 D3 F8 A8 01 74 34 8B 54 24 20 66 8B 02 0F BF D0 23 54 24 0C 75 24 66 85 C0 7C 0E 8B 4C 24 20 66 8B 44 24 0C 66 01 01 EB 11 8B 54 24 20 66 8B 4C 24 10 66 01 0A EB 03 4D 78 17 FF 44 24 14 83 44 24 2C 04 8B 44 24 14 3B 44 24 08 0F 8E 6C FF FF FF 85 FF 74 1D 8B 54 24 2C 8B 02 8B 54 24 1C 66 89 3C 42 8B 4C 24 30 89 01 FF 44 24 28 83 44 24 30 04 FF 44 24 14 83 44 24 2C 04 8B 44 24 14 3B 44 24 08 0F 8E FC FD FF FF 83 7C 24 18 00 0F 86 A1 00 00 00 8B 54 24 14 3B 54 24 08 0F 8F 8F 00 00 00 8B 4C 24 14 8B 04 8D ?? ?? ?? ?? 03 C0 03 44 24 1C 89 44 24 20 8B 54 24 20 66 83 3A 00 74 5E 83 FB 01 7D 1F 6A 01 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 9F 00 00 00 8B 74 24 40 8B 5C 24 44 4B 8B CB 8B C6 D3 F8 A8 01 74 2F 8B 54 24 20 66 8B 02 0F BF D0 23 54 24 0C 75 1F 66 85 C0 7C 0E 8B 4C 24 20 66 8B 44 24 0C 66 01 01 EB 0C 8B 54 24 20 66 8B 4C 24 10 66 01 0A FF 44 24 14 8B 44 24 14 3B 44 24 08 0F 8E 71 FF FF FF FF 4C 24 18 8B 14 24 8B 42 14 8B 54 24 34 89 10 8B 4C 24 38 89 48 04 8B 04 24 8B 54 24 3C 89 90 92 01 00 00 8B 4C 24 04 89 71 08 8B 44 24 04 89 58 0C 8B 54 24 04 8B 4C 24 18 89 4A 14 8B 44 24 04 FF 48 28 B8 01 00 00 00 EB 2B 8B 54 24 28 83 7C 24 28 00 8D 44 94 50 7E 1A FF 4C 24 28 83 C0 FC 8B 10 8B 4C 24 1C 66 C7 04 51 00 00 83 7C 24 28 00 7F E6 33 C0 81 C4 50 01 00 00 5D 5F 5E 5B C3 90 }
	condition:
		$1
}

rule function_9169_0 {
	meta:
		name = "_NF__166"
		size = 116
		refs = "001f _NF__165"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 40 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B D0 89 93 AE 01 00 00 C7 02 ?? ?? ?? ?? 33 C0 8D 4A 2C 8B D1 33 C9 40 89 0A 83 C2 04 83 F8 04 7C F3 8B C3 8B 4B 20 C1 E1 06 BA 01 00 00 00 8B 70 04 C1 E1 02 FF 16 8B F0 89 B3 9C 00 00 00 8B D6 33 C9 EB 12 33 C0 C7 02 FF FF FF FF 83 C2 04 40 83 F8 40 7C F1 41 3B 4B 20 7C E9 5E 5B C3 }
	condition:
		$1
}

rule function_9170_0 {
	meta:
		name = "_NF__168"
		size = 288
	strings:
		$1 = { 53 56 8B D8 57 55 83 C4 F4 83 BB 82 01 00 00 00 8B AB AE 01 00 00 75 1B 83 BB 86 01 00 00 3F 75 12 83 BB 8A 01 00 00 00 75 09 83 BB 8E 01 00 00 00 74 13 8B 03 C7 40 14 76 00 00 00 83 CA FF 8B C3 8B 08 FF 51 04 33 D2 89 14 24 8D 45 14 89 44 24 08 8D 93 3E 01 00 00 89 54 24 04 E9 8F 00 00 00 8B 4C 24 04 8B 01 8B 70 14 8B 78 18 85 F6 7C 0F 83 FE 04 7D 0A 83 BC B3 B0 00 00 00 00 75 12 8B 03 C7 40 14 31 00 00 00 89 70 18 8B C3 8B 10 FF 12 85 FF 7C 0F 83 FF 04 7D 0A 83 BC BB C0 00 00 00 00 75 12 8B 03 C7 40 14 31 00 00 00 89 78 18 8B C3 8B 10 FF 12 8D 4C B5 28 8B 94 B3 B0 00 00 00 8B C3 E8 57 00 00 00 8D 4C BD 38 8B 94 BB C0 00 00 00 8B C3 E8 45 00 00 00 8B 4C 24 08 33 C0 89 01 FF 04 24 83 44 24 08 04 83 44 24 04 04 8B 14 24 3B 93 3A 01 00 00 0F 8C 62 FF FF FF 33 C9 89 4D 0C 33 C0 89 45 08 33 D2 89 55 10 8B 8B 10 01 00 00 89 4D 24 83 C4 0C 5D 5F 5E 5B C3 90 }
	condition:
		$1
}

rule function_9171_0 {
	meta:
		name = "_NF__169"
		size = 536
		refs = "0147 _NF__CD"
	strings:
		$1 = { 53 56 57 81 C4 D8 FA FF FF 8B D9 8B F8 89 14 24 8D 74 24 20 83 3B 00 75 13 8B C7 B9 D4 05 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 03 8B 03 BF 01 00 00 00 89 44 24 04 33 C0 8B 54 24 04 8B 0C 24 89 8A D0 00 00 00 89 44 24 08 8B 04 24 8D 48 01 C7 44 24 0C 01 00 00 00 8B 54 24 08 8D 04 16 8B D1 EB 0D 8B DF 88 18 FF 44 24 08 40 FF 44 24 0C 33 DB 8A 1A 3B 5C 24 0C 7D E9 47 41 83 FF 10 7E CF 8B 44 24 08 33 C9 C6 04 06 00 33 C0 0F BE 1E 89 44 24 08 EB 29 8B 54 24 08 8B 44 24 08 8D 04 06 8D 94 94 24 01 00 00 EB 0B 89 0A 83 C2 04 FF 44 24 08 40 41 0F BE 38 3B DF 74 EE 03 C9 43 8B 44 24 08 80 3C 06 00 75 CD 33 D2 BF 01 00 00 00 89 54 24 08 8B 44 24 04 8B 14 24 05 90 00 00 00 42 80 3A 00 74 2F 8B 4C 24 08 89 08 8B 4C 24 08 8B 8C 8C 24 01 00 00 89 88 74 FF FF FF 33 C9 8A 0A 01 4C 24 08 8B 4C 24 08 8B 8C 8C 20 01 00 00 89 48 B8 EB 07 C7 40 B8 FF FF FF FF 47 83 C0 04 42 83 FF 10 7E BB 8B 44 24 04 C7 80 88 00 00 00 FF FF 0F 00 68 00 04 00 00 6A 00 8B 54 24 0C 81 C2 D4 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 89 44 24 08 BF 01 00 00 00 8B 04 24 8D 50 01 89 54 24 1C C7 44 24 0C 01 00 00 00 8B 0C 24 8B 44 24 08 8D 54 01 11 89 54 24 18 8B 4C 24 08 8D 84 8C 24 01 00 00 89 44 24 14 8B 54 24 1C 8B CA 89 4C 24 10 EB 5C 8B 44 24 14 BA 08 00 00 00 2B D7 8B 5C 24 18 8B CA 8B 00 D3 E0 8B CA BA 01 00 00 00 D3 E2 8B CA 8B 54 24 04 8B F3 8B 5C 24 04 8D 94 02 D4 04 00 00 85 C9 8D 84 83 D4 00 00 00 7E 0F 89 38 83 C0 04 8A 1E 49 88 1A 42 85 C9 7F F1 FF 44 24 0C 83 44 24 14 04 FF 44 24 18 FF 44 24 08 8B 44 24 10 33 D2 8A 10 3B 54 24 0C 7D 96 47 FF 44 24 1C 83 FF 08 0F 8E 56 FF FF FF 81 C4 28 05 00 00 5F 5E 5B C3 90 }
	condition:
		$1
}

rule function_9172_0 {
	meta:
		name = "_NF__16A"
		size = 272
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 56 89 4D F8 89 55 FC 8B 33 8B 43 04 89 45 F4 83 7D F8 19 0F 8D CA 00 00 00 83 7B 08 00 75 7C 83 7D F4 00 75 22 8B 43 14 8B 50 14 FF 52 0C 85 C0 75 07 33 C0 E9 C3 00 00 00 8B 53 14 8B 42 14 8B 30 8B 40 04 89 45 F4 FF 4D F4 33 C0 8A 06 46 3D FF 00 00 00 75 74 83 7D F4 00 75 22 8B 43 14 8B 50 14 FF 52 0C 85 C0 75 07 33 C0 E9 8C 00 00 00 8B 53 14 8B 42 14 8B 30 8B 40 04 89 45 F4 FF 4D F4 33 C0 8A 06 46 3D FF 00 00 00 74 C9 85 C0 75 07 B8 FF 00 00 00 EB 32 89 43 08 8B 55 F8 3B 55 08 7D 40 8B 4B 18 83 39 00 75 1D 8B 43 14 8B 10 C7 42 14 71 00 00 00 83 CA FF 8B 08 FF 51 04 8B 43 18 C7 00 01 00 00 00 33 C0 8B 55 FC C1 E2 08 0B C2 89 45 FC 83 45 F8 08 83 7D F8 19 0F 8C 36 FF FF FF 89 33 8B 4D F4 89 4B 04 8B 45 FC 89 43 0C B8 01 00 00 00 8B 55 F8 89 53 10 5E 5B 8B E5 5D C2 04 00 90 90 90 }
	condition:
		$1
}

rule function_9173_0 {
	meta:
		name = "_NF__16B"
		size = 1544
		refs = "033d _NV__16D 047d _NV__18E"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 89 55 F8 89 45 FC 8B 7D 08 3B FB 7E 29 57 8B CB 8B 55 F8 8B 45 FC E8 CA FE FF FF 85 C0 75 08 83 C8 FF E9 C7 00 00 00 8B 55 FC 8B 4A 0C 89 4D F8 8B 45 FC 8B 58 10 2B DF 8B 75 F8 8B CB B8 01 00 00 00 D3 FE 8B CF 8B 55 0C D3 E0 48 23 F0 8D 44 BA 44 89 45 F4 EB 40 03 F6 83 FB 01 7D 27 6A 01 8B CB 8B 55 F8 8B 45 FC E8 78 FE FF FF 85 C0 75 05 83 C8 FF EB 78 8B 55 FC 8B 4A 0C 89 4D F8 8B 45 FC 8B 58 10 4B 8B CB 8B 45 F8 D3 F8 83 E0 01 0B F0 47 83 45 F4 04 8B 55 F4 3B 32 7F B9 8B 45 FC 8B 55 F8 83 FF 10 89 50 0C 8B 4D FC 89 59 10 7E 1B 8B 45 FC 8B 40 14 8B 10 C7 42 14 72 00 00 00 83 CA FF 8B 08 FF 51 04 33 C0 EB 21 8B 55 0C 8B 4D 0C 2B 34 BA 8B 55 0C 8B 84 B9 8C 00 00 00 8B 8A D0 00 00 00 8D 04 01 0F B6 44 30 11 5F 5E 5B 8B E5 5D C2 08 00 90 90 53 8B D8 56 8B B3 AE 01 00 00 8B 46 0C 85 C0 79 03 83 C0 07 C1 F8 03 8B 93 AA 01 00 00 01 42 5C 33 C9 89 4E 0C 8B C3 8B 90 AA 01 00 00 FF 52 08 85 C0 75 05 33 C0 5E 5B C3 33 D2 8D 46 14 EB 08 33 C9 42 89 08 83 C0 04 3B 93 3A 01 00 00 7C F0 8B 93 10 01 00 00 33 C0 89 56 24 89 46 10 B8 01 00 00 00 5E 5B C3 90 90 53 56 57 55 83 C4 A4 8B F2 89 04 24 8B 04 24 8B 90 AE 01 00 00 89 54 24 04 8B 0C 24 83 B9 10 01 00 00 00 74 1D 8B 44 24 04 83 78 24 00 75 13 8B 04 24 E8 61 FF FF FF 85 C0 75 07 33 C0 E9 50 04 00 00 8B 14 24 89 54 24 44 8B 0C 24 8B 41 14 8B 10 89 54 24 30 8B 48 04 89 4C 24 34 8B 04 24 8B 90 92 01 00 00 89 54 24 38 8B 44 24 04 8B 4C 24 04 8B 58 0C 8B 44 24 04 8B 79 08 83 C0 10 89 44 24 48 B9 04 00 00 00 8B 54 24 04 56 57 8D 7C 24 54 8D 72 14 F3 A5 5F 5E 33 C0 89 44 24 08 8B C6 8B 14 24 8D 8A 5A 01 00 00 89 4C 24 2C 89 44 24 28 E9 7D 03 00 00 8B 54 24 28 8B 0A 89 4C 24 10 8B 44 24 2C 8B 10 89 54 24 0C 8B 0C 24 8B 44 24 0C 8B AC 81 3E 01 00 00 8B 45 14 8B 54 24 04 8B 4C 82 28 89 4C 24 14 8B 45 18 8B 54 24 04 8B 4C 82 38 89 4C 24 18 83 FB 08 7D 31 6A 00 8D 44 24 34 8B CB 8B D7 E8 7A FC FF FF 85 C0 75 07 33 C0 E9 7D 03 00 00 8B 7C 24 3C 8B 5C 24 40 83 FB 08 7D 0A C7 44 24 1C 01 00 00 00 EB 39 8D 4B F8 8B C7 D3 F8 25 FF 00 00 00 8B 54 24 14 8B 94 82 D4 00 00 00 89 54 24 1C 85 D2 74 12 2B 5C 24 1C 8B 4C 24 14 0F B6 B4 01 D4 04 00 00 EB 34 C7 44 24 1C 09 00 00 00 8B 44 24 14 8B CB 50 8B 54 24 20 52 8B D7 8D 44 24 38 E8 18 FD FF FF 8B F0 85 C0 7D 07 33 C0 E9 09 03 00 00 8B 7C 24 3C 8B 5C 24 40 85 F6 74 51 3B F3 7E 21 56 8D 44 24 34 8B CB 8B D7 E8 DD FB FF FF 85 C0 75 07 33 C0 E9 E0 02 00 00 8B 7C 24 3C 8B 5C 24 40 2B DE 8B CB 8B C7 D3 F8 8B CE BA 01 00 00 00 D3 E2 4A 23 C2 3B 04 B5 ?? ?? ?? ?? 7D 0B 8B 14 B5 ?? ?? ?? ?? 03 D0 EB 02 8B D0 8B F2 83 7D 30 00 0F 84 4C 01 00 00 8B 44 24 0C 8B 4C 24 0C 03 74 84 4C 89 74 8C 4C 8B 44 24 10 66 89 30 83 7D 24 01 0F 8E 2B 01 00 00 BD 01 00 00 00 83 FB 08 7D 31 6A 00 8D 44 24 34 8B CB 8B D7 E8 5A FB FF FF 85 C0 75 07 33 C0 E9 5D 02 00 00 8B 7C 24 3C 8B 5C 24 40 83 FB 08 7D 0A C7 44 24 20 01 00 00 00 EB 39 8D 4B F8 8B C7 D3 F8 25 FF 00 00 00 8B 54 24 18 8B 94 82 D4 00 00 00 89 54 24 20 85 D2 74 12 2B 5C 24 20 8B 4C 24 18 0F B6 B4 01 D4 04 00 00 EB 34 C7 44 24 20 09 00 00 00 8B 44 24 18 8B CB 50 8B 54 24 24 52 8B D7 8D 44 24 38 E8 F8 FB FF FF 8B F0 85 C0 7D 07 33 C0 E9 E9 01 00 00 8B 7C 24 3C 8B 5C 24 40 8B C6 C1 F8 04 83 E6 0F 85 F6 74 64 03 E8 3B F3 7E 21 56 8D 44 24 34 8B CB 8B D7 E8 B3 FA FF FF 85 C0 75 07 33 C0 E9 B6 01 00 00 8B 7C 24 3C 8B 5C 24 40 2B DE 8B CB 8B C7 D3 F8 8B CE BA 01 00 00 00 D3 E2 4A 23 C2 3B 04 B5 ?? ?? ?? ?? 7D 0B 8B 14 B5 ?? ?? ?? ?? 03 D0 EB 02 8B D0 8B 04 AD ?? ?? ?? ?? 8B 4C 24 10 8B F2 66 89 34 41 EB 0C 83 F8 0F 0F 85 FB 00 00 00 83 C5 0F 45 83 FD 40 0F 8C DF FE FF FF E9 E9 00 00 00 BD 01 00 00 00 83 FB 08 7D 31 6A 00 8D 44 24 34 8B CB 8B D7 E8 2F FA FF FF 85 C0 75 07 33 C0 E9 32 01 00 00 8B 7C 24 3C 8B 5C 24 40 83 FB 08 7D 0A C7 44 24 24 01 00 00 00 EB 39 8D 4B F8 8B C7 D3 F8 25 FF 00 00 00 8B 54 24 18 8B 94 82 D4 00 00 00 89 54 24 24 85 D2 74 12 2B 5C 24 24 8B 4C 24 18 0F B6 B4 01 D4 04 00 00 EB 34 C7 44 24 24 09 00 00 00 8B 44 24 18 8B CB 50 8B 54 24 28 52 8B D7 8D 44 24 38 E8 CD FA FF FF 8B F0 85 C0 7D 07 33 C0 E9 BE 00 00 00 8B 7C 24 3C 8B 5C 24 40 8B C6 C1 F8 04 83 E6 0F 85 F6 74 2B 03 E8 3B F3 7E 21 56 8D 44 24 34 8B CB 8B D7 E8 88 F9 FF FF 85 C0 75 07 33 C0 E9 8B 00 00 00 8B 7C 24 3C 8B 5C 24 40 2B DE EB 08 83 F8 0F 75 0D 83 C5 0F 45 83 FD 40 0F 8C 1C FF FF FF FF 44 24 08 83 44 24 2C 04 83 44 24 28 04 8B 04 24 8B 90 56 01 00 00 3B 54 24 08 0F 8F 70 FC FF FF 8B 0C 24 8B 54 24 30 8D 74 24 4C 8B 41 14 89 10 8B 4C 24 34 89 48 04 8B 04 24 8B 54 24 38 89 90 92 01 00 00 8B 4C 24 04 89 79 08 B9 04 00 00 00 8B 44 24 04 89 58 0C 8B 54 24 04 8D 7A 14 F3 A5 8B 44 24 04 FF 48 24 B8 01 00 00 00 83 C4 5C 5D 5F 5E 5B C3 90 90 }
	condition:
		$1
}

rule function_9174_0 {
	meta:
		name = "_NF__16C"
		size = 64
		refs = "001d _NF__168"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 48 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 AE 01 00 00 C7 00 ?? ?? ?? ?? C7 40 04 ?? ?? ?? ?? 33 D2 83 C0 38 33 C9 89 08 89 48 F0 42 83 C0 04 83 FA 04 7C F0 5E 5B C3 }
	condition:
		$1
}

rule function_9175_0 {
	meta:
		name = "_NF__16E"
		size = 1388
		refs = "010a _NF__18C"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 B9 00 04 00 00 8B 9E B6 01 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 10 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 14 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 18 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 43 1C 33 C0 BA 80 FF FF FF 69 CA E9 66 01 00 81 C1 00 80 00 00 8B 73 10 C1 F9 10 89 0C 86 69 CA A2 C5 01 00 81 C1 00 80 00 00 8B 73 14 C1 F9 10 89 0C 86 69 CA 2E 49 FF FF 8B 73 18 89 0C 86 69 CA E6 A7 FF FF 8B 73 1C 81 C1 00 80 00 00 42 89 0C 86 40 3D FF 00 00 00 7E AF 5F 5E 5B C3 90 8B 90 B6 01 00 00 33 C9 89 4A 24 8B 40 70 89 42 2C C3 90 90 55 8B EC 83 C4 EC 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 4D 08 8B 55 10 8B 98 B6 01 00 00 83 7B 24 00 74 28 6A 00 6A 01 8B 43 28 50 8B 4D 0C 8B 09 C1 E1 02 03 CA 8D 43 20 33 D2 E8 ?? ?? ?? ?? BE 01 00 00 00 33 C0 89 43 24 EB 4E BE 02 00 00 00 8B 43 2C 3B F0 76 02 8B F0 8B 45 0C 8B 00 2B C8 3B CE 73 02 8B F1 8B 0C 82 83 FE 01 89 4D EC 76 09 8B 44 82 04 89 45 F0 EB 0D 8B 53 20 89 55 F0 C7 43 24 01 00 00 00 8D 45 EC 50 8B 55 F4 8B 45 FC 8B 0A 8B 55 F8 FF 53 0C 8B 4D 0C 01 31 29 73 2C 83 7B 24 00 75 05 8B 45 F4 FF 00 5E 5B 8B E5 5D C2 10 00 90 55 8B EC 51 53 56 89 55 FC 8B D9 8B 4D 0C 8B 90 B6 01 00 00 8B F2 8B 09 C1 E1 02 03 4D 10 51 8B 0B 8B 55 FC FF 56 0C 8B 45 0C FF 00 FF 03 5E 5B 59 5D C2 10 00 90 90 90 55 8B EC 83 C4 D0 53 56 57 89 45 FC 8B 45 FC 8B 98 B6 01 00 00 8B 45 FC 8B 73 10 8B 80 36 01 00 00 89 75 DC 8B 73 14 89 75 D8 8B 73 18 89 75 D4 8B 5B 1C 89 5D D0 8B 1A 8B 1C 8B 89 5D EC 8B 5A 04 8B 1C 8B 89 5D E8 8B 52 08 8B 0C 8A 89 4D E4 8B 4D FC 8B 55 08 8B 49 6C 8B 12 D1 E9 89 4D E0 83 7D E0 00 0F 86 A1 00 00 00 8B 4D E8 0F B6 09 FF 45 E8 8B 5D E4 0F B6 1B 89 5D F0 FF 45 E4 8B 5D DC 8B 75 F0 8B 1C B3 89 5D F8 8B 5D D0 8B 7D F0 8B 34 8B 8B 5D D4 03 34 BB 8B 5D D8 C1 FE 10 8B 0C 8B 89 4D F4 8B 4D EC 0F B6 09 FF 45 EC 8B 7D F8 8D 1C 08 8A 1C 3B 88 5A 02 8D 1C 08 8D 0C 08 8A 1C 33 88 5A 01 8B 5D F4 8A 0C 19 88 0A 83 C2 03 8B 4D EC 0F B6 09 FF 45 EC 8B 7D F8 8D 1C 08 8A 1C 3B 88 5A 02 8D 1C 08 8D 0C 08 8A 1C 33 88 5A 01 8B 5D F4 8A 0C 19 88 0A 83 C2 03 FF 4D E0 83 7D E0 00 0F 87 5F FF FF FF 8B 4D FC F6 41 6C 01 74 5B 8B 4D E8 8B 5D E4 0F B6 09 0F B6 1B 89 5D F0 8B 5D DC 8B 75 F0 8B 1C B3 89 5D F8 8B 5D D0 8B 7D F0 8B 34 8B 8B 5D D4 03 34 BB 8B 5D D8 C1 FE 10 8B 0C 8B 89 4D F4 8B 4D EC 8B 7D F8 0F B6 09 8D 1C 08 8A 1C 3B 88 5A 02 8D 1C 08 03 C1 8A 1C 33 88 5A 01 8B 4D F4 8A 04 08 88 02 5F 5E 5B 8B E5 5D C2 04 00 55 8B EC 83 C4 C4 53 56 57 89 4D F8 89 45 FC 8B 5D 08 8B 45 FC 8B 80 B6 01 00 00 8B 4D FC 8B 89 36 01 00 00 8B 70 10 89 75 D0 8B 70 14 89 75 CC 8B 70 18 89 75 C8 8B 40 1C 89 45 C4 8B 45 F8 03 C0 8B 32 8B 34 86 89 75 E4 8B 32 8B 44 86 04 89 45 E0 8B 42 04 8B 75 F8 8B 04 B0 89 45 DC 8B 52 08 8B 45 F8 8B 14 82 89 55 D8 8B 03 8B 53 04 89 55 E8 8B 55 FC 8B 52 6C D1 EA 89 55 D4 83 7D D4 00 0F 86 0D 01 00 00 8B 55 DC 0F B6 12 FF 45 DC 8B 5D D8 0F B6 1B 89 5D EC FF 45 D8 8B 5D D0 8B 75 EC 8B 1C B3 89 5D F4 8B 5D C4 8B 7D EC 8B 34 93 8B 5D C8 03 34 BB 8B 5D CC C1 FE 10 8B 14 93 89 55 F0 8B 55 E4 0F B6 12 FF 45 E4 8B 5D F4 8D 3C 11 8A 1C 1F 88 58 02 8D 1C 11 8D 14 11 8A 1C 33 88 58 01 8B 5D F0 8A 14 1A 88 10 83 C0 03 8B 55 E4 0F B6 12 FF 45 E4 8B 5D F4 8D 3C 11 8A 1C 1F 88 58 02 8D 1C 11 8D 14 11 8A 1C 33 88 58 01 8B 5D F0 8A 14 1A 88 10 83 C0 03 8B 55 E0 0F B6 12 FF 45 E0 8B 5D F4 8D 3C 11 8A 1C 1F 8B 7D E8 88 5F 02 8D 1C 11 8B 7D E8 8D 14 11 8A 1C 33 88 5F 01 8B 5D F0 8A 14 1A 8B 5D E8 88 13 83 45 E8 03 8B 55 E0 0F B6 12 FF 45 E0 8B 5D F4 8D 3C 11 8A 1C 1F 8B 7D E8 88 5F 02 8D 1C 11 8D 14 11 8A 1C 33 8B 75 E8 88 5E 01 8B 5D F0 8A 14 1A 8B 5D E8 88 13 83 45 E8 03 FF 4D D4 83 7D D4 00 0F 87 F3 FE FF FF 8B 55 FC F6 42 6C 01 0F 84 8C 00 00 00 8B 55 DC 8B 5D D8 0F B6 12 0F B6 1B 89 5D EC 8B 5D D0 8B 75 EC 8B 1C B3 89 5D F4 8B 5D C4 8B 7D EC 8B 34 93 8B 5D C8 03 34 BB 8B 5D CC C1 FE 10 8B 14 93 89 55 F0 8B 55 E4 8B 5D F4 0F B6 12 8D 3C 11 8A 1C 1F 88 58 02 8D 1C 11 8D 14 11 8A 1C 33 88 58 01 8B 5D F0 8A 14 1A 88 10 33 D2 8B 45 E0 8A 10 8B 45 F4 8D 1C 11 8A 04 03 8B 5D E8 88 43 02 8D 04 11 8B 5D E8 8D 14 11 8A 04 30 88 43 01 8B 45 F0 8A 0C 02 8B 45 E8 88 08 5F 5E 5B 8B E5 5D C2 04 00 90 90 }
	condition:
		$1
}

rule function_9176_0 {
	meta:
		name = "_NF__16F"
		size = 125
		refs = "0022 _NF__16E"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 B9 30 00 00 00 BA 01 00 00 00 8B 58 04 FF 13 8B D8 33 C0 89 9E B6 01 00 00 C7 03 ?? ?? ?? ?? 89 43 08 8B 56 6C 0F AF 56 74 89 53 28 83 BE 2A 01 00 00 02 75 23 C7 43 04 ?? ?? ?? ?? 8B C6 BA 01 00 00 00 C7 43 0C ?? ?? ?? ?? 8B 78 04 8B 4B 28 FF 57 04 89 43 20 EB 13 C7 43 04 ?? ?? ?? ?? C7 43 0C ?? ?? ?? ?? 33 C0 89 43 20 8B C6 E8 1B FA FF FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9177_0 {
	meta:
		name = "_NF__170"
		size = 992
		refs = "0246 _NF__18C"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 B9 00 04 00 00 8B 9E BA 01 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 08 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 0C 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 10 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 43 14 33 C0 BA 80 FF FF FF 69 CA E9 66 01 00 81 C1 00 80 00 00 8B 73 08 C1 F9 10 89 0C 86 69 CA A2 C5 01 00 81 C1 00 80 00 00 8B 73 0C C1 F9 10 89 0C 86 69 CA 2E 49 FF FF 8B 73 10 89 0C 86 69 CA E6 A7 FF FF 8B 73 14 81 C1 00 80 00 00 42 89 0C 86 40 3D FF 00 00 00 7E AF 5F 5E 5B C3 90 55 8B EC 83 C4 CC 53 56 57 89 4D F8 89 55 FC 8B 90 BA 01 00 00 8B 48 6C 89 4D E8 8B 88 36 01 00 00 8B 42 08 89 45 E4 8B 42 0C 89 45 E0 8B 42 10 89 45 DC 8B 52 14 89 55 D8 E9 B5 00 00 00 8B 45 FC 8B 5D F8 8B 75 F8 33 FF 8B 10 8B 45 F8 8B 14 82 8B 45 FC 8B 40 04 8B 1C 98 8B 45 FC 8B 40 08 8B 34 B0 FF 45 F8 8B 45 0C 8B 00 83 45 0C 04 89 7D EC 89 75 CC 89 5D D0 89 55 D4 8B 55 EC 3B 55 E8 73 70 8B 55 D4 8B 5D D0 0F B6 12 0F B6 1B 89 5D F4 8B 5D CC 0F B6 1B 89 5D F0 8B 5D E4 8B 75 F0 8B 1C B3 8D 34 11 8A 1C 1E 88 58 02 8B 5D D8 8B 75 F4 8B 7D F0 8B 1C B3 8B 75 DC 03 1C BE 8D 34 11 C1 FB 10 8D 14 11 8A 1C 1E 88 58 01 8B 5D E0 8B 75 F4 8B 1C B3 8A 14 1A 88 10 83 C0 03 FF 45 EC FF 45 CC FF 45 D0 FF 45 D4 8B 55 EC 3B 55 E8 72 90 FF 4D 08 0F 89 42 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 90 90 55 8B EC 83 C4 F0 53 56 57 8B 58 20 89 5D FC 8B 40 6C 89 45 F8 EB 4A 33 C0 89 45 F4 8B C2 89 45 F0 8B 45 F4 3B 45 FC 7D 33 8B 45 F0 8B 5D 0C 8B 7D F8 8B 33 8B 00 03 75 F4 85 FF 8B 04 88 76 0D 8A 18 88 1E 40 03 75 FC 4F 85 FF 77 F3 FF 45 F4 83 45 F0 04 8B 45 F4 3B 45 FC 7C CD 41 83 45 0C 04 FF 4D 08 79 B1 5F 5E 5B 8B E5 5D C2 08 00 90 55 8B EC 53 6A 00 8B 5D 08 53 8B 40 6C 50 8B 02 8B D1 8B 4D 0C E8 ?? ?? ?? ?? 5B 5D C2 08 00 90 55 8B EC 51 53 56 57 8B 40 6C 89 45 FC EB 2E 8B 02 8B 5D 0C 33 FF 8B 04 88 8B 33 41 83 45 0C 04 3B 7D FC 73 18 8A 18 47 88 5E 02 8A 18 88 5E 01 8A 18 40 88 1E 83 C6 03 3B 7D FC 72 E8 FF 4D 08 79 CD 5F 5E 5B 59 5D C2 08 00 90 90 55 8B EC 83 C4 C4 53 56 57 89 4D F8 89 55 FC 8B 90 BA 01 00 00 8B 48 6C 89 4D E4 8B 88 36 01 00 00 8B 42 08 89 45 E0 8B 42 0C 89 45 DC 8B 42 10 89 45 D8 8B 52 14 89 55 D4 E9 ED 00 00 00 8B 45 FC 8B 5D F8 8B 75 F8 33 FF 8B 10 8B 45 F8 8B 14 82 8B 45 FC 8B 40 04 8B 1C 98 8B 45 FC 8B 40 08 8B 04 B0 89 45 EC 8B 45 FC 8B 75 F8 8B 40 0C 8B 34 B0 FF 45 F8 8B 45 0C 8B 00 83 45 0C 04 89 7D E8 89 75 C4 8B 75 EC 89 75 C8 89 5D CC 89 55 D0 8B 55 E8 3B 55 E4 0F 83 8F 00 00 00 8B 55 D0 8B 5D CC 0F B6 12 0F B6 1B 89 5D F4 8B 5D C8 0F B6 1B 89 5D F0 8B 5D E0 8B 75 F0 8B 1C B3 BE FF 00 00 00 03 DA 2B F3 8A 1C 31 88 18 8B 5D D4 8B 75 F4 8B 7D F0 8B 1C B3 8B 75 D8 03 1C BE BE FF 00 00 00 C1 FB 10 03 DA 2B F3 8A 1C 31 88 58 01 8B 5D DC 8B 75 F4 03 14 B3 BB FF 00 00 00 2B DA 8A 14 19 88 50 02 8B 55 C4 8A 12 88 50 03 83 C0 04 FF 45 E8 FF 45 C4 FF 45 C8 FF 45 CC FF 45 D0 8B 55 E8 3B 55 E4 0F 82 71 FF FF FF FF 4D 08 0F 89 0A FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 90 90 C3 90 90 90 }
	condition:
		$1
}

rule function_9178_0 {
	meta:
		name = "_NF__171"
		size = 460
		refs = "001f _NF__170"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 18 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B F0 89 B3 BA 01 00 00 C7 06 ?? ?? ?? ?? 8B 43 24 48 74 0D 48 83 E8 02 72 1E 83 E8 02 72 30 EB 45 83 7B 20 01 74 54 8B 13 8B C3 C7 42 14 08 00 00 00 8B 10 FF 12 EB 43 83 7B 20 03 74 3D 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 EB 2C 83 7B 20 04 74 26 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 EB 15 83 7B 20 01 7D 0F 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 8B 4B 28 49 74 11 49 74 65 83 E9 02 0F 84 AE 00 00 00 E9 E6 00 00 00 C7 43 74 01 00 00 00 8B 43 24 83 F8 01 74 05 83 F8 03 75 2F C7 46 04 ?? ?? ?? ?? B8 01 00 00 00 EB 17 8B D0 8B 8B D4 00 00 00 C1 E2 03 33 F6 2B D0 40 8D 14 52 89 74 91 30 3B 43 20 7C E4 E9 C9 00 00 00 8B 03 C7 40 14 19 00 00 00 8B C3 8B 10 FF 12 E9 B5 00 00 00 C7 43 74 03 00 00 00 83 7B 24 03 75 13 C7 46 04 ?? ?? ?? ?? 8B C3 E8 07 FB FF FF E9 95 00 00 00 83 7B 24 02 75 0C C7 46 04 ?? ?? ?? ?? E9 83 00 00 00 83 7B 24 01 75 09 C7 46 04 ?? ?? ?? ?? EB 74 8B 13 8B C3 C7 42 14 19 00 00 00 8B 10 FF 12 EB 63 C7 43 74 04 00 00 00 83 7B 24 05 75 10 C7 46 04 ?? ?? ?? ?? 8B C3 E8 B5 FA FF FF EB 46 83 7B 24 04 75 09 C7 46 04 ?? ?? ?? ?? EB 37 8B 13 8B C3 C7 42 14 19 00 00 00 8B 10 FF 12 EB 26 8B 4B 28 3B 4B 24 75 0F 8B 43 20 89 43 74 C7 46 04 ?? ?? ?? ?? EB 0F 8B 13 8B C3 C7 42 14 19 00 00 00 8B 10 FF 12 83 7B 50 00 74 0A C7 43 78 01 00 00 00 5E 5B C3 8B 4B 74 89 4B 78 5E 5B C3 }
	condition:
		$1
}

rule function_9179_0 {
	meta:
		name = "_NF__172"
		size = 3012
		refs = "008c _NV__174 06ea _NF__CD 0b0d _NF__172"
	strings:
		$1 = { 53 56 57 83 C4 E8 89 54 24 04 89 04 24 8B 04 24 8B 50 74 89 54 24 08 8B 0C 24 8B 41 5C 89 44 24 0C BB 01 00 00 00 43 8B C3 B9 01 00 00 00 3B 4C 24 08 7D 0A 0F AF C3 41 3B 4C 24 08 7C F6 3B 44 24 0C 7E E2 4B 83 FB 02 7D 16 8B 14 24 8B 12 C7 42 14 37 00 00 00 89 42 18 8B 04 24 8B 08 FF 11 BE 01 00 00 00 33 C9 8B 44 24 04 3B 4C 24 08 7D 0F 89 18 0F AF F3 41 83 C0 04 3B 4C 24 08 7C F1 33 D2 89 54 24 10 33 C9 C7 44 24 14 ?? ?? ?? ?? 3B 4C 24 08 7D 50 8B 04 24 83 78 28 02 75 08 8B 54 24 14 8B 1A EB 02 8B D9 8B 44 24 04 FF 34 98 8B C6 5A 8B FA 99 F7 FF 8B 54 24 04 8B 14 9A 42 0F AF C2 3B 44 24 0C 7F 1D 8B 54 24 04 41 8B F0 FF 04 9A C7 44 24 10 01 00 00 00 83 44 24 14 04 3B 4C 24 08 7C B0 83 7C 24 10 00 75 93 8B C6 83 C4 18 5F 5E 5B C3 90 90 55 8B EC 8B C1 53 C1 E0 08 8B 5D 08 8B D3 2B C1 D1 FA 79 03 83 D2 00 03 C2 99 F7 FB 5B 5D C2 04 00 90 90 90 03 C9 55 8B EC 8B C1 C1 E0 08 53 8B 5D 08 2B C1 03 C3 03 DB 05 FF 00 00 00 99 F7 FB 5B 5D C2 04 00 90 90 90 53 56 57 55 83 C4 D0 89 04 24 8B 04 24 8B 90 BE 01 00 00 89 54 24 04 8B 54 24 04 8B 04 24 83 C2 20 E8 9A FE FF FF 89 44 24 0C 8B 0C 24 83 79 74 03 75 47 8B 04 24 8B 00 83 C0 18 8B 54 24 0C 89 10 8B 4C 24 04 8B 51 20 89 50 04 8B 4C 24 04 8B 51 24 89 50 08 8B 4C 24 04 8B 51 28 89 50 0C 8B 04 24 8B 08 C7 41 14 5D 00 00 00 BA 01 00 00 00 8B 04 24 8B 08 FF 51 04 EB 20 8B 04 24 8B 00 C7 40 14 5E 00 00 00 8B 54 24 0C 89 50 18 BA 01 00 00 00 8B 04 24 8B 08 FF 51 04 8B 04 24 8B 50 74 52 BA 01 00 00 00 8B 44 24 04 8B 4C 24 10 8B 58 04 FF 53 08 89 44 24 08 33 D2 8B 44 24 0C 89 44 24 1C 89 54 24 10 8B 4C 24 08 8B C1 89 44 24 2C 8B 54 24 04 8D 4A 20 89 4C 24 20 E9 A5 00 00 00 8B 44 24 20 8B 10 89 54 24 18 8B 44 24 1C 99 F7 7C 24 18 8B F0 33 C0 89 44 24 14 8B 54 24 2C 8B CA 89 4C 24 28 8B 44 24 14 3B 44 24 18 7D 64 8B 54 24 18 4A 52 8B 4C 24 18 8B 54 24 14 8B 44 24 04 E8 92 FE FF FF 8B F8 8B 4C 24 14 0F AF CE 8B 44 24 28 8B D0 89 54 24 24 3B 4C 24 0C 7D 26 33 C0 8B 54 24 24 3B F0 7E 12 8B 1A 03 D9 03 D8 40 53 8B DF 5D 3B F0 88 5D 00 7F EE 03 4C 24 1C 3B 4C 24 0C 7C DA FF 44 24 14 8B 44 24 14 3B 44 24 18 7C 9C 89 74 24 1C FF 44 24 10 83 44 24 2C 04 83 44 24 20 04 8B 14 24 8B 4A 74 3B 4C 24 10 0F 8F 4B FF FF FF 8B 44 24 04 8B 54 24 08 89 50 10 8B 4C 24 04 8B 44 24 0C 89 41 14 83 C4 30 5D 5F 5E 5B C3 90 53 56 57 83 C4 E0 89 04 24 8B 04 24 8B 90 BE 01 00 00 89 54 24 04 8B 0C 24 83 79 54 01 75 15 C7 44 24 14 FE 01 00 00 8B 44 24 04 C7 40 1C 01 00 00 00 EB 0F 33 D2 89 54 24 14 8B 4C 24 04 33 C0 89 41 1C 8B 14 24 8B 4A 74 BA 01 00 00 00 51 8B 44 24 04 8B 4C 24 18 81 C1 00 01 00 00 8B 58 04 FF 53 08 8B 54 24 04 89 42 18 8B 44 24 04 8B 48 14 89 4C 24 10 33 FF 8B 44 24 04 8D 50 20 89 54 24 18 E9 D4 00 00 00 8B 4C 24 18 8B 01 89 44 24 0C 8B 44 24 10 99 F7 7C 24 0C 89 44 24 10 83 7C 24 14 00 74 0E 8B 4C 24 04 8B 41 18 81 04 B8 FF 00 00 00 8B 54 24 04 33 F6 8B 4A 18 8B D7 8B 04 B9 89 44 24 08 8B 44 24 0C 48 33 C9 50 8B 44 24 04 E8 52 FD FF FF 33 DB 8B 54 24 08 8B CA 89 4C 24 1C 3B C3 7D 18 8B 44 24 0C 8B D7 48 46 50 8B CE 8B 44 24 04 E8 2E FD FF FF 3B C3 7C E8 8B D6 8B 4C 24 1C 0F AF 54 24 10 88 11 43 FF 44 24 1C 81 FB FF 00 00 00 7E CA 83 7C 24 14 00 74 36 BB 01 00 00 00 8B 44 24 08 05 00 01 00 00 8B D3 8B 4C 24 08 F7 DA 03 CA 8B 54 24 08 43 8A 12 88 11 8B 4C 24 08 8A 91 FF 00 00 00 88 10 40 81 FB FF 00 00 00 7E D8 47 83 44 24 18 04 8B 04 24 3B 78 74 0F 8C 20 FF FF FF 83 C4 20 5F 5E 5B C3 90 90 53 56 57 55 8B 70 04 8B DA BA 01 00 00 00 83 C4 F0 B9 00 04 00 00 FF 16 89 04 24 8B EB C1 E5 09 81 C5 00 FE FF FF 33 C0 89 44 24 04 C7 44 24 0C ?? ?? ?? ?? 8B 14 24 8B CA 89 4C 24 08 33 FF 8B 44 24 08 8B F0 8B 44 24 0C 8B D8 33 C0 8A 03 03 C0 BA FF 00 00 00 2B D0 8B CA C1 E1 08 2B CA 85 C9 7D 0B 8B C1 F7 D8 99 F7 FD F7 D8 EB 05 8B C1 99 F7 FD 89 06 47 83 C6 04 43 83 FF 10 7C CC FF 44 24 04 83 44 24 0C 10 83 44 24 08 40 83 7C 24 04 10 7C A9 8B 04 24 83 C4 10 5D 5F 5E 5B C3 90 53 56 57 83 C4 F8 89 04 24 8B 04 24 8B 90 BE 01 00 00 89 54 24 04 33 DB 8B 44 24 04 8D 70 20 EB 39 8B 3E 33 C9 33 D2 8B 44 24 04 83 C0 20 3B DA 7E 11 3B 38 75 05 8B 48 14 EB 08 42 83 C0 04 3B DA 7F EF 85 C9 75 0C 8B D7 8B 04 24 E8 0F FF FF FF 8B C8 89 4E 14 43 83 C6 04 8B 14 24 3B 5A 74 7C BF 59 5A 5F 5E 5B C3 55 8B EC 83 C4 E0 53 56 57 8B 98 BE 01 00 00 8B 5B 18 89 5D FC 8B 58 6C 89 5D EC 8B 40 74 89 45 E8 33 C0 89 45 F4 89 4D E0 89 55 E4 8B 45 F4 3B 45 08 7D 61 8B 55 E4 8B 45 E0 8B 0A 8B 10 89 55 F8 8B 45 EC 89 45 F0 83 7D F0 00 76 35 33 F6 33 D2 8B 45 FC 3B 55 E8 7D 16 33 DB 8B 38 8A 19 41 83 C0 04 42 0F B6 1C 1F 03 F3 3B 55 E8 7C EA 8B C6 8B 55 F8 88 02 FF 45 F8 FF 4D F0 83 7D F0 00 77 CB FF 45 F4 83 45 E0 04 83 45 E4 04 8B 4D F4 3B 4D 08 7C 9F 5F 5E 5B 8B E5 5D C2 04 00 90 90 55 8B EC 83 C4 E4 53 56 57 8B 98 BE 01 00 00 8B 73 18 8B 3E 89 7D FC 8B 7E 04 89 7D F8 8B 5E 08 89 5D F4 8B 40 6C 89 45 EC 33 C0 89 45 F0 89 4D E4 89 55 E8 8B 45 F0 3B 45 08 7D 54 8B 55 E8 8B 02 8B 55 E4 8B 0A 8B 75 EC 85 F6 76 30 33 D2 8B 5D FC 8A 10 40 8B 7D F8 4E 0F B6 14 13 33 DB 8A 18 40 0F B6 1C 1F 03 D3 33 DB 8A 18 8B 7D F4 40 0F B6 1C 1F 03 D3 88 11 41 85 F6 77 D0 FF 45 F0 83 45 E4 04 83 45 E8 04 8B 45 F0 3B 45 08 7C AC 5F 5E 5B 8B E5 5D C2 04 00 90 90 90 55 8B EC 83 C4 CC 53 56 57 8B 98 BE 01 00 00 89 5D FC 8B 58 74 89 5D EC 8B 40 6C 89 45 E0 33 C0 89 45 E4 89 55 CC 89 4D DC 8B 45 E4 3B 45 08 0F 8D D5 00 00 00 8B 55 E0 52 6A 00 8B 4D DC 8B 01 50 E8 ?? ?? ?? ?? 8B 55 FC 33 C0 83 C4 0C 8B 4A 30 89 4D F0 89 45 E8 8B 55 FC 8D 4A 34 89 4D D0 8B 45 DC 8B D0 89 55 D4 8B 4D CC 8B C1 89 45 D8 8B 55 E8 3B 55 EC 7D 68 8B 4D D8 8B 45 D4 8B 5D E8 8B 11 8B 08 8B 45 FC 03 55 E8 8B 40 18 8B 04 98 89 45 F8 8B 45 D0 8B 5D F0 C1 E3 06 8B 00 03 C3 89 45 F4 33 C0 8B 75 E0 85 F6 76 24 33 DB 8B 7D F8 8A 1A 4E 8D 1C 1F 53 8B 5D F4 5F 8B 1C 83 40 83 E0 0F 8A 1C 1F 00 19 41 03 55 EC 85 F6 77 DC FF 45 E8 83 45 D0 04 8B 55 E8 3B 55 EC 7C 98 8B 4D F0 41 83 E1 0F 89 4D F0 8B 45 FC 8B 55 F0 89 50 30 FF 45 E4 83 45 CC 04 83 45 DC 04 8B 4D E4 3B 4D 08 0F 8C 2B FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 CC 53 56 57 8B 98 BE 01 00 00 89 5D FC 8B 5D FC 8B 5B 18 8B 33 89 75 F8 8B 73 04 89 75 F4 8B 5B 08 89 5D F0 8B 40 6C 89 45 D4 33 C0 89 45 DC 89 4D CC 89 55 D0 8B 45 DC 3B 45 08 0F 8D C9 00 00 00 8B 55 FC 8B 4A 30 89 4D E0 8B 55 CC 8B 4D FC 8B 45 D0 8B 32 8B 55 E0 8B 49 34 C1 E2 06 8B 00 03 CA 89 4D EC 8B 4D FC 8B 49 38 03 CA 89 4D E8 8B 4D FC 8B 49 3C 03 CA 33 D2 89 4D E4 8B 4D D4 89 4D D8 83 7D D8 00 76 57 33 C9 8B 5D F8 8A 08 40 8B 7D F4 8D 0C 0B 8B 5D EC 8B 1C 93 0F B6 0C 19 33 DB 8A 18 40 8D 1C 1F 53 8B 5D E8 5F 8B 1C 93 0F B6 1C 1F 03 CB 33 DB 8A 18 8B 7D F0 40 8D 1C 1F 53 8B 5D E4 5F 8B 1C 93 42 83 E2 0F 0F B6 1C 1F 03 CB 88 0E 46 FF 4D D8 83 7D D8 00 77 A9 8B 45 E0 40 83 E0 0F 89 45 E0 8B 4D FC 8B 45 E0 89 41 30 FF 45 DC 83 45 CC 04 83 45 D0 04 8B 55 DC 3B 55 08 0F 8C 37 FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 55 8B EC 83 C4 B0 53 56 8B 98 BE 01 00 00 89 5D FC 8B 58 74 89 5D DC 8B 58 6C 89 5D C8 8B 80 36 01 00 00 89 45 C4 33 C0 89 45 D0 89 55 B0 89 4D C0 8B 45 D0 3B 45 08 0F 8D 78 01 00 00 8B 55 C8 52 6A 00 8B 4D C0 8B 01 50 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 89 55 D4 8B 4D FC 8D 41 44 89 45 B4 8B 55 C0 8B CA 89 4D B8 8B 45 B0 8B D0 89 55 BC 8B 4D D4 3B 4D DC 0F 8D 11 01 00 00 8B 45 BC 8B 10 03 55 D4 89 55 EC 8B 4D B8 8B 01 89 45 E8 8B 55 FC 83 7A 54 00 74 2A 8B 45 C8 83 CE FF 48 8B D0 0F AF 55 DC 01 55 EC 01 45 E8 8B 45 DC F7 D8 89 45 D8 8B 55 B4 8B 45 C8 40 03 C0 8B 0A 03 C8 EB 10 BE 01 00 00 00 8B 45 DC 89 45 D8 8B 55 B4 8B 0A 8B 45 FC 8B 50 18 8B 45 D4 8B 14 82 89 55 E4 8B 45 FC 8B 50 10 8B 45 D4 8B 14 82 33 C0 89 55 E0 33 D2 89 55 F4 89 55 F8 8B 55 C8 89 55 CC 83 7D CC 00 76 6D 0F BF 14 71 03 C2 8B 55 EC 83 C0 08 8B 5D E8 0F B6 12 C1 F8 04 03 C2 8B 55 C4 0F B6 04 02 8B 55 E4 0F B6 14 02 00 13 8B 5D E0 0F B6 14 13 2B C2 89 45 F0 8B D0 66 8B 5D F4 03 D2 03 C2 66 03 D8 03 C2 66 89 19 8B 5D F8 03 D8 03 C2 89 5D F4 8B 5D F0 89 5D F8 8B 55 D8 01 55 EC 01 75 E8 FF 4D CC 8B D6 03 D2 03 CA 83 7D CC 00 77 93 66 8B 45 F4 66 89 01 FF 45 D4 83 45 B4 04 8B 4D D4 3B 4D DC 0F 8C EF FE FF FF 33 C0 8B 55 FC 83 7A 54 00 75 01 40 8B 4D FC 89 41 54 FF 45 D0 83 45 B0 04 83 45 C0 04 8B 45 D0 3B 45 08 0F 8C 88 FE FF FF 5E 5B 8B E5 5D C2 04 00 90 90 90 53 56 8B D8 57 55 51 8B 83 BE 01 00 00 8B 53 6C 03 D2 83 C2 04 33 FF 89 14 24 8D 70 44 EB 16 8B C3 8B 0C 24 BA 01 00 00 00 8B 68 04 FF 55 04 89 06 47 83 C6 04 3B 7B 74 7C E5 5A 5D 5F 5E 5B C3 53 8B D8 56 57 55 8B B3 BE 01 00 00 8B 46 10 89 83 84 00 00 00 8B 56 14 89 93 80 00 00 00 8B 4B 54 83 E9 01 72 0A 74 26 49 74 5A E9 98 00 00 00 83 7B 74 03 75 0C C7 46 04 ?? ?? ?? ?? E9 95 00 00 00 C7 46 04 ?? ?? ?? ?? E9 89 00 00 00 83 7B 74 03 75 09 C7 46 04 ?? ?? ?? ?? EB 07 C7 46 04 ?? ?? ?? ?? 33 C0 89 46 30 83 7E 1C 00 75 07 8B C3 E8 AA F7 FF FF 83 7E 34 00 75 5B 8B C3 E8 AD F9 FF FF EB 52 C7 46 04 ?? ?? ?? ?? 33 D2 89 56 54 83 7E 44 00 75 07 8B C3 E8 22 FF FF FF 8B 6B 6C 8D 46 44 03 ED 8B F0 83 C5 04 33 FF EB 12 55 6A 00 8B 16 52 E8 ?? ?? ?? ?? 83 C4 0C 47 83 C6 04 3B 7B 74 7C E9 EB 0F 8B 0B 8B C3 C7 41 14 2F 00 00 00 8B 10 FF 12 5D 5F 5E 5B C3 C3 90 90 90 8B 10 C7 42 14 2D 00 00 00 8B 08 FF 11 C3 90 90 }
	condition:
		$1
}

rule function_9180_0 {
	meta:
		name = "_NF__173"
		size = 146
		refs = "001d _NF__172"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 58 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 BE 01 00 00 C7 00 ?? ?? ?? ?? C7 40 08 ?? ?? ?? ?? C7 40 0C ?? ?? ?? ?? 33 D2 33 C9 89 50 44 89 48 34 83 7B 74 04 7E 16 8B 03 C7 40 14 36 00 00 00 C7 40 18 04 00 00 00 8B C3 8B 10 FF 12 81 7B 5C 00 01 00 00 7E 16 8B 03 C7 40 14 38 00 00 00 C7 40 18 00 01 00 00 8B C3 8B 10 FF 12 8B C3 E8 01 F5 FF FF 8B C3 E8 AE F6 FF FF 83 7B 54 02 75 07 8B C3 E8 41 FE FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_9181_0 {
	meta:
		name = "_NF__175"
		size = 4584
		refs = "10e7 _NF__175 118b _NF__CD"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B 88 BE 01 00 00 8B 59 18 8B 40 6C 89 45 F8 33 C9 89 4D FC 89 55 F4 8B 45 FC 3B 45 08 7D 52 8B 55 F4 8B 02 8B 4D F8 85 C9 76 37 0F B6 70 01 33 D2 8A 10 C1 FA 03 C1 FE 02 C1 E6 06 8B 14 93 03 D6 0F B6 70 02 C1 FE 03 03 F6 03 D6 66 FF 02 66 8B 32 66 85 F6 77 03 66 FF 0A 83 C0 03 49 85 C9 77 C9 FF 45 FC 83 45 F4 04 8B 45 FC 3B 45 08 7C AE 5E 5B 8B E5 5D C2 04 00 90 90 90 53 56 57 33 DB 33 FF 33 C9 3B D1 7E 19 8B 70 1C 3B DE 7D 0A 83 78 18 00 7E 04 8B F8 8B DE 41 83 C0 20 3B D1 7F E7 8B C7 5F 5E 5B C3 53 56 57 33 DB 33 FF 33 C9 3B D1 7E 13 8B 70 18 3B DE 7D 04 8B F8 8B DE 41 83 C0 20 3B D1 7F ED 8B C7 5F 5E 5B C3 90 90 53 56 57 83 C4 B8 89 14 24 8B 80 BE 01 00 00 8B 40 18 89 44 24 04 8B 14 24 8B 0A 89 4C 24 08 8B 04 24 8B 50 04 89 54 24 0C 8B 0C 24 8B 41 08 89 44 24 10 8B 14 24 8B 4A 0C 89 4C 24 14 8B 04 24 8B 50 10 89 54 24 18 8B 0C 24 8B 71 14 8B 44 24 0C 3B 44 24 08 7E 74 8B 54 24 08 8B 4C 24 04 8D 04 91 89 44 24 24 3B 54 24 0C 7F 5F 8B 5C 24 10 8B 44 24 24 8B C8 89 4C 24 20 3B 5C 24 14 7F 3F 8B 44 24 20 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 1B 66 8B 39 83 C1 02 66 85 FF 74 0B 89 54 24 08 8B 04 24 89 10 EB 18 40 3B F0 7D E5 43 3B 5C 24 14 7E C1 42 83 44 24 24 04 3B 54 24 0C 7E A1 8B 4C 24 0C 3B 4C 24 08 7E 75 8B 54 24 0C 8B 44 24 04 8D 0C 90 89 4C 24 2C 3B 54 24 08 7C 60 8B 5C 24 10 8B 44 24 2C 8B C8 89 4C 24 28 3B 5C 24 14 7F 40 8B 44 24 28 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 1C 66 8B 39 83 C1 02 66 85 FF 74 0C 89 54 24 0C 8B 04 24 89 50 04 EB 18 40 3B F0 7D E4 43 3B 5C 24 14 7E C0 4A 83 44 24 2C FC 3B 54 24 08 7D A0 8B 4C 24 14 3B 4C 24 10 7E 6B 8B 5C 24 10 3B 5C 24 14 7F 61 8B 54 24 08 8B 44 24 04 8D 0C 90 89 4C 24 30 3B 54 24 0C 7F 45 8B 44 24 30 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 1C 66 8B 39 83 C1 02 66 85 FF 74 0C 89 5C 24 10 8B 04 24 89 58 08 EB 18 40 3B F0 7D E4 42 83 44 24 30 04 3B 54 24 0C 7E BB 43 3B 5C 24 14 7E 9F 8B 54 24 14 3B 54 24 10 7E 6B 8B 5C 24 14 3B 5C 24 10 7C 61 8B 54 24 08 8B 44 24 04 8D 0C 90 89 4C 24 34 3B 54 24 0C 7F 45 8B 44 24 34 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 1C 66 8B 39 83 C1 02 66 85 FF 74 0C 89 5C 24 14 8B 04 24 89 58 0C EB 18 40 3B F0 7D E4 42 83 44 24 34 04 3B 54 24 0C 7E BB 4B 3B 5C 24 10 7D 9F 3B 74 24 18 7E 69 8B 44 24 18 3B F0 7C 61 8B 54 24 08 8B 4C 24 04 8D 0C 91 89 4C 24 38 3B 54 24 0C 7F 47 8B 4C 24 38 8B 5C 24 10 C1 E3 06 8B 09 03 CB 8B D8 03 DB 03 CB 8B 5C 24 10 3B 5C 24 14 7F 1C 66 83 39 00 74 0C 89 44 24 18 8B 14 24 89 42 10 EB 1B 43 83 C1 40 3B 5C 24 14 7E E4 42 83 44 24 38 04 3B 54 24 0C 7E B9 40 3B F0 7D 9F 3B 74 24 18 7E 69 8B C6 3B 44 24 18 7C 61 8B 54 24 08 8B 4C 24 04 8D 0C 91 89 4C 24 3C 3B 54 24 0C 7F 45 8B 4C 24 3C 8B 5C 24 10 C1 E3 06 8B 09 03 CB 8B D8 03 DB 03 CB 8B 5C 24 10 3B 5C 24 14 7F 1A 66 83 39 00 74 0A 8B F0 8B 14 24 89 42 14 EB 1D 43 83 C1 40 3B 5C 24 14 7E E6 42 83 44 24 3C 04 3B 54 24 0C 7E BB 48 3B 44 24 18 7D 9F 8B 44 24 0C 8B 54 24 14 2B 44 24 08 2B 54 24 10 C1 E0 03 8B CE 8B D8 0F AF D8 C1 E2 02 2B 4C 24 18 C1 E1 03 03 C9 8D 14 52 8B C2 F7 EA 8B D1 03 D8 0F AF D1 8B 0C 24 03 DA 33 C0 89 59 18 89 44 24 1C 8B 54 24 08 8B 4C 24 04 8D 04 91 89 44 24 44 3B 54 24 0C 7F 56 8B 5C 24 10 8B 44 24 44 8B C8 89 4C 24 40 3B 5C 24 14 7F 36 8B 44 24 40 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 12 66 83 39 00 74 04 FF 44 24 1C 40 83 C1 02 3B F0 7D EE 43 3B 5C 24 14 7E CA 42 83 44 24 44 04 3B 54 24 0C 7E AA 8B 14 24 8B 4C 24 1C 89 4A 1C 83 C4 48 5F 5E 5B C3 55 8B EC 83 C4 F0 53 56 8B F1 89 55 F8 89 45 FC 3B 75 08 0F 8D F7 00 00 00 8B C6 03 C0 3B 45 08 7F 0C 8B D6 8B 45 F8 E8 B0 FB FF FF EB 0A 8B D6 8B 45 F8 E8 D0 FB FF FF 85 C0 0F 84 D0 00 00 00 8B DE C1 E3 05 03 5D F8 8B 50 04 89 53 04 8B 48 0C 89 4B 0C 8B 50 14 89 53 14 8B 08 89 0B 8B 50 08 89 53 08 8B 48 10 89 4B 10 8B 50 04 2B 10 C1 E2 03 89 55 F4 8B 48 0C 2B 48 08 C1 E1 02 8D 14 49 8B 48 14 2B 48 10 C1 E1 03 03 C9 89 4D F0 B9 01 00 00 00 3B 55 F0 7D 08 8B 55 F0 B9 02 00 00 00 3B 55 F4 7D 02 33 C9 83 E9 01 72 07 74 19 49 74 2C EB 3E 8B 50 04 03 10 D1 FA 79 03 83 D2 00 89 50 04 42 89 13 EB 2A 8B 50 0C 03 50 08 D1 FA 79 03 83 D2 00 89 50 0C 42 89 53 08 EB 14 8B 50 14 03 50 10 D1 FA 79 03 83 D2 00 89 50 14 42 89 53 10 8B D0 8B 45 FC E8 34 FB FF FF 8B D3 8B 45 FC E8 2A FB FF FF 46 3B 75 08 0F 8C 09 FF FF FF 8B C6 5E 5B 8B E5 5D C2 04 00 90 90 53 56 57 55 83 C4 D0 89 4C 24 04 89 04 24 8B 04 24 33 C9 8B 80 BE 01 00 00 8B 40 18 89 4C 24 18 33 C9 89 4C 24 1C 33 C9 89 4C 24 20 33 C9 89 4C 24 24 8B 0A 8B 5A 04 89 5C 24 08 8B 5A 08 8D 04 88 89 5C 24 0C 8B 5A 0C 89 5C 24 10 8B 5A 10 89 5C 24 14 8B 72 14 89 44 24 2C 3B 4C 24 08 0F 8F 8B 00 00 00 8B 5C 24 0C 8B 44 24 2C 8B D0 89 54 24 28 3B 5C 24 10 7F 67 8B 44 24 28 8B 38 8B C3 C1 E0 06 03 F8 8B 54 24 14 03 D2 03 FA 8B 54 24 14 3B F2 7C 43 66 8B 07 83 C7 02 0F B7 C0 85 C0 74 31 01 44 24 18 8B E9 C1 E5 03 83 C5 04 0F AF E8 01 6C 24 1C 8B EB C1 E5 02 83 C5 02 0F AF E8 01 6C 24 20 8B EA C1 E5 03 83 C5 04 0F AF E8 01 6C 24 24 42 3B F2 7D BD 43 3B 5C 24 10 7E 99 41 83 44 24 2C 04 3B 4C 24 08 0F 8E 75 FF FF FF 8B 4C 24 18 D1 F9 8B C1 03 44 24 1C 99 F7 7C 24 18 8B 14 24 8B 9A 84 00 00 00 8B 13 8B 74 24 04 88 04 32 8B C1 03 44 24 20 99 F7 7C 24 18 8B 53 04 8B 74 24 04 88 04 32 8B C1 03 44 24 24 99 F7 7C 24 18 8B 4B 08 8B 54 24 04 88 04 11 83 C4 30 5D 5F 5E 5B C3 53 56 57 8B F8 8B C7 8B DA 55 8B CB 8B 70 04 BA 01 00 00 00 C1 E1 05 FF 16 8B F0 33 C0 33 D2 33 C9 89 06 8B C7 C7 46 04 1F 00 00 00 89 56 08 8B D6 C7 46 0C 3F 00 00 00 89 4E 10 BD 01 00 00 00 C7 46 14 1F 00 00 00 E8 84 F9 FF FF 53 8B CD 8B D6 8B C7 E8 48 FD FF FF 8B E8 33 DB 3B EB 7E 15 8B D3 8B CB C1 E2 05 8B C7 03 D6 E8 4C FE FF FF 43 3B EB 7F EB 89 AF 80 00 00 00 BA 01 00 00 00 8B 07 C7 40 14 5F 00 00 00 89 68 18 8B C7 8B 08 FF 51 04 5D 5F 5E 5B C3 55 8B EC 81 C4 C4 FB FF FF 53 56 89 4D F8 89 55 FC 8B 90 80 00 00 00 89 55 F4 8B 4D FC 83 C1 18 89 4D F0 8B 55 FC 03 55 F0 D1 FA 89 55 E4 8B 4D F8 83 C1 1C 89 4D EC 8B 55 F8 03 55 EC D1 FA 89 55 E0 8B 4D 0C 83 C1 18 89 4D E8 33 C9 8B 55 0C 03 55 E8 D1 FA 89 55 DC 8D 95 C4 FB FF FF C7 45 D4 FF FF FF 7F 89 4D D8 89 55 C4 8B 88 84 00 00 00 8B 51 08 8B CA 89 4D C8 8B 90 84 00 00 00 8B 4A 04 8B D1 89 55 CC 8B 80 84 00 00 00 8B 08 8B C1 89 45 D0 8B 55 D8 3B 55 F4 0F 8D 61 01 00 00 8B 4D D0 33 DB 8A 19 3B 5D FC 7D 16 8B C3 2B 45 FC 8B D0 0F AF D0 8B C3 2B 45 F0 8B C8 0F AF C8 EB 38 3B 5D F0 7E 16 8B C3 2B 45 F0 8B D0 0F AF D0 8B C3 2B 45 FC 8B C8 0F AF C8 EB 1D 33 D2 3B 5D E4 7F 0C 8B C3 2B 45 F0 8B C8 0F AF C8 EB 0A 8B C3 2B 45 FC 8B C8 0F AF C8 8B 45 CC 33 DB 8A 18 3B 5D F8 7D 1E 8B C3 2B 45 F8 2B 5D EC 8D 04 40 8B F0 0F AF F0 8D 04 5B 03 D6 8B D8 0F AF D8 03 CB EB 44 3B 5D EC 7E 1E 8B C3 2B 45 EC 2B 5D F8 8D 04 40 8B F0 0F AF F0 8D 04 5B 03 D6 8B D8 0F AF D8 03 CB EB 21 3B 5D E0 7F 0F 2B 5D EC 8D 04 5B 8B D8 0F AF D8 03 CB EB 0D 2B 5D F8 8D 04 5B 8B D8 0F AF D8 03 CB 8B 45 C8 33 DB 8A 18 3B 5D 0C 7D 1E 8B C3 2B 45 0C 03 C0 8B F0 0F AF F0 03 D6 8B C3 2B 45 E8 03 C0 8B D8 0F AF D8 03 CB EB 46 3B 5D E8 7E 1E 8B C3 2B 45 E8 03 C0 8B F0 0F AF F0 03 D6 8B C3 2B 45 0C 03 C0 8B D8 0F AF D8 03 CB EB 23 3B 5D DC 7F 10 8B C3 2B 45 E8 03 C0 8B D8 0F AF D8 03 CB EB 0E 8B C3 2B 45 0C 03 C0 8B D8 0F AF D8 03 CB 8B 45 C4 89 10 3B 4D D4 7D 03 89 4D D4 FF 45 D8 83 45 C4 04 FF 45 C8 FF 45 CC FF 45 D0 8B 55 D8 3B 55 F4 0F 8C 9F FE FF FF 33 C0 33 C9 89 45 D8 8D 85 C4 FB FF FF 8B 5D D8 8B 55 08 3B 5D F4 7D 1C 8B 18 3B 5D D4 7F 07 8A 5D D8 41 88 1A 42 FF 45 D8 83 C0 04 8B 5D D8 3B 5D F4 7C E4 8B C1 5E 5B 8B E5 5D C2 08 00 90 55 8B EC 81 C4 C4 FD FF FF 53 56 57 89 4D F4 89 55 F8 89 45 FC C7 45 E8 7F 00 00 00 8D 8D C4 FD FF FF C7 01 FF FF FF 7F 83 C1 04 FF 4D E8 83 7D E8 00 7D EE 33 C0 89 45 E8 8B 55 0C 8B C2 89 45 C4 8B 55 E8 3B 55 10 0F 8D 22 01 00 00 8B 4D C4 33 C0 8A 01 89 45 E4 8B 55 FC 8B 4D E4 8B 92 84 00 00 00 8B 02 0F B6 04 08 50 8B 45 F8 59 2B C1 8B C8 0F AF C8 89 4D DC 8B 4A 04 8B 5D E4 C1 E0 04 0F B6 0C 19 8B 5D F4 83 C0 40 2B D9 8D 0C 5B 89 4D CC 8B 4D CC 0F AF 4D CC 01 4D DC 8B 4D E4 8B 52 08 0F B6 14 0A 8B 4D 14 2B CA 03 C9 89 4D C8 8B 55 C8 0F AF 55 C8 01 55 DC 8B 55 CC C1 E2 03 8D 14 52 81 C2 90 00 00 00 89 55 CC 8B 4D C8 C1 E1 05 81 C1 00 01 00 00 89 4D C8 8D 8D C4 FD FF FF 8B 55 08 89 55 E0 89 45 D4 C7 45 F0 03 00 00 00 8B 45 DC 89 45 D8 8B 45 CC 89 45 D0 C7 45 EC 07 00 00 00 8B 75 D8 8B 55 C8 B8 03 00 00 00 3B 31 7D 0A 89 31 8A 5D E4 8B 7D E0 88 1F 03 F2 81 C2 00 02 00 00 83 C1 04 FF 45 E0 48 85 C0 7D DF 8B 45 D0 01 45 D8 81 45 D0 20 01 00 00 FF 4D EC 83 7D EC 00 7D BE 8B 55 D4 01 55 DC 81 45 D4 80 00 00 00 FF 4D F0 83 7D F0 00 7D 95 FF 45 E8 FF 45 C4 8B 4D E8 3B 4D 10 0F 8C DE FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 55 8B EC 81 C4 6C FE FF FF 53 56 57 8B D8 89 4D F8 89 55 FC 8B 83 BE 01 00 00 8D 8D EC FE FF FF 8B 50 18 89 55 F4 C1 7D FC 02 C1 7D F8 03 C1 7D 08 02 8B 75 FC 8B 7D F8 8B 45 08 C1 E7 05 C1 E6 05 83 C7 02 C1 E0 05 83 C6 04 83 C0 04 89 45 F0 8B C3 8B 55 F0 52 51 8B CF 8B D6 E8 E8 FB FF FF 8B 55 F0 8D 8D 6C FE FF FF 52 50 8D 85 EC FE FF FF 8B D6 50 51 8B CF 8B C3 E8 0A FE FF FF C1 65 FC 02 C1 65 F8 03 C1 65 08 02 8D 8D 6C FE FF FF 33 C0 89 45 EC 33 DB 8B 45 FC 03 45 EC 8B 55 F4 8B 04 82 8B 55 F8 03 D3 C1 E2 06 03 C2 8B 55 08 03 D2 03 C2 33 D2 0F B6 31 46 66 89 30 41 83 C0 02 42 83 FA 04 7C EF 43 83 FB 08 7C CA FF 45 EC 83 7D EC 04 7C BF 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 DC 53 56 89 45 FC 8B 45 FC 8B 80 BE 01 00 00 8B 40 18 89 45 F8 8B 45 FC 8B 40 6C 89 45 E4 33 C0 89 45 EC 89 4D DC 89 55 E0 8B 45 EC 3B 45 08 0F 8D 89 00 00 00 8B 55 E0 8B 45 DC 8B 1A 8B 10 89 55 F4 8B 4D E4 89 4D E8 83 7D E8 00 76 59 33 C0 33 D2 8A 03 43 33 C9 C1 F8 03 8A 13 43 C1 FA 02 8A 0B C1 F9 03 43 89 4D F0 8B 4D F8 8B 34 81 8B CA C1 E1 06 03 F1 8B 4D F0 03 C9 03 F1 66 83 3E 00 75 0F 8B 4D F0 51 8B CA 8B 55 FC 92 E8 89 FE FF FF 8B 55 F4 8A 06 04 FF 88 02 FF 45 F4 FF 4D E8 83 7D E8 00 77 A7 FF 45 EC 83 45 DC 04 83 45 E0 04 8B 4D EC 3B 4D 08 0F 8C 77 FF FF FF 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 90 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 90 BE 01 00 00 89 55 F0 8B 4D F0 8B 41 18 89 45 EC 8B 55 FC 8B 4A 6C 89 4D B0 8B 45 FC 8B 90 36 01 00 00 89 55 AC 8B 4D F0 8B 41 28 89 45 A8 8B 55 FC 8B 8A 84 00 00 00 8B 01 89 45 A4 8B 55 FC 8B 8A 84 00 00 00 8B 41 04 89 45 A0 8B 55 FC 8B 8A 84 00 00 00 33 D2 8B 41 08 89 45 9C 89 55 B8 8B 4D F4 8B C1 89 45 90 8B 55 F8 8B CA 89 4D 94 8B 45 B8 3B 45 08 0F 8D 66 02 00 00 8B 55 94 8B 0A 89 4D CC 8B 45 90 8B 10 89 55 C8 8B 4D F0 83 79 24 00 74 3F 8B 45 B0 48 8D 14 40 01 55 CC 8B 4D B0 49 01 4D C8 C7 45 C0 FF FF FF FF C7 45 BC FD FF FF FF 8B 4D B0 8B 45 F0 8D 0C 49 8B 50 20 83 C1 03 03 C9 03 D1 89 55 D0 33 D2 8B 45 F0 89 50 24 EB 21 C7 45 C0 01 00 00 00 C7 45 BC 03 00 00 00 8B 4D F0 8B 41 20 89 45 D0 8B 55 F0 C7 42 24 01 00 00 00 33 C0 33 D2 89 45 E0 89 45 E4 89 45 E8 89 55 D4 89 55 D8 89 55 DC 8B 45 B0 33 C9 89 45 B4 89 CB 83 7D B4 00 8B F1 8B F9 0F 86 88 01 00 00 8B 4D D0 8B 45 BC 0F BF 14 41 8B 45 BC 8B 4D D0 03 FA 0F BF 54 41 02 8B 45 BC 8B 4D D0 03 F2 83 C7 08 0F BF 54 41 04 03 DA 8B 4D A8 C1 FF 04 83 C3 08 83 C6 08 8B 45 A8 C1 FE 04 8B 55 A8 C1 FB 04 8B 3C B9 8B 4D CC 8B 34 B0 8B 1C 9A 8B 55 CC 33 C0 8A 01 33 C9 03 F8 8B 45 CC 8A 4A 01 33 D2 03 F1 8B 4D AC 8A 50 02 33 C0 03 DA 8B 55 AC 8A 04 39 33 C9 8B F8 8B 45 AC 8A 0C 32 33 D2 8A 14 18 8B C7 C1 F8 03 8B DA 8B 55 EC 8B F1 8B 0C 82 8B D6 C1 FA 02 C1 E2 06 03 CA 8B D3 C1 FA 03 03 D2 03 CA 89 4D C4 8B 4D C4 66 83 39 00 75 15 8B D3 C1 FA 03 52 8B CE C1 F9 02 8B D0 8B 45 FC E8 57 FC FF FF 8B 4D C4 8B 55 C8 0F B7 01 48 88 02 33 D2 8B 4D A4 8A 14 01 8B 4D A0 2B FA 33 D2 8A 14 01 8B 4D 9C 2B F2 0F B6 04 01 2B D8 89 7D 98 8B C7 66 8B 55 DC 03 C0 03 F8 8B 4D D0 66 03 D7 03 F8 66 89 11 8B 55 E8 03 D7 03 F8 89 55 DC 8B C6 8B 4D 98 03 C0 89 4D E8 89 75 98 66 8B 55 D8 03 F0 66 03 D6 8B 4D D0 03 F0 66 89 51 02 8B 55 E4 03 D6 03 F0 89 55 D8 8B C3 8B 4D 98 03 C0 89 4D E4 89 5D 98 66 8B 55 D4 03 D8 66 03 D3 8B 4D D0 03 D8 66 89 51 04 8B 55 E0 03 D3 03 D8 89 55 D4 8B 4D 98 89 4D E0 8B 45 BC 01 45 CC 8B 45 C0 01 45 C8 8B 55 BC 03 D2 01 55 D0 FF 4D B4 83 7D B4 00 0F 87 78 FE FF FF 8B 4D D0 66 8B 45 DC 66 89 01 8B 55 D0 66 8B 4D D8 66 89 4A 02 8B 45 D0 66 8B 55 D4 66 89 50 04 FF 45 B8 83 45 90 04 83 45 94 04 8B 4D B8 3B 4D 08 0F 8C 9A FD FF FF 5F 5E 5B 8B }
	condition:
		$1
}

rule function_9182_0 {
	meta:
		name = "_NF__176"
		size = 288
		refs = "0025 _NF__175"
	strings:
		$1 = { 53 8B D8 8B C3 56 57 55 8B 70 04 B9 2C 00 00 00 BA 01 00 00 00 FF 16 8B F0 33 C0 89 B3 BE 01 00 00 33 D2 C7 06 ?? ?? ?? ?? C7 46 0C ?? ?? ?? ?? 89 46 20 89 56 28 83 7B 74 03 74 0F 8B 0B 8B C3 C7 41 14 2E 00 00 00 8B 10 FF 12 8B C3 B9 80 00 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 46 18 33 FF 8B C3 B9 00 10 00 00 BA 01 00 00 00 8B 68 04 FF 55 04 8B 56 18 89 04 BA 47 83 FF 20 7C E2 C7 46 1C 01 00 00 00 83 7B 68 00 74 55 8B 7B 5C 83 FF 08 7D 16 8B 03 C7 40 14 37 00 00 00 C7 40 18 08 00 00 00 8B C3 8B 10 FF 12 81 FF 00 01 00 00 7E 16 8B 03 C7 40 14 38 00 00 00 C7 40 18 00 01 00 00 8B C3 8B 10 FF 12 8B C3 6A 03 8B CF BA 01 00 00 00 8B 68 04 FF 55 08 89 46 10 89 7E 14 EB 05 33 C0 89 46 10 83 7B 54 00 74 07 C7 43 54 02 00 00 00 83 7B 54 02 75 22 8B 4B 6C 8B C3 03 C9 BA 01 00 00 00 8B 78 04 8D 0C 49 83 C1 0C FF 57 04 89 46 20 8B C3 E8 05 FD FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9183_0 {
	meta:
		name = "_NF__177"
		size = 1528
		refs = "03f0 _NF__177"
	strings:
		$1 = { 53 56 8B D8 57 83 C4 F0 8B 83 9A 01 00 00 89 04 24 8B C3 8B 93 2E 01 00 00 89 54 24 08 BA 01 00 00 00 8B 4B 20 8B 70 04 03 C9 C1 E1 02 FF 16 8B F0 8B 04 24 89 70 38 8B 53 20 8B 0C 24 C1 E2 02 03 F2 89 71 3C 33 F6 8B 83 D4 00 00 00 89 44 24 0C EB 68 8B 54 24 0C 8B 42 0C 8B 54 24 0C F7 6A 24 99 F7 BB 2E 01 00 00 89 44 24 04 8B C3 8B 4C 24 08 BA 01 00 00 00 83 C1 04 8B 78 04 0F AF 4C 24 04 03 C9 C1 E1 02 FF 17 8B 54 24 04 8B 0C 24 C1 E2 02 03 C2 8B 51 38 89 04 B2 8B 4C 24 08 8B 14 24 83 C1 04 0F AF 4C 24 04 C1 E1 02 03 C1 8B 4A 3C 89 04 B1 46 83 44 24 0C 54 3B 73 20 7C 93 83 C4 10 5F 5E 5B C3 90 53 56 57 55 83 C4 DC 89 04 24 8B 04 24 8B 90 9A 01 00 00 33 C0 89 54 24 04 8B 0C 24 8B 89 2E 01 00 00 89 44 24 08 8B 14 24 8B 82 D4 00 00 00 89 44 24 0C 8B 54 24 04 8D 42 08 89 44 24 14 E9 ED 00 00 00 8B 54 24 0C 8B 74 24 08 8B 42 0C 8B 54 24 0C F7 6A 24 8B 14 24 8B 9A 2E 01 00 00 99 F7 FB 8B D0 8B 44 24 04 8B 5C 24 08 8B 40 38 8B 1C 98 8B 44 24 04 8B FB 8B 40 3C 8B 34 B0 8B 44 24 14 8B 00 89 44 24 10 89 7C 24 20 8B FE 33 C0 89 7C 24 1C 8B 7C 24 10 89 7C 24 18 EB 24 8B 7C 24 18 8B 6C 24 1C 40 8B 3F 89 7D 00 8B 6C 24 20 89 7D 00 83 44 24 20 04 83 44 24 1C 04 83 44 24 18 04 8D 79 02 0F AF FA 3B C7 7C D2 33 C0 EB 37 8B FA 8B 6C 24 10 0F AF F9 03 F8 FF 74 BD 00 8D 79 FE 5D 0F AF FA 03 F8 89 2C BE 8D 79 FE 0F AF FA 03 F8 8B 6C 24 10 FF 74 BD 00 8B FA 5D 0F AF F9 03 F8 40 89 2C BE 8B FA 03 FF 3B C7 7C C1 33 C0 3B D0 7E 0E 8B F0 2B F2 8B 3B 89 3C B3 40 3B D0 7F F2 83 44 24 14 04 FF 44 24 08 83 44 24 0C 54 8B 04 24 8B 50 20 3B 54 24 08 0F 8F 03 FF FF FF 83 C4 24 5D 5F 5E 5B C3 53 56 57 55 83 C4 E8 89 04 24 8B 04 24 8B 90 9A 01 00 00 33 C0 89 54 24 04 8B 0C 24 8B 89 2E 01 00 00 89 44 24 08 8B 14 24 8B 82 D4 00 00 00 89 44 24 0C E9 AC 00 00 00 8B 54 24 0C 8B 74 24 08 8B 42 0C 8B 54 24 0C F7 6A 24 8B 14 24 8B 9A 2E 01 00 00 99 F7 FB 8B D0 8B 44 24 04 8B 5C 24 08 8B 40 38 8B 1C 98 8B 44 24 04 8B 40 3C 8B 34 B0 33 C0 8B FE 3B D0 89 7C 24 14 8B FB 89 7C 24 10 7E 59 8D 79 01 0F AF FA 03 F8 FF 34 BB 8B F8 2B FA 5D 89 2C BB 8D 79 01 0F AF FA 03 F8 FF 34 BE 8B F8 2B FA 5D 89 2C BE 8D 79 02 0F AF FA 03 F8 8B 6C 24 10 8B 6D 00 89 2C BB 8D 79 02 0F AF FA 03 F8 8B 6C 24 14 8B 6D 00 89 2C BE 40 83 44 24 14 04 83 44 24 10 04 3B D0 7F A7 FF 44 24 08 83 44 24 0C 54 8B 04 24 8B 50 20 3B 54 24 08 0F 8F 44 FF FF FF 83 C4 18 5D 5F 5E 5B C3 53 56 57 55 83 C4 F0 33 C9 89 04 24 8B 04 24 8B 90 9A 01 00 00 89 54 24 04 89 4C 24 08 8B 04 24 8B 90 D4 00 00 00 89 54 24 0C EB 7F 8B 4C 24 0C 8B 44 24 0C 8B 14 24 8B 59 0C 0F AF 58 24 8B C3 8B 8A 2E 01 00 00 99 F7 F9 8B F0 8B 44 24 0C 33 D2 8B 40 2C F7 F3 8B CA 85 C9 75 02 8B CB 83 7C 24 08 00 75 0E 8D 41 FF 99 F7 FE 40 8B 54 24 04 89 42 48 8B 44 24 04 8B 40 40 8B 54 24 04 8B 44 82 38 8B 54 24 08 8B 1C 90 33 C0 8D 54 8B FC EB 09 8D 3C 08 8B 2A 89 2C BB 40 8B FE 03 FF 3B C7 7C EF FF 44 24 08 83 44 24 0C 54 8B 04 24 8B 50 20 3B 54 24 08 0F 8F 71 FF FF FF 83 C4 10 5D 5F 5E 5B C3 90 53 83 EA 01 8B 98 9A 01 00 00 72 05 4A 74 3E EB 45 8B 90 B6 01 00 00 83 7A 08 00 74 1D C7 43 04 ?? ?? ?? ?? E8 CF FC FF FF 33 C0 89 43 40 33 C9 89 4B 44 33 C0 89 43 4C EB 07 C7 43 04 ?? ?? ?? ?? 33 D2 33 C9 89 53 30 89 4B 34 5B C3 C7 43 04 ?? ?? ?? ?? 5B C3 8B 10 C7 42 14 04 00 00 00 8B 08 FF 11 5B C3 90 90 90 55 8B EC 83 C4 F8 53 56 8B F0 57 89 4D FC 8B FA 8B 9E 9A 01 00 00 83 7B 30 00 75 19 8D 53 08 8B C6 8B 88 9E 01 00 00 FF 51 0C 85 C0 74 40 C7 43 30 01 00 00 00 8B 86 2E 01 00 00 89 45 F8 8B 55 F8 52 57 8B 4D FC 8D 53 08 51 8D 4B 34 8B 45 08 50 8B C6 8B B0 A2 01 00 00 FF 56 04 8B 43 34 3B 45 F8 72 0A 33 D2 33 C9 89 53 30 89 4B 34 5F 5E 5B 59 59 5D C2 04 00 90 55 8B EC 83 C4 F8 53 56 57 8B F0 89 4D F8 89 55 FC 8B 9E 9A 01 00 00 83 7B 30 00 75 24 8B 43 40 8B 54 83 38 8B C6 8B 88 9E 01 00 00 FF 51 0C 85 C0 0F 84 E7 00 00 00 C7 43 30 01 00 00 00 FF 43 4C 8B 53 44 83 EA 01 72 4D 74 73 4A 0F 85 CC 00 00 00 8B 43 48 50 8B 55 FC 52 8B 4D F8 51 8D 4B 34 8B 45 08 50 8B C6 8B 53 40 8B B8 A2 01 00 00 8B 54 93 38 FF 57 04 8B 43 34 3B 43 48 0F 82 9B 00 00 00 33 D2 89 53 44 8B 4D F8 8B 01 3B 45 08 0F 83 88 00 00 00 33 D2 89 53 34 8B 8E 2E 01 00 00 49 89 4B 48 8B 43 4C 3B 86 32 01 00 00 75 07 8B C6 E8 A5 FD FF FF C7 43 44 01 00 00 00 8B 53 48 52 8B 4D FC 51 8B 45 F8 50 8B 55 08 52 8D 4B 34 8B 43 40 8B 54 83 38 8B C6 8B B8 A2 01 00 00 FF 57 04 8B 43 34 3B 43 48 72 33 83 7B 4C 01 75 07 8B C6 E8 68 FC FF FF 83 73 40 01 33 D2 89 53 30 8B 8E 2E 01 00 00 41 89 4B 34 8B 86 2E 01 00 00 83 C0 02 89 43 48 C7 43 44 02 00 00 00 5F 5E 5B 59 59 5D C2 04 00 90 55 8B EC 53 6A 00 52 51 8B 55 08 52 33 D2 33 C9 8B 98 A2 01 00 00 FF 53 04 5B 5D C2 04 00 90 90 }
	condition:
		$1
}

rule function_9184_0 {
	meta:
		name = "_NF__178"
		size = 221
		refs = "0026 _NF__177"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 55 8B DA BA 01 00 00 00 8B 78 04 83 C4 F4 B9 50 00 00 00 FF 17 8B F8 89 BE 9A 01 00 00 C7 07 ?? ?? ?? ?? 85 DB 74 0F 8B 06 C7 40 14 04 00 00 00 8B C6 8B 10 FF 12 8B 8E B6 01 00 00 83 79 08 00 74 2E 83 BE 2E 01 00 00 02 7D 0F 8B 06 C7 40 14 2E 00 00 00 8B C6 8B 10 FF 12 8B C6 E8 A0 F9 FF FF 8B 96 2E 01 00 00 83 C2 02 89 54 24 08 EB 0A 8B 8E 2E 01 00 00 89 4C 24 08 33 C0 89 04 24 8B 9E D4 00 00 00 8D 47 08 8B F8 EB 3A 8B 43 0C F7 6B 24 99 F7 BE 2E 01 00 00 89 44 24 04 8B C6 8B 4C 24 04 BA 01 00 00 00 0F AF 4C 24 08 51 8B 4B 1C 8B 68 04 0F AF 4B 24 FF 55 08 89 07 83 C7 04 FF 04 24 83 C3 54 8B 04 24 3B 46 20 7C BE 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9185_0 {
	meta:
		name = "_NF__179"
		size = 3976
		refs = "0080 _NF__179 010f _NF__CD 0b0a _NF__18D"
	strings:
		$1 = { 83 B8 3A 01 00 00 01 8B 90 9E 01 00 00 7E 09 C7 42 1C 01 00 00 00 EB 29 8B 88 32 01 00 00 49 3B 88 90 00 00 00 76 0E 8B 80 3E 01 00 00 8B 40 0C 89 42 1C EB 0C 8B 88 3E 01 00 00 8B 41 48 89 42 1C 33 C9 33 C0 89 4A 14 89 42 18 C3 33 D2 89 90 90 00 00 00 E8 A7 FF FF FF C3 90 90 53 8B D8 56 8B B3 9E 01 00 00 83 7E 10 00 74 21 83 7B 4C 00 74 14 8B C3 E8 33 06 00 00 85 C0 74 09 C7 46 0C ?? ?? ?? ?? EB 07 C7 46 0C ?? ?? ?? ?? 33 D2 89 93 98 00 00 00 5E 5B C3 53 56 57 83 C4 C0 89 54 24 04 89 04 24 8B 04 24 8B 90 9E 01 00 00 89 54 24 08 8B 0C 24 8B 81 4E 01 00 00 48 89 44 24 10 8B 14 24 8B 8A 32 01 00 00 49 89 4C 24 14 8B 44 24 08 8B 50 18 89 54 24 24 E9 AE 01 00 00 8B 4C 24 08 8B 41 14 89 44 24 0C 8B 54 24 0C 3B 54 24 10 0F 87 88 01 00 00 8B 0C 24 8B 81 56 01 00 00 C1 E0 07 50 6A 00 8B 54 24 10 8B 4A 20 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 04 24 8B 54 24 08 83 C2 20 8B 88 AE 01 00 00 FF 51 04 85 C0 75 1D 8B 44 24 08 8B 54 24 24 89 50 18 8B 4C 24 08 8B 44 24 0C 89 41 14 33 C0 E9 96 01 00 00 33 D2 33 C9 89 54 24 18 89 4C 24 1C 8B 44 24 04 8B D0 89 54 24 3C 8B 0C 24 8D 81 3E 01 00 00 89 44 24 38 E9 E8 00 00 00 8B 54 24 38 8B 1A 83 7B 30 00 75 0C 8B 43 3C 01 44 24 18 E9 C2 00 00 00 8B 14 24 8B 8A B2 01 00 00 8B 43 04 8B 54 81 04 89 54 24 34 8B 4C 24 0C 3B 4C 24 10 73 05 8B 43 34 EB 03 8B 43 44 89 44 24 28 8B 54 24 3C 8B 0A 8B 44 24 24 F7 6B 24 C1 E0 02 03 C8 89 4C 24 2C 8B 54 24 0C 0F AF 53 40 89 54 24 30 33 C9 89 4C 24 20 EB 65 8B 04 24 8B 90 90 00 00 00 3B 54 24 14 72 0D 8B 4C 24 24 03 4C 24 20 3B 4B 48 7D 34 8B 7C 24 30 33 F6 3B 74 24 28 7D 28 8B 44 24 2C 50 57 8B 54 24 20 8B 4C 24 10 03 D6 8B 44 24 08 8B 4C 91 20 8B D3 FF 54 24 3C 03 7B 24 46 3B 74 24 28 7C D8 8B 43 34 01 44 24 18 8B 53 24 C1 E2 02 01 54 24 2C FF 44 24 20 8B 4C 24 20 3B 4B 38 7C 92 FF 44 24 1C 83 44 24 3C 04 83 44 24 38 04 8B 04 24 8B 90 3A 01 00 00 3B 54 24 1C 0F 8F 05 FF FF FF FF 44 24 0C 8B 4C 24 0C 3B 4C 24 10 0F 86 78 FE FF FF 8B 44 24 08 33 D2 89 50 14 FF 44 24 24 8B 4C 24 08 8B 41 1C 3B 44 24 24 0F 8F 41 FE FF FF 8B 14 24 FF 82 98 00 00 00 8B 0C 24 FF 81 90 00 00 00 8B 81 90 00 00 00 8B 14 24 3B 82 32 01 00 00 73 0F 8B 04 24 E8 38 FD FF FF B8 03 00 00 00 EB 11 8B 04 24 8B 90 A6 01 00 00 FF 52 0C B8 04 00 00 00 83 C4 40 5F 5E 5B C3 90 33 C0 C3 90 53 56 57 83 C4 C8 33 C9 89 04 24 8B 04 24 8D 74 24 28 8B 90 9E 01 00 00 89 54 24 04 89 4C 24 0C 8B 04 24 8D 98 3E 01 00 00 EB 42 8B 03 89 44 24 18 8B 54 24 18 8B 7A 0C 57 6A 01 8B 44 24 08 8B 54 24 20 8B 88 90 00 00 00 8B 42 04 0F AF CF 8B 54 24 0C 8B 54 82 48 8B 44 24 08 8B 78 04 FF 57 20 89 06 83 C6 04 FF 44 24 0C 83 C3 04 8B 04 24 8B 90 3A 01 00 00 3B 54 24 0C 7F AF 8B 4C 24 04 8B 41 18 89 44 24 10 E9 11 01 00 00 8B 54 24 04 8B 4A 14 89 4C 24 08 E9 E1 00 00 00 33 DB 33 C0 89 44 24 0C 8D 54 24 28 89 54 24 24 8B 0C 24 8D 81 3E 01 00 00 89 44 24 1C EB 7A 8B 54 24 1C 8B 0A 89 4C 24 18 8B 44 24 18 8B 50 34 0F AF 54 24 08 89 54 24 14 33 F6 8B 44 24 24 8B D0 89 54 24 20 EB 3B 8B 44 24 20 8B 4C 24 10 03 CE 8B 10 8B 44 24 14 C1 E0 07 8B 14 8A 03 D0 8B 44 24 04 33 C9 8D 44 98 20 EB 0D 89 10 81 C2 80 00 00 00 43 83 C0 04 41 8B 7C 24 18 3B 4F 34 7C EA 46 8B 44 24 18 3B 70 38 7C BC FF 44 24 0C 83 44 24 24 04 83 44 24 1C 04 8B 14 24 8B 8A 3A 01 00 00 3B 4C 24 0C 0F 8F 73 FF FF FF 8B 04 24 8B 54 24 04 83 C2 20 8B 88 AE 01 00 00 FF 51 04 85 C0 75 1A 8B 44 24 04 8B 54 24 10 89 50 18 8B 4C 24 04 8B 44 24 08 89 41 14 33 C0 EB 6F FF 44 24 08 8B 14 24 8B 8A 4E 01 00 00 3B 4C 24 08 0F 87 0C FF FF FF 8B 44 24 04 33 D2 89 50 14 FF 44 24 10 8B 4C 24 04 8B 41 1C 3B 44 24 10 0F 8F DE FE FF FF 8B 14 24 FF 82 90 00 00 00 8B 8A 90 00 00 00 8B 04 24 3B 88 32 01 00 00 73 0F 8B 04 24 E8 44 FB FF FF B8 03 00 00 00 EB 11 8B 04 24 8B 90 A6 01 00 00 FF 52 0C B8 04 00 00 00 83 C4 38 5F 5E 5B C3 90 53 56 57 83 C4 D4 8B FA 89 04 24 8B 04 24 8B B0 9E 01 00 00 8B 04 24 8B 90 32 01 00 00 4A 89 54 24 04 EB 16 8B 04 24 8B 90 A6 01 00 00 FF 12 85 C0 75 07 33 C0 E9 8C 01 00 00 8B 14 24 8B 04 24 8B 8A 8C 00 00 00 3B 88 94 00 00 00 7C D6 8B 14 24 8B 04 24 8B 8A 8C 00 00 00 3B 88 94 00 00 00 75 14 8B 14 24 8B 04 24 8B 8A 90 00 00 00 3B 88 98 00 00 00 76 AE 33 D2 8B C7 89 54 24 0C 8D 56 48 8B 0C 24 8B 99 D4 00 00 00 89 44 24 24 89 54 24 20 E9 F9 00 00 00 83 7B 30 00 0F 84 DE 00 00 00 8B 43 0C 50 6A 00 8B 54 24 08 8B 8A 98 00 00 00 0F AF C8 8B 44 24 28 8B 10 8B 44 24 08 8B 70 04 FF 56 20 8B C8 8B 04 24 8B 90 98 00 00 00 3B 54 24 04 73 09 8B 43 0C 89 44 24 14 EB 19 8B 43 20 8B 73 0C 33 D2 F7 F6 89 54 24 14 83 7C 24 14 00 75 04 89 74 24 14 8B 04 24 8B 80 B2 01 00 00 8B 54 24 0C 8B 44 90 04 89 44 24 1C 8B 54 24 24 8B 02 89 44 24 18 33 D2 89 54 24 10 89 4C 24 28 8B 44 24 10 3B 44 24 14 7D 55 8B 54 24 28 33 FF 33 C0 8B 32 89 44 24 08 EB 1F 8B 54 24 18 8B CE 52 57 8B 44 24 08 8B D3 FF 54 24 24 81 C6 80 00 00 00 03 7B 24 FF 44 24 08 8B 4C 24 08 3B 4B 1C 72 D8 8B 43 24 C1 E0 02 01 44 24 18 FF 44 24 10 83 44 24 28 04 8B 54 24 10 3B 54 24 14 7C AB 83 44 24 20 04 83 44 24 24 04 FF 44 24 0C 83 C3 54 8B 0C 24 8B 41 20 3B 44 24 0C 0F 8F F7 FE FF FF 8B 14 24 FF 82 98 00 00 00 8B 8A 98 00 00 00 8B 04 24 3B 88 32 01 00 00 73 07 B8 03 00 00 00 EB 05 B8 04 00 00 00 83 C4 2C 5F 5E 5B C3 90 90 90 53 56 57 83 C4 F4 89 04 24 8B 04 24 8B 98 9E 01 00 00 33 C0 89 44 24 04 8B 14 24 83 BA D8 00 00 00 00 74 0C 8B 0C 24 83 B9 9C 00 00 00 00 75 07 33 C0 E9 D2 00 00 00 83 7B 70 00 75 1C 8B 14 24 8B 04 24 8B 4A 20 8B 70 04 C1 E1 03 BA 01 00 00 00 8D 0C 49 FF 16 89 43 70 8B 04 24 8B 73 70 33 DB 8B 90 D4 00 00 00 89 54 24 08 E9 89 00 00 00 8B 4C 24 08 8B 41 4C 85 C0 75 07 33 C0 E9 87 00 00 00 66 83 38 00 74 23 66 83 78 02 00 74 1C 66 83 78 10 00 74 15 66 83 78 20 00 74 0E 66 83 78 12 00 74 07 66 83 78 04 00 75 04 33 C0 EB 5A 8B 14 24 8B 82 9C 00 00 00 8B D3 C1 E2 08 03 C2 83 38 00 7D 04 33 C0 EB 41 B9 01 00 00 00 8D 56 04 83 C0 04 8B 38 89 3A 83 38 00 74 08 C7 44 24 04 01 00 00 00 41 83 C2 04 83 C0 04 83 F9 05 7E E3 83 C6 18 43 83 44 24 08 54 8B 04 24 3B 58 20 0F 8C 6B FF FF FF 8B 44 24 04 83 C4 0C 5F 5E 5B C3 53 56 81 C4 E8 FE FF FF 89 54 24 04 89 04 24 8B 04 24 8B 90 9E 01 00 00 89 54 24 08 8B 0C 24 8B 81 32 01 00 00 48 89 44 24 0C EB 60 8B 14 24 8B 04 24 8B 8A 94 00 00 00 3B 88 8C 00 00 00 75 36 BA 01 00 00 00 8B 0C 24 83 B9 82 01 00 00 00 74 01 4A 89 94 24 90 00 00 00 8B 04 24 8B 0C 24 8B 90 90 00 00 00 8B 81 98 00 00 00 03 84 24 90 00 00 00 3B D0 77 3D 8B 04 24 8B 90 A6 01 00 00 FF 12 85 C0 75 07 33 C0 E9 36 07 00 00 8B 14 24 8B 04 24 8B 8A 94 00 00 00 3B 88 8C 00 00 00 7C 13 8B 14 24 8B 8A A6 01 00 00 83 79 14 00 0F 84 79 FF FF FF 33 C0 89 44 24 18 8B 14 24 8B 8A D4 00 00 00 89 4C 24 40 E9 C1 06 00 00 8B 44 24 40 83 78 30 00 0F 84 AA 06 00 00 8B 14 24 8B 8A 98 00 00 00 3B 4C 24 0C 73 1D 8B 44 24 40 8B 50 0C 89 54 24 20 8B 4C 24 20 03 C9 89 4C 24 24 33 C0 89 44 24 4C EB 38 8B 54 24 40 8B 42 20 8B 54 24 40 8B 4A 0C 33 D2 F7 F1 89 54 24 20 83 7C 24 20 00 75 0B 8B 44 24 40 8B 40 0C 89 44 24 20 8B 54 24 20 89 54 24 24 C7 44 24 4C 01 00 00 00 8B 0C 24 83 B9 98 00 00 00 00 76 55 8B 44 24 40 8B 50 0C 01 54 24 24 8B 4C 24 24 51 6A 00 8B 44 24 08 8B 54 24 48 8B 88 98 00 00 00 8B 44 24 10 49 0F AF 4A 0C 8B 54 24 20 8B 54 90 48 8B 44 24 08 8B 58 04 FF 53 20 89 44 24 28 8B 44 24 40 8B 50 0C C1 E2 02 01 54 24 28 33 C9 89 4C 24 48 EB 2B 8B 44 24 24 50 6A 00 8B 44 24 08 8B 4C 24 20 8B 54 24 10 8B 58 04 8B 54 8A 48 33 C9 FF 53 20 89 44 24 28 C7 44 24 48 01 00 00 00 8B 4C 24 18 8B 44 24 08 C1 E1 03 8B 50 70 8D 0C 49 03 D1 89 54 24 50 8B 44 24 40 8B 50 4C 89 54 24 54 8B 4C 24 54 0F B7 01 89 44 24 58 8B 54 24 54 0F B7 4A 02 89 4C 24 5C 8B 44 24 54 0F B7 50 10 89 54 24 64 8B 4C 24 54 0F B7 41 20 89 44 24 6C 8B 54 24 54 0F B7 4A 12 89 4C 24 68 8B 44 24 54 0F B7 50 04 89 54 24 60 8B 0C 24 8B 54 24 18 8B 81 B2 01 00 00 8B 4C 90 04 89 4C 24 44 8B 44 24 04 8B 54 24 18 8B 0C 90 33 C0 89 4C 24 38 89 44 24 1C 8B 54 24 28 8B CA 89 8C 24 94 00 00 00 8B 44 24 1C 3B 44 24 20 0F 8D 0C 05 00 00 8B 94 24 94 00 00 00 8B 0A 89 4C 24 2C 83 7C 24 48 00 74 11 83 7C 24 1C 00 75 0A 8B 44 24 2C 89 44 24 30 EB 0E 8B 94 24 94 00 00 00 8B 4A FC 89 4C 24 30 83 7C 24 4C 00 74 15 8B 44 24 20 48 3B 44 24 1C 75 0A 8B 54 24 2C 89 54 24 34 EB 0E 8B 8C 24 94 00 00 00 8B 41 04 89 44 24 34 8B 54 24 30 0F BF 0A 89 4C 24 78 89 4C 24 74 89 4C 24 70 8B 44 24 2C 0F BF 10 89 94 24 80 00 00 00 89 54 24 7C 8B 44 24 34 8B F2 0F BF 10 89 94 24 8C 00 00 00 89 94 24 88 00 00 00 89 94 24 84 00 00 00 33 C0 89 44 24 3C 33 D2 8B 4C 24 40 8B 41 1C 48 89 44 24 14 89 54 24 10 8B 4C 24 10 3B 4C 24 14 0F 87 1E 04 00 00 8D 94 24 98 00 00 00 B9 01 00 00 00 8B 44 24 2C E8 ?? ?? ?? ?? 8B 44 24 10 3B 44 24 14 73 33 8B 54 24 30 0F BF 8A 80 00 00 00 89 4C 24 78 8B 44 24 2C 0F BF 90 80 00 00 00 89 94 24 80 00 00 00 8B 4C 24 34 0F BF 81 80 00 00 00 89 84 24 8C 00 00 00 8B 54 24 50 8B 5A 04 85 DB 0F 84 93 00 00 00 66 83 BC 24 9A 00 00 00 00 0F 85 84 00 00 00 8B CE 2B 8C 24 80 00 00 00 0F AF 4C 24 58 C1 E1 02 8D 0C C9 85 C9 7C 32 8B 44 24 5C 8B 54 24 5C C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 5C 8B 54 24 5C C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 9A 00 00 00 8B 54 24 50 8B 5A 08 85 DB 0F 84 96 00 00 00 66 83 BC 24 A8 00 00 00 00 0F 85 87 00 00 00 8B 44 24 74 2B 84 24 88 00 00 00 F7 6C 24 58 8B C8 C1 E1 02 8D 0C C9 85 C9 7C 32 8B 44 24 64 8B 54 24 64 C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 64 8B 54 24 64 C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 A8 00 00 00 8B 54 24 50 8B 5A 0C 85 DB 0F 84 99 00 00 00 66 83 BC 24 B8 00 00 00 00 0F 85 8A 00 00 00 8B 44 24 74 8B 54 24 7C 03 84 24 88 00 00 00 03 D2 2B C2 F7 6C 24 58 8D 0C C0 85 C9 7C 32 8B 44 24 6C 8B 54 24 6C C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 6C 8B 54 24 6C C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 B8 00 00 00 8B 54 24 50 8B 5A 10 85 DB 0F 84 9C 00 00 00 66 83 BC 24 AA 00 00 00 00 0F 85 8D 00 00 00 8B 44 24 70 2B 44 24 78 2B 84 24 84 00 00 00 03 84 24 8C 00 00 00 F7 6C 24 58 8D 0C 80 85 C9 7C 32 8B 44 24 68 8B 54 24 68 C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 68 8B 54 24 68 C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 AA 00 00 00 8B 54 24 50 8B 5A 14 85 DB 0F 84 96 00 00 00 66 83 BC 24 9C 00 00 00 00 0F 85 87 00 00 00 03 B4 24 80 00 00 00 8B 44 24 7C 03 C0 2B F0 0F AF 74 24 58 8D 0C F6 85 C9 7C 32 8B 44 24 60 8B 54 24 60 C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 60 8B 54 24 60 C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 9C 00 00 00 8B 54 24 38 52 8B 44 24 40 50 8D 8C 24 A0 00 00 00 8B 54 24 48 8B 44 24 08 FF 54 24 4C 8B 54 24 74 89 54 24 70 8B 4C 24 78 89 4C 24 74 8B 74 24 7C 8B 84 24 80 00 00 00 89 44 24 7C 8B 94 24 88 00 00 00 89 94 24 84 00 00 00 8B 8C 24 8C 00 00 00 89 8C 24 88 00 00 00 81 44 24 2C 80 00 00 00 81 44 24 30 80 00 00 00 81 44 24 34 80 00 00 00 8B 44 24 40 8B 50 24 01 54 24 3C FF 44 24 10 8B 4C 24 10 3B 4C 24 14 0F 86 E2 FB FF FF 8B 44 24 40 8B 50 24 C1 E2 02 01 54 24 38 FF 44 24 1C 83 84 24 94 00 00 00 04 8B 4C 24 1C 3B 4C 24 20 0F 8C F4 FA FF FF FF 44 24 18 83 44 24 40 54 8B 04 24 8B 50 20 3B 54 24 18 0F 8F 2F F9 FF FF 8B 0C 24 FF 81 98 00 00 00 8B 81 98 00 00 00 8B 14 24 3B 82 32 01 00 00 73 07 B8 03 00 00 00 EB 05 B8 04 00 00 00 81 C4 18 01 00 00 5E 5B C3 90 }
	condition:
		$1
}

rule function_9186_0 {
	meta:
		name = "_NF__17A"
		size = 273
		refs = "002a _NF__179 0074 _NF__18B"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 55 8B DA BA 01 00 00 00 8B 70 04 83 C4 F4 B9 74 00 00 00 FF 16 8B F0 33 C0 89 B7 9E 01 00 00 85 DB C7 06 ?? ?? ?? ?? C7 46 08 ?? ?? ?? ?? 89 46 70 0F 84 8D 00 00 00 33 D2 89 14 24 8B 9F D4 00 00 00 8D 46 48 89 44 24 08 EB 5B 8B 53 0C 89 54 24 04 83 BF D8 00 00 00 00 74 0B 8B 4C 24 04 8D 0C 49 89 4C 24 04 8B 53 08 8B 43 1C E8 ?? ?? ?? ?? 50 8B 53 0C 8B 43 20 E8 ?? ?? ?? ?? 50 8B C7 8B 4C 24 0C BA 01 00 00 00 51 B9 01 00 00 00 8B 68 04 FF 55 14 8B 54 24 08 89 02 83 44 24 08 04 FF 04 24 83 C3 54 8B 47 20 3B 04 24 7F 9D C7 46 04 ?? ?? ?? ?? C7 46 0C ?? ?? ?? ?? 8D 4E 48 89 4E 10 EB 3E 8B C7 B9 00 05 00 00 BA 01 00 00 00 8B 58 04 FF 53 04 8B C8 33 C0 8D 56 20 8B D8 40 C1 E3 07 03 D9 89 1A 83 C2 04 83 F8 0A 7C EE C7 46 04 ?? ?? ?? ?? C7 46 0C ?? ?? ?? ?? 33 C0 89 46 10 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9187_0 {
	meta:
		name = "_NF__17B"
		size = 608
		refs = "0020 _NF__17B"
	strings:
		$1 = { 53 56 8B F0 83 EA 01 8B 9E A2 01 00 00 72 08 4A 74 5C 4A 74 3B EB 75 83 7E 50 00 74 25 C7 43 04 ?? ?? ?? ?? 83 7B 0C 00 75 71 8B 43 10 33 C9 50 8B C6 6A 01 8B 70 04 8B 53 08 FF 56 1C 89 43 0C EB 59 8B 86 B6 01 00 00 8B 50 04 89 53 04 EB 4B 83 7B 08 00 75 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 2D 83 7B 08 00 75 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 33 C9 89 4B 18 89 4B 14 5E 5B C3 90 90 55 8B EC 83 C4 F4 53 56 89 4D F8 89 45 FC 8B 45 FC 8B 98 A2 01 00 00 8B 45 0C FF 30 8B 45 08 59 2B C1 8B 4B 10 3B C1 76 02 8B C1 33 C9 89 4D F4 8B 4D 14 51 8B 4B 0C 51 8D 4D F4 51 50 8B 4D F8 8B 45 FC 8B B0 B6 01 00 00 FF 56 04 8B 45 F4 50 8B 55 0C 8B 45 FC 8B 0A 8B 53 0C C1 E1 02 8B 98 BE 01 00 00 03 4D 10 FF 53 04 8B 45 0C 8B 55 F4 01 10 5E 5B 8B E5 5D C2 10 00 90 90 55 8B EC 83 C4 F0 53 56 57 8B F0 89 4D F8 89 55 FC 8B 9E A2 01 00 00 83 7B 18 00 75 17 8B 43 10 50 8B C6 6A 01 8B 78 04 8B 4B 14 8B 53 08 FF 57 1C 89 43 0C 8B 43 18 89 45 F4 8D 43 18 8B 55 14 52 8B 4B 0C 51 50 8B C6 8B 53 10 52 8B B8 B6 01 00 00 8B 55 FC 8B 4D F8 FF 57 04 8B 43 18 3B 45 F4 76 28 2B 45 F4 89 45 F0 8B C6 8B 55 F0 52 8B 55 F4 8B B0 BE 01 00 00 C1 E2 02 03 53 0C 33 C9 FF 56 04 8B 45 0C 8B 55 F0 01 10 8B 43 10 3B 43 18 77 08 01 43 14 33 D2 89 53 18 5F 5E 5B 8B E5 5D C2 10 00 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 98 A2 01 00 00 83 7B 18 00 75 18 8B 43 10 50 6A 00 8B 45 FC 8B 4B 14 8B 53 08 8B 70 04 FF 56 1C 89 43 0C 8B 45 0C 8B 73 10 8B 53 18 FF 30 8B 45 08 59 2B C1 2B F2 3B C6 73 02 8B F0 8B 45 FC 8B 40 70 2B 43 14 3B C6 73 02 8B F0 56 8B 45 0C C1 E2 02 8B 08 8B 45 FC C1 E1 02 03 4D 10 03 53 0C 8B B8 BE 01 00 00 FF 57 04 8B 45 0C 01 30 01 73 18 8B 43 10 3B 43 18 77 08 01 43 14 33 D2 89 53 18 5F 5E 5B 59 5D C2 10 00 90 }
	condition:
		$1
}

rule function_9188_0 {
	meta:
		name = "_NF__17C"
		size = 145
		refs = "0028 _NF__17B 0054 _NF__18B"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 51 89 14 24 BA 01 00 00 00 8B 58 04 B9 1C 00 00 00 FF 13 8B D8 33 C0 89 9E A2 01 00 00 33 D2 C7 03 ?? ?? ?? ?? 89 43 08 89 53 0C 83 7E 50 00 74 54 8B BE 2A 01 00 00 89 7B 10 83 3C 24 00 74 2A 8B 46 6C F7 6E 74 50 8B D7 8B 46 70 E8 ?? ?? ?? ?? 50 8B C6 8B 53 10 33 C9 52 BA 01 00 00 00 8B 70 04 FF 56 10 89 43 08 EB 1B 8B 43 10 BA 01 00 00 00 50 8B C6 8B 4E 6C 0F AF 4E 74 8B 70 04 FF 56 08 89 43 0C 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9189_0 {
	meta:
		name = "_NF__17D"
		size = 624
		refs = "005e _NF__187 0071 _NF__186 0084 _NF__185 00a6 _NF__184 00b6 _NF__183 00c8 _NF__182 0198 _NV__17F"
	strings:
		$1 = { 53 56 57 55 83 C4 D0 33 D2 33 C9 89 04 24 8B 04 24 8B 80 B2 01 00 00 89 54 24 0C 89 4C 24 10 33 D2 89 54 24 04 83 C0 04 8B 0C 24 8B 91 D4 00 00 00 89 54 24 08 89 44 24 20 E9 17 02 00 00 8B 4C 24 08 8B 41 24 48 74 12 48 74 22 83 E8 02 74 30 83 E8 04 74 3B E9 91 00 00 00 C7 44 24 10 ?? ?? ?? ?? 33 D2 89 54 24 0C E9 9B 00 00 00 C7 44 24 10 ?? ?? ?? ?? 33 C9 89 4C 24 0C E9 88 00 00 00 C7 44 24 10 ?? ?? ?? ?? 33 C0 89 44 24 0C EB 78 8B 14 24 8B 4A 44 83 E9 01 72 07 74 15 49 74 24 EB 34 C7 44 24 10 ?? ?? ?? ?? 33 C0 89 44 24 0C EB 56 C7 44 24 10 ?? ?? ?? ?? C7 44 24 0C 01 00 00 00 EB 44 C7 44 24 10 ?? ?? ?? ?? C7 44 24 0C 02 00 00 00 EB 32 8B 14 24 8B 0A C7 41 14 2F 00 00 00 8B 04 24 8B 10 FF 12 EB 1D 8B 0C 24 8B 01 C7 40 14 06 00 00 00 8B 54 24 08 8B 4A 24 89 48 18 8B 04 24 8B 10 FF 12 8B 4C 24 20 8B 44 24 10 89 01 8B 54 24 08 83 7A 30 00 0F 84 27 01 00 00 8B 4C 24 20 8B 41 28 3B 44 24 0C 0F 84 16 01 00 00 8B 54 24 08 8B 4A 4C 89 4C 24 14 83 7C 24 14 00 0F 84 00 01 00 00 8B 44 24 20 8B 54 24 0C 89 50 28 8B 4C 24 0C 83 E9 01 72 0A 74 2D 49 74 6B E9 CF 00 00 00 8B 44 24 08 8B 50 50 33 C0 8B CA 8B 54 24 14 0F B7 1A 89 19 40 83 C1 04 83 C2 02 83 F8 40 7C EF E9 BD 00 00 00 8B 44 24 08 8B 50 50 33 C0 89 54 24 24 B9 ?? ?? ?? ?? 8B 54 24 14 0F B7 1A 0F BF 31 0F AF DE 81 C3 00 08 00 00 8B 74 24 24 C1 FB 0C 83 C1 02 89 1E 83 C2 02 83 44 24 24 04 40 83 F8 40 7C D7 EB 7C 8B 44 24 08 8B 50 50 33 C0 89 54 24 18 33 D2 89 54 24 1C C7 44 24 28 ?? ?? ?? ?? 33 FF 8B 54 24 18 8D 1C 82 B9 ?? ?? ?? ?? 8B 54 24 28 8B F2 8B 54 24 14 8D 14 42 0F B7 2A 89 6C 24 2C 83 C2 02 DB 44 24 2C 40 47 DC 0E DC 09 83 C1 08 D9 1B 83 C3 04 83 FF 08 7C DF FF 44 24 1C 83 44 24 28 08 83 7C 24 1C 08 7C B4 EB 13 8B 04 24 8B 10 C7 42 14 2F 00 00 00 8B 04 24 8B 10 FF 12 83 44 24 20 04 FF 44 24 04 83 44 24 08 54 8B 0C 24 8B 41 20 3B 44 24 04 0F 8F D9 FD FF FF 83 C4 30 5D 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_9190_0 {
	meta:
		name = "_NF__17E"
		size = 121
		refs = "0020 _NF__17D 0055 _NF__CD"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 55 51 B9 54 00 00 00 8B 58 04 BA 01 00 00 00 FF 13 89 86 B2 01 00 00 C7 00 ?? ?? ?? ?? 33 D2 8D 78 2C 89 14 24 8B 9E D4 00 00 00 EB 37 8B C6 B9 00 01 00 00 BA 01 00 00 00 8B 68 04 FF 55 00 89 43 50 68 00 01 00 00 6A 00 8B 43 50 50 E8 ?? ?? ?? ?? 83 C4 0C C7 07 FF FF FF FF 83 C7 04 FF 04 24 83 C3 54 8B 14 24 3B 56 20 7C C1 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9191_0 {
	meta:
		name = "_NF__180"
		size = 1252
		refs = "01ca _NF__18C"
	strings:
		$1 = { 8B 90 B6 01 00 00 8B 88 2A 01 00 00 89 4A 5C 8B 40 70 89 42 60 C3 90 90 55 8B EC 83 C4 E4 53 56 8B F0 57 89 4D F8 89 55 FC 8B 9E B6 01 00 00 8B 43 5C 3B 86 2A 01 00 00 7C 64 33 D2 89 55 F4 8B 8E D4 00 00 00 89 4D F0 8B 45 FC 8B D0 89 55 E4 8D 4B 34 89 4D E8 EB 39 8B 45 F4 C1 E0 02 03 C3 83 C0 0C 50 8B 55 F8 8B 45 E8 8B 7D E8 8B 0A 0F AF 48 30 8B 55 E4 8B C6 C1 E1 02 03 0A 8B 55 F0 FF 17 83 45 E8 04 83 45 E4 04 FF 45 F4 83 45 F0 54 8B 4D F4 3B 4E 20 7C BF 33 C0 89 43 5C 8B 96 2A 01 00 00 8B 43 5C 2B D0 89 55 EC 8B 53 60 3B 55 EC 73 03 89 55 EC 8B 4D 0C 8B 11 29 55 08 8B 4D EC 3B 4D 08 76 06 8B 4D 08 89 4D EC C1 E2 02 8B C8 03 55 10 8B C6 52 8B 55 EC 52 8D 53 0C 8B B8 BA 01 00 00 FF 57 04 8B 45 0C 8B 55 EC 01 10 8B 4D EC 29 4B 60 8B 43 5C 03 45 EC 89 43 5C 3B 86 2A 01 00 00 7C 05 8B 55 F8 FF 02 5F 5E 5B 8B E5 5D C2 10 00 90 90 90 55 8B EC 8B 45 08 89 08 5D C2 04 00 55 8B EC 8B 45 08 33 D2 89 10 5D C2 04 00 90 90 55 8B EC 83 C4 E8 53 56 57 89 45 FC 8B 45 FC 8B 5D 08 8B 80 B6 01 00 00 8B 1B 89 5D F8 8B 5A 04 33 D2 0F B6 B4 18 8C 00 00 00 89 75 F4 0F B6 84 18 96 00 00 00 89 45 F0 8B C2 89 55 EC 8D 0C 81 89 4D E8 EB 5F 8B 45 E8 8B 55 EC 8B 30 8B 45 F8 8B 04 90 8B 55 FC 8B 7A 6C 03 F8 3B F8 76 16 8A 0E 46 8B 55 F4 85 D2 7E 08 88 08 40 4A 85 D2 7F F8 3B F8 77 EA 83 7D F0 01 7E 1F 8B 45 EC 40 50 8B 45 F0 48 50 8B 55 FC 8B 4A 6C 51 8B 4D F8 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 83 45 E8 04 8B 45 F0 01 45 EC 8B 55 FC 8B 8A 2A 01 00 00 3B 4D EC 7F 93 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 F4 56 57 89 45 FC 8B 45 08 8B 00 33 D2 89 55 F8 89 45 F4 8B C1 EB 2A 8B 55 F4 8B 4D FC 8B 30 8B 12 8B 79 6C 03 FA 3B FA 76 0D 8A 0E 46 88 0A 42 88 0A 42 3B FA 77 F3 FF 45 F8 83 45 F4 04 83 C0 04 8B 55 FC 8B 92 2A 01 00 00 3B 55 F8 7F C8 5F 5E 8B E5 5D C2 04 00 55 8B EC 83 C4 EC 53 56 89 45 FC 8B 45 08 8B 10 33 C0 89 55 F8 89 45 F4 8B 55 F8 8B 5D F4 8D 04 81 8D 14 9A 89 55 EC 89 45 F0 EB 4B 8B 45 EC 8B 55 FC 8B 4D F0 8B 00 8B 72 6C 03 F0 8B 09 3B F0 76 0D 8A 11 41 88 10 40 88 10 40 3B F0 77 F3 8B 45 F4 40 50 6A 01 8B 4D FC 8B 41 6C 50 8B 4D F8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 83 45 F0 04 83 45 F4 02 83 45 EC 08 8B 55 FC 8B 8A 2A 01 00 00 3B 4D F4 7F A7 5E 5B 8B E5 5D C2 04 00 90 90 90 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 08 8B 00 33 D2 89 55 F4 89 45 F0 8B C1 EB 78 8B 30 8B 55 F0 8B 0A 33 D2 8A 16 46 88 11 41 8D 14 52 33 DB 8A 1E 03 D3 83 C2 02 C1 FA 02 88 11 41 8B 55 F8 8B 7A 28 83 EF 02 85 FF 76 2A 33 D2 33 DB 8A 16 46 4F 8A 5E FE 8D 14 52 03 DA 43 C1 FB 02 88 19 33 DB 8A 1E 41 03 D3 83 C2 02 C1 FA 02 88 11 41 85 FF 77 D6 33 D2 8A 16 0F B6 76 FF 8D 1C 52 03 DE 43 C1 FB 02 88 19 41 88 11 FF 45 F4 83 45 F0 04 83 C0 04 8B 55 FC 8B 8A 2A 01 00 00 3B 4D F4 0F 8F 76 FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 D4 53 56 57 89 45 FC 8B 45 08 8B 00 89 45 F8 33 C0 89 45 E4 8B D8 8D 04 99 89 45 D4 E9 13 01 00 00 33 C9 89 4D E0 8B 45 F8 8B 4D E4 8D 04 88 89 45 D8 8B 4D D4 8B C1 89 45 DC 8B 4D DC 8B 01 89 45 F4 83 7D E0 00 75 0B 8B 4D DC 8B 41 FC 89 45 F0 EB 09 8B 4D DC 8B 41 04 89 45 F0 8B 4D D8 8B 09 FF 45 E4 83 45 D8 04 8B 45 F4 0F B6 00 8D 34 40 8B 45 F0 0F B6 00 FF 45 F0 FF 45 F4 03 F0 8B 45 F4 0F B6 00 8D 3C 40 8B 45 F0 0F B6 00 03 F8 8B C6 FF 45 F0 FF 45 F4 C1 E0 02 83 C0 08 C1 F8 04 88 01 8D 04 76 03 C7 41 83 C0 07 C1 F8 04 88 01 89 75 EC 8B 42 28 41 83 E8 02 8B F7 89 45 E8 83 7D E8 00 76 41 8B 45 F4 0F B6 00 8D 3C 40 8B 45 F0 0F B6 00 FF 45 F0 03 F8 FF 45 F4 8D 04 76 8B D8 03 C7 03 5D EC 83 C0 07 83 C3 08 C1 FB 04 88 19 41 C1 F8 04 88 01 89 75 EC FF 4D E8 41 83 7D E8 00 8B F7 77 BF 8D 04 76 03 45 EC 83 C0 08 C1 F8 04 88 01 8B C6 C1 E0 02 41 83 C0 07 C1 F8 04 88 01 FF 45 E0 83 7D E0 02 0F 8C 0A FF FF FF 83 45 D4 04 8B 4D FC 8B 81 2A 01 00 00 3B 45 E4 0F 8F DB FE FF FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9192_0 {
	meta:
		name = "_NF__181"
		size = 536
		refs = "002b _NF__180 01df _NF__18B"
	strings:
		$1 = { 53 8B D8 8B C3 56 57 55 8B 70 04 83 C4 E4 B9 A0 00 00 00 BA 01 00 00 00 FF 16 89 04 24 8B 04 24 89 83 B6 01 00 00 8B 14 24 C7 02 ?? ?? ?? ?? 8B 0C 24 C7 41 04 ?? ?? ?? ?? 8B 04 24 33 D2 89 50 08 83 BB 22 01 00 00 00 74 0F 8B 0B 8B C3 C7 41 14 17 00 00 00 8B 10 FF 12 83 7B 48 00 74 09 83 BB 2E 01 00 00 01 7F 04 33 C9 EB 05 B9 01 00 00 00 89 4C 24 0C 33 C0 89 44 24 04 8B BB D4 00 00 00 8B 04 24 8D 90 8C 00 00 00 89 54 24 18 8B 0C 24 8D 71 64 E9 6A 01 00 00 8B 47 08 8B 4F 24 F7 E9 99 F7 BB 2E 01 00 00 8B E8 8B 47 0C F7 E9 99 F7 BB 2E 01 00 00 8B C8 8B 83 26 01 00 00 89 44 24 10 8B 93 2A 01 00 00 89 54 24 14 89 0E C7 44 24 08 01 00 00 00 83 7F 30 00 75 12 C7 46 D0 ?? ?? ?? ?? 33 C9 89 4C 24 08 E9 D9 00 00 00 3B 6C 24 10 75 18 3B 4C 24 14 75 12 C7 46 D0 ?? ?? ?? ?? 33 C0 89 44 24 08 E9 BB 00 00 00 8B D5 03 D2 3B 54 24 10 75 2B 3B 4C 24 14 75 25 83 7C 24 0C 00 74 12 83 7F 28 02 76 0C C7 46 D0 ?? ?? ?? ?? E9 92 00 00 00 C7 46 D0 ?? ?? ?? ?? E9 86 00 00 00 8B C5 03 C0 3B 44 24 10 75 33 8B D1 03 D2 3B 54 24 14 75 29 83 7C 24 0C 00 74 19 83 7F 28 02 76 13 C7 46 D0 ?? ?? ?? ?? 8B 0C 24 C7 41 08 01 00 00 00 EB 52 C7 46 D0 ?? ?? ?? ?? EB 49 8B 44 24 10 99 F7 FD 85 D2 75 2F 8B 44 24 14 99 F7 F9 85 D2 75 24 C7 46 D0 ?? ?? ?? ?? 8B 44 24 10 99 F7 FD 8B 54 24 18 88 02 8B 44 24 14 99 F7 F9 8B 4C 24 18 88 41 0A EB 0F 8B 03 C7 40 14 25 00 00 00 8B C3 8B 10 FF 12 83 7C 24 08 00 74 27 8B 8B 2A 01 00 00 51 8B 93 26 01 00 00 8B 43 6C E8 ?? ?? ?? ?? 8B C8 8B C3 BA 01 00 00 00 8B 68 04 FF 55 08 89 46 A8 83 C6 04 FF 44 24 18 FF 44 24 04 83 C7 54 8B 44 24 04 3B 43 20 0F 8C 89 FE FF FF 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9193_0 {
	meta:
		name = "_NF__182"
		size = 1072
		refs = "00e3 _NF__182 0316 _NF__D2"
	strings:
		$1 = { 55 8B EC 81 C4 B0 FE FF FF 53 56 57 BF 08 00 00 00 8B 80 36 01 00 00 8D 9D B0 FE FF FF 05 80 00 00 00 89 45 B8 8B C1 8B 52 50 66 8B 48 10 66 0B 48 20 66 0B 48 30 66 0B 48 40 66 0B 48 50 66 0B 48 60 66 0B 48 70 75 50 DF 00 83 C0 02 D8 0A 83 C2 04 D9 5D B4 8B 4D B4 89 0B 8B 4D B4 89 4B 20 8B 4D B4 89 4B 40 8B 4D B4 89 4B 60 8B 4D B4 89 8B 80 00 00 00 8B 4D B4 89 8B A0 00 00 00 8B 4D B4 89 8B C0 00 00 00 8B 4D B4 89 8B E0 00 00 00 83 C3 04 E9 83 01 00 00 DF 00 D8 0A D9 5D FC DF 40 20 D8 4A 40 D9 5D F8 DF 40 40 D8 8A 80 00 00 00 D9 5D F4 DF 40 60 D8 8A C0 00 00 00 D9 5D F0 D9 45 FC D8 45 F4 D9 5D DC D9 45 FC D8 65 F4 D9 5D D8 D9 45 F8 D8 45 F0 D9 5D D0 D9 45 F8 D8 65 F0 D8 0D ?? ?? ?? ?? D8 65 D0 D9 5D D4 D9 45 DC D8 45 D0 D9 5D FC D9 45 DC D8 65 D0 D9 5D F0 D9 45 D8 D8 45 D4 D9 5D F8 D9 45 D8 D8 65 D4 D9 5D F4 DF 40 10 D8 4A 20 D9 5D EC DF 40 30 D8 4A 60 D9 5D E8 DF 40 50 D8 8A A0 00 00 00 D9 5D E4 DF 40 70 D8 8A E0 00 00 00 D9 5D E0 D9 45 E4 D8 45 E8 D9 5D BC D9 45 E4 D8 65 E8 D9 5D C8 D9 45 EC D8 45 E0 D9 5D C4 D9 45 EC D8 65 E0 D9 5D C0 D9 45 C4 D8 45 BC D9 5D E0 D9 45 C4 D8 65 BC D8 0D ?? ?? ?? ?? D9 5D D8 D9 45 C8 D8 45 C0 D8 0D ?? ?? ?? ?? D9 5D CC D9 05 ?? ?? ?? ?? D8 4D C0 D8 65 CC D9 5D DC D9 05 ?? ?? ?? ?? D8 4D C8 83 C0 02 83 C2 04 D8 45 CC D9 5D D4 D9 45 D4 D8 65 E0 D9 5D E4 D9 45 D8 D8 65 E4 D9 5D E8 D9 45 DC D8 45 E8 D9 5D EC D9 45 FC D8 45 E0 D9 1B D9 45 FC D8 65 E0 D9 9B E0 00 00 00 D9 45 F8 D8 45 E4 D9 5B 20 D9 45 F8 D8 65 E4 D9 9B C0 00 00 00 D9 45 F4 D8 45 E8 D9 5B 40 D9 45 F4 D8 65 E8 D9 9B A0 00 00 00 D9 45 F0 D8 45 EC D9 9B 80 00 00 00 D9 45 F0 D8 65 EC D9 5B 60 83 C3 04 4F 85 FF 0F 8F 06 FE FF FF 8B 45 0C 8D 9D B0 FE FF FF 8B D0 33 FF 89 55 B0 8B 4D B0 D9 03 D8 43 10 8B 31 03 75 08 D9 5D DC D9 03 D8 63 10 D9 5D D8 D9 43 08 D8 43 18 D9 5D D0 D9 43 08 D8 63 18 D8 0D ?? ?? ?? ?? D8 65 D0 D9 5D D4 D9 45 DC D8 45 D0 D9 5D FC D9 45 DC D8 65 D0 D9 5D F0 D9 45 D8 D8 45 D4 D9 5D F8 D9 45 D8 D8 65 D4 D9 5D F4 D9 43 14 D8 43 0C D9 5D BC D9 43 14 D8 63 0C D9 5D C8 D9 43 04 D8 43 1C D9 5D C4 D9 43 04 D8 63 1C D9 5D C0 D9 45 C4 D8 45 BC D9 5D E0 D9 45 C4 D8 65 BC D8 0D ?? ?? ?? ?? D9 5D D8 D9 45 C8 D8 45 C0 D8 0D ?? ?? ?? ?? D9 5D CC D9 05 ?? ?? ?? ?? D8 4D C0 D8 65 CC D9 5D DC D9 05 ?? ?? ?? ?? D8 4D C8 D8 45 CC D9 5D D4 D9 45 D4 D8 65 E0 D9 5D E4 D9 45 D8 D8 65 E4 D9 5D E8 D9 45 DC D8 45 E8 D9 5D EC D9 45 FC D8 45 E0 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 0E D9 45 FC D8 65 E0 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 07 D9 45 F8 D8 45 E4 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 01 D9 45 F8 D8 65 E4 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 06 D9 45 F4 D8 45 E8 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 02 D9 45 F4 D8 65 E8 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 05 D9 45 F0 D8 45 EC E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 04 D9 45 F0 D8 65 EC E8 ?? ?? ?? ?? 83 C0 04 8B 55 B8 C1 F8 03 83 C3 20 25 FF 03 00 00 47 8A 0C 02 88 4E 03 83 45 B0 04 83 FF 08 0F 8C 1D FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 F3 04 B5 3F 5E 83 EC 3F D4 8B 8A 3F 75 3D 27 C0 }
	condition:
		$1
}

rule function_9194_0 {
	meta:
		name = "_NF__183"
		size = 1035
	strings:
		$1 = { 55 8B EC 81 C4 C0 FE FF FF 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 90 36 01 00 00 81 C2 80 00 00 00 89 55 C8 8B 55 F4 8B 45 F8 8B 48 50 89 4D CC 8D 85 C0 FE FF FF C7 45 C4 08 00 00 00 66 8B 4A 10 66 0B 4A 20 66 0B 4A 30 66 0B 4A 40 66 0B 4A 50 66 0B 4A 60 66 0B 4A 70 75 3B 0F BF 0A 8B 5D CC 83 C2 02 0F AF 0B 89 08 89 48 20 89 48 40 89 48 60 89 88 80 00 00 00 89 88 A0 00 00 00 89 88 C0 00 00 00 89 88 E0 00 00 00 83 45 CC 04 83 C0 04 E9 79 01 00 00 0F BF 0A 8B 5D CC 0F AF 0B 89 4D F0 0F BF 4A 20 8B 5D CC 0F AF 4B 40 89 4D EC 0F BF 4A 40 8B 5D CC 0F AF 8B 80 00 00 00 89 4D E8 0F BF 4A 60 8B 5D CC 0F AF 8B C0 00 00 00 89 4D E4 8B 4D F0 8B 5D F0 8B 75 EC 03 5D E8 2B 4D E8 03 75 E4 89 75 D8 8B 75 EC 8B 7D D8 2B 75 E4 69 F6 6A 01 00 00 C1 FE 08 03 FB 2B 75 D8 89 7D F0 2B 5D D8 89 5D E4 8D 1C 0E 2B CE 89 5D EC 89 4D E8 0F BF 4A 10 8B 5D CC 0F AF 4B 20 89 4D E0 0F BF 4A 30 8B 5D CC 8B 7D CC 0F BF 72 50 0F AF 4B 60 8B 5D CC 0F AF B3 A0 00 00 00 0F BF 5A 70 0F AF 9F E0 00 00 00 89 5D DC 8D 1C 31 2B F1 8B 4D E0 03 4D DC 8B 7D E0 2B 7D DC 83 C2 02 89 7D D0 8D 3C 0B 2B CB 89 7D DC 8B 5D D0 69 C9 6A 01 00 00 03 DE 69 F6 63 FD FF FF 8B FB C1 E3 04 2B DF C1 E3 02 2B DF C1 FE 08 C1 F9 08 8D 1C DF C1 FB 08 89 5D D4 03 75 D4 8B 5D D0 8B FB 2B 75 DC C1 E3 04 2B CE 03 DF 8D 1C 9F 8D 1C 9F C1 FB 08 2B 5D D4 8D 1C 19 89 5D E0 8B 5D F0 03 5D DC 89 18 8B 5D F0 2B 5D DC 89 98 E0 00 00 00 8B 5D EC 03 DE 89 58 20 8B 5D EC 2B DE 89 98 C0 00 00 00 8B 5D E8 03 D9 89 58 40 8B 5D E8 2B D9 89 98 A0 00 00 00 8B 4D E4 03 4D E0 89 88 80 00 00 00 8B 4D E4 2B 4D E0 89 48 60 83 45 CC 04 83 C0 04 FF 4D C4 83 7D C4 00 0F 8F 21 FE FF FF 8D 85 C0 FE FF FF 33 D2 89 55 C4 8B 55 0C 8B CA 89 4D C0 8B 48 04 8B 55 C0 0B 48 08 0B 48 0C 8B 12 0B 48 10 03 55 08 0B 48 14 0B 48 18 0B 48 1C 75 30 8B 08 C1 F9 05 81 E1 FF 03 00 00 8B 5D C8 8A 0C 0B 88 0A 88 4A 01 88 4A 02 88 4A 03 88 4A 04 88 4A 05 88 4A 06 88 4A 07 83 C0 20 E9 70 01 00 00 8B 08 8B 70 10 8B D9 2B CE 03 DE 8B 70 08 8B FE 03 78 18 89 7D D8 2B 70 18 69 F6 6A 01 00 00 C1 FE 08 8B 7D D8 2B 75 D8 03 FB 89 7D F0 2B 5D D8 89 5D E4 8D 1C 0E 2B CE 89 5D EC 89 4D E8 8B 48 14 8B 78 04 8B D9 8B F1 8B 48 04 03 48 1C 03 58 0C 2B 70 0C 2B 78 1C 89 7D D0 8D 3C 0B 2B CB 89 7D DC 8B 5D D0 69 C9 6A 01 00 00 03 DE 69 F6 63 FD FF FF 8B FB C1 E3 04 2B DF C1 E3 02 2B DF C1 FE 08 C1 F9 08 8D 1C DF C1 FB 08 89 5D D4 03 75 D4 8B 5D D0 8B FB 2B 75 DC C1 E3 04 2B CE 03 DF 8D 1C 9F 8D 1C 9F C1 FB 08 2B 5D D4 8D 1C 19 89 5D E0 8B 5D F0 8B 7D C8 03 5D DC C1 FB 05 81 E3 FF 03 00 00 8A 1C 1F 88 1A 8B 5D F0 8B 7D C8 2B 5D DC C1 FB 05 81 E3 FF 03 00 00 8A 1C 1F 88 5A 07 8B 5D EC 8B 7D C8 03 DE C1 FB 05 81 E3 FF 03 00 00 8A 1C 1F 88 5A 01 8B 5D EC 2B DE 8B 75 C8 C1 FB 05 81 E3 FF 03 00 00 8A 1C 1E 88 5A 06 8B 5D E8 8B 75 C8 03 D9 C1 FB 05 81 E3 FF 03 00 00 8A 1C 1E 88 5A 02 8B 5D E8 2B D9 8B 4D C8 C1 FB 05 81 E3 FF 03 00 00 8A 0C 19 88 4A 05 8B 4D E4 8B 5D C8 03 4D E0 C1 F9 05 81 E1 FF 03 00 00 8A 0C 0B 88 4A 04 8B 4D E4 8B 5D C8 2B 4D E0 C1 F9 05 81 E1 FF 03 00 00 83 C0 20 8A 0C 0B 88 4A 03 FF 45 C4 83 45 C0 04 83 7D C4 08 0F 8C 30 FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9195_0 {
	meta:
		name = "_NF__184"
		size = 1492
	strings:
		$1 = { 55 8B EC 81 C4 C4 FE FF FF 53 56 57 8B 80 36 01 00 00 05 80 00 00 00 89 45 CC 89 4D D8 8B 52 50 89 55 D4 8D 85 C4 FE FF FF C7 45 C8 08 00 00 00 8B 55 D8 66 8B 4A 10 8B 55 D8 66 0B 4A 20 8B 55 D8 66 0B 4A 30 8B 55 D8 66 0B 4A 40 8B 55 D8 66 0B 4A 50 8B 55 D8 66 0B 4A 60 8B 55 D8 66 0B 4A 70 75 42 8B 4D D8 0F BF 11 8B 4D D4 0F AF 11 C1 E2 02 89 10 89 50 20 89 50 40 89 50 60 89 90 80 00 00 00 89 90 A0 00 00 00 89 90 C0 00 00 00 89 90 E0 00 00 00 83 45 D8 02 83 45 D4 04 83 C0 04 E9 47 02 00 00 8B 55 D8 0F BF 4A 20 8B 55 D4 0F AF 4A 40 89 4D E4 8B 4D D8 8B 75 E4 0F BF 51 60 8B 4D D4 0F AF 91 C0 00 00 00 8B 4D E4 03 CA 8B D9 C1 E3 04 03 D9 8D 1C 99 8D 1C 99 C1 E3 04 03 D9 8B CA F7 D9 C1 E1 04 03 CA 8D 0C 8A C1 E1 03 2B CA C1 E1 05 2B CA 8B D6 03 CB 8D 34 72 C1 E6 04 03 F2 C1 E6 06 2B F2 8B 55 D8 03 F6 0F BF 12 03 F3 8B 5D D4 0F AF 13 89 55 E4 8B 55 D8 8B 5D D4 0F BF 52 40 0F AF 93 80 00 00 00 8B 5D E4 03 DA C1 E3 0D 89 5D FC 8B 5D E4 2B DA C1 E3 0D 89 5D F8 8B 55 FC 03 D6 89 55 F4 8B 55 FC 2B D6 89 55 E8 8B 55 F8 03 D1 89 55 F0 8B 55 F8 2B D1 89 55 EC 8B 4D D8 0F BF 51 70 8B 4D D4 0F AF 91 E0 00 00 00 89 55 FC 8B 55 D8 0F BF 4A 50 8B 55 D4 0F AF 8A A0 00 00 00 89 4D F8 8B 4D D8 8B 55 D4 8B 5D FC 0F BF 49 30 0F AF 4A 60 8B 55 D8 0F BF 72 10 8B 55 D4 0F AF 72 20 8B 55 F8 03 DE 03 D1 69 DB 33 E3 FF FF 89 55 E4 8B 7D F8 8B 55 FC 03 FE 03 D1 89 7D E0 69 C9 54 62 00 00 8B 7D E0 03 FA 69 FF A1 25 00 00 89 7D DC 69 7D FC 8E 09 00 00 89 7D FC 69 7D F8 B3 41 00 00 89 7D F8 8B FE 8D 34 77 C1 E6 09 03 F7 8D 34 B7 8D 34 77 69 7D E4 FD AD FF FF 89 7D E4 8B FA F7 DA C1 E2 06 03 D7 8D 14 97 C1 E2 04 2B D7 C1 E2 02 2B D7 69 7D E0 84 F3 FF FF 89 7D E0 03 55 DC 8B 7D DC 01 7D E0 8D 3C 1A 01 7D FC 8B 7D E4 03 7D E0 01 7D F8 03 55 E4 03 5D E0 03 CA 03 F3 8B 55 F4 03 D6 81 C2 00 04 00 00 C1 FA 0B 89 10 8B 55 F4 2B D6 81 C2 00 04 00 00 C1 FA 0B 89 90 E0 00 00 00 8B 55 F0 03 D1 81 C2 00 04 00 00 C1 FA 0B 89 50 20 8B 55 F0 2B D1 81 C2 00 04 00 00 C1 FA 0B 89 90 C0 00 00 00 8B 4D EC 03 4D F8 81 C1 00 04 00 00 C1 F9 0B 89 48 40 8B 55 EC 2B 55 F8 81 C2 00 04 00 00 C1 FA 0B 89 90 A0 00 00 00 8B 4D E8 03 4D FC 81 C1 00 04 00 00 C1 F9 0B 89 48 60 8B 55 E8 2B 55 FC 81 C2 00 04 00 00 C1 FA 0B 89 90 80 00 00 00 83 45 D8 02 83 45 D4 04 83 C0 04 FF 4D C8 83 7D C8 00 0F 8F 37 FD FF FF 8D 85 C4 FE FF FF 33 C9 89 4D C8 8B 55 0C 8B CA 89 4D C4 8B 55 C4 8B 0A 03 4D 08 89 4D D0 8B 50 04 0B 50 08 0B 50 0C 0B 50 10 0B 50 14 0B 50 18 0B 50 1C 75 4B 8B 08 8B 55 CC 83 C1 10 C1 F9 05 81 E1 FF 03 00 00 83 C0 20 8A 14 0A 8B 4D D0 88 11 8B 4D D0 88 51 01 8B 4D D0 88 51 02 8B 4D D0 88 51 03 8B 4D D0 88 51 04 8B 4D D0 88 51 05 8B 4D D0 88 51 06 8B 4D D0 88 51 07 E9 41 02 00 00 8B 50 08 89 55 E4 8B 50 18 8B 4D E4 03 CA 8B 75 E4 8B D9 C1 E3 04 03 D9 8D 1C 99 8D 1C 99 C1 E3 04 03 D9 8B CA F7 D9 C1 E1 04 03 CA 8D 0C 8A C1 E1 03 2B CA C1 E1 05 2B CA 8B D6 03 CB 8D 34 72 C1 E6 04 03 F2 C1 E6 06 2B F2 8B 10 03 F6 8B FA 03 F3 8B 58 10 03 FB 2B D3 C1 E7 0D C1 E2 0D 89 7D FC 89 55 F8 8B 55 FC 03 D6 89 55 F4 8B 55 FC 2B D6 89 55 E8 8B 55 F8 03 D1 89 55 F0 8B 55 F8 2B D1 89 55 EC 8B 48 1C 89 4D FC 8B 50 14 89 55 F8 8B 48 0C 8B 55 F8 8B 70 04 03 D1 8B 5D FC 89 55 E4 8B 7D F8 8B 55 FC 03 FE 03 D1 89 7D E0 03 DE 8B 7D E0 69 DB 33 E3 FF FF 03 FA 69 FF A1 25 00 00 89 7D DC 69 7D FC 8E 09 00 00 89 7D FC 69 7D F8 B3 41 00 00 89 7D F8 8B FE 69 C9 54 62 00 00 8D 34 77 C1 E6 09 03 F7 8D 34 B7 8D 34 77 69 7D E4 FD AD FF FF 89 7D E4 8B FA F7 DA C1 E2 06 03 D7 8D 14 97 C1 E2 04 2B D7 C1 E2 02 2B D7 69 7D E0 84 F3 FF FF 89 7D E0 03 55 DC 8B 7D DC 01 7D E0 8D 3C 1A 01 7D FC 8B 7D E4 03 7D E0 01 7D F8 03 55 E4 03 5D E0 03 CA 03 F3 8B 55 F4 8B 5D CC 03 D6 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 13 8B 5D D0 88 13 8B 55 F4 8B 5D CC 2B D6 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 13 8B 5D D0 88 53 07 8B 55 F0 8B 5D CC 03 D1 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 13 8B 5D D0 88 53 01 8B 55 F0 2B D1 8B 4D CC 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 11 8B 4D D0 88 51 06 8B 55 EC 8B 4D CC 03 55 F8 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 11 8B 4D D0 88 51 02 8B 55 EC 8B 4D CC 2B 55 F8 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 11 8B 4D D0 88 51 05 8B 55 E8 8B 4D CC 03 55 FC 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 11 8B 4D D0 88 51 03 8B 55 E8 8B 4D CC 2B 55 FC 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 83 C0 20 8A 14 11 8B 4D D0 88 51 04 FF 45 C8 83 45 C4 04 83 7D C8 08 0F 8C 41 FD FF FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9196_0 {
	meta:
		name = "_NF__185"
		size = 916
	strings:
		$1 = { 55 8B EC 81 C4 58 FF FF FF 53 56 57 8B 80 36 01 00 00 05 80 00 00 00 89 45 E0 8B D9 8B 42 50 89 45 E4 8D 85 58 FF FF FF C7 45 DC 08 00 00 00 83 7D DC 04 0F 84 91 01 00 00 66 8B 53 10 66 0B 53 20 66 0B 53 30 66 0B 53 50 66 0B 53 60 66 0B 53 70 75 1C 0F BF 13 8B 4D E4 0F AF 11 C1 E2 02 89 10 89 50 20 89 50 40 89 50 60 E9 5B 01 00 00 0F BF 13 8B 4D E4 8B 75 E4 0F AF 11 0F BF 4B 20 0F AF 4E 40 89 4D F0 0F BF 4B 60 8B 75 E4 0F AF 8E C0 00 00 00 89 4D EC 8B 4D F0 8B F1 C1 E1 04 2B CE C1 E1 02 2B CE C1 E2 0E 8D 0C CE C1 E1 05 03 CE 8B 75 EC 8B FE F7 DE 8D 34 B7 C1 E6 04 2B F7 C1 E6 06 03 F7 03 F6 03 CE 8D 34 11 2B D1 89 75 FC 89 55 F8 0F BF 53 70 8B 4D E4 0F AF 91 E0 00 00 00 89 55 F4 0F BF 53 50 8B 4D E4 0F AF 91 A0 00 00 00 89 55 F0 0F BF 53 30 8B 4D E4 0F AF 51 60 89 55 EC 0F BF 53 10 8B 4D E4 0F AF 51 20 89 55 E8 8B 55 F4 8B CA F7 DA 8D 14 D1 8D 14 91 C1 E2 05 2B D1 69 4D F0 75 2E 00 00 03 D2 03 D1 69 4D EC 79 BA FF FF 03 D1 8B 4D E8 8B F1 C1 E1 04 03 CE C1 E1 06 2B CE 8D 0C CE 03 D1 8B 4D F4 8B F1 F7 D9 C1 E1 06 2B CE C1 E1 02 2B CE 69 75 F0 C2 EC FF FF C1 E1 04 03 CE 69 75 EC CD 1C 00 00 03 CE 8B 75 E8 8B FE 8D 34 B7 8D 34 F7 C1 E6 08 03 F7 8D 34 77 03 CE 8B 75 FC 03 F1 81 C6 00 08 00 00 C1 FE 0C 89 30 8B 75 FC 2B F1 81 C6 00 08 00 00 C1 FE 0C 89 70 60 8B 4D F8 03 CA 81 C1 00 08 00 00 C1 F9 0C 89 48 20 8B 4D F8 2B CA 81 C1 00 08 00 00 C1 F9 0C 89 48 40 83 C3 02 83 45 E4 04 83 C0 04 FF 4D DC 83 7D DC 00 0F 8F 4E FE FF FF 8D 85 58 FF FF FF 33 D2 89 55 DC 8B 55 0C 8B CA 89 4D D8 8B 55 D8 8B 32 8B 50 04 0B 50 08 03 75 08 0B 50 0C 0B 50 14 0B 50 18 0B 50 1C 75 27 8B 08 83 C1 10 C1 F9 05 81 E1 FF 03 00 00 8B 55 E0 8A 14 0A 88 16 88 56 01 88 56 02 88 56 03 83 C0 20 E9 42 01 00 00 8B 48 08 8B 10 8B D9 C1 E1 04 2B CB C1 E1 02 2B CB C1 E2 0E 8D 0C CB C1 E1 05 03 CB 8B 58 18 8B FB F7 DB 8D 1C 9F C1 E3 04 2B DF C1 E3 06 03 DF 03 DB 03 CB 8D 1C 11 2B D1 89 5D FC 89 55 F8 8B 50 1C 89 55 F4 8B 48 14 89 4D F0 8B 50 0C 89 55 EC 8B 48 04 89 4D E8 8B 55 F4 8B CA F7 DA 8D 14 D1 8D 14 91 C1 E2 05 2B D1 69 4D F0 75 2E 00 00 03 D2 03 D1 69 4D EC 79 BA FF FF 03 D1 8B 4D E8 8B D9 C1 E1 04 03 CB C1 E1 06 2B CB 8D 0C CB 03 D1 8B 4D F4 8B D9 F7 D9 C1 E1 06 2B CB C1 E1 02 2B CB 69 5D F0 C2 EC FF FF C1 E1 04 03 CB 69 5D EC CD 1C 00 00 03 CB 8B 5D E8 8B FB 8D 1C 9F 8D 1C DF C1 E3 08 03 DF 8D 1C 5F 8B 7D E0 03 CB 8B 5D FC 03 D9 81 C3 00 00 04 00 C1 FB 13 81 E3 FF 03 00 00 8A 1C 1F 88 1E 8B 5D FC 2B D9 8B 4D E0 81 C3 00 00 04 00 C1 FB 13 81 E3 FF 03 00 00 8A 0C 19 88 4E 03 8B 4D F8 8B 5D E0 03 CA 81 C1 00 00 04 00 C1 F9 13 81 E1 FF 03 00 00 8A 0C 0B 88 4E 01 8B 4D F8 2B CA 8B 55 E0 81 C1 00 00 04 00 C1 F9 13 81 E1 FF 03 00 00 83 C0 20 8A 14 0A 88 56 02 FF 45 DC 83 45 D8 04 83 7D DC 04 0F 8C 6A FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 }
	condition:
		$1
}

rule function_9197_0 {
	meta:
		name = "_NF__186"
		size = 476
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 8B 80 36 01 00 00 05 80 00 00 00 89 45 F4 8D 45 AC 8B 52 50 89 55 F8 BA 08 00 00 00 83 FA 06 0F 84 C6 00 00 00 83 FA 04 0F 84 BD 00 00 00 83 FA 02 0F 84 B4 00 00 00 66 8B 59 10 66 0B 59 30 66 0B 59 50 66 0B 59 70 75 16 0F BF 19 8B 75 F8 0F AF 1E C1 E3 02 89 18 89 58 20 E9 8C 00 00 00 0F BF 19 8B 75 F8 0F AF 1E C1 E3 0F 89 5D FC 0F BF 59 70 8B 75 F8 8B 7D F8 0F AF 9E E0 00 00 00 69 F3 EE E8 FF FF 0F BF 59 50 0F AF 9F A0 00 00 00 69 DB 37 1B 00 00 03 F3 8B 7D F8 0F BF 59 30 0F AF 5F 60 69 DB 46 D7 FF FF 03 F3 8B 7D F8 0F BF 59 10 0F AF 5F 20 8B FB C1 E3 03 2B DF 8D 1C 9F C1 E3 08 2B DF C1 E3 02 03 F3 8B 5D FC 03 DE 81 C3 00 10 00 00 C1 FB 0D 89 18 8B 5D FC 2B DE 81 C3 00 10 00 00 C1 FB 0D 89 58 20 83 C1 02 83 45 F8 04 83 C0 04 4A 85 D2 0F 8F 1E FF FF FF 8B 4D 0C 8D 45 AC 89 4D EC 33 D2 8B 4D EC 8B 58 04 0B 58 0C 0B 58 14 8B 09 03 4D 08 0B 58 1C 75 27 8B 18 8B 75 F4 83 C3 10 C1 FB 05 81 E3 FF 03 00 00 83 C0 20 8A 1C 1E 88 5D F3 8A 5D F3 88 19 8A 5D F3 88 59 01 EB 74 8B 18 C1 E3 0F 89 5D FC 69 58 14 37 1B 00 00 69 70 1C EE E8 FF FF 03 F3 69 58 0C 46 D7 FF FF 03 F3 8B 58 04 8B FB C1 E3 03 2B DF 8D 1C 9F C1 E3 08 2B DF 8B 7D F4 C1 E3 02 03 F3 8B 5D FC 03 DE 81 C3 00 00 08 00 C1 FB 14 81 E3 FF 03 00 00 8A 1C 1F 88 19 8B 5D FC 2B DE 8B 75 F4 81 C3 00 00 08 00 C1 FB 14 81 E3 FF 03 00 00 83 C0 20 8A 1C 1E 88 59 01 42 83 45 EC 04 83 FA 02 0F 8C 41 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 90 }
	condition:
		$1
}

rule function_9198_0 {
	meta:
		name = "_NF__187"
		size = 57
	strings:
		$1 = { 55 8B EC 56 8B B0 36 01 00 00 8B 42 50 0F BF 11 0F AF 10 8B C2 81 C6 80 00 00 00 83 C0 04 8B 4D 0C C1 F8 03 25 FF 03 00 00 8A 14 06 8B 01 8B 4D 08 88 14 08 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_9199_0 {
	meta:
		name = "_NF__188"
		size = 6580
		refs = "101b _NF__192 102e _NF__CE 117e _NF__191 119e _NV__18E 16cb _NF__188"
	strings:
		$1 = { 53 8B D8 8B 03 C7 40 14 65 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 8B 93 AA 01 00 00 83 7A 50 00 74 0F 8B 03 C7 40 14 3C 00 00 00 8B C3 8B 10 FF 12 33 D2 8D 83 E0 00 00 00 C6 00 00 C6 40 10 01 C6 40 20 05 42 40 83 FA 10 7C EE 33 C9 33 C0 89 8B 10 01 00 00 89 43 24 33 D2 33 C9 89 93 22 01 00 00 89 8B 14 01 00 00 C6 83 18 01 00 00 00 66 C7 83 19 01 00 00 01 00 66 C7 83 1B 01 00 00 01 00 33 C0 89 83 1D 01 00 00 B8 01 00 00 00 C6 83 21 01 00 00 00 8B 93 AA 01 00 00 C7 42 50 01 00 00 00 5B C3 90 90 53 56 57 55 83 C4 F0 8B D8 89 4C 24 04 89 14 24 8B 43 14 89 44 24 0C 8B 44 24 0C 8B 54 24 0C 8B 78 04 8B 32 8B 04 24 85 FF 89 83 D8 00 00 00 8B 54 24 04 89 93 DC 00 00 00 75 21 8B 4C 24 0C 8B C3 FF 51 0C 85 C0 75 07 33 C0 E9 26 03 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 0F B6 2E C1 E5 08 46 85 FF 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 F9 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 03 E8 46 85 FF 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 CC 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 89 83 D0 00 00 00 46 85 FF 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 9B 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 C1 E0 08 85 FF 89 43 1C 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 6A 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 01 43 1C 46 85 FF 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 3C 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 C1 E0 08 85 FF 89 43 18 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 0B 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 01 43 18 46 85 FF 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 DD 01 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 83 ED 08 89 43 20 8B 03 83 C0 18 8B 93 92 01 00 00 89 10 8B 4B 18 89 48 04 8B 53 1C 89 50 08 8B 4B 20 89 48 0C 8B 03 C7 40 14 63 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 8B 83 AA 01 00 00 83 78 54 00 74 0F 8B 13 8B C3 C7 42 14 39 00 00 00 8B 10 FF 12 83 7B 1C 00 76 0C 83 7B 18 00 76 06 83 7B 20 00 7F 0F 8B 0B 8B C3 C7 41 14 1F 00 00 00 8B 10 FF 12 8B 4B 20 8D 0C 49 3B E9 74 0F 8B 03 C7 40 14 09 00 00 00 8B C3 8B 10 FF 12 83 BB D4 00 00 00 00 75 21 8B 4B 20 BA 01 00 00 00 8B C1 8D 0C 88 8D 0C 88 8B C3 C1 E1 02 8B 68 04 FF 55 00 89 83 D4 00 00 00 33 C0 89 44 24 08 8B AB D4 00 00 00 E9 D4 00 00 00 8B 44 24 08 85 FF 89 45 04 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 E1 00 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 89 45 00 46 85 FF 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 B3 00 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 8B D0 83 E0 0F C1 FA 04 83 E2 0F 85 FF 89 55 08 89 45 0C 75 1E 8B 4C 24 0C 8B C3 FF 51 0C 85 C0 75 04 33 C0 EB 7A 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 89 45 10 8B 03 83 C0 18 8B 55 00 89 10 8B 4D 08 89 48 04 8B 55 0C 89 50 08 8B 4D 10 89 48 0C 8B 03 C7 40 14 64 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 FF 44 24 08 83 C5 54 8B 44 24 08 3B 43 20 0F 8C 1F FF FF FF 8B 93 AA 01 00 00 C7 42 54 01 00 00 00 8B 4C 24 0C 89 31 8B 44 24 0C 89 78 04 B8 01 00 00 00 83 C4 10 5D 5F 5E 5B C3 90 90 90 53 56 57 55 8B D8 83 C4 E8 8B 43 14 89 44 24 10 8B 44 24 10 8B 54 24 10 8B 68 04 8B 83 AA 01 00 00 8B 3A 83 78 54 00 75 0F 8B 13 8B C3 C7 42 14 3D 00 00 00 8B 10 FF 12 85 ED 75 21 8B 4C 24 10 8B C3 FF 51 0C 85 C0 75 07 33 C0 E9 E8 02 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 4D 0F B6 37 C1 E6 08 47 85 ED 75 21 8B 54 24 10 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 BB 02 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 4D 33 C0 8A 07 03 F0 47 85 ED 75 21 8B 54 24 10 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 8E 02 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 4D 33 C0 8A 07 89 44 24 04 47 8B 54 24 04 03 D2 83 C2 06 3B F2 75 0E 83 7C 24 04 01 7C 07 83 7C 24 04 04 7E 0F 8B 0B 8B C3 C7 41 14 09 00 00 00 8B 10 FF 12 8B 03 C7 40 14 66 00 00 00 8B 54 24 04 89 50 18 8B C3 BA 01 00 00 00 8B 08 FF 51 04 8B 44 24 04 89 83 3A 01 00 00 33 D2 89 14 24 8D 8B 3E 01 00 00 89 4C 24 14 8B 04 24 3B 44 24 04 0F 8D ED 00 00 00 85 ED 75 21 8B 54 24 10 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 F3 01 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 4D 33 C0 8A 07 89 44 24 0C 47 85 ED 75 21 8B 54 24 10 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 C4 01 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 08 33 C0 8B B3 D4 00 00 00 EB 0C 8B 54 24 0C 3B 16 74 1F 40 83 C6 54 3B 43 20 7C EF 8B 03 C7 40 14 05 00 00 00 8B 4C 24 0C 89 48 18 8B C3 8B 10 FF 12 8B 4C 24 14 89 31 8B 44 24 08 C1 F8 04 83 E0 0F 89 46 14 8B 54 24 08 83 E2 0F 89 56 18 8B 03 83 C0 18 8B 54 24 0C 89 10 8B 4E 14 89 48 04 8B 56 18 89 50 08 8B 03 C7 40 14 67 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 FF 04 24 83 44 24 14 04 8B 04 24 3B 44 24 04 0F 8C 13 FF FF FF 85 ED 75 21 8B 54 24 10 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 06 01 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 08 85 ED 8B 54 24 08 89 93 82 01 00 00 75 21 8B 4C 24 10 8B C3 FF 51 0C 85 C0 75 07 33 C0 E9 CD 00 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 08 85 ED 8B 54 24 08 89 93 86 01 00 00 75 21 8B 4C 24 10 8B C3 FF 51 0C 85 C0 75 07 33 C0 E9 94 00 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 4D 33 C0 8A 07 89 44 24 08 47 8B 54 24 08 C1 FA 04 83 E2 0F 89 93 8A 01 00 00 8B 4C 24 08 83 E1 0F 89 8B 8E 01 00 00 8B 03 83 C0 18 8B 93 82 01 00 00 89 10 8B 8B 86 01 00 00 89 48 04 8B 93 8A 01 00 00 89 50 08 8B 8B 8E 01 00 00 89 48 0C 8B 03 C7 40 14 68 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 8B 83 AA 01 00 00 33 D2 89 50 58 FF 83 8C 00 00 00 8B 4C 24 10 89 39 8B 44 24 10 89 68 04 B8 01 00 00 00 83 C4 18 5D 5F 5E 5B C3 53 8B D8 56 57 55 83 C4 E4 8B 6B 14 8B 7D 04 8B 75 00 85 FF 75 16 8B C3 FF 55 0C 85 C0 75 07 33 C0 E9 54 02 00 00 8B 75 00 8B 7D 04 33 C0 4F 8A 06 46 C1 E0 08 85 FF 89 04 24 75 16 8B C3 FF 55 0C 85 C0 75 07 33 C0 E9 2E 02 00 00 8B 75 00 8B 7D 04 4F 33 C0 8A 06 01 04 24 46 83 2C 24 02 83 3C 24 0E 0F 8C DA 01 00 00 33 D2 8D 4C 24 0C 89 54 24 04 89 4C 24 08 85 FF 75 16 8B C3 FF 55 0C 85 C0 75 07 33 C0 E9 EF 01 00 00 8B 75 00 8B 7D 04 4F 8B 44 24 08 8A 16 88 10 46 FF 44 24 04 FF 44 24 08 83 7C 24 04 0E 7C CD 83 2C 24 0E 80 7C 24 0C 4A 0F 85 6A 01 00 00 80 7C 24 0D 46 0F 85 5F 01 00 00 80 7C 24 0E 49 0F 85 54 01 00 00 80 7C 24 0F 46 0F 85 49 01 00 00 80 7C 24 10 00 0F 85 3E 01 00 00 80 7C 24 11 01 74 27 8B 03 33 D2 33 C9 C7 40 14 73 00 00 00 8A 54 24 11 89 50 18 83 CA FF 8A 4C 24 12 89 48 1C 8B C3 8B 08 FF 51 04 EB 2E 80 7C 24 12 02 76 27 8B 03 33 D2 33 C9 C7 40 14 58 00 00 00 8A 54 24 11 89 50 18 BA 01 00 00 00 8A 4C 24 12 89 48 1C 8B C3 8B 08 FF 51 04 C7 83 14 01 00 00 01 00 00 00 8A 44 24 13 33 D2 88 83 18 01 00 00 33 C9 8A 54 24 14 8A 4C 24 15 C1 E2 08 33 C0 66 03 D1 66 89 93 19 01 00 00 33 D2 8A 44 24 16 8A 54 24 17 C1 E0 08 66 03 C2 66 89 83 1B 01 00 00 8B 03 83 C0 18 0F B7 93 19 01 00 00 89 10 0F B7 8B 1B 01 00 00 89 48 04 33 D2 8A 93 18 01 00 00 89 50 08 8B 03 C7 40 14 56 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 8A 44 24 18 0A 44 24 19 74 27 8B 03 33 D2 33 C9 C7 40 14 59 00 00 00 8A 54 24 18 89 50 18 BA 01 00 00 00 8A 4C 24 19 89 48 1C 8B C3 8B 08 FF 51 04 33 C0 33 D2 8A 54 24 19 8A 44 24 18 F7 EA 8D 0C 40 3B 0C 24 74 58 8B 03 C7 40 14 57 00 00 00 8B 14 24 89 50 18 8B C3 BA 01 00 00 00 8B 08 FF 51 04 EB 3B 8B 03 C7 40 14 4C 00 00 00 8B 14 24 83 C2 0E 89 50 18 8B C3 BA 01 00 00 00 8B 08 FF 51 04 EB 1B 8B 03 C7 40 14 4C 00 00 00 8B 14 24 89 50 18 8B C3 BA 01 00 00 00 8B 08 FF 51 04 89 75 00 89 7D 04 83 3C 24 00 7E 0B 8B 14 24 8B C3 8B 48 14 FF 51 10 B8 01 00 00 00 83 C4 1C 5D 5F 5E 5B C3 90 90 53 56 57 55 83 C4 D8 8B E8 8B 7D 14 8B 1F 8B 77 04 85 F6 75 15 8B C5 FF 57 0C 85 C0 75 07 33 C0 E9 AA 01 00 00 8B 1F 8B 77 04 33 C0 4E 8A 03 43 C1 E0 08 85 F6 89 04 24 75 15 8B C5 FF 57 0C 85 C0 75 07 33 C0 E9 85 01 00 00 8B 1F 8B 77 04 4E 33 C0 8A 03 01 04 24 43 83 2C 24 02 83 3C 24 0C 0F 8C 32 01 00 00 33 D2 8D 4C 24 1C 89 54 24 04 89 4C 24 18 85 F6 75 15 8B C5 FF 57 0C 85 C0 75 07 33 C0 E9 47 01 00 00 8B 1F 8B 77 04 4E 8B 44 24 18 8A 13 88 10 43 FF 44 24 04 FF 44 24 18 83 7C 24 04 0C 7C CE 83 2C 24 0C 80 7C 24 1C 41 0F 85 C2 00 00 00 80 7C 24 1D 64 0F 85 B7 00 00 00 80 7C 24 1E 6F 0F 85 AC 00 00 00 80 7C 24 1F 62 0F 85 A1 00 00 00 80 7C 24 20 65 0F 85 96 00 00 00 33 C9 33 C0 8A 4C 24 21 8A 44 24 22 C1 E1 08 33 D2 03 C8 33 C0 89 4C 24 08 33 C9 8A 54 24 23 8A 4C 24 24 C1 E2 08 03 D1 89 54 24 0C 33 D2 8A 44 24 25 8A 54 24 26 C1 E0 08 03 C2 33 C9 89 44 24 10 8A 4C 24 27 89 4C 24 14 8B 45 00 83 C0 18 8B 54 24 08 89 10 8B 4C 24 0C 89 48 04 8B 54 24 10 89 50 08 8B 4C 24 14 89 48 0C 8B 45 00 C7 40 14 4B 00 00 00 BA 01 00 00 00 8B C5 8B 08 FF 51 04 C7 85 1D 01 00 00 01 00 00 00 8A 44 24 14 88 85 21 01 00 00 EB 3D 8B 45 00 C7 40 14 4D 00 00 00 8B 14 24 83 C2 0C 89 50 18 8B C5 BA 01 00 00 00 8B 08 FF 51 04 EB 1C 8B 45 00 C7 40 14 4D 00 00 00 8B 14 24 89 50 18 8B C5 BA 01 00 00 00 8B 08 FF 51 04 89 1F 89 77 04 83 3C 24 00 7E 0B 8B 14 24 8B C5 8B 48 14 FF 51 10 B8 01 00 00 00 83 C4 28 5D 5F 5E 5B C3 90 53 56 57 55 8B D8 83 C4 F4 8B 43 14 89 44 24 08 8B 44 24 08 8B 54 24 08 8B 68 04 8B 3A 85 ED 75 21 8B 54 24 08 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 54 01 00 00 8B 54 24 08 8B 44 24 08 8B 68 04 8B 3A 33 C0 4D 8A 07 47 C1 E0 08 85 ED 89 04 24 75 21 8B 54 24 08 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 23 01 00 00 8B 54 24 08 8B 44 24 08 8B 68 04 8B 3A 4D 33 C0 8A 07 01 04 24 47 83 2C 24 02 83 3C 24 00 0F 8E ED 00 00 00 85 ED 75 21 8B 54 24 08 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 E7 00 00 00 8B 54 24 08 8B 44 24 08 8B 68 04 8B 3A 0F B6 37 47 4D 85 ED 75 21 8B 54 24 08 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 BD 00 00 00 8B 54 24 08 8B 44 24 08 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 04 83 2C 24 02 8B 03 C7 40 14 4E 00 00 00 89 70 18 8B 54 24 04 89 50 1C 8B C3 BA 01 00 00 00 8B 08 FF 51 04 85 F6 7C 05 83 FE 20 7C 12 8B 03 C7 40 14 1A 00 00 00 89 70 18 8B C3 8B 10 FF 12 83 FE 10 7C 0D 8A 4C 24 04 88 8C 33 F0 00 00 00 EB 3A 8A 44 24 04 24 0F 88 84 33 E0 00 00 00 8B 44 24 04 C1 F8 04 88 84 33 F0 00 00 00 3A 84 33 E0 00 00 00 73 16 8B 03 C7 40 14 1B 00 00 00 8B 54 24 04 89 50 18 8B C3 8B 10 FF 12 83 3C 24 00 0F 8F 13 FF FF FF 8B 4C 24 08 89 39 8B 44 24 08 89 68 04 B8 01 00 00 00 83 C4 0C 5D 5F 5E 5B C3 90 90 90 53 56 57 55 8B F8 81 C4 D4 FE FF FF 8B 47 14 89 44 24 0C 8B 44 24 0C 8B 54 24 0C 8B 70 04 8B 1A 85 F6 75 21 8B 54 24 0C 8B C7 FF 52 0C 85 C0 75 07 33 C0 E9 DA 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 33 C0 4E 8A 03 43 C1 E0 08 85 F6 89 04 24 75 21 8B 54 24 0C 8B C7 FF 52 0C 85 C0 75 07 33 C0 E9 A9 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 4E 33 C0 8A 03 01 04 24 43 83 2C 24 02 83 3C 24 00 0F 8E 73 02 00 00 85 F6 75 21 8B 54 24 0C 8B C7 FF 52 0C 85 C0 75 07 33 C0 E9 6D 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 33 C0 4E 8A 03 43 89 44 24 04 8B 07 C7 40 14 4F 00 00 00 8B 54 24 04 89 50 18 8B C7 BA 01 00 00 00 8B 08 FF 51 04 C6 44 24 18 00 33 C0 BD 01 00 00 00 89 44 24 08 8D 44 24 19 89 44 24 10 85 F6 75 21 8B 54 24 0C 8B C7 FF 52 0C 85 C0 75 07 33 C0 E9 0A 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 8B 54 24 10 8A 03 33 C9 43 8A C8 88 02 01 4C 24 08 FF 44 24 10 4E 45 83 FD 10 7E BF 83 2C 24 11 8B 07 83 C0 18 33 D2 8A 54 24 19 89 10 33 C9 8A 4C 24 1A 89 48 04 33 D2 8A 54 24 1B 89 50 08 33 C9 8A 4C 24 1C 89 48 0C 33 D2 8A 54 24 1D 89 50 10 33 C9 8A 4C 24 1E 89 48 14 33 D2 8A 54 24 1F 89 50 18 33 C9 8A 4C 24 20 89 48 1C 8B 07 C7 40 14 55 00 00 00 BA 02 00 00 00 8B C7 8B 08 FF 51 04 8B 07 83 C0 18 33 D2 8A 54 24 21 89 10 33 C9 8A 4C 24 22 89 48 04 33 D2 8A 54 24 23 89 50 08 33 C9 8A 4C 24 24 89 48 0C 33 D2 8A 54 24 25 89 50 10 33 C9 8A 4C 24 26 89 48 14 33 D2 8A 54 24 27 89 50 18 33 C9 8A 4C 24 28 89 48 1C 8B 07 C7 40 14 55 00 00 00 BA 02 00 00 00 8B C7 8B 08 FF 51 04 81 7C 24 08 00 01 00 00 7F 09 8B 44 24 08 3B 04 24 7E 0F 8B 17 8B C7 C7 42 14 1C 00 00 00 8B 10 FF 12 33 ED 8D 44 24 2C 89 44 24 14 3B 6C 24 08 7D 3A 85 F6 75 21 8B 54 24 0C 8B C7 FF 52 0C 85 C0 75 07 33 C0 E9 D1 00 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 4E 8B 44 24 14 8A 13 88 10 43 45 FF 44 24 14 3B 6C 24 08 7C C6 8B 4C 24 08 29 0C 24 F6 44 24 04 10 74 16 83 6C 24 04 10 8B 6C 24 04 C1 E5 02 03 EF 81 C5 C0 00 00 00 EB 0F 8B 6C 24 04 C1 E5 02 03 EF 81 C5 B0 00 00 00 83 7C 24 04 00 7C 07 83 7C 24 04 04 7C 16 8B 07 C7 40 }
	condition:
		$1
}

rule function_9200_0 {
	meta:
		name = "_NF__189"
		size = 300
	strings:
		$1 = { 53 56 8B F0 57 55 8B EA 8B 06 8B 9E 92 01 00 00 83 CA FF C7 40 14 75 00 00 00 89 58 18 89 68 1C 8B C6 8B 08 FF 51 04 81 FB C0 00 00 00 7D 07 BF 02 00 00 00 EB 68 81 FB D0 00 00 00 7C 08 81 FB D7 00 00 00 7E 07 BF 03 00 00 00 EB 51 8D 45 01 83 E0 07 05 D0 00 00 00 3B D8 74 10 8D 55 02 83 E2 07 81 C2 D0 00 00 00 3B DA 75 07 BF 03 00 00 00 EB 2B 8D 45 FF 83 E0 07 05 D0 00 00 00 3B D8 74 10 8D 55 FE 83 E2 07 81 C2 D0 00 00 00 3B DA 75 07 BF 02 00 00 00 EB 05 BF 01 00 00 00 8B 06 C7 40 14 60 00 00 00 89 58 18 89 78 1C BA 04 00 00 00 8B C6 8B 08 FF 51 04 4F 74 0B 4F 74 17 4F 74 2E E9 60 FF FF FF 33 D2 B8 01 00 00 00 89 96 92 01 00 00 EB 1F 8B C6 E8 EB F9 FF FF 85 C0 75 04 33 C0 EB 10 8B 9E 92 01 00 00 E9 37 FF FF FF B8 01 00 00 00 5D 5F 5E 5B C3 90 90 33 D2 89 90 D4 00 00 00 33 C9 89 88 8C 00 00 00 33 D2 89 90 92 01 00 00 8B 90 AA 01 00 00 33 C9 89 4A 50 33 C9 89 4A 54 33 C0 89 42 5C C3 90 90 }
	condition:
		$1
}

rule function_9201_0 {
	meta:
		name = "_NF__18A"
		size = 105
		refs = "001e _NF__188"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 60 00 00 00 33 D2 8B 70 04 FF 16 8B F0 33 C0 89 B3 AA 01 00 00 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? C7 46 08 ?? ?? ?? ?? C7 46 0C ?? ?? ?? ?? 8B 93 AA 01 00 00 C7 44 82 10 ?? ?? ?? ?? 40 83 F8 10 7C EC 8B 83 AA 01 00 00 C7 40 10 ?? ?? ?? ?? C7 40 48 ?? ?? ?? ?? 8B C3 E8 6A FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_9202_0 {
	meta:
		name = "_NF__18B"
		size = 24
	strings:
		$1 = { 53 8B DA 8B C8 8D 43 FF 03 C8 8B C1 99 F7 FB 8B C1 2B C2 5B C3 90 90 90 }
	condition:
		$1
}

rule function_9203_0 {
	meta:
		name = "_NF__18C"
		size = 76
		refs = "0036 _NF__CE"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 8B 45 08 C1 E2 02 89 45 FC 03 DA 8B 55 10 C1 E2 02 8B F1 03 F2 8B 7D 0C 85 FF 7E 1D 8B 03 83 C3 04 8B 16 83 C6 04 8B 4D FC 51 50 52 E8 ?? ?? ?? ?? 83 C4 0C 4F 85 FF 7F E3 5F 5E 5B 59 5D C2 0C 00 90 90 }
	condition:
		$1
}

rule function_9204_0 {
	meta:
		name = "_NF__18D"
		size = 15
		refs = "0007 _NF__CE"
	strings:
		$1 = { C1 E1 07 51 50 52 E8 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_9205_0 {
	meta:
		name = "_NF__18F"
		size = 44
	strings:
		$1 = { 53 56 8B F0 BB 01 00 00 00 8B D3 8B C6 8B 48 04 FF 51 24 4B 85 DB 7F F1 83 7E 0C 00 B8 C8 00 00 00 75 03 83 C0 9C 89 46 10 5E 5B C3 }
	condition:
		$1
}

rule function_9206_0 {
	meta:
		name = "_NF__190"
		size = 32
	strings:
		$1 = { 53 8B D8 83 7B 04 00 74 08 8B C3 8B 50 04 FF 52 28 33 C9 33 C0 89 4B 04 89 43 10 5B C3 90 90 90 }
	condition:
		$1
}

rule function_9207_0 {
	meta:
		name = "_NF__191"
		size = 24
	strings:
		$1 = { 53 B9 84 00 00 00 33 D2 8B 58 04 FF 13 33 D2 89 90 80 00 00 00 5B C3 90 }
	condition:
		$1
}

rule function_9208_0 {
	meta:
		name = "_NF__192"
		size = 23
	strings:
		$1 = { 53 B9 15 01 00 00 33 D2 8B 58 04 FF 13 33 D2 89 90 11 01 00 00 5B C3 }
	condition:
		$1
}

rule function_9209_0 {
	meta:
		name = "_NF__193"
		size = 212
		refs = "0043 _NF__D0 00b3 _NF__D1"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 B9 00 10 00 00 8B 5E 14 BA 01 00 00 00 8B 70 04 FF 16 8B F8 89 7B 18 89 3B C7 43 04 00 10 00 00 5F 5E 5B C3 90 53 56 8B F0 8B 5E 14 8B 43 14 50 68 00 10 00 00 6A 01 8B 53 18 52 E8 ?? ?? ?? ?? 83 C4 10 3D 00 10 00 00 74 0F 8B 0E 8B C6 C7 41 14 24 00 00 00 8B 10 FF 12 8B 4B 18 B8 01 00 00 00 89 0B C7 43 04 00 10 00 00 5E 5B C3 53 56 57 8B F8 8B 5F 14 BE 00 10 00 00 2B 73 04 85 F6 76 26 8B 43 14 50 56 6A 01 8B 53 18 52 E8 ?? ?? ?? ?? 83 C4 10 3B F0 74 0F 8B 0F 8B C7 C7 41 14 24 00 00 00 8B 10 FF 12 8B 4B 14 51 E8 ?? ?? ?? ?? 59 8B 43 14 F6 40 12 10 74 0F 8B 17 8B C7 C7 42 14 24 00 00 00 8B 10 FF 12 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9210_0 {
	meta:
		name = "_NF__194"
		size = 61
		refs = "0024 _NF__193"
	strings:
		$1 = { 53 8B D8 56 57 83 7B 14 00 8B F2 75 11 8B C3 B9 1C 00 00 00 33 D2 8B 78 04 FF 17 89 43 14 8B 43 14 C7 40 08 ?? ?? ?? ?? C7 40 0C ?? ?? ?? ?? C7 40 10 ?? ?? ?? ?? 89 70 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9211_0 {
	meta:
		name = "_NF__195"
		size = 252
		refs = "0033 _NF__191 00a4 _NV__19A"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 56 57 89 4D FC 83 7B 10 64 8D 74 93 40 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 83 3E 00 75 09 8B C3 E8 ?? ?? ?? ?? 89 06 33 C9 8B 55 FC 8B DA 8B 03 F7 6D 0C 83 C0 32 BF 64 00 00 00 99 F7 FF 85 C0 7F 05 B8 01 00 00 00 3D FF 7F 00 00 7E 05 B8 FF 7F 00 00 83 7D 08 00 74 0C 3D FF 00 00 00 7E 05 B8 FF 00 00 00 8B 16 83 C3 04 66 89 04 4A 41 83 F9 40 7C BA 8B 0E 33 C0 89 81 80 00 00 00 5F 5E 5B 59 5D C2 08 00 53 56 57 8B F9 8B F2 8B D8 56 57 B9 ?? ?? ?? ?? 33 D2 8B C3 E8 4F FF FF FF 56 57 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 3C FF FF FF 5F 5E 5B C3 8B C8 85 C9 7F 05 B9 01 00 00 00 83 F9 64 7E 05 B9 64 00 00 00 83 F9 32 7D 0C B8 88 13 00 00 99 F7 F9 8B C8 EB 0B 03 C9 B8 C8 00 00 00 2B C1 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_9212_0 {
	meta:
		name = "_NF__196"
		size = 196
		refs = "0030 _NF__192 003d _NF__CE 0070 _NV__19A"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C2 E8 BF FF FF FF 8B D0 8B CE 8B C3 E8 84 FF FF FF 5E 5B C3 90 55 8B EC 53 8B DA 56 57 83 3B 00 8B F8 8B F1 75 09 8B C7 E8 ?? ?? ?? ?? 89 03 6A 11 56 8B 13 52 E8 ?? ?? ?? ?? 83 C4 0C 68 00 01 00 00 8B 4D 08 51 8B 03 83 C0 11 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 13 33 C9 89 8A 11 01 00 00 5F 5E 5B 5D C2 04 00 53 8B D8 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8D 53 50 8B C3 E8 99 FF FF FF 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8D 53 60 8B C3 E8 85 FF FF FF 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8D 53 54 8B C3 E8 71 FF FF FF 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8D 53 64 8B C3 E8 5D FF FF FF 5B C3 90 90 90 }
	condition:
		$1
}

rule function_9213_0 {
	meta:
		name = "_NF__197"
		size = 356
		refs = "00fb _NF__195"
	strings:
		$1 = { 53 8B D8 56 83 7B 10 64 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 83 7B 3C 00 75 11 8B C3 B9 48 03 00 00 33 D2 8B 70 04 FF 16 89 43 3C C7 43 30 08 00 00 00 B9 01 00 00 00 BA 4B 00 00 00 8B C3 E8 EE FE FF FF 8B C3 E8 53 FF FF FF 33 D2 8D 43 70 C6 00 00 C6 40 10 01 C6 40 20 05 42 40 83 FA 10 7C EE 33 D2 33 C9 89 93 A4 00 00 00 89 8B A0 00 00 00 33 C0 33 D2 89 83 A8 00 00 00 33 C9 89 93 AC 00 00 00 89 8B B0 00 00 00 83 7B 30 08 7E 0A C7 83 B0 00 00 00 01 00 00 00 33 C0 89 83 B4 00 00 00 33 D2 89 93 B8 00 00 00 33 C9 89 8B BC 00 00 00 33 C0 89 83 C0 00 00 00 33 D2 89 93 C4 00 00 00 C6 83 CC 00 00 00 00 66 C7 83 CD 00 00 00 01 00 66 C7 83 CF 00 00 00 01 00 8B C3 E8 04 00 00 00 5E 5B C3 90 8B 50 24 83 FA 05 77 5E FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA 01 00 00 00 E8 43 00 00 00 C3 BA 03 00 00 00 E8 38 00 00 00 C3 BA 03 00 00 00 E8 2D 00 00 00 C3 BA 04 00 00 00 E8 22 00 00 00 C3 BA 05 00 00 00 E8 17 00 00 00 C3 33 D2 E8 0F 00 00 00 C3 8B 08 C7 41 14 07 00 00 00 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_9214_0 {
	meta:
		name = "_NF__198"
		size = 1128
		refs = "0040 _NF__195"
	strings:
		$1 = { 53 8B D8 56 8B F2 83 7B 10 64 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 89 73 38 33 C9 89 8B C8 00 00 00 33 C0 89 83 D1 00 00 00 83 FE 05 0F 87 66 03 00 00 FF 24 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 83 C8 00 00 00 01 00 00 00 C7 43 34 01 00 00 00 8B 43 3C 33 D2 33 C9 C7 00 01 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 5E 5B C3 C7 83 D1 00 00 00 01 00 00 00 C7 43 34 03 00 00 00 8B 43 3C 33 C9 33 D2 C7 00 52 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 50 14 89 48 18 8B 43 3C 33 D2 83 C0 54 33 C9 C7 00 47 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 3C 33 C9 05 A8 00 00 00 33 D2 C7 00 42 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 50 14 89 48 18 5E 5B C3 C7 83 C8 00 00 00 01 00 00 00 C7 43 34 03 00 00 00 8B 43 3C 33 D2 33 C9 C7 00 01 00 00 00 C7 40 08 02 00 00 00 C7 40 0C 02 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 3C 83 C0 54 C7 00 02 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 C7 40 10 01 00 00 00 C7 40 14 01 00 00 00 C7 40 18 01 00 00 00 8B 43 3C 05 A8 00 00 00 C7 00 03 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 C7 40 10 01 00 00 00 C7 40 14 01 00 00 00 C7 40 18 01 00 00 00 5E 5B C3 C7 83 D1 00 00 00 01 00 00 00 C7 43 34 04 00 00 00 8B 43 3C 33 D2 33 C9 C7 00 43 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 3C 33 C9 83 C0 54 33 D2 C7 00 4D 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 50 14 89 48 18 8B 43 3C 33 D2 05 A8 00 00 00 33 C9 C7 00 59 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 3C 33 C9 05 FC 00 00 00 33 D2 C7 00 4B 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 50 14 89 48 18 5E 5B C3 C7 83 D1 00 00 00 01 00 00 00 C7 43 34 04 00 00 00 8B 43 3C 33 D2 33 C9 C7 00 01 00 00 00 C7 40 08 02 00 00 00 C7 40 0C 02 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 3C 33 D2 83 C0 54 33 C9 C7 00 02 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 C7 40 10 01 00 00 00 C7 40 14 01 00 00 00 C7 40 18 01 00 00 00 8B 43 3C 05 A8 00 00 00 C7 00 03 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 C7 40 10 01 00 00 00 C7 40 14 01 00 00 00 C7 40 18 01 00 00 00 8B 43 3C 05 FC 00 00 00 C7 00 04 00 00 00 C7 40 08 02 00 00 00 C7 40 0C 02 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 5E 5B C3 8B 43 20 89 43 34 8B 43 34 83 F8 01 7C 05 83 F8 0A 7E 1C 8B 03 C7 40 14 18 00 00 00 8B 53 34 89 50 18 C7 40 1C 0A 00 00 00 8B C3 8B 10 FF 12 33 D2 EB 2C 8D 04 92 33 C9 8D 04 82 C1 E0 02 03 43 3C 89 10 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 48 14 33 C9 89 48 18 42 3B 53 34 7C CF 5E 5B C3 8B 03 C7 40 14 08 00 00 00 8B C3 8B 10 FF 12 5E 5B C3 90 90 90 55 8B EC C7 00 01 00 00 00 89 50 04 89 48 14 8B 55 10 89 50 18 8B 4D 0C 89 48 1C 8B 55 08 89 50 20 83 C0 24 5D C2 0C 00 55 8B EC 53 56 57 8B 75 10 33 DB 3B D3 7E 23 C7 00 01 00 00 00 89 58 04 89 48 14 89 70 18 8B 7D 0C 43 89 78 1C 8B 7D 08 89 78 20 83 C0 24 3B D3 7F DD 5F 5E 5B 5D C2 0C 00 90 90 90 55 8B EC 53 56 83 FA 04 7F 2B 89 10 33 DB 8D 70 04 3B D3 7E 0A 89 1E 43 83 C6 04 3B D3 7F F6 33 D2 89 50 18 89 50 14 89 48 1C 8B 4D 08 89 48 20 83 C0 24 EB 0E 6A 00 51 8B 4D 08 51 33 C9 E8 81 FF FF FF 5E 5B 5D C2 04 00 90 90 90 }
	condition:
		$1
}

rule function_9215_0 {
	meta:
		name = "_NF__199"
		size = 483
	strings:
		$1 = { 53 56 57 8B F8 51 83 7F 10 64 8B 77 34 74 15 8B 07 C7 40 14 12 00 00 00 8B 57 10 89 50 18 8B C7 8B 10 FF 12 83 FE 03 75 0F 83 7F 38 03 75 09 C7 04 24 0A 00 00 00 EB 1C 83 FE 04 7E 0C 8B CE 03 C9 8D 0C 49 89 0C 24 EB 0B 8B C6 C1 E0 02 83 C0 02 89 04 24 8B 0C 24 8B C7 C1 E1 02 33 D2 8B 58 04 8D 0C C9 FF 13 8B D8 83 FE 03 89 9F A4 00 00 00 8B 04 24 89 87 A0 00 00 00 0F 85 E7 00 00 00 83 7F 38 03 0F 85 DD 00 00 00 6A 01 33 C9 8B D6 8B C3 E8 1D FF FF FF 8B D8 6A 05 6A 00 6A 02 B9 01 00 00 00 33 D2 8B C3 E8 A3 FE FF FF 8B D8 6A 3F 6A 00 6A 01 B9 01 00 00 00 BA 02 00 00 00 8B C3 E8 8A FE FF FF 8B D8 6A 3F 6A 00 6A 01 B9 01 00 00 00 BA 01 00 00 00 8B C3 E8 71 FE FF FF 8B D8 6A 3F 6A 00 6A 02 B9 06 00 00 00 33 D2 8B C3 E8 5B FE FF FF 8B D8 6A 3F 6A 02 6A 01 B9 01 00 00 00 33 D2 8B C3 E8 45 FE FF FF 8B D8 6A 00 B9 01 00 00 00 8B D6 8B C3 E8 97 FE FF FF 8B D8 6A 3F 6A 01 6A 00 B9 01 00 00 00 BA 02 00 00 00 8B C3 E8 1A FE FF FF 8B D8 6A 3F 6A 01 6A 00 B9 01 00 00 00 BA 01 00 00 00 8B C3 E8 01 FE FF FF 8B D8 6A 3F 6A 01 6A 00 B9 01 00 00 00 33 D2 8B C3 E8 EB FD FF FF EB 77 6A 01 33 C9 8B D6 8B C3 E8 40 FE FF FF 8B D8 6A 05 6A 00 6A 02 B9 01 00 00 00 8B D6 8B C3 E8 EE FD FF FF 8B D8 6A 3F 6A 00 6A 02 B9 06 00 00 00 8B D6 8B C3 E8 D8 FD FF FF 8B D8 6A 3F 6A 02 6A 01 B9 01 00 00 00 8B D6 8B C3 E8 C2 FD FF FF 8B D8 6A 00 B9 01 00 00 00 8B D6 8B C3 E8 EC FD FF FF 8B D8 6A 3F 6A 01 6A 00 B9 01 00 00 00 8B D6 8B C3 E8 9A FD FF FF 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9216_0 {
	meta:
		name = "_NF__19B"
		size = 108
		refs = "002a _NF__19E 0040 _NF__1A0"
	strings:
		$1 = { 53 8B D8 56 8B F2 83 7B 10 64 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 85 F6 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 8B C3 8B 50 14 FF 52 08 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 90 41 01 00 00 FF 12 33 C9 89 8B D5 00 00 00 B8 66 00 00 00 83 BB A8 00 00 00 00 75 01 48 89 43 10 5E 5B C3 90 }
	condition:
		$1
}

rule function_9217_0 {
	meta:
		name = "_NF__19C"
		size = 361
	strings:
		$1 = { 53 8B D8 56 57 51 8B FA 83 7B 10 65 8B F1 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 8B D5 00 00 00 3B 4B 1C 72 13 8B 03 C7 40 14 77 00 00 00 83 CA FF 8B C3 8B 08 FF 51 04 8B 43 08 85 C0 74 16 8B 93 D5 00 00 00 89 50 04 8B 4B 1C 89 48 08 8B C3 8B 50 08 FF 12 8B 8B 41 01 00 00 83 79 0C 00 74 0B 8B C3 8B 90 41 01 00 00 FF 52 04 8B 43 1C 2B 83 D5 00 00 00 3B C6 73 02 8B F0 33 C0 8B D7 89 04 24 8B C3 56 8D 4C 24 04 8B B0 45 01 00 00 FF 56 04 8B 04 24 01 83 D5 00 00 00 8B 04 24 5A 5F 5E 5B C3 90 90 53 8B D8 56 57 55 8B E9 83 7B 10 66 8B FA 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 8B D5 00 00 00 3B 4B 1C 72 17 8B 03 C7 40 14 77 00 00 00 83 CA FF 8B C3 8B 08 FF 51 04 33 C0 EB 6D 8B 43 08 85 C0 74 16 8B 93 D5 00 00 00 89 50 04 8B 4B 1C 89 48 08 8B C3 8B 50 08 FF 12 8B 8B 41 01 00 00 83 79 0C 00 74 0B 8B C3 8B 90 41 01 00 00 FF 52 04 8B B3 E1 00 00 00 C1 E6 03 3B F5 76 0F 8B 03 C7 40 14 15 00 00 00 8B C3 8B 10 FF 12 8B D7 8B C3 8B 88 4D 01 00 00 FF 51 04 85 C0 75 04 33 C0 EB 08 01 B3 D5 00 00 00 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9218_0 {
	meta:
		name = "_NF__19D"
		size = 200
		refs = "0055 _NF__CD 0066 _NF__150 00b9 _NF__190 00c1 _NF__18F"
	strings:
		$1 = { 53 8B D8 33 C0 56 8B F1 89 43 04 83 FA 3D 74 19 8B 03 C7 40 14 0A 00 00 00 C7 40 18 3D 00 00 00 89 50 1C 8B C3 8B 10 FF 12 81 FE 65 01 00 00 74 19 8B 03 C7 40 14 13 00 00 00 C7 40 18 65 01 00 00 89 70 1C 8B C3 8B 10 FF 12 8B 33 68 65 01 00 00 6A 00 53 E8 ?? ?? ?? ?? 83 C4 0C 89 33 33 C0 89 43 0C 8B C3 E8 ?? ?? ?? ?? 33 D2 33 C9 89 53 08 89 4B 14 33 C0 8D 53 40 89 43 3C 33 C0 33 C9 40 89 0A 83 C2 04 83 F8 04 7C F3 33 C0 8D 53 50 33 C9 40 89 0A 33 C9 89 4A 10 83 C2 04 83 F8 04 7C EE 33 C0 89 43 28 C7 43 2C 00 00 F0 3F C7 43 10 64 00 00 00 5E 5B C3 E8 ?? ?? ?? ?? C3 90 90 E8 ?? ?? ?? ?? C3 90 90 }
	condition:
		$1
}

rule function_9219_0 {
	meta:
		name = "_NF__19E"
		size = 72
	strings:
		$1 = { 53 56 33 C9 8D 58 40 8B 33 85 F6 74 06 89 96 80 00 00 00 41 83 C3 04 83 F9 04 7C EB 33 C9 83 C0 50 8B 18 85 DB 74 06 89 93 11 01 00 00 8B 58 10 85 DB 74 06 89 93 11 01 00 00 41 83 C0 04 83 F9 04 7C DE 5E 5B C3 90 90 }
	condition:
		$1
}

rule function_9220_0 {
	meta:
		name = "_NF__19F"
		size = 388
		refs = "00d3 _NF__18F 0164 _NF__1A2"
	strings:
		$1 = { 53 8B D8 56 8B 43 10 83 F8 65 74 05 83 F8 66 75 27 8B 93 D5 00 00 00 3B 53 1C 73 0F 8B 0B 8B C3 C7 41 14 42 00 00 00 8B 10 FF 12 8B C3 8B 90 41 01 00 00 FF 52 08 EB 79 83 7B 10 67 74 73 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 EB 5C 8B C3 8B 90 41 01 00 00 FF 12 33 F6 EB 3B 8B 43 08 85 C0 74 13 89 70 04 8B 93 E5 00 00 00 89 50 08 8B C3 8B 50 08 FF 12 33 D2 8B C3 8B 88 4D 01 00 00 FF 51 04 85 C0 75 0F 8B 03 C7 40 14 16 00 00 00 8B C3 8B 10 FF 12 46 3B B3 E5 00 00 00 72 BD 8B C3 8B 90 41 01 00 00 FF 52 08 8B 8B 41 01 00 00 83 79 10 00 74 98 8B C3 8B 90 51 01 00 00 FF 52 10 8B C3 8B 50 14 FF 52 10 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 90 90 55 8B EC 53 8B D8 56 57 83 BB D5 00 00 00 00 8B F9 8B F2 75 12 8B 43 10 83 F8 65 74 1F 83 F8 66 74 1A 83 F8 67 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B C3 8B 4D 08 51 8B CF 8B 98 51 01 00 00 8B D6 FF 13 5F 5E 5B 5D C2 04 00 90 90 90 53 8B D8 83 7B 10 64 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B C3 8B 10 FF 52 10 8B C3 8B 50 14 FF 52 08 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 90 51 01 00 00 FF 52 14 8B C3 8B 50 14 FF 52 10 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9221_0 {
	meta:
		name = "_NF__1A0"
		size = 173
		refs = "0008 _NF__1A4 0018 _NF__1AC 001f _NF__1AE 0028 _NF__1A8 002f _NF__1B0 0059 _NF__1B3 0062 _NF__1BA 0084 _NF__1AA 008d _NF__1A6 0094 _NF__1A2"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 83 BB A8 00 00 00 00 75 17 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BB AC 00 00 00 00 74 11 8B 13 8B C3 C7 42 14 01 00 00 00 8B 10 FF 12 EB 19 83 BB D9 00 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 83 BB A0 00 00 00 01 7F 0D 83 BB B0 00 00 00 00 75 04 33 D2 EB 05 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 50 04 FF 52 18 8B C3 8B 90 51 01 00 00 FF 52 04 5B C3 }
	condition:
		$1
}

rule function_9222_0 {
	meta:
		name = "_NF__1A1"
		size = 1952
		refs = "00fe _NV__18E"
	strings:
		$1 = { 53 8B D8 8B 43 14 8B 08 FF 00 88 11 FF 48 04 75 1A 8B D0 8B C3 FF 52 0C 85 C0 75 0F 8B 13 8B C3 C7 42 14 16 00 00 00 8B 10 FF 12 5B C3 90 90 90 53 56 8B F2 8B D8 BA FF 00 00 00 8B C3 E8 BE FF FF FF 8B D6 8B C3 E8 B5 FF FF FF 5E 5B C3 90 90 53 56 8B F2 8B D8 8B D6 8B C3 C1 FA 08 81 E2 FF 00 00 00 E8 98 FF FF FF 8B D6 8B C3 81 E2 FF 00 00 00 E8 89 FF FF FF 5E 5B C3 90 90 53 56 57 55 83 C4 F4 89 14 24 8B F0 8B 04 24 8B 6C 86 40 85 ED 75 15 8B 06 C7 40 14 33 00 00 00 8B 14 24 89 50 18 8B C6 8B 10 FF 12 33 FF 33 DB 8B C5 66 81 38 FF 00 76 05 BF 01 00 00 00 43 83 C0 02 83 FB 40 7C EB 83 BD 80 00 00 00 00 75 7F BA DB 00 00 00 8B C6 E8 58 FF FF FF BA 83 00 00 00 85 FF 75 03 83 C2 C0 8B C6 E8 65 FF FF FF 8B D7 8B C6 C1 E2 04 03 14 24 E8 06 FF FF FF C7 44 24 08 ?? ?? ?? ?? 33 DB 8B 44 24 08 85 FF 8B 10 0F B7 4C 55 00 89 4C 24 04 74 0E 8B 54 24 04 8B C6 C1 EA 08 E8 DB FE FF FF 8B 54 24 04 8B C6 81 E2 FF 00 00 00 E8 CA FE FF FF 43 83 44 24 08 04 83 FB 40 7C C3 C7 85 80 00 00 00 01 00 00 00 8B C7 83 C4 0C 5D 5F 5E 5B C3 90 90 90 53 56 57 55 83 C4 F4 89 14 24 8B F0 85 C9 74 0D 8B 04 24 8B 7C 86 60 83 04 24 10 EB 07 8B 04 24 8B 7C 86 50 85 FF 75 15 8B 06 C7 40 14 31 00 00 00 8B 14 24 89 50 18 8B C6 8B 10 FF 12 83 BF 11 01 00 00 00 0F 85 89 00 00 00 BA C4 00 00 00 8B C6 E8 82 FE FF FF 33 ED BB 01 00 00 00 8D 47 01 33 D2 43 8A 10 40 03 EA 83 FB 10 7E F3 8D 55 13 8B C6 E8 81 FE FF FF 8B 14 24 8B C6 E8 27 FE FF FF BB 01 00 00 00 8D 47 01 89 44 24 04 8B 54 24 04 0F B6 12 8B C6 E8 0D FE FF FF 43 FF 44 24 04 83 FB 10 7E E8 33 DB 8D 47 11 89 44 24 08 3B EB 7E 17 8B 54 24 08 0F B6 12 8B C6 E8 E8 FD FF FF 43 FF 44 24 08 3B EB 7F E9 C7 87 11 01 00 00 01 00 00 00 83 C4 0C 5D 5F 5E 5B C3 90 C3 90 90 90 53 8B D8 BA DD 00 00 00 8B C3 E8 E9 FD FF FF BA 04 00 00 00 8B C3 E8 FD FD FF FF 8B 93 C0 00 00 00 8B C3 E8 F0 FD FF FF 5B C3 90 90 53 56 57 8B D8 8B C3 E8 C0 FD FF FF 8B 53 34 8B C3 8D 14 52 83 C2 08 E8 D0 FD FF FF 81 7B 1C FF FF 00 00 7F 09 81 7B 18 FF FF 00 00 7E 16 8B 03 C7 40 14 28 00 00 00 C7 40 18 FF FF 00 00 8B C3 8B 10 FF 12 8B 53 30 8B C3 E8 4E FD FF FF 8B 53 1C 8B C3 E8 94 FD FF FF 8B 53 18 8B C3 E8 8A FD FF FF 8B 53 34 8B C3 E8 30 FD FF FF 33 FF 8B 73 3C EB 27 8B 16 8B C3 E8 20 FD FF FF 8B 56 08 8B C3 C1 E2 04 03 56 0C E8 10 FD FF FF 8B 56 10 8B C3 E8 06 FD FF FF 47 83 C6 54 3B 7B 34 7C D4 5F 5E 5B C3 90 53 56 57 55 8B D8 BA DA 00 00 00 8B C3 E8 16 FD FF FF 8B 93 E9 00 00 00 8B C3 03 D2 83 C2 06 E8 24 FD FF FF 8B 93 E9 00 00 00 8B C3 E8 C7 FC FF FF 33 ED 8D BB ED 00 00 00 EB 4D 8B 37 8B C3 8B 16 E8 B2 FC FF FF 8B 46 14 8B 56 18 83 BB D9 00 00 00 00 74 23 83 BB 31 01 00 00 00 75 18 33 D2 83 BB 39 01 00 00 00 74 0F 83 BB AC 00 00 00 00 75 06 33 C0 EB 02 33 C0 C1 E0 04 03 D0 8B C3 E8 74 FC FF FF 45 83 C7 04 3B AB E9 00 00 00 7C AB 8B 93 31 01 00 00 8B C3 E8 5B FC FF FF 8B 93 35 01 00 00 8B C3 E8 4E FC FF FF 8B 93 39 01 00 00 8B C3 C1 E2 04 03 93 3D 01 00 00 E8 38 FC FF FF 5D 5F 5E 5B C3 90 90 90 53 8B D8 BA E0 00 00 00 8B C3 E8 51 FC FF FF BA 10 00 00 00 8B C3 E8 65 FC FF FF BA 4A 00 00 00 8B C3 E8 09 FC FF FF BA 46 00 00 00 8B C3 E8 FD FB FF FF BA 49 00 00 00 8B C3 E8 F1 FB FF FF BA 46 00 00 00 8B C3 E8 E5 FB FF FF 33 D2 8B C3 E8 DC FB FF FF BA 01 00 00 00 8B C3 E8 D0 FB FF FF BA 01 00 00 00 8B C3 E8 C4 FB FF FF 33 D2 8B C3 8A 93 CC 00 00 00 E8 B5 FB FF FF 0F B7 93 CD 00 00 00 8B C3 E8 F7 FB FF FF 0F B7 93 CF 00 00 00 8B C3 E8 E9 FB FF FF 33 D2 8B C3 E8 90 FB FF FF 33 D2 8B C3 E8 87 FB FF FF 5B C3 90 53 8B D8 BA EE 00 00 00 8B C3 E8 A5 FB FF FF BA 0E 00 00 00 8B C3 E8 B9 FB FF FF BA 41 00 00 00 8B C3 E8 5D FB FF FF BA 64 00 00 00 8B C3 E8 51 FB FF FF BA 6F 00 00 00 8B C3 E8 45 FB FF FF BA 62 00 00 00 8B C3 E8 39 FB FF FF BA 65 00 00 00 8B C3 E8 2D FB FF FF BA 64 00 00 00 8B C3 E8 71 FB FF FF 33 D2 8B C3 E8 68 FB FF FF 33 D2 8B C3 E8 5F FB FF FF 8B 4B 38 83 E9 03 74 07 83 E9 02 74 10 EB 1C BA 01 00 00 00 8B C3 E8 F4 FA FF FF 5B C3 BA 02 00 00 00 8B C3 E8 E6 FA FF FF 5B C3 33 D2 8B C3 E8 DB FA FF FF 5B C3 90 55 8B EC 53 56 57 8B D9 8B F8 8B 75 08 81 FE FD FF 00 00 77 28 8B C7 E8 EC FA FF FF 8D 56 02 8B C7 E8 02 FB FF FF EB 0C 33 D2 8B C7 8A 13 E8 A5 FA FF FF 43 8B D6 83 C6 FF 85 D2 75 EB 5F 5E 5B 5D C2 04 00 53 8B D8 BA D8 00 00 00 8B C3 E8 B5 FA FF FF 83 BB C8 00 00 00 00 74 07 8B C3 E8 45 FE FF FF 83 BB D1 00 00 00 00 74 07 8B C3 E8 E1 FE FF FF 5B C3 90 90 90 53 56 57 55 51 8B D8 33 C0 89 04 24 33 FF 8B 73 3C EB 11 8B 56 10 8B C3 E8 BF FA FF FF 01 04 24 47 83 C6 54 3B 7B 34 7C EA 83 BB AC 00 00 00 00 75 0F 83 BB D9 00 00 00 00 75 06 83 7B 30 08 74 04 33 ED EB 41 BD 01 00 00 00 33 FF 8B 73 3C EB 12 83 7E 14 01 7F 06 83 7E 18 01 7E 02 33 ED 47 83 C6 54 3B 7B 34 7C E9 83 3C 24 00 74 18 85 ED 74 14 33 ED 8B 03 C7 40 14 4A 00 00 00 33 D2 8B C3 8B 08 FF 51 04 83 BB AC 00 00 00 00 74 0E BA C9 00 00 00 8B C3 E8 29 FC FF FF EB 35 83 BB D9 00 00 00 00 74 0E BA C2 00 00 00 8B C3 E8 12 FC FF FF EB 1E 85 ED 74 0E BA C0 00 00 00 8B C3 E8 00 FC FF FF EB 0C BA C1 00 00 00 8B C3 E8 F2 FB FF FF 5A 5D 5F 5E 5B C3 53 8B D8 56 57 55 83 BB AC 00 00 00 00 74 09 8B C3 E8 A6 FB FF FF EB 6D 33 ED 8D BB ED 00 00 00 EB 5B 83 BB D9 00 00 00 00 8B 37 74 31 83 BB 31 01 00 00 00 75 17 83 BB 39 01 00 00 00 75 3A 33 C9 8B 56 14 8B C3 E8 95 FA FF FF EB 2C B9 01 00 00 00 8B 56 18 8B C3 E8 84 FA FF FF EB 1B 33 C9 8B 56 14 8B C3 E8 76 FA FF FF B9 01 00 00 00 8B 56 18 8B C3 E8 67 FA FF FF 45 83 C7 04 3B AB E9 00 00 00 7C 9D 83 BB C0 00 00 00 00 74 07 8B C3 E8 2B FB FF FF 8B C3 E8 F4 FB FF FF 5D 5F 5E 5B C3 90 90 90 BA D9 00 00 00 E8 0A F9 FF FF C3 90 53 56 57 8B F8 BA D8 00 00 00 8B C7 E8 F7 F8 FF FF 33 DB 8D 77 40 83 3E 00 74 09 8B D3 8B C7 E8 30 F9 FF FF 43 83 C6 04 83 FB 04 7C E9 83 BF AC 00 00 00 00 75 32 33 DB 8D 77 50 83 3E 00 74 0B 33 C9 8B D3 8B C7 E8 E5 F9 FF FF 83 7E 10 00 74 0E B9 01 00 00 00 8B D3 8B C7 E8 D1 F9 FF FF 43 83 C6 04 83 FB 04 7C D3 BA D9 00 00 00 8B C7 E8 94 F8 FF FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9223_0 {
	meta:
		name = "_NF__1A2"
		size = 73
		refs = "001f _NF__1A1"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 18 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B F0 89 B3 51 01 00 00 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? C7 46 08 ?? ?? ?? ?? C7 46 0C ?? ?? ?? ?? C7 46 10 ?? ?? ?? ?? C7 46 14 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9224_0 {
	meta:
		name = "_NF__1A3"
		size = 2672
	strings:
		$1 = { 53 8B D8 56 57 83 7B 1C 00 76 12 83 7B 18 00 76 0C 83 7B 34 00 7E 06 83 7B 20 00 7F 0F 8B 03 C7 40 14 1F 00 00 00 8B C3 8B 10 FF 12 81 7B 1C DC FF 00 00 7F 09 81 7B 18 DC FF 00 00 7E 16 8B 03 C7 40 14 28 00 00 00 C7 40 18 DC FF 00 00 8B C3 8B 10 FF 12 8B 43 18 F7 6B 20 8B D0 3B C2 74 0F 8B 0B 8B C3 C7 41 14 45 00 00 00 8B 10 FF 12 83 7B 30 08 74 15 8B 03 C7 40 14 0D 00 00 00 8B 53 30 89 50 18 8B C3 8B 10 FF 12 83 7B 34 0A 7E 1C 8B 03 C7 40 14 18 00 00 00 8B 53 34 89 50 18 C7 40 1C 0A 00 00 00 8B C3 8B 10 FF 12 C7 83 DD 00 00 00 01 00 00 00 C7 83 E1 00 00 00 01 00 00 00 33 FF 8B 73 3C EB 63 8B 46 08 85 C0 7E 11 83 F8 04 7F 0C 83 7E 0C 00 7E 06 83 7E 0C 04 7E 0F 8B 13 8B C3 C7 42 14 10 00 00 00 8B 10 FF 12 8B 8B DD 00 00 00 3B 4E 08 7E 08 8B 83 DD 00 00 00 EB 03 8B 46 08 89 83 DD 00 00 00 8B 93 E1 00 00 00 3B 56 0C 7E 08 8B 8B E1 00 00 00 EB 03 8B 4E 0C 89 8B E1 00 00 00 47 83 C6 54 3B 7B 34 7C 98 33 FF 8B 73 3C EB 6F 89 7E 04 47 C7 46 24 08 00 00 00 8B 43 18 8B 8B DD 00 00 00 F7 6E 08 C1 E1 03 03 C1 48 99 F7 F9 89 46 1C 8B 43 1C 8B 8B E1 00 00 00 F7 6E 0C C1 E1 03 03 C1 48 99 F7 F9 89 46 20 8B 43 18 8B 8B DD 00 00 00 F7 6E 08 03 C1 48 99 F7 F9 89 46 28 8B 43 1C 8B 8B E1 00 00 00 F7 6E 0C 03 C1 48 99 F7 F9 89 46 2C C7 46 30 01 00 00 00 83 C6 54 3B 7B 34 7C 8C 8B 8B E1 00 00 00 C1 E1 03 8B C1 03 43 1C 48 99 F7 F9 89 83 E5 00 00 00 5F 5E 5B C3 90 90 53 56 57 8B F0 55 81 C4 B8 F5 FF FF 83 BE A0 00 00 00 00 7F 16 8B 06 33 C9 C7 40 14 11 00 00 00 8B 16 8B C6 89 4A 18 8B 10 FF 12 8B 8E A4 00 00 00 89 0C 24 8B 04 24 83 78 14 00 75 09 8B 14 24 83 7A 18 3F 74 36 C7 86 D9 00 00 00 01 00 00 00 8D 5C 24 48 33 C0 89 44 24 0C EB 15 33 FF C7 03 FF FF FF FF 83 C3 04 47 83 FF 40 7C F1 FF 44 24 0C 8B 44 24 0C 3B 46 34 7C E2 EB 28 33 D2 33 C9 89 96 D9 00 00 00 89 4C 24 0C 8D 44 24 20 EB 0B 33 D2 89 10 FF 44 24 0C 83 C0 04 8B 4C 24 0C 3B 4E 34 7C EC C7 44 24 04 01 00 00 00 E9 AE 02 00 00 8B 04 24 8B 10 89 54 24 08 83 7C 24 08 00 7E 07 83 7C 24 08 04 7E 1D 8B 06 C7 40 14 18 00 00 00 8B 54 24 08 89 50 18 C7 40 1C 04 00 00 00 8B C6 8B 10 FF 12 33 C9 89 4C 24 0C 8B 04 24 8D 78 04 8B 44 24 0C 3B 44 24 08 7D 54 8B 1F 85 DB 7C 05 3B 5E 34 7C 16 8B 06 C7 40 14 11 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 83 7C 24 0C 00 7E 1B 3B 5F FC 7F 16 8B 06 C7 40 14 11 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 FF 44 24 0C 83 C7 04 8B 4C 24 0C 3B 4C 24 08 7C AC 8B 04 24 8B 50 14 89 54 24 10 8B 0C 24 8B 41 18 89 44 24 14 8B 14 24 8B 04 24 8B 6A 1C 8B 50 20 89 54 24 18 83 BE D9 00 00 00 00 0F 84 5A 01 00 00 83 7C 24 10 00 7C 2F 83 7C 24 10 40 7D 28 8B 4C 24 14 3B 4C 24 10 7C 1E 83 7C 24 14 40 7D 17 85 ED 7C 13 83 FD 0D 7F 0E 83 7C 24 18 00 7C 07 83 7C 24 18 0D 7E 16 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 83 7C 24 10 00 75 1F 83 7C 24 14 00 74 35 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 EB 1D 83 7C 24 08 01 74 16 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 33 C9 89 4C 24 0C 8B 04 24 8D 50 04 89 54 24 1C 8B 4C 24 0C 3B 4C 24 08 0F 8D 2A 01 00 00 8B 44 24 1C 8B 18 C1 E3 08 8D 44 24 48 03 D8 83 7C 24 10 00 74 1B 83 3B 00 7D 16 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 8B 7C 24 10 3B 7C 24 14 8D 04 BB 8B D8 7F 54 83 3B 00 7D 1C 85 ED 74 3B 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 EB 23 3B 2B 75 09 8D 4D FF 3B 4C 24 18 74 16 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 8B 4C 24 18 47 89 0B 83 C3 04 3B 7C 24 14 7E AC FF 44 24 0C 83 44 24 1C 04 8B 44 24 0C 3B 44 24 08 0F 8C 55 FF FF FF EB 7D 83 7C 24 10 00 75 12 83 7C 24 14 3F 75 0B 85 ED 75 07 83 7C 24 18 00 74 16 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 33 C9 89 4C 24 0C 8B 04 24 8D 78 04 8B 44 24 0C 3B 44 24 08 7D 38 8B 1F 83 7C 9C 20 00 74 16 8B 06 C7 40 14 11 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 C7 44 9C 20 01 00 00 00 FF 44 24 0C 83 C7 04 8B 4C 24 0C 3B 4C 24 08 7C C8 83 04 24 24 FF 44 24 04 8B 44 24 04 3B 86 A0 00 00 00 0F 8E 42 FD FF FF 83 BE D9 00 00 00 00 74 35 33 D2 8D 5C 24 48 89 54 24 0C EB 1E 83 3B 00 7D 0F 8B 06 C7 40 14 2C 00 00 00 8B C6 8B 10 FF 12 FF 44 24 0C 81 C3 00 01 00 00 8B 4C 24 0C 3B 4E 34 7C D9 EB 30 33 C0 8D 5C 24 20 89 44 24 0C EB 1B 83 3B 00 75 0F 8B 06 C7 40 14 2C 00 00 00 8B C6 8B 10 FF 12 FF 44 24 0C 83 C3 04 8B 4C 24 0C 3B 4E 34 7C DC 81 C4 48 0A 00 00 5D 5F 5E 5B C3 53 8B D8 56 57 55 8B 93 A4 00 00 00 85 D2 74 6D 8B 83 41 01 00 00 8D B3 ED 00 00 00 8B 48 20 C1 E1 02 8D 0C C9 03 CA 8B D1 8B 02 8D 4A 04 89 83 E9 00 00 00 33 C0 EB 1B 8B 39 40 8B EF 8D 7C BD 00 8D 7C BD 00 C1 E7 02 03 7B 3C 89 3E 83 C6 04 83 C1 04 3B 02 7C E1 8B 42 14 89 83 31 01 00 00 8B 4A 18 89 8B 35 01 00 00 8B 42 1C 89 83 39 01 00 00 8B 52 20 89 93 3D 01 00 00 EB 6E 83 7B 34 04 7E 1C 8B 03 C7 40 14 18 00 00 00 8B 53 34 89 50 18 C7 40 1C 04 00 00 00 8B C3 8B 10 FF 12 8B 4B 34 89 8B E9 00 00 00 33 C0 8D 93 ED 00 00 00 EB 12 8D 0C 80 8D 0C 88 40 C1 E1 02 03 4B 3C 89 0A 83 C2 04 3B 43 34 7C E9 33 C0 33 D2 89 83 31 01 00 00 33 C9 C7 83 35 01 00 00 3F 00 00 00 89 93 39 01 00 00 89 8B 3D 01 00 00 5D 5F 5E 5B C3 53 8B D8 56 57 51 83 BB E9 00 00 00 01 75 67 8B 8B ED 00 00 00 8B 41 1C 89 83 FD 00 00 00 8B 51 20 89 93 01 01 00 00 33 D2 C7 41 34 01 00 00 00 C7 41 38 01 00 00 00 C7 41 3C 01 00 00 00 C7 41 40 08 00 00 00 C7 41 44 01 00 00 00 8B 41 20 8B 71 0C F7 F6 8B C2 85 C0 75 02 8B C6 89 41 48 33 D2 C7 83 05 01 00 00 01 00 00 00 89 93 09 01 00 00 E9 11 01 00 00 8B 83 E9 00 00 00 85 C0 7E 05 83 F8 04 7E 1F 8B 03 C7 40 14 18 00 00 00 8B 93 E9 00 00 00 89 50 18 C7 40 1C 04 00 00 00 8B C3 8B 10 FF 12 8B 8B DD 00 00 00 C1 E1 03 8B C1 03 43 18 48 99 F7 F9 89 83 FD 00 00 00 8B 8B E1 00 00 00 C1 E1 03 8B C1 03 43 1C 48 99 F7 F9 89 83 01 01 00 00 33 C9 89 8B 05 01 00 00 33 F6 8D 83 ED 00 00 00 89 04 24 E9 8F 00 00 00 8B 14 24 8B 0A 8B 41 08 89 41 34 8B 41 0C 89 41 38 8B 51 34 0F AF D0 89 51 3C 33 D2 8B 41 34 C1 E0 03 89 41 40 8B 41 1C 8B 79 34 F7 F7 8B C2 85 C0 75 02 8B C7 89 41 44 33 D2 8B 41 20 8B 79 38 F7 F7 8B C2 85 C0 75 02 8B C7 89 41 48 8B 79 3C 8B 83 05 01 00 00 03 C7 83 F8 0A 7E 24 8B 13 8B C3 C7 42 14 0B 00 00 00 8B 10 FF 12 EB 13 8B 8B 05 01 00 00 FF 83 05 01 00 00 89 B4 8B 09 01 00 00 8B C7 83 C7 FF 85 C0 7F E4 46 83 04 24 04 3B B3 E9 00 00 00 0F 8C 65 FF FF FF 8B 83 C4 00 00 00 85 C0 7E 18 F7 AB FD 00 00 00 3D FF FF 00 00 7C 05 B8 FF FF 00 00 89 83 C0 00 00 00 5A 5F 5E 5B C3 90 90 53 8B D8 56 8B B3 41 01 00 00 8B 46 14 83 E8 01 72 12 0F 84 A0 00 00 00 48 0F 84 F1 00 00 00 E9 41 01 00 00 8B C3 E8 35 FD FF FF 8B C3 E8 1E FE FF FF 83 BB A8 00 00 00 00 75 20 8B C3 8B 90 55 01 00 00 FF 12 8B C3 8B 90 59 01 00 00 FF 12 33 D2 8B C3 8B 88 49 01 00 00 FF 11 8B C3 8B 90 5D 01 00 00 FF 12 8B 93 B0 00 00 00 8B C3 8B 88 61 01 00 00 FF 11 83 7E 1C 01 BA 03 00 00 00 7F 03 83 C2 FD 8B C3 8B 88 4D 01 00 00 FF 11 33 D2 8B C3 8B 88 45 01 00 00 FF 11 83 BB B0 00 00 00 00 74 0A 33 C0 89 46 0C E9 C8 00 00 00 C7 46 0C 01 00 00 00 E9 BC 00 00 00 8B C3 E8 A1 FC FF FF 8B C3 E8 8A FD FF FF 83 BB 31 01 00 00 00 75 12 83 BB 39 01 00 00 00 74 09 83 BB AC 00 00 00 00 74 25 BA 01 00 00 00 8B C3 8B 88 61 01 00 00 FF 11 BA 02 00 00 00 8B C3 8B 88 4D 01 00 00 FF 11 33 D2 89 56 0C EB 6E C7 46 14 02 00 00 00 FF 46 18 83 BB B0 00 00 00 00 75 0E 8B C3 E8 40 FC FF FF 8B C3 E8 29 FD FF FF 33 D2 8B C3 8B 88 61 01 00 00 FF 11 BA 02 00 00 00 8B C3 8B 88 4D 01 00 00 FF 11 83 7E 20 00 75 0B 8B C3 8B 90 51 01 00 00 FF 52 08 8B C3 8B 90 51 01 00 00 FF 52 0C 33 C9 89 4E 0C EB 0F 8B 03 C7 40 14 2F 00 00 00 8B C3 8B 10 FF 12 8B 4E 1C 49 3B 4E 18 0F 94 C0 83 E0 01 89 46 10 8B 43 08 85 C0 74 0C 8B 56 18 89 50 0C 8B 4E 1C 89 48 10 5E 5B C3 90 90 53 8B D8 8B 83 41 01 00 00 33 D2 89 50 0C 8B C3 8B 90 51 01 00 00 FF 52 08 8B C3 8B 90 51 01 00 00 FF 52 0C 5B C3 90 90 53 56 8B F0 8B 9E 41 01 00 00 8B C6 8B 90 61 01 00 00 FF 52 08 8B 4B 14 83 E9 01 72 07 74 1A 49 74 20 EB 31 C7 43 14 02 00 00 00 83 BE B0 00 00 00 00 75 21 FF 43 20 EB 1C C7 43 14 02 00 00 00 EB 13 83 BE B0 00 00 00 00 74 07 C7 43 14 01 00 00 00 FF 43 20 FF 43 18 5E 5B C3 90 }
	condition:
		$1
}

rule function_9225_0 {
	meta:
		name = "_NF__1A4"
		size = 200
		refs = "0024 _NF__1A3"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 8B FA BA 01 00 00 00 B9 24 00 00 00 8B 58 04 FF 13 8B D8 33 C0 89 9E 41 01 00 00 C7 03 ?? ?? ?? ?? C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? 89 43 10 8B C6 E8 50 F5 FF FF 83 BE A4 00 00 00 00 74 09 8B C6 E8 08 F7 FF FF EB 12 33 D2 89 96 D9 00 00 00 C7 86 A0 00 00 00 01 00 00 00 83 BE D9 00 00 00 00 74 0A C7 86 B0 00 00 00 01 00 00 00 85 FF 74 1B 83 BE B0 00 00 00 00 74 09 C7 43 14 01 00 00 00 EB 0E C7 43 14 02 00 00 00 EB 05 33 C9 89 4B 14 33 C0 33 D2 89 43 20 89 53 18 83 BE B0 00 00 00 00 74 0D 8B 8E A0 00 00 00 03 C9 89 4B 1C EB 09 8B 86 A0 00 00 00 89 43 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9226_0 {
	meta:
		name = "_NF__1A5"
		size = 216
		refs = "002a _NF__1A5"
	strings:
		$1 = { 53 83 B8 A8 00 00 00 00 8B 88 45 01 00 00 75 2D 33 DB 89 59 08 33 DB 89 59 0C 33 DB 89 59 10 89 51 14 83 EA 01 73 09 C7 41 04 ?? ?? ?? ?? 5B C3 8B 10 C7 42 14 04 00 00 00 8B 08 FF 11 5B C3 90 55 8B EC 83 C4 F8 53 56 57 8B F0 89 4D F8 89 55 FC 8B 9E 45 01 00 00 EB 69 83 7B 0C 08 73 1F 8B 45 08 8D 53 18 50 8B C6 52 8D 4B 0C 51 6A 08 8B B8 49 01 00 00 8B 4D F8 8B 55 FC FF 57 04 83 7B 0C 08 75 49 8D 53 18 8B C6 8B 88 4D 01 00 00 FF 51 04 85 C0 75 14 83 7B 10 00 75 31 8B 45 F8 FF 08 C7 43 10 01 00 00 00 EB 23 83 7B 10 00 74 0A 8B 55 F8 FF 02 33 C9 89 4B 10 33 C0 89 43 0C FF 43 08 8B 53 08 3B 96 E5 00 00 00 72 8C 5F 5E 5B 59 59 5D C2 04 00 90 90 }
	condition:
		$1
}

rule function_9227_0 {
	meta:
		name = "_NF__1A6"
		size = 132
		refs = "0022 _NF__1A5"
	strings:
		$1 = { 53 8B D8 56 57 8B C3 55 51 8B F2 8B 78 04 BA 01 00 00 00 B9 40 00 00 00 FF 17 89 83 45 01 00 00 C7 00 ?? ?? ?? ?? 83 BB A8 00 00 00 00 75 4F 85 F6 74 11 8B 03 C7 40 14 04 00 00 00 8B C3 8B 10 FF 12 EB 3A 33 C9 8D 78 18 89 0C 24 8B 73 3C EB 25 8B 46 0C BA 01 00 00 00 C1 E0 03 50 8B C3 8B 4E 1C C1 E1 03 8B 68 04 FF 55 08 89 07 83 C7 04 FF 04 24 83 C6 54 8B 04 24 3B 43 34 7C D3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9228_0 {
	meta:
		name = "_NF__1A7"
		size = 1172
		refs = "0060 _NF__18C 041a _NF__CE"
	strings:
		$1 = { 53 56 8B F0 85 D2 8B 9E 49 01 00 00 74 0F 8B 06 C7 40 14 04 00 00 00 8B C6 8B 10 FF 12 8B 4E 1C 33 C0 89 4B 30 33 D2 89 43 34 89 53 38 8B 8E E1 00 00 00 03 C9 89 4B 3C 5E 5B C3 90 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B F0 8B DF 3B 5D 08 7D 19 53 6A 01 8B 45 FC 8D 57 FF 50 8B C6 8B CE E8 ?? ?? ?? ?? 43 3B 5D 08 7C E7 5F 5E 5B 59 5D C2 04 00 90 90 55 8B EC 83 C4 EC 53 56 57 8B D8 89 4D F8 89 55 FC 8B B3 49 01 00 00 E9 20 01 00 00 8B 8B E1 00 00 00 8B 55 14 2B 4E 34 2B D0 8B C2 89 4D F4 3B 45 F4 76 05 8B 55 F4 EB 02 8B D0 89 55 F4 8B 46 34 50 8B 4D F4 51 8D 4E 08 8B 45 F8 8B 10 8B C3 C1 E2 02 03 55 FC 8B B8 55 01 00 00 FF 57 04 8B 55 F8 8B 45 F4 01 02 8B 4D F4 01 4E 34 29 46 30 83 7E 30 00 75 3F 8B 46 34 3B 83 E1 00 00 00 7D 34 33 FF 8D 46 08 89 45 F0 EB 1C 8B 93 E1 00 00 00 52 8B 4D F0 8B 01 8B 4E 34 8B 53 18 E8 26 FF FF FF 47 83 45 F0 04 3B 7B 34 7C DF 8B 83 E1 00 00 00 89 46 34 8B 56 34 3B 93 E1 00 00 00 75 24 8B 4D 10 51 33 C9 8B 45 0C 8B 10 8B C3 52 8D 56 08 8B B8 59 01 00 00 FF 57 04 33 C0 89 46 34 8B 55 0C FF 02 83 7E 30 00 75 52 8B 4D 0C 8B 01 3B 45 08 73 48 8B 45 10 8B 73 3C 8B D0 33 FF 89 55 EC EB 2A 8B 46 0C 8B D0 0F AF 55 08 52 8B 4D 0C 8B 09 0F AF C8 8B 56 1C C1 E2 03 8B 45 EC 8B 00 E8 A3 FE FF FF 83 45 EC 04 47 83 C6 54 3B 7B 34 7C D1 8B 55 0C 8B 4D 08 89 0A EB 18 8B 45 F8 8B 00 3B 45 14 73 0E 8B 55 0C 8B 0A 3B 4D 08 0F 82 C8 FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 90 90 90 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 98 49 01 00 00 8B 45 FC 8B 90 E1 00 00 00 8D 14 52 89 55 E8 E9 62 01 00 00 8B 4D F4 8B 01 3B 45 14 0F 83 AF 00 00 00 8B 4B 3C 8B 55 14 2B 4B 34 2B D0 8B C2 89 4D F0 3B 45 F0 76 05 8B 55 F0 EB 02 8B D0 89 55 F0 8B 43 34 50 8B 4D F0 51 8D 4B 08 8B 45 F4 8B 10 8B 45 FC C1 E2 02 03 55 F8 8B B0 55 01 00 00 FF 56 04 8B 45 FC 8B 50 1C 3B 53 30 75 50 33 C9 89 4D EC 8D 43 08 89 45 E4 EB 38 BF 01 00 00 00 8B 45 E4 8B F0 EB 1A 8B D7 F7 DA 52 6A 01 8B 4D FC 8B 51 18 52 33 D2 8B 06 8B C8 E8 ?? ?? ?? ?? 47 8B 4D FC 3B B9 E1 00 00 00 7E DB FF 45 EC 83 45 E4 04 8B 45 FC 8B 50 34 3B 55 EC 7F BD 8B 4D F4 8B 45 F0 01 01 8B 55 F0 01 53 34 29 43 30 EB 47 83 7B 30 00 0F 85 A9 00 00 00 8B 4B 34 3B 4B 3C 7D 35 33 C0 8D 73 08 89 45 EC EB 1A 8B 43 3C 50 8B 55 FC 8B 52 18 8B 06 8B 4B 34 E8 4C FD FF FF FF 45 EC 83 C6 04 8B 45 FC 8B 50 34 3B 55 EC 7F DB 8B 4B 3C 89 4B 34 8B 43 34 3B 43 3C 75 56 8B 55 10 52 8B 4D 0C 8B 01 50 8D 53 08 8B 4B 38 8B 45 FC 8B B0 59 01 00 00 FF 56 04 8B 45 0C FF 00 8B 55 FC 8B 8A E1 00 00 00 01 4B 38 8B 43 38 3B 45 E8 7C 05 33 D2 89 53 38 8B 4B 34 3B 4D E8 7C 05 33 C0 89 43 34 8B 55 FC 8B 8A E1 00 00 00 03 4B 34 89 4B 3C 8B 45 0C 8B 10 3B 55 08 0F 82 90 FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 53 56 57 55 83 C4 EC 89 04 24 8B 04 24 8B B0 49 01 00 00 8B 04 24 8B 98 E1 00 00 00 8B 04 24 8B 50 34 8B 04 24 0F AF D3 8B 78 04 8D 0C 92 C1 E1 02 BA 01 00 00 00 FF 17 89 44 24 0C 33 C0 89 44 24 04 8B 14 24 8B 4A 3C 89 4C 24 08 8D 46 08 89 44 24 10 E9 A7 00 00 00 8D 14 5B 52 8B 4C 24 0C 8B 54 24 04 8B 41 1C 8B 4C 24 0C C1 E0 03 F7 AA DD 00 00 00 99 F7 79 08 8B C8 8B 44 24 04 BA 01 00 00 00 8B 70 04 FF 56 08 8B F0 8D 04 5B C1 E0 02 8B D3 50 56 C1 E2 02 03 54 24 14 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 3B D8 8B CE 8B 54 24 0C 7E 25 8D 3C 58 8B 3C BE 89 3A 8D 3C 98 8B 6C 24 0C 40 83 C2 04 8D 7C BD 00 57 5D 8B 39 83 C1 04 3B D8 89 7D 00 7F DB 8B C3 8B CB C1 E1 02 8B 54 24 10 C1 E0 02 03 44 24 0C 8D 0C 89 89 02 01 4C 24 0C 83 44 24 10 04 FF 44 24 04 83 44 24 08 54 8B 04 24 8B 50 34 3B 54 24 04 0F 8F 49 FF FF FF 83 C4 14 5D 5F 5E 5B C3 90 }
	condition:
		$1
}

rule function_9229_0 {
	meta:
		name = "_NF__1A8"
		size = 166
		refs = "0033 _NF__1A7"
	strings:
		$1 = { 53 56 57 55 51 8B D8 85 D2 74 0F 8B 03 C7 40 14 04 00 00 00 8B C3 8B 10 FF 12 8B C3 B9 40 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 49 01 00 00 C7 00 ?? ?? ?? ?? 8B 93 59 01 00 00 83 7A 08 00 74 10 C7 40 04 ?? ?? ?? ?? 8B C3 E8 97 FE FF FF EB 4D C7 40 04 ?? ?? ?? ?? 33 C9 8D 78 08 89 0C 24 8B 73 3C EB 31 8B 83 E1 00 00 00 50 8B 46 1C C1 E0 03 F7 AB DD 00 00 00 99 F7 7E 08 8B C8 8B C3 BA 01 00 00 00 8B 68 04 FF 55 08 89 07 83 C7 04 FF 04 24 83 C6 54 8B 04 24 3B 43 34 7C C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9230_0 {
	meta:
		name = "_NF__1A9"
		size = 1896
		refs = "008a _NF__1A9 0206 _NF__CD"
	strings:
		$1 = { 83 B8 E9 00 00 00 01 8B 90 4D 01 00 00 7E 09 C7 42 14 01 00 00 00 EB 26 8B 88 E5 00 00 00 49 3B 4A 08 76 0E 8B 80 ED 00 00 00 8B 40 0C 89 42 14 EB 0C 8B 88 ED 00 00 00 8B 41 48 89 42 14 33 C9 33 C0 89 4A 0C 89 42 10 C3 90 90 90 53 56 8B F0 57 33 C0 8B FA 8B 9E 4D 01 00 00 89 43 08 8B C6 E8 9B FF FF FF 83 EF 01 72 08 4F 74 41 4F 74 20 EB 5A 83 7B 40 00 74 0F 8B 16 8B C6 C7 42 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 4B 83 7B 40 00 75 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 2D 83 7B 40 00 75 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 5F 5E 5B C3 90 53 56 57 83 C4 C4 89 54 24 04 89 04 24 8B 04 24 8B B0 4D 01 00 00 8B 04 24 8B 90 FD 00 00 00 4A 89 54 24 0C 8B 0C 24 8B 81 E5 00 00 00 48 89 44 24 10 8B 56 10 89 54 24 20 E9 CD 01 00 00 8B 4E 0C 89 4C 24 08 8B 44 24 08 3B 44 24 0C 0F 87 AF 01 00 00 33 D2 33 C9 89 54 24 14 89 4C 24 18 8B 44 24 04 8B D0 89 54 24 38 8B 0C 24 8D 81 ED 00 00 00 89 44 24 30 E9 3D 01 00 00 8B 54 24 30 8B 1A 8B 44 24 08 3B 44 24 0C 73 05 8B 53 34 EB 03 8B 53 44 89 54 24 24 8B 44 24 08 F7 6B 40 89 44 24 2C 8B 4C 24 20 C1 E1 03 33 C0 89 4C 24 28 89 44 24 1C 8B 54 24 38 8B CA 89 4C 24 34 E9 DB 00 00 00 8B 46 08 3B 44 24 10 72 0D 8B 54 24 20 03 54 24 1C 3B 53 48 7D 77 8B 4C 24 14 8B 44 8E 18 50 8B 54 24 2C 52 8B 4C 24 34 51 8B 44 24 30 50 8B 44 24 10 8B 54 24 44 8B B8 5D 01 00 00 8B 0A 8B D3 FF 57 04 8B 43 34 3B 44 24 24 7E 7F 2B 44 24 24 C1 E0 07 50 6A 00 8B 54 24 1C 03 54 24 2C 8B 4C 96 18 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 44 24 24 EB 15 8B 54 24 14 03 D0 40 8B 4C 96 14 8B 54 96 18 66 8B 09 66 89 0A 3B 43 34 7C E6 EB 3E 8B 43 34 C1 E0 07 50 6A 00 8B 44 24 1C 8B 54 86 18 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B 54 24 14 8D 54 96 14 EB 13 8B 4C 24 14 8B 3A 03 C8 40 66 8B 3F 8B 4C 8E 18 66 89 39 3B 43 34 7C E8 8B 43 34 01 44 24 14 83 44 24 28 08 FF 44 24 1C 8B 54 24 1C 3B 53 38 0F 8C 18 FF FF FF FF 44 24 18 83 44 24 38 04 83 44 24 30 04 8B 0C 24 8B 81 E9 00 00 00 3B 44 24 18 0F 8F B0 FE FF FF 8D 56 18 8B 04 24 8B 88 61 01 00 00 FF 51 04 85 C0 75 12 8B 54 24 20 89 56 10 8B 44 24 08 89 46 0C 33 C0 EB 38 FF 44 24 08 8B 54 24 08 3B 54 24 0C 0F 86 51 FE FF FF 33 C9 89 4E 0C FF 44 24 20 8B 46 14 3B 44 24 20 0F 8F 26 FE FF FF FF 46 08 8B 04 24 E8 FD FC FF FF B8 01 00 00 00 83 C4 3C 5F 5E 5B C3 90 53 56 57 83 C4 B8 89 54 24 04 89 04 24 8B 04 24 8B 90 4D 01 00 00 89 54 24 08 8B 0C 24 8B 81 E5 00 00 00 48 33 D2 89 44 24 0C 89 54 24 1C 8B 0C 24 8B 41 3C 89 44 24 28 8B 54 24 04 8B CA 89 4C 24 40 8B 44 24 08 8D 50 40 89 54 24 34 E9 1B 02 00 00 8B 4C 24 28 8B 41 0C 50 6A 01 8B 54 24 10 8B 4A 08 0F AF C8 8B 44 24 3C 8B 10 8B 44 24 08 8B 58 04 FF 53 20 89 44 24 2C 8B 44 24 08 8B 50 08 3B 54 24 0C 73 0D 8B 4C 24 28 8B 41 0C 89 44 24 24 EB 21 8B 54 24 28 8B 42 20 8B 54 24 28 8B 4A 0C 33 D2 F7 F1 89 54 24 24 83 7C 24 24 00 75 04 89 4C 24 24 8B 44 24 28 33 D2 8B 48 1C 89 4C 24 10 8B 44 24 28 8B 58 08 8B 44 24 10 F7 F3 8B F2 85 F6 7E 06 8B C3 2B C6 8B F0 33 D2 89 54 24 20 8B 4C 24 40 8B C1 89 44 24 3C 8B 54 24 2C 8B CA 89 4C 24 38 8B 44 24 20 3B 44 24 24 0F 8D 90 00 00 00 8B 54 24 38 8B 0A 89 4C 24 30 8B 44 24 30 50 8B 54 24 24 C1 E2 03 52 6A 00 8B 4C 24 1C 51 8B 44 24 4C 8B 54 24 38 8B 08 8B 44 24 10 8B B8 5D 01 00 00 FF 57 04 85 F6 7E 40 8B 44 24 10 C1 E0 07 01 44 24 30 8B D6 C1 E2 07 52 6A 00 8B 4C 24 38 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 44 24 30 8B 54 24 30 66 8B 48 80 33 C0 3B F0 7E 0E 66 89 0A 40 81 C2 80 00 00 00 3B F0 7F F2 FF 44 24 20 83 44 24 38 04 8B 44 24 20 3B 44 24 24 0F 8C 70 FF FF FF 8B 4C 24 08 8B 41 08 3B 44 24 0C 0F 85 B6 00 00 00 01 74 24 10 8B 44 24 10 33 D2 F7 F3 89 44 24 14 8B 4C 24 24 89 4C 24 20 8B 44 24 2C 8B 54 24 20 8D 0C 90 89 4C 24 44 EB 7C 8B 44 24 44 8B 10 89 54 24 30 8B 4C 24 44 8B 44 24 10 C1 E0 07 8B 71 FC 50 6A 00 8B 54 24 38 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 89 4C 24 18 8B 44 24 18 3B 44 24 14 73 3B 8B D3 33 C0 C1 E2 07 3B D8 66 8B 4C 16 80 8B 54 24 30 7E 0E 66 89 0A 40 81 C2 80 00 00 00 3B D8 7F F2 8B C3 C1 E0 07 01 44 24 30 03 F0 FF 44 24 18 8B 4C 24 18 3B 4C 24 14 72 C5 FF 44 24 20 83 44 24 44 04 8B 44 24 28 8B 50 0C 3B 54 24 20 0F 8F 73 FF FF FF 83 44 24 34 04 83 44 24 40 04 FF 44 24 1C 83 44 24 28 54 8B 0C 24 8B 41 34 3B 44 24 1C 0F 8F D5 FD FF FF 8B 54 24 04 8B 04 24 E8 07 00 00 00 83 C4 48 5F 5E 5B C3 53 56 57 83 C4 C8 33 C9 89 04 24 8B 04 24 8D 74 24 28 8B 90 4D 01 00 00 89 54 24 04 89 4C 24 0C 8B 04 24 8D 98 ED 00 00 00 EB 3F 8B 03 89 44 24 18 8B 54 24 18 8B 7A 0C 57 6A 00 8B 44 24 0C 8B 54 24 20 8B 48 08 8B 42 04 0F AF CF 8B 54 24 0C 8B 54 82 40 8B 44 24 08 8B 78 04 FF 57 20 89 06 83 C6 04 FF 44 24 0C 83 C3 04 8B 04 24 8B 90 E9 00 00 00 3B 54 24 0C 7F B2 8B 4C 24 04 8B 41 10 89 44 24 10 E9 11 01 00 00 8B 54 24 04 8B 4A 0C 89 4C 24 08 E9 E1 00 00 00 33 DB 33 C0 89 44 24 0C 8D 54 24 28 89 54 24 24 8B 0C 24 8D 81 ED 00 00 00 89 44 24 1C EB 7A 8B 54 24 1C 8B 0A 89 4C 24 18 8B 44 24 18 8B 50 34 0F AF 54 24 08 89 54 24 14 33 F6 8B 44 24 24 8B D0 89 54 24 20 EB 3B 8B 44 24 20 8B 4C 24 10 03 CE 8B 10 8B 44 24 14 C1 E0 07 8B 14 8A 03 D0 8B 44 24 04 33 C9 8D 44 98 18 EB 0D 89 10 81 C2 80 00 00 00 43 83 C0 04 41 8B 7C 24 18 3B 4F 34 7C EA 46 8B 44 24 18 3B 70 38 7C BC FF 44 24 0C 83 44 24 24 04 83 44 24 1C 04 8B 14 24 8B 8A E9 00 00 00 3B 4C 24 0C 0F 8F 73 FF FF FF 8B 04 24 8B 54 24 04 83 C2 18 8B 88 61 01 00 00 FF 51 04 85 C0 75 1A 8B 44 24 04 8B 54 24 10 89 50 10 8B 4C 24 04 8B 44 24 08 89 41 0C 33 C0 EB 49 FF 44 24 08 8B 14 24 8B 8A FD 00 00 00 3B 4C 24 08 0F 87 0C FF FF FF 8B 44 24 04 33 D2 89 50 0C FF 44 24 10 8B 4C 24 04 8B 41 14 3B 44 24 10 0F 8F DE FE FF FF 8B 54 24 04 FF 42 08 8B 04 24 E8 A6 F8 FF FF B8 01 00 00 00 83 C4 38 5F 5E 5B C3 90 90 }
	condition:
		$1
}

rule function_9231_0 {
	meta:
		name = "_NF__1AA"
		size = 197
		refs = "002f _NF__1A9 004d _NF__18B"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 55 8B DA BA 01 00 00 00 8B 78 04 83 C4 F8 B9 68 00 00 00 FF 17 89 04 24 85 DB 8B 04 24 89 86 4D 01 00 00 8B 14 24 C7 02 ?? ?? ?? ?? 74 53 33 C9 89 4C 24 04 8B 5E 3C 8B 04 24 8D 78 40 EB 37 8B 53 08 8B 43 1C E8 ?? ?? ?? ?? 50 8B 53 0C 8B 43 20 E8 ?? ?? ?? ?? 50 8B C6 8B 4B 0C BA 01 00 00 00 51 33 C9 8B 68 04 FF 55 14 89 07 83 C7 04 FF 44 24 04 83 C3 54 8B 46 34 3B 44 24 04 7F C0 EB 36 8B C6 B9 00 05 00 00 BA 01 00 00 00 8B 58 04 FF 53 04 8B C8 33 C0 8B 14 24 83 C2 18 8B D8 40 C1 E3 07 03 D9 89 1A 83 C2 04 83 F8 0A 7C EE 8B 04 24 33 D2 89 50 40 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9232_0 {
	meta:
		name = "_NF__1AB"
		size = 1084
	strings:
		$1 = { 53 8B D8 8B C3 56 51 B9 00 20 00 00 8B B3 55 01 00 00 8B 58 04 BA 01 00 00 00 FF 13 89 04 24 89 46 08 33 D2 8B 0C 24 8B C1 69 CA 8B 4C 00 00 89 08 69 CA 46 96 00 00 89 88 00 04 00 00 69 CA 2F 1D 00 00 81 C1 00 80 00 00 89 88 00 08 00 00 69 CA CD D4 FF FF 89 88 00 0C 00 00 69 CA 33 AB FF FF 89 88 00 10 00 00 8B CA C1 E1 0F 81 C1 FF 7F 80 00 89 88 00 14 00 00 69 CA D1 94 FF FF 89 88 00 18 00 00 69 CA 2F EB FF FF 89 88 00 1C 00 00 42 83 C0 04 81 FA FF 00 00 00 7E 8D 5A 5E 5B C3 55 8B EC 83 C4 E0 53 56 57 89 4D F8 89 55 FC 8B 90 55 01 00 00 8B 72 08 8B 40 18 89 45 EC E9 D1 00 00 00 8B 55 FC 8B 02 83 45 FC 04 8B 55 F8 8B 0A 8B 55 0C 8B 14 91 8B 4D F8 8B 49 04 8B 5D 0C 8B 0C 99 8B 5D F8 8B 5B 08 8B 7D 0C 8B 1C BB FF 45 0C 33 FF 89 7D F0 89 5D E0 89 4D E4 89 55 E8 8B 55 F0 3B 55 EC 0F 83 88 00 00 00 33 D2 33 C9 8A 50 02 33 DB 8A 48 01 8A 18 89 5D F4 83 C0 03 8B 1C 96 8B 7D F4 03 9C 8E 00 04 00 00 03 9C BE 00 08 00 00 8B 7D E8 C1 FB 10 88 1F 8B 9C 96 00 0C 00 00 8B 7D F4 03 9C 8E 00 10 00 00 03 9C BE 00 14 00 00 8B 7D E4 C1 FB 10 88 1F 8B 94 96 00 14 00 00 03 94 8E 00 18 00 00 8B 4D F4 03 94 8E 00 1C 00 00 8B 4D E0 C1 FA 10 88 11 FF 45 F0 FF 45 E0 FF 45 E4 FF 45 E8 8B 55 F0 3B 55 EC 0F 82 78 FF FF FF FF 4D 08 0F 89 26 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 90 55 8B EC 83 C4 E8 53 56 57 89 4D F8 89 55 FC 8B 90 55 01 00 00 8B 72 08 8B 40 18 89 45 E8 EB 5E 8B 55 FC 8B 02 83 45 FC 04 8B 55 F8 8B 0A 8B 55 0C 8B 0C 91 FF 45 0C 33 D2 3B 55 E8 73 40 33 DB 42 8A 58 02 89 5D F4 33 DB 8A 58 01 89 5D F0 33 DB 8A 18 83 C0 03 89 5D EC 8B 5D F4 8B 7D F0 8B 1C 9E 03 9C BE 00 04 00 00 8B 7D EC 03 9C BE 00 08 00 00 C1 FB 10 88 19 41 3B 55 E8 72 C0 FF 4D 08 79 9D 5F 5E 5B 8B E5 5D C2 08 00 55 8B EC 83 C4 D8 53 56 57 89 4D F8 89 55 FC 8B 90 55 01 00 00 8B 72 08 8B 40 18 89 45 E8 E9 0E 01 00 00 8B 55 FC 8B 02 83 45 FC 04 8B 55 F8 8B 0A 8B 55 0C 8B 14 91 8B 4D F8 8B 49 04 8B 5D 0C 8B 0C 99 8B 5D F8 8B 5B 08 8B 7D 0C 8B 1C BB 89 5D F0 8B 5D F8 8B 5B 0C 8B 7D 0C 8B 1C BB FF 45 0C 33 FF 89 7D EC 8B 7D F0 89 7D D8 89 4D DC 89 55 E0 8B D3 89 55 E4 8B 4D EC 3B 4D E8 0F 83 AE 00 00 00 33 D2 BF FF 00 00 00 8A 10 52 BA FF 00 00 00 59 2B D1 33 C9 8A 48 01 51 B9 FF 00 00 00 5B 2B CB 33 DB 8A 58 02 2B FB 89 7D F4 8B 5D E4 8B FB 8A 58 03 83 C0 04 88 1F 8B 1C 96 8B 7D F4 03 9C 8E 00 04 00 00 03 9C BE 00 08 00 00 8B 7D E0 C1 FB 10 88 1F 8B 9C 96 00 0C 00 00 8B 7D F4 03 9C 8E 00 10 00 00 03 9C BE 00 14 00 00 8B 7D DC C1 FB 10 88 1F 8B 94 96 00 14 00 00 03 94 8E 00 18 00 00 8B 4D F4 03 94 8E 00 1C 00 00 8B 4D D8 C1 FA 10 88 11 FF 45 EC FF 45 D8 FF 45 DC FF 45 E0 FF 45 E4 8B 55 EC 3B 55 E8 0F 82 52 FF FF FF FF 4D 08 0F 89 E9 FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 55 8B EC 83 C4 F8 53 56 57 8B 58 18 89 5D FC 8B 40 20 89 45 F8 EB 25 8B 01 8B 5D 0C 8B 32 83 C2 04 8B 04 98 33 FF FF 45 0C 3B 7D FC 73 0E 8A 1E 47 88 18 40 03 75 F8 3B 7D FC 72 F2 FF 4D 08 79 D6 5F 5E 5B 59 59 5D C2 08 00 90 90 55 8B EC 83 C4 F0 53 56 57 8B 58 34 89 5D F8 8B 40 18 89 45 F4 EB 4D 33 C0 89 45 FC 8B C1 89 45 F0 8B 45 FC 3B 45 F8 7D 35 8B 45 F0 8B 5D 0C 33 FF 8B 32 8B 00 3B 7D F4 8B 04 98 73 12 8B 5D FC 47 8A 1C 1E 88 18 40 03 75 F8 3B 7D F4 72 EE FF 45 FC 83 45 F0 04 8B 45 FC 3B 45 F8 7C CB 83 C2 04 FF 45 0C FF 4D 08 79 AE 5F 5E 5B 8B E5 5D C2 08 00 90 90 C3 90 90 90 }
	condition:
		$1
}

rule function_9233_0 {
	meta:
		name = "_NF__1AC"
		size = 585
		refs = "001f _NF__1AB"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 0C 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B F0 89 B3 55 01 00 00 C7 06 ?? ?? ?? ?? 8B 43 24 48 74 0D 48 83 E8 02 72 1E 83 E8 02 72 30 EB 45 83 7B 20 01 74 54 8B 13 8B C3 C7 42 14 07 00 00 00 8B 10 FF 12 EB 43 83 7B 20 03 74 3D 8B 0B 8B C3 C7 41 14 07 00 00 00 8B 10 FF 12 EB 2C 83 7B 20 04 74 26 8B 0B 8B C3 C7 41 14 07 00 00 00 8B 10 FF 12 EB 15 83 7B 20 01 7D 0F 8B 0B 8B C3 C7 41 14 07 00 00 00 8B 10 FF 12 8B 4B 38 83 F9 05 0F 87 84 01 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7B 34 01 74 0F 8B 03 C7 40 14 08 00 00 00 8B C3 8B 10 FF 12 83 7B 24 01 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 83 7B 24 02 75 10 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? 5E 5B C3 83 7B 24 03 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 19 00 00 00 8B 10 FF 12 5E 5B C3 83 7B 34 03 74 0F 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 83 7B 24 02 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 19 00 00 00 8B 10 FF 12 5E 5B C3 83 7B 34 03 74 0F 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 83 7B 24 02 75 10 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? 5E 5B C3 83 7B 24 03 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 19 00 00 00 8B 10 FF 12 5E 5B C3 83 7B 34 04 74 0F 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 83 7B 24 04 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 19 00 00 00 8B 10 FF 12 5E 5B C3 83 7B 34 04 74 0F 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 83 7B 24 04 75 10 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? 5E 5B C3 83 7B 24 05 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 19 00 00 00 8B 10 FF 12 5E 5B C3 8B 4B 38 3B 4B 24 75 08 8B 43 34 3B 43 20 74 0F 8B 13 8B C3 C7 42 14 19 00 00 00 8B 10 FF 12 C7 46 04 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9234_0 {
	meta:
		name = "_NF__1AD"
		size = 1952
		refs = "020e _NF__18C"
	strings:
		$1 = { C3 90 90 90 55 8B EC 83 C4 F4 56 57 89 4D F8 89 55 FC 8B 55 08 2B 55 F8 89 55 F4 83 7D F4 00 7E 29 33 C9 8B F8 3B 4D FC 7D 20 8B 07 8B 75 F4 03 45 F8 85 F6 8A 50 FF 7E 08 88 10 40 4E 85 F6 7F F8 41 83 C7 04 3B 4D FC 7C E0 5F 5E 8B E5 5D C2 04 00 90 90 55 8B EC 83 C4 E8 53 56 8B F0 57 89 4D F8 89 55 FC 8B 86 59 01 00 00 33 D2 89 55 F4 83 C0 0C 8B 5E 3C 89 45 E8 8B 55 0C 8B CA 89 4D EC 8B 45 FC 8B D0 89 55 F0 EB 3C 8B 4D F0 8B 55 F8 C1 E2 02 8B 01 8B 4D EC 03 C2 8B 11 8B 4D 08 0F AF 4B 0C C1 E1 02 03 D1 8B C8 52 8B D3 8B 7D E8 8B C6 FF 17 83 45 F0 04 83 45 EC 04 83 45 E8 04 FF 45 F4 83 C3 54 8B 45 F4 3B 46 34 7C BC 5F 5E 5B 8B E5 5D C2 08 00 55 8B EC 83 C4 CC 53 56 89 4D F8 89 55 FC 8B C8 8B 45 FC 8B 50 1C C1 E2 03 89 55 D4 8B 81 DD 00 00 00 8B 55 FC 8B 5A 08 99 F7 FB 89 45 EC 8B 99 E1 00 00 00 8B C3 8B 55 FC 8B 72 0C 99 F7 FE 89 45 E8 8B 45 EC F7 6D E8 89 45 E4 8B 55 E4 D1 FA 79 03 83 D2 00 89 55 E0 8B 45 D4 F7 6D EC 50 8B D3 8B 49 18 8B 45 F8 E8 C0 FE FF FF 33 D2 33 C9 89 55 F4 89 4D F0 8B 45 08 8B D0 89 55 CC EB 79 8B 4D CC 33 D2 8B 01 33 C9 89 45 D0 89 55 DC 89 4D D8 8B 45 DC 3B 45 D4 73 52 33 C9 33 DB 3B 5D E8 7D 27 8B 45 F4 8B 55 F8 03 C3 8B 04 82 33 D2 03 45 D8 3B 55 EC 7D 0C 0F B6 30 03 CE 40 42 3B 55 EC 7C F4 43 3B 5D E8 7C D9 8B 45 E0 03 C1 8B 4D D0 99 F7 7D E4 88 01 FF 45 D0 FF 45 DC 8B 45 EC 01 45 D8 8B 55 DC 3B 55 D4 72 AE 8B 4D E8 01 4D F4 FF 45 F0 83 45 CC 04 8B 45 FC 8B 50 0C 3B 55 F0 0F 8F 78 FF FF FF 5E 5B 8B E5 5D C2 04 00 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 75 08 6A 00 8B 83 E1 00 00 00 8B FA 50 8B CE 8B 53 18 52 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 4F 1C C1 E1 03 51 8B 4B 18 8B 93 E1 00 00 00 8B C6 E8 DB FD FF FF 5F 5E 5B 59 5D C2 04 00 90 90 90 55 8B EC 83 C4 EC 53 56 57 89 55 FC 8B 55 FC 8B D9 8B 4A 1C C1 E1 03 89 4D F4 8B 55 F4 03 D2 52 8B 90 E1 00 00 00 8B 48 18 8B C3 E8 A0 FD FF FF 33 C9 8B C3 89 4D F8 89 45 EC 8B 55 08 8B CA 89 4D F0 EB 3B 8B 45 F0 8B 4D EC 33 F6 8B 10 8B 01 33 C9 3B 75 F4 73 1D 0F B6 78 01 33 DB 46 8A 18 83 C0 02 03 DF 03 D9 83 F1 01 D1 FB 88 1A 42 3B 75 F4 72 E3 FF 45 F8 83 45 EC 04 83 45 F0 04 8B 45 FC 8B 50 0C 3B 55 F8 7F BA 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 E8 53 56 57 89 55 FC 8B 55 FC 8B D9 8B 4A 1C C1 E1 03 89 4D F0 8B 55 F0 03 D2 52 8B 90 E1 00 00 00 8B 48 18 8B C3 E8 0C FD FF FF 33 C9 8B C3 89 4D F8 89 45 E8 8B 55 08 8B CA 89 4D EC EB 5E 8B 45 EC 8B 55 E8 33 DB BE 01 00 00 00 8B 08 8B 02 8B 55 E8 8B 52 04 89 5D F4 8B 5D F4 3B 5D F0 73 31 0F B6 78 01 33 DB 8A 18 83 C0 02 03 DF 0F B6 3A 03 DF 0F B6 7A 01 03 DF 83 C2 02 03 DE 83 F6 03 C1 FB 02 88 19 41 FF 45 F4 8B 5D F4 3B 5D F0 72 CF 83 45 E8 08 FF 45 F8 83 45 EC 04 8B 45 FC 8B 50 0C 3B 55 F8 7F 97 5F 5E 5B 8B E5 5D C2 04 00 90 90 55 8B EC 83 C4 D4 53 56 57 8B D8 89 55 FC 8B F1 8B 45 FC 8B 50 1C 8D 46 FC C1 E2 03 89 55 F0 8B 4D F0 03 C9 51 8B 93 E1 00 00 00 8B 4B 18 83 C2 02 E8 4E FC FF FF 8B 83 B8 00 00 00 B9 00 40 00 00 8B D0 C1 E2 04 C1 E0 04 8D 14 92 2B CA 8B D6 89 4D E0 89 45 DC 33 C0 89 45 F8 89 55 D4 8B 4D 08 8B C1 89 45 D8 E9 0B 02 00 00 8B 55 D8 8B 0A 89 4D EC 8B 45 D4 8B 5D D4 8B 55 D4 8B 4D D4 8B 00 8B 73 08 8B 52 04 33 DB 0F B6 78 01 8A 18 8B 49 FC 03 DF 0F B6 3A 03 DF 0F B6 7A 01 03 DF 89 5D E8 33 DB 0F B6 79 01 8A 19 03 DF 0F B6 3E 03 DF 0F B6 7E 01 03 DF 0F B6 38 03 DF 0F B6 78 02 03 DF 83 C0 02 0F B6 3A 03 DF 0F B6 7A 02 03 DF 83 C2 02 89 5D E4 8B 5D E4 01 5D E4 0F B6 79 02 33 DB 8A 19 83 C1 02 03 DF 0F B6 3E 03 DF 0F B6 7E 02 03 DF 83 C6 02 01 5D E4 8B 5D E8 8B 7D E4 0F AF 7D DC 0F AF 5D E0 03 DF 89 5D E8 8B 5D E8 8B 7D EC 81 C3 00 80 00 00 C1 FB 10 88 1F FF 45 EC 8B 5D F0 83 EB 02 89 5D F4 83 7D F4 00 0F 86 A8 00 00 00 0F B6 78 01 33 DB 8A 18 03 DF 0F B6 3A 03 DF 0F B6 7A 01 03 DF 89 5D E8 33 DB 0F B6 79 01 8A 19 03 DF 0F B6 3E 03 DF 0F B6 7E 01 03 DF 0F B6 78 FF 03 DF 0F B6 78 02 03 DF 83 C0 02 0F B6 7A FF 03 DF 0F B6 7A 02 03 DF 83 C2 02 89 5D E4 8B 5D E4 01 5D E4 0F B6 79 02 33 DB 8A 59 FF 83 C1 02 03 DF 0F B6 7E FF 03 DF 0F B6 7E 02 03 DF 83 C6 02 01 5D E4 8B 5D E8 8B 7D E4 0F AF 7D DC 0F AF 5D E0 03 DF 89 5D E8 8B 5D E8 8B 7D EC 81 C3 00 80 00 00 C1 FB 10 88 1F FF 45 EC FF 4D F4 83 7D F4 00 0F 87 58 FF FF FF 0F B6 78 01 33 DB 8A 18 03 DF 0F B6 3A 03 DF 0F B6 7A 01 03 DF 89 5D E8 33 DB 0F B6 79 01 8A 19 03 DF 0F B6 3E 03 DF 0F B6 7E 01 03 DF 0F B6 78 FF 0F B6 40 01 03 DF 03 D8 33 C0 8A 42 FF 0F B6 52 01 03 D8 03 DA 33 D2 89 5D E4 8B 45 E4 01 45 E4 33 C0 8A 51 FF 8A 46 FF 0F B6 49 01 03 D1 33 C9 8A 4E 01 03 D0 03 D1 01 55 E4 8B 55 E8 8B 45 E4 0F AF 45 DC 0F AF 55 E0 03 D0 89 55 E8 8B 55 E8 8B 4D EC 81 C2 00 80 00 00 C1 FA 10 88 11 83 45 D4 08 FF 45 F8 83 45 D8 04 8B 45 FC 8B 50 0C 3B 55 F8 0F 8F E6 FD FF FF 5F 5E 5B 8B E5 5D C2 04 00 90 90 55 8B EC 83 C4 CC 53 56 8B D8 89 55 FC 8B 45 FC 8B F1 8B 50 1C 8D 46 FC C1 E2 03 89 55 F0 8B 4D F0 51 8B 93 E1 00 00 00 8B 4B 18 83 C2 02 E8 C1 F9 FF FF 8B 83 B8 00 00 00 B9 00 00 01 00 8B D0 C1 E2 09 2B CA 8B D6 C1 E0 06 89 4D DC 89 45 D8 33 C0 89 45 F8 89 55 CC 8B 4D 08 8B C1 89 45 D0 E9 14 01 00 00 8B 55 D0 8B 0A 89 4D E4 8B 45 CC 8B 55 CC 8B 08 8B 42 FC 89 45 EC 8B 55 CC 8B 42 04 89 45 E8 33 C0 8B 55 EC 8B 5D E8 8A 01 41 0F B6 1B 0F B6 12 FF 45 E8 FF 45 EC 03 D3 8B 5D EC 03 D0 0F B6 33 8B 5D E8 0F B6 1B 03 F3 33 DB 8A 19 03 F3 8B DA 2B D8 03 DA 03 DE 89 5D E0 0F AF 45 DC 8B 5D E0 0F AF 5D D8 03 C3 8B 5D E4 05 00 80 00 00 C1 F8 10 88 03 FF 45 E4 89 55 D4 8B 45 F0 8B D6 83 E8 02 89 45 F4 83 7D F4 00 76 56 33 C0 8A 01 41 FF 45 EC FF 45 E8 8B 5D EC 0F B6 33 8B 5D E8 0F B6 1B 03 F3 33 DB 8A 19 03 F3 8B DA 2B D8 03 5D D4 03 DE 89 5D E0 0F AF 45 DC 8B 5D E0 0F AF 5D D8 03 C3 8B 5D E4 05 00 80 00 00 C1 F8 10 88 03 FF 45 E4 89 55 D4 FF 4D F4 8B D6 83 7D F4 00 77 AA 33 C0 8A 01 8B CA 2B C8 03 4D D4 03 D1 89 55 E0 F7 6D DC 8B 55 E0 8B 4D E4 0F AF 55 D8 03 C2 05 00 80 00 00 C1 F8 10 88 01 FF 45 F8 83 45 CC 04 83 45 D0 04 8B 45 FC 8B 50 0C 3B 55 F8 0F 8F DD FE FF FF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9235_0 {
	meta:
		name = "_NF__1AE"
		size = 389
		refs = "0033 _NF__1AD"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B C3 B9 34 00 00 00 C7 44 24 04 01 00 00 00 8B 70 04 BA 01 00 00 00 FF 16 89 04 24 8B 04 24 89 83 59 01 00 00 8B 14 24 C7 02 ?? ?? ?? ?? 8B 0C 24 C7 41 04 ?? ?? ?? ?? 8B 04 24 33 D2 89 50 08 83 BB B4 00 00 00 00 74 0F 8B 0B 8B C3 C7 41 14 17 00 00 00 8B 10 FF 12 33 ED 8B 73 3C 8B 04 24 8D 78 0C E9 E2 00 00 00 8B 46 08 3B 83 DD 00 00 00 75 34 8B 56 0C 3B 93 E1 00 00 00 75 29 83 BB B8 00 00 00 00 74 15 C7 07 ?? ?? ?? ?? 8B 0C 24 C7 41 08 01 00 00 00 E9 A7 00 00 00 C7 07 ?? ?? ?? ?? E9 9C 00 00 00 8B 46 08 03 C0 3B 83 DD 00 00 00 75 19 8B 56 0C 3B 93 E1 00 00 00 75 0E 33 C9 89 4C 24 04 C7 07 ?? ?? ?? ?? EB 76 8B 46 08 03 C0 3B 83 DD 00 00 00 75 30 8B 56 0C 03 D2 3B 93 E1 00 00 00 75 23 83 BB B8 00 00 00 00 74 12 C7 07 ?? ?? ?? ?? 8B 0C 24 C7 41 08 01 00 00 00 EB 41 C7 07 ?? ?? ?? ?? EB 39 8B 83 DD 00 00 00 99 F7 7E 08 85 D2 75 1C 8B 83 E1 00 00 00 99 F7 7E 0C 85 D2 75 0E 33 C9 89 4C 24 04 C7 07 ?? ?? ?? ?? EB 0F 8B 03 C7 40 14 25 00 00 00 8B C3 8B 10 FF 12 83 C7 04 45 83 C6 54 3B 6B 34 0F 8C 15 FF FF FF 83 BB B8 00 00 00 00 74 19 83 7C 24 04 00 75 12 8B 0B 8B C3 33 D2 C7 41 14 62 00 00 00 8B 08 FF 51 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9236_0 {
	meta:
		name = "_NF__1AF"
		size = 1264
		refs = "00fb _NV__1B1 01a0 _NF__1AF 04b2 _NF__D2"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 33 C9 89 04 24 8B 04 24 8B 90 5D 01 00 00 89 54 24 04 89 4C 24 08 8B 04 24 8B 50 3C 89 54 24 0C E9 BE 01 00 00 8B 4C 24 0C 8B 59 10 85 DB 7C 0F 83 FB 04 7D 0A 8B 04 24 83 7C 98 40 00 75 16 8B 14 24 8B 02 C7 40 14 33 00 00 00 89 58 18 8B 04 24 8B 10 FF 12 8B 0C 24 8B 44 99 40 89 44 24 10 8B 14 24 8B 8A BC 00 00 00 83 E9 01 72 0E 74 5A 49 0F 84 B5 00 00 00 E9 4B 01 00 00 8B 44 24 04 83 7C 98 0C 00 75 1A 8B 04 24 B9 00 01 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B 54 24 04 89 44 9A 0C 8B 44 24 04 8B 54 98 0C 33 C0 8B CA 8B 54 24 10 0F B7 1A C1 E3 03 89 19 40 83 C1 04 83 C2 02 83 F8 40 7C EC E9 10 01 00 00 8B 44 24 04 83 7C 98 0C 00 75 1A 8B 04 24 B9 00 01 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B 54 24 04 89 44 9A 0C 8B 44 24 04 B9 ?? ?? ?? ?? 8B 54 98 0C 33 C0 8B DA 8B 54 24 10 0F BF 39 0F B7 32 0F AF F7 81 C6 00 04 00 00 83 C2 02 C1 FE 0B 83 C1 02 89 33 83 C3 04 40 83 F8 40 7C DD E9 AE 00 00 00 8B 44 24 04 83 7C 98 20 00 75 1A 8B 04 24 B9 00 01 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B 54 24 04 89 44 9A 20 8B 44 24 04 8B 4C 98 20 33 C0 33 D2 89 4C 24 14 89 54 24 18 C7 44 24 1C ?? ?? ?? ?? 33 F6 8B 54 24 14 8D 1C 82 B9 ?? ?? ?? ?? 8B 54 24 1C 8B FA 8B 54 24 10 8D 14 42 0F B7 2A 89 6C 24 20 DB 44 24 20 DC 0F DC 09 D8 0D ?? ?? ?? ?? D8 3D ?? ?? ?? ?? D9 1B 40 83 C3 04 83 C2 02 46 83 C1 08 83 FE 08 7C D3 FF 44 24 18 83 44 24 1C 08 83 7C 24 18 08 7C A8 EB 13 8B 04 24 8B 10 C7 42 14 2F 00 00 00 8B 04 24 8B 10 FF 12 FF 44 24 08 83 44 24 0C 54 8B 0C 24 8B 41 34 3B 44 24 08 0F 8F 32 FE FF FF 83 C4 24 5D 5F 5E 5B C3 00 00 00 00 00 41 00 00 80 3F 55 8B EC 81 C4 E4 FE FF FF 53 56 57 89 4D FC 8B 80 5D 01 00 00 8B 48 08 89 4D F8 8B 52 10 8B 44 90 0C 33 D2 89 45 F4 8B 45 10 C1 E0 02 01 45 FC 89 55 F0 8B 4D F0 3B 4D 08 0F 83 0C 01 00 00 8B 45 FC 8D 95 E4 FE FF FF 8B C8 33 DB 8B 01 83 C1 04 03 45 0C 43 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 00 83 C0 80 89 02 83 C2 04 83 FB 08 7C 93 8D 85 E4 FE FF FF FF 55 F8 8B 45 F0 C1 E0 07 03 45 14 33 D2 89 55 EC 8B C8 89 4D E4 8D 85 E4 FE FF FF 89 45 E8 8B 55 F4 8B F2 8B 3E 8B 45 E8 8B 18 85 DB 7D 1B F7 DB 8B C7 D1 F8 03 D8 3B FB 7F 09 8B C3 99 F7 FF 89 C3 EB 02 33 DB F7 DB EB 15 8B C7 D1 F8 03 D8 3B FB 7F 09 8B C3 99 F7 FF 89 C3 EB 02 33 DB 8B 45 E4 83 C6 04 66 89 18 FF 45 EC 83 45 E4 02 83 45 E8 04 83 7D EC 40 7C AB FF 45 F0 83 45 0C 08 8B 55 F0 3B 55 08 0F 82 F4 FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 55 8B EC 81 C4 E4 FE FF FF 53 56 57 89 4D FC 8B 80 5D 01 00 00 8B 48 1C 89 4D F8 8B 52 10 8B 44 90 20 33 D2 89 45 F4 8B 45 10 C1 E0 02 01 45 FC 89 55 F0 8B 4D F0 3B 4D 08 0F 83 43 01 00 00 8B 45 FC 8D 95 E8 FE FF FF 8B C8 33 DB 8B 01 83 C1 04 03 45 0C 43 0F B6 30 83 C6 80 40 89 B5 E4 FE FF FF DB 85 E4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 E4 FE FF FF 40 DB 85 E4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 E4 FE FF FF 40 DB 85 E4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 E4 FE FF FF 40 DB 85 E4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 E4 FE FF FF 40 DB 85 E4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 E4 FE FF FF 40 DB 85 E4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 E4 FE FF FF 40 DB 85 E4 FE FF FF D9 1A 0F B6 00 83 C0 80 83 C2 04 89 85 E4 FE FF FF DB 85 E4 FE FF FF D9 1A 83 C2 04 83 FB 08 0F 8C 2F FF FF FF 8D 85 E8 FE FF FF FF 55 F8 8B 45 F0 8D 9D E8 FE FF FF C1 E0 07 03 45 14 33 D2 89 55 E8 8B F8 8B 45 F4 8B F0 D9 03 D8 0E D9 5D EC D9 45 EC D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 05 00 C0 83 C6 04 66 89 07 83 C7 02 FF 45 E8 83 C3 04 83 7D E8 40 7C D2 FF 45 F0 83 45 0C 08 8B 55 F0 3B 55 08 0F 82 BD FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 00 00 01 80 46 }
	condition:
		$1
}

rule function_9237_0 {
	meta:
		name = "_NF__1B0"
		size = 142
		refs = "001f _NF__1AF 003f _NF__1B4 004f _NF__1B5 005f _NF__1B6"
	strings:
		$1 = { 53 56 8B F0 B9 30 00 00 00 BA 01 00 00 00 8B C6 8B 58 04 FF 13 8B D8 89 9E 5D 01 00 00 C7 03 ?? ?? ?? ?? 8B 86 BC 00 00 00 83 E8 01 72 07 74 15 48 74 22 EB 30 C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? EB 2F C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? EB 1F C7 43 04 ?? ?? ?? ?? C7 43 1C ?? ?? ?? ?? EB 0F 8B 16 8B C6 C7 42 14 2F 00 00 00 8B 10 FF 12 33 D2 8D 43 0C 33 C9 42 89 08 33 C9 89 48 14 83 C0 04 83 FA 04 7C EE 5E 5B C3 }
	condition:
		$1
}

rule function_9238_0 {
	meta:
		name = "_NF__1B2"
		size = 2728
		refs = "003f _NF__1B2 015e _NF__CD 0179 _NF__1B8 0596 _NV__18E 0a6d _NF__192 0a7f _NF__1B9"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F0 89 14 24 8B BE 61 01 00 00 89 77 20 8B 04 24 89 47 0C 83 BE 31 01 00 00 00 0F 94 C2 83 E2 01 89 54 24 04 83 BE 39 01 00 00 00 75 19 83 7C 24 04 00 74 09 C7 47 04 ?? ?? ?? ?? EB 3A C7 47 04 ?? ?? ?? ?? EB 31 83 7C 24 04 00 74 09 C7 47 04 ?? ?? ?? ?? EB 21 C7 47 04 ?? ?? ?? ?? 83 7F 40 00 75 14 8B C6 B9 E8 03 00 00 BA 01 00 00 00 8B 58 04 FF 13 89 47 40 83 3C 24 00 74 09 C7 47 08 ?? ?? ?? ?? EB 07 C7 47 08 ?? ?? ?? ?? 33 C0 89 44 24 08 8D 57 24 89 54 24 10 8D 8E ED 00 00 00 89 4C 24 0C E9 EB 00 00 00 8B 44 24 0C 8B 54 24 10 33 C9 8B 00 89 0A 83 7C 24 04 00 74 3A 83 BE 39 01 00 00 00 0F 85 BB 00 00 00 8B 58 14 85 DB 7C 12 83 FB 04 7D 0D 83 7C 9E 50 00 75 48 83 3C 24 00 75 42 8B 06 C7 40 14 31 00 00 00 89 58 18 8B C6 8B 10 FF 12 EB 2E 8B 58 18 89 5F 34 85 DB 7C 12 83 FB 04 7D 0D 83 7C 9E 60 00 75 18 83 3C 24 00 75 12 8B 06 C7 40 14 31 00 00 00 89 58 18 8B C6 8B 10 FF 12 83 3C 24 00 74 33 83 7C 9F 5C 00 75 16 8B C6 B9 04 04 00 00 BA 01 00 00 00 8B 68 04 FF 55 00 89 44 9F 5C 68 04 04 00 00 6A 00 8B 44 9F 5C 50 E8 ?? ?? ?? ?? 83 C4 0C EB 27 83 7C 24 04 00 74 11 8D 4C 9F 4C 8B 54 9E 50 8B C6 E8 ?? ?? ?? ?? EB 0F 8D 4C 9F 4C 8B 54 9E 60 8B C6 E8 ?? ?? ?? ?? FF 44 24 08 83 44 24 10 04 83 44 24 0C 04 8B 54 24 08 3B 96 E9 00 00 00 0F 8C 05 FF FF FF 33 C9 33 C0 89 4F 38 89 47 3C 33 D2 33 C9 89 57 18 89 4F 1C 8B 86 C0 00 00 00 33 D2 89 47 44 89 57 48 83 C4 14 5D 5F 5E 5B C3 90 90 53 8B D8 56 8B 43 20 8B 70 14 FF 56 0C 85 C0 75 10 8B 43 20 8B 10 C7 42 14 16 00 00 00 8B 10 FF 12 8B 0E 89 4B 10 8B 46 04 89 43 14 5E 5B C3 90 53 8B D8 56 57 55 8B F9 85 FF 8B 6B 1C 8B F2 75 10 8B 43 20 8B 10 C7 42 14 27 00 00 00 8B 10 FF 12 83 7B 0C 00 75 6E 8B CF B8 01 00 00 00 D3 E0 48 03 EF B9 18 00 00 00 23 F0 2B CD D3 E6 0B 73 18 83 FD 08 7C 49 8B FE 8B 53 10 C1 FF 10 FF 43 10 81 E7 FF 00 00 00 8B C7 88 02 FF 4B 14 75 07 8B C3 E8 69 FF FF FF 81 FF FF 00 00 00 75 15 8B 53 10 FF 43 10 C6 02 00 FF 4B 14 75 07 8B C3 E8 4C FF FF FF C1 E6 08 83 ED 08 83 FD 08 7D B7 89 73 18 89 6B 1C 5D 5F 5E 5B C3 90 90 53 8B D8 B9 07 00 00 00 BA 7F 00 00 00 8B C3 E8 50 FF FF FF 33 C0 33 D2 89 43 18 89 53 1C 5B C3 53 83 78 0C 00 74 09 8B 44 90 5C FF 04 88 5B C3 8B 54 90 4C 8B 1C 8A 0F BE 94 0A 00 04 00 00 8B CA 8B D3 E8 1C FF FF FF 5B C3 90 90 53 56 57 8B F8 8B F1 8B DA 83 7F 0C 00 75 19 85 F6 76 15 0F BE 13 B9 01 00 00 00 8B C7 E8 F6 FE FF FF 43 4E 85 F6 77 EB 5F 5E 5B C3 53 8B D8 56 8B 43 38 85 C0 76 3F 33 F6 EB 01 46 D1 F8 75 FB 8B CE C1 E1 04 8B 53 34 8B C3 E8 85 FF FF FF 85 F6 74 0C 8B CE 8B 53 38 8B C3 E8 B9 FE FF FF 33 C0 89 43 38 8B 4B 3C 8B 53 40 8B C3 E8 8F FF FF FF 33 D2 89 53 3C 5E 5B C3 90 90 90 53 56 8B F2 8B D8 8B C3 E8 A3 FF FF FF 83 7B 0C 00 75 35 8B C3 E8 1E FF FF FF 8B 53 10 FF 43 10 C6 02 FF FF 4B 14 75 07 8B C3 E8 3D FE FF FF 8B 4B 10 8B D6 FF 43 10 80 C2 D0 88 11 FF 4B 14 75 07 8B C3 E8 24 FE FF FF 8B 53 20 83 BA 31 01 00 00 00 75 1D 33 D2 8D 43 24 EB 08 33 C9 42 89 08 83 C0 04 8B 4B 20 3B 91 E9 00 00 00 7C ED 5E 5B C3 33 C0 33 D2 89 43 38 89 53 3C 5E 5B C3 90 90 53 56 57 83 C4 E8 8B DA 89 04 24 8B 04 24 8B B0 61 01 00 00 8B 04 24 8B 90 3D 01 00 00 89 54 24 08 8B 0C 24 8B 41 14 8B 10 89 56 10 8B 0C 24 8B 41 14 8B 50 04 89 56 14 8B 0C 24 83 B9 C0 00 00 00 00 74 10 83 7E 44 00 75 0A 8B 56 48 8B C6 E8 2C FF FF FF 33 C9 89 4C 24 04 8B 04 24 8D 90 09 01 00 00 89 54 24 14 8B CB 89 4C 24 10 EB 70 8B 54 24 14 8B 44 24 10 8B 0C 24 8B 12 8B 00 8B 8C 91 ED 00 00 00 89 4C 24 0C 0F BF 38 8B 4C 24 08 D3 FF 8B C7 2B 44 96 24 89 7C 96 24 8B F8 85 C0 7D 03 F7 D8 4F 33 DB 85 C0 74 07 D1 F8 43 85 C0 75 F9 8B 44 24 0C 8B 50 14 8B CB 8B C6 E8 16 FE FF FF 85 DB 74 0B 8B CB 8B D7 8B C6 E8 4B FD FF FF FF 44 24 04 83 44 24 14 04 83 44 24 10 04 8B 14 24 8B 8A 05 01 00 00 3B 4C 24 04 7F 81 8B 56 10 8B 04 24 8B 40 14 89 10 8B 56 14 89 50 04 8B 0C 24 8B 81 C0 00 00 00 85 C0 74 13 83 7E 44 00 75 0A 89 46 44 FF 46 48 83 66 48 07 FF 4E 44 B8 01 00 00 00 83 C4 18 5F 5E 5B C3 90 53 56 57 55 83 C4 E4 8B F2 89 04 24 8B 04 24 8B 98 61 01 00 00 8B 04 24 8B 90 35 01 00 00 89 54 24 0C 8B 0C 24 8B 81 3D 01 00 00 89 44 24 10 8B 14 24 8B 4A 14 8B 01 89 43 10 8B 14 24 8B 4A 14 8B 41 04 89 43 14 8B 14 24 83 BA C0 00 00 00 00 74 10 83 7B 44 00 75 0A 8B 53 48 8B C3 E8 F2 FD FF FF 8B 0E 89 4C 24 14 33 F6 8B 04 24 8B 90 31 01 00 00 89 54 24 08 8B 4C 24 08 8D 04 8D ?? ?? ?? ?? 89 44 24 18 8B 54 24 08 3B 54 24 0C 0F 8F A8 00 00 00 8B 4C 24 18 8B 01 8B 54 24 14 0F BF 3C 42 85 FF 75 03 46 EB 7C 85 FF 7D 12 F7 DF 8B 4C 24 10 D3 FF 8B C7 F7 D0 89 44 24 04 EB 0A 8B 4C 24 10 D3 FF 89 7C 24 04 85 FF 75 03 46 EB 55 83 7B 38 00 76 07 8B C3 E8 27 FD FF FF 83 FE 0F 7E 17 B9 F0 00 00 00 8B 53 34 8B C3 E8 BB FC FF FF 83 EE 10 83 FE 0F 7F E9 BD 01 00 00 00 EB 01 45 D1 FF 75 FB 8B CE 8B 53 34 C1 E1 04 8B C3 03 CD E8 96 FC FF FF 8B CD 8B 54 24 04 8B C3 E8 CD FB FF FF 33 F6 FF 44 24 08 83 44 24 18 04 8B 44 24 08 3B 44 24 0C 0F 8E 58 FF FF FF 85 F6 7E 13 FF 43 38 81 7B 38 FF 7F 00 00 75 07 8B C3 E8 B1 FC FF FF 8B 14 24 8B 42 14 8B 53 10 89 10 8B 4B 14 89 48 04 8B 04 24 8B 80 C0 00 00 00 85 C0 74 13 83 7B 44 00 75 0A 89 43 44 FF 43 48 83 63 48 07 FF 4B 44 B8 01 00 00 00 83 C4 1C 5D 5F 5E 5B C3 90 90 90 53 56 8B D8 57 55 51 8B B3 61 01 00 00 8B 83 3D 01 00 00 89 04 24 8B FA 8B 53 14 8B 0A 89 4E 10 8B 43 14 8B 50 04 89 56 14 83 BB C0 00 00 00 00 74 10 83 7E 44 00 75 0A 8B 56 48 8B C6 E8 7E FC FF FF 33 ED 8B C7 8B F8 EB 1E 8B 07 8B 0C 24 0F BF 10 8B C2 8B D0 8B C6 D3 FA B9 01 00 00 00 E8 F8 FA FF FF 45 83 C7 04 3B AB 05 01 00 00 7C DA 8B 43 14 8B 56 10 89 10 8B 4E 14 89 48 04 8B 83 C0 00 00 00 85 C0 74 13 83 7E 44 00 75 0A 89 46 44 FF 46 48 83 66 48 07 FF 4E 44 B8 01 00 00 00 5A 5D 5F 5E 5B C3 90 90 53 56 57 55 81 C4 E0 FE FF FF 8B FA 89 04 24 8B 04 24 8B 98 61 01 00 00 8B 04 24 8B 90 35 01 00 00 89 54 24 10 8B 04 24 8B 0C 24 8B 50 14 8B B1 3D 01 00 00 8B 0A 89 4B 10 8B 04 24 8B 50 14 8B 4A 04 89 4B 14 8B 04 24 83 B8 C0 00 00 00 00 74 10 83 7B 44 00 75 0A 8B 53 48 8B C3 E8 B7 FB FF FF 8B 17 33 C9 89 54 24 14 89 4C 24 0C 8B 04 24 8B 90 31 01 00 00 89 54 24 08 8B 4C 24 08 8B 44 24 08 8D 54 8C 20 8B 4C 24 08 3B 4C 24 10 8D 04 85 ?? ?? ?? ?? 7F 48 8B 08 8B 7C 24 14 0F BF 0C 4F 89 4C 24 04 83 7C 24 04 00 7D 04 F7 5C 24 04 8B CE D3 7C 24 04 8B 4C 24 04 89 0A 83 7C 24 04 01 75 08 8B 4C 24 08 89 4C 24 0C FF 44 24 08 83 C2 04 83 C0 04 8B 4C 24 08 3B 4C 24 10 7E B8 8B 04 24 8B 6B 40 03 6B 3C 33 FF 8B 90 31 01 00 00 33 F6 89 54 24 08 8B 4C 24 08 8D 04 8D ?? ?? ?? ?? 89 44 24 1C 8B 54 24 08 8D 4C 94 20 89 4C 24 18 8B 44 24 08 3B 44 24 10 0F 8F CE 00 00 00 8B 54 24 18 8B 0A 89 4C 24 04 85 C9 75 2F 47 E9 9E 00 00 00 8B C3 E8 8E FA FF FF B9 F0 00 00 00 8B 53 34 8B C3 E8 27 FA FF FF 83 EF 10 8B CE 8B D5 8B C3 E8 45 FA FF FF 8B 6B 40 33 F6 83 FF 0F 7E 0A 8B 44 24 08 3B 44 24 0C 7E C8 83 7C 24 04 01 7E 0E 8A 54 24 04 80 E2 01 88 54 35 00 46 EB 51 8B C3 E8 41 FA FF FF 8B CF 8B 53 34 C1 E1 04 8B C3 41 E8 D9 F9 FF FF 33 D2 8B 4C 24 1C 8B 01 8B 4C 24 14 66 83 3C 41 00 7C 01 42 89 54 24 04 B9 01 00 00 00 8B 54 24 04 8B C3 E8 F5 F8 FF FF 8B CE 8B D5 8B C3 E8 D2 F9 FF FF 8B 6B 40 33 F6 33 FF FF 44 24 08 83 44 24 1C 04 83 44 24 18 04 8B 44 24 08 3B 44 24 10 0F 8E 32 FF FF FF 85 FF 7F 04 85 F6 76 1F FF 43 38 01 73 3C 81 7B 38 FF 7F 00 00 74 09 81 7B 3C A9 03 00 00 76 07 8B C3 E8 B4 F9 FF FF 8B 14 24 8B 42 14 8B 53 10 89 10 8B 4B 14 89 48 04 8B 04 24 8B 80 C0 00 00 00 85 C0 74 13 83 7B 44 00 75 0A 89 43 44 FF 43 48 83 63 48 07 FF 4B 44 B8 01 00 00 00 81 C4 20 01 00 00 5D 5F 5E 5B C3 90 90 90 53 56 8B F0 8B 9E 61 01 00 00 8B 46 14 8B 10 89 53 10 8B 4E 14 8B 41 04 89 43 14 8B C3 E8 4E F9 FF FF 8B C3 E8 CF F8 FF FF 8B 46 14 8B 53 10 89 10 8B 4B 14 89 48 04 5E 5B C3 90 90 53 56 57 55 83 C4 E4 8B F0 8B 86 61 01 00 00 89 04 24 8B 04 24 E8 1A F9 FF FF 83 BE 31 01 00 00 00 0F 94 C2 83 E2 01 89 54 24 04 6A 10 6A 00 8D 4C 24 14 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 89 44 24 08 8D AE ED 00 00 00 EB 60 83 7C 24 04 00 8B 45 00 74 0E 83 BE 39 01 00 00 00 75 46 8B 58 14 EB 03 8B 58 18 83 7C 9C 0C 00 75 37 83 7C 24 04 00 74 06 8D 7C 9E 50 EB 04 8D 7C 9E 60 83 3F 00 75 09 8B C6 E8 ?? ?? ?? ?? 89 07 8B 14 24 8B 4C 9A 5C 8B 17 8B C6 E8 ?? ?? ?? ?? C7 44 9C 0C 01 00 00 00 FF 44 24 08 83 C5 04 8B 4C 24 08 3B 8E E9 00 00 00 7C 94 83 C4 1C 5D 5F 5E 5B C3 90 90 }
	condition:
		$1
}

rule function_9239_0 {
	meta:
		name = "_NF__1B3"
		size = 66
		refs = "0021 _NF__1B2"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 6C 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B C8 33 D2 89 8B 61 01 00 00 C7 01 ?? ?? ?? ?? 8D 41 4C 33 DB 42 89 18 33 DB 89 58 10 83 C0 04 83 FA 04 7C EE 33 C0 89 41 40 5E 5B C3 }
	condition:
		$1
}

rule function_9240_0 {
	meta:
		name = "_NF__1B4"
		size = 994
	strings:
		$1 = { 53 56 57 55 83 C4 DC 89 04 24 8B 04 24 C7 44 24 20 07 00 00 00 8B 08 8B 58 1C 8B D1 8B F1 2B F3 03 D3 8B 58 04 8B 78 18 8B CB 2B DF 03 CF 8B FB 8B 58 08 8B 68 08 03 58 14 2B 68 14 89 6C 24 0C 8B 68 0C 03 68 10 89 6C 24 04 8B 68 0C 2B 68 10 89 6C 24 08 8B 6C 24 04 03 EA 89 6C 24 10 2B 54 24 04 89 54 24 14 8D 14 0B 2B CB 8B 5C 24 10 03 DA C1 E3 02 89 18 8B 5C 24 10 2B DA C1 E3 02 89 58 10 8B 54 24 14 03 D1 8B DA C1 E2 04 03 D3 8D 14 93 8D 14 93 C1 E2 04 03 D3 8B 5C 24 14 8B EB 8D 5C 5D 00 C1 E3 04 03 DD C1 E3 06 2B DD 03 DB 03 DA 81 C3 00 04 00 00 C1 FB 0B 89 58 08 8B D9 F7 D9 C1 E1 04 03 CB 8D 0C 8B C1 E1 03 2B CB C1 E1 05 2B CB 03 D1 81 C2 00 04 00 00 C1 FA 0B 89 50 18 8B 4C 24 0C 8B 54 24 08 03 CF 03 D6 89 4C 24 18 69 D2 33 E3 FF FF 8B 4C 24 08 8B 5C 24 0C 03 DE 03 CF 69 FF 54 62 00 00 8D 2C 0B 69 ED A1 25 00 00 89 6C 24 1C 69 6C 24 08 8E 09 00 00 89 6C 24 08 69 6C 24 0C B3 41 00 00 89 6C 24 0C 8B EE 8D 74 75 00 C1 E6 09 03 F5 8D 74 B5 00 8D 74 75 00 69 6C 24 18 FD AD FF FF 89 6C 24 18 8B E9 F7 D9 C1 E1 06 03 CD 8D 4C 8D 00 C1 E1 04 2B CD C1 E1 02 2B CD 8B EB F7 DB 03 4C 24 1C 8D 5C 9D 00 C1 E3 03 2B DD C1 E3 05 03 DD 8B 6C 24 08 03 EA 03 D6 03 E9 C1 E3 02 81 C5 00 04 00 00 03 5C 24 1C C1 FD 0B 89 68 1C 8B 6C 24 0C 03 6C 24 18 03 EB 03 DA 81 C5 00 04 00 00 81 C3 00 04 00 00 C1 FD 0B 89 68 14 03 7C 24 18 03 CF 81 C1 00 04 00 00 C1 F9 0B C1 FB 0B 89 48 0C 89 58 04 83 C0 20 FF 4C 24 20 83 7C 24 20 00 0F 8D 35 FE FF FF 8B 04 24 C7 44 24 20 07 00 00 00 8B 08 8B 98 E0 00 00 00 8B D1 8B F1 2B F3 03 D3 8B 58 20 8B B8 C0 00 00 00 8B CB 2B DF 03 CF 8B FB 8B 58 40 8B 68 40 03 98 A0 00 00 00 2B A8 A0 00 00 00 89 6C 24 0C 8B 68 60 03 A8 80 00 00 00 89 6C 24 04 8B 68 60 2B A8 80 00 00 00 89 6C 24 08 8B 6C 24 04 03 EA 89 6C 24 10 2B 54 24 04 89 54 24 14 8D 14 0B 2B CB 8B 5C 24 10 03 DA 83 C3 02 C1 FB 02 89 18 8B 5C 24 10 2B DA 83 C3 02 C1 FB 02 89 98 80 00 00 00 8B 54 24 14 03 D1 8B DA C1 E2 04 03 D3 8D 14 93 8D 14 93 C1 E2 04 03 D3 8B 5C 24 14 8B EB 8D 5C 5D 00 C1 E3 04 03 DD C1 E3 06 2B DD 03 DB 03 DA 81 C3 00 40 00 00 C1 FB 0F 89 58 40 8B D9 F7 D9 C1 E1 04 03 CB 8D 0C 8B C1 E1 03 2B CB C1 E1 05 2B CB 03 D1 81 C2 00 40 00 00 C1 FA 0F 89 90 C0 00 00 00 8B 4C 24 0C 8B 54 24 08 03 CF 03 D6 89 4C 24 18 69 D2 33 E3 FF FF 8B 4C 24 08 8B 5C 24 0C 03 DE 03 CF 69 FF 54 62 00 00 8D 2C 0B 69 ED A1 25 00 00 89 6C 24 1C 69 6C 24 08 8E 09 00 00 89 6C 24 08 69 6C 24 0C B3 41 00 00 89 6C 24 0C 8B EE 8D 74 75 00 C1 E6 09 03 F5 8D 74 B5 00 8D 74 75 00 69 6C 24 18 FD AD FF FF 89 6C 24 18 8B E9 F7 D9 C1 E1 06 03 CD 8D 4C 8D 00 C1 E1 04 2B CD C1 E1 02 2B CD 8B EB F7 DB 03 4C 24 1C 8D 5C 9D 00 C1 E3 03 2B DD C1 E3 05 03 DD 8B 6C 24 08 03 EA 03 D6 03 E9 C1 E3 02 81 C5 00 40 00 00 03 5C 24 1C C1 FD 0F 89 A8 E0 00 00 00 8B 6C 24 0C 03 6C 24 18 03 EB 03 DA 81 C5 00 40 00 00 81 C3 00 40 00 00 C1 FD 0F 89 A8 A0 00 00 00 03 7C 24 18 03 CF 81 C1 00 40 00 00 C1 F9 0F C1 FB 0F 89 48 60 89 58 20 83 C0 04 FF 4C 24 20 83 7C 24 20 00 0F 8D 11 FE FF FF 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9241_0 {
	meta:
		name = "_NF__1B5"
		size = 618
	strings:
		$1 = { 53 56 57 55 83 C4 E8 89 04 24 8B 04 24 C7 44 24 14 07 00 00 00 8B 10 8B 58 1C 8B CA 8B F2 8B 50 04 2B F3 03 CB 8B 78 18 8B DA 2B D7 89 54 24 10 03 DF 8B 50 08 8B 78 14 8B EA 2B D7 03 EF 89 6C 24 04 89 54 24 0C 8B 50 0C 8B FA 03 78 10 2B 50 10 89 54 24 08 8D 14 0F 2B CF 8B F9 8B 4C 24 04 03 CB 2B 5C 24 04 8D 2C 11 2B D1 89 28 89 50 10 8D 14 1F 8B CA 8D 14 91 8D 14 51 8D 14 91 8D 14 91 C1 FA 08 8D 0C 3A 2B FA 89 48 08 89 78 18 8B 54 24 08 8B 5C 24 10 03 54 24 0C 03 DE 8B FA 8B 4C 24 0C 2B FB 03 4C 24 10 8B EF 8D 7C 7D 00 C1 E7 04 03 FD 8B EA C1 E2 04 03 FF 03 D5 C1 FF 08 8D 54 95 00 8D 54 55 00 8B EB C1 FA 08 03 D7 8D 5C 9D 00 8D 5C 9D 00 C1 E3 03 2B DD 03 DB C1 FB 08 03 FB 8B DF 8B F9 8D 0C 8F 8D 0C 4F 8D 0C 8F 8D 0C 8F C1 F9 08 8D 3C 31 2B F1 8B CE 8D 34 0A 2B CA 89 70 14 89 48 0C 8D 14 3B 2B FB 89 50 04 89 78 1C FF 4C 24 14 83 C0 20 83 7C 24 14 00 0F 8D F0 FE FF FF 8B 04 24 C7 44 24 14 07 00 00 00 8B 10 8B 98 E0 00 00 00 8B CA 8B F2 2B F3 03 CB 8B 58 20 8B 50 20 03 98 C0 00 00 00 2B 90 C0 00 00 00 89 54 24 10 8B 50 40 03 90 A0 00 00 00 89 54 24 04 8B 50 40 2B 90 A0 00 00 00 89 54 24 0C 8B 78 60 8B 50 60 03 B8 80 00 00 00 2B 90 80 00 00 00 89 54 24 08 8D 14 0F 2B CF 8B F9 8B 4C 24 04 03 CB 2B 5C 24 04 8D 2C 11 2B D1 89 28 89 90 80 00 00 00 8D 14 1F 8B CA 8D 14 91 8D 14 51 8D 14 91 8D 14 91 C1 FA 08 8D 0C 3A 2B FA 89 48 40 89 B8 C0 00 00 00 8B 54 24 08 8B 5C 24 10 03 54 24 0C 03 DE 8B FA 8B 4C 24 0C 2B FB 03 4C 24 10 8B EF 8D 7C 7D 00 C1 E7 04 03 FD 8B EA C1 E2 04 03 FF 03 D5 C1 FF 08 8D 54 95 00 8D 54 55 00 8B EB C1 FA 08 03 D7 8D 5C 9D 00 8D 5C 9D 00 C1 E3 03 2B DD 03 DB C1 FB 08 03 FB 8B DF 8B F9 8D 0C 8F 8D 0C 4F 8D 0C 8F 8D 0C 8F C1 F9 08 8D 3C 31 2B F1 8B CE 8D 34 0A 2B CA 89 B0 A0 00 00 00 89 48 60 8D 14 3B 2B FB 89 50 20 89 B8 E0 00 00 00 FF 4C 24 14 83 C0 04 83 7C 24 14 00 0F 8D CE FE FF FF 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9242_0 {
	meta:
		name = "_NF__1B6"
		size = 812
		refs = "00a4 _NF__1B6"
	strings:
		$1 = { 83 C4 B4 8B D0 B9 07 00 00 00 D9 02 D8 42 1C D9 1C 24 D9 02 D8 62 1C D9 5C 24 1C D9 42 04 D8 42 18 D9 5C 24 04 D9 42 04 D8 62 18 D9 5C 24 18 D9 42 08 D8 42 14 D9 5C 24 08 D9 42 08 D8 62 14 D9 5C 24 14 D9 42 0C D8 42 10 D9 5C 24 0C D9 42 0C D8 62 10 D9 5C 24 10 D9 04 24 D8 44 24 0C D9 5C 24 20 D9 04 24 D8 64 24 0C D9 5C 24 2C D9 44 24 04 D8 44 24 08 D9 5C 24 24 D9 44 24 04 D8 64 24 08 D9 5C 24 28 D9 44 24 20 D8 44 24 24 D9 1A D9 44 24 20 D8 64 24 24 D9 5A 10 D9 44 24 28 D8 44 24 2C D8 0D ?? ?? ?? ?? D9 5C 24 30 D9 44 24 2C D8 44 24 30 D9 5A 08 D9 44 24 2C D8 64 24 30 D9 5A 18 D9 44 24 10 D8 44 24 14 D9 5C 24 20 D9 44 24 14 D8 44 24 18 D9 5C 24 24 D9 44 24 18 D8 44 24 1C D9 5C 24 28 D9 44 24 20 D8 64 24 28 D8 0D ?? ?? ?? ?? D9 5C 24 40 D9 05 ?? ?? ?? ?? D8 4C 24 20 D8 44 24 40 D9 5C 24 34 D9 05 ?? ?? ?? ?? D8 4C 24 28 D8 44 24 40 D9 5C 24 3C D9 44 24 24 D8 0D ?? ?? ?? ?? D9 5C 24 38 D9 44 24 1C D8 44 24 38 D9 5C 24 44 D9 44 24 1C D8 64 24 38 D9 5C 24 48 D9 44 24 48 D8 44 24 34 D9 5A 14 D9 44 24 48 D8 64 24 34 D9 5A 0C D9 44 24 44 D8 44 24 3C D9 5A 04 D9 44 24 44 D8 64 24 3C D9 5A 1C 83 C2 20 49 85 C9 0F 8D 90 FE FF FF 8B D0 B9 07 00 00 00 D9 02 D8 82 E0 00 00 00 D9 1C 24 D9 02 D8 A2 E0 00 00 00 D9 5C 24 1C D9 42 20 D8 82 C0 00 00 00 D9 5C 24 04 D9 42 20 D8 A2 C0 00 00 00 D9 5C 24 18 D9 42 40 D8 82 A0 00 00 00 D9 5C 24 08 D9 42 40 D8 A2 A0 00 00 00 D9 5C 24 14 D9 42 60 D8 82 80 00 00 00 D9 5C 24 0C D9 42 60 D8 A2 80 00 00 00 D9 5C 24 10 D9 04 24 D8 44 24 0C D9 5C 24 20 D9 04 24 D8 64 24 0C D9 5C 24 2C D9 44 24 04 D8 44 24 08 D9 5C 24 24 D9 44 24 04 D8 64 24 08 D9 5C 24 28 D9 44 24 20 D8 44 24 24 D9 1A D9 44 24 20 D8 64 24 24 D9 9A 80 00 00 00 D9 44 24 28 D8 44 24 2C D8 0D ?? ?? ?? ?? D9 5C 24 30 D9 44 24 2C D8 44 24 30 D9 5A 40 D9 44 24 2C D8 64 24 30 D9 9A C0 00 00 00 D9 44 24 10 D8 44 24 14 D9 5C 24 20 D9 44 24 14 D8 44 24 18 D9 5C 24 24 D9 44 24 18 D8 44 24 1C D9 5C 24 28 D9 44 24 20 D8 64 24 28 D8 0D ?? ?? ?? ?? D9 5C 24 40 D9 05 ?? ?? ?? ?? D8 4C 24 20 D8 44 24 40 D9 5C 24 34 D9 05 ?? ?? ?? ?? D8 4C 24 28 D8 44 24 40 D9 5C 24 3C D9 44 24 24 D8 0D ?? ?? ?? ?? D9 5C 24 38 D9 44 24 1C D8 44 24 38 D9 5C 24 44 D9 44 24 1C D8 64 24 38 D9 5C 24 48 D9 44 24 48 D8 44 24 34 D9 9A A0 00 00 00 D9 44 24 48 D8 64 24 34 D9 5A 60 D9 44 24 44 D8 44 24 3C D9 5A 20 D9 44 24 44 D8 64 24 3C D9 9A E0 00 00 00 83 C2 04 49 85 C9 0F 8D 6C FE FF FF 83 C4 4C C3 00 00 00 F3 04 35 3F 15 EF C3 3E D4 8B 0A 3F 75 3D A7 3F }
	condition:
		$1
}

rule function_9243_0 {
	meta:
		name = "_NF__1B7"
		size = 460
		refs = "0023 _NF__1B7 0102 _NF__CD"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B D8 89 14 24 8B 83 61 01 00 00 89 44 24 04 83 3C 24 00 74 18 8B 54 24 04 C7 42 04 ?? ?? ?? ?? 8B 4C 24 04 C7 41 08 ?? ?? ?? ?? EB 16 8B 44 24 04 C7 40 04 ?? ?? ?? ?? 8B 54 24 04 C7 42 08 ?? ?? ?? ?? 33 C9 89 4C 24 08 8B 44 24 04 8D 50 14 89 54 24 10 8D 8B ED 00 00 00 89 4C 24 0C E9 21 01 00 00 8B 44 24 0C 8B 00 8B 70 14 8B 78 18 85 F6 7C 12 83 FE 04 7D 0D 83 7C B3 50 00 75 18 83 3C 24 00 75 12 8B 03 C7 40 14 31 00 00 00 89 70 18 8B C3 8B 10 FF 12 85 FF 7C 12 83 FF 04 7D 0D 83 7C BB 60 00 75 18 83 3C 24 00 75 12 8B 03 C7 40 14 31 00 00 00 89 78 18 8B C3 8B 10 FF 12 83 3C 24 00 74 7B 8B 4C 24 04 83 7C B1 4C 00 75 1A 8B C3 B9 04 04 00 00 BA 01 00 00 00 8B 68 04 FF 55 00 8B 54 24 04 89 44 B2 4C 68 04 04 00 00 6A 00 8B 44 24 0C 8B 4C B0 4C 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 44 24 04 83 7C B8 5C 00 75 19 8B C3 B9 04 04 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B 54 24 04 89 44 BA 5C 68 04 04 00 00 6A 00 8B 44 24 0C 8B 4C B8 5C 51 E8 ?? ?? ?? ?? 83 C4 0C EB 2E 8B CE 8B 54 B3 50 C1 E1 02 8B C3 03 4C 24 04 83 C1 2C E8 6E 00 00 00 8B CF 8B 54 BB 60 C1 E1 02 8B C3 03 4C 24 04 83 C1 3C E8 57 00 00 00 8B 44 24 10 33 D2 89 10 FF 44 24 08 83 44 24 10 04 83 44 24 0C 04 8B 4C 24 08 3B 8B E9 00 00 00 0F 8C CF FE FF FF 8B 44 24 04 33 D2 89 50 0C 8B 4C 24 04 33 C0 89 41 10 8B 54 24 04 8B 8B C0 00 00 00 89 4A 24 8B 44 24 04 33 D2 89 50 28 83 C4 14 5D 5F 5E 5B C3 90 }
	condition:
		$1
}

rule function_9244_0 {
	meta:
		name = "_NF__1B8"
		size = 1720
		refs = "00ab _NF__CD 0292 _NV__18E"
	strings:
		$1 = { 53 56 57 55 81 C4 EC FA FF FF 8B D9 89 14 24 8B F0 83 3B 00 75 13 8B C6 B9 00 05 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 03 8B 03 89 44 24 04 33 C0 BF 01 00 00 00 8B 14 24 8D 6A 01 B9 01 00 00 00 8D 54 04 0C 8B F5 EB 07 8B DF 40 88 1A 42 41 33 DB 8A 1E 3B CB 7E F1 47 45 83 FF 10 7E DD C6 44 04 0C 00 89 44 24 08 33 DB 0F BE 74 24 0C 33 C0 EB 1F 8D 8C 84 10 01 00 00 8D 54 04 0C EB 08 89 19 40 83 C1 04 42 43 0F BE 3A 3B F7 74 F1 03 DB 46 80 7C 04 0C 00 75 DA 68 00 01 00 00 6A 00 8B 44 24 0C 05 00 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8D 74 24 0C 8B 14 24 83 C2 11 8D 8C 24 10 01 00 00 3B 44 24 08 7D 2C 33 DB 8B 7C 24 04 8A 1A 8B 29 83 C1 04 40 89 2C 9F 33 DB 8A 1A 8B 7C 24 04 42 8D BC 1F 00 04 00 00 8A 1E 46 88 1F 3B 44 24 08 7C D4 81 C4 14 05 00 00 5D 5F 5E 5B C3 90 90 53 8B D8 56 8B 43 20 8B 70 14 FF 56 0C 85 C0 75 05 33 C0 5E 5B C3 8B 16 B8 01 00 00 00 89 13 8B 4E 04 89 4B 04 5E 5B C3 53 8B D8 56 57 55 8B F9 85 FF 8B 6B 0C 8B F2 75 10 8B 43 20 8B 10 C7 42 14 27 00 00 00 8B 10 FF 12 8B CF B8 01 00 00 00 D3 E0 48 03 EF B9 18 00 00 00 23 F0 2B CD D3 E6 0B 73 08 83 FD 08 7C 55 8B FE 8B 13 C1 FF 10 FF 03 81 E7 FF 00 00 00 8B C7 88 02 FF 4B 04 75 0F 8B C3 E8 79 FF FF FF 85 C0 75 04 33 C0 EB 39 81 FF FF 00 00 00 75 1B 8B 13 FF 03 C6 02 00 FF 4B 04 75 0F 8B C3 E8 56 FF FF FF 85 C0 75 04 33 C0 EB 16 C1 E6 08 83 ED 08 83 FD 08 7D AB 89 73 08 89 6B 0C B8 01 00 00 00 5D 5F 5E 5B C3 90 90 90 53 8B D8 B9 07 00 00 00 BA 7F 00 00 00 8B C3 E8 44 FF FF FF 85 C0 75 04 33 C0 5B C3 33 D2 33 C9 89 53 08 89 4B 0C B8 01 00 00 00 5B C3 90 90 90 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 55 F8 8B 45 0C 8B 7D 08 0F BF 0A 2B 4D F4 8B F1 89 4D F0 85 F6 7D 05 F7 DE FF 4D F0 33 D2 85 F6 89 55 EC 74 09 FF 45 EC D1 FE 85 F6 75 F7 8B 4D EC 8B 55 EC 0F BE 8C 08 00 04 00 00 8B 14 90 8B 45 FC E8 CE FE FF FF 85 C0 75 07 33 C0 E9 FC 00 00 00 83 7D EC 00 74 19 8B 4D EC 8B 55 F0 8B 45 FC E8 AF FE FF FF 85 C0 75 07 33 C0 E9 DD 00 00 00 C7 45 E8 01 00 00 00 C7 45 E4 ?? ?? ?? ?? 33 DB 8B 45 E4 8B 10 8B 4D F8 0F BF 34 51 85 F6 75 06 43 E9 84 00 00 00 83 FB 0F 7E 28 0F BE 8F F0 04 00 00 8B 97 C0 03 00 00 8B 45 FC E8 64 FE FF FF 85 C0 75 07 33 C0 E9 92 00 00 00 83 EB 10 83 FB 0F 7F D8 89 75 F0 85 F6 7D 05 F7 DE FF 4D F0 C7 45 EC 01 00 00 00 EB 03 FF 45 EC D1 FE 75 F9 8B C3 C1 E0 04 03 45 EC 0F BE 8C 07 00 04 00 00 8B 14 87 8B 45 FC E8 1A FE FF FF 85 C0 75 04 33 C0 EB 4B 8B 4D EC 8B 55 F0 8B 45 FC E8 04 FE FF FF 85 C0 75 04 33 C0 EB 35 33 DB FF 45 E8 83 45 E4 04 83 7D E8 40 0F 8C 55 FF FF FF 85 DB 7E 19 0F BE 8F 00 04 00 00 8B 17 8B 45 FC E8 D4 FD FF FF 85 C0 75 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 8B E5 5D C2 08 00 90 90 53 56 8B F2 8B D8 8B C3 E8 57 FE FF FF 85 C0 75 05 33 C0 5E 5B C3 8B 13 FF 03 C6 02 FF FF 4B 04 75 10 8B C3 E8 6B FD FF FF 85 C0 75 05 33 C0 5E 5B C3 8B 0B 8B D6 FF 03 80 C2 D0 88 11 FF 4B 04 75 10 8B C3 E8 4B FD FF FF 85 C0 75 05 33 C0 5E 5B C3 33 D2 8D 43 10 EB 08 33 C9 42 89 08 83 C0 04 8B 4B 20 3B 91 E9 00 00 00 7C ED B8 01 00 00 00 5E 5B C3 53 56 8B F0 57 55 83 C4 D4 8B 46 14 8B DA 8B AE 61 01 00 00 8B 10 89 54 24 08 8B 48 04 89 4C 24 0C 56 8D 7C 24 14 8D 75 0C B9 06 00 00 00 F3 A5 5E 89 74 24 28 83 BE C0 00 00 00 00 74 1D 83 7D 24 00 75 17 8B 55 28 8D 44 24 08 E8 3C FF FF FF 85 C0 75 07 33 C0 E9 AA 00 00 00 33 D2 89 14 24 8B CB 8B D9 8D 86 09 01 00 00 89 44 24 04 EB 48 8B 54 24 04 8B 3A 8B 84 BE ED 00 00 00 8B 50 14 8B 4C 95 2C 51 8B 40 18 8B 54 85 3C 52 8B 4C BC 20 8D 44 24 10 8B 13 E8 84 FD FF FF 85 C0 75 04 33 C0 EB 61 8B 13 0F BF 0A 89 4C BC 18 FF 04 24 83 C3 04 83 44 24 04 04 8B 04 24 3B 86 05 01 00 00 7C AD 8B 46 14 8B 54 24 08 8D 7D 0C 89 10 8B 4C 24 0C 89 48 04 56 8D 74 24 14 B9 06 00 00 00 F3 A5 5E 8B 86 C0 00 00 00 85 C0 74 13 83 7D 24 00 75 0A 89 45 24 FF 45 28 83 65 28 07 FF 4D 24 B8 01 00 00 00 83 C4 2C 5D 5F 5E 5B C3 90 90 90 53 8B D8 56 57 8B 43 14 83 C4 DC 8B B3 61 01 00 00 8B 10 89 14 24 8B 48 04 89 4C 24 04 56 8D 7C 24 0C 83 C6 0C B9 06 00 00 00 F3 A5 5E 89 5C 24 20 8B C4 E8 A8 FC FF FF 85 C0 75 0F 8B 13 8B C3 C7 42 14 16 00 00 00 8B 10 FF 12 8B 43 14 8B 14 24 8D 7E 0C 89 10 8B 4C 24 04 89 48 04 56 8D 74 24 0C B9 06 00 00 00 F3 A5 5E 83 C4 24 5F 5E 5B C3 90 90 90 55 8B EC 83 C4 F0 53 89 4D F8 89 45 FC 8B 45 08 8B 4D FC 0F BF 19 2B DA 85 DB 7D 02 F7 DB 33 C9 85 DB 74 07 D1 FB 41 85 DB 75 F9 8B 55 F8 FF 04 8A 33 D2 C7 45 F4 01 00 00 00 C7 45 F0 ?? ?? ?? ?? 8B 4D F0 8B 09 8B 5D FC 0F BF 1C 4B 85 DB 75 03 42 EB 2F 83 FA 0F 7E 0E FF 80 C0 03 00 00 83 EA 10 83 FA 0F 7F F2 85 DB 7D 02 F7 DB B9 01 00 00 00 EB 01 41 D1 FB 75 FB C1 E2 04 03 CA FF 04 88 33 D2 FF 45 F4 83 45 F0 04 83 7D F4 40 7C B1 85 D2 7E 02 FF 00 5B 8B E5 5D C2 04 00 90 90 90 53 56 57 55 83 C4 F4 8B E8 89 14 24 83 BD C0 00 00 00 00 8B 9D 61 01 00 00 74 29 83 7B 24 00 75 20 33 F6 8D 43 14 EB 08 33 D2 46 89 10 83 C0 04 3B B5 E9 00 00 00 7C F0 8B 8D C0 00 00 00 89 4B 24 FF 4B 24 33 C0 89 44 24 04 8D 85 09 01 00 00 8B 14 24 89 44 24 08 8B FA EB 3C 8B 54 24 08 8B 32 8B 84 B5 ED 00 00 00 8B 50 18 8B 4C 93 5C 51 8B 40 14 8B 4C 83 4C 8B 07 8B 54 B3 14 E8 DE FE FF FF 8B 0F 0F BF 01 89 44 B3 14 FF 44 24 04 83 C7 04 83 44 24 08 04 8B 95 05 01 00 00 3B 54 24 04 7F B8 B8 01 00 00 00 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9245_0 {
	meta:
		name = "_NF__1B9"
		size = 700
		refs = "001e _NF__CD 0197 _NF__CE 0249 _NF__192"
	strings:
		$1 = { 53 56 57 81 C4 C8 F7 FF FF 89 4C 24 08 89 54 24 04 89 04 24 6A 21 6A 00 8D 44 24 14 50 E8 ?? ?? ?? ?? 83 C4 0C 68 04 04 00 00 6A 00 8D 54 24 38 52 E8 ?? ?? ?? ?? 83 C4 0C 33 DB 8D 84 24 34 04 00 00 C7 00 FF FF FF FF 43 83 C0 04 81 FB 01 01 00 00 7C EE 8B 54 24 08 C7 82 00 04 00 00 01 00 00 00 83 C8 FF BF 00 CA 9A 3B 33 DB 8B 54 24 08 8B 0A 85 C9 74 08 3B F9 7C 04 8B F9 8B C3 43 83 C2 04 81 FB 00 01 00 00 7E E6 83 CA FF BF 00 CA 9A 3B 33 DB 8B 4C 24 08 8B 31 85 F6 74 0C 3B FE 7C 08 3B C3 74 04 8B FE 8B D3 43 83 C1 04 81 FB 00 01 00 00 7E E2 85 D2 7C 51 8B 4C 24 08 8B 5C 24 08 8B 0C 91 01 0C 83 33 DB 8B 4C 24 08 89 1C 91 FF 44 84 30 EB 06 8B C1 FF 44 84 30 8B 8C 84 34 04 00 00 85 C9 7D EF 89 94 84 34 04 00 00 FF 44 94 30 EB 06 8B D0 FF 44 94 30 8B 84 94 34 04 00 00 85 C0 7D EF E9 57 FF FF FF 33 DB 8D 74 24 30 8B 06 85 C0 74 1E 83 F8 20 7E 13 8B 14 24 8B 0A C7 41 14 26 00 00 00 8B 04 24 8B 10 FF 12 8B 0E FE 44 0C 0C 43 83 C6 04 81 FB 00 01 00 00 7E D0 BB 20 00 00 00 8D 74 24 2C 8B CE EB 1F 8D 43 FE 8D 54 04 0C EB 02 48 4A 80 3A 00 74 F9 80 01 FE FE 41 FF 80 44 04 0D 02 FE 4C 04 0C 80 39 00 77 DC 4B 4E 83 FB 10 7F D1 8D 44 1C 0C EB 02 4B 48 80 38 00 74 F9 FE 4C 1C 0C 6A 11 8D 54 24 10 52 8B 4C 24 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 33 FF BB 01 00 00 00 33 C0 8B 54 24 04 8D 74 3A 11 8D 54 24 30 3B 1A 75 04 88 06 47 46 40 83 C2 04 3D FF 00 00 00 7E ED 43 83 FB 20 7E D9 8B 44 24 04 33 C9 89 88 11 01 00 00 81 C4 38 08 00 00 5F 5E 5B C3 90 90 53 56 57 55 83 C4 D4 8B D8 8B 83 61 01 00 00 89 04 24 6A 10 6A 00 8D 54 24 14 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 10 6A 00 8D 4C 24 24 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 89 44 24 04 8D 93 ED 00 00 00 89 54 24 08 EB 77 8B 4C 24 08 8B 01 8B 78 14 8B 68 18 83 7C BC 0C 00 75 2A 8D 74 BB 50 83 3E 00 75 09 8B C3 E8 ?? ?? ?? ?? 89 06 8B 14 24 8B 4C BA 4C 8B 16 8B C3 E8 A1 FD FF FF C7 44 BC 0C 01 00 00 00 83 7C AC 1C 00 75 2A 8D 74 AB 60 83 3E 00 75 09 8B C3 E8 ?? ?? ?? ?? 89 06 8B 14 24 8B 4C AA 5C 8B 16 8B C3 E8 70 FD FF FF C7 44 AC 1C 01 00 00 00 FF 44 24 04 83 44 24 08 04 8B 4C 24 04 3B 8B E9 00 00 00 0F 8C 79 FF FF FF 83 C4 2C 5D 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_9246_0 {
	meta:
		name = "_NF__1BA"
		size = 65
		refs = "001d _NF__1B7"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 6C 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 61 01 00 00 C7 00 ?? ?? ?? ?? 33 D2 83 C0 3C 33 C9 89 08 89 48 F0 33 C9 89 48 20 89 48 10 42 83 C0 04 83 FA 04 7C E8 5E 5B C3 }
	condition:
		$1
}

rule function_9247_0 {
	meta:
		name = "Finalization"
		size = 64
		refs = "0007 Finalization 0013 _NV__96 001b _DV_TJPEGImage 0020 _Dn_TPicture 0025 TPicture.UnregisterGraphicClass 0038 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 10 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9248_0 {
	meta:
		name = "jpeg"
		size = 120
		refs = "0002 _NV__96 000a _NF__148 000f _DV_TJPEGImage 0015 jpeg 001f _Dn_TPicture 0024 TPicture.RegisterFileFormat"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 39 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 0F 00 00 00 4A 50 45 47 20 49 6D 61 67 65 20 46 69 6C 65 00 FF FF FF FF 04 00 00 00 6A 70 65 67 00 00 00 00 FF FF FF FF 03 00 00 00 6A 70 67 00 }
	condition:
		$1
}

rule function_9264_0 {
	meta:
		name = "_NF__74"
		size = 20
	strings:
		$1 = { FF FF FF FF 0A 00 00 00 4D 41 50 49 33 32 2E 44 4C 4C 00 00 }
	condition:
		$1
}

rule function_9265_0 {
	meta:
		name = "_NF__83"
		size = 31
		refs = "0002 _NV__76 000a MAPIDLL 000f @LStrToPChar 0015 LoadLibrary"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 15 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9266_0 {
	meta:
		name = "MapiLogOn"
		size = 104
		refs = "000d _NF__83 0013 _NV__77 001b MapiLogOn 0020 _NV__76 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 17 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 0C 00 00 4D 41 50 49 4C 6F 67 6F 6E 00 00 00 }
	condition:
		$1
}

rule function_9267_0 {
	meta:
		name = "MapiLogOff"
		size = 96
		refs = "000d _NF__83 0013 _NV__78 001b MapiLogOff 0020 _NV__76 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 04 00 00 4D 41 50 49 4C 6F 67 6F 66 66 00 00 }
	condition:
		$1
}

rule function_9268_0 {
	meta:
		name = "MapiSendMail"
		size = 104
		refs = "000d _NF__83 0013 _NV__79 001b MapiSendMail 0020 _NV__76 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 08 00 00 4D 41 50 49 53 65 6E 64 4D 61 69 6C 00 00 00 00 }
	condition:
		$1
}

rule function_9269_0 {
	meta:
		name = "MapiSendDocuments"
		size = 108
		refs = "000d _NF__83 0013 _NV__7A 001b MapiSendDocuments 0020 _NV__76 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 08 00 00 4D 41 50 49 53 65 6E 64 44 6F 63 75 6D 65 6E 74 73 00 00 00 }
	condition:
		$1
}

rule function_9270_0 {
	meta:
		name = "MapiFindNext"
		size = 112
		refs = "000d _NF__83 0013 _NV__7B 001b MapiFindNext 0020 _NV__76 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1B 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 10 00 00 4D 41 50 49 46 69 6E 64 4E 65 78 74 00 00 00 00 }
	condition:
		$1
}

rule function_9271_0 {
	meta:
		name = "MapiReadMail"
		size = 108
		refs = "000d _NF__83 0013 _NV__7C 001b MapiReadMail 0020 _NV__76 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 17 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 0C 00 00 4D 41 50 49 52 65 61 64 4D 61 69 6C 00 00 00 00 }
	condition:
		$1
}

rule function_9272_0 {
	meta:
		name = "MapiSaveMail"
		size = 108
		refs = "000d _NF__83 0013 _NV__7D 001b MapiSaveMail 0020 _NV__76 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 17 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 0C 00 00 4D 41 50 49 53 61 76 65 4D 61 69 6C 00 00 00 00 }
	condition:
		$1
}

rule function_9273_0 {
	meta:
		name = "MapiDeleteMail"
		size = 104
		refs = "000d _NF__83 0013 _NV__7E 001b MapiDeleteMail 0020 _NV__76 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 08 00 00 4D 41 50 49 44 65 6C 65 74 65 4D 61 69 6C 00 00 }
	condition:
		$1
}

rule function_9274_0 {
	meta:
		name = "MapiFreeBuffer"
		size = 80
		refs = "0004 _NF__83 000a _NV__7F 0012 MapiFreeBuffer 0017 _NV__76 001d GetProcAddress"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 09 53 FF 15 ?? ?? ?? ?? 5B C3 B8 01 00 00 00 5B C3 00 4D 41 50 49 46 72 65 65 42 75 66 66 65 72 00 00 }
	condition:
		$1
}

rule function_9275_0 {
	meta:
		name = "MapiAddress"
		size = 124
		refs = "000d _NF__83 0013 _NV__80 001b MapiAddress 0020 _NV__76 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 2B 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 20 00 00 4D 41 50 49 41 64 64 72 65 73 73 00 }
	condition:
		$1
}

rule function_9276_0 {
	meta:
		name = "MapiDetails"
		size = 100
		refs = "000d _NF__83 0013 _NV__81 001b MapiDetails 0020 _NV__76 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 08 00 00 4D 41 50 49 44 65 74 61 69 6C 73 00 }
	condition:
		$1
}

rule function_9277_0 {
	meta:
		name = "MapiResolveName"
		size = 108
		refs = "000d _NF__83 0013 _NV__82 001b MapiResolveName 0020 _NV__76 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 17 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 0C 00 00 4D 41 50 49 52 65 73 6F 6C 76 65 4E 61 6D 65 00 }
	condition:
		$1
}

rule function_9278_0 {
	meta:
		name = "Finalization"
		size = 78
		refs = "0007 Finalization 0013 _NV__75 001b _NV__76 0029 FreeLibrary 002e MAPIDLL 0033 @LStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1E 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9280_0 {
	meta:
		name = "_NF__122"
		size = 338
		refs = "0011 @LStrLen 0037 ByteType 0088 MaskFieldSeparator"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 B3 01 C6 04 24 00 8B C6 E8 ?? ?? ?? ?? 3B F8 7F 07 8A 44 3E FF 88 04 24 8B C6 E8 ?? ?? ?? ?? 3B F8 7E 07 33 DB E9 19 01 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 B3 01 E9 05 01 00 00 83 FF 01 7E 38 80 7C 3E FE 5C 75 31 8B D7 4A 8B C6 E8 ?? ?? ?? ?? 84 C0 75 23 83 FF 02 7E 17 80 7C 3E FD 5C 75 10 8B D7 83 EA 02 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 B3 01 E9 C8 00 00 00 8A 04 24 3A 05 ?? ?? ?? ?? 75 21 8B C6 E8 ?? ?? ?? ?? 83 F8 04 7C 15 8B C6 E8 ?? ?? ?? ?? 83 E8 04 3B F8 7E 07 B3 06 E9 9C 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 F8 04 7C 3A 8B C6 E8 ?? ?? ?? ?? 83 E8 04 3B F8 7E 2C 8A 44 3E FE 3A 05 ?? ?? ?? ?? 75 20 83 FF 02 7E 17 80 7C 3E FD 5C 75 10 8B D7 83 EA 02 8B C6 E8 ?? ?? ?? ?? 3C 02 75 04 B3 07 EB 56 8A 04 24 2C 2F 74 04 2C 0B 75 04 B3 02 EB 47 8A 04 24 2C 21 74 0C 2C 1B 74 08 2C 02 74 04 2C 1E 75 04 B3 03 EB 30 8A 04 24 2C 23 74 10 2C 16 74 0C 2C 28 74 08 2C 02 74 04 2C 09 75 04 B3 05 EB 15 8A 04 24 2C 30 74 0C 2C 11 74 08 2C 02 74 04 2C 09 75 02 B3 04 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9281_0 {
	meta:
		name = "_NF__123"
		size = 124
		refs = "000c _NF__123 0013 @LStrLen 0065 _NF__122"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 8A 1D ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 42 BD 01 00 00 00 8A 44 2F FF 3C 21 75 05 80 CB 01 EB 2C 3C 3E 75 19 3B 2C 24 7D 14 80 E3 FB 83 FD 01 7E 07 80 7C 2F FE 3C 74 14 80 CB 02 EB 0F 3C 3C 75 0B 3B 2C 24 7D 06 80 E3 FD 80 CB 04 45 4E 75 C3 8B 14 24 8B C7 E8 ?? ?? ?? ?? 3C 01 75 03 80 CB 08 8B C3 5A 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_9282_0 {
	meta:
		name = "_NF__124"
		size = 32
		refs = "000c TimeSeparator 0017 DateSeparator"
	strings:
		$1 = { 8B D0 2C 2F 74 0F 2C 0B 75 13 8B 15 ?? ?? ?? ?? 8A 12 8B C2 C3 8B 15 ?? ?? ?? ?? 8A 12 8B C2 C3 }
	condition:
		$1
}

rule function_9283_0 {
	meta:
		name = "_NF__125"
		size = 534
		refs = "0022 _NF__125 0031 @LStrLAsg 003e _NF__123 005a @LStrLen 0074 _NF__122 0090 @LStrCopy 009f _NF__124 00a9 @LStrFromChar 00d6 @LStrCatN 0102 @LStrCat 01d7 @LStrCat3 0202 @LStrArrayClr 0208 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D E4 89 5D E0 89 5D DC 88 4D FB 8B F2 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 88 45 EF F6 45 EF 01 0F 85 C9 00 00 00 C7 45 F0 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E 86 01 00 00 89 45 E8 BE 01 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 80 EA 02 73 5F 8D 45 E4 50 8B 4D F0 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 8B 45 FC 8A 44 30 FF E8 ?? ?? ?? ?? 8B D0 8D 45 E0 E8 ?? ?? ?? ?? FF 75 E0 8D 45 DC 50 8B 03 E8 ?? ?? ?? ?? 8B C8 2B 4D F0 41 8B 03 8B 55 F0 E8 ?? ?? ?? ?? FF 75 DC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F0 EB 2A 04 FC 2C 02 73 24 8B 03 E8 ?? ?? ?? ?? 3B 45 F0 7D 15 8D 45 E4 8A 55 FB E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? FF 45 F0 46 FF 4D E8 0F 85 5B FF FF FF E9 D4 00 00 00 8B 03 E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C B9 00 00 00 40 89 45 E8 C7 45 F4 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 2B 75 F4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 80 EA 02 73 5B 8D 45 E4 50 8B 03 8B 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 8B 45 FC 8A 44 30 FF E8 ?? ?? ?? ?? 8B D0 8D 45 E0 E8 ?? ?? ?? ?? FF 75 E0 8D 45 DC 50 8B 03 E8 ?? ?? ?? ?? 8B C8 2B 4D F0 8B 55 F0 42 8B 03 E8 ?? ?? ?? ?? FF 75 DC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 28 04 FC 2C 02 73 22 83 7D F0 01 7D 19 8D 45 E4 8A 55 FB E8 ?? ?? ?? ?? 8B 55 E4 8B 0B 8B C3 E8 ?? ?? ?? ?? EB 03 FF 4D F0 FF 45 F4 FF 4D E8 0F 85 52 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9284_0 {
	meta:
		name = "MaskGetMaskSave"
		size = 127
		refs = "000e @LStrLen 002b _NF__122 006a MaskNoSave"
	strings:
		$1 = { 53 56 57 55 51 8B F0 C6 04 24 01 8B C6 E8 ?? ?? ?? ?? 83 F8 04 7C 5F 83 CD FF 83 CF FF 8B C6 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 3C 06 75 0A 85 ED 7D 04 8B EB EB 02 8B FB 4B 85 DB 7E 12 8B C6 E8 ?? ?? ?? ?? 83 E8 04 3B D8 7C 04 85 FF 7C D2 85 FF 7D 02 8B FD 8B C6 E8 ?? ?? ?? ?? 3B F8 74 11 8A 04 3E 3A 05 ?? ?? ?? ?? 0F 94 C0 34 01 88 04 24 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9285_0 {
	meta:
		name = "MaskGetMaskBlank"
		size = 105
		refs = "0006 DefaultBlank 000d @LStrLen 0023 _NF__122"
	strings:
		$1 = { 53 56 8B F0 8A 1D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 F8 04 7C 4E 8B C6 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 E8 ?? ?? ?? ?? 3C 06 75 39 8B C6 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8B C6 E8 ?? ?? ?? ?? 3C 06 74 17 8B C6 E8 ?? ?? ?? ?? 8B D0 83 EA 03 8B C6 E8 ?? ?? ?? ?? 3C 06 75 0B 8B C6 E8 ?? ?? ?? ?? 8A 5C 06 FF 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_9286_0 {
	meta:
		name = "MaskGetFldSeparator"
		size = 75
		refs = "000c @LStrLen 0034 _NF__122"
	strings:
		$1 = { 53 56 57 55 8B F8 83 CD FF 8B C7 E8 ?? ?? ?? ?? 83 F8 04 7C 2F 8B C7 E8 ?? ?? ?? ?? 8B D8 83 EB 04 8B C7 E8 ?? ?? ?? ?? 8B F0 2B F3 7C 16 46 8B D3 8B C7 E8 ?? ?? ?? ?? 3C 06 75 04 8B EB EB 04 43 4E 75 EB 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9287_0 {
	meta:
		name = "_NF__12C"
		size = 56
		refs = "001d _NF__122"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 33 ED 8B 1C 24 85 DB 7E 1D BE 01 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 2C 03 74 07 04 FD 2C 02 72 01 45 46 4B 75 E8 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9288_0 {
	meta:
		name = "_NF__12D"
		size = 92
		refs = "000c @LStrLen 0015 _NF__12C 003f _NF__122"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 3B C3 7D 05 83 CD FF EB 32 33 ED 89 1C 24 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 20 BE 01 00 00 00 45 8B D6 8B C7 E8 ?? ?? ?? ?? 3C 03 74 09 FF 0C 24 83 3C 24 00 7C 04 46 4B 75 E5 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9289_0 {
	meta:
		name = "_NF__12E"
		size = 37
		refs = "0009 _NF__12D 0016 _NF__122"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 7C 0F 8B D0 8B C6 E8 ?? ?? ?? ?? 48 2C 02 0F 92 C3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_9290_0 {
	meta:
		name = "_NF__12F"
		size = 399
		refs = "0023 _NF__12F 0044 _NF__123 006a @LStrCopy 0083 @LStrFromChar 008d @LStrCat 009b @LStrLen 0117 @LStrCat3 0160 @LStrLAsg 017a @LStrArrayClr 0180 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 4D F8 8B FA 89 45 FC 8B 5D 08 8B 75 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 2B 45 F8 3B 45 10 0F 8D 80 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 8B C6 48 89 45 F0 F6 45 F7 01 74 07 8B 45 F8 48 89 45 F0 53 8B 4D F0 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 2B 75 F8 8B 45 10 2B C6 85 C0 7E 1A 89 C6 8D 45 EC 8A 55 0C E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 4E 75 E8 8D 45 EC 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 42 8B C7 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 A9 00 00 00 8B C6 2B 45 F8 3B 45 10 0F 8E 92 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 F6 45 F7 01 74 3E 8D 45 EC 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 2B 55 10 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 50 8B 4D F8 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 59 E8 ?? ?? ?? ?? EB 47 8D 45 EC 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 50 8B 4D F8 03 4D 10 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 59 E8 ?? ?? ?? ?? EB 09 8B C3 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_9291_0 {
	meta:
		name = "_NF__130"
		size = 459
		refs = "001c _NF__130 0030 @LStrLAsg 0037 @LStrLen 0053 _NF__122 0066 _NF__12C 0093 _NF__124 00c8 @LStrFromChar 00d2 @LStrCat 00f3 _NF__12F 0184 _NF__12E 018f UniqueString 01b6 @LStrClr 01bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 88 4D FF 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B C3 8B D7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E D0 00 00 00 89 45 E8 C7 45 EC 01 00 00 00 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 48 2C 02 0F 83 A7 00 00 00 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B 03 E8 ?? ?? ?? ?? 40 89 45 F4 8B 7D F8 47 8B 03 E8 ?? ?? ?? ?? 2B C7 7C 23 40 89 45 E4 8B 45 EC 8A 44 06 FF E8 ?? ?? ?? ?? 8B 13 3A 44 3A FF 75 05 89 7D F4 EB 06 47 FF 4D E4 75 E1 8B 03 E8 ?? ?? ?? ?? 3B 45 F4 7D 20 8B 45 EC 8A 44 06 FF E8 ?? ?? ?? ?? 8B D0 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 7D F8 47 8B 45 F0 2B C7 50 8A 45 FF 50 8D 45 E0 50 8B CF 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F8 FF 45 EC FF 4D E8 0F 85 3A FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 03 E8 ?? ?? ?? ?? 3B F8 74 2C 8B 03 E8 ?? ?? ?? ?? 40 50 2B 7D F8 57 8A 45 FF 50 8D 45 E0 50 8B 4D F8 41 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 7E 3E 89 45 E8 C7 45 F0 01 00 00 00 8B 03 8B 55 F0 80 7C 10 FF 20 75 20 8B 55 F0 4A 8B C6 E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8A 4D FF 88 4C 10 FF FF 45 F0 FF 4D E8 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9292_0 {
	meta:
		name = "FormatMaskText"
		size = 50
		refs = "000c MaskGetMaskSave 001c _NF__130 002a _NF__125"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 57 B1 20 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0C 57 B1 20 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9293_0 {
	meta:
		name = "TCustomMaskEdit.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomEdit.Create 001c TCustomMaskEdit.Create 0027 DefaultBlank"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 86 3D 01 00 00 A0 ?? ?? ?? ?? 88 86 34 01 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_9294_0 {
	meta:
		name = "TCustomMaskEdit.KeyDown"
		size = 240
		refs = "0012 TWinControl.KeyDown 0019 TCustomMaskEdit.GetMasked 004e _NF__181 0091 _NF__18E 00a7 TCustomMaskEdit.KeyDown 00cf _NF__18F 00dd TCustomMaskEdit.CheckCursor"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B D3 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 BC 00 00 00 66 83 3B 00 0F 84 B2 00 00 00 F6 04 24 02 0F 85 A8 00 00 00 66 83 3B 25 74 06 66 83 3B 27 75 24 66 8B 13 8A 0C 24 8B C6 E8 ?? ?? ?? ?? F6 04 24 01 0F 85 85 00 00 00 F6 04 24 04 75 7F 66 C7 03 00 00 EB 78 66 83 3B 26 74 06 66 83 3B 28 75 07 66 C7 03 00 00 EB 65 66 83 3B 24 74 06 66 83 3B 23 75 14 66 8B 13 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 66 C7 03 00 00 EB 45 66 83 3B 2E 75 13 8A 04 24 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 74 06 66 83 3B 08 75 1F 8B C6 8B 10 FF 92 9C 00 00 00 84 C0 74 0A 66 8B 13 8B C6 E8 ?? ?? ?? ?? 66 C7 03 00 00 EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 05 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9295_0 {
	meta:
		name = "TCustomMaskEdit.KeyUp"
		size = 68
		refs = "0012 TWinControl.KeyUp 0019 TCustomMaskEdit.GetMasked 003c TCustomMaskEdit.CheckCursor"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 66 83 3E 00 74 19 66 83 3E 25 74 06 66 83 3E 27 75 0D F6 04 24 04 74 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9296_0 {
	meta:
		name = "TCustomMaskEdit.KeyPress"
		size = 60
		refs = "000b TWinControl.KeyPress 0012 TCustomMaskEdit.GetMasked 0032 _NF__180"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F 80 3B 00 74 1A 8A 03 2C 03 74 14 2C 13 74 10 2C 02 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? C6 03 00 5E 5B C3 }
	condition:
		$1
}

rule function_9297_0 {
	meta:
		name = "TCustomMaskEdit.WMLButtonDown"
		size = 28
		refs = "000b TControl.WMLButtonDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F BF 46 08 89 83 44 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9298_0 {
	meta:
		name = "TCustomMaskEdit.WMLButtonUp"
		size = 94
		refs = "000e TControl.WMLButtonUp 0015 TCustomMaskEdit.GetMasked 0026 TCustomMaskEdit.GetSel 0055 TCustomMaskEdit.CheckCursor"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 83 40 01 00 00 8B 04 24 3B 44 24 04 74 16 0F BF 46 08 3B 83 44 01 00 00 7E 0A 8B 44 24 04 89 83 40 01 00 00 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9300_0 {
	meta:
		name = "TCustomMaskEdit.SetEditText"
		size = 104
		refs = "000f TCustomMaskEdit.SetEditText 001f TCustomMaskEdit.GetEditText 0029 @LStrCmp 0032 @LStrToPChar 003b TControl.SetTextBuf 0042 TCustomMaskEdit.CheckCursor 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 74 17 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9303_0 {
	meta:
		name = "TCustomMaskEdit.GetText"
		size = 137
		refs = "000f TCustomMaskEdit.GetText 001c TCustomMaskEdit.GetMasked 0029 TControl.GetText 0035 TCustomMaskEdit.GetEditText 0041 _NF__1A1 0059 _NF__1A0 0063 @LStrLAsg 0078 @LStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 38 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 80 BB 3C 01 00 00 00 74 19 8D 45 FC 50 8B 16 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9304_0 {
	meta:
		name = "TCustomMaskEdit.SetText"
		size = 261
		refs = "0013 TCustomMaskEdit.SetText 0020 TCustomMaskEdit.GetMasked 002d TControl.SetText 003c @LStrLAsg 005d _NF__130 007a _NF__1A0 00a7 _NF__1A6 00b3 SMaskErr 00b8 LoadResString 00c2 _DV_EDBEditError 00c7 Exception.Create 00cc @RaiseExcept 00d6 TCustomMaskEdit.SetEditText 00eb @LStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 A4 00 00 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 80 BB 3C 01 00 00 00 74 25 8D 45 F4 50 8A 8B 34 01 00 00 8B 55 FC 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? EB 1B 8D 45 F4 50 B1 01 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? F6 83 3D 01 00 00 04 75 3E F6 43 20 10 74 38 F6 43 20 01 75 32 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9305_0 {
	meta:
		name = "TCustomMaskEdit.WMCut"
		size = 50
		refs = "0009 TCustomMaskEdit.GetMasked 0020 TCustomEdit.CopyToClipboard 002b _NF__18F"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 66 BA 2E 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9306_0 {
	meta:
		name = "TCustomMaskEdit.WMPaste"
		size = 231
		refs = "0018 TCustomMaskEdit.WMPaste 0025 TCustomMaskEdit.GetMasked 0042 Clipboard 0047 TClipboard.Open 0054 TClipboard.GetAsText 005e TClipboard.Close 006b TCustomMaskEdit.GetSel 0075 TCustomMaskEdit.GetEditText 0089 _NF__1A7 0093 TCustomMaskEdit.SetEditText 00a4 _NF__1A8 00bb TCustomMaskEdit.SetCursor 00d5 @LStrArrayClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 80 BB 1E 01 00 00 00 74 0B 8B D6 8B C3 8B 08 FF 51 F0 EB 7E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 2B 45 F4 50 8D 55 F8 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9307_0 {
	meta:
		name = "TCustomMaskEdit.GetMasked"
		size = 15
	strings:
		$1 = { 53 8B D8 83 BB 30 01 00 00 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_9308_0 {
	meta:
		name = "TCustomMaskEdit.GetMaxChars"
		size = 31
		refs = "0006 TCustomMaskEdit.GetMasked 0019 TControl.GetTextLen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 08 8B 83 38 01 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9309_0 {
	meta:
		name = "TCustomMaskEdit.ReformatText"
		size = 192
		refs = "0011 TCustomMaskEdit.ReformatText 0021 TCustomMaskEdit.GetEditText 002e _NF__1A1 003b @LStrAsg 0042 @LStrLen 004f _NF__12C 005c MaskGetMaskSave 0069 MaskGetMaskBlank 007f _NF__1A0 008a @LStrLAsg 0094 TCustomMaskEdit.SetEditText 00ae @LStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 83 30 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 83 38 01 00 00 8B C6 E8 ?? ?? ?? ?? 88 83 3C 01 00 00 8B C6 E8 ?? ?? ?? ?? 88 83 34 01 00 00 8D 45 F8 50 B1 01 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9310_0 {
	meta:
		name = "TCustomMaskEdit.SetEditMask"
		size = 201
		refs = "0012 @LStrCmp 0031 TCustomMaskEdit.SetEditText 0038 TWinControl.HandleAllocated 0049 TCustomMaskEdit.GetSel 0052 TCustomMaskEdit.ReformatText 0072 TCustomEdit.SetMaxLength 0079 TCustomMaskEdit.GetMasked 00a5 TWinControl.GetHandle 00ac GetFocus 00c0 TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C6 8B 93 30 01 00 00 E8 ?? ?? ?? ?? 0F 84 A8 00 00 00 F6 43 20 10 74 13 85 F6 74 0F F6 43 20 01 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 A3 3D 01 00 00 FE 83 BB 30 01 00 00 00 74 07 80 8B 3D 01 00 00 01 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 83 BB 38 01 00 00 00 7E 0D 8B 93 38 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 10 F6 43 20 10 75 0A 8B 14 24 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9311_0 {
	meta:
		name = "TCustomMaskEdit.GetMaxLength"
		size = 7
	strings:
		$1 = { 8B 80 18 01 00 00 C3 }
	condition:
		$1
}

rule function_9312_0 {
	meta:
		name = "TCustomMaskEdit.SetMaxLength"
		size = 45
		refs = "0009 TCustomMaskEdit.GetMasked 0016 TCustomEdit.SetMaxLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 93 38 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9313_0 {
	meta:
		name = "TCustomMaskEdit.GetSel"
		size = 33
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9314_0 {
	meta:
		name = "TCustomMaskEdit.SetSel"
		size = 33
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9315_0 {
	meta:
		name = "TCustomMaskEdit.SetCursor"
		size = 421
		refs = "001c TCustomMaskEdit.SetCursor 002f TCustomMaskEdit.GetEditText 003d ByteType 0049 TCustomMaskEdit.GetMasked 0072 @LStrLen 0093 LeadBytes 00b7 TCustomMaskEdit.SetSel 00c7 GetKeyboardState 00f3 SetKeyboardState 0103 TWinControl.GetHandle 0109 SendMessage 0192 @LStrClr 0198 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FD FF FF 53 56 57 33 C9 89 8D FC FD FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 FC FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 FC FD FF FF 8D 56 01 E8 ?? ?? ?? ?? 3C 02 75 01 4E 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 E2 00 00 00 85 F6 7D 02 33 F6 8D 7E 01 8D 95 FC FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 FC FD FF FF E8 ?? ?? ?? ?? 3B F8 7D 28 8D 95 FC FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 FC FD FF FF 8A 44 38 FF 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 01 47 8B 83 38 01 00 00 3B F0 7C 04 8B F0 8B FE 8B CF 8B D7 8B C3 E8 ?? ?? ?? ?? 3B FE 74 70 8D 85 00 FF FF FF 50 E8 ?? ?? ?? ?? BA 00 01 00 00 8D 85 00 FE FF FF C6 00 00 40 4A 75 F9 C6 85 10 FE FF FF 81 C6 85 25 FE FF FF 81 8D 85 00 FE FF FF 50 E8 ?? ?? ?? ?? 6A 01 6A 25 68 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 01 6A 25 68 01 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 85 00 FF FF FF 50 E8 ?? ?? ?? ?? 89 B3 40 01 00 00 EB 47 85 F6 7D 02 33 F6 8D 95 FC FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 FC FD FF FF E8 ?? ?? ?? ?? 3B F0 7C 1A 8D 95 FC FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 FC FD FF FF E8 ?? ?? ?? ?? 8B F0 8B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9316_0 {
	meta:
		name = "TCustomMaskEdit.CheckCursor"
		size = 64
		refs = "0009 TWinControl.HandleAllocated 0014 TCustomMaskEdit.GetMasked 0025 TCustomMaskEdit.GetSel 0038 TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 44 24 04 75 0A 8B 14 24 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_9319_0 {
	meta:
		name = "TCustomMaskEdit.Reset"
		size = 38
		refs = "0006 TCustomEdit.GetModified 0017 TCustomMaskEdit.SetEditText 0020 TCustomEdit.SetModified"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B 93 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9320_0 {
	meta:
		name = "_NF__180"
		size = 466
		refs = "0015 _NF__180 0072 TCustomMaskEdit.ValidateEdit 0084 TCustomMaskEdit.GetSel 0098 _NF__18F 00a2 TCustomMaskEdit.GetNextEditChar 00af TCustomMaskEdit.SetCursor 00b7 LeadBytes 00d4 TWinControl.GetHandle 00de PeekMessage 00f1 PostQuitMessage 00fd _NF__1A2 0132 @PStrCpy 014b @PStrNCat 0156 @LStrFromString 0166 TCustomMaskEdit.SetSel 0172 @LStrFromChar 017a @LStrToPChar 018f SendMessage 01a8 _NF__182 01bd @LStrClr 01c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 C9 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 33 C0 8A 03 66 83 F8 1B 75 0F 8B C6 8B 10 FF 92 A0 00 00 00 E9 70 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 84 C0 0F 84 5E 01 00 00 80 BE 1E 01 00 00 00 0F 85 51 01 00 00 33 C0 8A 03 66 83 F8 08 0F 84 43 01 00 00 66 83 F8 0D 75 0C 8B C6 E8 ?? ?? ?? ?? E9 31 01 00 00 8D 4D F4 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 2B 45 F8 48 7E 22 66 BA 2E 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8A 03 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 30 6A 01 68 02 01 00 00 68 02 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 8D 45 D4 50 E8 ?? ?? ?? ?? 85 C0 74 0F 83 7D D8 12 75 09 8B 45 DC 50 E8 ?? ?? ?? ?? 8B D3 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 0F 84 9E 00 00 00 8A 03 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 4C 8D 45 D0 8A 13 88 50 01 C6 00 01 8D 55 D0 8D 45 CC E8 ?? ?? ?? ?? 8D 45 C8 8A 55 DC 88 50 01 C6 00 01 8D 55 C8 8D 45 CC B1 02 E8 ?? ?? ?? ?? 8D 55 CC 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D F8 83 C1 02 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 0A 8D 45 F0 8A 13 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D F4 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9321_0 {
	meta:
		name = "_NF__181"
		size = 479
		refs = "0018 _NF__181 0035 TCustomMaskEdit.GetSel 0061 TCustomMaskEdit.SetSel 00ed TCustomMaskEdit.GetEditText 00fc LeadBytes 0116 _NF__183 012a _NF__182 014d TCustomMaskEdit.SetCursor 01cd @LStrClr 01d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 FF 04 0F 85 90 01 00 00 8D 4D F4 8D 55 F8 8B C3 E8 ?? ?? ?? ?? F6 45 FF 01 0F 84 90 00 00 00 66 83 FE 27 75 3F FF 83 40 01 00 00 8B 45 F8 40 3B 45 F4 75 13 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? FF 83 40 01 00 00 8B 83 38 01 00 00 3B 83 40 01 00 00 0F 8D 3F 01 00 00 89 83 40 01 00 00 E9 34 01 00 00 FF 8B 40 01 00 00 8B 45 F8 83 C0 02 3B 45 F4 75 20 8B 83 40 01 00 00 3B 45 F8 7E 15 8B 45 F8 40 8B C8 8B D0 8B C3 E8 ?? ?? ?? ?? FF 8B 40 01 00 00 83 BB 40 01 00 00 00 0F 8D F6 00 00 00 33 C0 89 83 40 01 00 00 E9 E9 00 00 00 8B 45 F4 2B 45 F8 48 7E 77 8B 45 F4 2B 45 F8 83 F8 02 75 4C 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 8A 04 10 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 29 66 83 FE 25 75 0F 8B 55 F8 8B C3 E8 ?? ?? ?? ?? E9 9D 00 00 00 B9 02 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? E9 89 00 00 00 8B 45 F4 3B 83 40 01 00 00 75 06 FF 8B 40 01 00 00 8B 93 40 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 69 66 83 FE 25 75 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 57 8B 45 F4 3B 45 F8 75 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 43 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 8A 04 10 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 11 B9 02 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 0F B9 01 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9322_0 {
	meta:
		name = "_NF__182"
		size = 53
		refs = "000f TCustomMaskEdit.GetNextEditChar 001e _NF__12E 002d TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8D 1C 39 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 02 8B DF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9323_0 {
	meta:
		name = "_NF__183"
		size = 26
		refs = "000b TCustomMaskEdit.GetPriorEditChar 0014 TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 8B D8 8B C2 48 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9324_0 {
	meta:
		name = "TCustomMaskEdit.GetFirstEditChar"
		size = 33
		refs = "0009 TCustomMaskEdit.GetMasked 0016 TCustomMaskEdit.GetNextEditChar"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9325_0 {
	meta:
		name = "TCustomMaskEdit.GetLastEditChar"
		size = 41
		refs = "0007 TCustomMaskEdit.GetMaxChars 0010 TCustomMaskEdit.GetMasked 001e TCustomMaskEdit.GetPriorEditChar"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9326_0 {
	meta:
		name = "TCustomMaskEdit.GetNextEditChar"
		size = 39
		refs = "001a _NF__12E"
	strings:
		$1 = { 53 56 8B F0 8B DA EB 01 43 3B 9E 38 01 00 00 7D 11 8B D3 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_9327_0 {
	meta:
		name = "TCustomMaskEdit.GetPriorEditChar"
		size = 50
		refs = "0016 _NF__12E 0027 TCustomMaskEdit.GetNextEditChar"
	strings:
		$1 = { 53 56 8B F0 8B DA EB 01 4B 85 DB 7C 11 8B D3 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 EA 85 DB 7D 0B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_9328_0 {
	meta:
		name = "_NF__18E"
		size = 207
		refs = "0017 TCustomMaskEdit.GetSel 0050 TCustomMaskEdit.SetSel 0057 TCustomMaskEdit.CheckCursor 0062 TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 56 83 C4 F4 88 0C 24 8B F2 8B D8 8D 4C 24 08 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 66 83 FE 24 75 4F F6 04 24 01 74 36 8B 44 24 04 3B 83 40 01 00 00 74 14 8B 44 24 04 40 3B 44 24 08 74 09 8B 44 24 04 40 89 44 24 08 8B 4C 24 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 40 01 00 00 EB 59 F6 04 24 01 74 3A 8B 44 24 08 3B 83 40 01 00 00 74 14 8B 44 24 04 40 3B 44 24 08 74 09 8B 44 24 08 48 89 44 24 04 8B 8B 38 01 00 00 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 93 38 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 38 01 00 00 89 83 40 01 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_9329_0 {
	meta:
		name = "_NF__18F"
		size = 282
		refs = "0019 _NF__18F 0038 TCustomMaskEdit.GetSel 0051 _NF__183 007b TCustomMaskEdit.GetEditText 008d _NF__1A7 00a1 @LStrCopy 00a9 @LStrToPChar 00b8 TWinControl.GetHandle 00be SendMessage 00cf TCustomMaskEdit.GetNextEditChar 00da TCustomMaskEdit.SetCursor 0107 @LStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 8B D8 8D 7D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 1E 01 00 00 00 0F 85 C6 00 00 00 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 2B 07 48 7F 25 66 83 FE 08 75 1F 8B 37 8B 17 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 3B 37 0F 84 8D 00 00 00 8B 45 F8 2B 07 48 0F 8C 81 00 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 2B 07 50 8D 55 F4 8B 0F 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 4D F8 2B 0F 8B 17 42 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 2B 07 48 74 16 8B 17 8B C3 E8 ?? ?? ?? ?? 89 07 8B 17 8B C3 E8 ?? ?? ?? ?? EB 16 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 17 4A 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9330_0 {
	meta:
		name = "TCustomMaskEdit.CMEnter"
		size = 143
		refs = "000f TCustomMaskEdit.CMEnter 001c TCustomMaskEdit.GetMasked 0039 TCustomMaskEdit.GetEditText 0047 @LStrAsg 0050 TCustomEdit.CMEnter 005e TCustomMaskEdit.CheckCursor 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 40 F6 43 20 10 75 3A F6 83 3D 01 00 00 02 75 21 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 48 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 A3 3D 01 00 00 FD 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9331_0 {
	meta:
		name = "TCustomMaskEdit.CMTextChanged"
		size = 141
		refs = "0012 TCustomMaskEdit.CMTextChanged 001f TCustomEdit.CMTextChanged 0029 TCustomMaskEdit.GetEditText 0037 @LStrAsg 003e TWinControl.HandleAllocated 004f TCustomMaskEdit.GetSel 0059 TCustomMaskEdit.GetNextEditChar 0067 TCustomMaskEdit.SetCursor 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 83 48 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9332_0 {
	meta:
		name = "TCustomMaskEdit.CMWantSpecialKey"
		size = 54
		refs = "0019 TCustomMaskEdit.GetMasked 0024 TCustomEdit.GetModified"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 66 83 7E 04 1B 75 1D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 C7 46 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9333_0 {
	meta:
		name = "TCustomMaskEdit.CMExit"
		size = 49
		refs = "0009 TCustomMaskEdit.GetMasked 001a TCustomMaskEdit.ValidateEdit 0021 TCustomMaskEdit.CheckCursor 002a TWinControl.CMExit"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 F6 43 20 10 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9334_0 {
	meta:
		name = "TCustomMaskEdit.ValidateEdit"
		size = 148
		refs = "0012 TCustomMaskEdit.ValidateEdit 0022 TCustomMaskEdit.GetEditText 0029 TCustomMaskEdit.GetMasked 0034 TCustomEdit.GetModified 0045 _NF__1A6 0067 TCustomMaskEdit.SetCursor 006e TCustomMaskEdit.ValidateError 0083 @LStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 41 8B C3 E8 ?? ?? ?? ?? 84 C0 74 36 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 25 F6 43 20 10 75 0E 80 8B 3D 01 00 00 02 8B C3 8B 10 FF 52 78 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9335_0 {
	meta:
		name = "TCustomMaskEdit.ValidateError"
		size = 160
		refs = "0011 TCustomMaskEdit.ValidateError 001e MessageBeep 002c @LStrLAsg 0038 SMaskEditErr 003d LoadResString 0056 Format 006b _DV_EDBEditError 0070 Exception.Create 0075 @RaiseExcept 008f @LStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 93 30 01 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9336_0 {
	meta:
		name = "_NF__1A0"
		size = 69
		refs = "0023 _NF__125"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B F2 8B D8 8B 7D 08 80 7D FF 00 75 12 57 B1 20 8B D6 8B 83 30 01 00 00 E8 ?? ?? ?? ?? EB 14 57 8A 8B 34 01 00 00 8B D6 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9337_0 {
	meta:
		name = "_NF__1A1"
		size = 468
		refs = "001c _NF__1A1 0032 @LStrLAsg 0040 @LStrLen 005b _NF__122 0081 @LStrCopy 00a4 @LStrCat3 00c7 _NF__123 015b @LStrSetLength 0199 UniqueString 01c1 @LStrArrayClr 01c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 00 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 30 01 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 6E BF 01 00 00 00 8B 45 FC 8B 80 30 01 00 00 8B D7 E8 ?? ?? ?? ?? 88 45 F3 8A 45 F3 48 2C 02 73 3E 8D 45 EC 50 8B 06 E8 ?? ?? ?? ?? 8B C8 2B 4D F4 8B 55 F4 42 8B 06 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 50 8B 4D F4 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 59 E8 ?? ?? ?? ?? 8A 45 F3 04 FC 2C 02 73 03 FF 45 F4 47 4B 75 97 8B 45 FC 8B 80 30 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 F6 C3 01 74 51 C7 45 F4 01 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 1D BF 01 00 00 00 8B 06 8A 44 38 FF 8B 55 FC 3A 82 34 01 00 00 75 07 FF 45 F4 47 4B 75 E8 83 7D F4 01 74 5A 56 8B 06 E8 ?? ?? ?? ?? 8B C8 2B 4D F4 41 8B 06 8B 55 F4 E8 ?? ?? ?? ?? EB 40 8B 06 E8 ?? ?? ?? ?? 89 45 F8 8B 5D F8 85 DB 7E 2F BF 01 00 00 00 8B 45 F8 2B C7 8B 16 8A 04 02 8B 55 FC 3A 82 34 01 00 00 75 15 8B 06 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 E8 ?? ?? ?? ?? 47 4B 75 D6 8B 45 FC 80 B8 34 01 00 00 20 74 3C 8B 06 E8 ?? ?? ?? ?? 89 45 F8 8B 5D F8 85 DB 7E 2B BF 01 00 00 00 8B 06 8A 44 38 FF 8B 55 FC 3A 82 34 01 00 00 75 0C 8B C6 E8 ?? ?? ?? ?? C6 44 38 FF 20 3B 7D F8 7F 04 47 4B 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9338_0 {
	meta:
		name = "_NF__1A2"
		size = 156
		refs = "0021 _NF__12D 0034 _NF__122 0049 _NF__1A5 0065 _NF__1A9 0078 _NF__12C 0083 TCustomMaskEdit.SetCursor 0090 MessageBeep"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B EA 8B F0 B3 01 83 BE 30 01 00 00 00 74 73 33 DB 8B D7 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 5E 8B D7 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 88 04 24 8A 45 00 88 44 24 01 8B D5 8B CF 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 36 8A 04 24 04 FC 2C 02 73 2D 8A 4C 24 01 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 1A 8B D7 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? EB 0B 84 DB 75 07 6A 00 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9340_0 {
	meta:
		name = "_NF__1A4"
		size = 213
		refs = "0011 _NF__1A4 002a _NF__12C 0039 @LStrLen 0058 UpCase 007e TCustomMaskEdit.GetEditText 0088 ByteType 00c2 @LStrClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 F8 8B 06 8B 80 30 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B 06 8B 80 30 01 00 00 E8 ?? ?? ?? ?? 8B 55 08 3B 42 F8 7E 68 8B 45 08 8B 40 F8 8B 16 8B 92 30 01 00 00 8A 44 02 FF E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B 16 8B 92 30 01 00 00 8A 04 02 E8 ?? ?? ?? ?? 5A 3A D0 75 35 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 3C 02 74 1D 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 45 FC 8D 53 01 E8 ?? ?? ?? ?? 3C 01 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9341_0 {
	meta:
		name = "_NF__1A5"
		size = 700
		refs = "001b _NF__1A5 0036 _NF__122 0050 _NF__124 0068 _NF__123 011a LeadBytes 012c _NF__1A4 0142 IsCharAlpha 0157 @LStrLAsg 015f UniqueString 0174 AnsiUpperCase 0192 AnsiLowerCase 022c IsCharAlphaNumeric 0237 _NF__1A3 029c @LStrArrayClr 02a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 5D F0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8B 45 FC 8B 80 30 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 48 2C 02 73 1C 8B 45 FC 8B 80 30 01 00 00 8B 55 F8 8A 44 10 FF E8 ?? ?? ?? ?? 88 03 E9 2B 02 00 00 8B 45 FC 8B 80 30 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 88 45 F6 8B 45 FC 8B 80 30 01 00 00 8B 55 F8 0F B6 44 10 FF 83 F8 43 7F 23 0F 84 8B 00 00 00 83 E8 23 74 54 83 E8 0D 74 38 83 E8 09 74 33 83 E8 08 0F 84 0A 01 00 00 E9 DE 01 00 00 83 E8 4C 0F 84 FC 00 00 00 83 E8 15 0F 84 F3 00 00 00 83 E8 02 74 57 83 E8 09 0F 84 E5 00 00 00 E9 B9 01 00 00 80 3B 30 72 09 80 3B 39 0F 86 AB 01 00 00 C6 45 F7 00 E9 A2 01 00 00 80 3B 30 72 09 80 3B 39 0F 86 94 01 00 00 80 3B 20 0F 84 8B 01 00 00 80 3B 2B 0F 84 82 01 00 00 80 3B 2D 0F 84 79 01 00 00 C6 45 F7 00 E9 70 01 00 00 8A 03 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 16 55 8A 03 E8 ?? ?? ?? ?? 59 84 C0 74 09 C6 45 F7 00 E9 48 01 00 00 8A 03 50 E8 ?? ?? ?? ?? 85 C0 0F 84 38 01 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8A 13 88 10 F6 45 F6 02 74 18 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? EB 1C F6 45 F6 04 74 16 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8A 00 88 03 E9 D9 00 00 00 8A 03 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 1A 55 8A 03 E8 ?? ?? ?? ?? 59 84 C0 0F 84 B6 00 00 00 C6 45 F7 00 E9 AD 00 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8A 13 88 10 8A 03 50 E8 ?? ?? ?? ?? 85 C0 75 47 C6 45 F7 00 8B 45 FC 8B 80 30 01 00 00 8B 55 F8 80 7C 10 FF 41 74 13 8B 45 FC 8B 80 30 01 00 00 8B 55 F8 80 7C 10 FF 61 75 57 8A 03 50 E8 ?? ?? ?? ?? 85 C0 75 0B 8A 03 E8 ?? ?? ?? ?? 84 C0 74 40 C6 45 F7 01 EB 3A F6 45 F6 02 74 18 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? EB 1C F6 45 F6 04 74 16 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8A 00 88 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 F7 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_9342_0 {
	meta:
		name = "_NF__1A6"
		size = 178
		refs = "0024 @LStrLen 003c _NF__122"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 89 14 24 8B E8 C6 44 24 08 01 C7 44 24 0C 01 00 00 00 8B 85 30 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 78 BF 01 00 00 00 8B 85 30 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 48 2C 02 72 04 2C 02 75 06 FF 44 24 0C EB 4F 80 FB 04 75 4A 83 3C 24 00 74 44 8B 04 24 8B 54 24 0C 8A 44 10 FF 3A 85 34 01 00 00 74 1B 8B 04 24 8B 54 24 0C 80 7C 10 FF 20 75 1F 8B 85 30 01 00 00 80 7C 38 FF 43 74 12 C6 44 24 08 00 8B 44 24 0C 48 8B 54 24 04 89 02 EB 08 FF 44 24 0C 47 4E 75 8D 8A 44 24 08 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9343_0 {
	meta:
		name = "_NF__1A7"
		size = 150
		refs = "002f _NF__12D 0040 @LStrLen 0057 _NF__122 0070 UniqueString"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 55 FC 8B F8 8B 45 08 C6 45 F7 01 85 C0 74 6E 8B 5D F8 43 03 C3 89 45 F0 8B 87 30 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 51 8B 87 30 01 00 00 E8 ?? ?? ?? ?? 2B C6 7C 42 40 96 89 45 EC 8B 87 30 01 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B D0 4A 80 EA 02 73 03 43 EB 19 04 FC 2C 02 73 13 8B 45 FC E8 ?? ?? ?? ?? 8A 97 34 01 00 00 88 54 18 FF 43 3B 5D F0 7D 06 FF 45 EC 4E 75 C3 8A 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9344_0 {
	meta:
		name = "_NF__1A8"
		size = 708
		refs = "0022 _NF__1A8 0045 @LStrLAsg 0053 _NF__12D 006f _NF__122 0099 _NF__1A5 00a2 LeadBytes 00b8 UniqueString 0118 @LStrCopy 0126 @LStrFromChar 0135 @LStrLen 0151 @LStrCatN 01ae ByteType 01cb @LStrCat 0283 @LStrCat3 02a4 @LStrArrayClr 02ac @LStrClr 02b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D E4 89 5D E0 89 5D F0 8B F9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 F8 85 FF 0F 84 54 02 00 00 BB 01 00 00 00 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8B 55 08 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8C 2D 02 00 00 E9 0A 01 00 00 8B D7 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 88 45 F7 8A 45 F7 48 2C 02 72 09 48 2C 02 0F 83 CF 00 00 00 8B 45 F0 8A 44 18 FF 88 45 EF 8D 55 EF 8B CF 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2D A1 ?? ?? ?? ?? 8A 55 EF 81 E2 FF 00 00 00 0F A3 10 73 11 8D 45 F0 E8 ?? ?? ?? ?? 8A 96 34 01 00 00 88 14 18 8A 86 34 01 00 00 88 45 EF 8A 45 F7 48 2C 02 73 0C 8B 45 F0 8A 44 18 FF 3A 45 EF 75 26 8D 45 F0 E8 ?? ?? ?? ?? 8A 55 EF 88 54 18 FF A1 ?? ?? ?? ?? 8A 55 EF 81 E2 FF 00 00 00 0F A3 10 73 51 43 47 EB 4D 8D 45 E8 50 8B CB 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? FF 75 E8 8D 45 E4 8A 55 EF E8 ?? ?? ?? ?? FF 75 E4 8D 45 E0 50 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 F0 E8 ?? ?? ?? ?? FF 75 E0 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 43 8B 45 08 03 C3 3B 86 38 01 00 00 7F 20 8B 45 F0 E8 ?? ?? ?? ?? 3B C3 7C 14 47 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 3B F8 0F 8E E3 FE FF FF 8B 45 F0 E8 ?? ?? ?? ?? 03 45 08 3B 86 38 01 00 00 0F 8D 95 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 03 55 08 42 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 3C 02 75 1A 8D 45 E8 8A 96 34 01 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F0 E8 ?? ?? ?? ?? 43 8D 45 E8 50 8B 45 FC 8B 00 8B 4D 08 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 E8 FF 75 F0 8D 45 E4 50 8B 45 F0 E8 ?? ?? ?? ?? 03 45 08 8B 96 38 01 00 00 2B D0 52 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 03 55 08 42 8B 45 FC 8B 00 59 E8 ?? ?? ?? ?? FF 75 E4 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 58 8B 7D 08 8B 96 38 01 00 00 2B 55 08 8B 45 F0 E8 ?? ?? ?? ?? 3C 01 75 01 47 8D 45 E8 50 8B 8E 38 01 00 00 2B CF BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 E4 50 8B 45 FC 8B 00 8B 4D 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 59 E8 ?? ?? ?? ?? 03 5D 08 4B 89 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9345_0 {
	meta:
		name = "_NF__1A9"
		size = 90
		refs = "0019 _NF__122 0036 _NF__124 004b @LStrLen"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 83 CD FF EB 35 47 8B D7 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B D0 4A 80 EA 02 73 1F 8B 96 30 01 00 00 8A 54 3A FF 3C 02 75 09 8B C2 E8 ?? ?? ?? ?? 8B D0 3A DA 75 13 8B EF EB 0F 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 3B F8 7C BC 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9348_0 {
	meta:
		name = "_NF__39"
		size = 120
		refs = "001a @LStrToPChar 0035 _NF__39 003c _Dn_Exception 0041 Exception.CreateFmt 0046 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 8B 45 08 8B 40 FC 89 45 F0 C6 45 F4 0B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 2B D0 42 89 55 F8 C6 45 FC 00 8D 45 F0 50 6A 01 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 00 00 FF FF FF FF 1F 00 00 00 27 25 73 27 20 69 73 20 61 6E 20 69 6E 76 61 6C 69 64 20 6D 61 73 6B 20 61 74 20 28 25 64 29 00 }
	condition:
		$1
}

rule function_9349_0 {
	meta:
		name = "_NF__3A"
		size = 76
		refs = "001a _NF__3A"
	strings:
		$1 = { 55 8B EC 56 57 8B 45 08 C6 40 F7 00 8B 45 08 C6 40 F6 00 8B 45 08 8D 78 D6 BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 5F 5E 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9350_0 {
	meta:
		name = "_NF__3B"
		size = 255
		refs = "0037 _NF__39 0079 UpCase 00b1 @GetMem 00f5 _NF__3A"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 45 08 8B 40 D0 8B 55 08 3B 42 CC 0F 8F D0 00 00 00 8B 45 08 80 78 F7 00 74 19 8B 45 08 FF 40 C8 8B 45 08 83 78 C8 1E 7E 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 8B 4D 08 8A 49 F7 88 0C 82 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 88 5C 82 04 80 EB 01 72 06 FE CB 74 22 EB 78 8B 45 08 8A 40 C3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 D0 8D 14 52 8B 4D 08 8B 49 C4 88 44 91 05 EB 58 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 8B 4D 08 8A 49 F6 88 4C 82 05 B8 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 D0 8D 14 52 8B 4D 08 8B 49 C4 89 44 91 08 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 8B 44 82 08 8B 55 08 8B F8 8D 72 D6 B9 08 00 00 00 F3 A5 8B 45 08 FF 40 D0 8B 45 08 50 E8 ?? ?? ?? ?? 59 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9351_0 {
	meta:
		name = "_NF__3C"
		size = 236
		refs = "003a _NF__39 004c UpCase 00a1 _NF__3C 00a8 @SetEq 00bf _NF__3B"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 08 83 C6 F8 8B 7D 08 83 C7 D6 FF 06 8B 06 80 38 21 75 09 8B 45 08 C6 40 F6 01 FF 06 C6 45 FF 00 EB 5D 2C 2D 75 40 80 7D FF 00 75 0C 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 45 FF 06 8A 45 FF 50 8B 06 8A 00 E8 ?? ?? ?? ?? 8B D8 58 2A D8 72 2F 43 88 45 FE 8A 45 FE 25 FF 00 00 00 0F AB 07 FE 45 FE FE CB 75 EE EB 17 8B 06 8A 00 E8 ?? ?? ?? ?? 88 45 FF 8A 45 FF 25 FF 00 00 00 0F AB 07 FF 06 8B 06 8A 00 8B D0 84 D2 74 05 80 EA 5D 75 94 8B 06 80 38 5D 75 10 8B C7 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 75 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B0 02 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9352_0 {
	meta:
		name = "_NF__3D"
		size = 142
		refs = "0017 @LStrToPChar 0029 _NF__3A 0053 _NF__3B 005c _NF__3C"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 89 4D CC 89 55 C4 89 45 FC 8D 5D F8 8B 45 FC E8 ?? ?? ?? ?? 89 03 33 C0 89 45 D0 33 C0 89 45 C8 55 E8 ?? ?? ?? ?? 59 EB 41 8B D0 80 EA 2A 74 0C 80 EA 15 74 0D 80 EA 1C 74 19 EB 20 C6 45 F7 01 EB 26 80 7D F7 00 75 20 55 B0 01 E8 ?? ?? ?? ?? 59 EB 15 55 E8 ?? ?? ?? ?? 59 EB 0C 88 45 C3 55 33 C0 E8 ?? ?? ?? ?? 59 FF 03 8B 03 8A 00 84 C0 75 B7 C6 45 C3 00 55 33 C0 E8 ?? ?? ?? ?? 59 8B 45 D0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9353_0 {
	meta:
		name = "_NF__3E"
		size = 40
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 8B 89 0C FF FF FF 8B 5D 08 8D 8C CB 10 FF FF FF 89 01 89 51 04 8B 45 08 FF 80 0C FF FF FF 5B 5D C3 }
	condition:
		$1
}

rule function_9354_0 {
	meta:
		name = "_NF__3F"
		size = 56
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 83 B9 0C FF FF FF 00 75 05 33 C0 5B 5D C3 8B 4D 08 FF 89 0C FF FF FF 8B 0A 8B 5D 08 8D 8C CB 10 FF FF FF 8B 19 89 18 8B 41 04 89 02 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_9355_0 {
	meta:
		name = "_NF__40"
		size = 359
		refs = "0017 _NF__40 006f @LStrFromChar 007a UpperCase 0092 @LStrCmp 00a3 UpCase 00ca _NF__3E 0151 @LStrArrayClr 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B 45 08 8B 80 08 FF FF FF 2B C2 0F 8C 01 01 00 00 40 89 45 F4 89 55 F8 8B 45 F8 8D 04 40 8B 55 08 8B 92 04 FF FF FF 8D 3C 82 8B DF 80 3B 00 74 79 8A 43 04 2C 01 72 07 FE C8 74 3A EB 57 46 80 3E 00 74 51 8D 45 EC 8A 16 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8A 53 05 E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 75 CB EB 20 46 80 3E 00 74 1A 8A 06 E8 ?? ?? ?? ?? 8B 53 08 25 FF 00 00 00 0F A3 02 0F 92 C0 32 43 05 74 E0 80 3E 00 74 10 8B 45 08 50 8D 46 01 8B 55 F8 E8 ?? ?? ?? ?? 59 8A 43 04 2C 01 72 06 FE C8 74 33 EB 4B 8D 45 EC 8A 16 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8A 53 05 E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 75 30 EB 1A 8A 06 E8 ?? ?? ?? ?? 8B 53 08 25 FF 00 00 00 0F A3 02 0F 92 C0 32 43 05 74 14 46 FF 45 F8 83 C7 0C FF 4D F4 0F 85 18 FF FF FF C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9356_0 {
	meta:
		name = "_NF__41"
		size = 139
		refs = "0037 @LStrToPChar 0057 _NF__40 006e _NF__3F"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 8B D9 6B DB 03 83 C3 02 8B 34 9A 4B 56 79 F9 8B D4 89 8D 08 FF FF FF 89 95 04 FF FF FF 8B F0 B3 01 33 C0 89 85 0C FF FF FF 8B C6 E8 ?? ?? ?? ?? 89 85 FC FE FF FF 33 C0 89 85 00 FF FF FF 55 8B 95 00 FF FF FF 8B 85 FC FE FF FF E8 ?? ?? ?? ?? 59 84 C0 75 19 55 8D 95 00 FF FF FF 8D 85 FC FE FF FF E8 ?? ?? ?? ?? 59 84 C0 75 D2 33 DB 8B C3 8B B5 F4 FE FF FF 8B 9D F8 FE FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule function_9357_0 {
	meta:
		name = "_NF__42"
		size = 39
		refs = "001a @FreeMem"
	strings:
		$1 = { 53 56 8B F2 85 F6 7C 1C 46 8D 58 04 80 3B 02 75 0D BA 20 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 83 C3 0C 4E 75 E8 5E 5B C3 }
	condition:
		$1
}

rule function_9358_0 {
	meta:
		name = "TMask.Create"
		size = 100
		refs = "0011 @ClassCreate 0024 _NF__3D 0036 AllocMem"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8D 55 F0 33 C9 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 08 8B C7 C1 E0 02 8D 04 40 E8 ?? ?? ?? ?? 89 43 04 8B 4B 08 49 8B 53 04 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9359_0 {
	meta:
		name = "TMask.Destroy"
		size = 55
		refs = "0012 _NF__42 0023 @FreeMem 002e @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 85 C0 74 1A 8B 56 08 4A E8 ?? ?? ?? ?? 8B 56 08 C1 E2 02 8D 14 52 8B 46 04 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9360_0 {
	meta:
		name = "TMask.Matches"
		size = 14
		refs = "0009 _NF__41"
	strings:
		$1 = { 8B 48 08 49 8B 40 04 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9361_0 {
	meta:
		name = "MatchesMask"
		size = 90
		refs = "000c _DV_TMask 0013 TMask.Create 001e MatchesMask 002e TMask.Matches 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9365_0 {
	meta:
		name = "DegToRad"
		size = 44
		refs = "000b DegToRad"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 }
	condition:
		$1
}

rule function_9366_0 {
	meta:
		name = "RadToDeg"
		size = 44
		refs = "000b RadToDeg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_9367_0 {
	meta:
		name = "GradToRad"
		size = 44
		refs = "000b GradToRad"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 36 CE 38 B9 90 FC AD 80 F9 3F 00 00 }
	condition:
		$1
}

rule function_9368_0 {
	meta:
		name = "RadToGrad"
		size = 44
		refs = "000b RadToGrad"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 11 61 4A 5A 5C DD A5 FE 04 40 00 00 }
	condition:
		$1
}

rule function_9369_0 {
	meta:
		name = "CycleToRad"
		size = 44
		refs = "000b CycleToRad"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_9370_0 {
	meta:
		name = "RadToCycle"
		size = 44
		refs = "000b RadToCycle"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 2A 15 44 4E 6E 83 F9 A2 FC 3F 00 00 }
	condition:
		$1
}

rule function_9371_0 {
	meta:
		name = "LnXP1"
		size = 33
	strings:
		$1 = { 55 8B EC D9 ED 66 8B 45 10 DB 6D 08 66 3D FD 3F 72 08 D9 E8 DE C1 D9 F1 EB 02 D9 F9 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9372_0 {
	meta:
		name = "IntPower"
		size = 45
	strings:
		$1 = { 55 8B EC 89 C1 99 D9 E8 31 D0 29 D0 74 1A DB 6D 08 EB 02 D8 C8 D1 E8 73 FA DC C9 75 F6 DD D8 83 F9 00 7D 04 D9 E8 DE F1 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9373_0 {
	meta:
		name = "_NF__51"
		size = 44
		refs = "000b _NF__51 0017 IntPower"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 80 3F }
	condition:
		$1
}

rule function_9374_0 {
	meta:
		name = "_NF__52"
		size = 248
		refs = "0014 _NF__52 005b LnXP1 0068 @EXP 00a5 _NF__51"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8B DA 8B F8 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 20 33 C0 89 06 C7 46 04 00 00 00 80 66 C7 46 08 FF 3F 89 7D F0 DB 45 F0 DB 7D F6 9B E9 97 00 00 00 DB 6D 08 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 48 66 8B 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 89 7D F0 DB 45 F0 DE C9 E8 ?? ?? ?? ?? DB 3E 9B 8B C7 48 89 45 F0 DB 45 F0 DB 6D 08 DE C9 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? 89 7D EC DB 45 EC DE C9 DB 7D F6 9B EB 26 66 8B 45 10 50 FF 75 0C FF 75 08 8B C7 E8 ?? ?? ?? ?? DB 3E 9B DB 2E D8 25 ?? ?? ?? ?? DB 6D 08 DE F9 DB 7D F6 9B 80 FB 01 75 12 DB 6D 08 D8 05 ?? ?? ?? ?? DB 6D F6 DE C9 DB 7D F6 9B DB 6D F6 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 82 A9 66 D6 52 40 DA FF F0 3F 00 00 00 00 00 3F 00 00 80 3F }
	condition:
		$1
}

rule function_9375_0 {
	meta:
		name = "_NF__53"
		size = 244
		refs = "0082 _NF__53"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B F0 33 C0 89 45 F6 89 45 FA 66 89 45 FE 33 C0 89 45 EC 89 45 F0 66 89 45 F4 33 C0 89 45 E2 89 45 E6 66 89 45 EA 33 C0 89 45 D8 89 45 DC 66 89 45 E0 8B DA 83 FB 00 7C 67 8D 14 DE DB 6D 08 DB 6D E2 DE C9 DB 6D F6 DE C1 DB 7D E2 9B DB 6D F6 DB 6D 08 DE C9 DB 7D F6 9B DB 6D 08 DB 6D D8 DE C9 DB 6D EC DE C1 DB 7D D8 9B DB 6D EC DB 6D 08 DE C9 DB 7D EC 9B DD 02 D8 1D ?? ?? ?? ?? DF E0 9E 72 0B DB 6D EC DC 02 DB 7D EC 9B EB 09 DB 6D F6 DC 02 DB 7D F6 9B 4B 83 EA 08 83 FB FF 75 9C 8B 45 F6 89 01 8B 45 FA 89 41 04 66 8B 45 FE 66 89 41 08 8B 45 EC 89 41 0A 8B 45 F0 89 41 0E 66 8B 45 F4 66 89 41 12 DB 6D E2 DB 6D 08 DE C9 DB 79 14 9B DB 6D D8 DB 6D 08 DE C9 DB 79 1E 9B 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9376_0 {
	meta:
		name = "_NF__56"
		size = 49
		refs = "000d _NV__55 0013 _NV__54"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 D9 E1 DC 0D ?? ?? ?? ?? DC 05 ?? ?? ?? ?? DB 7D F4 9B DB 6D 14 D9 E1 DB 6D F4 DE D9 DF E0 9E 0F 97 C0 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_9377_0 {
	meta:
		name = "ArcCos"
		size = 64
		refs = "0010 ArcCos 0029 ArcTan2"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 6D 08 DE C9 D8 2D ?? ?? ?? ?? D9 FA 83 C4 F4 DB 3C 24 9B 66 8B 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_9378_0 {
	meta:
		name = "ArcSin"
		size = 64
		refs = "001b ArcSin 0029 ArcTan2"
	strings:
		$1 = { 55 8B EC 83 C4 F4 66 8B 45 10 50 FF 75 0C FF 75 08 DB 6D 08 DB 6D 08 DE C9 D8 2D ?? ?? ?? ?? D9 FA 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_9379_0 {
	meta:
		name = "ArcTan2"
		size = 16
	strings:
		$1 = { 55 8B EC DB 6D 14 DB 6D 08 D9 F3 9B 5D C2 18 00 }
	condition:
		$1
}

rule function_9380_0 {
	meta:
		name = "Tan"
		size = 15
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 F2 DD D8 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9381_0 {
	meta:
		name = "Cotan"
		size = 15
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 F2 DE F1 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9382_0 {
	meta:
		name = "Hypot"
		size = 56
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 E1 DB 6D 14 D9 E1 D8 D1 DF E0 F6 C4 45 75 02 D9 C9 D9 EE D8 D9 DF E0 F6 C4 40 74 04 DD D8 EB 0C D8 F1 D8 C8 D9 E8 DE C1 D9 FA DE C9 9B 5D C2 18 00 }
	condition:
		$1
}

rule function_9383_0 {
	meta:
		name = "SinCos"
		size = 17
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 FB DB 3A DB 38 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9384_0 {
	meta:
		name = "Frexp"
		size = 48
	strings:
		$1 = { 55 8B EC DB 6D 08 50 C7 02 00 00 00 00 D9 E4 9B DF E0 9B 9E 74 12 D9 F4 D9 C9 DB 1A D9 E8 D9 E0 D9 C9 D9 FD FF 02 DD D9 58 DB 38 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9385_0 {
	meta:
		name = "Ldexp"
		size = 20
	strings:
		$1 = { 55 8B EC 50 DB 04 24 DB 6D 08 D9 FD 58 DD D9 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9386_0 {
	meta:
		name = "Ceil"
		size = 48
		refs = "0008 @TRUNC 0012 @FRAC 0018 Ceil"
	strings:
		$1 = { 55 8B EC 53 DB 6D 08 E8 ?? ?? ?? ?? 8B D8 DB 6D 08 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 76 01 43 8B C3 5B 5D C2 0C 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9387_0 {
	meta:
		name = "Floor"
		size = 48
		refs = "0008 @TRUNC 0012 @FRAC 0018 Floor"
	strings:
		$1 = { 55 8B EC 53 DB 6D 08 E8 ?? ?? ?? ?? 8B D8 DB 6D 08 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 73 01 4B 8B C3 5B 5D C2 0C 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9388_0 {
	meta:
		name = "Log10"
		size = 15
	strings:
		$1 = { 55 8B EC D9 EC DB 6D 08 D9 F1 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9389_0 {
	meta:
		name = "Log2"
		size = 15
	strings:
		$1 = { 55 8B EC D9 E8 DB 6D 08 D9 F1 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9390_0 {
	meta:
		name = "LogN"
		size = 24
	strings:
		$1 = { 55 8B EC D9 E8 DB 6D 08 D9 F1 D9 E8 DB 6D 14 D9 F1 DE F9 9B 5D C2 18 00 }
	condition:
		$1
}

rule function_9391_0 {
	meta:
		name = "Poly"
		size = 56
	strings:
		$1 = { 55 8B EC 83 C4 F4 DD 04 D0 DB 7D F6 9B 8B CA 49 83 F9 00 7C 1A 8D 14 C8 DB 6D F6 DB 6D 08 DE C9 DC 02 DB 7D F6 9B 49 83 EA 08 83 F9 FF 75 E9 DB 6D F6 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_9392_0 {
	meta:
		name = "Power"
		size = 200
		refs = "000b Power 0059 @FRAC 0089 @TRUNC 008e IntPower 00a7 @EXP"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 17 33 C0 89 45 F6 C7 45 FA 00 00 00 80 66 C7 45 FE FF 3F E9 84 00 00 00 DB 6D 14 D8 1D ?? ?? ?? ?? DF E0 9E 75 1C DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 0E 33 C0 89 45 F6 89 45 FA 66 89 45 FE EB 5A DB 6D 08 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 75 30 DB 6D 08 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 72 1E 66 8B 45 1C 50 FF 75 18 FF 75 14 DB 6D 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 7D F6 9B EB 17 DB 6D 14 D9 ED D9 C9 D9 F1 DB 6D 08 DE C9 E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 8B E5 5D C2 18 00 00 00 00 00 00 00 00 00 FE FF FF FF 1D 40 00 00 }
	condition:
		$1
}

rule function_9393_0 {
	meta:
		name = "_NF__82"
		size = 52
		refs = "000a @EXP 0010 _NF__82"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 10 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 DC 7D 08 DB 6D F6 DE C1 DB 7D F6 9B DB 6D F6 8B E5 5D C2 14 00 00 00 00 3F }
	condition:
		$1
}

rule function_9394_0 {
	meta:
		name = "Cosh"
		size = 42
		refs = "0019 _NF__82"
	strings:
		$1 = { 55 8B EC 83 C4 F4 66 8B 45 10 50 FF 75 0C FF 75 08 68 00 00 D0 3F 6A 00 E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_9395_0 {
	meta:
		name = "Sinh"
		size = 42
		refs = "0019 _NF__82"
	strings:
		$1 = { 55 8B EC 83 C4 F4 66 8B 45 10 50 FF 75 0C FF 75 08 68 00 00 D0 BF 6A 00 E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_9396_0 {
	meta:
		name = "Tanh"
		size = 164
		refs = "000b Tanh 0052 @EXP"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 73 14 33 C0 89 45 F6 C7 45 FA 00 00 00 80 66 C7 45 FE FF 3F EB 54 DB 6D 08 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 14 33 C0 89 45 F6 C7 45 FA 00 00 00 80 66 C7 45 FE FF BF EB 30 DB 6D 08 E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 DB 6D F6 DE C9 DB 7D F6 9B DB 6D F6 D8 25 ?? ?? ?? ?? DB 6D F6 D8 05 ?? ?? ?? ?? DE F9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 B5 94 A2 26 AB C7 71 B1 0B 40 00 00 B5 94 A2 26 AB C7 71 B1 0B C0 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_9397_0 {
	meta:
		name = "ArcCosh"
		size = 152
		refs = "000b ArcCosh"
	strings:
		$1 = { 55 8B EC 83 C4 E8 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 77 0E 33 C0 89 45 F6 89 45 FA 66 89 45 FE EB 57 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 24 DB 2D ?? ?? ?? ?? D9 ED D9 C9 D9 F1 DB 7D E8 9B DB 6D 08 D9 ED D9 C9 D9 F1 DB 6D E8 DE C1 DB 7D F6 9B EB 25 DB 6D 08 D8 25 ?? ?? ?? ?? DB 6D 08 D8 05 ?? ?? ?? ?? DE C9 D9 FA DB 6D 08 DE C1 D9 ED D9 C9 D9 F1 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 00 00 80 3F F9 02 15 50 00 00 00 00 00 00 00 80 00 40 00 00 }
	condition:
		$1
}

rule function_9398_0 {
	meta:
		name = "ArcSinh"
		size = 216
		refs = "000c ArcSinh 009f LnXP1"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 11 33 C0 89 45 F6 89 45 FA 66 89 45 FE E9 8E 00 00 00 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 0F 92 C3 DB 6D 08 D9 E1 DB 7D 08 9B DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 24 DB 2D ?? ?? ?? ?? D9 ED D9 C9 D9 F1 DB 7D E8 9B DB 6D 08 D9 ED D9 C9 D9 F1 DB 6D E8 DE C1 DB 7D F6 9B EB 37 DB 6D 08 DB 6D 08 DE C9 DB 7D F6 9B DB 6D F6 D8 05 ?? ?? ?? ?? D9 FA D8 05 ?? ?? ?? ?? DB 6D F6 DE F1 DB 6D 08 DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F6 9B 84 DB 74 09 DB 6D F6 D9 E0 DB 7D F6 9B DB 6D F6 5B 8B E5 5D C2 0C 00 00 00 00 00 00 00 F9 02 15 50 00 00 00 00 00 00 00 80 00 40 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_9399_0 {
	meta:
		name = "ArcTanh"
		size = 176
		refs = "000c ArcTanh 007b LnXP1"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 0E 33 C0 89 45 F6 89 45 FA 66 89 45 FE EB 73 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 0F 92 C3 DB 6D 08 D9 E1 DB 7D 08 9B DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 72 16 C7 45 F6 E1 75 58 7F C7 45 FA ED 2A B1 EC 66 C7 45 FE FE 7F EB 2A DB 6D 08 D8 0D ?? ?? ?? ?? DB 6D 08 D8 2D ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 7D F6 9B 84 DB 74 09 DB 6D F6 D9 E0 DB 7D F6 9B DB 6D F6 5B 8B E5 5D C2 0C 00 00 00 00 00 00 00 80 3F 00 00 00 40 00 00 00 3F }
	condition:
		$1
}

rule function_9400_0 {
	meta:
		name = "Mean"
		size = 42
		refs = "000e Sum"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 43 89 5C 24 0C DB 44 24 0C DE F9 DB 3C 24 9B DB 2C 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9409_0 {
	meta:
		name = "PopnVariance"
		size = 42
		refs = "000e TotalVariance"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 43 89 5C 24 0C DB 44 24 0C DE F9 DB 3C 24 9B DB 2C 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9401_0 {
	meta:
		name = "MinValue"
		size = 58
	strings:
		$1 = { 83 C4 F8 8B 08 89 0C 24 8B 48 04 89 4C 24 04 8B CA 85 C9 7E 1F 8D 50 08 DD 04 24 DC 1A DF E0 9E 76 0C 8B 02 89 04 24 8B 42 04 89 44 24 04 83 C2 08 49 75 E4 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_9402_0 {
	meta:
		name = "MinIntValue"
		size = 28
	strings:
		$1 = { 53 8B 08 85 D2 7E 11 83 C0 04 8B 18 3B CB 7E 02 8B CB 83 C0 04 4A 75 F2 8B C1 5B C3 }
	condition:
		$1
}

rule function_9403_0 {
	meta:
		name = "MaxValue"
		size = 58
	strings:
		$1 = { 83 C4 F8 8B 08 89 0C 24 8B 48 04 89 4C 24 04 8B CA 85 C9 7E 1F 8D 50 08 DD 04 24 DC 1A DF E0 9E 73 0C 8B 02 89 04 24 8B 42 04 89 44 24 04 83 C2 08 49 75 E4 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_9404_0 {
	meta:
		name = "MaxIntValue"
		size = 28
	strings:
		$1 = { 53 8B 08 85 D2 7E 11 83 C0 04 8B 18 3B CB 7D 02 8B CB 83 C0 04 4A 75 F2 8B C1 5B C3 }
	condition:
		$1
}

rule function_9405_0 {
	meta:
		name = "MeanAndStdDev"
		size = 129
		refs = "002f Sum"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B F2 8B D8 8B C6 40 89 45 F0 83 7D F0 01 75 0F DD 03 DB 3F 9B DD 03 8B 45 08 DB 38 9B EB 4E 8B C3 8B D6 E8 ?? ?? ?? ?? DB 45 F0 DE F9 DB 3F 9B 33 C0 89 45 F6 89 45 FA 66 89 45 FE 85 F6 7C 16 46 DB 2F DC 23 D8 C8 DB 6D F6 DE C1 DB 7D F6 9B 83 C3 08 4E 75 EB 8B 45 F0 48 89 45 EC DB 45 EC DB 6D F6 DE F1 D9 FA 8B 45 08 DB 38 9B 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9406_0 {
	meta:
		name = "MomentSkewKurtosis"
		size = 408
		refs = "0019 MomentSkewKurtosis 0155 Power"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 8B F1 89 45 FC 8B C2 40 89 45 9C DB 45 9C D8 3D ?? ?? ?? ?? DB 7D CA 9B 33 C0 89 45 F2 89 45 F6 66 89 45 FA 33 C0 89 45 E8 89 45 EC 66 89 45 F0 33 C0 89 45 DE 89 45 E2 66 89 45 E6 33 C0 89 45 D4 89 45 D8 66 89 45 DC 8B FA 85 FF 7C 4A 47 8B 5D FC DB 6D F2 DC 03 DB 7D F2 9B DD 03 D8 C8 DB 7D C0 9B DB 6D E8 DB 6D C0 DE C1 DB 7D E8 9B DB 6D C0 DC 0B DB 7D C0 9B DB 6D DE DB 6D C0 DE C1 DB 7D DE 9B DB 6D C0 DC 0B DB 6D D4 DE C1 DB 7D D4 9B 83 C3 08 4F 75 BA DB 6D F2 DB 6D CA DE C9 DB 3E 9B DB 2E D8 C8 DB 7D B6 9B DB 6D E8 DB 6D CA DE C9 DB 7D AC 9B DB 6D DE DB 6D CA DE C9 DB 7D A2 9B DB 6D AC DB 6D B6 DE E9 8B 45 18 DB 38 9B DB 2E D8 0D ?? ?? ?? ?? DB 6D AC DE C9 DB 6D A2 DE E1 DB 6D B6 D8 0D ?? ?? ?? ?? DB 2E DE C9 DE C1 8B 45 14 DB 38 9B DB 6D B6 D8 C8 D8 0D ?? ?? ?? ?? DB 6D B6 D8 0D ?? ?? ?? ?? DB 6D AC DE C9 DE E1 DB 6D D4 DB 6D CA DE C9 DB 2E D8 0D ?? ?? ?? ?? DB 6D A2 DE C9 DE E9 DE C1 8B 45 10 DB 38 9B 8B 45 18 66 8B 50 08 52 FF 70 04 FF 30 68 FF BF 00 00 68 00 00 00 C0 6A 00 E8 ?? ?? ?? ?? 8B 45 14 DB 28 DE C9 8B 45 0C DB 38 9B 8B 45 18 DB 28 D8 C8 8B 45 10 DB 28 DE F1 8B 45 08 DB 38 9B 5F 5E 5B 8B E5 5D C2 14 00 00 00 00 80 3F 00 00 40 40 00 00 00 40 00 00 C0 40 00 00 80 40 }
	condition:
		$1
}

rule function_9407_0 {
	meta:
		name = "Norm"
		size = 33
		refs = "000e SumOfSquares"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? D9 FA DB 3C 24 9B DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_9408_0 {
	meta:
		name = "PopnStdDev"
		size = 33
		refs = "000e PopnVariance"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? D9 FA DB 3C 24 9B DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_9411_0 {
	meta:
		name = "StdDev"
		size = 33
		refs = "000e Variance"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? D9 FA DB 3C 24 9B DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_9410_0 {
	meta:
		name = "RandG"
		size = 140
		refs = "0007 @RandExt 000d RandG"
	strings:
		$1 = { 55 8B EC 83 C4 D4 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D EC 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 25 ?? ?? ?? ?? D8 C8 DB 7D D4 9B DB 6D EC D8 C8 DB 6D D4 DE C1 DB 7D E2 9B DB 6D E2 D8 1D ?? ?? ?? ?? DF E0 9E 73 B8 DB 6D E2 D9 ED D9 C9 D9 F1 D8 0D ?? ?? ?? ?? DB 6D E2 DE F9 D9 FA DB 6D EC DE C9 DB 6D 08 DE C9 DB 6D 14 DE C1 DB 7D F6 9B DB 6D F6 8B E5 5D C2 18 00 00 00 00 40 00 00 80 3F 00 00 00 C0 }
	condition:
		$1
}

rule function_9412_0 {
	meta:
		name = "SumInt"
		size = 85
		refs = "0013 SumInt 002d _NF__BE"
	strings:
		$1 = { 53 89 C1 89 D3 31 C0 83 E2 FC 83 E3 03 C1 E2 02 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 44 11 0C 0F 80 ?? ?? ?? ?? 03 44 11 08 0F 80 ?? ?? ?? ?? 03 44 11 04 0F 80 ?? ?? ?? ?? 03 04 11 0F 80 ?? ?? ?? ?? 83 EA 10 79 D4 5B C3 }
	condition:
		$1
}

rule function_9414_0 {
	meta:
		name = "Sum"
		size = 78
		refs = "0016 Sum"
	strings:
		$1 = { D9 EE 89 D1 D9 C0 83 E2 FC D9 C0 83 E1 03 D9 C0 C1 E2 03 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DC 44 10 18 D9 CB DC 44 10 10 D9 CA DC 44 10 08 D9 C9 DC 04 10 D9 CA 83 EA 20 79 E4 DE C3 DE C1 DE C1 9B C3 }
	condition:
		$1
}

rule function_9415_0 {
	meta:
		name = "SumOfSquares"
		size = 56
	strings:
		$1 = { 53 56 83 C4 F4 33 C9 89 0C 24 89 4C 24 04 66 89 4C 24 08 8B F2 85 F6 7C 16 46 8B D8 DD 03 D8 C8 DB 2C 24 DE C1 DB 3C 24 9B 83 C3 08 4E 75 ED DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_9416_0 {
	meta:
		name = "SumsAndSquares"
		size = 115
		refs = "001a SumsAndSquares"
	strings:
		$1 = { 55 8B EC D9 EE 51 89 D1 D9 C0 83 E2 FC D9 C0 83 E1 03 D9 C0 C1 E2 03 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DE C1 DD 44 10 18 DC C3 D8 C8 DD 44 10 10 DC C4 D8 C8 D9 C9 DE C3 DD 44 10 08 DC C4 D8 C8 D9 C9 DE C3 DD 04 10 DC C4 D8 C8 D9 C9 DE C3 83 EA 20 79 CE DE C1 59 DE C1 D9 C9 8B 45 08 DB 39 DB 38 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_9417_0 {
	meta:
		name = "TotalVariance"
		size = 57
		refs = "0012 SumsAndSquares"
	strings:
		$1 = { 53 83 C4 DC 8B DA 8D 54 24 14 52 8D 4C 24 0E 8B D3 E8 ?? ?? ?? ?? DB 6C 24 0A D8 C8 43 89 5C 24 20 DB 44 24 20 DE F9 DB 6C 24 14 DE E1 DB 3C 24 9B DB 2C 24 83 C4 24 5B C3 }
	condition:
		$1
}

rule function_9418_0 {
	meta:
		name = "Variance"
		size = 41
		refs = "000e TotalVariance"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 89 5C 24 0C DB 44 24 0C DE F9 DB 3C 24 9B DB 2C 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9419_0 {
	meta:
		name = "DoubleDecliningBalance"
		size = 244
		refs = "0071 DoubleDecliningBalance 008d IntPower"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 8B DA 8B D0 33 C0 89 45 F6 89 45 FA 66 89 45 FE 83 FB 01 0F 8C BE 00 00 00 3B DA 0F 8F B6 00 00 00 83 FA 01 0F 8C AD 00 00 00 DB 6D 14 DB 6D 08 DE D9 DF E0 9E 0F 83 9C 00 00 00 83 FA 02 7F 22 4B 75 11 DB 6D 14 DB 6D 08 DE E9 DB 7D F6 9B E9 83 00 00 00 33 C0 89 45 F6 89 45 FA 66 89 45 FE EB 75 89 55 DC DB 45 DC D8 3D ?? ?? ?? ?? DB 7D E2 9B DB 6D E2 D8 2D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C3 48 E8 ?? ?? ?? ?? DB 6D 14 DE C9 DB 7D EC 9B DB 6D E2 DB 6D EC DE C9 DB 7D F6 9B DB 6D EC DB 6D 08 DE E9 DB 6D F6 DE D9 DF E0 9E 76 0C DB 6D EC DB 6D 08 DE E9 DB 7D F6 9B DB 6D F6 D8 1D ?? ?? ?? ?? DF E0 9E 73 0C 33 C0 89 45 F6 89 45 FA 66 89 45 FE DB 6D F6 5B 8B E5 5D C2 18 00 00 00 00 40 00 00 80 3F 00 00 00 00 }
	condition:
		$1
}

rule function_9420_0 {
	meta:
		name = "SLNDepreciation"
		size = 80
		refs = "000f SLNDepreciation 0014 _NF__3F"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 83 FB 01 7D 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D 14 DB 6D 08 DE E9 89 5D F0 DB 45 F0 DE F9 DB 7D F6 9B DB 6D F6 5B 8B E5 5D C2 18 00 00 00 FF FF FF FF 0F 00 00 00 53 4C 4E 44 65 70 72 65 63 69 61 74 69 6F 6E 00 }
	condition:
		$1
}

rule function_9421_0 {
	meta:
		name = "SYDDepreciation"
		size = 105
	strings:
		$1 = { 55 8B EC 83 C4 DC 8B C8 33 C0 89 45 F6 89 45 FA 66 89 45 FE 83 FA 01 7C 47 3B D1 7F 43 DB 6D 14 DB 6D 08 DE D9 DF E0 9E 73 36 8B C1 2B C2 40 03 C0 89 45 DC DB 45 DC DB 7D EC 9B 8D 41 01 F7 E9 89 45 DC DB 45 DC DB 7D E2 9B DB 6D 14 DB 6D 08 DE E9 DB 6D EC DE C9 DB 6D E2 DE F9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_9422_0 {
	meta:
		name = "_NF__DE"
		size = 96
		refs = "0015 _NF__DE"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 EB 01 4A 85 D2 7C 0E DD 04 D3 D8 1D ?? ?? ?? ?? DF E0 9E 73 ED 42 85 D2 7E 2F 33 C0 89 45 F8 89 45 FC 33 C9 3B D1 7E 21 DD 45 F8 DC 04 CB DD 5D F8 9B DD 45 F8 D8 1D ?? ?? ?? ?? DF E0 9E 72 04 33 D2 EB 05 41 3B D1 7F DF 8B C2 5B 59 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9423_0 {
	meta:
		name = "InternalRateOfReturn"
		size = 396
		refs = "0023 _NF__DE 002e InternalRateOfReturn 0033 _NF__3F 005f LnXP1 0080 @EXP 0093 _NF__53 0125 _NF__56"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 89 55 FC 8B F8 8D 75 B6 33 C0 89 45 F2 89 45 F6 66 89 45 FA 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7D 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 30 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D9 E0 DB 7D E8 9B EB 0C 33 C0 89 45 E8 89 45 EC 66 89 45 F0 BB 0F 00 00 00 DB 6D E8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B CE 8B C7 8B 55 FC E8 ?? ?? ?? ?? DB 6E 0A DB 2E DE D9 DF E0 9E 72 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 2E D8 1D ?? ?? ?? ?? DF E0 9E 73 0E DB 6E 0A D8 1D ?? ?? ?? ?? DF E0 9E 77 14 33 C0 89 45 F2 C7 45 F6 00 00 00 80 66 C7 45 FA FF BF EB 78 DB 2E D9 E0 DB 6E 0A DE F9 D9 ED D9 C9 D9 F1 DB 6E 14 DB 2E DE F9 DB 6E 1E DB 6E 0A DE F9 DE E9 DE F9 DB 7D DE 9B DB 6D E8 DB 6D DE DE E9 DB 7D E8 9B 66 8B 45 E6 50 FF 75 E2 FF 75 DE 66 8B 45 F0 50 FF 75 EC FF 75 E8 E8 ?? ?? ?? ?? 84 C0 74 16 DB 6D E8 D9 E0 E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D F2 9B EB 11 4B 0F 85 32 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D F2 5F 5E 5B 8B E5 5D C2 0C 00 FF FF FF FF 14 00 00 00 49 6E 74 65 72 6E 61 6C 52 61 74 65 4F 66 52 65 74 75 72 6E 00 00 00 00 00 00 80 BF 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_9424_0 {
	meta:
		name = "NetPresentValue"
		size = 164
		refs = "0014 NetPresentValue 0023 _NF__3F"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 88 4D FF 8B F2 8B D8 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D 08 D8 05 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DB 7D EA 9B 33 C0 89 45 F4 89 45 F8 66 89 45 FC 8B D6 83 FA 00 7C 1A 8D 04 D3 DB 6D EA DB 6D F4 DE C9 DC 00 DB 7D F4 9B 4A 83 E8 08 83 FA FF 75 E9 80 7D FF 00 75 0C DB 6D EA DB 6D F4 DE C9 DB 7D F4 9B DB 6D F4 5E 5B 8B E5 5D C2 0C 00 00 00 80 BF FF FF FF FF 0F 00 00 00 4E 65 74 50 72 65 73 65 6E 74 56 61 6C 75 65 00 00 00 80 3F }
	condition:
		$1
}

rule function_9425_0 {
	meta:
		name = "_NF__E8"
		size = 200
		refs = "0014 _NF__E8 0023 _NF__3F 0036 _NF__51 0051 _NF__52"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B D9 8B F2 8B F8 DB 6D 24 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 2C 50 FF 75 28 FF 75 24 8B C7 48 E8 ?? ?? ?? ?? DB 7D E2 9B 66 8B 45 2C 50 FF 75 28 FF 75 24 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? DB 7D D8 9B DB 6D E2 D8 25 ?? ?? ?? ?? DB 6D 0C DE C9 DB 6D EC DB 6D E2 DE E9 DB 6D 18 DE C9 DE E9 DB 6D D8 DE F9 8B 45 08 DB 38 9B DB 6D 0C D9 E0 DB 6D 18 DE E9 DB 6D E2 DE C9 DB 6D D8 DE F9 DB 7D F6 9B DB 6D F6 5F 5E 5B 8B E5 5D C2 28 00 00 00 00 00 00 80 BF FF FF FF FF 0C 00 00 00 50 61 79 6D 65 6E 74 50 61 72 74 73 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_9426_0 {
	meta:
		name = "FutureValue"
		size = 160
		refs = "0011 FutureValue 0020 _NF__3F 0037 _NF__52"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B DA 8B F0 DB 6D 20 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 28 50 FF 75 24 FF 75 20 8D 4D E2 8B D3 8B C6 E8 ?? ?? ?? ?? DB 7D EC 9B DB 6D E2 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D 14 D9 E0 DB 6D EC DE C9 DB 6D 08 DB 6D E2 DE C9 DE E9 DB 7D F6 9B DB 6D F6 5E 5B 8B E5 5D C2 24 00 00 00 80 BF FF FF FF FF 0B 00 00 00 46 75 74 75 72 65 56 61 6C 75 65 00 00 00 00 04 BF C9 1B 8E 34 40 00 00 }
	condition:
		$1
}

rule function_9427_0 {
	meta:
		name = "InterestPayment"
		size = 180
		refs = "0014 InterestPayment 002c _NF__3F 003f _NF__51 005a _NF__52"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B D9 8B F2 8B F8 DB 6D 20 D8 1D ?? ?? ?? ?? DF E0 9E 76 09 83 FF 01 7C 04 3B F7 7D 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 28 50 FF 75 24 FF 75 20 8B C7 48 E8 ?? ?? ?? ?? DB 7D EC 9B 66 8B 45 28 50 FF 75 24 FF 75 20 8D 4D E2 8B D3 8B C6 E8 ?? ?? ?? ?? DB 7D D8 9B DB 6D EC D8 25 ?? ?? ?? ?? DB 6D 08 DE C9 DB 6D E2 DB 6D EC DE E9 DB 6D 14 DE C9 DE E9 DB 6D D8 DE F9 DB 7D F6 9B DB 6D F6 5F 5E 5B 8B E5 5D C2 24 00 00 00 80 BF FF FF FF FF 0F 00 00 00 49 6E 74 65 72 65 73 74 50 61 79 6D 65 6E 74 00 00 00 80 3F }
	condition:
		$1
}

rule function_9428_0 {
	meta:
		name = "_NF__F6"
		size = 32
	strings:
		$1 = { 55 8B EC 31 C0 66 8B 5D 10 40 81 E3 F0 7F 00 00 74 0A 81 FB F0 7F 00 00 74 02 31 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_9429_0 {
	meta:
		name = "InterestRate"
		size = 812
		refs = "001e InterestRate 0023 _NF__3F 0168 @EXP 01a5 LnXP1 02c2 _NF__56"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 8B DA 8B F8 33 C0 89 45 F6 89 45 FA 66 89 45 FE 85 FF 7F 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 20 89 45 C4 8B 45 24 89 45 C8 66 8B 45 28 66 89 45 CC 84 DB 75 22 8B 45 14 89 45 EC 8B 45 18 89 45 F0 66 8B 45 1C 66 89 45 F4 DB 6D 08 DB 6D 20 DE C1 DB 7D E2 9B EB 20 DB 6D 14 DB 6D 20 DE C1 DB 7D EC 9B 8B 45 08 89 45 E2 8B 45 0C 89 45 E6 66 8B 45 10 66 89 45 EA 8B 45 EC 89 45 CE 8B 45 F0 89 45 D2 66 8B 45 F4 66 89 45 D6 8B 45 E2 89 45 BA 8B 45 E6 89 45 BE 66 8B 45 EA 66 89 45 C2 33 DB DB 6D CE DB 6D 20 DE C9 D8 1D ?? ?? ?? ?? DF E0 9E 76 3E B3 01 8B 45 CE 89 45 B0 8B 45 D2 89 45 B4 66 8B 45 D6 66 89 45 B8 8B 45 BA 89 45 CE 8B 45 BE 89 45 D2 66 8B 45 C2 66 89 45 D6 8B 45 B0 89 45 BA 8B 45 B4 89 45 BE 66 8B 45 B8 66 89 45 C2 DB 6D CE D8 1D ?? ?? ?? ?? DF E0 9E 76 1B DB 6D CE D9 E0 DB 7D CE 9B DB 6D C4 D9 E0 DB 7D C4 9B DB 6D BA D9 E0 DB 7D BA 9B DB 6D CE D8 1D ?? ?? ?? ?? DF E0 9E 74 0E DB 6D BA D8 1D ?? ?? ?? ?? DF E0 9E 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 B0 89 45 B4 66 89 45 B8 BE 0F 00 00 00 89 7D 8C DB 45 8C DB 6D B0 DE C9 E8 ?? ?? ?? ?? DB 7D 9C 9B DB 6D 9C D8 05 ?? ?? ?? ?? DB 6D 9C DE D9 DF E0 9E 75 3C DB 6D C4 D9 E0 DB 6D CE DE F9 DB 7D F6 9B 84 DB 0F 84 63 01 00 00 66 8B 45 FE 50 FF 75 FA FF 75 F6 E8 ?? ?? ?? ?? D9 E0 E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D F6 9B E9 3D 01 00 00 DB 6D B0 E8 ?? ?? ?? ?? DB 7D A6 9B DB 6D A6 D8 25 ?? ?? ?? ?? DB 7D 92 9B DB 6D 92 D8 1D ?? ?? ?? ?? DF E0 9E 75 24 89 7D 8C DB 45 8C DB 7D EC 9B DB 6D EC D8 25 ?? ?? ?? ?? DB 6D EC DE C9 D8 0D ?? ?? ?? ?? DB 7D E2 9B EB 4A 8B C7 48 89 45 8C DB 45 8C DB 6D B0 DE C9 E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 6D A6 DE C9 DB 6D 92 DE F9 DB 7D EC 9B 89 7D 8C DB 45 8C DB 6D 9C DE C9 DB 6D A6 DE E9 DB 6D EC DB 6D A6 DE C9 DE E9 DB 6D 92 DE F9 DB 7D E2 9B DB 6D C4 DB 6D EC DE C9 DB 6D BA DB 6D 9C DE C9 DE C1 DB 7D D8 9B DB 6D CE D9 E0 DB 6D D8 DE F1 D9 ED D9 C9 D9 F1 DB 6D C4 DB 6D E2 DE C9 89 7D 8C DB 45 8C DB 6D BA DE C9 DB 6D 9C DE C9 DE C1 DB 6D D8 DE F9 DE F9 DB 7D E2 9B DB 6D B0 DB 6D E2 DE E9 DB 7D B0 9B 66 8B 45 EA 50 FF 75 E6 FF 75 E2 66 8B 45 B8 50 FF 75 B4 FF 75 B0 E8 ?? ?? ?? ?? 84 C0 74 21 84 DB 75 09 DB 6D B0 D9 E0 DB 7D B0 9B DB 6D B0 E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D F6 9B EB 11 4E 0F 85 6A FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D F6 5F 5E 5B 8B E5 5D C2 24 00 FF FF FF FF 0C 00 00 00 49 6E 74 65 72 65 73 74 52 61 74 65 00 00 00 00 00 00 00 00 00 00 80 3F 00 00 00 3F }
	condition:
		$1
}

rule function_9430_0 {
	meta:
		name = "NumberOfPeriods"
		size = 308
		refs = "000e NumberOfPeriods 001d _NF__3F 00c4 LnXP1"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 8B D8 DB 6D 2C D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 FB 01 75 12 DB 6D 2C D8 05 ?? ?? ?? ?? DB 6D 20 DE C9 DB 7D 20 9B DB 6D 14 DB 6D 2C DE C9 DB 6D 20 DE C1 DB 7D EC 9B DB 6D EC D8 1D ?? ?? ?? ?? DF E0 9E 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D 2C D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 15 DB 6D 14 DB 6D 08 DE C1 D9 E0 DB 6D EC DE F9 DB 7D F6 9B EB 5D DB 6D 14 DB 6D 08 DE C1 D9 E0 DB 6D 2C DE C9 DB 6D EC DE F9 DB 7D E2 9B DB 6D E2 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 EA 50 FF 75 E6 FF 75 E2 E8 ?? ?? ?? ?? DB 7D D4 9B 66 8B 45 34 50 FF 75 30 FF 75 2C E8 ?? ?? ?? ?? DB 6D D4 DE F1 DB 7D F6 9B 8B 45 F6 89 45 F6 8B 45 FA 89 45 FA 66 8B 45 FE 66 89 45 FE DB 6D F6 5B 8B E5 5D C2 30 00 00 00 00 80 BF FF FF FF FF 0F 00 00 00 4E 75 6D 62 65 72 4F 66 50 65 72 69 6F 64 73 00 00 00 80 3F 00 00 00 00 82 A9 66 D6 52 40 DA FF F0 3F 00 00 }
	condition:
		$1
}

rule function_9431_0 {
	meta:
		name = "Payment"
		size = 192
		refs = "0011 Payment 0020 _NF__3F 0037 _NF__52"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B DA 8B F0 DB 6D 20 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 28 50 FF 75 24 FF 75 20 8D 4D E2 8B D3 8B C6 E8 ?? ?? ?? ?? DB 7D EC 9B DB 6D E2 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 73 27 DB 6D 14 D9 E0 DB 6D 20 DE C9 33 C0 8A C3 89 45 DC DB 45 DC DB 6D 20 DE C9 D8 05 ?? ?? ?? ?? DE F9 DB 7D F6 9B EB 18 DB 6D 14 D9 E0 DB 6D E2 DE C9 DB 6D 08 DE E9 DB 6D EC DE F9 DB 7D F6 9B DB 6D F6 5E 5B 8B E5 5D C2 24 00 00 00 00 00 00 80 BF FF FF FF FF 07 00 00 00 50 61 79 6D 65 6E 74 00 00 00 00 04 BF C9 1B 8E 34 40 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_9432_0 {
	meta:
		name = "PeriodPayment"
		size = 140
		refs = "0014 PeriodPayment 002c _NF__3F 005c _NF__E8"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D9 8B F2 8B F8 DB 6D 20 D8 1D ?? ?? ?? ?? DF E0 9E 76 09 83 FF 01 7C 04 3B F7 7D 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 28 50 FF 75 24 FF 75 20 66 8B 45 1C 50 FF 75 18 FF 75 14 66 8B 45 10 50 FF 75 0C FF 75 08 8D 45 EC 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 5F 5E 5B 8B E5 5D C2 24 00 00 00 80 BF FF FF FF FF 0D 00 00 00 50 65 72 69 6F 64 50 61 79 6D 65 6E 74 00 00 00 }
	condition:
		$1
}

rule function_9433_0 {
	meta:
		name = "PresentValue"
		size = 188
		refs = "0011 PresentValue 0020 _NF__3F 0037 _NF__52"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B DA 8B F0 DB 6D 20 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 28 50 FF 75 24 FF 75 20 8D 4D E2 8B D3 8B C6 E8 ?? ?? ?? ?? DB 7D EC 9B DB 6D E2 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 73 21 DB 6D 14 DB 6D 20 DE F9 33 C0 8A C3 89 45 DC DB 45 DC DE C9 DB 6D 14 DE C9 D9 E0 DB 7D F6 9B EB 18 DB 6D 14 D9 E0 DB 6D EC DE C9 DB 6D 08 DE E9 DB 6D E2 DE F9 DB 7D F6 9B DB 6D F6 5E 5B 8B E5 5D C2 24 00 00 00 00 80 BF FF FF FF FF 0C 00 00 00 50 72 65 73 65 6E 74 56 61 6C 75 65 00 00 00 00 00 00 00 04 BF C9 1B 8E 34 40 00 00 }
	condition:
		$1
}

rule function_9438_0 {
	meta:
		name = "ShortCut"
		size = 56
	strings:
		$1 = { 55 8B EC 51 88 55 FD 66 89 45 FE 33 C0 80 7D FF 00 75 22 66 8B 45 FE F6 45 FD 01 74 04 66 05 00 20 F6 45 FD 04 74 04 66 05 00 40 F6 45 FD 02 74 04 66 05 00 80 59 5D C3 }
	condition:
		$1
}

rule function_9439_0 {
	meta:
		name = "ShortCutToKey"
		size = 56
		refs = "0010 ShortCutToKey"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 66 25 FF 1F 66 89 02 A0 ?? ?? ?? ?? 88 06 F6 C7 20 74 03 80 0E 01 F6 C7 40 74 03 80 0E 04 0F B7 C3 F6 C4 80 74 03 80 0E 02 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_9440_0 {
	meta:
		name = "_NF__118"
		size = 102
		refs = "0013 @LStrClr 0020 MapVirtualKey 0039 GetKeyNameText 005d @LStrFromArray"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 8B DA 66 89 45 FE 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C0 8A 45 FE 50 E8 ?? ?? ?? ?? C1 E0 10 85 C0 74 36 68 00 01 00 00 8D 95 FE FE FF FF 52 50 E8 ?? ?? ?? ?? 80 BD FF FE FF FF 00 75 1B 80 BD FE FE FF FF 00 74 12 8B C3 8D 95 FE FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9441_0 {
	meta:
		name = "ShortCutToText"
		size = 520
		refs = "0015 ShortCutToText 00a5 _NV__117 00aa @LStrLAsg 011a @LStrFromChar 0153 IntToStr 0163 @LStrCat3 0171 _NF__118 017e @LStrClr 0191 @LStrCat 01e7 @LStrArrayClr 01ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 66 89 45 FE 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 5D FE 33 C0 8A C3 83 F8 2D 7D 27 83 C0 F8 83 E8 02 72 68 83 E8 03 74 7B 83 E8 0E 0F 84 85 00 00 00 83 C0 FB 83 E8 09 0F 82 8C 00 00 00 E9 17 01 00 00 83 F8 41 7D 1B 83 C0 D3 83 E8 02 0F 82 91 00 00 00 48 83 E8 0A 0F 82 9F 00 00 00 E9 F7 00 00 00 83 C0 BF 83 E8 1A 0F 82 A2 00 00 00 83 C0 FB 83 E8 0A 0F 82 AA 00 00 00 83 C0 FA 83 E8 18 0F 82 B2 00 00 00 E9 CE 00 00 00 8D 45 F8 33 D2 8A D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C2 00 00 00 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF 00 00 00 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9C 00 00 00 8D 45 F8 80 C3 04 33 D2 8A D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 81 00 00 00 8D 45 F8 80 C3 0D 33 D2 8A D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 69 8D 45 F8 33 D2 8A D3 83 EA 30 83 C2 30 E8 ?? ?? ?? ?? EB 55 8D 45 F8 33 D2 8A D3 83 EA 41 83 C2 41 E8 ?? ?? ?? ?? EB 41 8D 45 F8 33 D2 8A D3 83 EA 60 83 C2 30 E8 ?? ?? ?? ?? EB 2D 33 C0 8A C3 83 E8 6F 8D 55 F4 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8D 55 F8 66 8B 45 FE E8 ?? ?? ?? ?? 83 7D F8 00 74 4F 8B C6 E8 ?? ?? ?? ?? F6 45 FF 20 74 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 40 74 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 FE F6 C4 80 74 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 46 00 00 00 }
	condition:
		$1
}

rule function_9442_0 {
	meta:
		name = "_NF__11B"
		size = 92
		refs = "000c @LStrLen 0028 @LStrToPChar 0037 AnsiStrLIComp 0052 @LStrDelete"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 DB 8B 06 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3B D0 7C 39 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 85 C0 75 17 B3 01 8B C7 E8 ?? ?? ?? ?? 8B C8 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9443_0 {
	meta:
		name = "TextToShortCut"
		size = 248
		refs = "0015 @LStrAddRef 001d TextToShortCut 0030 _NV__117 0035 _NF__11B 009e ShortCutToText 00a9 AnsiCompareText 00d6 @LStrArrayClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 33 F6 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 66 81 CE 00 20 EB E7 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 66 81 CE 00 40 EB CF 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 66 81 CE 00 40 EB B6 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 66 81 CE 00 80 EB 9D 83 7D FC 00 74 2C 66 BB 08 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 07 8B FE 66 0B FB EB 08 43 66 81 FB 56 02 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 59 59 5D C3 00 FF FF FF FF 01 00 00 00 5E 00 00 00 }
	condition:
		$1
}

rule function_9444_0 {
	meta:
		name = "_NF__11F"
		size = 32
		refs = "0002 _NV__11E 0007 TBits.OpenBit 0018 TBits.SetBit"
	strings:
		$1 = { 53 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B7 D3 B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_9445_0 {
	meta:
		name = "_NF__120"
		size = 96
		refs = "001e TMenuItem.GetItem 004f TMenuItem.GetCount"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 8B F2 8B D8 85 F6 74 44 C6 45 F7 00 EB 2D 8B 13 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8A 40 31 8B 55 08 3A 42 FF 77 24 8B 45 FC 8B 55 08 FF 32 FF 55 F8 83 C4 04 88 45 F7 FF 03 80 7D F7 00 75 0B 8B C6 E8 ?? ?? ?? ?? 3B 03 7F C2 8A 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9446_0 {
	meta:
		name = "_NF__121"
		size = 261
		refs = "0026 TMenuItem.GetCount 0058 TMenuItem.GetItem 008a _NF__120"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F4 8B FA 89 45 F8 33 C0 89 45 F0 33 C0 89 45 EC 33 DB 33 F6 85 FF 74 09 8B C7 E8 ?? ?? ?? ?? 8B D8 83 7D F4 00 74 0A 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 C6 45 EA 00 E9 A1 00 00 00 C6 45 FF FF C6 45 EB FF 3B 5D F0 7E 10 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8A 40 31 88 45 FF 3B 75 EC 7E 11 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8A 40 31 88 45 EB 8A 45 FF 3A 45 EB 77 14 55 8D 45 F0 8B 4D F8 8B D7 E8 ?? ?? ?? ?? 59 88 45 EA EB 1E 8A 45 EB 88 45 FF 55 8D 45 EC 8B 4D F8 8B 55 F4 E8 ?? ?? ?? ?? 59 88 45 EA EB 03 FF 45 F0 3B 5D F0 7E 17 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8A 40 31 3A 45 FF 76 E6 EB 03 FF 45 EC 3B 75 EC 7E 13 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8A 40 31 3A 45 FF 76 E5 80 7D EA 00 75 12 3B 5D F0 0F 8F 50 FF FF FF 3B 75 EC 0F 8F 47 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9447_0 {
	meta:
		name = "TMenuItem.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TComponent.Create 0024 _NF__11F"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 30 01 C6 46 2D 01 E8 ?? ?? ?? ?? 66 89 46 34 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9448_0 {
	meta:
		name = "TMenuItem.Destroy"
		size = 143
		refs = "0010 TMenuItem.Remove 0024 _NF__139 002d DestroyMenu 0034 _NF__12A 003f TMenuItem.GetItem 0044 TObject.Free 004b TMenuItem.GetCount 006a _NV__11E 006f TBits.SetBit 007b TComponent.Destroy 0086 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 48 85 C0 74 0C 8B D6 E8 ?? ?? ?? ?? 33 C0 89 46 48 83 7E 28 00 74 29 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 28 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 0E 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 7F E7 8B 46 40 E8 ?? ?? ?? ?? 66 8B 46 34 66 85 C0 74 0F 0F B7 D0 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9449_0 {
	meta:
		name = "_NF__129"
		size = 59
		refs = "0010 TMenuItem.GetCount 0028 TList.Get 002d _NF__129"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 33 C0 89 47 28 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1B 43 33 F6 8B 45 08 50 8B D6 8B 47 40 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 E8 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9450_0 {
	meta:
		name = "_NF__12A"
		size = 12
		refs = "0005 _NF__129"
	strings:
		$1 = { 55 8B EC 55 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_9451_0 {
	meta:
		name = "_NF__135"
		size = 556
		refs = "0019 _NF__135 0034 @LStrLAsg 003b TMenuItem.GetCount 0046 TMenuItem.GetHandle 0068 _DV_TMainMenu 006d @IsClass 0085 ShortCutToText 0095 @LStrCatN 009a GetVersion 00c3 @LStrCmp 00d0 _NV__134 00dc _NV__133 00e8 _NV__12F 00f9 _NV__130 0105 _NV__132 0111 _NV__131 0132 @LStrToPChar 0158 InsertMenuItem 0177 _NV__12E 0183 _NV__12D 018f _NV__12B 019b _NV__12C 01cb InsertMenu 01f9 @LStrClr 0207 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 30 00 0F 84 BB 01 00 00 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0C 8B C3 E8 ?? ?? ?? ?? 89 45 E4 EB 4A 66 83 7B 44 00 74 43 8B 73 48 85 F6 74 18 83 7E 48 00 75 12 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 24 FF 75 FC 68 ?? ?? ?? ?? 8D 55 CC 66 8B 43 44 E8 ?? ?? ?? ?? FF 75 CC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 25 FF 00 66 83 F8 04 0F 82 B5 00 00 00 C7 45 D0 2C 00 00 00 C7 45 D4 3F 00 00 00 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 33 D2 8A 53 2F 8B 14 95 ?? ?? ?? ?? 33 C9 8A 4B 32 0B 14 8D ?? ?? ?? ?? 0B C2 89 45 D8 33 C0 8A 43 2C 8B 04 85 ?? ?? ?? ?? 33 D2 8A 53 2D 0B 04 95 ?? ?? ?? ?? 33 D2 8A 53 2E 0B 04 95 ?? ?? ?? ?? 89 45 DC 0F B7 43 34 89 45 E0 33 C0 89 45 E4 33 C0 89 45 E8 33 C0 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0A 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8D 45 D0 50 6A FF 6A FF 57 E8 ?? ?? ?? ?? E9 87 00 00 00 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 83 E0 7F 8B 34 85 ?? ?? ?? ?? 33 C0 8A 43 32 8B 04 85 ?? ?? ?? ?? 33 D2 8A 53 2C 0B 04 95 ?? ?? ?? ?? 33 D2 8A 53 2D 0B 04 95 ?? ?? ?? ?? 0B F0 81 CE 00 04 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 1F 8B 43 24 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 83 CE 10 56 6A FF 57 E8 ?? ?? ?? ?? EB 17 8B 45 FC E8 ?? ?? ?? ?? 50 0F B7 43 34 50 56 6A FF 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 09 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_9452_0 {
	meta:
		name = "_NF__136"
		size = 21
		refs = "000d _NF__135"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 8B 52 28 E8 ?? ?? ?? ?? 33 C0 5D C3 }
	condition:
		$1
}

rule function_9453_0 {
	meta:
		name = "_NF__137"
		size = 29
		refs = "000e _NF__136 0016 _NF__121"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 50 4C B8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_9454_0 {
	meta:
		name = "_NF__138"
		size = 86
		refs = "000f _NF__138 001f TReader.ReadString 0027 TextToShortCut 0030 TMenuItem.SetShortCut 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9455_0 {
	meta:
		name = "_NF__139"
		size = 36
		refs = "001e _NF__13A"
	strings:
		$1 = { 53 8B 48 4C 3B D1 74 1A 85 C9 74 05 33 DB 89 59 50 8B CA 89 48 4C 85 C9 74 03 89 41 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9456_0 {
	meta:
		name = "_NF__13A"
		size = 72
		refs = "000b _NF__13A 001b TMenuItem.GetHandle 0021 RemoveMenu 002e GetMenuItemCount 0039 _NF__137"
	strings:
		$1 = { 53 8B D8 8B 43 50 85 C0 74 1B E8 ?? ?? ?? ?? 5B C3 68 00 04 00 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 7F DB 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 28 5B C3 }
	condition:
		$1
}

rule function_9457_0 {
	meta:
		name = "_NF__13B"
		size = 170
		refs = "001a _NF__13B 0027 TMenuItem.GetCount 003f TMenuItem.GetItem 004f SGroupIndexTooLow 0054 LoadResString 005c _NF__10D 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 88 4D FB 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 54 46 33 DB 3B 5D FC 7D 28 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 40 31 3A 45 FB 76 37 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 20 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 40 31 3A 45 FB 73 0F 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 55 FB 88 50 31 43 4E 75 AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9459_0 {
	meta:
		name = "TMenuItem.GetHandle"
		size = 148
		refs = "000c TMenuItem.GetHandle 0021 _DV_TPopupMenu 0026 @IsClass 002f CreatePopupMenu 0039 CreateMenu 004a SOutOfResources 004f LoadResString 0059 _DV_EMenuError 005e Exception.Create 0063 @RaiseExcept 006a _NF__137 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 28 00 75 52 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A E8 ?? ?? ?? ?? 89 43 28 EB 08 E8 ?? ?? ?? ?? 89 43 28 83 7B 28 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 5B 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_9460_0 {
	meta:
		name = "TMenuItem.DefineProperties"
		size = 68
		refs = "000b TComponent.DefineProperties 0011 _NF__138 0017 _NF__13C 001e TMenuItem.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 00 FF FF FF FF 0C 00 00 00 53 68 6F 72 74 43 75 74 54 65 78 74 00 00 00 00 }
	condition:
		$1
}

rule function_9462_0 {
	meta:
		name = "TMenuItem.SetBreak"
		size = 16
	strings:
		$1 = { 3A 50 32 74 0A 88 50 32 B2 01 8B 08 FF 51 28 C3 }
	condition:
		$1
}

rule function_9463_0 {
	meta:
		name = "TMenuItem.SetCaption"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 24 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 24 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_9464_0 {
	meta:
		name = "_NF__14A"
		size = 72
		refs = "000f TMenuItem.GetCount 0023 TMenuItem.GetItem 003c TMenuItem.SetChecked"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 48 85 F6 74 38 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 2C 40 89 C6 33 FF 8B D7 8B 43 48 E8 ?? ?? ?? ?? 3B D8 74 15 80 78 2F 00 74 0F 8A 50 31 3A 53 31 75 07 33 D2 E8 ?? ?? ?? ?? 47 4E 75 D9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9465_0 {
	meta:
		name = "TMenuItem.SetChecked"
		size = 76
		refs = "001d _NV__12B 002d TMenuItem.GetHandle 0033 CheckMenuItem 0044 _NF__14A"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 2C 74 3C 88 5E 2C 8B 7E 48 85 FF 74 21 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 83 C8 00 50 0F B7 46 34 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 0D 80 7E 2F 00 74 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9466_0 {
	meta:
		name = "TMenuItem.SetEnabled"
		size = 113
		refs = "0010 Win32Platform 001c TMenuItem.GetCount 004a _NV__12C 005a TMenuItem.GetHandle 0060 EnableMenuItem"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 2D 74 61 88 5E 2D A1 ?? ?? ?? ?? 83 38 02 75 0B 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 7E 48 85 FF 74 11 83 7F 50 00 74 0B B2 01 8B C6 8B 08 FF 51 28 EB 31 8B 7E 48 85 FF 74 21 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 83 C8 00 50 0F B7 46 34 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9467_0 {
	meta:
		name = "TMenuItem.SetGroupIndex"
		size = 65
		refs = "0018 TMenuItem.IndexOf 0023 _NF__13B 0039 _NF__14A"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 31 74 31 8B 7E 48 85 FF 74 14 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 88 5E 31 80 7E 2C 00 74 0D 80 7E 2F 00 74 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9468_0 {
	meta:
		name = "TMenuItem.GetCount"
		size = 14
	strings:
		$1 = { 8B 50 40 85 D2 75 03 33 C0 C3 8B 42 08 C3 }
	condition:
		$1
}

rule function_9469_0 {
	meta:
		name = "TMenuItem.GetItem"
		size = 30
		refs = "000d _NF__10E 0017 TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 40 00 75 05 E8 ?? ?? ?? ?? 8B D6 8B 43 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9470_0 {
	meta:
		name = "TMenuItem.SetShortCut"
		size = 12
	strings:
		$1 = { 66 89 50 44 B2 01 8B 08 FF 51 28 C3 }
	condition:
		$1
}

rule function_9471_0 {
	meta:
		name = "TMenuItem.SetVisible"
		size = 11
	strings:
		$1 = { 88 50 30 B2 01 8B 08 FF 51 28 C3 }
	condition:
		$1
}

rule function_9472_0 {
	meta:
		name = "TMenuItem.GetMenuIndex"
		size = 24
		refs = "000f TMenuItem.IndexOf"
	strings:
		$1 = { 83 CA FF 8B 48 48 85 C9 74 0B 8B D0 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_9473_0 {
	meta:
		name = "TMenuItem.SetMenuIndex"
		size = 70
		refs = "000f TMenuItem.GetCount 0023 TMenuItem.GetMenuIndex 0033 TMenuItem.Remove 003e TMenuItem.Insert"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 48 85 C0 74 34 E8 ?? ?? ?? ?? 85 F6 7D 02 33 F6 3B C6 7F 03 8B F0 4E 8B C3 E8 ?? ?? ?? ?? 3B F0 74 17 8B 7B 48 8B D3 8B C7 E8 ?? ?? ?? ?? 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9474_0 {
	meta:
		name = "TMenuItem.GetChildren"
		size = 56
		refs = "000d TMenuItem.GetCount 0021 TMenuItem.GetItem"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 19 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 EA 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9475_0 {
	meta:
		name = "TMenuItem.SetChildOrder"
		size = 29
		refs = "000a _DV_TMenuItem 000f @AsClass 0016 TMenuItem.SetMenuIndex"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9476_0 {
	meta:
		name = "TMenuItem.SetDefault"
		size = 92
		refs = "001b TMenuItem.GetCount 002f TMenuItem.GetItem"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 3A 5D 2E 74 4A 84 DB 74 3A 83 7D 48 00 74 34 8B 45 48 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 25 47 33 F6 8B D6 8B 45 48 E8 ?? ?? ?? ?? 80 78 2E 00 74 0E 8B D6 8B 45 48 E8 ?? ?? ?? ?? C6 40 2E 00 46 4F 75 DE 88 5D 2E B2 01 8B C5 8B 08 FF 51 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9477_0 {
	meta:
		name = "TMenuItem.Insert"
		size = 249
		refs = "0012 TMenuItem.Insert 0026 SMenuReinserted 002b LoadResString 0035 _DV_EMenuError 003a Exception.Create 003f @RaiseExcept 004c _Dn_TList 0051 TObject.Create 0071 TList.Get 008e TMenuItem.SetGroupIndex 009a _NF__13B 00a6 TList.Insert 00b3 _NF__184 00c0 _NF__13A 00c7 TMenuItem.GetCount 00e7 @LStrClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 48 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 40 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 8B C7 48 85 C0 7C 33 8B C7 48 8B 53 40 3B 42 08 7D 28 8B D7 4A 8B 43 40 E8 ?? ?? ?? ?? 8A 40 31 3A 46 31 76 15 8B D7 4A 8B 43 40 E8 ?? ?? ?? ?? 8A 50 31 8B C6 E8 ?? ?? ?? ?? 8A 4E 31 8B D7 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D7 8B 43 40 E8 ?? ?? ?? ?? 89 5E 48 89 5E 5C C7 46 58 ?? ?? ?? ?? 83 7B 28 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 0F 94 C2 8B C3 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9478_0 {
	meta:
		name = "TMenuItem.Delete"
		size = 104
		refs = "0014 TMenuItem.GetCount 001d _NF__10E 0027 TList.Get 0033 TList.Delete 004d _NF__13A"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 7C 11 83 7B 40 00 74 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 7C 05 E8 ?? ?? ?? ?? 8B D6 8B 43 40 E8 ?? ?? ?? ?? 8B F8 8B D6 8B 43 40 E8 ?? ?? ?? ?? 33 C0 89 47 48 33 C0 89 47 58 89 47 5C 83 7B 28 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C2 8B C3 8B 08 FF 51 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9479_0 {
	meta:
		name = "TMenuItem.Click"
		size = 26
	strings:
		$1 = { 53 80 78 2D 00 74 11 66 83 78 62 00 74 0A 8B D8 8B D0 8B 43 64 FF 53 60 5B C3 }
	condition:
		$1
}

rule function_9480_0 {
	meta:
		name = "TMenuItem.IndexOf"
		size = 24
		refs = "000e TList.IndexOf"
	strings:
		$1 = { 56 83 C9 FF 8B 70 40 85 F6 74 09 8B C6 E8 ?? ?? ?? ?? 8B C8 8B C1 5E C3 }
	condition:
		$1
}

rule function_9481_0 {
	meta:
		name = "TMenuItem.Add"
		size = 27
		refs = "0009 TMenuItem.GetCount 0014 TMenuItem.Insert"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9482_0 {
	meta:
		name = "TMenuItem.Remove"
		size = 109
		refs = "000c TMenuItem.Remove 0019 TMenuItem.IndexOf 0026 SMenuNotFound 002b LoadResString 0035 _DV_EMenuError 003a Exception.Create 003f @RaiseExcept 0048 TMenuItem.Delete 005d @LStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9483_0 {
	meta:
		name = "TMenuItem.MenuChanged"
		size = 22
	strings:
		$1 = { 53 66 83 78 5A 00 74 0C 8B D8 8B CA 8B D0 8B 43 5C FF 53 58 5B C3 }
	condition:
		$1
}

rule function_9484_0 {
	meta:
		name = "_NF__184"
		size = 76
		refs = "0017 _NF__13A 0027 _NF__184 0035 _DV_TMainMenu 003a @IsClass 0045 _NF__1C8"
	strings:
		$1 = { 53 56 8B D8 84 C9 74 13 83 7B 28 00 75 06 83 7B 50 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 48 85 C0 74 0C 33 C9 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9485_0 {
	meta:
		name = "TMenuItem.GetParentComponent"
		size = 20
	strings:
		$1 = { 8B 50 48 85 D2 74 0A 83 7A 54 00 74 04 8B 42 54 C3 8B C2 C3 }
	condition:
		$1
}

rule function_9486_0 {
	meta:
		name = "TMenuItem.SetParentComponent"
		size = 82
		refs = "0010 TMenuItem.Remove 001c _DV_TMenu 0021 @IsClass 002f TMenuItem.Add 0039 _DV_TMenuItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 48 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 37 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 46 24 8B D3 E8 ?? ?? ?? ?? EB 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9487_0 {
	meta:
		name = "TMenuItem.SetRadioItem"
		size = 41
		refs = "001a _NF__14A"
	strings:
		$1 = { 53 8B D8 3A 53 2F 74 1F 88 53 2F 80 7B 2C 00 74 0D 80 7B 2F 00 74 07 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 28 5B C3 }
	condition:
		$1
}

rule function_9488_0 {
	meta:
		name = "TMenu.Create"
		size = 94
		refs = "000f @ClassCreate 001f _DV_TMenuItem 0024 TMenuItem.Create 0042 TComponent.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 24 89 5E 5C 8B 03 8B 40 28 89 46 58 89 5E 54 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9490_0 {
	meta:
		name = "TMenu.GetChildren"
		size = 27
		refs = "0012 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 8B 40 24 66 BB FD FF E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9492_0 {
	meta:
		name = "TMenu.SetChildOrder"
		size = 25
		refs = "0011 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B 46 24 66 BB FA FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9493_0 {
	meta:
		name = "_NF__19E"
		size = 150
		refs = "005e TMenuItem.GetCount 0075 TMenuItem.GetItem 007a _NF__19E"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 C6 45 FF 00 8B 45 08 80 78 FF 00 75 0E 8B 45 08 8B 40 F8 0F B7 53 34 3B C2 74 2B 8B 45 08 80 78 FF 01 75 0B 8B 45 08 8B 40 F8 3B 43 28 74 17 8B 45 08 80 78 FF 02 75 1A 8B 45 08 8B 40 F8 0F B7 53 44 3B C2 75 0C 8B 45 08 89 58 F4 C6 45 FF 01 EB 32 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 24 46 33 FF 8B 45 08 50 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 06 C6 45 FF 01 EB 04 47 4E 75 DF 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9494_0 {
	meta:
		name = "TMenu.FindItem"
		size = 47
		refs = "0013 _NF__19E 0023 _NF__121"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D FF 89 55 F8 33 D2 89 55 F4 B9 ?? ?? ?? ?? 8B 50 24 8B 5A 4C 8B C2 91 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9495_0 {
	meta:
		name = "TMenu.GetHelpContext"
		size = 109
		refs = "0021 _DV_TPopupMenu 0026 @IsClass 003c TPopupMenu.GetHelpContext 004b TMenu.FindItem"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B EA 8B F0 33 FF B3 01 80 3C 24 00 74 02 33 DB 80 FB 01 75 27 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B C6 8B 10 FF 52 2C 3B E8 75 0B 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 21 8B CB 8B D5 8B C6 E8 ?? ?? ?? ?? EB 03 8B 40 48 85 C0 74 06 83 78 38 00 74 F3 85 C0 74 03 8B 78 38 8B C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9496_0 {
	meta:
		name = "TMenu.DispatchCommand"
		size = 34
		refs = "000a TMenu.FindItem"
	strings:
		$1 = { 53 56 33 DB 0F B7 D2 33 C9 E8 ?? ?? ?? ?? 8B F0 85 F6 74 09 8B C6 8B 10 FF 52 2C B3 01 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_9497_0 {
	meta:
		name = "TMenu.DispatchPopup"
		size = 31
		refs = "0007 TMenu.FindItem"
	strings:
		$1 = { 53 56 33 DB B1 01 E8 ?? ?? ?? ?? 8B F0 85 F6 74 09 8B C6 8B 10 FF 52 2C B3 01 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_9498_0 {
	meta:
		name = "_NF__1AD"
		size = 142
		refs = "0019 _NF__1AD 0064 @HandleAnyException 006f Application 0076 TApplication.HandleException 007b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F0 C6 45 FF 01 8B 46 48 85 C0 74 0D 8B 55 08 52 E8 ?? ?? ?? ?? 59 88 45 FF 80 7D FF 01 75 5E 80 7E 2D 00 74 54 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 2C 8B 45 08 8B 40 FC 66 8B 40 44 8B 55 08 66 3B 42 FA 74 04 C6 45 FF 02 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 08 8B 50 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 C6 45 FF 00 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9499_0 {
	meta:
		name = "TMenu.IsShortCut"
		size = 134
		refs = "0023 GetKeyState 005c TMenu.FindItem 006e _NF__1AD"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 F4 33 C0 8B 55 F4 83 7A 28 00 74 6A 33 C0 8A 43 04 66 89 45 FA 6A 10 E8 ?? ?? ?? ?? 66 85 C0 7D 06 66 81 45 FA 00 20 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 06 66 81 45 FA 00 40 F6 43 0B 20 74 06 66 81 45 FA 00 80 33 DB 0F B7 55 FA B1 02 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 0C 55 8B 45 FC E8 ?? ?? ?? ?? 59 8B D8 80 FB 02 74 D6 83 7D FC 00 0F 95 C0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9500_0 {
	meta:
		name = "_NF__1B2"
		size = 212
		refs = "0011 GetMenuItemCount 0040 GetMenuString 0047 StrEnd 0058 GetMenuState 0066 _NF__1B2 006d StrECopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F4 8B 45 08 8D 98 00 FE FF FF 8B 45 08 83 C0 FB 89 45 F8 33 F6 EB 7E 68 00 04 00 00 8B 45 F8 2B C3 50 53 56 8B 45 FC 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 68 00 04 00 00 56 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F8 66 F7 C7 02 00 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 66 F7 C7 40 00 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 66 F7 C7 01 00 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 46 3B 75 F4 7D 09 3B 5D F8 0F 82 74 FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 00 24 00 00 00 40 00 00 00 23 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_9501_0 {
	meta:
		name = "_NF__1B3"
		size = 100
		refs = "0025 _NF__1B2 0034 @LStrToPChar 003f StrComp 0058 @LStrFromArray"
	strings:
		$1 = { 55 8B EC 81 C4 00 FE FF FF 53 56 8B F0 33 DB C6 85 00 FE FF FF 00 83 7E 28 00 74 0E 55 8B C6 8B 10 FF 52 2C E8 ?? ?? ?? ?? 59 83 7E 2C 00 74 17 8B 46 2C E8 ?? ?? ?? ?? 8D 95 00 FE FF FF E8 ?? ?? ?? ?? 85 C0 74 15 B3 01 8D 46 2C 8D 95 00 FE FF FF B9 00 02 00 00 E8 ?? ?? ?? ?? 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9502_0 {
	meta:
		name = "TMenu.SetWindowHandle"
		size = 9
		refs = "0004 _NF__1B3"
	strings:
		$1 = { 89 50 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9504_0 {
	meta:
		name = "TMainMenu.SetAutoMerge"
		size = 31
		refs = "001a SendMessage"
	strings:
		$1 = { 3A 50 34 74 19 88 50 34 8B 50 28 85 D2 74 0F 6A 00 6A 00 68 15 B0 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9505_0 {
	meta:
		name = "TMainMenu.MenuChanged"
		size = 31
		refs = "000c _NF__1B3 0019 DrawMenuBar"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 74 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B 43 28 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9506_0 {
	meta:
		name = "TMainMenu.Merge"
		size = 27
		refs = "000b _NF__139"
	strings:
		$1 = { 85 D2 74 0C 8B 40 24 8B 52 24 E8 ?? ?? ?? ?? C3 33 D2 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9507_0 {
	meta:
		name = "TMainMenu.Unmerge"
		size = 26
		refs = "0015 _NF__139"
	strings:
		$1 = { 85 D2 74 15 8B 48 24 8B 49 4C 3B 4A 24 75 0A 33 D2 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9508_0 {
	meta:
		name = "_NF__1C8"
		size = 40
		refs = "0021 SendMessage"
	strings:
		$1 = { 53 56 8B D8 33 C9 33 D2 8B C3 8B 30 FF 56 28 8B 43 28 85 C0 74 0F 6A 00 6A 00 68 15 B0 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9509_0 {
	meta:
		name = "TMainMenu.GetHandle"
		size = 16
		refs = "000b TMenu.GetHandle"
	strings:
		$1 = { 8B 50 30 85 D2 74 03 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9510_0 {
	meta:
		name = "_NF__1CB"
		size = 160
		refs = "0076 TMenuItem.GetCount 008d TMenuItem.GetItem 0092 _NF__1CB"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 66 8B 56 44 66 85 D2 74 62 8B 45 08 83 78 FC 00 74 51 B0 03 F6 C6 40 74 02 0C 08 0F B7 CA F6 C5 80 74 02 0C 10 F6 C6 20 74 02 0C 04 25 FF 00 00 00 8B 55 08 8B 52 FC 66 89 02 66 8B 46 44 66 25 FF 00 8B 55 08 8B 52 FC 66 89 42 02 8B 45 08 8B 40 FC 66 8B 56 34 66 89 50 04 8B 45 08 83 40 FC 06 EB 30 8B 45 08 FF 40 F8 EB 28 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 FF 8B 45 08 50 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 47 4B 75 E9 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9511_0 {
	meta:
		name = "_NF__1CC"
		size = 53
		refs = "0023 _NF__1CB"
	strings:
		$1 = { 55 8B EC 53 8B 55 08 8B 4A 08 85 C9 7C 22 41 8B 55 08 8B 52 0C 33 DB 8A 58 31 3B 1A 75 0C 8B 55 08 52 E8 ?? ?? ?? ?? 59 EB 06 83 C2 04 49 75 E5 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_9512_0 {
	meta:
		name = "TMainMenu.GetOle2AcceleratorTable"
		size = 153
		refs = "0032 _NF__1CC 0038 _NF__121 0052 @GetMem 0072 CreateAcceleratorTable 007e @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 5D 0C 8B 75 08 8B 3C B3 4E 57 79 F9 89 65 0C 89 4D F0 89 55 F4 8B D8 33 C0 89 45 F8 33 C0 89 45 FC 8B 43 24 8B 50 4C B9 ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 10 83 7D F8 00 74 39 8B 45 F8 03 C0 8D 04 40 E8 ?? ?? ?? ?? 8B F0 89 75 FC 8B 43 24 8B 50 4C B9 ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? 8B 45 F8 50 56 E8 ?? ?? ?? ?? 8B 55 F4 89 02 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 89 10 8B 7D E4 8B 75 E8 8B 5D EC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9513_0 {
	meta:
		name = "_NF__1D3"
		size = 69
		refs = "0034 _NF__135"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 8B 70 FC 85 F6 7C 2C 46 8B 45 08 8B 58 F8 33 C0 8A 47 31 3B 03 75 16 8B 55 08 8B 52 0C FF 04 82 8B 45 08 8B 50 F4 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 DB 33 C0 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9514_0 {
	meta:
		name = "TMainMenu.PopulateOle2Menu"
		size = 85
		refs = "003b _NF__1D3 0045 _NF__121"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B 5D 10 8B 34 99 4B 56 79 F9 8B CC 89 4D F8 89 55 F4 8B 55 10 89 55 FC 8B 4D 08 85 C9 7C 0E 41 8B 55 0C 33 DB 89 1A 83 C2 04 49 75 F6 8B 50 24 8B CA BB ?? ?? ?? ?? 8B 52 4C 8B C3 E8 ?? ?? ?? ?? 8B 75 EC 8B 5D F0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_9515_0 {
	meta:
		name = "TMainMenu.SetOle2MenuHandle"
		size = 9
		refs = "0004 _NF__1C8"
	strings:
		$1 = { 89 50 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9516_0 {
	meta:
		name = "_NF__1E1"
		size = 564
		refs = "0012 _NF__1E1 0059 TList.Get 0062 TMenu.DispatchCommand 00a0 TMenu.DispatchPopup 00ec TMenu.FindItem 00f8 Application 00ff TApplication.SetHint 016d TMenu.GetHelpContext 018e Screen 01ca TApplication.HelpCommand 01da TApplication.HelpContext 0203 DefWindowProc 0215 @HandleAnyException 0224 TApplication.HandleException 0229 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 06 83 E8 53 0F 84 00 01 00 00 2D BE 00 00 00 74 13 83 E8 06 74 4D 83 E8 08 0F 84 82 00 00 00 E9 AF 01 00 00 8B 45 FC 8B 58 08 4B 85 DB 0F 8C A0 01 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 66 8B 56 04 E8 ?? ?? ?? ?? 84 C0 74 0D 33 C0 5A 59 59 64 89 10 E9 B6 01 00 00 47 4B 75 D8 E9 70 01 00 00 8B 45 FC 8B 58 08 4B 85 DB 0F 8C 61 01 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 56 04 E8 ?? ?? ?? ?? 84 C0 74 0D 33 C0 5A 59 59 64 89 10 E9 78 01 00 00 47 4B 75 D9 E9 32 01 00 00 C6 45 FB 00 F6 46 06 10 74 04 C6 45 FB 01 8B 45 FC 8B 58 08 4B 85 DB 7C 3D 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 0F B7 56 04 8A 4D FB E8 ?? ?? ?? ?? 85 C0 74 1C 8B 50 3C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 1D 01 00 00 47 4B 75 C6 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? E9 C9 00 00 00 8B 46 08 89 45 F4 8B 45 FC 8B 58 08 4B 85 DB 0F 8C B4 00 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 2C 8B 55 F4 3B 42 0C 0F 85 8E 00 00 00 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 52 08 B1 01 E8 ?? ?? ?? ?? 85 C0 75 17 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 52 0C 33 C9 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 52 5C 85 D2 75 0F 64 8F 05 00 00 00 00 83 C4 08 E9 83 00 00 00 8B 0D ?? ?? ?? ?? F6 82 34 01 00 00 08 74 17 8B 15 ?? ?? ?? ?? 8B 12 8B C8 B8 08 00 00 00 92 E8 ?? ?? ?? ?? EB 0E 8B 15 ?? ?? ?? ?? 8B 12 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 45 47 4B 0F 85 4F FF FF FF 8B 46 08 50 8B 46 04 50 8B 06 50 8B 45 FC 8B 40 10 50 E8 ?? ?? ?? ?? 89 46 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9517_0 {
	meta:
		name = "_NF__1E2"
		size = 38
		refs = "000e _NF__1E1 0013 AllocateHWnd 001f TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 08 00 75 0E 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9518_0 {
	meta:
		name = "_NF__1E3"
		size = 26
		refs = "0006 TList.Remove 0014 DeallocateHWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 08 00 75 08 8B 43 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9519_0 {
	meta:
		name = "TPopupMenu.Create"
		size = 88
		refs = "000a @ClassCreate 0017 TMenu.Create 0024 _NF__1EB 0029 Application 003c _NV__1E0 0041 _NF__1E2"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 24 89 70 64 C7 40 60 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 46 28 C6 46 31 01 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9521_0 {
	meta:
		name = "_NF__1EB"
		size = 18
	strings:
		$1 = { 53 66 83 78 3A 00 74 08 8B D8 8B 43 3C FF 53 38 5B C3 }
	condition:
		$1
}

rule function_9522_0 {
	meta:
		name = "TPopupMenu.GetHelpContext"
		size = 7
	strings:
		$1 = { 8B 40 24 8B 40 38 C3 }
	condition:
		$1
}

rule function_9523_0 {
	meta:
		name = "TPopupMenu.SetHelpContext"
		size = 7
	strings:
		$1 = { 8B 40 24 89 50 38 C3 }
	condition:
		$1
}

rule function_9524_0 {
	meta:
		name = "TPopupMenu.Popup"
		size = 72
		refs = "000e _NF__1EB 0015 _NV__1E0 002a _NV__1F1 003a TMenuItem.GetHandle 0040 TrackPopupMenu"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 8B 40 10 50 6A 00 57 56 33 C0 8A 43 30 66 8B 04 45 ?? ?? ?? ?? 66 83 C8 02 0F B7 C0 50 8B 43 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9525_0 {
	meta:
		name = "_NF__1F6"
		size = 75
		refs = "001a TComponent.InsertComponent 0021 TMenuItem.GetCount 0038 TMenuItem.GetItem 003d _NF__1F6"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 83 7F 04 00 75 10 8B 45 08 8B 40 FC 8B 40 04 8B D7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 F6 8B 45 08 50 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 E9 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9526_0 {
	meta:
		name = "_NF__1F7"
		size = 67
		refs = "0021 _NF__1F6 002f TMenuItem.Add"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B 34 9A 4B 56 79 F9 8B D4 89 45 FC 8B F1 85 F6 7C 1F 46 8B DA 55 8B 03 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 24 8B 13 E8 ?? ?? ?? ?? 83 C3 04 4E 75 E4 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_9527_0 {
	meta:
		name = "NewMenu"
		size = 75
		refs = "001c _DV_TMainMenu 0021 TMenu.Create 0039 _NF__1F7"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 5D 08 8B 34 99 4B 56 79 F9 8B CC 89 4D FC 8B F2 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 18 8B 55 FC 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 75 F4 8B 5D F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9528_0 {
	meta:
		name = "NewPopupMenu"
		size = 90
		refs = "001f _DV_TPopupMenu 0024 TPopupMenu.Create 0045 _NF__1F7"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 0C 8B 75 08 8B 3C B3 4E 57 79 F9 89 65 0C 8B D9 8B F2 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 8B 08 FF 51 18 8A 45 10 88 47 31 88 5F 30 8B 55 0C 8B 4D 08 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 7D F4 8B 75 F8 8B 5D FC 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_9529_0 {
	meta:
		name = "NewSubMenu"
		size = 121
		refs = "0028 _DV_TMenuItem 002d TMenuItem.Create 0043 TMenuItem.Add 0053 TMenuItem.SetCaption"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 5D 0C 8B 75 08 8B 3C B3 4E 57 79 F9 89 65 0C 89 4D F4 66 89 55 FA 89 45 FC 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 75 08 85 F6 7C 13 46 8B 5D 0C 8B 13 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 0F B7 45 FA 89 47 38 8B 55 F4 8B C7 8B 08 FF 51 18 8B C7 8B 7D E8 8B 75 EC 8B 5D F0 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9530_0 {
	meta:
		name = "NewItem"
		size = 107
		refs = "0013 _DV_TMenuItem 0018 TMenuItem.Create 0023 TMenuItem.SetCaption 002c TMenuItem.SetShortCut 0049 TMenuItem.SetChecked 0053 TMenuItem.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B FA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 10 89 43 60 8B 45 14 89 43 64 0F B7 45 0C 89 43 38 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8A 55 18 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B C3 8B 08 FF 51 18 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_9531_0 {
	meta:
		name = "NewLine"
		size = 48
		refs = "0006 _DV_TMenuItem 000b TMenuItem.Create 0012 NewLine 0019 TMenuItem.SetCaption"
	strings:
		$1 = { 53 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 5B C3 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_9533_0 {
	meta:
		name = "Finalization"
		size = 89
		refs = "0007 Finalization 0013 _NV__10C 001a _NV__1E0 001f TObject.Free 0024 _NV__11E 002e _NV__117 0039 String 003e @FinalizeArray 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 29 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 12 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9534_0 {
	meta:
		name = "Menus"
		size = 78
		refs = "0006 _NV__10C 000e _NF__213 0013 @InitResStringImports 0018 _DV_TMenuItem 0025 RegisterClasses 002c _Dn_TBits 0031 TObject.Create 0036 _NV__11E 003d _NV__1DE 0047 _NV__1E0"
	strings:
		$1 = { 55 8B EC 51 83 2D ?? ?? ?? ?? 01 73 3E B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 FC 8D 45 FC 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_9729_0 {
	meta:
		name = "RGB"
		size = 26
		altNames = "mci_Make_HMS mci_Make_MSF"
	strings:
		$1 = { 25 FF 00 00 00 81 E2 FF 00 00 00 C1 E2 08 0B C2 33 D2 8A D1 C1 E2 10 0B C2 C3 }
	condition:
		$1
}

rule function_9734_0 {
	meta:
		name = "mci_Make_TMSF"
		size = 42
	strings:
		$1 = { 55 8B EC 25 FF 00 00 00 81 E2 FF 00 00 00 C1 E2 08 0B C2 33 D2 8A D1 C1 E2 10 0B C2 33 D2 8A 55 08 C1 E2 18 0B C2 5D C2 04 00 }
	condition:
		$1
}

rule function_9739_0 {
	meta:
		name = "DIBIndex"
		size = 10
		refs = "0005 MakeLong"
	strings:
		$1 = { 66 BA FF 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9742_0 {
	meta:
		name = "_NF__145"
		size = 12
	strings:
		$1 = { 45 4E 00 00 44 49 00 00 43 4C 00 00 }
	condition:
		$1
}

rule function_9743_0 {
	meta:
		name = "_NF__147"
		size = 76
	strings:
		$1 = { 4D 50 50 4C 41 59 00 00 4D 50 50 41 55 53 45 00 4D 50 53 54 4F 50 00 00 4D 50 4E 45 58 54 00 00 4D 50 50 52 45 56 00 00 4D 50 53 54 45 50 00 00 4D 50 42 41 43 4B 00 00 4D 50 52 45 43 4F 52 44 00 00 00 00 4D 50 45 4A 45 43 54 00 }
	condition:
		$1
}

rule function_9744_0 {
	meta:
		name = "TMediaPlayer.Create"
		size = 236
		refs = "000d @ClassCreate 001b TCustomControl.Create 0021 TMediaPlayer.Create 0030 _NF__151 0090 TControl.SetWidth 009c TControl.SetHeight 00c8 TWinControl.SetTabStop"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 83 AC 01 00 00 66 A1 ?? ?? ?? ?? 66 89 83 AE 01 00 00 66 A1 ?? ?? ?? ?? 66 89 83 B0 01 00 00 33 C0 33 D2 8A D0 03 D2 C6 84 D3 1C 01 00 00 01 C6 84 D3 1D 01 00 00 01 C6 84 D3 1E 01 00 00 01 C6 84 D3 1F 01 00 00 00 40 3C 09 75 D5 BA F0 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 1E 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 EC 01 00 00 00 C6 83 28 02 00 00 01 C6 83 29 02 00 00 00 C6 83 2A 02 00 00 01 C6 83 00 02 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 00 40 00 00 00 FF 01 00 00 }
	condition:
		$1
}

rule function_9745_0 {
	meta:
		name = "TMediaPlayer.Destroy"
		size = 74
		refs = "0022 mciSendCommand 0029 _NF__152 0035 TCustomControl.Destroy 0040 @ClassDestroy"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 66 8B 86 FE 01 00 00 66 85 C0 74 13 8B D4 52 6A 02 68 04 08 00 00 0F B7 C0 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9746_0 {
	meta:
		name = "TMediaPlayer.Loaded"
		size = 34
		refs = "0006 TComponent.Loaded 001c TMediaPlayer.Open"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 75 10 80 BB 29 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9747_0 {
	meta:
		name = "_NF__151"
		size = 368
		refs = "0012 Point 002f _NV__146 0036 _NV__144 003d _Dn_TBitmap 0042 TBitmap.Create 0079 _NF__151 0082 StrFmt 0088 HInstance 0090 LoadBitmap 00ac TBitmap.SetHandle"
	strings:
		$1 = { 53 56 57 55 83 C4 BC 8B F0 8D 4C 24 2C 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 44 24 2C 89 86 CC 01 00 00 8B 44 24 30 89 86 D0 01 00 00 C6 04 24 00 BD ?? ?? ?? ?? 33 DB BF ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D3 33 C9 8A 0C 24 03 C9 8D 0C CE 89 84 91 20 01 00 00 6A 01 8B 07 89 44 24 38 C6 44 24 3C 06 8B 45 00 89 44 24 40 C6 44 24 44 06 8D 4C 24 38 BA ?? ?? ?? ?? 8D 44 24 05 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 33 C0 8A C3 33 C9 8A 0C 24 03 C9 8D 0C CE 8B 84 81 20 01 00 00 E8 ?? ?? ?? ?? 33 C0 8A C3 33 D2 8A 14 24 03 D2 8D 14 D6 8B 84 82 20 01 00 00 8B 10 FF 52 2C 3B 86 CC 01 00 00 7E 20 33 C0 8A C3 33 D2 8A 14 24 03 D2 8D 14 D6 8B 84 82 20 01 00 00 8B 10 FF 52 2C 89 86 CC 01 00 00 33 C0 8A C3 33 D2 8A 14 24 03 D2 8D 14 D6 8B 84 82 20 01 00 00 8B 10 FF 52 20 3B 86 D0 01 00 00 7E 20 33 C0 8A C3 33 D2 8A 14 24 03 D2 8D 14 D6 8B 84 82 20 01 00 00 8B 10 FF 52 20 89 86 D0 01 00 00 43 83 C7 04 80 FB 03 0F 85 F9 FE FF FF FE 04 24 83 C5 04 80 3C 24 09 0F 85 E2 FE FF FF 83 86 CC 01 00 00 08 83 86 D0 01 00 00 04 83 C4 44 5D 5F 5E 5B C3 00 25 73 5F 25 73 00 00 00 }
	condition:
		$1
}

rule function_9748_0 {
	meta:
		name = "_NF__152"
		size = 56
		refs = "0021 TObject.Free"
	strings:
		$1 = { 53 56 51 8B F0 C6 04 24 00 33 DB 33 C0 8A C3 33 D2 8A 14 24 03 D2 8D 14 D6 8B 84 82 20 01 00 00 E8 ?? ?? ?? ?? 43 80 FB 03 75 E0 FE 04 24 80 3C 24 09 75 D5 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9749_0 {
	meta:
		name = "TMediaPlayer.SetAutoEnable"
		size = 40
		refs = "0015 _NF__159 0023 TMediaPlayer.SetEnabledButtons"
	strings:
		$1 = { 3A 90 28 02 00 00 74 1F 8B CA 88 88 28 02 00 00 84 C9 74 07 E8 ?? ?? ?? ?? EB 0C 66 8B 90 AE 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9750_0 {
	meta:
		name = "TMediaPlayer.SetEnabledButtons"
		size = 69
	strings:
		$1 = { 56 51 66 89 14 24 8B F0 66 8B 04 24 66 89 86 AE 01 00 00 33 C0 8B D0 80 FA 0F 77 0A 83 E2 7F 0F A3 96 AE 01 00 00 0F 92 C2 33 C9 8A C8 03 C9 88 94 CE 1D 01 00 00 40 3C 09 75 DA 8B C6 8B 10 FF 52 44 5A 5E C3 }
	condition:
		$1
}

rule function_9751_0 {
	meta:
		name = "_NF__159"
		size = 52
	strings:
		$1 = { 56 8B F0 33 C0 8B D0 80 FA 0F 77 0A 83 E2 7F 0F A3 96 B2 01 00 00 0F 92 C2 33 C9 8A C8 03 C9 88 94 CE 1F 01 00 00 40 3C 09 75 DA 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_9752_0 {
	meta:
		name = "TMediaPlayer.SetColored"
		size = 69
	strings:
		$1 = { 56 51 66 89 14 24 8B F0 66 8B 04 24 66 89 86 B0 01 00 00 33 C0 8B D0 80 FA 0F 77 0A 83 E2 7F 0F A3 96 B0 01 00 00 0F 92 C2 33 C9 8A C8 03 C9 88 94 CE 1E 01 00 00 40 3C 09 75 DA 8B C6 8B 10 FF 52 44 5A 5E C3 }
	condition:
		$1
}

rule function_9753_0 {
	meta:
		name = "TMediaPlayer.SetVisible"
		size = 110
		refs = "0044 _NF__160 0067 _NF__161"
	strings:
		$1 = { 56 51 66 89 14 24 8B F0 66 8B 04 24 66 89 86 AC 01 00 00 33 C0 8B D0 80 FA 0F 77 0A 83 E2 7F 0F A3 96 AC 01 00 00 0F 92 C2 33 C9 8A C8 03 C9 88 94 CE 1C 01 00 00 40 3C 09 75 DA F6 46 20 40 74 23 8B C6 E8 ?? ?? ?? ?? 50 8B 46 38 48 5A 8B CA 99 F7 F9 40 89 86 C8 01 00 00 8B C6 8B 10 FF 52 44 5A 5E C3 8B C6 E8 ?? ?? ?? ?? 5A 5E C3 }
	condition:
		$1
}

rule function_9754_0 {
	meta:
		name = "_NF__160"
		size = 37
	strings:
		$1 = { 56 33 F6 33 D2 33 C9 8A CA 03 C9 80 BC C8 1C 01 00 00 00 74 01 46 42 80 FA 09 75 E9 85 F6 75 01 46 8B C6 5E C3 }
	condition:
		$1
}

rule function_9755_0 {
	meta:
		name = "_NF__161"
		size = 37
		refs = "0006 _NF__160 0018 TControl.SetWidth"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 96 C8 01 00 00 4A 0F AF D0 42 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_9756_0 {
	meta:
		name = "TMediaPlayer.WMSize"
		size = 141
		refs = "0011 TWinControl.WMSize 001e _NF__160"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B D8 8B 14 24 8B C3 E8 ?? ?? ?? ?? F6 43 20 40 75 6B 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 83 CC 01 00 00 48 F7 E9 40 89 44 24 04 8B B3 D0 01 00 00 89 74 24 08 8B 43 38 48 99 F7 F9 8B F8 47 89 BB C8 01 00 00 8B C7 48 F7 E9 40 8B 54 24 04 3B C2 7D 02 8B C2 8B 53 3C 3B F2 7E 02 8B D6 3B 43 38 75 05 3B 53 3C 74 0F 50 52 8B 4B 34 8B C3 8B 53 30 8B 18 FF 53 4C 8B 04 24 33 D2 89 50 0C 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9757_0 {
	meta:
		name = "_NF__165"
		size = 757
		refs = "0038 TBrush.SetStyle 0045 TBrush.SetColor 0052 TPen.SetColor 005f TPen.SetWidth 0077 TCanvas.Rectangle 009d TCanvas.MoveTo 00ab TCanvas.LineTo 023f Rect 026e Bounds 027b TCanvas.BrushCopy 0282 TWinControl.GetHandle 0289 GetFocus 02be InflateRect 02d3 OffsetRect 02e3 TCanvas.GetHandle 02e9 DrawFocusRect"
	strings:
		$1 = { 53 56 57 55 83 C4 C4 8B F9 88 14 24 8B D8 80 BB B5 01 00 00 00 74 0B 8A 04 24 3A 83 B6 01 00 00 74 04 33 C0 EB 02 B0 01 88 44 24 01 8B B3 18 01 00 00 33 D2 8B 46 14 E8 ?? ?? ?? ?? BA 0F 00 00 80 8B 46 14 E8 ?? ?? ?? ?? BA 06 00 00 80 8B 46 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 83 C8 01 00 00 03 C7 50 8B 43 3C 50 33 C9 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7C 24 01 00 74 47 BA 10 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 8B 4B 3C 83 E9 02 8D 6F 01 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D5 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 C8 01 00 00 03 D7 4A B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 8E 00 00 00 BA 14 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 8B 4B 3C 83 E9 02 8D 6F 01 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D5 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 C8 01 00 00 03 D7 4A B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 8B 4B 3C 83 E9 02 8D 57 02 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 83 E9 02 8B 93 C8 01 00 00 03 D7 83 EA 02 8B C6 E8 ?? ?? ?? ?? 8B 93 C8 01 00 00 03 D7 83 EA 02 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 80 7B 45 00 75 06 F6 43 20 10 74 5D 80 BB 28 02 00 00 00 74 2D F6 43 20 10 75 27 33 C0 8A 04 24 8B D0 03 D2 80 BC D3 1F 01 00 00 00 74 10 33 C0 80 BC D3 1E 01 00 00 00 74 31 B0 02 EB 2D B0 01 EB 29 33 C0 8A 04 24 8B D0 03 D2 80 BC D3 1D 01 00 00 00 74 10 33 C0 80 BC D3 1E 01 00 00 00 74 0A B0 02 EB 06 B0 01 EB 02 B0 01 83 E0 7F 33 D2 8A 14 24 03 D2 8D 14 D3 8B AC 82 20 01 00 00 8B C5 8B 10 FF 52 2C D1 F8 79 03 83 D0 00 8B 93 C8 01 00 00 D1 FA 79 03 83 D2 00 2B D0 89 54 24 04 8B C5 8B 10 FF 52 20 D1 F8 79 03 83 D0 00 8B 53 3C D1 FA 79 03 83 D2 00 2B D0 89 54 24 08 80 7C 24 01 00 74 08 FF 44 24 04 FF 44 24 08 8B C5 8B 10 FF 52 20 50 8D 44 24 20 50 8B C5 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 80 80 00 00 8B C5 8B 10 FF 52 20 50 8D 44 24 38 50 8B C5 8B 10 FF 52 2C 8B C8 8B 44 24 14 03 C7 8B 54 24 18 E8 ?? ?? ?? ?? 8D 54 24 34 8B CD 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 5C 8A 04 24 3A 83 EC 01 00 00 75 51 8B 43 3C 50 8D 44 24 10 50 8B 8B C8 01 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 6A FD 6A FD 8D 44 24 14 50 E8 ?? ?? ?? ?? 80 7C 24 01 00 74 0E 6A 01 6A 01 8D 44 24 14 50 E8 ?? ?? ?? ?? 8D 44 24 0C 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 3C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9758_0 {
	meta:
		name = "TMediaPlayer.Paint"
		size = 116
		refs = "0011 TBrush.SetStyle 001e TPen.SetColor 002b TPen.SetWidth 003e TCanvas.Rectangle 005d _NF__165"
	strings:
		$1 = { 53 56 57 8B F0 8B 9E 18 01 00 00 8B 43 14 B2 01 E8 ?? ?? ?? ?? 8B 43 10 BA 06 00 00 80 E8 ?? ?? ?? ?? 8B 43 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 46 38 50 8B 46 3C 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 33 FF 33 DB 33 C0 8A C3 03 C0 80 BC C6 1C 01 00 00 00 74 14 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 C8 01 00 00 48 03 F8 43 80 FB 09 75 D6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9759_0 {
	meta:
		name = "TMediaPlayer.AutoButtonSet"
		size = 552
		refs = "0013 TMediaPlayer.AutoButtonSet"
	strings:
		$1 = { 53 8B D8 33 C0 8A C2 83 F8 08 0F 87 0C 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 B2 01 00 00 66 89 83 B2 01 00 00 66 A1 ?? ?? ?? ?? 66 0B 83 B2 01 00 00 66 89 83 B2 01 00 00 5B C3 80 BB EF 01 00 00 00 74 08 66 83 8B B2 01 00 00 01 80 BB F2 01 00 00 00 0F 84 97 01 00 00 66 81 8B B2 01 00 00 80 00 5B C3 80 BB EF 01 00 00 00 74 08 66 83 8B B2 01 00 00 01 80 BB F2 01 00 00 00 74 09 66 81 8B B2 01 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 B2 01 00 00 66 89 83 B2 01 00 00 5B C3 80 BB EF 01 00 00 00 74 08 66 83 8B B2 01 00 00 01 80 BB F2 01 00 00 00 74 09 66 81 8B B2 01 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 B2 01 00 00 66 89 83 B2 01 00 00 5B C3 80 BB EF 01 00 00 00 74 08 66 83 8B B2 01 00 00 01 80 BB F2 01 00 00 00 74 09 66 81 8B B2 01 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 B2 01 00 00 66 89 83 B2 01 00 00 5B C3 80 BB EF 01 00 00 00 74 08 66 83 8B B2 01 00 00 01 80 BB F2 01 00 00 00 74 09 66 81 8B B2 01 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 B2 01 00 00 66 89 83 B2 01 00 00 5B C3 80 BB EF 01 00 00 00 74 08 66 83 8B B2 01 00 00 01 80 BB F2 01 00 00 00 74 09 66 81 8B B2 01 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 B2 01 00 00 66 89 83 B2 01 00 00 5B C3 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 B2 01 00 00 66 89 83 B2 01 00 00 66 A1 ?? ?? ?? ?? 66 0B 83 B2 01 00 00 66 89 83 B2 01 00 00 5B C3 80 BB EF 01 00 00 00 74 08 66 83 8B B2 01 00 00 01 80 BB F2 01 00 00 00 74 09 66 81 8B B2 01 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 B2 01 00 00 66 89 83 B2 01 00 00 5B C3 00 00 81 00 00 00 06 00 00 00 }
	condition:
		$1
}

rule function_9760_0 {
	meta:
		name = "_NF__16B"
		size = 224
		refs = "009e Rect 00cc _NF__165 00d5 TControl.SetMouseCapture"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 33 FF 33 DB 33 C0 8A C3 03 C0 80 BC C6 1C 01 00 00 00 74 49 3B FA 7F 3C 8B 86 C8 01 00 00 03 C7 3B D0 7F 30 80 BE 28 02 00 00 00 74 15 33 C0 8A C3 03 C0 80 BC C6 1F 01 00 00 00 75 26 E9 8F 00 00 00 33 C0 8A C3 03 C0 80 BC C6 1D 01 00 00 00 75 11 EB 7D 8B 86 C8 01 00 00 48 03 F8 43 80 FB 09 75 A1 8B C3 88 86 B6 01 00 00 3A 86 EC 01 00 00 74 0D 88 86 EC 01 00 00 8B C6 8B 10 FF 52 7C 8B 46 3C 50 8D 44 24 04 50 8B 8E C8 01 00 00 03 CF 33 D2 8B C7 E8 ?? ?? ?? ?? 56 57 8D BE B8 01 00 00 8D 74 24 08 B9 04 00 00 00 F3 A5 5F 5E C6 86 B4 01 00 00 01 C6 86 B5 01 00 00 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9761_0 {
	meta:
		name = "TMediaPlayer.WMLButtonDblClk"
		size = 14
		refs = "0009 _NF__16B"
		altNames = "TMediaPlayer.WMLButtonDown"
	strings:
		$1 = { 0F BF 4A 0A 0F BF 52 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9763_0 {
	meta:
		name = "TMediaPlayer.WMMouseMove"
		size = 104
		refs = "001e Point 0032 PtInRect 005e _NF__165"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B F8 80 BF B4 01 00 00 00 74 4F 8B CC 0F BF 56 0A 0F BF 46 08 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8D 87 B8 01 00 00 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 8A 9F B5 01 00 00 3A C3 74 1C 80 F3 01 88 9F B5 01 00 00 8B 8F B8 01 00 00 8A 97 B6 01 00 00 8B C7 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9764_0 {
	meta:
		name = "_NF__175"
		size = 190
		refs = "0018 @CallDynaInst 0036 _NF__175 0061 TMediaPlayer.Play 006a TMediaPlayer.Pause 0073 TMediaPlayer.Stop 007c TMediaPlayer.Next 0085 TMediaPlayer.Previous 008e TMediaPlayer.Step 0097 TMediaPlayer.Back 00a0 TMediaPlayer.StartRecording 00a9 TMediaPlayer.Eject 00b6 _NF__176"
	strings:
		$1 = { 53 56 51 8B F0 C6 04 24 01 8B CC 8A 96 B6 01 00 00 8B C6 66 BB DA FF E8 ?? ?? ?? ?? 80 3C 24 00 0F 84 94 00 00 00 33 C0 8A 86 B6 01 00 00 83 F8 08 77 7A FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 46 8B C6 E8 ?? ?? ?? ?? EB 3D 8B C6 E8 ?? ?? ?? ?? EB 34 8B C6 E8 ?? ?? ?? ?? EB 2B 8B C6 E8 ?? ?? ?? ?? EB 22 8B C6 E8 ?? ?? ?? ?? EB 19 8B C6 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8A 96 B6 01 00 00 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9765_0 {
	meta:
		name = "_NF__176"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 53 8A 90 B6 01 00 00 66 BB D9 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9766_0 {
	meta:
		name = "TMediaPlayer.WMLButtonUp"
		size = 131
		refs = "0009 TControl.SetMouseCapture 0035 _NF__165 0042 _NF__175 006e @CallDynaInst 0075 _NF__159"
	strings:
		$1 = { 53 56 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 80 BE B4 01 00 00 00 74 63 80 BE B5 01 00 00 00 74 5A C6 86 B5 01 00 00 00 8B 8E B8 01 00 00 8A 96 B6 01 00 00 8B C6 E8 ?? ?? ?? ?? 8A 96 B6 01 00 00 8B C6 E8 ?? ?? ?? ?? 80 BE 28 02 00 00 00 74 2A 83 BE 10 02 00 00 00 75 21 80 BE ED 01 00 00 00 74 18 8A 96 B6 01 00 00 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 86 B4 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9767_0 {
	meta:
		name = "TMediaPlayer.WMKillFocus"
		size = 6
		altNames = "TMediaPlayer.WMSetFocus"
	strings:
		$1 = { 8B 10 FF 52 7C C3 }
	condition:
		$1
}

rule function_9770_0 {
	meta:
		name = "TMediaPlayer.KeyDown"
		size = 220
		refs = "00b4 _NF__175 00ce @CallDynaInst 00d5 _NF__159"
	strings:
		$1 = { 53 56 8B F0 66 8B 02 66 83 E8 20 0F 84 82 00 00 00 66 83 E8 05 74 45 66 83 E8 02 0F 85 B8 00 00 00 8A 86 EC 01 00 00 3C 08 73 01 40 3C 08 74 10 33 D2 8A D0 03 D2 80 BC D6 1C 01 00 00 00 74 E7 3A 86 EC 01 00 00 0F 84 8D 00 00 00 88 86 EC 01 00 00 8B C6 8B 10 FF 52 44 5E 5B C3 8A 86 EC 01 00 00 84 C0 76 01 48 84 C0 74 10 33 D2 8A D0 03 D2 80 BC D6 1C 01 00 00 00 74 E7 3A 86 EC 01 00 00 74 56 88 86 EC 01 00 00 8B C6 8B 10 FF 52 44 5E 5B C3 8A 86 EC 01 00 00 33 D2 8A D0 03 D2 80 BC D6 1D 01 00 00 00 74 30 8B D0 88 96 B6 01 00 00 8B C6 E8 ?? ?? ?? ?? 80 BE 28 02 00 00 00 74 18 8A 96 B6 01 00 00 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9771_0 {
	meta:
		name = "TMediaPlayer.MMNotify"
		size = 164
		refs = "0012 TMediaPlayer.GetMode 003f TMediaPlayer.MMNotify 0056 _NF__159 0098 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 28 02 00 00 00 74 4B 8B C3 E8 ?? ?? ?? ?? 3C 01 75 40 80 BB EF 01 00 00 00 74 08 66 83 8B B2 01 00 00 01 80 BB F2 01 00 00 00 74 09 66 81 8B B2 01 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 B2 01 00 00 66 89 83 B2 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 46 04 48 74 0F 48 74 15 83 E8 02 74 19 83 E8 04 74 1D EB 22 C6 83 14 02 00 00 00 EB 19 C6 83 14 02 00 00 01 EB 10 C6 83 14 02 00 00 02 EB 07 C6 83 14 02 00 00 03 8B C3 66 BB D8 FF E8 ?? ?? ?? ?? 5E 5B C3 00 06 00 00 00 }
	condition:
		$1
}

rule function_9772_0 {
	meta:
		name = "_NF__18A"
		size = 93
		refs = "0009 _NF__18A 0020 SNotOpenErr 0025 LoadResString 002f _DV_EMCIDeviceError 0034 Exception.Create 0039 @RaiseExcept 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 ED 01 00 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9773_0 {
	meta:
		name = "TMediaPlayer.Click"
		size = 32
	strings:
		$1 = { 53 66 83 B8 D6 01 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 D8 01 00 00 FF 93 D4 01 00 00 5B C3 }
	condition:
		$1
}

rule function_9774_0 {
	meta:
		name = "TMediaPlayer.PostClick"
		size = 31
	strings:
		$1 = { 53 66 83 B8 DE 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 E0 01 00 00 FF 93 DC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_9775_0 {
	meta:
		name = "TMediaPlayer.DoNotify"
		size = 29
	strings:
		$1 = { 53 66 83 B8 E6 01 00 00 00 74 10 8B D8 8B D0 8B 83 E8 01 00 00 FF 93 E4 01 00 00 5B C3 }
	condition:
		$1
}

rule function_9778_0 {
	meta:
		name = "TMediaPlayer.Open"
		size = 616
		refs = "0013 TMediaPlayer.Open 0029 TMediaPlayer.Close 0042 _NV__196 0059 @LStrToPChar 00f3 TWinControl.GetHandle 010d mciSendCommand 0123 TMediaPlayer.GetErrorMessage 012d _DV_EMCIDeviceError 0132 Exception.Create 0137 @RaiseExcept 0155 TMediaPlayer.GetLength 016a _NF__1DE 0180 TMediaPlayer.SetDisplay 018a TMediaPlayer.GetDisplayRect 01b9 TMediaPlayer.SetTimeFormat 021f TMediaPlayer.GetMode 0230 @CallDynaInst 0237 _NF__159 024c @LStrClr 0252 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 D2 89 55 D8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE ED 01 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 EC 8A 86 00 02 00 00 84 C0 74 0D 83 E0 7F 8B 04 85 ?? ?? ?? ?? 89 45 F4 83 BE 24 02 00 00 00 74 0E 8B 86 24 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 89 86 F4 01 00 00 80 BE FA 01 00 00 00 74 1C 80 BE F8 01 00 00 00 74 0A C7 86 F4 01 00 00 02 00 00 00 C6 86 FA 01 00 00 00 EB 0A C7 86 F4 01 00 00 02 00 00 00 80 BE FB 01 00 00 00 74 17 80 BE F9 01 00 00 00 74 07 83 8E F4 01 00 00 01 C6 86 FB 01 00 00 00 83 BE 24 02 00 00 00 74 0A 81 8E F4 01 00 00 00 02 00 00 80 BE 00 02 00 00 00 74 0A 81 8E F4 01 00 00 00 20 00 00 80 BE 2B 02 00 00 00 74 0A 81 8E F4 01 00 00 00 01 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 EC 8D 45 EC 50 8B 86 F4 01 00 00 50 68 03 08 00 00 6A 00 E8 ?? ?? ?? ?? 8B D8 89 9E 10 02 00 00 85 DB 74 23 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FB 00 00 00 C6 86 ED 01 00 00 01 66 8B 45 F0 66 89 86 FE 01 00 00 8B C6 E8 ?? ?? ?? ?? B9 0A 00 00 00 99 F7 F9 89 86 0C 02 00 00 8B C6 E8 ?? ?? ?? ?? 80 BE F3 01 00 00 00 74 2F 8B 96 18 02 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 2B 45 DC 89 86 1C 02 00 00 8B 45 E8 2B 45 E0 89 86 20 02 00 00 8A 86 00 02 00 00 3C 02 74 04 3C 0B 75 09 B2 0A 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 86 B2 01 00 00 80 BE F0 01 00 00 00 74 14 66 A1 ?? ?? ?? ?? 66 0B 86 B2 01 00 00 66 89 86 B2 01 00 00 80 BE EF 01 00 00 00 74 08 66 83 8E B2 01 00 00 01 80 BE F2 01 00 00 00 74 09 66 81 8E B2 01 00 00 80 00 80 BE F1 01 00 00 00 74 09 66 81 8E B2 01 00 00 00 01 8B C6 E8 ?? ?? ?? ?? 3C 02 75 0D 33 D2 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 18 00 00 00 60 00 00 00 }
	condition:
		$1
}

rule function_9779_0 {
	meta:
		name = "TMediaPlayer.Close"
		size = 200
		refs = "006d TWinControl.GetHandle 008c mciSendCommand 00ae TMediaPlayer.Close 00bc _NF__159"
	strings:
		$1 = { 53 56 51 8B D8 66 83 BB FE 01 00 00 00 0F 84 AD 00 00 00 33 C0 89 83 F4 01 00 00 80 BB FA 01 00 00 00 74 1C 80 BB F8 01 00 00 00 74 0A C7 83 F4 01 00 00 02 00 00 00 C6 83 FA 01 00 00 00 EB 0A C7 83 F4 01 00 00 02 00 00 00 80 BB FB 01 00 00 00 74 17 80 BB F9 01 00 00 00 74 07 83 8B F4 01 00 00 01 C6 83 FB 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 F4 01 00 00 50 68 04 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 8B F0 89 B3 10 02 00 00 85 F6 75 24 C6 83 ED 01 00 00 00 66 C7 83 FE 01 00 00 00 00 66 A1 ?? ?? ?? ?? 66 89 83 B2 01 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_9780_0 {
	meta:
		name = "TMediaPlayer.Play"
		size = 271
		refs = "000a _NF__18A 001a TMediaPlayer.GetPosition 0023 TMediaPlayer.GetLength 0040 TMediaPlayer.Rewind 00e0 TWinControl.GetHandle 00ff mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 2A 02 00 00 00 74 2D 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 75 19 80 BB FC 01 00 00 00 75 10 80 BB FD 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 F4 01 00 00 80 BB FB 01 00 00 00 74 1C 80 BB F9 01 00 00 00 74 0A C7 83 F4 01 00 00 01 00 00 00 C6 83 FB 01 00 00 00 EB 0A C7 83 F4 01 00 00 01 00 00 00 80 BB FA 01 00 00 00 74 17 80 BB F8 01 00 00 00 74 07 83 8B F4 01 00 00 02 C6 83 FA 01 00 00 00 80 BB FC 01 00 00 00 74 18 83 8B F4 01 00 00 04 8B 83 08 02 00 00 89 44 24 04 C6 83 FC 01 00 00 00 80 BB FD 01 00 00 00 74 18 83 8B F4 01 00 00 08 8B 83 04 02 00 00 89 44 24 08 C6 83 FD 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 F4 01 00 00 50 68 06 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_9781_0 {
	meta:
		name = "TMediaPlayer.StartRecording"
		size = 215
		refs = "0009 _NF__18A 00a9 TWinControl.GetHandle 00c8 mciSendCommand"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 F4 01 00 00 80 BB FB 01 00 00 00 74 1C 80 BB F9 01 00 00 00 74 0A C7 83 F4 01 00 00 01 00 00 00 C6 83 FB 01 00 00 00 EB 0A C7 83 F4 01 00 00 01 00 00 00 80 BB FA 01 00 00 00 74 17 80 BB F8 01 00 00 00 74 07 83 8B F4 01 00 00 02 C6 83 FA 01 00 00 00 80 BB FC 01 00 00 00 74 18 83 8B F4 01 00 00 04 8B 83 08 02 00 00 89 44 24 04 C6 83 FC 01 00 00 00 80 BB FD 01 00 00 00 74 18 83 8B F4 01 00 00 08 8B 83 04 02 00 00 89 44 24 08 C6 83 FD 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 F4 01 00 00 50 68 0F 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_9782_0 {
	meta:
		name = "TMediaPlayer.Stop"
		size = 145
		refs = "0007 _NF__18A 0065 TWinControl.GetHandle 0084 mciSendCommand"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 F4 01 00 00 80 BB FA 01 00 00 00 74 1C 80 BB F8 01 00 00 00 74 0A C7 83 F4 01 00 00 02 00 00 00 C6 83 FA 01 00 00 00 EB 0A C7 83 F4 01 00 00 02 00 00 00 80 BB FB 01 00 00 00 74 17 80 BB F9 01 00 00 00 74 07 83 8B F4 01 00 00 01 C6 83 FB 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 F4 01 00 00 50 68 08 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_9783_0 {
	meta:
		name = "TMediaPlayer.Pause"
		size = 135
		refs = "000c TMediaPlayer.Pause 0023 SNotOpenErr 0028 LoadResString 0032 _DV_EMCIDeviceError 0037 Exception.Create 003c @RaiseExcept 0043 TMediaPlayer.GetMode 004e TMediaPlayer.PauseOnly 0062 TMediaPlayer.Resume 0077 @LStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB ED 01 00 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 02 75 09 8B C3 E8 ?? ?? ?? ?? EB 12 8B C3 E8 ?? ?? ?? ?? 3C 05 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9784_0 {
	meta:
		name = "TMediaPlayer.PauseOnly"
		size = 145
		refs = "0007 _NF__18A 0065 TWinControl.GetHandle 0084 mciSendCommand"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 F4 01 00 00 80 BB FA 01 00 00 00 74 1C 80 BB F8 01 00 00 00 74 0A C7 83 F4 01 00 00 02 00 00 00 C6 83 FA 01 00 00 00 EB 0A C7 83 F4 01 00 00 02 00 00 00 80 BB FB 01 00 00 00 74 17 80 BB F9 01 00 00 00 74 07 83 8B F4 01 00 00 01 C6 83 FB 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 F4 01 00 00 50 68 09 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_9785_0 {
	meta:
		name = "TMediaPlayer.Resume"
		size = 180
		refs = "0008 _NF__18A 0058 TWinControl.GetHandle 0077 mciSendCommand 008a TMediaPlayer.Play"
	strings:
		$1 = { 53 56 51 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 F4 01 00 00 80 BB FB 01 00 00 00 74 15 80 BB F9 01 00 00 00 74 16 C7 83 F4 01 00 00 01 00 00 00 EB 0A C7 83 F4 01 00 00 01 00 00 00 80 BB FA 01 00 00 00 74 10 80 BB F8 01 00 00 00 74 07 83 8B F4 01 00 00 02 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 F4 01 00 00 50 68 55 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 8B F0 89 B3 10 02 00 00 85 F6 74 09 8B C3 E8 ?? ?? ?? ?? EB 20 80 BB FB 01 00 00 00 74 07 C6 83 FB 01 00 00 00 80 BB FA 01 00 00 00 74 07 C6 83 FA 01 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9786_0 {
	meta:
		name = "TMediaPlayer.Next"
		size = 398
		refs = "000b _NF__18A 006f TMediaPlayer.GetTimeFormat 007e TMediaPlayer.GetMode 0089 TMediaPlayer.GetPosition 008e mci_TMSF_Track 009d TMediaPlayer.GetTracks 00b1 TMediaPlayer.GetTrackPosition 00ba TMediaPlayer.SetFrom 00e4 TMediaPlayer.Play 015f TWinControl.GetHandle 017e mciSendCommand"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 F4 01 00 00 80 BB FA 01 00 00 00 74 1C 80 BB F8 01 00 00 00 74 0A C7 83 F4 01 00 00 02 00 00 00 C6 83 FA 01 00 00 00 EB 0A C7 83 F4 01 00 00 02 00 00 00 80 BB FB 01 00 00 00 74 17 80 BB F9 01 00 00 00 74 07 83 8B F4 01 00 00 01 C6 83 FB 01 00 00 00 8B B3 F4 01 00 00 8B C3 E8 ?? ?? ?? ?? 3C 0A 0F 85 D5 00 00 00 8B C3 E8 ?? ?? ?? ?? 3C 02 75 6E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 81 E6 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B F0 75 1B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 21 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D0 42 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 B6 01 00 00 00 E9 94 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 81 E7 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B F8 75 16 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 EB 1C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D0 42 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 83 CE 08 89 B3 F4 01 00 00 EB 0C 81 CE 00 02 00 00 89 B3 F4 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 F4 01 00 00 50 68 07 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9787_0 {
	meta:
		name = "TMediaPlayer.Previous"
		size = 442
		refs = "000c _NF__18A 0070 TMediaPlayer.GetTimeFormat 007f TMediaPlayer.GetPosition 008d mci_TMSF_Track 0098 TMediaPlayer.GetTrackPosition 00a1 TMediaPlayer.GetMode 00b7 mci_TMSF_Minute 00cb mci_TMSF_Second 00f9 TMediaPlayer.SetFrom 010b TMediaPlayer.Play 018a TWinControl.GetHandle 01a9 mciSendCommand"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 F4 01 00 00 80 BB FA 01 00 00 00 74 1C 80 BB F8 01 00 00 00 74 0A C7 83 F4 01 00 00 02 00 00 00 C6 83 FA 01 00 00 00 EB 0A C7 83 F4 01 00 00 02 00 00 00 80 BB FB 01 00 00 00 74 17 80 BB F9 01 00 00 00 74 07 83 8B F4 01 00 00 01 C6 83 FB 01 00 00 00 8B AB F4 01 00 00 8B C3 E8 ?? ?? ?? ?? 3C 0A 0F 85 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D0 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3C 02 75 72 8B C6 E8 ?? ?? ?? ?? 3C 01 74 4B 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3A D0 75 37 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3A D0 75 23 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D0 4A 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 B6 01 00 00 00 E9 98 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C 01 74 46 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3A D0 75 32 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3A D0 75 1E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D0 4A 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 EB 04 89 7C 24 04 83 CD 08 89 AB F4 01 00 00 EB 0C 81 CD 00 01 00 00 89 AB F4 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 F4 01 00 00 50 68 07 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9788_0 {
	meta:
		name = "TMediaPlayer.Step"
		size = 219
		refs = "000a _NF__18A 0027 TMediaPlayer.GetPosition 0030 TMediaPlayer.GetLength 003b TMediaPlayer.Rewind 00ad TWinControl.GetHandle 00cc mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB F3 01 00 00 00 0F 84 BB 00 00 00 80 BB 2A 02 00 00 00 74 1B 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 F4 01 00 00 80 BB FA 01 00 00 00 74 1C 80 BB F8 01 00 00 00 74 0A C7 83 F4 01 00 00 02 00 00 00 C6 83 FA 01 00 00 00 EB 0A C7 83 F4 01 00 00 02 00 00 00 80 BB FB 01 00 00 00 74 17 80 BB F9 01 00 00 00 74 07 83 8B F4 01 00 00 01 C6 83 FB 01 00 00 00 81 8B F4 01 00 00 00 00 02 00 8B 83 0C 02 00 00 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 F4 01 00 00 50 68 0E 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9789_0 {
	meta:
		name = "TMediaPlayer.Back"
		size = 193
		refs = "0009 _NF__18A 0094 TWinControl.GetHandle 00b3 mciSendCommand"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB F3 01 00 00 00 0F 84 A3 00 00 00 33 C0 89 83 F4 01 00 00 80 BB FA 01 00 00 00 74 1C 80 BB F8 01 00 00 00 74 0A C7 83 F4 01 00 00 02 00 00 00 C6 83 FA 01 00 00 00 EB 0A C7 83 F4 01 00 00 02 00 00 00 80 BB FB 01 00 00 00 74 17 80 BB F9 01 00 00 00 74 07 83 8B F4 01 00 00 01 C6 83 FB 01 00 00 00 8B 83 F4 01 00 00 0D 00 00 02 00 0D 00 00 01 00 89 83 F4 01 00 00 8B 83 0C 02 00 00 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 F4 01 00 00 50 68 0E 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_9790_0 {
	meta:
		name = "TMediaPlayer.Eject"
		size = 172
		refs = "0009 _NF__18A 007e TWinControl.GetHandle 009d mciSendCommand"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB F1 01 00 00 00 0F 84 8D 00 00 00 33 C0 89 83 F4 01 00 00 80 BB FA 01 00 00 00 74 1C 80 BB F8 01 00 00 00 74 0A C7 83 F4 01 00 00 02 00 00 00 C6 83 FA 01 00 00 00 EB 0A C7 83 F4 01 00 00 02 00 00 00 80 BB FB 01 00 00 00 74 17 80 BB F9 01 00 00 00 74 07 83 8B F4 01 00 00 01 C6 83 FB 01 00 00 00 81 8B F4 01 00 00 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 F4 01 00 00 50 68 0D 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_9791_0 {
	meta:
		name = "TMediaPlayer.SetPosition"
		size = 163
		refs = "000c _NF__18A 0071 TWinControl.GetHandle 0094 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 F4 01 00 00 80 BB FA 01 00 00 00 74 1C 80 BB F8 01 00 00 00 74 0A C7 83 F4 01 00 00 02 00 00 00 C6 83 FA 01 00 00 00 EB 0A C7 83 F4 01 00 00 02 00 00 00 80 BB FB 01 00 00 00 74 17 80 BB F9 01 00 00 00 74 07 83 8B F4 01 00 00 01 C6 83 FB 01 00 00 00 83 8B F4 01 00 00 08 8B C3 E8 ?? ?? ?? ?? 89 04 24 89 74 24 04 8B C4 50 8B 83 F4 01 00 00 50 68 07 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9792_0 {
	meta:
		name = "TMediaPlayer.Rewind"
		size = 44
		refs = "0009 _NF__18A 0024 mciSendCommand"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? B8 02 01 00 00 8B D4 52 50 68 07 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_9793_0 {
	meta:
		name = "TMediaPlayer.GetTrackLength"
		size = 71
		refs = "000c _NF__18A 0039 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? B8 12 01 00 00 89 83 F4 01 00 00 C7 44 24 08 01 00 00 00 89 74 24 0C 8B D4 52 50 68 14 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9794_0 {
	meta:
		name = "TMediaPlayer.GetTrackPosition"
		size = 56
		refs = "002c mciSendCommand"
	strings:
		$1 = { 83 C4 F0 B9 12 01 00 00 89 88 F4 01 00 00 C7 44 24 08 02 00 00 00 89 54 24 0C 8B D4 52 51 68 14 08 00 00 0F B7 80 FE 01 00 00 50 E8 ?? ?? ?? ?? 8B 44 24 04 83 C4 10 C3 }
	condition:
		$1
}

rule function_9795_0 {
	meta:
		name = "TMediaPlayer.Save"
		size = 186
		refs = "0009 _NF__18A 0021 @LStrToPChar 0083 TWinControl.GetHandle 00ac mciSendCommand"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB 24 02 00 00 00 0F 84 9C 00 00 00 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 89 44 24 04 33 C0 89 83 F4 01 00 00 80 BB FA 01 00 00 00 74 1C 80 BB F8 01 00 00 00 74 0A C7 83 F4 01 00 00 02 00 00 00 C6 83 FA 01 00 00 00 EB 0A C7 83 F4 01 00 00 02 00 00 00 80 BB FB 01 00 00 00 74 17 80 BB F9 01 00 00 00 74 07 83 8B F4 01 00 00 01 C6 83 FB 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 81 8B F4 01 00 00 00 01 00 00 8B C4 50 8B 83 F4 01 00 00 50 68 13 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_9796_0 {
	meta:
		name = "TMediaPlayer.SetWait"
		size = 22
	strings:
		$1 = { 3A 90 F8 01 00 00 74 06 88 90 F8 01 00 00 C6 80 FA 01 00 00 01 C3 }
	condition:
		$1
}

rule function_9797_0 {
	meta:
		name = "TMediaPlayer.SetNotify"
		size = 22
	strings:
		$1 = { 3A 90 F9 01 00 00 74 06 88 90 F9 01 00 00 C6 80 FB 01 00 00 01 C3 }
	condition:
		$1
}

rule function_9798_0 {
	meta:
		name = "TMediaPlayer.SetFrom"
		size = 22
	strings:
		$1 = { 3B 90 08 02 00 00 74 06 89 90 08 02 00 00 C6 80 FC 01 00 00 01 C3 }
	condition:
		$1
}

rule function_9799_0 {
	meta:
		name = "TMediaPlayer.SetTo"
		size = 22
	strings:
		$1 = { 3B 90 04 02 00 00 74 06 89 90 04 02 00 00 C6 80 FD 01 00 00 01 C3 }
	condition:
		$1
}

rule function_9800_0 {
	meta:
		name = "TMediaPlayer.SetDeviceType"
		size = 15
	strings:
		$1 = { 3A 90 00 02 00 00 74 06 88 90 00 02 00 00 C3 }
	condition:
		$1
}

rule function_9801_0 {
	meta:
		name = "TMediaPlayer.SetTimeFormat"
		size = 60
		refs = "002c mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 BE 01 04 00 00 89 B3 F4 01 00 00 33 C0 8A C2 89 44 24 04 8B C4 50 56 68 0D 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_9802_0 {
	meta:
		name = "TMediaPlayer.SetDisplay"
		size = 133
		refs = "002d TWinControl.GetHandle 004d mciSendCommand 0072 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 85 F6 74 6A 80 BB ED 01 00 00 00 74 61 80 BB F3 01 00 00 00 74 58 C7 83 F4 01 00 00 02 00 01 00 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 8B C4 50 8B 83 F4 01 00 00 50 68 41 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 8B F8 89 BB 10 02 00 00 85 FF 74 0A 33 C0 89 83 18 02 00 00 EB 17 89 B3 18 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? EB 06 89 B3 18 02 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9803_0 {
	meta:
		name = "TMediaPlayer.Notification"
		size = 61
		refs = "0010 TControl.Notification 002d _NF__1D8"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 20 3B B7 18 02 00 00 75 18 80 BF ED 01 00 00 00 74 07 8B C7 E8 ?? ?? ?? ?? 33 C0 89 87 18 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9804_0 {
	meta:
		name = "_NF__1D8"
		size = 76
		refs = "003c mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 80 BB ED 01 00 00 00 74 36 80 BB F3 01 00 00 00 74 2D BE 02 00 01 00 89 B3 F4 01 00 00 33 C0 89 44 24 04 8B C4 50 56 68 41 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9805_0 {
	meta:
		name = "TMediaPlayer.SetDisplayRect"
		size = 163
		refs = "004f Rect 0092 mciSendCommand"
	strings:
		$1 = { 53 56 57 83 C4 CC 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D8 80 BB ED 01 00 00 00 74 7F 80 BB F3 01 00 00 00 74 76 83 7C 24 0C 00 75 28 83 7C 24 08 00 75 21 8B 83 20 02 00 00 50 8D 44 24 28 50 8B 8B 1C 02 00 00 8B 54 24 0C 8B 44 24 08 E8 ?? ?? ?? ?? EB 0D 8B F4 8D 7C 24 24 B9 04 00 00 00 F3 A5 BE 00 00 05 00 89 B3 F4 01 00 00 56 8D 74 24 28 8D 7C 24 18 B9 04 00 00 00 F3 A5 5E 8D 44 24 10 50 56 68 42 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 83 C4 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9806_0 {
	meta:
		name = "TMediaPlayer.GetDisplayRect"
		size = 87
		refs = "0039 mciSendCommand"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B D8 80 BB ED 01 00 00 00 74 3D 80 BB F3 01 00 00 00 74 34 BE 00 00 04 00 89 B3 F4 01 00 00 8B C4 50 56 68 43 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 57 8D 74 24 08 B9 04 00 00 00 F3 A5 5F 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9807_0 {
	meta:
		name = "_NF__1DE"
		size = 405
		refs = "002c mciSendCommand"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B D8 8B F4 B8 02 01 00 00 89 83 F4 01 00 00 C7 46 08 08 00 00 00 56 50 68 0B 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 8A 46 04 88 83 EF 01 00 00 84 C0 74 07 80 8B EE 01 00 00 04 C7 46 08 01 00 00 00 56 8B 83 F4 01 00 00 50 68 0B 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 8A 46 04 88 83 F2 01 00 00 84 C0 74 07 80 8B EE 01 00 00 08 C7 46 08 07 00 00 00 56 8B 83 F4 01 00 00 50 68 0B 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 8A 46 04 88 83 F1 01 00 00 84 C0 74 07 80 8B EE 01 00 00 02 C7 46 08 03 00 00 00 56 8B 83 F4 01 00 00 50 68 0B 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 8A 46 04 88 83 F3 01 00 00 84 C0 74 07 80 8B EE 01 00 00 10 C7 46 08 04 00 00 00 56 8B 83 F4 01 00 00 50 68 0B 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 8B 46 04 3D 07 02 00 00 74 15 3D 08 02 00 00 74 0E 3D 03 02 00 00 74 07 3D 01 02 00 00 75 07 C6 83 F0 01 00 00 01 80 BB F0 01 00 00 00 74 07 80 8B EE 01 00 00 01 BE 00 00 02 00 89 B3 F4 01 00 00 8D 44 24 0C 50 56 68 43 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 8D 74 24 10 8D 7C 24 20 B9 04 00 00 00 F3 A5 8B 44 24 28 2B 44 24 20 89 83 1C 02 00 00 8B 44 24 2C 2B 44 24 24 89 83 20 02 00 00 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9808_0 {
	meta:
		name = "TMediaPlayer.GetStart"
		size = 71
		refs = "000a _NF__18A 0033 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BE 02 03 00 00 89 B3 F4 01 00 00 C7 44 24 08 02 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9809_0 {
	meta:
		name = "TMediaPlayer.GetLength"
		size = 71
		refs = "000a _NF__18A 0033 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BE 02 01 00 00 89 B3 F4 01 00 00 C7 44 24 08 01 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9810_0 {
	meta:
		name = "TMediaPlayer.GetTracks"
		size = 71
		refs = "000a _NF__18A 0033 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BE 02 01 00 00 89 B3 F4 01 00 00 C7 44 24 08 03 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9811_0 {
	meta:
		name = "TMediaPlayer.GetMode"
		size = 66
		refs = "002c mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 BE 02 01 00 00 89 B3 F4 01 00 00 C7 44 24 08 04 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 8A 44 24 04 2C 0C 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9812_0 {
	meta:
		name = "TMediaPlayer.GetPosition"
		size = 64
		refs = "002c mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 BE 02 01 00 00 89 B3 F4 01 00 00 C7 44 24 08 02 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9813_0 {
	meta:
		name = "TMediaPlayer.GetTimeFormat"
		size = 71
		refs = "000a _NF__18A 0033 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BE 02 01 00 00 89 B3 F4 01 00 00 C7 44 24 08 06 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 FE 01 00 00 50 E8 ?? ?? ?? ?? 89 83 10 02 00 00 8A 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9814_0 {
	meta:
		name = "TMediaPlayer.GetErrorMessage"
		size = 80
		refs = "001f mciGetErrorString 002a SMCIUnknownError 002f LoadResString 0038 StrLen 0043 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 81 C4 04 F0 FF FF 50 8B F2 8B D8 68 00 10 00 00 8D 44 24 04 50 8B 83 10 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8B C4 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 00 10 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9817_0 {
	meta:
		name = "_NF__C9"
		size = 28
		refs = "0005 GlobalMemoryStatus"
	strings:
		$1 = { 83 C4 E0 54 E8 ?? ?? ?? ?? 8B 44 24 14 D1 F8 79 03 83 D0 00 03 44 24 0C 83 C4 20 C3 }
	condition:
		$1
}

rule function_9820_0 {
	meta:
		name = "_NF__CD"
		size = 30
		refs = "0004 _NV__C8 0009 AllocMemSize 0013 _NV__C7"
	strings:
		$1 = { 33 C9 29 05 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 03 C2 3B 05 ?? ?? ?? ?? 7E 02 B1 01 8B C1 C3 }
	condition:
		$1
}

rule function_9822_0 {
	meta:
		name = "_NF__CF"
		size = 56
	strings:
		$1 = { 66 8B 08 66 83 F9 02 75 05 83 C8 FF EB 03 0F B7 C1 66 8B 0A 66 83 F9 02 75 05 83 CA FF EB 03 0F B7 D1 3B D0 7E 04 83 C8 FF C3 3B D0 7D 07 B8 01 00 00 00 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_9823_0 {
	meta:
		name = "_NF__D0"
		size = 9
	strings:
		$1 = { 0F BF 00 0F BF 12 2B C2 C3 }
	condition:
		$1
}

rule function_9824_0 {
	meta:
		name = "_NF__D1"
		size = 29
	strings:
		$1 = { 56 8B 32 8B 08 3B F1 7E 05 83 C8 FF 5E C3 3B F1 7D 07 B8 01 00 00 00 EB 02 33 C0 5E C3 }
	condition:
		$1
}

rule function_9825_0 {
	meta:
		name = "_NF__D2"
		size = 76
		refs = "0010 _NF__D2"
	strings:
		$1 = { 51 D9 00 D8 22 D9 1C 24 9B D9 04 24 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 04 33 C0 5A C3 D9 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 73 05 83 C8 FF EB 05 B8 01 00 00 00 5A C3 00 00 00 32 FC 14 5E F7 5F 42 A2 9B 3F 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9826_0 {
	meta:
		name = "_NF__D3"
		size = 80
		refs = "0012 _NF__D3"
	strings:
		$1 = { 83 C4 F8 DD 00 DC 22 DD 1C 24 9B DD 04 24 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 05 33 C0 59 5A C3 DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 73 05 83 C8 FF EB 05 B8 01 00 00 00 59 5A C3 00 00 00 BD 7E 29 70 24 77 F9 DF B2 3E 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9827_0 {
	meta:
		name = "_NF__D4"
		size = 100
		refs = "000f _NF__D4"
	strings:
		$1 = { 83 C4 F8 DF 28 DF 2A DE E9 DF 3C 24 9B DB 2D ?? ?? ?? ?? DF 2C 24 DE C9 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 05 33 C0 59 5A C3 DF 2C 24 D8 1D ?? ?? ?? ?? DF E0 9E 73 05 83 C8 FF EB 05 B8 01 00 00 00 59 5A C3 00 2C 65 19 E2 58 17 B7 D1 F1 3F 00 00 15 BA D7 19 20 CF A4 94 11 19 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9828_0 {
	meta:
		name = "_NF__D5"
		size = 10
		refs = "0005 AnsiCompareStr"
	strings:
		$1 = { 8B 00 8B 12 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9830_0 {
	meta:
		name = "_NF__D7"
		size = 108
		refs = "0012 _NF__D7 002d sArrayIndexOutOfRange 0032 LoadResString 003c _DV_EArrayError 0041 Exception.CreateFmt 0046 @RaiseExcept 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9831_0 {
	meta:
		name = "TBaseArray.Create"
		size = 100
		refs = "000e @ClassCreate 001d TObject.Create 0037 TBaseArray.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 04 33 C0 89 47 08 33 C0 89 47 10 8B 45 08 89 47 0C A0 ?? ?? ?? ?? 88 47 15 8B D6 8B C7 8B 08 FF 51 10 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_9832_0 {
	meta:
		name = "TBaseArray.Destroy"
		size = 52
		refs = "000f TBaseArray.Clear 0020 TPersistent.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 04 00 74 0C 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 0C 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9833_0 {
	meta:
		name = "TBaseArray.SetCount"
		size = 79
		refs = "0016 _NF__D7 0034 _NF__111 0044 FillMemory"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 7C 08 81 FE FF FF FF 07 7E 07 8B C6 E8 ?? ?? ?? ?? 3B 73 08 7E 09 8B D6 8B C3 8B 08 FF 51 10 8B 7B 10 3B F7 7E 19 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D6 2B 53 10 0F AF 53 0C 33 C9 E8 ?? ?? ?? ?? 89 73 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9834_0 {
	meta:
		name = "TBaseArray.Clear"
		size = 39
	strings:
		$1 = { 53 56 8B D8 8B 43 10 85 C0 74 19 8B C8 33 D2 8B C3 8B 30 FF 56 0C 33 C0 89 43 10 33 D2 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_9835_0 {
	meta:
		name = "TBaseArray.SetCapacity"
		size = 84
		refs = "0018 _NF__D7 0031 _NF__CD 003a _NF__CE 0048 @ReallocMem"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 3B 73 10 7C 08 81 FE FF FF FF 07 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 7B 08 3B F7 74 2C 8B D6 8B 6B 0C 0F AF D5 8B C7 0F AF C5 E8 ?? ?? ?? ?? 84 C0 74 05 E8 ?? ?? ?? ?? 8B D6 0F AF 53 0C 8D 43 04 E8 ?? ?? ?? ?? 89 73 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9836_0 {
	meta:
		name = "TBaseArray.Grow"
		size = 53
	strings:
		$1 = { 56 57 8B 70 08 83 FE 40 7E 0E 8B FE 85 FF 79 03 83 C7 03 C1 FF 02 EB 11 83 FE 08 7E 07 BF 10 00 00 00 EB 05 BF 04 00 00 00 8B D6 03 D7 8B 08 FF 51 10 5F 5E C3 }
	condition:
		$1
}

rule function_9837_0 {
	meta:
		name = "TBaseArray.GetLimit"
		size = 14
	strings:
		$1 = { 8B 50 10 85 D2 75 04 8B 40 08 C3 8B C2 C3 }
	condition:
		$1
}

rule function_9839_0 {
	meta:
		name = "TBaseArray.InsertAt"
		size = 202
		refs = "0027 _NF__D7 002f TBaseArray.GetAutoSize 0055 TBaseArray.InsertAt 0066 _NF__111 0089 MoveMemory 0098 @HandleAnyException 00a0 TBaseArray.InternalHandleException 00a5 @DoneExcept 00b9 _NF__108"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 83 7D F8 00 7C 0B 8B 45 FC 8B 40 10 3B 45 F8 7D 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 FC 8B 50 10 42 8B 45 FC 8B 08 FF 51 10 8B 45 FC 8B 40 10 3B 45 F8 7E 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 50 8B 55 F8 42 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 10 2B 4D F8 8B 55 FC 0F AF 4A 0C 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 B9 01 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC FF 40 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9840_0 {
	meta:
		name = "TBaseArray.ValidIndex"
		size = 23
		refs = "000e _NF__D7"
	strings:
		$1 = { B1 01 85 D2 7C 05 3B 50 10 7E 09 8B C2 E8 ?? ?? ?? ?? 33 C9 8B C1 C3 }
	condition:
		$1
}

rule function_9841_0 {
	meta:
		name = "TBaseArray.RemoveItem"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_9842_0 {
	meta:
		name = "TBaseArray.Delete"
		size = 119
		refs = "000f TBaseArray.ValidIndex 0031 TBaseArray.Delete 0041 _NF__111 005a MoveMemory 0069 @HandleAnyException 006e @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5B B9 01 00 00 00 8B D6 8B C3 8B 38 FF 57 0C FF 4B 10 3B 73 10 7D 45 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 56 01 8B C3 E8 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 4B 10 2B CE 0F AF 4B 0C 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9843_0 {
	meta:
		name = "TBaseArray.RemoveRange"
		size = 125
		refs = "0018 TBaseArray.ValidateBounds 003e _NF__111 005c MoveMemory 0063 TBaseArray.GetAutoSize"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 83 3C 24 00 74 67 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 8B 0C 24 8B D6 8B C3 8B 38 FF 57 0C 8B 04 24 03 C6 3B 43 10 7F 2A 8B 14 24 03 D6 8B C3 E8 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 4B 10 2B CE 2B 4C 24 04 41 0F AF 4B 0C 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 53 10 2B 14 24 8B C3 8B 08 FF 51 10 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9846_0 {
	meta:
		name = "_NF__108"
		size = 132
		refs = "0020 TBaseArray.ValidateBounds 002c _NF__108 0049 _NF__111 005b MoveMemory 006a @HandleAnyException 0072 TBaseArray.InternalHandleException 0077 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B DA 89 45 FC 83 7D F8 00 74 64 8D 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B D3 8B 45 FC 8B 30 FF 56 0C 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 0C 0F AF 4D F8 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9847_0 {
	meta:
		name = "TBaseArray.PutItem"
		size = 105
		refs = "0014 TBaseArray.ValidIndex 0020 TBaseArray.PutItem 0030 _NF__111 003d CopyMemory 004c @HandleAnyException 0054 TBaseArray.InternalHandleException 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 47 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 0C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC FF 40 10 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9848_0 {
	meta:
		name = "TBaseArray.GetItem"
		size = 101
		refs = "0014 TBaseArray.ValidIndex 0020 TBaseArray.GetItem 0030 _NF__111 003f CopyMemory 004e @HandleAnyException 0056 TBaseArray.InternalHandleException 005b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 48 0C 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9849_0 {
	meta:
		name = "_NF__111"
		size = 37
		refs = "000e TBaseArray.ValidIndex"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 33 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B FE 0F AF 7B 0C 03 7B 04 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9850_0 {
	meta:
		name = "TBaseArray.ValidateBounds"
		size = 56
	strings:
		$1 = { 53 56 57 55 8B F1 B1 01 85 D2 7C 05 3B 50 10 7E 02 33 C9 84 C9 74 1A 8B 1E 8B 78 10 8B EF 45 3B DD 7F 09 8B DF 2B 1E 43 3B D3 7E 05 2B FA 47 89 3E 8B C1 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9852_0 {
	meta:
		name = "TBaseArray.HasFlag"
		size = 16
	strings:
		$1 = { 80 FA 07 77 07 83 E2 7F 0F A3 50 15 0F 92 C0 C3 }
	condition:
		$1
}

rule function_9853_0 {
	meta:
		name = "TBaseArray.SetFlag"
		size = 21
	strings:
		$1 = { 53 56 8B DA 8B F0 80 FB 07 77 07 83 E3 7F 0F AB 5E 15 5E 5B C3 }
	condition:
		$1
}

rule function_9854_0 {
	meta:
		name = "TBaseArray.ClearFlag"
		size = 21
	strings:
		$1 = { 53 56 8B DA 8B F0 80 FB 07 77 07 83 E3 7F 0F B3 5E 15 5E 5B C3 }
	condition:
		$1
}

rule function_9855_0 {
	meta:
		name = "TBaseArray.SetAutoSize"
		size = 21
		refs = "0008 TBaseArray.SetFlag 0010 TBaseArray.ClearFlag"
	strings:
		$1 = { 80 FA 01 75 08 B2 01 E8 ?? ?? ?? ?? C3 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9857_0 {
	meta:
		name = "TBaseArray.IndexOf"
		size = 105
		refs = "002a TBaseArray.GetItem 0051 TBaseArray.FindItem"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B D8 80 7B 14 00 75 3A 8B 73 10 4E 85 F6 7C 29 46 C7 04 24 00 00 00 00 8D 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B D7 8D 44 24 04 FF 53 18 85 C0 74 25 FF 04 24 4E 75 DF C7 04 24 FF FF FF FF EB 16 8B CF 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9858_0 {
	meta:
		name = "TBaseArray.FindItem"
		size = 111
		refs = "002e TBaseArray.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 89 14 24 8B F8 C6 44 24 08 00 33 F6 8B 6F 10 4D 3B EE 7C 3F 8D 5C 35 00 D1 EB 8D 4C 24 0C 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 54 24 04 8D 44 24 0C FF 57 18 85 C0 7D 05 8D 73 01 EB 14 8B EB 4D 85 C0 75 0D C6 44 24 08 01 80 7F 16 01 74 02 8B F3 3B EE 7D C1 8B 04 24 89 30 8A 44 24 08 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9859_0 {
	meta:
		name = "TBaseArray.BlockCopy"
		size = 142
		refs = "0018 TObject.ClassType 0021 @IsClass 003c TBaseArray.ValidateBounds 0048 TBaseArray.BlockCopy 0057 _NF__111 0066 _NF__108 0075 @HandleAnyException 007d TBaseArray.InternalHandleException 0082 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 83 7D 08 00 74 72 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5D 8B 45 FC 8B 40 0C 3B 43 0C 75 52 8D 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 42 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 50 8B 4D 08 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9860_0 {
	meta:
		name = "TBaseArray.InternalHandleException"
		size = 89
		refs = "0009 TBaseArray.InternalHandleException 0014 TBaseArray.Clear 001c sGeneralArrayError 0021 LoadResString 002b _DV_EArrayError 0030 Exception.Create 0035 @RaiseExcept 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9861_0 {
	meta:
		name = "TIntArray.Create"
		size = 61
		refs = "000d @ClassCreate 001c TBaseArray.Create 0023 _NF__D1"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 04 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9867_0 {
	meta:
		name = "TSingleArray.Create"
		size = 61
		refs = "000d @ClassCreate 001c TBaseArray.Create 0023 _NF__D2"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 04 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9862_0 {
	meta:
		name = "TIntArray.PutItem"
		size = 130
		refs = "0015 TBaseArray.GetAutoSize 002f TBaseArray.Grow 0037 TIntArray.PutItem 0058 @HandleAnyException 0060 TBaseArray.InternalHandleException 0065 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 55 F8 89 1C 90 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 48 3B 45 F8 7D 06 8B 45 FC FF 40 10 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9863_0 {
	meta:
		name = "TIntArray.GetItem"
		size = 97
		refs = "0019 TBaseArray.ValidIndex 0025 TIntArray.GetItem 0046 @HandleAnyException 004e TBaseArray.InternalHandleException 0053 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 33 C0 89 45 F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 36 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 04 98 89 45 F8 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9864_0 {
	meta:
		name = "TIntArray.Add"
		size = 80
		refs = "0021 TBaseArray.FindItem 0037 _NF__D6 0044 TBaseArray.InsertAt"
	strings:
		$1 = { 53 83 C4 F8 89 14 24 8B D8 80 7B 14 00 75 09 8B 43 10 89 44 24 04 EB 23 8B CC 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8A 43 16 2C 01 72 18 FE C8 74 02 EB 05 E8 ?? ?? ?? ?? 8B CC 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_9865_0 {
	meta:
		name = "TIntArray.Assign"
		size = 126
		refs = "000f _DV_TIntArray 0014 @IsClass 0020 TIntArray.Assign 002d TBaseArray.Clear 0047 TIntArray.GetItem 0050 TIntArray.Add 0069 @HandleFinally 0074 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 4B 85 DB 7C 21 43 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9892_0 {
	meta:
		name = "TSmallIntArray.Assign"
		size = 126
		refs = "000f _DV_TSmallIntArray 0014 @IsClass 0020 TSmallIntArray.Assign 002d TBaseArray.Clear 0047 TSmallIntArray.GetItem 0050 TSmallIntArray.Add 0069 @HandleFinally 0074 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 4B 85 DB 7C 21 43 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9897_0 {
	meta:
		name = "TWordArray.Assign"
		size = 126
		refs = "000f _DV_TWordArray 0014 @IsClass 0020 TWordArray.Assign 002d TBaseArray.Clear 0047 TWordArray.GetItem 0050 TWordArray.Add 0069 @HandleFinally 0074 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 4B 85 DB 7C 21 43 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9866_0 {
	meta:
		name = "TIntArray.Find"
		size = 111
		refs = "002a TIntArray.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 89 14 24 8B F8 C6 44 24 08 00 33 F6 8B 6F 10 4D 3B EE 7C 3F 8D 5C 35 00 D1 EB 8B D3 8B C7 E8 ?? ?? ?? ?? 89 44 24 0C 8D 54 24 04 8D 44 24 0C FF 57 18 85 C0 7D 05 8D 73 01 EB 14 8B EB 4D 85 C0 75 0D C6 44 24 08 01 80 7F 16 01 74 02 8B F3 3B EE 7D C1 8B 04 24 89 30 8A 44 24 08 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9868_0 {
	meta:
		name = "TSingleArray.PutItem"
		size = 133
		refs = "0013 TBaseArray.GetAutoSize 002d TBaseArray.Grow 0035 TSingleArray.PutItem 0059 @HandleAnyException 0061 TBaseArray.InternalHandleException 0066 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 55 F8 8B 4D 08 89 0C 90 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 48 3B 45 F8 7D 06 8B 45 FC FF 40 10 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9869_0 {
	meta:
		name = "TSingleArray.GetItem"
		size = 97
		refs = "0019 TBaseArray.ValidIndex 0025 TSingleArray.GetItem 0046 @HandleAnyException 004e TBaseArray.InternalHandleException 0053 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 33 C0 89 45 F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 36 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 04 98 89 45 F8 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? D9 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9870_0 {
	meta:
		name = "TSingleArray.Add"
		size = 78
		refs = "001e TBaseArray.FindItem 0034 _NF__D6 0041 TBaseArray.InsertAt"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 80 7B 14 00 75 08 8B 43 10 89 45 FC EB 23 8D 4D 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8A 43 16 2C 01 72 18 FE C8 74 02 EB 05 E8 ?? ?? ?? ?? 8D 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9871_0 {
	meta:
		name = "TSingleArray.Assign"
		size = 131
		refs = "000f _DV_TSingleArray 0014 @IsClass 0020 TSingleArray.Assign 002d TBaseArray.Clear 0047 TSingleArray.GetItem 0055 TSingleArray.Add 006e @HandleFinally 0079 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 4B 85 DB 7C 26 43 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9872_0 {
	meta:
		name = "TSingleArray.Find"
		size = 114
		refs = "002c TSingleArray.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B F8 C6 45 FB 00 33 F6 8B 47 10 48 89 45 F4 3B 75 F4 7F 41 8B 5D F4 03 DE D1 EB 8B D3 8B C7 E8 ?? ?? ?? ?? D9 5D F0 9B 8D 55 08 8D 45 F0 FF 57 18 85 C0 7D 05 8D 73 01 EB 16 8B D3 4A 89 55 F4 85 C0 75 0C C6 45 FB 01 80 7F 16 01 74 02 8B F3 3B 75 F4 7E BF 8B 45 FC 89 30 8A 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9873_0 {
	meta:
		name = "TSingleArray.IndexOf"
		size = 108
		refs = "0026 TSingleArray.GetItem 0054 TSingleArray.Find"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B D8 80 7B 14 00 75 3B 8B 73 10 4E 85 F6 7C 2A 46 C7 04 24 00 00 00 00 8B 14 24 8B C3 E8 ?? ?? ?? ?? D9 5C 24 04 9B 8B D7 8D 44 24 04 FF 53 18 85 C0 74 27 FF 04 24 4E 75 DE C7 04 24 FF FF FF FF EB 18 FF 37 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9874_0 {
	meta:
		name = "TDoubleArray.Create"
		size = 61
		refs = "000d @ClassCreate 001c TBaseArray.Create 0023 _NF__D3"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 08 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9881_0 {
	meta:
		name = "TCurrencyArray.Create"
		size = 61
		refs = "000d @ClassCreate 001c TBaseArray.Create 0023 _NF__D4"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 08 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9875_0 {
	meta:
		name = "TDoubleArray.PutItem"
		size = 140
		refs = "0013 TBaseArray.GetAutoSize 002d TBaseArray.Grow 0035 TDoubleArray.PutItem 0060 @HandleAnyException 0068 TBaseArray.InternalHandleException 006d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 55 F8 8B 4D 08 89 0C D0 8B 4D 0C 89 4C D0 04 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 48 3B 45 F8 7D 06 8B 45 FC FF 40 10 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9882_0 {
	meta:
		name = "TCurrencyArray.PutItem"
		size = 140
		refs = "0013 TBaseArray.GetAutoSize 002d TBaseArray.Grow 0035 TCurrencyArray.PutItem 0060 @HandleAnyException 0068 TBaseArray.InternalHandleException 006d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 55 F8 8B 4D 08 89 0C D0 8B 4D 0C 89 4C D0 04 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 48 3B 45 F8 7D 06 8B 45 FC FF 40 10 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9876_0 {
	meta:
		name = "TDoubleArray.GetItem"
		size = 107
		refs = "001c TBaseArray.ValidIndex 0028 TDoubleArray.GetItem 0050 @HandleAnyException 0058 TBaseArray.InternalHandleException 005d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B DA 89 45 FC 33 C0 89 45 F4 89 45 F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 14 D8 89 55 F4 8B 54 D8 04 89 55 F8 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9877_0 {
	meta:
		name = "TDoubleArray.Add"
		size = 81
		refs = "0021 TDoubleArray.Find 0037 _NF__D6 0044 TBaseArray.InsertAt"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 80 7B 14 00 75 08 8B 43 10 89 45 FC EB 26 FF 75 0C FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8A 43 16 2C 01 72 18 FE C8 74 02 EB 05 E8 ?? ?? ?? ?? 8D 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9884_0 {
	meta:
		name = "TCurrencyArray.Add"
		size = 81
		refs = "0021 TCurrencyArray.Find 0037 _NF__D6 0044 TBaseArray.InsertAt"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 80 7B 14 00 75 08 8B 43 10 89 45 FC EB 26 FF 75 0C FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8A 43 16 2C 01 72 18 FE C8 74 02 EB 05 E8 ?? ?? ?? ?? 8D 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9878_0 {
	meta:
		name = "TDoubleArray.Assign"
		size = 131
		refs = "000f _DV_TDoubleArray 0014 @IsClass 0020 TDoubleArray.Assign 002d TBaseArray.Clear 0047 TDoubleArray.GetItem 0055 TDoubleArray.Add 006e @HandleFinally 0079 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 4B 85 DB 7C 26 43 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9879_0 {
	meta:
		name = "TDoubleArray.Find"
		size = 114
		refs = "002c TDoubleArray.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 55 FC 8B F8 C6 45 FB 00 33 F6 8B 47 10 48 89 45 F4 3B 75 F4 7F 41 8B 5D F4 03 DE D1 EB 8B D3 8B C7 E8 ?? ?? ?? ?? DD 5D EC 9B 8D 55 08 8D 45 EC FF 57 18 85 C0 7D 05 8D 73 01 EB 16 8B D3 4A 89 55 F4 85 C0 75 0C C6 45 FB 01 80 7F 16 01 74 02 8B F3 3B 75 F4 7E BF 8B 45 FC 89 30 8A 45 FB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9880_0 {
	meta:
		name = "TDoubleArray.IndexOf"
		size = 112
		refs = "0026 TDoubleArray.GetItem 0057 TDoubleArray.Find"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B FA 8B D8 80 7B 14 00 75 3B 8B 73 10 4E 85 F6 7C 2A 46 C7 04 24 00 00 00 00 8B 14 24 8B C3 E8 ?? ?? ?? ?? DD 5C 24 04 9B 8B D7 8D 44 24 04 FF 53 18 85 C0 74 2A FF 04 24 4E 75 DE C7 04 24 FF FF FF FF EB 1B FF 77 04 FF 37 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9883_0 {
	meta:
		name = "TCurrencyArray.GetItem"
		size = 107
		refs = "001c TBaseArray.ValidIndex 0028 TCurrencyArray.GetItem 0050 @HandleAnyException 0058 TBaseArray.InternalHandleException 005d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B DA 89 45 FC 33 C0 89 45 F4 89 45 F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 14 D8 89 55 F4 8B 54 D8 04 89 55 F8 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DF 6D F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9885_0 {
	meta:
		name = "TCurrencyArray.Assign"
		size = 131
		refs = "000f _DV_TCurrencyArray 0014 @IsClass 0020 TCurrencyArray.Assign 002d TBaseArray.Clear 0047 TCurrencyArray.GetItem 0055 TCurrencyArray.Add 006e @HandleFinally 0079 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 4B 85 DB 7C 26 43 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9886_0 {
	meta:
		name = "TCurrencyArray.Find"
		size = 114
		refs = "002c TCurrencyArray.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 55 FC 8B F8 C6 45 FB 00 33 F6 8B 47 10 48 89 45 F4 3B 75 F4 7F 41 8B 5D F4 03 DE D1 EB 8B D3 8B C7 E8 ?? ?? ?? ?? DF 7D EC 9B 8D 55 08 8D 45 EC FF 57 18 85 C0 7D 05 8D 73 01 EB 16 8B D3 4A 89 55 F4 85 C0 75 0C C6 45 FB 01 80 7F 16 01 74 02 8B F3 3B 75 F4 7E BF 8B 45 FC 89 30 8A 45 FB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9887_0 {
	meta:
		name = "TCurrencyArray.IndexOf"
		size = 112
		refs = "0026 TCurrencyArray.GetItem 0057 TCurrencyArray.Find"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B FA 8B D8 80 7B 14 00 75 3B 8B 73 10 4E 85 F6 7C 2A 46 C7 04 24 00 00 00 00 8B 14 24 8B C3 E8 ?? ?? ?? ?? DF 7C 24 04 9B 8B D7 8D 44 24 04 FF 53 18 85 C0 74 2A FF 04 24 4E 75 DE C7 04 24 FF FF FF FF EB 1B FF 77 04 FF 37 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9888_0 {
	meta:
		name = "TSmallIntArray.Create"
		size = 61
		refs = "000d @ClassCreate 001c TBaseArray.Create 0023 _NF__D0"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 02 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9893_0 {
	meta:
		name = "TWordArray.Create"
		size = 61
		refs = "000d @ClassCreate 001c TBaseArray.Create 0023 _NF__CF"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 02 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9889_0 {
	meta:
		name = "TSmallIntArray.PutItem"
		size = 131
		refs = "0015 TBaseArray.GetAutoSize 002f TBaseArray.Grow 0037 TSmallIntArray.PutItem 0059 @HandleAnyException 0061 TBaseArray.InternalHandleException 0066 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 55 F8 66 89 1C 50 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 48 3B 45 F8 7D 06 8B 45 FC FF 40 10 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9894_0 {
	meta:
		name = "TWordArray.PutItem"
		size = 131
		refs = "0015 TBaseArray.GetAutoSize 002f TBaseArray.Grow 0037 TWordArray.PutItem 0059 @HandleAnyException 0061 TBaseArray.InternalHandleException 0066 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 55 F8 66 89 1C 50 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 48 3B 45 F8 7D 06 8B 45 FC FF 40 10 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9890_0 {
	meta:
		name = "TSmallIntArray.GetItem"
		size = 101
		refs = "001a TBaseArray.ValidIndex 0026 TSmallIntArray.GetItem 0049 @HandleAnyException 0051 TBaseArray.InternalHandleException 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 66 C7 45 FA 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 66 8B 04 58 66 89 45 FA 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 FA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9895_0 {
	meta:
		name = "TWordArray.GetItem"
		size = 101
		refs = "001a TBaseArray.ValidIndex 0026 TWordArray.GetItem 0049 @HandleAnyException 0051 TBaseArray.InternalHandleException 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 66 C7 45 FA 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 66 8B 04 58 66 89 45 FA 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 FA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9891_0 {
	meta:
		name = "TSmallIntArray.Add"
		size = 81
		refs = "0022 TBaseArray.FindItem 0038 _NF__D6 0045 TBaseArray.InsertAt"
	strings:
		$1 = { 53 83 C4 F8 66 89 14 24 8B D8 80 7B 14 00 75 09 8B 43 10 89 44 24 04 EB 23 8B CC 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8A 43 16 2C 01 72 18 FE C8 74 02 EB 05 E8 ?? ?? ?? ?? 8B CC 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_9896_0 {
	meta:
		name = "TWordArray.Add"
		size = 83
		refs = "0024 TWordArray.Find 003a _NF__D6 0047 TBaseArray.InsertAt"
	strings:
		$1 = { 53 83 C4 F8 66 89 14 24 8B D8 80 7B 14 00 75 09 8B 43 10 89 44 24 04 EB 25 8D 54 24 04 66 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8A 43 16 2C 01 72 18 FE C8 74 02 EB 05 E8 ?? ?? ?? ?? 8B CC 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_9898_0 {
	meta:
		name = "TWordArray.Find"
		size = 113
		refs = "002b TWordArray.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 66 89 4C 24 04 89 14 24 8B F8 C6 44 24 06 00 33 F6 8B 6F 10 4D 3B EE 7C 40 8D 5C 35 00 D1 EB 8B D3 8B C7 E8 ?? ?? ?? ?? 66 89 44 24 08 8D 54 24 04 8D 44 24 08 FF 57 18 85 C0 7D 05 8D 73 01 EB 14 8B EB 4D 85 C0 75 0D C6 44 24 06 01 80 7F 16 01 74 02 8B F3 3B EE 7D C0 8B 04 24 89 30 8A 44 24 06 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9899_0 {
	meta:
		name = "TWordArray.IndexOf"
		size = 107
		refs = "0026 TWordArray.GetItem 0053 TWordArray.Find"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B D8 80 7B 14 00 75 3B 8B 73 10 4E 85 F6 7C 2A 46 C7 04 24 00 00 00 00 8B 14 24 8B C3 E8 ?? ?? ?? ?? 66 89 44 24 04 8B D7 8D 44 24 04 FF 53 18 85 C0 74 26 FF 04 24 4E 75 DE C7 04 24 FF FF FF FF EB 17 66 8B 0F 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9900_0 {
	meta:
		name = "TPointerArray.Create"
		size = 68
		refs = "000d @ClassCreate 001c TBaseArray.Create 0021 TPointerArray.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 04 33 D2 8B C6 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 46 15 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_9901_0 {
	meta:
		name = "TPointerArray.CopyFrom"
		size = 121
		refs = "0020 TBaseArray.ValidateBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D 08 00 74 59 8D 4D 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 48 8B 4D 08 8B 55 F8 8B C6 8B 18 FF 53 0C 8B 46 04 89 45 F0 8B 7D 08 4F 85 FF 7C 29 47 C7 45 F4 00 00 00 00 8B 5D FC 8B 13 8B C6 8B 08 FF 51 30 8B 55 F8 03 55 F4 8B 4D F0 89 04 91 FF 45 F4 83 C3 04 4F 75 E2 C6 46 14 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9902_0 {
	meta:
		name = "TPointerArray.CopyTo"
		size = 100
		refs = "001f TBaseArray.ValidateBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B DA 8B F8 83 7D 08 00 74 45 8D 4D 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 34 8B 47 04 89 45 F4 8B 75 08 4E 85 F6 7C 26 46 C7 45 F8 00 00 00 00 8B 45 FC 03 45 F8 8B 55 F4 8B 14 82 8B C7 8B 08 FF 51 30 89 03 FF 45 F8 83 C3 04 4E 75 E2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9903_0 {
	meta:
		name = "TPointerArray.PutData"
		size = 80
		refs = "000e TBaseArray.ValidIndex 0024 TBaseArray.HasFlag"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 36 8B 43 04 83 3C B0 00 74 1A 33 D2 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 43 04 8B 14 B0 8B C3 8B 08 FF 51 34 8B D7 8B C3 8B 08 FF 51 30 8B 53 04 89 04 B2 C6 43 14 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9904_0 {
	meta:
		name = "TPointerArray.GetData"
		size = 33
		refs = "000b TBaseArray.ValidIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B 43 04 8B 04 B0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_9906_0 {
	meta:
		name = "TPointerArray.InvalidateItems"
		size = 118
		refs = "0018 TBaseArray.HasFlag 0027 TBaseArray.ValidateBounds 003f TPointerArray.GetData 0068 TBaseArray.PutItem"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 0C 24 8B F2 8B D8 83 3C 24 00 7E 5D 33 D2 8B C3 E8 ?? ?? ?? ?? 84 C0 74 50 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 41 8B 3C 24 03 FE 4F 2B FE 7C 37 47 8B D6 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 83 7C 24 04 00 74 1E 8B 54 24 04 8B C3 8B 08 FF 51 34 33 C0 89 44 24 04 8D 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 CA 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9908_0 {
	meta:
		name = "TStringArray.Create"
		size = 76
		refs = "000d @ClassCreate 001c TBaseArray.Create 0021 TStringArray.Create 002b _NF__D5"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 08 33 D2 8B C6 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 46 15 C7 46 18 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_9909_0 {
	meta:
		name = "TStringArray.Add"
		size = 157
		refs = "0015 TStringArray.Add 0035 TStringArray.Find 004e sDuplicateString 0053 LoadResString 005d _DV_EArrayError 0062 Exception.Create 0067 @RaiseExcept 0073 _NF__211 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 14 00 75 08 8B 43 10 89 45 FC EB 3E 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2E 8A 43 16 2C 01 72 33 FE C8 74 02 EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9910_0 {
	meta:
		name = "TStringArray.Exchange"
		size = 49
		refs = "001e _NF__D7 0029 _NF__200"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 0E 3B 73 10 7D 09 85 FF 7C 05 3B 7B 10 7C 07 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9911_0 {
	meta:
		name = "_NF__200"
		size = 35
	strings:
		$1 = { 53 8B 58 04 8D 14 D3 8B 40 04 8D 04 C8 8B 0A 8B 18 89 1A 89 08 8B 4A 04 8B 58 04 89 5A 04 89 48 04 5B C3 }
	condition:
		$1
}

rule function_9912_0 {
	meta:
		name = "TStringArray.Find"
		size = 166
		refs = "0015 @LStrAddRef 001d TStringArray.Find 0090 @LStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 33 F6 8B 47 10 48 89 45 F0 3B 75 F0 7F 41 8B 5D F0 03 DE D1 EB 8D 55 FC 8B 47 04 8D 04 D8 FF 57 18 66 89 45 EE 66 83 7D EE 00 7D 05 8D 73 01 EB 19 8B C3 48 89 45 F0 66 83 7D EE 00 75 0C C6 45 F7 01 80 7F 16 01 74 02 8B F3 3B 75 F0 7E BF 8B 45 F8 89 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9913_0 {
	meta:
		name = "TStringArray.GetObject"
		size = 35
		refs = "000e TBaseArray.ValidIndex"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 33 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B 43 04 8B 7C F0 04 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9914_0 {
	meta:
		name = "TStringArray.Grow"
		size = 49
		refs = "002c TBaseArray.SetCapacity"
	strings:
		$1 = { 8B 50 08 83 FA 40 7E 0E 8B CA 85 C9 79 03 83 C1 03 C1 F9 02 EB 11 83 FA 08 7E 07 B9 10 00 00 00 EB 05 B9 04 00 00 00 03 CA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9915_0 {
	meta:
		name = "TStringArray.IndexOf"
		size = 157
		refs = "0016 TStringArray.IndexOf 003f TStringArray.GetString 0067 TStringArray.Find 0087 @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 14 00 75 39 8B 73 10 4E 85 F6 7C 28 46 C7 45 FC 00 00 00 00 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D7 8D 45 F8 FF 53 18 66 85 C0 74 26 FF 45 FC 4E 75 E0 C7 45 FC FF FF FF FF EB 17 8D 4D FC 8B 17 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 45 FC FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9916_0 {
	meta:
		name = "TStringArray.Insert"
		size = 148
		refs = "0014 TStringArray.Insert 0024 @VarToLStr 0032 sSortedListError 0037 LoadResString 0041 _DV_EArrayError 0046 Exception.Create 004b @RaiseExcept 005b _NF__D7 0067 _NF__211 0081 @LStrArrayClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 80 7B 14 00 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 05 3B 73 10 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9917_0 {
	meta:
		name = "_NF__211"
		size = 222
		refs = "0037 _NF__211 0062 Move 0071 @HandleAnyException 0079 TBaseArray.InternalHandleException 007e @DoneExcept 00b1 @LStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC 8B 10 FF 52 14 8B 45 FC 8B 40 10 3B 45 F8 7E 4F 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 52 04 8B 4D F8 8D 54 CA 08 8B 4D FC 8B 49 04 8B 5D F8 8D 0C D9 2B 45 F8 C1 E0 03 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 04 8B 45 F8 33 D2 89 54 C3 04 8B 45 F8 33 D2 89 14 C3 8B 45 F8 8D 04 C3 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC FF 40 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9918_0 {
	meta:
		name = "TStringArray.PutString"
		size = 185
		refs = "0019 TStringArray.PutString 0030 sSortedListError 0035 LoadResString 003f _DV_EArrayError 0044 Exception.Create 0049 @RaiseExcept 0053 TBaseArray.ValidIndex 0075 @LStrAsg 0084 @HandleAnyException 008c TBaseArray.InternalHandleException 0091 @DoneExcept 00a6 @LStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 14 00 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8D 04 D8 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9919_0 {
	meta:
		name = "TStringArray.GetString"
		size = 81
		refs = "0011 TStringArray.GetString 0027 @LStrLAsg 0036 @HandleAnyException 003e TBaseArray.Clear 0043 @RaiseAgain 0048 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 55 FC 8B 52 04 8B 14 DA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9920_0 {
	meta:
		name = "TStringArray.PutObject"
		size = 33
		refs = "000e TBaseArray.ValidIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B 43 04 89 7C F0 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9921_0 {
	meta:
		name = "_NF__21D"
		size = 186
		refs = "001a _NF__21D 003c @LStrLAsg 0073 _NF__200 00a7 @LStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 FC 8B 7D F8 8D 45 F4 8B 55 FC 03 55 F8 D1 EA 8B 4B 04 8B 14 D1 E8 ?? ?? ?? ?? EB 01 46 8D 55 F4 8B 43 04 8D 04 F0 FF 53 18 66 85 C0 7C EE EB 01 4F 8D 55 F4 8B 43 04 8D 04 F8 FF 53 18 66 85 C0 7F EE 3B FE 7C 0D 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 3B FE 7D C6 3B 7D FC 7E 0C 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 75 FC 3B 75 F8 7C 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9922_0 {
	meta:
		name = "TStringArray.Sort"
		size = 24
		refs = "0013 _NF__21D"
	strings:
		$1 = { 80 78 14 00 74 11 83 78 10 01 7E 0B 8B 48 10 49 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9923_0 {
	meta:
		name = "_NF__221"
		size = 145
		refs = "0017 _NF__221 0046 TStringArray.GetString 0050 TStringArray.Add 0067 @HandleFinally 007e @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 10 4B 85 DB 7C 1E 43 33 F6 8D 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 46 4B 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9924_0 {
	meta:
		name = "TStringArray.Assign"
		size = 90
		refs = "000d _DV_TStringArray 0012 @IsClass 001e TStringArray.Assign 002b TBaseArray.Clear 0034 _NF__221 0047 @HandleFinally 0052 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9925_0 {
	meta:
		name = "TStringArray.InvalidateItems"
		size = 18
		refs = "0008 TStringItem 000d @FinalizeArray"
	strings:
		$1 = { 8B 40 04 8D 04 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9926_0 {
	meta:
		name = "_NF__229"
		size = 452
		refs = "001a _NF__229 0079 @LStrLAsg"
	strings:
		$1 = { 53 8B DA 83 F8 0C 7F 42 0F 84 A9 00 00 00 83 F8 0A 0F 87 E6 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 E8 11 74 76 2D EE 0F 00 00 74 7D 2D 01 10 00 00 0F 84 80 00 00 00 2D 00 20 00 00 0F 84 83 00 00 00 E9 8C 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 FF FF FF FF 05 00 00 00 45 6D 70 74 79 00 00 00 FF FF FF FF 04 00 00 00 4E 75 6C 6C 00 00 00 00 FF FF FF FF 06 00 00 00 4F 6C 65 53 74 72 00 00 FF FF FF FF 08 00 00 00 44 69 73 70 61 74 63 68 00 00 00 00 FF FF FF FF 05 00 00 00 45 72 72 6F 72 00 00 00 FF FF FF FF 07 00 00 00 56 61 72 69 61 6E 74 00 FF FF FF FF 04 00 00 00 42 79 74 65 00 00 00 00 FF FF FF FF 08 00 00 00 54 79 70 65 4D 61 73 6B 00 00 00 00 FF FF FF FF 05 00 00 00 41 72 72 61 79 00 00 00 FF FF FF FF 05 00 00 00 42 79 52 65 66 00 00 00 FF FF FF FF 07 00 00 00 55 6E 6B 6E 6F 77 6E 00 }
	condition:
		$1
}

rule function_9927_0 {
	meta:
		name = "TCustomArray.Create"
		size = 324
		refs = "000f @ClassCreate 0029 @VarFromInt 0031 TCustomArray.Create 0036 @LStrAsg 0085 _DV_TSmallIntArray 008a TSmallIntArray.Create 009d _DV_TIntArray 00a2 TIntArray.Create 00b2 _DV_TDoubleArray 00b7 TDoubleArray.Create 00c7 _DV_TWordArray 00cc TWordArray.Create 00dc _DV_TStringArray 00e1 TStringArray.Create 00f1 _DV_TSingleArray 00f6 TSingleArray.Create 0106 _DV_TCurrencyArray 010b TCurrencyArray.Create 011a _NF__232"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 89 73 04 8D 43 10 BA F0 14 F6 FF E8 ?? ?? ?? ?? 8D 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 43 20 02 00 33 C0 89 43 24 83 FE 06 7F 1D 0F 84 AF 00 00 00 83 EE 02 74 29 4E 74 3E 4E 0F 84 8B 00 00 00 4E 74 49 E9 AD 00 00 00 83 EE 07 74 3F 83 EE 04 74 4F 81 EE F5 00 00 00 74 5C E9 96 00 00 00 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 E9 88 00 00 00 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 EB 73 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 EB 5E 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 EB 49 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 EB 34 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 EB 1F 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 EB 0A 8B 53 04 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_9928_0 {
	meta:
		name = "TCustomArray.Destroy"
		size = 60
		refs = "0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 08 00 74 0F B2 01 8B 46 08 8B 08 FF 51 FC 33 C0 89 46 08 33 C0 89 46 04 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9929_0 {
	meta:
		name = "_NF__232"
		size = 132
		refs = "0015 _NF__232 0025 _NF__229 003d sUnsupportedDataType 0042 LoadResString 004c _DV_EUnsupportedTypeError 0051 Exception.CreateFmt 0056 @RaiseExcept 006b @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 4D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9930_0 {
	meta:
		name = "TCustomArray.GetMemberCount"
		size = 7
	strings:
		$1 = { 8B 40 08 8B 40 10 C3 }
	condition:
		$1
}

rule function_9931_0 {
	meta:
		name = "TCustomArray.GetItem"
		size = 343
		refs = "001a TCustomArray.GetItem 006c TSmallIntArray.GetItem 0076 @VarFromInt 0085 TDoubleArray.GetItem 008d @VarFromReal 009c VarAsType 00ab TIntArray.GetItem 00d3 TWordArray.GetItem 00ec TStringArray.GetString 00f6 @VarFromLStr 0102 TSingleArray.GetItem 0115 TCurrencyArray.GetItem 011c @VarFromCurr 0127 _NF__232 013c @LStrClr 0144 @VarClr 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B D0 83 FA 06 7F 1D 0F 84 DB 00 00 00 83 EA 02 74 2D 4A 74 69 4A 0F 84 B9 00 00 00 4A 74 74 E9 D7 00 00 00 83 EA 07 74 2F 83 EA 04 74 78 81 EA F5 00 00 00 0F 84 82 00 00 00 E9 BC 00 00 00 8B D6 8B 43 08 E8 ?? ?? ?? ?? 0F BF D0 8B C7 E8 ?? ?? ?? ?? E9 AC 00 00 00 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B CF 8D 45 F0 BA 07 00 00 00 E8 ?? ?? ?? ?? E9 86 00 00 00 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 71 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 5E 8B D6 8B 43 08 E8 ?? ?? ?? ?? 0F B7 D0 8B C7 E8 ?? ?? ?? ?? EB 48 8D 4D EC 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? EB 2F 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 1C 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9932_0 {
	meta:
		name = "TCustomArray.GetDouble"
		size = 21
		refs = "0007 TDoubleArray.GetItem"
	strings:
		$1 = { 83 C4 F8 8B 40 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_9933_0 {
	meta:
		name = "TCustomArray.GetCurrency"
		size = 21
		refs = "0007 TCurrencyArray.GetItem"
	strings:
		$1 = { 83 C4 F8 8B 40 08 E8 ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A C3 }
	condition:
		$1
}

rule function_9935_0 {
	meta:
		name = "TCustomArray.IsBlank"
		size = 187
		refs = "0014 TCustomArray.IsBlank 003a TDoubleArray.GetItem 0042 @VarFromReal 004d @VarCmp 0061 TStringArray.GetString 006c @LStrCmp 007d TWordArray.GetItem 009f @LStrClr 00a7 @VarClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 83 E8 07 74 0E 83 E8 04 74 4C 2D F5 00 00 00 74 26 EB 58 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8D 53 10 E8 ?? ?? ?? ?? 0F 94 C0 8B D8 EB 36 8D 4D EC 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 45 EC 8B 53 0C E8 ?? ?? ?? ?? 0F 94 C0 8B D8 EB 17 8B D6 8B 43 08 E8 ?? ?? ?? ?? 66 3B 43 20 0F 94 C0 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9936_0 {
	meta:
		name = "TCustomArray.SetItem"
		size = 612
		refs = "002b @VarAddRef 0033 TCustomArray.SetItem 009a VarAsType 00a7 @VarFromLStr 00c5 @VarFromInt 015d @DispInvoke 0168 @VarToInt 0174 TSmallIntArray.PutItem 0189 TDoubleArray.PutItem 01a2 TIntArray.PutItem 01ac @VarToReal 01d3 TWordArray.PutItem 01fd TSingleArray.PutItem 0207 @VarToCurr 0218 TCurrencyArray.PutItem 0223 _NF__232 0238 @VarClr 0246 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D DC 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 75 F0 8D 7D E0 B9 04 00 00 00 F3 A5 5E 66 8B 45 E0 0F B7 C8 8B 53 04 3B CA 0F 84 AB 00 00 00 66 83 E8 02 72 0F 66 83 E8 03 0F 84 86 00 00 00 E9 96 00 00 00 FF 43 24 8B 7B 04 8B C7 83 E8 07 74 0E 83 E8 04 74 38 2D F5 00 00 00 74 14 EB 4D 8D 4D F0 8D 43 10 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 69 8D 45 D0 8B 53 0C E8 ?? ?? ?? ?? 8D 45 D0 8D 4D F0 BA 00 01 00 00 E8 ?? ?? ?? ?? EB 4C 8D 45 D0 0F B7 53 20 E8 ?? ?? ?? ?? 8D 45 D0 8D 4D F0 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 2E 8D 45 D0 33 D2 E8 ?? ?? ?? ?? 8D 45 D0 8D 4D F0 8B D7 E8 ?? ?? ?? ?? EB 15 83 FA 06 75 10 8D 4D F0 8D 45 F0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B D0 83 FA 06 7F 1D 0F 84 EA 00 00 00 83 EA 02 74 31 4A 74 71 4A 0F 84 C0 00 00 00 4A 74 7D E9 EE 00 00 00 83 EA 07 74 48 83 EA 04 0F 84 85 00 00 00 81 EA F5 00 00 00 0F 84 8F 00 00 00 E9 CF 00 00 00 68 ?? ?? ?? ?? 8D 45 F0 50 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 45 D0 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 08 E8 ?? ?? ?? ?? E9 AA 00 00 00 FF 75 FC FF 75 F8 8B D6 8B 43 08 E8 ?? ?? ?? ?? E9 95 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 08 E8 ?? ?? ?? ?? EB 7F 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D6 8B 43 08 E8 ?? ?? ?? ?? EB 64 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 08 E8 ?? ?? ?? ?? EB 4E 8D 4D F0 8B D6 8B 43 08 8B 18 FF 53 1C EB 3F 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B D6 8B 43 08 E8 ?? ?? ?? ?? EB 24 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B D6 8B 43 08 E8 ?? ?? ?? ?? EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 01 00 00 56 53 6D 61 6C 6C 49 6E 74 00 00 00 00 }
	condition:
		$1
}

rule function_9937_0 {
	meta:
		name = "TCustomArray.IndexOf"
		size = 551
		refs = "0038 @VarAddRef 0040 TCustomArray.IndexOf 00a3 @VarCast 012e @LStrLAsg 019f @VarFromInt 01aa @VarCmp 01e2 _NF__232 01f8 Variant 0202 @FinalizeArray 020a @LStrClr 0212 @VarClr 0218 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 C9 89 4D AC 89 4D B0 89 4D B4 89 4D B8 89 4D F0 89 4D F4 89 4D F8 89 4D FC 89 4D EC 8B F2 8D 7D BC B9 04 00 00 00 F3 A5 8B D8 8D 45 BC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CE FF 8B 43 04 8B D0 83 FA 06 7F 21 0F 84 0C 01 00 00 83 EA 02 74 35 4A 0F 84 86 00 00 00 4A 0F 84 D4 00 00 00 4A 74 4E E9 65 01 00 00 83 EA 07 74 44 83 EA 04 0F 84 0E 01 00 00 81 EA F5 00 00 00 0F 84 85 00 00 00 E9 46 01 00 00 B9 02 00 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 66 8B 45 F8 66 89 45 E6 8D 55 E6 8B 43 08 8B 08 FF 51 28 8B F0 E9 25 01 00 00 B9 05 00 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 89 45 DC 8B 45 FC 89 45 E0 8D 55 DC 8B 43 08 8B 08 FF 51 28 8B F0 E9 F7 00 00 00 B9 03 00 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 89 45 E8 8D 55 E8 8B 43 08 8B 08 FF 51 28 8B F0 E9 CF 00 00 00 B9 00 01 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 EC 8B 43 08 8B 08 FF 51 28 8B F0 E9 A2 00 00 00 B9 04 00 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 89 45 D8 8D 55 D8 8B 43 08 8B 08 FF 51 28 8B F0 EB 7D B9 06 00 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 89 45 D0 8B 45 FC 89 45 D4 8D 55 D0 8B 43 08 8B 08 FF 51 28 8B F0 EB 52 8D 45 AC 66 8B 73 20 0F B7 D6 E8 ?? ?? ?? ?? 8D 55 AC 8D 45 BC E8 ?? ?? ?? ?? 75 06 66 89 75 CE EB 18 B9 0B 00 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 66 8B 45 F8 66 89 45 CE 8D 55 CE 8B 43 08 8B 08 FF 51 28 8B F0 EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9938_0 {
	meta:
		name = "TCustomArray.Assign"
		size = 181
		refs = "00ac _NF__232"
	strings:
		$1 = { 55 8B EC 56 8B F0 84 C9 74 07 8B 46 08 C6 40 14 02 80 7D 08 00 74 07 8B 46 08 C6 40 16 00 8B 46 04 8B C8 83 F9 06 7F 12 74 70 83 E9 02 74 2A 49 74 34 49 74 58 49 74 3B EB 6D 83 E9 07 74 34 83 E9 04 74 3C 81 E9 F5 00 00 00 75 5B 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 57 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 4A 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 3D 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 30 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 23 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 16 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 09 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_9939_0 {
	meta:
		name = "TCustomArray.Add"
		size = 507
		refs = "002c @VarAddRef 0034 TCustomArray.Add 009c VarAsType 00a9 @VarFromLStr 00c7 @VarFromInt 0147 VarToStr 0152 TStringArray.Add 0162 TSmallIntArray.Add 0171 TIntArray.Add 0183 TDoubleArray.Add 0193 TWordArray.Add 01a2 TSingleArray.Add 01b4 TCurrencyArray.Add 01c1 _NF__232 01d6 @LStrClr 01de @VarClr 01ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 89 4D D0 89 4D D4 89 4D D8 89 4D DC 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 75 F0 8D 7D E0 B9 04 00 00 00 F3 A5 83 CE FF 66 8B 45 E0 0F B7 C8 8B 53 04 3B CA 0F 84 AB 00 00 00 66 83 E8 02 72 0F 66 83 E8 03 0F 84 86 00 00 00 E9 96 00 00 00 FF 43 24 8B 7B 04 8B C7 83 E8 07 74 0E 83 E8 04 74 38 2D F5 00 00 00 74 14 EB 4D 8D 4D F0 8D 43 10 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 69 8D 45 D0 8B 53 0C E8 ?? ?? ?? ?? 8D 45 D0 8D 4D F0 BA 00 01 00 00 E8 ?? ?? ?? ?? EB 4C 8D 45 D0 0F B7 53 20 E8 ?? ?? ?? ?? 8D 45 D0 8D 4D F0 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 2E 8D 45 D0 33 D2 E8 ?? ?? ?? ?? 8D 45 D0 8D 4D F0 8B D7 E8 ?? ?? ?? ?? EB 15 83 FA 06 75 10 8D 4D F0 8D 45 F0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B D0 83 FA 06 7F 19 0F 84 8F 00 00 00 83 EA 02 74 3A 4A 74 47 4A 74 75 4A 74 50 E9 8E 00 00 00 83 EA 07 74 46 83 EA 04 74 53 81 EA F5 00 00 00 75 7C 8D 55 CC 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 CC 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 6B 66 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 5B 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 4C FF 75 FC FF 75 F8 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 3A 66 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 2A FF 75 F8 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 1B FF 75 FC FF 75 F8 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9940_0 {
	meta:
		name = "TCustomArray.GetCompProc"
		size = 7
	strings:
		$1 = { 8B 40 08 8B 40 18 C3 }
	condition:
		$1
}

rule function_9941_0 {
	meta:
		name = "TCustomArray.SetCompProc"
		size = 7
	strings:
		$1 = { 8B 40 08 89 50 18 C3 }
	condition:
		$1
}

rule function_9942_0 {
	meta:
		name = "TCustomArray.SetSize"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 08 8B 08 FF 51 10 5E C3 }
	condition:
		$1
}

rule function_9943_0 {
	meta:
		name = "TCustomArray.MemoryUsage"
		size = 13
	strings:
		$1 = { 8B 50 08 8B 4A 08 0F AF 4A 0C 8B C1 C3 }
	condition:
		$1
}

rule function_9944_0 {
	meta:
		name = "TCustomArray.GetSort"
		size = 11
	strings:
		$1 = { 8B 40 08 80 78 14 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_9945_0 {
	meta:
		name = "TCustomArray.SetSort"
		size = 8
	strings:
		$1 = { 8B 40 08 C6 40 14 02 C3 }
	condition:
		$1
}

rule function_9946_0 {
	meta:
		name = "TCustomArray.GetDups"
		size = 7
	strings:
		$1 = { 8B 40 08 8A 40 16 C3 }
	condition:
		$1
}

rule function_9947_0 {
	meta:
		name = "TCustomArray.SetDups"
		size = 7
	strings:
		$1 = { 8B 40 08 88 50 16 C3 }
	condition:
		$1
}

rule function_9948_0 {
	meta:
		name = "TCustomArray.ConvertVar"
		size = 288
		refs = "002d @VarAddRef 0035 TCustomArray.ConvertVar 0087 VarAsType 0094 @VarFromLStr 00ae @VarFromInt 00ed _NF__232 0103 Variant 010d @FinalizeArray 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 8B 45 F0 8B D0 66 FF CA 74 1D 4A 66 83 EA 06 0F 82 83 00 00 00 66 83 EA 03 74 7D 66 81 EA F5 00 74 76 E9 80 00 00 00 8B 7B 04 8B C7 83 E8 07 74 0E 83 E8 04 74 30 2D F5 00 00 00 74 10 EB 41 8B CE 8D 43 10 8B D7 E8 ?? ?? ?? ?? EB 64 8D 45 E0 8B 53 0C E8 ?? ?? ?? ?? 8D 45 E0 8B CE 8B D7 E8 ?? ?? ?? ?? EB 4B 8D 45 E0 0F B7 53 20 E8 ?? ?? ?? ?? 8D 45 E0 8B CE 8B D7 E8 ?? ?? ?? ?? EB 31 8D 45 E0 33 D2 E8 ?? ?? ?? ?? 8D 45 E0 8B CE 8B D7 E8 ?? ?? ?? ?? EB 19 8B CE 8D 45 F0 8B 53 04 E8 ?? ?? ?? ?? EB 0A 0F B7 D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9949_0 {
	meta:
		name = "TTwoDimArray.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 04 33 C0 89 46 08 33 C0 89 46 10 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9950_0 {
	meta:
		name = "TTwoDimArray.Destroy"
		size = 171
		refs = "001a TTwoDimArray.Destroy 004c TObject.Free 007b @FreeMem 0081 @HandleFinally 0091 TObject.Destroy 009f @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 55 FB 89 45 FC 8B 45 FC 83 78 10 00 74 71 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 08 4B 83 FB 00 72 31 8B 45 FC 8B 40 10 8B 04 98 8B 40 08 8B 55 FC 29 42 0C 8B 45 FC 8B 40 10 8B 04 98 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 33 D2 89 14 98 4B 83 FB FF 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8A 55 FB 80 E2 FE 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9951_0 {
	meta:
		name = "TTwoDimArray.SetSize"
		size = 118
		refs = "0018 _NV__C8 001e _NV__C7 0025 _NF__CE 0030 @GetMem 0053 _DV_TSmallIntArray 0058 TSmallIntArray.Create"
	strings:
		$1 = { 53 56 57 55 8B D8 89 53 04 8B C1 89 43 08 8B D0 C1 E2 02 89 53 0C 03 15 ?? ?? ?? ?? 3B 15 ?? ?? ?? ?? 7E 05 E8 ?? ?? ?? ?? 8B 43 08 C1 E0 02 E8 ?? ?? ?? ?? 89 43 10 8B 43 0C 01 05 ?? ?? ?? ?? 8B 7B 08 4F 85 FF 72 29 47 33 F6 6A 00 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B 43 10 89 2C B0 8B 43 10 8B 45 08 01 43 0C 46 4F 75 DA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9952_0 {
	meta:
		name = "TTwoDimArray.GetElement"
		size = 193
		refs = "0015 TTwoDimArray.GetElement 0039 sRowOutOfRange 003e LoadResString 0048 _DV_EDynArrayRangeError 004d Exception.CreateFmt 0052 @RaiseExcept 0070 sColOutOfRange 0096 TSmallIntArray.GetItem 00ad @LStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 7C 05 3B 58 04 76 2E 89 5D F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 05 3B 70 08 76 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 10 8B 04 B0 8B D3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9953_0 {
	meta:
		name = "TTwoDimArray.SetElement"
		size = 195
		refs = "0015 TTwoDimArray.SetElement 0039 sRowOutOfRange 003e LoadResString 0048 _DV_EDynArrayRangeError 004d Exception.CreateFmt 0052 @RaiseExcept 0070 sColOutOfRange 009a TSmallIntArray.PutItem 00af @LStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 7C 05 3B 58 04 76 2E 89 5D F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 05 3B 70 08 76 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 10 8B 04 B0 66 8B 4D 08 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9954_0 {
	meta:
		name = "TIndexArray.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 0C 33 C0 89 46 08 33 C0 89 46 04 C6 46 10 00 33 C0 89 46 14 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9955_0 {
	meta:
		name = "TIndexArray.Destroy"
		size = 177
		refs = "001a TIndexArray.Destroy 0052 TObject.Free 0081 @FreeMem 0087 @HandleFinally 0097 TObject.Destroy 00a5 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 55 FB 89 45 FC 8B 45 FC 83 78 14 00 74 77 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 08 85 C0 7E 39 8B D8 4B 83 FB 00 72 31 8B 45 FC 8B 40 14 8B 04 98 8B 40 08 8B 55 FC 29 42 04 8B 45 FC 8B 40 14 8B 04 98 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 33 D2 89 14 98 4B 83 FB FF 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8A 55 FB 80 E2 FE 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9956_0 {
	meta:
		name = "TIndexArray.SetSize"
		size = 60
		refs = "0012 _NV__C8 0018 _NV__C7 001f _NF__CE 002a @GetMem"
	strings:
		$1 = { 53 8B D8 8B C2 89 43 0C 8B D0 C1 E2 02 89 53 04 03 15 ?? ?? ?? ?? 3B 15 ?? ?? ?? ?? 7E 05 E8 ?? ?? ?? ?? 8B 43 0C C1 E0 02 E8 ?? ?? ?? ?? 89 43 14 8B 43 04 01 05 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9957_0 {
	meta:
		name = "TIndexArray.Expand"
		size = 168
		refs = "003b TIndexArray.Expand 0058 _NF__CD 0061 _NF__CE 006e @ReallocMem 0074 _NV__C8 0083 @HandleAnyException 008e @FreeMem 0093 @RaiseAgain 0098 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 0C 83 F8 40 7E 07 8B D0 C1 EA 02 EB 11 83 F8 08 7E 07 BA 10 00 00 00 EB 05 BA 04 00 00 00 8B D8 03 DA 8B F8 3B C3 74 6B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 C1 E6 02 8B 45 FC 89 70 04 8B D6 8B C7 C1 E0 02 E8 ?? ?? ?? ?? 84 C0 74 05 E8 ?? ?? ?? ?? 8B D6 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 01 35 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 58 0C 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9958_0 {
	meta:
		name = "TIndexArray.GetElement"
		size = 31
		refs = "0012 _NF__D7"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 7C 05 3B 5E 0C 76 07 8B C3 E8 ?? ?? ?? ?? 8B 46 14 8B 04 98 5E 5B C3 }
	condition:
		$1
}

rule function_9959_0 {
	meta:
		name = "TIndexArray.SetElement"
		size = 268
		refs = "0018 TIndexArray.SetElement 0033 TIndexArray.Expand 0065 Format 0077 @Assert 0087 _NF__D7 00b3 @LStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 10 00 74 0F 8B 43 08 3B 43 0C 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B 43 0C 7E 3C 8D 45 FC 50 8B 43 08 89 45 EC C6 45 F0 00 8B 43 0C 89 45 F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC B9 4F 09 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 05 3B 73 0C 76 07 8B C6 E8 ?? ?? ?? ?? 8B 43 14 89 3C B0 8B 47 08 01 43 04 8B 43 08 48 3B F0 7E 03 FF 43 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 1A 00 00 00 46 43 6F 75 6E 74 20 3D 20 25 64 20 46 43 61 70 61 63 69 74 79 20 3D 20 25 64 00 00 FF FF FF FF 17 00 00 00 43 3A 5C 74 70 5C 78 74 61 62 5C 4D 58 41 52 52 41 59 53 2E 50 41 53 00 }
	condition:
		$1
}

rule function_9960_0 {
	meta:
		name = "TIndexArray.Add"
		size = 248
		refs = "0016 TIndexArray.Add 0031 TIndexArray.Expand 0060 Format 0072 @Assert 009c @LStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 10 00 74 0F 8B 43 08 3B 43 0C 75 07 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 3B 7B 0C 7E 39 8D 45 FC 50 89 7D EC C6 45 F0 00 8B 43 0C 89 45 F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC B9 60 09 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 14 8B 53 08 89 34 90 8B 46 08 01 43 04 FF 43 08 8B 5B 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 1A 00 00 00 46 43 6F 75 6E 74 20 3D 20 25 64 20 46 43 61 70 61 63 69 74 79 20 3D 20 25 64 00 00 FF FF FF FF 17 00 00 00 43 3A 5C 74 70 5C 78 74 61 62 5C 4D 58 41 52 52 41 59 53 2E 50 41 53 00 }
	condition:
		$1
}

rule function_9961_0 {
	meta:
		name = "TThreadCustomArray.Create"
		size = 86
		refs = "000e @ClassCreate 001d TObject.Create 0026 InitializeCriticalSection 0033 _DV_TCustomArray 0038 TCustomArray.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 08 50 E8 ?? ?? ?? ?? 8B 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9963_0 {
	meta:
		name = "TThreadCustomArray.Add"
		size = 175
		refs = "001b @VarAddRef 0023 TThreadCustomArray.Add 0031 TThreadCustomArray.LockArray 0054 TCustomArray.IndexOf 0065 TCustomArray.Add 007d TThreadCustomArray.UnlockArray 0083 @HandleFinally 009a @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 57 8B F2 8D 7D E8 B9 04 00 00 00 F3 A5 89 45 FC 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? C7 45 F8 FF FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8D 55 E8 E8 ?? ?? ?? ?? 40 75 11 8B 45 FC 8B 40 04 8D 55 E8 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_9965_0 {
	meta:
		name = "TThreadCustomArray.GetItem"
		size = 84
		refs = "0011 TThreadCustomArray.LockArray 0019 TThreadCustomArray.GetItem 002e TCustomArray.GetItem 0043 TThreadCustomArray.UnlockArray 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9966_0 {
	meta:
		name = "TThreadCustomArray.MemoryUsage"
		size = 80
		refs = "000d TThreadCustomArray.LockArray 0015 TThreadCustomArray.MemoryUsage 003d TThreadCustomArray.UnlockArray 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 10 FF 12 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_9969_0 {
	meta:
		name = "mxarrays"
		size = 27
		refs = "0002 _NV__C6 000a _NF__C9 000f _NV__C7 0016 _NV__C8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9970_0 {
	meta:
		name = "TPivotButton.Create"
		size = 184
		refs = "000a @ClassCreate 0017 TSpeedButton.Create 0020 _NF__130 0029 TSpeedButton.SetAllowAllUp 0032 TControl.SetEnabled 003b TControl.SetText 0044 TSpeedButton.SetGroupIndex 0049 TPivotButton.Create 004e HInstance 0056 LoadCursor 005d Screen 0069 TScreen.SetCursors"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B C8 A1 ?? ?? ?? ?? 8B 00 BA 64 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B C8 A1 ?? ?? ?? ?? 8B 00 BA 65 00 00 00 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 44 49 4D 4D 4F 56 45 00 44 49 4D 49 4E 53 00 00 }
	condition:
		$1
}

rule function_9971_0 {
	meta:
		name = "TPivotButton.Destroy"
		size = 53
		refs = "000d TObject.Free 0021 TSpeedButton.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 D8 00 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9972_0 {
	meta:
		name = "TPivotButton.SetDecisionSource"
		size = 15
	strings:
		$1 = { 3B 90 D4 00 00 00 74 06 89 90 D4 00 00 00 C3 }
	condition:
		$1
}

rule function_9973_0 {
	meta:
		name = "TPivotButton.SetMyDim"
		size = 12
		refs = "0007 TPivotButton.NewState"
	strings:
		$1 = { 89 90 E8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9974_0 {
	meta:
		name = "TPivotButton.SetType"
		size = 7
	strings:
		$1 = { 88 90 D0 00 00 00 C3 }
	condition:
		$1
}

rule function_9975_0 {
	meta:
		name = "TPivotButton.NewState"
		size = 314
		refs = "0026 TDecisionSource.GetDims 003f TDecisionSource.GetGroup 0056 TDecisionSource.GetValue 006d TDecisionSource.GetState 0084 TDecisionSource.GetRowState 009d TDecisionSource.GetIndex 00ce TControl.SetText 0106 TSpeedButton.SetFlat 0118 TSpeedButton.SetDown 012c _NF__130"
	strings:
		$1 = { 53 56 8B D8 8B B3 E8 00 00 00 85 F6 0F 8C B7 00 00 00 83 BB D4 00 00 00 00 0F 84 AA 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 3B F0 0F 8F 97 00 00 00 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 88 83 FD 00 00 00 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 89 83 F0 00 00 00 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 88 83 EC 00 00 00 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 88 83 FC 00 00 00 33 C9 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 89 83 F4 00 00 00 B1 01 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 89 83 F8 00 00 00 C6 83 D0 00 00 00 00 EB 1D 33 D2 8B C3 E8 ?? ?? ?? ?? C7 83 F4 00 00 00 FF FF FF FF C7 83 F8 00 00 00 FF FF FF FF 8A 83 EC 00 00 00 04 FE 2C 02 72 0F 8A 83 D0 00 00 00 48 2C 03 72 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 80 BB EC 00 00 00 01 75 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_9976_0 {
	meta:
		name = "TPivotButton.CMDesignHitTest"
		size = 76
	strings:
		$1 = { 53 56 57 8B 70 38 8B FE C1 EF 02 0F BF 4A 08 3B F9 7D 30 2B F7 3B CE 7D 2A 0F BF 4A 0A 8B 58 3C C1 EB 02 3B CB 7E 1C 8B 48 3C C1 E9 02 8B 40 3C 2B C1 0F BF 4A 0A 3B C1 7E 09 C7 42 0C 01 00 00 00 EB 05 33 C0 89 42 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9977_0 {
	meta:
		name = "TPivotButton.Click"
		size = 97
		refs = "000a _NF__132 0050 TDecisionSource.ToggleDimIndex"
	strings:
		$1 = { 80 B8 D0 00 00 00 02 75 06 E8 ?? ?? ?? ?? C3 8A 90 D0 00 00 00 84 D2 75 15 8A 88 EC 00 00 00 80 C1 FE 80 E9 02 73 07 E8 ?? ?? ?? ?? EB 32 84 D2 75 24 80 B8 DC 00 00 00 02 74 25 6A 00 8B 88 F4 00 00 00 8A 90 FD 00 00 00 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? EB 0A 80 FA 03 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9978_0 {
	meta:
		name = "TPivotButton.MouseUp"
		size = 78
		refs = "001a _NF__131 003b @CallDynaInst 0044 _NF__130"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 80 BE D0 00 00 00 00 75 0C 80 FB 01 75 07 8B C6 E8 ?? ?? ?? ?? 80 BE D0 00 00 00 01 74 18 84 DB 75 14 80 BE DC 00 00 00 01 75 0B 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9979_0 {
	meta:
		name = "TPivotButton.MouseDown"
		size = 51
		refs = "0018 _NF__130"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB D0 00 00 00 01 74 1F 84 D2 75 1B B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 89 83 E0 00 00 00 8B 45 08 89 83 E4 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9980_0 {
	meta:
		name = "TPivotButton.MouseMove"
		size = 128
		refs = "001a TSpeedButton.MouseMove 006b _NF__130 0074 TControl.BeginDrag"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB DC 00 00 00 01 75 51 80 BB D0 00 00 00 00 75 48 8B C6 2B 83 E0 00 00 00 99 33 C2 2B C2 83 F8 05 7F 24 8B 83 E4 00 00 00 2B C7 99 33 C2 2B C2 83 F8 05 7F 12 85 F6 74 0E 3B 73 38 74 09 85 FF 74 05 3B 7B 3C 75 12 B2 02 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9982_0 {
	meta:
		name = "_NF__130"
		size = 7
	strings:
		$1 = { 88 90 DC 00 00 00 C3 }
	condition:
		$1
}

rule function_9983_0 {
	meta:
		name = "_NF__131"
		size = 307
		refs = "000c _NF__131 003f _DV_TQuickMenu 0044 TQuickMenu.Create 0055 TQuickMenu.Clear 0069 SMovetoCol 006e LoadResString 007e TQuickMenu.AddLine 008e SMovetoRow 00bb sDrilled 0101 _NF__134 010e TQuickMenu.PopUpAtMe 0123 @LStrClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB D0 00 00 00 00 0F 85 EF 00 00 00 8A 83 FD 00 00 00 2C 02 0F 83 E1 00 00 00 83 BB D8 00 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D8 00 00 00 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 8A 83 FD 00 00 00 84 C0 75 21 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC B1 02 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? EB 23 3C 01 75 1F 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC B1 02 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 8A 83 EC 00 00 00 3C 03 74 44 3C 02 74 21 6A 01 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC B1 02 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? EB 1F 6A 01 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 8B 83 D8 00 00 00 89 58 44 C7 40 40 ?? ?? ?? ?? 8B 53 3C 52 33 C9 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9984_0 {
	meta:
		name = "_NF__132"
		size = 968
		refs = "0019 _NF__132 004c _DV_TQuickMenu 0051 TQuickMenu.Create 0062 TQuickMenu.Clear 006d TDecisionSource.GetSums 0088 TDecisionSource.GetSummaryName 0098 TQuickMenu.AddLine 00ac _NF__133 00b9 TQuickMenu.PopUpAtMe 00f9 TDecisionSource.GetDecisionCube 0101 TCollection.GetCount 0120 TCubeDims.GetCubeDim 012b TCubeDim.GetLoaded 01b3 TDecisionSource.GetDimensionMemberCount 021b TDecisionSource.GetMemberAsVariant 0229 TCubeDim.GetBinValues 0234 @VarCopy 023c VarType 0254 FormatVariant 0273 VarArrayLowBound 0281 VarArrayHighBound 02a4 @VarArrayGet 02e6 sMakeDimOpen 02eb LoadResString 0305 SAllValues 0353 TDecisionSource.GetMemberAsString 0399 @VarClr 03a1 @LStrClr 03af @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB D4 00 00 00 00 0F 84 58 03 00 00 8A 83 D0 00 00 00 3C 02 0F 85 84 00 00 00 83 BB D8 00 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D8 00 00 00 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 28 47 33 F6 56 8D 4D DC 8B D6 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC B1 02 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 46 4F 75 DB 8B 83 D8 00 00 00 89 58 44 C7 40 40 ?? ?? ?? ?? 8B 53 3C 52 33 C9 8B D3 E8 ?? ?? ?? ?? E9 C6 02 00 00 3C 03 0F 85 AC 00 00 00 83 BB D8 00 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D8 00 00 00 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 48 47 33 F6 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 40 30 8B D6 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 1D 8B 45 F4 80 78 22 02 74 14 56 8B 45 F4 8B 50 18 B1 02 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 46 4F 75 BB 8B 83 D8 00 00 00 89 58 44 C7 40 40 ?? ?? ?? ?? 8B 53 3C 52 33 C9 8B D3 E8 ?? ?? ?? ?? E9 12 02 00 00 84 C0 0F 85 0A 02 00 00 83 BB D8 00 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D8 00 00 00 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B F0 80 BB EC 00 00 00 03 0F 85 1A 01 00 00 C7 45 FC 02 00 00 00 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 82 01 00 00 47 33 F6 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 40 30 8B 93 E8 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 8D 45 E0 50 8B CE 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8D 4D CC 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 CC 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 3D 00 20 00 00 7D 23 8B 45 FC 50 8D 4D DC 33 D2 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 DC B1 02 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? EB 69 8D 45 E0 BA 01 00 00 00 E8 ?? ?? ?? ?? 50 8D 45 E0 BA 01 00 00 00 E8 ?? ?? ?? ?? 5A 2B C2 7C 49 40 89 45 F0 89 55 F8 8B 45 FC 50 8B 45 F8 50 6A 01 8D 45 E0 50 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 CC 8D 4D DC 33 D2 E8 ?? ?? ?? ?? 8B 55 DC B1 02 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? FF 45 FC FF 45 F8 FF 4D F0 75 BE 46 4F 0F 85 11 FF FF FF E9 8B 00 00 00 6A 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC B1 02 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC B1 02 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 6A FF B1 02 BA ?? ?? ?? ?? 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 8B FE 4F 85 FF 7C 32 47 33 F6 8D 46 02 50 8D 45 DC 50 8B CE 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC B1 02 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 46 4F 75 D1 8B 83 D8 00 00 00 89 58 44 C7 40 40 ?? ?? ?? ?? 8B 53 3C 52 33 C9 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_9985_0 {
	meta:
		name = "_NF__133"
		size = 1102
		refs = "0019 _NF__133 002d TObject.Free 004c TDecisionSource.SetCurrentSummary 005e _Dn_TCubeDim 006a TDecisionSource.GetDecisionCube 0073 _Dn_TCubeDims 0078 TDimensionItems.Create 00a7 TCollection.GetCount 00c1 TCubeDims.GetCubeDim 00c8 TCubeDim.SetLoaded 00dd TDimensionItem.IsSummary 0102 TDimensionItems.AverageFieldCheck 0160 TCustomDataStore.Refresh 016f @HandleOnException 0177 _Dn_EDimensionMapError 0185 sCouldNotOpen 018a LoadResString 0195 @LStrCat 019f _Dn_Exception 01a4 Exception.Create 01a9 @RaiseExcept 01ae @DoneExcept 01c9 @HandleFinally 01f0 TDecisionSource.ToggleDimIndex 0215 TDecisionSource.DrillDimIndex 0292 TDecisionSource.GetDimensionMemberCount 02bd TDecisionSource.GetMemberAsVariant 02cb TCubeDim.GetBinValues 02d6 @VarCopy 02de VarType 02f5 VarArrayLowBound 0303 VarArrayHighBound 0324 @VarArrayGet 0355 FormatVariant 0360 TCubeDim.SetStart 0420 @VarClr 0428 @LStrClr 0431 Variant 043b @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D8 00 00 00 8B 70 48 E8 ?? ?? ?? ?? 33 C0 89 83 D8 00 00 00 8A 83 D0 00 00 00 3C 02 75 12 8B 83 D4 00 00 00 8B D6 E8 ?? ?? ?? ?? E9 BA 03 00 00 3C 03 0F 85 72 01 00 00 A1 ?? ?? ?? ?? 50 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 50 30 8B 45 F8 8B 08 FF 51 08 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 20 47 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? FF 45 F4 4F 75 E8 8B D6 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4B 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 83 78 0C 00 7E 3B 8D 45 E8 50 8D 4D EC 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 37 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? EB 11 8B D6 8B 45 F8 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? B1 01 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 44 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 8B 53 04 E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 C0 0F 85 38 02 00 00 85 F6 75 1E 6A 00 8B 8B F4 00 00 00 8A 93 FD 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? E9 16 02 00 00 83 FE 01 75 20 6A FF 6A 00 8B 8B F4 00 00 00 8A 93 FD 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? E9 F1 01 00 00 80 BB EC 00 00 00 03 0F 85 C7 01 00 00 83 EE 02 A1 ?? ?? ?? ?? 50 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 50 30 8B 45 F8 8B 08 FF 51 08 8B 93 E8 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C AB 00 00 00 47 C7 45 F4 00 00 00 00 8D 45 D8 50 8B 93 E8 00 00 00 8B 83 D4 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 8D 4D B4 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 B4 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 3D 00 20 00 00 7D 03 4E EB 52 8D 45 D8 BA 01 00 00 00 E8 ?? ?? ?? ?? 50 8D 45 D8 BA 01 00 00 00 E8 ?? ?? ?? ?? 5A 2B C2 7C 32 40 89 55 F0 4E 85 F6 7D 23 8B 45 F0 50 6A 01 8D 45 D8 50 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D8 8D 55 C8 E8 ?? ?? ?? ?? EB 06 FF 45 F0 48 75 D2 85 F6 7C 0A FF 45 F4 4F 0F 85 5D FF FF FF 8D 4D C4 33 D2 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? B1 01 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 44 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 8B 53 04 E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 EE 02 56 6A 00 8B 8B F4 00 00 00 8A 93 FD 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9986_0 {
	meta:
		name = "_NF__134"
		size = 247
		refs = "000b _NF__134 0069 TDecisionSource.MoveDimIndexes 009c TDecisionSource.ToggleDimIndex 00c2 TDecisionSource.DrillDimIndex 00dd TObject.Free 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 80 B8 D0 00 00 00 00 0F 85 A1 00 00 00 8B 45 FC 8B 80 D8 00 00 00 85 C0 0F 84 90 00 00 00 8B 50 48 85 D2 75 32 8B 45 FC 8A 90 FD 00 00 00 84 D2 75 04 B0 01 EB 02 33 C0 8B 4D FC 8B 89 F4 00 00 00 51 6A 00 6A 00 8B 4D FC 8B 89 D4 00 00 00 91 E8 ?? ?? ?? ?? EB 57 4A 75 54 8B 45 FC 80 B8 EC 00 00 00 02 75 24 6A 00 8B 45 FC 8B 88 F4 00 00 00 8B 45 FC 8A 90 FD 00 00 00 8B 45 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? EB 24 6A FF 6A 00 8B 45 FC 8B 88 F4 00 00 00 8B 45 FC 8A 90 FD 00 00 00 8B 45 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 D8 00 00 00 C3 E9 ?? ?? ?? ?? EB DF 59 5D C3 }
	condition:
		$1
}

rule function_9987_0 {
	meta:
		name = "TPivotButton.Paint"
		size = 2188
		refs = "0032 TPivotButton.Paint 003f TSpeedButton.Paint 0091 _Dn_TBitmap 0096 TBitmap.Create 00ba HInstance 00c2 LoadBitmap 00cc TBitmap.SetHandle 0138 Rect 017d TCanvas.BrushCopy 0192 TObject.Free 0198 @HandleFinally 01a6 TCanvas.TextHeight 01ce sActivateLabel 01d3 LoadResString 01e9 @LStrToString 020d TDecisionSource.GetCurrentSum 0222 TDecisionSource.GetSummaryName 025e TDecisionSource.GetDecisionCube 0278 TDecisionSource.GetDimensionName 0288 @LStrCat 02ab TCubeDims.GetCubeDim 02d1 TBinData.GetIBinValue 02e4 FormatVariant 0378 TDecisionSource.GetMemberAsString 039b SAllValues 0413 @PStrCpy 0424 @PStrCat 0435 @LStrFromString 0442 TCanvas.TextWidth 0550 @Copy 0597 @Delete 06fc TCanvas.TextOut 07d0 TFont.SetName 07da TFont.SetCharset 07e4 TFont.SetPitch 07f2 TFont.SetStyle 082f @VarClr 083a @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 98 FB FF FF 53 56 57 33 D2 89 95 A8 FC FF FF 89 95 98 FC FF FF 89 95 9C FC FF FF 89 95 A0 FC FF FF 89 95 A4 FC FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 BB D4 00 00 00 00 0F 84 CB 07 00 00 33 C0 89 45 CC 8B 43 38 89 45 D4 33 C0 89 45 D0 8B 43 3C 89 45 D8 8A 83 D0 00 00 00 84 C0 74 10 3C 03 74 0C 3C 02 74 08 3C 01 0F 85 9B 07 00 00 8B B3 B4 00 00 00 3C 01 0F 85 10 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB FD 00 00 00 00 75 1E 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? EB 1C 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 2C 8B 7D D4 2B F8 D1 FF 79 03 83 D7 00 8B 45 F0 8B 10 FF 52 20 8B 55 D8 2B D0 D1 FA 79 03 83 D2 00 89 55 F4 8B 45 F0 8B 10 FF 52 20 50 8D 85 BC FC FF FF 50 8B 45 F0 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 BC FC FF FF 50 68 80 00 00 00 8B 45 F0 8B 10 FF 52 20 03 45 F4 50 8D 85 AC FC FF FF 50 8B 45 F0 8B 10 FF 52 2C 8B C8 03 CF 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8D 95 AC FC FF FF 8B 4D F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 EC 8A 83 D0 00 00 00 3C 03 75 3B C6 85 CC FD FF FF 00 66 C7 85 CC FC FF FF 01 36 8D 95 A8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? E9 14 02 00 00 3C 02 75 4B C6 85 CC FD FF FF 00 66 C7 85 CC FC FF FF 01 36 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B F8 8D 8D A8 FC FF FF 8B 83 D4 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? E9 C5 01 00 00 84 C0 0F 85 BD 01 00 00 8A 83 EC 00 00 00 3C 03 0F 85 BC 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 78 30 8D 8D A8 FC FF FF 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8D 85 A8 FC FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FD FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 93 E8 00 00 00 8B C7 E8 ?? ?? ?? ?? 83 78 4C 00 74 4B 8D 85 98 FC FF FF 50 8B 93 E8 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 40 4C 33 C9 33 D2 E8 ?? ?? ?? ?? 8D 85 98 FC FF FF 8D 8D A8 FC FF FF 33 D2 E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 07 C6 85 CC FE FF FF 00 C6 85 CC FC FF FF 00 E9 F3 00 00 00 3C 02 0F 85 AA 00 00 00 8D 8D A8 FC FF FF 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8D 85 A8 FC FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FD FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B BB F0 00 00 00 85 FF 7C 32 8D 85 A8 FC FF FF 50 8B CF 8B 93 E8 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 26 8D 95 A8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 66 C7 85 CC FC FF FF 01 36 EB 41 C6 85 CC FD FF FF 00 C6 85 CC FC FF FF 00 8B BB E8 00 00 00 85 FF 7C 29 8D 8D A8 FC FF FF 8B D7 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 CC FE FF FF 8D 85 98 FB FF FF E8 ?? ?? ?? ?? 8D 95 CC FC FF FF 8D 85 98 FB FF FF E8 ?? ?? ?? ?? 8D 95 98 FB FF FF 8D 85 A8 FC FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 8B 53 38 83 EA 04 3B C2 0F 8E 47 01 00 00 80 BD CC FD FF FF 00 0F 85 3A 01 00 00 8B 43 3C 8B 55 EC 8D 14 52 D1 FA 79 03 83 D2 00 3B C2 0F 8E 22 01 00 00 33 C0 8A 85 CC FE FF FF 8B D0 D1 FA 79 03 83 D2 00 89 55 FC 33 D2 89 55 F8 8B F8 83 FF 02 7C 46 8D 84 3D CC FE FF FF 89 45 E0 8B 45 E0 8A 00 3C 41 72 0C 3C 5A 76 04 3C 61 72 04 3C 7A 76 1E 8B 45 FC 2B C7 99 33 C2 2B C2 8B C8 8B 45 FC 2B 45 F8 99 33 C2 2B C2 3B C8 7D 03 89 7D F8 4F FF 4D E0 83 FF 01 75 C4 83 7D F8 00 75 4E 0F B6 BD CC FE FF FF 83 FF 02 7C 42 8D 84 3D CC FE FF FF 89 45 DC 8B 45 DC 80 38 5A 77 27 8B 45 DC 80 78 FF 5A 76 1E 8B 45 FC 2B C7 99 33 C2 2B C2 8B C8 8B 45 FC 2B 45 F8 99 33 C2 2B C2 3B C8 7D 03 89 7D F8 4F FF 4D DC 83 FF 01 75 C8 83 7D F8 00 7E 62 8D 85 CC FD FF FF 50 8B 4D F8 49 BA 01 00 00 00 8D 85 CC FE FF FF E8 ?? ?? ?? ?? 8B 45 F8 80 BC 05 CC FE FF FF 20 75 03 FF 45 F8 8D 85 CC FE FF FF 50 33 C9 8A 8D CC FE FF FF 8B 55 F8 8D 85 CC FE FF FF E8 ?? ?? ?? ?? EB 18 33 D2 8A 95 CC FE FF FF 8D 85 CC FE FF FF B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 95 CC FE FF FF 8D 85 98 FB FF FF E8 ?? ?? ?? ?? 8D 95 CC FC FF FF 8D 85 98 FB FF FF E8 ?? ?? ?? ?? 8D 95 98 FB FF FF 8D 85 A8 FC FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 8B 53 38 83 EA 04 3B C2 7F 9E EB 18 33 D2 8A 95 CC FD FF FF 8D 85 CC FD FF FF B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 85 A8 FC FF FF 8D 95 CC FD FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 8B 53 38 83 EA 04 3B C2 7F C0 8D 95 CC FE FF FF 8D 85 98 FB FF FF E8 ?? ?? ?? ?? 8D 95 CC FC FF FF 8D 85 98 FB FF FF E8 ?? ?? ?? ?? 8D 95 98 FB FF FF 8D 85 A8 FC FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 8B 7D D4 2B 7D CC 2B F8 85 FF 7F 05 8B 7D CC EB 0A D1 FF 79 03 83 D7 00 03 7D CC 8D 85 A8 FC FF FF 8D 95 CC FE FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 03 C7 89 45 E4 8B 43 3C 8B 55 EC 03 D2 2B C2 D1 F8 79 03 83 D0 00 89 45 E8 83 7D E8 00 0F 8C 9C 00 00 00 80 BD CC FD FF FF 00 0F 84 8F 00 00 00 8B 45 D8 2B 45 EC 2B 45 E8 89 45 F4 8D 85 A8 FC FF FF 8D 95 CC FE FF FF E8 ?? ?? ?? ?? 8B 85 A8 FC FF FF 50 8B 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 85 A8 FC FF FF 8D 95 CC FD FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 8B 7B 38 2B F8 85 FF 7F 05 8B 7D CC EB 0A D1 FF 79 03 83 D7 00 03 7D CC 8D 85 A8 FC FF FF 8D 95 CC FD FF FF E8 ?? ?? ?? ?? 8B 85 A8 FC FF FF 50 8B 4D D0 03 4D E8 8B D7 8B C6 E8 ?? ?? ?? ?? EB 5F 8D 85 A8 FC FF FF 8D 95 CC FE FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 8B 55 D0 03 55 D8 2B D0 D1 FA 79 03 83 D2 00 89 55 F4 83 7D F4 00 7D 05 33 C0 89 45 F4 8D 85 A8 FC FF FF 8D 95 CC FE FF FF E8 ?? ?? ?? ?? 8B 85 A8 FC FF FF 50 8B 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? 80 BD CC FC FF FF 00 74 54 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 0C B2 01 E8 ?? ?? ?? ?? 8B 46 0C 33 D2 E8 ?? ?? ?? ?? 8B 46 0C 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 A8 FC FF FF 8D 95 CC FC FF FF E8 ?? ?? ?? ?? 8B 85 A8 FC FF FF 50 8B 4D F4 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 98 FC FF FF E8 ?? ?? ?? ?? 8D 85 A8 FC FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 00 00 00 52 6F 77 73 00 00 00 00 43 6F 6C 73 00 00 00 00 FF FF FF FF 03 00 00 00 58 58 58 00 FF FF FF FF 01 00 00 00 3D 00 00 00 FF FF FF FF 07 00 00 00 4D 61 72 6C 65 74 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_9988_0 {
	meta:
		name = "TPivotButton.DragOver"
		size = 268
		refs = "0024 TControl.DragOver 003c _DV_TPivotButton 0041 @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 45 10 50 8A 45 0C 50 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? C6 07 00 80 BB D0 00 00 00 02 0F 84 CB 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B6 00 00 00 8B C6 8B 90 D4 00 00 00 3B 93 D4 00 00 00 0F 85 A2 00 00 00 8A 93 FD 00 00 00 88 55 FA 8A 90 FD 00 00 00 88 55 FB 8B 80 F4 00 00 00 8B 93 F4 00 00 00 89 55 F4 80 BB D0 00 00 00 01 74 17 8B 53 38 85 D2 79 03 83 C2 07 C1 FA 03 8B 4B 38 2B CA 3B 4D FC 7D 1D 8A 55 FA 3A 55 FB 75 0D 8B D0 4A 3B 55 F4 74 51 3B 45 F4 74 4C 66 C7 46 5A 65 00 EB 41 8B 53 38 85 D2 79 03 83 C2 07 C1 FA 03 3B 55 FC 7E 16 8A 55 FA 3A 55 FB 75 06 40 3B 45 F4 74 24 66 C7 46 5A 65 00 EB 19 8A 55 FA 3A 55 FB 75 0B 3B 45 F4 75 06 66 C7 46 5A 64 00 66 C7 46 5A 64 00 C6 07 01 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_9989_0 {
	meta:
		name = "TPivotButton.DragDrop"
		size = 200
		refs = "001e TControl.DragDrop 007b TDecisionSource.MoveDimIndexes 00bb TDecisionSource.SwapDimIndexes"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8A 93 FD 00 00 00 8B 4D FC 8A 81 FD 00 00 00 8B B1 F4 00 00 00 8B 8B F4 00 00 00 89 4D F4 3A C2 75 05 3B 75 F4 74 76 80 BB D0 00 00 00 01 74 17 8B 4B 38 85 C9 79 03 83 C1 07 C1 F9 03 8B 7B 38 2B F9 3B 7D F8 7D 18 56 8B 4D F4 41 51 6A 00 8B CA 8B 93 D4 00 00 00 92 E8 ?? ?? ?? ?? EB 3E 8B 4B 38 85 C9 79 03 83 C1 07 C1 F9 03 3B 4D F8 7E 17 56 8B 4D F4 51 6A 00 8B CA 8B 93 D4 00 00 00 92 E8 ?? ?? ?? ?? EB 15 56 8B 4D F4 51 6A 00 8B CA 8B 93 D4 00 00 00 92 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9991_0 {
	meta:
		name = "TQuickMenu.Clear"
		size = 29
		refs = "000b TMenuItem.Delete 0013 TMenuItem.GetCount"
	strings:
		$1 = { 53 8B D8 EB 0A 33 D2 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 85 C0 7F EA 5B C3 }
	condition:
		$1
}

rule function_9992_0 {
	meta:
		name = "TQuickMenu.PopUpAtMe"
		size = 67
		refs = "001e TControl.ClientToScreen"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 89 4D F8 8B 45 08 89 45 FC 8D 4D F0 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 53 30 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9993_0 {
	meta:
		name = "TQuickMenu.AddLine"
		size = 170
		refs = "0012 @LStrAddRef 001a TQuickMenu.AddLine 0029 _DV_TQuickMenuItem 002e TMenuItem.Create 0040 TMenuItem.SetCaption 0049 TMenuItem.SetEnabled 0053 _NF__156 0060 TMenuItem.SetChecked 0077 TMenuItem.SetRadioItem 0081 TMenuItem.Add 0096 @LStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 08 89 47 68 8B 55 FC 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 89 77 64 C7 47 60 ?? ?? ?? ?? 84 DB 75 09 B2 01 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 12 B2 01 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 8B D7 8B 46 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9994_0 {
	meta:
		name = "TQuickMenu.SetTitle"
		size = 116
		refs = "000e @LStrAddRef 0016 TQuickMenu.SetTitle 0023 TQuickMenu.Clear 0031 TQuickMenu.AddLine 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 6A FF B1 02 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A FF B1 02 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_9995_0 {
	meta:
		name = "_NF__156"
		size = 88
		refs = "000c TMenuItem.GetCount 0020 TMenuItem.GetItem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 43 24 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3C 47 33 F6 8B D6 8B 43 24 E8 ?? ?? ?? ?? 3B E8 75 27 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B 40 68 89 43 48 83 7B 48 00 7C 15 66 83 7B 42 00 74 0E 8B D3 8B 43 44 FF 53 40 EB 04 46 4F 75 C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9998_0 {
	meta:
		name = "_NF__194"
		size = 15
	strings:
		$1 = { 53 B1 01 33 D2 8B 18 FF 93 C8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_9999_0 {
	meta:
		name = "_NF__195"
		size = 15
	strings:
		$1 = { 53 33 C9 33 D2 8B 18 FF 93 C8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_10000_0 {
	meta:
		name = "IsBDEAvailable"
		size = 162
		refs = "0016 IsBDEAvailable 0021 Session 0028 TSession.GetActive 0040 @FillChar 004b SIDAPILangID 0050 LoadResString 0063 StrPLCopy 006f DbiInit 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 B0 FD FF FF 53 33 C0 89 85 B0 FD FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 84 DB 75 49 8D 85 B4 FD FF FF 33 C9 BA 4C 02 00 00 E8 ?? ?? ?? ?? 8D 95 B0 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 B0 FD FF FF 8D 45 C0 B9 1F 00 00 00 E8 ?? ?? ?? ?? 8D 85 B4 FD FF FF 50 E8 ?? ?? ?? ?? 66 3D 09 21 75 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B0 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10001_0 {
	meta:
		name = "GetAggName"
		size = 299
		refs = "0018 @LStrAddRef 0020 GetAggName 0030 @LStrLAsg 0064 sSumLabel 0069 LoadResString 0075 @LStrCat3 0082 sCountLabel 009d sAverageLabel 00b8 sMaxLabel 00d3 sMinLabel 00ee sAggLabel 0119 @LStrArrayClr 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 8A C3 83 F8 05 0F 87 A9 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 0E 8B C6 E8 ?? ?? ?? ?? E9 85 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 0E 8B C6 E8 ?? ?? ?? ?? EB 6A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 0E 8B C6 E8 ?? ?? ?? ?? EB 4F 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 0E 8B C6 E8 ?? ?? ?? ?? EB 34 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 0E 8B C6 E8 ?? ?? ?? ?? EB 19 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 0E 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10002_0 {
	meta:
		name = "FieldTypeToVarType"
		size = 12
		refs = "0007 _NV__19A"
	strings:
		$1 = { 83 E0 7F 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10003_0 {
	meta:
		name = "TDimensionItems.Create"
		size = 66
		refs = "000e @ClassCreate 0020 TCollection.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 C6 47 1C 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10006_0 {
	meta:
		name = "TDimensionItems.NotifyOwner"
		size = 5
	strings:
		$1 = { 80 78 1C 00 C3 }
	condition:
		$1
}

rule function_10010_0 {
	meta:
		name = "TDimensionItems.GetDimCount"
		size = 55
		refs = "000b TCollection.GetCount 001e TDimensionItems.GetDimensionItem 0023 TDimensionItem.IsDimension"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 01 45 46 4B 75 E9 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10011_0 {
	meta:
		name = "TDimensionItems.GetSumCount"
		size = 55
		refs = "000b TCollection.GetCount 001e TDimensionItems.GetDimensionItem 0023 TDimensionItem.IsSummary"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 01 45 46 4B 75 E9 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10012_0 {
	meta:
		name = "TDimensionItems.GetActiveDimCount"
		size = 70
		refs = "000b TCollection.GetCount 001e TDimensionItems.GetDimensionItem 0023 TDimensionItem.IsDimension"
	strings:
		$1 = { 53 56 57 55 8B F0 33 ED 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 29 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 21 00 74 01 45 43 4F 75 DA 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10013_0 {
	meta:
		name = "TDimensionItems.GetActiveSumCount"
		size = 70
		refs = "000b TCollection.GetCount 001e TDimensionItems.GetDimensionItem 0023 TDimensionItem.IsSummary"
	strings:
		$1 = { 53 56 57 55 8B F0 33 ED 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 29 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 21 00 74 01 45 43 4F 75 DA 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10014_0 {
	meta:
		name = "TDimensionItems.AlreadyExists"
		size = 148
		refs = "0015 @LStrAddRef 001d TDimensionItems.AlreadyExists 002e TCollection.GetCount 0041 TDimensionItems.GetDimensionItem 004c @LStrCmp 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FB 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FA 00 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 34 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 1C 8B 45 FC E8 ?? ?? ?? ?? 75 17 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 40 28 3A 45 FB 75 06 C6 45 FA 01 EB 04 43 4F 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10015_0 {
	meta:
		name = "TDimensionItems.AddDerivedField"
		size = 225
		refs = "0016 TDimensionItems.AddDerivedField 002f TDimensionItems.AverageFieldCheck 003e TDimensionItems.Add 0047 TCollection.GetCount 005a TDimensionItem.SetActive 0063 TDimensionItem.SetType 006c TDimensionItems.GetDimensionItem 0079 GetAggName 0083 TDimensionItem.SetName 008d TDimensionItem.SetFieldName 0096 TDimensionItem.SetDerivedFrom 00aa @LStrAsg 00b5 TCollectionItem.GetIndex 00cc @LStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CB FF 8D 45 F8 50 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 4A 8B C3 8B 08 FF 51 10 B2 01 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 50 1C 8D 4D F4 B0 03 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 53 14 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 50 1C 8D 43 1C E8 ?? ?? ?? ?? C6 43 22 01 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10016_0 {
	meta:
		name = "TDimensionItems.AverageFieldCheck"
		size = 403
		refs = "001b TDimensionItems.AverageFieldCheck 002c TCollection.GetCount 004f TDimensionItems.GetDimensionItem 005a @LStrLAsg 00c0 @LStrCmp 00dd AnsiUpperCase 00e9 SCountStar 00ee LoadResString 017b @LStrArrayClr 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 8D 2D 01 00 00 8B 45 FC C7 00 FF FF FF FF 8B 45 08 C7 00 FF FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 1C 8D 45 F4 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 28 01 75 07 8B 45 FC 89 30 EB 14 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 28 02 75 05 8B 45 08 89 30 8B 45 08 83 38 00 7D 78 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 6A 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 28 02 75 54 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 1C 8B 45 F4 E8 ?? ?? ?? ?? 75 07 8B 45 08 89 30 EB 37 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 14 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 75 07 8B 45 08 89 30 EB 04 46 4F 75 99 8B 45 FC 83 38 00 7D 41 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 33 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 1C 8B 45 F4 E8 ?? ?? ?? ?? 75 16 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 28 01 75 07 8B 45 FC 89 30 EB 04 46 4F 75 D0 8B 45 08 83 38 FF 74 0C 8B 45 FC 83 38 FF 74 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10017_0 {
	meta:
		name = "TDimensionItem.Create"
		size = 98
		refs = "000b @ClassCreate 001c TCollectionItem.Create 0027 @LStrClr"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 24 8D 47 14 E8 ?? ?? ?? ?? 8D 47 10 E8 ?? ?? ?? ?? C6 47 21 00 8D 47 18 E8 ?? ?? ?? ?? C7 47 0C FF FF FF FF C6 47 28 00 C6 47 22 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10018_0 {
	meta:
		name = "TDimensionItem.Assign"
		size = 104
		refs = "000b _DV_TDimensionItem 0010 @IsClass 0021 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4C 8D 43 14 8B FE 8B 57 14 E8 ?? ?? ?? ?? 8D 43 10 8B 57 10 E8 ?? ?? ?? ?? 8A 47 21 88 43 21 8D 43 18 8B 57 18 E8 ?? ?? ?? ?? 8B 47 0C 89 43 0C 8A 47 28 88 43 28 8A 47 20 88 43 20 8D 43 1C 8B 57 1C E8 ?? ?? ?? ?? 8A 47 22 88 43 22 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10019_0 {
	meta:
		name = "TDimensionItem.SetName"
		size = 85
		refs = "000e @LStrAddRef 0016 TDimensionItem.SetName 0027 @LStrAsg 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10020_0 {
	meta:
		name = "TDimensionItem.SetBaseName"
		size = 85
		refs = "000e @LStrAddRef 0016 TDimensionItem.SetBaseName 0027 @LStrAsg 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10021_0 {
	meta:
		name = "TDimensionItem.SetFieldName"
		size = 85
		refs = "000e @LStrAddRef 0016 TDimensionItem.SetFieldName 0027 @LStrAsg 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 18 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10022_0 {
	meta:
		name = "TDimensionItem.SetDerivedFrom"
		size = 11
	strings:
		$1 = { 89 50 0C 33 D2 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_10023_0 {
	meta:
		name = "TDimensionItem.SetFormat"
		size = 85
		refs = "000e @LStrAddRef 0016 TDimensionItem.SetFormat 0027 @LStrAsg 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10024_0 {
	meta:
		name = "TDimensionItem.SetFieldType"
		size = 11
	strings:
		$1 = { 88 50 20 33 D2 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_10025_0 {
	meta:
		name = "TDimensionItem.SetType"
		size = 11
	strings:
		$1 = { 88 50 28 33 D2 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_10026_0 {
	meta:
		name = "TDimensionItem.SetActive"
		size = 11
	strings:
		$1 = { 88 50 21 33 D2 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_10027_0 {
	meta:
		name = "TDimensionItem.SetActiveFlag"
		size = 32
	strings:
		$1 = { 53 8B D8 3A 53 22 74 0C 88 53 22 33 D2 8B C3 8B 08 FF 51 20 80 7B 22 00 0F 94 C0 88 43 21 5B C3 }
	condition:
		$1
}

rule function_10030_0 {
	meta:
		name = "TDimensionItem.IsDimension"
		size = 8
	strings:
		$1 = { 80 78 28 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_10031_0 {
	meta:
		name = "TDimensionItem.IsSummary"
		size = 8
	strings:
		$1 = { 80 78 28 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_10032_0 {
	meta:
		name = "TTicks.Create"
		size = 144
		refs = "000e @ClassCreate 001d @LStrAddRef 0025 TTicks.Create 0034 TObject.Create 0043 _Dn_TIniFile 0048 TIniFile.Create 0052 _Dn_TList 006f @LStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 0C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10033_0 {
	meta:
		name = "TTicks.Destroy"
		size = 58
		refs = "000b TTicks.Dump 0012 TTicks.Clear 001a TObject.Free 0026 TObject.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10034_0 {
	meta:
		name = "TTicks.Clear"
		size = 62
		refs = "000d TList.Last 0019 TList.Remove 001f TTickInfoRec 0026 @Dispose 0037 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 83 7B 04 00 74 31 EB 1E E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 04 83 78 08 00 7F D9 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10035_0 {
	meta:
		name = "TTicks.Ticks"
		size = 227
		refs = "0013 @LStrAddRef 001b TTicks.Ticks 0026 GetTickCount 004d TList.Get 005a @LStrCmp 0088 TTickInfoRec 0092 @New 009f @LStrAsg 00bb TList.Add 00d0 @LStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 F4 33 DB C6 45 F3 00 8B 45 FC 8B 40 04 8B 70 08 4E 85 F6 7C 29 46 33 FF 8B 45 FC 8B 40 04 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 0C 8B 55 F8 E8 ?? ?? ?? ?? 75 06 C6 45 F3 01 EB 04 47 4E 75 DA 80 7D F3 00 74 16 83 7B 04 00 75 06 8B 45 F4 89 43 04 8B 43 04 2B 03 89 43 08 EB 39 8B 15 ?? ?? ?? ?? B8 10 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 0C 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 89 03 33 C0 89 43 04 33 C0 89 43 08 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10036_0 {
	meta:
		name = "TTicks.TicksIntArray"
		size = 184
		refs = "001d @LStrAddRef 0025 TTicks.TicksIntArray 0047 TIntArray.GetItem 004f IntToStr 005f @LStrCatN 0071 @LStrCat3 007c TTicks.Ticks 0096 @LStrArrayClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 10 4B 85 DB 7C 30 43 33 F6 FF 75 F4 68 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 D3 8D 45 F4 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_10037_0 {
	meta:
		name = "TTicks.TicksSmallIntArray"
		size = 184
		refs = "001d @LStrAddRef 0025 TTicks.TicksSmallIntArray 0047 TSmallIntArray.GetItem 0052 IntToStr 0062 @LStrCatN 0074 @LStrCat3 007f TTicks.Ticks 0099 @LStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 10 4B 85 DB 7C 33 43 33 F6 FF 75 F4 68 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 0F BF C0 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 D0 8D 45 F4 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_10038_0 {
	meta:
		name = "TTicks.Dump"
		size = 284
		refs = "0026 TList.Get 0036 TTicks.Dump 003b @LStrPos 005c TIniFile.WriteInteger"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 14 24 8B F0 33 C0 89 44 24 04 8B 46 04 8B 78 08 4F 85 FF 7C 47 47 33 ED 8B D5 8B 46 04 E8 ?? ?? ?? ?? 8B D8 80 3C 24 00 75 1A 8B 53 0C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 09 8B 43 08 01 44 24 04 EB 14 8B 43 08 50 B9 ?? ?? ?? ?? 8B 53 0C 8B 46 08 E8 ?? ?? ?? ?? 45 4F 75 BC 80 3C 24 00 75 2D 8B 44 24 04 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 00 00 FF FF FF FF 09 00 00 00 53 75 6D 6D 61 72 79 41 73 00 00 00 FF FF FF FF 13 00 00 00 54 69 63 6B 73 49 6E 4D 69 6C 6C 69 53 65 63 6F 6E 64 73 00 FF FF FF FF 17 00 00 00 54 6F 74 61 6C 47 65 74 53 75 6D 6D 61 72 79 41 73 53 74 72 69 6E 67 00 FF FF FF FF 0E 00 00 00 4E 75 6D 62 65 72 4F 66 56 61 6C 75 65 73 00 00 FF FF FF FF 0B 00 00 00 54 6F 74 61 6C 56 61 6C 75 65 73 00 }
	condition:
		$1
}

rule function_10039_0 {
	meta:
		name = "_NF__20A"
		size = 324
		refs = "0038 _NF__20A 004f TXtabQuery.IsLegal 0064 TDataSet.GetFieldCount 0078 TDataSet.GetField 008b TXtabQuery.getProjector 0097 @LStrCmp 00b2 TXtabQuery.getNProjectors 00cd _Dn_TTable 00d2 @IsClass 00de _Dn_TQuery 00fa DbiGetCursorProps 0129 recProjectorInfo 012e @FinalizeRecord 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 34 FE FF FF 53 56 57 33 C9 89 8D 34 FE FF FF 89 8D 38 FE FF FF 89 8D 3C FE FF FF 89 8D 40 FE FF FF 89 8D 44 FE FF FF 89 8D 48 FE FF FF 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 33 DB 85 DB 74 7D 8B C3 E8 ?? ?? ?? ?? 3C 04 75 04 C6 45 FF 00 80 7D FF 01 75 48 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 3C 40 89 45 F8 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 28 50 8D 8D 34 FE FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 95 3C FE FF FF 58 E8 ?? ?? ?? ?? 74 06 C6 45 FF 00 EB 06 46 FF 4D F8 75 CA 80 7D FF 01 75 65 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 3B D8 74 51 C6 45 FF 00 EB 4B 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B 87 2C 01 00 00 8D 95 4C FE FF FF 52 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 0F B7 95 73 FF FF FF 3B C2 74 04 C6 45 FF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 34 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10040_0 {
	meta:
		name = "_NF__20B"
		size = 1358
		refs = "0030 _NF__20B 0058 _Dn_TQuery 005d @IsClass 007a _Dn_TXtabQuery 007f TXtabQuery.create 00b4 TXtabQuery.setSQLString 00c3 @HandleOnException 00cb _Dn_Exception 00dc @LStrLAsg 00e4 TObject.Free 00ee @DoneExcept 0114 TXtabQuery.IsLegal 012f TDataSet.GetFieldCount 014b TDataSet.GetField 015a TCollection.GetCount 0183 TDimensionItems.GetDimensionItem 019a @LStrCmp 01c4 TXtabQuery.getProjector 0234 TDimensionItems.Add 023f TCollectionItem.GetIndex 025e TDimensionItem.SetActive 026f TDimensionItem.SetType 029d TDimensionItem.SetName 02bb TDimensionItem.SetFieldName 0339 TDimensionItem.SetBaseName 03d1 TDimensionItems.AverageFieldCheck 03e7 TDimensionItem.SetDerivedFrom 048b TDimensionItems.AlreadyExists 049b TDimensionItems.AddDerivedField 04f6 _NF__20A 0509 @HandleFinally 0521 recProjectorInfo 0526 @FinalizeRecord 052e @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D B4 89 5D B8 89 5D BC 89 5D C0 89 5D C4 89 5D C8 89 5D CC 89 5D D4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 00 00 C6 45 F3 04 83 7D F8 00 0F 84 C1 04 00 00 33 C0 89 45 E4 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 89 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 5D FC 8B 83 E0 01 00 00 8B 40 38 8B 55 E4 89 42 04 8B 45 E4 C6 40 18 00 8D 55 CC 8B 83 F0 01 00 00 8B 08 FF 51 1C 8B 55 CC 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 D4 8B 53 04 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 89 45 E4 E8 ?? ?? ?? ?? 83 7D E4 00 8B 45 F4 0F 95 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D E4 00 74 0D 8B 45 E4 E8 ?? ?? ?? ?? 88 45 F3 EB 04 C6 45 F3 00 80 7D F3 04 0F 84 1A 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 07 02 00 00 47 33 F6 C6 45 E3 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 40 38 48 89 45 D8 8B 45 F8 E8 ?? ?? ?? ?? 3B F0 0F 8D C0 00 00 00 8B DE 8B 45 F8 E8 ?? ?? ?? ?? 48 2B C3 0F 8C AD 00 00 00 40 89 45 D0 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 18 50 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 50 28 58 E8 ?? ?? ?? ?? 74 33 83 7D E4 00 74 76 83 7D D8 00 7C 70 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 18 50 8D 4D B4 8B 55 D8 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 C0 58 E8 ?? ?? ?? ?? 75 49 83 7D E4 00 74 28 83 7D D8 00 7C 22 8D 4D B4 8B 55 D8 8B 45 E4 E8 ?? ?? ?? ?? 8A 45 C8 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 5A 3A 50 28 75 1B C6 45 E3 01 3B DE 74 1D 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 10 EB 0A 43 FF 4D D0 0F 85 57 FF FF FF 8A 5D E3 80 F3 01 84 DB 74 43 8B 45 F8 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC E8 ?? ?? ?? ?? 3B F0 74 0A 8B D6 8B 45 DC 8B 08 FF 51 10 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D6 8B 45 F8 E8 ?? ?? ?? ?? B2 07 E8 ?? ?? ?? ?? 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 83 78 14 00 75 1E 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 40 28 50 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 40 28 50 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? FF 70 2C 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 5A 88 50 20 84 DB 74 0F 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 1C 83 7D E4 00 74 4A 83 7D D8 00 7C 44 8D 4D B4 8B 55 D8 8B 45 E4 E8 ?? ?? ?? ?? 8A 45 C8 50 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D B4 8B 55 D8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 C4 50 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4F 0F 85 FC FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 8B DE 8B 45 FC E8 ?? ?? ?? ?? 8B F8 2B FB 7F 24 4F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 83 78 0C 00 7D 0F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 47 75 DD 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 8B DE 8B 45 FC E8 ?? ?? ?? ?? 8B F8 2B FB 0F 8F 9A 00 00 00 4F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 80 78 28 03 75 72 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 83 78 0C 00 7C 62 8D 45 EC 50 8D 4D E8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 4D 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 80 78 21 00 74 11 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 80 78 21 00 75 04 33 C0 EB 02 B0 01 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 0F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 47 0F 85 67 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 92 00 00 00 47 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 80 78 28 01 75 77 8D 45 EC 50 8D 4D E8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 62 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 1C B1 03 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 47 B1 03 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 80 78 21 00 74 11 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 80 78 21 00 75 04 33 C0 EB 02 B0 01 50 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4F 0F 85 71 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 88 02 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8A 45 F3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10041_0 {
	meta:
		name = "_NF__20C"
		size = 148
		refs = "001a TCollection.GetCount 002d TDimensionItems.GetDimensionItem"
	strings:
		$1 = { 53 56 57 55 51 8B F8 C6 04 24 00 C6 44 24 01 00 C6 44 24 02 00 33 DB 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 44 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 80 78 22 02 74 2E 8B D5 8B C7 E8 ?? ?? ?? ?? 80 78 28 00 75 04 B3 01 EB 1B 8B D5 8B C7 E8 ?? ?? ?? ?? 80 78 28 07 75 07 C6 44 24 01 01 EB 05 C6 44 24 02 01 45 4E 75 BF 80 7C 24 01 00 74 06 C6 04 24 06 EB 15 84 DB 75 06 C6 04 24 01 EB 0B 80 7C 24 02 00 75 04 C6 04 24 02 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10043_0 {
	meta:
		name = "VerifyRTQuery"
		size = 30
		refs = "000c BuildDataSetMap 0017 _NF__20C"
	strings:
		$1 = { 53 51 8B DA 51 8D 4C 24 04 8B D3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_10044_0 {
	meta:
		name = "BuildDataSetMap"
		size = 130
		refs = "0013 TDataSet.GetActive 001e BuildDataSetMap 004d _NF__20B 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 88 45 FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0D 33 D2 8B 45 FC 8B 08 FF 91 F0 00 00 00 8B 45 08 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FA 00 75 08 8B 45 FC 8B 10 FF 52 4C C3 E9 ?? ?? ?? ?? EB EA 8A 45 FB 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10045_0 {
	meta:
		name = "IsAggValid"
		size = 120
		refs = "000b IsAggValid"
	strings:
		$1 = { 83 E0 7F 83 F8 07 77 58 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 84 D2 74 0E 80 EA 0C 74 09 80 EA 03 74 04 33 C0 EB 02 B0 01 34 01 C3 B0 01 C3 33 C0 C3 80 C2 FE 80 EA 0A 72 09 80 EA 02 74 04 33 C0 EB 1A B0 01 C3 4A 80 EA 04 72 0F 4A 80 EA 06 72 09 80 EA 02 74 04 33 C0 EB 02 B0 01 C3 }
	condition:
		$1
}

rule function_10046_0 {
	meta:
		name = "AddToQuerySelect"
		size = 328
		refs = "001b @LStrAddRef 0023 AddToQuerySelect 0038 AnsiUpperCase 0045 @LStrPos 006a sSelectFromError 006f LoadResString 0079 _Dn_Exception 007e Exception.Create 0083 @RaiseExcept 0093 @LStrCat3 00c3 @LStrCat 00e0 @LStrInsert 00fa @LStrArrayClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 F4 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 F6 7E 08 85 FF 7E 04 3B FE 7D 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 56 06 8B C7 48 2B C2 7C 15 40 8B 4D F4 8A 4C 11 FF 80 F9 20 76 04 B3 01 EB 04 42 48 75 EC 84 DB 74 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4E 06 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 06 00 00 00 53 45 4C 45 43 54 00 00 FF FF FF FF 04 00 00 00 46 52 4F 4D 00 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_10047_0 {
	meta:
		name = "CheckIfEmptyQuery"
		size = 216
		refs = "000f CheckIfEmptyQuery 0021 AnsiUpperCase 002e @LStrPos 0051 sSelectFromError 0056 LoadResString 0060 _Dn_Exception 0065 Exception.Create 006a @RaiseExcept 00a1 @LStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7E 08 85 C0 7E 04 3B C6 7D 23 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 8D 56 06 48 2B C2 7C 11 40 8B 4D FC 8A 4C 11 FF 80 F9 20 77 06 42 48 75 F0 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 06 00 00 00 53 45 4C 45 43 54 00 00 FF FF FF FF 04 00 00 00 46 52 4F 4D 00 00 00 00 }
	condition:
		$1
}

rule function_10048_0 {
	meta:
		name = "UpdateDesigner"
		size = 67
		refs = "001c _Dn_TCustomForm 0021 @IsClass"
	strings:
		$1 = { 53 F6 40 20 10 74 3A F6 40 20 40 75 34 8B D8 EB 03 8B 5B 04 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E8 85 DB 74 14 83 BB 54 01 00 00 00 74 0B 8B 83 54 01 00 00 8B 10 FF 52 04 5B C3 }
	condition:
		$1
}

rule function_10049_0 {
	meta:
		name = "FormatVariant"
		size = 261
		refs = "0020 @VarAddRef 0028 @LStrAddRef 0030 FormatVariant 0067 @VarToReal 0078 FormatFloat 0082 @VarToCurr 0093 FormatCurr 00ae FormatDateTime 00d5 @VarToLStr 00ea @LStrClr 00f2 @VarClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F0 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B D9 89 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 75 F0 8D 7D DC B9 04 00 00 00 F3 A5 66 8B 45 F0 66 83 E8 03 74 63 66 83 E8 02 74 0C 66 FF C8 74 22 66 FF C8 74 38 EB 6C 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D3 8B 45 EC E8 ?? ?? ?? ?? EB 5B 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B D3 8B 45 EC E8 ?? ?? ?? ?? EB 40 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D3 8B 45 EC E8 ?? ?? ?? ?? EB 25 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D3 8B 45 EC E8 ?? ?? ?? ?? EB 0A 8B C3 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10050_0 {
	meta:
		name = "NextArg"
		size = 196
		refs = "0015 @LStrAddRef 001d NextArg 002b @LStrLen 0035 @LStrClr 009c @LStrCopy 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 F8 E8 ?? ?? ?? ?? EB 02 FF 03 8B 03 8D 56 01 3B C2 7D 0D 8B 03 8B 55 FC 8A 44 02 FF 3C 20 76 E8 3B 33 7D 08 C7 03 FF FF FF FF EB 41 8B 3B EB 02 FF 03 8B 03 8D 56 01 3B C2 7D 0C 8B 03 8B 55 FC 80 7C 02 FF 2C 75 E9 8B 33 2B F7 FF 03 EB 01 4E 8D 04 3E 8B 55 FC 80 7C 02 FF 20 74 F2 8B 45 F8 50 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10051_0 {
	meta:
		name = "_NF__227"
		size = 334
		refs = "0015 _NF__227 0071 @VarFromInt 007f @VarFromBool 0097 @VarFromPStr 00a7 @VarFromReal 00d4 @VarFromLStr 00e1 @VarFromCurr 00ea VarIsEmpty 00f7 @VarCopy 0113 sUnsupportedVarType 0118 LoadResString 0122 _Dn_EUnsupportedTypeError 0127 Exception.CreateFmt 013c @LStrClr 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 43 04 83 F8 0D 0F 87 D0 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 8B 13 E8 ?? ?? ?? ?? E9 B1 00 00 00 8B C6 8A 13 E8 ?? ?? ?? ?? E9 A3 00 00 00 8A 03 88 45 FD C6 45 FC 01 8B C6 8D 55 FC E8 ?? ?? ?? ?? E9 8B 00 00 00 8B 03 DB 28 8B C6 E8 ?? ?? ?? ?? EB 7E 8B C6 8B 13 E8 ?? ?? ?? ?? EB 73 8B 03 8A 00 88 45 FD C6 45 FC 01 8B C6 8D 55 FC E8 ?? ?? ?? ?? EB 5C 8B C6 8B 13 E8 ?? ?? ?? ?? EB 51 8B 03 DF 28 8B C6 E8 ?? ?? ?? ?? EB 44 8B 03 E8 ?? ?? ?? ?? 84 C0 75 39 8B C6 8B 13 E8 ?? ?? ?? ?? EB 2E 33 C0 8A 43 04 89 45 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10052_0 {
	meta:
		name = "TBinData.create"
		size = 89
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 002d _Dn_TList 003d sOtherValues 0042 LoadResString"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8D 56 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10053_0 {
	meta:
		name = "TBinData.destroy"
		size = 103
		refs = "0010 TList.Last 001c TList.Remove 0023 TObject.Free 0052 TPersistent.Destroy 005d @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 83 7F 08 00 74 30 EB 18 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 47 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 47 08 83 78 08 00 7F DF 8B 47 08 E8 ?? ?? ?? ?? 33 C0 89 47 08 8B 47 04 E8 ?? ?? ?? ?? 33 C0 89 47 04 8B D3 80 E2 FE 8B C7 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10054_0 {
	meta:
		name = "TBinData.Assign"
		size = 145
		refs = "000f TBinData.Clear 0028 @LStrAsg 004b TList.Get 0058 TCustomArray.GetMemberCount 0061 _Dn_TCustomArray 0066 TCustomArray.Create 0075 TCustomArray.Assign 007f TList.Add"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 8B 1C 24 8B 53 04 8B 45 04 8B 08 FF 51 08 8D 45 0C 8B 53 0C E8 ?? ?? ?? ?? 8B 43 08 8B 78 08 4F 85 FF 7C 53 47 C7 44 24 04 00 00 00 00 8B 04 24 8B 40 08 8B 54 24 04 E8 ?? ?? ?? ?? 8B D8 8B 43 04 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 00 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B D6 E8 ?? ?? ?? ?? FF 44 24 04 4F 75 B6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10055_0 {
	meta:
		name = "TBinData.AddBinValue"
		size = 218
		refs = "001e @LStrAddRef 0026 @VarAddRef 002e TBinData.AddBinValue 0041 _NF__256 005b VarType 0068 _Dn_TCustomArray 006d TCustomArray.Create 0078 TCustomArray.SetDups 0081 TCustomArray.SetSort 008f TList.Add 009a TList.Get 00a6 TCustomArray.Add 00bd @VarClr 00c5 @LStrClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F1 8D 7D E8 B9 04 00 00 00 F3 A5 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 4A 8B 55 FC 8B 46 04 8B 08 FF 51 34 89 45 F8 8D 45 E8 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 85 DB 74 0A 8B D3 8B 46 08 E8 ?? ?? ?? ?? 8B 55 F8 8B 46 08 E8 ?? ?? ?? ?? 8B D8 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10056_0 {
	meta:
		name = "TBinData.AddBinValues"
		size = 128
		refs = "001b @LStrAddRef 0023 TBinData.AddBinValues 003b _NF__227 0048 TBinData.AddBinValue 0063 @VarClr 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 08 85 F6 7C 1E 46 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 C3 08 4E 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10057_0 {
	meta:
		name = "TBinData.BinValueCount"
		size = 109
		refs = "0011 @LStrAddRef 0019 TBinData.BinValueCount 002e _NF__256 003d TList.Get 0042 TCustomArray.GetMemberCount 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10058_0 {
	meta:
		name = "TBinData.GetAllBinValueCount"
		size = 47
		refs = "000b TBinData.GetBinCount 001e TBinData.GetIBinValueCount"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 12 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 03 E8 46 4B 75 F1 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10059_0 {
	meta:
		name = "TBinData.GetBinValue"
		size = 116
		refs = "0013 @LStrAddRef 001b TBinData.GetBinValue 002e _NF__256 003d TList.Get 004b TCustomArray.GetItem 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8B D8 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10060_0 {
	meta:
		name = "TBinData.GetBinValues"
		size = 217
		refs = "0023 @LStrAddRef 002b TBinData.GetBinValues 003e _NF__256 004d TList.Get 005f TCustomArray.GetMemberCount 0075 VarArrayCreate 0095 TCustomArray.GetItem 00a2 @VarArrayPut 00be @VarClr 00c6 @LStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D E4 89 5D E8 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 67 8B 43 08 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 50 33 C0 89 45 EC 8B C7 E8 ?? ?? ?? ?? 48 89 45 F0 8D 45 EC B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 26 46 33 DB 53 6A 01 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10065_0 {
	meta:
		name = "TBinData.GetMaxBinNameSize"
		size = 150
		refs = "0015 TBinData.GetMaxBinNameSize 0026 @LStrLen 0064 _NF__24D 0081 @LStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 04 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 C7 45 F8 00 00 00 00 8D 4D F4 8B 45 FC 8B 40 04 8B 55 F8 8B 38 FF 57 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 FF 45 F8 4B 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10066_0 {
	meta:
		name = "TBinData.Clear"
		size = 56
		refs = "000d TList.Last 0019 TList.Remove 0020 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 83 7B 08 00 74 23 EB 18 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 08 83 78 08 00 7F DF 8B 43 04 8B 10 FF 52 40 5E 5B C3 }
	condition:
		$1
}

rule function_10067_0 {
	meta:
		name = "TBinData.AddBin"
		size = 137
		refs = "0013 @LStrAddRef 001b TBinData.AddBin 002e _NF__256 004a _Dn_TCustomArray 004f TCustomArray.Create 005d TList.Add 0075 @LStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2B 8B 55 FC 8B 43 04 8B 08 FF 51 34 89 45 F8 56 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0A 8B D0 8B 43 08 E8 ?? ?? ?? ?? 8B 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10068_0 {
	meta:
		name = "_NF__256"
		size = 161
		refs = "001b @LStrAddRef 0023 _NF__256 005d @LStrCmp 0083 @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 45 FC 8B 40 04 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2F 46 33 DB 8D 4D EC 8B D3 8B 45 FC 8B 40 04 8B 38 FF 57 0C 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 75 0B 8B 45 F4 89 18 C6 45 F3 01 EB 04 43 4E 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10069_0 {
	meta:
		name = "TBinData.GetIBinValue"
		size = 93
		refs = "0012 TBinData.GetIBinValue 0028 TBinData.GetBinName 0034 TBinData.GetBinValue 0049 @LStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10070_0 {
	meta:
		name = "TBinData.GetIBinValueCount"
		size = 85
		refs = "000f TBinData.GetIBinValueCount 0021 TBinData.GetBinName 002b TBinData.BinValueCount 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10071_0 {
	meta:
		name = "TBinData.AddIBinValue"
		size = 125
		refs = "0022 @VarAddRef 002a TBinData.AddIBinValue 003c TBinData.GetBinName 0049 TBinData.AddBinValue 0060 @LStrClr 0068 @VarClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10072_0 {
	meta:
		name = "HookToDataBase"
		size = 129
		refs = "000e HookToDataBase 001e _Dn_TQuery 0023 @IsClass 0041 @LStrLAsg 004e TDBDataSet.GetDBSession 0056 TSession.OpenDatabase 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 31 8B FE 8B 9F E0 01 00 00 85 DB 75 25 8D 45 FC 8B 97 E4 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 11 8B C7 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10082_0 {
	meta:
		name = "TDecisionSource.SetDimGroup"
		size = 71
		refs = "001c TDimInfoArray.GetGroupItem 003c TDecisionSource.MoveDimIndexes"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F0 8B 5D 08 53 8B 46 3C 8B 40 14 8B 4D 0C 8A 55 FF E8 ?? ?? ?? ?? 84 DB 74 05 8B 50 0C EB 03 8B 50 08 52 8B 55 0C 52 53 8A 4D FF 8B D6 8A 40 11 92 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10083_0 {
	meta:
		name = "TDecisionSource.SetDimState"
		size = 92
		refs = "0011 TDimInfoArray.GetItem"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F0 8B 46 3C 8B 40 14 E8 ?? ?? ?? ?? 8B F8 3A 1F 75 08 8B 47 04 3B 45 08 74 32 8B C6 8B 10 FF 52 30 88 1F 80 FB 02 75 08 8B 45 08 89 47 04 EB 13 80 FB 03 75 07 33 C0 89 47 04 EB 07 C7 47 04 FF FF FF FF B2 02 8B C6 8B 08 FF 51 34 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10084_0 {
	meta:
		name = "TDecisionSource.GetGroupCount"
		size = 12
		refs = "0007 TDimInfoArray.GetGroupSize"
	strings:
		$1 = { 8B 40 3C 8B 40 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10085_0 {
	meta:
		name = "TDecisionSource.GetGroup"
		size = 25
		refs = "000f TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8A 40 11 5E 5B C3 }
	condition:
		$1
}

rule function_10086_0 {
	meta:
		name = "TDecisionSource.GetIndex"
		size = 48
		refs = "0013 TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 84 C9 74 13 8B 43 3C 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 40 0C 5E 5B C3 8B 43 3C 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 40 08 5E 5B C3 }
	condition:
		$1
}

rule function_10087_0 {
	meta:
		name = "TDecisionSource.GetState"
		size = 24
		refs = "000f TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8A 00 5E 5B C3 }
	condition:
		$1
}

rule function_10088_0 {
	meta:
		name = "TDecisionSource.GetRowState"
		size = 29
		refs = "0010 TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B 47 3C 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8A 58 10 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10089_0 {
	meta:
		name = "TDecisionSource.GetValue"
		size = 25
		refs = "000f TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 40 04 5E 5B C3 }
	condition:
		$1
}

rule function_10090_0 {
	meta:
		name = "_NF__14B"
		size = 35
	strings:
		$1 = { 8A 08 88 0A 8B 48 08 89 4A 08 8A 48 10 88 4A 10 8B 48 04 89 4A 04 8B 48 0C 89 4A 0C 8A 40 11 88 42 11 C3 }
	condition:
		$1
}

rule function_10091_0 {
	meta:
		name = "TDecisionSource.GetDims"
		size = 7
	strings:
		$1 = { 8B 40 3C 8B 40 04 C3 }
	condition:
		$1
}

rule function_10092_0 {
	meta:
		name = "TDecisionSource.GetSums"
		size = 7
	strings:
		$1 = { 8B 40 3C 8B 40 08 C3 }
	condition:
		$1
}

rule function_10093_0 {
	meta:
		name = "TDecisionSource.GetCurrentSum"
		size = 7
	strings:
		$1 = { 8B 40 3C 8B 40 0C C3 }
	condition:
		$1
}

rule function_10094_0 {
	meta:
		name = "TDecisionCube.Create"
		size = 91
		refs = "000a @ClassCreate 0017 TCustomDataStore.Create 001e _Dn_TList 0023 TObject.Create 0044 TCustomDataStore.SetDesignState"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 7C C6 86 81 00 00 00 00 C6 86 80 00 00 00 00 C6 86 82 00 00 00 00 B2 03 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10095_0 {
	meta:
		name = "TDecisionCube.Destroy"
		size = 176
		refs = "000c TList.Last 0013 TDecisionSource.SetDecisionCube 002f TDecisionCube.Destroy 0039 @Assert 0041 TObject.Free 004d TCustomDataStore.Destroy 0058 @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 EB 0E 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 77 7C 83 7E 08 00 7F E9 8B 47 7C 83 78 08 00 74 14 B9 E2 01 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 7C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C7 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 00 00 FF FF FF FF 13 00 00 00 43 3A 5C 74 70 5C 78 74 61 62 5C 4D 58 44 42 2E 50 41 53 00 FF FF FF FF 27 00 00 00 44 65 63 69 73 69 6F 6E 20 53 6F 75 72 63 65 73 20 64 69 64 20 6E 6F 74 20 66 72 65 65 20 63 6F 72 72 65 63 74 6C 79 00 }
	condition:
		$1
}

rule function_10096_0 {
	meta:
		name = "TDecisionCube.CanDimBeClosed"
		size = 208
		refs = "0013 TCollection.GetCount 0025 TCubeDims.GetCubeDim 002a TCubeDim.GetLoaded 0084 TList.Get 00b5 TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F8 C6 04 24 00 8B 47 30 E8 ?? ?? ?? ?? 3B D8 0F 8D A3 00 00 00 8B D3 8B 47 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 33 C0 89 44 24 04 8B F3 85 F6 7C 2E 46 33 DB 8B D3 8B 47 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B D3 8B 47 30 E8 ?? ?? ?? ?? 80 78 28 00 75 04 FF 44 24 04 43 4E 75 D5 8B 47 7C 8B 70 08 4E 85 F6 7C 47 46 33 DB 8B D3 8B 47 7C E8 ?? ?? ?? ?? 8B E8 83 7D 3C 00 74 2E 8B 45 3C 83 78 14 00 74 25 8B 44 24 04 48 8B 55 3C 8B 52 14 3B 42 04 7D 15 8B 54 24 04 4A 8B 45 3C 8B 40 14 E8 ?? ?? ?? ?? 80 38 00 75 08 43 4E 75 BC C6 04 24 01 8A 04 24 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10097_0 {
	meta:
		name = "TDecisionCube.CanSumBeClosed"
		size = 188
		refs = "0013 TCollection.GetCount 0025 TCubeDims.GetCubeDim 002a TCubeDim.GetLoaded 0080 TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F8 C6 04 24 00 8B 47 30 E8 ?? ?? ?? ?? 3B D8 0F 8D 8F 00 00 00 8B D3 8B 47 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7C 33 C0 89 44 24 04 8B F3 85 F6 7C 2E 46 33 DB 8B D3 8B 47 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B D3 8B 47 30 E8 ?? ?? ?? ?? 80 78 28 00 74 04 FF 44 24 04 43 4E 75 D5 8B 47 7C 8B 70 08 4E 85 F6 7C 37 46 33 DB 8B D3 8B 47 7C E8 ?? ?? ?? ?? 8B 50 3C 85 D2 74 1F 83 7A 14 00 74 19 8B 4C 24 04 49 8B 6A 14 3B 4D 04 7D 0C 8B 42 0C 8B 54 24 04 4A 3B C2 74 08 43 4E 75 CC C6 04 24 01 8A 04 24 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10098_0 {
	meta:
		name = "_NF__15F"
		size = 22
		refs = "000c TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 7C E8 ?? ?? ?? ?? 89 5E 2C 5E 5B C3 }
	condition:
		$1
}

rule function_10099_0 {
	meta:
		name = "_NF__160"
		size = 14
		refs = "0009 TList.Remove"
	strings:
		$1 = { 33 C9 89 4A 2C 8B 40 7C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10100_0 {
	meta:
		name = "_NF__161"
		size = 46
		refs = "0019 TList.Get 0020 _NF__1FA"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 46 7C 8B 78 08 4F 83 FF 00 7C 17 8B D7 8B 46 7C E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 4F 83 FF FF 75 E9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10101_0 {
	meta:
		name = "TDecisionCube.CubeSetActive"
		size = 47
		refs = "001c TCustomDataStore.SetActive 0023 TCustomDataStore.GetActive"
	strings:
		$1 = { 53 8B D8 F6 43 20 02 74 08 88 93 82 00 00 00 5B C3 3A 93 82 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 88 83 82 00 00 00 5B C3 }
	condition:
		$1
}

rule function_10102_0 {
	meta:
		name = "TDecisionCube.CubeGetActive"
		size = 19
		refs = "000e TCustomDataStore.GetActive"
	strings:
		$1 = { F6 40 20 02 74 07 8A 80 82 00 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10103_0 {
	meta:
		name = "TDecisionCube.StateChanged"
		size = 127
		refs = "0023 TCollection.GetCount 0037 TCubeDims.GetCubeDim 003c TCubeDim.GetLoaded 0076 _NF__161"
	strings:
		$1 = { 53 56 57 55 8B D8 8A 43 2C 3A 83 81 00 00 00 74 69 8B D0 88 93 81 00 00 00 84 D2 74 54 33 ED 8B 43 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 43 47 33 F6 8B D6 8B 43 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B D6 8B 43 30 E8 ?? ?? ?? ?? 80 78 28 00 75 19 8B D5 8B C3 8B 08 FF 51 54 50 8B D6 8B 43 30 E8 ?? ?? ?? ?? 5A 89 50 50 45 46 4F 75 C0 33 D2 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10105_0 {
	meta:
		name = "TDecisionCube.ShowCubeDialog"
		size = 189
		refs = "000a Application 0013 _Dn_TDssCubeEditor 0018 TDssCubeEditor.Create 0023 TDecisionCube.ShowCubeDialog 0035 TDssCubeEditor.SInitialize 003e Screen 0045 TScreen.GetWidth 0060 TScreen.GetHeight 0085 TControl.SetLeft 008f TControl.SetTop 0097 TCustomForm.ShowModal 00ac TObject.Free 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 2B 58 38 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 2B 70 3C D1 FE 79 03 83 D6 00 85 DB 7D 02 33 DB 85 F6 7D 02 33 F6 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10106_0 {
	meta:
		name = "TDecisionCube.GetSQL"
		size = 37
		refs = "001a _NF__175"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 53 6A 01 8B 45 08 50 33 C9 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10107_0 {
	meta:
		name = "TDecisionCube.GetDetailSQL"
		size = 93
		refs = "0011 @LStrAddRef 0019 TDecisionCube.GetDetailSQL 0035 _NF__175 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 0C 50 6A 00 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10108_0 {
	meta:
		name = "_NF__175"
		size = 1140
		refs = "0022 @LStrAddRef 002a _NF__175 0038 @LStrClr 003f TCustomDataStore.GetDataSet 0054 _Dn_TQuery 0059 @IsClass 0096 TDBDataSet.GetDBSession 00a1 TSession.OpenDatabase 00b8 TDatabase.SetConnected 00bf _Dn_TXtabQuery 00c4 TXtabQuery.create 00d3 _Dn_TCubeDim 00dd _Dn_TCubeDims 00e2 TDimensionItems.Create 0123 TXtabQuery.setSQLString 0130 VerifyRTQuery 013c sQryNotInitialized 0141 LoadResString 014b _Dn_Exception 0150 Exception.Create 0155 @RaiseExcept 015c TBaseArray.GetLimit 0171 TSmallIntArray.GetItem 0184 TCubeDims.GetCubeDim 019d TCubeDim.GetBin 01bf TCustomDataStore.GetMemberAsVariant 01d6 TCubeDim.GetBinValues 01f7 @VarArrayGet 0206 TXtabQuery.AddWhereOp 028f VarArrayLowBound 029d VarArrayHighBound 032a TCollection.GetCount 0347 TCubeDim.GetLoaded 037b TXtabQuery.DeleteProjector 038f TXtabQuery.DeleteGroupBys 03a6 NextArg 03bd @LStrCmp 03c7 TXtabQuery.DeleteDimensions 03d9 TXtabQuery.AddNewItem 03ee TXtabQuery.FixUpGroupBys 03f9 TXtabQuery.getDialectSQLString 040e TObject.Free 041c @HandleFinally 0433 @VarClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 D7 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 BD 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 83 BB F0 01 00 00 00 0F 84 A7 03 00 00 8D 55 C8 8B 83 F0 01 00 00 8B 08 FF 51 1C 83 7D C8 00 0F 84 8F 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 E4 01 00 00 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 0F 84 70 03 00 00 B2 01 8B 45 EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 C6 40 18 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 56 30 8B 45 F8 8B 08 FF 51 08 8B 45 EC 8B 40 38 8B 55 F0 89 42 04 8D 55 C8 8B 83 F0 01 00 00 8B 08 FF 51 1C 8B 55 C8 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D E3 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 3C 04 75 21 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 0F 8C BA 01 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 66 85 C0 0F 8C 9E 01 00 00 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 80 78 28 00 0F 85 8A 01 00 00 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 2C 03 0F 83 95 00 00 00 8D 45 B8 50 8B D3 8B C7 E8 ?? ?? ?? ?? 0F BF C8 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 B8 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D CC 5A E8 ?? ?? ?? ?? 6A 0D 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 1C 50 6A 00 6A 01 8D 45 CC 50 8D 45 B8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 4D B8 8B 45 F0 5A E8 ?? ?? ?? ?? 6A 11 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 1C 50 6A 01 6A 01 8D 45 CC 50 8D 45 B8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 4D B8 8B 45 F0 5A E8 ?? ?? ?? ?? E9 DD 00 00 00 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 04 0F 85 93 00 00 00 8D 45 B8 50 8B D3 8B C7 E8 ?? ?? ?? ?? 0F BF C8 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 B8 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D CC 5A E8 ?? ?? ?? ?? 8D 45 CC BA 01 00 00 00 E8 ?? ?? ?? ?? 50 8D 45 CC BA 01 00 00 00 E8 ?? ?? ?? ?? 5A 2B C2 7C 76 40 89 45 DC 89 55 F4 6A 0B 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 1C 50 8B 45 F4 50 6A 01 8D 45 CC 50 8D 45 B8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 4D B8 8B 45 F0 5A E8 ?? ?? ?? ?? FF 45 F4 FF 4D DC 75 C6 EB 33 8D 45 CC 50 8B D3 8B C7 E8 ?? ?? ?? ?? 0F BF C8 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 0B 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 1C 8D 4D CC 8B 45 F0 E8 ?? ?? ?? ?? 4B 83 FB FF 0F 85 46 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 4F 80 7D 10 00 74 13 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 80 7D 0C 00 75 2A 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 80 78 28 00 74 1A 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 83 78 0C 00 7D 0A 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 4B 83 FB FF 75 B1 80 7D 0C 00 75 59 8B 45 F0 E8 ?? ?? ?? ?? C7 45 E8 01 00 00 00 33 DB 8D 4D E4 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 83 7D E8 00 7E 2E 85 DB 75 17 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 8B 45 F0 E8 ?? ?? ?? ?? 53 6A 00 6A 00 33 C9 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 43 83 7D E8 00 7F B8 80 7D 0C 00 74 08 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 08 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 0C 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_10110_0 {
	meta:
		name = "TDecisionSource.Create"
		size = 106
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 0035 _DV_TPivotState 003a TPivotState.Create 0053 _NF__19D"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 C6 46 28 00 C6 46 2A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10111_0 {
	meta:
		name = "TDecisionSource.Destroy"
		size = 232
		refs = "000c TList.Last 0013 TDecisionDataLink.SetDecisionSource 002f TDecisionSource.Destroy 0039 @Assert 0041 TObject.Free 004a TDecisionSource.SetDecisionCube 008a TComponent.Destroy 0095 @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 EB 0E 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 77 34 83 7E 08 00 7F E9 8B 47 34 83 78 08 00 74 14 B9 3D 03 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 34 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 47 3C E8 ?? ?? ?? ?? 33 C0 89 47 3C 8B 47 38 E8 ?? ?? ?? ?? 33 C0 89 47 38 8B 47 40 E8 ?? ?? ?? ?? 33 C0 89 47 40 8B 47 44 E8 ?? ?? ?? ?? 33 C0 89 47 44 8B D3 80 E2 FE 8B C7 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 00 FF FF FF FF 13 00 00 00 43 3A 5C 74 70 5C 78 74 61 62 5C 4D 58 44 42 2E 50 41 53 00 FF FF FF FF 21 00 00 00 44 61 74 61 20 4C 69 6E 6B 73 20 64 69 64 20 6E 6F 74 20 66 72 65 65 20 63 6F 72 72 65 63 74 6C 79 00 00 00 }
	condition:
		$1
}

rule function_10112_0 {
	meta:
		name = "TDecisionSource.GetRowSparsing"
		size = 7
	strings:
		$1 = { 8B 40 3C 8A 40 12 C3 }
	condition:
		$1
}

rule function_10113_0 {
	meta:
		name = "TDecisionSource.SetRowSparsing"
		size = 57
		refs = "0011 TDecisionSource.GetReady 0032 UpdateDesigner"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 3C 3A 58 12 74 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 8B 10 FF 52 30 8B 46 3C 88 58 12 B2 02 8B C6 8B 08 FF 51 34 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10114_0 {
	meta:
		name = "TDecisionSource.GetColSparsing"
		size = 7
	strings:
		$1 = { 8B 40 3C 8A 40 13 C3 }
	condition:
		$1
}

rule function_10115_0 {
	meta:
		name = "TDecisionSource.SetColSparsing"
		size = 57
		refs = "0011 TDecisionSource.GetReady 0032 UpdateDesigner"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 3C 3A 58 13 74 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 8B 10 FF 52 30 8B 46 3C 88 58 13 B2 02 8B C6 8B 08 FF 51 34 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10116_0 {
	meta:
		name = "TDecisionSource.DefineProperties"
		size = 308
		refs = "000c TComponent.DefineProperties 0012 _NF__18B 0018 _NF__18C 001f TDecisionSource.DefineProperties 002b _NF__18D 0031 _NF__18E 0044 _NF__18F 004a _NF__190 005d _NF__191 0063 _NF__192 0076 _NF__193 007c _NF__194 008f _NF__195 0095 _NF__196"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5F 5E 5B C3 00 00 FF FF FF FF 0E 00 00 00 44 69 6D 65 6E 73 69 6F 6E 43 6F 75 6E 74 00 00 FF FF FF FF 0C 00 00 00 53 75 6D 6D 61 72 79 43 6F 75 6E 74 00 00 00 00 FF FF FF FF 0E 00 00 00 43 75 72 72 65 6E 74 53 75 6D 6D 61 72 79 00 00 FF FF FF FF 0A 00 00 00 53 70 61 72 73 65 52 6F 77 73 00 00 FF FF FF FF 0A 00 00 00 53 70 61 72 73 65 43 6F 6C 73 00 00 FF FF FF FF 0D 00 00 00 44 69 6D 65 6E 73 69 6F 6E 49 6E 66 6F 00 00 00 }
	condition:
		$1
}

rule function_10117_0 {
	meta:
		name = "_NF__18B"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 38 89 42 04 5E 5B C3 }
	condition:
		$1
}

rule function_10118_0 {
	meta:
		name = "_NF__18C"
		size = 30
		refs = "000f TWriter.WriteInteger"
	strings:
		$1 = { 8B 48 3C 8B 49 14 85 C9 74 0A 8B 41 04 92 E8 ?? ?? ?? ?? C3 8B C2 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10119_0 {
	meta:
		name = "_NF__18D"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 38 89 42 08 5E 5B C3 }
	condition:
		$1
}

rule function_10120_0 {
	meta:
		name = "_NF__18E"
		size = 13
		refs = "0008 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 3C 8B 40 08 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10121_0 {
	meta:
		name = "_NF__18F"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 38 89 42 0C 5E 5B C3 }
	condition:
		$1
}

rule function_10122_0 {
	meta:
		name = "_NF__190"
		size = 13
		refs = "0008 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 3C 8B 40 0C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10123_0 {
	meta:
		name = "_NF__191"
		size = 22
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 38 88 42 12 5E 5B C3 }
	condition:
		$1
}

rule function_10124_0 {
	meta:
		name = "_NF__192"
		size = 13
		refs = "0008 TWriter.WriteBoolean"
	strings:
		$1 = { 8B 40 3C 8A 40 12 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10125_0 {
	meta:
		name = "_NF__193"
		size = 22
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 38 88 42 13 5E 5B C3 }
	condition:
		$1
}

rule function_10126_0 {
	meta:
		name = "_NF__194"
		size = 13
		refs = "0008 TWriter.WriteBoolean"
	strings:
		$1 = { 8B 40 3C 8A 40 13 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10127_0 {
	meta:
		name = "_NF__195"
		size = 300
		refs = "000c TReader.ReadListBegin 0017 TObject.Free 0024 _DV_TDimInfoArray 0029 TDimInfoArray.Create 0053 TDimInfoArray.GetItem 005c TReader.ReadInteger 009e _NF__195 00ee TReader.ReadListEnd 00f8 _NF__1A6 0112 _NF__19E 0119 _NF__19F 0122 _NF__1A9"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B F8 8B C6 E8 ?? ?? ?? ?? 8B 47 38 8B 40 14 E8 ?? ?? ?? ?? 8B 47 38 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 47 38 89 58 14 8B 6B 04 4D 85 ED 0F 8C AA 00 00 00 45 C7 04 24 00 00 00 00 8B 47 38 8B 40 14 8B 14 24 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 83 E8 01 72 0A 74 0E 48 74 11 48 74 14 EB 16 C6 43 11 04 EB 10 C6 43 11 00 EB 0A C6 43 11 01 EB 04 C6 43 11 02 8B C6 E8 ?? ?? ?? ?? 89 43 0C 8B C6 E8 ?? ?? ?? ?? 83 F8 04 77 32 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C6 03 04 EB 12 C6 03 01 EB 0D C6 03 00 EB 08 C6 03 02 EB 03 C6 03 03 8B C6 E8 ?? ?? ?? ?? 89 43 08 8B C6 E8 ?? ?? ?? ?? 89 43 04 FF 04 24 4D 0F 85 5E FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 57 38 8B C7 E8 ?? ?? ?? ?? 8B 47 38 8B 40 14 E8 ?? ?? ?? ?? 8B 47 38 33 D2 89 50 14 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? B2 03 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10128_0 {
	meta:
		name = "_NF__196"
		size = 218
		refs = "000c TWriter.WriteListBegin 0039 TDimInfoArray.GetItem 006a TWriter.WriteInteger 00d0 TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 3C 8B 42 14 85 C0 0F 84 AF 00 00 00 89 14 24 8B 78 04 4F 85 FF 0F 8C A0 00 00 00 47 33 ED 8B 04 24 8B 40 14 8B D5 E8 ?? ?? ?? ?? 8B D8 8A 43 11 84 C0 75 07 B8 01 00 00 00 EB 18 3C 01 75 07 B8 02 00 00 00 EB 0D 3C 02 75 07 B8 03 00 00 00 EB 02 33 C0 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 8A 03 3C 01 75 07 B8 01 00 00 00 EB 23 84 C0 75 07 B8 02 00 00 00 EB 18 3C 02 75 07 B8 03 00 00 00 EB 0D 3C 03 75 07 B8 04 00 00 00 EB 02 33 C0 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B 53 04 8B C6 E8 ?? ?? ?? ?? 45 4F 0F 85 63 FF FF FF 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10129_0 {
	meta:
		name = "TDecisionSource.BeginChange"
		size = 4
	strings:
		$1 = { FF 40 24 C3 }
	condition:
		$1
}

rule function_10130_0 {
	meta:
		name = "TDecisionSource.EndChange"
		size = 86
		refs = "0009 _NF__19E 002c _NF__19F 003a _NF__1A9"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 83 7E 24 01 7F 3D 66 83 7E 66 00 74 0F 8B D6 8B 46 68 FF 56 64 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 24 8B D3 8B C6 E8 ?? ?? ?? ?? 66 83 7E 6E 00 74 0E 8B D6 8B 46 70 FF 56 6C 5E 5B C3 FF 4E 24 5E 5B C3 }
	condition:
		$1
}

rule function_10131_0 {
	meta:
		name = "_NF__19C"
		size = 282
		refs = "001f TDimInfoArray.GetGroupArray 0051 TIArray.GetItem 005e TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 88 14 24 E9 FF 00 00 00 8B 43 3C 8B 40 14 33 C9 8A 14 24 E8 ?? ?? ?? ?? 8B F0 83 7E 04 00 8A 43 30 48 2C 02 0F 83 DD 00 00 00 C6 44 24 08 00 83 7C 24 04 00 7C 2B 8B 44 24 04 3B 46 04 7D 22 8B 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8B 40 14 E8 ?? ?? ?? ?? 80 38 01 75 05 C6 44 24 08 01 8B 6E 04 4D 85 ED 7C 4D 45 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8B 40 14 E8 ?? ?? ?? ?? 80 38 01 75 2B 80 7C 24 08 00 74 1F 3B 7C 24 04 74 19 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8B 40 14 E8 ?? ?? ?? ?? C6 00 00 C6 44 24 08 01 47 4D 75 B6 80 7B 30 02 75 4B 80 7C 24 08 00 75 44 83 7C 24 04 00 75 06 83 7E 04 01 75 1B 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8B 40 14 E8 ?? ?? ?? ?? C6 00 01 EB 1C BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8B 40 14 E8 ?? ?? ?? ?? C6 00 01 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10132_0 {
	meta:
		name = "_NF__19D"
		size = 936
		refs = "0014 _NF__19D 0028 TDecisionSource.GetReady 0037 TDecisionSource.GetDecisionCube 003c TCustomDataStore.GetDimensionCount 0050 TCustomDataStore.GetSummaryCount 0114 _DV_TDimInfoArray 0119 TDimInfoArray.Create 0140 TDimInfoArray.GetItem 0158 TCubeDims.GetCubeDim 01df TDimInfoArray.Find 021e TCubeDim.GetBin 0289 TDecisionSource.GetDimensionMemberCount 02a9 TDecisionSource.GetMemberAsString 02ba @LStrCmp 0351 TObject.Free 035d _NF__19C 0395 @LStrClr 039b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 DC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 30 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 47 03 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 33 03 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 1F 03 00 00 8B 46 3C 89 45 E8 8B 45 E8 8B 58 14 85 DB 74 34 8B 43 10 8B 10 FF 52 14 85 C0 75 28 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 3B 42 04 75 14 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 3B 42 08 74 04 33 C0 EB 02 B0 01 88 45 EF 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 3B 42 0C 7F 08 8B 45 E8 33 D2 89 50 0C 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 89 42 04 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 89 42 08 33 C0 89 46 50 33 C0 89 46 54 33 C0 89 46 58 33 C0 89 46 60 33 C0 89 46 5C 8B 45 E8 8B 40 14 89 45 F0 8B 45 E8 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 E8 89 58 14 8B 43 04 48 85 C0 0F 8C 1C 02 00 00 40 89 45 E4 33 FF 8B 45 E8 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B D8 33 C0 89 43 04 8B C6 E8 ?? ?? ?? ?? 8B 40 30 8B D7 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 50 18 8B 45 E8 8B 40 14 8B 40 10 8B 08 FF 51 34 80 7D EF 00 74 53 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8A 40 11 88 43 11 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8A 00 88 03 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 04 89 43 04 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 08 89 43 08 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 0C 89 43 0C E9 97 00 00 00 83 7D F0 00 74 48 8D 4D F8 8B 45 F4 8B 50 18 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 33 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8A 40 11 88 43 11 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8A 00 88 03 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 04 89 43 04 EB 49 8B 45 F4 E8 ?? ?? ?? ?? 3C 04 75 0E 8B 45 F4 83 78 44 00 74 05 C6 03 03 EB 2F 83 7E 54 00 75 10 C6 43 11 01 C6 03 01 C7 43 04 FF FF FF FF EB 19 C6 43 11 00 C7 43 04 FF FF FF FF 83 7E 50 00 75 05 C6 03 01 EB 03 C6 03 00 8B 45 F4 E8 ?? ?? ?? ?? 3C 04 75 63 8B 45 F4 83 78 44 00 74 5A C6 03 03 C6 43 11 03 33 C0 89 43 04 8B D7 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 4D 40 89 45 E0 C7 45 FC 00 00 00 00 8D 45 DC 50 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 8B 55 F4 8B 52 4C 8B 52 0C E8 ?? ?? ?? ?? 74 08 8B 45 FC 89 43 04 EB 17 FF 45 FC FF 4D E0 75 CD EB 0D 80 7B 11 03 75 07 C6 43 11 00 C6 03 01 80 7D EF 00 75 5E 8A 43 11 84 C0 75 22 8B 46 58 89 43 08 FF 46 58 80 3B 01 75 0B 8B 46 50 89 43 0C FF 46 50 EB 3E C7 43 0C FF FF FF FF EB 35 3C 01 75 22 8B 46 60 89 43 08 FF 46 60 80 3B 01 75 0B 8B 46 54 89 43 0C FF 46 54 EB 18 C7 43 0C FF FF FF FF EB 0F 8B 46 5C 89 43 08 8B 46 5C 89 43 0C FF 46 5C 47 FF 4D E4 0F 85 EA FD FF FF 8B 45 F0 E8 ?? ?? ?? ?? 83 C9 FF 33 D2 8B C6 E8 ?? ?? ?? ?? 83 C9 FF B2 01 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 C6 40 10 01 8B 45 E8 C6 40 11 01 B2 03 8B C6 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10133_0 {
	meta:
		name = "_NF__19E"
		size = 728
		refs = "000e TDecisionSource.GetReady 006e TDimInfoArray.GetGroupArray 0082 TIArray.GetItem 008f TDimInfoArray.GetItem 009d _NF__19E"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 04 24 8B 04 24 E8 ?? ?? ?? ?? 84 C0 74 18 8B 04 24 8B 40 3C 83 78 04 00 74 0C 8B 04 24 8B 40 3C 83 78 08 00 75 25 8B 04 24 33 D2 89 50 50 8B 04 24 33 D2 89 50 54 8B 04 24 33 D2 89 50 58 8B 04 24 33 D2 89 50 60 E9 68 02 00 00 8B 04 24 8B 40 3C 89 44 24 0C C6 44 24 08 04 8B 44 24 0C 8B 40 14 33 C9 33 D2 E8 ?? ?? ?? ?? 8B E8 8B 7D 04 4F 83 FF 00 7C 5D 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 52 14 92 E8 ?? ?? ?? ?? 8B F0 80 7C 24 08 01 75 0A A0 ?? ?? ?? ?? 88 46 10 EB 19 80 7C 24 08 00 75 0A A0 ?? ?? ?? ?? 88 46 10 EB 08 A0 ?? ?? ?? ?? 88 46 10 8A 1E 84 DB 75 05 C6 44 24 08 00 80 FB 01 75 05 C6 44 24 08 01 4F 83 FF FF 75 A3 33 C0 89 44 24 04 C6 44 24 08 04 8B 45 04 48 85 C0 0F 8C 83 00 00 00 40 89 44 24 10 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 52 14 92 E8 ?? ?? ?? ?? 8B F0 80 7C 24 08 01 75 0D A0 ?? ?? ?? ?? 0A 46 10 88 46 10 EB 12 80 7C 24 08 00 75 0B A0 ?? ?? ?? ?? 0A 46 10 88 46 10 8A 1E C7 46 0C FF FF FF FF 80 FB 01 75 16 A0 ?? ?? ?? ?? 0A 46 10 88 46 10 8B 44 24 04 89 46 0C FF 44 24 04 84 DB 75 05 C6 44 24 08 00 80 FB 01 75 05 C6 44 24 08 01 47 FF 4C 24 10 75 84 8B 04 24 8B 54 24 04 89 50 50 8B 45 04 8B 14 24 89 42 58 8B 44 24 0C 8B 40 14 33 C9 B2 01 E8 ?? ?? ?? ?? 8B E8 C6 44 24 08 04 8B 7D 04 4F 83 FF 00 7C 5D 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 52 14 92 E8 ?? ?? ?? ?? 8B F0 80 7C 24 08 01 75 0A A0 ?? ?? ?? ?? 88 46 10 EB 19 80 7C 24 08 00 75 0A A0 ?? ?? ?? ?? 88 46 10 EB 08 A0 ?? ?? ?? ?? 88 46 10 8A 1E 84 DB 75 05 C6 44 24 08 00 80 FB 01 75 05 C6 44 24 08 01 4F 83 FF FF 75 A3 33 C0 89 44 24 04 C6 44 24 08 04 8B 45 04 48 85 C0 7C 78 40 89 44 24 10 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 52 14 92 E8 ?? ?? ?? ?? 8B F0 80 7C 24 08 01 75 0D A0 ?? ?? ?? ?? 0A 46 10 88 46 10 EB 12 80 7C 24 08 00 75 0B A0 ?? ?? ?? ?? 0A 46 10 88 46 10 8A 1E C7 46 0C FF FF FF FF 80 FB 01 75 0B 8B 44 24 04 89 46 0C FF 44 24 04 84 DB 75 05 C6 44 24 08 00 80 FB 01 75 05 C6 44 24 08 01 47 FF 4C 24 10 75 8F 8B 04 24 8B 54 24 04 89 50 54 8B 45 04 8B 14 24 89 42 60 8B 44 24 0C 8B 40 0C 8B 54 24 0C 3B 42 08 7C 09 8B 44 24 0C 33 D2 89 50 0C 83 C4 14 5D 5F 5E 5B C3 00 01 00 00 00 04 00 00 00 00 00 00 00 02 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_10134_0 {
	meta:
		name = "_NF__19F"
		size = 1020
		refs = "000e TDecisionSource.GetReady 003a TObject.Free 0074 TDecisionSource.GetDecisionCube 007f TCustomDataStore.SetCurrentSummary 00a9 _Dn_TIntArray 00ae TIntArray.Create 00cc _NF__19F 00ed TBaseArray.InsertAt 012b TDimInfoArray.GetItem 0170 @Assert 0191 _Dn_Exception 0196 Exception.Create 019b @RaiseExcept 01b5 TIntArray.PutItem 025f _Dn_TTwoDimArray 0264 TTwoDimArray.Create 0286 _NF__176 02ae TCustomDataStore.GetDomain 030f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 43 3C 83 78 04 00 74 09 8B 43 3C 83 78 08 00 75 2D C7 43 48 01 00 00 00 C7 43 4C 01 00 00 00 8B 43 40 E8 ?? ?? ?? ?? 8B 43 44 E8 ?? ?? ?? ?? 33 C0 89 43 40 33 C0 89 43 44 E9 2F 03 00 00 8B 43 3C 89 45 F0 8B 45 F0 8B 40 0C 8B 55 F0 3B 42 08 7C 08 8B 45 F0 33 D2 89 50 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 52 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 83 02 00 00 80 7B 28 03 74 0A 80 7B 28 02 0F 85 73 02 00 00 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B 73 50 4E 85 F6 7C 11 46 8D 4D FC 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 4E 75 F0 8B 73 54 4E 85 F6 7C 11 46 8D 4D FC 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 4E 75 F0 8B 45 F0 8B 40 14 8B 70 04 4E 85 F6 0F 8C 23 01 00 00 46 33 FF 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 80 38 01 0F 85 02 01 00 00 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 80 78 11 00 75 6E 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B 40 0C 3B 43 50 7C 14 B9 83 05 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B 40 0C 3B 43 50 7C 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B 50 0C 8B CF 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 80 78 11 01 75 6E 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B 40 0C 3B 43 54 7C 14 B9 89 05 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B 40 0C 3B 43 54 7C 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B 50 0C 8B CF 8B 45 F4 E8 ?? ?? ?? ?? 47 4E 0F 85 E0 FE FF FF 8B 43 40 E8 ?? ?? ?? ?? 33 C0 89 43 40 8B 43 44 E8 ?? ?? ?? ?? 33 C0 89 43 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 80 7B 28 03 74 0C 8B 43 2C 33 D2 E8 ?? ?? ?? ?? EB 11 8B 45 F0 8A 50 12 80 F2 01 8B 43 2C E8 ?? ?? ?? ?? 8B 43 40 50 8B 45 F0 8A 48 10 8B 43 2C 8B 55 F8 E8 ?? ?? ?? ?? 89 43 48 80 7B 28 03 74 0C 8B 43 2C 33 D2 E8 ?? ?? ?? ?? EB 11 8B 45 F0 8A 50 13 80 F2 01 8B 43 2C E8 ?? ?? ?? ?? 8B 43 44 50 8B 45 F0 8A 48 11 8B 43 2C 8B 55 F4 E8 ?? ?? ?? ?? 89 43 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C 80 7B 28 01 75 36 C7 43 48 01 00 00 00 8B 43 54 85 C0 75 09 C7 43 4C 01 00 00 00 EB 03 89 43 4C 8B 43 40 E8 ?? ?? ?? ?? 8B 43 44 E8 ?? ?? ?? ?? 33 C0 89 43 40 33 C0 89 43 44 EB 28 C7 43 48 01 00 00 00 C7 43 4C 01 00 00 00 8B 43 40 E8 ?? ?? ?? ?? 8B 43 44 E8 ?? ?? ?? ?? 33 C0 89 43 40 33 C0 89 43 44 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 13 00 00 00 43 3A 5C 74 70 5C 78 74 61 62 5C 4D 58 44 42 2E 50 41 53 00 FF FF FF FF 14 00 00 00 45 72 72 6F 72 20 69 73 20 61 63 74 69 76 65 20 72 6F 77 73 00 00 00 00 FF FF FF FF 09 00 00 00 72 6F 77 20 65 72 72 6F 72 00 00 00 FF FF FF FF 14 00 00 00 45 72 72 6F 72 20 69 73 20 61 63 74 69 76 65 20 63 6F 6C 73 00 00 00 00 }
	condition:
		$1
}

rule function_10135_0 {
	meta:
		name = "TDecisionSource.FetchPivotState"
		size = 12
		refs = "0007 TPivotState.Assign"
	strings:
		$1 = { 8B 12 8B 40 3C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10136_0 {
	meta:
		name = "TDecisionSource.StorePivotState"
		size = 34
		refs = "0012 _NF__1A6"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 30 8B D3 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 8B 08 FF 51 34 5E 5B C3 }
	condition:
		$1
}

rule function_10137_0 {
	meta:
		name = "_NF__1A6"
		size = 186
		refs = "001c _DV_TDimInfoArray 0021 TDimInfoArray.Create 002f TDimInfoArray.Assign 007b TDimInfoArray.GetItem 00b1 _NF__19D"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 3C 8B 6F 04 89 6B 04 83 7B 14 00 75 11 8B CD B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 8B 57 14 8B 43 14 E8 ?? ?? ?? ?? 8B 47 0C 89 43 0C 8B 47 08 89 43 08 8A 47 12 88 43 12 8A 47 13 88 43 13 C6 43 10 01 C6 43 11 01 33 C0 89 46 58 33 C0 89 46 60 33 C0 89 46 50 33 C0 89 46 54 8B 43 14 8B 78 04 4F 85 FF 7C 33 47 33 ED 8B D5 8B 43 14 E8 ?? ?? ?? ?? 80 78 11 00 75 0B FF 46 58 80 38 01 75 03 FF 46 50 80 78 11 01 75 0B FF 46 60 80 38 01 75 03 FF 46 54 45 4F 75 D0 8B 46 58 03 46 60 89 43 04 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10138_0 {
	meta:
		name = "_NF__1A7"
		size = 22
		refs = "000c TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 34 E8 ?? ?? ?? ?? 89 5E 04 5E 5B C3 }
	condition:
		$1
}

rule function_10139_0 {
	meta:
		name = "_NF__1A8"
		size = 14
		refs = "0009 TList.Remove"
	strings:
		$1 = { 33 C9 89 4A 04 8B 40 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10140_0 {
	meta:
		name = "_NF__1A9"
		size = 186
		refs = "0023 TList.Get 004a UpdateDesigner"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 83 7E 24 00 0F 8F A5 00 00 00 8B 46 34 8B 78 08 4F 83 FF 00 7C 17 8B D7 8B 46 34 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 0C 4F 83 FF FF 75 E9 F6 46 20 10 74 14 F6 46 20 01 75 0E 8B C3 48 2C 02 73 07 8B C6 E8 ?? ?? ?? ?? 80 EB 01 72 3A 74 49 FE CB 74 06 FE CB 74 1C EB 57 66 83 BE 86 00 00 00 00 74 4D 8B D6 8B 86 88 00 00 00 FF 96 84 00 00 00 EB 3D 66 83 7E 7E 00 74 36 8B D6 8B 86 80 00 00 00 FF 56 7C EB 29 66 83 7E 76 00 74 22 8B D6 8B 46 78 FF 56 74 EB 18 66 83 BE 8E 00 00 00 00 74 0E 8B D6 8B 86 90 00 00 00 FF 96 8C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10141_0 {
	meta:
		name = "TDecisionSource.OpenDimIndexRight"
		size = 182
		refs = "0033 TDimInfoArray.GetGroupItem 0046 TDimInfoArray.GetGroupArray 0068 TIArray.GetItem 0075 TDimInfoArray.GetItem 0099 _NF__19C"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D9 88 55 FB 89 45 FC 8B 45 FC 8B 40 3C 89 45 F0 85 DB 7D 05 83 CB FF EB 17 8A 45 08 50 8B 45 F0 8B 40 14 8B CB 8A 55 FB E8 ?? ?? ?? ?? 8B 58 08 8B 45 F0 8B 40 14 33 C9 8A 55 FB E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 40 04 48 3B D8 7D 55 8D 73 01 8B F8 2B FE 7C 4C 47 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? 8B D8 80 3B 00 75 29 8B 45 FC 8B 10 FF 52 30 C6 03 01 33 C0 89 43 04 8B CE 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? B2 02 8B 45 FC 8B 08 FF 51 34 EB 04 46 4F 75 B5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10142_0 {
	meta:
		name = "TDecisionSource.CloseDimIndexRight"
		size = 201
		refs = "0034 TDimInfoArray.GetGroupItem 004c TDimInfoArray.GetGroupArray 006b TIArray.GetItem 0078 TDimInfoArray.GetItem 00b2 _NF__19C"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D9 88 55 FB 89 45 FC 8B 45 FC 8B 40 3C 89 45 EC 83 FB FF 75 05 83 CB FF EB 17 8A 45 08 50 8B 45 EC 8B 40 14 8B CB 8A 55 FB E8 ?? ?? ?? ?? 8B 58 08 33 C0 89 45 F0 8B 45 EC 8B 40 14 B1 01 8A 55 FB E8 ?? ?? ?? ?? 8B F8 8B 47 04 48 3B D8 7D 66 43 8B F0 2B F3 7C 41 46 89 5D F4 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 14 E8 ?? ?? ?? ?? 8B D8 80 3B 01 75 19 83 7D F0 00 75 08 8B 45 FC 8B 10 FF 52 30 C6 03 00 33 C0 89 43 04 FF 45 F0 FF 45 F4 4E 75 C3 83 7D F0 00 7E 18 83 C9 FF 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? B2 02 8B 45 FC 8B 08 FF 51 34 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10143_0 {
	meta:
		name = "TDecisionSource.OpenDimIndexLeft"
		size = 162
		refs = "0026 TDimInfoArray.GetGroupItem 003e TDimInfoArray.GetGroupArray 0057 TIArray.GetItem 0064 TDimInfoArray.GetItem 0086 _NF__19C"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 88 55 FF 8B F8 8B 47 3C 89 45 F4 8A 45 08 50 8B 45 F4 8B 40 14 8B CB 8A 55 FF E8 ?? ?? ?? ?? 8B 58 08 83 FB 01 7C 67 8B 45 F4 8B 40 14 33 C9 8A 55 FF E8 ?? ?? ?? ?? 89 45 F8 80 7D FF 00 75 4E 4B 83 FB 00 7C 48 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 14 E8 ?? ?? ?? ?? 8B F0 80 3E 00 75 24 8B C7 8B 10 FF 52 30 C6 06 01 33 C0 89 46 04 8B CB 8A 55 FF 8B C7 E8 ?? ?? ?? ?? B2 02 8B C7 8B 08 FF 51 34 4B 83 FB FF 75 B8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10144_0 {
	meta:
		name = "TDecisionSource.ToggleDimIndex"
		size = 102
		refs = "0015 TDecisionSource.GetActiveDim 0025 TDimInfoArray.GetItem 0052 _NF__19C"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 8B 46 3C 89 45 FC 8A 45 08 50 8B C6 E8 ?? ?? ?? ?? 85 C0 7C 42 8B 55 FC 8B 52 14 92 E8 ?? ?? ?? ?? 8B D8 80 3B 03 74 2F 8B C6 8B 10 FF 52 30 80 3B 01 75 05 C6 03 00 EB 08 C6 03 01 33 C0 89 43 04 8B 4B 08 8A 53 11 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 8B 08 FF 51 34 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10145_0 {
	meta:
		name = "TDecisionSource.GetReady"
		size = 4
	strings:
		$1 = { 8A 40 29 C3 }
	condition:
		$1
}

rule function_10146_0 {
	meta:
		name = "TDecisionSource.GetDataAsString"
		size = 350
		refs = "0016 TDecisionSource.GetReady 0043 _Dn_TSmallIntArray 0048 TSmallIntArray.Create 0053 TDecisionSource.GetDataAsString 0085 TDimInfoArray.GetItem 00a3 TTwoDimArray.GetElement 0113 TSmallIntArray.PutItem 0141 TObject.Free 0147 @HandleFinally 0151 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 2B 01 00 00 8B 45 FC 80 78 28 03 0F 85 1E 01 00 00 8B 45 FC 8B 40 3C 89 45 EC 6A 00 8B 45 EC 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C 33 D2 89 10 8B 45 FC 8B 40 3C 8B 40 14 8B 78 04 4F 85 FF 0F 8C A6 00 00 00 47 33 F6 8B 45 EC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B D8 80 3B 01 75 26 80 7B 11 00 75 20 8B 53 0C 8B 45 FC 8B 40 40 8B 4D F8 E8 ?? ?? ?? ?? 0F BF C0 83 F8 FF 75 5C 8B 55 0C FF 02 EB 55 80 3B 01 75 26 80 7B 11 01 75 20 8B 53 0C 8B 45 FC 8B 40 44 8B 4D F4 E8 ?? ?? ?? ?? 0F BF C0 83 F8 FF 75 31 8B 55 0C FF 02 EB 2A 8B 45 EC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8A 00 04 FE 2C 02 73 12 8B 45 EC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 40 04 EB 03 83 C8 FF 8B C8 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 46 4F 0F 85 5D FF FF FF 8B 4D 08 8B 45 FC 8B 40 2C 8B 55 F0 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10147_0 {
	meta:
		name = "TDecisionSource.GetMemberAsString"
		size = 76
		refs = "0013 TDecisionSource.GetReady 0040 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 21 8A 5E 28 80 FB 03 74 05 80 FB 02 75 14 8B 45 08 50 8B 4D F8 8B 55 FC 8B 46 2C 8B 18 FF 53 58 EB 08 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10148_0 {
	meta:
		name = "TDecisionSource.GetMemberAsVariant"
		size = 79
		refs = "0017 TDecisionSource.GetReady 0037 TCustomDataStore.GetMemberAsVariant 0042 @VarFromLStr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 7D 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E 8A 5E 28 80 FB 03 74 05 80 FB 02 75 11 57 8B 4D F8 8B 55 FC 8B 46 2C E8 ?? ?? ?? ?? EB 09 8B C7 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10149_0 {
	meta:
		name = "TDecisionSource.GetSummaryName"
		size = 45
		refs = "000c TDecisionSource.GetReady 0025 @LStrClr"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE 8B D7 8B 43 2C 8B 18 FF 53 5C EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10150_0 {
	meta:
		name = "TDecisionSource.SetCurrentSummary"
		size = 69
		refs = "0009 TDecisionSource.GetDecisionCube 0019 TCustomDataStore.GetSummaryCount 002f TCustomDataStore.SetCurrentSummary 003e _NF__1A9"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 22 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 7D 12 85 F6 7C 0E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 89 70 0C B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10151_0 {
	meta:
		name = "TDecisionSource.GetDimensionName"
		size = 43
		refs = "000c @LStrClr 0013 TDecisionSource.GetReady"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B CE 8B D7 8B 43 2C 8B 18 FF 53 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10152_0 {
	meta:
		name = "TDecisionSource.GetDimensionMemberCount"
		size = 49
		refs = "000a TDecisionSource.GetReady"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 8A 5E 28 80 FB 03 74 05 80 FB 02 75 0C 8B D7 8B 46 2C 8B 08 FF 51 54 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10153_0 {
	meta:
		name = "TDecisionSource.GetDataAsVariant"
		size = 354
		refs = "0016 TDecisionSource.GetReady 0043 _Dn_TSmallIntArray 0048 TSmallIntArray.Create 0053 TDecisionSource.GetDataAsVariant 0085 TDimInfoArray.GetItem 00a3 TTwoDimArray.GetElement 0113 TSmallIntArray.PutItem 0143 TObject.Free 0149 @HandleFinally 0155 @VarFromLStr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 2D 01 00 00 8B 45 FC 80 78 28 03 0F 85 20 01 00 00 8B 45 FC 8B 40 3C 89 45 EC 6A 00 8B 45 EC 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C 33 D2 89 10 8B 45 FC 8B 40 3C 8B 40 14 8B 78 04 4F 85 FF 0F 8C A6 00 00 00 47 33 F6 8B 45 EC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B D8 80 3B 01 75 26 80 7B 11 00 75 20 8B 53 0C 8B 45 FC 8B 40 40 8B 4D F8 E8 ?? ?? ?? ?? 0F BF C0 83 F8 FF 75 5C 8B 55 0C FF 02 EB 55 80 3B 01 75 26 80 7B 11 01 75 20 8B 53 0C 8B 45 FC 8B 40 44 8B 4D F4 E8 ?? ?? ?? ?? 0F BF C0 83 F8 FF 75 31 8B 55 0C FF 02 EB 2A 8B 45 EC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8A 00 04 FE 2C 02 73 12 8B 45 EC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 40 04 EB 03 83 C8 FF 8B C8 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 46 4F 0F 85 5D FF FF FF 8B 4D 08 8B 45 FC 8B 40 2C 8B 55 F0 8B 18 FF 53 64 64 8F 05 00 00 00 00 83 C4 08 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10154_0 {
	meta:
		name = "TDecisionSource.Get2DDataAsVariant"
		size = 275
		refs = "0016 TDecisionSource.GetReady 003d _Dn_TSmallIntArray 0042 TSmallIntArray.Create 004d TDecisionSource.Get2DDataAsVariant 005b TBaseArray.GetLimit 006f TDimInfoArray.GetItem 008f TSmallIntArray.PutItem 00f4 TObject.Free 00fa @HandleFinally 0106 @VarFromInt"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 DE 00 00 00 8B 45 FC 80 78 28 03 0F 85 D1 00 00 00 8B 45 FC 8B 78 3C 6A 00 8B 4F 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 6A 46 33 DB 8B 47 14 8B D3 E8 ?? ?? ?? ?? 8A 00 04 FE 2C 02 73 1A 8B 47 14 8B D3 E8 ?? ?? ?? ?? 66 8B 48 04 8B D3 8B 45 F0 E8 ?? ?? ?? ?? EB 37 3B 5D F8 75 10 66 8B 4D 10 8B D3 8B 45 F0 E8 ?? ?? ?? ?? EB 22 3B 5D F4 75 10 66 8B 4D 0C 8B D3 8B 45 F0 E8 ?? ?? ?? ?? EB 0D 83 C9 FF 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 43 4E 75 99 8B 4D 08 8B 45 FC 8B 40 2C 8B 55 F0 8B 18 FF 53 64 64 8F 05 00 00 00 00 83 C4 08 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_10155_0 {
	meta:
		name = "TDecisionSource.GetValueIndex"
		size = 355
		refs = "002e TDecisionSource.GetReady 0055 TTwoDimArray.GetElement 00e3 _NF__248"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 88 55 FF 8B F0 8B 7D 10 8B 46 3C 80 7D FF 00 75 08 8A 40 10 88 45 F3 EB 06 8A 40 11 88 45 F3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 80 7E 28 03 74 0A 80 7E 28 02 0F 85 80 00 00 00 80 7D FF 00 75 12 8B CF 8B 55 F8 8B 46 40 E8 ?? ?? ?? ?? 0F BF D8 EB 10 8B CF 8B 55 F8 8B 46 44 E8 ?? ?? ?? ?? 0F BF D8 85 DB 7D 08 8B 45 08 C6 00 01 EB 06 8B 45 08 C6 00 00 85 FF 75 0B 8B 45 0C C6 00 01 E9 C9 00 00 00 80 7D FF 00 75 13 8B CF 49 8B 55 F8 8B 46 40 E8 ?? ?? ?? ?? 0F BF C0 EB 11 8B CF 49 8B 55 F8 8B 46 44 E8 ?? ?? ?? ?? 0F BF C0 3B C3 8B 45 0C 0F 95 00 E9 92 00 00 00 8B DF 8B 45 F8 85 C0 7C 55 40 89 45 EC C7 45 F4 00 00 00 00 8B 4D F4 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 8B C8 8B C3 99 F7 F9 8B DA 49 3B D9 75 27 80 7D F3 00 74 21 8B 45 08 C6 00 01 8B 45 F4 3B 45 F8 75 08 8B 45 0C C6 00 01 EB 06 8B 45 0C C6 00 00 83 CB FF EB 3C FF 45 F4 FF 4D EC 75 B6 8B 4D F8 41 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 8B C8 8B C3 99 F7 F9 85 D2 75 08 8B 45 0C C6 00 01 EB 06 8B 45 0C C6 00 00 8B C3 99 F7 F9 8B D8 8B 45 08 C6 00 00 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_10156_0 {
	meta:
		name = "TDecisionSource.GetGroupExtent"
		size = 155
		refs = "0032 TDecisionSource.GetValueIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 08 8B 45 0C 89 47 04 89 07 C6 45 FB 00 EB 1D 50 8D 45 FB 50 8D 45 FA 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FB 00 75 02 FF 0F 8B 07 85 C0 7E 06 80 7D FB 00 74 D7 84 DB 75 08 8B 46 48 89 45 F4 EB 06 8B 46 4C 89 45 F4 C6 45 FB 00 EB 1F 40 50 8D 45 FB 50 8D 45 FA 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FB 00 75 03 FF 47 04 8B 47 04 8B 55 F4 4A 3B C2 7D 06 80 7D FB 00 74 D0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10157_0 {
	meta:
		name = "TDecisionSource.GetValueArray"
		size = 286
		refs = "001e TBaseArray.Clear 0037 TDimInfoArray.GetItem 0057 TSmallIntArray.Add 00bd TTwoDimArray.GetElement"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 70 3C 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B 7E 04 4F 85 FF 0F 8C E5 00 00 00 47 33 DB 8B D3 8B 46 14 E8 ?? ?? ?? ?? 8A 00 04 FE 2C 02 73 1D 8B D3 8B 46 14 E8 ?? ?? ?? ?? 66 8B 50 04 8B 45 08 8B 00 E8 ?? ?? ?? ?? E9 AB 00 00 00 8B D3 8B 46 14 E8 ?? ?? ?? ?? 80 38 00 75 12 8B 45 08 8B 00 83 CA FF E8 ?? ?? ?? ?? E9 8A 00 00 00 8B D3 8B 46 14 E8 ?? ?? ?? ?? 80 78 11 00 75 3E 83 7D F4 00 7D 0F 8B 45 08 8B 00 83 CA FF E8 ?? ?? ?? ?? EB 65 8B D3 8B 46 14 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 FC 8B 40 40 8B 4D F4 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 00 E8 ?? ?? ?? ?? EB 3C 83 7D F8 00 7D 0F 8B 45 08 8B 00 83 CA FF E8 ?? ?? ?? ?? EB 27 8B D3 8B 46 14 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 FC 8B 40 44 8B 4D F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 00 E8 ?? ?? ?? ?? 43 4F 0F 85 1E FF FF FF B0 01 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10159_0 {
	meta:
		name = "TDecisionSource.SetDecisionCube"
		size = 52
		refs = "0014 _NF__160 0021 _NF__15F 002d _NF__1FA"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 2C 3B F0 74 24 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 73 2C 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10160_0 {
	meta:
		name = "_NF__1FA"
		size = 89
		refs = "0017 TDecisionSource.GetDecisionCube 0045 _NF__19D 004e _NF__1A9"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 7E 2A 00 75 4A C6 46 2A 01 84 DB 75 35 8B C6 E8 ?? ?? ?? ?? 85 C0 75 06 C6 46 29 00 EB 24 8B C6 E8 ?? ?? ?? ?? 8A 40 2C 88 46 28 80 7E 28 00 75 06 C6 46 29 00 EB 04 C6 46 29 01 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? C6 46 2A 00 5E 5B C3 }
	condition:
		$1
}

rule function_10161_0 {
	meta:
		name = "TDecisionDataLink.Create"
		size = 31
		refs = "0008 @ClassCreate"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C6 40 08 00 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_10164_0 {
	meta:
		name = "TDecisionDataLink.SetDecisionSource"
		size = 52
		refs = "0014 _NF__1A8 0021 _NF__1A7"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 3B F0 74 24 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 73 04 B2 04 8B C3 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_10165_0 {
	meta:
		name = "TDimInfoArray.Create"
		size = 75
		refs = "000b @ClassCreate 0021 @GetMem 002b _Dn_TStringList 0030 TObject.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 8B F1 89 77 04 8B C6 C1 E0 02 8D 04 80 E8 ?? ?? ?? ?? 89 47 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10166_0 {
	meta:
		name = "TDimInfoArray.Destroy"
		size = 63
		refs = "000a TObject.Free 0012 @FreeMem 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10167_0 {
	meta:
		name = "TDimInfoArray.Assign"
		size = 85
		refs = "0013 @FreeMem 002b @GetMem 0042 CopyMemory"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 04 3B 46 04 74 23 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 08 8B 7E 04 89 7B 04 8B C7 C1 E0 02 8D 04 80 E8 ?? ?? ?? ?? 89 43 08 8B 4B 04 C1 E1 02 8D 0C 89 8B 56 08 8B 43 08 E8 ?? ?? ?? ?? 8B 56 10 8B 43 10 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10168_0 {
	meta:
		name = "TDimInfoArray.IsEqual"
		size = 70
	strings:
		$1 = { 53 83 C4 F8 33 C9 8B 5A 04 3B 58 04 75 32 8B 58 08 89 1C 24 8B 52 08 89 54 24 04 8B 40 04 C1 E0 02 8D 04 80 48 85 C0 7C 15 40 8B D4 8D 5C 24 04 3B D3 75 0C FF 04 24 FF 44 24 04 48 75 EC B1 01 8B C1 59 5A 5B C3 }
	condition:
		$1
}

rule function_10169_0 {
	meta:
		name = "TDimInfoArray.GetGroupIndex"
		size = 107
		refs = "0021 TDimInfoArray.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 88 55 FF 8B F0 8B 7E 04 4F 85 FF 7C 46 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 40 11 3A 45 FF 75 2E 80 7D 08 00 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 0C 3B 45 F8 75 17 EB 11 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 08 3B 45 F8 75 04 8B C3 EB 07 43 4F 75 BD 83 C8 FF 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10170_0 {
	meta:
		name = "TDimInfoArray.GetGroupItem"
		size = 39
		refs = "000d TDimInfoArray.GetGroupIndex 001e TDimInfoArray.GetItem"
	strings:
		$1 = { 55 8B EC 53 8B D8 8A 45 08 50 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 C0 EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10171_0 {
	meta:
		name = "TDimInfoArray.GetGroupSize"
		size = 78
		refs = "0020 TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 57 55 51 88 4C 24 01 88 14 24 8B F8 33 ED 8B 77 04 4E 85 F6 7C 2E 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 40 11 3A 04 24 75 16 80 7C 24 01 00 74 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 80 38 01 75 01 45 43 4E 75 D5 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10172_0 {
	meta:
		name = "TDimInfoArray.GetGroupArray"
		size = 191
		refs = "0019 _DV_TIArray 001e TIArray.Create 002d _NF__236 0049 TDimInfoArray.GetItem 0074 TIArray.SetItem"
	strings:
		$1 = { 53 56 57 55 51 8B D9 88 14 24 8B F0 83 7E 0C 00 75 13 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B 6E 0C 33 D2 8B C5 E8 ?? ?? ?? ?? C6 45 08 01 84 DB 74 45 8B 7E 04 4F 85 FF 7C 72 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 40 11 3A 04 24 75 23 8B D3 8B C6 E8 ?? ?? ?? ?? 80 38 01 75 15 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 0C 8B CB 8B C5 E8 ?? ?? ?? ?? 43 4F 75 C8 EB 35 8B 7E 04 4F 85 FF 7C 2D 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 40 11 3A 04 24 75 15 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 08 8B CB 8B C5 E8 ?? ?? ?? ?? 43 4F 75 D6 C6 45 08 00 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10173_0 {
	meta:
		name = "TDimInfoArray.GetItem"
		size = 108
		refs = "000a TDimInfoArray.GetItem 0021 SOutofBounds 0026 LoadResString 0030 _DV_EArrayError 0035 Exception.Create 003a @RaiseExcept 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 7C 05 3B 50 04 7C 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 8D 14 92 8B 40 08 8D 1C 90 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_10174_0 {
	meta:
		name = "TDimInfoArray.Find"
		size = 156
		refs = "001b @LStrAddRef 0023 TDimInfoArray.Find 0059 @LStrCmp 007f @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2D 46 33 DB 8D 4D F0 8B D3 8B 45 FC 8B 40 10 8B 38 FF 57 0C 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 75 09 8B 45 F4 89 18 B3 01 EB 06 43 4E 75 D6 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10175_0 {
	meta:
		name = "TIArray.Create"
		size = 71
		refs = "000d @ClassCreate 002d _NF__235"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 85 C0 7F 09 C7 46 10 14 00 00 00 EB 03 89 46 10 8B D1 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10177_0 {
	meta:
		name = "_NF__235"
		size = 62
		refs = "000b @FreeMem 0033 @GetMem"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 0C E8 ?? ?? ?? ?? 8B FE 89 7B 04 8B 4B 10 83 F9 01 75 05 89 73 14 EB 0B 8B C7 99 F7 F9 40 F7 E9 89 43 14 8B 43 14 C1 E0 02 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10178_0 {
	meta:
		name = "_NF__236"
		size = 81
		refs = "001c _NF__120 002f _NF__235 003e CopyMemory 0045 @FreeMem"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 43 14 3B F0 7F 07 2B 43 10 3B F0 7D 33 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B E8 8B 7B 0C 33 C0 89 43 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CD C1 E1 02 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 73 04 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10179_0 {
	meta:
		name = "TIArray.Assign"
		size = 43
		refs = "0013 _NF__235 0024 CopyMemory"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 3B 43 04 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 4B 04 C1 E1 02 8B 56 0C 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10180_0 {
	meta:
		name = "TIArray.GetItem"
		size = 109
		refs = "000a TIArray.GetItem 0027 SOutofBounds 002c LoadResString 0036 _DV_EArrayError 003b Exception.Create 0040 @RaiseExcept 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 78 0C 00 74 09 85 D2 7C 05 3B 50 04 7C 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 8B 1C 90 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_10181_0 {
	meta:
		name = "TIArray.SetItem"
		size = 146
		refs = "0012 TIArray.SetItem 0042 _NF__236 004c SOutofBounds 0051 LoadResString 005b _DV_EArrayError 0060 Exception.Create 0065 @RaiseExcept 0080 @LStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 74 09 85 F6 7C 05 3B 73 04 7C 3E 83 7B 0C 00 74 17 80 7B 08 00 74 11 3B 73 04 7C 0C 8D 56 01 8B C3 E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 89 3C B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10182_0 {
	meta:
		name = "TIArray.InsertAt"
		size = 170
		refs = "0018 TIArray.InsertAt 002f SOutofBounds 0034 LoadResString 003e _DV_EArrayError 0043 Exception.Create 0048 @RaiseExcept 0053 _NF__236 0077 CopyMemory 0083 TIArray.SetItem 0098 @LStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 04 7E 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 04 42 8B C3 E8 ?? ?? ?? ?? 8D 56 01 8B 43 04 3B D0 7D 1A 2B C6 48 8B C8 C1 E1 02 8B 43 0C 8D 14 B0 8B 43 0C 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10183_0 {
	meta:
		name = "TIArray.RemoveItem"
		size = 173
		refs = "0015 TIArray.RemoveItem 002f SOutofBounds 0034 LoadResString 003e _DV_EArrayError 0043 Exception.Create 0048 @RaiseExcept 0051 TIArray.GetItem 0078 CopyMemory 0083 _NF__236 0098 @LStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 08 8D 46 01 3B 43 04 7E 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8D 56 01 8B 43 04 3B D0 7D 1A 2B C6 48 8B C8 C1 E1 02 8B 43 0C 8D 54 B0 04 8B 43 0C 8D 04 B0 E8 ?? ?? ?? ?? 8B 53 04 4A 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10184_0 {
	meta:
		name = "_NF__248"
		size = 137
		refs = "0064 TDecisionSource.GetActiveDim 0074 _NF__248"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F9 8B DA 8B F0 C7 44 24 04 02 00 00 00 C7 44 24 08 03 00 00 00 C7 44 24 0C 04 00 00 00 C7 44 24 10 03 00 00 00 C7 44 24 14 02 00 00 00 8B 56 3C 84 DB 75 0B 8B 46 50 8A 52 10 88 14 24 EB 09 8B 46 54 8A 52 11 88 14 24 3B C7 7F 07 B8 01 00 00 00 EB 26 6A 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 6C 84 04 8D 4F 01 8B D3 8B C6 E8 ?? ?? ?? ?? F7 ED 80 3C 24 00 74 01 40 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10185_0 {
	meta:
		name = "TDecisionSource.GetActiveDim"
		size = 24
		refs = "000f TDimInfoArray.GetGroupIndex"
	strings:
		$1 = { 55 8B EC 53 8A 5D 08 53 8B 40 3C 8B 40 14 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10186_0 {
	meta:
		name = "TDecisionSource.DrillDimIndex"
		size = 38
		refs = "000d TDecisionSource.GetActiveDim 001d _NF__262"
	strings:
		$1 = { 55 8B EC 53 8B D8 8A 45 08 50 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0C 8B 4D 0C 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10187_0 {
	meta:
		name = "TDecisionSource.MoveDimIndexes"
		size = 411
		refs = "0039 TDecisionSource.GetActiveDim 0063 TDimInfoArray.GetGroupArray 0071 TDimInfoArray.GetItem 0095 TIArray.GetItem 016e _NF__19C"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 88 4D FA 88 55 FB 89 45 FC 8B 5D 08 8B 45 10 8B 55 FC 8B 7A 3C 8A 55 FB 3A 55 FA 75 09 3B 45 0C 0F 84 63 01 00 00 53 8B C8 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 53 8B 4D 0C 8A 55 FA 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 8B 10 FF 52 30 33 C9 8A 55 FB 8B 47 14 E8 ?? ?? ?? ?? 89 45 E4 8B 55 EC 8B 47 14 E8 ?? ?? ?? ?? 8B 40 08 89 45 F4 8B 45 E4 8B 70 04 4E 85 F6 7C 3A 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 47 14 E8 ?? ?? ?? ?? 8B 40 08 3B 45 F4 7E 0D 8B D3 8B 47 14 E8 ?? ?? ?? ?? FF 48 08 FF 45 F0 4E 75 CE 33 C9 8A 55 FA 8B 47 14 E8 ?? ?? ?? ?? 89 45 E4 83 7D E8 00 7C 0B 8B 45 E4 8B 40 04 3B 45 0C 7F 0B 8B 45 E4 8B 40 04 89 45 F4 EB 11 8B 55 E8 8B 47 14 E8 ?? ?? ?? ?? 8B 40 08 89 45 F4 8B 45 E4 8B 70 04 4E 85 F6 7C 3A 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 47 14 E8 ?? ?? ?? ?? 8B 40 08 3B 45 F4 7C 0D 8B D3 8B 47 14 E8 ?? ?? ?? ?? FF 40 08 FF 45 F0 4E 75 CE 8B 55 EC 8B 47 14 E8 ?? ?? ?? ?? 8A 55 FA 88 50 11 8B 55 EC 8B 47 14 E8 ?? ?? ?? ?? 8B 55 F4 89 50 08 8B 4D F4 8A 55 FA 8B 45 FC E8 ?? ?? ?? ?? 8A 45 FA 3A 45 FB 74 0E 83 C9 FF 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? B2 02 8B 45 FC 8B 08 FF 51 34 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_10188_0 {
	meta:
		name = "TDecisionSource.SwapDimIndexes"
		size = 223
		refs = "0030 TDecisionSource.GetActiveDim 0058 TDimInfoArray.GetItem 00b7 _NF__19C"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D9 88 55 FF 8B F0 8B 45 10 8B 7E 3C 3A 5D FF 75 09 3B 45 0C 0F 84 B2 00 00 00 8A 55 08 52 8B C8 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8A 45 08 50 8B 4D 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B C6 8B 10 FF 52 30 8B 55 F4 8B 47 14 E8 ?? ?? ?? ?? 88 58 11 8B 55 F4 8B 47 14 E8 ?? ?? ?? ?? 8B 40 08 89 45 F8 8B 55 F0 8B 47 14 E8 ?? ?? ?? ?? FF 70 08 8B 55 F4 8B 47 14 E8 ?? ?? ?? ?? 5A 89 50 08 8B 55 F0 8B 47 14 E8 ?? ?? ?? ?? 8A 55 FF 88 50 11 8B 55 F0 8B 47 14 E8 ?? ?? ?? ?? 8B 55 F8 89 50 08 8B 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 3A 5D FF 74 0D 83 C9 FF 8A 55 FF 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 8B 08 FF 51 34 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_10189_0 {
	meta:
		name = "_NF__262"
		size = 224
		refs = "000f TDecisionSource.GetDimensionMemberCount 001d _NF__262 0027 @Assert 0038 TDimInfoArray.GetItem 0090 _NF__19C"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 3B E8 7C 14 B9 54 09 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7C 6E 8B 7E 3C 8B D3 8B 47 14 E8 ?? ?? ?? ?? 80 38 03 74 5C 8B C6 8B 10 FF 52 30 8B D3 8B 47 14 E8 ?? ?? ?? ?? 89 68 04 8B D3 8B 47 14 E8 ?? ?? ?? ?? 80 38 03 74 0D 8B D3 8B 47 14 E8 ?? ?? ?? ?? C6 00 02 8B D3 8B 47 14 E8 ?? ?? ?? ?? 8B 68 08 8B D3 8B 47 14 E8 ?? ?? ?? ?? 8A 50 11 8B CD 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 8B 08 FF 51 34 5D 5F 5E 5B C3 00 00 FF FF FF FF 13 00 00 00 43 3A 5C 74 70 5C 78 74 61 62 5C 4D 58 44 42 2E 50 41 53 00 FF FF FF FF 16 00 00 00 49 6C 6C 65 67 61 6C 20 76 61 6C 75 65 20 73 65 6C 65 63 74 65 64 00 00 }
	condition:
		$1
}

rule function_10190_0 {
	meta:
		name = "TPivotState.Create"
		size = 85
		refs = "000a @ClassCreate 0017 _DV_TDimInfoArray 001c TDimInfoArray.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 33 C0 89 46 08 33 C0 89 46 04 33 C0 89 46 0C C6 46 12 00 C6 46 10 01 C6 46 13 00 C6 46 11 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10191_0 {
	meta:
		name = "TPivotState.Destroy"
		size = 47
		refs = "000a TObject.Free 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 33 C0 89 46 14 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10192_0 {
	meta:
		name = "TPivotState.Assign"
		size = 54
		refs = "0031 TDimInfoArray.Assign"
	strings:
		$1 = { 8B 4A 04 89 48 04 8B 4A 08 89 48 08 8B 4A 0C 89 48 0C 8A 4A 12 88 48 12 8A 4A 13 88 48 13 8A 4A 10 88 48 10 8A 4A 11 88 48 11 8B 40 14 8B 52 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10193_0 {
	meta:
		name = "TPivotState.IsEqual"
		size = 76
		refs = "0042 TDimInfoArray.IsEqual"
	strings:
		$1 = { 53 33 C9 8B 58 04 3B 5A 04 75 3D 8B 58 08 3B 5A 08 75 35 8B 58 0C 3B 5A 0C 75 2D 8A 58 12 3A 5A 12 75 25 8A 58 13 3A 5A 13 75 1D 8A 58 10 3A 5A 10 75 15 8A 58 11 3A 5A 11 75 0D 8B 40 14 8B 52 14 E8 ?? ?? ?? ?? 8B C8 8B C1 5B C3 }
	condition:
		$1
}

rule function_10196_0 {
	meta:
		name = "ShowDSSCubeEditor"
		size = 199
		refs = "0014 Application 001d _DV_TDssCubeEditor 0022 TDssCubeEditor.Create 002d ShowDSSCubeEditor 003f TDssCubeEditor.SInitialize 0048 Screen 004f TScreen.GetWidth 006a TScreen.GetHeight 008f TControl.SetLeft 0099 TControl.SetTop 00a1 TCustomForm.ShowModal 00b6 TObject.Free 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 85 DB 0F 84 B0 00 00 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 2B 58 38 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 2B 70 3C D1 FE 79 03 83 D6 00 85 DB 7D 02 33 DB 85 F6 7D 02 33 F6 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10197_0 {
	meta:
		name = "TDssCubeEditor.Create"
		size = 75
		refs = "000a @ClassCreate 0034 TCustomForm.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 86 B9 02 00 00 00 C6 86 BA 02 00 00 00 C6 86 B8 02 00 00 00 33 C0 89 86 A4 02 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10198_0 {
	meta:
		name = "TDssCubeEditor.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TCustomForm.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10199_0 {
	meta:
		name = "TDssCubeEditor.SInitialize"
		size = 490
		refs = "0012 TDssCubeEditor.SInitialize 0028 _Dn_TDecisionCube 002d @IsClass 0044 TCustomDataStore.GetDataSet 0058 sNoDataSet 005d LoadResString 0067 _DV_ECubeDesignError 006c Exception.Create 0071 @RaiseExcept 0082 TPageControl.SetActivePage 0090 _Dn_TQuery 00b5 @LStrLAsg 00c2 TDBDataSet.GetDBSession 00ca TSession.OpenDatabase 00d5 _Dn_TCubeDim 00e3 _Dn_TCubeDims 00e8 TDimensionItems.Create 011e BuildDataSetMap 012a sQryNotInitialized 0158 IntToStr 0166 TControl.SetText 01ab TDssCubeEditor.UpdateLists 01b2 TDssCubeEditor.InitCapacityPage 01b9 TDssCubeEditor.InitializePanel 01d5 @LStrArrayClr 01db @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 96 9C 02 00 00 33 DB 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 86 01 00 00 8B DF 89 9E A0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 89 BE A8 02 00 00 85 FF 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 96 1C 02 00 00 8B 86 18 02 00 00 E8 ?? ?? ?? ?? 8B 9E A8 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 83 BB E0 01 00 00 00 0F 95 C0 84 C0 75 29 8D 45 FC 8B 93 E4 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 15 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 89 86 AC 02 00 00 A1 ?? ?? ?? ?? 50 8B 8E A0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E A4 02 00 00 8B 86 A0 02 00 00 8B 50 30 8B C3 8B 08 FF 51 08 8D 86 B3 02 00 00 50 8D 8E B2 02 00 00 8B 96 A4 02 00 00 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 3C 04 75 25 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 74 8D 55 F8 8B 86 A0 02 00 00 8B 40 3C E8 ?? ?? ?? ?? 8B 55 F8 8B 86 60 02 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 A0 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 55 F8 8B 86 64 02 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 A0 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 55 F8 8B 86 68 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10200_0 {
	meta:
		name = "TDssCubeEditor.SFinalize"
		size = 656
		refs = "001a TDssCubeEditor.SFinalize 0027 _NF__110 0035 TControl.GetText 003d StrToInt 0062 TDimensionItems.GetActiveDimCount 0072 sMaxAllowedDims 0077 LoadResString 008b Format 0095 _DV_ECubeDesignError 009a Exception.Create 009f @RaiseExcept 00aa TDimensionItems.GetActiveSumCount 00ba sMaxAllowedSums 00f4 TCustomDataStore.SetMaxDims 0101 TCustomDataStore.SetMaxSums 0127 TCustomDataStore.GetCurrentSummary 0138 TCustomDataStore.SetCurrentSummary 015e TCollection.GetCount 0175 TCubeDims.GetCubeDim 01d6 SGetValueCounts 01ec MessageDlg 01f8 _NF__132 0231 TDimensionItem.SetActiveFlag 024c TCustomDataStore.Refresh 0257 UpdateDesigner 0271 @LStrArrayClr 0279 @LStrClr 027f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 F0 89 55 F4 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 83 60 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 8D 55 F4 8B 83 64 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 3B F8 7D 39 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 7D E4 C6 45 E8 00 8D 55 E4 33 C9 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 3B F0 7D 39 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 75 E4 C6 45 E8 00 8D 55 E4 33 C9 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 83 68 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B BB A0 02 00 00 89 47 44 8B C7 E8 ?? ?? ?? ?? 3B F0 7C 0D 33 D2 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 8B 83 A0 02 00 00 83 78 44 00 0F 8E B0 00 00 00 C6 45 FB 00 C7 45 FC 01 00 00 00 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 53 47 33 F6 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 80 78 28 00 75 39 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 80 78 22 02 74 26 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 40 50 85 C0 7F 09 C6 45 FB 01 B8 32 00 00 00 8B 55 FC 0F AF D0 89 55 FC 46 4F 75 B0 8B 83 A0 02 00 00 8B 40 44 3B 45 FC 0F 9C C0 22 45 FB 74 2C 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 66 8B 0D ?? ?? ?? ?? B2 03 E8 ?? ?? ?? ?? 83 F8 06 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2B 47 33 F6 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8A 40 22 50 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4F 75 D8 8A 8B B8 02 00 00 8B 93 A4 02 00 00 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_10201_0 {
	meta:
		name = "TDssCubeEditor.UpdateLists"
		size = 208
		refs = "0014 TDssCubeEditor.UpdateLists 0025 TCustomListBox.Clear 0030 TCollection.GetCount 004d TCubeDims.GetCubeDim 0056 TCubeDim.GetLoaded 006a @LStrCat3 00af @LStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 DC 01 00 00 E8 ?? ?? ?? ?? 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 63 47 C7 45 FC 00 00 00 00 8B 55 FC 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 26 8D 45 F8 B9 ?? ?? ?? ?? 8B 53 18 E8 ?? ?? ?? ?? 8B 55 F8 8B 86 DC 01 00 00 8B 80 18 01 00 00 8B 08 FF 51 34 EB 14 8B 86 DC 01 00 00 8B 80 18 01 00 00 8B 53 18 8B 08 FF 51 34 FF 45 FC 4F 75 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_10202_0 {
	meta:
		name = "TDssCubeEditor.InitializePanel"
		size = 267
		refs = "0021 TCustomListBox.SetItemIndex 002c TCustomListBox.GetItemIndex 0039 _NF__10F 0068 TRadioButton.SetChecked 00aa TControl.SetEnabled 00de TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 DC 01 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 85 C0 7E 0D 33 D2 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 89 83 B4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 A0 02 00 00 F6 40 20 10 74 58 8A 40 2D 2C 01 72 42 74 0D FE C8 74 1B FE C8 74 29 E9 AA 00 00 00 B2 01 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? E9 98 00 00 00 B2 01 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? E9 86 00 00 00 B2 01 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? EB 77 B2 01 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 5B C3 33 D2 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 68 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 60 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 64 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10203_0 {
	meta:
		name = "TDssCubeEditor.FieldListClick"
		size = 119
		refs = "000c TDssCubeEditor.FieldListClick 0019 _NF__110 0028 @HandleOnException 0030 _Dn_Exception 0045 Exception.Create 004a @RaiseExcept 004f @DoneExcept 0061 TCustomListBox.GetItemIndex 006e _NF__10F"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D E8 ?? ?? ?? ?? 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 89 83 B4 02 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_10204_0 {
	meta:
		name = "_NF__10F"
		size = 891
		refs = "0010 _NF__10F 002f TCollection.GetCount 0048 TCubeDims.GetCubeDim 0055 IntToStr 0063 TControl.SetText 007a @LStrAsg 00a1 TCustomComboBox.SetItemIndex 00c6 _Dn_TQuery 00cb @IsClass 00e0 TControl.SetEnabled 00f9 AnsiUpperCase 0105 SCountStar 010a LoadResString 0113 @LStrCmp 0132 TCustomMaskEdit.SetText 0161 TControl.SetVisible 01a7 TCubeDim.GetBin 0368 @LStrArrayClr 036e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 B4 02 00 00 85 F6 0F 8C BE 02 00 00 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 3B F0 0F 8D AB 02 00 00 8B 93 B4 02 00 00 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B 46 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8A 46 22 88 83 C4 02 00 00 8D 83 BC 02 00 00 8B 56 14 E8 ?? ?? ?? ?? 8A 46 28 88 83 C5 02 00 00 8D 83 C0 02 00 00 8B 56 10 E8 ?? ?? ?? ?? 33 D2 8A 56 22 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 33 D2 8A 56 28 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 80 BB B2 02 00 00 00 74 19 8B 83 A8 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 8B 56 14 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 46 14 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 0F 94 C2 80 F2 01 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B 56 1C 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 80 BB B2 02 00 00 00 74 19 8B 83 A8 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 80 BB B2 02 00 00 00 74 19 8B 83 A8 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 8B 56 10 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B FE 8B C7 E8 ?? ?? ?? ?? 33 D2 8A D0 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 88 83 C6 02 00 00 80 7E 28 00 0F 85 D2 00 00 00 B2 01 8B 83 10 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 8A 46 20 2C 09 74 04 2C 02 75 49 8B C6 E8 ?? ?? ?? ?? 48 2C 03 73 3D 8D 83 C8 02 00 00 8B FE 8B 57 44 E8 ?? ?? ?? ?? 8B 57 44 8B 83 30 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 30 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 04 02 00 00 E8 ?? ?? ?? ?? E9 05 01 00 00 8B C6 E8 ?? ?? ?? ?? 3C 04 75 2D B2 01 8B 83 30 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B 56 44 8B 83 30 02 00 00 E8 ?? ?? ?? ?? E9 CD 00 00 00 33 D2 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 04 02 00 00 E8 ?? ?? ?? ?? E9 A1 00 00 00 33 D2 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 04 02 00 00 E8 ?? ?? ?? ?? EB 5E 83 CA FF 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 83 CA FF 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 83 CA FF 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 30 02 00 00 E8 ?? ?? ?? ?? C6 83 B1 02 00 00 00 C6 83 B0 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10205_0 {
	meta:
		name = "_NF__110"
		size = 949
		refs = "0018 _NF__110 004c TCollection.GetCount 0072 TCubeDims.GetCubeDim 0082 TCustomComboBox.GetItemIndex 008b TDimensionItem.SetType 00a2 TDimensionItem.SetActiveFlag 00b3 TControl.GetText 00bd TDimensionItem.SetName 00d8 _Dn_TQuery 00dd @IsClass 00f2 TCustomMaskEdit.GetText 00fc TDimensionItem.SetBaseName 0117 TDimensionItem.SetFormat 017d TCubeDim.GetBin 0267 TBinData.GetAllBinValueCount 028e TCubeDim.SetBin 02d5 StrToDate 02e4 DateToStr 02ee TCubeDim.SetStart 0325 @HandleOnException 032d _Dn_Exception 0348 TCustomListBox.SetItemIndex 0350 SIllegalValueForBin 0355 LoadResString 035f _DV_ECubeDesignError 0364 Exception.Create 0369 @RaiseExcept 036e @DoneExcept 039a @LStrClr 03a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 B1 02 00 00 00 0F 84 43 03 00 00 8B 45 FC 83 B8 B4 02 00 00 00 0F 8C 33 03 00 00 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 B4 02 00 00 0F 8E 16 03 00 00 8B 45 FC 8B 90 B4 02 00 00 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 80 14 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 0C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B2 02 00 00 00 74 18 8B 45 FC 8B 80 A8 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1B 8D 55 F0 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 80 2C 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B0 02 00 00 00 0F 84 4A 02 00 00 33 F6 8B 45 FC 8B 80 10 02 00 00 E8 ?? ?? ?? ?? 88 45 FB 8B 45 FC 8B 80 A0 02 00 00 8B 40 30 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 B4 02 00 00 0F 8E 0F 01 00 00 8B 45 FC 8B 90 B4 02 00 00 8B 45 FC 8B 80 A0 02 00 00 8B 40 30 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 3A 45 FB 75 08 8B 73 50 E9 DF 00 00 00 33 C0 8A 45 FB 83 F8 04 0F 87 D1 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 02 75 0B 8B 73 50 8D 34 76 E9 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 3C 01 0F 85 91 00 00 00 8B 73 50 C1 E6 02 8D 34 76 E9 83 00 00 00 8B C3 E8 ?? ?? ?? ?? 3C 03 75 0F 8B 43 50 B9 03 00 00 00 99 F7 F9 8B F0 EB 69 8B C3 E8 ?? ?? ?? ?? 3C 01 75 5E 8B 73 50 C1 E6 02 EB 56 8B C3 E8 ?? ?? ?? ?? 3C 03 75 0F 8B 43 50 B9 0C 00 00 00 99 F7 F9 8B F0 EB 3C 8B C3 E8 ?? ?? ?? ?? 3C 02 75 31 8B 73 50 85 F6 79 03 83 C6 03 C1 FE 02 EB 22 BE 02 00 00 00 EB 1B 8B C3 E8 ?? ?? ?? ?? 3C 04 75 10 83 7B 4C 00 74 0A 8B 43 4C E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 10 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8A 47 20 2C 09 74 04 2C 02 75 57 8B C7 E8 ?? ?? ?? ?? 48 2C 03 73 4B 8D 55 F0 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 74 5A 8D 55 F0 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? EB 26 8B C7 E8 ?? ?? ?? ?? 3C 04 75 1B 8D 55 F0 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 90 B4 02 00 00 8B 45 FC 8B 80 DC 01 00 00 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 50 8B 45 FC C6 80 B0 02 00 00 00 8B 45 FC C6 80 B1 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10206_0 {
	meta:
		name = "TDssCubeEditor.InitCapacityPage"
		size = 768
		refs = "0014 TDssCubeEditor.InitCapacityPage 0062 TCollection.GetCount 007d TCubeDims.GetCubeDim 0099 TCubeDim.GetLoaded 01ba IntToStr 01c8 TControl.SetText 0285 SNotAvailable 028a LoadResString 02ed @LStrClr 02f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 D8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 A4 02 00 00 85 F6 0F 84 B0 02 00 00 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 89 45 F4 33 C0 89 45 F0 33 C0 89 45 EC 33 C0 89 45 E8 C7 45 E4 01 00 00 00 C7 45 E0 01 00 00 00 C7 45 DC 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 42 01 00 00 47 33 F6 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 80 78 28 00 0F 85 D4 00 00 00 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 FF 45 E8 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 83 78 50 00 7F 07 33 C0 89 45 DC EB 16 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 40 50 F7 6D DC 89 45 DC 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8A 40 22 2C 01 72 07 74 40 E9 BC 00 00 00 FF 45 F0 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 83 78 50 00 7F 0A 33 C0 89 45 E0 E9 9C 00 00 00 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 40 50 F7 6D E0 89 45 E0 E9 81 00 00 00 FF 45 EC 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 83 78 50 00 7F 07 33 C0 89 45 E4 EB 64 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 40 50 F7 6D E4 89 45 E4 EB 4C 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 83 78 0C 00 7D 39 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 FF 45 F4 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8A 40 22 2C 01 72 04 74 07 EB 08 FF 45 FC EB 03 FF 45 F8 46 4F 0F 85 C1 FE FF FF 8D 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 40 02 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 EC 03 45 F0 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 03 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 83 58 02 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 83 7D E0 00 7E 2C 83 7D E4 00 7E 26 8D 55 D8 8B 45 F8 03 45 FC 0F AF 45 E0 0F AF 45 E4 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 74 02 00 00 E8 ?? ?? ?? ?? EB 1B 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 83 7D DC 00 7E 1F 8D 55 D8 8B 45 DC 0F AF 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 90 02 00 00 E8 ?? ?? ?? ?? EB 1B 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10207_0 {
	meta:
		name = "TDssCubeEditor.RadioMetaDataClick"
		size = 14
		refs = "0009 TCustomDataStore.SetDesignState"
	strings:
		$1 = { B2 01 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10208_0 {
	meta:
		name = "TDssCubeEditor.RadioDimensionDataClick"
		size = 14
		refs = "0009 TCustomDataStore.SetDesignState"
	strings:
		$1 = { B2 02 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10209_0 {
	meta:
		name = "TDssCubeEditor.RadioAllDataClick"
		size = 14
		refs = "0009 TCustomDataStore.SetDesignState"
	strings:
		$1 = { B2 03 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10210_0 {
	meta:
		name = "TDssCubeEditor.RadioNoDataClick"
		size = 14
		refs = "0009 TCustomDataStore.SetDesignState"
	strings:
		$1 = { 33 D2 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10211_0 {
	meta:
		name = "TDssCubeEditor.OKButtonClick"
		size = 102
		refs = "000c TDssCubeEditor.OKButtonClick 0019 TDssCubeEditor.SFinalize 0028 @HandleOnException 0030 _Dn_Exception 0045 Exception.Create 004a @RaiseExcept 004f @DoneExcept 005d TCustomForm.Close"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_10212_0 {
	meta:
		name = "TDssCubeEditor.HandleFieldEdit"
		size = 553
		refs = "0012 TDssCubeEditor.HandleFieldEdit 0033 TControl.GetText 0051 @LStrAsg 00af TCustomComboBox.GetItemIndex 0109 TCubeDims.GetCubeDim 0112 TCubeDim.GetBin 0153 TCustomMaskEdit.SetText 0160 TControl.SetEnabled 0177 SDateBinningNotAllowed 017c LoadResString 0184 ShowMessage 018d TCustomComboBox.SetItemIndex 020e @LStrClr 021c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 2C 02 00 00 75 31 C6 83 B1 02 00 00 01 8D 55 FC 8B FE 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 C0 02 00 00 E8 ?? ?? ?? ?? 3B B3 F4 01 00 00 75 31 C6 83 B1 02 00 00 01 8D 55 FC 8B FE 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 BC 02 00 00 E8 ?? ?? ?? ?? 3B B3 98 02 00 00 75 07 C6 83 B1 02 00 00 01 3B B3 0C 02 00 00 75 14 C6 83 B1 02 00 00 01 8B C6 E8 ?? ?? ?? ?? 88 83 C4 02 00 00 3B B3 14 02 00 00 75 14 C6 83 B1 02 00 00 01 8B C6 E8 ?? ?? ?? ?? 88 83 C5 02 00 00 3B B3 10 02 00 00 0F 85 06 01 00 00 C6 83 B0 02 00 00 01 C6 83 B1 02 00 00 01 8B C6 E8 ?? ?? ?? ?? 88 83 C6 02 00 00 8B 93 B4 02 00 00 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 3A 83 C6 02 00 00 0F 84 C5 00 00 00 8A 83 C6 02 00 00 8B D0 4A 80 EA 03 73 63 8A 47 20 2C 09 74 04 2C 02 75 38 8D 83 C8 02 00 00 8B 57 44 E8 ?? ?? ?? ?? 8B 57 44 8B 83 30 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 30 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 04 02 00 00 E8 ?? ?? ?? ?? EB 74 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? EB 54 3C 04 75 29 B2 01 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 30 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 04 02 00 00 E8 ?? ?? ?? ?? EB 27 33 D2 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 3B B3 30 02 00 00 75 0E C6 83 B1 02 00 00 01 C6 83 B0 02 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10213_0 {
	meta:
		name = "TDssCubeEditor.ActiveEditChange"
		size = 8
		altNames = "TDssCubeEditor.HandleBeginEdit"
	strings:
		$1 = { C6 80 B1 02 00 00 01 C3 }
	condition:
		$1
}

rule function_10216_0 {
	meta:
		name = "TDssCubeEditor.PagerChange"
		size = 72
		refs = "0006 _NF__110 001a TDssCubeEditor.PagerChange 001f @LStrCmp 0028 TDssCubeEditor.InitCapacityPage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 8B 80 44 01 00 00 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 FF FF FF FF 0D 00 00 00 4D 65 6D 6F 72 79 43 6F 6E 74 72 6F 6C 00 00 00 }
	condition:
		$1
}

rule function_10217_0 {
	meta:
		name = "_NF__132"
		size = 621
		refs = "0015 _NF__132 0020 _Dn_TCubeDim 0031 _Dn_TCubeDims 0036 TDimensionItems.Create 0059 TControl.GetText 0061 StrToInt 00ce TCustomDataStore.SetMaxDims 00e1 TCustomDataStore.SetMaxSums 00f9 TCollection.GetCount 010d TCubeDims.GetCubeDim 0114 TDimensionItem.SetActiveFlag 0128 TCustomDataStore.SetDesignState 0136 TCustomDataStore.GetDataSet 015b TDataSet.GetActive 0172 TCustomDataStore.Refresh 01a1 TDataSet.SetActive 01fb TObject.Free 0243 @HandleFinally 025a @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 50 8B 45 FC 8B 88 A0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 A0 02 00 00 8A 40 2D 88 45 EB 8D 55 E4 8B 45 FC 8B 80 60 02 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 F0 8D 55 E4 8B 45 FC 8B 80 64 02 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 EC 8D 55 E4 8B 45 FC 8B 80 68 02 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 90 A4 02 00 00 8B 45 F8 8B 08 FF 51 08 8B 45 FC 8B 80 A0 02 00 00 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 02 00 00 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 02 00 00 C7 40 44 00 C2 EB 0B 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 18 43 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 46 4B 75 EB 8B 45 FC 8B 80 A0 02 00 00 B2 02 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 A8 00 00 00 8B 45 FC C6 80 B8 02 00 00 01 8B 45 FC 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 FC 8B 80 A0 02 00 00 B1 01 8B 55 F8 E8 ?? ?? ?? ?? EB 2D 8B 45 FC 8B 80 A0 02 00 00 8B 40 30 85 C0 74 08 8B 55 F8 8B 08 FF 51 08 8B 45 FC 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 30 43 33 F6 8B 45 FC 8B 80 A0 02 00 00 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 78 50 8B 45 FC 8B 80 A4 02 00 00 8B D6 E8 ?? ?? ?? ?? 89 78 50 46 4B 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 02 00 00 8A 55 EB E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 02 00 00 8B 55 F4 89 50 44 C3 E9 ?? ?? ?? ?? EB AE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10219_0 {
	meta:
		name = "TDssCubeEditor.FormKeyPress"
		size = 26
		refs = "0008 TDssCubeEditor.OKButtonClick 0015 TDssCubeEditor.CancelButtonClick"
	strings:
		$1 = { 80 39 0D 75 08 8B D0 E8 ?? ?? ?? ?? C3 80 39 1B 75 07 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10220_0 {
	meta:
		name = "TDssCubeEditor.HelpButtonClick"
		size = 18
		refs = "0001 Application 000d TApplication.HelpContext"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 BA DA 75 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10223_0 {
	meta:
		name = "ShowSQLWindow"
		size = 217
		refs = "0013 @LStrAddRef 0023 ShowSQLWindow 002f Application 0038 _DV_TSQLWindow 003d TCustomForm.Create 004c TSQLWindow.SInitialize 0055 Screen 005c TScreen.GetWidth 0074 TScreen.GetHeight 0095 TControl.SetLeft 009e TControl.SetTop 00a5 TCustomForm.ShowModal 00ac TObject.Free 00c6 @LStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 55 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 2B 73 38 D1 FE 79 03 83 D6 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F8 2B 7B 3C D1 FF 79 03 83 D7 00 85 F6 7D 02 33 F6 85 FF 7D 02 33 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10224_0 {
	meta:
		name = "TSQLWindow.SInitialize"
		size = 160
		refs = "0013 @LStrAddRef 0023 TSQLWindow.SInitialize 0037 TDBDataSet.SetDatabaseName 0058 TDataSet.SetActive 0066 TControl.SetText 0071 TDataSet.GetActive 008d @LStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 8B 80 F0 01 00 00 8B 55 F8 8B 08 FF 51 2C B2 01 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10227_0 {
	meta:
		name = "TCustomDecisionGraph.Create"
		size = 137
		refs = "000e @ClassCreate 0020 TCustomChart.Create 0036 _DV_TDecisionGraphDataLink 003b TDecisionGraphDataLink.Create 0051 @LStrClr 005a GetDefaultColor 006e _NF__126"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 89 9E 0C 03 00 00 C6 86 04 03 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 08 03 00 00 89 73 0C 8D 86 50 03 00 00 E8 ?? ?? ?? ?? 33 DB 8B C3 E8 ?? ?? ?? ?? 89 84 9E 10 03 00 00 43 83 FB 10 75 EC 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10228_0 {
	meta:
		name = "TCustomDecisionGraph.Destroy"
		size = 53
		refs = "000d TObject.Free 0021 TCustomChart.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 08 03 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10230_0 {
	meta:
		name = "TCustomDecisionGraph.Notification"
		size = 72
		refs = "0010 TControl.Notification 0018 _Dn_TPivotButton 001d @IsClass 002c TCustomDecisionGraph.GetDecisionSource 0040 TPivotButton.SetDecisionSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 84 DB 75 1B 8B C7 E8 ?? ?? ?? ?? 85 C0 74 10 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10251_0 {
	meta:
		name = "TCustomDecisionGrid.Notification"
		size = 72
		refs = "0010 TControl.Notification 0018 _Dn_TPivotButton 001d @IsClass 002c TCustomDecisionGrid.GeTDecisionSource 0040 TPivotButton.SetDecisionSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 84 DB 75 1B 8B C7 E8 ?? ?? ?? ?? 85 C0 74 10 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10231_0 {
	meta:
		name = "_NF__126"
		size = 264
		refs = "0009 TCustomDecisionGraph.GetDecisionSource 001d TDecisionSource.GetReady 0033 TCustomAxisPanel.SeriesCount 0046 TCustomAxisPanel.GetSeries 005b _NF__126 007e TDecisionSource.GetDims 0095 _NF__128 00e4 TCustomAxisPanel.RemoveSeries 00eb TObject.Free 00f8 _NF__127"
	strings:
		$1 = { 53 56 57 55 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 E0 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 CC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 38 45 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? F6 40 78 01 74 22 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? F7 D2 22 50 78 52 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 88 50 78 43 4D 75 CB 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 21 45 33 DB 6A 01 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 A0 ?? ?? ?? ?? 0A 47 78 88 47 78 43 4D 75 E2 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 3C 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 F6 47 78 01 74 25 F6 47 78 10 75 1F 8B D3 8B C6 E8 ?? ?? ?? ?? F6 40 20 20 75 10 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 C4 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_10232_0 {
	meta:
		name = "_NF__127"
		size = 1328
		refs = "0020 _NF__127 002d TCustomAxisPanel.SeriesCount 0045 TCustomAxisPanel.GetSeries 0099 @LStrCat3 00d5 TList.Get 011d TCustomDecisionGraph.GetDecisionSource 012d TDecisionSource.GetReady 0143 TDecisionSource.GetActiveDim 01a4 TDecisionSource.GetDimensionName 01b2 @LStrAsg 01e3 @LStrCatN 01fa TDecisionSource.GetDimensionMemberCount 021d _NF__128 022a TChartSeries.SetColorEachPoint 027a TDecisionSource.Get2DDataAsVariant 0282 @VarToReal 0299 _NF__12F 02a9 TChartSeries.AddY 02ec TChartAxisTitle.SetCaption 031b TDecisionSource.GetSums 032b TDecisionSource.GetCurrentSum 033c TDecisionSource.GetSummaryName 03fb @LStrCmp 0421 TCustomAxisPanel.RemoveSeries 0429 TObject.Free 043c @LStrClr 04ab TWinControl.GetControlCount 04bf TWinControl.GetControl 04c5 _Dn_TPivotButton 04ca @IsClass 04dc TPivotButton.NewState 04f7 @VarClr 0505 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 E8 89 55 D8 89 55 DC 89 55 E0 89 55 E4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 48 85 C0 0F 8C E0 00 00 00 40 89 45 F0 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 80 78 58 00 74 4E 8B D7 8B C6 E8 ?? ?? ?? ?? 83 B8 BC 00 00 00 00 75 3C 8B D7 8B C6 E8 ?? ?? ?? ?? 8A 58 78 0A 1D ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 88 58 78 8B D7 8B C6 E8 ?? ?? ?? ?? 05 BC 00 00 00 8B 8E 50 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? F6 40 78 10 74 54 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 40 28 8B 40 08 48 85 C0 7C 40 40 89 45 EC 33 DB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 40 28 8B D3 E8 ?? ?? ?? ?? 8A 40 78 0A 05 ?? ?? ?? ?? 50 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 40 28 8B D3 E8 ?? ?? ?? ?? 5A 88 50 78 43 FF 4D EC 75 C6 8B D7 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 54 47 FF 4D F0 0F 85 26 FF FF FF 8B C6 E8 ?? ?? ?? ?? 85 C0 74 3C 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 6A 01 8B C6 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? 89 45 F8 6A 01 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 F4 EB 0E C7 45 F8 FF FF FF FF C7 45 F4 FF FF FF FF 83 7D F8 00 7D 0A 83 7D F4 00 0F 8C B6 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 83 7D F4 00 7D 0D 8B 45 F8 89 45 F4 C7 45 F8 FF FF FF FF 8D 4D E8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 86 50 03 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 7C 2B FF B6 50 03 00 00 68 ?? ?? ?? ?? 8D 4D E8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 E8 8D 86 50 03 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 7D 07 B8 01 00 00 00 EB 0A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C C0 00 00 00 40 89 45 F0 33 FF 83 7D F8 00 7D 1D 6A 02 33 C9 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 89 45 FC B2 01 8B 45 FC E8 ?? ?? ?? ?? EB 11 6A 00 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 10 FF 92 88 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 48 85 C0 7C 53 40 89 45 EC 33 DB 57 53 8D 45 D8 50 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 E8 50 8B CB 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 B9 00 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 43 FF 4D EC 75 B3 B2 01 8B 45 FC 8B 08 FF 51 54 47 FF 4D F0 0F 85 46 FF FF FF 83 7D F4 00 7C 46 8B C6 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 E8 8B 86 BC 01 00 00 8B 40 64 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 E8 8B 86 B8 01 00 00 8B 40 64 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 5E 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 8B 55 E8 8B 86 C0 01 00 00 8B 40 64 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 8B 55 E8 8B 86 C4 01 00 00 8B 40 64 E8 ?? ?? ?? ?? EB 20 8B 86 C0 01 00 00 8B 40 64 33 D2 E8 ?? ?? ?? ?? 8B 86 C4 01 00 00 8B 40 64 33 D2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 83 FF 00 0F 8C F4 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 80 78 58 00 75 64 8B 45 FC F6 40 78 01 75 5B 8B 45 FC F6 40 78 10 74 31 8D 45 E8 8B 8E 50 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 0F 94 C2 8B 45 FC 8B 08 FF 51 54 EB 21 8B D7 8B C6 E8 ?? ?? ?? ?? F6 40 20 20 75 12 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 4F 83 FF FF 75 81 EB 73 8D 86 50 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 1C 40 89 45 F0 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 54 47 FF 4D F0 75 EA 8B 86 BC 01 00 00 8B 40 64 33 D2 E8 ?? ?? ?? ?? 8B 86 B8 01 00 00 8B 40 64 33 D2 E8 ?? ?? ?? ?? 8B 86 C0 01 00 00 8B 40 64 33 D2 E8 ?? ?? ?? ?? 8B 86 C4 01 00 00 8B 40 64 33 D2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 32 40 89 45 F0 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 FF 4D F0 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 10 00 00 00 FF FF FF FF 02 00 00 00 3A 3A 00 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_10233_0 {
	meta:
		name = "_NF__128"
		size = 664
		refs = "001f _NF__128 0031 TCustomDecisionGraph.GetDecisionSource 003b TDecisionSource.GetDimensionName 0047 sTemplatePrefix 004c LoadResString 0058 @LStrCat3 0076 _NF__12E 0089 IntToStr 0099 @LStrCatN 00a9 _NF__12F 00c2 @LStrLAsg 00f7 TCustomAxisPanel.SeriesCount 010a TCustomAxisPanel.GetSeries 0115 @LStrCmp 018a TObject.ClassType 0196 CreateNewSeries 01c0 _Dn_TBarSeries 01dd @LStrAsg 020e TSeriesMarks.SetVisible 0237 TChartSeries.SetTitle 0251 @LStrArrayClr 0257 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 8B D6 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F0 59 E8 ?? ?? ?? ?? 8A 45 08 2C 01 72 0B 74 4A FE C8 74 5F E9 86 00 00 00 8D 4D E8 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? EB 45 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F0 E8 ?? ?? ?? ?? EB 2C 8D 4D E8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 42 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? 74 19 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 80 BC 00 00 00 8B 55 EC E8 ?? ?? ?? ?? 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 46 4F 75 C1 83 7D F8 00 0F 85 ED 00 00 00 80 7D 08 01 74 62 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 54 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 80 BC 00 00 00 8B 55 F0 E8 ?? ?? ?? ?? 75 34 6A 00 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 8B 43 24 E8 ?? ?? ?? ?? 89 45 F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 08 EB 04 46 4F 75 AF 83 7D F8 00 75 15 6A 00 8B 0D ?? ?? ?? ?? 8B D3 8B 43 24 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 05 BC 00 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 45 F8 8A 15 ?? ?? ?? ?? 88 50 78 80 7D 08 01 75 12 8B 45 F8 8A 40 78 0A 05 ?? ?? ?? ?? 8B 55 F8 88 42 78 8B 45 F8 8B 40 3C 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 25 0F 00 00 80 79 05 48 83 C8 F0 40 8B 94 83 10 03 00 00 8B 45 F8 8B 08 FF 51 4C 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 02 00 00 00 5F 46 00 00 FF FF FF FF 03 00 00 00 5F 31 44 00 FF FF FF FF 03 00 00 00 31 44 20 00 28 00 00 00 05 00 00 00 }
	condition:
		$1
}

rule function_10234_0 {
	meta:
		name = "TCustomDecisionGraph.GetDecisionSource"
		size = 10
	strings:
		$1 = { 8B 80 08 03 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_10235_0 {
	meta:
		name = "TCustomDecisionGraph.SetDecisionSource"
		size = 38
		refs = "0013 TDecisionDataLink.SetDecisionSource 001e _NF__126"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 08 03 00 00 8B 78 04 8B D6 E8 ?? ?? ?? ?? 3B FE 74 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10236_0 {
	meta:
		name = "_NF__12E"
		size = 364
		refs = "0019 _NF__12E 0027 TCustomDecisionGraph.GetDecisionSource 0030 TDecisionSource.GetDimensionName 003a AnsiUpperCase 0044 @LStrLAsg 004b @LStrLen 0073 UniqueString 0095 @LStrCopy 00a2 @LStrCmp 00ea @LStrCatN 011a @LStrClr 0127 @LStrArrayClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B CB 8B D6 E8 ?? ?? ?? ?? 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 2B BE 01 00 00 00 8B 03 8A 44 30 FF 3C 30 72 0C 3C 39 76 04 3C 41 72 04 3C 5A 76 0C 8B C3 E8 ?? ?? ?? ?? C6 44 30 FF 5F 46 4F 75 DA 8D 45 F0 50 8B 45 FC 8B 40 08 B9 0D 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 48 8D 45 F8 50 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 40 08 BA 0E 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 31 FF 33 68 ?? ?? ?? ?? FF 75 F8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 19 FF 33 68 ?? ?? ?? ?? 8B 45 FC FF 70 08 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 0D 00 00 00 44 65 63 69 73 69 6F 6E 47 72 61 70 68 00 00 00 FF FF FF FF 01 00 00 00 31 00 00 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_10237_0 {
	meta:
		name = "_NF__12F"
		size = 61
		refs = "0014 @LStrClr 001b TCustomDecisionGraph.GetDecisionSource 0031 TDecisionSource.GetMemberAsString"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 12 56 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10238_0 {
	meta:
		name = "TDecisionGraphDataLink.DecisionDataEvent"
		size = 120
		refs = "001f TDecisionGraphDataLink.DecisionDataEvent 003b _NF__127 004f _NF__126 0066 TCustomDecisionGraph.SetDecisionSource"
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 74 6D 80 7B 08 00 75 67 C6 43 08 01 33 C0 8A C2 83 F8 04 77 56 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? EB 31 8B 43 0C E8 ?? ?? ?? ?? EB 27 8B 43 0C E8 ?? ?? ?? ?? EB 1D 8B 43 0C E8 ?? ?? ?? ?? EB 13 8B 53 04 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? C6 43 08 00 5B C3 }
	condition:
		$1
}

rule function_10239_0 {
	meta:
		name = "TDecisionGraphDataLink.Create"
		size = 30
		refs = "0008 @ClassCreate"
		altNames = "TDecisionGridDataLink.Create TEventDispatch.Create TPivotDataLink.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 0C 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_10243_0 {
	meta:
		name = "_NF__1AB"
		size = 104
	strings:
		$1 = { FF FF FF FF 09 00 00 00 4C 65 66 74 41 72 72 6F 77 00 00 00 FF FF FF FF 0A 00 00 00 52 69 67 68 74 41 72 72 6F 77 00 00 FF FF FF FF 07 00 00 00 43 61 70 74 69 6F 6E 00 FF FF FF FF 05 00 00 00 50 69 76 6F 74 00 00 00 FF FF FF FF 05 00 00 00 44 4F 70 65 6E 00 00 00 FF FF FF FF 06 00 00 00 44 43 6C 6F 73 65 00 00 }
	condition:
		$1
}

rule function_10248_0 {
	meta:
		name = "_NF__1B3"
		size = 463
		refs = "0023 TBrush.GetColor 0028 ColorToRGB 0032 TCanvas.GetHandle 0038 GetNearestColor 0058 TCanvas.TextWidth 0086 @LStrLen 008e @LStrToPChar 00aa ExtTextOut 00b4 _NV__1AC 00c4 _NF__1B0 010f Rect 0133 TBitmap.GetCanvas 013f TCanvas.SetFont 014d TFont.SetColor 0157 TCanvas.SetBrush 0161 TBrush.SetStyle 016b TCanvas.FillRect 017a SetBkMode 0186 _NV__1B2 01a8 DrawText 01c2 TCanvas.CopyRect"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F2 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B D8 8B 7D 0C 8B 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B F0 75 73 8A 45 08 2C 01 72 04 74 0A EB 1B 8B 75 EC 03 75 FC EB 2E 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 75 F4 2B F0 83 EE 03 EB 1B 8B D7 8B C3 E8 ?? ?? ?? ?? D1 E8 8B 55 F4 8B 75 EC 2B D6 D1 EA 03 D6 2B D0 8B F2 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8D 45 EC 50 6A 06 8B 45 F0 03 45 10 50 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 13 01 00 00 A1 ?? ?? ?? ?? 8B 10 FF 52 2C 8B 55 F4 2B 55 EC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 40 A1 ?? ?? ?? ?? 8B 10 FF 52 20 8B 55 F8 2B 55 F0 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 34 8B 45 F8 2B 45 F0 48 50 8D 45 CC 50 8B 4D F4 2B 4D EC 49 8B 55 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 2B 45 F0 50 8D 45 DC 50 8B 4D F4 2B 4D EC 33 D2 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 8B 50 14 8B 46 0C E8 ?? ?? ?? ?? 8B 53 14 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 46 14 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 8A 45 08 8B 04 85 ?? ?? ?? ?? 50 8D 45 CC 50 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 DC 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_10249_0 {
	meta:
		name = "TCustomDecisionGrid.Create"
		size = 760
		refs = "0010 @ClassCreate 0020 TCustomGrid.Create 002a TCustomGrid.SetBorderStyle 0031 TCustomDecisionGrid.Create 0039 TCustomGrid.SetOptions 004d TCustomGrid.SetScrollBars 0070 _DV_TDecisionGridDataLink 0075 TDecisionGridDataLink.Create 0093 TControl.SetColor 009d TControl.SetParentColor 00a4 _Dn_TFont 00a9 TFont.Create 00c1 _NF__1ED 0110 TFont.SetColor 0171 TCustomDecisionGrid.SetColWidth 017e TCustomDecisionGrid.SetRowHeight 01b1 _DV_TDisplayDim 01bc _DV_TDisplayDims 01c1 _NF__255 01dc _NF__1C3 01e4 TCustomGrid.HideEditor 01eb _Dn_TBitmap 01f0 TBitmap.Create 01fd _Dn_TQuickMenu 0202 TQuickMenu.Create 021f TCustomGrid.SetFixedCols 0229 TCustomGrid.SetFixedRows 0236 TCustomGrid.SetRowCount 0243 TCustomGrid.SetColCount 025f _Dn_TImageList 0264 TCustomImageList.CreateSize 0274 _NV__1AA 027b @LStrToPChar 0281 HInstance 0289 LoadBitmap 0293 TBitmap.SetHandle 02a9 TCustomImageList.AddMasked 02c5 TObject.Free 02cb @HandleFinally 02d2 _NF__1AE"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 98 01 00 00 01 B2 03 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 15 ?? ?? ?? ?? 88 90 B0 01 00 00 8B 45 FC C6 80 2C 02 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 A8 01 00 00 8B 45 FC 89 43 0C BA 0F 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 E8 01 00 00 8B 45 FC 89 43 08 C7 43 04 ?? ?? ?? ?? 8B 45 FC C7 80 EC 01 00 00 0F 00 00 80 8B 45 FC C7 80 F0 01 00 00 03 00 00 80 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 F8 01 00 00 8B 45 FC C7 80 F4 01 00 00 02 00 00 80 8B 45 FC 8B 80 F8 01 00 00 BA 09 00 00 80 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 01 00 00 8B 55 FC 89 50 08 C7 40 04 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 FC 01 00 00 8B 45 FC 89 43 08 C7 43 04 ?? ?? ?? ?? 8B 45 FC C7 80 00 02 00 00 18 00 00 80 8B 45 FC C7 80 04 02 00 00 FF FF FF 1F BA 64 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 14 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 80 08 02 00 00 08 00 00 80 8B 45 FC C7 80 0C 02 00 00 01 00 00 00 8B 45 FC C6 80 10 02 00 00 00 8B 45 FC C6 80 9B 01 00 00 00 A1 ?? ?? ?? ?? 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 AC 01 00 00 8B 45 FC C6 80 CB 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A4 01 00 00 8B 45 FC C6 80 A0 01 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 0F B9 0F 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B4 01 00 00 B3 06 BE ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 01 00 00 B9 80 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 83 C6 04 FE CB 75 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 E8 ?? ?? ?? ?? 80 7D FB 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 00 F0 08 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_10250_0 {
	meta:
		name = "TCustomDecisionGrid.Destroy"
		size = 175
		refs = "000d TObject.Free 006c TCollection.Clear 0096 TCustomGrid.Destroy 009b _NF__1AF 00a6 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 B4 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 B4 01 00 00 8B 86 A8 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 A8 01 00 00 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 E8 01 00 00 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 F8 01 00 00 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 FC 01 00 00 8B 86 AC 01 00 00 E8 ?? ?? ?? ?? 8B 86 AC 01 00 00 E8 ?? ?? ?? ?? 8B 86 A4 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 A4 01 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10252_0 {
	meta:
		name = "_NF__1BF"
		size = 42
	strings:
		$1 = { 53 33 DB 8A 98 CD 01 00 00 29 1A 33 DB 8A 98 CA 01 00 00 29 1A 33 D2 8A 90 CC 01 00 00 29 11 0F B6 80 C9 01 00 00 29 01 5B C3 }
	condition:
		$1
}

rule function_10253_0 {
	meta:
		name = "_NF__1C0"
		size = 42
	strings:
		$1 = { 53 33 DB 8A 98 CD 01 00 00 01 1A 33 DB 8A 98 CA 01 00 00 01 1A 33 D2 8A 90 CC 01 00 00 01 11 0F B6 80 C9 01 00 00 01 01 5B C3 }
	condition:
		$1
}

rule function_10254_0 {
	meta:
		name = "_NF__1C1"
		size = 22
	strings:
		$1 = { 33 C9 8A 88 CD 01 00 00 03 D1 0F B6 80 CA 01 00 00 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_10255_0 {
	meta:
		name = "_NF__1C2"
		size = 22
	strings:
		$1 = { 33 C9 8A 88 CC 01 00 00 03 D1 0F B6 80 C9 01 00 00 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_10256_0 {
	meta:
		name = "_NF__1C3"
		size = 432
		refs = "0014 _NF__1C3 0021 TCustomDecisionGrid.GeTDecisionSource 0035 TDecisionSource.GetReady 0059 TDecisionSource.GetDims 0063 TDecisionSource.GetSums 006c TCollection.GetCount 0087 TCollection.Clear 00ab TCollection.Add 00b8 TDisplayDims.GetDisplayDim 00cb TDecisionSource.GetDimensionName 00d6 @LStrCmp 00f4 @LStrAsg 0148 TDecisionSource.GetSummaryName 0188 _NF__1C4 019d @LStrClr 01a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 58 01 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 44 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B B3 AC 01 00 00 C6 46 18 01 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 E8 ?? ?? ?? ?? 03 F8 8B C6 E8 ?? ?? ?? ?? 3B F8 0F 94 C0 34 01 88 45 FF 80 7D FF 00 74 0B 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 66 40 89 45 F4 33 F6 80 7D FF 00 74 0B 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B 47 10 E8 ?? ?? ?? ?? 74 1C 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8D 47 10 E8 ?? ?? ?? ?? 46 FF 4D F4 75 A0 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 70 40 89 45 F4 33 F6 80 7D FF 00 74 0B 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 03 D6 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B 47 10 E8 ?? ?? ?? ?? 74 1C 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8D 47 10 E8 ?? ?? ?? ?? 46 FF 4D F4 75 96 8B 83 AC 01 00 00 C6 40 18 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10257_0 {
	meta:
		name = "_NF__1C4"
		size = 564
		refs = "0008 TCustomDecisionGrid.GeTDecisionSource 001c TDecisionSource.GetReady 00cc TCustomGrid.SetFixedCols 00d5 TCustomGrid.SetFixedRows 00fa TCustomGrid.SetRowCount 011f TCustomGrid.SetColCount 0179 _NF__1C5 01f8 TWinControl.GetControlCount 020b TWinControl.GetControl 0211 _Dn_TPivotButton 0216 @IsClass 0228 TPivotButton.NewState"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 6B 01 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 57 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 40 54 88 83 CC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8A 40 50 88 83 CD 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 50 89 83 D0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 54 89 83 D4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 58 89 83 D8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 60 89 83 DC 01 00 00 C6 83 CA 01 00 00 00 83 BB D4 01 00 00 00 75 12 83 BB DC 01 00 00 00 7E 09 C6 83 C9 01 00 00 02 EB 07 C6 83 C9 01 00 00 01 F6 83 B0 01 00 00 02 74 06 FE 83 CA 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 48 33 C0 8A 83 CC 01 00 00 33 C9 8A 8B C9 01 00 00 03 C1 03 D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 4C 33 C0 8A 83 CD 01 00 00 33 C9 8A 8B CA 01 00 00 03 C1 03 D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 78 48 00 7E 19 33 D2 8A 93 CD 01 00 00 33 C0 8A 83 CA 01 00 00 03 D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 78 4C 00 7E 19 33 D2 8A 93 CC 01 00 00 33 C0 8A 83 C9 01 00 00 03 D0 8B C3 E8 ?? ?? ?? ?? C6 83 A0 01 00 00 01 8B C3 E8 ?? ?? ?? ?? EB 76 80 BB A0 01 00 00 00 74 31 C6 83 A0 01 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 CC 01 00 00 00 C6 83 CD 01 00 00 00 33 C0 89 83 D0 01 00 00 33 C0 89 83 D4 01 00 00 33 C0 89 83 D8 01 00 00 33 C0 89 83 DC 01 00 00 C6 83 CA 01 00 00 00 C6 83 C9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2D 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10258_0 {
	meta:
		name = "_NF__1C5"
		size = 489
		refs = "000c TCustomDecisionGrid.GeTDecisionSource 003f TCustomGrid.SetColWidths 004d TCustomDecisionGrid.GetColCount 007b TCustomDecisionGrid.GetRowCount 0094 TCustomGrid.SetRowHeights 00c3 TDecisionSource.GetActiveDim 00d2 TDisplayDims.GetDisplayDim 00e8 TCustomDecisionGrid.GetFixedRows 010d TDecisionSource.GetValueIndex 0186 TCustomDecisionGrid.GetFixedCols"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 CA 01 00 00 83 BB AC 01 00 00 00 0F 84 BD 01 00 00 C6 83 CB 01 00 00 01 F6 83 B0 01 00 00 02 74 0E B9 10 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 B3 CA 01 00 00 8B C3 E8 ?? ?? ?? ?? 48 2B C6 7C 1B 40 89 44 24 04 8B 8B E0 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 46 FF 4C 24 04 75 EA 0F B6 B3 C9 01 00 00 8B C3 E8 ?? ?? ?? ?? 48 2B C6 7C 1B 40 89 44 24 04 8B 8B E4 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 46 FF 4C 24 04 75 EA 8B 83 D0 01 00 00 48 85 C0 0F 8C 8F 00 00 00 40 89 44 24 04 33 F6 6A 01 8B C3 E8 ?? ?? ?? ?? 8B CE 33 D2 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 80 78 20 00 75 56 8B C3 E8 ?? ?? ?? ?? 8B E8 8B C3 E8 ?? ?? ?? ?? 2B E8 4D 85 ED 7C 3F 45 33 FF 57 8D 44 24 04 50 8D 44 24 09 50 8B C3 E8 ?? ?? ?? ?? 8B CE 33 D2 E8 ?? ?? ?? ?? 8A 04 24 22 44 24 01 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 03 D7 33 C9 8B C3 E8 ?? ?? ?? ?? 47 4D 75 C4 46 FF 4C 24 04 0F 85 78 FF FF FF 8B 83 D4 01 00 00 48 85 C0 0F 8C 8F 00 00 00 40 89 44 24 04 33 F6 6A 01 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 80 78 20 00 75 56 8B C3 E8 ?? ?? ?? ?? 8B E8 8B C3 E8 ?? ?? ?? ?? 2B E8 4D 85 ED 7C 3F 45 33 FF 57 8D 44 24 04 50 8D 44 24 09 50 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 E8 ?? ?? ?? ?? 8A 04 24 22 44 24 01 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 03 D7 33 C9 8B C3 E8 ?? ?? ?? ?? 47 4D 75 C4 46 FF 4C 24 04 0F 85 78 FF FF FF C6 83 CB 01 00 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10259_0 {
	meta:
		name = "_NF__1C6"
		size = 1204
		refs = "0019 _NF__1C6 0032 _NF__208 003b TCustomDecisionGrid.GeTDecisionSource 00c4 TDecisionSource.GetActiveDim 00d4 TDecisionSource.GetRowState 01a4 TDecisionSource.GetValueIndex 01e7 _NF__1C1 01fb TCustomGrid.GetColWidths 0224 TDecisionSource.GetGroupExtent 02de _NF__1C2 02f2 TCustomGrid.GetRowHeights 03d2 TDecisionSource.GetState"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 8B 75 0C 66 A1 ?? ?? ?? ?? 66 89 06 8B 45 F8 89 45 EC 8B 45 FC 89 45 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 88 07 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 28 04 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 E0 33 C0 8A 07 83 F8 0A 0F 87 11 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 06 E9 D0 03 00 00 66 A1 ?? ?? ?? ?? 66 89 06 F6 83 B0 01 00 00 02 0F 84 BA 03 00 00 6A 01 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 88 45 F5 F6 45 F5 04 74 12 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 7C 03 00 00 F6 45 F5 01 0F 84 72 03 00 00 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 60 03 00 00 66 A1 ?? ?? ?? ?? 66 89 06 F6 83 B0 01 00 00 02 0F 84 4A 03 00 00 6A 01 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 8B CD 01 00 00 03 4D F8 33 D2 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 45 E0 E8 ?? ?? ?? ?? 88 45 F5 F6 45 F5 04 74 12 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 08 03 00 00 F6 45 F5 01 0F 84 FE 02 00 00 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 EC 02 00 00 8B 45 F8 50 8D 45 F6 50 8D 45 F7 50 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 8B CC 01 00 00 03 4D FC B2 01 E8 ?? ?? ?? ?? 8B 55 10 89 02 66 A1 ?? ?? ?? ?? 66 89 06 80 7D F7 00 74 0D 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 80 7D F6 00 74 12 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 8E 02 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8E 7A 02 00 00 8B D7 4A 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 68 02 00 00 8B 45 F8 50 8D 45 E4 50 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 8B CC 01 00 00 03 4D FC B2 01 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 89 45 E4 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 8B 45 E4 4F 2B F8 0F 8C 21 02 00 00 47 89 7D DC 89 C7 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0E 66 A1 ?? ?? ?? ?? F7 D0 66 23 06 66 89 06 47 FF 4D DC 75 DF E9 F5 01 00 00 66 A1 ?? ?? ?? ?? 66 89 06 8B 45 FC 50 8D 45 F6 50 8D 45 F7 50 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 8B CD 01 00 00 03 4D F8 33 D2 E8 ?? ?? ?? ?? 8B 55 10 89 02 80 7D F7 00 74 0D 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 80 7D F6 00 74 12 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 97 01 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8E 83 01 00 00 8B D7 4A 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 71 01 00 00 8B 45 FC 50 8D 45 E4 50 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 8B CD 01 00 00 03 4D F8 33 D2 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 89 45 E4 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 8B 45 E4 4F 2B F8 0F 8C 2A 01 00 00 47 89 7D DC 89 C7 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0E 66 A1 ?? ?? ?? ?? F7 D0 66 23 06 66 89 06 47 FF 4D DC 75 DF E9 FE 00 00 00 66 A1 ?? ?? ?? ?? 66 89 06 E9 F0 00 00 00 66 A1 ?? ?? ?? ?? 66 89 06 E9 E2 00 00 00 66 A1 ?? ?? ?? ?? 66 89 06 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8C BD 00 00 00 F6 83 B0 01 00 00 02 0F 84 B0 00 00 00 8B D7 8B 45 E0 E8 ?? ?? ?? ?? 88 45 F5 8B D7 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 12 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 83 00 00 00 3C 01 75 7F 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 EB 70 66 A1 ?? ?? ?? ?? 66 89 06 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 4F F6 83 B0 01 00 00 02 74 46 8B D7 8B 45 E0 E8 ?? ?? ?? ?? 88 45 F5 8B D7 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 0F 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 EB 1C 3C 01 75 18 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 EB 09 66 A1 ?? ?? ?? ?? 66 89 06 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 40 00 00 00 04 00 00 00 80 00 00 00 00 01 00 00 02 00 00 00 20 00 00 00 08 00 00 00 01 00 00 00 10 00 00 00 00 08 00 00 00 10 00 00 00 20 00 00 00 40 00 00 00 80 00 00 }
	condition:
		$1
}

rule function_10260_0 {
	meta:
		name = "_NF__1C7"
		size = 88
	strings:
		$1 = { 53 56 8B F1 33 C9 8A 98 2C 02 00 00 FE CB 75 43 3B 90 C4 01 00 00 75 3B 80 B8 C8 01 00 00 00 74 0C 3B B0 C0 01 00 00 75 2A B1 02 EB 26 8B 90 C0 01 00 00 3B 90 D4 01 00 00 7E 09 4A 3B F2 75 13 B1 04 EB 0F 3B F2 75 04 B1 01 EB 07 4A 3B F2 75 02 B1 03 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_10261_0 {
	meta:
		name = "_NF__1C8"
		size = 340
		refs = "0019 _NF__1C8 0023 @LStrClr 0030 TCustomDecisionGrid.GeTDecisionSource 0055 _NF__1C6 0098 _NF__22C 00c1 _NF__22D 00eb STotalCaption 00f0 LoadResString 010b _NF__22E"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 8B 75 10 66 A1 ?? ?? ?? ?? 66 89 06 8B C7 E8 ?? ?? ?? ?? 8B 45 0C C6 00 02 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 06 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 56 8D 45 F7 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 45 F7 83 F8 06 0F 87 DB 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 EC 50 57 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 0F 8E 9C 00 00 00 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 8A 00 00 00 57 8B 4D F8 B2 01 8B C3 E8 ?? ?? ?? ?? EB 7B 57 33 C9 8A 8B CD 01 00 00 03 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? EB 64 F6 06 01 74 5F F6 06 08 74 0E 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4C 8B 45 F0 50 57 33 C9 8A 8B CC 01 00 00 03 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? EB 31 F6 06 01 74 2C F6 06 08 74 0E 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 8B 45 F0 50 57 33 C9 8A 8B CD 01 00 00 03 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_10262_0 {
	meta:
		name = "TCustomDecisionGrid.SetColWidth"
		size = 25
		refs = "000c TCustomGrid.SetDefaultColWidth 0013 _NF__1C4"
	strings:
		$1 = { 53 8B D8 89 93 E0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10263_0 {
	meta:
		name = "TCustomDecisionGrid.SetRowHeight"
		size = 33
		refs = "0014 TCustomGrid.SetDefaultRowHeight"
	strings:
		$1 = { 56 8B F0 3B 96 E4 01 00 00 74 14 89 96 E4 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_10264_0 {
	meta:
		name = "TCustomDecisionGrid.SetGridLineWidth"
		size = 18
	strings:
		$1 = { 56 8B F0 89 96 0C 02 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_10265_0 {
	meta:
		name = "TCustomDecisionGrid.SetGridLineColor"
		size = 18
	strings:
		$1 = { 56 8B F0 89 96 08 02 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_10266_0 {
	meta:
		name = "TCustomDecisionGrid.SetLabelFont"
		size = 23
	strings:
		$1 = { 56 8B F0 8B 86 E8 01 00 00 8B 08 FF 51 08 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_10267_0 {
	meta:
		name = "TCustomDecisionGrid.SetLabelColor"
		size = 18
	strings:
		$1 = { 56 8B F0 89 96 EC 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_10268_0 {
	meta:
		name = "TCustomDecisionGrid.SetLabelSumColor"
		size = 18
	strings:
		$1 = { 56 8B F0 89 96 F0 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_10269_0 {
	meta:
		name = "TCustomDecisionGrid.SetCaptionFont"
		size = 23
	strings:
		$1 = { 56 8B F0 8B 86 F8 01 00 00 8B 08 FF 51 08 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_10270_0 {
	meta:
		name = "TCustomDecisionGrid.SetCaptionColor"
		size = 18
	strings:
		$1 = { 56 8B F0 89 96 F4 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_10271_0 {
	meta:
		name = "TCustomDecisionGrid.SetDataFont"
		size = 23
	strings:
		$1 = { 56 8B F0 8B 86 FC 01 00 00 8B 08 FF 51 08 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_10272_0 {
	meta:
		name = "TCustomDecisionGrid.SetDataColor"
		size = 18
	strings:
		$1 = { 56 8B F0 89 96 00 02 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_10273_0 {
	meta:
		name = "TCustomDecisionGrid.SetDataSumColor"
		size = 18
	strings:
		$1 = { 56 8B F0 89 96 04 02 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_10275_0 {
	meta:
		name = "TCustomDecisionGrid.SetOptions"
		size = 37
		refs = "001e _NF__1C4"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 04 24 3A 83 B0 01 00 00 74 10 8A 04 24 88 83 B0 01 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_10276_0 {
	meta:
		name = "_NF__1F1"
		size = 499
		refs = "004a TCustomImageList.Draw 010a TPen.SetColor 0117 TPen.SetWidth 0124 TCanvas.MoveTo 0131 TCanvas.LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 F6 45 0C 80 74 2F 8B 83 B4 01 00 00 8B 55 F8 2B 50 28 8B 45 F4 03 45 FC 8B 8B B4 01 00 00 2B 41 24 D1 E8 50 6A 04 8B CA 8B 83 B4 01 00 00 8B D6 E8 ?? ?? ?? ?? F6 45 0D 01 74 2F 8B 83 B4 01 00 00 8B 55 F8 2B 50 28 8B 45 F4 03 45 FC 8B 8B B4 01 00 00 2B 41 24 D1 E8 50 6A 05 8B CA 8B 83 B4 01 00 00 8B D6 E8 ?? ?? ?? ?? F6 45 0D 02 74 26 8B 55 F0 8B 45 F4 03 45 FC 8B 8B B4 01 00 00 2B 41 24 D1 E8 50 6A 05 8B CA 8B 83 B4 01 00 00 8B D6 E8 ?? ?? ?? ?? F6 45 0D 04 74 26 8B 55 F0 8B 45 F4 03 45 FC 8B 8B B4 01 00 00 2B 41 24 D1 E8 50 6A 04 8B CA 8B 83 B4 01 00 00 8B D6 E8 ?? ?? ?? ?? 80 7D 08 01 75 54 8B 45 F4 03 45 FC 8B 93 B4 01 00 00 2B 42 24 D1 E8 50 6A 00 8B 4D F0 8B C2 8B D6 E8 ?? ?? ?? ?? BA FF 00 00 00 8B 46 10 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 80 7D 08 03 75 2F 8B 83 B4 01 00 00 8B 55 F8 2B 50 28 8B 45 F4 03 45 FC 8B 8B B4 01 00 00 2B 41 24 D1 E8 50 6A 01 8B CA 8B 83 B4 01 00 00 8B D6 E8 ?? ?? ?? ?? 80 7D 08 02 75 3E 8B 55 F0 03 55 F8 8B 83 B4 01 00 00 2B 50 28 D1 FA 79 03 83 D2 00 8B 45 F4 03 45 FC 8B 8B B4 01 00 00 2B 41 24 D1 F8 79 03 83 D0 00 50 6A 03 8B CA 8B 83 B4 01 00 00 8B D6 E8 ?? ?? ?? ?? 80 7D 08 04 75 36 BA FF 00 00 00 8B 46 10 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 4D F4 41 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 41 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10278_0 {
	meta:
		name = "TCustomDecisionGrid.TopLeftChanged"
		size = 36
		refs = "0006 TCustomGrid.TopLeftChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 26 02 00 00 00 74 0E 8B D3 8B 83 28 02 00 00 FF 93 24 02 00 00 5B C3 }
	condition:
		$1
}

rule function_10279_0 {
	meta:
		name = "TCustomDecisionGrid.ColWidthsChanged"
		size = 180
		refs = "003a TCustomDecisionGrid.GetColCount 004b TCustomGrid.GetColWidths 0097 TCustomGrid.SetColWidths 00a4 TCustomDecisionGrid.SetColWidth"
	strings:
		$1 = { 53 56 57 55 8B D8 F6 43 20 10 0F 84 9F 00 00 00 80 BB CB 01 00 00 00 0F 85 92 00 00 00 C6 83 CB 01 00 00 01 8B AB E0 01 00 00 0F B6 B3 CA 01 00 00 03 B3 D0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 2B FE 7C 2E 47 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 1C 8B D6 8B C3 E8 ?? ?? ?? ?? 3B 83 E0 01 00 00 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 46 4F 75 D3 0F B6 B3 CA 01 00 00 03 B3 D0 01 00 00 46 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 2B FE 7C 10 47 8B CD 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 F1 8B D5 8B C3 E8 ?? ?? ?? ?? C6 83 CB 01 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10280_0 {
	meta:
		name = "TCustomDecisionGrid.RowHeightsChanged"
		size = 153
		refs = "0029 TCustomDecisionGrid.GetRowCount 003c TCustomGrid.GetRowHeights 007c TCustomGrid.SetRowHeights 0089 TCustomDecisionGrid.SetRowHeight"
	strings:
		$1 = { 53 56 57 55 8B D8 F6 43 20 10 0F 84 84 00 00 00 80 BB CB 01 00 00 00 75 7B C6 83 CB 01 00 00 01 8B AB E4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 30 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 1C 8B D6 8B C3 E8 ?? ?? ?? ?? 3B 83 E4 01 00 00 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 46 4F 75 D3 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 12 47 33 F6 8B CD 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 F1 8B D5 8B C3 E8 ?? ?? ?? ?? C6 83 CB 01 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10281_0 {
	meta:
		name = "TCustomDecisionGrid.CellRect"
		size = 72
		refs = "000f TCustomDecisionGrid.GetFixedCols 0019 TCustomDecisionGrid.GetFixedRows 003d TCustomGrid.BoxRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 03 C6 50 8B C3 E8 ?? ?? ?? ?? 03 C7 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 03 F8 57 8B C3 E8 ?? ?? ?? ?? 8B D0 03 D6 8B C3 59 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10282_0 {
	meta:
		name = "TCustomDecisionGrid.Paint"
		size = 253
		refs = "000c TCustomGrid.Paint 0013 TCustomDecisionGrid.GeTDecisionSource 0027 TDecisionSource.GetReady 0043 TCustomDecisionGrid.GetColCount 004b TCustomDecisionGrid.GetRowCount 005c TCustomGrid.BoxRect 0086 TPen.SetColor 0094 TPen.SetWidth 00a6 TCanvas.MoveTo 00b5 TCanvas.LineTo"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 D6 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C2 00 00 00 80 BB A0 01 00 00 00 0F 84 B5 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8D 44 24 08 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? F6 83 B0 01 00 00 01 0F 84 88 00 00 00 83 BB 0C 02 00 00 00 7E 7F 8B B3 18 01 00 00 8B 93 08 02 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 93 0C 02 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 4C 24 04 49 8B 7C 24 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 6C 24 0C 8B CD 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 14 24 4A 8B CD 8B C6 E8 ?? ?? ?? ?? 80 BB 24 01 00 00 00 75 26 F6 83 B0 01 00 00 02 75 1D 8B 4C 24 0C 8B 1C 24 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10283_0 {
	meta:
		name = "TCustomDecisionGrid.DrawCell"
		size = 2012
		refs = "0029 TCustomDecisionGrid.DrawCell 0036 TCustomDecisionGrid.GeTDecisionSource 004a TDecisionSource.GetReady 0076 TBrush.SetColor 0084 TCanvas.FillRect 0093 TCustomGrid.GetRowHeights 00a5 TCustomGrid.GetColWidths 00ba _NF__1BF 00d9 _NF__1C8 012d TFont.SetColor 0181 TCanvas.SetFont 01e6 TDecisionSource.GetActiveDim 01f3 TDisplayDims.GetDisplayDim 0352 TDecisionSource.GetDims 0360 TDecisionSource.GetCurrentSum 03a4 InflateRect 03c0 TBrush.GetColor 045c TCanvas.TextWidth 0488 _NF__1B3 04da TPen.SetColor 04e8 TPen.SetWidth 052a TCanvas.MoveTo 0571 TCanvas.LineTo 05be TCustomDecisionGrid.GetColCount 05c7 TCustomDecisionGrid.GetFixedCols 0617 TCustomDecisionGrid.GetRowCount 0620 TCustomDecisionGrid.GetFixedRows 06a0 TCanvas.GetHandle 06a6 DrawEdge 0763 _NF__1C7 0794 _NF__1F1 07a9 @LStrClr 07af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D F4 8B 75 0C 8D 7D D4 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 56 07 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 42 07 00 00 80 BB A0 01 00 00 00 0F 84 35 07 00 00 F6 43 20 01 74 24 8B 83 18 01 00 00 8B 40 14 8B 53 54 E8 ?? ?? ?? ?? 8D 55 D4 8B 83 18 01 00 00 E8 ?? ?? ?? ?? E9 0B 07 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E F9 06 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E E7 06 00 00 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B B3 18 01 00 00 8D 45 F0 50 8D 45 EE 50 8D 45 F4 50 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F6 45 08 04 0F 95 C0 84 C0 74 20 F6 83 B0 01 00 00 01 74 17 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 04 33 C0 EB 02 B0 01 88 45 F2 F6 45 08 02 74 1F BA 0D 00 00 80 8B 46 14 E8 ?? ?? ?? ?? BA 0E 00 00 80 8B 46 0C E8 ?? ?? ?? ?? E9 59 02 00 00 F6 45 08 04 0F 95 C0 84 C0 0F 84 B7 01 00 00 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 74 10 8B 53 54 8B 46 14 E8 ?? ?? ?? ?? E9 23 02 00 00 F6 45 F0 02 75 06 F6 45 F0 04 74 20 8B 93 F8 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 F4 01 00 00 8B 46 14 E8 ?? ?? ?? ?? E9 F7 01 00 00 F6 45 F0 10 0F 84 9B 00 00 00 8B 93 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 EC 01 00 00 8B 46 14 E8 ?? ?? ?? ?? 83 BB AC 01 00 00 00 74 4D 8B C3 E8 ?? ?? ?? ?? 85 C0 74 42 6A 01 8B C3 E8 ?? ?? ?? ?? 8B 8B D0 01 00 00 03 4D FC 33 D2 E8 ?? ?? ?? ?? 8B D0 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B 47 1C 3D FF FF FF 1F 74 0A 8B D0 8B 46 14 E8 ?? ?? ?? ?? 8A 47 18 88 45 EE F6 45 F0 08 0F 84 72 01 00 00 8B 83 F0 01 00 00 3D FF FF FF 1F 0F 84 61 01 00 00 8B D0 8B 46 14 E8 ?? ?? ?? ?? E9 52 01 00 00 F6 45 F0 20 0F 84 9B 00 00 00 8B 93 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 EC 01 00 00 8B 46 14 E8 ?? ?? ?? ?? 83 BB AC 01 00 00 00 74 4D 8B C3 E8 ?? ?? ?? ?? 85 C0 74 42 6A 01 8B C3 E8 ?? ?? ?? ?? 8B 8B D4 01 00 00 03 4D F8 B2 01 E8 ?? ?? ?? ?? 8B D0 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B 47 1C 3D FF FF FF 1F 74 0A 8B D0 8B 46 14 E8 ?? ?? ?? ?? 8A 47 18 88 45 EE F6 45 F0 08 0F 84 CD 00 00 00 8B 83 F0 01 00 00 3D FF FF FF 1F 0F 84 BC 00 00 00 8B D0 8B 46 14 E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 53 50 8B C6 E8 ?? ?? ?? ?? 8B 53 54 8B 46 14 E8 ?? ?? ?? ?? E9 93 00 00 00 8B 93 FC 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 00 02 00 00 8B 46 14 E8 ?? ?? ?? ?? F6 45 F0 08 74 19 8B 83 04 02 00 00 3D FF FF FF 1F 74 65 8B D0 8B 46 14 E8 ?? ?? ?? ?? EB 59 83 BB AC 01 00 00 00 74 50 8B C3 E8 ?? ?? ?? ?? 85 C0 74 45 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 F8 8B D7 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B 47 1C 3D FF FF FF 1F 74 0A 8B D0 8B 46 14 E8 ?? ?? ?? ?? 8A 47 18 88 45 EE 80 7D F2 00 75 06 C6 45 F3 02 EB 11 6A FF 6A FF 8D 45 D4 50 E8 ?? ?? ?? ?? C6 45 F3 01 66 83 BB 1E 02 00 00 00 74 5D 8B 46 0C 89 45 E4 8B 46 14 E8 ?? ?? ?? ?? 89 45 E8 8B 45 F8 50 8D 45 F4 50 8D 45 E4 50 8D 45 E8 50 8A 45 08 50 66 8B 45 F0 50 8B 4D FC 8B D3 8B 83 20 02 00 00 FF 93 1C 02 00 00 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8B 46 14 E8 ?? ?? ?? ?? 80 BB 98 01 00 00 00 0F 84 85 03 00 00 83 7D F4 00 75 0F 8D 55 D4 8B C6 E8 ?? ?? ?? ?? E9 A8 00 00 00 F6 45 F0 02 75 06 F6 45 F0 04 74 06 F6 45 F0 80 75 06 F6 45 F1 01 74 5A 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 83 B4 01 00 00 8B 40 28 29 45 DC 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 2B 55 D4 3B C2 7E 04 C6 45 EE 00 33 C0 8A 45 F3 50 8B 55 F4 52 8A 55 EE 52 8B C8 8D 55 D4 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B 83 B4 01 00 00 8B 40 28 01 45 DC EB 36 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 2B 55 D4 3B C2 7E 04 C6 45 EE 00 33 C0 8A 45 F3 50 8B 55 F4 52 8A 55 EE 52 8B C8 8D 55 D4 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B 93 08 02 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 93 0C 02 00 00 8B 46 10 E8 ?? ?? ?? ?? 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 0F 84 49 01 00 00 83 BB 0C 02 00 00 00 0F 8E 3C 01 00 00 F6 83 B0 01 00 00 01 0F 84 2F 01 00 00 8B 4D E0 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 83 D0 01 00 00 F7 D8 3B 45 FC 74 1D F6 45 F0 20 74 26 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 0F 8B 4D D8 8B 55 D4 8B C6 E8 ?? ?? ?? ?? EB 1B 8B 4D D8 49 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 4D D8 8B 55 D4 8B C6 E8 ?? ?? ?? ?? F6 45 F0 10 74 26 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 0F 8B 4D D8 8B 55 DC 8B C6 E8 ?? ?? ?? ?? EB 0D 8B 4D D8 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 2B F8 4F 3B 7D FC 74 26 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 0F 8B 4D E0 8B 55 DC 8B C6 E8 ?? ?? ?? ?? EB 1B 8B 4D D8 49 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 4D E0 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 2B F8 4F 3B 7D F8 74 17 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 74 0D 8B 4D E0 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 0F 84 96 00 00 00 8B 45 DC 8B D0 83 EA 10 3B 55 D4 0F 9F C2 22 55 F2 74 55 8B F8 83 6D DC 10 6A 01 6A 01 8D 45 D4 50 E8 ?? ?? ?? ?? 6A 0C 6A 04 8D 45 D4 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 03 6A 04 8D 45 D4 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 D4 50 E8 ?? ?? ?? ?? 89 7D DC 8B 45 DC 83 E8 10 89 45 D4 8B 93 F8 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 F4 01 00 00 8B 46 14 E8 ?? ?? ?? ?? 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 80 7D F2 00 74 4C 6A 01 6A 01 8D 45 D4 50 E8 ?? ?? ?? ?? 6A 0C 6A 04 8D 45 D4 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 03 6A 04 8D 45 D4 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 D4 50 E8 ?? ?? ?? ?? 66 8B 35 ?? ?? ?? ?? 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 88 45 EF 66 23 75 F0 66 A1 ?? ?? ?? ?? 66 3B C6 75 06 80 7D EF 00 74 19 66 8B 45 F0 50 8A 45 EF 50 8D 4D D4 8B 93 18 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 06 E8 00 00 00 00 00 00 00 D8 00 00 78 00 00 00 09 00 00 00 00 60 00 00 80 67 00 00 }
	condition:
		$1
}

rule function_10284_0 {
	meta:
		name = "_NF__208"
		size = 355
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 33 D2 83 3C 24 00 7C 0E 83 7C 24 04 00 7C 07 B2 06 E9 38 01 00 00 8B 88 D0 01 00 00 85 C9 7E 1B 83 7C 24 04 FF 75 14 83 3C 24 00 7D 0E F7 D9 3B 0C 24 7F 07 B2 01 E9 13 01 00 00 8B 88 D4 01 00 00 85 C9 7E 23 33 DB 8A 98 CC 01 00 00 F7 DB 4B 3B 5C 24 04 75 12 83 3C 24 00 7C 0C 3B 0C 24 7E 07 B2 02 E9 E6 00 00 00 83 7C 24 04 00 7C 1C 83 3C 24 00 7D 16 33 C9 8A 88 CD 01 00 00 F7 D9 3B 0C 24 7F 07 B2 04 E9 C3 00 00 00 83 3C 24 00 7C 1F 83 7C 24 04 00 7D 18 33 C9 8A 88 CC 01 00 00 F7 D9 49 3B 4C 24 04 7D 07 B2 05 E9 9E 00 00 00 F6 80 B0 01 00 00 02 74 3C 83 B8 DC 01 00 00 00 7E 33 8B B0 D4 01 00 00 85 F6 7E 0F F7 DE 4E 3B 74 24 04 75 06 83 3C 24 FF 74 16 83 3C 24 FF 75 14 83 7C 24 04 FE 75 0D 83 B8 D4 01 00 00 00 75 04 B2 08 EB 59 F6 80 B0 01 00 00 02 74 2D 83 B8 D8 01 00 00 00 7E 24 33 C9 8A 88 CD 01 00 00 F7 D9 33 DB 8A 98 CA 01 00 00 2B CB 3B 0C 24 75 0B 83 7C 24 04 FF 75 04 B2 07 EB 23 F6 80 B0 01 00 00 02 74 1A 33 C9 8A 88 CD 01 00 00 F7 D9 0F B6 80 CA 01 00 00 2B C8 3B 0C 24 75 02 B2 09 8B C2 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10285_0 {
	meta:
		name = "_NF__209"
		size = 158
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 33 D2 33 C9 8A 88 CC 01 00 00 83 CB FF 2B D9 3B 5C 24 04 75 25 33 C9 8A 88 CD 01 00 00 F7 D9 3B 0C 24 75 16 83 B8 D4 01 00 00 00 7E 0D 83 B8 D0 01 00 00 00 7E 04 33 D2 EB 4F 83 7C 24 04 FF 75 0A 83 3C 24 00 7F 04 B2 01 EB 3E 33 C9 8A 88 CC 01 00 00 F7 D9 49 3B 4C 24 04 75 15 83 3C 24 00 7C 0F 8B 0C 24 3B 88 D4 01 00 00 7F 04 B2 02 EB 18 83 7C 24 04 FF 75 11 83 3C 24 01 75 0B 83 B8 D4 01 00 00 00 75 02 B2 03 8B C2 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10286_0 {
	meta:
		name = "_NF__20A"
		size = 63
		refs = "001a TCustomGrid.MouseCoord 0033 _NF__1BF"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 83 3B FF 75 08 C7 03 18 FC FF FF EB 0C 8D 4B 04 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10287_0 {
	meta:
		name = "_NF__20B"
		size = 71
		refs = "0022 _NF__1C0 0030 TCustomGrid.InvalidateCell"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 83 C0 01 00 00 89 04 24 8B 83 C4 01 00 00 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B 14 24 4A 8B 4C 24 04 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_10288_0 {
	meta:
		name = "_NF__20C"
		size = 162
		refs = "0015 TCustomGrid.MouseCoord 001f TCustomGrid.GetColWidths 005b TCustomDecisionGrid.GetColCount"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B E9 8B F2 8B D8 54 8B CD 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 79 03 83 C7 03 C1 FF 02 8D 44 24 08 50 8B D6 2B D7 8B CD 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 50 8D 14 37 8B CD 8B C3 E8 ?? ?? ?? ?? 83 3C 24 FF 75 0A 8B C3 E8 ?? ?? ?? ?? 89 04 24 83 7C 24 10 FF 75 0B 8B C3 E8 ?? ?? ?? ?? 89 44 24 10 8B 44 24 08 3B 04 24 7C 0A 83 3C 24 00 75 08 3B FE 7C 04 33 C0 EB 0F 8B 44 24 10 3B 04 24 7E 04 B0 02 EB 02 B0 01 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10289_0 {
	meta:
		name = "_NF__20D"
		size = 463
		refs = "0021 _NF__20A 002c _NF__20C 01a5 _NF__20B"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B DA 8B F0 80 BE 2C 02 00 00 01 0F 85 B0 01 00 00 54 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 BE CC 01 00 00 03 7C 24 04 33 D2 8A 96 CD 01 00 00 03 14 24 3C 01 0F 94 C3 85 D2 0F 8C 76 01 00 00 83 BE D4 01 00 00 00 7E 1D 83 BE D0 01 00 00 00 7E 14 83 FF FF 75 0F 85 D2 75 0B 84 C0 75 07 33 DB E9 D3 00 00 00 83 7C 24 04 FF 7C 1D 83 BE D0 01 00 00 00 75 14 C7 44 24 04 FF FF FF FF 33 C0 89 04 24 33 DB E9 AF 00 00 00 83 7C 24 04 FF 75 2C 83 3C 24 00 7C 26 83 BE D4 01 00 00 00 75 1D 83 3C 24 00 75 04 84 C0 74 13 C7 04 24 01 00 00 00 C7 44 24 04 FF FF FF FF 33 DB EB 7C 47 74 0C 8B 54 24 04 3B 96 BC 01 00 00 7D 42 83 BE D4 01 00 00 00 7E 39 33 D2 8A 96 CC 01 00 00 83 C9 FF 2B CA 89 4C 24 04 3C 02 75 03 FF 04 24 8B 86 D4 01 00 00 8B 14 24 3B C2 7F 07 33 DB 89 04 24 EB 38 85 D2 7D 34 33 DB 33 C0 89 04 24 EB 2B C7 44 24 04 FF FF FF FF 3C 02 75 03 FF 04 24 33 C0 8A 86 CD 01 00 00 50 8B 86 D0 01 00 00 5A 2B C2 3B 04 24 7F 05 33 DB 89 04 24 3A 9E C8 01 00 00 75 1B 8B 86 C0 01 00 00 3B 04 24 75 10 8B 86 C4 01 00 00 3B 44 24 04 75 04 33 C0 EB 02 B0 01 8B D3 80 F2 01 84 C2 74 24 8B 14 24 8B 86 B8 01 00 00 3B D0 7C 15 40 3B D0 7F 10 8B 86 BC 01 00 00 3B 44 24 04 75 04 33 C0 EB 02 B0 01 84 C0 74 27 8B C6 E8 ?? ?? ?? ?? 8B 04 24 89 86 C0 01 00 00 8B 44 24 04 89 86 C4 01 00 00 88 9E C8 01 00 00 8B C6 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10290_0 {
	meta:
		name = "_NF__20E"
		size = 76
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 8B F1 8D 7D F8 A5 A5 8B 75 08 8B 4D 0C FE CA 74 06 FE CA 74 14 EB 1D 0F B6 80 CD 01 00 00 03 45 F8 C6 01 00 C6 06 01 EB 13 8B 45 F8 C6 01 01 C6 06 01 EB 08 C6 01 01 33 C0 C6 06 00 5F 5E 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10291_0 {
	meta:
		name = "_NF__20F"
		size = 245
		refs = "001c _NF__208 0035 _NF__20E 007f TCustomDecisionGrid.GeTDecisionSource 009b TDecisionSource.SwapDimIndexes 00b5 _NF__209 00ec TDecisionSource.MoveDimIndexes"
	strings:
		$1 = { 53 56 57 51 8B D8 F6 83 B0 01 00 00 04 0F 84 DD 00 00 00 8D 93 B8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 54 24 01 52 8D 54 24 04 52 8D 8B B8 01 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F8 80 3C 24 00 0F 84 AB 00 00 00 80 BB C8 01 00 00 00 74 53 8D 93 C0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 54 24 02 52 8D 54 24 04 52 8D 8B C0 01 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 80 3C 24 00 74 74 8B C3 E8 ?? ?? ?? ?? 85 C0 74 69 57 56 6A 01 8B C3 E8 ?? ?? ?? ?? 8A 4C 24 0E 8A 54 24 0D E8 ?? ?? ?? ?? EB 4F 8B C3 E8 ?? ?? ?? ?? 85 C0 74 44 8D 93 C0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 54 24 02 52 8D 54 24 04 52 8D 8B C0 01 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 18 57 56 6A 01 8B C3 E8 ?? ?? ?? ?? 8A 4C 24 0E 8A 54 24 0D E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10292_0 {
	meta:
		name = "TCustomDecisionGrid.MouseDown"
		size = 2488
		refs = "0020 TCustomDecisionGrid.MouseDown 0038 TCustomGrid.MouseDown 0055 _NF__20A 0086 _NF__1C6 00a1 TCustomDecisionGrid.GeTDecisionSource 00b5 TDecisionSource.GetReady 00cf _DV_TValueArray 00d4 TSmallIntArray.Create 0103 TCustomDecisionGrid.CellValueArray 0124 TDecisionSource.GetCurrentSum 0152 TObject.Free 0158 @HandleFinally 017a TQuickMenu.Clear 0184 sGridMenu1 0189 LoadResString 0199 TQuickMenu.AddLine 01ac sGridMenu2 0203 TDecisionSource.GetDims 020f TDecisionSource.GetSums 0247 TDecisionSource.GetDimensionName 0251 TDecisionSource.GetState 02a5 TDecisionSource.GetSummaryName 02fb _NF__216 0308 TQuickMenu.PopUpAtMe 0380 TDecisionSource.GetActiveDim 038d TDisplayDims.GetDisplayDim 039d SCaptionMenu1 03bc SCaptionMenu2 0543 _NF__217 0554 _NF__1C2 0563 _NF__1C1 056d TCustomGrid.CellRect 0623 TDecisionSource.GetGroupExtent 066f TCustomGrid.GetRowHeights 06a0 TCustomGrid.GetColWidths 074e SCaptionMenu3 0796 SDrillIn 07b7 _NF__218 0810 TCustomGrid.MouseCoord 0828 TCustomGrid.BoxRect 084b TDecisionSource.OpenDimIndexRight 0864 TDecisionSource.CloseDimIndexRight 08b4 _NF__20C 08f9 _NF__20B 094b TDecisionSource.GetRowState 098c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D B8 89 5D E0 88 4D FE 88 55 FF 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B 45 08 50 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 9A 01 00 00 00 0F 85 32 09 00 00 8D 45 BC 50 8B 4D 08 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 BC 89 83 B8 01 00 00 8B 45 C0 89 83 BC 01 00 00 8D 45 F4 50 8D 45 FB 50 8D 45 FD 50 8B 8B B8 01 00 00 8B 93 BC 01 00 00 8B C3 E8 ?? ?? ?? ?? 80 7D FF 01 0F 85 6A 07 00 00 80 7D FD 06 0F 85 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 CE 08 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 BA 08 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC C6 40 14 00 8D 45 DC 50 8B 8B BC 01 00 00 8B 93 B8 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 36 66 83 BB 16 02 00 00 00 74 2C 8B 83 BC 01 00 00 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 DC 50 8B 8B B8 01 00 00 8B D3 8B 83 18 02 00 00 FF 93 14 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FD 48 2C 02 0F 82 A7 01 00 00 48 2C 02 0F 82 9E 01 00 00 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 83 A4 01 00 00 B1 02 E8 ?? ?? ?? ?? 80 BB 10 02 00 00 00 74 1F 6A 01 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 83 A4 01 00 00 B1 02 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 1B 01 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 07 01 00 00 F6 83 B0 01 00 00 04 0F 84 FA 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 7F 0C 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 7E 14 6A FF 8B 83 A4 01 00 00 B1 02 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 48 85 C0 7C 51 40 89 45 D4 33 F6 8D 4D E0 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 3C 01 75 16 8D 46 64 50 8B 83 A4 01 00 00 33 C9 8B 55 E0 E8 ?? ?? ?? ?? EB 14 8D 46 64 50 8B 83 A4 01 00 00 B1 02 8B 55 E0 E8 ?? ?? ?? ?? 46 FF 4D D4 75 B5 8B 45 D8 E8 ?? ?? ?? ?? 48 85 C0 7C 59 40 89 45 D4 33 F6 8D 4D E0 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 75 19 8D 86 C8 00 00 00 50 8B 83 A4 01 00 00 33 C9 8B 55 E0 E8 ?? ?? ?? ?? EB 17 8D 86 C8 00 00 00 50 8B 83 A4 01 00 00 B1 02 8B 55 E0 E8 ?? ?? ?? ?? 46 FF 4D D4 75 AD 8B 83 A4 01 00 00 89 58 44 C7 40 40 ?? ?? ?? ?? 8B 55 08 52 8B CF 8B D3 E8 ?? ?? ?? ?? E9 6A 06 00 00 8A 45 FD 48 2C 02 72 0A 04 FC 2C 02 0F 83 67 02 00 00 8B B3 A4 01 00 00 8B C6 E8 ?? ?? ?? ?? 8A 45 FD 48 2C 02 0F 83 D9 00 00 00 80 7D FD 01 75 06 C6 46 50 00 EB 04 C6 46 50 01 80 7E 50 00 75 15 8B 83 B8 01 00 00 33 D2 8A 93 CD 01 00 00 03 C2 89 46 54 EB 09 8B 83 B8 01 00 00 89 46 54 6A 01 8B C3 E8 ?? ?? ?? ?? 8B 4E 54 8A 56 50 E8 ?? ?? ?? ?? 8B D0 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 80 78 20 00 74 40 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 83 A4 01 00 00 B1 01 E8 ?? ?? ?? ?? 6A 01 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 83 A4 01 00 00 B1 02 E8 ?? ?? ?? ?? EB 3E 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 83 A4 01 00 00 B1 02 E8 ?? ?? ?? ?? 6A 01 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 83 A4 01 00 00 B1 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 13 01 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 FF 00 00 00 F6 83 B0 01 00 00 04 0F 84 F2 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 03 F0 85 F6 7E 14 6A FF 8B 83 A4 01 00 00 B1 02 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 4F 40 89 45 D4 33 F6 8D 4D E0 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 3C 01 75 16 8D 46 64 50 8B 83 A4 01 00 00 33 C9 8B 55 E0 E8 ?? ?? ?? ?? EB 14 8D 46 64 50 8B 83 A4 01 00 00 B1 02 8B 55 E0 E8 ?? ?? ?? ?? 46 FF 4D D4 75 B7 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 58 40 89 45 D4 33 F6 8D 4D E0 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 75 19 8D 86 C8 00 00 00 50 8B 83 A4 01 00 00 33 C9 8B 55 E0 E8 ?? ?? ?? ?? EB 17 8D 86 C8 00 00 00 50 8B 83 A4 01 00 00 B1 02 8B 55 E0 E8 ?? ?? ?? ?? 46 FF 4D D4 75 AE 8B 83 A4 01 00 00 89 58 44 C7 40 40 ?? ?? ?? ?? 8D 45 C4 50 8B 93 BC 01 00 00 8B C3 E8 ?? ?? ?? ?? 40 50 8B 93 B8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 83 A4 01 00 00 8B 4D C4 8B D3 E8 ?? ?? ?? ?? E9 F1 03 00 00 8B BB A4 01 00 00 80 7D FD 04 75 06 C6 47 50 00 EB 04 C6 47 50 01 F6 45 FB 01 0F 95 C0 88 47 51 80 7F 50 00 75 24 8B B3 D0 01 00 00 8B 83 B8 01 00 00 33 D2 8A 93 CD 01 00 00 03 C2 89 47 54 8B 83 BC 01 00 00 89 47 58 EB 26 8B B3 D4 01 00 00 C6 47 50 01 8B 83 BC 01 00 00 33 D2 8A 93 CC 01 00 00 03 C2 89 47 54 8B 83 B8 01 00 00 89 47 58 8B C7 E8 ?? ?? ?? ?? 8B 47 54 4E 3B C6 0F 8D 83 01 00 00 8B 47 58 50 8D 45 E4 50 8B C3 E8 ?? ?? ?? ?? 8B 4F 54 8A 57 50 E8 ?? ?? ?? ?? 80 7F 50 00 75 1C 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 89 45 E8 EB 1A 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 89 45 E8 80 7F 50 00 75 31 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 BE 03 00 00 00 EB 4B 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 BE 02 00 00 00 EB 36 BE 01 00 00 00 EB 2F 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 BE 03 00 00 00 EB 1A 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 BE 02 00 00 00 EB 05 BE 01 00 00 00 83 FE 01 75 1D 6A 01 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 01 8B C7 E8 ?? ?? ?? ?? EB 1B 6A 01 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 02 8B C7 E8 ?? ?? ?? ?? 83 FE 02 75 1D 6A 02 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 01 8B C7 E8 ?? ?? ?? ?? EB 1B 6A 02 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 02 8B C7 E8 ?? ?? ?? ?? 83 FE 03 75 1D 6A 03 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 01 8B C7 E8 ?? ?? ?? ?? EB 1B 6A 03 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 02 8B C7 E8 ?? ?? ?? ?? 6A FF B1 02 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 02 8B C7 E8 ?? ?? ?? ?? 8B 83 A4 01 00 00 89 58 44 C7 40 40 ?? ?? ?? ?? 8D 45 C4 50 8B 93 BC 01 00 00 8B C3 E8 ?? ?? ?? ?? 40 50 8B 93 B8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 83 A4 01 00 00 8B 4D C4 8B D3 E8 ?? ?? ?? ?? E9 7D 01 00 00 80 7D FD 08 75 64 8D 45 EC 50 8B 4D 08 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 75 EC 56 8B 45 F0 50 8D 45 C4 50 8B 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 83 E8 10 3B F8 7C 32 F6 45 FB 80 74 13 6A 01 8B C3 E8 ?? ?? ?? ?? 83 C9 FF B2 01 E8 ?? ?? ?? ?? F6 45 FC 01 74 13 6A 01 8B C3 E8 ?? ?? ?? ?? 83 C9 FF B2 01 E8 ?? ?? ?? ?? 80 7D FD 07 75 32 F6 45 FB 80 74 13 6A 01 8B C3 E8 ?? ?? ?? ?? 83 C9 FF 33 D2 E8 ?? ?? ?? ?? F6 45 FC 01 74 13 6A 01 8B C3 E8 ?? ?? ?? ?? 83 C9 FF 33 D2 E8 ?? ?? ?? ?? 8A 45 FD 48 2C 02 0F 83 CF 00 00 00 8B 4D 08 8B D7 8B C3 E8 ?? ?? ?? ?? 8A 55 FD 80 EA 01 75 06 C6 45 FA 00 EB 04 C6 45 FA 01 3C 01 75 31 F6 83 B0 01 00 00 04 74 28 C6 83 2C 02 00 00 01 8B 83 B8 01 00 00 89 83 C0 01 00 00 8B 83 BC 01 00 00 89 83 C4 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 7C 3C 02 75 78 80 7D FA 00 75 12 8B B3 B8 01 00 00 33 C0 8A 83 CD 01 00 00 03 F0 EB 06 8B B3 B8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 F6 83 B0 01 00 00 02 74 35 6A 01 8B C3 E8 ?? ?? ?? ?? 8B CE 8A 55 FA E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? A8 01 74 15 6A 01 8B C3 E8 ?? ?? ?? ?? 8B CE 8A 55 FA E8 ?? ?? ?? ?? EB 13 6A 01 8B C3 E8 ?? ?? ?? ?? 8B CE 8A 55 FA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_10293_0 {
	meta:
		name = "_NF__216"
		size = 224
		refs = "001d TCustomDecisionGrid.GetTotals 0029 TCustomDecisionGrid.SetTotals 0035 TCustomDecisionGrid.GeTDecisionSource 0049 TDecisionSource.GetDecisionCube 0062 TDecisionCube.ShowCubeDialog 007f TDecisionSource.GetDims 0098 TDecisionSource.GetIndex 00a2 TDecisionSource.GetGroup 00b1 TDecisionSource.ToggleDimIndex 00ba TDecisionSource.GetSums 00d7 TDecisionSource.SetCurrentSummary"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 A4 01 00 00 8B 70 48 8B C6 83 E8 01 72 04 74 1A EB 4E 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? E9 A9 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 9A 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 86 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 73 8B C3 E8 ?? ?? ?? ?? 85 C0 74 68 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 83 C0 64 3B F0 7D 2D 6A 00 8B EE 83 ED 64 8B D5 33 C9 8B C7 E8 ?? ?? ?? ?? 50 8B D5 8B C7 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 24 8B C7 E8 ?? ?? ?? ?? 05 C8 00 00 00 3B F0 7D 14 8B C3 E8 ?? ?? ?? ?? 8B D6 81 EA C8 00 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10294_0 {
	meta:
		name = "_NF__217"
		size = 211
		refs = "0023 TCustomDecisionGrid.GeTDecisionSource 0034 TDecisionSource.GetActiveDim 004b TDisplayDims.GetDisplayDim 0055 TDisplayDim.SetSubs 0072 TDecisionSource.GetDims 008b TDecisionSource.GetIndex 0095 TDecisionSource.GetGroup 00a4 TDecisionSource.ToggleDimIndex 00ad TDecisionSource.GetSums 00ca TDecisionSource.SetCurrentSummary"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 A4 01 00 00 8B 70 48 83 FE 64 7D 47 83 78 54 00 0F 8C B0 00 00 00 6A 01 8B C3 E8 ?? ?? ?? ?? 8B BB A4 01 00 00 8B 4F 54 8A 57 50 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8C 8C 00 00 00 8B D7 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 85 F6 0F 94 C2 E8 ?? ?? ?? ?? EB 73 8B C3 E8 ?? ?? ?? ?? 85 C0 74 68 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 83 C0 64 3B F0 7D 2D 6A 00 8B EE 83 ED 64 8B D5 33 C9 8B C7 E8 ?? ?? ?? ?? 50 8B D5 8B C7 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 24 8B C7 E8 ?? ?? ?? ?? 05 C8 00 00 00 3B F0 7D 14 8B C3 E8 ?? ?? ?? ?? 8B D6 81 EA C8 00 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10295_0 {
	meta:
		name = "_NF__218"
		size = 506
		refs = "004d TCustomDecisionGrid.GeTDecisionSource 0058 TDecisionSource.GetValueIndex 0073 TDecisionSource.DrillDimIndex 0093 TDecisionSource.GetGroupExtent 00a4 _NF__1C2 00c4 _NF__1C1 0115 TCustomGrid.SetRowHeights 0126 TCustomGrid.SetColWidths"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F0 8B 9E A4 01 00 00 80 7B 50 00 75 0D 83 BE D0 01 00 00 00 0F 84 D0 01 00 00 80 7B 50 00 74 0D 83 BE D4 01 00 00 00 0F 84 BD 01 00 00 8B 7B 48 85 FF 75 40 8B 43 58 50 8D 44 24 05 50 8D 44 24 08 50 8B C6 E8 ?? ?? ?? ?? 8B 4B 54 8A 53 50 E8 ?? ?? ?? ?? 89 43 5C 8B 43 5C 50 6A 01 8B C6 E8 ?? ?? ?? ?? 8B 4B 54 8A 53 50 E8 ?? ?? ?? ?? E9 76 01 00 00 8B 43 58 50 8D 44 24 08 50 8B C6 E8 ?? ?? ?? ?? 8B 4B 54 8A 53 50 E8 ?? ?? ?? ?? 80 7B 50 00 75 20 8B 54 24 04 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 89 44 24 08 EB 1E 8B 54 24 04 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 89 44 24 08 8B 54 24 08 8B 44 24 04 3B D0 0F 84 07 01 00 00 C6 86 CB 01 00 00 01 83 FF 01 75 3C 8B E8 8B FA 2B FD 0F 8C E8 00 00 00 47 80 7B 50 00 75 11 8B 8E E4 01 00 00 8B D5 8B C6 E8 ?? ?? ?? ?? EB 0F 8B 8E E0 01 00 00 8B D5 8B C6 E8 ?? ?? ?? ?? 45 4F 75 D6 E9 B8 00 00 00 83 FF 02 75 58 8B E8 8B FA 4F 2B FD 7C 2B 47 80 7B 50 00 75 11 8B 8E E4 01 00 00 8B D5 8B C6 E8 ?? ?? ?? ?? EB 0F 8B 8E E0 01 00 00 8B D5 8B C6 E8 ?? ?? ?? ?? 45 4F 75 D6 80 7B 50 00 75 0F 33 C9 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? EB 6A 33 C9 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? EB 5B 83 FF 03 75 56 8B E8 8B FA 4F 2B FD 7C 23 47 80 7B 50 00 75 0D 33 C9 8B D5 8B C6 E8 ?? ?? ?? ?? EB 0B 33 C9 8B D5 8B C6 E8 ?? ?? ?? ?? 45 4F 75 DE 80 7B 50 00 75 13 8B 8E E4 01 00 00 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? EB 11 8B 8E E0 01 00 00 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? C6 86 CB 01 00 00 00 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10296_0 {
	meta:
		name = "TCustomDecisionGrid.MouseMove"
		size = 58
		refs = "001a TCustomGrid.MouseMove 002e _NF__20D"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 2C 02 00 00 01 75 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10297_0 {
	meta:
		name = "TCustomDecisionGrid.MouseUp"
		size = 85
		refs = "0020 TCustomGrid.MouseUp 0034 _NF__20D 003b _NF__20B 0049 _NF__20F"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B 75 0C 56 57 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 2C 02 00 00 01 75 20 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 2C 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10298_0 {
	meta:
		name = "TCustomDecisionGrid.GeTDecisionSource"
		size = 10
	strings:
		$1 = { 8B 80 A8 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_10299_0 {
	meta:
		name = "TCustomDecisionGrid.SeTDecisionSource"
		size = 38
		refs = "0013 TDecisionDataLink.SetDecisionSource 001e _NF__1C3"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 A8 01 00 00 8B 78 04 8B D6 E8 ?? ?? ?? ?? 3B FE 74 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10300_0 {
	meta:
		name = "TCustomDecisionGrid.CMDesignHitTest"
		size = 201
		refs = "0010 TCustomGrid.CMDesignHitTest 003f _NF__20A 0061 _NF__1C6 0093 TCustomDecisionGrid.CellRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 83 7B 0C 00 0F 85 A3 00 00 00 80 BE 2C 02 00 00 01 75 0C C7 43 0C 01 00 00 00 E9 8E 00 00 00 54 0F BF 4B 0A 0F BF 53 08 8B C6 E8 ?? ?? ?? ?? 8D 44 24 08 50 8D 44 24 10 50 8D 44 24 16 50 8B 7C 24 0C 8B CF 8B 6C 24 10 8B D5 8B C6 E8 ?? ?? ?? ?? 8A 44 24 0E 48 2C 02 72 09 48 2C 02 72 04 2C 01 75 09 C7 43 0C 01 00 00 00 EB 41 80 7C 24 0E 08 75 35 8D 44 24 10 50 8B CD 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 86 B4 01 00 00 8B 54 24 18 2B 50 28 0F BF 43 08 3B D0 7E 07 33 C0 89 43 0C EB 0E C7 43 0C 01 00 00 00 EB 05 33 C0 89 43 0C 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10301_0 {
	meta:
		name = "_NF__22C"
		size = 233
		refs = "0023 _NF__22C 0030 TCustomDecisionGrid.GeTDecisionSource 0040 TDecisionSource.GetCurrentSum 004e TDecisionSource.GetDims 005d TDisplayDims.GetDisplayDim 0068 @LStrLAsg 0088 TDecisionSource.GetDataAsVariant 0095 FormatVariant 00ae TDecisionSource.GetDataAsString 00b7 @LStrClr 00cc @VarClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 7C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 F8 8B D7 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B 50 14 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 29 8B 45 0C 50 8D 45 E4 50 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 8B CE 8B 55 F4 E8 ?? ?? ?? ?? EB 20 8B 45 0C 50 56 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10302_0 {
	meta:
		name = "_NF__22D"
		size = 108
		refs = "0014 @LStrClr 001b TCustomDecisionGrid.GeTDecisionSource 0032 TDecisionSource.GetActiveDim 0041 TDisplayDims.GetDisplayDim 004b @LStrLAsg 0060 TDecisionSource.GetDimensionName"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 41 6A 01 8B C3 E8 ?? ?? ?? ?? 8B CF 8A 55 FF E8 ?? ?? ?? ?? 8B F8 8B D7 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B 50 0C 8B C6 E8 ?? ?? ?? ?? 83 3E 00 75 10 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10303_0 {
	meta:
		name = "_NF__22E"
		size = 214
		refs = "0022 _NF__22E 002f TCustomDecisionGrid.GeTDecisionSource 0050 TDecisionSource.GetActiveDim 005f TDisplayDims.GetDisplayDim 006a @LStrLAsg 0080 TDecisionSource.GetMemberAsVariant 008e FormatVariant 00a4 TDecisionSource.GetMemberAsString 00b9 @VarClr 00c1 @LStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 71 85 FF 7C 6D 8B C3 E8 ?? ?? ?? ?? 89 45 F4 6A 01 8B CE 8A 55 FF 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B 50 14 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 20 8D 45 E4 50 8B CF 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E4 8B 4D 08 8B 55 F8 E8 ?? ?? ?? ?? EB 14 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10304_0 {
	meta:
		name = "TCustomDecisionGrid.GetCells"
		size = 129
		refs = "0010 TCustomDecisionGrid.GetFixedCols 001d TCustomDecisionGrid.GetFixedRows 002a TCustomDecisionGrid.GetColCount 0040 TCustomDecisionGrid.GetRowCount 0057 SGridCellError 005c LoadResString 0075 _NF__1C8"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? F7 D8 3B F0 7C 39 8B C3 E8 ?? ?? ?? ?? F7 D8 3B F8 7C 2C 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 3B F2 7D 16 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 3B FA 7C 0F 8B 55 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8D 45 FE 50 8D 45 FD 50 8B 45 08 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10305_0 {
	meta:
		name = "TCustomDecisionGrid.CellDrawState"
		size = 184
		refs = "0018 TCustomDecisionGrid.CellDrawState 0025 TCustomDecisionGrid.GetFixedCols 0032 TCustomDecisionGrid.GetFixedRows 003f TCustomDecisionGrid.GetColCount 0055 TCustomDecisionGrid.GetRowCount 007f _NF__1C8 008a @LStrAsg 00a1 @LStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? F7 D8 3B F0 7C 39 8B C3 E8 ?? ?? ?? ?? F7 D8 3B F8 7C 2C 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 3B F2 7D 16 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 3B FA 7C 04 33 DB EB 24 8B 45 08 50 8D 45 FF 50 8D 45 F8 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 0C E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10306_0 {
	meta:
		name = "TCustomDecisionGrid.CellValueArray"
		size = 54
		refs = "000f TCustomDecisionGrid.GeTDecisionSource 002b TDecisionSource.GetValueArray"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 14 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10307_0 {
	meta:
		name = "TCustomDecisionGrid.GetTotals"
		size = 67
		refs = "0015 TCollection.GetCount 002c TDisplayDims.GetDisplayDim"
	strings:
		$1 = { 53 56 57 55 8B F0 33 DB 8B BE AC 01 00 00 85 FF 74 2A 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 1C 45 33 FF 8B D7 8B 86 AC 01 00 00 E8 ?? ?? ?? ?? 80 78 20 00 74 02 B3 01 47 4D 75 E7 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10308_0 {
	meta:
		name = "TCustomDecisionGrid.GetFixedRows"
		size = 7
	strings:
		$1 = { 8B 80 48 01 00 00 C3 }
	condition:
		$1
}

rule function_10309_0 {
	meta:
		name = "TCustomDecisionGrid.GetFixedCols"
		size = 7
	strings:
		$1 = { 8B 80 44 01 00 00 C3 }
	condition:
		$1
}

rule function_10310_0 {
	meta:
		name = "TCustomDecisionGrid.GetRowCount"
		size = 7
	strings:
		$1 = { 8B 80 58 01 00 00 C3 }
	condition:
		$1
}

rule function_10311_0 {
	meta:
		name = "TCustomDecisionGrid.GetColCount"
		size = 7
	strings:
		$1 = { 8B 80 28 01 00 00 C3 }
	condition:
		$1
}

rule function_10312_0 {
	meta:
		name = "TCustomDecisionGrid.SetTotals"
		size = 64
		refs = "0015 TCollection.GetCount 002c TDisplayDims.GetDisplayDim 0033 TDisplayDim.SetSubs"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B BE AC 01 00 00 85 FF 74 29 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 1B 45 33 FF 8B D7 8B 86 AC 01 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 4D 75 E8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10313_0 {
	meta:
		name = "TDecisionGridDataLink.DecisionDataEvent"
		size = 130
		refs = "0019 TDecisionGridDataLink.DecisionDataEvent 0047 _NF__1C4 0055 _NF__1C3 0070 TCustomDecisionGrid.SeTDecisionSource"
	strings:
		$1 = { 56 8B F0 80 7E 08 00 75 77 C6 46 08 01 33 C0 8A C2 83 F8 04 77 66 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 46 0C 85 C0 74 44 8B 10 FF 52 44 EB 3D 8B 46 0C 85 C0 74 36 E8 ?? ?? ?? ?? EB 2F 8B 46 0C 85 C0 74 28 E8 ?? ?? ?? ?? EB 21 8B 46 0C 85 C0 74 1A E8 ?? ?? ?? ?? EB 13 8B 56 04 8B 46 0C E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? C6 46 08 00 5E C3 }
	condition:
		$1
}

rule function_10316_0 {
	meta:
		name = "_NF__255"
		size = 66
		refs = "000e @ClassCreate 0020 TCollection.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C C6 47 18 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10317_0 {
	meta:
		name = "TDisplayDims.GetOwner"
		size = 4
	strings:
		$1 = { 8B 40 1C C3 }
	condition:
		$1
}

rule function_10319_0 {
	meta:
		name = "TDisplayDims.NotifyOwner"
		size = 68
		refs = "0024 _NF__1C4 0031 _NF__1C3 003e _NF__1C5"
	strings:
		$1 = { 56 80 78 18 00 75 3B 8B 70 1C F6 46 20 01 75 32 80 EA 01 72 08 74 20 FE CA 74 0F EB 25 85 F6 74 21 8B C6 E8 ?? ?? ?? ?? EB 18 85 F6 74 14 8B C6 E8 ?? ?? ?? ?? EB 0B 85 F6 74 07 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_10321_0 {
	meta:
		name = "TDisplayDim.Create"
		size = 86
		refs = "000b @ClassCreate 001c TCollectionItem.Create 0027 @LStrClr"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 24 8D 47 0C E8 ?? ?? ?? ?? C7 47 1C FF FF FF 1F C6 47 20 01 C6 47 18 02 8D 47 14 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10322_0 {
	meta:
		name = "TDisplayDim.assign"
		size = 70
		refs = "000b _DV_TDisplayDim 0010 @IsClass 0021 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8D 43 0C 8B FE 8B 57 0C E8 ?? ?? ?? ?? 8B 47 1C 89 43 1C 8A 47 20 88 43 20 8A 47 18 88 43 18 8D 43 14 8B 57 14 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10323_0 {
	meta:
		name = "TDisplayDim.SetName"
		size = 85
		refs = "000e @LStrAddRef 0016 TDisplayDim.SetName 0027 @LStrAsg 0030 _NF__27B 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10324_0 {
	meta:
		name = "TDisplayDim.SetFieldName"
		size = 107
		refs = "000e @LStrAddRef 0016 TDisplayDim.SetFieldName 003d @LStrAsg 0046 _NF__27B 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 24 85 C0 74 23 83 78 1C 00 74 1D 8B 40 1C F6 40 20 01 74 14 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10325_0 {
	meta:
		name = "TDisplayDim.SetFormat"
		size = 85
		refs = "000e @LStrAddRef 0016 TDisplayDim.SetFormat 0027 @LStrAsg 0030 _NF__27B 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10326_0 {
	meta:
		name = "TDisplayDim.SetAlignment"
		size = 11
		refs = "0006 _NF__27B"
	strings:
		$1 = { 88 50 18 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10327_0 {
	meta:
		name = "TDisplayDim.SetColor"
		size = 11
		refs = "0006 _NF__27B"
	strings:
		$1 = { 89 50 1C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10328_0 {
	meta:
		name = "TDisplayDim.SetSubs"
		size = 11
		refs = "0006 _NF__27B"
	strings:
		$1 = { 88 50 20 B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10330_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _NV__1A7 001a _NV__1AA 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10332_0 {
	meta:
		name = "TProgressDialog.StartBuild"
		size = 213
		refs = "000e TProgressDialog.StartBuild 005a @HandleAnyException 005f ExceptObject 006f @LStrAsg 0081 @DoneExcept 00a5 TCustomForm.SetVisible 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 F8 01 00 00 01 8B 45 FC 66 83 B8 02 02 00 00 00 74 63 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 83 04 02 00 00 FF 93 00 02 00 00 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 04 8B 45 FC 05 FC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC C7 80 50 01 00 00 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC C7 80 50 01 00 00 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 F9 01 00 00 01 8B 45 FC C6 80 F8 01 00 00 00 8B 45 FC C6 80 E8 01 00 00 01 C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10333_0 {
	meta:
		name = "TProgressDialog.UpdateProgress"
		size = 40
		refs = "0006 TProgressDialog.StepProgress 000b Application 0012 TApplication.ProcessMessages"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 80 BB E8 01 00 00 00 74 05 83 C8 FF 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_10334_0 {
	meta:
		name = "TProgressDialog.GetMax"
		size = 7
	strings:
		$1 = { 8B 80 F4 01 00 00 C3 }
	condition:
		$1
}

rule function_10335_0 {
	meta:
		name = "TProgressDialog.SetMax"
		size = 164
		refs = "001e TProgressBar.SetMax 002e TProgressBar.SetPosition 0042 TProgressDialog.SetMax 0049 @TRUNC 0052 TProgressDialog.SetInterval"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 3B B3 F4 01 00 00 74 78 89 B3 F4 01 00 00 8B D6 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 81 FE 10 27 00 00 7E 1E 89 34 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 2F 83 FE 64 7E 1E 89 34 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 0C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 CD CC CC CC CC CC CC CC FA 3F 00 00 CD CC CC CC CC CC CC CC FB 3F 00 00 }
	condition:
		$1
}

rule function_10336_0 {
	meta:
		name = "TProgressDialog.StepProgress"
		size = 82
		refs = "001b TProgressBar.GetMax 002e TCustomForm.SetVisible 0039 TProgressBar.StepIt"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B 86 F0 01 00 00 3B 86 EC 01 00 00 75 33 8B 86 DC 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 24 80 7E 44 00 75 09 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 86 DC 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 F0 01 00 00 B3 01 FF 86 F0 01 00 00 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_10337_0 {
	meta:
		name = "TProgressDialog.ShowStatus"
		size = 98
		refs = "000e @LStrAddRef 0016 TProgressDialog.ShowStatus 002f TControl.SetVisible 003d TControl.SetText 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E4 01 00 00 80 78 44 00 75 07 B2 01 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10338_0 {
	meta:
		name = "TProgressDialog.CancelButtonClick"
		size = 42
	strings:
		$1 = { C6 80 E8 01 00 00 01 80 B8 F9 01 00 00 00 74 19 8B 90 E0 01 00 00 83 BA 20 01 00 00 01 74 0A C7 80 50 01 00 00 02 00 00 00 C3 }
	condition:
		$1
}

rule function_10339_0 {
	meta:
		name = "TProgressDialog.SetInterval"
		size = 36
		refs = "001f TProgressBar.SetStep"
	strings:
		$1 = { 3B 90 EC 01 00 00 74 1B 89 90 EC 01 00 00 C7 80 F0 01 00 00 01 00 00 00 8B 80 DC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10340_0 {
	meta:
		name = "TProgressDialog.Reset"
		size = 17
		refs = "000c TProgressBar.SetPosition"
	strings:
		$1 = { BA 01 00 00 00 8B 80 DC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10341_0 {
	meta:
		name = "TProgressDialog.FormActivate"
		size = 36
		refs = "0018 TWinControl.GetHandle 001e PostMessage"
	strings:
		$1 = { 53 8B D8 80 BB F8 01 00 00 00 75 16 6A 00 6A 00 68 00 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10342_0 {
	meta:
		name = "TProgressDialog.FormCreate"
		size = 65
		refs = "000f GetSystemMetrics 001f Screen 0026 TScreen.GetWidth"
	strings:
		$1 = { 53 56 8B D8 8B 43 38 50 8B 73 3C 56 6A 01 E8 ?? ?? ?? ?? 2B C6 B9 03 00 00 00 99 F7 F9 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 2B 53 38 D1 FA 79 03 83 D2 00 8B C3 59 8B 18 FF 53 4C 5E 5B C3 }
	condition:
		$1
}

rule function_10345_0 {
	meta:
		name = "TDecisionPivot.Create"
		size = 184
		refs = "000e @ClassCreate 001c TCustomPanel.Create 002c _DV_TPivotDataLink 0031 TPivotDataLink.Create 0066 TDecisionPivot.Create 0089 TDecisionPivot.SetBorderWidth 0092 TDecisionPivot.SetBorderStyle 0099 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 38 01 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 3C 01 00 00 89 5E 0C C6 83 69 01 00 00 00 C7 83 70 01 00 00 40 00 00 00 C7 83 74 01 00 00 18 00 00 00 C7 83 78 01 00 00 0A 00 00 00 A0 ?? ?? ?? ?? 88 83 6A 01 00 00 C7 83 6C 01 00 00 03 00 00 00 C6 83 68 01 00 00 01 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 07 00 00 00 }
	condition:
		$1
}

rule function_10346_0 {
	meta:
		name = "TDecisionPivot.Destroy"
		size = 134
		refs = "0026 TList.Get 002b TObject.Free 003a TList.Put 0070 TCustomControl.Destroy 007b @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 85 44 01 00 00 85 C0 74 43 8B 78 08 4F 85 FF 7C 28 47 33 F6 8B D6 8B 85 44 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B D6 8B 85 44 01 00 00 E8 ?? ?? ?? ?? 46 4F 75 DB 8B 85 44 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 85 44 01 00 00 8B 85 3C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 85 3C 01 00 00 8B D3 80 E2 FE 8B C5 E8 ?? ?? ?? ?? 84 DB 74 07 8B C5 E8 ?? ?? ?? ?? 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10347_0 {
	meta:
		name = "TDecisionPivot.Notification"
		size = 64
		refs = "0010 TControl.Notification 0018 _Dn_TPivotButton 001d @IsClass 0038 TPivotButton.SetDecisionSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 84 DB 75 13 8B 87 40 01 00 00 85 C0 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10348_0 {
	meta:
		name = "TDecisionPivot.SetBounds"
		size = 33
		refs = "0011 TWinControl.SetBounds 0018 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 0C 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10349_0 {
	meta:
		name = "TDecisionPivot.NewPanelSetup"
		size = 984
		refs = "0013 TDecisionSource.GetReady 0025 TControl.SetText 0047 TList.Get 004c TObject.Free 005b TList.Put 00f3 TDecisionSource.GetGroupCount 0194 _Dn_TList 0199 TObject.Create 01a8 TList.Insert 01d9 _Dn_TPivotButton 01de TPivotButton.Create 01fd TPivotButton.SetMyDim 020a TPivotButton.SetType 0227 TDecisionPivot.NewPanelSetup 02ef TDecisionSource.GetDecisionCube 02f7 TCollection.GetCount 0316 TCubeDims.GetCubeDim 031f TCubeDim.GetLoaded 03ca TDecisionPivot.NewDimLayout"
	strings:
		$1 = { 53 56 57 55 8B D8 8B B3 40 01 00 00 85 F6 74 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 C0 00 00 00 8B 53 08 8B C3 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 85 C0 74 30 8B 78 08 4F 85 FF 7C 28 47 33 F6 8B D6 8B 83 44 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B D6 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 46 4F 75 DB 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 44 01 00 00 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 50 01 00 00 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 54 01 00 00 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 48 01 00 00 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 4C 01 00 00 33 C0 89 83 58 01 00 00 33 C0 89 83 5C 01 00 00 33 C0 89 83 60 01 00 00 E9 EF 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 89 83 58 01 00 00 33 C9 B2 01 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 89 83 5C 01 00 00 33 C9 B2 03 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B F0 89 B3 60 01 00 00 8B 83 44 01 00 00 85 C0 74 55 8B 50 08 03 B3 58 01 00 00 03 B3 5C 01 00 00 3B D6 74 42 8B FA 4F 85 FF 7C 28 47 33 F6 8B D6 8B 83 44 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B D6 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 46 4F 75 DB 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 44 01 00 00 83 BB 44 01 00 00 00 75 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 44 01 00 00 EB 07 33 C9 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 8B 50 08 8B 8B 60 01 00 00 03 8B 58 01 00 00 03 8B 5C 01 00 00 3B D1 7C DA 83 BB 50 01 00 00 00 75 5E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 50 01 00 00 8B D3 8B C6 8B 08 FF 51 3C 83 CA FF 8B 83 50 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 83 74 01 00 00 89 83 7C 01 00 00 8B 83 50 01 00 00 05 EC 00 00 00 8A 15 ?? ?? ?? ?? 88 50 10 C6 40 11 00 83 BB 54 01 00 00 00 75 52 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 54 01 00 00 8B D3 8B C6 8B 08 FF 51 3C 83 CA FF 8B 83 54 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 83 54 01 00 00 05 EC 00 00 00 8A 15 ?? ?? ?? ?? 88 50 10 C6 40 11 01 F6 83 6A 01 00 00 04 0F 84 07 01 00 00 83 BB 48 01 00 00 00 75 3B 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 3C 83 CA FF 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 89 B3 48 01 00 00 C7 83 64 01 00 00 01 00 00 00 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3B 47 33 F6 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B E8 8B C5 E8 ?? ?? ?? ?? 84 C0 75 12 80 7D 22 02 74 0C C7 83 64 01 00 00 02 00 00 00 EB 04 46 4F 75 C8 83 BB 64 01 00 00 02 75 46 83 BB 4C 01 00 00 00 75 78 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 3C 83 CA FF 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 89 B3 4C 01 00 00 EB 3B 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 4C 01 00 00 EB 26 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 48 01 00 00 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 4C 01 00 00 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_10350_0 {
	meta:
		name = "TDecisionPivot.NewDimLayout"
		size = 1916
		refs = "001a TDecisionSource.GetReady 0088 _NF__DE 0158 TControl.SetWidth 0167 TControl.SetHeight 0196 TControl.SetLeft 01a5 TControl.SetTop 0588 TDecisionSource.GetActiveDim 0593 TDecisionPivot.DimStateChange 05a0 TList.Get 073c TWinControl.GetControlCount 074f TWinControl.GetControl 0755 _Dn_TPivotButton 075a @IsClass 076c TPivotButton.NewState"
	strings:
		$1 = { 53 56 57 55 83 C4 C0 8B D8 8B B3 40 01 00 00 85 F6 0F 84 5D 07 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 4E 07 00 00 8B 83 24 01 00 00 8B F0 8B F8 F6 83 6A 01 00 00 01 74 08 8B AB 58 01 00 00 EB 02 33 ED F6 83 6A 01 00 00 02 74 0C 8B 83 5C 01 00 00 89 44 24 04 EB 06 33 C0 89 44 24 04 F6 83 6A 01 00 00 04 74 11 8B 83 60 01 00 00 03 83 64 01 00 00 89 04 24 EB 05 33 C0 89 04 24 8D 4C 24 0C 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8A 83 69 01 00 00 2C 01 72 0B 0F 84 58 01 00 00 E9 A2 02 00 00 89 74 24 30 89 7C 24 38 8B 44 24 08 03 83 6C 01 00 00 89 44 24 34 33 C0 89 44 24 3C 89 7C 24 18 F6 83 6A 01 00 00 04 74 21 8B 44 24 08 03 83 6C 01 00 00 F7 2C 24 03 F0 03 B3 78 01 00 00 2B B3 6C 01 00 00 89 74 24 10 EB 04 89 74 24 10 8B 44 24 08 03 83 6C 01 00 00 89 44 24 14 33 C0 89 44 24 1C F6 83 6A 01 00 00 01 74 1F 8B 44 24 10 03 83 78 01 00 00 8B 54 24 14 0F AF D5 03 C2 03 83 7C 01 00 00 89 44 24 20 EB 08 8B 44 24 10 89 44 24 20 8B 44 24 14 89 44 24 24 8B 44 24 18 89 44 24 28 8B 44 24 1C 89 44 24 2C 8B 93 7C 01 00 00 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 93 7C 01 00 00 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 10 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 18 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 20 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 28 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 44 24 10 03 83 7C 01 00 00 03 83 6C 01 00 00 89 44 24 10 8B 44 24 20 03 83 7C 01 00 00 03 83 6C 01 00 00 89 44 24 20 E9 CA 02 00 00 89 74 24 30 89 7C 24 38 33 C0 89 44 24 34 8B 44 24 0C 03 83 6C 01 00 00 89 44 24 3C 89 74 24 10 F6 83 6A 01 00 00 04 74 21 8B 44 24 0C 03 83 6C 01 00 00 F7 2C 24 03 F8 03 BB 78 01 00 00 2B BB 6C 01 00 00 89 7C 24 18 EB 04 89 7C 24 18 33 C0 89 44 24 14 8B 44 24 0C 03 83 6C 01 00 00 89 44 24 1C 8B 44 24 10 89 44 24 20 8B 44 24 14 89 44 24 24 F6 83 6A 01 00 00 01 74 1B 0F AF 6C 24 1C 03 6C 24 18 03 AB 78 01 00 00 03 AB 7C 01 00 00 89 6C 24 28 EB 08 8B 44 24 18 89 44 24 28 8B 44 24 1C 89 44 24 2C 8B 54 24 08 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 93 7C 01 00 00 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 08 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 93 7C 01 00 00 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 10 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 18 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 20 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 28 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 44 24 18 03 83 7C 01 00 00 03 83 6C 01 00 00 89 44 24 18 8B 44 24 28 03 83 7C 01 00 00 03 83 6C 01 00 00 89 44 24 28 E9 7B 01 00 00 89 74 24 30 89 7C 24 38 8B 44 24 08 03 83 6C 01 00 00 89 44 24 34 33 C0 89 44 24 3C 89 74 24 10 33 C0 89 44 24 14 F6 83 6A 01 00 00 04 0F 95 C0 84 C0 74 0C 8B 44 24 0C 03 C7 89 44 24 18 EB 04 89 7C 24 18 8B 83 6C 01 00 00 03 44 24 0C 89 44 24 1C 0F AF 6C 24 1C 8B 43 3C 2B C5 2B 83 7C 01 00 00 2B 44 24 18 2B C7 D1 F8 79 03 83 D0 00 85 C0 7E 04 01 44 24 18 F6 83 6A 01 00 00 04 0F 95 C0 84 C0 74 0C 8B 44 24 08 03 C6 89 44 24 20 EB 04 89 74 24 20 8B 44 24 08 03 83 6C 01 00 00 89 44 24 24 8B 44 24 04 F7 6C 24 24 50 8B 43 38 5A 2B C2 2B 83 7C 01 00 00 2B 44 24 20 2B C6 D1 F8 79 03 83 D0 00 85 C0 7C 04 01 44 24 20 89 7C 24 28 33 C0 89 44 24 2C 8B 54 24 08 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 93 7C 01 00 00 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 93 7C 01 00 00 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 10 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 18 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 20 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 28 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 44 24 18 03 83 7C 01 00 00 03 83 6C 01 00 00 89 44 24 18 8B 44 24 20 03 83 7C 01 00 00 03 83 6C 01 00 00 89 44 24 20 F6 83 6A 01 00 00 01 75 10 BA 10 27 00 00 8B 83 50 01 00 00 E8 ?? ?? ?? ?? F6 83 6A 01 00 00 02 75 10 BA 10 27 00 00 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 83 BB 48 01 00 00 00 74 2D 8B 44 24 08 50 8B 44 24 10 50 8B 4C 24 40 8B 54 24 38 8B 83 48 01 00 00 8B 30 FF 56 4C 8B 44 24 34 01 44 24 30 8B 44 24 3C 01 44 24 38 83 BB 4C 01 00 00 00 74 2D 8B 44 24 08 50 8B 44 24 10 50 8B 4C 24 40 8B 54 24 38 8B 83 4C 01 00 00 8B 30 FF 56 4C 8B 44 24 34 01 44 24 30 8B 44 24 3C 01 44 24 38 83 BB 60 01 00 00 00 0F 8E 92 00 00 00 8B BB 60 01 00 00 4F 85 FF 0F 8C 83 00 00 00 47 33 ED 8B 83 40 01 00 00 6A 00 8B CD B2 03 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B 54 24 30 8B C6 E8 ?? ?? ?? ?? 8B 54 24 38 8B C6 E8 ?? ?? ?? ?? F6 83 6A 01 00 00 04 75 0C BA 10 27 00 00 8B C6 E8 ?? ?? ?? ?? 8B 44 24 34 01 44 24 30 8B 44 24 3C 01 44 24 38 45 4F 75 80 83 BB 58 01 00 00 00 0F 8E 92 00 00 00 8B BB 58 01 00 00 4F 85 FF 0F 8C 83 00 00 00 47 33 ED 8B 83 40 01 00 00 6A 00 8B CD 33 D2 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B 54 24 10 8B C6 E8 ?? ?? ?? ?? 8B 54 24 18 8B C6 E8 ?? ?? ?? ?? F6 83 6A 01 00 00 01 75 0C BA 10 27 00 00 8B C6 E8 ?? ?? ?? ?? 8B 44 24 14 01 44 24 10 8B 44 24 1C 01 44 24 18 45 4F 75 80 83 BB 5C 01 00 00 00 0F 8E 92 00 00 00 8B BB 5C 01 00 00 4F 85 FF 0F 8C 83 00 00 00 47 33 ED 8B 83 40 01 00 00 6A 00 8B CD B2 01 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B 54 24 20 8B C6 E8 ?? ?? ?? ?? 8B 54 24 28 8B C6 E8 ?? ?? ?? ?? F6 83 6A 01 00 00 02 75 0C BA 10 27 00 00 8B C6 E8 ?? ?? ?? ?? 8B 44 24 24 01 44 24 20 8B 44 24 2C 01 44 24 28 45 4F 75 80 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2D 47 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D5 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 45 4F 75 D6 83 C4 40 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10351_0 {
	meta:
		name = "_NF__DE"
		size = 644
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B FA 8B D8 8B 83 24 01 00 00 89 04 24 89 44 24 04 F6 83 6A 01 00 00 01 0F 95 C0 84 C0 74 08 8B AB 58 01 00 00 EB 02 33 ED F6 83 6A 01 00 00 02 0F 95 C0 84 C0 74 0C 8B 83 5C 01 00 00 89 44 24 08 EB 06 33 C0 89 44 24 08 F6 83 6A 01 00 00 04 0F 95 C0 84 C0 74 12 8B 83 60 01 00 00 03 83 64 01 00 00 89 44 24 0C EB 06 33 C0 89 44 24 0C 8B 83 70 01 00 00 89 07 8B 83 74 01 00 00 89 01 80 BB 68 01 00 00 00 0F 84 E9 01 00 00 80 BB 69 01 00 00 00 0F 85 EA 00 00 00 8B 44 24 04 03 C0 8B 53 3C 2B D0 89 11 8B 04 24 03 C0 8B 53 38 2B D0 89 17 F6 83 6A 01 00 00 04 0F 95 C0 84 C0 74 12 8B 44 24 08 03 C5 85 C0 7E 08 8B 83 78 01 00 00 29 07 8B 74 24 0C 83 FE 01 7E 0A 4E 0F AF B3 6C 01 00 00 29 37 8B F5 F6 83 6A 01 00 00 01 0F 95 C0 84 C0 74 01 46 83 FE 01 7E 0A 4E 0F AF B3 6C 01 00 00 29 37 8B 74 24 08 F6 83 6A 01 00 00 02 0F 95 C0 84 C0 74 01 46 83 FE 01 7E 0A 4E 0F AF B3 6C 01 00 00 29 37 F6 83 6A 01 00 00 01 0F 95 C0 84 C0 74 08 8B 83 7C 01 00 00 29 07 F6 83 6A 01 00 00 02 0F 95 C0 84 C0 74 08 8B 83 7C 01 00 00 29 07 F6 83 6A 01 00 00 01 74 11 F6 83 6A 01 00 00 02 74 08 8B 83 78 01 00 00 29 07 8B 74 24 08 03 F5 03 74 24 0C 83 FE 01 7E 07 8B 07 99 F7 FE 89 07 80 BB 69 01 00 00 01 0F 85 E5 00 00 00 8B 04 24 03 C0 8B 53 38 2B D0 89 17 8B 44 24 04 03 C0 8B 53 3C 2B D0 89 11 F6 83 6A 01 00 00 04 74 12 8B 44 24 08 03 C5 85 C0 7E 08 8B 83 78 01 00 00 29 01 8B 74 24 0C 83 FE 01 7E 0A 4E 0F AF B3 6C 01 00 00 29 31 8B F5 F6 83 6A 01 00 00 01 0F 95 C0 84 C0 74 01 46 83 FE 01 7E 0A 4E 0F AF B3 6C 01 00 00 29 31 8B 74 24 08 F6 83 6A 01 00 00 02 0F 95 C0 84 C0 74 01 46 83 FE 01 7E 0A 4E 0F AF B3 6C 01 00 00 29 31 F6 83 6A 01 00 00 01 0F 95 C0 84 C0 74 08 8B 83 7C 01 00 00 29 01 F6 83 6A 01 00 00 02 0F 95 C0 84 C0 74 08 8B 83 7C 01 00 00 29 01 F6 83 6A 01 00 00 01 74 11 F6 83 6A 01 00 00 02 74 08 8B 83 78 01 00 00 29 01 8B 5C 24 08 03 DD 03 5C 24 0C 83 FB 01 7E 07 8B 01 99 F7 FB 89 01 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10352_0 {
	meta:
		name = "TDecisionPivot.DimStateChange"
		size = 312
		refs = "001a TDecisionPivot.DimStateChange 002b TDecisionSource.GetReady 0041 TList.Get 0054 TObject.ClassName 0069 @AStrCmp 008a @LStrFromString 0093 _Dn_TPivotButton 0098 TPivotButton.Create 00af TSpeedButton.SetAllowAllUp 00bd TSpeedButton.SetGroupIndex 00de TObject.Free 00ef TPivotButton.SetMyDim 00ff TList.Put 0114 @LStrClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 CC 00 00 00 8B 55 FC 8B 86 44 01 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 24 8D 95 F4 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA ?? ?? ?? ?? 33 C9 8A 08 41 E8 ?? ?? ?? ?? 74 76 85 DB 74 1B 8D 95 F4 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B D6 8B 45 F8 8B 08 FF 51 3C B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 83 C2 64 8B 45 F8 E8 ?? ?? ?? ?? 85 DB 74 16 8B 43 38 50 8B 43 3C 50 8B 4B 34 8B 53 30 8B 45 F8 8B 38 FF 57 4C 8B C3 E8 ?? ?? ?? ?? 8B 5D F8 89 5D F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B CB 8B 55 FC 8B 86 44 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 0C 54 50 69 76 6F 74 42 75 74 74 6F 6E 00 00 00 }
	condition:
		$1
}

rule function_10353_0 {
	meta:
		name = "TDecisionPivot.SeTDecisionSource"
		size = 38
		refs = "0010 TDecisionDataLink.SetDecisionSource 0020 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 53 8B D8 89 93 40 01 00 00 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 83 BB 40 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10354_0 {
	meta:
		name = "TDecisionPivot.SetStyle"
		size = 12
		refs = "0007 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 88 90 69 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10355_0 {
	meta:
		name = "TDecisionPivot.SetContents"
		size = 20
		refs = "000e TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 51 88 14 24 8A 14 24 88 90 6A 01 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_10356_0 {
	meta:
		name = "TDecisionPivot.SetAutoSize"
		size = 12
		refs = "0007 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 88 90 68 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10357_0 {
	meta:
		name = "TDecisionPivot.SetSpacing"
		size = 12
		refs = "0007 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 89 90 6C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10358_0 {
	meta:
		name = "TDecisionPivot.SetControlWidth"
		size = 12
		refs = "0007 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 89 90 70 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10359_0 {
	meta:
		name = "TDecisionPivot.SetControlHeight"
		size = 12
		refs = "0007 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 89 90 74 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10360_0 {
	meta:
		name = "TDecisionPivot.SetGroupSpacing"
		size = 12
		refs = "0007 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 89 90 78 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10361_0 {
	meta:
		name = "TDecisionPivot.GetBorderWidth"
		size = 7
	strings:
		$1 = { 8B 80 24 01 00 00 C3 }
	condition:
		$1
}

rule function_10362_0 {
	meta:
		name = "TDecisionPivot.GetBorderStyle"
		size = 7
	strings:
		$1 = { 8A 80 28 01 00 00 C3 }
	condition:
		$1
}

rule function_10363_0 {
	meta:
		name = "TDecisionPivot.AlignControls"
		size = 106
		refs = "001c TDecisionPivot.GetBorderWidth 0062 TCustomPanel.AlignControls"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8A 83 69 01 00 00 2C 01 72 38 74 25 FE C8 75 42 8B C3 E8 ?? ?? ?? ?? 03 83 70 01 00 00 89 06 8B C3 E8 ?? ?? ?? ?? 03 83 74 01 00 00 89 46 04 EB 21 8B C3 E8 ?? ?? ?? ?? 03 83 70 01 00 00 89 06 EB 10 8B C3 E8 ?? ?? ?? ?? 03 83 74 01 00 00 89 46 04 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10366_0 {
	meta:
		name = "TPivotDataLink.DecisionDataEvent"
		size = 120
		refs = "001f TPivotDataLink.DecisionDataEvent 0045 TDecisionPivot.NewPanelSetup 0066 TDecisionPivot.SeTDecisionSource"
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 74 6D 80 7B 08 00 75 67 C6 43 08 01 33 C0 8A C2 83 F8 04 77 56 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 0C 8B 10 FF 52 44 EB 31 8B 43 0C E8 ?? ?? ?? ?? EB 27 8B 43 0C E8 ?? ?? ?? ?? EB 1D 8B 43 0C E8 ?? ?? ?? ?? EB 13 8B 53 04 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? C6 43 08 00 5B C3 }
	condition:
		$1
}

rule function_10419_0 {
	meta:
		name = "_NF__C6"
		size = 424
		refs = "0038 @VarAddRef 0040 _NF__C6 007e @VarToReal 008e FormatFloat 009b @VarToCurr 00ab FormatCurr 00d1 FormatDateTime 00e5 @LStrCatN 0115 @VarFromPStr 0120 @VarAdd 014b @VarToLStr 0160 @VarClr 0170 @LStrClr 017e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 C9 89 4D CC 89 4D D0 89 4D D4 89 4D D8 89 4D B8 89 4D BC 89 4D C0 89 4D C4 89 4D DC 8B F0 8D 7D F0 B9 04 00 00 00 F3 A5 8B DA 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 75 F0 8D 7D E0 B9 04 00 00 00 F3 A5 66 8B 45 F0 66 83 E8 03 0F 84 86 00 00 00 66 83 E8 02 74 0F 66 FF C8 74 27 66 FF C8 74 3F E9 8B 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D3 33 C0 E8 ?? ?? ?? ?? E9 B8 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B D3 33 C0 E8 ?? ?? ?? ?? E9 9B 00 00 00 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 64 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D3 33 C0 E8 ?? ?? ?? ?? EB 4A B0 22 88 45 C9 C6 45 C8 01 8D 45 CC 8D 55 C8 E8 ?? ?? ?? ?? 8D 45 CC 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 CC 50 B0 22 88 45 B5 C6 45 B4 01 8D 45 B8 8D 55 B4 E8 ?? ?? ?? ?? 8D 55 B8 58 E8 ?? ?? ?? ?? 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 22 00 00 00 FF FF FF FF 05 00 00 00 4D 2F 44 2F 59 00 00 00 }
	condition:
		$1
}

rule function_10420_0 {
	meta:
		name = "TXtabQuery.create"
		size = 284
		refs = "0011 @ClassCreate 001d TXtabQuery.create 002b BDEDLLPath 003b @LStrCat3 004a CreateRegKey 0052 @IntfClear 0059 _Dn_TList 005e TObject.Create 00a1 @LStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F8 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 C6 46 18 00 C6 46 19 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C3 00 FF FF FF FF 0B 00 00 00 49 44 53 51 4C 33 32 2E 44 4C 4C 00 FF FF FF FF 3B 00 00 00 43 4C 53 49 44 5C 7B 46 42 39 39 44 37 30 30 2D 31 38 42 39 2D 31 31 44 30 2D 41 34 43 46 2D 30 30 41 30 32 34 43 39 31 39 33 36 7D 5C 49 6E 50 72 6F 63 53 65 72 76 65 72 33 32 00 }
	condition:
		$1
}

rule function_10421_0 {
	meta:
		name = "TXtabQuery.destroy"
		size = 58
		refs = "000a TObject.Free 0026 TObject.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10422_0 {
	meta:
		name = "TXtabQuery.setSQLString"
		size = 443
		refs = "001d @LStrAddRef 0025 TXtabQuery.setSQLString 0039 @IntfClear 0046 CoInitialize 004b OleCheck 0059 IID_IClassFactory 0063 CLSID_IDSQL32 0069 CoGetClassObject 007c IID_IUnknown 009b IID_IQStmt 00b1 @LStrToPChar 00d2 TXtabQuery.FixUpGroupBys 00d9 BDEcheck 0133 _NF__10D 0167 SQParseRemovedField 016c LoadResString 0174 ShowMessage 017b _NF__10B 0190 @LStrClr 01ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D EC 89 4D E8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7F 08 00 74 08 8D 47 08 E8 ?? ?? ?? ?? 83 7F 08 00 75 6A 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 6A 00 6A 01 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 6A 00 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 47 08 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 8B 45 E8 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 47 04 50 8B 47 08 50 8B 00 FF 50 0C 66 3D AF 2E 74 06 66 3D B7 2E 75 09 8B C7 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C6 47 19 01 8D 45 FA 50 8B 47 08 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 DB 80 7F 18 00 74 64 66 8B 75 FA 66 83 FE 01 72 5A 8D 45 F4 50 56 8B 47 08 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 47 08 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 74 08 2C 0C 74 04 2C 03 75 16 B3 01 8D 45 F0 50 8B 45 F4 50 8B 47 08 50 8B 00 FF 90 8C 00 00 00 4E 66 85 F6 75 A6 84 DB 74 15 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10423_0 {
	meta:
		name = "TXtabQuery.getSQLString"
		size = 52
		refs = "0021 BDEcheck 002b @LStrFromPChar"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 6A 01 6A FF 8D 44 24 0C 50 8D 44 24 0C 50 8B 43 08 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_10424_0 {
	meta:
		name = "TXtabQuery.AddTable"
		size = 103
		refs = "0010 @LStrAddRef 0018 TXtabQuery.AddTable 0032 @LStrToPChar 0041 BDEcheck 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F8 50 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 08 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10425_0 {
	meta:
		name = "TXtabQuery.getDialectSQLString"
		size = 52
		refs = "0021 BDEcheck 002b @LStrFromPChar"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 6A 02 6A FF 8D 44 24 0C 50 8D 44 24 0C 50 8B 43 08 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_10426_0 {
	meta:
		name = "TXtabQuery.IsLegal"
		size = 52
		refs = "0006 TXtabQuery.getNDimensions 0015 TXtabQuery.getNAggregates 0024 TXtabQuery.AllDimensionsGrouped"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7F 04 B0 01 5B C3 8B C3 E8 ?? ?? ?? ?? 85 C0 7F 04 B0 02 EB 11 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 B0 03 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_10427_0 {
	meta:
		name = "TXtabQuery.AllDimensionsGrouped"
		size = 45
		refs = "0012 BDEcheck 0019 TXtabQuery.getNDimensions"
	strings:
		$1 = { 53 56 51 8B F0 33 DB 54 8B 46 08 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B7 14 24 3B C2 7F 02 B3 01 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_10428_0 {
	meta:
		name = "TXtabQuery.AddNewItem"
		size = 726
		refs = "0017 @LStrAddRef 0027 TXtabQuery.AddNewItem 004d TXtabQuery.getNProjectors 006a BDEcheck 0083 @LStrToPChar 014f ptToQNode 0242 _NF__10B 0250 TXtabQuery.FixUpGroupBys 025f @HandleOnException 0267 _Dn_Exception 0294 _DV_EQParseException 0299 Exception.Create 029e @RaiseExcept 02a3 @DoneExcept 02b8 @LStrClr 02c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B D9 89 55 F8 89 45 FC 8B 75 10 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7D 19 8D 45 EC 50 8B C6 40 50 8B 45 FC 8B 40 08 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 84 DB 0F 85 8F 00 00 00 33 C0 89 45 E4 8D 45 E4 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 40 08 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 83 7D E4 00 74 27 6A FF 8B 45 EC 50 8D 45 E8 50 8B 45 E4 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? E9 30 01 00 00 8B 45 EC 50 8D 45 E8 50 53 8B 45 FC 8B 40 08 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? E9 F6 00 00 00 80 FB 06 75 42 8B 45 EC 50 8D 45 E8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? E9 AF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D8 6A FF 8B 45 EC 50 8D 45 E8 50 53 8B 45 FC 8B 40 08 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 E8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 33 C0 89 45 E4 8D 45 E4 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 40 08 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 83 7D E4 00 74 1A 6A 00 8D 45 F0 50 8B 45 E4 50 8B 45 F4 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? EB 2D 6A 00 8D 45 F0 50 53 8B 45 F4 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B DE 83 7D 08 00 74 23 8B 45 08 E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? EB 18 8B 45 E8 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 7D 0C 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 49 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 83 7D E8 00 74 17 8D 45 E0 50 8B 45 E8 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 8C 00 00 00 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_10429_0 {
	meta:
		name = "TXtabQuery.DeleteProjector"
		size = 445
		refs = "002b TXtabQuery.DeleteProjector 0061 TXtabQuery.getProjector 007d BDEcheck 00d6 @LStrFromPChar 013a @LStrCmp 016d _NF__10B 0180 @HandleFinally 0198 recProjectorInfo 019d @FinalizeRecord 01aa @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D C0 89 4D C4 89 4D C8 89 4D CC 89 4D D0 89 4D D4 89 4D E4 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 45 FC 50 8B C6 40 50 8B 43 08 50 8B 00 FF 50 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D C0 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7D D4 00 0F 85 E7 00 00 00 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 EC 50 8B 00 FF 10 E8 ?? ?? ?? ?? 83 7D DC 0C 0F 85 BA 00 00 00 33 C0 89 45 F8 8D 45 F8 50 8B 45 EC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 99 00 00 00 8D 45 E8 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 E0 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 F6 50 8B 43 08 50 8B 00 FF 50 1C 0F B7 75 F6 4E 85 F6 7C 66 46 33 FF 8D 45 F0 50 8B C7 40 50 8B 43 08 50 8B 00 FF 50 44 8D 45 F8 50 8B 45 F0 50 8B 00 FF 10 83 7D F8 00 74 3C 8D 45 E8 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 E4 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 E0 E8 ?? ?? ?? ?? 75 12 8B 45 F0 50 8B 43 08 50 8B 00 FF 90 A0 00 00 00 EB 04 47 4E 75 9D 8D 45 D8 50 8B 45 FC 50 8B 43 08 50 8B 00 FF 90 8C 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10430_0 {
	meta:
		name = "TXtabQuery.DeleteGroupBys"
		size = 68
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 54 8B 43 08 50 8B 00 FF 50 1C 0F B7 34 24 4E 85 F6 7C 25 46 8D 44 24 04 50 6A 01 8B 43 08 50 8B 00 FF 50 44 8B 44 24 04 50 8B 43 08 50 8B 00 FF 90 A0 00 00 00 4E 75 DC 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_10431_0 {
	meta:
		name = "TXtabQuery.DeleteDimensions"
		size = 125
		refs = "0013 TXtabQuery.DeleteDimensions 0020 TXtabQuery.getNProjectors 0034 TXtabQuery.getProjector 0043 TXtabQuery.DeleteProjector 0050 _NF__10B 0066 recProjectorInfo 006b @FinalizeRecord 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 21 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FC 00 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10432_0 {
	meta:
		name = "TXtabQuery.DeleteSummaries"
		size = 125
		refs = "0013 TXtabQuery.DeleteSummaries 0020 TXtabQuery.getNProjectors 0034 TXtabQuery.getProjector 0043 TXtabQuery.DeleteProjector 0050 _NF__10B 0066 recProjectorInfo 006b @FinalizeRecord 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 21 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FC 00 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10433_0 {
	meta:
		name = "TXtabQuery.DeleteProjectors"
		size = 44
		refs = "0007 TXtabQuery.getNProjectors 0018 TXtabQuery.DeleteProjector 0025 _NF__10B"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 0F 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 F1 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10434_0 {
	meta:
		name = "TXtabQuery.FixUpGroupBys"
		size = 315
		refs = "0014 TXtabQuery.FixUpGroupBys 005a TXtabQuery.getNProjectors 008b BDEcheck 0095 _NF__10C 00b8 sGroupOnExpressionError 00bd LoadResString 00c7 _DV_EQParseException 00cc Exception.Create 00d1 @RaiseExcept 0113 _NF__10B 0128 @LStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F6 50 8B 43 08 50 8B 00 FF 50 1C 0F B7 75 F6 4E 85 F6 7C 23 46 8D 45 F0 50 6A 01 8B 43 08 50 8B 00 FF 50 44 8B 45 F0 50 8B 43 08 50 8B 00 FF 90 A0 00 00 00 4E 75 DE 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C A7 00 00 00 46 33 FF 8D 45 FC 50 8B C7 40 50 8B 43 08 50 8B 00 FF 50 40 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 6B 8D 45 E8 50 8B 45 EC 50 8B 00 FF 10 E8 ?? ?? ?? ?? 83 7D E8 0C 74 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F8 8D 45 F8 50 8B 45 EC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 83 7D F8 00 74 16 6A 00 8D 45 F0 50 8B 45 F8 50 8B 43 08 50 8B 00 FF 90 9C 00 00 00 47 4E 0F 85 5C FF FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10435_0 {
	meta:
		name = "TXtabQuery.AddWhereOp"
		size = 420
		refs = "0029 @LStrAddRef 0031 @VarAddRef 0039 TXtabQuery.AddWhereOp 0086 @LStrLAsg 00f1 _NF__C6 0101 @LStrCatN 010b TXtabQuery.AddWhereCondition 0125 @LStrArrayClr 012d @VarClr 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E4 89 5D E0 89 5D F8 8B F1 8D 7D E8 B9 04 00 00 00 F3 A5 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 C0 F5 83 F8 08 0F 87 85 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8D 55 E0 8D 45 E8 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 04 00 00 FF FF FF FF 03 00 00 00 20 3D 20 00 FF FF FF FF 04 00 00 00 20 3E 3D 20 00 00 00 00 FF FF FF FF 03 00 00 00 20 3E 20 00 FF FF FF FF 04 00 00 00 20 3C 3D 20 00 00 00 00 FF FF FF FF 03 00 00 00 20 3C 20 00 FF FF FF FF 04 00 00 00 20 3C 3E 20 00 00 00 00 }
	condition:
		$1
}

rule function_10436_0 {
	meta:
		name = "TXtabQuery.AddWhereCondition"
		size = 263
		refs = "0010 @LStrAddRef 0018 TXtabQuery.AddWhereCondition 0030 BDEcheck 00d2 @LStrToPChar 00f6 @LStrClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 43 08 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 F8 50 8B 00 FF 10 E8 ?? ?? ?? ?? 83 7D F0 08 74 7D 8D 45 EC 50 8B 45 F8 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 8D 45 EA 50 8B 45 F8 50 8B 00 FF 50 04 E8 ?? ?? ?? ?? 0F B7 5D EA 85 DB 7E 29 8D 45 F4 50 6A 01 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 4B 75 D7 6A 08 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8B 45 EC 50 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10439_0 {
	meta:
		name = "TIndexInfo.GetCapacity"
		size = 7
		altNames = "TXtabQuery.getNAggregates"
	strings:
		$1 = { 8B 40 14 8B 40 08 C3 }
	condition:
		$1
}

rule function_10440_0 {
	meta:
		name = "TXtabQuery.getProjector"
		size = 38
		refs = "000f TList.Get 0019 recProjectorInfo 001e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D0 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10441_0 {
	meta:
		name = "TXtabQuery.getAggregate"
		size = 38
		refs = "000f TList.Get 0019 recProjectorInfo 001e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 14 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10442_0 {
	meta:
		name = "TXtabQuery.getDimension"
		size = 38
		refs = "000f TList.Get 0019 recProjectorInfo 001e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10443_0 {
	meta:
		name = "TXtabQuery.getNTables"
		size = 43
		refs = "001b BDEcheck"
	strings:
		$1 = { 53 51 8B D8 83 7B 08 00 74 1C 80 7B 19 00 74 16 54 8B 43 08 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 0F B7 04 24 5A 5B C3 33 C0 5A 5B C3 }
	condition:
		$1
}

rule function_10444_0 {
	meta:
		name = "TXtabQuery.getTableName"
		size = 65
		refs = "0019 BDEcheck 0037 @LStrFromPChar"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 46 56 8B 43 08 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 44 24 04 50 8B 44 24 04 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B C7 8B 54 24 04 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10445_0 {
	meta:
		name = "_NF__10B"
		size = 1188
		refs = "001b _NF__10B 002c TList.Clear 004a @LStrClr 005f BDEcheck 007c recProjectorInfo 0086 @New 00e9 _NF__10C 00fd TList.Add 010b @LStrFromPChar 01b0 DataTypeMap 01d3 @LStrAsg 020e AnsiUpperCase 021a SCountStar 021f LoadResString 0228 @LStrCmp 0267 sArgumentExpected 0276 _DV_EQParseException 027b Exception.Create 0280 @RaiseExcept 034b _NF__10E 03c1 @HandleOnException 03c9 _Dn_Exception 03dd TList.IndexOf 03ed TList.Delete 0434 @LStrLAsg 0439 @DoneExcept 047b @LStrArrayClr 0489 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 C8 89 55 C4 89 55 D0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 FA 50 8B 45 FC 8B 40 08 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 66 8B 45 FA 66 85 C0 0F 86 DB 03 00 00 66 89 45 CE 66 C7 45 F8 01 00 8B 15 ?? ?? ?? ?? B8 18 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 E8 50 66 8B 45 F8 50 8B 45 FC 8B 40 08 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 E8 50 8B 00 FF 50 04 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 E8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 0F B7 45 F8 8B 55 DC 89 02 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 88 42 14 8B 45 FC 8B 40 0C 8B 55 DC E8 ?? ?? ?? ?? 8B 45 DC 83 C0 08 8B 55 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 F0 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 8B 45 DC 83 C0 0C 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 DC 80 78 14 00 0F 85 C8 00 00 00 8D 45 D8 50 8B 45 F0 50 8B 00 FF 10 E8 ?? ?? ?? ?? 83 7D D8 0C 0F 85 82 00 00 00 33 C0 89 45 E4 8D 45 E4 50 8B 45 F0 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 83 7D E4 00 74 4B 8D 45 E0 50 8B 45 E4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 DC 83 C0 10 8B 55 E0 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 45 D6 50 8B 45 E4 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 0F B7 45 D6 8B 15 ?? ?? ?? ?? 8A 04 02 8B 55 DC 88 42 04 EB 32 8B 45 DC C6 40 04 00 8B 45 DC 83 C0 10 8B 55 DC 8B 52 0C E8 ?? ?? ?? ?? EB 18 8B 45 DC C6 40 04 00 8B 45 DC 83 C0 10 8B 55 DC 8B 52 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 55 DC E8 ?? ?? ?? ?? E9 B2 01 00 00 8D 55 C8 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 58 E8 ?? ?? ?? ?? 75 1C 8B 45 DC C6 40 04 00 8B 45 DC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5E 01 00 00 8D 45 F6 50 8B 45 F0 50 8B 00 FF 50 04 E8 ?? ?? ?? ?? 66 83 7D F6 00 75 26 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1F 01 00 00 66 83 7D F6 01 76 1D 8B 45 DC C6 40 04 00 8B 45 DC 83 C0 10 8B 55 DC 8B 52 0C E8 ?? ?? ?? ?? E9 FB 00 00 00 8D 45 EC 50 6A 01 8B 45 F0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 EC 50 8B 00 FF 10 E8 ?? ?? ?? ?? 83 7D D8 0C 0F 85 9B 00 00 00 33 C0 89 45 E4 8D 45 E4 50 8B 45 EC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 83 7D E4 00 74 4B 8D 45 E0 50 8B 45 E4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 DC 83 C0 10 8B 55 E0 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 45 D6 50 8B 45 E4 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 0F B7 45 D6 8B 15 ?? ?? ?? ?? 8A 04 02 8B 55 DC 88 42 04 EB 64 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 88 42 04 8D 45 E0 50 8B 45 EC 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 8B 45 DC 83 C0 10 8B 55 E0 E8 ?? ?? ?? ?? EB 31 8D 45 E0 50 8B 45 EC 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 88 42 04 8B 45 DC 83 C0 10 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 55 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 7D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC 8B 40 0C 8B 55 DC E8 ?? ?? ?? ?? 85 C0 7C 0C 8B 55 FC 8B 52 0C 92 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 55 DC E8 ?? ?? ?? ?? 85 C0 7C 0C 8B 55 FC 8B 52 14 92 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 55 DC E8 ?? ?? ?? ?? 85 C0 7C 0C 8B 55 FC 8B 52 10 92 E8 ?? ?? ?? ?? 8D 45 D0 8B 53 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 FF 45 F8 66 FF 4D CE 0F 85 2F FC FF FF 83 7D D0 00 74 14 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_10446_0 {
	meta:
		name = "_NF__10C"
		size = 220
		refs = "001a BDEcheck 006f _NF__10C"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B EA 89 04 24 33 DB 8D 44 24 08 50 55 8B 45 00 FF 10 E8 ?? ?? ?? ?? 8B 44 24 08 83 F8 05 7F 0F 74 2E 83 E8 02 74 1D 48 74 1E 48 74 1F EB 2D 83 E8 06 74 20 83 E8 06 0F 84 85 00 00 00 83 E8 21 74 16 EB 18 B3 03 EB 2C B3 02 EB 28 B3 05 EB 24 B3 04 EB 20 B3 01 EB 1C B3 07 EB 18 8B 44 24 08 83 F8 2F 77 07 0F A3 05 ?? ?? ?? ?? 73 04 33 DB EB 02 B3 07 84 DB 75 4A 8D 44 24 0C 50 55 8B 45 00 FF 50 04 E8 ?? ?? ?? ?? 66 8B 7C 24 0C 66 85 FF 76 2F 66 BE 01 00 8D 44 24 04 50 56 55 8B 45 00 FF 50 0C E8 ?? ?? ?? ?? 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 48 2C 06 73 02 B3 06 46 66 FF CF 75 D5 8B C3 83 C4 10 5D 5F 5E 5B C3 00 02 06 44 81 78 41 00 00 }
	condition:
		$1
}

rule function_10447_0 {
	meta:
		name = "_NF__10D"
		size = 72
		refs = "0011 BDEcheck 001b _NF__10E"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 54 56 8B 06 FF 50 10 E8 ?? ?? ?? ?? 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B D8 84 DB 75 1C 8D 44 24 04 50 8B 44 24 04 50 8B 00 FF 10 E8 ?? ?? ?? ?? 83 7C 24 04 09 75 02 B3 06 8B C3 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_10448_0 {
	meta:
		name = "_NF__10E"
		size = 234
		refs = "0019 BDEcheck 0088 DataTypeMap 00d0 _NF__10E"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B FA 89 04 24 33 DB 8D 44 24 08 50 57 8B 07 FF 10 E8 ?? ?? ?? ?? 8B 44 24 08 83 F8 12 7F 1B 74 69 83 C0 FE 83 E8 02 72 61 83 E8 02 74 5C 83 E8 04 74 57 83 E8 02 74 19 EB 58 83 E8 16 74 4B 83 C0 F3 83 E8 04 72 47 48 74 44 83 E8 06 74 3F EB 41 8D 44 24 10 50 57 8B 07 FF 50 34 E8 ?? ?? ?? ?? 8D 44 24 16 50 8D 44 24 18 50 8B 44 24 18 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 0F B7 44 24 14 8B 15 ?? ?? ?? ?? 8A 1C 02 EB 4F B3 06 EB 4B B3 01 EB 47 8D 44 24 0C 50 57 8B 07 FF 50 04 E8 ?? ?? ?? ?? 66 8B 74 24 0C 66 85 F6 76 2D 66 BD 01 00 8D 44 24 04 50 55 57 8B 07 FF 50 0C E8 ?? ?? ?? ?? 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 8B D8 84 DB 75 06 45 66 FF CE 75 D7 8B C3 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10450_0 {
	meta:
		name = "ptToQNode"
		size = 75
		refs = "000b ptToQNode"
	strings:
		$1 = { 83 E0 7F 83 F8 05 77 3D FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 02 00 00 00 C3 B8 03 00 00 00 C3 B8 05 00 00 00 C3 B8 04 00 00 00 C3 B8 06 00 00 00 C3 B8 2D 00 00 00 C3 }
	condition:
		$1
}

rule function_10451_0 {
	meta:
		name = "BDEDLLPath"
		size = 268
		refs = "0012 BDEDLLPath 001c RegOpenKeyEx 0049 RegQueryValueEx 005d @LStrFromArray 0069 @LStrPos 0089 @LStrCopy 0090 @LStrLen 00b1 @LStrCat 00ba RegCloseKey"
	strings:
		$1 = { 53 81 C4 F0 FE FF FF 8B D8 54 68 19 00 02 00 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 0F 85 96 00 00 00 C7 44 24 04 05 01 00 00 8D 44 24 04 50 8D 44 24 0C 50 6A 00 6A 00 68 ?? ?? ?? ?? 8B 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 75 64 8B C3 8D 54 24 08 B9 05 01 00 00 E8 ?? ?? ?? ?? 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 1C 53 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 83 F8 02 7E 1C 8B 03 E8 ?? ?? ?? ?? 8B 13 80 7C 02 FF 5C 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 81 C4 10 01 00 00 5B C3 00 00 53 4F 46 54 57 41 52 45 5C 42 4F 52 4C 41 4E 44 5C 44 41 54 41 42 41 53 45 20 45 4E 47 49 4E 45 00 00 00 00 44 4C 4C 50 41 54 48 00 FF FF FF FF 01 00 00 00 3B 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_10454_0 {
	meta:
		name = "_NF__2DD"
		size = 228
	strings:
		$1 = { FF FF FF FF 07 00 00 00 55 4E 4B 4E 4F 57 4E 00 FF FF FF FF 06 00 00 00 53 54 52 49 4E 47 00 00 FF FF FF FF 05 00 00 00 49 4E 54 31 36 00 00 00 FF FF FF FF 05 00 00 00 49 4E 54 33 32 00 00 00 FF FF FF FF 06 00 00 00 55 49 4E 54 31 36 00 00 FF FF FF FF 04 00 00 00 42 4F 4F 4C 00 00 00 00 FF FF FF FF 05 00 00 00 46 4C 4F 41 54 00 00 00 FF FF FF FF 03 00 00 00 42 43 44 00 FF FF FF FF 04 00 00 00 44 41 54 45 00 00 00 00 FF FF FF FF 04 00 00 00 54 49 4D 45 00 00 00 00 FF FF FF FF 09 00 00 00 54 49 4D 45 53 54 41 4D 50 00 00 00 FF FF FF FF 05 00 00 00 42 59 54 45 53 00 00 00 FF FF FF FF 08 00 00 00 56 41 52 42 59 54 45 53 00 00 00 00 FF FF FF FF 04 00 00 00 42 4C 4F 42 00 00 00 00 }
	condition:
		$1
}

rule function_10455_0 {
	meta:
		name = "TestMatch"
		size = 166
		refs = "0012 _Dn_TSmallIntArray 0017 TSmallIntArray.Create 0026 TSmallIntArray.PutItem 0078 TSmallIntArray.GetItem 0099 TObject.Free"
	strings:
		$1 = { 53 56 57 55 51 8B E8 C6 04 24 01 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 66 B9 01 00 33 D2 8B C6 E8 ?? ?? ?? ?? 66 B9 01 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 B9 01 00 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C9 FF BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C9 FF BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 7D 10 4F 85 FF 7C 26 47 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 66 3B D0 74 06 C6 04 24 00 EB 04 43 4F 75 DD 8B C6 E8 ?? ?? ?? ?? 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10456_0 {
	meta:
		name = "_NF__2E0"
		size = 67
		refs = "0022 @LStrLAsg 003c @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8A 43 2C 2C 03 74 0C 04 FD 2C 03 72 06 2C 03 72 12 EB 20 8B C6 8B 93 BC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 BC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10457_0 {
	meta:
		name = "_NF__2E1"
		size = 21
	strings:
		$1 = { 8A 50 2C 80 C2 FA 80 EA 02 73 07 8B 80 C8 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_10458_0 {
	meta:
		name = "_NF__2E2"
		size = 18
	strings:
		$1 = { 2C 01 72 08 2C 08 74 04 2C 02 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_10459_0 {
	meta:
		name = "_NF__2E3"
		size = 127
		refs = "001b TIndexArray.GetElement 0031 TSmallIntArray.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC C6 45 FB 01 8B 55 08 8B 52 FC 8B 52 3C 92 E8 ?? ?? ?? ?? 8B F0 8B 7E 10 4F 85 FF 7C 4C 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 66 83 F8 FF 75 06 C6 45 FB 00 EB 34 8B D3 8B 45 FC E8 ?? ?? ?? ?? 66 83 F8 FF 74 20 8B D3 8B C6 E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5A 66 3B D0 74 06 C6 45 FB 00 EB 04 43 4F 75 B7 8A 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10460_0 {
	meta:
		name = "_NF__2E4"
		size = 224
		refs = "0020 _NF__2E4 0030 @VarFromInt 0050 TIntArray.GetItem 0068 _NF__2E3 0078 @VarCopy 0088 TCustomArray.GetItem 0093 @VarAdd 00c3 Variant 00cd @FinalizeArray 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 8B 7D 08 83 C7 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 70 F8 85 F6 7C 68 46 33 DB 8B 45 08 8B 40 FC 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 89 07 83 3F 00 7C 47 8B 45 08 50 8B 45 08 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 31 8D 55 EC 8D 45 DC E8 ?? ?? ?? ?? 8D 4D CC 8B 17 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 CC 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 43 4E 75 9B 8B 45 FC 8D 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10461_0 {
	meta:
		name = "_NF__2E5"
		size = 142
		refs = "0039 TIntArray.GetItem 0059 _NF__2E3 006b TCurrencyArray.GetItem 0083 @VarFromCurr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 33 C0 89 45 F4 89 45 F8 8B 45 08 8B 40 FC 8B 78 08 8B 45 08 8B 70 F8 85 F6 7C 55 46 33 DB 8B 45 08 8B 40 FC 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 45 08 83 78 F4 00 7C 2C 8B 45 08 50 8B 45 08 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 16 8B 45 08 8B 50 F4 8B C7 E8 ?? ?? ?? ?? DF 6D F4 DE C1 DF 7D F4 9B 43 4E 75 AE DF 6D F4 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10462_0 {
	meta:
		name = "_NF__2E6"
		size = 132
		refs = "0036 TIntArray.GetItem 0056 _NF__2E3 0079 @VarFromInt"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 33 FF 8B 45 08 8B 40 FC 8B 40 08 89 45 F8 8B 45 08 8B 70 F8 85 F6 7C 4F 46 33 DB 8B 45 08 8B 40 FC 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 45 08 83 78 F4 00 7C 26 8B 45 08 50 8B 45 08 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 10 8B 45 08 8B 50 F4 8B 45 F8 E8 ?? ?? ?? ?? 03 F8 43 4E 75 B4 8B 45 FC 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10463_0 {
	meta:
		name = "_NF__2E7"
		size = 140
		refs = "0039 TIntArray.GetItem 0059 _NF__2E3 006b TDoubleArray.GetItem 0081 @VarFromReal"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 33 C0 89 45 F4 89 45 F8 8B 45 08 8B 40 FC 8B 78 08 8B 45 08 8B 70 F8 85 F6 7C 53 46 33 DB 8B 45 08 8B 40 FC 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 45 08 83 78 F4 00 7C 2A 8B 45 08 50 8B 45 08 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 14 8B 45 08 8B 50 F4 8B C7 E8 ?? ?? ?? ?? DC 45 F4 DD 5D F4 9B 43 4E 75 B0 DD 45 F4 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10464_0 {
	meta:
		name = "_NF__2E8"
		size = 416
		refs = "001f _NF__2E8 002f @VarFromInt 0040 TIntArray.GetItem 0064 @Assert 0084 TThreadCustomArray.GetItem 00a4 _NF__2E6 00b0 @VarCopy 00bb _NF__2E7 00d2 _NF__2E5 00e9 _NF__2E4 0115 @VarCmp 012b TSummary.UpdateIndexInfo 0141 Variant 014b @FinalizeArray 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 34 8B 40 14 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 34 8B 40 0C 3B 45 F8 7F 14 B9 DF 02 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE FE 75 07 33 DB E9 BB 00 00 00 85 F6 7C 12 8D 4D E4 8B 45 FC 8B 40 38 8B D6 E8 ?? ?? ?? ?? EB 6F 8B 45 FC 8B 40 04 83 E8 03 74 0A 83 E8 02 74 1C 48 74 30 EB 45 55 8D 45 D4 E8 ?? ?? ?? ?? 59 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? EB 43 55 8D 45 D4 E8 ?? ?? ?? ?? 59 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? EB 2C 55 8D 45 D4 E8 ?? ?? ?? ?? 59 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? EB 15 55 8D 45 D4 E8 ?? ?? ?? ?? 59 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 08 8D 55 E4 E8 ?? ?? ?? ?? 8D 45 D4 33 D2 E8 ?? ?? ?? ?? 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 0F 95 C3 83 FE FD 75 0E 8D 4D E4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 8B E5 5D C2 08 00 00 00 00 FF FF FF FF 16 00 00 00 43 3A 5C 74 70 5C 78 74 61 62 5C 4D 58 53 54 4F 52 45 2E 50 41 53 00 00 FF FF FF FF 11 00 00 00 41 73 73 65 72 74 69 6F 6E 20 66 61 69 6C 75 72 65 00 00 00 }
	condition:
		$1
}

rule function_10465_0 {
	meta:
		name = "_NF__2E9"
		size = 227
		refs = "0020 _NF__2E9 0030 @VarFromInt 004e TIndexInfo.IsSparse 0061 TIntArray.GetItem 007b @VarCopy 008b TCustomArray.GetItem 0096 @VarAdd 00c6 Variant 00d0 @FinalizeArray 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 8B 7D 08 83 C7 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 58 FC 8B 45 08 8B 70 F8 4E 2B F3 7C 64 46 8B 07 8B 40 34 8B D3 E8 ?? ?? ?? ?? 84 C0 75 4F 8B 07 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 45 08 83 78 F0 00 7C 31 8D 55 EC 8D 45 DC E8 ?? ?? ?? ?? 8D 4D CC 8B 45 08 8B 50 F0 8B 07 E8 ?? ?? ?? ?? 8D 55 CC 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 43 4E 75 9D 8B 45 FC 8D 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10466_0 {
	meta:
		name = "_NF__2EA"
		size = 145
		refs = "003b TIndexInfo.IsSparse 0052 TIntArray.GetItem 006e TCurrencyArray.GetItem 0086 @VarFromCurr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 33 C0 89 45 F4 89 45 F8 8B 45 08 8B 40 F4 8B 78 08 8B 45 08 8B 58 FC 8B 45 08 8B 70 F8 4E 2B F3 7C 51 46 8B 45 08 8B 40 F4 8B 40 34 8B D3 E8 ?? ?? ?? ?? 84 C0 75 38 8B 45 08 8B 40 F4 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 45 08 83 78 F0 00 7C 16 8B 45 08 8B 50 F0 8B C7 E8 ?? ?? ?? ?? DF 6D F4 DE C1 DF 7D F4 9B 43 4E 75 B0 DF 6D F4 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10467_0 {
	meta:
		name = "_NF__2EB"
		size = 135
		refs = "0038 TIndexInfo.IsSparse 004f TIntArray.GetItem 007c @VarFromInt"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 33 FF 8B 45 08 8B 40 F4 8B 40 08 89 45 F8 8B 45 08 8B 58 FC 8B 45 08 8B 70 F8 4E 2B F3 7C 4B 46 8B 45 08 8B 40 F4 8B 40 34 8B D3 E8 ?? ?? ?? ?? 84 C0 75 32 8B 45 08 8B 40 F4 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 45 08 83 78 F0 00 7C 10 8B 45 08 8B 50 F0 8B 45 F8 E8 ?? ?? ?? ?? 03 F8 43 4E 75 B6 8B 45 FC 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10468_0 {
	meta:
		name = "_NF__2EC"
		size = 143
		refs = "003b TIndexInfo.IsSparse 0052 TIntArray.GetItem 006e TDoubleArray.GetItem 0084 @VarFromReal"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 33 C0 89 45 F4 89 45 F8 8B 45 08 8B 40 F4 8B 78 08 8B 45 08 8B 58 FC 8B 45 08 8B 70 F8 4E 2B F3 7C 4F 46 8B 45 08 8B 40 F4 8B 40 34 8B D3 E8 ?? ?? ?? ?? 84 C0 75 36 8B 45 08 8B 40 F4 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 45 08 83 78 F0 00 7C 14 8B 45 08 8B 50 F0 8B C7 E8 ?? ?? ?? ?? DC 45 F4 DD 5D F4 9B 43 4E 75 B2 DD 45 F4 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10469_0 {
	meta:
		name = "_NF__2ED"
		size = 424
		refs = "0022 _NF__2ED 004a @Assert 0054 @VarFromInt 0065 TIntArray.GetItem 0087 TThreadCustomArray.GetItem 00af _NF__2EB 00bb @VarCopy 00c6 _NF__2EC 00dd _NF__2EA 00f4 _NF__2E9 0120 @VarCmp 0136 TSummary.UpdateIndexInfo 014c Variant 0156 @FinalizeArray 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 34 8B 40 0C 3B 45 F8 7F 14 B9 4B 03 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 34 8B 40 14 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 83 FE FE 75 07 33 DB E9 C3 00 00 00 85 F6 7C 12 8D 4D E0 8B 45 F4 8B 40 38 8B D6 E8 ?? ?? ?? ?? EB 77 8B 45 F8 2B C3 89 45 FC 8B 45 F4 8B 40 04 83 E8 03 74 0A 83 E8 02 74 1C 48 74 30 EB 45 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? EB 43 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? EB 2C 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? EB 15 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 08 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 D0 33 D2 E8 ?? ?? ?? ?? 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 0F 95 C3 83 FE FD 75 0E 8D 4D E0 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 8B E5 5D C2 08 00 FF FF FF FF 16 00 00 00 43 3A 5C 74 70 5C 78 74 61 62 5C 4D 58 53 54 4F 52 45 2E 50 41 53 00 00 FF FF FF FF 11 00 00 00 41 73 73 65 72 74 69 6F 6E 20 66 61 69 6C 75 72 65 00 00 00 }
	condition:
		$1
}

rule function_10470_0 {
	meta:
		name = "TCustomDataStore.Create"
		size = 163
		refs = "000a @ClassCreate 0017 TComponent.Create 0020 _DV_TMultiDimDataLink 0025 TMultiDimDataLink.Create 0031 _Dn_TDataSource 0036 TDataSource.Create 0040 _DV_TDataCache 0045 TDataCache.Create 0070 _DV_TCubeDim 007a _DV_TCubeDims 007f TCubeDims.Create 008c TCustomDataStore.SetDataSource"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 C6 46 2D 03 C6 46 38 01 C7 46 3C 05 00 00 00 C7 46 40 0A 00 00 00 33 C0 89 46 44 C6 46 39 00 C6 46 3A 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 8B 56 48 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10471_0 {
	meta:
		name = "TCustomDataStore.Destroy"
		size = 76
		refs = "000a TObject.Free 0038 TComponent.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 28 E8 ?? ?? ?? ?? 33 C0 89 46 28 8B 46 48 E8 ?? ?? ?? ?? 33 C0 89 46 48 8B 46 24 E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10472_0 {
	meta:
		name = "TCustomDataStore.SetDesignState"
		size = 13
	strings:
		$1 = { 3A 50 2D 74 07 88 50 2D C6 40 3A 01 C3 }
	condition:
		$1
}

rule function_10473_0 {
	meta:
		name = "_NF__2F8"
		size = 86
		refs = "001d _NF__2F9"
	strings:
		$1 = { 53 8B D8 F6 43 20 10 74 3B 8A 43 2D 2C 01 72 08 74 11 FE C8 74 18 EB 21 33 D2 8B C3 E8 ?? ?? ?? ?? EB 2A B2 01 8B C3 E8 ?? ?? ?? ?? EB 1F B2 02 8B C3 E8 ?? ?? ?? ?? EB 14 B2 03 8B C3 E8 ?? ?? ?? ?? EB 09 B2 03 8B C3 E8 ?? ?? ?? ?? 80 7B 2C 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_10474_0 {
	meta:
		name = "_NF__2F9"
		size = 9
	strings:
		$1 = { 3A 50 2C 74 03 88 50 2C C3 }
	condition:
		$1
}

rule function_10475_0 {
	meta:
		name = "TCustomDataStore.GetActive"
		size = 8
	strings:
		$1 = { 80 78 2C 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_10476_0 {
	meta:
		name = "TCustomDataStore.SetActive"
		size = 348
		refs = "0018 TCustomDataStore.SetActive 0026 TCustomDataStore.GetActive 0054 _NF__2FF 0063 @HandleAnyException 006d _NF__2F9 0075 _NF__300 008d sFatalCacheError 0092 LoadResString 00af Format 00c1 @Assert 00c6 @RaiseAgain 00cb @DoneExcept 012b @LStrArrayClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D F8 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 3A D8 0F 84 E3 00 00 00 84 DB 0F 84 9F 00 00 00 8B 45 FC 8B 10 FF 52 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 6D E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 83 78 1C 00 74 40 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 8B 52 24 8B 52 1C 89 55 EC C6 45 F0 00 8D 55 EC 33 C9 E8 ?? ?? ?? ?? 8B 45 F8 B9 C4 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 34 EB 34 8B 45 FC F6 40 20 08 75 08 8B 45 FC 8B 10 FF 52 38 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 08 75 08 8B 45 FC 8B 10 FF 52 3C 8B 45 FC 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 FF FF FF FF 16 00 00 00 43 3A 5C 74 70 5C 78 74 61 62 5C 4D 58 53 54 4F 52 45 2E 50 41 53 00 00 }
	condition:
		$1
}

rule function_10477_0 {
	meta:
		name = "_NF__2FF"
		size = 76
		refs = "001f _NF__2F8 002b _NF__3BF 0033 _NF__38F 0045 _NF__2F9"
	strings:
		$1 = { 53 56 8B D8 8B 43 24 80 78 22 00 75 3C 8B 73 28 83 7E 04 00 74 2A 80 7E 15 01 75 24 8B C3 E8 ?? ?? ?? ?? 3C 01 75 19 8B 43 24 E8 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 8B 43 24 C6 40 22 01 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10478_0 {
	meta:
		name = "_NF__300"
		size = 20
		refs = "0007 TDataCache.FreeCache"
	strings:
		$1 = { 53 8B D8 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 C6 40 22 00 5B C3 }
	condition:
		$1
}

rule function_10479_0 {
	meta:
		name = "TCustomDataStore.GetDataSource"
		size = 7
	strings:
		$1 = { 8B 40 28 8B 40 04 C3 }
	condition:
		$1
}

rule function_10480_0 {
	meta:
		name = "TCustomDataStore.SetDataSource"
		size = 54
		refs = "0011 TDataLink.SetDataSource 001e TComponent.FreeNotification 002f TCustomDataStore.SetActive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 28 3B 70 04 74 25 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 85 F6 74 0D 8B 43 28 8A 50 15 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10481_0 {
	meta:
		name = "TCustomDataStore.SetDataSet"
		size = 42
		refs = "0014 TComponent.FreeNotification 0023 TDataSource.SetDataSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 34 74 1C 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 89 43 34 8B D0 8B 43 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10482_0 {
	meta:
		name = "TCustomDataStore.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 34 75 05 33 C0 89 47 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10483_0 {
	meta:
		name = "TCustomDataStore.GetDataSet"
		size = 4
	strings:
		$1 = { 8B 40 34 C3 }
	condition:
		$1
}

rule function_10484_0 {
	meta:
		name = "TCustomDataStore.LayoutChanged"
		size = 9
	strings:
		$1 = { 8B 40 28 8B 10 FF 52 24 C3 }
	condition:
		$1
}

rule function_10487_0 {
	meta:
		name = "TCustomDataStore.GetDimensionName"
		size = 146
		refs = "0011 @LStrClr 0025 TCollection.GetCount 0039 TCubeDims.GetCubeDim 006c @LStrLAsg 0087 TDataCache.GetDimensionName"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 89 14 24 8B D8 8B C5 E8 ?? ?? ?? ?? 8B 73 30 85 F6 74 5C 33 C0 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 48 47 33 F6 8B D6 8B 43 30 E8 ?? ?? ?? ?? 80 78 21 00 74 31 8B D6 8B 43 30 E8 ?? ?? ?? ?? 80 78 28 00 75 21 8B 04 24 3B 44 24 04 75 14 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 50 14 8B C5 E8 ?? ?? ?? ?? FF 44 24 04 46 4F 75 BB 83 7D 00 00 75 0D 8B CD 8B 14 24 8B 43 24 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10488_0 {
	meta:
		name = "TCustomDataStore.GetMemberAsString"
		size = 35
		refs = "0018 TDataCache.GetDimensionMember"
		altNames = "TCustomDataStore.GetMemberAsVariant"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B 43 24 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10490_0 {
	meta:
		name = "TCustomDataStore.GetDomain"
		size = 43
		refs = "0014 TCustomDataStore.GetDimensionCount 0020 TDataCache.GetDomain"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 53 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 47 24 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10494_0 {
	meta:
		name = "TCustomDataStore.GetSummaryName"
		size = 146
		refs = "0011 @LStrClr 0025 TCollection.GetCount 0039 TCubeDims.GetCubeDim 006c @LStrLAsg 0087 TDataCache.GetSummaryName"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 89 14 24 8B D8 8B C5 E8 ?? ?? ?? ?? 8B 73 30 85 F6 74 5C 33 C0 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 48 47 33 F6 8B D6 8B 43 30 E8 ?? ?? ?? ?? 80 78 21 00 74 31 8B D6 8B 43 30 E8 ?? ?? ?? ?? 80 78 28 00 74 21 8B 04 24 3B 44 24 04 75 14 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 50 14 8B C5 E8 ?? ?? ?? ?? FF 44 24 04 46 4F 75 BB 83 7D 00 00 75 0D 8B CD 8B 14 24 8B 43 24 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10495_0 {
	meta:
		name = "TCustomDataStore.GetSummaryAsString"
		size = 25
		refs = "0011 TDataCache.GetSummaryAsString"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 24 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10496_0 {
	meta:
		name = "TCustomDataStore.GetSummaryAsVariant"
		size = 25
		refs = "0011 TDataCache.GetSummaryAsVariant"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 24 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10497_0 {
	meta:
		name = "TCustomDataStore.GetCurrentSummary"
		size = 7
	strings:
		$1 = { 8B 40 24 8B 40 0C C3 }
	condition:
		$1
}

rule function_10498_0 {
	meta:
		name = "TCustomDataStore.SetCurrentSummary"
		size = 25
		refs = "000c TDataCache.SetActiveSummary"
	strings:
		$1 = { 56 8B F0 8B 46 24 3B 50 0C 74 0C E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 2C 5E C3 }
	condition:
		$1
}

rule function_10499_0 {
	meta:
		name = "TCustomDataStore.GetMemoryUsage"
		size = 21
		refs = "000c TDataCache.GetMemoryUsage"
	strings:
		$1 = { 33 D2 8B 48 24 85 C9 74 09 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_10500_0 {
	meta:
		name = "TCustomDataStore.BinMapHasBinData"
		size = 76
		refs = "000c TCollection.GetCount 0020 TCubeDims.GetCubeDim 0025 TCubeDim.IsBinData"
	strings:
		$1 = { 53 56 57 55 8B F0 33 DB 8B 46 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2E 47 33 ED 8B D5 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8B D5 8B 46 30 E8 ?? ?? ?? ?? 80 78 21 00 75 04 B3 01 EB 04 45 4F 75 D5 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10501_0 {
	meta:
		name = "TCustomDataStore.GetDimensionMapCount"
		size = 9
		refs = "0004 TCollection.GetCount"
	strings:
		$1 = { 8B 40 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10504_0 {
	meta:
		name = "TCustomDataStore.DoBeforeOpen"
		size = 20
	strings:
		$1 = { 53 66 83 78 56 00 74 0A 8B D8 8B D0 8B 43 58 FF 53 54 5B C3 }
	condition:
		$1
}

rule function_10505_0 {
	meta:
		name = "TCustomDataStore.DoAfterOpen"
		size = 20
	strings:
		$1 = { 53 66 83 78 5E 00 74 0A 8B D8 8B D0 8B 43 60 FF 53 5C 5B C3 }
	condition:
		$1
}

rule function_10506_0 {
	meta:
		name = "TCustomDataStore.DoBeforeClose"
		size = 20
	strings:
		$1 = { 53 66 83 78 66 00 74 0A 8B D8 8B D0 8B 43 68 FF 53 64 5B C3 }
	condition:
		$1
}

rule function_10507_0 {
	meta:
		name = "TCustomDataStore.DoAfterClose"
		size = 20
	strings:
		$1 = { 53 66 83 78 6E 00 74 0A 8B D8 8B D0 8B 43 70 FF 53 6C 5B C3 }
	condition:
		$1
}

rule function_10508_0 {
	meta:
		name = "TCustomDataStore.DoOnRefresh"
		size = 22
		altNames = "TServerWinSocket.ThreadEnd"
	strings:
		$1 = { 53 66 83 78 76 00 74 0C 8B D8 8B CA 8B D0 8B 43 78 FF 53 74 5B C3 }
	condition:
		$1
}

rule function_10509_0 {
	meta:
		name = "TCustomDataStore.SetMaxDims"
		size = 23
	strings:
		$1 = { 3B 50 3C 74 11 83 FA 10 7C 09 C7 40 3C 10 00 00 00 EB 03 89 50 3C C3 }
	condition:
		$1
}

rule function_10510_0 {
	meta:
		name = "TCustomDataStore.SetMaxSums"
		size = 9
	strings:
		$1 = { 3B 50 40 74 03 89 50 40 C3 }
	condition:
		$1
}

rule function_10511_0 {
	meta:
		name = "TCustomDataStore.SetBinData"
		size = 9
	strings:
		$1 = { 3A 50 39 74 03 88 50 39 C3 }
	condition:
		$1
}

rule function_10512_0 {
	meta:
		name = "_NF__359"
		size = 586
		refs = "0026 TCollection.GetCount 0073 TCubeDims.GetCubeDim 0089 @LStrCmp 011f TCubeDim.GetBin 019d TDimensionItem.IsDimension 01b8 TDataCache.DimensionFromFieldName 01de @LStrAsg 01f7 TDataCache.SummaryFromFieldName"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 89 4C 24 04 8B F2 89 04 24 C6 44 24 08 00 8B 04 24 8B 58 30 85 DB 0F 84 1B 02 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 0C 02 00 00 8B 04 24 80 78 3A 00 74 18 8B 04 24 C6 40 3A 00 C6 44 24 08 01 8B 44 24 04 C6 00 00 E9 EB 01 00 00 8B 04 24 8B 78 30 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C D3 01 00 00 45 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 18 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 18 58 E8 ?? ?? ?? ?? 0F 85 95 01 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 40 21 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 3A 50 21 74 11 C6 44 24 08 01 8B 44 24 04 C6 00 00 E9 7E 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 20 0B 74 0F 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 20 09 75 37 8B D3 8B C7 E8 ?? ?? ?? ?? DD 40 38 DD 5C 24 14 9B 8B D3 8B C6 E8 ?? ?? ?? ?? DD 40 38 DC 5C 24 14 DF E0 9E 74 11 C6 44 24 08 01 8B 44 24 04 C6 00 00 E9 29 01 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 3A D0 74 11 C6 44 24 08 01 8B 44 24 04 C6 00 00 E9 F6 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 14 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 14 58 E8 ?? ?? ?? ?? 74 05 C6 44 24 08 01 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 10 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 10 58 E8 ?? ?? ?? ?? 0F 84 A3 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3F 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 18 8B 04 24 8B 40 24 E8 ?? ?? ?? ?? 89 44 24 0C 83 7C 24 0C 00 74 5A 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 10 8B 44 24 0C 8B 40 34 83 C0 04 E8 ?? ?? ?? ?? EB 3D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 18 8B 04 24 8B 40 24 E8 ?? ?? ?? ?? 89 44 24 10 83 7C 24 10 00 74 1B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 10 8B 44 24 10 8B 40 40 83 C0 04 E8 ?? ?? ?? ?? C6 44 24 08 01 EB 0E C6 44 24 08 01 8B 44 24 04 C6 00 00 EB 08 43 4D 0F 85 30 FE FF FF 8A 44 24 08 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10513_0 {
	meta:
		name = "_NF__35A"
		size = 1559
		refs = "001a _NF__35A 0047 TCollection.GetCount 005f TCubeDims.GetCubeDim 00a6 TDimensionItem.SetActive 00be TDimensionItem.IsDimension 0188 TDimensionItem.IsSummary 03c4 TDimensionItems.AverageFieldCheck 042e sMaxAllowedSums 0433 LoadResString 043d _Dn_EDimensionMapError 0442 Exception.CreateFmt 0447 @RaiseExcept 046d sMaxAllowedDims 04b6 sMaxAllowedCells 0523 sNoSumsAvailable 0537 Exception.Create 0546 sNoSumsCouldBeLoaded 05b3 sNoDimsAvailable 05d6 sNoDimsCouldBeLoaded 0604 @LStrClr 060a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D D0 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 44 89 45 E4 83 7D E4 00 7F 07 C7 45 E4 00 94 35 77 33 C0 89 45 EC 33 C0 89 45 E8 8B C7 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 86 00 00 00 40 89 45 DC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 83 7D F8 00 74 2B 8B 45 F8 E8 ?? ?? ?? ?? 3B F0 7D 1F 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 80 78 21 00 74 06 80 7B 22 02 75 04 33 C0 EB 02 B0 01 88 43 54 8A 43 22 2C 01 72 0F FE C8 75 14 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 80 7B 21 00 74 19 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 FF 45 EC EB 09 83 7B 0C 00 7D 03 FF 45 E8 46 FF 4D DC 75 80 8B 45 E8 89 45 E0 83 7D E0 00 7F 07 C7 45 E0 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 47 40 89 45 DC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 80 7B 22 02 74 1F 80 7B 21 00 74 19 8B 43 50 85 C0 7E 0B 8B 55 E0 0F AF D0 89 55 E0 EB 07 6B 45 E0 32 89 45 E0 46 FF 4D DC 75 BF 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 0F 8C D2 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 21 00 0F 85 B3 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B 45 FC 8B 08 FF 51 48 84 C0 0F 85 96 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 FC 8B 08 FF 51 4C 84 C0 75 7D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8B 45 FC 8B 40 3C 3B 45 EC 7E 67 8B 45 E0 3B 45 E4 7D 5F 8B 45 E0 8B 53 50 85 D2 7E 04 F7 EA EB 03 6B C0 32 3B 45 E4 7F 49 89 45 E0 FF 45 EC B2 01 8B C3 E8 ?? ?? ?? ?? EB 38 8B 45 FC 8B 40 40 3B 45 E8 7E 2D 8B 45 E0 3B 45 E4 7D 25 83 7D E8 00 7E 13 8B 45 E8 40 F7 6D E0 99 F7 7D E8 3B 45 E4 7F 0F 89 45 E0 FF 45 E8 B2 01 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 0F 85 2E FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 0F 8C A2 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 21 00 0F 85 83 00 00 00 80 7B 54 00 74 7D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8B 45 FC 8B 40 3C 3B 45 EC 7E 67 8B 45 E0 3B 45 E4 7D 5F 8B 45 E0 8B 53 50 85 D2 7E 04 F7 EA EB 03 6B C0 32 3B 45 E4 7F 49 89 45 E0 FF 45 EC B2 01 8B C3 E8 ?? ?? ?? ?? EB 38 8B 45 FC 8B 40 40 3B 45 E8 7E 2D 8B 45 E0 3B 45 E4 7D 25 83 7D E8 00 7E 13 8B 45 E8 40 F7 6D E0 99 F7 7D E8 3B 45 E4 7F 0F 89 45 E0 FF 45 E8 B2 01 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 0F 85 5E FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 0F 8C A2 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 21 00 0F 85 83 00 00 00 80 7B 22 01 75 7D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8B 45 FC 8B 40 3C 3B 45 EC 7E 67 8B 45 E0 3B 45 E4 7D 5F 8B 45 E0 8B 53 50 85 D2 7E 04 F7 EA EB 03 6B C0 32 3B 45 E4 7F 49 89 45 E0 FF 45 EC B2 01 8B C3 E8 ?? ?? ?? ?? EB 38 8B 45 FC 8B 40 40 3B 45 E8 7E 2D 8B 45 E0 3B 45 E4 7D 25 83 7D E8 00 7E 13 8B 45 E8 40 F7 6D E0 99 F7 7D E8 3B 45 E4 7F 0F 89 45 E0 FF 45 E8 B2 01 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 0F 85 5E FF FF FF 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 64 40 89 45 DC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 28 00 74 47 83 7B 0C 00 7C 41 8D 45 F0 50 8D 4D F4 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 20 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 80 78 21 00 74 10 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 80 78 21 00 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 46 FF 4D DC 75 A2 8B 45 FC F6 40 20 10 0F 84 C7 00 00 00 8B 45 FC 8B 40 40 3B 45 E8 7D 34 8B 45 FC 8B 40 40 89 45 D4 C6 45 D8 00 8D 45 D4 50 6A 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 3B 45 EC 7D 34 8B 45 FC 8B 40 3C 89 45 D4 C6 45 D8 00 8D 45 D4 50 6A 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E4 00 7E 43 8B 45 E0 3B 45 E4 7E 3B 8B 45 E0 89 45 C0 C6 45 C4 00 8B 45 E4 89 45 C8 C6 45 CC 00 8D 45 C0 50 6A 01 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E8 00 0F 85 86 00 00 00 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 30 40 89 45 DC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 22 02 74 03 FF 45 E8 46 FF 4D DC 75 D6 83 7D E8 00 75 23 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 0F 85 86 00 00 00 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 30 40 89 45 DC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 22 02 74 03 FF 45 EC 46 FF 4D DC 75 D6 83 7D EC 00 75 23 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10516_0 {
	meta:
		name = "_NF__361"
		size = 31
		refs = "000c TCustomDataStore.SetActive"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_10517_0 {
	meta:
		name = "TCustomDataStore.Refresh"
		size = 182
		refs = "0019 _NF__361 0039 _NF__35A 0046 _NF__359 007d _NF__2F9"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 8B F2 89 45 FC C6 45 FB 02 85 F6 75 0C 55 E8 ?? ?? ?? ?? 59 E9 8D 00 00 00 8B D6 8B 45 FC 8B 08 FF 51 40 8B 45 FC 8B 48 30 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 0A C3 74 55 84 DB 74 04 C6 45 FB 00 8B 45 FC 8B 40 30 8B D6 8B 08 FF 51 08 8A 45 FB 2C 02 72 04 74 0B EB 25 55 E8 ?? ?? ?? ?? 59 EB 1C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 2C B2 03 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 17 8B 45 FC 8B 10 FF 52 2C EB 0D 8B 45 FC 8B 40 30 8B D6 8B 08 FF 51 08 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10520_0 {
	meta:
		name = "_NF__36E"
		size = 18
		refs = "000d TObject.Free"
	strings:
		$1 = { 8B 90 FC 01 00 00 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10521_0 {
	meta:
		name = "_NF__36F"
		size = 157
		refs = "000e @LStrAddRef 0016 _NF__36F 002f TCollection.GetCount 004c TCubeDims.GetCubeDim 0057 @LStrCmp 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 08 8B 40 FC 8B 40 1C 8B 40 30 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3E 46 33 DB 8B 45 08 8B 40 FC 8B 40 1C 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 18 8B 55 FC E8 ?? ?? ?? ?? 75 17 8B 45 08 8B 40 FC 8B 40 1C 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B F8 EB 04 43 4E 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10522_0 {
	meta:
		name = "_NF__370"
		size = 732
		refs = "0017 _NF__370 0038 _NF__37D 003d _DV_TCubeDim 0047 _DV_TCubeDims 004c TCubeDims.Create 005a TDataLink.GetDataSet 005f TDataSet.GetFieldCount 0082 TDataSet.GetField 0091 _NF__36F 00a5 TDimensionItem.IsDimension 00c1 TObject.Free 00da sMaxAllowedDims 00df LoadResString 00e9 _DV_ECacheError 00ee Exception.CreateFmt 00f3 @RaiseExcept 00fe TCubeDims.Add 0109 TCollection.GetCount 0117 TCubeDims.GetCubeDim 0139 TCubeDim.GetBin 0145 TBinData.GetMaxBinNameSize 0155 TBinData.GetBinNameDataType 0165 TFieldDefs.Add 01e3 TDimensionItem.IsSummary 0281 _NF__372 0296 DbiSetProp 029b Check 02a4 TDataSet.SetActive 02b9 @LStrClr 02bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D DC 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 C7 86 F4 01 00 00 07 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 FC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 2A 01 00 00 47 C7 45 F8 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 89 45 EC 55 8B 45 EC 8B 40 28 E8 ?? ?? ?? ?? 59 8B D8 80 7B 21 01 0F 85 EC 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 DD 00 00 00 FF 45 F4 83 7D F4 10 7E 3D 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? C7 45 E0 10 00 00 00 C6 45 E4 00 8D 45 E0 50 6A 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B D0 4A 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B D3 8B 45 F0 8B 08 FF 51 08 8B 45 EC 8A 40 2E 84 C0 74 04 3C 01 75 58 8B C3 E8 ?? ?? ?? ?? 3C 04 75 2A 8B 43 4C E8 ?? ?? ?? ?? 50 8B 45 EC 8A 40 31 50 8B 43 4C E8 ?? ?? ?? ?? 8B C8 8B 45 EC 8B 50 28 8B 46 28 E8 ?? ?? ?? ?? EB 23 8B 45 EC 66 8B 40 34 50 8B 45 EC 8A 40 31 50 8B 45 EC 8A 48 2C 8B 45 EC 8B 50 28 8B 46 28 E8 ?? ?? ?? ?? FF 45 F8 4F 0F 85 DE FE FF FF 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C A7 00 00 00 47 C7 45 F8 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 89 45 E8 55 8B 45 E8 8B 40 28 E8 ?? ?? ?? ?? 59 8B D8 80 7B 21 01 75 6D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 62 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B D0 4A 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B D3 8B 45 F0 8B 08 FF 51 08 8B 45 E8 8A 40 2E 84 C0 74 04 3C 01 75 23 8B 45 E8 66 8B 40 34 50 8B 45 E8 8A 40 31 50 8B 45 E8 8A 48 2C 8B 45 E8 8B 50 28 8B 46 28 E8 ?? ?? ?? ?? FF 45 F8 4F 0F 85 61 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 90 E0 01 00 00 80 7A 30 00 74 0A 33 C0 89 86 00 02 00 00 EB 09 8B 42 38 89 86 00 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 89 9E F0 01 00 00 6A 02 68 05 00 05 00 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 06 00 00 00 54 6D 70 54 61 62 00 00 }
	condition:
		$1
}

rule function_10524_0 {
	meta:
		name = "_NF__372"
		size = 1252
		refs = "0021 _NF__372 0048 @FillChar 007a _NV__36D 008b TBDEDataSet.SetLocale 00ad AnsiToNative 00b5 _NF__377 00ce StrCopy 00d9 TFieldDefs.GetCount 00ed AllocMem 00fd @LStrClr 0117 OsLdGetSymbName 012f @LStrFromArray 0141 _NF__371 0150 @LStrLAsg 0162 @LStrToPChar 0168 OsLdLoadBySymbName 01a8 TFieldDefs.GetItem 01cb _NF__378 01f5 OsLdUnloadObj 0206 @HandleFinally 023c TDBDataSet.GetDBHandle 0242 DbiGetLdNameFromDb 025f _NF__380 0273 DbiTranslateRecordStructure 0278 Check 0296 TCollection.GetCount 02ea TCubeDims.GetCubeDim 02ef TDimensionItem.IsDimension 0344 @LStrLen 035c _NF__37B 0364 IntToStr 038f StrPCopy 0410 DbiCreateTempTable 0438 @FreeMem"
	strings:
		$1 = { 55 8B EC 81 C4 CC FC FF FF 53 56 57 33 D2 89 95 CC FC FF FF 89 55 F0 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 C0 89 45 E0 33 C0 89 45 DC 8D 85 10 FD FF FF 33 C9 BA AA 02 00 00 E8 ?? ?? ?? ?? B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 40 01 00 00 89 45 E8 83 3D ?? ?? ?? ?? 00 74 0E 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 68 04 01 00 00 8D 8D 10 FD FF FF 8B 45 FC 8B 90 EC 01 00 00 8B 45 FC 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 15 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 85 15 FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B D8 66 89 9D 7E FF FF FF 0F B7 C3 6B C0 3E E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 40 01 00 00 85 DB 74 25 8D 85 F0 FC FF FF 50 53 E8 ?? ?? ?? ?? 66 85 C0 75 13 8D 45 F0 8D 95 F0 FC FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 75 1B 55 8D 85 CC FC FF FF E8 ?? ?? ?? ?? 59 8B 95 CC FC FF FF 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 74 22 8D 45 EC 50 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 0B 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 41 47 33 F6 8B 45 FC 8B 40 28 8B D6 E8 ?? ?? ?? ?? 8B D8 8A 43 10 50 66 8B 43 18 50 8B C6 C1 E0 05 2B C6 8B 55 F4 8D 14 42 8B 4B 08 8B 45 FC E8 ?? ?? ?? ?? 80 7B 1A 00 74 04 66 FF 45 9C 46 4F 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 14 8D 45 EC 50 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B7 85 7E FF FF FF 6B C0 3E E8 ?? ?? ?? ?? 89 45 84 33 DB 8B 45 FC 8B 80 E0 01 00 00 80 78 30 00 74 22 8D 85 D0 FC FF FF 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 06 8D 9D D0 FC FF FF 6A 00 8B 45 84 50 53 8D 55 BC 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F4 50 66 8B 85 7E FF FF FF 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 45 9C 00 00 8B 45 FC 8B 98 FC 01 00 00 85 DB 0F 84 95 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E 86 00 00 00 66 BB 01 00 66 89 5D 88 0F B7 C3 69 C0 7D 03 00 00 E8 ?? ?? ?? ?? 8B F0 89 75 8E 66 C7 86 47 01 00 00 FF FF 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4D 47 33 F6 8B 45 FC 8B 80 FC 01 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B 45 FC 8B 40 28 8B D6 E8 ?? ?? ?? ?? 66 8B 40 0C 8B 5D 8E 0F B7 93 55 01 00 00 66 89 84 53 5D 01 00 00 8B 45 8E 66 FF 80 55 01 00 00 46 4F 75 B6 66 B8 02 00 66 89 45 B0 0F B7 C0 6B C0 3E E8 ?? ?? ?? ?? 8B D8 89 5D E0 8B 45 F0 E8 ?? ?? ?? ?? 83 C0 02 E8 ?? ?? ?? ?? 8B F0 89 75 B6 89 75 DC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 66 C7 43 2A 00 00 8B 45 E4 E8 ?? ?? ?? ?? 40 66 89 43 2C BA ?? ?? ?? ?? 8D 43 02 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 B6 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 40 01 45 B6 83 C3 3E 8B 45 E4 E8 ?? ?? ?? ?? 40 66 89 43 2A 8B 45 E4 E8 ?? ?? ?? ?? 8B F0 46 8B 45 F0 E8 ?? ?? ?? ?? 66 03 F0 46 66 89 73 2C BA ?? ?? ?? ?? 8D 43 02 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 B6 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 40 01 45 B6 8B 45 E0 89 45 B2 8B 45 DC 89 45 B6 8D 45 F8 50 8D 85 10 FD FF FF 50 8B 45 FC 8B 80 00 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 84 85 C0 74 0F 0F B7 95 7E FF FF FF 6B D2 3E E8 ?? ?? ?? ?? 83 7D F4 00 74 12 0F B7 85 7E FF FF FF 6B D0 3E 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 8E 85 C0 74 0F 0F B7 55 88 69 D2 7D 03 00 00 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 C3 E9 ?? ?? ?? ?? EB 92 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 CC FC FF FF E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 4C 45 56 45 4C 00 00 00 4C 41 4E 47 44 52 49 56 45 52 00 00 }
	condition:
		$1
}

rule function_10525_0 {
	meta:
		name = "_NF__373"
		size = 364
		refs = "0015 _NF__373 0027 _NF__37D 0039 TFieldDefs.GetCount 0054 TFieldDefs.Add 005c TDataCache.GetDimensionCount 0073 TDataCache.GetDimensionName 00c3 TDataCache.GetSummaryName 00d7 _NF__372 00ec DbiSetProp 00f1 Check 00fa TDataSet.SetActive 0114 @LStrArrayClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 83 F4 01 00 00 07 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 85 C0 0F 85 8F 00 00 00 6A 00 6A 00 B1 03 BA ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 25 46 33 FF 8D 4D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 B1 02 8B 55 F8 8B 43 28 E8 ?? ?? ?? ?? 47 4E 75 DE 6A 00 6A 00 B1 03 BA ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 6A 00 6A 00 B1 05 BA ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 4D F4 8B 45 FC 8B 50 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 B1 06 8B 43 28 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 6A 02 68 05 00 05 00 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 06 00 00 00 49 64 78 54 61 62 00 00 FF FF FF FF 08 00 00 00 50 6F 73 69 74 69 6F 6E 00 00 00 00 FF FF FF FF 06 00 00 00 4F 66 66 73 65 74 00 00 FF FF FF FF 06 00 00 00 53 70 61 72 73 65 00 00 }
	condition:
		$1
}

rule function_10526_0 {
	meta:
		name = "_NF__374"
		size = 93
		refs = "000e @LStrAddRef 0016 _NF__374 0026 @LStrToPChar 0033 DbiMakePermanent 0038 Check 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 F0 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10528_0 {
	meta:
		name = "_NF__377"
		size = 192
		refs = "000e _NF__377 003a ExtractFileExt 0047 CompareText 006b _NV__375 0074 _NF__37E 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8A 9E F8 01 00 00 8B 86 E0 01 00 00 80 78 30 00 75 43 84 DB 75 34 8D 55 FC 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 02 B3 02 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 02 B3 03 33 C0 8A C3 8B 3C 85 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 2E 44 42 46 00 00 00 00 FF FF FF FF 04 00 00 00 2E 54 58 54 00 00 00 00 }
	condition:
		$1
}

rule function_10530_0 {
	meta:
		name = "_NF__379"
		size = 7
	strings:
		$1 = { 8B 80 F0 01 00 00 C3 }
	condition:
		$1
}

rule function_10531_0 {
	meta:
		name = "_NF__37A"
		size = 96
		refs = "000c _NF__37A 0023 SNoTableName 0028 LoadResString 0030 DatabaseError 0037 _NF__379 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB EC 01 00 00 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_10532_0 {
	meta:
		name = "_NF__37B"
		size = 30
		refs = "0012 _NF__36C"
	strings:
		$1 = { 8B 90 2C 01 00 00 85 D2 74 0D 8B C2 BA 03 00 05 00 E8 ?? ?? ?? ?? C3 8B 80 F4 01 00 00 C3 }
	condition:
		$1
}

rule function_10533_0 {
	meta:
		name = "_NF__37C"
		size = 231
		refs = "0011 TDataSet.GetActive 001d TDataSet.CheckBrowseMode 0033 TDBDataSet.GetDBHandle 0039 DbiEmptyTable 003e Check 0071 _NF__37C 007f _NF__377 008d TDBDataSet.GetDBLocale 00a1 AnsiToNative 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC 8B 80 2C 01 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 40 33 C9 B2 02 8B 45 FC 8B 18 FF 53 50 E9 87 00 00 00 B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 68 03 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D F8 FE FF FF 8B 55 FC 8B 92 EC 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 C8 01 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10534_0 {
	meta:
		name = "_NF__37D"
		size = 40
		refs = "0016 @LStrAsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 3C 8D 86 EC 01 00 00 8B D3 E8 ?? ?? ?? ?? 33 C9 B2 08 8B C6 8B 18 FF 53 50 5E 5B C3 }
	condition:
		$1
}

rule function_10535_0 {
	meta:
		name = "_NF__37E"
		size = 22
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 3C 88 9E F8 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_10536_0 {
	meta:
		name = "_NF__37F"
		size = 124
		refs = "000c _NF__37F 0029 ExtractFileExt 0036 CompareText 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F8 01 00 00 02 74 23 8D 55 FC 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 2E 44 42 46 00 00 00 00 }
	condition:
		$1
}

rule function_10539_0 {
	meta:
		name = "_NF__382"
		size = 157
		refs = "000e @LStrAddRef 0016 _NF__382 002f TCollection.GetCount 004c TCubeDims.GetCubeDim 0057 @LStrCmp 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 08 8B 40 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3E 46 33 DB 8B 45 08 8B 40 FC 8B 80 FC 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 18 8B 55 FC E8 ?? ?? ?? ?? 75 17 8B 45 08 8B 40 FC 8B 80 FC 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F8 EB 04 43 4E 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10540_0 {
	meta:
		name = "_NF__383"
		size = 220
		refs = "0018 _NF__383 0036 TDataSet.Append 003d TDataSet.GetFieldCount 0051 TDataSet.GetField 005e TDataSet.GetFieldValue 0070 _NF__382 007e TCubeDim.IsBinData 00a3 TDataSet.SetFieldValue 00b1 _NF__385 00c6 @VarClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 43 59 88 45 FB 80 7D FB 01 0F 84 83 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 67 40 89 45 F4 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 28 8D 4D E4 8B C3 E8 ?? ?? ?? ?? 55 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 28 E8 ?? ?? ?? ?? 59 8B F8 85 FF 74 2C 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 E4 8B C7 8B 08 FF 51 24 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 28 8D 4D E4 8B 45 FC E8 ?? ?? ?? ?? 46 FF 4D F4 75 9F 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10541_0 {
	meta:
		name = "_NF__384"
		size = 628
		refs = "0018 _NF__384 0029 TDimensionItems.GetDimCount 0056 VarArrayCreate 006a TDimensionItems.GetSumCount 0090 TCollection.GetCount 00ab TCubeDims.GetCubeDim 00b0 TDimensionItem.IsDimension 00c0 TDataSet.GetField 00d5 @LStrCatN 00fc TDataSet.GetFieldValue 0109 @VarArrayPut 016e TDataSet.First 018b TDataSet.Edit 01b7 TDimensionItem.IsSummary 01e8 @VarArrayGet 01f4 @VarAdd 020c TDataSet.SetFieldValue 0229 Variant 0233 @FinalizeArray 024e @LStrClr 0254 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 48 7E 2A 8D 45 D8 50 33 C0 89 45 D0 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 48 89 45 D4 8D 45 D0 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 33 C0 89 45 D0 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 48 89 45 D4 8D 45 D0 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C C2 00 00 00 47 33 F6 8B D6 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 72 FF 75 FC 8B D6 8B C3 E8 ?? ?? ?? ?? FF 70 28 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 48 7E 2B 56 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 28 8D 4D C0 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 EB 47 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 28 8D 4D D8 8B C3 E8 ?? ?? ?? ?? EB 2F 8B 45 F8 50 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 28 8D 4D C0 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 50 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 FF 45 F8 46 4F 0F 85 41 FF FF FF 8B C3 8B 10 FF 92 7C 01 00 00 8B C3 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 4D D8 8B 55 FC 8B C3 8B 30 FF 96 98 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 71 47 33 F6 8B D6 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 54 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 28 8D 4D C0 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F8 50 6A 01 8D 45 E8 50 8D 45 B0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 B0 58 E8 ?? ?? ?? ?? 8D 45 C0 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 28 8B C3 59 E8 ?? ?? ?? ?? FF 45 F8 46 4F 75 92 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_10542_0 {
	meta:
		name = "_NF__385"
		size = 144
		refs = "0007 TDataSet.UpdateRecord 0019 TDataSet.UpdateCursorPos 0028 TDataSet.ActiveBuffer 0035 DbiModifyRecord 003e _NF__386 0056 DbiInsertRecord 006a TDataSet.FreeFieldBuffers 0073 TDataSet.SetState 0079 _NF__385"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 07 8B C3 8B 30 FF 56 50 8B C3 E8 ?? ?? ?? ?? 80 7B 5D 02 75 21 6A FF 8B C3 E8 ?? ?? ?? ?? 50 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1F 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B 83 2C 01 00 00 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 AF 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 A4 01 00 00 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_10543_0 {
	meta:
		name = "_NF__386"
		size = 35
		refs = "000b _NF__384 001b DbiError"
	strings:
		$1 = { 53 B3 01 66 81 FA 01 26 75 09 E8 ?? ?? ?? ?? 33 DB EB 0C 66 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_10544_0 {
	meta:
		name = "TMultiDimDataLink.Create"
		size = 58
		refs = "000b @ClassCreate 001a TDataLink.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 33 C0 89 47 20 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10546_0 {
	meta:
		name = "_NF__38E"
		size = 17
		refs = "0007 _NV__36D 000c NativeCompareStrBuf"
	strings:
		$1 = { 6A 00 8B 0A 8B 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10547_0 {
	meta:
		name = "_NF__38F"
		size = 361
		refs = "0012 _NF__38F 0026 GetCursor 0037 LoadCursor 003d SetCursor 0061 Application 006a _Dn_TProgressDialog 006f TCustomForm.Create 0075 ProgressDlg 009c TMultiDimDataLink.UpdateCache 00a4 sBuildingDataStore 00a9 LoadResString 00b8 TControl.SetText 00c4 TCustomForm.ShowModal 00e8 _DV_ECacheError 00ed Exception.Create 00f2 @RaiseExcept 010b TObject.Free 011a @HandleFinally 0158 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 80 78 38 00 74 0A E8 ?? ?? ?? ?? 89 45 FC EB 15 68 02 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 80 78 38 00 0F 84 C1 00 00 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 89 98 04 02 00 00 C7 80 00 02 00 00 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 83 B8 FC 01 00 00 00 74 1E A1 ?? ?? ?? ?? 8B 00 8B 88 FC 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB E3 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10548_0 {
	meta:
		name = "_NF__390"
		size = 72
		refs = "001b TList.Last 0026 TList.Remove 002d TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 83 C3 FC 8B 75 08 83 C6 F8 83 3B 00 74 23 EB 19 8B 03 E8 ?? ?? ?? ?? 89 06 8B 16 8B 03 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 03 83 78 08 00 7F DF 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 5E 5B 5D C3 }
	condition:
		$1
}

rule function_10549_0 {
	meta:
		name = "_NF__391"
		size = 80
		refs = "0015 TCollection.GetCount 0032 TCubeDims.GetCubeDim 0037 TDimensionItem.IsDimension"
	strings:
		$1 = { 55 8B EC 53 56 57 B3 01 8B 45 08 8B 40 F4 8B 40 1C 8B 40 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 29 47 33 F6 8B 45 08 8B 40 F4 8B 40 1C 8B 40 30 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 02 B3 01 46 4F 75 DA 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_10550_0 {
	meta:
		name = "TMultiDimDataLink.UpdateCache"
		size = 1492
		refs = "001b TMultiDimDataLink.UpdateCache 0031 TDataCache.SetSuccess 003e TCustomDataStore.GetDataSet 0044 _Dn_TDecisionQuery 0049 @IsClass 0055 SDecisionQueryError 005a LoadResString 006d _Dn_TQuery 007e SQueryError 008d SDataSetError 00ae VerifyRTQuery 00ea SNoAggs 0107 @LStrCatN 0111 _Dn_EDimensionMapError 0116 Exception.Create 011b @RaiseExcept 0128 SGroupsMissing 0163 SNoDims 019e SUnknownDims 01dd _NF__35A 01eb TDimensionItems.GetActiveDimCount 0214 sMaxAllowedDims 0228 Exception.CreateFmt 023b TDimensionItems.GetActiveSumCount 0264 sMaxAllowedSums 029b sEmptyDataSet 02aa _DV_ECacheError 02cb TCustomDataStore.BinMapHasBinData 02e2 TCustomDataStore.SetBinData 0305 _Dn_TClientDataSet 0315 _NV__36D 031f TDataLink.GetDataSet 0331 _Dn_TList 0336 TObject.Create 0344 TMultiDimDataLink.UpdateDimensions 034f TCustomDataStore.GetDimensionCount 0366 @Assert 0371 TCustomDataStore.GetSummaryCount 03a1 _NF__390 03d4 IsBDEAvailable 03f1 TMultiDimDataLink.FetchAndBinValues 03fe TMultiDimDataLink.FetchValues 042e TDataCache.GetDimension 043c TList.Get 044f TDimension.IsString 0458 _NF__38E 0460 TCustomArray.SetCompProc 047a TDimension.AssignSorted 0489 @HandleOnException 0491 _Dn_ELowCapacityError 04d1 @RaiseAgain 04f4 @DoneExcept 051e @TryFinallyExit 052b TMultiDimDataLink.CreateSummaryIndex 0555 @HandleFinally 0571 @LStrArrayClr 0579 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D E0 89 4D DC 89 4D EC 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 1C 8B 40 24 33 D2 E8 ?? ?? ?? ?? B3 01 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8D 4D EB 8B 55 F4 8B 52 1C 8B 52 30 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 06 0F 87 FF 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 EB 00 00 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF 75 EC 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 00 00 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF 75 EC 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 72 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF 75 EC 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 37 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 50 30 33 C9 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 30 E8 ?? ?? ?? ?? 8B 55 F4 8B 52 1C 3B 42 3C 7E 37 8B 45 F4 8B 40 1C 8B 40 3C 89 45 D4 C6 45 D8 00 8D 45 D4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 30 E8 ?? ?? ?? ?? 8B 55 F4 8B 52 1C 3B 42 40 7E 37 8B 45 F4 8B 40 1C 8B 40 40 89 45 D4 C6 45 D8 00 8D 45 D4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8B 10 FF 92 D4 00 00 00 48 7F 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 80 78 39 00 75 22 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 84 C0 75 06 80 7D EB 00 75 0D 8B 45 F4 8B 40 1C B2 01 E8 ?? ?? ?? ?? 8B 45 F4 8B 70 1C F6 46 20 10 74 0A 80 7E 2D 00 0F 84 5F 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 33 C0 A3 ?? ?? ?? ?? EB 13 8B 45 F4 E8 ?? ?? ?? ?? 8B 80 40 01 00 00 A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 48 7D 14 B9 5C 09 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 85 C0 7F 14 B9 5D 09 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C F6 40 20 10 74 12 80 78 2D 01 75 0C 55 E8 ?? ?? ?? ?? 59 E9 B0 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 8B 40 1C 80 78 39 00 74 11 84 DB 74 0D 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? EB 0B 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 48 85 C0 0F 8C EE 00 00 00 40 89 45 E4 C7 45 F0 00 00 00 00 8B 45 F4 8B 40 1C 8B 40 24 8B 55 F0 E8 ?? ?? ?? ?? 89 45 F8 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 3D ?? ?? ?? ?? 00 74 19 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0D BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B1 01 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 70 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 EA 00 8B 45 F4 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 EA 8B 43 50 FF 53 4C 80 7D EA 00 75 2A 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 1C 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C 69 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F0 FF 4D E4 0F 85 1D FF FF FF 8B 45 F4 8B 40 1C F6 40 20 10 74 14 80 78 2D 02 75 0E 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 37 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 24 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 16 00 00 00 43 3A 5C 74 70 5C 78 74 61 62 5C 4D 58 53 54 4F 52 45 2E 50 41 53 00 00 FF FF FF FF 11 00 00 00 41 73 73 65 72 74 69 6F 6E 20 66 61 69 6C 75 72 65 00 00 00 }
	condition:
		$1
}

rule function_10551_0 {
	meta:
		name = "_NF__395"
		size = 152
		refs = "0015 _NF__395 002a _NV__2DC 002f @LStrLAsg 0051 sUnsupportedFieldType 0056 LoadResString 0060 _Dn_EUnsupportedTypeError 0065 Exception.CreateFmt 006a @RaiseExcept 007f @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 E8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 33 D2 8A 53 2C 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 28 89 45 EC C6 45 F0 0B 8B 45 FC 89 45 F4 C6 45 F8 0B 8D 45 EC 50 6A 01 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10552_0 {
	meta:
		name = "_NF__396"
		size = 416
		refs = "0010 _NF__396 0021 TCubeDim.GetBin 0033 TBinData.GetBinNameDataType 0057 TMultiDimDataLink.AddDimension 0074 TDataLink.GetDataSet 0085 _DV_TBuilderDim 008a TBuilderDim.Create 009f @HandleOnException 00a7 _Dn_ELowCapacityError 00ea @RaiseAgain 00ef @DoneExcept 00ff _NF__38E 0111 TField.GetIndex 011e TDimension.SetPosition 0135 @LStrAsg 014c _Dn_EUnsupportedTypeError 0163 _NF__395 0196 TList.Insert"
	strings:
		$1 = { 55 8B EC 51 53 56 57 33 C0 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3C 04 75 12 8B 45 08 8B 40 F8 8B 40 4C E8 ?? ?? ?? ?? 8B D8 EB 09 8B 45 08 8B 40 F4 8A 58 2C 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 53 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 10 FF 92 D4 00 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 EC 33 C0 5A 59 59 64 89 10 EB 55 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 C6 40 FF 00 8B 45 08 8B 40 F0 8B 40 1C F6 40 20 10 75 1B 8B 55 08 66 83 78 4E 00 74 11 8B 55 08 8B D8 8B 45 08 8D 50 FF 8B 43 50 FF 53 4C 8B 45 08 80 78 FF 00 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 8B 40 58 C7 40 18 ?? ?? ?? ?? 8B 55 08 C6 40 14 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 83 C0 38 8B 55 08 8B 52 F4 8B 52 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 43 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? EB 18 8B 45 08 8B 40 F0 8B 40 1C 8B 40 24 C7 40 1C 23 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 48 EC 8B 45 08 8B 40 E8 8B 55 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10553_0 {
	meta:
		name = "_NF__397"
		size = 125
		refs = "000a _NF__397 0027 TMultiDimDataLink.AddSummary 0036 @HandleOnException 003e _Dn_EUnsupportedTypeError 0055 _NF__395 006f @RaiseAgain 0074 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 43 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? EB 18 8B 45 08 8B 40 F0 8B 40 1C 8B 40 24 C7 40 1C 24 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_10554_0 {
	meta:
		name = "TMultiDimDataLink.UpdateDimensions"
		size = 220
		refs = "0021 TDataLink.GetDataSet 0026 TDataSet.GetFieldCount 003f TDataSet.GetField 004b TCubeDims.GetCubeDim 005f TDimensionItem.IsDimension 0069 _NF__396 0072 _NF__397 007e TCollection.GetCount 00a5 TDimensionItem.IsSummary 00cd TMultiDimDataLink.AddSummary"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 E8 89 45 F0 33 C0 89 45 F8 8B 45 F0 8B 40 1C 8B 70 30 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4A 47 33 DB 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 80 78 21 01 75 1C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 43 4F 75 B9 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4C 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 83 78 0C 00 7C 36 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 21 00 74 15 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 F0 E8 ?? ?? ?? ?? 43 4F 75 B7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10555_0 {
	meta:
		name = "_NF__39B"
		size = 65
		refs = "0028 TList.Get"
		altNames = "_NF__39F"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 33 C0 89 45 FC 8B 45 08 8B 40 FC 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 3B 78 28 75 03 89 45 FC 46 4B 75 E7 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10556_0 {
	meta:
		name = "TMultiDimDataLink.FetchValues"
		size = 954
		refs = "0024 TMultiDimDataLink.FetchValues 0038 TDataCache.GetPreCalcTotals 0049 TCustomDataStore.GetCurrentSummary 0053 TDataCache.GetSummary 0060 TCustomDataStore.GetDimensionCount 0075 TList.Get 0081 TBuilderDim.InitSummary 009b TDataLink.GetDataSet 00a0 TDataSet.GetFieldCount 00a8 ProgressDlg 00cb TProgressDialog.SetMax 00d3 sFetchValues 00d8 LoadResString 00e7 TControl.SetText 00ff TDataSet.First 0126 TProgressDialog.UpdateProgress 0131 sUserCanceled 0140 _Dn_EUserCanceled 0145 Exception.Create 014a @RaiseExcept 016c TCubeDims.GetCubeDim 018f TDataSet.GetField 019d TDataSet.GetFieldValue 01ae @HandleAnyException 01bd @RaiseAgain 01c2 @DoneExcept 01d2 TDimensionItem.IsDimension 01f9 TField.GetIndex 01fe _NF__39B 020e TCustomArray.SetItem 0224 TBuilderDim.MatchLastVal 023c TBuilderDim.SetLastVal 026f TDimensionItem.IsSummary 029f TDataCache.SummaryFromPosition 02c2 TDataCache.GetDimensionCount 02e2 TBuilderDim.AddSummary 02f5 @HandleOnException 02fd _Dn_ELowCapacityError 0363 TDataSet.Next 037e TCubeDims.GetDirtyFlag 038a TMultiDimDataLink.UpdateFormatStrings 039f @LStrClr 03a7 @VarClr 03ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C9 89 4D C4 89 4D C8 89 4D CC 89 4D D0 89 4D D4 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 1C 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 4B 8B 45 F8 8B 58 1C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? 48 85 C0 7C 22 40 89 45 E0 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 57 04 8B C3 E8 ?? ?? ?? ?? 46 FF 4D E0 75 E4 8B 45 F8 8B 40 1C 8B 40 30 89 45 E8 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 83 38 00 74 3A 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 92 D4 00 00 00 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 DC 33 C0 89 45 F0 8B 45 DC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 1C 8B 40 24 89 45 D8 E9 53 02 00 00 A1 ?? ?? ?? ?? 83 38 00 74 30 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 40 75 21 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 48 85 C0 0F 8C 02 02 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 80 78 21 01 0F 85 D6 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 DC E8 ?? ?? ?? ?? 8B 50 28 8D 4D C8 8B 45 DC E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 08 EB 19 E9 ?? ?? ?? ?? 8B 45 D8 C7 40 1C 73 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 55 EC 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B D8 8D 4D C8 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 22 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 3C 00 EB 04 C6 43 3C 01 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 D8 C7 40 1C 78 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D5 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 EC 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 D8 E8 ?? ?? ?? ?? 8B F8 8D 4D C8 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 D8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1D 47 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E6 33 C0 5A 59 59 64 89 10 EB 5C E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 E7 00 8B 45 F8 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 E7 8B 43 50 FF 53 4C 80 7D E7 00 75 16 E8 ?? ?? ?? ?? EB 0F 8B 45 D8 C7 40 1C 82 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 EC FF 4D E0 0F 85 09 FE FF FF FF 45 F0 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 80 78 59 00 0F 84 A0 FD FF FF 8B 45 F8 8B 40 1C 8B 40 30 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10558_0 {
	meta:
		name = "_NF__3A0"
		size = 130
		refs = "0010 @LStrAddRef 0018 _NF__3A0 0041 TList.Get 004e @LStrCmp 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 08 8B 40 FC 8B 70 08 4E 85 F6 7C 26 46 33 FF 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 38 8B 55 FC E8 ?? ?? ?? ?? 75 03 89 5D F8 47 4E 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10559_0 {
	meta:
		name = "_NF__3A1"
		size = 38
		refs = "000a _NF__36E 0015 TDataSet.Close 0020 TObject.Free"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_10560_0 {
	meta:
		name = "TMultiDimDataLink.FetchAndBinValues"
		size = 1483
		refs = "0024 TMultiDimDataLink.FetchAndBinValues 0038 TDataCache.GetPreCalcTotals 0049 TCustomDataStore.GetCurrentSummary 0053 TDataCache.GetSummary 0060 TCustomDataStore.GetDimensionCount 0075 TList.Get 0081 TBuilderDim.InitSummary 0091 ProgressDlg 009e TDataLink.GetDataSet 00b4 TProgressDialog.SetMax 00bc sBinningValues 00c1 LoadResString 00d0 TControl.SetText 00e3 TDataSet.First 00fc Application 0105 _NV__36A 010a TBDEDataSet.Create 0118 _NF__370 0127 @HandleAnyException 013c @RaiseAgain 0141 @DoneExcept 0149 TDataSet.Edit 018b _NF__383 0195 TDataSet.Next 01ba _NF__3A1 01db TProgressDialog.UpdateProgress 01ed sUserCanceled 01fc _Dn_EUserCanceled 0201 Exception.Create 0206 @RaiseExcept 0239 sFetchValues 02a3 TDataSet.GetFieldCount 02ce TCubeDims.GetCubeDim 02e3 TDataSet.GetField 02f1 TDataSet.GetFieldValue 0301 TDimensionItem.IsDimension 032b _NF__3A0 033b TCustomArray.SetItem 0351 TBuilderDim.MatchLastVal 0369 TBuilderDim.SetLastVal 03a3 TDimensionItem.IsSummary 03cf TDataCache.SummaryFromFieldName 03f2 TDataCache.GetDimensionCount 0412 TBuilderDim.AddSummary 0425 @HandleOnException 042d _Dn_ELowCapacityError 04af _NF__37C 04ca TCollection.GetCount 050d @LStrCmp 053f TBinData.Clear 058f TCubeDims.GetDirtyFlag 059b TMultiDimDataLink.UpdateFormatStrings 05b0 @LStrClr 05b8 @VarClr 05be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C9 89 4D C4 89 4D C8 89 4D CC 89 4D D0 89 4D D4 89 55 FC 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 1C 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 4B 8B 45 F4 8B 58 1C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B F0 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 48 85 C0 7C 22 40 89 45 E0 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 56 04 8B C3 E8 ?? ?? ?? ?? 47 FF 4D E0 75 E4 33 C0 89 45 F8 A1 ?? ?? ?? ?? 83 38 00 74 3A 8B 45 F4 E8 ?? ?? ?? ?? 8B 10 FF 92 D4 00 00 00 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC E8 ?? ?? ?? ?? 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 80 F9 01 00 00 00 8B 45 F8 8B 80 FC 01 00 00 89 45 E8 E9 4B 03 00 00 33 DB E9 9B 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C 96 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 37 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 40 75 28 55 E8 ?? ?? ?? ?? 59 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 0F 84 5D FF FF FF A1 ?? ?? ?? ?? 83 38 00 74 35 8B 45 F8 8B 10 FF 92 D4 00 00 00 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E9 40 02 00 00 A1 ?? ?? ?? ?? 83 38 00 74 37 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 40 75 28 55 E8 ?? ?? ?? ?? 59 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 0F 8C E3 01 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 8B 45 F4 8B 40 1C 8B 40 24 89 45 D8 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 80 78 21 01 0F 85 AB 01 00 00 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 28 8D 4D C8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8A 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 28 E8 ?? ?? ?? ?? 59 8B D8 8D 4D C8 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 22 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 3C 00 EB 04 C6 43 3C 01 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 D8 C7 40 1C A0 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D8 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 28 8B 45 D8 E8 ?? ?? ?? ?? 8B F0 8D 4D C8 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 D8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1D 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E6 33 C0 5A 59 59 64 89 10 EB 63 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 E7 00 8B 45 F4 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 E7 8B 43 50 FF 53 4C 80 7D E7 00 75 1D E8 ?? ?? ?? ?? EB 16 8B 45 D8 C7 40 1C AA 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 EC FF 4D E0 0F 85 28 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? FF 45 F0 8B 45 F8 80 78 59 00 0F 84 B3 FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 DC 80 78 59 00 0F 84 A8 FC FF FF 8B 45 F8 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 48 85 C0 0F 8C A7 00 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 8B 45 F8 8B 80 FC 01 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 40 18 50 8B 45 F4 8B 40 1C 8B 40 30 8B 55 EC E8 ?? ?? ?? ?? 8B 50 18 58 E8 ?? ?? ?? ?? 75 5F 8B 45 F8 8B 80 FC 01 00 00 8B 55 EC E8 ?? ?? ?? ?? 83 78 4C 00 74 48 8B 45 F4 8B 40 1C 8B 40 30 8B 55 EC E8 ?? ?? ?? ?? 8B 40 4C E8 ?? ?? ?? ?? 8B 45 F8 8B 80 FC 01 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 40 4C 50 8B 45 F4 8B 40 1C 8B 40 30 8B 55 EC E8 ?? ?? ?? ?? 8B 40 4C 5A 8B 08 FF 51 08 FF 45 EC FF 4D E0 0F 85 64 FF FF FF 55 E8 ?? ?? ?? ?? 59 8B 45 F4 8B 40 1C 8B 40 30 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10561_0 {
	meta:
		name = "_NF__3A5"
		size = 27
		refs = "000a TObject.Free"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_10562_0 {
	meta:
		name = "_NF__3A6"
		size = 119
		refs = "0009 _NF__3A6 0014 ProgressDlg 0025 TProgressDialog.UpdateProgress 0031 _NF__3A5 003a sUserCanceled 003f LoadResString 0049 _Dn_EUserCanceled 004e Exception.Create 0053 @RaiseExcept 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 3A A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 40 75 2B 8B 45 08 50 E8 ?? ?? ?? ?? 59 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_10563_0 {
	meta:
		name = "TMultiDimDataLink.CreateSummaryIndex"
		size = 1675
		refs = "0027 TMultiDimDataLink.CreateSummaryIndex 004e TCustomDataStore.GetDimensionCount 0057 _Dn_TSmallIntArray 005c TSmallIntArray.Create 0089 @HandleAnyException 009e @RaiseAgain 00a3 @DoneExcept 00c9 TDataCache.GetDimension 00d5 TDimension.SetRange 00dc TCustomArray.GetMemberCount 00f8 _NF__3A5 0101 sDataSetTooLarge 0106 LoadResString 0110 _DV_ECacheError 0115 Exception.Create 011a @RaiseExcept 0133 _NF__3AA 0144 TIndexArray.SetSize 0153 @HandleOnException 015b _Dn_ELowCapacityError 01d8 TDataCache.GetSummaryCount 01fe TDataCache.GetSummary 0209 TSummary.GetDerived 023a TDataCache.GetHasIndex 0247 ProgressDlg 025b TProgressDialog.SetMax 0267 sCreatingIndexes 0288 Format 0297 TControl.SetText 02a5 TDataCache.SetActiveSummary 02d7 TSmallIntArray.PutItem 0358 TIndexInfo.SetCapacity 0410 TList.Get 0421 TCustomArray.GetItem 042b TCustomArray.IndexOf 0437 TSmallIntArray.GetItem 0467 TDataCache.AddIndex 04fd TDataCache.IncSummaryIndex 0516 TDataCache.HasValidSubTotals 053d TDataCache.AddAggIndex 05c0 _NF__3A6 0626 TDataCache.SetHasIndex 066b @VarClr 0678 @LStrArrayClr 067e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 C9 89 4D A4 89 4D A8 89 4D AC 89 4D B0 89 4D C0 89 4D BC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 1C 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 C8 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 6A 00 8B 45 C8 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C C8 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 E0 01 00 00 00 8B 45 C8 E8 ?? ?? ?? ?? 48 83 F8 00 7C 34 89 45 EC 8B 45 C8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 8B F8 8B 55 E0 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 40 F7 6D E0 89 45 E0 FF 4D EC 83 7D EC FF 75 CF 83 7D E0 00 7D 28 55 E8 ?? ?? ?? ?? 59 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C8 8B 40 24 8B 40 10 8B 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 70 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 CF 00 8B 45 F4 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 CF 8B 43 50 FF 53 4C 80 7D CF 00 75 2A 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 1C 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C D2 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 8B 58 24 8B 43 10 C6 40 10 01 8B 43 0C 89 45 D0 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 60 04 00 00 40 89 45 C4 C7 45 E4 00 00 00 00 C6 45 D6 00 8B 45 C8 8B 40 24 8B 55 E4 E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 85 24 04 00 00 8B 45 C8 8B 40 24 8B 40 10 8B 55 D8 89 42 3C 8B 45 C8 8B 40 24 8B 40 14 8B 55 D8 89 42 34 8B 45 C8 8B 40 24 E8 ?? ?? ?? ?? 84 C0 0F 85 F3 03 00 00 A1 ?? ?? ?? ?? 83 38 00 74 4B A1 ?? ?? ?? ?? 8B 00 8B 55 E0 E8 ?? ?? ?? ?? 8D 45 C0 50 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 50 8B 45 D8 8B 40 44 89 45 B4 C6 45 B8 0B 8D 55 B4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 C0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 C8 8B 40 24 8B 55 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1B 46 C7 45 EC 00 00 00 00 33 C9 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? FF 45 EC 4E 75 ED 8B 45 C8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1D 46 C7 45 EC 00 00 00 00 66 B9 01 00 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? FF 45 EC 4E 75 EB 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C DC 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 C8 8B 40 24 8B 40 14 8B 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 70 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 CF 00 8B 45 F4 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 CF 8B 43 50 FF 53 4C 80 7D CF 00 75 2A 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 1C 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C E6 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 C0 89 45 E8 E9 2B 02 00 00 C6 45 D7 00 8B 45 C8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 54 46 33 DB 8B 45 C8 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B F8 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 89 45 DC 8D 4D A4 8B 55 EC 8B 45 DC E8 ?? ?? ?? ?? 8D 55 A4 8B C7 E8 ?? ?? ?? ?? 8B F8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 0F BF C0 3B F8 74 06 C6 45 D7 01 EB 04 43 4E 75 AF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 C8 8B 40 24 8A 4D D7 8B 55 F8 E8 ?? ?? ?? ?? 89 45 E8 33 C0 5A 59 59 64 89 10 EB 70 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 CF 00 8B 45 F4 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 CF 8B 43 50 FF 53 4C 80 7D CF 00 75 2A 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 1C 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C F0 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 D6 50 8B 45 C8 8B 40 24 8B 4D F8 8B 55 D8 E8 ?? ?? ?? ?? 84 C0 0F 85 DD 00 00 00 8B 45 C8 8B 40 24 8B 4D F8 8B 55 D8 E8 ?? ?? ?? ?? 84 C0 0F 84 C4 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 C8 8B 40 24 8B 4D F0 8B 55 F8 E8 ?? ?? ?? ?? 89 45 E8 33 C0 5A 59 59 64 89 10 EB 70 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 CF 00 8B 45 F4 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 CF 8B 43 50 FF 53 4C 80 7D CF 00 75 2A 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 1C 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C FA 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 50 8D 45 D6 50 8B 45 C8 8B 40 24 8B 4D F8 8B 55 D8 E8 ?? ?? ?? ?? 84 C0 0F 84 3C FF FF FF 55 E8 ?? ?? ?? ?? 59 8B 45 E8 3B 45 E0 74 0A 80 7D D7 00 0F 85 E6 FD FF FF 8B 45 D8 E8 ?? ?? ?? ?? 48 3B 45 EC 7E 03 FF 45 EC 8B 45 E0 48 3B 45 E8 0F 8F C8 FD FF FF 8B 45 C8 8B 40 24 B2 01 E8 ?? ?? ?? ?? 8B 45 C8 8B 40 24 8B 40 10 8B 55 D8 89 42 3C FF 45 E4 FF 4D C4 0F 85 AB FB FF FF 8B 45 C8 8B 40 24 8B 55 D0 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10564_0 {
	meta:
		name = "_NF__3AA"
		size = 160
		refs = "0017 _NF__3AA 0029 TCustomDataStore.GetDimensionCount 0043 TCustomDataStore.GetMemoryUsage 0051 TCustomDataStore.GetCapacity 005d sLowCapacityError 0062 LoadResString 006c _Dn_ELowCapacityError 0071 Exception.Create 0076 @RaiseExcept 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 7E 1C 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 07 40 83 C3 04 48 75 FA 8B 45 FC F7 EB 8B D8 8B C7 E8 ?? ?? ?? ?? 03 D8 85 DB 7C 0C 8B 46 1C E8 ?? ?? ?? ?? 3B D8 7E 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10565_0 {
	meta:
		name = "TMultiDimDataLink.AddDimension"
		size = 277
		refs = "0019 TMultiDimDataLink.AddDimension 0026 TCubeDim.GetBin 0032 TBinData.GetBinNameDataType 004d _DV_TDimension 0052 TDimension.Create 005e TDimension.SetFlag 0065 TField.GetIndex 006e TDimension.SetPosition 0079 @LStrAsg 0080 TField.GetDisplayWidth 0091 TFieldDefinition.SetFieldType 0098 _NF__2E1 00cb _NF__2E0 00e9 TDataCache.AppendDimension 0100 @LStrClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 3C 04 75 0D 8B 47 4C E8 ?? ?? ?? ?? 88 45 FB EB 06 8A 46 2C 88 45 FB 8A 45 FB 50 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8A 57 28 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 43 38 8B 56 28 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 53 34 89 42 0C 8A 55 FB 8B 43 34 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 53 34 89 42 18 8B 43 34 8B 56 38 89 50 1C 85 FF 74 16 83 7F 10 00 74 10 8B 43 34 83 C0 04 8B 57 10 E8 ?? ?? ?? ?? EB 18 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 34 83 C0 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10566_0 {
	meta:
		name = "TMultiDimDataLink.AddSummary"
		size = 570
		refs = "0019 TMultiDimDataLink.AddSummary 0031 sStringTypeNoSupported 0036 LoadResString 0040 _Dn_EUnsupportedTypeError 0045 Exception.Create 004a @RaiseExcept 005c TDataLink.GetDataSet 006d _DV_TSummary 0072 TSummary.Create 0095 TSummary.SetFlag 00a6 TField.GetIndex 00af TSummary.SetPosition 00ba @LStrAsg 00c1 TCollectionItem.GetIndex 00d7 _NF__405 00de TField.GetDisplayWidth 00ef TFieldDefinition.SetFieldType 00f6 _NF__2E1 0128 _NF__2E0 0156 TSummary.SetAggregator 0161 TObject.Free 0169 sCreateDerivedSummaryError 0178 _DV_ECacheError 0196 TSummary.SetName 01bc TDataCache.SummaryFromCubeDimIndex 0202 _NF__404 0212 TDataCache.AppendSummary 0227 @LStrClr 022d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 27 80 7F 2C 01 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7E 0C 00 7D 26 8A 47 2C 50 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 D4 00 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 15 6A 06 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8A 56 28 8B C3 E8 ?? ?? ?? ?? 83 7E 0C 00 0F 8D 9C 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 43 44 8B 57 28 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 2C 8B 45 FC 8B 40 1C 8B 40 24 89 43 50 C7 43 4C ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 53 40 89 42 0C 8A 57 2C 8B 43 40 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 53 40 89 42 18 8B 43 40 8B 57 38 89 50 1C 83 7E 10 00 74 13 8B 43 40 83 C0 04 8B 56 10 E8 ?? ?? ?? ?? E9 E4 00 00 00 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 40 83 C0 04 E8 ?? ?? ?? ?? E9 C7 00 00 00 8A 46 28 50 8D 45 F8 50 8B 45 FC 8B 40 1C 8B 48 30 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 28 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B 56 18 8B C3 E8 ?? ?? ?? ?? 8D 43 44 8B 56 1C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 2C 8B 45 FC 8B 40 1C 8B 40 24 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 8B 56 40 8B 52 0C 8B 43 40 89 50 0C 8B 56 40 8A 52 08 E8 ?? ?? ?? ?? 8B 46 40 8B 40 18 8B 7B 40 89 47 18 8D 47 04 8B 56 40 8B 52 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 40 24 89 43 50 C7 43 4C ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 40 24 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10567_0 {
	meta:
		name = "TMultiDimDataLink.UpdateFormatStrings"
		size = 189
		refs = "0012 TCollection.GetCount 002a TCubeDims.GetCubeDim 002f TDimensionItem.IsDimension 003a TCustomDataStore.GetDataSet 0041 TDataSet.GetField 0052 TDataCache.DimensionFromFieldName 0080 @LStrAsg 008f TCubeDim.IsBinData"
	strings:
		$1 = { 53 56 57 55 51 89 04 24 8B 04 24 8B 70 1C 8B 46 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 96 00 00 00 47 33 DB 8B D3 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 78 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 50 28 8B 04 24 8B 40 1C 8B 40 24 E8 ?? ?? ?? ?? 8B E8 85 ED 74 53 8B D3 8B 46 30 E8 ?? ?? ?? ?? 83 78 10 00 74 18 8B D3 8B 46 30 E8 ?? ?? ?? ?? 8B 50 10 8B 45 34 83 C0 04 E8 ?? ?? ?? ?? 8B D3 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B D3 8B 46 30 E8 ?? ?? ?? ?? 8B 50 40 8B 45 34 83 C0 04 E8 ?? ?? ?? ?? 43 4F 0F 85 6D FF FF FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10570_0 {
	meta:
		name = "TDataCache.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TObject.Create 0031 _NF__2E8"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 08 33 C0 89 46 04 33 C0 89 46 0C 80 4E 20 04 C7 46 18 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10572_0 {
	meta:
		name = "_NF__3BF"
		size = 94
		refs = "0011 _Dn_TList 0016 TObject.Create 003b _Dn_TIndexArray 0040 TIndexArray.Create 0050 _DV_TIndexInfo 0055 TIndexInfo.Create"
	strings:
		$1 = { 53 8B D8 33 C0 89 43 1C 83 7B 08 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 83 7B 04 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 83 7B 10 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 83 7B 14 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 5B C3 }
	condition:
		$1
}

rule function_10573_0 {
	meta:
		name = "TDataCache.FreeCache"
		size = 163
		refs = "000d TList.Last 0019 TList.Remove 0020 TObject.Free 0086 TDataCache.SetHasIndex"
	strings:
		$1 = { 53 56 8B D8 83 7B 08 00 74 30 EB 18 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 08 83 78 08 00 7F DF 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 08 83 7B 04 00 74 30 EB 18 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 04 83 78 08 00 7F DF 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 04 8B 43 10 85 C0 74 13 E8 ?? ?? ?? ?? 33 C0 89 43 10 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 14 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 43 14 33 C0 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_10574_0 {
	meta:
		name = "TDataCache.GetDimensionCount"
		size = 14
	strings:
		$1 = { 8B 50 08 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_10575_0 {
	meta:
		name = "TDataCache.GetSummaryCount"
		size = 14
	strings:
		$1 = { 8B 50 04 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_10576_0 {
	meta:
		name = "TDataCache.GetDimension"
		size = 18
		refs = "000a TList.Get"
	strings:
		$1 = { 8B 48 08 85 C9 74 08 8B C1 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_10578_0 {
	meta:
		name = "TDataCache.GetSummary"
		size = 18
		refs = "000a TList.Get"
	strings:
		$1 = { 8B 48 04 85 C9 74 08 8B C1 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_10579_0 {
	meta:
		name = "TDataCache.AppendDimension"
		size = 129
		refs = "0024 TList.Get 0048 TList.Add 0058 TList.Exchange"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 C7 04 24 FF FF FF FF 8B 46 08 8B 78 08 4F 85 FF 7C 4A 47 33 DB 8B D3 8B 46 08 E8 ?? ?? ?? ?? 8B 40 28 3B 45 28 7C 31 8B D3 8B 46 08 E8 ?? ?? ?? ?? 8B 40 28 3B 45 28 7E 1F 8B D5 8B 46 08 E8 ?? ?? ?? ?? 89 04 24 8B CB 8B 14 24 8B 46 08 E8 ?? ?? ?? ?? 89 1C 24 EB 04 43 4F 75 B9 83 3C 24 FF 75 0D 8B D5 8B 46 08 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10580_0 {
	meta:
		name = "TDataCache.AppendSummary"
		size = 150
		refs = "001c TList.Add 0039 TList.Get 006d TList.Exchange"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 C7 04 24 FF FF FF FF 83 7D 28 FF 75 0F 8B D5 8B 46 04 E8 ?? ?? ?? ?? 89 04 24 EB 68 8B 46 04 8B 78 08 4F 85 FF 7C 4A 47 33 DB 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B 40 28 3B 45 28 7C 31 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B 40 28 3B 45 28 7E 1F 8B D5 8B 46 04 E8 ?? ?? ?? ?? 89 04 24 8B CB 8B 14 24 8B 46 04 E8 ?? ?? ?? ?? 89 1C 24 EB 04 43 4F 75 B9 83 3C 24 FF 75 0D 8B D5 8B 46 04 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10581_0 {
	meta:
		name = "TDataCache.IsDimension"
		size = 57
		refs = "001f TDataCache.GetDimension"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 33 DB 8B 47 08 8B 68 08 4D 85 ED 7C 1A 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 28 3B 04 24 75 02 B3 01 46 4D 75 E9 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10582_0 {
	meta:
		name = "TDataCache.IsSummary"
		size = 57
		refs = "001f TDataCache.GetSummary"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 33 DB 8B 47 04 8B 68 08 4D 85 ED 7C 1A 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 28 3B 04 24 75 02 B3 01 46 4D 75 E9 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10583_0 {
	meta:
		name = "TDataCache.SummaryFromPosition"
		size = 58
		refs = "0021 TDataCache.GetSummary"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 8B 47 04 8B 58 08 4B 85 DB 7C 18 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 68 28 75 03 89 04 24 46 4B 75 EB 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10584_0 {
	meta:
		name = "TDataCache.SummaryFromFieldName"
		size = 130
		refs = "0013 @LStrAddRef 001b TDataCache.SummaryFromFieldName 0041 TDataCache.GetSummary 004e @LStrCmp 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC 8B 40 04 8B 70 08 4E 85 F6 7C 23 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 43 44 8B 55 F8 E8 ?? ?? ?? ?? 75 03 89 5D F4 47 4E 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10585_0 {
	meta:
		name = "TDataCache.SummaryFromCubeDimIndex"
		size = 58
		refs = "0021 TDataCache.GetSummary"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 8B 47 04 8B 58 08 4B 85 DB 7C 18 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 68 2C 75 03 89 04 24 46 4B 75 EB 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10586_0 {
	meta:
		name = "TDataCache.GetSummaryName"
		size = 42
		refs = "000e TList.Get 0019 TSummary.GetName 0023 @LStrClr"
	strings:
		$1 = { 53 56 8B D9 8B 70 04 85 F6 74 15 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10587_0 {
	meta:
		name = "TDataCache.GetDimensionName"
		size = 42
		refs = "000e TList.Get 0019 TDimension.GetName 0023 @LStrClr"
	strings:
		$1 = { 53 56 8B D9 8B 70 08 85 F6 74 15 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10588_0 {
	meta:
		name = "TDataCache.GetDimensionMember"
		size = 165
		refs = "001e TDataCache.GetDimensionMember 002b @LStrClr 003a TList.Get 0045 TCustomArray.IsBlank 0055 TCustomArray.GetItem 005f @VarToLStr 0067 VarType 007b TFieldDefinition.FormatVariantToStr 0090 @VarClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 43 08 85 C0 74 49 8B 55 FC E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 32 8D 4D EC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C6 8D 55 EC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 3D 00 01 00 00 74 0D 8B CE 8D 55 EC 8B 43 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10589_0 {
	meta:
		name = "TDataCache.GetDimensionMemberAsVariant"
		size = 163
		refs = "001a TDataCache.GetDimensionMemberAsVariant 002e TList.Get 0039 TCustomArray.IsBlank 0049 TCustomArray.GetItem 0051 VarType 0066 TFieldDefinition.FormatVariantToStr 0071 @VarCopy 0086 @LStrClr 008e @VarClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 85 C0 74 3F 8B D7 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 34 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 3D 00 01 00 00 74 0E 8D 4D EC 8D 55 F0 8B 43 34 E8 ?? ?? ?? ?? 8B 45 08 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10590_0 {
	meta:
		name = "TDataCache.GetDimensionMemberCount"
		size = 23
		refs = "000a TList.Get 000f TCustomArray.GetMemberCount"
	strings:
		$1 = { 8B 48 08 85 C9 74 0D 8B C1 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_10591_0 {
	meta:
		name = "TDataCache.HasSubTotals"
		size = 49
		refs = "0018 TSmallIntArray.GetItem"
	strings:
		$1 = { 53 56 57 55 8B FA 33 DB 8B 6F 10 4D 85 ED 7C 1A 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 66 83 F8 FF 75 04 B3 01 EB 04 46 4D 75 E9 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10592_0 {
	meta:
		name = "TDataCache.HasValidSubTotals"
		size = 158
		refs = "002f TSmallIntArray.GetItem 003f TDataCache.GetDimension 0048 TCustomArray.GetMemberCount 0056 TDataCache.GetIndexCount 0078 TIndexInfo.IsSparse"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 8B FA 89 04 24 C6 44 24 08 00 8B 44 24 04 8B 40 10 48 85 C0 7C 71 40 89 44 24 0C 33 ED 8B D5 8B 44 24 04 E8 ?? ?? ?? ?? 66 83 F8 FF 75 52 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 48 F7 6B 2C 50 8B 44 24 04 E8 ?? ?? ?? ?? 48 5A 2B C2 85 C0 7D 02 33 C0 8B 57 34 8B 72 0C 4E 8B D8 2B DE 7F 1A 4B 8B D6 8B 47 34 E8 ?? ?? ?? ?? 84 C0 75 07 C6 44 24 08 01 EB 0B 4E 43 75 E7 45 FF 4C 24 0C 75 96 8A 44 24 08 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10593_0 {
	meta:
		name = "_NF__3FD"
		size = 306
		refs = "0038 TDataCache.GetDimensionCount 0051 TDataCache.GetDimension 005d TSmallIntArray.GetItem 00c9 TCustomArray.GetMemberCount 011c _NF__2ED 0125 _NF__2E8"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 55 FC 8B F8 33 C0 89 45 F0 8B 45 0C 33 D2 89 10 8B 45 F8 C7 00 01 00 00 00 8B 45 FC 33 D2 89 10 C6 45 EF 00 C6 45 EE 01 8B C7 E8 ?? ?? ?? ?? 48 89 45 F4 8B 5D F4 83 FB 00 0F 8C A7 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B D3 8B 45 08 E8 ?? ?? ?? ?? 66 83 F8 FF 74 30 C6 45 EE 00 8B D3 8B 45 08 E8 ?? ?? ?? ?? 0F BF C0 F7 6E 2C 8B 55 F8 01 02 8B D3 8B 45 08 E8 ?? ?? ?? ?? 0F BF C0 F7 6E 2C 8B 55 FC 01 02 EB 52 FF 45 F0 80 7D EE 00 75 06 C6 45 EF 00 EB 04 C6 45 EF 01 85 DB 7E 13 8B D3 4A 8B C7 E8 ?? ?? ?? ?? 8B 40 2C 48 8B 55 0C 89 02 3B 5D F4 75 14 8B C6 E8 ?? ?? ?? ?? 40 8B 55 F8 F7 2A 8B 55 F8 89 02 EB 0F 8B C6 E8 ?? ?? ?? ?? F7 6E 2C 8B 55 F8 01 02 4B 83 FB FF 0F 85 59 FF FF FF 83 7D F0 00 7E 30 8B 45 FC C7 00 FF FF FF FF 8B 45 F8 FF 08 80 7D EF 00 74 15 8B C7 E8 ?? ?? ?? ?? 3B 45 F0 74 09 C7 47 18 ?? ?? ?? ?? EB 07 C7 47 18 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10594_0 {
	meta:
		name = "TDataCache.IncSummaryIndex"
		size = 221
		refs = "0030 TList.Get 003d TSmallIntArray.GetItem 0071 TSmallIntArray.PutItem 007c TCustomArray.GetMemberCount 00ce TDataCache.HasSubTotals"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 45 FC 8B 45 08 C6 00 00 8B 45 F8 8B 40 10 48 8B D8 83 FB 00 0F 8C A0 00 00 00 8B 45 FC 8B 40 08 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 0F BF F8 8B 45 F4 8B 70 2C 8B D3 8B 45 0C E8 ?? ?? ?? ?? 0F BF C0 3B F0 7E 05 83 FE 01 75 3A 8B 45 08 C6 00 01 47 66 B9 01 00 8B D3 8B 45 0C E8 ?? ?? ?? ?? 4E 75 11 8B 45 F4 E8 ?? ?? ?? ?? 3B F8 7C 2D 83 CF FF EB 28 8B 45 F4 E8 ?? ?? ?? ?? 3B F8 7C 1C 83 CF FF EB 17 8B D3 8B 45 0C E8 ?? ?? ?? ?? 8B C8 41 8B D3 8B 45 0C E8 ?? ?? ?? ?? 8B CF 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 4B 83 FB FF 0F 85 60 FF FF FF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 34 01 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10595_0 {
	meta:
		name = "_NF__404"
		size = 204
		refs = "0021 _NF__404 0039 TDataCache.SummaryFromCubeDimIndex 0048 _NF__405 0095 @VarCopy 00ab Variant 00b5 @FinalizeArray 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 48 33 D2 8A 50 04 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 52 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 47 8B 45 FC 8B 40 48 33 D2 8A 50 05 8B C6 E8 ?? ?? ?? ?? 8D 55 DC 52 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 20 8D 4D CC 8B 45 FC 8B 70 48 8D 55 DC 8D 45 EC FF 96 04 01 00 00 8D 55 CC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10596_0 {
	meta:
		name = "_NF__405"
		size = 192
		refs = "0022 _NF__405 003f _NF__3FD 006a TIntArray.GetItem 0077 TIndexInfo.IsSparse 0087 TCustomArray.GetItem 0092 @VarCopy 00a9 @VarClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 8B F1 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 F0 50 8B 45 FC 50 8D 4D F4 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 83 7D F8 FF 75 17 8B 45 FC 50 8B 45 08 50 8B CE 8B 55 F0 8B 45 F4 FF 57 18 8B D8 EB 38 8B 46 34 8B 40 14 8B 55 F8 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B 46 34 E8 ?? ?? ?? ?? 84 C0 75 19 8D 4D E0 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 08 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10597_0 {
	meta:
		name = "TDataCache.GetSummaryAsString"
		size = 128
		refs = "001a TDataCache.GetSummaryAsString 0028 @LStrClr 0037 TList.Get 0059 TFieldDefinition.FormatVariantToStr 006e @VarClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 2A 8B 53 0C E8 ?? ?? ?? ?? 8B D8 8D 45 EC 50 8B CB 8B D6 8B 43 50 FF 53 4C 84 C0 74 0E 8B 4D FC 8D 55 EC 8B 43 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10598_0 {
	meta:
		name = "TDataCache.GetSummaryAsVariant"
		size = 158
		refs = "0020 TDataCache.GetSummaryAsVariant 0035 TList.Get 0041 @VarFromInt 004f VarAsType 006c @VarCopy 0082 Variant 008c @FinalizeArray 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 85 C0 74 3F 8B 53 0C E8 ?? ?? ?? ?? 8B D8 8D 45 DC 33 D2 E8 ?? ?? ?? ?? 8D 45 DC 8B 4D FC 8B 53 04 E8 ?? ?? ?? ?? 8D 45 EC 50 8B CB 8B D6 8B 43 50 FF 53 4C 84 C0 74 0B 8B 45 FC 8D 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10599_0 {
	meta:
		name = "_NF__40C"
		size = 98
		refs = "0013 _NF__40C 0024 TList.Get 004e @VarClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 0C 8B 43 04 E8 ?? ?? ?? ?? 8D 55 F0 52 8B D8 8B C8 8B D6 8B 43 50 FF 53 4C 8B D8 80 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10600_0 {
	meta:
		name = "_NF__40D"
		size = 83
		refs = "000e TDataCache.GetDimensionCount 0017 _Dn_TSmallIntArray 001c TSmallIntArray.Create 0047 TSmallIntArray.PutItem"
	strings:
		$1 = { 55 8B EC 53 56 6A 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 17 43 33 F6 8B 45 08 8B 40 F8 83 C9 FF 8B D6 E8 ?? ?? ?? ?? 46 4B 75 EC 5E 5B 5D C3 }
	condition:
		$1
}

rule function_10601_0 {
	meta:
		name = "_NF__40E"
		size = 82
		refs = "0023 TIntArray.GetItem 0033 TList.Get 003c TCustomArray.GetMemberCount"
	strings:
		$1 = { 55 8B EC 53 56 57 BE 01 00 00 00 8B 45 08 8B 40 F4 8B 58 10 4B 83 FB 00 7C 31 8B 45 08 8B 40 F4 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 40 08 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 40 F7 EE 8B F0 4B 83 FB FF 75 CF 8B C6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_10602_0 {
	meta:
		name = "TDataCache.GetDomain"
		size = 792
		refs = "002e TDataCache.GetDomain 0039 Screen 0053 TScreen.SetCursor 006b @Assert 0071 _NF__40E 0081 TTwoDimArray.SetSize 0091 TIntArray.GetItem 00a2 TList.Get 00ac TCustomArray.GetMemberCount 00c9 TDataCache.GetSparsing 00d5 _NF__444 00e2 TDataCache.SetSparsing 00f4 _NF__40D 011c TSmallIntArray.PutItem 0127 _NF__40C 0155 TTwoDimArray.GetElement 0162 TTwoDimArray.SetElement 02ae TObject.Free 02c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 55 F4 89 45 FC 8B 7D 08 33 C0 89 45 F0 66 C7 45 D8 00 00 8B 45 F4 83 78 10 00 0F 8E A0 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 66 8B 40 38 66 89 45 D8 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 85 FF 75 14 B9 24 10 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 55 F4 8B 52 10 8B C8 8B C7 E8 ?? ?? ?? ?? 33 C0 89 45 E8 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 08 8B 55 EC E8 ?? ?? ?? ?? 33 D2 89 55 E4 E8 ?? ?? ?? ?? 89 45 E0 8B 45 F4 8B 40 10 48 89 45 DC C6 45 DA 00 C6 45 DB 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 FC E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 E4 3B 45 E0 0F 8D D1 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1D 66 8B 4D E4 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 88 45 DB 80 7D DB 00 75 48 80 7D DA 00 74 30 C6 45 DA 00 FF 45 F0 8B 75 E8 4E 85 F6 7C 21 46 33 DB 8B 4D F0 49 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B 4D F0 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 E2 66 8B 45 E4 50 8B 4D F0 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 3B 45 DC 7D 39 80 7D DB 00 75 2E FF 45 E8 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 08 8B 55 EC E8 ?? ?? ?? ?? 33 D2 89 55 E4 E8 ?? ?? ?? ?? 89 45 E0 EB 12 FF 45 E4 EB 0D FF 45 E4 80 7D DB 00 75 04 C6 45 DA 01 8B 45 E4 3B 45 E0 0F 8C 2F FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 83 C9 FF 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 80 7D 0C 00 74 49 FF 45 F0 8B 75 E8 4E 85 F6 7C 21 46 33 DB 8B 4D F0 49 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B 4D F0 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 E2 8B 5D E8 8B 75 DC 2B F3 7C 13 46 6A FF 8B 4D F0 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 EE 83 7D E8 00 74 46 FF 4D E8 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 08 8B 55 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 4D F0 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 0F BF C0 89 45 E4 FF 45 E4 C6 45 DA 01 E9 6E FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 83 7D F8 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 66 8B 55 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE FF 45 F0 8B 45 F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 FF FF FF FF 16 00 00 00 43 3A 5C 74 70 5C 78 74 61 62 5C 4D 58 53 54 4F 52 45 2E 50 41 53 00 00 FF FF FF FF 11 00 00 00 41 73 73 65 72 74 69 6F 6E 20 66 61 69 6C 75 72 65 00 00 00 }
	condition:
		$1
}

rule function_10603_0 {
	meta:
		name = "TDataCache.SetActiveSummary"
		size = 140
		refs = "000e TDataCache.GetSummaryCount 001c TDataCache.SetActiveSummary 0026 @Assert 0031 TList.Get 0036 TSummary.ClearTotals 0040 TDataCache.ClearIndexInfo"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 0C 74 39 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 14 B9 A3 10 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 0C 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 0C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 FF FF FF FF 16 00 00 00 43 3A 5C 74 70 5C 78 74 61 62 5C 4D 58 53 54 4F 52 45 2E 50 41 53 00 00 FF FF FF FF 1A 00 00 00 45 72 72 6F 72 20 69 6E 20 73 75 6D 6D 61 72 79 20 73 65 6C 65 63 74 69 6F 6E 00 00 }
	condition:
		$1
}

rule function_10604_0 {
	meta:
		name = "_NF__418"
		size = 210
		refs = "0015 _NF__418 0041 TList.Get 0070 TIndexArray.GetElement 00a0 EndThread 00a6 @HandleFinally 00bd @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 01 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D8 8B 43 34 C6 40 18 01 8B 45 FC 8B 40 10 8B 40 08 8B F0 4E 85 F6 7C 2A 46 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 10 8B 55 F4 E8 ?? ?? ?? ?? 8D 55 E4 52 8B CB 8B D0 8B 43 50 FF 53 4C FF 45 F4 4E 75 DE 8B 43 34 C6 40 18 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10605_0 {
	meta:
		name = "TDataCache.CalcSubTotals"
		size = 35
		refs = "000a _NF__418 0013 BeginThread 001d CloseHandle"
	strings:
		$1 = { 51 50 6A 00 8D 44 24 08 50 B9 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? 85 C0 74 06 50 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_10606_0 {
	meta:
		name = "TDataCache.CreateTable"
		size = 620
		refs = "001b TDataCache.CreateTable 003a Application 0043 _NV__36A 0048 TBDEDataSet.Create 0055 _NF__373 005f _NF__374 0067 TDataSet.Edit 0072 TList.Get 0097 TDataSet.Append 00a2 @VarFromInt 00b2 TDataSet.SetFieldValue 00bd TIndexArray.GetElement 00c7 TDataCache.GetDimensionCount 00dd TDataCache.GetDimensionName 00e7 TSmallIntArray.GetItem 0112 TIndexInfo.IsSparse 011c @VarFromBool 0139 TDataCache.GetSummaryAsVariant 0141 VarIsEmpty 015a @VarCmp 016c @VarCast 0179 TDataCache.GetSummaryName 0198 TIntArray.GetItem 01e4 TDataSet.Close 01ec TObject.Free 01f2 @HandleFinally 0209 @LStrClr 0212 Variant 021c @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 57 0C 8B 47 04 E8 ?? ?? ?? ?? 89 45 F4 8B 47 10 8B 40 08 48 85 C0 0F 8C 45 01 00 00 40 89 45 E8 C7 45 FC 00 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 C8 8B 55 FC E8 ?? ?? ?? ?? 8D 4D C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 47 10 8B 55 FC E8 ?? ?? ?? ?? 89 45 F0 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 36 46 33 DB 8D 4D EC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 0F BF D0 8D 45 D8 E8 ?? ?? ?? ?? 8D 4D D8 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 CD 8B 45 F4 8B 40 34 8B 55 FC E8 ?? ?? ?? ?? 8B D0 8D 45 D8 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D D8 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 17 8D 45 C8 33 D2 E8 ?? ?? ?? ?? 8D 55 C8 8D 45 D8 E8 ?? ?? ?? ?? 74 2B B9 05 00 00 00 8D 55 D8 8D 45 D8 E8 ?? ?? ?? ?? 8D 4D C4 8B 57 0C 8B C7 E8 ?? ?? ?? ?? 8B 55 C4 8D 4D D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 34 8B 40 14 8B 55 FC E8 ?? ?? ?? ?? 8B D0 8D 45 D8 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 A0 01 00 00 FF 45 FC FF 4D E8 0F 85 C6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 08 00 00 00 50 6F 73 69 74 69 6F 6E 00 00 00 00 FF FF FF FF 06 00 00 00 53 70 61 72 73 65 00 00 FF FF FF FF 06 00 00 00 4F 66 66 73 65 74 00 00 }
	condition:
		$1
}

rule function_10608_0 {
	meta:
		name = "TDataCache.AddAggIndex"
		size = 410
		refs = "0023 TDataCache.AddAggIndex 0033 TDataCache.GetSummary 003e @VarClear 0057 _Dn_TSmallIntArray 005c TSmallIntArray.Create 007b TSmallIntArray.GetItem 0087 TSmallIntArray.PutItem 008e TDataCache.GetPreCalcTotals 00af TList.Get 00ba TBuilderDim.GetSumCount 00de TDataCache.GetDimensionMemberAsVariant 00ec TBuilderDim.GetSummary 0100 TDataCache.GetHasIndex 010f TIndexArray.Add 0119 TObject.Free 013e VarIsEmpty 014d TSummary.AddSubTotal 0163 TSummary.AddIndexInfo 017b Variant 0185 @FinalizeArray 018b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 57 0C 8B C7 E8 ?? ?? ?? ?? 89 45 EC 8D 45 D8 E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 C0 89 45 F4 6A 00 8B 45 FC 8B 48 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 70 10 4E 85 F6 0F 8C 82 00 00 00 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 5A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 66 83 F8 FF 74 4A FF 45 F4 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 7E 2E 83 7D F4 01 75 28 8D 45 C8 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 0F BF C8 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 55 C8 8D 4D D8 8B 45 E8 E8 ?? ?? ?? ?? 43 4E 75 81 8B 45 EC 8B 40 34 FF 40 08 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 55 F0 8B 47 10 E8 ?? ?? ?? ?? EB 08 8B 45 F0 E8 ?? ?? ?? ?? BB FD FF FF FF 83 7D E8 00 74 32 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 7E 26 83 7D F4 01 75 20 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 75 0F 8D 55 D8 8B 45 EC E8 ?? ?? ?? ?? 8B D8 EB 05 BB FE FF FF FF 53 33 C9 B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10609_0 {
	meta:
		name = "TDataCache.AddIndex"
		size = 163
		refs = "001a TDataCache.GetSummary 002a _Dn_TSmallIntArray 002f TSmallIntArray.Create 0045 TSmallIntArray.GetItem 0050 TSmallIntArray.PutItem 006c TDataCache.GetHasIndex 007d TIndexArray.Add 0086 TObject.Free 0097 TSummary.AddIndexInfo"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 88 4C 24 04 8B EA 89 04 24 8B 04 24 8B 50 0C 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 08 6A 00 8B 4D 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 75 10 4E 85 F6 7C 1B 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 E8 80 7C 24 04 00 74 09 8B 04 24 8B 40 14 FF 40 04 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 0F 8B 04 24 8B 40 10 8B D7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 6A 00 8A 4C 24 08 33 D2 8B 44 24 0C E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10611_0 {
	meta:
		name = "TDataCache.GetMemoryUsage"
		size = 126
		refs = "0011 TDataCache.GetDimensionCount 0024 TDataCache.GetDimension 003b TDataCache.GetSummaryCount 004e TDataCache.GetSummary 0068 AllocMemSize 0071 _NF__428"
	strings:
		$1 = { 53 56 57 55 8B F0 33 ED 83 7E 08 00 74 24 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 12 03 E8 47 4B 75 ED 83 7E 04 00 74 24 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 12 03 E8 47 4B 75 ED 8B 46 10 85 C0 74 03 03 68 04 8B 15 ?? ?? ?? ?? 8B 12 8B C5 E8 ?? ?? ?? ?? 8B E8 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10612_0 {
	meta:
		name = "TDataCache.GetSuccess"
		size = 8
	strings:
		$1 = { F6 40 23 04 0F 95 C0 C3 }
	condition:
		$1
}

rule function_10613_0 {
	meta:
		name = "TDataCache.SetSuccess"
		size = 19
	strings:
		$1 = { 53 8B D8 84 D2 74 06 80 4B 23 04 5B C3 80 63 23 FB 5B C3 }
	condition:
		$1
}

rule function_10614_0 {
	meta:
		name = "TDataCache.GetPreCalcTotals"
		size = 8
	strings:
		$1 = { F6 40 20 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_10615_0 {
	meta:
		name = "TDataCache.SetPreCalcTotals"
		size = 19
	strings:
		$1 = { 53 8B D8 84 D2 74 06 80 4B 20 01 5B C3 80 63 20 FE 5B C3 }
	condition:
		$1
}

rule function_10616_0 {
	meta:
		name = "TDataCache.GetSparsing"
		size = 8
	strings:
		$1 = { F6 40 21 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_10617_0 {
	meta:
		name = "TDataCache.SetSparsing"
		size = 19
	strings:
		$1 = { 53 8B D8 84 D2 74 06 80 4B 21 01 5B C3 80 63 21 FE 5B C3 }
	condition:
		$1
}

rule function_10618_0 {
	meta:
		name = "TDataCache.GetHasIndex"
		size = 8
	strings:
		$1 = { F6 40 23 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_10619_0 {
	meta:
		name = "TDataCache.SetHasIndex"
		size = 19
	strings:
		$1 = { 53 8B D8 84 D2 74 06 80 4B 23 01 5B C3 80 63 23 FE 5B C3 }
	condition:
		$1
}

rule function_10620_0 {
	meta:
		name = "TDataCache.DimensionFromFieldName"
		size = 133
		refs = "0013 @LStrAddRef 001b TDataCache.DimensionFromFieldName 0044 TList.Get 0051 @LStrCmp 006f @LStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC 8B 40 08 8B 70 08 4E 85 F6 7C 26 46 33 FF 8B 45 FC 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 38 8B 55 F8 E8 ?? ?? ?? ?? 75 03 89 5D F4 47 4E 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10621_0 {
	meta:
		name = "TDataCache.ClearIndexInfo"
		size = 67
		refs = "001b TIndexArray.GetElement 0024 TDataCache.HasSubTotals 0037 TIndexInfo.AddOffset"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 10 8B 40 08 8B F8 4F 85 FF 7C 2D 47 33 F6 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F B9 FD FF FF FF 8B D6 8B 43 14 E8 ?? ?? ?? ?? 46 4F 75 D6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10622_0 {
	meta:
		name = "_NF__444"
		size = 26
		refs = "0005 TDataCache.GetSummary 000e TCustomArray.GetMemberCount"
	strings:
		$1 = { 53 8B 50 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 43 24 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_10623_0 {
	meta:
		name = "_NF__445"
		size = 235
		refs = "003a @VarAddRef 004a _NF__445 0069 @VarCopy 0074 @VarRDiv 008e @HandleOnException 0096 _Dn_EDivByZero 00ac @VarFromInt 00b3 @RaiseAgain 00b8 @DoneExcept 00ce Variant 00d8 @FinalizeArray 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D D0 89 5D D4 89 5D D8 8B F2 8D 7D DC 51 B9 04 00 00 00 F3 A5 59 8B F0 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8D 45 EC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 8D 55 DC E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2F E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10624_0 {
	meta:
		name = "TSummary.Create"
		size = 137
		refs = "000f @ClassCreate 0020 FieldTypeToVarType 002c TCustomArray.Create 0040 _Dn_TThreadCustomArray 0045 TThreadCustomArray.Create 004f _DV_TFieldDefinition 0054 TFieldDefinition.Create 005e _DV_TAggDefinition 0063 TObject.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 50 8B CF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 33 C0 89 46 34 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10625_0 {
	meta:
		name = "TSummary.Destroy"
		size = 90
		refs = "0013 TObject.Free 0046 TCustomArray.Destroy 0051 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C0 89 46 28 8B 46 38 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 46 38 8B 46 40 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 46 40 8B 46 48 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 46 48 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10627_0 {
	meta:
		name = "TSummary.GetFieldType"
		size = 7
	strings:
		$1 = { 8B 40 40 8A 40 08 C3 }
	condition:
		$1
}

rule function_10628_0 {
	meta:
		name = "TDimension.SetPosition"
		size = 4
		altNames = "TSummary.SetPosition"
	strings:
		$1 = { 89 50 28 C3 }
	condition:
		$1
}

rule function_10629_0 {
	meta:
		name = "TDimension.SetFlag"
		size = 21
		altNames = "TSummary.SetFlag"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 FB 07 77 07 83 E3 7F 0F AB 5E 30 5E 5B C3 }
	condition:
		$1
}

rule function_10630_0 {
	meta:
		name = "TSummary.AddSum"
		size = 100
		refs = "001b @VarAddRef 0023 TSummary.AddSum 0030 TCustomArray.GetMemberCount 003c TCustomArray.SetItem 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10631_0 {
	meta:
		name = "TSummary.AddSubTotal"
		size = 96
		refs = "001b @VarAddRef 0023 TSummary.AddSubTotal 0034 TThreadCustomArray.Add 004b @VarClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 43 38 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10632_0 {
	meta:
		name = "TSummary.AddIndexInfo"
		size = 204
		refs = "0018 TSummary.AddIndexInfo 0028 @GetMem 008c TIndexInfo.Add 00a9 @FreeMem 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D FF 8B DA 8B F0 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 10 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 46 34 8B 40 04 8B 55 F4 89 02 8B 46 34 8B 40 08 8B 55 F4 89 42 04 84 DB 74 17 8B 45 F4 8A 15 ?? ?? ?? ?? 88 50 0C 8B 45 F4 8B 55 08 89 50 08 EB 0C 8B 45 F4 8A 15 ?? ?? ?? ?? 88 50 0C 80 7D FF 00 74 12 8B 45 F4 8A 40 0C 0A 05 ?? ?? ?? ?? 8B 55 F4 88 42 0C 8B 46 34 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? BA 10 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5E 5B 8B E5 5D C2 04 00 08 00 00 00 01 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_10633_0 {
	meta:
		name = "TDimension.HasFlag"
		size = 16
		altNames = "TSummary.HasFlag"
	strings:
		$1 = { 80 FA 07 77 07 83 E2 7F 0F A3 50 30 0F 92 C0 C3 }
	condition:
		$1
}

rule function_10634_0 {
	meta:
		name = "TSummary.SetName"
		size = 76
		refs = "000e @LStrAddRef 0016 TSummary.SetName 0027 TFieldDefinition.SetName 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10635_0 {
	meta:
		name = "TSummary.GetName"
		size = 19
		refs = "000c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10637_0 {
	meta:
		name = "TSummary.MemoryUsage"
		size = 48
		refs = "001c TThreadCustomArray.MemoryUsage 0025 TCustomArray.MemoryUsage"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B 43 34 85 C0 74 0B 8B 50 14 8B 42 08 F7 6A 0C 03 F0 8B 43 38 E8 ?? ?? ?? ?? 03 F0 8B C3 E8 ?? ?? ?? ?? 03 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10638_0 {
	meta:
		name = "TSummary.UpdateIndexInfo"
		size = 193
		refs = "002b @VarAddRef 0033 TSummary.UpdateIndexInfo 0043 @VarFromInt 004e @VarCmp 0063 TSummary.AddSubTotal 006f TIndexInfo.AddOffset 00a4 Variant 00ae @FinalizeArray 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 33 D2 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 74 2F 8B 43 34 80 78 18 01 75 18 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 34 E8 ?? ?? ?? ?? EB 1D B9 FC FF FF FF 8B D6 E8 ?? ?? ?? ?? EB 0F B9 FE FF FF FF 8B D6 8B 43 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10639_0 {
	meta:
		name = "TSummary.SetAggregator"
		size = 377
		refs = "001d @LStrAddRef 0025 TSummary.SetAggregator 0053 TCollection.GetCount 0066 TCubeDims.GetCubeDim 0080 @LStrCmp 008f SCountStar 0094 LoadResString 00ac AnsiUpperCase 0127 _NF__445 0159 @LStrArrayClr 0161 @LStrClr 0167 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D E4 8B F9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF C7 45 EC FF FF FF FF 8B 45 08 C7 00 FF FF FF FF C6 45 F7 00 83 7D EC 00 7D 74 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 66 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 28 02 75 50 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 1C 8B 45 F8 E8 ?? ?? ?? ?? 75 05 89 5D EC EB 35 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 14 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 58 E8 ?? ?? ?? ?? 75 05 89 5D EC EB 04 43 4E 75 9D 83 7D F0 00 7D 3F 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 31 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 1C 8B 45 F8 E8 ?? ?? ?? ?? 75 14 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 28 01 75 05 89 5D F0 EB 04 43 4E 75 D2 83 7D EC FF 74 34 83 7D F0 FF 74 2E 80 7D 0C 03 75 24 8B 45 FC 8B 40 48 C7 80 04 01 00 00 ?? ?? ?? ?? 8A 55 F0 88 50 04 8A 55 EC 88 50 05 8B 45 08 8B 55 F0 89 10 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8A 45 F7 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10640_0 {
	meta:
		name = "TSummary.GetDerived"
		size = 8
	strings:
		$1 = { 83 78 28 FF 0F 94 C0 C3 }
	condition:
		$1
}

rule function_10641_0 {
	meta:
		name = "TSummary.ClearTotals"
		size = 49
		refs = "000b TObject.Free 0016 FieldTypeToVarType 0023 _Dn_TThreadCustomArray 0028 TThreadCustomArray.Create"
	strings:
		$1 = { 53 8B D8 8B 43 38 85 C0 74 05 E8 ?? ?? ?? ?? 8B 43 40 8A 40 08 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 5B C3 }
	condition:
		$1
}

rule function_10642_0 {
	meta:
		name = "TDimension.Create"
		size = 87
		refs = "000e @ClassCreate 001c FieldTypeToVarType 0028 TCustomArray.Create 0034 _DV_TFieldDefinition 0039 TFieldDefinition.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8A 45 08 E8 ?? ?? ?? ?? 50 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 34 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10643_0 {
	meta:
		name = "TDimension.Destroy"
		size = 47
		refs = "000a TObject.Free 001b TCustomArray.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 34 E8 ?? ?? ?? ?? 33 C0 89 46 28 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10645_0 {
	meta:
		name = "TDimension.GetFieldType"
		size = 7
	strings:
		$1 = { 8B 40 34 8A 40 08 C3 }
	condition:
		$1
}

rule function_10647_0 {
	meta:
		name = "TDimension.SetName"
		size = 76
		refs = "000e @LStrAddRef 0016 TDimension.SetName 0027 TFieldDefinition.SetName 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10648_0 {
	meta:
		name = "TDimension.GetName"
		size = 22
		refs = "000f @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 34 8B 52 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10651_0 {
	meta:
		name = "TDimension.ClearFlag"
		size = 21
	strings:
		$1 = { 53 56 8B DA 8B F0 80 FB 07 77 07 83 E3 7F 0F B3 5E 30 5E 5B C3 }
	condition:
		$1
}

rule function_10652_0 {
	meta:
		name = "TDimension.SetRangeCounting"
		size = 34
		refs = "000a TCustomArray.GetMemberCount"
	strings:
		$1 = { 53 8B D8 84 D2 74 0C 8B C3 E8 ?? ?? ?? ?? 89 43 2C 5B C3 8B C3 E8 ?? ?? ?? ?? 2B 43 2C 89 43 2C 5B C3 }
	condition:
		$1
}

rule function_10653_0 {
	meta:
		name = "TDimension.AssignSorted"
		size = 9
		refs = "0004 TCustomArray.Assign"
	strings:
		$1 = { 51 B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10654_0 {
	meta:
		name = "TDimension.IsString"
		size = 11
	strings:
		$1 = { 8B 40 34 80 78 08 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_10655_0 {
	meta:
		name = "TDimension.SetRange"
		size = 4
	strings:
		$1 = { 89 50 2C C3 }
	condition:
		$1
}

rule function_10656_0 {
	meta:
		name = "TFieldDefinition.Create"
		size = 50
		refs = "000a @ClassCreate 0017 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 14 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10657_0 {
	meta:
		name = "TFieldDefinition.FormatVariantToStr"
		size = 571
		refs = "002d @VarAddRef 0035 TFieldDefinition.FormatVariantToStr 0082 @VarToReal 0093 FormatFloat 00b7 FloatToStrF 0123 FormatDateTime 013e DateTimeToStr 017d DateToStr 01b9 TimeToStr 01cb @VarCast 01d5 @VarFromBool 01e0 @VarCmp 01e9 sTrue 01ee LoadResString 01f7 sFalse 0208 VarToStr 021e Variant 0228 @FinalizeArray 022e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 43 14 83 F8 08 0F 87 B5 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7B 04 00 74 1E 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D6 8B 43 04 E8 ?? ?? ?? ?? E9 70 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 56 B9 02 00 00 00 8B 53 18 33 C0 E8 ?? ?? ?? ?? E9 4C 01 00 00 83 7B 04 00 74 1E 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D6 8B 43 04 E8 ?? ?? ?? ?? E9 28 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 56 B9 02 00 00 00 8B 53 18 B0 04 E8 ?? ?? ?? ?? E9 04 01 00 00 83 7B 04 00 74 1E 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D6 8B 43 04 E8 ?? ?? ?? ?? E9 E0 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 C5 00 00 00 83 7B 04 00 74 1E 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D6 8B 43 04 E8 ?? ?? ?? ?? E9 A1 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 86 00 00 00 83 7B 04 00 74 1B 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D6 8B 43 04 E8 ?? ?? ?? ?? EB 65 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 4D B9 0B 00 00 00 8D 55 F0 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 B2 01 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 75 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B D6 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10658_0 {
	meta:
		name = "TFieldDefinition.SetFieldType"
		size = 21
		refs = "000d _NV__4B0"
	strings:
		$1 = { 3A 50 08 74 0F 88 50 08 83 E2 7F 8A 92 ?? ?? ?? ?? 88 50 14 C3 }
	condition:
		$1
}

rule function_10659_0 {
	meta:
		name = "TFieldDefinition.SetName"
		size = 76
		refs = "000e @LStrAddRef 0016 TFieldDefinition.SetName 0027 @LStrAsg 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10660_0 {
	meta:
		name = "TBuilderDim.Create"
		size = 84
		refs = "000d @ClassCreate 001e TDimension.Create 0032 _Dn_TStringArray 0037 TStringArray.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8A 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 3C 00 33 C0 89 46 40 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10661_0 {
	meta:
		name = "TBuilderDim.Destroy"
		size = 60
		refs = "000a TObject.Free 0028 TDimension.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 44 E8 ?? ?? ?? ?? 33 C0 89 46 44 8B 46 58 E8 ?? ?? ?? ?? 33 C0 89 46 58 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10662_0 {
	meta:
		name = "TBuilderDim.InitSummary"
		size = 33
		refs = "000f _Dn_TCustomArray 0014 TCustomArray.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 89 73 5C 5E 5B C3 }
	condition:
		$1
}

rule function_10663_0 {
	meta:
		name = "TBuilderDim.Add"
		size = 100
		refs = "001b @VarAddRef 0023 TBuilderDim.Add 0030 TCustomArray.GetMemberCount 003c TCustomArray.SetItem 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10664_0 {
	meta:
		name = "TBuilderDim.AddSummary"
		size = 158
		refs = "0024 @VarAddRef 002c TBuilderDim.AddSummary 0040 TCustomArray.GetItem 0052 @VarCopy 005d @VarAdd 006b TCustomArray.SetItem 0081 Variant 008b @FinalizeArray 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E0 8B 53 40 8B 43 44 E8 ?? ?? ?? ?? 66 83 7D F0 01 74 24 8D 55 E0 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D0 8D 55 F0 E8 ?? ?? ?? ?? 8D 4D D0 8B 53 40 8B 43 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10665_0 {
	meta:
		name = "TBuilderDim.MatchLastVal"
		size = 156
		refs = "0029 @VarAddRef 0031 TBuilderDim.MatchLastVal 0043 TBuilderDim.GetLastVal 004b VarIsEmpty 0064 @VarCmp 007d Variant 0087 @FinalizeArray 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D E4 89 4D E8 89 4D EC 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B F0 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 18 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10666_0 {
	meta:
		name = "_NF__4CB"
		size = 152
		refs = "001b @VarAddRef 0023 _NF__4CB 004e @LStrLAsg 0057 @LStrClr 0063 VarToStr 0078 @VarClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F0 8D 7D F0 B9 04 00 00 00 F3 A5 8B DA 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 8B 45 F0 66 83 E8 02 73 26 8B 45 08 8B 40 FC 81 78 04 00 01 00 00 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B C3 E8 ?? ?? ?? ?? EB 0A 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_10667_0 {
	meta:
		name = "TBuilderDim.SetLastVal"
		size = 299
		refs = "0026 @VarAddRef 002e TBuilderDim.SetLastVal 0042 @VarCopy 0065 TStringArray.GetString 0075 _NF__4CB 007f @LStrCmp 00b0 TStringArray.Add 00c2 @VarFromInt 00d3 VarAsType 00e3 TCustomArray.SetItem 00f9 Variant 0103 @FinalizeArray 0110 @LStrArrayClr 0118 @VarClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8D 7D EC B9 04 00 00 00 F3 A5 89 45 FC 8D 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 48 8D 55 EC E8 ?? ?? ?? ?? 33 DB 8B 45 FC 8B 40 58 8B 78 10 4F 85 FF 7C 37 47 33 F6 8D 4D E8 8B 45 FC 8B 40 58 8B D6 E8 ?? ?? ?? ?? 8B 45 E8 50 55 8D 55 E4 8D 45 EC E8 ?? ?? ?? ?? 59 8B 55 E4 58 E8 ?? ?? ?? ?? 75 04 B3 01 EB 04 46 4F 75 CC 84 DB 74 08 8B 45 FC 89 70 40 EB 4E 55 8D 55 E8 8D 45 EC E8 ?? ?? ?? ?? 59 8B 55 E8 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 40 8D 45 C4 33 D2 E8 ?? ?? ?? ?? 8D 45 C4 8D 4D D4 8B 55 FC 8B 52 5C E8 ?? ?? ?? ?? 8D 4D D4 8B D3 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10668_0 {
	meta:
		name = "TBuilderDim.GetLastVal"
		size = 19
		refs = "000c @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10669_0 {
	meta:
		name = "TBuilderDim.GetSummary"
		size = 200
		refs = "0028 @VarAddRef 0030 TBuilderDim.GetSummary 003e VarIsEmpty 004a @LStrClr 0057 VarToStr 0072 TStringArray.GetString 007d @LStrCmp 0090 TCustomArray.GetItem 00ad @VarClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F8 8B F2 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B F8 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 45 F8 E8 ?? ?? ?? ?? EB 0B 8D 55 F8 8D 45 E8 E8 ?? ?? ?? ?? 8B 47 58 8B 58 10 4B 85 DB 7C 21 43 33 F6 8D 4D E4 8B D6 8B 47 58 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 74 04 46 4B 75 E2 8B 4D FC 8B D6 8B 47 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10671_0 {
	meta:
		name = "TCubeDims.Create"
		size = 56
		refs = "000d @ClassCreate 001e TDimensionItems.Create"
		altNames = "TQueryDims.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10677_0 {
	meta:
		name = "TCubeDims.GetDirtyFlag"
		size = 68
		refs = "000b TCollection.GetCount 001e TCubeDims.GetCubeDim"
	strings:
		$1 = { 53 56 57 55 8B F8 33 DB 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 27 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 80 78 48 00 74 11 8B D5 8B C7 E8 ?? ?? ?? ?? C6 40 48 00 B3 01 EB 04 45 4E 75 DC 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10678_0 {
	meta:
		name = "TCubeDim.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TDimensionItem.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 2C 00 C6 46 48 00 33 C0 89 46 30 89 46 34 33 C0 89 46 4C C7 46 50 FF FF FF FF C6 46 54 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10679_0 {
	meta:
		name = "TCubeDim.Destroy"
		size = 48
		refs = "001c TCollectionItem.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 4C 85 C0 74 07 B2 01 8B 08 FF 51 FC 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10680_0 {
	meta:
		name = "TCubeDim.Assign"
		size = 121
		refs = "000d TDimensionItem.Assign 0038 @LStrAsg 005c _Dn_TBinData 0061 TBinData.create"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B FE 8A 47 2C 88 43 2C 8B 47 38 89 43 38 8B 47 3C 89 43 3C 8B 47 30 89 43 30 8B 47 34 89 43 34 8D 43 40 8B 57 40 E8 ?? ?? ?? ?? 8D 43 44 8B 57 44 E8 ?? ?? ?? ?? 8B 47 50 89 43 50 8A 47 54 88 43 54 83 7F 4C 00 74 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 89 6B 4C 8B 57 4C 8B C5 8B 08 FF 51 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10681_0 {
	meta:
		name = "TCubeDim.InitializeRange"
		size = 103
		refs = "0016 TCubeDim.SetBin 001b Now 0039 DecodeDate 004b EncodeDate 005e TCubeDim.SetDate"
	strings:
		$1 = { 53 83 C4 E8 8B D8 8A 43 20 2C 09 74 04 2C 02 75 51 B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5C 24 08 9B FF 74 24 0C FF 74 24 0C 8D 4C 24 1C 8D 54 24 1A 8D 44 24 18 E8 ?? ?? ?? ?? 66 B9 01 00 66 BA 01 00 66 8B 44 24 10 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_10682_0 {
	meta:
		name = "TCubeDim.GetLoaded"
		size = 4
	strings:
		$1 = { 8A 40 21 C3 }
	condition:
		$1
}

rule function_10683_0 {
	meta:
		name = "TCubeDim.SetLoaded"
		size = 157
		refs = "0016 TCubeDim.SetLoaded 0028 @CallDynaInst 002e _DV_TCustomDataStore 0033 @IsClass 0053 SDimMapActiveError 0058 LoadResString 0062 _Dn_Exception 0067 Exception.Create 006c @RaiseExcept 0076 TDimensionItem.SetActive 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 24 66 BB FF FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B 46 24 66 BB FF FF E8 ?? ?? ?? ?? 8B 40 30 3B 46 24 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10684_0 {
	meta:
		name = "TCubeDim.NotifyCollection"
		size = 10
		refs = "0005 TDimensionItem.NotifyCollection"
	strings:
		$1 = { C6 40 48 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10685_0 {
	meta:
		name = "TCubeDim.DataSetTransform"
		size = 309
		refs = "0023 TCubeDim.DataSetTransform 007a TList.Get 0097 TCustomArray.ConvertVar 00a1 @VarCopy 00a9 TCustomArray.GetMemberCount 00c0 TCustomArray.GetItem 00ca @VarCmp 00d6 @VarFromLStr 00f8 TBinData.AddBinValue 011a @VarClr 0122 @LStrClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 89 5D E0 89 5D E4 89 5D EC 89 4D FC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 4C 89 45 F4 83 7D F4 00 0F 84 C9 00 00 00 8B 45 F4 8B 40 04 8B 10 FF 52 14 48 85 C0 0F 8C 98 00 00 00 40 89 45 E8 C7 45 F8 00 00 00 00 8D 4D EC 8B 45 F4 8B 40 04 8B 55 F8 8B 18 FF 53 0C 8B 45 F4 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 40 04 0F B7 16 3B C2 74 17 8D 4D D8 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2C 43 33 FF 8D 4D D8 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 D8 8B D6 E8 ?? ?? ?? ?? 75 0C 8B C6 8B 55 EC E8 ?? ?? ?? ?? EB 2D 47 4B 75 D7 FF 45 F8 FF 4D E8 0F 85 73 FF FF FF 8B CE 8B 45 F4 8B 50 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 8B 55 F4 8B 52 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10686_0 {
	meta:
		name = "TCubeDim.YearTransform"
		size = 240
		refs = "000d VarType 0030 TCubeDim.YearTransform 004e DecodeDate 0067 @VarToReal 00da EncodeDate 00e1 @VarFromTDateTime"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F9 8B F2 8B C6 E8 ?? ?? ?? ?? 83 F8 07 0F 85 CB 00 00 00 33 DB 8B 47 38 89 44 24 14 8B 47 3C 89 44 24 18 DD 44 24 14 D8 1D ?? ?? ?? ?? DF E0 9E 74 2B FF 74 24 18 FF 74 24 18 8D 4C 24 1A 8D 54 24 18 8D 44 24 16 E8 ?? ?? ?? ?? 66 83 7C 24 10 01 75 08 66 83 7C 24 12 01 74 02 B3 01 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8D 4C 24 14 8D 54 24 12 8D 44 24 10 E8 ?? ?? ?? ?? 84 DB 74 30 66 8B 44 24 0A 66 3B 44 24 10 75 13 66 8B 44 24 0C 66 3B 44 24 12 72 18 66 FF 44 24 08 EB 11 66 8B 44 24 0A 66 3B 44 24 10 76 05 66 FF 44 24 08 66 C7 44 24 0A 01 00 66 C7 44 24 0C 01 00 66 8B 4C 24 0C 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_10687_0 {
	meta:
		name = "TCubeDim.MonthTransform"
		size = 236
		refs = "000d VarType 0030 TCubeDim.MonthTransform 004e DecodeDate 0067 @VarToReal 00d3 EncodeDate 00da @VarFromTDateTime"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F9 8B F2 8B C6 E8 ?? ?? ?? ?? 83 F8 07 0F 85 C4 00 00 00 33 DB 8B 47 38 89 44 24 14 8B 47 3C 89 44 24 18 DD 44 24 14 D8 1D ?? ?? ?? ?? DF E0 9E 74 2B FF 74 24 18 FF 74 24 18 8D 4C 24 1A 8D 54 24 18 8D 44 24 16 E8 ?? ?? ?? ?? 66 83 7C 24 10 01 75 08 66 83 7C 24 12 01 74 02 B3 01 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8D 4C 24 14 8D 54 24 12 8D 44 24 10 E8 ?? ?? ?? ?? 84 DB 74 30 66 8B 44 24 0A 66 3B 44 24 10 75 13 66 8B 44 24 0C 66 3B 44 24 12 72 18 66 FF 44 24 08 EB 11 66 8B 44 24 0A 66 3B 44 24 10 76 05 66 FF 44 24 08 66 C7 44 24 0C 01 00 66 8B 4C 24 0C 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_10688_0 {
	meta:
		name = "_NF__50B"
		size = 164
		refs = "0023 _NF__50B 0044 DecodeDate"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 89 55 FC 8B F0 8B 45 08 8B 40 FC 8B 50 38 89 55 EC 8B 50 3C 89 55 F0 DD 45 EC D8 1D ?? ?? ?? ?? DF E0 9E 75 08 66 C7 45 F8 01 00 EB 14 FF 75 F0 FF 75 EC 8D 4D F6 8D 55 F8 8D 45 FA E8 ?? ?? ?? ?? 66 B9 01 00 66 8B 55 F8 B8 03 00 00 00 66 3B 16 75 14 66 8B 06 66 3B 45 F8 72 06 8B 45 FC 66 FF 00 66 89 0E EB 2B 42 48 75 E3 66 83 FA 0C 72 04 66 BA 01 00 41 66 83 F9 04 76 CD 66 8B 06 66 3B 45 F8 72 06 8B 45 FC 66 FF 00 66 8B 45 F8 66 89 06 5E 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_10689_0 {
	meta:
		name = "TCubeDim.QuarterTransform"
		size = 103
		refs = "000f VarType 001b @VarToReal 0033 DecodeDate 0045 _NF__50B 0057 EncodeDate 005e @VarFromTDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D FC 8B DA 8B C3 E8 ?? ?? ?? ?? 83 F8 07 75 4A 8B C3 E8 ?? ?? ?? ?? DD 5D F4 9B FF 75 F8 FF 75 F4 8D 4D EE 8D 55 F0 8D 45 F2 E8 ?? ?? ?? ?? 66 C7 45 EE 01 00 55 8D 55 F2 8D 45 F0 E8 ?? ?? ?? ?? 59 66 8B 4D EE 66 8B 55 F0 66 8B 45 F2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10690_0 {
	meta:
		name = "TCubeDim.AssignBinTypeTransform"
		size = 60
		refs = "000d TCubeDim.YearTransform 001d TCubeDim.MonthTransform 002d TCubeDim.QuarterTransform"
	strings:
		$1 = { 53 8B D9 80 FA 01 75 0B 89 43 04 C7 03 ?? ?? ?? ?? 5B C3 80 FA 03 75 0B 89 43 04 C7 03 ?? ?? ?? ?? EB 17 80 FA 02 75 0B 89 43 04 C7 03 ?? ?? ?? ?? EB 07 33 C0 89 03 89 43 04 5B C3 }
	condition:
		$1
}

rule function_10691_0 {
	meta:
		name = "TCubeDim.AssignBinTypeFormat"
		size = 128
		refs = "000b TCubeDim.AssignBinTypeFormat 0010 @LStrLAsg 003f @LStrClr"
	strings:
		$1 = { 53 8B D9 80 FA 01 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 80 FA 03 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 80 FA 02 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 04 00 00 00 79 79 79 79 00 00 00 00 FF FF FF FF 09 00 00 00 6D 6D 6D 2C 20 79 79 79 79 00 00 00 FF FF FF FF 0A 00 00 00 22 51 22 6D 2C 20 79 79 79 79 00 00 }
	condition:
		$1
}

rule function_10692_0 {
	meta:
		name = "TCubeDim.SetBin"
		size = 252
		refs = "0015 TCubeDim.SetBin 003f _NF__2E2 004b sBinTypeMismatch 0050 LoadResString 005a _DV_ECacheError 005f Exception.Create 0064 @RaiseExcept 0070 TCubeDim.AssignBinTypeTransform 0088 TCubeDim.AssignBinTypeFormat 0093 @LStrAsg 009f TCubeDim.DataSetTransform 00a6 _Dn_TBinData 00ab TBinData.create 00c0 @LStrClr 00cd TObject.Free 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 2C 0F 84 B1 00 00 00 8B C3 48 2C 03 72 0C 74 68 FE C8 0F 84 8B 00 00 00 EB 79 8A 46 20 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 46 30 8B 45 F8 89 46 34 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 40 E8 ?? ?? ?? ?? EB 2B 89 76 34 C7 46 30 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C EB 10 33 C0 89 46 30 89 46 34 8D 46 40 E8 ?? ?? ?? ?? 80 FB 04 74 0D 8B 46 4C E8 ?? ?? ?? ?? 33 C0 89 46 4C 88 5E 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10694_0 {
	meta:
		name = "TCubeDim.SetDate"
		size = 94
		refs = "000c TCubeDim.SetDate 002c DateToStr 0037 @LStrAsg 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 43 38 8B 45 0C 89 43 3C FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10695_0 {
	meta:
		name = "TCubeDim.SetStart"
		size = 268
		refs = "001a @LStrAddRef 0022 TCubeDim.SetStart 0033 @LStrAsg 0040 TCubeDim.GetBin 004c FieldTypeToVarType 0058 @VarFromLStr 0064 @VarCast 006d TCubeDim.SetBin 007e VarType 008d TBinData.AddBin 009a TBinData.AddIBinValue 00b0 StrToDate 00be TCubeDim.SetDate 00d4 Variant 00de @FinalizeArray 00e6 @LStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 44 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 63 8B C3 E8 ?? ?? ?? ?? 3C 04 75 58 8A 43 20 E8 ?? ?? ?? ?? 50 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8D 55 DC 8D 45 EC 59 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 04 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 8D 4D EC 33 D2 8B 43 4C E8 ?? ?? ?? ?? EB 22 8B C3 E8 ?? ?? ?? ?? 48 2C 03 73 16 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 FF FF FF FF 0B 00 00 00 53 69 6E 67 6C 65 56 61 6C 75 65 00 }
	condition:
		$1
}

rule function_10696_0 {
	meta:
		name = "TCubeDim.DefineProperties"
		size = 196
		refs = "000c TPersistent.DefineProperties 0012 _NF__528 0018 _NF__529 001f TCubeDim.DefineProperties 002b _NF__524 0042 _NF__525 0059 _NF__526 005f _NF__527"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 7B 44 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5F 5E 5B C3 00 00 00 FF FF FF FF 06 00 00 00 41 63 74 69 76 65 00 00 FF FF FF FF 07 00 00 00 44 61 74 65 42 69 6E 00 FF FF FF FF 09 00 00 00 53 74 61 72 74 44 61 74 65 00 00 00 FF FF FF FF 0A 00 00 00 53 74 61 72 74 56 61 6C 75 65 00 00 }
	condition:
		$1
}

rule function_10697_0 {
	meta:
		name = "_NF__524"
		size = 336
		refs = "000f _NF__524 001f TReader.ReadIdent 002c @LStrCmp 0037 TCubeDim.SetBin 00d1 @LStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 33 D2 8B C3 E8 ?? ?? ?? ?? E9 80 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 66 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B B2 02 8B C3 E8 ?? ?? ?? ?? EB 4C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B B2 03 8B C3 E8 ?? ?? ?? ?? EB 32 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B B2 04 8B C3 E8 ?? ?? ?? ?? EB 18 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 B2 05 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 FF FF FF FF 07 00 00 00 62 69 6E 4E 6F 6E 65 00 FF FF FF FF 07 00 00 00 62 69 6E 59 65 61 72 00 FF FF FF FF 0A 00 00 00 62 69 6E 51 75 61 72 74 65 72 00 00 FF FF FF FF 08 00 00 00 62 69 6E 4D 6F 6E 74 68 00 00 00 00 FF FF FF FF 06 00 00 00 62 69 6E 53 65 74 00 00 FF FF FF FF 09 00 00 00 62 69 6E 43 75 73 74 6F 6D 00 00 00 }
	condition:
		$1
}

rule function_10698_0 {
	meta:
		name = "_NF__525"
		size = 30
		refs = "0009 TReader.ReadFloat 0017 TCubeDim.SetDate"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10699_0 {
	meta:
		name = "_NF__526"
		size = 168
		refs = "000f _NF__526 001c TReader.NextValue 0031 TReader.ReadFloat 0040 DateToStr 004a TCubeDim.SetStart 0078 TReader.ReadString 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 2C 04 74 2C FE C8 74 06 FE C8 74 46 EB 58 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 36 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10700_0 {
	meta:
		name = "_NF__527"
		size = 55
		refs = "0015 StrToDate 0023 TWriter.WriteFloat 0030 TWriter.WriteString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8A 43 20 2C 09 74 04 2C 02 75 19 8B 43 44 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 53 44 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10701_0 {
	meta:
		name = "_NF__528"
		size = 25
		refs = "0009 TReader.ReadBoolean 0012 TDimensionItem.SetActive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12255_0 {
	meta:
		name = "TQRCustomLabel.ReadVisible"
		size = 25
		refs = "0009 TReader.ReadBoolean 0012 TControl.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12308_0 {
	meta:
		name = "TQRShape.ReadVisible"
		size = 25
		refs = "0009 TReader.ReadBoolean 0012 TControl.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10702_0 {
	meta:
		name = "_NF__529"
		size = 10
		refs = "0005 TWriter.WriteBoolean"
	strings:
		$1 = { 8A 40 21 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10703_0 {
	meta:
		name = "TCubeDim.IsBinData"
		size = 10
	strings:
		$1 = { 80 78 2C 00 0F 94 C0 34 01 C3 }
	condition:
		$1
}

rule function_10704_0 {
	meta:
		name = "TCubeDim.DoTransform"
		size = 20
	strings:
		$1 = { 53 66 83 78 32 00 74 0A 8B D8 8B C8 8B 43 34 FF 53 30 5B C3 }
	condition:
		$1
}

rule function_10705_0 {
	meta:
		name = "TCubeDim.GetBinValues"
		size = 376
		refs = "0030 @VarAddRef 0038 TCubeDim.GetBinValues 0059 VarType 0067 @VarFromInt 008b VarArrayCreate 0099 @VarArrayPut 00a4 @VarToReal 00bc DecodeDate 00f3 EncodeDate 00fb @VarFromTDateTime 0111 TCubeDim.GetBin 0128 FormatVariant 0135 TBinData.GetBinValues 0155 @LStrClr 015d @VarClr 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 89 5D C8 89 5D CC 89 5D D0 89 5D D4 8B F2 8D 7D E0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 43 2C 3C 01 74 0C 3C 03 74 08 3C 02 0F 85 B9 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 83 F8 07 74 0E 8B C6 33 D2 E8 ?? ?? ?? ?? E9 D4 00 00 00 56 33 C0 89 45 D8 C7 45 DC 01 00 00 00 8D 45 D8 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 E0 50 56 E8 ?? ?? ?? ?? 83 C4 10 8D 45 E0 E8 ?? ?? ?? ?? DD 5D F8 9B FF 75 FC FF 75 F8 8D 4D F2 8D 55 F4 8D 45 F6 E8 ?? ?? ?? ?? 8A 43 2C FE C8 74 0A FE C8 74 0C FE C8 74 0F EB 11 66 FF 45 F6 EB 0B 66 83 45 F4 03 EB 04 66 FF 45 F4 6A 01 6A 01 66 8B 4D F2 66 8B 55 F4 66 8B 45 F6 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 C8 50 56 E8 ?? ?? ?? ?? 83 C4 10 EB 36 8B C3 E8 ?? ?? ?? ?? 3C 04 75 22 83 7B 4C 00 74 1C 8D 4D C4 33 D2 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 C4 8B CE 8B 43 4C E8 ?? ?? ?? ?? EB 09 8B C6 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10706_0 {
	meta:
		name = "TIndexInfo.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TObject.Create 0037 InitializeCriticalSection 0045 _Dn_TIntArray 004a TIntArray.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 04 33 C0 89 46 08 33 C0 89 46 0C C6 46 10 00 C6 46 18 00 8D 46 1C 50 E8 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10707_0 {
	meta:
		name = "TIndexInfo.Destroy"
		size = 129
		refs = "0010 TIndexInfo.LockIndex 0018 TIndexInfo.Destroy 0029 TObject.Free 003f TObject.Destroy 0054 TIndexInfo.UnlockIndex 0060 DeleteCriticalSection 0066 @HandleFinally 0076 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 14 8A 55 FB 80 E2 FE 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_10708_0 {
	meta:
		name = "TIndexInfo.Add"
		size = 139
		refs = "0010 TIndexInfo.LockIndex 0018 TIndexInfo.Add 0053 TIndexInfo.AddOffset 0077 TIndexInfo.UnlockIndex 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 F6 43 0C 02 74 05 83 C8 FF EB 1A F6 43 0C 08 74 05 8B 43 08 EB 0F 8B 03 03 43 04 50 8B 45 FC 8B 40 0C 5A 2B C2 8B 55 FC 8B 52 0C 8B C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC FF 40 0C 8B 45 FC 8B 40 0C 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10709_0 {
	meta:
		name = "TIndexInfo.IsSparse"
		size = 23
		refs = "000c TIntArray.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 14 E8 ?? ?? ?? ?? 40 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_10710_0 {
	meta:
		name = "TIndexInfo.SetCapacity"
		size = 78
		refs = "000e TIndexInfo.LockIndex 0016 TIndexInfo.SetCapacity 003e TIndexInfo.UnlockIndex 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B D3 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10712_0 {
	meta:
		name = "TIndexInfo.IsSparseAgg"
		size = 25
		refs = "000c TIntArray.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 14 E8 ?? ?? ?? ?? 83 F8 FE 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_10713_0 {
	meta:
		name = "TIndexInfo.AddOffset"
		size = 84
		refs = "0011 TIndexInfo.LockIndex 0019 TIndexInfo.AddOffset 002e TIntArray.PutItem 0043 TIndexInfo.UnlockIndex 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10714_0 {
	meta:
		name = "TIndexInfo.LockIndex"
		size = 17
		refs = "0008 EnterCriticalSection"
	strings:
		$1 = { 53 8B D8 8D 43 1C 50 E8 ?? ?? ?? ?? 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_10715_0 {
	meta:
		name = "TIndexInfo.UnlockIndex"
		size = 10
		refs = "0005 LeaveCriticalSection"
	strings:
		$1 = { 83 C0 1C 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10716_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _NV__2DB 001a _NV__2DC 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 17 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10718_0 {
	meta:
		name = "BuildMasterDimensionMap"
		size = 276
		refs = "0016 BuildMasterDimensionMap 0023 _Dn_TXtabQuery 0028 TXtabQuery.create 0053 TXtabQuery.getSQLString 005b CheckIfEmptyQuery 006a TXtabQuery.setSQLString 0072 TXtabQuery.DeleteProjectors 008a AddToQuerySelect 0097 BuildDimensionMap 00a1 TCollection.GetCount 00b4 TQueryDims.GetQueryDim 00bb TDimensionItem.SetActive 00d4 TObject.Free 00da @HandleFinally 00f1 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 C6 40 18 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 55 F8 89 42 04 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 84 C0 75 1E 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 88 45 FF 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 17 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 46 4B 75 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_10719_0 {
	meta:
		name = "BuildDimensionMap"
		size = 460
		refs = "0021 @LStrAddRef 0029 BuildDimensionMap 0041 CheckIfEmptyQuery 0052 AddToQuerySelect 005c TXtabQuery.setSQLString 0063 TXtabQuery.getNProjectors 0074 TXtabQuery.DeleteProjector 008d TCollection.Clear 00aa TQueryDims.Add 00b5 TCollectionItem.GetIndex 00cf TXtabQuery.getProjector 00dc TQueryDims.GetQueryDim 00e2 TDimensionItem.SetName 0101 TDimensionItem.SetFieldName 0120 TDimensionItem.SetBaseName 013f TDimensionItem.SetType 015e TDimensionItem.SetFieldType 016e TDimensionItem.SetActive 017f TXtabQuery.FixUpGroupBys 0186 TXtabQuery.IsLegal 019e recProjectorInfo 01a3 @FinalizeRecord 01ab @LStrClr 01b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 04 85 F6 0F 84 4F 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 84 C0 74 37 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 1B 8B D3 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 F1 EB 0A 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 48 85 C0 0F 8C DB 00 00 00 40 89 45 F4 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 74 0A 8B D3 8B 45 F8 8B 08 FF 51 10 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 45 F0 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 45 E0 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 43 FF 4D F4 0F 85 2B FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_10720_0 {
	meta:
		name = "AddDimensionItem"
		size = 295
		refs = "001e @LStrAddRef 0026 AddDimensionItem 0040 TQueryDims.GetQueryDim 0058 TXtabQuery.AddNewItem 0068 TXtabQuery.getProjector 007b TDimensionItem.SetFieldName 009b TDimensionItem.SetName 00bb TDimensionItem.SetBaseName 00db TDimensionItem.SetType 00eb TDimensionItem.SetActive 0103 recProjectorInfo 0108 @FinalizeRecord 0110 @LStrClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 47 18 00 53 6A 01 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 40 28 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 1C 8B C7 59 E8 ?? ?? ?? ?? 89 45 FC 8D 4D E4 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 F0 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D E4 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D E4 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D E4 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8A 45 F8 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10721_0 {
	meta:
		name = "RemoveDimensionItem"
		size = 49
		refs = "0012 TQueryDims.GetQueryDim 0019 TDimensionItem.SetActive 0022 TXtabQuery.DeleteProjector 0029 TXtabQuery.IsLegal"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 C6 43 18 00 8B D6 8B C7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10731_0 {
	meta:
		name = "server_fasttrack"
		size = 52
		refs = "0001 MAGNUS_VERSION_STRING 0006 server_fasttrack 000b StrComp"
	strings:
		$1 = { E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C0 C3 00 00 00 4E 65 74 73 63 61 70 65 2D 46 61 73 74 54 72 61 63 6B 2F 32 2E 30 62 34 00 00 00 00 }
	condition:
		$1
}

rule function_10732_0 {
	meta:
		name = "server_enterprise"
		size = 52
		refs = "0001 MAGNUS_VERSION_STRING 0006 server_enterprise 000b StrComp"
	strings:
		$1 = { E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C0 C3 00 00 00 4E 65 74 73 63 61 70 65 2D 45 6E 74 65 72 70 72 69 73 65 2F 32 2E 30 62 34 00 00 00 }
	condition:
		$1
}

rule function_10733_0 {
	meta:
		name = "CONVERT_TO_PRINTABLE_FORMAT"
		size = 22
	strings:
		$1 = { 85 C0 75 11 EB 09 80 FA 5C 75 03 C6 00 2F 40 8A 10 84 D2 75 F1 C3 }
	condition:
		$1
}

rule function_10734_0 {
	meta:
		name = "CONVERT_TO_NATIVE_FS"
		size = 22
	strings:
		$1 = { 85 C0 75 11 EB 09 80 FA 2F 75 03 C6 00 5C 40 8A 10 84 D2 75 F1 C3 }
	condition:
		$1
}

rule function_10735_0 {
	meta:
		name = "system_rename"
		size = 8
		refs = "0003 MoveFile"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10736_0 {
	meta:
		name = "system_unlink"
		size = 81
		refs = "000c system_unlink 001c @LStrFromPChar 0024 DeleteFile 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? F6 D8 1B C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_10737_0 {
	meta:
		name = "system_lseek"
		size = 13
		refs = "0008 SetFilePointer"
	strings:
		$1 = { 51 6A 00 52 8B 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10738_0 {
	meta:
		name = "system_flock"
		size = 11
		refs = "0005 sem_grab"
	strings:
		$1 = { 8B 40 08 50 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_10739_0 {
	meta:
		name = "system_ulock"
		size = 11
		refs = "0005 sem_release"
	strings:
		$1 = { 8B 40 08 50 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_10740_0 {
	meta:
		name = "dir_create"
		size = 24
		refs = "0007 CreateDirectory"
	strings:
		$1 = { 53 8B D8 6A 00 53 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_10741_0 {
	meta:
		name = "dir_remove"
		size = 22
		refs = "0005 RemoveDirectory"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_10742_0 {
	meta:
		name = "pblock_find"
		size = 13
		refs = "0005 _pblock_fr"
	strings:
		$1 = { 6A 00 52 50 E8 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_10743_0 {
	meta:
		name = "pblock_remove"
		size = 13
		refs = "0005 _pblock_fr"
	strings:
		$1 = { 6A FF 52 50 E8 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_10744_0 {
	meta:
		name = "netbuf_getc"
		size = 33
		refs = "0019 netbuf_next"
	strings:
		$1 = { 8B D0 8B 4A 04 3B 4A 08 74 0B 8B 42 54 0F B6 04 08 FF 42 04 C3 6A 01 50 E8 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_10745_0 {
	meta:
		name = "filebuf_getc"
		size = 26
	strings:
		$1 = { 8B 50 18 3B 50 0C 75 05 33 D2 8B C2 C3 8B 48 08 0F B6 14 11 FF 40 18 8B C2 C3 }
	condition:
		$1
}

rule function_10746_0 {
	meta:
		name = "pipebuf_getc"
		size = 33
		refs = "0019 pipebuf_next"
	strings:
		$1 = { 8B D0 8B 4A 18 3B 4A 14 74 0B 8B 42 10 0F B6 04 08 FF 42 18 C3 6A 01 50 E8 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_10747_0 {
	meta:
		name = "session_dns"
		size = 12
		refs = "0004 session_dns_lookup"
	strings:
		$1 = { 6A 00 50 E8 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_10748_0 {
	meta:
		name = "session_maxdns"
		size = 12
		refs = "0004 session_dns_lookup"
	strings:
		$1 = { 6A FF 50 E8 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_10749_0 {
	meta:
		name = "CINFO_HASH"
		size = 33
		refs = "0007 IsCharAlpha 0015 CharLower"
	strings:
		$1 = { 53 8B D8 8A 03 50 E8 ?? ?? ?? ?? 85 C0 74 0E 33 C0 8A 03 50 E8 ?? ?? ?? ?? 2C 61 5B C3 B0 1A 5B C3 }
	condition:
		$1
}

rule function_10751_0 {
	meta:
		name = "userpw"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 08 C3 }
	condition:
		$1
}

rule function_10752_0 {
	meta:
		name = "pool_max"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 14 C3 }
	condition:
		$1
}

rule function_10753_0 {
	meta:
		name = "pool_min"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 18 C3 }
	condition:
		$1
}

rule function_10754_0 {
	meta:
		name = "pool_life"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 1C C3 }
	condition:
		$1
}

rule function_10755_0 {
	meta:
		name = "pool_maxthreads"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 20 C3 }
	condition:
		$1
}

rule function_10756_0 {
	meta:
		name = "pool_minthreads"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 24 C3 }
	condition:
		$1
}

rule function_10757_0 {
	meta:
		name = "server_hostname"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 28 C3 }
	condition:
		$1
}

rule function_10758_0 {
	meta:
		name = "root_object"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 2C C3 }
	condition:
		$1
}

rule function_10759_0 {
	meta:
		name = "std_os"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 30 C3 }
	condition:
		$1
}

rule function_10760_0 {
	meta:
		name = "acl_root"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 34 C3 }
	condition:
		$1
}

rule function_10761_0 {
	meta:
		name = "master_error_log"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 38 C3 }
	condition:
		$1
}

rule function_10762_0 {
	meta:
		name = "server_root"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 3C C3 }
	condition:
		$1
}

rule function_10763_0 {
	meta:
		name = "server_id"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 40 C3 }
	condition:
		$1
}

rule function_10764_0 {
	meta:
		name = "NSstr2String"
		size = 25
		refs = "000b @LStrFromPChar 0011 system_free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 59 5E 5B C3 }
	condition:
		$1
}

rule function_11008_0 {
	meta:
		name = "_NF__9D"
		size = 224
		refs = "0024 @VarAddRef 002c _NF__9D 003a VarType 004a @VarToIntf 005a @IntfCast 0066 _NV__9C 0072 @IntfClear 00a8 @VarClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 55 FC 89 55 F8 8B F0 8D 7D E8 B9 04 00 00 00 F3 A5 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 83 F8 09 75 4A 8D 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 29 8B 1D ?? ?? ?? ?? 85 DB 74 1F 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 43 04 50 8B 45 FC 50 8B 00 FF 10 85 C0 74 08 8B 1B 85 DB 75 E1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11009_0 {
	meta:
		name = "TOleControlEditor.Create"
		size = 71
		refs = "000d @ClassCreate 001e TComponentEditor.Create 0025 _Dn_TStringList 002a TObject.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11011_0 {
	meta:
		name = "_NF__A6"
		size = 199
		refs = "0012 _NF__A6 0037 TOleControl.ShowAboutBox 0044 TOleControl.DoObjectVerb 0053 @HandleAnyException 006e SNoAboutBoxAvailable 0073 LoadResString 007d SNoPropertyPageAvailable 0089 @RaiseAgain 0093 _Dn_Exception 0098 Exception.Create 009d @RaiseExcept 00a2 @DoneExcept 00b7 @LStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C9 89 4D F8 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 81 7D FC 00 00 FF FF 75 0A 8B 40 04 E8 ?? ?? ?? ?? EB 0B 8B 40 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 54 E9 ?? ?? ?? ?? 8B 45 FC 2D 00 00 FF FF 74 09 2D F9 FF 00 00 74 11 EB 1E 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_11012_0 {
	meta:
		name = "TOleControlEditor.Edit"
		size = 11
		refs = "0006 _NF__A6"
	strings:
		$1 = { BA F9 FF FF FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11236_0 {
	meta:
		name = "TOleControl.BrowseProperties"
		size = 11
		refs = "0006 TOleControl.DoObjectVerb"
	strings:
		$1 = { BA F9 FF FF FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11013_0 {
	meta:
		name = "TOleControlEditor.ExecuteVerb"
		size = 28
		refs = "0015 _NF__A6"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 51 18 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11014_0 {
	meta:
		name = "TOleControlEditor.GetVerb"
		size = 25
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 18 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11015_0 {
	meta:
		name = "TOleControlEditor.GetVerbCount"
		size = 150
		refs = "000d TOleControlEditor.GetVerbCount 001e TOleControl.GetObjectVerbs 0032 SPropertiesVerb 0037 LoadResString 004f SAboutVerb 0083 @LStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 18 8B 43 04 E8 ?? ?? ?? ?? 8B 43 18 8B 10 FF 52 14 85 C0 75 1D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC B9 F9 FF FF FF 8B 43 18 8B 30 FF 56 38 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC B9 00 00 FF FF 8B 43 18 8B 30 FF 56 38 8B 43 18 8B 10 FF 52 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11016_0 {
	meta:
		name = "_NF__B1"
		size = 64
		refs = "0019 _Dn_TOleControl 001e @IsClass 002b TOleControl.IsCustomProperty 0035 _DV_TOleCustomProperty"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 33 ED 8B 7E 10 81 FF 00 00 00 80 74 24 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 8B 2D ?? ?? ?? ?? 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11017_0 {
	meta:
		name = "TOleCustomProperty.GetAttributes"
		size = 12
		refs = "0001 TOleCustomProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_11018_0 {
	meta:
		name = "TOleCustomProperty.GetValue"
		size = 37
		refs = "000b TPropertyEditor.GetComponent 0013 TPropertyEditor.GetPropInfo 001e TOleControl.GetPropDisplayString"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B CE 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11020_0 {
	meta:
		name = "TOleCustomProperty.SetValue"
		size = 37
		refs = "000b TPropertyEditor.GetComponent 0013 TPropertyEditor.GetPropInfo 001e TOleControl.SetPropDisplayString"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B CE 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11019_0 {
	meta:
		name = "TOleCustomProperty.GetValues"
		size = 199
		refs = "0014 TOleCustomProperty.GetValues 0021 _Dn_TStringList 0026 TObject.Create 0040 TPropertyEditor.GetComponent 0048 TPropertyEditor.GetPropInfo 0054 TOleControl.GetPropDisplayStrings 0095 TObject.Free 009b @HandleFinally 00b2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B 4D FC 58 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1D 43 33 F6 8D 4D F8 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 F8 8B 45 0C FF 55 08 46 4B 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11021_0 {
	meta:
		name = "TOleEnumProperty.GetAttributes"
		size = 12
		refs = "0001 TOleEnumProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_11022_0 {
	meta:
		name = "TOleEnumProperty.GetValue"
		size = 52
		refs = "0011 TPropertyEditor.GetOrdValue 001c TEnumPropDesc.ValueToString 002c IntToStr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 10 85 FF 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C7 E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11023_0 {
	meta:
		name = "TOleEnumProperty.GetValues"
		size = 27
		refs = "0013 TEnumPropDesc.GetStrings"
	strings:
		$1 = { 55 8B EC 8B 50 10 85 D2 74 0D FF 75 0C FF 75 08 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_11024_0 {
	meta:
		name = "TOleEnumProperty.Initialize"
		size = 34
		refs = "0008 TPropertyEditor.GetComponent 0010 TPropertyEditor.GetPropInfo 0019 TOleControl.GetEnumPropDesc"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 50 10 58 E8 ?? ?? ?? ?? 89 43 10 5B C3 }
	condition:
		$1
}

rule function_11025_0 {
	meta:
		name = "TOleEnumProperty.SetValue"
		size = 54
		refs = "0013 TEnumPropDesc.StringToValue 001c TPropertyEditor.SetOrdValue 0025 StrToInt"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 10 85 FF 74 14 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11027_0 {
	meta:
		name = "TOleObjectEditor.Edit"
		size = 51
		refs = "000a TOleObjectEditor.Edit 0017 @VarClear 002a @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_11028_0 {
	meta:
		name = "TOleFontEditor.Edit"
		size = 220
		refs = "001d @VarAddRef 0025 TOleFontEditor.Edit 0032 @VarClear 0038 Application 0041 _Dn_TFontDialog 0046 TFontDialog.Create 0065 OleFontToFont 0093 FontToOleFont 00a8 TObject.Free 00ae @HandleFinally 00c5 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 8B D9 8D 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 4C 8D 45 EC E8 ?? ?? ?? ?? 8B 45 FC 66 8B 40 51 66 0B 05 ?? ?? ?? ?? 8B 55 FC 66 89 42 51 8B 45 FC 8B 10 FF 52 34 84 C0 74 0D 8B D3 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 10 00 00 00 }
	condition:
		$1
}

rule function_11029_0 {
	meta:
		name = "TOleObjectProperty.Edit"
		size = 206
		refs = "0017 TOleObjectProperty.Edit 0028 TPropertyEditor.GetVarValue 0030 _NF__9D 0068 @VarCopy 007d TObject.Free 0083 @HandleFinally 008d VarType 009d TPropertyEditor.SetVarValue 00b3 Variant 00bd @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 85 C0 74 69 8B 40 18 8B 4D FC B2 01 FF 10 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D D8 8D 55 E8 8B 45 F8 8B 18 FF 53 04 8D 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 E8 E8 ?? ?? ?? ?? 83 F8 09 75 0B 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11030_0 {
	meta:
		name = "TOleObjectProperty.GetAttributes"
		size = 160
		refs = "0012 TOleObjectProperty.GetAttributes 0030 TPropertyEditor.GetVarValue 003f @HandleAnyException 0048 Null 004d @VarCopy 0052 @DoneExcept 005a _NF__9D 0081 @VarClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 85 C0 74 08 8A 1D ?? ?? ?? ?? EB 06 8A 1D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 4C 00 00 00 48 00 00 00 }
	condition:
		$1
}

rule function_11031_0 {
	meta:
		name = "TOleObjectProperty.GetValue"
		size = 220
		refs = "0013 TOleObjectProperty.GetValue 0023 TPropertyEditor.GetVarValue 002b VarType 003c @LStrLAsg 0046 _NF__9D 0065 @LStrCatN 0088 @VarClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 83 F8 09 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1B 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 09 00 00 00 28 56 61 72 69 61 6E 74 29 00 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 FF FF FF FF 0B 00 00 00 28 4F 6C 65 4F 62 6A 65 63 74 29 00 }
	condition:
		$1
}

rule function_11032_0 {
	meta:
		name = "RegisterOleObjectEditor"
		size = 73
		refs = "000c _NT__9B 0016 @New 001d _NV__9C 0037 @LStrAsg"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B 15 ?? ?? ?? ?? B8 1C 00 00 00 E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 89 03 56 57 8D 7B 04 B9 04 00 00 00 F3 A5 5F 5E 8D 43 14 8B D7 E8 ?? ?? ?? ?? 89 6B 18 89 1D ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11033_0 {
	meta:
		name = "Register"
		size = 124
		refs = "0002 _DV_TOleControlEditor 0007 _Dn_TOleControl 000c RegisterComponentEditor 0011 _NF__B1 0016 RegisterPropertyMapper 001b _DV_TOleEnumProperty 0029 TOleEnum 002e RegisterPropertyEditor 0033 _DV_TOleObjectProperty 003d Variant 0047 Register 004d _DV_TOleFontEditor 0057 RegisterOleObjectEditor"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 33 C9 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 33 C9 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 03 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB FF FF FF FF 07 00 00 00 4F 6C 65 46 6F 6E 74 00 }
	condition:
		$1
}

rule function_11038_0 {
	meta:
		name = "_NF__21D"
		size = 951
		refs = "000a _NF__261 0017 _NF__262 0024 _NF__263 0031 _NF__264 003e _NF__265 004b _NF__2E7 0058 _NF__284 0065 _NF__2E8 0072 _NF__27C 00a6 _NF__277 00b3 _NF__278 00c0 _NF__279 00cd _NF__27A 00da _NF__27B 010e _NF__26D 011b _NF__26E 0128 _NF__26F 0135 _NF__270 0142 _NF__271 014f _NF__272 015c _NF__273 0169 _NF__274 0176 _NF__275 0183 _NF__276 0190 _NF__26B 019d _NF__26C 01d1 _NF__2EB 01de _NF__266 01eb _NF__267 01f8 _NF__268 0205 _NF__269 0212 _NF__26A 0267 _NF__21D"
	strings:
		$1 = { CC 81 44 24 04 D0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E4 FE FF FF E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 06 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 30 01 00 00 C7 BC 22 B7 68 4E 1B 10 A2 BC 00 AA 00 40 47 70 ?? ?? ?? ?? 2C 01 00 00 0F 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 28 01 00 00 19 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 24 01 00 00 18 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 20 01 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 1C 01 00 00 }
	condition:
		$1
}

rule function_11039_0 {
	meta:
		name = "_NF__220"
		size = 858
		refs = "0005 _NF__336 000d _NF__337 0015 _NF__333 001d _NF__338 0027 _NF__326 0031 _NF__327 003b _NF__328 0045 _NF__329 004f _NF__32A 0059 _NF__32B 0063 _NF__321 006d _NF__322 0077 _NF__324 0081 _NF__325 008b _NF__31F 0095 _NF__320 009f TInterfacedObject.QueryInterface 00a9 TInterfacedObject._AddRef 00b3 TInterfacedObject._Release 01dd _NF__31D 01e5 _NF__31E 020a _NF__220"
	strings:
		$1 = { CC 83 C0 E4 E9 ?? ?? ?? ?? 83 C0 E4 E9 ?? ?? ?? ?? 83 C0 E4 E9 ?? ?? ?? ?? 83 C0 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 C0 F4 E9 ?? ?? ?? ?? 83 C0 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 05 00 00 00 C0 E1 02 CD DA 52 D0 11 9E A6 00 20 AF 3D 82 DA ?? ?? ?? ?? 1C 00 00 00 16 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 18 00 00 00 15 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 14 00 00 00 14 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 10 00 00 00 C1 E1 02 CD DA 52 D0 11 9E A6 00 20 AF 3D 82 DA ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_11040_0 {
	meta:
		name = "_NF__22A"
		size = 15
	strings:
		$1 = { 33 D2 EB 01 42 66 83 3C 50 00 75 F8 8B C2 C3 }
	condition:
		$1
}

rule function_11041_0 {
	meta:
		name = "_NF__22B"
		size = 53
		refs = "0007 _NV__225 0015 MulDiv"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 50 68 EC 09 00 00 8B 03 50 E8 ?? ?? ?? ?? 89 06 A1 ?? ?? ?? ?? 50 68 EC 09 00 00 8B 43 04 50 E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_11042_0 {
	meta:
		name = "_NF__22C"
		size = 53
		refs = "000c _NV__225 0015 MulDiv"
	strings:
		$1 = { 53 56 8B F2 8B D8 68 EC 09 00 00 A1 ?? ?? ?? ?? 50 8B 03 50 E8 ?? ?? ?? ?? 89 06 68 EC 09 00 00 A1 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_11044_0 {
	meta:
		name = "_NF__22E"
		size = 60
		refs = "0016 GetWindowLong 002e _NF__22D"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 33 C0 81 7D 0C 10 01 00 00 75 25 6A F0 53 E8 ?? ?? ?? ?? A9 00 00 00 40 74 0A 6A F8 53 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? B8 01 00 00 00 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_11045_0 {
	meta:
		name = "DestroyMetaPict"
		size = 36
		refs = "0009 GlobalLock 0012 DeleteMetaFile 0018 GlobalUnlock 001e GlobalFree"
	strings:
		$1 = { 53 8B D8 85 DB 74 1B 53 E8 ?? ?? ?? ?? 8B 40 0C 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11046_0 {
	meta:
		name = "_NF__232"
		size = 150
		refs = "000c _NV__231 0019 CreateBitmap 0021 CreatePatternBrush 0028 SelectObject 0035 SetTextColor 0040 SetBkColor 0063 PatBlt 0085 DeleteObject"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B D8 68 ?? ?? ?? ?? 6A 01 6A 01 6A 08 6A 08 E8 ?? ?? ?? ?? 8B F8 57 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B E8 68 FF FF FF 00 53 E8 ?? ?? ?? ?? 89 04 24 6A 00 53 E8 ?? ?? ?? ?? 89 44 24 04 68 C9 00 A0 00 8B 56 0C 2B 56 04 52 8B 56 08 8B 06 2B D0 52 8B 56 04 52 50 53 E8 ?? ?? ?? ?? 8B 44 24 04 50 53 E8 ?? ?? ?? ?? 8B 04 24 50 53 E8 ?? ?? ?? ?? 55 53 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11047_0 {
	meta:
		name = "_NF__233"
		size = 150
		refs = "0015 _NF__233 0022 @IntfClear 006f @IntfCopy 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 DB 74 49 8D 45 FC 50 53 8B 03 FF 50 58 85 C0 75 32 83 7D FC 01 75 2C 8D 45 F8 E8 ?? ?? ?? ?? 50 6A FF 53 8B 03 FF 50 30 85 C0 75 20 6A 00 8B C6 E8 ?? ?? ?? ?? 50 6A 01 8B 45 F8 50 8B 00 FF 50 0C EB 09 8B C6 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11048_0 {
	meta:
		name = "_NF__234"
		size = 190
		refs = "0016 _NF__234 002c _NF__233 0051 @IntfClear 0059 CreateBindCtx 0082 _NF__22A 008d CoTaskMemFree 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 85 DB 74 6B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 5B 8D 45 F4 50 8B 45 FC 50 8B 00 FF 50 58 85 C0 75 4A 83 7D F4 02 75 44 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 85 C0 75 30 8D 45 F0 50 6A 00 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 50 85 C0 75 19 83 7D F0 00 74 13 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8B 45 F0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11049_0 {
	meta:
		name = "_NF__235"
		size = 35
		refs = "0006 @LStrLen 000d CoTaskMemAlloc 0015 @LStrToPChar 001d StrCopy"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 40 50 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11050_0 {
	meta:
		name = "_NF__236"
		size = 35
		refs = "0013 @LStrFromPWChar 001c CoTaskMemFree"
	strings:
		$1 = { 53 51 8B DA 54 6A 01 50 8B 00 FF 50 40 8B C3 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_11051_0 {
	meta:
		name = "_NF__237"
		size = 35
		refs = "0013 @LStrFromPWChar 001c CoTaskMemFree"
	strings:
		$1 = { 53 51 8B DA 54 6A 02 50 8B 00 FF 50 40 8B C3 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_11052_0 {
	meta:
		name = "_NF__238"
		size = 33
		refs = "0011 @LStrFromPWChar 001a CoTaskMemFree"
	strings:
		$1 = { 53 51 8B DA 54 50 8B 00 FF 50 20 8B C3 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_11053_0 {
	meta:
		name = "_NF__239"
		size = 68
		refs = "0014 _DV_TOleForm 0019 TOleForm.Create 0026 _NF__239 002b @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 68 01 00 00 00 75 0E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 93 68 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 C0 E1 02 CD DA 52 D0 11 9E A6 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_11054_0 {
	meta:
		name = "_NF__23A"
		size = 37
		refs = "0007 _Dn_TForm 000c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 80 BB 3A 01 00 00 01 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_11056_0 {
	meta:
		name = "_NF__23E"
		size = 101
		refs = "000c _NF__23E 001c SLinkProperties 0021 LoadResString 0029 @LStrToPChar 0038 Application 0040 TApplication.MessageBox 0055 @LStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 10 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_11057_0 {
	meta:
		name = "_NF__23F"
		size = 108
		refs = "000f @ClassCreate 001f TObject.Create 002c @IntfClear 0032 _NF__23F"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F7 89 73 10 8D 43 14 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 86 40 01 00 00 50 8B 00 FF 10 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 00 00 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11058_0 {
	meta:
		name = "_NF__240"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 83 7D 0C 00 75 05 8B 40 10 EB 02 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_11059_0 {
	meta:
		name = "_NF__241"
		size = 47
		refs = "0023 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 45 10 50 8B 43 14 50 8B 00 FF 50 0C 8B F0 85 F6 7C 0C 8B 43 10 66 BB DB FF E8 ?? ?? ?? ?? 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11060_0 {
	meta:
		name = "_NF__242"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 40 14 50 8B 00 FF 50 10 5D C2 0C 00 }
	condition:
		$1
}

rule function_11061_0 {
	meta:
		name = "_NF__243"
		size = 253
		refs = "001b _NF__243 0037 @LStrFromPChar 004a StringToWideChar 0063 @LStrLen 0081 TOleContainer.UpdateObject 0090 @HandleAnyException 009b Application 00a2 TApplication.HandleException 00a7 @DoneExcept 00b6 SInvalidLinkSource 00bb LoadResString 00c6 _NF__23E 00de @LStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FD FF FF 53 56 57 33 C0 89 85 F8 FD FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 05 40 00 80 83 7D 1C 00 74 7F 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8D 95 FC FD FF FF B9 00 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 14 50 8B 00 FF 50 1C 85 C0 7C 6B 8B 45 FC E8 ?? ?? ?? ?? 8B 55 18 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 08 8B 50 10 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 1B 8D 95 F8 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 FD FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FD FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_11062_0 {
	meta:
		name = "_NF__244"
		size = 224
		refs = "0014 _NF__244 002f _NF__238 0037 _NF__235 004c @IntfClear 0064 _NF__234 007b _NF__236 009d _NF__237 00c1 @LStrClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 7D 14 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 10 8B 45 10 85 C0 74 18 8D 55 F8 8B 43 14 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 10 89 02 85 FF 74 26 33 C0 89 07 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 14 50 8B 00 FF 50 18 83 7D FC 00 74 0A 8B 45 FC E8 ?? ?? ?? ?? 89 07 8B 45 18 85 C0 74 1B 8D 55 F8 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 18 89 02 8B 45 1C 85 C0 74 1B 8D 55 F8 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 1C 89 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 59 5D C2 20 00 }
	condition:
		$1
}

rule function_11063_0 {
	meta:
		name = "_NF__245"
		size = 81
		refs = "000a _NF__245 001e TOleContainer.DoVerb 002d @HandleAnyException 0038 Application 003f TApplication.HandleException 0044 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 10 83 CA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 08 8B 50 10 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11064_0 {
	meta:
		name = "_NF__246"
		size = 78
		refs = "000a _NF__246 001b TOleContainer.UpdateObject 002a @HandleAnyException 0035 Application 003c TApplication.HandleException 0041 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 08 8B 50 10 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_11065_0 {
	meta:
		name = "_NF__247"
		size = 83
		refs = "000a _NF__247 0018 SCannotBreakLink 001d LoadResString 0025 _NF__23E 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BB 01 40 00 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11067_0 {
	meta:
		name = "_NF__24B"
		size = 128
		refs = "0007 _NF__24F 0011 _NF__250 001b _NF__251 0025 _NF__252 002f TInterfacedObject.QueryInterface 0039 TInterfacedObject._AddRef 0043 TInterfacedObject._Release 0048 _NF__24B"
	strings:
		$1 = { CC 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 03 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_11068_0 {
	meta:
		name = "_NF__24E"
		size = 71
		refs = "000e @ClassCreate 001d TObject.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 8B 45 0C 89 47 14 8B 45 08 89 47 18 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11069_0 {
	meta:
		name = "_NF__24F"
		size = 97
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 0C 8B 45 08 33 D2 EB 26 8B 48 18 8D 0C 89 8B 70 10 8D 0C 8E 51 8D 0C 92 8B 75 10 5F 8D 0C 8E 8B F7 8B F9 B9 05 00 00 00 F3 A5 FF 40 18 42 3B DA 7E 08 8B 48 18 3B 48 14 7C CE 83 7D 14 00 74 05 8B 45 14 89 10 3B DA 75 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_11070_0 {
	meta:
		name = "_NF__250"
		size = 42
	strings:
		$1 = { 55 8B EC 53 8B 55 0C 8B 45 08 8B 48 14 8B D9 2B 58 18 3B D3 7F 07 01 50 18 33 C0 EB 08 89 48 18 B8 01 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11071_0 {
	meta:
		name = "_NF__251"
		size = 17
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 89 50 18 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_11072_0 {
	meta:
		name = "_NF__252"
		size = 61
		refs = "0020 _NV__24C 0025 _NF__24E 0032 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 43 14 50 8B 43 18 50 8B 4B 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 0C 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11073_0 {
	meta:
		name = "_NF__253"
		size = 200
		refs = "0007 _NF__258 0011 _NF__259 001b _NF__25A 0025 _NF__25B 002f _NF__25C 0039 _NF__25D 0043 _NF__25E 004d _NF__25F 0057 _NF__260 0061 TInterfacedObject.QueryInterface 006b TInterfacedObject._AddRef 0075 TInterfacedObject._Release 007c _NF__253"
	strings:
		$1 = { CC 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 0C 00 00 00 }
	condition:
		$1
}

rule function_11074_0 {
	meta:
		name = "_NF__256"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0024 @IntfCopy"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 10 8B D6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11075_0 {
	meta:
		name = "_NF__257"
		size = 528
		refs = "0020 _NF__257 0031 _NF__236 003c @LStrLAsg 0044 @IntfClear 0064 SLinkedObject 0069 LoadResString 0082 Format 0098 _NF__238 00a4 @LStrLen 00ad @LStrToPChar 00b7 MultiByteToWideChar 00f5 GlobalAlloc 010b GlobalLock 011d @FillChar 01b8 GlobalUnlock 01d2 @LStrArrayClr 01ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 E0 89 55 DC 89 55 EC 89 55 E8 89 55 E4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 46 10 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 46 10 50 8B 00 FF 10 83 7D E4 00 74 40 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 EC 89 45 D4 C6 45 D8 0B 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 EC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 40 89 45 F4 6A 00 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 45 E8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F8 47 8B 45 F4 03 C7 03 C0 83 C0 34 89 45 F8 8B 45 F8 50 6A 02 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 B6 00 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F0 8B 5D F0 8B C3 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 03 8D 43 04 50 8B 46 10 50 8B 00 FF 50 3C C7 43 14 01 00 00 00 8D 43 28 50 6A 01 8B 46 10 50 8B 00 FF 50 58 B8 34 00 00 00 89 43 2C 8B 75 F0 03 F0 8B 45 F4 50 56 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B 45 F4 66 C7 44 46 FE 00 00 8B C7 03 C0 03 43 2C 89 43 30 8B 75 F0 03 F0 57 56 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 45 E8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 66 C7 44 7E FE 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 00 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11076_0 {
	meta:
		name = "_NF__258"
		size = 86
		refs = "0026 _NV__226 003b _NF__257"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 10 8B 45 0C 8B 55 08 BE 64 00 04 80 33 C9 89 0B 33 C9 89 4B 04 33 C9 89 4B 08 0F B7 08 3B 0D ?? ?? ?? ?? 75 22 83 78 08 01 75 1C 83 78 10 01 75 16 8B C2 E8 ?? ?? ?? ?? 85 C0 74 0B C7 03 01 00 00 00 89 43 04 33 F6 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11077_0 {
	meta:
		name = "_NF__259"
		size = 176
		refs = "0011 _NF__259 0025 _NV__227 0043 @IntfClear 0069 OleSave 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 45 0C 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BE 64 00 04 80 0F B7 10 3B 15 ?? ?? ?? ?? 75 4F 83 78 08 01 75 49 83 78 10 08 75 43 8B 45 10 33 D2 89 50 08 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 43 10 50 8B 00 FF 10 83 7D FC 00 74 1F 6A 00 8B 45 10 8B 40 04 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F0 6A 00 8B 45 FC 50 8B 00 FF 50 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 0C 00 0A 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11078_0 {
	meta:
		name = "_NF__25A"
		size = 59
		refs = "0016 _NV__227 0027 _NV__226"
	strings:
		$1 = { 55 8B EC 8B 45 0C BA 64 00 04 80 83 78 08 01 75 24 0F B7 08 3B 0D ?? ?? ?? ?? 75 06 83 78 10 08 74 11 0F B7 08 3B 0D ?? ?? ?? ?? 75 08 83 78 10 01 75 02 33 D2 8B C2 5D C2 08 00 }
	condition:
		$1
}

rule function_11079_0 {
	meta:
		name = "_NF__25B"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 10 33 D2 89 50 04 B8 01 40 00 80 5D C2 0C 00 }
	condition:
		$1
}

rule function_11081_0 {
	meta:
		name = "_NF__25D"
		size = 75
		refs = "001a _NV__229 0021 _NV__24C 0026 _NF__24E 0032 @IntfCopy 003d @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 85 DB 74 04 33 C0 89 03 83 7D 0C 01 75 25 6A 02 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 EB 0C 8B C3 E8 ?? ?? ?? ?? B8 01 40 00 80 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11082_0 {
	meta:
		name = "_NF__25E"
		size = 12
	strings:
		$1 = { 55 8B EC B8 03 00 04 80 5D C2 14 00 }
	condition:
		$1
}

rule function_11083_0 {
	meta:
		name = "_NF__25F"
		size = 12
	strings:
		$1 = { 55 8B EC B8 03 00 04 80 5D C2 08 00 }
	condition:
		$1
}

rule function_11084_0 {
	meta:
		name = "_NF__260"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 B8 03 00 04 80 5D C2 08 00 }
	condition:
		$1
}

rule function_11085_0 {
	meta:
		name = "_NF__261"
		size = 222
		refs = "0017 _NF__261 0028 _NF__2B9 003c _NF__236 0044 _NF__235 007d _NF__237 009b TControl.GetText 00bf @LStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 7D 14 8B 75 10 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 09 8B C3 E8 ?? ?? ?? ?? 89 06 85 FF 74 18 8D 55 FC 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 07 8B 45 18 85 C0 74 1B 8D 55 FC 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 18 89 02 8B 45 1C 85 C0 74 1B 8D 55 FC 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 1C 89 02 8B 45 20 85 C0 74 17 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 20 89 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_11086_0 {
	meta:
		name = "_NF__262"
		size = 28
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 80 40 01 00 00 50 8B 00 FF 50 3C 33 C0 5D C2 1C 00 }
	condition:
		$1
}

rule function_11088_0 {
	meta:
		name = "_NF__264"
		size = 63
		refs = "0016 TOleContainer.GetIconMetaPict"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 14 8B 75 10 8B 5D 08 85 F6 74 09 8B C3 E8 ?? ?? ?? ?? 89 06 85 FF 74 08 8B 83 44 01 00 00 89 07 8B 45 18 85 C0 74 07 8B 45 18 33 D2 89 10 33 C0 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_11089_0 {
	meta:
		name = "_NF__265"
		size = 54
		refs = "001f TOleContainer.GetIconic 002b _NF__2F8"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 14 48 74 07 83 E8 03 74 06 EB 08 33 C0 EB 0B B0 01 EB 07 8B C3 E8 ?? ?? ?? ?? 8B 4D 10 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_11090_0 {
	meta:
		name = "_NF__266"
		size = 31
		refs = "0012 @IntfClear"
	strings:
		$1 = { 55 8B EC 8B 45 14 85 C0 74 04 33 D2 89 10 8B 45 14 E8 ?? ?? ?? ?? B8 01 40 00 80 5D C2 10 00 }
	condition:
		$1
}

rule function_11091_0 {
	meta:
		name = "_NF__267"
		size = 31
		refs = "0012 @IntfClear"
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C E8 ?? ?? ?? ?? B8 02 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_11093_0 {
	meta:
		name = "_NF__269"
		size = 44
	strings:
		$1 = { 55 8B EC 56 8B 45 0C 8B 75 08 3A 86 7C 01 00 00 74 13 F7 D8 1B C0 F7 D8 88 86 7C 01 00 00 8B C6 8B 10 FF 52 44 33 C0 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_11095_0 {
	meta:
		name = "_NF__26B"
		size = 49
		refs = "0017 TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 8B 5D 08 80 BB A8 01 00 00 00 74 0B 8B C3 E8 ?? ?? ?? ?? 89 06 EB 0A 8B 43 24 E8 ?? ?? ?? ?? 89 06 33 C0 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11097_0 {
	meta:
		name = "_NF__26D"
		size = 55
		refs = "0025 TOleContainer.GetIconic"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 BE 01 00 00 00 F6 43 20 10 75 1C 80 7B 44 00 74 16 80 BB 74 01 00 00 00 74 0D 8B C3 E8 ?? ?? ?? ?? 84 C0 75 02 33 F6 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11098_0 {
	meta:
		name = "_NF__26E"
		size = 104
		refs = "000e @IntfClear 0014 _NF__26E"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 83 60 01 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 40 01 00 00 50 8B 00 FF 10 8D 83 64 01 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 40 01 00 00 50 8B 00 FF 10 33 C0 5B 5D C2 04 00 00 00 13 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 17 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11099_0 {
	meta:
		name = "_NF__26F"
		size = 19
		refs = "0009 _NF__300"
	strings:
		$1 = { 55 8B EC 8B 45 08 B2 01 E8 ?? ?? ?? ?? 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_11365_0 {
	meta:
		name = "_NF__35B"
		size = 19
		refs = "0009 _NF__314"
	strings:
		$1 = { 55 8B EC 8B 45 08 B2 01 E8 ?? ?? ?? ?? 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_11100_0 {
	meta:
		name = "_NF__270"
		size = 271
		refs = "0032 @IntfCopy 003a @IntfClear 0057 Rect 0091 TControl.ScreenToClient 0098 TControl.GetClientHeight 00a3 TControl.GetClientWidth 00b5 SetRect 00d9 _NF__28D"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 1C 8B 7D 14 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 93 5C 01 00 00 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 80 BB A8 01 00 00 00 74 36 8B 43 3C 50 8D 45 E8 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8D 75 E8 B9 04 00 00 00 F3 A5 5F 5E 8B 45 18 56 57 8B F7 8B F8 B9 04 00 00 00 F3 A5 5F 5E EB 59 8D 55 E0 8B C3 8B 08 FF 51 28 8D 55 E0 8D 4D F8 8B 43 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 03 45 FC 50 8B C3 E8 ?? ?? ?? ?? 03 45 F8 50 8B 45 FC 50 8B 45 F8 50 57 E8 ?? ?? ?? ?? 68 FF 3F 00 00 68 FF 3F 00 00 68 00 C0 FF FF 68 00 C0 FF FF 8B 45 18 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 46 04 8D 46 08 50 8B 83 5C 01 00 00 50 8B 00 FF 50 0C 8B 83 68 01 00 00 89 46 0C 8B 83 6C 01 00 00 89 46 10 33 C0 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_11102_0 {
	meta:
		name = "_NF__272"
		size = 52
		refs = "0029 _NF__300"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 6A 00 6A 00 6A 00 8B 83 5C 01 00 00 50 8B 00 FF 50 28 8B 83 5C 01 00 00 8B 10 FF 52 44 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11103_0 {
	meta:
		name = "_NF__273"
		size = 36
		refs = "000e @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 83 64 01 00 00 E8 ?? ?? ?? ?? 8D 83 60 01 00 00 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11105_0 {
	meta:
		name = "_NF__275"
		size = 24
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 80 60 01 00 00 50 8B 00 FF 50 18 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_11106_0 {
	meta:
		name = "_NF__276"
		size = 83
		refs = "000a _NF__276 001b _NF__2DD 0023 _NF__304 0032 @HandleAnyException 0037 Application 0041 TApplication.HandleException 0046 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11107_0 {
	meta:
		name = "_NF__277"
		size = 21
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 66 BB DB FF E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11108_0 {
	meta:
		name = "_NF__278"
		size = 26
		refs = "0012 _NF__307"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 3B 90 44 01 00 00 75 05 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_11112_0 {
	meta:
		name = "_NF__27C"
		size = 248
		refs = "000e @IntfAddRef 0016 _NF__27C 002f @IntfClear 0096 @IntfCopy 00a8 _NF__304 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 05 40 00 80 83 7D 0C 00 75 49 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 40 01 00 00 50 8B 00 FF 10 85 C0 75 71 83 7D FC 00 74 6B 8D 45 0C E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B C3 05 24 01 00 00 50 8B 45 FC 50 8B 00 FF 50 0C 8B F0 85 F6 75 47 EB 11 8B C3 05 24 01 00 00 50 8B 45 0C 50 8B 00 FF 50 0C C6 83 A8 01 00 00 01 8D 83 A4 01 00 00 8B 55 0C E8 ?? ?? ?? ?? 6A FF 8B 45 0C 50 8B 00 FF 50 28 8B C3 E8 ?? ?? ?? ?? 6A FF 8B 45 0C 50 8B 00 FF 50 24 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 59 5D C2 08 00 00 C5 BC 22 B7 68 4E 1B 10 A2 BC 00 AA 00 40 47 70 }
	condition:
		$1
}

rule function_11113_0 {
	meta:
		name = "TOleContainer.Create"
		size = 192
		refs = "000a @ClassCreate 0017 TCustomControl.Create 0026 NewStyleControls 0031 TOleContainer.Create 004d TControl.SetWidth 0059 TControl.SetHeight 0062 TWinControl.SetTabStop 006b TControl.SetParentColor"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 34 01 00 00 01 00 00 00 A1 ?? ?? ?? ?? 80 38 00 74 0C 66 A1 ?? ?? ?? ?? 66 89 46 40 EB 0A 66 A1 ?? ?? ?? ?? 66 89 46 40 BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 74 01 00 00 01 C6 86 75 01 00 00 01 C6 86 76 01 00 00 02 C6 86 77 01 00 00 01 C6 86 78 01 00 00 01 C6 86 79 01 00 00 01 C7 86 44 01 00 00 01 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 E8 00 00 00 F8 00 00 00 }
	condition:
		$1
}

rule function_11115_0 {
	meta:
		name = "_NF__284"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 80 34 01 00 00 8B 80 34 01 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_11116_0 {
	meta:
		name = "_NF__285"
		size = 80
		refs = "0027 _NF__22C 002e _NF__2B0"
	strings:
		$1 = { 53 83 C4 F8 8B D8 F6 43 20 02 75 40 80 BB 7B 01 00 00 04 75 37 83 BB 40 01 00 00 00 74 2E 8B D4 8D 83 48 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 03 C0 8B 14 24 03 D0 52 03 44 24 08 50 8B 4B 34 8B 53 30 8B C3 8B 18 FF 53 4C 59 5A 5B C3 }
	condition:
		$1
}

rule function_11117_0 {
	meta:
		name = "TOleContainer.ChangeIconDialog"
		size = 212
		refs = "000f _NF__288 0025 @FillChar 003e Application 0053 _NF__22E 006b OleCheck 0072 TOleContainer.GetIconMetaPict 0080 TOleContainer.ChangeIconDialog 0092 OleUIChangeIcon 00a4 _NF__2F8 00c0 DestroyMetaPict 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 BC FE FF FF 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 45 FF 00 8D 85 BC FE FF FF 33 C9 BA 40 01 00 00 E8 ?? ?? ?? ?? C7 85 BC FE FF FF 40 01 00 00 C7 85 C0 FE FF FF 02 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 85 C4 FE FF FF C7 85 CC FE FF FF ?? ?? ?? ?? 8D 85 E4 FE FF FF 50 8B 83 40 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 85 E0 FE FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 BC FE FF FF 50 E8 ?? ?? ?? ?? 48 75 13 8B 8D E0 FE FF FF B2 01 8B C3 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 E0 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8A 45 FF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11118_0 {
	meta:
		name = "_NF__288"
		size = 93
		refs = "0009 _NF__288 0020 SEmptyContainer 0025 LoadResString 002f _Dn_EOleError 0034 Exception.Create 0039 @RaiseExcept 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 B8 40 01 00 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_11119_0 {
	meta:
		name = "TOleContainer.Close"
		size = 31
		refs = "0006 _NF__288 0019 OleCheck"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 40 01 00 00 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11120_0 {
	meta:
		name = "TOleContainer.Copy"
		size = 128
		refs = "000c TOleContainer.Copy 0019 TOleContainer.Close 0026 _NV__254 002b _NF__256 003d @IntfCast 0046 OleSetClipboard 004b OleCheck 0060 @IntfClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 8B 40 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 04 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11121_0 {
	meta:
		name = "_NF__28D"
		size = 82
		refs = "0049 TMainMenu.GetOle2AcceleratorTable"
	strings:
		$1 = { 53 83 C4 F4 8B D8 83 BB 68 01 00 00 00 75 3E 8B 83 5C 01 00 00 8B 10 FF 52 48 8B 80 4C 01 00 00 85 C0 74 29 33 D2 89 14 24 C7 44 24 04 02 00 00 00 C7 44 24 08 04 00 00 00 54 6A 02 8D 8B 6C 01 00 00 8D 93 68 01 00 00 E8 ?? ?? ?? ?? 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_11122_0 {
	meta:
		name = "TOleContainer.CreateLinkToFile"
		size = 117
		refs = "0014 TCreateInfo 0019 @InitializeRecord 0021 TOleContainer.CreateLinkToFile 003d @WStrFromLStr 0047 TOleContainer.CreateObjectFromInfo 0062 @FinalizeRecord 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D9 8B F2 8B F8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E0 02 88 5D E1 33 C0 89 45 E4 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11123_0 {
	meta:
		name = "TOleContainer.CreateObject"
		size = 134
		refs = "0014 TCreateInfo 0019 @InitializeRecord 0021 TOleContainer.CreateObject 003d ProgIDToClassID 0058 TOleContainer.CreateObjectFromInfo 0073 @FinalizeRecord 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B D9 8B F2 8B F8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E0 00 88 5D E1 33 C0 89 45 E4 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 56 57 8D 75 D0 8D 7D E8 B9 04 00 00 00 F3 A5 5F 5E 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11124_0 {
	meta:
		name = "TOleContainer.CreateObjectFromFile"
		size = 117
		refs = "0014 TCreateInfo 0019 @InitializeRecord 0021 TOleContainer.CreateObjectFromFile 003d @WStrFromLStr 0047 TOleContainer.CreateObjectFromInfo 0062 @FinalizeRecord 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D9 8B F2 8B F8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E0 01 88 5D E1 33 C0 89 45 E4 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11125_0 {
	meta:
		name = "TOleContainer.CreateObjectFromInfo"
		size = 548
		refs = "0010 TOleContainer.DestroyObject 0018 TOleContainer.CreateObjectFromInfo 0026 _NF__2A0 005b @IntfClear 0081 OleCreate 0086 OleCheck 00bd @WStrToPWChar 00c3 GUID_NULL 00c9 OleCreateFromFile 010b OleCreateLinkToFile 0145 OleCreateFromData 017f OleCreateLinkFromData 0199 _NF__2C8 01a1 TControl.GetClientHeight 01aa TControl.GetClientWidth 01b3 Point 01be _NF__22B 01e1 _NF__2F8 01e9 _NF__307 01f8 @HandleAnyException 0205 @RaiseAgain 020a @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 8A 03 83 F8 04 0F 87 51 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 3C 01 00 00 50 8B 45 FC 05 20 01 00 00 50 6A 00 6A 01 68 ?? ?? ?? ?? 8D 43 08 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F9 00 00 00 8B 45 FC 05 40 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 3C 01 00 00 50 8B 45 FC 05 20 01 00 00 50 6A 00 6A 01 68 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B1 00 00 00 8B 45 FC 05 40 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 3C 01 00 00 50 8B 45 FC 05 20 01 00 00 50 6A 00 6A 01 68 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 72 8B 45 FC 05 40 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 3C 01 00 00 50 8B 45 FC 05 20 01 00 00 50 6A 00 6A 01 68 ?? ?? ?? ?? 8B 43 1C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 38 8B 45 FC 05 40 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 3C 01 00 00 50 8B 45 FC 05 20 01 00 00 50 6A 00 6A 01 68 ?? ?? ?? ?? 8B 43 1C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 80 44 01 00 00 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D EC 5A E8 ?? ?? ?? ?? 8D 45 EC 8D 55 F4 E8 ?? ?? ?? ?? 8D 45 F4 50 6A 01 8B 45 FC 8B 80 40 01 00 00 50 8B 00 FF 50 44 8B 4B 04 8A 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 8B E5 5D C3 00 12 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11126_0 {
	meta:
		name = "TOleContainer.CreateParams"
		size = 19
		refs = "0006 TWinControl.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 81 4B 04 00 00 00 02 5B C3 }
	condition:
		$1
}

rule function_14746_0 {
	meta:
		name = "TTabbedNotebook.CreateParams"
		size = 19
		refs = "0006 TCustomTabControl.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 81 4B 04 00 00 00 02 5B C3 }
	condition:
		$1
}

rule function_11127_0 {
	meta:
		name = "_NF__2A0"
		size = 67
		refs = "000a @IntfClear 0014 CreateILockBytesOnHGlobal 0019 OleCheck 0038 StgCreateDocfileOnILockBytes"
	strings:
		$1 = { 53 8B D8 8D 83 38 01 00 00 E8 ?? ?? ?? ?? 50 6A FF 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 3C 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 12 10 00 00 8B 83 38 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11128_0 {
	meta:
		name = "TOleContainer.DblClick"
		size = 26
		refs = "000f TOleContainer.DoVerb 0015 TControl.DblClick"
	strings:
		$1 = { 80 B8 76 01 00 00 02 75 0B BA 00 00 FF FF E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11129_0 {
	meta:
		name = "TOleContainer.DefineProperties"
		size = 68
		refs = "000b TControl.DefineProperties 0011 TOleContainer.LoadFromStream 0017 TOleContainer.SaveToStream 0026 TOleContainer.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 BB 40 01 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_11130_0 {
	meta:
		name = "_NF__21E"
		size = 30
		refs = "0001 GetParentForm"
		altNames = "_NF__2A6"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 54 01 00 00 00 74 0B 8B 80 54 01 00 00 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_11131_0 {
	meta:
		name = "_NF__2A7"
		size = 37
		refs = "000f DestroyAcceleratorTable"
	strings:
		$1 = { 53 8B D8 8B 83 68 01 00 00 85 C0 74 16 50 E8 ?? ?? ?? ?? 33 C0 89 83 68 01 00 00 33 C0 89 83 6C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_11132_0 {
	meta:
		name = "TOleContainer.DestroyObject"
		size = 324
		refs = "000d TOleContainer.DestroyObject 0025 _NF__301 0036 @IntfClear 008d @CallDynaInst 00c0 _NF__2AA 00c7 _NF__2A7 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 40 01 00 00 00 74 71 33 D2 8B C6 E8 ?? ?? ?? ?? 83 BE 54 01 00 00 00 74 3F 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 86 40 01 00 00 50 8B 00 FF 10 83 7D FC 00 74 18 8B 86 54 01 00 00 50 8B 45 FC 50 8B 00 FF 50 28 8D 45 FC E8 ?? ?? ?? ?? 33 C0 89 86 54 01 00 00 6A 01 8B 86 40 01 00 00 50 8B 00 FF 50 18 8B C6 8B 10 FF 52 44 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 8D 86 A4 01 00 00 E8 ?? ?? ?? ?? 8D 86 40 01 00 00 E8 ?? ?? ?? ?? 8D 86 3C 01 00 00 E8 ?? ?? ?? ?? 8D 86 38 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 BE 58 01 00 00 00 74 3E 8B 86 5C 01 00 00 3B 86 58 01 00 00 74 0D 8B D6 8B 86 5C 01 00 00 8B 08 FF 51 40 8B D6 8B 86 58 01 00 00 8B 08 FF 51 40 8D 86 5C 01 00 00 E8 ?? ?? ?? ?? 8D 86 58 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11133_0 {
	meta:
		name = "_NF__2AA"
		size = 43
		refs = "000a TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 70 01 00 00 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 50 01 00 00 5B C3 }
	condition:
		$1
}

rule function_11134_0 {
	meta:
		name = "TOleContainer.DoEnter"
		size = 31
		refs = "0012 TOleContainer.DoVerb 0019 TWinControl.DoEnter"
	strings:
		$1 = { 53 8B D8 80 BB 76 01 00 00 01 75 0A 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11135_0 {
	meta:
		name = "TOleContainer.DoVerb"
		size = 262
		refs = "0016 TOleContainer.DoVerb 0023 _NF__288 0037 TOleContainer.UpdateVerbs 004e SInvalidVerb 0053 LoadResString 005d _Dn_EOleError 0062 Exception.Create 0067 @RaiseExcept 00a3 TWinControl.GetHandle 00b1 TControl.GetBoundsRect 00de OleCheck 00f3 @LStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 F6 7E 58 83 BB 50 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 50 01 00 00 8B 10 FF 52 14 3B F0 7C 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 83 50 01 00 00 8B 08 FF 51 18 66 83 E0 FF 0F BF C0 8B F0 EB 0A 81 FE 00 00 FF FF 75 02 33 F6 80 BB A8 01 00 00 00 74 15 8D 55 F0 8B C3 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 14 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B F8 8D 45 F0 50 57 6A 00 8B C3 05 20 01 00 00 50 6A 00 56 8B 83 40 01 00 00 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11136_0 {
	meta:
		name = "_NF__2B0"
		size = 45
		refs = "000e NewStyleControls"
	strings:
		$1 = { 80 B8 78 01 00 00 00 75 03 33 C0 C3 8B 15 ?? ?? ?? ?? 80 3A 00 74 10 80 B8 D5 00 00 00 00 74 07 B8 02 00 00 00 EB 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_11137_0 {
	meta:
		name = "TOleContainer.GetCanPaste"
		size = 105
		refs = "000a TOleContainer.GetCanPaste 0018 @IntfClear 001e OleGetClipboard 002b OleQueryCreateFromData 0038 OleQueryLinkFromData 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 7C 1A 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 74 11 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_11138_0 {
	meta:
		name = "TOleContainer.GetIconic"
		size = 11
	strings:
		$1 = { 83 B8 44 01 00 00 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_11139_0 {
	meta:
		name = "TOleContainer.GetIconMetaPict"
		size = 228
		refs = "0013 TOleContainer.GetIconMetaPict 0020 _NF__288 0033 @IntfClear 009b OleCheck 00a8 OleGetIconOfClass 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 F6 83 BB 44 01 00 00 04 75 57 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 40 01 00 00 50 8B 00 FF 10 83 7D FC 00 74 38 66 C7 45 E8 03 00 33 C0 89 45 EC C7 45 F0 04 00 00 00 C7 45 F4 FF FF FF FF C7 45 F8 20 00 00 00 8D 45 DC 50 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 0C 85 C0 7C 03 8B 75 E0 85 F6 75 24 8D 45 CC 50 8B 83 40 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 6A FF 6A 00 8D 45 CC 50 E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 00 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11140_0 {
	meta:
		name = "TOleContainer.GetLinked"
		size = 112
		refs = "000c TOleContainer.GetLinked 0019 _NF__288 0021 @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 40 01 00 00 50 8B 00 FF 10 83 7D FC 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11141_0 {
	meta:
		name = "_NF__2B9"
		size = 38
		refs = "000d GetHGlobalFromILockBytes 001a GlobalSize"
	strings:
		$1 = { 53 51 8B D8 54 8B 83 38 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 7C 0C 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 33 C0 5A 5B C3 }
	condition:
		$1
}

rule function_11142_0 {
	meta:
		name = "TOleContainer.GetObjectVerbs"
		size = 27
		refs = "000f TOleContainer.UpdateVerbs"
	strings:
		$1 = { 53 8B D8 83 BB 50 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 50 01 00 00 5B C3 }
	condition:
		$1
}

rule function_11143_0 {
	meta:
		name = "TOleContainer.GetOleClassName"
		size = 49
		refs = "000c _NF__288 001e OleCheck 0027 ClassIDToProgID"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 54 8B 83 40 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B D6 8B C4 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_11144_0 {
	meta:
		name = "TOleContainer.GetOleObject"
		size = 112
		refs = "000f TOleContainer.GetOleObject 001c _NF__288 002f @IntfCast 0039 @VarFromDisp 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 93 40 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11145_0 {
	meta:
		name = "TOleContainer.GetPopupMenu"
		size = 276
		refs = "0014 TOleContainer.GetPopupMenu 003b TOleContainer.GetObjectVerbs 005e _Dn_TPopupMenu 0063 TPopupMenu.Create 008e _Dn_TMenuItem 0093 TMenuItem.Create 00b1 TMenuItem.SetCaption 00c1 _NF__2E6 00d1 TMenuItem.Add 00e8 TControl.GetPopupMenu 00ff @LStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 77 01 00 00 00 0F 84 BA 00 00 00 83 BB 40 01 00 00 00 0F 84 AD 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 0F 8E 99 00 00 00 83 BB 70 01 00 00 00 0F 85 84 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 70 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 7C 5F 40 89 45 F8 C7 45 FC 00 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC 8B 38 FF 57 0C 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 89 46 0C 89 5E 64 C7 46 60 ?? ?? ?? ?? 8B 83 70 01 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? FF 45 FC FF 4D F8 75 AC 8B 9B 70 01 00 00 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11146_0 {
	meta:
		name = "TOleContainer.GetPrimaryVerb"
		size = 74
		refs = "0011 TOleContainer.UpdateVerbs"
	strings:
		$1 = { 53 56 57 8B F8 83 BF 50 01 00 00 00 75 07 8B C7 E8 ?? ?? ?? ?? 8B 87 50 01 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1B 43 33 F6 8B D6 8B 87 50 01 00 00 8B 08 FF 51 18 A9 FF FF 00 00 74 06 46 4B 75 E8 33 F6 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11147_0 {
	meta:
		name = "TOleContainer.GetSourceDoc"
		size = 132
		refs = "000f TOleContainer.GetSourceDoc 001c _NF__288 0023 @LStrClr 002b @IntfClear 004c _NF__238 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 40 01 00 00 50 8B 00 FF 10 83 7D FC 00 74 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11148_0 {
	meta:
		name = "TOleContainer.GetState"
		size = 66
		refs = "0032 OleIsRunning"
	strings:
		$1 = { 53 8B D8 83 BB 40 01 00 00 00 75 04 33 C0 5B C3 80 BB 7C 01 00 00 00 74 04 B0 03 EB 23 80 BB 7D 01 00 00 00 74 04 B0 05 EB 16 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 04 B0 02 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_11149_0 {
	meta:
		name = "_NF__2C8"
		size = 440
		refs = "0017 _NF__2C8 0024 ValidParentForm 002c _NF__239 003a @IntfCopy 0068 _NF__23A 0074 Application 00a2 _NF__301 00ac TControl.GetText 00b7 @WStrFromLStr 00bf @WStrToPWChar 00cf TApplication.GetTitle 00fd OleSetContainedObject 0105 @IntfClear 016e @LStrClr 0176 @WStrClr 019c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 58 01 00 00 E8 ?? ?? ?? ?? 8D 83 5C 01 00 00 8B 93 58 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 58 01 00 00 8B 08 FF 51 3C 8B 83 58 01 00 00 8B 10 FF 52 48 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 E4 A1 ?? ?? ?? ?? 8B 00 8B 40 2C E8 ?? ?? ?? ?? 8B 55 E4 8D 83 5C 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 5C 01 00 00 8B 08 FF 51 3C B2 01 8B C3 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 50 8D 55 D4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 50 8B 83 40 01 00 00 50 8B 00 FF 50 14 6A FF 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 40 01 00 00 50 8B 00 FF 10 83 7D FC 00 74 3D 66 C7 45 E8 00 00 33 C0 89 45 EC C7 45 F0 FF FF FF FF C7 45 F4 FF FF FF FF C7 45 F8 FF FF FF FF 8D 83 54 01 00 00 50 81 C3 28 01 00 00 53 6A 01 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5B 8B E5 5D C3 00 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11150_0 {
	meta:
		name = "TOleContainer.InsertObjectDialog"
		size = 415
		refs = "0013 TOleUIInsertObject 0018 @InitializeRecord 0024 TCreateInfo 0031 TOleContainer.InsertObjectDialog 0051 @FillChar 0076 Application 0085 _NF__22E 00ac OleUIInsertObject 0107 @WStrFromArray 012c TOleContainer.CreateObjectFromInfo 0155 DestroyMetaPict 015b @HandleFinally 017b @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 6C FE FF FF 53 56 57 8B D8 8D 45 8C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 6C FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 C6 83 81 01 00 00 00 8D 45 8C 33 C9 BA 70 00 00 00 E8 ?? ?? ?? ?? 8D 85 8C FE FF FF 33 C9 BA 00 01 00 00 E8 ?? ?? ?? ?? C7 45 8C 70 00 00 00 C7 45 90 02 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 45 94 C7 45 9C ?? ?? ?? ?? 8D 85 8C FE FF FF 89 45 C0 C7 45 C4 00 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 8C 50 E8 ?? ?? ?? ?? 48 0F 85 8D 00 00 00 8B 75 90 F7 C6 02 00 00 00 74 1B C6 85 6C FE FF FF 00 56 8D 75 B0 8D BD 74 FE FF FF B9 04 00 00 00 F3 A5 5E EB 2E F7 C6 08 00 00 00 75 09 C6 85 6C FE FF FF 01 EB 07 C6 85 6C FE FF FF 02 8D 85 84 FE FF FF 8D 95 8C FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? F7 C6 10 00 00 00 0F 95 C0 88 85 6D FE FF FF 8B 45 F8 89 85 70 FE FF FF 8D 95 6C FE FF FF 8B C3 E8 ?? ?? ?? ?? 80 BD 6C FE FF FF 00 75 07 C6 83 81 01 00 00 01 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 8C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11151_0 {
	meta:
		name = "TOleContainer.KeyDown"
		size = 76
		refs = "0012 TWinControl.KeyDown 0031 TOleContainer.DoVerb"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 80 BB 76 01 00 00 00 74 29 66 83 3E 0D 75 23 F6 04 24 04 74 0C 83 CA FF 8B C3 E8 ?? ?? ?? ?? EB 0C BA 00 00 FF FF 8B C3 E8 ?? ?? ?? ?? 66 C7 06 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_11153_0 {
	meta:
		name = "TOleContainer.LoadFromStream"
		size = 464
		refs = "0015 TOleContainer.LoadFromStream 0023 TOleContainer.DestroyObject 0032 TStream.ReadBuffer 004f SInvalidStreamFormat 0054 LoadResString 005e _Dn_EOleError 0063 Exception.Create 0068 @RaiseExcept 0073 GlobalAlloc 0081 OutOfMemoryError 0098 GlobalLock 00c8 GlobalUnlock 00ce @HandleFinally 00dd @IntfClear 00e9 CreateILockBytesOnHGlobal 00ee OleCheck 0118 StgOpenStorageOnILockBytes 0148 OleLoad 0161 _NF__2C8 0169 _NF__307 0178 @HandleAnyException 0187 GlobalFree 0194 @RaiseAgain 0199 @DoneExcept 01ae @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D E8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC B9 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 7D EC 42 44 4F 43 74 2D 8B 45 FC 80 B8 7A 01 00 00 00 75 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 6A 02 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 4D F4 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 05 38 01 00 00 E8 ?? ?? ?? ?? 50 6A FF 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 45 FC 05 3C 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 12 6A 00 8B 45 FC 8B 80 38 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 05 20 01 00 00 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 3C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 90 44 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 83 7D F8 00 74 09 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 12 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11154_0 {
	meta:
		name = "TOleContainer.MouseDown"
		size = 51
		refs = "0028 TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 84 DB 75 07 8B C6 8B 10 FF 52 78 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11155_0 {
	meta:
		name = "TOleContainer.Changed"
		size = 26
		refs = "0015 _NF__2A6"
	strings:
		$1 = { F6 40 20 02 75 13 C6 80 7E 01 00 00 01 C6 80 7F 01 00 00 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11156_0 {
	meta:
		name = "_NF__2DD"
		size = 71
		refs = "0020 _NF__2B0 002c InflateRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 66 83 BB 96 01 00 00 00 74 2E 8B F2 8B FC B9 04 00 00 00 F3 A5 8B C3 E8 ?? ?? ?? ?? 50 50 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B CC 8B D3 8B 83 98 01 00 00 FF 93 94 01 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11157_0 {
	meta:
		name = "TOleContainer.ObjectPropertiesDialog"
		size = 503
		refs = "0023 TOleUIObjectProps 0028 @InitializeRecord 0030 TOleContainer.ObjectPropertiesDialog 003d _NF__288 004e @FillChar 00b4 @IntfCopy 00bb TOleContainer.GetLinked 00cc _NV__23C 00d1 _NF__23F 0102 Application 010f MainInstance 0129 _NF__236 014e SPropDlgCaption 0153 LoadResString 0161 Format 0169 @LStrToPChar 017a _NF__22E 01ab OleUIObjectProperties 01cd @LStrArrayClr 01db @FinalizeRecord 01e3 @LStrClr 01e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 1C FF FF FF 53 56 33 D2 89 95 20 FF FF FF 89 95 1C FF FF FF 89 55 FC 8B F0 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 DB 8D 45 D4 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8D 85 54 FF FF FF 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? 8D 85 2C FF FF FF 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? C7 45 D4 28 00 00 00 C7 45 D8 08 00 00 00 8D 45 AC 89 45 DC 8D 45 E4 8B D6 81 C2 30 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F 83 4D D8 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 0C 8D 45 EC E8 ?? ?? ?? ?? 8D 45 84 89 45 F0 8D 85 54 FF FF FF 89 45 F4 8D 85 2C FF FF FF 89 45 F8 C7 45 AC 28 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 45 B4 A1 ?? ?? ?? ?? 8B 00 89 45 B8 8D 45 FC 50 8D 95 20 FF FF FF 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 89 85 24 FF FF FF C6 85 28 FF FF FF 0B 8D 85 24 FF FF FF 50 8D 95 1C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 C0 C7 45 84 28 00 00 00 C7 45 94 ?? ?? ?? ?? C7 85 54 FF FF FF 30 00 00 00 C7 85 58 FF FF FF 04 00 00 00 C7 85 2C FF FF FF 28 00 00 00 C7 85 30 FF FF FF 10 00 00 00 8D 45 D4 50 E8 ?? ?? ?? ?? 48 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11158_0 {
	meta:
		name = "TOleContainer.Paint"
		size = 517
		refs = "0030 Rect 0043 NewStyleControls 006d TBrush.SetStyle 007e TBrush.SetColor 0097 TCanvas.GetHandle 009d DrawEdge 00c7 _NF__22C 0188 SetRect 01c4 OleDraw 01e1 _NF__232 01f9 TCanvas.DrawFocusRect"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B D8 80 BB A8 01 00 00 00 74 0D 80 BB 7D 01 00 00 00 0F 85 DE 01 00 00 8B 43 3C 50 8D 44 24 1C 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? BE 00 40 00 00 80 BB 78 01 00 00 01 75 1F A1 ?? ?? ?? ?? 80 38 00 74 10 80 BB D5 00 00 00 00 74 07 BE 0F 20 00 00 EB 05 BE 0F A0 00 00 8B 83 18 01 00 00 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 8B 40 14 8B 53 54 E8 ?? ?? ?? ?? 81 CE 00 08 00 00 56 6A 0A 8D 44 24 20 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 BB 40 01 00 00 00 0F 84 37 01 00 00 8B 74 24 20 2B 74 24 18 8B 7C 24 24 2B 7C 24 1C 8B D4 8D 83 48 01 00 00 E8 ?? ?? ?? ?? 83 BB 44 01 00 00 01 75 3B 80 BB 7B 01 00 00 02 75 32 8B C6 8B 6C 24 04 F7 ED 8B D7 8B 0C 24 0F AF D1 3B C2 7E 10 8B C1 F7 EF 99 F7 FD 89 04 24 89 7C 24 04 EB 0E 8B C5 F7 EE 99 F7 F9 89 44 24 04 89 34 24 83 BB 44 01 00 00 04 74 12 80 BB 7B 01 00 00 01 74 09 80 BB 7B 01 00 00 02 75 37 8B 04 24 2B F0 D1 FE 79 03 83 D6 00 89 74 24 08 8B 54 24 04 2B FA D1 FF 79 03 83 D7 00 89 7C 24 0C 8B 4C 24 08 03 C8 89 4C 24 10 8B 44 24 0C 03 C2 89 44 24 14 EB 43 80 BB 7B 01 00 00 00 75 24 8B 4C 24 04 8B 54 24 1C 2B CA 51 8B 4C 24 04 8B 44 24 1C 2B C8 51 52 50 8D 44 24 18 50 E8 ?? ?? ?? ?? EB 16 57 56 8B 44 24 24 50 8B 44 24 24 50 8D 44 24 18 50 E8 ?? ?? ?? ?? 8D 44 24 08 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 44 01 00 00 50 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 80 BB 7C 01 00 00 00 74 14 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8D 54 24 18 E8 ?? ?? ?? ?? 80 BB 80 01 00 00 00 74 0F 8D 54 24 18 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11159_0 {
	meta:
		name = "TOleContainer.Paste"
		size = 360
		refs = "0013 TCreateInfo 0018 @InitializeRecord 0020 TOleContainer.Paste 002d TOleContainer.GetCanPaste 003d @IntfClear 0043 OleGetClipboard 0048 OleCheck 006e @IntfCopy 0074 _NV__226 00b0 GlobalLock 00c3 GlobalUnlock 00cc ReleaseStgMedium 0117 TOleContainer.CreateObjectFromInfo 012c DestroyMetaPict 0132 @HandleFinally 014f @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 33 D2 89 55 FC 8B D8 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 FF 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 BC 03 C6 45 BD 00 33 C0 89 45 C0 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 45 E8 33 C0 89 45 EC C7 45 F0 01 00 00 00 C7 45 F4 FF FF FF FF C7 45 F8 01 00 00 00 8D 45 DC 50 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 0C 85 C0 7C 25 8B 45 E0 50 E8 ?? ?? ?? ?? 83 78 14 04 75 04 C6 45 BD 01 8B 45 E0 50 E8 ?? ?? ?? ?? 8D 45 DC 50 E8 ?? ?? ?? ?? 80 7D BD 00 74 3B 66 C7 45 E8 03 00 33 C0 89 45 EC C7 45 F0 04 00 00 00 C7 45 F4 FF FF FF FF C7 45 F8 20 00 00 00 8D 45 DC 50 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 0C 85 C0 7C 06 8B 45 E0 89 45 C0 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11160_0 {
	meta:
		name = "TOleContainer.PasteSpecialDialog"
		size = 468
		refs = "0012 TOleUIPasteSpecial 0017 @InitializeRecord 0023 TCreateInfo 0036 TOleContainer.PasteSpecialDialog 0047 TOleContainer.GetCanPaste 005e @FillChar 0078 Application 0087 _NF__22E 0098 _NV__228 00a5 _NV__227 0121 OleUIPasteSpecial 015e @IntfCopy 016b TOleContainer.CreateObjectFromInfo 0184 DestroyMetaPict 018a @HandleFinally 01aa @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 40 FF FF FF 53 56 8B D8 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 40 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D B5 60 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 3D 01 00 00 8D 45 A8 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8B C6 33 C9 BA 48 00 00 00 E8 ?? ?? ?? ?? C7 45 A8 54 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 45 B0 C7 45 B8 ?? ?? ?? ?? 89 75 D0 C7 45 D4 02 00 00 00 C7 45 D8 ?? ?? ?? ?? C7 45 DC 01 00 00 00 66 A1 ?? ?? ?? ?? 66 89 06 C7 46 08 01 00 00 00 C7 46 0C FF FF FF FF C7 46 10 08 00 00 00 B8 ?? ?? ?? ?? 89 46 14 B8 ?? ?? ?? ?? 89 46 18 C7 46 1C 00 0A 00 00 66 A1 ?? ?? ?? ?? 66 89 46 24 C7 46 2C 01 00 00 00 C7 46 30 FF FF FF FF C7 46 34 04 00 00 00 B8 ?? ?? ?? ?? 89 46 38 B8 ?? ?? ?? ?? 89 46 3C C7 46 40 01 08 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A8 50 E8 ?? ?? ?? ?? 48 75 4B 83 7D EC 00 74 09 C6 85 40 FF FF FF 04 EB 07 C6 85 40 FF FF FF 03 F6 45 AC 08 0F 95 C0 88 85 41 FF FF FF 8B 45 F0 89 85 44 FF FF FF 8D 85 5C FF FF FF 8B 55 CC E8 ?? ?? ?? ?? 8D 95 40 FF FF FF 8B C3 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 40 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 8A 45 FF 5E 5B 8B E5 5D C3 00 00 00 25 73 00 00 }
	condition:
		$1
}

rule function_11161_0 {
	meta:
		name = "_NF__2E6"
		size = 32
		refs = "000a _Dn_TMenuItem 000f @AsClass 0019 TOleContainer.DoVerb"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11162_0 {
	meta:
		name = "_NF__2E7"
		size = 104
		refs = "001c _NF__2E7 0022 IsEqualIID 0040 TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 33 C0 89 07 C7 45 FC 02 40 00 80 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 84 C0 74 0F 80 BB 75 01 00 00 00 74 1A F6 43 20 10 75 14 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C2 0C 00 C7 BC 22 B7 68 4E 1B 10 A2 BC 00 AA 00 40 47 70 }
	condition:
		$1
}

rule function_11163_0 {
	meta:
		name = "_NF__2E8"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 88 34 01 00 00 8B 80 34 01 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_11164_0 {
	meta:
		name = "TOleContainer.Run"
		size = 29
		refs = "0006 _NF__288 0012 OleRun 0017 OleCheck"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11165_0 {
	meta:
		name = "_NF__2EB"
		size = 176
		refs = "000e _NF__2EB 0032 @IntfCast 0044 OleSave 0049 OleCheck 005c @IntfClear 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 BB 40 01 00 00 00 74 57 8D 45 FC 8B 93 40 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8B 83 3C 01 00 00 50 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 FC 50 8B 00 FF 50 20 8D 45 FC E8 ?? ?? ?? ?? 6A 00 8B 83 3C 01 00 00 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? C6 83 7F 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 04 00 0A 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11166_0 {
	meta:
		name = "TOleContainer.SaveAsDocument"
		size = 228
		refs = "0013 TOleContainer.SaveAsDocument 0020 _NF__288 002f _NF__2EB 0037 @IntfClear 0068 @WStrFromLStr 0070 @WStrToPWChar 0076 StgCreateDocfile 007b OleCheck 008a OleSave 00af @WStrClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 7F 01 00 00 00 74 06 53 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 40 01 00 00 50 8B 00 FF 10 83 7D F8 00 74 4C 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 68 12 10 00 00 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 FC 50 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 00 FF 50 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 0A 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11168_0 {
	meta:
		name = "TOleContainer.SaveToStream"
		size = 406
		refs = "0018 TOleContainer.SaveToStream 0025 _NF__288 0034 _NF__2EB 0045 @IntfClear 004f CreateILockBytesOnHGlobal 0054 OleCheck 006d StgCreateDocfileOnILockBytes 00aa GetHGlobalFromILockBytes 00d9 TControl.GetBoundsRect 0114 GlobalSize 0126 TStream.WriteBuffer 012f GlobalLock 015f GlobalUnlock 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 7F 01 00 00 00 74 06 53 E8 ?? ?? ?? ?? 80 BB 79 01 00 00 00 74 74 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 68 12 10 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 6A 00 6A 00 8B 83 3C 01 00 00 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 8D 45 F4 50 8B 83 38 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB 7A 01 00 00 00 74 2C 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 66 8B 45 D8 66 89 45 E8 66 8B 45 DC 66 89 45 EA 66 8B 45 E0 66 89 45 EC 66 8B 45 E4 66 89 45 EE EB 10 C7 45 E8 42 44 4F 43 8B 83 44 01 00 00 89 45 EC 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 8D 55 E8 B9 0C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 4D F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11169_0 {
	meta:
		name = "TOleContainer.SetBorderStyle"
		size = 33
		refs = "0014 _NF__285"
	strings:
		$1 = { 56 8B F0 3A 96 78 01 00 00 74 14 88 96 78 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_11170_0 {
	meta:
		name = "_NF__2F8"
		size = 556
		refs = "001b _NF__2F8 0080 @IntfCast 0090 @IntfClear 009f OleCheck 00dd @FillChar 0111 _NF__301 0151 OleGetIconOfClass 01c7 DestroyMetaPict 01cd @HandleFinally 01e3 TOleContainer.UpdateObject 01eb _NF__307"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D F4 89 5D F0 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 44 01 00 00 84 D2 74 14 8B 45 FC C7 80 44 01 00 00 04 00 00 00 BF 01 00 00 00 EB 12 8B 45 FC C7 80 44 01 00 00 01 00 00 00 BF 02 00 00 00 8B 45 FC 8B B0 44 01 00 00 3B DE 75 09 83 FE 04 0F 85 81 01 00 00 8D 45 F4 8B 55 FC 8B 92 40 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B DE 0F 84 89 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 83 7D F0 00 74 29 EB 12 3B 5D A0 75 0D 8B 45 B4 50 8B 45 F4 50 8B 00 FF 50 10 6A 00 8D 45 98 50 6A 01 8B 45 F0 50 8B 00 FF 50 0C 85 C0 74 D9 8D 45 D4 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 01 00 00 89 45 DC C7 45 E0 FF FF FF FF 8D 45 EC 50 57 8D 45 D4 50 8B 45 F4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 44 01 00 00 04 0F 85 AE 00 00 00 33 C0 89 45 E8 83 7D F8 00 75 2E 8D 45 B8 50 8B 45 FC 8B 80 40 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 6A FF 6A 00 8D 45 B8 50 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 D4 03 00 33 C0 89 45 D8 C7 45 DC 04 00 00 00 C7 45 E0 FF FF FF FF C7 45 E4 20 00 00 00 C7 45 C8 20 00 00 00 8B 45 F8 89 45 CC 33 C0 89 45 D0 6A 00 8D 45 C8 50 8D 45 D4 50 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 B8 44 01 00 00 01 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 1E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11171_0 {
	meta:
		name = "_NF__2F9"
		size = 107
		refs = "001b TWinControl.GetHandle 0021 GetUpdateRect 003e _NF__2B0 0055 InflateRect 0062 TCanvas.DrawFocusRect"
	strings:
		$1 = { 56 83 C4 F0 8B F0 3A 96 80 01 00 00 74 58 88 96 80 01 00 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 09 8B C6 8B 10 FF 52 44 EB 34 8B D4 8B C6 8B 08 FF 51 2C 8B C6 E8 ?? ?? ?? ?? F7 D8 50 8B C6 E8 ?? ?? ?? ?? F7 D8 50 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B D4 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 5E C3 }
	condition:
		$1
}

rule function_11172_0 {
	meta:
		name = "TOleContainer.SetIconic"
		size = 38
		refs = "0009 TOleContainer.GetIconic 0014 _NF__288 001f _NF__2F8"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 12 8B C6 E8 ?? ?? ?? ?? 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11173_0 {
	meta:
		name = "TOleContainer.SetSizeMode"
		size = 33
		refs = "0014 _NF__285"
	strings:
		$1 = { 56 8B F0 3A 96 7B 01 00 00 74 14 88 96 7B 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_11174_0 {
	meta:
		name = "_NF__300"
		size = 260
		refs = "0010 _NF__300 0027 GetParentForm 0052 TControl.Perform 00aa TWinControl.GetHandle 00b0 SetFocus 00b8 _NF__2A7 00e6 @HandleAnyException 00eb Application 00f5 TApplication.HandleException 00fa @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 88 98 7D 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 A6 00 00 00 84 DB 74 4F 8B 86 80 01 00 00 85 C0 74 13 3B 45 FC 74 0E 6A 00 33 C9 BA 2A B0 00 00 E8 ?? ?? ?? ?? 8B 45 FC 89 86 80 01 00 00 8B 45 FC 8B 10 FF 52 78 8B 45 FC 66 83 B8 86 01 00 00 00 74 67 8B 5D FC 8B 55 FC 8B 83 88 01 00 00 FF 93 84 01 00 00 EB 53 8B 86 80 01 00 00 3B 45 FC 75 08 33 C0 89 86 80 01 00 00 8B 86 2C 01 00 00 3B 45 FC 75 0E 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 8E 01 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 90 01 00 00 FF 93 8C 01 00 00 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11175_0 {
	meta:
		name = "_NF__301"
		size = 168
		refs = "0011 _NF__301 001f @IntfClear 0048 @IntfCopy 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 86 40 01 00 00 50 8B 00 FF 10 85 C0 75 34 84 DB 74 12 8D 45 F8 8B D6 81 C2 28 01 00 00 E8 ?? ?? ?? ?? EB 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 8B 86 44 01 00 00 50 8B 45 FC 50 8B 00 FF 50 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 0D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11176_0 {
	meta:
		name = "TOleContainer.UpdateObject"
		size = 42
		refs = "0019 OleCheck 0024 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 83 BB 40 01 00 00 00 74 1C 8B 83 40 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B C3 66 BB DB FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11177_0 {
	meta:
		name = "_NF__304"
		size = 191
		refs = "004e TControl.ScreenToClient 0055 TControl.GetClientHeight 0066 TControl.GetClientWidth 0079 Rect"
	strings:
		$1 = { 53 83 C4 D0 8B D8 80 BB A8 01 00 00 00 74 2A 83 BB A4 01 00 00 00 74 21 8D 54 24 18 8B C3 8B 08 FF 51 2C 8D 44 24 18 50 8B 83 A4 01 00 00 50 8B 00 FF 50 18 E9 81 00 00 00 8D 54 24 28 8B C3 8B 08 FF 51 28 8D 54 24 28 8B CC 8B 43 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 03 44 24 04 50 8D 44 24 0C 50 8B C3 E8 ?? ?? ?? ?? 8B C8 03 4C 24 08 8B 54 24 0C 8B 44 24 08 E8 ?? ?? ?? ?? 83 BB 60 01 00 00 00 74 34 68 FF 3F 00 00 8D 44 24 1C 50 B9 FF 3F 00 00 BA 00 C0 FF FF B8 00 C0 FF FF E8 ?? ?? ?? ?? 8D 44 24 18 50 8D 44 24 0C 50 8B 83 60 01 00 00 50 8B 00 FF 50 1C 83 C4 30 5B C3 }
	condition:
		$1
}

rule function_11178_0 {
	meta:
		name = "TOleContainer.UpdateVerbs"
		size = 211
		refs = "001a TOleContainer.UpdateVerbs 0027 _NF__288 002e _NF__2AA 0035 _Dn_TStringList 003a TObject.Create 0048 @IntfClear 0075 @LStrFromPWChar 00b8 @LStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 55 FC 8B D8 8D 75 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 50 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8B 83 40 01 00 00 50 8B 00 FF 50 30 85 C0 75 4A EB 2B 66 8B 06 66 89 45 F8 66 8B 46 08 66 89 45 FA 8D 45 E4 8B 56 04 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D F8 8B 83 50 01 00 00 8B 38 FF 57 38 6A 00 56 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 75 0B 83 3E 00 7C 06 F6 46 0C 02 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11179_0 {
	meta:
		name = "_NF__307"
		size = 152
		refs = "000c _NF__307 001a @IntfClear 0051 _NF__285 0063 @CallDynaInst 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 40 01 00 00 50 8B 00 FF 10 85 C0 7C 22 8D 83 48 01 00 00 50 6A 00 6A FF 8B 83 44 01 00 00 50 8B 45 FC 50 8B 00 FF 50 24 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 8B C3 66 BB DB FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 27 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11180_0 {
	meta:
		name = "TOleContainer.CMCtl3DChanged"
		size = 51
		refs = "0007 NewStyleControls 001c _NF__285 002c TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 17 80 BB 78 01 00 00 01 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11181_0 {
	meta:
		name = "TOleContainer.CMDocWindowActivate"
		size = 89
		refs = "001b _NF__23A"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 58 01 00 00 00 74 47 8B 83 58 01 00 00 8B 10 FF 52 48 E8 ?? ?? ?? ?? 84 C0 74 33 8B 46 04 50 8B 83 64 01 00 00 50 8B 00 FF 50 1C 83 7E 04 00 75 1D 6A 00 6A 00 6A 00 8B 83 5C 01 00 00 50 8B 00 FF 50 28 8B 83 5C 01 00 00 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_11182_0 {
	meta:
		name = "TOleContainer.CMUIDeactivate"
		size = 41
		refs = "0006 GetParentForm"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 98 80 01 00 00 75 15 83 BB 60 01 00 00 00 74 0C 8B 83 60 01 00 00 50 8B 00 FF 50 18 5B C3 }
	condition:
		$1
}

rule function_11184_0 {
	meta:
		name = "TOleContainer.WMSetFocus"
		size = 61
		refs = "0007 TWinControl.WMSetFocus 002a SetFocus 0036 _NF__2F9"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 7D 01 00 00 00 74 1D 54 8B 83 60 01 00 00 50 8B 00 FF 50 0C 85 C0 75 0C 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 B2 01 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_11185_0 {
	meta:
		name = "TOleContainer.WMSize"
		size = 42
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 01 75 18 66 83 BB 9E 01 00 00 00 74 0E 8B D3 8B 83 A0 01 00 00 FF 93 9C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_11186_0 {
	meta:
		name = "TOleContainer.WMWindowPosChanged"
		size = 75
		refs = "000e TControl.GetBoundsRect 0017 TWinControl.WMWindowPosChanged 0036 EqualRect 0041 _NF__304"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 7D 01 00 00 00 74 21 54 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 8D 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_11187_0 {
	meta:
		name = "_NF__31D"
		size = 40
		refs = "0016 TList.Get 001b TOleContainer.DestroyObject"
	strings:
		$1 = { 53 56 8B F0 8B 46 24 8B 58 08 4B 83 FB 00 7C 15 8B D3 8B 46 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 EB 5E 5B C3 }
	condition:
		$1
}

rule function_11188_0 {
	meta:
		name = "_NF__31E"
		size = 106
		refs = "001c TControl.GetClientWidth 0029 TControl.GetClientHeight 0035 _NF__321"
	strings:
		$1 = { 53 83 C4 F0 8B D8 83 7B 28 00 74 59 8B 43 20 80 B8 36 01 00 00 01 74 4D 8B 43 20 E8 ?? ?? ?? ?? 3B 43 2C 75 0D 8B 43 20 E8 ?? ?? ?? ?? 3B 43 30 74 33 54 53 E8 ?? ?? ?? ?? 6A FF 8B C3 83 C0 14 50 8D 44 24 08 50 8B 43 28 50 8B 00 FF 50 20 8B 43 20 E8 ?? ?? ?? ?? 89 43 2C 8B 43 20 E8 ?? ?? ?? ?? 89 43 30 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_11189_0 {
	meta:
		name = "_NF__31F"
		size = 27
		refs = "000b TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 43 20 E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11191_0 {
	meta:
		name = "_NF__321"
		size = 193
		refs = "0031 TWinControl.GetControlCount 004b TWinControl.GetControl 005c _NF__334 0069 _NF__335"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 08 33 C0 89 45 FC 8D 55 E8 8B 46 20 8B 08 FF 51 2C 8B 45 0C 56 8D 75 E8 8B F8 B9 04 00 00 00 F3 A5 5E 8B 46 20 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 79 47 C7 45 F8 00 00 00 00 8B 55 F8 8B 46 20 E8 ?? ?? ?? ?? 8B D8 80 7B 44 00 74 58 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 4B 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 3E 8A 43 48 FE C8 74 23 FE C8 74 2A FE C8 74 06 FE C8 74 0C EB 29 8B 45 0C 8B 53 38 01 10 EB 1F 8B 45 0C 8B 53 38 29 50 08 EB 14 8B 45 0C 8B 53 3C 01 50 04 EB 09 8B 45 0C 8B 53 3C 29 50 0C FF 45 F8 4F 75 8F 8B 45 FC 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11192_0 {
	meta:
		name = "_NF__322"
		size = 105
		refs = "0016 _Dn_TForm 001b @IsClass 002f TWinControl.GetControlCount 0043 TWinControl.GetControl"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 08 33 C0 89 45 FC 8B 5E 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 80 BB 3A 01 00 00 02 74 32 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 C3 33 FF 8B D7 8B 46 20 E8 ?? ?? ?? ?? 80 78 44 00 74 06 80 78 48 05 74 0B 47 4B 75 E6 C7 45 FC A1 01 04 80 8B 45 FC 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11193_0 {
	meta:
		name = "_NF__324"
		size = 296
		refs = "001e _NF__322 002e TWinControl.DisableAlign 0036 TWinControl.GetControlCount 004b TWinControl.GetControl 0056 _NF__335 0063 TControl.SetVisible 006d TList.Add 007a _NV__323 009e _Dn_TControl 00a3 TControl.Create 00c4 TControl.SetTop 00cf TControl.SetLeft 00db TControl.SetAlign 00f8 TControl.SetHeight 0104 TControl.SetWidth 0119 TWinControl.EnableAlign"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 75 08 33 C0 83 7D 0C 00 0F 84 07 01 00 00 8B 45 0C 50 56 E8 ?? ?? ?? ?? 85 C0 0F 85 F5 00 00 00 8B 46 20 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 48 85 C0 7C 38 40 89 45 F8 33 DB 8B D3 8B 46 20 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D7 8B 46 34 E8 ?? ?? ?? ?? 43 FF 4D F8 75 CE 33 DB B8 ?? ?? ?? ?? 89 45 F4 8B 45 0C 8B 04 98 89 45 FC 83 7D FC 00 7E 78 8B 7C 9E 38 85 FF 75 55 8B 4E 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 FB 02 7D 07 B8 10 27 00 00 EB 05 B8 F0 D8 FF FF F6 C3 01 74 0B 8B D0 8B C7 E8 ?? ?? ?? ?? EB 09 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8A 10 8B C7 E8 ?? ?? ?? ?? 8B 56 20 8B C7 8B 08 FF 51 3C 89 7C 9E 38 F6 C3 01 74 0C 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 43 FF 45 F4 83 FB 04 0F 85 6C FF FF FF 8B 46 20 E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11194_0 {
	meta:
		name = "_NF__325"
		size = 132
		refs = "0013 @IntfCopy 0033 GetParent 0040 FindControl 0059 SetWindowPos 0068 TControl.GetClientWidth 0073 TControl.GetClientHeight"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 08 33 FF 8D 46 28 8B 55 0C E8 ?? ?? ?? ?? 83 7E 28 00 74 5D 8D 45 FC 50 8B 46 28 50 8B 00 FF 50 0C 85 C0 75 36 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 27 8B C3 E8 ?? ?? ?? ?? 85 C0 74 17 6A 13 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? EB 05 89 5D FC EB CA 8B 46 20 E8 ?? ?? ?? ?? 89 46 2C 8B 46 20 E8 ?? ?? ?? ?? 89 46 30 8B C7 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_11195_0 {
	meta:
		name = "_NF__326"
		size = 68
		refs = "0038 TMainMenu.PopulateOle2Menu"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 45 08 8B 40 20 8B 80 4C 01 00 00 85 C0 74 26 6A 02 8B 55 10 52 6A 05 33 D2 89 55 F4 C7 45 F8 02 00 00 00 C7 45 FC 04 00 00 00 8D 4D F4 8B 55 0C E8 ?? ?? ?? ?? 33 C0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11196_0 {
	meta:
		name = "_NF__327"
		size = 58
		refs = "001c TMainMenu.SetOle2MenuHandle 0031 OleSetMenuDescriptor"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 20 8B 98 4C 01 00 00 33 C0 85 DB 74 1F 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 14 50 8B 43 28 50 8B 45 10 50 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_11197_0 {
	meta:
		name = "_NF__328"
		size = 39
		refs = "0012 RemoveMenu 0018 GetMenuItemCount"
		altNames = "_NF__36A"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C EB 0D 68 00 04 00 00 6A 00 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 7F E9 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11198_0 {
	meta:
		name = "_NF__329"
		size = 85
		refs = "000a _NF__329 001b @LStrFromPWChar 0023 Application 002a TApplication.SetHint 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11200_0 {
	meta:
		name = "_NF__32B"
		size = 49
		refs = "001b TMenu.DispatchCommand"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 20 8B 98 4C 01 00 00 85 DB 74 13 66 8B 55 10 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11201_0 {
	meta:
		name = "TOleForm.Create"
		size = 101
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TList 004d @IntfCopy"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 34 8B 47 20 05 68 01 00 00 8B D7 83 C2 0C E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11202_0 {
	meta:
		name = "TOleForm.Destroy"
		size = 70
		refs = "0015 @IntfClear 001d TObject.Free 0031 TObject.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 77 20 85 F6 74 0B 8D 86 68 01 00 00 E8 ?? ?? ?? ?? 8B 47 34 E8 ?? ?? ?? ?? 8B 47 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C7 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11203_0 {
	meta:
		name = "_NF__333"
		size = 91
		refs = "0009 TWinControl.DisableAlign 0014 TObject.Free 0038 TList.Get 003f TControl.SetVisible 004b TList.Clear 0053 TWinControl.EnableAlign"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 20 E8 ?? ?? ?? ?? 33 DB 8B 44 9E 38 E8 ?? ?? ?? ?? 33 C0 89 44 9E 38 43 83 FB 04 75 EB 8B 46 34 8B 78 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B 46 34 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 43 4F 75 EB 8B 46 34 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11204_0 {
	meta:
		name = "_NF__334"
		size = 20
	strings:
		$1 = { 33 C9 3B 54 88 38 75 03 B0 01 C3 41 83 F9 04 75 F1 33 C0 C3 }
	condition:
		$1
}

rule function_11205_0 {
	meta:
		name = "_NF__335"
		size = 45
		refs = "001d TControl.Perform"
	strings:
		$1 = { 53 8B DA 80 7B 44 00 74 1C 8A 43 48 48 2C 04 73 14 6A 00 33 C9 BA 32 B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_11208_0 {
	meta:
		name = "TPrinterSettings.GetMaxExtentX"
		size = 4
		altNames = "_NF__338"
	strings:
		$1 = { 8B 40 20 C3 }
	condition:
		$1
}

rule function_11209_0 {
	meta:
		name = "_NF__339"
		size = 208
		refs = "0003 _NV__229 000a GetDC 0014 GetDeviceCaps 0019 _NV__225 002e ReleaseDC 0033 _NF__339 0038 RegisterClipboardFormat 003d _NV__226 004c _NV__227 005b _NV__228"
	strings:
		$1 = { 53 56 BE ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B D8 6A 58 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 5A 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 06 C7 46 08 01 00 00 00 C7 46 0C FF FF FF FF C7 46 10 08 00 00 00 66 A1 ?? ?? ?? ?? 66 89 46 14 C7 46 1C 01 00 00 00 C7 46 20 FF FF FF FF C7 46 24 01 00 00 00 5E 5B C3 00 4F 62 6A 65 63 74 20 44 65 73 63 72 69 70 74 6F 72 00 00 00 45 6D 62 65 64 64 65 64 20 4F 62 6A 65 63 74 00 4C 69 6E 6B 20 53 6F 75 72 63 65 00 }
	condition:
		$1
}

rule function_11211_0 {
	meta:
		name = "OleCtnrs"
		size = 22
		refs = "0002 _NV__223 000c OleInitialize 0011 _NF__339"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0C 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11212_0 {
	meta:
		name = "_NF__1C6"
		size = 196
		refs = "0007 _NF__1EE 0011 _NF__1EF 001b _NF__1F0 0025 _NF__1F1 002f _NF__1EB 0039 _NF__1EC 0043 _NF__1ED 0068 _NF__1C6"
	strings:
		$1 = { CC 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 FC E9 ?? ?? ?? ?? 83 44 24 04 FC E9 ?? ?? ?? ?? 83 44 24 04 FC E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 08 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 04 00 00 00 }
	condition:
		$1
}

rule function_11213_0 {
	meta:
		name = "_NF__1D1"
		size = 1371
		refs = "000a _NF__374 0017 _NF__375 0024 _NF__347 0031 _NF__348 003e _NF__349 004b _NF__372 0058 _NF__373 008c _NF__36E 0099 _NF__36F 00a6 _NF__370 00b3 _NF__371 00e7 _NF__368 00f4 _NF__369 0101 _NF__36A 010e _NF__36B 011b _NF__36C 0128 _NF__36D 0135 _NF__363 0142 _NF__364 014f _NF__365 015c _NF__366 0169 _NF__367 0176 _NF__357 01aa _NF__359 01b7 _NF__35A 01c4 _NF__35B 01d1 _NF__35C 01de _NF__35D 01eb _NF__35E 01f8 _NF__35F 0205 _NF__360 0212 _NF__361 021f _NF__362 022c _NF__358 026d _NF__350 027a _NF__351 0287 _NF__352 0294 _NF__353 02a1 _NF__354 02ae _NF__355 02bb _NF__356 02ef _NF__34A 02fc _NF__34B 0309 _NF__34C 0316 _NF__34D 0323 _NF__34E 0330 _NF__34F 0383 _NF__1D1"
	strings:
		$1 = { CC 81 44 24 04 CC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 CC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 CC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 CC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 CC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 D8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 DC FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E0 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E4 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E8 FE FF FF E9 ?? ?? ?? ?? 81 44 24 04 E8 FE FF FF E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 00 00 01 0E 2B 74 E6 14 1B 10 91 4E 00 AA 00 30 0C AB ?? ?? ?? ?? 34 01 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 ?? ?? ?? ?? 30 01 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 2C 01 00 00 16 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 28 01 00 00 19 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 24 01 00 00 89 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 20 01 00 00 18 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 1C 01 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 18 01 00 00 }
	condition:
		$1
}

rule function_11217_0 {
	meta:
		name = "FontToOleFont"
		size = 73
		refs = "000c FontToOleFont 001a GetOleFont 0024 @VarFromDisp 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_11218_0 {
	meta:
		name = "OleFontToFont"
		size = 124
		refs = "0011 OleFontToFont 0021 @VarToIntf 0031 @IntfCast 003b SetOleFont 0050 @IntfClear 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 03 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_11219_0 {
	meta:
		name = "_NF__1E6"
		size = 31
		refs = "0009 @VarClear 0010 StringToOleStr"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 08 66 C7 03 08 00 5E 5B C3 }
	condition:
		$1
}

rule function_11221_0 {
	meta:
		name = "_NF__1EB"
		size = 104
		refs = "0016 TObject.GetInterface 0031 IsEqualIID 003c _NF__1EB"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 2E 8B 43 0C 8B 80 38 01 00 00 83 C0 10 50 56 E8 ?? ?? ?? ?? 84 C0 74 12 8B CF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 EB 05 B8 02 40 00 80 5F 5E 5B 5D C2 0C 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11222_0 {
	meta:
		name = "_NF__1EC"
		size = 19
		refs = "000b _NF__348"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 0C 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_11223_0 {
	meta:
		name = "_NF__1ED"
		size = 19
		refs = "000b _NF__349"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 0C 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_11224_0 {
	meta:
		name = "_NF__1EE"
		size = 16
		altNames = "_NF__36E"
	strings:
		$1 = { 55 8B EC 8B 45 0C 33 D2 89 10 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_11225_0 {
	meta:
		name = "_NF__1EF"
		size = 19
		altNames = "_NF__36F"
	strings:
		$1 = { 55 8B EC 8B 45 14 33 D2 89 10 B8 01 40 00 80 5D C2 10 00 }
	condition:
		$1
}

rule function_11226_0 {
	meta:
		name = "_NF__1F0"
		size = 12
		altNames = "_NF__370"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 18 00 }
	condition:
		$1
}

rule function_11227_0 {
	meta:
		name = "_NF__1F1"
		size = 52
		refs = "001f _NF__327 002a _NF__294"
	strings:
		$1 = { 55 8B EC 8B 4D 1C 8B 45 0C 8B 55 08 3D A1 FD FF FF 7C 12 3D A8 FD FF FF 7F 0B 8B 52 0C 92 E8 ?? ?? ?? ?? EB 09 8B 52 0C 92 E8 ?? ?? ?? ?? 33 C0 5D C2 24 00 }
	condition:
		$1
}

rule function_11228_0 {
	meta:
		name = "TEnumPropDesc.Create"
		size = 335
		refs = "0014 @ClassCreate 0025 TEnumPropDesc.Create 0041 AllocMem 0071 OleCheck 00bf @LStrFromWStr 00d3 @LStrDelete 00db @LStrLen 0106 @HandleFinally 0129 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 48 04 8B 45 FC 89 58 08 8B C3 C1 E0 03 E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 4B 85 DB 0F 8C C4 00 00 00 43 89 5D E8 C7 45 F4 00 00 00 00 8D 45 F0 50 8B 45 F4 50 8B 45 08 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8D 45 EC 50 8B 45 F0 8B 00 50 8B 45 08 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 55 F4 8D 1C D0 8B 45 F0 8B 40 08 8B 40 08 89 03 8D 43 04 8B 55 EC E8 ?? ?? ?? ?? EB 12 8D 43 04 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 48 7E 08 8B 43 04 80 38 5F 74 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 08 50 8B 00 FF 50 54 C3 E9 ?? ?? ?? ?? EB EB FF 45 F4 FF 4D E8 0F 85 47 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FB 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11229_0 {
	meta:
		name = "TEnumPropDesc.Destroy"
		size = 57
		refs = "0012 TEnumValue 0017 @FinalizeArray 0025 @FreeMem 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 0C 85 C0 74 1C 8B 4E 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 C1 E2 03 8B 46 0C E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11230_0 {
	meta:
		name = "TEnumPropDesc.GetStrings"
		size = 172
		refs = "0014 TEnumPropDesc.GetStrings 0062 Format 0086 @LStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 70 08 4E 85 F6 7C 4C 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 0C 8B 55 F8 8D 1C D0 8D 45 F4 50 8B 03 89 45 E4 C6 45 E8 00 8B 43 04 89 45 EC C6 45 F0 0B 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 0C FF 55 08 FF 45 F8 4E 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 00 00 FF FF FF FF 07 00 00 00 25 64 20 2D 20 25 73 00 }
	condition:
		$1
}

rule function_11231_0 {
	meta:
		name = "TEnumPropDesc.StringToValue"
		size = 277
		refs = "0017 TEnumPropDesc.StringToValue 002c @LStrLen 0056 @LStrCopy 005e StrToInt 00aa AnsiCompareText 00d1 SBadPropValue 00d6 LoadResString 00e0 _Dn_EOleError 00e5 Exception.CreateFmt 00ea @RaiseExcept 00ff @LStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F0 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 EB 01 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 0E 8A 44 1E FF 2C 2D 74 EC 04 FD 2C 0A 72 E6 83 FB 01 7E 40 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 78 08 4F 85 FF 7C 50 47 33 DB 8B 45 FC 8B 40 0C 8B 04 D8 3B 45 F8 74 6D 43 4F 75 EE EB 39 8B 45 FC 8B 78 08 4F 85 FF 7C 2E 47 33 DB 8B 45 FC 8B 40 0C 8D 04 D8 89 45 F4 8B 45 F4 8B 50 04 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0A 8B 45 F4 8B 00 89 45 F8 EB 32 43 4F 75 D5 89 75 E8 C6 45 EC 0B 8D 45 E8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11232_0 {
	meta:
		name = "TEnumPropDesc.ValueToString"
		size = 120
		refs = "0045 TEnumPropDesc.ValueToString 004a Format 005a IntToStr"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 0C 24 8B FA 8B 50 08 4A 85 D2 7C 41 42 33 F6 8B 48 0C 8D 1C F1 3B 3B 75 30 8B 04 24 50 8B 03 89 44 24 08 C6 44 24 0C 00 8B 43 04 89 44 24 10 C6 44 24 14 0B 8D 54 24 08 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 46 4A 75 C2 8B 14 24 8B C7 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 00 00 00 FF FF FF FF 07 00 00 00 25 64 20 2D 20 25 73 00 }
	condition:
		$1
}

rule function_11233_0 {
	meta:
		name = "TOleControl.Create"
		size = 648
		refs = "0011 @ClassCreate 001f TWinControl.Create 0046 _Dn_TList 004b TObject.Create 0063 TList.SetCount 007b _Dn_TFont 0080 TFont.Create 008f TList.Put 00db _Dn_TPicture 00e0 TPicture.Create 00fc TList.Get 0106 TOleControl.PictureChanged 0113 _DV_TEventDispatch 0118 TEventDispatch.Create 0125 _NF__214 014f OleCheck 0188 @IntfClear 018e TOleControl.Create 01bf Screen 01ce MulDiv 01fd TControl.SetVisible 0220 TWinControl.SetBounds 0250 TWinControl.SetTabStop"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 80 4B 21 02 8B C3 8B 10 FF 52 7C 8B 83 38 01 00 00 FF 40 48 8B 83 38 01 00 00 83 78 34 00 7E 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 70 01 00 00 8B 83 38 01 00 00 8B 50 34 8B C6 E8 ?? ?? ?? ?? 8B 83 70 01 00 00 8B 78 08 4F 85 FF 7C 22 47 33 F6 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B 83 70 01 00 00 E8 ?? ?? ?? ?? 46 4F 75 E1 8B 83 38 01 00 00 83 78 3C 00 7E 6B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 74 01 00 00 8B 83 38 01 00 00 8B 50 3C 8B C6 E8 ?? ?? ?? ?? 8B 83 74 01 00 00 8B 78 08 4F 85 FF 7C 39 47 33 F6 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 89 58 0C C7 40 08 ?? ?? ?? ?? 46 4F 75 CA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 40 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 48 01 00 00 8B C3 8B 08 FF 91 80 00 00 00 8D 83 6C 01 00 00 50 6A 01 8B 83 48 01 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? F6 83 6E 01 00 00 02 74 0C 8B 83 38 01 00 00 F6 40 44 01 74 19 8B C3 05 1C 01 00 00 50 8B 83 48 01 00 00 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 83 4C 01 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 48 01 00 00 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8D 45 F4 50 6A 01 8B 83 48 01 00 00 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B F0 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F8 F6 83 6D 01 00 00 04 74 1D 33 D2 8B C3 E8 ?? ?? ?? ?? 83 FE 20 7E 05 BE 20 00 00 00 83 FF 20 7E 05 BF 20 00 00 00 56 57 8B 4B 34 8B 53 30 8B C3 E8 ?? ?? ?? ?? F6 83 6E 01 00 00 01 74 0C 66 A1 ?? ?? ?? ?? 66 89 43 40 EB 0A 66 A1 ?? ?? ?? ?? 66 89 43 40 F6 83 6D 01 00 00 60 0F 94 C2 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 80 23 D5 7F 07 4E 1B 10 AE 2D 08 00 2B 2E C7 13 81 10 00 00 80 10 00 00 }
	condition:
		$1
}

rule function_11234_0 {
	meta:
		name = "_NF__208"
		size = 56
		refs = "001c TList.Get 0021 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F0 83 3E 00 74 2A 8B 06 8B 58 08 4B 85 DB 7C 15 43 33 FF 8B 06 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EE 8B 06 E8 ?? ?? ?? ?? 33 C0 89 06 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11235_0 {
	meta:
		name = "TOleControl.Destroy"
		size = 177
		refs = "0020 _NF__21F 0027 _NF__221 0032 @IntfClear 005f TObject.Free 006a _NF__208 0091 _NF__220 009d TWinControl.Destroy 00a8 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 48 01 00 00 00 74 0E 6A 01 8B 86 48 01 00 00 50 8B 00 FF 50 18 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 86 4C 01 00 00 E8 ?? ?? ?? ?? 83 BE 48 01 00 00 00 74 0E 6A 00 8B 86 48 01 00 00 50 8B 00 FF 50 0C 8D 86 48 01 00 00 E8 ?? ?? ?? ?? 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 8D 86 70 01 00 00 E8 ?? ?? ?? ?? 8D 86 74 01 00 00 E8 ?? ?? ?? ?? 8B 86 38 01 00 00 FF 48 48 8B 86 38 01 00 00 83 78 48 00 75 07 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11237_0 {
	meta:
		name = "_NF__20E"
		size = 752
		refs = "0016 _NF__20E 0042 @IntfClear 0079 OleCheck 00ad CreateStreamOnHGlobal 00d2 _NF__221 0164 _NF__1DF 01b0 _NF__372 020c Screen 0223 MulDiv 0249 Point 026d @HandleAnyException 0275 _NF__21F 027a @RaiseAgain 027f @DoneExcept 02a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 F8 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 50 01 00 00 00 0F 85 53 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 48 01 00 00 50 8B 00 FF 50 10 85 C0 75 06 83 7D F4 00 75 1D 8B 45 FC 05 1C 01 00 00 50 8B 45 FC 8B 80 48 01 00 00 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 98 44 01 00 00 85 DB 75 16 8B 45 FC 8B 80 4C 01 00 00 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? EB 36 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 80 4C 01 00 00 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 50 01 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 48 01 00 00 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B 45 FC 05 54 01 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 48 01 00 00 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B 45 FC 05 58 01 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 48 01 00 00 50 8B 00 FF 10 8B 45 FC 05 64 01 00 00 50 8B 4D FC 81 C1 18 01 00 00 BA ?? ?? ?? ?? 8B 45 FC 8B 80 48 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 68 01 00 00 50 8B 45 FC 8B 88 40 01 00 00 83 C1 04 8B 45 FC 8B 80 38 01 00 00 8D 50 10 8B 45 FC 8B 80 48 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 38 01 00 00 F6 40 2C 01 74 0E 68 0B FE FF FF 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 38 01 00 00 F6 40 2C 08 74 0E 68 FE FD FF FF 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 38 01 00 00 F6 40 2C 04 74 0E 68 00 FE FF FF 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 38 01 00 00 F6 40 2C 02 74 0E 68 FF FD FF FF 8B 45 FC 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 68 EC 09 00 00 8B 45 FC 8B 40 3C 50 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 68 EC 09 00 00 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 8D 4D EC 5A E8 ?? ?? ?? ?? 8D 45 EC 50 6A 01 8B 45 FC 8B 80 48 01 00 00 50 8B 00 FF 50 44 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 00 88 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 AA D3 6B 37 45 38 1B 10 84 ED 08 00 2B 2E C7 13 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_11238_0 {
	meta:
		name = "_NF__20F"
		size = 58
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 8B 92 38 01 00 00 8B 52 4C 8B 52 08 4A 85 D2 7C 1C 42 8B 4D 08 8B 49 FC 8B 89 38 01 00 00 8B 49 4C 3B 41 04 75 04 B0 01 5D C3 4A 75 E5 33 C0 5D C3 }
	condition:
		$1
}

rule function_11239_0 {
	meta:
		name = "_NF__210"
		size = 238
		refs = "001d _NF__210 0036 @IntfClear 0046 OleCheck 0084 _DV_TEnumPropDesc 0089 TEnumPropDesc.Create 009e TList.Expand 00a4 TList.Add 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 8B F0 8D 7D F8 A5 A5 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7D FC 1D 0F 85 98 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 53 8B 03 FF 50 38 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 F4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 83 78 28 00 75 35 8B 45 F0 0F B7 40 2E 50 8B 45 F4 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 8B 80 38 01 00 00 8B 40 4C E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11240_0 {
	meta:
		name = "_NF__211"
		size = 656
		refs = "0012 _NF__211 002a OleCheck 0046 IsEqualGUID 004f @TryFinallyExit 008b @IntfClear 00fd _NF__210 011e @HandleFinally 0175 _NF__20F"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 84 C0 74 0A E8 ?? ?? ?? ?? E9 05 02 00 00 8B 45 F0 83 78 28 03 74 09 8B 45 F0 F6 40 36 40 74 45 8B 45 F0 F6 40 36 80 74 3C 8D 45 E4 50 6A 00 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 E4 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 45 F0 0F B7 40 2E 48 85 C0 7C 71 40 89 45 E0 C7 45 F8 00 00 00 00 8D 45 EC 50 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 EC 8B 08 8B 45 EC 83 C0 0C 8B 55 FC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 50 8B 00 FF 50 54 C3 E9 ?? ?? ?? ?? EB EB FF 45 F8 FF 4D E0 75 9A 8B 45 F0 0F B7 40 2C 48 85 C0 0F 8C FF 00 00 00 40 89 45 E0 C7 45 F8 00 00 00 00 8D 45 E8 50 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 8B 45 E8 8B 00 E8 ?? ?? ?? ?? 59 84 C0 0F 85 8B 00 00 00 8B 45 E8 8B 40 10 83 E8 02 74 0C 83 E8 02 74 21 83 E8 04 74 43 EB 74 8B 45 08 50 8B 45 E8 8B 08 8B 45 E8 83 C0 20 8B 55 FC E8 ?? ?? ?? ?? 59 EB 5A 8B 45 08 50 8B 45 E8 0F BF 40 18 03 C0 8B 55 E8 8B 52 08 8D 44 C2 F0 8B 55 E8 8B 0A 8B 55 FC E8 ?? ?? ?? ?? 59 EB 33 8B 45 E8 0F BF 40 18 03 C0 8B 55 E8 8B 52 08 66 83 7C C2 F4 1A 75 1C 8B 55 08 52 8B 55 E8 8B 52 08 8B 44 C2 F0 8B 55 E8 8B 0A 8B 55 FC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 50 8B 00 FF 50 50 C3 E9 ?? ?? ?? ?? EB EB FF 45 F8 FF 4D E0 0F 85 0C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11241_0 {
	meta:
		name = "_NF__212"
		size = 183
		refs = "0012 _NF__212 0020 _NF__20E 0027 _Dn_TList 002c TObject.Create 004e @IntfClear 0067 OleCheck 0070 _NF__211 0080 @HandleAnyException 0088 _NF__220 008d @RaiseAgain 0092 @DoneExcept 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 92 38 01 00 00 89 42 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 FC 8B 80 54 01 00 00 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 55 8B 45 F8 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_11242_0 {
	meta:
		name = "_NF__213"
		size = 86
		refs = "0022 TObject.ClassName 003e _Dn_EOleError 0043 Exception.CreateFmt 0048 @RaiseExcept 004d OleCheck"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 8B DA 3D 12 01 04 80 75 39 8D 95 F8 FE FF FF 8B 45 08 8B 40 FC 8B 00 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11243_0 {
	meta:
		name = "_NF__214"
		size = 320
		refs = "0010 _NF__214 003a @IntfClear 0053 CoGetClassObject 0058 OleCheck 006c @WStrFromPWChar 0075 SInvalidLicense 007a LoadResString 00a8 _NF__213 00b4 SNotLicensed 00e3 CoCreateInstance 00ff @LStrClr 0107 @WStrClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 20 10 0F 85 88 00 00 00 8B 45 FC 8B 80 38 01 00 00 83 78 28 00 74 79 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 00 6A 05 8B 45 FC 8B 80 38 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 92 38 01 00 00 8B 52 28 E8 ?? ?? ?? ?? 55 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 05 48 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 F4 50 68 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 50 8B 00 FF 50 1C 5A E8 ?? ?? ?? ?? 59 EB 3F 55 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 05 48 01 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 8B 45 FC 8B 80 38 01 00 00 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 00 8F B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 12 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11244_0 {
	meta:
		name = "_NF__215"
		size = 204
		refs = "0013 _NF__215 0021 _NF__221 002a GlobalAlloc 003e OutOfMemoryError 0054 @IntfClear 0066 CreateStreamOnHGlobal 006b OleCheck 0094 @HandleAnyException 00a1 @RaiseAgain 00a6 @DoneExcept 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 02 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 44 01 00 00 85 DB 75 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC 8B 80 44 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8B 45 F8 50 8B 45 FC 8B 80 4C 01 00 00 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11245_0 {
	meta:
		name = "TOleControl.CreateWnd"
		size = 226
		refs = "0012 TOleControl.CreateWnd 001f _NF__20E 0036 TControl.GetBoundsRect 0041 TWinControl.GetParentHandle 006d SCannotActivate 0072 LoadResString 007c _Dn_EOleError 0081 Exception.Create 0086 @RaiseExcept 008d _NF__28F 009a TWinControl.GetHandle 00a0 IsWindowVisible 00b3 ShowWindow 00bc TWinControl.CreateWnd 00d1 @LStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? F6 83 6D 01 00 00 04 0F 85 89 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B C3 05 1C 01 00 00 50 6A 00 6A FB 8B 83 48 01 00 00 50 8B 00 FF 50 2C 83 BB 5C 01 00 00 00 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 44 00 75 29 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 18 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11246_0 {
	meta:
		name = "TOleControl.DefaultHandler"
		size = 97
		refs = "0009 TWinControl.HandleAllocated 003e TWinControl.GetHandle 004b CallWindowProc 005a TWinControl.DefaultHandler"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 44 8B 06 3D 00 BC 00 00 7C 0D 3D 00 C0 00 00 7D 06 81 2E 00 9C 00 00 F6 83 6E 01 00 00 01 75 25 8B 46 08 50 8B 46 04 50 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 8B 83 B8 00 00 00 50 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11247_0 {
	meta:
		name = "TOleControl.DefineProperties"
		size = 72
		refs = "000b TControl.DefineProperties 0011 _NF__2A6 0017 _NF__32B 0026 TOleControl.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 BB 48 01 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 FF FF FF FF 0B 00 00 00 43 6F 6E 74 72 6F 6C 44 61 74 61 00 }
	condition:
		$1
}

rule function_11249_0 {
	meta:
		name = "_NF__21F"
		size = 104
		refs = "0019 _NF__1E0 0024 _NF__21F 003a @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 8B 68 01 00 00 8B 83 38 01 00 00 8D 50 10 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 8D 8B 64 01 00 00 BA ?? ?? ?? ?? 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 8D 83 58 01 00 00 E8 ?? ?? ?? ?? 8D 83 54 01 00 00 E8 ?? ?? ?? ?? 8D 83 50 01 00 00 E8 ?? ?? ?? ?? 5B C3 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_11250_0 {
	meta:
		name = "_NF__220"
		size = 63
		refs = "0021 TList.Get 0026 TObject.Free"
	strings:
		$1 = { 53 56 57 8B 98 38 01 00 00 8B 43 4C 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 4C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 43 4C E8 ?? ?? ?? ?? 33 C0 89 43 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11251_0 {
	meta:
		name = "_NF__221"
		size = 29
		refs = "000f GlobalFree"
	strings:
		$1 = { 53 8B D8 8B 83 44 01 00 00 85 C0 74 0E 50 E8 ?? ?? ?? ?? 33 C0 89 83 44 01 00 00 5B C3 }
	condition:
		$1
}

rule function_11252_0 {
	meta:
		name = "TOleControl.DestroyWindowHandle"
		size = 75
		refs = "001d SetWindowLong 0045 TWinControl.DestroyWindowHandle"
	strings:
		$1 = { 53 8B D8 F6 83 6D 01 00 00 04 75 36 8B 83 B8 00 00 00 50 6A FC 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 83 BB 48 01 00 00 00 74 0E 6A 01 8B 83 48 01 00 00 50 8B 00 FF 50 18 33 C0 89 83 CC 00 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11253_0 {
	meta:
		name = "TOleControl.DoObjectVerb"
		size = 179
		refs = "0010 _NF__20E 0015 GetActiveWindow 001f DisableTaskWindows 002a TOleControl.DoObjectVerb 003b TControl.GetBoundsRect 0047 TWinControl.GetParentHandle 006a OleCheck 007f EnableTaskWindows 0088 SetActiveWindow 008e @HandleFinally 00aa _NF__21E"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC 05 1C 01 00 00 50 6A 00 53 8B 45 FC 8B 80 48 01 00 00 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 8B 80 4C 01 00 00 50 8B 00 FF 50 10 48 74 08 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11257_0 {
	meta:
		name = "TOleControl.GetCompProp"
		size = 30
		refs = "000e TOleControl.GetDoubleProp"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_11258_0 {
	meta:
		name = "TOleControl.GetCurrencyProp"
		size = 34
		refs = "0008 TOleControl.GetProperty"
	strings:
		$1 = { 83 C4 E8 8D 4C 24 08 E8 ?? ?? ?? ?? 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 DF 2C 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_11259_0 {
	meta:
		name = "TOleControl.GetDoubleProp"
		size = 34
		refs = "0008 TOleControl.GetProperty"
		altNames = "TOleControl.GetOleDateProp TOleControl.GetTDateTimeProp"
	strings:
		$1 = { 83 C4 E8 8D 4C 24 08 E8 ?? ?? ?? ?? 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_11260_0 {
	meta:
		name = "TOleControl.GetEnumPropDesc"
		size = 63
		refs = "0013 _NF__212 002b TList.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B B8 38 01 00 00 83 7F 4C 00 75 05 E8 ?? ?? ?? ?? 8B 47 4C 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 4C 8B D6 E8 ?? ?? ?? ?? 3B 68 04 74 06 46 4B 75 ED 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11261_0 {
	meta:
		name = "_NF__23C"
		size = 60
	strings:
		$1 = { 53 56 57 89 C3 8B B3 38 01 00 00 8B 7E 20 8B 76 24 31 C0 EB 06 3B 14 86 74 0B 40 39 F8 75 F6 31 C0 31 D2 EB 0E 8B 94 C3 84 01 00 00 8B 84 C3 80 01 00 00 89 01 89 51 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11262_0 {
	meta:
		name = "_NF__23D"
		size = 7
	strings:
		$1 = { 8B 0A 87 08 89 0A C3 }
	condition:
		$1
}

rule function_11263_0 {
	meta:
		name = "_NF__23E"
		size = 266
		refs = "0013 _NF__23E 0028 StringToOleStr 0055 OleCheck 0075 @IntfClear 00b3 _NF__23D 00d8 SysFreeString 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 DB 8B 45 08 3B 58 F4 7D 7F 8D 45 F8 50 53 8B 06 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? F6 45 F8 03 74 5E 8D 45 F4 50 53 8B 06 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 06 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 08 83 C0 FC 50 6A 01 8D 45 F0 50 8B 45 EC 50 8B 00 FF 50 28 3D 06 00 02 80 74 15 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? C6 45 FF 01 EB 09 43 8B 45 08 3B 58 F4 7C 81 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11264_0 {
	meta:
		name = "TOleControl.GetHelpContext"
		size = 440
		refs = "001f @LStrAddRef 0027 TOleControl.GetHelpContext 0038 @LStrClr 003f _NF__20E 0047 @IntfClear 005b @IntfCast 0069 OleCheck 0078 @LStrLen 00b5 _NF__23E 00e6 @LStrDelete 0106 @LStrPos 0153 OleStrToString 015c SysFreeString 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F0 8B F1 89 55 F8 8B D8 8B 7D 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 E4 8B 93 48 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 8E AE 00 00 00 8D 45 E8 50 8B 45 F0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 E8 0F B7 40 30 89 45 F4 8B 45 E8 50 8B 45 F0 50 8B 00 FF 50 4C 55 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 84 DB 75 39 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 80 7C 02 FF 5F 75 27 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 4A 8D 45 F8 B9 01 00 00 00 E8 ?? ?? ?? ?? 55 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 84 DB 75 31 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 21 8D 45 F8 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 55 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 84 DB 74 30 8D 45 EC 50 56 6A 00 6A 00 8B 45 FC 50 8B 45 F0 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B D7 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 83 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 FF FF FF FF 02 00 00 00 4F 6E 00 00 }
	condition:
		$1
}

rule function_11265_0 {
	meta:
		name = "TOleControl.GetIDispatchProp"
		size = 29
		refs = "0009 TOleControl.GetProperty 0014 @IntfCopy"
		altNames = "TOleControl.GetIUnknownProp"
	strings:
		$1 = { 53 83 C4 F0 8B D9 8B CC E8 ?? ?? ?? ?? 8B C3 8B 54 24 08 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_11288_0 {
	meta:
		name = "TOleControl.GetWideStringProp"
		size = 29
		refs = "0009 TOleControl.GetProperty 0014 @WStrFromPWChar"
	strings:
		$1 = { 53 83 C4 F0 8B D9 8B CC E8 ?? ?? ?? ?? 8B C3 8B 54 24 08 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_11266_0 {
	meta:
		name = "TOleControl.GetIntegerProp"
		size = 18
		refs = "0006 TOleControl.GetProperty"
	strings:
		$1 = { 83 C4 F0 8B CC E8 ?? ?? ?? ?? 8B 44 24 08 83 C4 10 C3 }
	condition:
		$1
}

rule function_11268_0 {
	meta:
		name = "_NF__24D"
		size = 80
		refs = "0005 GetParentForm 0013 _Dn_TForm 0018 @IsClass 0032 Application"
	strings:
		$1 = { 53 56 33 F6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 3C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 80 BB 3A 01 00 00 01 74 08 8B B3 4C 01 00 00 EB 1A A1 ?? ?? ?? ?? 8B 00 8B 40 2C 85 C0 74 0C 8B 15 ?? ?? ?? ?? 8B B0 4C 01 00 00 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11269_0 {
	meta:
		name = "TOleControl.GetObjectVerbs"
		size = 214
		refs = "0018 TOleControl.GetObjectVerbs 0025 _NF__20E 0034 @IntfClear 0052 @LStrFromPWChar 005a @LStrLen 007a @LStrDelete 00c4 @LStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 40 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 83 48 01 00 00 50 8B 00 FF 50 30 85 C0 75 62 EB 45 8D 45 FC 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 FB 01 7C 1E 8B 45 FC 80 7C 18 FF 26 75 0F 8D 45 FC B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 4B 85 DB 75 E2 8B 4D E8 8B 55 FC 8B C6 8B 18 FF 53 38 6A 00 8D 45 E8 50 6A 01 8B 45 F8 50 8B 00 FF 50 0C 85 C0 75 06 F6 45 F4 02 75 A0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11270_0 {
	meta:
		name = "TOleControl.GetOleBoolProp"
		size = 19
		refs = "0006 TOleControl.GetProperty"
		altNames = "TOleControl.GetSmallintProp TOleControl.GetWordBoolProp"
	strings:
		$1 = { 83 C4 F0 8B CC E8 ?? ?? ?? ?? 66 8B 44 24 08 83 C4 10 C3 }
	condition:
		$1
}

rule function_11272_0 {
	meta:
		name = "TOleControl.GetTFontProp"
		size = 208
		refs = "001a TOleControl.GetTFontProp 0054 TList.Get 006d TOleControl.GetIDispatchProp 007d @IntfCast 0088 SetOleFont 00a1 @IntfClear 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 87 70 01 00 00 8B 70 08 4E 85 F6 7C 59 46 33 DB 8B 87 38 01 00 00 8B 40 38 8B 04 98 3B 45 FC 75 41 8B D3 8B 87 70 01 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 78 1C 00 75 28 8D 4D F0 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 03 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_11277_0 {
	meta:
		name = "TOleControl.GetOleObject"
		size = 112
		refs = "000f TOleControl.GetOleObject 001c _NF__20E 002f @IntfCast 0039 @VarFromDisp 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 93 48 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11278_0 {
	meta:
		name = "TOleControl.GetOleVariantProp"
		size = 31
		refs = "000c @VarClear 0017 TOleControl.GetProperty"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11279_0 {
	meta:
		name = "TOleControl.GetTPictureProp"
		size = 208
		refs = "001a TOleControl.GetTPictureProp 0054 TList.Get 006d TOleControl.GetIDispatchProp 007d @IntfCast 0088 SetOlePicture 00a1 @IntfClear 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 87 74 01 00 00 8B 70 08 4E 85 F6 7C 59 46 33 DB 8B 87 38 01 00 00 8B 40 40 8B 04 98 3B 45 FC 75 41 8B D3 8B 87 74 01 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 78 10 00 75 28 8D 4D F0 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 81 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_11280_0 {
	meta:
		name = "TOleControl.GetPropDisplayString"
		size = 128
		refs = "0012 TOleControl.GetPropDisplayString 001f _NF__20E 0030 @WStrClr 004c @LStrFromWStr 0059 TOleControl.GetStringProp 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 BB 58 01 00 00 00 74 26 8D 45 FC E8 ?? ?? ?? ?? 50 56 8B 83 58 01 00 00 50 8B 00 FF 50 0C 85 C0 75 0C 8B C7 8B 55 FC E8 ?? ?? ?? ?? EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11281_0 {
	meta:
		name = "TOleControl.GetPropDisplayStrings"
		size = 250
		refs = "0019 TOleControl.GetPropDisplayStrings 0026 _NF__20E 007b @LStrFromPWChar 00b4 CoTaskMemFree 00d0 @HandleFinally 00e7 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 40 83 BB 58 01 00 00 00 0F 84 97 00 00 00 8D 45 EC 50 8D 45 F4 50 56 8B 83 58 01 00 00 50 8B 00 FF 50 14 85 C0 75 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 F4 4E 85 F6 7C 26 46 33 DB 8D 45 E8 8B 55 F8 8B 14 9A E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F0 8B 0C 98 8B 45 FC 8B 38 FF 57 38 43 4E 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 75 F4 4E 85 F6 7C 13 46 33 DB 8B 45 F8 8B 04 98 50 E8 ?? ?? ?? ?? 43 4E 75 F0 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11282_0 {
	meta:
		name = "TOleControl.GetProperty"
		size = 144
		refs = "0014 TExcepInfo 0019 @InitializeRecord 0021 TOleControl.GetProperty 002e _NF__20E 003f _NV__275 0048 GUID_NULL 0062 DispatchInvokeError 007d @FinalizeRecord 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8B FA 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 C7 06 00 00 6A 00 8D 45 E0 50 56 68 ?? ?? ?? ?? 6A 02 6A 00 A1 ?? ?? ?? ?? 50 57 8B 83 54 01 00 00 50 8B 00 FF 50 18 85 C0 74 08 8D 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11284_0 {
	meta:
		name = "TOleControl.GetSingleProp"
		size = 26
		refs = "0008 TOleControl.GetProperty"
	strings:
		$1 = { 83 C4 EC 8D 4C 24 04 E8 ?? ?? ?? ?? 8B 44 24 0C 89 04 24 D9 04 24 83 C4 14 C3 }
	condition:
		$1
}

rule function_11286_0 {
	meta:
		name = "TOleControl.GetStringProp"
		size = 92
		refs = "0018 TOleControl.GetStringProp 002a TOleControl.GetVariantProp 0034 @VarToLStr 0049 @VarClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11287_0 {
	meta:
		name = "TOleControl.GetVariantProp"
		size = 24
		refs = "0010 TOleControl.GetOleVariantProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11290_0 {
	meta:
		name = "_NF__28F"
		size = 213
		refs = "0013 _NF__28F 0052 SNoWindowHandle 0057 LoadResString 0061 _Dn_EOleError 0066 Exception.Create 006b @RaiseExcept 007c GetWindowLong 0087 CreationControl 008e InitWndProc 009c SetWindowLong 00ae SendMessage 00c3 @LStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 5C 01 00 00 00 0F 84 88 00 00 00 83 BB CC 00 00 00 00 75 7F 33 C0 89 45 FC 8D 45 FC 50 8B 83 5C 01 00 00 50 8B 00 FF 50 0C 83 7D FC 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 FC 89 B3 CC 00 00 00 6A FC 56 E8 ?? ?? ?? ?? 89 83 B8 00 00 00 A1 ?? ?? ?? ?? 89 18 68 ?? ?? ?? ?? 6A FC 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11291_0 {
	meta:
		name = "_NF__290"
		size = 65
	strings:
		$1 = { 53 56 55 89 E5 89 C3 8B 53 0C 85 D2 74 25 31 C0 8D 73 10 8A 06 80 F8 01 77 0D 74 0E 84 E4 75 0A 8B 4E 04 B4 01 EB 06 FF 76 08 FF 76 04 83 C6 0C 4A 75 E0 8B 53 08 8B 43 04 FF 13 89 EC 5D 5E 5B C3 }
	condition:
		$1
}

rule function_11292_0 {
	meta:
		name = "_NF__293"
		size = 403
		refs = "001b _NF__23C 0038 _NF__293 00a7 OleStrToStrVar 0128 _NF__290 0144 StringToOleStr 015c @HandleAnyException 0161 Application 016b TApplication.HandleException 0170 @DoneExcept 0184 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 64 FD FF FF 53 56 57 8B D9 89 45 FC 8D 8D 64 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 81 BD 64 FD FF FF 00 00 01 00 0F 8C 5D 01 00 00 33 C0 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 53 08 8B 45 FC 89 85 6C FD FF FF 8B C2 89 85 70 FD FF FF 85 D2 0F 84 C3 00 00 00 03 C0 8B 13 8D 04 C2 8B D8 8D B5 74 FD FF FF 33 C0 89 45 F8 83 EB 10 8B 03 25 FF FF 00 00 8B D0 81 E2 FF 0F 00 00 83 FA 08 75 46 C6 06 00 8B 55 F4 8D BC D5 F4 FE FF FF 33 D2 89 17 F6 C4 40 74 17 8B D7 8B 43 08 8B 00 E8 ?? ?? ?? ?? 8B 43 08 89 47 04 89 7E 04 EB 14 8B D7 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 47 04 8B 07 89 46 04 FF 45 F4 EB 3D 83 E8 04 74 0B 48 83 E8 03 72 10 48 74 1E EB 24 C6 06 01 8B 43 08 89 46 04 EB 22 C6 06 02 8B 43 08 89 46 04 8B 43 0C 89 46 08 EB 11 C6 06 00 89 5E 04 EB 09 C6 06 00 8B 43 08 89 46 04 83 C6 0C FF 45 F8 8B 45 F8 3B 85 70 FD FF FF 0F 85 51 FF FF FF 8D 85 64 FD FF FF E8 ?? ?? ?? ?? 8B 5D F4 85 DB 74 1E 4B 8D B4 DD F4 FE FF FF 83 7E 04 00 74 0C 8B 06 E8 ?? ?? ?? ?? 8B 56 04 89 02 85 DB 75 E2 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D F4 85 DB 74 11 4B 8D 84 DD F4 FE FF FF E8 ?? ?? ?? ?? 85 DB 75 EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11293_0 {
	meta:
		name = "_NF__294"
		size = 198
		refs = "0028 _NF__293 0038 _NF__23C 0049 _NF__294 00a7 @HandleAnyException 00ac Application 00b6 TApplication.HandleException 00bb @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 89 45 F8 8B 45 F8 8B 80 38 01 00 00 81 78 30 2C 01 00 00 7D 10 8B 4D FC 8B 45 F8 E8 ?? ?? ?? ?? E9 8E 00 00 00 8D 4D F0 8B 45 F8 E8 ?? ?? ?? ?? 81 7D F0 00 00 01 00 7C 7A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 56 8B 75 FC 8B 5E 08 85 DB 74 32 8B 36 89 D8 C1 E0 04 31 D2 01 C6 83 EE 10 8B 06 66 83 F8 04 77 0D 74 11 84 D2 75 10 8B 4E 08 FE C2 EB 0C 66 83 F8 07 77 EF FF 76 0C FF 76 08 4B 75 D9 8B 55 F8 8B 45 F4 FF 55 F0 5E 5B 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11294_0 {
	meta:
		name = "_NF__295"
		size = 62
		refs = "000b _NF__295 0019 OleStrToStrVar 002f SysFreeString 0035 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 59 5D C3 }
	condition:
		$1
}

rule function_11296_0 {
	meta:
		name = "TOleControl.InvokeMethod"
		size = 185
		refs = "000a _NF__20E 0038 DispatchInvoke 0044 TOleControl.InvokeMethod 008d _NF__295 0096 @VarClear"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF E8 ?? ?? ?? ?? FF 36 89 E1 31 C0 50 50 50 50 89 E2 8D 45 10 80 7E 04 08 74 09 80 7E 04 0C 74 03 8D 45 0C 50 52 8D 56 05 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 31 C0 8A 46 04 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 8B 44 24 08 66 89 07 EB 2C 8B 44 24 08 89 FA E8 ?? ?? ?? ?? EB 1F 89 F8 E8 ?? ?? ?? ?? 89 E6 B9 04 00 00 00 F3 A5 EB 0D 8B 44 24 0C 89 47 04 8B 44 24 08 89 07 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11297_0 {
	meta:
		name = "TOleControl.IsCustomProperty"
		size = 104
		refs = "000f TOleControl.IsCustomProperty 0026 @WStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 58 01 00 00 00 74 1A 8D 45 FC E8 ?? ?? ?? ?? 50 56 8B 83 58 01 00 00 50 8B 00 FF 50 0C 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11298_0 {
	meta:
		name = "TOleControl.PaletteChanged"
		size = 78
		refs = "000d TWinControl.HandleAllocated 0022 TWinControl.GetHandle 002f CallWindowProc 0042 TWinControl.PaletteChanged"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 22 04 24 74 22 6A 00 6A 00 68 0F 03 00 00 8B C6 E8 ?? ?? ?? ?? 50 8B 86 B8 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 0C 8A 14 24 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_11299_0 {
	meta:
		name = "TOleControl.PictureChanged"
		size = 105
		refs = "0016 _Dn_TPicture 001b @IsClass 0039 TList.Get 005a TOleControl.SetTPictureProp"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B 9E 74 01 00 00 85 DB 74 52 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8B 43 08 48 85 C0 7C 39 40 89 C3 33 FF 8B D7 8B 86 74 01 00 00 E8 ?? ?? ?? ?? 3B E8 75 1F 8B C5 83 78 10 00 74 1B 8B 96 38 01 00 00 8B 52 40 8B 14 BA 8B C8 8B C6 E8 ?? ?? ?? ?? EB 04 47 4B 75 CC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11300_0 {
	meta:
		name = "_NF__2A6"
		size = 188
		refs = "0010 _NF__221 0018 _NF__2A6 0025 TStream.GetSize 002d GlobalAlloc 0041 OutOfMemoryError 0050 GlobalLock 008e GlobalUnlock 0094 @HandleFinally 00a5 @HandleAnyException 00b2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 6A 02 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 44 01 00 00 85 F6 75 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 01 00 00 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 44 01 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11301_0 {
	meta:
		name = "TOleControl.SetBounds"
		size = 164
		refs = "0033 Screen 0047 MulDiv 0067 Point 0098 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F8 89 55 FC 8B D8 8B 75 0C 3B 73 38 75 08 8B 45 08 3B 43 3C 74 6A F6 83 6D 01 00 00 04 75 58 83 BB 50 01 00 00 00 74 58 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 68 EC 09 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 68 EC 09 00 00 56 E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? 8D 45 F0 50 6A 01 8B 83 48 01 00 00 50 8B 00 FF 50 44 85 C0 74 09 8B 73 38 8B 43 3C 89 45 08 56 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11302_0 {
	meta:
		name = "TOleControl.SetByteProp"
		size = 12
		refs = "0007 TOleControl.SetIntegerProp"
	strings:
		$1 = { 81 E1 FF 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17735_0 {
	meta:
		name = "FillMemory"
		size = 12
		refs = "0007 @FillChar"
	strings:
		$1 = { 81 E1 FF 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11305_0 {
	meta:
		name = "TOleControl.SetCompProp"
		size = 33
		refs = "0017 TOleControl.SetProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 14 00 DF 6D 08 DD 5D F8 9B 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11306_0 {
	meta:
		name = "TOleControl.SetCurrencyProp"
		size = 38
		refs = "001c TOleControl.SetProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 06 00 8B 4D 08 89 4D F8 8B 4D 0C 89 4D FC 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11307_0 {
	meta:
		name = "TOleControl.SetDoubleProp"
		size = 38
		refs = "001c TOleControl.SetProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 05 00 8B 4D 08 89 4D F8 8B 4D 0C 89 4D FC 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11308_0 {
	meta:
		name = "TOleControl.SetIDispatchProp"
		size = 24
		refs = "0010 TOleControl.SetProperty"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 09 00 89 4C 24 08 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_11309_0 {
	meta:
		name = "TOleControl.SetIntegerProp"
		size = 24
		refs = "0010 TOleControl.SetProperty"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 03 00 89 4C 24 08 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_11310_0 {
	meta:
		name = "TOleControl.SetIUnknownProp"
		size = 24
		refs = "0010 TOleControl.SetProperty"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 0D 00 89 4C 24 08 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_11311_0 {
	meta:
		name = "TOleControl.SetName"
		size = 180
		refs = "0012 TOleControl.SetName 0023 @LStrLAsg 002c TControl.SetName 006f TOleControl.GetStringProp 007a @LStrCmp 0087 TOleControl.SetStringProp 00a1 @LStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB 50 01 00 00 00 74 52 68 42 FD FF FF 8B 83 50 01 00 00 50 8B 00 FF 50 14 8B 83 38 01 00 00 8B 40 2C A8 30 74 34 A8 10 74 07 BF FA FD FF FF EB 05 BF FB FD FF FF 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 75 0B 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11312_0 {
	meta:
		name = "TOleControl.SetOleBoolProp"
		size = 41
		refs = "0021 TOleControl.SetProperty"
		altNames = "TOleControl.SetWordBoolProp"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 0B 00 66 85 C9 74 09 66 C7 44 24 08 FF FF EB 07 66 C7 44 24 08 00 00 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_11313_0 {
	meta:
		name = "TOleControl.SetOleDateProp"
		size = 38
		refs = "001c TOleControl.SetProperty"
		altNames = "TOleControl.SetTDateTimeProp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 07 00 8B 4D 08 89 4D F8 8B 4D 0C 89 4D FC 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11314_0 {
	meta:
		name = "TOleControl.SetTFontProp"
		size = 170
		refs = "001a TOleControl.SetTFontProp 004f TList.Get 0071 GetOleFont 007e TOleControl.SetIDispatchProp 0097 @IntfClear 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 70 01 00 00 8B 70 08 4E 85 F6 7C 54 46 33 DB 8B 87 38 01 00 00 8B 40 38 8B 04 98 3B 45 FC 75 3C 8B D3 8B 87 70 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B 45 F4 8B 08 FF 51 08 8B 45 F4 83 78 1C 00 75 18 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 43 4E 75 AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11320_0 {
	meta:
		name = "TOleControl.SetParent"
		size = 128
		refs = "000f TOleControl.SetParent 001e TControl.SetParent 002a @IntfClear 005a OleCheck 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 85 F6 74 38 8D 45 FC E8 ?? ?? ?? ?? 50 8B 83 48 01 00 00 50 8B 00 FF 50 10 85 C0 75 06 83 7D FC 00 75 19 8B C3 05 1C 01 00 00 50 8B 83 48 01 00 00 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11321_0 {
	meta:
		name = "TOleControl.SetTPictureProp"
		size = 240
		refs = "001b TOleControl.SetTPictureProp 0081 TList.Get 0097 GetOlePicture 00a5 TOleControl.SetIDispatchProp 00c6 @HandleFinally 00dd @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 78 01 00 00 00 0F 85 97 00 00 00 8B 45 FC C6 80 78 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 74 01 00 00 8B 70 08 4E 85 F6 7C 4F 46 33 DB 8B 45 FC 8B 80 38 01 00 00 8B 40 40 8B 04 98 3B 45 F8 75 34 8B 45 FC 8B 80 74 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F8 8B 55 F4 8B C7 8B 08 FF 51 08 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 78 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11322_0 {
	meta:
		name = "TOleControl.SetPropDisplayString"
		size = 290
		refs = "0023 TOleControl.SetPropDisplayString 0030 _Dn_TStringList 0035 TObject.Create 0054 TOleControl.GetPropDisplayStrings 007e AnsiCompareText 008a @VarClr 00ae OleCheck 00bc TOleControl.SetProperty 00c1 @TryFinallyExit 00dc TObject.Free 00e2 @HandleFinally 00f2 TOleControl.SetStringProp 0107 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D E0 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 64 46 33 DB 8D 4D DC 8B D3 8B 45 E0 8B 38 FF 57 0C 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 75 41 8D 45 F0 E8 ?? ?? ?? ?? 50 8B D3 8B 45 E0 8B 08 FF 51 18 50 8B 45 E8 50 8B 45 EC 8B 80 58 01 00 00 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 8D 4D F0 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2F 43 4E 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 4D E4 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11323_0 {
	meta:
		name = "TOleControl.SetProperty"
		size = 181
		refs = "0014 TExcepInfo 0019 @InitializeRecord 0021 TOleControl.SetProperty 002e _NF__20E 0036 _NV__2FF 006d GUID_NULL 0087 DispatchInvokeError 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 8B FA 8B D8 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 75 F0 B8 ?? ?? ?? ?? 89 45 F4 C7 45 F8 01 00 00 00 C7 45 FC 01 00 00 00 66 83 3E 09 74 07 B8 04 00 00 00 EB 05 B8 08 00 00 00 6A 00 8D 55 D0 52 6A 00 8D 55 F0 52 50 6A 00 A1 ?? ?? ?? ?? 50 57 8B 83 54 01 00 00 50 8B 00 FF 50 18 85 C0 74 08 8D 55 D0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11324_0 {
	meta:
		name = "TOleControl.SetShortIntProp"
		size = 9
		refs = "0004 TOleControl.SetIntegerProp"
	strings:
		$1 = { 0F BE C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11325_0 {
	meta:
		name = "TOleControl.SetSingleProp"
		size = 32
		refs = "0016 TOleControl.SetProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 04 00 8B 4D 08 89 4D F8 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11326_0 {
	meta:
		name = "TOleControl.SetSmallintProp"
		size = 25
		refs = "0011 TOleControl.SetProperty"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 02 00 66 89 4C 24 08 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_11327_0 {
	meta:
		name = "TOleControl.SetStringProp"
		size = 94
		refs = "0018 StringToOleStr 0023 TOleControl.SetStringProp 0035 TOleControl.SetProperty 004b SysFreeString 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 66 C7 45 F0 08 00 8B C7 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11328_0 {
	meta:
		name = "_NF__314"
		size = 80
		refs = "000a GetParentForm 0030 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 38 84 DB 74 24 8B 87 80 01 00 00 85 C0 74 12 3B F0 74 0E 6A 00 33 C9 BA 2A B0 00 00 E8 ?? ?? ?? ?? 89 B7 80 01 00 00 EB 10 3B B7 80 01 00 00 75 08 33 C0 89 87 80 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11329_0 {
	meta:
		name = "TOleControl.SetVariantProp"
		size = 92
		refs = "0018 TOleControl.SetVariantProp 0028 @OleVarFromVar 0034 TOleControl.SetOleVariantProp 0049 @VarClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11330_0 {
	meta:
		name = "TOleControl.SetWideStringProp"
		size = 47
		refs = "0015 @WStrToPWChar 0024 TOleControl.SetProperty"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F9 8B F2 8B D8 66 C7 04 24 08 00 8B C7 E8 ?? ?? ?? ?? 89 44 24 08 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11331_0 {
	meta:
		name = "TOleControl.SetWordProp"
		size = 9
		refs = "0004 TOleControl.SetIntegerProp"
	strings:
		$1 = { 0F B7 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11332_0 {
	meta:
		name = "TOleControl.ShowAboutBox"
		size = 13
		refs = "0001 _NV__321 0008 TOleControl.InvokeMethod"
	strings:
		$1 = { BA ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11333_0 {
	meta:
		name = "_NF__327"
		size = 375
		refs = "0014 _NF__327 005d @CallDynaInst 007f _NV__324 00d3 _NV__326 00dc _NV__325 0158 @HandleAnyException 015d Application 0167 TApplication.HandleException 016c @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 89 45 FC 8B 19 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 05 5F 02 00 00 83 F8 07 0F 87 1F 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? E9 E7 00 00 00 8B 45 FC 66 BB EF FF E8 ?? ?? ?? ?? E9 D6 00 00 00 8B 43 08 83 E0 07 8A 88 ?? ?? ?? ?? 8B 53 18 8B 45 FC 66 BB DF FF E8 ?? ?? ?? ?? E9 B6 00 00 00 8B 53 08 8B 45 FC 66 BB DD FF E8 ?? ?? ?? ?? E9 A2 00 00 00 8B 43 08 83 E0 07 8A 88 ?? ?? ?? ?? 8B 53 18 8B 45 FC 66 BB DE FF E8 ?? ?? ?? ?? E9 82 00 00 00 8B 7B 38 83 E7 07 8A 87 ?? ?? ?? ?? 88 45 FA 8A 87 ?? ?? ?? ?? 8B 53 28 83 E2 07 0A 82 ?? ?? ?? ?? 88 45 FB 8B 7B 18 8B 43 08 89 45 F4 81 EE A1 FD FF FF 74 36 4E 74 1C 4E 75 47 57 8B 45 F4 50 8A 4D FB 8A 55 FA 8B 45 FC 66 BB E8 FF E8 ?? ?? ?? ?? EB 2E 8B 45 F4 50 8B CF 8A 55 FB 8B 45 FC 66 BB E7 FF E8 ?? ?? ?? ?? EB 17 57 8B 45 F4 50 8A 4D FB 8A 55 FA 8B 45 FC 66 BB E6 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11334_0 {
	meta:
		name = "TOleControl.WndProc"
		size = 135
		refs = "0025 TWinControl.GetHandle 0046 GetMessageTime 007d TWinControl.WndProc"
	strings:
		$1 = { 53 56 83 C4 E4 8B DA 8B F0 8B 03 3D 00 BD 00 00 7C 66 3D 08 BD 00 00 7F 5F 83 BE 60 01 00 00 00 74 56 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B 03 2D 00 BC 00 00 89 44 24 04 8B 43 04 89 44 24 08 8B 43 08 89 44 24 0C E8 ?? ?? ?? ?? 89 44 24 10 C7 44 24 14 F1 E1 5D 11 C7 44 24 18 F1 E1 5D 11 54 8B 86 60 01 00 00 50 8B 00 FF 50 14 85 C0 75 09 C7 43 0C 01 00 00 00 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_11335_0 {
	meta:
		name = "_NF__32B"
		size = 189
		refs = "0025 _NF__215 002d _NF__32B 0042 GlobalLock 0061 GlobalSize 0088 GlobalUnlock 008e @HandleFinally 00ab _NF__221"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 89 45 FC 8B 45 FC 83 B8 44 01 00 00 00 0F 95 45 FB 80 7D FB 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 44 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 44 01 00 00 50 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 44 01 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 75 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11336_0 {
	meta:
		name = "TOleControl.WMEraseBkgnd"
		size = 30
		refs = "0018 TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 56 8B F0 F6 86 6D 01 00 00 04 75 09 8B C6 8B 08 FF 51 F0 5E C3 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11337_0 {
	meta:
		name = "TOleControl.WMPaint"
		size = 111
		refs = "001e TWinControl.GetHandle 0024 BeginPaint 0045 OleDraw 0059 EndPaint 0064 TWinControl.WMPaint"
	strings:
		$1 = { 53 56 57 83 C4 B0 8B FA 8B D8 F6 83 6D 01 00 00 04 74 4C 8B 77 04 85 F6 75 10 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8D 54 24 40 8B C3 8B 08 FF 51 2C 8D 44 24 40 50 56 6A 01 8B 83 48 01 00 00 50 E8 ?? ?? ?? ?? 83 7F 04 00 75 19 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11338_0 {
	meta:
		name = "TOleControl.CMDocWindowActivate"
		size = 90
		refs = "000b GetParentForm 0017 _Dn_TForm 001c @IsClass 0051 _NF__369"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 33 DB 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 8B DF 85 DB 74 2B 80 BB 3A 01 00 00 01 75 22 8B 45 04 50 8B 86 60 01 00 00 50 8B 00 FF 50 1C 83 7D 04 00 75 0C 6A 00 6A 00 6A 00 56 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11339_0 {
	meta:
		name = "TOleControl.CMColorChanged"
		size = 131
		refs = "000b TWinControl.CMColorChanged 002e TWinControl.HandleAllocated 0044 TOleControl.CMColorChanged 005d TOleControl.SetColorProp 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 38 01 00 00 F6 40 2C 01 74 62 8B 45 FC 80 B8 79 01 00 00 00 75 56 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4A 8B 45 FC C6 80 79 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 54 BA 0B FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 79 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_11340_0 {
	meta:
		name = "TOleControl.CMEnabledChanged"
		size = 135
		refs = "000b TWinControl.CMEnabledChanged 002e TWinControl.HandleAllocated 0044 TOleControl.CMEnabledChanged 0061 TOleControl.SetWordBoolProp 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 38 01 00 00 F6 40 2C 08 74 66 8B 45 FC 80 B8 7B 01 00 00 00 75 5A 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4E 8B 45 FC C6 80 7B 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8A 40 45 F6 D8 1B C9 BA FE FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 7B 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_11341_0 {
	meta:
		name = "TOleControl.CMFontChanged"
		size = 256
		refs = "0011 TOleControl.CMFontChanged 001f TWinControl.CMFontChanged 004a TWinControl.HandleAllocated 008f TOleControl.SetIntegerProp 00ac FontToOleFont 00bc TOleControl.SetVariantProp 00d9 @HandleFinally 00f0 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 38 01 00 00 F6 40 2C 06 0F 84 A9 00 00 00 8B 45 FC 80 B8 7A 01 00 00 00 0F 85 99 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 89 00 00 00 8B 45 FC C6 80 7A 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 38 01 00 00 F6 40 2C 02 74 16 8B 45 FC 8B 40 50 8B 48 14 BA FF FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 38 01 00 00 F6 40 2C 04 74 1E 8D 55 EC 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8D 4D EC BA 00 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 7A 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_11342_0 {
	meta:
		name = "TOleControl.CMDialogKey"
		size = 177
		refs = "000c TWinControl.CanFocus 0049 @FillChar 0050 TWinControl.GetHandle 0080 IsAccelerator 00a7 TWinControl.CMDialogKey"
	strings:
		$1 = { 53 56 83 C4 D0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8A 00 00 00 C7 44 24 04 10 00 00 00 8D 44 24 04 50 8B 83 50 01 00 00 50 8B 00 FF 50 0C 85 C0 75 6D 66 83 7C 24 0C 00 74 65 8D 44 24 14 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 44 24 14 C7 44 24 18 00 01 00 00 8B 46 04 89 44 24 1C 8B 46 08 89 44 24 20 54 8D 44 24 18 50 0F B7 44 24 14 50 8B 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 74 1A 8D 44 24 14 50 8B 83 50 01 00 00 50 8B 00 FF 50 10 C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 30 5E 5B C3 }
	condition:
		$1
}

rule function_11343_0 {
	meta:
		name = "TOleControl.CMUIActivate"
		size = 74
		refs = "0009 GetParentForm 001e TControl.GetBoundsRect 0026 TWinControl.GetParentHandle"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 08 3B 98 80 01 00 00 74 2C 8B D4 8B C3 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B C3 05 1C 01 00 00 50 6A 00 6A FC 8B 83 48 01 00 00 50 8B 00 FF 50 2C 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_11344_0 {
	meta:
		name = "TOleControl.CMUIDeactivate"
		size = 36
		refs = "0006 GetParentForm"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 08 3B 98 80 01 00 00 75 0C 8B 83 5C 01 00 00 50 8B 00 FF 50 18 5B C3 }
	condition:
		$1
}

rule function_11346_0 {
	meta:
		name = "_NF__348"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 80 3C 01 00 00 8B 80 3C 01 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_11347_0 {
	meta:
		name = "_NF__349"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 88 3C 01 00 00 8B 80 3C 01 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_11350_0 {
	meta:
		name = "_NF__34C"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 B8 02 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_11351_0 {
	meta:
		name = "_NF__34D"
		size = 17
		refs = "0007 _NF__28F"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_11357_0 {
	meta:
		name = "_NF__353"
		size = 160
		refs = "0018 Screen 0026 MulDiv 005c _NF__353 006d @ROUND"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 10 8B 5D 0C F6 45 14 04 74 46 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 8B 03 50 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC D9 1E 9B 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 8B 43 04 50 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC D9 5E 04 9B EB 38 D9 06 D8 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE F9 E8 ?? ?? ?? ?? 89 03 D9 46 04 D8 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE F9 E8 ?? ?? ?? ?? 89 43 04 33 C0 5E 5B 59 5D C2 10 00 00 00 00 00 C0 1E 45 }
	condition:
		$1
}

rule function_11362_0 {
	meta:
		name = "_NF__358"
		size = 42
		refs = "0011 TWinControl.GetParentHandle"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 33 FF 8B C3 E8 ?? ?? ?? ?? 89 06 83 3E 00 75 05 BF 05 40 00 80 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11364_0 {
	meta:
		name = "_NF__35A"
		size = 104
		refs = "000e @IntfClear 0014 _NF__35A"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 83 5C 01 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 48 01 00 00 50 8B 00 FF 10 8D 83 60 01 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 48 01 00 00 50 8B 00 FF 10 33 C0 5B 5D C2 04 00 00 00 13 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 17 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_11366_0 {
	meta:
		name = "_NF__35C"
		size = 147
		refs = "0031 @IntfCopy 0039 @IntfClear 0043 TControl.GetBoundsRect 006b SetRect 0077 TWinControl.GetTopParentHandle"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 1C 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 0C 8B D3 81 C2 28 01 00 00 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 14 56 8D 75 F0 8B F8 B9 04 00 00 00 F3 A5 5E 68 FF 7F 00 00 68 FF 7F 00 00 6A 00 6A 00 8B 45 18 50 E8 ?? ?? ?? ?? 33 C0 89 46 04 8B C3 E8 ?? ?? ?? ?? 89 46 08 33 C0 89 46 0C 33 C0 89 46 10 33 C0 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_11368_0 {
	meta:
		name = "_NF__35E"
		size = 35
		refs = "000f _NF__369 0018 _NF__314"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 6A 00 6A 00 6A 00 53 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11369_0 {
	meta:
		name = "_NF__35F"
		size = 36
		refs = "000e @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 83 60 01 00 00 E8 ?? ?? ?? ?? 8D 83 5C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11371_0 {
	meta:
		name = "_NF__361"
		size = 24
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 80 5C 01 00 00 50 8B 00 FF 50 18 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_11372_0 {
	meta:
		name = "_NF__362"
		size = 62
		refs = "001d Rect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B 5D 08 68 FF 7F 00 00 8D 45 F0 50 B9 FF 7F 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 0C 50 8B 83 5C 01 00 00 50 8B 00 FF 50 1C 33 C0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11373_0 {
	meta:
		name = "_NF__363"
		size = 12
		altNames = "_NF__364"
	strings:
		$1 = { 55 8B EC B8 A1 01 04 80 5D C2 08 00 }
	condition:
		$1
}

rule function_11377_0 {
	meta:
		name = "_NF__367"
		size = 26
		refs = "000a TWinControl.GetTopParentHandle"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11378_0 {
	meta:
		name = "_NF__368"
		size = 64
		refs = "000a _NF__24D 0034 TMainMenu.PopulateOle2Menu"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 45 08 E8 ?? ?? ?? ?? 85 C0 74 26 6A 02 8B 55 10 52 6A 05 33 D2 89 55 F4 C7 45 F8 02 00 00 00 C7 45 FC 04 00 00 00 8D 4D F4 8B 55 0C E8 ?? ?? ?? ?? 33 C0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11379_0 {
	meta:
		name = "_NF__369"
		size = 56
		refs = "0008 _NF__24D 001a TMainMenu.SetOle2MenuHandle 002f OleSetMenuDescriptor"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 E8 ?? ?? ?? ?? 8B D8 33 C0 85 DB 74 1F 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 14 50 8B 43 28 50 8B 45 10 50 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_11383_0 {
	meta:
		name = "_NF__36D"
		size = 12
	strings:
		$1 = { 55 8B EC B8 01 00 00 00 5D C2 0C 00 }
	condition:
		$1
}

rule function_11387_0 {
	meta:
		name = "_NF__371"
		size = 401
		refs = "0016 _NF__371 008e @VarFromInt 009e _NF__1E6 00a8 @VarCopy 00c7 FontToOleFont 00f4 GetUserDefaultLCID 0108 @VarFromBool 017a @VarClr 0180 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 20 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 18 02 0F 84 3A 01 00 00 85 DB 0F 84 32 01 00 00 33 FF 8B 45 0C 05 CB 02 00 00 83 F8 0E 0F 87 18 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 56 54 E8 ?? ?? ?? ?? E9 D2 00 00 00 8D 55 F0 8B 46 08 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? E9 B8 00 00 00 83 7E 24 00 74 23 80 7E 46 00 74 1D 8D 55 F0 8B 46 24 8B 40 50 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? E9 8F 00 00 00 BF 03 00 02 80 E9 85 00 00 00 8B C3 8B 56 50 8B 52 14 E8 ?? ?? ?? ?? EB 76 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 66 8B C3 B2 01 E8 ?? ?? ?? ?? EB 5B 8B C3 F6 46 20 10 0F 95 C2 80 F2 01 E8 ?? ?? ?? ?? EB 48 8B C3 F6 46 20 10 0F 95 C2 E8 ?? ?? ?? ?? EB 38 8B C3 33 D2 E8 ?? ?? ?? ?? EB 2D 8B C3 33 D2 E8 ?? ?? ?? ?? EB 22 8B C3 B2 01 E8 ?? ?? ?? ?? EB 17 8B C3 B2 01 E8 ?? ?? ?? ?? EB 0C BF 03 00 02 80 EB 05 BF 03 00 02 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_11388_0 {
	meta:
		name = "_NF__372"
		size = 534
		refs = "0010 _NF__372 007a TOleControl.GetIntegerProp 0084 TControl.SetColor 00a1 @HandleFinally 00d8 TOleControl.GetWordBoolProp 00e7 TControl.SetEnabled 013e TOleControl.GetVariantProp 014c OleFontToFont 01a9 TFont.SetColor 01d7 @HandleOnException 01df _Dn_EOleError 01e8 @DoneExcept 01ff @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 2D FE FD FF FF 74 75 48 0F 84 36 01 00 00 48 0F 84 CA 00 00 00 83 E8 0B 0F 85 83 01 00 00 8B 45 08 80 B8 79 01 00 00 00 0F 85 73 01 00 00 8B 45 08 C6 80 79 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 0B FE FF FF 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 C6 80 79 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 08 80 B8 7B 01 00 00 00 0F 85 15 01 00 00 8B 45 08 C6 80 7B 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA FE FD FF FF 8B 45 08 E8 ?? ?? ?? ?? 66 F7 D8 1B D2 F7 DA 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 C6 80 7B 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 08 80 B8 7A 01 00 00 00 0F 85 B2 00 00 00 8B 45 08 C6 80 7A 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA 00 FE FF FF 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 08 8B 52 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 C6 80 7A 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 08 80 B8 7A 01 00 00 00 75 51 8B 45 08 C6 80 7A 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA FF FD FF FF 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 C6 80 7A 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11390_0 {
	meta:
		name = "_NF__374"
		size = 9
		altNames = "_NF__375"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 1C 00 }
	condition:
		$1
}

rule function_11761_0 {
	meta:
		name = "Opengl"
		size = 19
		refs = "0002 _NV__3E5 000e Set8087CW"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 09 66 B8 3F 13 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11762_0 {
	meta:
		name = "_NF__175"
		size = 22
	strings:
		$1 = { 33 C9 89 0A EB 03 40 FF 02 8A 08 80 E9 09 74 F6 80 E9 17 74 F1 C3 }
	condition:
		$1
}

rule function_11763_0 {
	meta:
		name = "_NF__176"
		size = 46
		refs = "0009 @LStrLen"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 10 BA 01 00 00 00 8A 4C 16 FF 88 0B 43 42 48 75 F5 66 C7 03 0D 0A 83 C3 02 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_11764_0 {
	meta:
		name = "TOutlineNode.Create"
		size = 30
		refs = "0008 @ClassCreate"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 1C 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_11765_0 {
	meta:
		name = "TOutlineNode.Destroy"
		size = 332
		refs = "002a TOutlineNode.Destroy 004c TOutlineNode.GetIndex 005f _NF__17E 0075 _NF__20F 0086 TOutlineNode.GetList 008b TList.Last 00a1 TOutlineNode.Remove 00c3 _NF__210 00f6 TCustomOutline.DeleteNode 0121 @HandleFinally 0131 TPersistent.Destroy 013f @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 55 FB 89 45 FC 8B 45 FC 8B 40 1C 8B 90 A4 01 00 00 3B 55 FC 75 07 C6 80 F2 01 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 F6 8B 45 FC 83 78 10 00 74 13 8B 45 FC 8B 40 1C 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 83 78 04 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 90 F4 01 00 00 3B 55 FC 75 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 10 85 DB 74 77 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 0F 94 C0 8B D8 8B 45 FC 8B 40 10 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 83 78 08 00 75 13 8B 45 FC 8B 50 10 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? EB 21 84 DB 74 1D 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 90 A4 01 00 00 3B 55 FC 75 07 C6 80 F2 01 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 8A 55 FB 80 E2 FE 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11766_0 {
	meta:
		name = "_NF__17E"
		size = 64
		refs = "0019 TList.Get"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 04 8B 58 08 4B 85 DB 7C 1D 43 33 FF 8B D7 8B 46 04 E8 ?? ?? ?? ?? 33 D2 89 50 10 B2 01 8B 08 FF 51 FC 47 4B 75 E6 B2 01 8B 46 04 8B 08 FF 51 FC 33 C0 89 46 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11767_0 {
	meta:
		name = "_NF__17F"
		size = 22
		refs = "0011 _NF__25A"
	strings:
		$1 = { 8B 50 10 85 D2 74 0E 80 7A 18 00 74 08 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11768_0 {
	meta:
		name = "TOutlineNode.GetList"
		size = 29
		refs = "000c _Dn_TList 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_11770_0 {
	meta:
		name = "_NF__185"
		size = 44
		refs = "0006 TOutlineNode.GetList 0018 TList.Last 001d _NF__185 0026 TOutlineNode.GetIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 13 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11771_0 {
	meta:
		name = "TOutlineNode.SetText"
		size = 79
		refs = "000d @LStrAsg 0031 TOutlineNode.GetRowOfNode 0040 TCustomGrid.InvalidateCell 0047 _NF__17F"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B 43 10 85 C0 74 33 80 78 18 00 74 26 33 C0 89 04 24 8B 73 1C 8B CC 8B D3 8B 86 A4 01 00 00 E8 ?? ?? ?? ?? 8B 0C 24 83 E9 02 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_11772_0 {
	meta:
		name = "_NF__189"
		size = 24
		refs = "0013 _NF__189"
	strings:
		$1 = { 80 78 18 00 74 11 01 50 20 8B 48 10 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11773_0 {
	meta:
		name = "TOutlineNode.GetIndex"
		size = 29
		refs = "0009 TCustomOutline.BadIndex 0014 _NF__1CA"
	strings:
		$1 = { 53 8B D8 8B D3 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_11774_0 {
	meta:
		name = "TOutlineNode.GetLevel"
		size = 20
	strings:
		$1 = { 33 D2 8B 40 10 85 C0 74 08 42 8B 40 10 85 C0 75 F8 8B C2 C3 }
	condition:
		$1
}

rule function_11775_0 {
	meta:
		name = "TOutlineNode.SetLevel"
		size = 33
		refs = "0009 TOutlineNode.GetLevel 001a TCustomOutline.SetLevel"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B C6 74 0D 56 8B C8 8B D3 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11776_0 {
	meta:
		name = "TOutlineNode.ChangeLevelBy"
		size = 30
		refs = "0009 TOutlineNode.GetLevel 0017 TOutlineNode.SetLevel"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 0F BE C3 03 D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11777_0 {
	meta:
		name = "TOutlineNode.GetDisplayWidth"
		size = 11
		refs = "0006 TCustomOutline.GetNodeDisplayWidth"
	strings:
		$1 = { 8B D0 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11778_0 {
	meta:
		name = "TOutlineNode.HasVisibleParent"
		size = 19
	strings:
		$1 = { 8B 50 10 85 D2 74 06 80 7A 18 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_11779_0 {
	meta:
		name = "_NF__198"
		size = 18
	strings:
		$1 = { EB 02 8B C2 8B 50 10 85 D2 74 06 80 7A 18 00 74 F1 C3 }
	condition:
		$1
}

rule function_11780_0 {
	meta:
		name = "TOutlineNode.GetFullPath"
		size = 140
		refs = "0010 TOutlineNode.GetFullPath 0048 @LStrCatN 0054 @LStrLAsg 005e EmptyStr 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 10 85 F6 74 39 83 7E 10 00 74 27 8D 55 FC 8B C6 E8 ?? ?? ?? ?? FF 75 FC 8B 43 1C FF B0 B4 01 00 00 FF 73 08 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1B 8B C7 8B 53 08 E8 ?? ?? ?? ?? EB 0F 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11781_0 {
	meta:
		name = "TOutlineNode.HasAsParent"
		size = 26
		refs = "0011 TOutlineNode.HasAsParent"
	strings:
		$1 = { 3B D0 75 03 B0 01 C3 8B 48 10 85 C9 74 09 8B C1 E8 ?? ?? ?? ?? EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_11782_0 {
	meta:
		name = "TOutlineNode.GetTopItem"
		size = 31
	strings:
		$1 = { 33 C9 83 78 10 00 74 14 EB 0B 83 7A 10 00 75 03 8B 48 14 8B C2 8B 50 10 85 D2 75 EE 8B C1 C3 }
	condition:
		$1
}

rule function_11783_0 {
	meta:
		name = "TOutlineNode.GetFirstChild"
		size = 37
		refs = "0006 TOutlineNode.GetList 0015 TOutlineNode.GetNode 001a TOutlineNode.GetIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 7E 10 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_11784_0 {
	meta:
		name = "TOutlineNode.GetLastChild"
		size = 46
		refs = "0006 TOutlineNode.GetList 001e TOutlineNode.GetNode 0023 TOutlineNode.GetIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 7E 19 8B C3 E8 ?? ?? ?? ?? 8B 50 08 4A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_11785_0 {
	meta:
		name = "TOutlineNode.GetNextChild"
		size = 100
		refs = "0013 TOutlineNode.GetList 0027 TOutlineNode.GetNode 002c TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 3C 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B E8 75 23 8B C7 E8 ?? ?? ?? ?? 8B 40 08 48 3B D8 7D 18 8D 53 01 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 EB 04 43 4E 75 C7 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11786_0 {
	meta:
		name = "TOutlineNode.GetPrevChild"
		size = 81
		refs = "000e TOutlineNode.GetList 0020 TOutlineNode.GetNode 0025 TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 83 CD FF 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 7C 2F 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F8 75 17 85 DB 7E 19 8B D3 4A 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 EB 06 4B 83 FB FF 75 D1 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11787_0 {
	meta:
		name = "TOutlineNode.MoveTo"
		size = 33
		refs = "000d TOutlineNode.GetIndex 0019 TCustomOutline.Move"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 53 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 47 1C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11788_0 {
	meta:
		name = "TOutlineNode.FullExpand"
		size = 65
		refs = "0008 TOutlineNode.HasChildren 0015 TOutlineNode.SetExpandedState 001c TOutlineNode.GetList 0030 TOutlineNode.GetNode 0035 TOutlineNode.FullExpand"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2D B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 15 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11789_0 {
	meta:
		name = "TOutlineNode.GetRowOfNode"
		size = 97
		refs = "002a TOutlineNode.GetList 003e TOutlineNode.GetNode 004a TOutlineNode.GetRowOfNode"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B F8 8B 44 24 04 FF 00 3B 3C 24 75 04 B3 01 EB 39 33 DB 80 7F 18 00 74 31 8B C7 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 22 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 E8 ?? ?? ?? ?? 8B D8 84 DB 75 04 45 4E 75 E1 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11790_0 {
	meta:
		name = "TOutlineNode.GetVisibleNode"
		size = 344
		refs = "0017 TOutlineNode.GetVisibleNode 0037 TOutlineNode.GetList 0055 TOutlineNode.GetNode 011e SOutlineIndexError 0123 LoadResString 012d _NF__1DD 0142 @LStrClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 08 89 7D F8 E9 02 01 00 00 33 C0 89 45 F8 8B C7 E8 ?? ?? ?? ?? 8B 40 08 89 45 EC 33 C0 89 45 F0 8B 47 20 3B 45 EC 75 13 8B 55 FC 4A 8B C7 E8 ?? ?? ?? ?? 89 45 F8 E9 D0 00 00 00 33 C0 89 45 F4 E9 9C 00 00 00 8B 5D F4 8B F0 2B F3 7C 14 46 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 18 00 75 04 43 4E 75 ED 3B 5D F4 7E 20 8B C3 2B 45 F4 3B 45 FC 7C 13 8B 55 F4 03 55 FC 4A 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 6A 29 45 FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 42 20 40 8D 0C 03 2B 4D F4 01 4D F0 3B 45 FC 7C 0F 8B 45 FC 48 92 E8 ?? ?? ?? ?? 89 45 F8 EB 3B 8D 53 01 8B 4D EC 2B CA 8B 57 20 2B 55 F0 3B CA 75 13 8B 55 FC 2B D0 03 D3 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 33 29 45 FC 89 5D F4 FF 45 F4 8B 45 EC 48 3B 45 F4 0F 8D 57 FF FF FF 83 7D F8 00 75 17 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11791_0 {
	meta:
		name = "_NF__1B7"
		size = 49
		refs = "000a TOutlineNode.GetIndex 002b TOutlineNode.GetNodeAtIndex"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 3B 42 F8 75 08 8B 45 08 8B 40 FC 5D C3 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_11792_0 {
	meta:
		name = "TOutlineNode.GetNodeAtIndex"
		size = 211
		refs = "0013 TOutlineNode.GetIndex 002d TOutlineNode.GetList 004e TOutlineNode.GetNode 005b _NF__1B7 00bb _DV_OutlineError 00c0 TObject.Create 00c5 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 3B 45 F8 75 0B 8B 45 F4 89 45 F0 E9 A2 00 00 00 33 F6 8B 45 F4 E8 ?? ?? ?? ?? 8B 58 08 4B 33 C0 89 45 F0 3B F3 7F 74 8D 3C 33 D1 FF 79 03 83 D7 00 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 3B DE 75 0C 55 E8 ?? ?? ?? ?? 59 89 45 F0 EB 4D 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F8 7E 05 8B DF 4B EB 37 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F8 7D 1E 3B DF 7E 1A 8D 57 01 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F8 7F 05 8D 77 01 EB 0C 55 E8 ?? ?? ?? ?? 59 89 45 F0 EB 04 3B F3 7E 8C 83 7D F0 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11793_0 {
	meta:
		name = "TOutlineNode.GetDataItem"
		size = 84
		refs = "0015 TOutlineNode.GetIndex 0022 TOutlineNode.GetList 0036 TOutlineNode.GetNode 003e TOutlineNode.GetDataItem"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 0C 3B 04 24 75 0B 8B C5 E8 ?? ?? ?? ?? 8B F0 EB 2F 33 F6 8B C5 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1E 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 14 24 E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 47 4B 75 E5 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11794_0 {
	meta:
		name = "TOutlineNode.GetTextItem"
		size = 89
		refs = "0011 @LStrCmp 001a TOutlineNode.GetIndex 0027 TOutlineNode.GetList 003b TOutlineNode.GetNode 0043 TOutlineNode.GetTextItem"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 04 24 8B 55 08 E8 ?? ?? ?? ?? 75 0B 8B C5 E8 ?? ?? ?? ?? 8B F0 EB 2F 33 F6 8B C5 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1E 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 14 24 E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 47 4B 75 E5 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11797_0 {
	meta:
		name = "TOutlineNode.SetExpandedState"
		size = 255
		refs = "000d TOutlineNode.SetExpandedState 0035 SOutlineExpandError 003a LoadResString 0044 _NF__1DD 0052 TOutlineNode.GetIndex 0060 @CallDynaInst 006b TOutlineNode.GetList 0075 _NF__189 007e _NF__1C8 00a6 _NF__263 00d2 _NF__17F 00d9 _NF__1C9 00ee @LStrClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 56 18 0F 84 BD 00 00 00 84 D2 74 57 8B 5E 10 85 DB 74 24 80 7B 18 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 5B 10 85 DB 75 DC 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 46 1C 66 BB CC FF E8 ?? ?? ?? ?? C6 46 18 01 8B C6 E8 ?? ?? ?? ?? 8B 50 08 8B C6 E8 ?? ?? ?? ?? EB 54 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 78 08 00 7E 13 8B C6 E8 ?? ?? ?? ?? 8B 50 08 F7 DA 8B C6 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 1C 8B 10 FF 52 44 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 46 1C 66 BB CB FF E8 ?? ?? ?? ?? C6 46 18 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11798_0 {
	meta:
		name = "_NF__1C8"
		size = 81
		refs = "0008 TOutlineNode.GetList 001c TOutlineNode.GetNode 0021 _NF__1C8 0045 _NF__189"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 15 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EE 8B C6 E8 ?? ?? ?? ?? 83 78 08 00 7E 13 8B C6 E8 ?? ?? ?? ?? 8B 50 08 F7 DA 8B C6 E8 ?? ?? ?? ?? C6 46 18 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11799_0 {
	meta:
		name = "_NF__1C9"
		size = 33
		refs = "000e _NF__263"
	strings:
		$1 = { 53 56 8B F0 8B 5E 1C 85 DB 74 13 8B C3 E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 1C 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_11800_0 {
	meta:
		name = "_NF__1CA"
		size = 65
		refs = "0009 TCustomOutline.SetGoodIndex 001e _NF__1D9"
	strings:
		$1 = { 53 8B D8 8B D3 8B 43 1C E8 ?? ?? ?? ?? 8B 50 10 85 D2 74 10 8B 48 14 51 6A 01 8B CB 92 E8 ?? ?? ?? ?? EB 12 8B 53 1C 3B 9A A4 01 00 00 74 07 8B 40 14 40 89 43 14 8B 43 1C 89 98 A8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_11801_0 {
	meta:
		name = "TOutlineNode.AddNode"
		size = 68
		refs = "0009 TOutlineNode.GetList 0010 TList.Add 001e _NF__189 0031 _NF__1CA 003b _NF__17F"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 89 73 10 8B 53 20 42 8B C6 E8 ?? ?? ?? ?? 8B 46 1C 80 B8 A0 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 73 14 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11802_0 {
	meta:
		name = "TOutlineNode.InsertNode"
		size = 120
		refs = "000f TOutlineNode.GetList 0023 TOutlineNode.GetNode 003b TList.Insert 004f _NF__189 0062 _NF__1CA 006c _NF__17F"
	strings:
		$1 = { 53 56 57 55 51 8B E9 89 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 78 08 4F 85 FF 7C 2D 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 14 3B 04 24 75 15 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D6 E8 ?? ?? ?? ?? 89 5D 10 EB 04 46 4F 75 D6 8B 55 20 42 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 80 B8 A0 01 00 00 00 75 07 8B C5 E8 ?? ?? ?? ?? 8B 5D 14 8B C5 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11803_0 {
	meta:
		name = "TOutlineNode.InternalRemove"
		size = 111
		refs = "0013 TOutlineNode.GetNode 001d TCustomOutline.SetGoodIndex 0030 TOutlineNode.GetList 0037 TList.Delete 0044 _NF__189 0060 TOutlineNode.SetExpandedState 0067 _NF__17F"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 74 16 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 1C E8 ?? ?? ?? ?? EB 0A 8B D3 8B 43 1C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 57 20 42 F7 DA 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 75 0F 83 7B 10 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11804_0 {
	meta:
		name = "TOutlineNode.Remove"
		size = 34
		refs = "0009 TOutlineNode.GetList 0010 TList.IndexOf 001b TOutlineNode.InternalRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11805_0 {
	meta:
		name = "_NF__1D9"
		size = 125
		refs = "0016 TOutlineNode.GetList 001d TList.IndexOf 0040 TOutlineNode.GetNode 004b _NF__1DA 0070 _NF__1D9"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B 78 08 4F 58 2B F8 7C 2B 47 89 45 F8 84 DB 74 1B 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 55 0C 8B 4D FC E8 ?? ?? ?? ?? 84 C0 75 21 EB 02 B3 01 FF 45 F8 4F 75 D9 8B 46 10 85 C0 74 10 8B 55 0C 52 6A 00 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11806_0 {
	meta:
		name = "_NF__1DA"
		size = 99
		refs = "002c TOutlineNode.GetList 0040 TOutlineNode.GetNode 004c _NF__1DA"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B F8 8B 04 24 8B 00 89 47 14 3B 7C 24 04 75 04 B3 01 EB 38 33 DB 8B 04 24 FF 00 8B C7 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 22 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 14 24 8B 4C 24 04 E8 ?? ?? ?? ?? 8B D8 84 DB 75 04 45 4E 75 E1 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11807_0 {
	meta:
		name = "_NF__1DB"
		size = 62
		refs = "0014 TOutlineNode.GetList 0028 TOutlineNode.GetNode 002d _NF__1DB"
	strings:
		$1 = { 53 56 57 55 8B F0 BD 01 00 00 00 80 7E 18 00 74 26 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 17 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 E8 47 4B 75 EC 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11808_0 {
	meta:
		name = "_NF__1DC"
		size = 74
		refs = "000b TOutlineNode.GetDisplayWidth 001e TOutlineNode.GetList 0032 TOutlineNode.GetNode 0039 _NF__1DC"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 73 02 8B F0 80 7B 18 00 74 28 8B C3 E8 ?? ?? ?? ?? 8B 78 08 4F 85 FF 7C 19 47 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F0 45 4F 75 EA 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11809_0 {
	meta:
		name = "_NF__1DD"
		size = 24
		refs = "0008 _DV_EOutlineError 000d Exception.Create 0012 @RaiseExcept"
		altNames = "_NF__2C1"
	strings:
		$1 = { 53 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11810_0 {
	meta:
		name = "TOutlineNode.HasChildren"
		size = 19
		refs = "0006 TOutlineNode.GetList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_11811_0 {
	meta:
		name = "TOutlineNode.WriteNode"
		size = 117
		refs = "0017 TOutlineNode.GetLevel 0032 _NF__176 0042 TStream.WriteBuffer 0049 TOutlineNode.GetList 005d TOutlineNode.GetNode 0067 TOutlineNode.WriteNode"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F0 83 7E 10 00 74 34 8B DD 8B C6 E8 ?? ?? ?? ?? 66 83 F8 01 76 0B C6 03 09 48 43 66 83 F8 01 77 F5 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B D8 8B CB 2B CD 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1A 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 0C 24 8B D5 E8 ?? ?? ?? ?? 47 4B 75 E9 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11812_0 {
	meta:
		name = "_NF__1E4"
		size = 45
		refs = "000d @LStrCmp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8B 56 08 E8 ?? ?? ?? ?? 75 10 8B 43 0C 3B 46 0C 75 08 8B 43 20 3B 46 20 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_11813_0 {
	meta:
		name = "_NF__1E5"
		size = 96
		refs = "000a TCustomOutline.Get 0013 TOutlineNode.GetLevel 001d EmptyStr 0024 @LStrLAsg 0038 _NF__1E5 003d @LStrCat"
	strings:
		$1 = { 53 56 57 8B D9 8B 40 0C 42 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F B7 C6 83 E8 02 85 C0 7C 12 40 89 C6 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 75 F1 8B C3 8B 57 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_11816_0 {
	meta:
		name = "_NF__1E8"
		size = 166
		refs = "0018 TCustomOutline.GetItemCount 005f TCustomOutline.Get 0076 _NF__1E4"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 70 1C 85 F6 74 77 8B 46 0C E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 8B 40 0C E8 ?? ?? ?? ?? 3B D8 75 5B 8B 46 0C E8 ?? ?? ?? ?? 85 C0 7E 4F 33 DB 8B 45 08 8B 40 F8 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 7E 4D 89 45 FC BF 01 00 00 00 8B D7 8B 46 0C E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 75 1B 47 FF 4D FC 75 D0 EB 13 8B 45 08 8B 40 F8 8B 40 0C E8 ?? ?? ?? ?? 85 C0 0F 9F C3 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11817_0 {
	meta:
		name = "_NF__1E9"
		size = 76
		refs = "0012 _NF__1EA 001b _NF__1EB 0021 _NF__1E8 0029 _NF__1E9"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 5B 59 59 5D C3 00 00 00 FF FF FF FF 05 00 00 00 4E 6F 64 65 73 00 00 00 }
	condition:
		$1
}

rule function_11818_0 {
	meta:
		name = "_NF__1EA"
		size = 265
		refs = "0015 _NF__1EA 0023 TReader.ReadListBegin 002a _Dn_TStringList 002f TObject.Create 004d TReader.ReadString 0060 TReader.EndOfList 006b _Dn_TMemoryStream 0096 TStream.SetPosition 00a1 TCustomOutline.LoadFromStream 00b6 TObject.Free 00bc @HandleFinally 00e3 TReader.ReadListEnd 00f8 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 34 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 DE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F8 8B 08 FF 51 68 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 43 0C 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11819_0 {
	meta:
		name = "_NF__1EB"
		size = 279
		refs = "0017 _NF__1EB 0025 TWriter.WriteListBegin 002c _Dn_TMemoryStream 0031 TObject.Create 004d TCustomOutline.SaveToStream 0057 TStream.SetPosition 005e _Dn_TStringList 00a9 TWriter.WriteString 00c2 TObject.Free 00c8 @HandleFinally 00ef TWriter.WriteListEnd 0104 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 55 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F4 8B 08 FF 51 5C 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D F0 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11820_0 {
	meta:
		name = "_NF__1EC"
		size = 265
		refs = "0014 _NF__1EC 0021 @LStrToPChar 0029 _NF__175 0033 @LStrFromPChar 003b TCustomOutline.GetItemCount 0052 TCustomOutline.Get 0066 TOutlineNode.GetLevel 0086 SOutlineFileLoad 008b LoadResString 0096 _NF__2C1 00ca TOutlineNode.GetIndex 00d7 TCustomOutline.AddChild 00f4 @LStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 85 C0 7E 17 8B 5E 0C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 09 8B 46 0C 8B 98 A4 01 00 00 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 72 0B 8B 56 0C 3B 9A A4 01 00 00 75 22 8B 55 FC 2B D0 4A 7E 45 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 46 0C E8 ?? ?? ?? ?? EB 2B 8B 7D FC 47 2B F8 77 23 4F 8B 5B 10 85 DB 75 18 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 46 0C E8 ?? ?? ?? ?? 47 75 DE 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B 46 0C E8 ?? ?? ?? ?? 48 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11821_0 {
	meta:
		name = "_NF__1ED"
		size = 10
		refs = "0005 TCustomOutline.Delete"
	strings:
		$1 = { 42 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11822_0 {
	meta:
		name = "_NF__1EE"
		size = 10
		refs = "0005 TCustomOutline.Insert"
	strings:
		$1 = { 42 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11823_0 {
	meta:
		name = "_NF__1EF"
		size = 17
		refs = "0008 TCustomOutline.Get"
	strings:
		$1 = { 53 8B D9 42 8B 40 0C E8 ?? ?? ?? ?? 89 58 0C 5B C3 }
	condition:
		$1
}

rule function_11824_0 {
	meta:
		name = "_NF__1F0"
		size = 23
		refs = "000d TCustomOutline.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 56 01 8B 43 0C E8 ?? ?? ?? ?? 8B 40 0C 5E 5B C3 }
	condition:
		$1
}

rule function_11825_0 {
	meta:
		name = "_NF__1F2"
		size = 40
	strings:
		$1 = { 50 4C 55 53 00 00 00 00 4D 49 4E 55 53 00 00 00 4F 50 45 4E 00 00 00 00 43 4C 4F 53 45 44 00 00 4C 45 41 46 00 00 00 00 }
	condition:
		$1
}

rule function_11826_0 {
	meta:
		name = "TCustomOutline.Create"
		size = 260
		refs = "000e @ClassCreate 001c TCustomGrid.Create 0028 TControl.SetWidth 0034 TControl.SetHeight 0040 TControl.SetColor 0049 TControl.SetParentColor 0050 _NF__1FC 0059 TCustomGrid.SetRowCount 0065 TCustomGrid.SetColCount 006e TCustomGrid.SetFixedCols 0077 TCustomGrid.SetFixedRows 0085 _NF__1FA 008c _NV__173 0091 TObject.Create 00a3 TCustomOutline.Create 00aa TCustomGrid.SetOptions 00b7 TCustomOutline.SetOutlineOptions 00c7 @LStrAsg 00d5 _NF__1FB"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 80 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 98 01 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 BC 01 00 00 89 5E 0C 66 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 83 B4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 E8 01 00 00 05 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 03 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_11827_0 {
	meta:
		name = "TCustomOutline.Destroy"
		size = 78
		refs = "000e TObject.Free 0039 TCustomGrid.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B 86 A4 01 00 00 E8 ?? ?? ?? ?? 33 FF 8B 84 BE C4 01 00 00 E8 ?? ?? ?? ?? 47 83 FF 05 75 EE 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11828_0 {
	meta:
		name = "_NF__1FA"
		size = 97
		refs = "0011 _DV_TOutlineNode 0016 TOutlineNode.Create 002d _NF__20F 005b _NF__263"
	strings:
		$1 = { 53 8B D8 83 BB A4 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 01 00 00 8B 83 A4 01 00 00 C6 40 18 01 8B C3 E8 ?? ?? ?? ?? 8B 83 A4 01 00 00 89 83 A8 01 00 00 8B 83 A4 01 00 00 89 83 B0 01 00 00 C6 83 A0 01 00 00 00 33 C0 89 83 AC 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11829_0 {
	meta:
		name = "_NF__1FB"
		size = 100
		refs = "0007 _NF__1FB 001f _NV__1F1 0026 _Dn_TBitmap 002b TBitmap.Create 003c HInstance 0044 LoadBitmap 004d TBitmap.SetHandle"
	strings:
		$1 = { 53 56 57 55 8B F8 A0 ?? ?? ?? ?? 88 87 C0 01 00 00 A0 ?? ?? ?? ?? 88 87 C1 01 00 00 33 DB BE ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 89 AC 9F C4 01 00 00 8B 06 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 43 83 C6 04 83 FB 05 75 C9 5D 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_11830_0 {
	meta:
		name = "_NF__1FC"
		size = 145
		refs = "0014 GetDC 001f _NF__1FC 0032 GetDeviceCaps 003b TFont.GetSize 0041 MulDiv 005c TCustomGrid.SetDefaultRowHeight 0080 ReleaseDC 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 80 BB F0 01 00 00 01 74 7B 6A 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 48 6A 5A 8B 45 FC 50 E8 ?? ?? ?? ?? 50 8B 43 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 89 B3 B8 01 00 00 6A 64 6A 78 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 40 01 00 00 89 83 EC 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11831_0 {
	meta:
		name = "TCustomOutline.Clear"
		size = 33
		refs = "001b _NF__1FA"
	strings:
		$1 = { 53 8B D8 B2 01 8B 83 A4 01 00 00 8B 08 FF 51 FC 33 C0 89 83 A4 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11832_0 {
	meta:
		name = "_NF__1FF"
		size = 100
		refs = "0012 _NF__1FF"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 1C 85 DB 74 34 A0 ?? ?? ?? ?? 3A 83 C0 01 00 00 74 1E 8B 45 08 8B 40 F8 8A 80 C0 01 00 00 F7 D0 22 83 C0 01 00 00 8A 15 ?? ?? ?? ?? 3A D0 75 04 33 C0 EB 1A B0 01 5B 5D C3 8B 45 08 8B 40 F8 8A 15 ?? ?? ?? ?? 3A 90 C0 01 00 00 0F 95 C0 5B 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_11834_0 {
	meta:
		name = "_NF__203"
		size = 17
		refs = "000c TStream.ReadBuffer"
	strings:
		$1 = { 05 C1 01 00 00 B9 01 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11835_0 {
	meta:
		name = "_NF__204"
		size = 17
		refs = "000c TStream.WriteBuffer"
	strings:
		$1 = { 05 C0 01 00 00 B9 01 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11836_0 {
	meta:
		name = "_NF__205"
		size = 25
		refs = "000d TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 3B F0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_11837_0 {
	meta:
		name = "TCustomOutline.GetItemCount"
		size = 12
		refs = "0007 _NF__185"
	strings:
		$1 = { 8B 80 A4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11863_0 {
	meta:
		name = "TCustomOutline.FullExpand"
		size = 12
		refs = "0007 TOutlineNode.FullExpand"
	strings:
		$1 = { 8B 80 A4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11875_0 {
	meta:
		name = "TCustomOutline.GetDataItem"
		size = 12
		refs = "0007 TOutlineNode.GetDataItem"
	strings:
		$1 = { 8B 80 A4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11877_0 {
	meta:
		name = "TCustomOutline.GetTextItem"
		size = 12
		refs = "0007 TOutlineNode.GetTextItem"
	strings:
		$1 = { 8B 80 A4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11838_0 {
	meta:
		name = "_NF__208"
		size = 670
		refs = "001a _NF__208 003f _NF__205 0061 TOutlineNode.GetNodeAtIndex 0073 @HandleOnException 007b _DV_OutlineError 0087 SOutlineIndexError 008c LoadResString 0097 _NF__2C1 009c @DoneExcept 011c TOutlineNode.HasAsParent 012c TOutlineNode.GetLevel 013b SOutlineMaxLevels 0166 TOutlineNode.GetList 017c TOutlineNode.GetNode 0181 _NF__1CA 01ae TList.IndexOf 01d1 TOutlineNode.GetIndex 01e1 TOutlineNode.InsertNode 01ee TOutlineNode.AddNode 020f TOutlineNode.InternalRemove 021b TOutlineNode.Remove 022e TOutlineNode.SetExpandedState 026c _NF__263 0289 @LStrClr 028f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 5D F8 0F 84 4B 02 00 00 8B 45 FC 8B 80 B0 01 00 00 89 45 F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A4 01 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 5A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A4 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 50 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 3D FF 00 00 00 7E 18 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 A4 01 00 00 8B 45 FC 3B 98 A8 01 00 00 75 22 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 15 8B 45 FC 8B 80 A4 01 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 70 10 83 CB FF 8A 45 08 2C 01 72 5F 74 50 FE C8 75 67 8B 45 F0 3B 70 10 75 2A 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 3B D8 7E 03 43 EB 03 83 CB FF 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 40 10 8B 4D F4 E8 ?? ?? ?? ?? EB 1B 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? EB 0E 8B 45 F0 8B 40 10 8B 55 F4 E8 ?? ?? ?? ?? 83 FB FF 74 0E 8B CB 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 0A 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 80 78 18 00 75 0A 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 A4 01 00 00 8B 45 FC 3B 98 A8 01 00 00 75 22 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 15 8B 45 FC 8B 80 A4 01 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11839_0 {
	meta:
		name = "_NF__209"
		size = 482
		refs = "001a @LStrAddRef 0022 _NF__209 0037 _DV_TOutlineNode 003c TOutlineNode.Create 004a TOutlineNode.SetText 0081 _NF__205 00a3 TOutlineNode.GetNodeAtIndex 00b5 @HandleOnException 00bd _DV_OutlineError 00c9 SOutlineIndexError 00ce LoadResString 00d9 _NF__2C1 00de @DoneExcept 00fb SOutlineError 0122 TOutlineNode.GetIndex 0132 TOutlineNode.InsertNode 013f TOutlineNode.GetLevel 014e SOutlineMaxLevels 015e _NF__1DD 0169 TOutlineNode.AddNode 0174 _NF__263 018f @HandleAnyException 019e Application 01a8 TApplication.HandleException 01c2 @LStrClr 01d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F8 8B DA 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 0C 89 50 0C 8B 45 F0 C7 40 14 FF FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B0 01 00 00 89 45 EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A4 01 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 08 00 75 2B 8B 45 EC 8B 40 10 89 45 EC 83 7D EC 00 75 18 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? C6 45 08 01 8A 45 08 FE C8 74 21 FE C8 75 52 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 10 8B 4D F0 E8 ?? ?? ?? ?? 89 45 F4 EB 35 8B 45 EC E8 ?? ?? ?? ?? 3D FF 00 00 00 7E 18 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? B2 01 8B 45 F0 8B 08 FF 51 FC A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11840_0 {
	meta:
		name = "TCustomOutline.Get"
		size = 225
		refs = "0017 TCustomOutline.Get 0033 _NF__205 0055 TOutlineNode.GetNodeAtIndex 0067 @HandleOnException 006f _DV_OutlineError 007b SOutlineIndexError 0080 LoadResString 008b _NF__2C1 0090 @DoneExcept 00a6 SOutlineError 00cb @LStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B0 01 00 00 89 45 F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A4 01 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 01 00 00 3B 45 F8 75 18 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11841_0 {
	meta:
		name = "TCustomOutline.GetSelectedItem"
		size = 103
		refs = "0018 TOutlineNode.HasVisibleParent 0027 _NF__198 0036 TOutlineNode.GetList 004e TOutlineNode.GetVisibleNode 005f TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 57 8B D8 8B BB A4 01 00 00 8B B3 F4 01 00 00 3B FE 74 1E 8B C6 E8 ?? ?? ?? ?? 84 C0 75 38 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 89 83 F4 01 00 00 EB 25 8B C7 E8 ?? ?? ?? ?? 83 78 08 00 7E 18 8B 93 38 01 00 00 42 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? 89 83 F4 01 00 00 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11842_0 {
	meta:
		name = "_NF__20F"
		size = 13
	strings:
		$1 = { 8B 90 A4 01 00 00 89 90 F4 01 00 00 C3 }
	condition:
		$1
}

rule function_11843_0 {
	meta:
		name = "_NF__210"
		size = 46
		refs = "001a TOutlineNode.GetRowOfNode 0027 TCustomGrid.SetRow"
	strings:
		$1 = { 53 51 8B D8 3B 93 A4 01 00 00 74 1F 33 C0 89 04 24 8B CC 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? 8B 14 24 83 EA 02 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_11844_0 {
	meta:
		name = "TCustomOutline.SetSelectedItem"
		size = 306
		refs = "0017 TCustomOutline.SetSelectedItem 003f TOutlineNode.GetList 0065 TOutlineNode.GetIndex 0087 TOutlineNode.GetNodeAtIndex 0099 @HandleOnException 00a1 _DV_OutlineError 00ad SOutlineIndexError 00b2 LoadResString 00bd _NF__2C1 00c2 @DoneExcept 00ca TOutlineNode.HasVisibleParent 00d6 _NF__198 00f0 _NF__210 00fa SOutlineSelection 011f @LStrClr 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 A0 01 00 00 00 0F 85 DD 00 00 00 85 DB 75 19 8B 45 FC 8B 80 A4 01 00 00 E8 ?? ?? ?? ?? 83 78 08 00 7E 05 BB 01 00 00 00 85 DB 0F 8E A0 00 00 00 8B 45 FC 8B B0 F4 01 00 00 89 75 F8 8B C6 E8 ?? ?? ?? ?? 3B D8 74 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A4 01 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 55 F8 89 90 F4 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 18 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11846_0 {
	meta:
		name = "TCustomOutline.InsertObject"
		size = 144
		refs = "0010 TCustomOutline.InsertObject 002c _NF__209 0041 TCustomOutline.AddChildObject 004d SOutlineError 0052 LoadResString 005c _NF__2C1 0065 _NF__276 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CF FF 85 DB 7E 13 8B 45 08 50 6A 02 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 2C 85 DB 75 11 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11848_0 {
	meta:
		name = "TCustomOutline.AddObject"
		size = 144
		refs = "0010 TCustomOutline.AddObject 002c _NF__209 0041 TCustomOutline.AddChildObject 004d SOutlineError 0052 LoadResString 005c _NF__2C1 0065 _NF__276 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CF FF 85 DB 7E 13 8B 45 08 50 6A 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 2C 85 DB 75 11 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11850_0 {
	meta:
		name = "TCustomOutline.AddChildObject"
		size = 123
		refs = "0010 TCustomOutline.AddChildObject 002c _NF__209 0038 SOutlineError 003d LoadResString 0047 _NF__2C1 0050 _NF__276 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CF FF 85 F6 7C 13 8B 45 08 50 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11851_0 {
	meta:
		name = "TCustomOutline.Delete"
		size = 190
		refs = "0017 TCustomOutline.Delete 003f TOutlineNode.GetNodeAtIndex 0044 TObject.Free 0053 @HandleOnException 005b _DV_OutlineError 0067 SOutlineIndexError 006c LoadResString 0077 _NF__2C1 007c @DoneExcept 0086 SOutlineError 00ab @LStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7E 5D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A4 01 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 48 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11852_0 {
	meta:
		name = "TCustomOutline.Move"
		size = 107
		refs = "0012 TCustomOutline.Move 002a _NF__208 0034 SOutlineError 0039 LoadResString 0043 _NF__2C1 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 8B 45 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 3C 01 74 04 85 D2 7E 0C 50 8B CE 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11853_0 {
	meta:
		name = "TCustomOutline.DeleteNode"
		size = 220
		refs = "0028 TOutlineNode.GetList 003e TOutlineNode.GetNode 0043 _NF__1CA 004b TCustomOutline.DeleteNode 0061 TOutlineNode.GetNodeAtIndex 0079 @HandleOnException 0081 _DV_OutlineError 009c @DoneExcept 00bd TCustomOutline.GetSelectedItem 00c5 _NF__263"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 F8 89 45 FC 8B 45 FC 8B 98 A4 01 00 00 8B 45 FC 3B 98 A8 01 00 00 75 22 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 15 8B 45 FC 8B 80 A4 01 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A4 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 89 82 B0 01 00 00 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 80 A4 01 00 00 8B 55 FC 89 82 B0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 01 00 00 8B 55 FC 3B 82 F4 01 00 00 75 0D 3B 45 F8 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 44 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11854_0 {
	meta:
		name = "_NF__23B"
		size = 79
		refs = "0018 TOutlineNode.GetIndex 0022 TOutlineNode.GetNextChild 003a TOutlineNode.MoveTo"
	strings:
		$1 = { 53 56 8B F0 8B DE 8B C2 83 F8 01 72 08 8B 5B 10 48 85 C0 75 F8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 10 E8 ?? ?? ?? ?? 83 F8 FF 75 16 8B 43 10 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 B1 02 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11855_0 {
	meta:
		name = "_NF__23C"
		size = 199
		refs = "0017 _NF__23C 002d TOutlineNode.GetList 003f TOutlineNode.GetNode 0044 TOutlineNode.GetIndex 0079 TOutlineNode.MoveTo 0083 SOutlineBadLevel 0088 LoadResString 0096 _NF__2C1 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 7E 7C 8B 77 10 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 72 21 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3B D0 74 06 4B 83 FB FF 75 DF 85 DB 7E 20 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C7 E8 ?? ?? ?? ?? EB 1B 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? FF 4D FC 83 7D FC 00 7F 84 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11856_0 {
	meta:
		name = "TCustomOutline.SetLevel"
		size = 135
		refs = "0018 TCustomOutline.SetLevel 0031 _NF__23B 0044 _NF__23C 004f SOutlineBadLevel 0054 LoadResString 005f _NF__2C1 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B DA 89 45 FC 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 2B C8 85 C0 7E 23 85 C9 7E 0B 8B D1 8B C3 E8 ?? ?? ?? ?? EB 2C 55 8B C1 99 33 C2 2B C2 8B D0 8B C3 E8 ?? ?? ?? ?? 59 EB 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11857_0 {
	meta:
		name = "TCustomOutline.Click"
		size = 61
		refs = "000a TOutlineNode.GetList 0022 TOutlineNode.GetVisibleNode 0027 TOutlineNode.GetIndex 0030 TCustomOutline.SetSelectedItem 0037 TControl.Click"
	strings:
		$1 = { 53 8B D8 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? 83 78 08 00 7E 20 8B 93 38 01 00 00 42 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11858_0 {
	meta:
		name = "TCustomOutline.WMSize"
		size = 88
		refs = "0006 TCustomGrid.WMSize 0040 TControl.GetClientWidth 0049 TCustomGrid.SetDefaultColWidth 0052 _NF__25A"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 00 02 00 00 00 75 43 80 BB 01 02 00 00 00 75 3A 8A 83 60 01 00 00 84 C0 74 17 2C 02 74 13 80 BB F0 01 00 00 01 75 1C 66 83 BB FA 01 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11859_0 {
	meta:
		name = "TCustomOutline.KeyPress"
		size = 73
		refs = "000b TCustomGrid.KeyPress 0032 TOutlineNode.SetExpandedState 0042 TOutlineNode.FullExpand"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 01 00 00 3B 83 A4 01 00 00 74 29 8A 16 80 EA 2A 74 1D FE CA 74 07 80 EA 02 74 0B EB 17 B2 01 E8 ?? ?? ?? ?? EB 0E 33 D2 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11860_0 {
	meta:
		name = "TCustomOutline.KeyDown"
		size = 571
		refs = "0013 TCustomGrid.KeyDown 001e TOutlineNode.GetList 003a TOutlineNode.GetVisibleNode 0095 TList.First 009a TOutlineNode.GetIndex 00a3 TCustomOutline.SetSelectedItem 00b8 TList.Last 00d7 TOutlineNode.HasChildren 00fd TOutlineNode.SetExpandedState 0113 TCustomOutline.FullExpand 0130 MessageBeep 013c TCustomOutline.GetSelectedItem 01ae TList.IndexOf 01b8 TOutlineNode.GetNode"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B D8 8B D7 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? 83 78 08 00 0F 84 0A 02 00 00 8B 93 38 01 00 00 42 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? 8B F0 0F B7 07 83 F8 26 7F 23 0F 84 2D 01 00 00 83 E8 0D 0F 84 9D 00 00 00 83 E8 16 74 50 48 74 2A 48 0F 84 E9 00 00 00 E9 AB 01 00 00 83 E8 27 0F 84 A8 00 00 00 48 0F 84 51 01 00 00 83 E8 42 0F 84 82 00 00 00 E9 8D 01 00 00 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 8A 01 00 00 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 0E 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 80 7E 18 00 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 E1 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 42 01 00 00 8A 56 18 80 F2 01 8B C6 E8 ?? ?? ?? ?? E9 30 01 00 00 F6 04 24 04 0F 84 06 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 1A 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 80 7E 18 00 75 0C 6A 00 E8 ?? ?? ?? ?? E9 FD 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 42 8B C3 E8 ?? ?? ?? ?? E9 E7 00 00 00 8B 7E 10 3B BB A4 01 00 00 75 0C 6A 00 E8 ?? ?? ?? ?? E9 D0 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 BB 00 00 00 F6 04 24 04 0F 84 91 00 00 00 8B 7E 10 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 75 0C 6A 00 E8 ?? ?? ?? ?? E9 92 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B D0 4A 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 6A F6 04 24 04 74 44 8B 7E 10 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 75 09 6A 00 E8 ?? ?? ?? ?? EB 48 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B D0 42 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 20 8B 93 38 01 00 00 42 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11861_0 {
	meta:
		name = "TCustomOutline.DblClick"
		size = 35
		refs = "0006 TControl.DblClick 001d _NF__25B"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 01 00 00 3B 83 A4 01 00 00 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11862_0 {
	meta:
		name = "TCustomOutline.MouseDown"
		size = 48
		refs = "0018 TCustomGrid.MouseDown 001f _NF__20F 0026 TCustomOutline.GetSelectedItem"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11864_0 {
	meta:
		name = "TCustomOutline.FullCollapse"
		size = 55
		refs = "000c TOutlineNode.GetList 0024 TOutlineNode.GetNode 002b TOutlineNode.SetExpandedState"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 A4 01 00 00 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1B 43 33 F6 8B D6 8B 87 A4 01 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 46 4B 75 E8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11865_0 {
	meta:
		name = "_NF__25A"
		size = 78
		refs = "003f _NF__1DC 0048 TCustomOutline.SetDisplayWidth"
	strings:
		$1 = { 53 8B D8 8A 83 60 01 00 00 2C 01 74 04 2C 02 75 3B 83 BB AC 01 00 00 00 7F 32 80 BB F2 01 00 00 00 75 29 80 BB F0 01 00 00 01 75 0A 66 83 BB FA 01 00 00 00 75 16 33 D2 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11866_0 {
	meta:
		name = "_NF__25B"
		size = 12
		refs = "0007 TOutlineNode.SetExpandedState"
	strings:
		$1 = { 8A 42 18 34 01 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11867_0 {
	meta:
		name = "TCustomOutline.BeginUpdate"
		size = 29
		refs = "0011 TCustomOutline.SetUpdateState"
	strings:
		$1 = { 53 8B D8 83 BB AC 01 00 00 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? FF 83 AC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_11868_0 {
	meta:
		name = "TCustomOutline.EndUpdate"
		size = 23
		refs = "0012 TCustomOutline.SetUpdateState"
	strings:
		$1 = { FF 88 AC 01 00 00 83 B8 AC 01 00 00 00 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11869_0 {
	meta:
		name = "TCustomOutline.SetUpdateState"
		size = 101
		refs = "001a _NF__263 0030 TOutlineNode.GetList 0046 TList.First 004b _NF__1CA 005f _NF__25A"
	strings:
		$1 = { 53 8B D8 3A 93 A0 01 00 00 74 58 8B C2 88 83 A0 01 00 00 84 C0 75 4C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 8B 10 FF 52 44 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? 83 78 08 00 7E 17 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11870_0 {
	meta:
		name = "_NF__263"
		size = 176
		refs = "0037 _NF__263 0051 TCustomGrid.SetRowCount 006e @HandleFinally 009a TOutlineNode.GetIndex 00a4 TCustomOutline.SetSelectedItem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 33 DB 8B 45 FC 80 B8 A0 01 00 00 00 0F 85 8B 00 00 00 8B 45 FC 8B 80 58 01 00 00 89 45 F8 8B 45 FC C6 80 01 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A4 01 00 00 8B 50 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 01 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 80 58 01 00 00 3B 45 F8 0F 95 C3 8B 45 FC 8B B0 F4 01 00 00 8B 45 FC 3B B0 A4 01 00 00 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11871_0 {
	meta:
		name = "TCustomOutline.BadIndex"
		size = 29
		refs = "0011 _NF__26B"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 8B A8 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 3C 02 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_11872_0 {
	meta:
		name = "TCustomOutline.SetGoodIndex"
		size = 103
		refs = "0012 _NF__26B 0030 TOutlineNode.GetList 0037 TList.IndexOf 0045 TOutlineNode.GetNode"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B CE 8B 93 A8 01 00 00 8B C3 E8 ?? ?? ?? ?? 2C 02 72 08 74 0E FE C8 74 2F EB 35 8B 83 A8 01 00 00 EB 33 8B 7E 10 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 74 0C 8B D0 4A 8B C7 E8 ?? ?? ?? ?? EB 12 8B C7 EB 0E 8B 83 A4 01 00 00 EB 06 8B 83 A4 01 00 00 89 83 A8 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11873_0 {
	meta:
		name = "_NF__26A"
		size = 13
	strings:
		$1 = { 85 D2 7E 08 8B 40 10 4A 85 D2 7F F8 C3 }
	condition:
		$1
}

rule function_11874_0 {
	meta:
		name = "_NF__26B"
		size = 209
		refs = "0020 TOutlineNode.GetLevel 0041 _NF__26A 0082 TOutlineNode.GetList 0089 TList.IndexOf"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 0C 24 8B EA 3B 2C 24 75 07 B0 01 E9 B1 00 00 00 8B DD 8B 34 24 8B C5 E8 ?? ?? ?? ?? 8B F8 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 04 3B 7C 24 04 7E 11 8B D7 2B 54 24 04 8B C5 E8 ?? ?? ?? ?? 8B D8 EB 1C 3B 7C 24 04 7D 16 8B 54 24 04 2B D7 8B 04 24 E8 ?? ?? ?? ?? 8B F0 EB 04 8B D8 8B F2 8B 56 10 8B 43 10 3B D0 75 F2 8B 43 10 89 44 24 08 83 7C 24 08 00 74 4A 8B 44 24 08 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D8 8B 44 24 08 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 3B C3 7E 04 33 C0 EB 22 3B D8 7E 04 B0 02 EB 1A 3B 7C 24 04 7E 04 B0 02 EB 10 3B 7C 24 04 75 04 B0 01 EB 06 33 C0 EB 02 B0 03 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11876_0 {
	meta:
		name = "TCustomOutline.GetItem"
		size = 83
		refs = "0018 TCustomGrid.MouseCoord 002b TOutlineNode.GetList 003f TOutlineNode.GetVisibleNode 0044 TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B FA 8B D8 83 CE FF 54 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 7C 24 04 85 FF 7F 11 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? 83 78 08 00 7E 15 8B D7 42 8B 83 A4 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11878_0 {
	meta:
		name = "_NF__276"
		size = 206
		refs = "0017 _NF__276 0029 SInvalidCurrentItem 002e LoadResString 0039 _NF__2C1 0043 _NF__205 0065 TOutlineNode.GetNodeAtIndex 007d @HandleOnException 0085 _DV_OutlineError 0091 SOutlineIndexError 00a6 @DoneExcept 00bb @LStrClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7D 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 5F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A4 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 89 82 B0 01 00 00 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11879_0 {
	meta:
		name = "TCustomOutline.SetOutlineStyle"
		size = 33
		refs = "0014 _NF__25A"
	strings:
		$1 = { 56 8B F0 3A 96 E8 01 00 00 74 14 88 96 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_11881_0 {
	meta:
		name = "TCustomOutline.SetDisplayWidth"
		size = 84
		refs = "0015 TCustomOutline.SetDisplayWidth 002e TCustomGrid.SetDefaultColWidth 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 00 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 3B 90 3C 01 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 00 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_11882_0 {
	meta:
		name = "TCustomOutline.GetNodeDisplayWidth"
		size = 248
		refs = "002d TCanvas.SetFont 0037 TCanvas.TextWidth 0052 TCustomOutline.GetNodeDisplayWidth 0071 TOutlineNode.GetLevel"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 33 F6 8B 83 40 01 00 00 2B 83 B8 01 00 00 D1 F8 79 03 83 D0 00 89 04 24 8B BB 18 01 00 00 8B 53 50 8B C7 E8 ?? ?? ?? ?? 8B 55 08 8B C7 E8 ?? ?? ?? ?? 40 8B F8 33 C0 8A 83 E8 01 00 00 83 F8 05 0F 87 99 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 48 F7 AB 40 01 00 00 03 F0 EB 68 8B C5 E8 ?? ?? ?? ?? 40 F7 AB 40 01 00 00 03 F0 EB 56 8B C5 E8 ?? ?? ?? ?? F7 AB 40 01 00 00 03 F0 EB 45 8B C5 E8 ?? ?? ?? ?? 48 F7 AB 40 01 00 00 2B 04 24 03 F0 F6 83 F1 01 00 00 01 74 29 03 B3 40 01 00 00 EB 21 8B C5 E8 ?? ?? ?? ?? F7 AB 40 01 00 00 2B 04 24 03 F0 F6 83 F1 01 00 00 01 74 06 03 B3 40 01 00 00 03 F7 85 F6 7D 02 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11883_0 {
	meta:
		name = "TCustomOutline.GetVisibleNode"
		size = 13
		refs = "0008 TOutlineNode.GetVisibleNode"
	strings:
		$1 = { 42 8B 80 A4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11884_0 {
	meta:
		name = "_NF__286"
		size = 21
	strings:
		$1 = { 55 8B EC 83 E0 7F 8B 55 08 8B 52 FC 8B 84 82 C4 01 00 00 5D C3 }
	condition:
		$1
}

rule function_11885_0 {
	meta:
		name = "_NF__287"
		size = 72
		refs = "0042 TCanvas.FillRect"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 8B 55 08 01 42 F0 8B 45 08 8B 40 FC 8B 80 38 01 00 00 8B 55 08 3B 42 E4 75 23 8B 45 08 8B 40 E0 83 78 08 00 74 17 8B 45 08 8D 50 E8 8B 45 08 8B 40 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_11886_0 {
	meta:
		name = "_NF__288"
		size = 78
		refs = "0030 _NF__287 0048 _NF__296"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 40 01 00 00 8B 55 08 0F B7 52 DE 4A F7 EA 8B 55 08 01 42 E8 8B 45 08 8B 40 E8 8B 55 08 89 42 F0 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8D 48 E8 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_11887_0 {
	meta:
		name = "_NF__289"
		size = 266
		refs = "003e _NF__286 00b7 _NF__287 00cb _NF__296 0101 _NF__295"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B 5D 08 83 C3 E8 8B 45 08 8B 40 FC 8B 80 40 01 00 00 8B 55 08 0F B7 52 DE 4A F7 EA 01 03 8B 45 08 80 78 DD 00 74 55 8B 45 08 80 78 DC 00 74 26 8B 45 08 50 B0 01 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 8B 45 08 50 B0 02 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D4 EB 40 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 8B 45 08 50 B0 03 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D4 EB 1A 8B 45 08 33 D2 89 50 D8 8B 45 08 50 B0 04 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D4 8B 45 08 8B 40 FC 8B 80 40 01 00 00 03 C0 01 03 8B 03 89 43 08 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B CB 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 40 01 00 00 03 C0 29 03 53 8B 45 08 8B 40 D8 89 45 F8 8B 45 08 8B 40 D4 89 45 FC 8D 55 F8 8B 45 08 8B 40 FC B9 01 00 00 00 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11888_0 {
	meta:
		name = "_NF__28A"
		size = 175
		refs = "0047 _NF__286 006a _NF__287 007e _NF__296 00a6 _NF__295"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 83 C6 E8 8B 45 08 8B 40 FC 8B 80 40 01 00 00 8B 55 08 0F B7 52 DE 4A F7 EA 01 06 8B 45 08 80 78 DD 00 74 11 8B 45 08 80 78 DC 00 74 04 B3 02 EB 06 B3 03 EB 02 B3 04 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 8B 45 08 8B 40 FC 8B 80 40 01 00 00 01 06 8B 06 89 46 08 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B CE 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 40 01 00 00 29 06 56 8B 45 08 8B 40 D8 89 45 FC 8D 55 FC 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11889_0 {
	meta:
		name = "_NF__28B"
		size = 173
		refs = "0031 _NF__287 0049 _NF__296 006c _NF__286 00a5 _NF__295"
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 8B 40 FC 8B 80 40 01 00 00 8B 55 08 0F B7 52 DE F7 EA 8B 55 08 01 42 E8 8B 45 08 8B 40 E8 8B 55 08 89 42 F0 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8D 48 E8 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 80 78 DD 00 74 53 8B 45 08 80 78 DC 00 74 04 B3 01 EB 02 33 DB 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 8B 45 08 8B 40 FC 8B 80 40 01 00 00 8B 55 08 29 42 E8 8B 45 08 83 C0 E8 50 8B 45 08 8B 40 D8 89 45 FC 8D 55 FC 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_11890_0 {
	meta:
		name = "_NF__28C"
		size = 133
		refs = "0019 _NF__294 0062 _NF__287 007e _NF__296"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 E8 8B 45 08 8B 48 E0 8B D3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 40 01 00 00 8B D0 8B 4D 08 0F B7 49 DE 49 0F AF D1 8B 4D 08 2B 51 D0 01 13 8B 55 08 8B 52 FC F6 82 F1 01 00 00 01 74 05 8B 55 08 01 03 8B 03 8B 55 08 03 42 D0 89 43 08 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 D0 01 03 8B CB 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_11891_0 {
	meta:
		name = "_NF__28D"
		size = 226
		refs = "001b _NF__294 0069 _NF__287 007d _NF__296 00b8 _NF__286 00d9 _NF__295"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 83 C6 E8 8B 45 08 8B 48 E0 8B D6 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 40 01 00 00 8B D0 8B 4D 08 0F B7 49 DE 49 0F AF D1 8B 4D 08 2B 51 D0 01 16 8B 55 08 8B 52 FC F6 82 F1 01 00 00 01 74 05 8B 55 08 01 06 8B 55 08 01 06 8B 06 8B 55 08 03 42 D0 89 46 08 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B CE 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 40 01 00 00 8B 55 08 2B 42 D0 29 06 8B 45 08 80 78 DD 00 74 11 8B 45 08 80 78 DC 00 74 04 B3 02 EB 06 B3 03 EB 02 B3 04 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 56 8B 45 08 8B 40 D8 89 45 FC 8D 55 FC 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11892_0 {
	meta:
		name = "TCustomOutline.DrawCell"
		size = 760
		refs = "002a TOutlineNode.GetList 0045 TBrush.SetColor 004f TCanvas.FillRect 0087 TWinControl.GetHandle 008e GetFocus 009b TCustomOutline.DrawCell 00cf TCanvas.GetHandle 00d5 DrawFocusRect 012b TCustomOutline.GetVisibleNode 015a TCanvas.SetFont 017e TCanvas.TextWidth 01a9 TFont.SetColor 01ba TOutlineNode.HasChildren 01c5 TOutlineNode.GetLevel 01fc _NF__288 0205 _NF__28B 020e _NF__289 0217 _NF__28A 0220 _NF__28C 0229 _NF__28D"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 0C 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 89 4D E4 89 45 FC 8D 75 FC 8B 06 8B 80 A4 01 00 00 E8 ?? ?? ?? ?? 83 78 08 00 75 24 8B 06 8B 98 18 01 00 00 8B 06 8B 50 54 8B 43 14 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? E9 88 02 00 00 8B 06 80 B8 F0 01 00 00 01 0F 85 BB 00 00 00 8B 06 66 83 B8 FA 01 00 00 00 0F 84 AB 00 00 00 8B 06 8B 80 38 01 00 00 3B 45 E4 75 7C 8B 06 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 48 8D 45 E8 50 A0 ?? ?? ?? ?? 50 8B 1E 8B 4D E4 8B 16 8B 83 FC 01 00 00 FF 93 F8 01 00 00 8B 06 F6 80 F1 01 00 00 02 0F 84 1E 02 00 00 8D 45 E8 50 8B 06 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 02 02 00 00 8D 45 E8 50 A0 ?? ?? ?? ?? 50 8B 1E 8B 4D E4 8B 16 8B 83 FC 01 00 00 FF 93 F8 01 00 00 E9 E0 01 00 00 8D 45 E8 50 A0 ?? ?? ?? ?? 50 8B 1E 8B 4D E4 8B 16 8B 83 FC 01 00 00 FF 93 F8 01 00 00 E9 BE 01 00 00 8B 7D E8 8B 55 E4 8B 06 E8 ?? ?? ?? ?? 89 45 E0 8B 45 F4 2B 45 EC 8B 16 2B 82 B8 01 00 00 D1 F8 79 03 83 D0 00 89 45 D0 8B 06 8B 98 18 01 00 00 8B 06 8B 50 50 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 50 54 8B 43 14 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8B 50 08 8B C3 E8 ?? ?? ?? ?? 40 89 45 F8 8B 06 8B 80 38 01 00 00 3B 45 E4 75 1A BA 0D 00 00 80 8B 43 14 E8 ?? ?? ?? ?? BA 0E 00 00 80 8B 43 0C E8 ?? ?? ?? ?? 8B 45 E0 8A 40 18 88 45 DC 8B 45 E0 E8 ?? ?? ?? ?? 88 45 DD 8B 45 E0 E8 ?? ?? ?? ?? 66 89 45 DE 8B 06 0F B6 80 E8 01 00 00 83 F8 05 77 53 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 EB 2B 55 E8 ?? ?? ?? ?? 59 EB 22 55 E8 ?? ?? ?? ?? 59 EB 19 55 E8 ?? ?? ?? ?? 59 EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 06 8B 80 38 01 00 00 3B 45 E4 0F 85 A1 00 00 00 8B 45 E0 83 78 08 00 0F 84 94 00 00 00 8B 06 8B 80 40 01 00 00 8B D0 0F B7 4D DE 49 0F AF D1 03 FA 89 7D E8 8B 16 80 BA E8 01 00 00 04 72 14 8B 55 D0 29 55 E8 8B 16 F6 82 F1 01 00 00 01 74 03 01 45 E8 8B 06 8A 80 E8 01 00 00 84 C0 74 0F 3C 04 74 0B 8B 16 8B 92 40 01 00 00 01 55 E8 3C 03 75 0B 8B 06 8B 80 40 01 00 00 01 45 E8 8B 06 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 22 8B 06 F6 80 F1 01 00 00 02 74 17 8D 45 E8 50 8B 06 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 11 00 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_11893_0 {
	meta:
		name = "_NF__294"
		size = 581
		refs = "0039 TOutlineNode.GetLevel 0058 _Dn_TPen 005d TPen.Create 0068 _NF__294 0095 TPen.SetColor 00a5 TPen.SetWidth 00c5 TOutlineNode.GetList 00cc TList.IndexOf 00fe TCanvas.MoveTo 011c TCanvas.LineTo 0219 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F2 8D 7D D8 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B F0 8B 86 40 01 00 00 D1 F8 79 03 83 D0 00 66 89 45 FA 66 8B 45 E4 66 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 83 E8 03 89 45 F0 F6 86 F1 01 00 00 01 74 03 FF 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 86 18 01 00 00 8B 50 10 8B 45 F4 8B 08 FF 51 08 8B 86 18 01 00 00 89 45 E8 8B 45 E8 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 58 10 EB 67 8B 7B 10 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8B 40 08 48 5A 3B D0 7D 3F 8B 96 40 01 00 00 0F AF 55 F0 03 55 D8 0F B7 7D FA 03 D7 8B 86 18 01 00 00 8B 4D DC E8 ?? ?? ?? ?? 8B 96 40 01 00 00 0F AF 55 F0 03 55 D8 03 D7 0F B7 4D F8 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B 5B 10 FF 4D F0 83 7B 10 00 74 12 F6 86 F1 01 00 00 01 75 8A 8B 43 10 83 78 10 00 75 81 8B 45 FC 8B 58 10 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B 40 08 48 3B F8 75 0C 66 8B 45 DC 66 03 45 FA 66 89 45 F8 F6 86 F1 01 00 00 01 0F 95 C0 84 C0 75 06 83 7D EC 01 7E 78 F6 86 F1 01 00 00 01 0F 95 C2 84 C0 75 03 FF 4D EC 8B 86 40 01 00 00 8B 55 EC 4A F7 EA 01 45 D8 0F B7 5D FA 8B D3 03 55 D8 8B 4D DC 8B 45 E8 E8 ?? ?? ?? ?? 0F B7 4D F8 8B D3 03 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 8B CB 03 4D DC 8B D3 03 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 8B D3 03 55 D8 8B 86 B8 01 00 00 D1 F8 79 03 83 D0 00 03 D0 8B CB 03 4D DC 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 8B 40 10 8B 55 F4 8B 08 FF 51 08 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11894_0 {
	meta:
		name = "_NF__295"
		size = 456
		refs = "0033 TBrush.GetColor 0047 TBrush.SetColor 013f Bounds 014a TBitmap.GetTransparentColor 015b TCanvas.BrushCopy"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 8B 75 08 8D 7D E4 51 B9 04 00 00 00 F3 A5 59 8B D9 8B 34 9A 4B 56 79 F9 8B D4 8B F9 8B F2 8B D8 8B 83 18 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 89 45 F8 8B 83 18 01 00 00 8B 40 14 8B 53 54 E8 ?? ?? ?? ?? 8B 83 40 01 00 00 8B 93 B8 01 00 00 2B C2 D1 F8 79 03 83 D0 00 66 89 45 FE 0F B7 45 FE 03 45 E8 89 45 D8 03 C2 89 45 E0 66 85 FF 0F 82 2C 01 00 00 47 66 89 7D F6 8B 3E 0F B7 45 FE 03 45 E4 48 89 45 D4 03 83 B8 01 00 00 89 45 DC 8B 83 40 01 00 00 01 45 E4 85 FF 0F 84 F3 00 00 00 F6 83 F1 01 00 00 04 0F 85 AC 00 00 00 8B C7 8B 10 FF 52 20 03 45 D8 3B 45 E0 7D 0D 8B C7 8B 10 FF 52 20 03 45 D8 89 45 E0 8B C7 8B 10 FF 52 2C 03 45 D4 3B 45 DC 7D 0D 8B C7 8B 10 FF 52 2C 03 45 D4 89 45 DC 8B 45 E0 2B 45 D8 8B 93 B8 01 00 00 2B D0 D1 FA 79 03 83 D2 00 85 D2 7E 23 8B 93 40 01 00 00 2B D0 D1 FA 79 03 83 D2 00 8B 45 D8 03 55 E8 89 55 D8 8B 55 E0 2B D0 03 55 D8 89 55 E0 8B 45 E0 2B 45 D8 50 8D 45 C4 50 8B 4D DC 2B 4D D4 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 C4 50 8B C7 E8 ?? ?? ?? ?? 50 8D 55 D4 8B CF 8B 83 18 01 00 00 E8 ?? ?? ?? ?? EB 3A 8B C7 8B 10 FF 52 20 50 8D 45 C4 50 8B C7 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 C4 50 8B C7 E8 ?? ?? ?? ?? 50 8D 55 D4 8B CF 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 83 C6 04 66 FF 4D F6 0F 85 D9 FE FF FF 8B 83 18 01 00 00 8B 40 14 8B 55 F8 E8 ?? ?? ?? ?? 8B 7D B8 8B 75 BC 8B 5D C0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11895_0 {
	meta:
		name = "_NF__296"
		size = 74
		refs = "0024 @LStrLen 002d @LStrToPChar 0039 TCanvas.GetHandle 003f DrawText"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8D 3C 24 B9 04 00 00 00 F3 A5 8B F2 8B D8 68 24 08 00 00 8D 44 24 04 50 8B 46 08 E8 ?? ?? ?? ?? 50 8B 46 08 E8 ?? ?? ?? ?? 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11896_0 {
	meta:
		name = "TCustomOutline.StoreBitmap"
		size = 19
	strings:
		$1 = { 80 FA 07 77 0A 83 E2 7F 0F A3 90 C0 01 00 00 0F 92 C0 C3 }
	condition:
		$1
}

rule function_11897_0 {
	meta:
		name = "_NF__29A"
		size = 21
		refs = "000b TObject.Free"
	strings:
		$1 = { 53 8B DA 83 3B 00 74 0B 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_11898_0 {
	meta:
		name = "_NF__29B"
		size = 75
		refs = "0030 _NF__29A"
	strings:
		$1 = { 53 56 57 55 8B D9 8B EA 8B F0 33 C0 8A C3 8D BC 86 C4 01 00 00 8B C3 3C 07 77 0A 83 E0 7F 0F AB 86 C0 01 00 00 85 ED 75 0D 8B D7 8B CB 8B C6 E8 ?? ?? ?? ?? EB 09 8B D5 8B 07 8B 08 FF 51 08 8B C6 8B 10 FF 52 44 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11899_0 {
	meta:
		name = "TCustomOutline.SetPicture"
		size = 8
		refs = "0003 _NF__29B"
	strings:
		$1 = { 87 D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11900_0 {
	meta:
		name = "TCustomOutline.GetPicture"
		size = 38
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 01 74 10 8B C6 3C 07 77 0A 83 E0 7F 0F AB 83 C0 01 00 00 8B 84 B3 C4 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_11902_0 {
	meta:
		name = "TCustomOutline.SetItemHeight"
		size = 69
		refs = "0017 _NF__1FC 0022 TCustomGrid.SetDefaultRowHeight 0032 MulDiv"
	strings:
		$1 = { 56 8B F0 8B C2 89 86 EC 01 00 00 80 BE F0 01 00 00 01 74 09 8B C6 E8 ?? ?? ?? ?? 5E C3 8B D0 8B C6 E8 ?? ?? ?? ?? 6A 78 6A 64 8B 86 EC 01 00 00 50 E8 ?? ?? ?? ?? 89 86 B8 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_11903_0 {
	meta:
		name = "TCustomOutline.SetStyle"
		size = 24
		refs = "0013 _NF__1FC"
	strings:
		$1 = { 3A 90 F0 01 00 00 74 0F 88 90 F0 01 00 00 84 D2 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11904_0 {
	meta:
		name = "TCustomOutline.SetOutlineOptions"
		size = 37
	strings:
		$1 = { 56 51 88 14 24 8B F0 8A 86 F1 01 00 00 3A 04 24 74 10 8A 04 24 88 86 F1 01 00 00 8B C6 8B 10 FF 52 44 5A 5E C3 }
	condition:
		$1
}

rule function_11905_0 {
	meta:
		name = "_NF__2AF"
		size = 40
	strings:
		$1 = { 8B CA 2B C8 83 E9 02 85 C9 7E 1C 83 EA 02 EB 01 4A 80 3A 0D 74 04 3B C2 72 F6 3B C2 73 07 42 80 3A 0A 75 01 42 8B C2 C3 }
	condition:
		$1
}

rule function_11906_0 {
	meta:
		name = "_NF__2B0"
		size = 49
		refs = "001c @LStrFromPCharLen"
	strings:
		$1 = { 53 56 8B D8 8B F3 EB 01 43 8A 03 2C 0D 74 04 2C 0D 75 F5 8B CB 2B CE 8B C2 8B D6 E8 ?? ?? ?? ?? 80 3B 0D 75 01 43 80 3B 0A 75 01 43 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_11907_0 {
	meta:
		name = "TCustomOutline.LoadFromStream"
		size = 573
		refs = "001b TCustomOutline.LoadFromStream 002b @GetMem 0049 TCustomOutline.Clear 007a Move 00af _NF__2AF 00c2 SOutlineLongLine 00c7 LoadResString 00d2 _NF__2C1 00e4 _NF__175 00f0 _NF__2B0 00fc _DV_TOutlineNode 0101 TOutlineNode.Create 011d TOutlineNode.SetText 0141 SOutlineFileLoad 0187 TOutlineNode.GetList 018f TList.Add 01ad @HandleAnyException 01b5 TObject.Free 01ba @RaiseAgain 01bf @DoneExcept 01f4 @FreeMem 020b @HandleFinally 0222 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 00 10 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 A4 01 00 00 8B 45 F4 05 00 10 00 00 89 45 F0 8B 45 F0 89 45 EC 8B 75 F0 2B 75 EC 85 F6 74 0D 8B 55 F4 8B 45 EC 8B CE E8 ?? ?? ?? ?? 03 75 F4 89 75 EC 8B 4D F0 2B 4D EC 8B 55 EC 8B 45 F8 8B 30 FF 56 04 01 45 EC 8B 45 EC 3B 45 F0 73 08 8B 45 EC C6 00 1A EB 2E 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 3B 45 F4 75 18 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 75 F4 E9 E5 00 00 00 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B F0 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 77 0B 8B 45 FC 3B 98 A4 01 00 00 75 23 8B 45 E0 2B 45 DC 48 7E 47 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? EB 2D 8B 45 DC 8B 7D E0 2B F8 7F 23 4F 8B 5B 10 85 DB 75 18 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? 47 75 DE 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 58 10 8B 5D E8 8B 45 E0 89 45 DC 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 75 EC 73 09 80 3E 1A 0F 85 0D FF FF FF 3B 75 F0 0F 83 8D FE FF FF 80 3E 1A 0F 85 84 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 01 75 08 8B 45 FC 8B 10 FF 52 0C C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11908_0 {
	meta:
		name = "TCustomOutline.Loaded"
		size = 208
		refs = "0007 TComponent.Loaded 0014 TOutlineNode.GetList 0023 TCustomGrid.SetRow 002a _NF__20F 0031 _NF__263 0055 TList.First 005a _NF__1CA 0079 TOutlineNode.FullExpand 00aa _NF__29B 00b5 TCustomOutline.Loaded 00c2 _NF__25A"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 9E A4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 08 89 43 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 7E 23 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 F4 01 00 00 F6 46 20 10 74 07 8B C3 E8 ?? ?? ?? ?? 33 DB 8B C3 3C 07 77 0A 83 E0 7F 0F A3 86 C1 01 00 00 73 1D 8B C3 3C 07 77 0A 83 E0 7F 0F A3 86 C0 01 00 00 72 0B 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 43 80 FB 05 75 CB A0 ?? ?? ?? ?? 88 86 C1 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_11910_0 {
	meta:
		name = "TCustomOutline.SaveToStream"
		size = 87
		refs = "0010 @GetMem 001b TCustomOutline.SaveToStream 0031 TOutlineNode.WriteNode 0046 @FreeMem 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B8 00 10 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A4 01 00 00 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11911_0 {
	meta:
		name = "TCustomOutline.SetStrings"
		size = 40
		refs = "001b TOutlineNode.FullExpand 0022 _NF__25A"
	strings:
		$1 = { 56 8B F0 8B 86 BC 01 00 00 8B 08 FF 51 08 F6 46 20 10 74 0B 8B 86 A4 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11912_0 {
	meta:
		name = "TCustomOutline.GetStrings"
		size = 7
	strings:
		$1 = { 8B 80 BC 01 00 00 C3 }
	condition:
		$1
}

rule function_11914_0 {
	meta:
		name = "TCustomOutline.Expand"
		size = 31
	strings:
		$1 = { 53 66 83 B8 DA 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 DC 01 00 00 FF 93 D8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_11915_0 {
	meta:
		name = "TCustomOutline.Collapse"
		size = 31
	strings:
		$1 = { 53 66 83 B8 E2 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 E4 01 00 00 FF 93 E0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_11918_0 {
	meta:
		name = "EditColor"
		size = 106
		refs = "000e _Dn_TColorDialog 0013 TColorDialog.Create 001e EditColor 0057 TObject.Free 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 89 50 4C 8B 45 F8 8B 10 FF 52 34 84 C0 74 09 8B 45 F8 8B 40 4C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_11919_0 {
	meta:
		name = "EditChartPen"
		size = 88
		refs = "000c _DV_TPenDialog 0011 TCustomForm.Create 001c EditChartPen 0033 TCustomForm.ShowModal 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 00 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_11920_0 {
	meta:
		name = "EditPen"
		size = 88
		refs = "000c _DV_TPenDialog 0011 TCustomForm.Create 001c EditPen 0033 TCustomForm.ShowModal 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 00 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_11921_0 {
	meta:
		name = "TPenDialog.FormShow"
		size = 213
		refs = "0005 Screen 000e TScreen.SetCursor 0015 _Dn_TChartPen 001a TChartPen.Create 0042 @IsClass 0054 TCustomCheckBox.SetChecked 005f TCustomCheckBox.GetChecked 006c TChartPen.SetVisible 007b TControl.SetVisible 0086 TPen.GetWidth 0093 TSpinEdit.SetValue 009e TPen.GetStyle 00ad TCustomRadioGroup.SetItemIndex 00c7 TControl.SetEnabled 00ce TPenDialog.RefreshShape"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 04 02 00 00 8B 93 00 02 00 00 8B C6 8B 08 FF 51 08 8B B3 00 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8A 56 18 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 04 02 00 00 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 33 D2 8A D0 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 48 0F 94 C2 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11922_0 {
	meta:
		name = "TPenDialog.RGStyleClick"
		size = 24
		refs = "0013 TPen.SetStyle"
	strings:
		$1 = { 8B 90 E8 01 00 00 8A 92 24 01 00 00 8B 80 00 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11923_0 {
	meta:
		name = "TPenDialog.SEWidthChange"
		size = 55
		refs = "000a TSpinEdit.GetValue 0017 TPen.SetWidth 0022 TPen.GetWidth 0031 TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 48 0F 94 C2 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11924_0 {
	meta:
		name = "TPenDialog.CBVisibleClick"
		size = 29
		refs = "000a TCustomCheckBox.GetChecked 0017 TChartPen.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11925_0 {
	meta:
		name = "TPenDialog.BColorClick"
		size = 45
		refs = "000d TPen.GetColor 0016 EditColor 001f TPen.SetColor 0026 TPenDialog.RefreshShape"
	strings:
		$1 = { 53 56 8B D8 8B B3 00 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11926_0 {
	meta:
		name = "TPenDialog.RefreshShape"
		size = 55
		refs = "0013 TControl.SetEnabled 001e TPen.GetColor 0031 TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B 83 F4 01 00 00 8A 50 44 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 F4 01 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11928_0 {
	meta:
		name = "TPenDialog.Button3Click"
		size = 87
		refs = "001f _Dn_TChartPen 0024 @IsClass 0038 TChartPen.SetVisible"
	strings:
		$1 = { 53 56 8B D8 8B 93 04 02 00 00 8B 83 00 02 00 00 8B 08 FF 51 08 8B B3 00 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 83 04 02 00 00 8A 50 18 8B C6 E8 ?? ?? ?? ?? 8B B3 00 02 00 00 8B D3 8B 46 08 FF 56 04 C7 83 50 01 00 00 02 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_11929_0 {
	meta:
		name = "TPenDialog.FormClose"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 80 04 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12032_0 {
	meta:
		name = "FPenUpX"
		size = 11
	strings:
		$1 = { F6 C4 80 0F 95 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_12034_0 {
	meta:
		name = "MpAlcB"
		size = 19
	strings:
		$1 = { 66 81 E2 FF 00 0F B7 D2 C1 EA 03 8D 84 10 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_12035_0 {
	meta:
		name = "MpIbf"
		size = 11
	strings:
		$1 = { 8B C8 66 83 E1 07 B0 01 D2 E0 C3 }
	condition:
		$1
}

rule function_12036_0 {
	meta:
		name = "SetAlcBitAnsi"
		size = 25
		refs = "0007 MpAlcB 0010 MpIbf"
	strings:
		$1 = { 53 56 8B DA 8B D3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 08 06 5E 5B C3 }
	condition:
		$1
}

rule function_12037_0 {
	meta:
		name = "ResetAlcBitAnsi"
		size = 27
		refs = "0007 MpAlcB 0010 MpIbf"
	strings:
		$1 = { 53 56 8B DA 8B D3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? F6 D0 20 06 5E 5B C3 }
	condition:
		$1
}

rule function_12038_0 {
	meta:
		name = "IsAlcBitAnsi"
		size = 34
		refs = "000b MpAlcB 0015 MpIbf"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 00 50 8B C3 E8 ?? ?? ?? ?? 5A 22 D0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_12039_0 {
	meta:
		name = "DrawPenDataFmt"
		size = 29
		refs = "0018 DrawPenDataEx"
	strings:
		$1 = { 6A 00 6A 00 6A 00 68 FF FF 00 00 6A 00 68 FF FF 00 00 6A 00 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12040_0 {
	meta:
		name = "dwDiffAT"
		size = 49
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 44 24 08 2B 04 24 69 C0 E8 03 00 00 8B 54 24 04 03 54 24 0C 2B C2 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_12041_0 {
	meta:
		name = "FLTAbsTime"
		size = 60
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 04 24 3B 44 24 08 7C 17 8B 04 24 3B 44 24 08 75 0A 8B 44 24 04 3B 44 24 0C 7C 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_12042_0 {
	meta:
		name = "FLTEAbsTime"
		size = 60
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 04 24 3B 44 24 08 7C 17 8B 04 24 3B 44 24 08 75 0A 8B 44 24 04 3B 44 24 0C 7E 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_12043_0 {
	meta:
		name = "FEQAbsTime"
		size = 51
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 04 24 3B 44 24 08 75 0A 8B 44 24 04 3B 44 24 0C 74 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_12044_0 {
	meta:
		name = "FAbsTimeInInterval"
		size = 54
		refs = "0014 FLTEAbsTime"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 8B DA 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8D 53 08 8B C4 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12045_0 {
	meta:
		name = "FIntervalInInterval"
		size = 44
		refs = "000b FLTEAbsTime"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8D 56 08 8D 43 08 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_12046_0 {
	meta:
		name = "FIntervalXInterval"
		size = 44
		refs = "000c FLTAbsTime"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8D 43 08 E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8D 46 08 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_12047_0 {
	meta:
		name = "dwDurInterval"
		size = 9
		refs = "0004 dwDiffAT"
	strings:
		$1 = { 8D 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12048_0 {
	meta:
		name = "MakeAbsTime"
		size = 38
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C1 BF E8 03 00 00 99 F7 FF 03 F0 89 33 8B C1 B9 E8 03 00 00 99 F7 F9 89 53 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12049_0 {
	meta:
		name = "FIsSpecial"
		size = 18
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_12050_0 {
	meta:
		name = "FIsAnsi"
		size = 19
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 F8 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_12051_0 {
	meta:
		name = "FIsGesture"
		size = 19
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 F8 02 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_12052_0 {
	meta:
		name = "FIsKanji"
		size = 19
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 F8 03 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_12053_0 {
	meta:
		name = "FIsShape"
		size = 19
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 F8 04 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_12054_0 {
	meta:
		name = "FIsUniCode"
		size = 19
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 F8 05 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_12055_0 {
	meta:
		name = "FIsVKey"
		size = 19
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 F8 06 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_12058_0 {
	meta:
		name = "SyvCharacterToSymbol"
		size = 11
	strings:
		$1 = { 25 FF 00 00 00 0D 00 00 01 00 C3 }
	condition:
		$1
}

rule function_12059_0 {
	meta:
		name = "SyvKanjiToSymbol"
		size = 11
	strings:
		$1 = { 25 FF 00 00 00 0D 00 00 03 00 C3 }
	condition:
		$1
}

rule function_12060_0 {
	meta:
		name = "FIsSelectGesture"
		size = 20
	strings:
		$1 = { 3D C0 FF 02 00 7C 07 3D CF FF 02 00 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_12061_0 {
	meta:
		name = "FIsStdGesture"
		size = 110
		refs = "0006 FIsSelectGesture"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 5C 81 FB D5 FF 02 00 74 54 81 FB D3 FF 02 00 74 4C 81 FB D8 FF 02 00 74 44 81 FB D9 FF 02 00 74 3C 81 FB DA FF 02 00 74 34 81 FB DB FF 02 00 74 2C 81 FB DC FF 02 00 74 24 81 FB DD FF 02 00 74 1C 81 FB D4 FF 02 00 74 14 81 FB DE FF 02 00 74 0C 81 FB DF FF 02 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12062_0 {
	meta:
		name = "FIsAnsiGesture"
		size = 34
	strings:
		$1 = { 3D 08 00 02 00 74 18 3D 09 00 02 00 74 11 3D 0D 00 02 00 74 0A 3D 20 00 02 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_12065_0 {
	meta:
		name = "TerminationFromWpLp"
		size = 15
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 C0 5B C3 }
	condition:
		$1
}

rule function_12071_0 {
	meta:
		name = "TPictureEditorDlg.FormCreate"
		size = 46
		refs = "0010 _Dn_TPicture 0015 TPicture.Create 0028 TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 C7 83 E0 00 00 00 AE 65 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 08 02 00 00 33 D2 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12072_0 {
	meta:
		name = "TPictureEditorDlg.FormDestroy"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 80 08 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12073_0 {
	meta:
		name = "TPictureEditorDlg.LoadClick"
		size = 176
		refs = "000c TPictureEditorDlg.LoadClick 0020 SLoadPictureTitle 0025 LoadResString 0042 TOpenDialog.GetFileName 0050 TPicture.LoadFromFile 0073 TControl.SetEnabled 00a0 @LStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 DC 01 00 00 8D 50 64 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 DC 01 00 00 8B 10 FF 52 34 84 C0 74 57 8D 55 FC 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 8B 10 FF 52 44 8B 83 08 02 00 00 83 78 04 00 0F 95 C2 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 83 08 02 00 00 83 78 04 00 0F 95 C2 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12074_0 {
	meta:
		name = "TPictureEditorDlg.SaveClick"
		size = 195
		refs = "000d TPictureEditorDlg.SaveClick 002d SSavePictureTitle 0032 LoadResString 0046 TObject.ClassType 004e GraphicExtension 0059 @LStrAsg 006f GraphicFilter 008f TOpenDialog.GetFileName 009d TPicture.SaveToFile 00b2 @LStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 08 02 00 00 83 78 04 00 74 7E 8B 83 E0 01 00 00 8D 50 64 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B3 E0 01 00 00 8B 83 08 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 46 68 E8 ?? ?? ?? ?? 8B 83 08 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 46 54 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 34 84 C0 74 18 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12075_0 {
	meta:
		name = "TPictureEditorDlg.ImagePaintBoxPaint"
		size = 472
		refs = "0016 TPictureEditorDlg.ImagePaintBoxPaint 002f TBrush.SetColor 0044 TPicture.GetWidth 006c TPicture.GetHeight 00b4 MulDiv 00fd TCanvas.StretchDraw 0154 TCanvas.Draw 0164 srNone 0169 LoadResString 0177 TCanvas.TextHeight 0195 TCanvas.TextWidth 01b0 TCanvas.TextOut 01c5 @LStrClr 01cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FE 8B 57 54 8B 87 B4 00 00 00 8B 40 14 E8 ?? ?? ?? ?? 8D 55 EC 8B C7 8B 08 FF 51 2C 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 0A 01 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 7D F4 2B 7D EC 3B C7 7F 19 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 2B 55 F0 3B C2 0F 8E 88 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 5A 3B D0 7E 26 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 50 57 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 45 F0 89 45 F8 EB 2A 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 F8 2B 45 F0 50 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 45 EC 89 45 F4 8B 83 08 02 00 00 8B 48 04 8D 55 EC 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 83 08 02 00 00 8B 40 04 50 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 7D F0 2B D7 2B D0 D1 FA 79 03 83 D2 00 03 D7 52 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 2B 55 EC 2B D0 D1 FA 79 03 83 D2 00 03 55 EC 8B 86 B4 00 00 00 59 E8 ?? ?? ?? ?? EB 5A 8B 9E B4 00 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 7D F0 2B D7 2B D0 D1 FA 79 03 83 D2 00 03 D7 52 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 75 EC 2B D6 2B D0 D1 FA 79 03 83 D2 00 03 D6 8B C3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12076_0 {
	meta:
		name = "TPictureEditorDlg.ClearClick"
		size = 55
		refs = "000c TPicture.SetGraphic 0024 TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 8B 10 FF 52 44 33 D2 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12077_0 {
	meta:
		name = "TPictureEditor.Create"
		size = 86
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TPicture 0023 TPicture.Create 002f _DV_TPictureEditorDlg 0034 TCustomForm.Create 003c _Dn_TGraphic"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C A1 ?? ?? ?? ?? 89 46 24 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12078_0 {
	meta:
		name = "TPictureEditor.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TComponent.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 28 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12079_0 {
	meta:
		name = "TPictureEditor.Execute"
		size = 300
		refs = "000e TPictureEditor.Execute 0041 GraphicExtension 004c @LStrAsg 0057 GraphicFilter 00c5 TControl.SetEnabled 00e5 TCustomForm.ShowModal 0113 @LStrClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 2C 8B 80 08 02 00 00 8B 57 28 8B 08 FF 51 08 8B 47 2C 8B B0 DC 01 00 00 A1 ?? ?? ?? ?? 89 46 50 8D 55 FC 8B 47 24 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 68 E8 ?? ?? ?? ?? 8D 55 FC 8B 47 24 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 54 E8 ?? ?? ?? ?? C7 46 2C 78 69 00 00 8B 47 2C 8B B0 E0 01 00 00 A1 ?? ?? ?? ?? 89 46 50 8D 55 FC 8B 47 24 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 68 E8 ?? ?? ?? ?? 8D 55 FC 8B 47 24 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 54 E8 ?? ?? ?? ?? C7 46 2C 82 69 00 00 8B 47 28 83 78 04 00 0F 95 C2 8B 47 2C 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 47 28 83 78 04 00 0F 95 C2 8B 47 2C 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 8B 47 2C E8 ?? ?? ?? ?? 48 0F 94 C3 84 DB 74 11 8B 47 2C 8B 90 08 02 00 00 8B 47 28 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 00 14 02 00 00 }
	condition:
		$1
}

rule function_12080_0 {
	meta:
		name = "TChartAxis.SetTicks"
		size = 9
		altNames = "TPictureEditor.SetPicture"
	strings:
		$1 = { 8B 40 28 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_12081_0 {
	meta:
		name = "TPictureProperty.Edit"
		size = 113
		refs = "000c _DV_TPictureEditor 0011 TPictureEditor.Create 001c TPictureProperty.Edit 0029 TPropertyEditor.GetOrdValue 0033 TPictureEditor.SetPicture 003b TPictureEditor.Execute 004c TPropertyEditor.SetOrdValue 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC 8B 50 28 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12082_0 {
	meta:
		name = "TPictureProperty.GetAttributes"
		size = 12
		refs = "0001 TPictureProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_12086_0 {
	meta:
		name = "TGraphicProperty.GetAttributes"
		size = 12
		refs = "0001 TGraphicProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_12083_0 {
	meta:
		name = "TPictureProperty.GetValue"
		size = 124
		refs = "0010 TPropertyEditor.GetOrdValue 0020 srNone 0025 LoadResString 002c TPictureProperty.GetValue 0033 @PStrCpy 0041 TObject.ClassName 004f @PStrCat 0064 @LStrFromString"
	strings:
		$1 = { 53 56 57 81 C4 00 FE FF FF 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 7B 04 85 FF 75 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3D BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8D 94 24 00 01 00 00 8B 07 E8 ?? ?? ?? ?? 8D 94 24 00 01 00 00 8B C4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 00 02 00 00 5F 5E 5B C3 00 00 01 28 00 00 01 29 00 00 }
	condition:
		$1
}

rule function_12084_0 {
	meta:
		name = "TGraphicProperty.SetValue"
		size = 22
		refs = "000f TPropertyEditor.SetOrdValue"
		altNames = "TPictureProperty.SetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12085_0 {
	meta:
		name = "TGraphicProperty.Edit"
		size = 253
		refs = "0014 TGraphicProperty.Edit 0023 _DV_TPictureEditor 0028 TPictureEditor.Create 0040 TPropertyEditor.GetPropType 0045 GetTypeData 0054 TPropertyEditor.GetOrdValue 0061 TPicture.SetGraphic 0069 TPictureEditor.Execute 0087 @IsClass 0095 TPropertyEditor.SetOrdValue 009f SInvalidFormat 00a4 LoadResString 00ae _Dn_Exception 00b3 Exception.Create 00b8 @RaiseExcept 00cd TObject.Free 00d3 @HandleFinally 00ea @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 8B 55 FC 89 42 24 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4B 8B 45 FC 8B 78 28 8B 77 04 85 F6 74 11 8B C6 8B 55 FC 8B 52 24 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 57 04 8B C3 E8 ?? ?? ?? ?? EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12087_0 {
	meta:
		name = "TGraphicProperty.GetValue"
		size = 128
		refs = "000f TPropertyEditor.GetOrdValue 0027 srNone 002c LoadResString 0033 TGraphicProperty.GetValue 003a @PStrCpy 0048 TObject.ClassName 0056 @PStrCat 006b @LStrFromString"
	strings:
		$1 = { 53 56 81 C4 00 FE FF FF 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 8B 10 FF 52 1C 84 C0 74 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3D BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8D 94 24 00 01 00 00 8B 03 E8 ?? ?? ?? ?? 8D 94 24 00 01 00 00 8B C4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 00 02 00 00 5E 5B C3 01 28 00 00 01 29 00 00 }
	condition:
		$1
}

rule function_12089_0 {
	meta:
		name = "TGraphicEditor.EditProperty"
		size = 148
		refs = "000f TGraphicEditor.EditProperty 002c CompareText 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 11 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0A 8B C3 8B 10 FF 52 08 C6 06 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 00 FF FF FF FF 07 00 00 00 50 49 43 54 55 52 45 00 FF FF FF FF 05 00 00 00 49 4D 41 47 45 00 00 00 }
	condition:
		$1
}

rule function_12093_0 {
	meta:
		name = "TPieSeriesEditor.FormShow"
		size = 255
		refs = "0005 Screen 000e TScreen.SetCursor 0031 TCustomCheckBox.SetChecked 0058 TControl.SetEnabled 009c TSpinEdit.SetValue"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C6 83 28 02 00 00 01 8B 43 0C 89 83 2C 02 00 00 8B F0 8A 96 D0 00 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 46 40 85 C0 74 13 8A 90 C8 01 00 00 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8A 96 1C 01 00 00 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8A 96 1E 01 00 00 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8A 96 1E 01 00 00 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8B 96 D4 00 00 00 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8A 96 1D 01 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8A 96 24 01 00 00 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8A 96 24 01 00 00 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B 96 D8 00 00 00 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 8B 96 DC 00 00 00 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? C6 83 28 02 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12094_0 {
	meta:
		name = "TPieSeriesEditor.CBCircledClick"
		size = 29
		refs = "000a TCustomCheckBox.GetChecked 0017 TCircledSeries.SetCircled"
	strings:
		$1 = { 53 8B D8 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12095_0 {
	meta:
		name = "TPieSeriesEditor.CB3DClick"
		size = 40
		refs = "0018 TCustomCheckBox.GetChecked 0021 TCustomAxisPanel.SetView3D"
	strings:
		$1 = { 53 56 8B D8 8B 83 2C 02 00 00 8B 70 40 85 F6 74 14 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12096_0 {
	meta:
		name = "TPieSeriesEditor.CB3dColorClick"
		size = 29
		refs = "000a TCustomCheckBox.GetChecked 0017 TPieSeries.SetColor3d"
	strings:
		$1 = { 53 8B D8 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12097_0 {
	meta:
		name = "TPieSeriesEditor.CB3dShadowClick"
		size = 52
		refs = "000a TCustomCheckBox.GetChecked 0017 TPieSeries.SetShadowed3d 002e TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 8A 90 1E 01 00 00 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12098_0 {
	meta:
		name = "TPieSeriesEditor.BShadowColorClick"
		size = 35
		refs = "0013 EditColor 001c TPieSeries.SetShadowColor"
	strings:
		$1 = { 53 56 8B D8 8B B3 2C 02 00 00 8B 96 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12099_0 {
	meta:
		name = "TPieSeriesEditor.SERotationChange"
		size = 99
		refs = "000c TPieSeriesEditor.SERotationChange 0020 TControl.GetText 0031 TSpinEdit.GetValue 003e TCircledSeries.SetRotationAngle 0053 @LStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12100_0 {
	meta:
		name = "TPieSeriesEditor.BPiePenClick"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 2C 02 00 00 8B 92 E8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12101_0 {
	meta:
		name = "TPieSeriesEditor.CBDark3dClick"
		size = 38
		refs = "0013 TCustomCheckBox.GetChecked 0020 TPieSeries.SetDark3d"
	strings:
		$1 = { 53 8B D8 80 BB 28 02 00 00 00 75 18 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12102_0 {
	meta:
		name = "TPieSeriesEditor.SEXRadiusChange"
		size = 56
		refs = "000a TSpinEdit.GetValue 0017 TCircledSeries.SetCustomXRadius 0032 TCustomCheckBox.SetChecked"
	strings:
		$1 = { 53 8B D8 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 C2 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12103_0 {
	meta:
		name = "TPieSeriesEditor.SEYRadiusChange"
		size = 56
		refs = "000a TSpinEdit.GetValue 0017 TCircledSeries.SetCustomYRadius 0032 TCustomCheckBox.SetChecked"
	strings:
		$1 = { 53 8B D8 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 C2 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12104_0 {
	meta:
		name = "TPieSeriesEditor.CBPatternsClick"
		size = 52
		refs = "000a TCustomCheckBox.GetChecked 0017 TPieSeries.SetUsePatterns 002e TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 8A 90 24 01 00 00 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12105_0 {
	meta:
		name = "TPieSeriesEditor.BBackPieColorClick"
		size = 35
		refs = "0013 EditColor 001c TCircledSeries.SetCircleBackColor"
	strings:
		$1 = { 53 56 8B D8 8B B3 2C 02 00 00 8B 96 EC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12106_0 {
	meta:
		name = "TPieSeriesEditor.CBAutoXRClick"
		size = 33
		refs = "000a TCustomCheckBox.GetChecked 001b TSpinEdit.SetValue"
	strings:
		$1 = { 53 8B D8 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 0D 33 D2 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12107_0 {
	meta:
		name = "TPieSeriesEditor.CBAutoYRClick"
		size = 33
		refs = "000a TCustomCheckBox.GetChecked 001b TSpinEdit.SetValue"
	strings:
		$1 = { 53 8B D8 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 0D 33 D2 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12110_0 {
	meta:
		name = "_NF__AA"
		size = 49
	strings:
		$1 = { 56 8B 30 83 38 00 74 25 8B 10 EB 01 42 80 3A 20 74 FA 8B F2 EB 01 42 8A 0A 84 C9 74 05 80 F9 2C 75 F4 80 3A 2C 75 04 C6 02 00 42 89 10 8B C6 5E C3 }
	condition:
		$1
}

rule function_12112_0 {
	meta:
		name = "_NF__AC"
		size = 33
		refs = "0004 Application 000b TApplication.ProcessMessages 0010 _NV__A9"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8A 40 1D 34 01 F6 D8 1B C0 5D C2 08 00 }
	condition:
		$1
}

rule function_12113_0 {
	meta:
		name = "_NF__AE"
		size = 20
		refs = "000a _NV__A9 000f TPrinter.NewPage"
	strings:
		$1 = { 33 D2 89 10 33 D2 89 50 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12114_0 {
	meta:
		name = "_NF__AF"
		size = 39
		refs = "000b _NV__A9 0010 TPrinter.GetCanvas 0015 TCanvas.GetHandle 001b GetTextMetrics"
	strings:
		$1 = { 55 8B EC 83 C4 C8 8D 45 C8 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 8B 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule function_12115_0 {
	meta:
		name = "_NF__B0"
		size = 59
		refs = "000f _NF__AF 0030 _NF__AE"
	strings:
		$1 = { 53 8B D8 33 C0 89 03 8B 43 10 85 C0 75 0D E8 ?? ?? ?? ?? 0F B7 C0 01 43 04 EB 03 01 43 04 8B 43 0C 8B 53 10 03 D2 2B C2 3B 43 04 7D 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_12116_0 {
	meta:
		name = "_NF__B1"
		size = 192
		refs = "000f _NV__A9 0014 TPrinter.GetCanvas 0031 TCanvas.GetHandle 0037 GetTextExtentPoint 0042 CharPrev 0090 TextOut 00a2 _NF__B0"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 0C 24 8B F2 8B F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 83 3C 24 00 0F 8E 94 00 00 00 8B 1C 24 8D 44 24 04 50 53 56 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 21 03 DE 53 56 E8 ?? ?? ?? ?? 2B C6 8B D8 8D 44 24 04 50 53 56 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 DB 7E 0B 8B 07 03 44 24 04 3B 47 08 7F D0 8B 57 10 8B 44 24 08 3B D0 7D 06 83 C0 02 89 47 10 53 56 8B 47 04 50 8B 07 50 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 29 1C 24 03 F3 83 3C 24 00 7E 09 8B C7 E8 ?? ?? ?? ?? EB 06 8B 44 24 04 01 07 83 3C 24 00 0F 8F 6C FF FF FF 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12117_0 {
	meta:
		name = "_NF__B2"
		size = 67
		refs = "001f _NF__B1"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 74 17 8B 45 08 8B 48 FC 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 40 8B 55 08 01 42 F4 8B 55 08 8B 55 08 29 42 F0 8B 45 08 33 D2 89 50 FC 5D C3 }
	condition:
		$1
}

rule function_12118_0 {
	meta:
		name = "_NF__B3"
		size = 39
		refs = "000b _NV__A9 0010 TPrinter.GetCanvas 0015 TCanvas.GetHandle 001b GetTextMetrics"
	strings:
		$1 = { 55 8B EC 83 C4 C8 8D 45 C8 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule function_12119_0 {
	meta:
		name = "_NF__B4"
		size = 192
		refs = "003e _NF__B2 0044 _NF__B3 0074 _NF__B0 009f _NF__AE"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F0 89 55 F4 89 45 F8 33 C0 89 45 FC 8B 45 FC 3B 45 F0 0F 8D 93 00 00 00 8B 45 F4 8B 55 FC 8A 04 10 2C 09 74 0E FE C8 74 51 2C 02 74 5E FE C8 74 40 EB 69 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B C8 C1 E1 03 8B 45 F8 8B 00 0F B7 D9 03 C3 40 99 F7 FB 2B DA 43 8B 45 F8 01 18 8B 45 F8 8B 00 8B 55 F8 3B 42 08 7E 38 8B 45 F8 E8 ?? ?? ?? ?? EB 2E 55 E8 ?? ?? ?? ?? 59 EB 25 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? EB 14 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? EB 03 FF 45 FC 8B 45 FC 3B 45 F0 0F 8C 6D FF FF FF 55 E8 ?? ?? ?? ?? 59 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12120_0 {
	meta:
		name = "_NF__B5"
		size = 13
	strings:
		$1 = { 33 D2 89 50 0C 33 D2 89 50 10 33 C0 C3 }
	condition:
		$1
}

rule function_12121_0 {
	meta:
		name = "_NF__B6"
		size = 26
		refs = "000d _NF__B4"
	strings:
		$1 = { 53 8B D8 8B 4B 0C 8B 53 14 8D 43 28 E8 ?? ?? ?? ?? 33 C0 89 43 0C 33 C0 5B C3 }
	condition:
		$1
}

rule function_12123_0 {
	meta:
		name = "_NF__B8"
		size = 13
		refs = "0001 _NV__A9 0006 TPrinter.EndDoc"
	strings:
		$1 = { A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_12124_0 {
	meta:
		name = "_NF__BA"
		size = 118
		refs = "000f _NF__B5 0016 _NF__B7 002d _NF__B6 003b _NF__B8 0040 _NV__A9 0045 TPrinter.BeginDoc 0059 TPrinter.GetPageWidth 0066 TPrinter.GetPageHeight"
	strings:
		$1 = { 53 8B D8 81 7B 04 B1 D7 00 00 75 17 C7 43 1C ?? ?? ?? ?? C7 43 20 ?? ?? ?? ?? C7 43 24 ?? ?? ?? ?? EB 4F C7 43 04 B2 D7 00 00 C7 43 1C ?? ?? ?? ?? C7 43 20 ?? ?? ?? ?? C7 43 24 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 28 33 C0 89 43 2C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 33 C0 89 43 38 33 C0 5B C3 }
	condition:
		$1
}

rule function_12125_0 {
	meta:
		name = "AssignPrn"
		size = 54
		refs = "0004 Printer 0012 @FillChar 0030 _NF__BA"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B C3 33 C9 BA CC 01 00 00 E8 ?? ?? ?? ?? C7 43 04 B0 D7 00 00 C7 43 08 80 00 00 00 8D 83 4C 01 00 00 89 43 14 C7 43 18 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12126_0 {
	meta:
		name = "_NF__BF"
		size = 88
		refs = "000e @ClassCreate 001d TObject.Create 0027 @LStrFromPChar"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8D 47 08 8B 55 0C E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12127_0 {
	meta:
		name = "_NF__C0"
		size = 118
		refs = "000f _NF__C0 001f @LStrFromPChar 002a @LStrCmp 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 75 18 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12129_0 {
	meta:
		name = "_NF__C4"
		size = 35
		refs = "0009 _NF__CD 0010 _NF__C6 001d TCanvas.SetHandle"
	strings:
		$1 = { 53 8B D8 B2 01 8B 43 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 50 8B 50 20 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12130_0 {
	meta:
		name = "_NF__C5"
		size = 29
		refs = "0009 _NF__CE 0010 TCanvas.Changing 0017 _NF__C6"
	strings:
		$1 = { 53 8B D8 B2 01 8B 43 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12131_0 {
	meta:
		name = "_NF__C6"
		size = 69
		refs = "000f GetDeviceCaps 001e TFont.GetSize 003d TFont.SetSize"
	strings:
		$1 = { 53 56 57 8B D8 6A 5A 8B 43 50 8B 40 20 50 E8 ?? ?? ?? ?? 8B 73 0C 3B 46 18 74 26 8B C6 E8 ?? ?? ?? ?? 8B F0 6A 5A 8B 43 50 8B 40 20 50 E8 ?? ?? ?? ?? 8B 7B 0C 89 47 18 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12132_0 {
	meta:
		name = "TPrinter.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 14 FF FF FF FF 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12133_0 {
	meta:
		name = "TPrinter.Destroy"
		size = 91
		refs = "000f TPrinter.EndDoc 0018 _NF__CD 001f _NF__102 0026 _NF__103 002e TObject.Free 003b ClosePrinter 0047 TObject.Destroy 0052 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 7E 1C 00 74 07 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 46 2C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12134_0 {
	meta:
		name = "_NF__CD"
		size = 300
		refs = "0016 _NF__CD 0041 _NF__CE 004f TCanvas.SetHandle 0058 DeleteDC 006c CreateIC 008e CreateDC 0099 TPrinter.GetPrinterIndex 00a1 TPrinter.GetPrinters 00b9 @LStrToPChar 00e5 SInvalidPrinter 00ea LoadResString 00f2 _NF__AB 0119 @LStrClr 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 46 1F 3A D8 0F 84 DD 00 00 00 33 FF 8B D3 80 EA 01 72 08 74 2D FE CA 74 38 EB 56 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 8B 46 20 50 E8 ?? ?? ?? ?? 33 C0 89 46 20 EB 2F 3C 02 0F 84 9D 00 00 00 BF ?? ?? ?? ?? EB 20 8B 46 04 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 8B 46 20 85 C0 74 06 50 E8 ?? ?? ?? ?? BF ?? ?? ?? ?? 85 FF 74 6F 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 18 89 45 FC 8B 46 24 50 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 FF D7 89 46 20 83 7E 20 00 75 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 46 04 85 C0 74 08 8B 56 20 E8 ?? ?? ?? ?? 88 5E 1F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12135_0 {
	meta:
		name = "_NF__CE"
		size = 104
		refs = "0009 _NF__CE 0020 SNotPrinting 0025 LoadResString 002d _NF__AB 0037 SPrinting 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 3A 50 1C 74 30 84 D2 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12136_0 {
	meta:
		name = "TPrinter.Abort"
		size = 43
		refs = "0008 _NF__CE 000f TPrinter.GetCanvas 0014 TCanvas.GetHandle 001a AbortDoc 0025 TPrinter.EndDoc"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 1D 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12137_0 {
	meta:
		name = "TPrinter.BeginDoc"
		size = 156
		refs = "000b _NF__CE 0014 _NF__CD 001b TPrinter.GetCanvas 0020 TCanvas.Refresh 002c _NF__C6 004a StrPLCopy 005a @FillChar 0073 _NF__AC 007c SetAbortProc 008a StartDoc 0093 StartPage"
	strings:
		$1 = { 53 83 C4 CC 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 1C 01 C6 43 1D 00 C7 43 0C 01 00 00 00 8B C4 B9 1F 00 00 00 8B 53 18 E8 ?? ?? ?? ?? 8D 44 24 20 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? C7 44 24 20 14 00 00 00 8B C4 89 44 24 24 33 C0 89 44 24 28 68 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? 8D 44 24 20 50 8B 43 20 50 E8 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? 83 C4 34 5B C3 }
	condition:
		$1
}

rule function_12138_0 {
	meta:
		name = "TPrinter.EndDoc"
		size = 51
		refs = "0008 _NF__CE 0011 EndPage 0020 EndDoc"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? 80 7B 1D 00 75 09 8B 43 20 50 E8 ?? ?? ?? ?? C6 43 1C 00 C6 43 1D 00 33 C0 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_12139_0 {
	meta:
		name = "TPrinter.NewPage"
		size = 47
		refs = "0008 _NF__CE 0011 EndPage 001a StartPage 0024 TPrinter.GetCanvas 0029 TCanvas.Refresh"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? FF 43 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12140_0 {
	meta:
		name = "TPrinter.GetPrinter"
		size = 106
		refs = "0011 TPrinter.GetPrinterIndex 0019 TPrinter.GetPrinters 0029 @LStrToPChar 0032 StrCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 18 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B D0 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 8B 53 28 89 10 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12141_0 {
	meta:
		name = "_NF__DD"
		size = 60
		refs = "0007 _NF__DD"
	strings:
		$1 = { 53 56 8B F2 8B D8 A0 ?? ?? ?? ?? 88 43 1E F7 C6 01 00 00 00 74 04 80 4B 1E 02 F7 C6 00 01 00 00 74 04 80 4B 1E 01 F7 C6 00 80 00 00 74 04 80 4B 1E 04 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12142_0 {
	meta:
		name = "TPrinter.SetPrinter"
		size = 562
		refs = "0029 TPrinter.SetPrinter 0038 _NF__CE 0049 GlobalUnlock 0052 GlobalFree 0062 GlobalLock 0071 _NF__DD 0078 _NF__103 0085 ClosePrinter 0093 _NF__CD 00a1 TPrinter.GetPrinters 00cf _NF__C0 00ff _NV__BD 0104 _NF__BF 0117 SDeviceOnPort 011c LoadResString 0152 Format 0176 OpenPrinter 01a3 DocumentProperties 01ab GlobalAlloc 021d @LStrArrayClr 0223 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 3C FF FF FF 53 56 57 33 DB 89 9D 50 FF FF FF 89 9D 4C FF FF FF 89 4D F8 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 28 3B F0 74 16 85 C0 74 0F 50 E8 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 89 73 28 8B 73 28 85 F6 74 15 56 E8 ?? ?? ?? ?? 8B F8 89 7B 24 8B 57 28 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 2C 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 43 2C 33 D2 8B C3 E8 ?? ?? ?? ?? C7 45 F4 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 10 FF 52 14 8B F8 4F 85 FF 7C 29 47 33 F6 8B 45 0C 50 8B D6 8B 45 F0 8B 08 FF 51 18 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 05 89 75 F4 EB 04 46 4F 75 DA 83 7D F4 FF 75 7F 8B 43 10 8B 10 FF 52 14 89 45 F4 8B 45 FC 50 8B 45 0C 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 85 50 FF FF FF 50 8D 95 4C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 8B 55 FC 89 95 3C FF FF FF C6 85 40 FF FF FF 06 8B 55 0C 89 95 44 FF FF FF C6 85 48 FF FF FF 06 8D 95 3C FF FF FF B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B 43 10 59 8B 30 FF 56 38 8B 45 F4 89 43 14 6A 00 8D 43 2C 50 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 0F 84 82 00 00 00 83 7B 28 00 75 69 6A 00 8D 85 54 FF FF FF 50 8D 85 54 FF FF FF 50 8B 45 FC 50 8B 43 2C 50 6A 00 E8 ?? ?? ?? ?? 50 6A 42 E8 ?? ?? ?? ?? 8B F0 89 73 28 85 F6 74 39 56 E8 ?? ?? ?? ?? 8B F8 89 7B 24 6A 02 57 57 8B 45 FC 50 8B 43 2C 50 6A 00 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 43 28 50 E8 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 33 C0 89 43 28 83 7B 28 00 74 0D 8B 43 24 8B 50 28 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12143_0 {
	meta:
		name = "TPrinter.GetCanvas"
		size = 31
		refs = "000e _NV__C1 0013 _NF__C3"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_12144_0 {
	meta:
		name = "_NF__E6"
		size = 92
		refs = "000a _NF__E6 0023 @LStrFromArray 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 83 C2 1C B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 14 8B 08 FF 51 34 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_12551_0 {
	meta:
		name = "_NF__2E2"
		size = 92
		refs = "000a _NF__2E2 0023 @LStrFromArray 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 83 C2 1C B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 14 8B 08 FF 51 34 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_12145_0 {
	meta:
		name = "TPrinter.GetFonts"
		size = 137
		refs = "0014 TPrinter.GetFonts 0024 _NF__CD 002b _Dn_TStringList 0030 TObject.Create 0042 _NF__E6 0050 EnumFonts 005f @HandleAnyException 006a TObject.Free 0077 @RaiseAgain 007c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 78 08 00 75 70 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8B 45 FC 8B 40 08 50 68 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 20 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 59 5D C3 }
	condition:
		$1
}

rule function_12146_0 {
	meta:
		name = "TPrinter.GetHandle"
		size = 17
		refs = "0008 _NF__CD"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_12147_0 {
	meta:
		name = "TPrinter.GetNumCopies"
		size = 100
		refs = "000c TPrinter.GetNumCopies 0019 TPrinter.GetPrinterIndex 0027 SInvalidPrinterOp 002c LoadResString 0034 _NF__AB 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 28 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 24 0F BF 40 36 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_12148_0 {
	meta:
		name = "TPrinter.SetNumCopies"
		size = 118
		refs = "000f TPrinter.SetNumCopies 001e _NF__CE 0025 TPrinter.GetPrinterIndex 0033 SInvalidPrinterOp 0038 LoadResString 0040 _NF__AB 0049 _NF__CD 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7B 28 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 24 66 89 70 36 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12149_0 {
	meta:
		name = "TPrinter.GetOrientation"
		size = 107
		refs = "000c TPrinter.GetOrientation 0019 TPrinter.GetPrinterIndex 0027 SInvalidPrinterOp 002c LoadResString 0034 _NF__AB 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 28 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 24 66 83 78 2C 01 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_12150_0 {
	meta:
		name = "TPrinter.SetOrientation"
		size = 130
		refs = "000f TPrinter.SetOrientation 001e _NF__CE 0025 TPrinter.GetPrinterIndex 0033 SInvalidPrinterOp 0038 LoadResString 0040 _NF__AB 0049 _NF__CD 0055 _NV__F2 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7E 28 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 66 8B 04 85 ?? ?? ?? ?? 8B 56 24 66 89 42 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12151_0 {
	meta:
		name = "TPrinter.GetPageHeight"
		size = 25
		refs = "0008 _NF__CD 0013 GetDeviceCaps"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 6A 0A 8B 43 20 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12152_0 {
	meta:
		name = "TPrinter.GetPageWidth"
		size = 25
		refs = "0008 _NF__CD 0013 GetDeviceCaps"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 6A 08 8B 43 20 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12153_0 {
	meta:
		name = "TPrinter.GetPrinterIndex"
		size = 21
		refs = "000c _NF__101"
	strings:
		$1 = { 53 8B D8 83 7B 14 FF 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_12154_0 {
	meta:
		name = "TPrinter.SetPrinterIndex"
		size = 152
		refs = "000f TPrinter.SetPrinterIndex 001e _NF__CE 002a TPrinter.GetPrinterIndex 0034 _NF__101 0041 TPrinter.GetPrinters 0052 SPrinterIndexError 0057 LoadResString 005f _NF__AB 0069 _NF__103 0072 _NF__CD 0087 @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 83 FE FF 74 0A 8B C3 E8 ?? ?? ?? ?? 40 75 09 8B C3 E8 ?? ?? ?? ?? EB 29 85 F6 7C 10 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B F0 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 73 14 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12155_0 {
	meta:
		name = "TPrinter.GetPrinters"
		size = 572
		refs = "0018 TPrinter.GetPrinters 0032 _Dn_TStringList 0037 TObject.Create 0054 Win32Platform 0087 EnumPrinters 00a2 @GetMem 00d9 @TryFinallyExit 0112 _NV__BD 0117 _NF__BF 0122 @LStrFromPChar 0148 _NF__AA 016b SDeviceOnPort 0170 LoadResString 0190 Format 01d3 @FreeMem 01d9 @HandleFinally 01ea @HandleAnyException 01f5 TObject.Free 0202 @RaiseAgain 0207 @DoneExcept 0227 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 E0 89 55 DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 10 00 0F 85 DC 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 10 8B FB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 83 38 02 75 09 BE 06 00 00 00 B3 04 EB 07 BE 02 00 00 00 B3 05 33 C0 89 45 EC 8D 45 E8 50 8D 45 EC 50 6A 00 6A 00 33 C0 8A C3 50 6A 00 56 E8 ?? ?? ?? ?? 83 7D EC 00 75 0D 33 C0 5A 59 59 64 89 10 E9 73 01 00 00 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 E8 50 8D 45 EC 50 8B 45 EC 50 8B 45 F4 50 33 C0 8A C3 50 6A 00 56 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 27 01 00 00 8B 45 F4 89 45 F0 8B 45 E8 48 85 C0 0F 8C C3 00 00 00 40 89 45 E4 80 FB 04 75 36 8B 75 F0 8B 3E 57 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 E0 8B D7 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC 8B 40 10 59 8B 30 FF 56 38 83 45 F0 0C EB 7B 8B 75 F0 8B 46 04 89 45 F8 8D 45 F8 E8 ?? ?? ?? ?? 8B F8 EB 5D 8B 06 50 57 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 16 89 55 CC C6 45 D0 06 89 7D D4 C6 45 D8 06 8D 55 CC B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC 8B 40 10 59 8B 38 FF 57 38 8D 45 F8 E8 ?? ?? ?? ?? 8B F8 80 3F 00 75 9E 83 45 F0 14 FF 4D E4 0F 85 41 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 78 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12156_0 {
	meta:
		name = "_NF__101"
		size = 272
		refs = "0015 _NF__101 0035 GetProfileString 0043 _NF__AA 004e TPrinter.GetPrinters 0079 @LStrFromPChar 0082 @LStrCmp 0097 @LStrToPChar 00b6 TPrinter.SetPrinter 00c4 SNoDefaultPrinter 00c9 LoadResString 00d1 _NF__AB 00e6 @LStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 D2 89 55 A0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 4F 8D 45 A4 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A4 89 45 F8 8D 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B C7 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5E 46 33 DB 8B D3 8B C7 8B 08 FF 51 18 8B 40 08 50 8D 45 A0 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 A0 58 E8 ?? ?? ?? ?? 75 34 8B D3 8B C7 8B 08 FF 51 18 8B D8 8B 43 0C E8 ?? ?? ?? ?? 50 6A 00 8B 43 04 E8 ?? ?? ?? ?? 50 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 E8 ?? ?? ?? ?? EB 19 43 4E 75 A5 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 64 65 76 69 63 65 00 00 77 69 6E 64 6F 77 73 00 }
	condition:
		$1
}

rule function_12157_0 {
	meta:
		name = "_NF__102"
		size = 65
		refs = "0028 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 10 85 F6 74 31 8B C6 8B 10 FF 52 14 48 85 C0 7C 18 40 89 C6 33 FF 8B D7 8B 43 10 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4E 75 ED 8B 43 10 E8 ?? ?? ?? ?? 33 C0 89 43 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12158_0 {
	meta:
		name = "_NF__103"
		size = 18
		refs = "0007 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 08 5B C3 }
	condition:
		$1
}

rule function_12163_0 {
	meta:
		name = "_NF__4E"
		size = 256
		refs = "0007 TProviderObject.Get_Data 0011 TProviderObject.ApplyUpdates 001b TProviderObject.GetMetaData 0025 TProviderObject.GetRecords 002f TProviderObject.DataRequest 0039 TProviderObject.Get_Constraints 0043 TProviderObject.Set_Constraints 004d TProviderObject.Reset 0057 TProviderObject.SetParams 0061 TAutoIntfObject.GetTypeInfoCount 006b TAutoIntfObject.GetTypeInfo 0075 TAutoIntfObject.GetIDsOfNames 007f TAutoIntfObject.Invoke 0089 TInterfacedObject.QueryInterface 0093 TInterfacedObject._AddRef 009d TInterfacedObject._Release 00a4 _NF__4E"
	strings:
		$1 = { CC 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A ?? ?? ?? ?? 2C 00 00 00 }
	condition:
		$1
}

rule function_12165_0 {
	meta:
		name = "TProviderObject.Create"
		size = 180
		refs = "0015 @ClassCreate 0024 TProviderObject.Create 0032 @IntfClear 003e LIBID_StdVCL 0044 LoadRegTypeLib 0049 OleCheck 005a TAutoIntfObject.Create 006a _NF__81 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 01 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 89 43 30 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A }
	condition:
		$1
}

rule function_12166_0 {
	meta:
		name = "TProviderObject.Destroy"
		size = 48
		refs = "0010 _NF__82 001c TObject.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 30 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12167_0 {
	meta:
		name = "TProviderObject.CheckProvider"
		size = 90
		refs = "0009 TProviderObject.CheckProvider 001d SProviderInvalid 0022 LoadResString 002c _Dn_EOleError 0031 Exception.Create 0036 @RaiseExcept 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 78 30 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12168_0 {
	meta:
		name = "TProviderObject.ApplyUpdates"
		size = 119
		refs = "000d @VarAddRef 002d TProviderObject.ApplyUpdates 003a TProviderObject.CheckProvider 0062 @HandleAutoException 006a @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 24 8B 55 24 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 20 50 8B 45 24 50 8B 4D 1C 8D 55 0C 8B 43 30 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_12169_0 {
	meta:
		name = "TProviderObject.Get_Data"
		size = 92
		refs = "0025 TProviderObject.Get_Data 0032 TProviderObject.CheckProvider 004f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 8B 43 30 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12170_0 {
	meta:
		name = "TProviderObject.GetMetaData"
		size = 92
		refs = "0025 TProviderObject.GetMetaData 0032 TProviderObject.CheckProvider 004f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 8B 43 30 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12171_0 {
	meta:
		name = "TProviderObject.GetRecords"
		size = 99
		refs = "0025 TProviderObject.GetRecords 0032 TProviderObject.CheckProvider 0056 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 14 50 8B 4D 10 8B 55 0C 8B 43 30 8B 18 FF 53 34 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_12172_0 {
	meta:
		name = "TProviderObject.DataRequest"
		size = 111
		refs = "000d @VarAddRef 002d TProviderObject.DataRequest 003a TProviderObject.CheckProvider 005a @HandleAutoException 0062 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 8B 55 1C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 4D 1C 8D 55 0C 8B 43 30 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_12173_0 {
	meta:
		name = "TProviderObject.Get_Constraints"
		size = 71
		refs = "000e TProviderObject.Get_Constraints 001b TProviderObject.CheckProvider 003a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 43 30 66 8B 40 28 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12174_0 {
	meta:
		name = "TProviderObject.Set_Constraints"
		size = 69
		refs = "000e TProviderObject.Set_Constraints 001b TProviderObject.CheckProvider 0038 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 43 30 66 8B 55 0C 66 89 50 28 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12175_0 {
	meta:
		name = "TProviderObject.Reset"
		size = 70
		refs = "000e TProviderObject.Reset 001b TProviderObject.CheckProvider 0039 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 8B 55 0C 8B 43 30 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12176_0 {
	meta:
		name = "TProviderObject.SetParams"
		size = 85
		refs = "000d @VarAddRef 0016 TProviderObject.SetParams 0023 TProviderObject.CheckProvider 0040 @HandleAutoException 0048 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 0C 8B 43 30 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_12177_0 {
	meta:
		name = "TCustomProvider.Destroy"
		size = 88
		refs = "0020 TList.Get 0031 TObject.Free 0042 TComponent.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 45 24 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 45 24 E8 ?? ?? ?? ?? 33 D2 89 50 30 47 4E 75 ED 8B 45 24 E8 ?? ?? ?? ?? 33 C0 89 45 24 8B D3 80 E2 FE 8B C5 E8 ?? ?? ?? ?? 84 DB 74 07 8B C5 E8 ?? ?? ?? ?? 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12178_0 {
	meta:
		name = "_NF__81"
		size = 40
		refs = "000f _Dn_TList 0014 TObject.Create 0021 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 24 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 8B D6 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12179_0 {
	meta:
		name = "_NF__82"
		size = 36
		refs = "000b TList.Remove 0019 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 24 85 C0 74 18 E8 ?? ?? ?? ?? 8B 43 24 83 78 08 00 75 0A E8 ?? ?? ?? ?? 33 C0 89 43 24 5B C3 }
	condition:
		$1
}

rule function_12180_0 {
	meta:
		name = "TCustomProvider.GetProvider"
		size = 35
		refs = "000b _DV_TProviderObject 0010 TProviderObject.Create 001c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 2C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12181_0 {
	meta:
		name = "TCustomProvider.GetMetaData"
		size = 25
	strings:
		$1 = { 53 56 51 8B F2 8B D8 56 8D 4C 24 04 33 D2 8B C3 8B 18 FF 53 34 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12182_0 {
	meta:
		name = "TCustomProvider.Get_Data"
		size = 36
	strings:
		$1 = { 53 56 51 8B F2 8B D8 83 CA FF 8B C3 8B 08 FF 51 40 56 8D 4C 24 04 83 CA FF 8B C3 8B 18 FF 53 34 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12183_0 {
	meta:
		name = "TCustomProvider.GetRecords"
		size = 21
		refs = "0008 Null 000d @OleVarFromVar"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_12184_0 {
	meta:
		name = "TCustomProvider.DataRequest"
		size = 119
		refs = "001f @VarAddRef 0027 TCustomProvider.DataRequest 004a Null 004f @OleVarFromVar 0064 @VarClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 2E 00 74 0E 56 8D 4D F0 8B D3 8B 43 30 FF 53 2C EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12186_0 {
	meta:
		name = "TCustomProvider.SetParams"
		size = 40
		refs = "0007 TCustomProvider.SetParams 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12190_0 {
	meta:
		name = "_NF__58"
		size = 66
		refs = "0002 _NV__56 0011 TList.IndexOf 0021 TList.Delete 0036 TObject.Free"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 38 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7C 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 78 08 00 75 11 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12191_0 {
	meta:
		name = "_NF__59"
		size = 98
		refs = "0013 @PStrCpy 002a GetTypeData"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B F7 83 EE 4C 8B 46 2C 8B D5 E8 ?? ?? ?? ?? 8B 5E 1C C6 03 07 8D 43 01 8B D5 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 89 3B 8B 46 34 8B 00 83 E8 4C 8B 78 1C 83 EF 04 89 7B 04 8B 07 E8 ?? ?? ?? ?? 66 8B 40 08 66 89 43 08 C6 43 0A 00 8D 43 0B 33 D2 89 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12192_0 {
	meta:
		name = "_NF__5A"
		size = 120
		refs = "001b AllocMem 005a Move 006c _NF__59"
	strings:
		$1 = { 53 56 57 55 51 8B EA 89 04 24 8B FD 83 EF 4C 8B 77 2C 2B F7 8D 86 14 02 00 00 E8 ?? ?? ?? ?? 8B D8 C7 43 08 02 00 00 00 8B C3 03 C6 05 00 01 00 00 83 C0 04 89 43 1C 8B 43 1C 8B D0 83 EA 04 89 02 8B C3 03 C6 89 43 2C 83 C5 C0 89 6B 34 8B CE 83 E9 38 8D 53 38 8D 47 38 E8 ?? ?? ?? ?? 8B F3 83 C6 4C 89 73 0C 8B 14 24 8B C6 E8 ?? ?? ?? ?? 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12193_0 {
	meta:
		name = "_NF__5B"
		size = 37
		refs = "0013 @FreeMem"
	strings:
		$1 = { 53 85 C0 74 1E 8B D8 83 EB 4C BA 02 00 00 00 8B 43 24 E8 ?? ?? ?? ?? BA 4C 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12194_0 {
	meta:
		name = "_NF__5C"
		size = 99
		refs = "0029 @ReallocMem 0056 @PStrCpy"
	strings:
		$1 = { 53 56 57 55 51 8B E9 89 14 24 83 E8 4C 8B D8 0F B6 7D 00 47 81 C7 06 01 00 00 81 EF 00 01 00 00 8B 53 08 03 D7 8D 43 24 E8 ?? ?? ?? ?? 83 7B 08 02 75 08 8B 43 24 66 C7 00 00 00 8B 43 24 66 FF 00 8B 73 24 03 73 08 66 89 3E 8B 04 24 89 46 02 8D 46 06 8B D5 E8 ?? ?? ?? ?? 01 7B 08 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12195_0 {
	meta:
		name = "_NF__5D"
		size = 40
	strings:
		$1 = { 53 83 E8 4C 8B 58 24 85 DB 74 19 0F B7 0B 8D 43 02 85 C9 7E 0F 3B 50 02 74 0C 0F B7 18 01 D8 49 85 C9 7F F1 33 C0 5B C3 }
	condition:
		$1
}

rule function_12196_0 {
	meta:
		name = "_NF__5E"
		size = 74
		refs = "0008 _NF__5D 0026 Move 0042 @ReallocMem"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 36 83 EB 4C 0F B7 30 8B D0 03 D6 8B 7B 24 03 7B 08 8B CF 2B CA 92 E8 ?? ?? ?? ?? 8B 43 24 66 FF 08 29 73 08 8B 43 08 83 F8 02 75 02 33 C0 8D 53 24 92 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12197_0 {
	meta:
		name = "_NF__5F"
		size = 33
		refs = "0002 _NV__55 0007 TBits.OpenBit 0019 TBits.SetBit"
	strings:
		$1 = { 53 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 43 8B D3 4A B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_12198_0 {
	meta:
		name = "_NF__60"
		size = 16
		refs = "0006 _NV__55 000b TBits.SetBit"
	strings:
		$1 = { 8B D0 4A 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12199_0 {
	meta:
		name = "_NF__61"
		size = 40
		refs = "0017 _NF__60"
	strings:
		$1 = { 53 56 8B 50 24 85 D2 74 1C 0F B7 32 8D 5A 02 85 F6 7E 12 8B 43 02 E8 ?? ?? ?? ?? 0F B7 03 01 C3 4E 85 F6 7F EE 5E 5B C3 }
	condition:
		$1
}

rule function_12200_0 {
	meta:
		name = "_NF__62"
		size = 21
		refs = "0006 DestroySubClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 FC 5B C3 }
	condition:
		$1
}

rule function_12201_0 {
	meta:
		name = "_NF__65"
		size = 113
		refs = "0024 _NF__65 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 89 45 FC 8B 55 FC 8B 02 89 45 F8 8B 45 F8 83 E8 4C 8B 00 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 78 04 85 FF 74 0B 8B C7 8B D6 8B 18 FF 53 10 EB 0A 8B D6 8B 45 FC 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 10 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12202_0 {
	meta:
		name = "CreateSubClass"
		size = 90
		refs = "0019 @LStrToString 0022 _NF__5A 0030 _NF__57 0040 _NF__62 004a _NF__65"
	strings:
		$1 = { 53 56 57 81 C4 00 FF FF FF 8B F9 8B DA 8B F0 8B C4 8B D3 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B C4 8B D7 E8 ?? ?? ?? ?? 8B F8 8B DF 83 EB 4C 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 89 13 89 73 04 C7 43 48 ?? ?? ?? ?? 8D 53 4C C7 42 10 ?? ?? ?? ?? 89 38 81 C4 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12203_0 {
	meta:
		name = "DestroySubClass"
		size = 99
		refs = "0014 _NF__61 001b _NF__58 0021 _NV__56 0040 TList.Get 005a _NF__5B"
	strings:
		$1 = { 53 56 57 55 8B D0 8B 32 8B FE 83 EF 4C 8B 0F 89 0A 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 2F A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 22 43 33 ED 8B D5 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 34 3B 32 75 08 8B 17 83 C2 C0 89 50 34 45 4B 75 E1 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12204_0 {
	meta:
		name = "RenameSubClass"
		size = 44
		refs = "0016 @LStrToString 001f _NF__59"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 8B D8 8B C4 8B D6 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B 03 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12205_0 {
	meta:
		name = "GetSubClassInstance"
		size = 7
	strings:
		$1 = { 83 E8 4C 8B 40 04 C3 }
	condition:
		$1
}

rule function_12206_0 {
	meta:
		name = "CreateSubClassMethod"
		size = 86
		refs = "0017 @LStrToString 0020 TObject.MethodAddress 002b _NF__5F 0046 _NF__5C"
	strings:
		$1 = { 53 56 57 81 C4 00 FF FF FF 8B FA 8B F0 8B C4 8B D7 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B 06 E8 ?? ?? ?? ?? 8B D8 85 DB 75 20 E8 ?? ?? ?? ?? 8B D8 8B C4 8B D7 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B CC 8B 06 8B D3 E8 ?? ?? ?? ?? 8B C3 81 C4 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12207_0 {
	meta:
		name = "RenameSubClassMethod"
		size = 63
		refs = "0017 _NF__5E 0025 @LStrToString 0030 _NF__5C"
	strings:
		$1 = { 53 56 57 55 81 C4 00 FF FF FF 8B E9 8B F2 8B D8 8B FB 8B 07 8B D6 E8 ?? ?? ?? ?? 8B C4 8B D5 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B CC 8B 07 8B D6 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12208_0 {
	meta:
		name = "DestroySubClassMethod"
		size = 8
		refs = "0003 _NF__5E"
	strings:
		$1 = { 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12210_0 {
	meta:
		name = "Proxies"
		size = 27
		refs = "0002 _NV__45 000c _Dn_TBits 0011 TObject.Create 0016 _NV__55"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12214_0 {
	meta:
		name = "TQRAboutBox.FormCreate"
		size = 117
		refs = "000c TQRAboutBox.FormCreate 001f LoadStr 002d TControl.SetText 0050 TControl.SetCursor 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 B2 8D 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? C6 83 14 02 00 00 00 66 BA EB FF 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12215_0 {
	meta:
		name = "TQRAboutBox.Label4MouseDown"
		size = 70
		refs = "0020 TControl.SetTop 0030 TControl.SetLeft 003d TControl.SetVisible"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 F9 01 75 36 80 BB 14 02 00 00 00 74 2D BA 5C 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? BA 5C 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_12216_0 {
	meta:
		name = "TQRAboutBox.FormKeyDown"
		size = 32
		altNames = "TQRAboutBox.FormKeyUp"
	strings:
		$1 = { 55 8B EC 8B 55 08 F6 C2 01 74 05 F6 C2 02 75 04 33 D2 EB 02 B2 01 88 90 14 02 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_12218_0 {
	meta:
		name = "TQRAboutBox.Label3Click"
		size = 60
		refs = "000a TQRAboutBox.Label3Click 0016 TWinControl.GetHandle 001c ShellExecute"
	strings:
		$1 = { 53 8B D8 6A 05 6A 00 6A 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 00 00 77 77 77 2E 71 75 73 6F 66 74 2E 63 6F 6D 00 00 6F 70 65 6E 00 00 00 00 }
	condition:
		$1
}

rule function_12221_0 {
	meta:
		name = "TQRTableSelect.FormCreate"
		size = 128
		refs = "0008 Screen 0013 TScreen.SetCursor 001b TQRTableSelect.FormCreate 0035 Session 003c TSession.GetAliasNames 004c TCustomComboBox.SetItemIndex 006d @HandleFinally 0079 TQRTableSelect.AliasChange"
	strings:
		$1 = { 55 8B EC 51 89 45 FC A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 DC 01 00 00 8B 90 18 01 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 DC 01 00 00 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 D2 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_12222_0 {
	meta:
		name = "TQRTableSelect.AliasChange"
		size = 292
		refs = "000f TQRTableSelect.AliasChange 001a Screen 0025 TScreen.SetCursor 0051 TCustomComboBox.GetItemIndex 0069 Session 0072 TSession.GetTableNames 0084 LoadStr 0099 @LStrCatN 00bc TCustomComboBox.SetItemIndex 00dd @HandleFinally 00f9 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 DC 01 00 00 6A 01 6A 00 8B 83 E0 01 00 00 8B 80 18 01 00 00 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B 86 18 01 00 00 8B 30 FF 56 0C 8B 55 FC A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F8 B8 82 8D 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B 83 E0 01 00 00 8B 80 18 01 00 00 33 D2 8B 30 FF 56 54 8B 83 E0 01 00 00 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 FF FF FF FF 01 00 00 00 3C 00 00 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_12224_0 {
	meta:
		name = "TQRTableSelect.OKClick"
		size = 168
		refs = "000d TQRTableSelect.OKClick 001e TCustomComboBox.GetItemIndex 004d @LStrAsg 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 60 8B B3 DC 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B 86 18 01 00 00 8B 30 FF 56 0C 8B 55 FC 8D 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B B3 E0 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B 86 18 01 00 00 8B 30 FF 56 0C 8B 55 FC 8D 83 F4 01 00 00 E8 ?? ?? ?? ?? C7 83 50 01 00 00 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12227_0 {
	meta:
		name = "_NF__9F"
		size = 1728
		refs = "000f _NF__9F 0026 TQRPage.GetPaperSize 002e QRPaperName 004b TCustomComboBox.SetItemIndex 0061 TQRPage.GetValue 0075 FormatFloat 0083 TControl.SetText 0218 IntToStr 0237 TFont.GetName 025f PopulateFontSizeCombo 026d TFont.GetSize 028e TQRBasePanel.GetFrame 029c TCustomCheckBox.SetChecked 0306 TBrush.SetColor 0311 TQuickRep.GetUnits 0336 TQuickRepBands.GetHasBand 0446 TQuickRepBands.GetBand 044b TQRCustomBand.GetBandSize 0452 TQRBandSize.GetValue 0695 @LStrClr 06a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D8 02 00 00 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B B3 FC 01 00 00 8B 86 18 01 00 00 8B 08 FF 51 50 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 BC 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 BC 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 BC 01 00 00 80 78 44 00 75 0F 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? EB 10 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 BC 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 BC 01 00 00 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 BC 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 BC 01 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 BC 01 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 34 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 D8 02 00 00 8B 80 BC 01 00 00 8B 40 2C E8 ?? ?? ?? ?? 8B 55 FC 8B 83 58 02 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 83 D8 02 00 00 8B 40 50 E8 ?? ?? ?? ?? 8B 55 F8 8B B3 4C 02 00 00 8B 86 18 01 00 00 8B 08 FF 51 50 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 40 50 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8A 50 12 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8A 50 08 8B 83 70 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8A 50 09 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8A 50 11 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 50 04 8B 83 64 02 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8A D0 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 44 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 44 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 44 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 44 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 44 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 44 8B 83 D8 02 00 00 8B 80 6C 01 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 F6 80 B8 01 00 00 01 0F 95 C2 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 F6 80 B8 01 00 00 02 0F 95 C2 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 FF FF FF FF 06 00 00 00 23 23 30 2E 30 30 00 00 }
	condition:
		$1
}

rule function_12228_0 {
	meta:
		name = "_NF__A0"
		size = 1816
		refs = "000f _NF__A0 0021 QRPaperName 0033 TControl.GetText 003c @LStrCmp 0051 TQRPage.SetPaperSize 006a TQRPage.GetPaperSize 0084 StrToFloat 00a1 TQRPage.SetValue 00df TCustomComboBox.GetItemIndex 00f6 TQRPage.SetOrientation 021d StrToInt 0230 TQRPage.SetColumns 024f TFont.SetName 0275 TFont.SetSize 0280 TCustomCheckBox.GetChecked 028c TQRBasePanel.GetFrame 0297 TQRFrame.SetValue 030b TBrush.GetColor 031d TQRFrame.SetColor 0345 TQRFrame.SetWidth 0368 TQuickRepBands.SetHasBand 03be TQuickRepBands.GetBand 03c3 TQRCustomBand.GetBandSize 03ca TQRBandSize.SetValue 067b TQuickRep.SetUnits 06f0 @LStrClr 06fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 75 15 8B 86 D8 02 00 00 8B 80 BC 01 00 00 8B D3 E8 ?? ?? ?? ?? EB 06 43 80 FB 1C 75 BE 8B 86 D8 02 00 00 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 3C 1B 75 66 8D 55 F8 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 D8 02 00 00 8B 80 BC 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 D8 02 00 00 8B 80 BC 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 15 8B 86 D8 02 00 00 8B 80 BC 01 00 00 33 D2 E8 ?? ?? ?? ?? EB 13 8B 86 D8 02 00 00 8B 80 BC 01 00 00 B2 01 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 24 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 D8 02 00 00 8B 80 BC 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 28 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 D8 02 00 00 8B 80 BC 01 00 00 33 D2 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 2C 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 D8 02 00 00 8B 80 BC 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 D8 02 00 00 8B 80 BC 01 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 34 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 D8 02 00 00 8B 80 BC 01 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 58 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 86 D8 02 00 00 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 4C 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 86 D8 02 00 00 8B 40 50 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 50 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 86 D8 02 00 00 8B 40 50 E8 ?? ?? ?? ?? 8B 86 74 02 00 00 E8 ?? ?? ?? ?? 50 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? BA 02 00 00 00 59 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 50 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? BA 03 00 00 00 59 E8 ?? ?? ?? ?? 8B 86 6C 02 00 00 E8 ?? ?? ?? ?? 50 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? 8B 86 70 02 00 00 E8 ?? ?? ?? ?? 50 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 59 E8 ?? ?? ?? ?? 8B 86 64 02 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 50 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 55 F8 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 86 94 02 00 00 E8 ?? ?? ?? ?? 8B C8 8B 86 D8 02 00 00 8B 80 6C 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 86 94 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 53 8D 55 F8 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 3F 8D 55 F8 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 D8 02 00 00 8B 80 6C 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 8B C8 8B 86 D8 02 00 00 8B 80 6C 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 53 8D 55 F8 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 3F 8D 55 F8 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 D8 02 00 00 8B 80 6C 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 8B C8 8B 86 D8 02 00 00 8B 80 6C 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 53 8D 55 F8 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 3F 8D 55 F8 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 D8 02 00 00 8B 80 6C 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 9C 02 00 00 E8 ?? ?? ?? ?? 8B C8 8B 86 D8 02 00 00 8B 80 6C 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 86 9C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 53 8D 55 F8 8B 86 AC 02 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 3F 8D 55 F8 8B 86 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 D8 02 00 00 8B 80 6C 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 B8 02 00 00 E8 ?? ?? ?? ?? 8B C8 8B 86 D8 02 00 00 8B 80 6C 01 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 86 B8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 53 8D 55 F8 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 3F 8D 55 F8 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 D8 02 00 00 8B 80 6C 01 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B C8 8B 86 D8 02 00 00 8B 80 6C 01 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 53 8D 55 F8 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 3F 8D 55 F8 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 D8 02 00 00 8B 80 6C 01 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 48 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 8B 86 D8 02 00 00 8A 15 ?? ?? ?? ?? 88 90 B8 01 00 00 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 18 8B 9E D8 02 00 00 8A 83 B8 01 00 00 0A 05 ?? ?? ?? ?? 88 83 B8 01 00 00 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 18 8B 9E D8 02 00 00 8A 83 B8 01 00 00 0A 05 ?? ?? ?? ?? 88 83 B8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 00 00 00 01 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_12229_0 {
	meta:
		name = "TQRCompEd.SetQuickRep"
		size = 16
		refs = "000b _NF__9F"
	strings:
		$1 = { 89 90 D8 02 00 00 85 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12230_0 {
	meta:
		name = "TQRCompEd.FormCreate"
		size = 157
		refs = "000d TQRCompEd.FormCreate 001f QRPaperName 0040 _Dn_TStringList 0045 TObject.Create 0058 TCustomComboBox.SetSorted 005d GetFonts 006a TCustomComboBox.SetItems 008c @LStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 FC 01 00 00 8B 80 18 01 00 00 8B 08 FF 51 34 43 80 FB 1C 75 DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 DC 02 00 00 B2 01 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 86 4C 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 86 4C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12231_0 {
	meta:
		name = "TQRCompEd.SetAvailableDataSets"
		size = 26
		refs = "000d TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 89 B3 DC 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12236_0 {
	meta:
		name = "TQRCompEd.FloatKeyPress"
		size = 108
		refs = "000d TQRCompEd.PageWidthExit 0015 TQRCompEd.FloatKeyPress 0026 DecimalSeparator"
	strings:
		$1 = { 56 57 83 C4 E0 8B F1 80 3E 0D 75 07 E8 ?? ?? ?? ?? EB 32 56 BE ?? ?? ?? ?? 8D 7C 24 04 B9 08 00 00 00 F3 A5 5E A1 ?? ?? ?? ?? 8A 00 25 FF 00 00 00 0F AB 04 24 8A 06 25 FF 00 00 00 0F A3 04 24 72 03 C6 06 00 83 C4 20 5F 5E C3 00 00 01 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12237_0 {
	meta:
		name = "TQRCompEd.PageWidthExit"
		size = 152
		refs = "000f TQRCompEd.PageWidthExit 0021 TControl.GetText 0039 StrToFloat 004d FormatFloat 0057 TControl.SetText 006c @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B F3 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 30 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 FF FF FF FF 06 00 00 00 23 23 30 2E 30 30 00 00 }
	condition:
		$1
}

rule function_12238_0 {
	meta:
		name = "TQRCompEd.AboutClick"
		size = 98
		refs = "000d TCustomForm.Hide 0017 _Dn_TQRAboutBox 001c TCustomForm.Create 0027 TQRCompEd.AboutClick 0035 TCustomForm.ShowModal 004a TObject.Free 0050 @HandleFinally 005a TCustomForm.Show"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_12239_0 {
	meta:
		name = "TQRCompEd.PreviewClick"
		size = 12
		refs = "0007 TQuickRep.Preview"
	strings:
		$1 = { 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12240_0 {
	meta:
		name = "TQRCompEd.ColorButtonClick"
		size = 129
		refs = "000c _Dn_TColorDialog 0011 TColorDialog.Create 001c TQRCompEd.ColorButtonClick 0033 TBrush.GetColor 005c TBrush.SetColor 0071 TObject.Free 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 64 02 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C 8B 45 FC 8B 10 FF 52 34 84 C0 74 17 8B 45 FC 8B 50 4C 8B 83 64 02 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12241_0 {
	meta:
		name = "TQRCompEd.FormDestroy"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12242_0 {
	meta:
		name = "TQRCompEd.SpeedButton1Click"
		size = 19
		refs = "000e _NF__CA"
	strings:
		$1 = { 6A 01 B9 01 00 00 00 8B 90 58 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12243_0 {
	meta:
		name = "_NF__CA"
		size = 135
		refs = "0011 _NF__CA 0021 TControl.GetText 0029 StrToInt 004c IntToStr 0056 TControl.SetText 006b @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 03 C6 3B 45 08 7C 26 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 03 C6 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12244_0 {
	meta:
		name = "TQRCompEd.SpeedButton2Click"
		size = 17
		refs = "000c _NF__CA"
	strings:
		$1 = { 6A 01 83 C9 FF 8B 90 58 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12245_0 {
	meta:
		name = "TQRCompEd.SpeedButton3Click"
		size = 19
		refs = "000e _NF__CA"
	strings:
		$1 = { 6A 00 B9 01 00 00 00 8B 90 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12246_0 {
	meta:
		name = "TQRCompEd.SpeedButton4Click"
		size = 17
		refs = "000c _NF__CA"
	strings:
		$1 = { 6A 00 83 C9 FF 8B 90 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12249_0 {
	meta:
		name = "_NF__18A"
		size = 212
		refs = "0014 @LStrAddRef 001c _NF__18A 0029 _Dn_TStringList 002e TObject.Create 003d @LStrPos 0057 @LStrCopy 0070 @LStrDelete 008b @LStrLen 00b3 @LStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 40 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 51 34 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7F C0 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 0A 8B 55 FC 8B C6 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5E 5B 59 59 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_12250_0 {
	meta:
		name = "TQRCustomLabel.Create"
		size = 143
		refs = "000a @ClassCreate 0017 TQRPrintable.Create 0033 _Dn_TStringList 0038 TObject.Create 0060 TQRCustomLabel.SetCaption 0069 TQRPrintable.SetTransparent"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 4D 01 00 00 01 C6 86 4E 01 00 00 00 C6 86 68 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 5C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 58 01 00 00 C6 86 4C 01 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 70 01 00 00 00 33 C0 89 86 54 01 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12251_0 {
	meta:
		name = "TQRCustomLabel.Destroy"
		size = 56
		refs = "000d TObject.Free 0024 TQRPrintable.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 5C 01 00 00 E8 ?? ?? ?? ?? 8B 86 58 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12252_0 {
	meta:
		name = "TQRCustomLabel.GetCaption"
		size = 22
		refs = "000f @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 50 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12253_0 {
	meta:
		name = "TQRCustomLabel.DefineProperties"
		size = 124
		refs = "001e TQRCustomLabel.DefineProperties 004e TControl.DefineProperties"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 53 8B 03 8B 80 9C 00 00 00 50 53 8B 03 8B 80 A0 00 00 00 50 B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 8B 03 8B 80 A4 00 00 00 50 53 8B 03 8B 80 A8 00 00 00 50 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 FF FF FF FF 08 00 00 00 46 6F 6E 74 53 69 7A 65 00 00 00 00 FF FF FF FF 07 00 00 00 56 69 73 69 62 6C 65 00 }
	condition:
		$1
}

rule function_12254_0 {
	meta:
		name = "TQRCustomLabel.ReadFontSize"
		size = 26
		refs = "0009 TReader.ReadInteger 0013 TFont.SetSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12256_0 {
	meta:
		name = "TQRCustomLabel.WriteFontSize"
		size = 26
		refs = "000a TFont.GetSize 0013 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12258_0 {
	meta:
		name = "TQRCustomLabel.Loaded"
		size = 32
		refs = "0006 TQRPrintable.Loaded 001a TFont.SetSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 54 01 00 00 85 C0 7E 0A 8B D0 8B 43 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12259_0 {
	meta:
		name = "TQRCustomLabel.CMFontChanged"
		size = 22
		refs = "0006 TWinControl.CMFontChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 98 00 00 00 5E C3 }
	condition:
		$1
}

rule function_12260_0 {
	meta:
		name = "TQRCustomLabel.Prepare"
		size = 127
		refs = "000e TQRCustomLabel.Prepare 001b TQRPrintable.Prepare 0029 TQRCustomLabel.GetCaption 0031 @LStrLen 004a @LStrCopy 0054 TQRCustomLabel.SetCaption 006e @LStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 BA 01 00 00 00 59 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12261_0 {
	meta:
		name = "TQRCustomLabel.FormatLines"
		size = 1352
		refs = "001a TQRCustomLabel.FormatLines 0044 TObject.Free 004b _Dn_TStringList 0050 TObject.Create 005d TQRCustomLabel.GetCaption 00d5 TFont.GetSize 00de TQRPrintable.GetZoom 00f4 @ROUND 00fd TFont.SetSize 012f _NF__18A 0139 @LStrClr 0177 @LStrCatN 0188 TQuickRep.TextWidth 01dd TCanvas.TextWidth 0208 @LStrLen 0219 @LStrCat 02c8 TCanvas.SetFont 03e3 TControl.SetWidth 040b TQuickRep.TextHeight 0434 TControl.SetHeight 0446 TCanvas.TextHeight 0516 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E8 89 55 E0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 24 00 0F 84 C1 04 00 00 83 BB 28 01 00 00 00 0F 95 45 F3 8B 83 58 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 83 7D E8 00 74 17 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 08 FF 51 34 EB 0E 8B 93 5C 01 00 00 8B 45 F8 8B 08 FF 51 08 80 BB 4D 01 00 00 00 0F 85 F3 01 00 00 80 BB 68 01 00 00 00 0F 84 E6 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 58 01 00 00 8B 83 18 01 00 00 8B 40 0C 8B 53 50 8B 08 FF 51 08 8B 83 18 01 00 00 8B 70 0C 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 0F AF F8 89 7D E4 DB 45 E4 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 48 85 C0 0F 8C 70 01 00 00 40 89 45 EC C7 45 FC 00 00 00 00 8D 4D E8 8B 55 FC 8B 45 F8 8B 30 FF 56 0C 8B 45 E8 E8 ?? ?? ?? ?? 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 85 C0 0F 8E 16 01 00 00 E9 EC 00 00 00 80 7D F3 00 74 58 FF 75 F4 8D 4D E0 33 D2 8B C6 8B 38 FF 57 0C FF 75 E0 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 8B 53 50 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 0F AF F8 89 7D E4 DB 45 E4 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F8 EB 34 FF 75 F4 8D 4D E0 33 D2 8B C6 8B 38 FF 57 0C FF 75 E0 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F8 3B 7B 38 7E 1C 83 7D F4 00 74 16 8B 55 F4 8B 83 58 01 00 00 8B 08 FF 51 34 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 33 D2 8B C6 8B 38 FF 57 0C 8B 55 E8 8D 45 F4 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 44 8B C6 8B 10 FF 52 14 85 C0 0F 8F 05 FF FF FF 83 7D F4 00 74 1D 8B 55 F4 8B 83 58 01 00 00 8B 08 FF 51 34 EB 0D 33 D2 8B 83 58 01 00 00 8B 08 FF 51 34 8B C6 E8 ?? ?? ?? ?? FF 45 FC FF 4D EC 0F 85 9B FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? EB 09 8B 45 F8 89 83 58 01 00 00 C6 83 4C 01 00 00 01 80 BB 4D 01 00 00 00 0F 84 B6 01 00 00 80 BB 70 01 00 00 00 0F 85 A9 01 00 00 33 C0 89 83 6C 01 00 00 8B 53 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 8B 70 0C 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 0F AF F8 89 7D E4 DB 45 E4 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 58 01 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 91 00 00 00 40 89 45 EC C7 45 FC 00 00 00 00 80 7D F3 00 74 45 8D 4D E8 8B 55 FC 8B 83 58 01 00 00 8B 30 FF 56 0C 8B 4D E8 8B 53 50 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 0F AF F0 89 75 E4 DB 45 E4 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F8 EB 21 8D 4D E8 8B 55 FC 8B 83 58 01 00 00 8B 30 FF 56 0C 8B 55 E8 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F8 3B BB 6C 01 00 00 7E 06 89 BB 6C 01 00 00 FF 45 FC FF 4D EC 0F 85 7A FF FF FF 8B 83 20 01 00 00 80 78 09 00 74 09 8B 40 14 01 83 6C 01 00 00 8B 83 20 01 00 00 80 78 11 00 74 09 8B 40 14 01 83 6C 01 00 00 C6 83 70 01 00 00 01 8B 93 6C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 5C 01 00 00 8B 10 FF 52 14 85 C0 75 5D 80 7D F3 00 74 3E B9 ?? ?? ?? ?? 8B 53 50 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 0F AF F0 89 75 E4 DB 45 E4 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 42 8B C3 E8 ?? ?? ?? ?? EB 19 BA ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? C6 83 70 01 00 00 00 E9 90 00 00 00 80 BB 4D 01 00 00 00 0F 85 83 00 00 00 80 BB 70 01 00 00 00 75 7A 80 7D F3 00 74 74 B9 ?? ?? ?? ?? 8B 53 50 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 0F AF F0 89 75 E4 DB 45 E4 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 40 3B 43 3C 7E 3C B9 ?? ?? ?? ?? 8B 53 50 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 0F AF F0 89 75 E4 DB 45 E4 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 42 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_12262_0 {
	meta:
		name = "TQRCustomLabel.SetLines"
		size = 32
		refs = "0013 TQRCustomLabel.SetCaption"
	strings:
		$1 = { 56 8B F0 8B 86 5C 01 00 00 8B 08 FF 51 08 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_12263_0 {
	meta:
		name = "_NF__1AF"
		size = 451
		refs = "0023 _NF__1AF 003f TQRPrintable.GetTransparent 0051 TBrush.SetColor 005e TBrush.SetStyle 0069 TCanvas.FillRect 0080 TQRFrame.AnyFrame 00c2 TCanvas.GetHandle 00c8 SetBkMode 00ea SetTextAlign 015d @LStrLen 0174 UniqueString 0193 ExtTextOut 01ae @LStrClr 01b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D F0 8B F1 8D 7D D4 B9 04 00 00 00 F3 A5 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 98 00 00 00 33 C0 89 45 E8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 26 8B 45 FC 8B 40 14 8B 53 54 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 89 45 F4 8B 45 D4 89 45 F8 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 83 20 01 00 00 80 78 12 00 74 06 8B 50 14 01 55 F4 80 78 09 00 74 06 8B 40 14 01 45 F8 8B 45 D4 29 45 DC 33 C0 89 45 D4 8B 45 D8 29 45 E0 33 C0 89 45 D8 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8A 83 1D 01 00 00 2C 01 72 08 74 18 FE C8 74 2C EB 4A 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 38 6A 02 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 DC 01 45 F8 EB 20 6A 06 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 DC 2B 45 D4 D1 F8 79 03 83 D0 00 01 45 F8 8B 83 58 01 00 00 8B 10 FF 52 14 48 85 C0 7C 65 40 89 45 E4 33 F6 8B C6 F7 6D 08 03 45 F4 89 45 EC 8D 4D F0 8B D6 8B 83 58 01 00 00 8B 38 FF 57 0C 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7E 32 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 D4 50 8B 45 E8 50 8B 45 EC 50 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 46 FF 4D E4 75 A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12264_0 {
	meta:
		name = "_NF__1B0"
		size = 1328
		refs = "0020 _NF__1B0 0039 TQRCustomLabel.GetCaption 0083 @LStrCmp 008f TQRCustomLabel.SetCaption 00b9 TQRPrintable.GetTransparent 00ce TPen.SetWidth 00dc TBrush.SetColor 00e9 TBrush.SetStyle 0103 TQRPrinter.YPos 0122 TQRPrinter.XPos 0157 Rect 0162 TCanvas.FillRect 0178 TQRPrinter.YSize 0193 TQRPrinter.XSize 01e2 TCanvas.GetHandle 01e8 SetBkMode 020a SetTextAlign 0299 TQRCustomBand.CanExpand 02b7 TQRCustomBand.ExpandBand 02c8 TQRPrinter.GetCanvas 02d6 TCanvas.SetFont 03f6 @LStrLen 042d @LStrToPChar 0472 ExtTextOut 0504 @LStrClr 0511 @LStrArrayClr 0517 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D A8 89 5D CC 89 5D C8 88 4D FB 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 C0 C6 45 C7 00 8D 55 A8 8B C3 E8 ?? ?? ?? ?? 83 7D A8 00 74 56 66 83 BB 62 01 00 00 00 74 4C 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8D 4D C8 8B D3 8B 83 64 01 00 00 FF 93 60 01 00 00 8D 55 A8 8B C3 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 C8 E8 ?? ?? ?? ?? 74 1A 8B 55 C8 8B C3 E8 ?? ?? ?? ?? C6 45 C7 01 EB 0A 8B C3 8B 10 FF 92 98 00 00 00 8B 83 28 01 00 00 80 B8 95 01 00 00 00 0F 84 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 A1 00 00 00 8B 45 FC 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 53 54 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 33 D2 E8 ?? ?? ?? ?? DB 6D 2C DB 6D 14 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 50 8D 45 98 50 DB 6D 38 DB 6D 20 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 50 66 8B 45 34 50 FF 75 30 FF 75 2C 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 50 66 8B 45 40 50 FF 75 3C FF 75 38 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 55 98 8B 45 FC E8 ?? ?? ?? ?? 66 8B 45 10 50 FF 75 0C FF 75 08 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 50 8D 45 AC 50 66 8B 45 28 50 FF 75 24 FF 75 20 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? DB 6D 2C DB 6D 14 DE C1 D8 05 ?? ?? ?? ?? DB 7D F0 9B 8B 45 38 89 45 E6 8B 45 3C 89 45 EA 66 8B 45 40 66 89 45 EE 8B 45 2C 89 45 DC 8B 45 30 89 45 E0 66 8B 45 34 66 89 45 E4 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8A 83 1D 01 00 00 2C 01 72 08 74 18 FE C8 74 32 EB 52 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 40 6A 02 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? DB 6D E6 DB 6D 20 DE C1 DB 7D E6 9B EB 22 6A 06 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? DB 6D 20 D8 0D ?? ?? ?? ?? DB 6D E6 DE C1 DB 7D E6 9B 8B 83 58 01 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 7F 02 00 00 40 89 45 BC 33 F6 DB 6D DC DB 6D 08 DE C1 DB 6D F0 DE D9 DF E0 9E 0F 83 4F 01 00 00 80 7D FB 00 0F 84 59 02 00 00 66 8B 45 10 50 FF 75 0C FF 75 08 8B 43 24 E8 ?? ?? ?? ?? 34 01 88 45 D1 66 8B 45 10 50 FF 75 0C FF 75 08 8D 4D D2 8D 55 DC 8B 43 24 E8 ?? ?? ?? ?? 80 7D D1 00 74 6F 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 89 45 FC 8B 53 50 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8A 83 1D 01 00 00 2C 01 72 08 74 18 FE C8 74 26 EB 34 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 22 6A 02 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 10 6A 06 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? DB 6D DC DB 6D 08 DE C1 DB 7D F0 9B 8B 83 28 01 00 00 80 B8 95 01 00 00 00 0F 84 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 75 66 8B 45 F8 50 FF 75 F4 FF 75 F0 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 50 8D 45 98 50 DB 6D E6 DB 6D 20 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 50 66 8B 45 E4 50 FF 75 E0 FF 75 DC 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 50 66 8B 45 EE 50 FF 75 EA FF 75 E6 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 55 98 8B 45 FC E8 ?? ?? ?? ?? 8B 83 28 01 00 00 80 B8 95 01 00 00 00 0F 84 94 00 00 00 8D 4D A8 8B D6 8B 83 58 01 00 00 8B 38 FF 57 0C 8B 45 A8 E8 ?? ?? ?? ?? 85 C0 7E 78 6A 00 8D 4D A8 8B D6 8B 83 58 01 00 00 8B 38 FF 57 0C 8B 45 A8 E8 ?? ?? ?? ?? 50 8D 4D A8 8B D6 8B 83 58 01 00 00 8B 38 FF 57 0C 8B 45 A8 E8 ?? ?? ?? ?? 50 8D 45 AC 50 8B 45 C0 50 66 8B 45 E4 50 FF 75 E0 FF 75 DC 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 50 66 8B 45 EE 50 FF 75 EA FF 75 E6 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 28 01 00 00 80 B8 94 01 00 00 00 74 48 66 8B 45 EE 50 FF 75 EA FF 75 E6 66 8B 45 E4 50 FF 75 E0 FF 75 DC 8A 83 1D 01 00 00 50 8D 4D A8 8B D6 8B 83 58 01 00 00 8B 38 FF 57 0C 8B 45 A8 50 8B 83 28 01 00 00 8B 80 90 01 00 00 8B 4B 54 8B 53 50 8B 38 FF 57 20 DB 6D DC DB 6D 08 DE C1 DB 7D DC 9B 46 FF 4D BC 0F 85 87 FD FF FF 80 7D C7 00 74 0A 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 3C 00 00 00 00 00 80 3F 00 00 00 3F }
	condition:
		$1
}

rule function_12265_0 {
	meta:
		name = "TQRCustomLabel.Paint"
		size = 248
		refs = "001c TFont.GetSize 0025 TQRPrintable.GetZoom 0034 TQRCustomLabel.Paint 003b @ROUND 0086 TFont.SetSize 0098 TCanvas.TextHeight 00bb Rect 00cc _NF__1AF 00d3 TQRPrintable.PaintCorners"
	strings:
		$1 = { 53 56 83 C4 EC 8B D8 8B 83 18 01 00 00 8B 40 0C 8B 53 50 8B 08 FF 51 08 8B 43 50 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 0F AF F0 89 34 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F0 8B 83 18 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 3B F0 74 37 8B 43 50 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 0F AF F0 89 34 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 8B 83 18 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 6A 00 BA ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 04 DB 44 24 04 E8 ?? ?? ?? ?? 50 8B 43 3C 50 8D 44 24 10 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 4C 24 0C 8B 93 18 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5E 5B C3 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_12266_0 {
	meta:
		name = "TQRCustomLabel.Print"
		size = 244
		refs = "0014 TQRPrinter.GetCanvas 0020 TCanvas.SetFont 0030 TQRPrintableSize.GetValue 0090 TQRCustomLabel.Print 0097 TCanvas.TextHeight 00ce _NF__1B0 00d9 TQRPrintable.Print"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B E9 8B FA 8B D8 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 53 50 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 3C 24 DB 04 24 DE C1 83 C4 F4 DB 3C 24 9B BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 10 DB 44 24 10 DE C1 83 C4 F4 DB 3C 24 9B BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 44 24 38 DB 44 24 38 8B 83 2C 01 00 00 DB A8 8C 00 00 00 DE F9 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B D0 8A 8B 4E 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 00 00 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_12267_0 {
	meta:
		name = "TQRCustomLabel.SetAutoStretch"
		size = 18
	strings:
		$1 = { 56 8B F0 88 96 4E 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_12268_0 {
	meta:
		name = "TQRCustomLabel.SetCaption"
		size = 96
		refs = "000e @LStrAddRef 0016 TQRCustomLabel.SetCaption 002a @LStrAsg 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 50 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 98 00 00 00 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12269_0 {
	meta:
		name = "TQRCustomLabel.SetName"
		size = 124
		refs = "0011 TQRCustomLabel.SetName 0021 TQRCustomLabel.GetCaption 003c @LStrCmp 0047 TQRCustomLabel.SetCaption 0050 TControl.SetName 006a @LStrArrayClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 17 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 53 08 E8 ?? ?? ?? ?? 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12270_0 {
	meta:
		name = "TQRCustomLabel.SetParent"
		size = 22
		refs = "0006 TQRPrintable.SetParent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_12271_0 {
	meta:
		name = "TQRCustomLabel.SetAlignment"
		size = 29
		refs = "000b TQRPrintable.SetAlignment"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 C6 86 4D 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12272_0 {
	meta:
		name = "TQRCustomLabel.SetWordWrap"
		size = 18
	strings:
		$1 = { 56 8B F0 88 96 68 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_12273_0 {
	meta:
		name = "TQRMemo.DefineProperties"
		size = 72
		refs = "001e TQRMemo.DefineProperties 002d TQRCustomLabel.DefineProperties"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 53 8B 03 8B 80 AC 00 00 00 50 53 8B 03 8B 80 B0 00 00 00 50 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 FF FF FF FF 07 00 00 00 54 61 62 53 74 6F 70 00 }
	condition:
		$1
}

rule function_12276_0 {
	meta:
		name = "TQRMemo.Paint"
		size = 102
		refs = "000c TQRMemo.Paint 002b TQRCustomLabel.GetCaption 003a TQRCustomLabel.SetCaption 0041 TQRCustomLabel.Paint 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 5C 01 00 00 8B 10 FF 52 14 85 C0 7E 19 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 76 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12277_0 {
	meta:
		name = "TQRMemo.Print"
		size = 114
		refs = "0012 TQRMemo.Print 0031 TQRCustomLabel.GetCaption 0040 TQRCustomLabel.SetCaption 004b TQRCustomLabel.Print 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 5C 01 00 00 8B 10 FF 52 14 85 C0 7E 19 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 76 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12278_0 {
	meta:
		name = "TQRDBText.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TQRCustomLabel.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 7D 01 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12279_0 {
	meta:
		name = "TQRDBText.SetDataSet"
		size = 17
		refs = "000c TComponent.FreeNotification"
	strings:
		$1 = { 89 90 9C 01 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12280_0 {
	meta:
		name = "TQRDBText.SetDataField"
		size = 89
		refs = "000e @LStrAddRef 0016 TQRDBText.SetDataField 002a @LStrAsg 0034 TQRCustomLabel.SetCaption 0049 @LStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 A0 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12281_0 {
	meta:
		name = "TQRDBText.Loaded"
		size = 131
		refs = "000d TQRDBText.Loaded 001a TQRCustomLabel.Loaded 0031 @LStrFromString 003c TComponent.FindComponent 004a _Dn_TDataSource 004f @IsClass 005d TQRDBText.SetDataSet 0072 @LStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 7D 01 00 00 00 74 3A 8D 45 FC 8D 93 7D 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 56 24 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12282_0 {
	meta:
		name = "TQRDBText.DefineProperties"
		size = 76
		refs = "001e TQRDBText.DefineProperties 002d TQRCustomLabel.DefineProperties"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 53 8B 03 8B 80 AC 00 00 00 50 53 8B 03 8B 80 B0 00 00 00 50 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 FF FF FF FF 0A 00 00 00 44 61 74 61 53 6F 75 72 63 65 00 00 }
	condition:
		$1
}

rule function_12283_0 {
	meta:
		name = "TQRDBText.ReadValues"
		size = 129
		refs = "001b TQRDBText.ReadValues 002e TReader.ReadIdent 0044 @LStrToString 0057 @PStrNCpy 006f @LStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 33 C9 89 8D FC FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 FC FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B 95 FC FE FF FF 8D 85 00 FF FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 00 FF FF FF 8D 83 7D 01 00 00 B1 1E E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12285_0 {
	meta:
		name = "TQRDBText.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B BE 9C 01 00 00 75 08 33 C0 89 86 9C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12286_0 {
	meta:
		name = "TQRDBText.SetMask"
		size = 79
		refs = "000e @LStrAddRef 0016 TQRDBText.SetMask 002a @LStrAsg 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 A4 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12823_0 {
	meta:
		name = "TQRGroup.SetExpression"
		size = 79
		refs = "000e @LStrAddRef 0016 TQRGroup.SetExpression 002a @LStrAsg 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 A4 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12287_0 {
	meta:
		name = "TQRDBText.Prepare"
		size = 137
		refs = "0008 TQRCustomLabel.Prepare 001f TDataSet.FindField 0032 TField.GetIndex 004d _Dn_TMemoField 0052 @IsClass 005e _Dn_TBlobField 0070 TQRCustomLabel.SetCaption"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B BB 9C 01 00 00 85 FF 74 60 8B 93 A0 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 89 B3 74 01 00 00 85 F6 74 56 8B C6 E8 ?? ?? ?? ?? 89 83 78 01 00 00 C6 83 7C 01 00 00 01 8B B3 74 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 33 D2 8B C3 E8 ?? ?? ?? ?? EB 0F 33 C0 89 83 74 01 00 00 C6 83 7C 01 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12288_0 {
	meta:
		name = "TQRDBText.Print"
		size = 744
		refs = "001b TQRDBText.Print 004c TDataSet.GetField 0091 _Dn_TMemoField 0096 @IsClass 00a2 _Dn_TBlobField 00e6 _Dn_TStringField 0113 TField.GetDisplayText 011e TQRCustomLabel.SetCaption 014e _Dn_TIntegerField 015f _Dn_TSmallintField 0170 _Dn_TWordField 01a4 FormatFloat 01c5 _Dn_TFloatField 01d6 _Dn_TCurrencyField 01e7 _Dn_TBCDField 022d _Dn_TDateTimeField 023e _Dn_TDateField 024f _Dn_TTimeField 0277 FormatDateTime 0291 @HandleAnyException 02a0 @DoneExcept 02ba TQRCustomLabel.Print 02cf @LStrClr 02d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 7C 01 00 00 00 74 2A 8B 45 FC 8B 98 9C 01 00 00 80 7B 69 00 74 26 8B 45 FC 8B 90 78 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 82 74 01 00 00 EB 0B 8B 45 FC 33 D2 89 90 74 01 00 00 8B 45 FC 83 B8 74 01 00 00 00 0F 84 30 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 74 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8D 55 F0 8B C3 8B 08 FF 51 48 8B 55 F0 8B 45 FC 8B 80 5C 01 00 00 8B 08 FF 51 2C E9 B7 01 00 00 8B 45 FC 83 B8 A4 01 00 00 00 74 18 8B 45 FC 8B 80 74 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 8B 45 FC 8B 98 74 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 5F 01 00 00 8D 55 F0 8B C3 8B 08 FF 51 48 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 45 01 00 00 8B 45 FC 8B 98 74 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8B C3 8B 10 FF 52 44 89 45 EC DB 45 EC D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 F0 8B 45 FC 8B 80 A4 01 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 CE 00 00 00 8B 45 FC 8B 98 74 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8B C3 8B 10 FF 52 40 83 C4 F4 DB 3C 24 9B 8D 55 F0 8B 45 FC 8B 80 A4 01 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? EB 66 8B 45 FC 8B 98 74 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B C3 8B 10 FF 52 3C 83 C4 F8 DD 1C 24 9B 8D 55 F0 8B 45 FC 8B 80 A4 01 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_12289_0 {
	meta:
		name = "TQRDBText.Unprepare"
		size = 54
		refs = "000e TQRPrintable.UnPrepare 0024 TQRDBText.SetDataField"
	strings:
		$1 = { 53 8B D8 33 C0 89 83 74 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 BB A0 01 00 00 00 74 0F 8B 93 A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12290_0 {
	meta:
		name = "TQRExpr.Create"
		size = 86
		refs = "000a @ClassCreate 0017 TQRCustomLabel.Create 001e _Dn_TQREvaluator 0023 TQREvaluator.Create 0034 @LStrClr"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 74 01 00 00 8D 86 78 01 00 00 E8 ?? ?? ?? ?? 8D 86 7C 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12291_0 {
	meta:
		name = "TQRExpr.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TQRCustomLabel.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 74 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12292_0 {
	meta:
		name = "TQRExpr.GetValue"
		size = 121
		refs = "0010 TQRExpr.GetValue 002b TQREvaluator.Value 0042 LoadStr 0052 @LStrToString 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B BE 74 01 00 00 80 7F 0C 00 74 0B 8B D3 8B C7 E8 ?? ?? ?? ?? EB 03 C6 03 04 80 3B 04 75 1D 8D 55 FC B8 67 8D 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12294_0 {
	meta:
		name = "TQRExpr.SetMaster"
		size = 7
	strings:
		$1 = { 89 90 80 01 00 00 C3 }
	condition:
		$1
}

rule function_12295_0 {
	meta:
		name = "TQRExpr.QRNotification"
		size = 74
		refs = "0011 TQRPrintable.QRNotification 0023 TQREvaluator.SetAggregate 0030 TQREvaluator.Value"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B D9 8B F0 8B CB 8B C6 E8 ?? ?? ?? ?? 80 EB 01 73 27 B2 01 8B 86 74 01 00 00 E8 ?? ?? ?? ?? 8B D4 8B 86 74 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 74 01 00 00 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12296_0 {
	meta:
		name = "TQRExpr.Prepare"
		size = 147
		refs = "0007 TQRCustomLabel.Prepare 0027 TQREvaluator.Prepare 0039 _Dn_TQuickRep 003e @IsClass 004b TQuickRep.AddNotifyClient 0055 _Dn_TQRSubDetail 0067 TQRSubDetail.AddNotifyClient 0074 TQREvaluator.GetIsAggreg 008c TQRExpr.Reset"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 28 01 00 00 8B 92 60 01 00 00 8B 83 74 01 00 00 89 50 04 8B 93 78 01 00 00 E8 ?? ?? ?? ?? 8B B3 80 01 00 00 85 F6 74 38 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 38 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B D3 8B C6 E8 ?? ?? ?? ?? EB 1C 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0D 8B D3 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12297_0 {
	meta:
		name = "TQRExpr.Unprepare"
		size = 41
		refs = "000f TQREvaluator.UnPrepare 0016 TQRPrintable.UnPrepare 0023 TQRExpr.SetExpression"
	strings:
		$1 = { 53 8B D8 8B 83 74 01 00 00 33 D2 89 50 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 93 78 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12298_0 {
	meta:
		name = "TQRExpr.Print"
		size = 384
		refs = "001e TQRExpr.Print 0035 TQREvaluator.Value 0085 FormatFloat 0092 TQRCustomLabel.SetCaption 00a5 @LStrFromString 011e TQRCustomLabel.Print 012e TQRExpr.Reset 0146 @LStrClr 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 DB 89 9D F8 FE FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 FC FE FF FF 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 33 C0 8A 85 FC FE FF FF 83 F8 04 0F 87 CD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DB 85 00 FF FF FF D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 95 F8 FE FF FF 8B 83 7C 01 00 00 E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B C3 E8 ?? ?? ?? ?? EB 7F 8D 85 F8 FE FF FF 8D 95 FD FE FF FF E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B C3 E8 ?? ?? ?? ?? EB 5F DD 85 00 FF FF FF 83 C4 F4 DB 3C 24 9B 8D 95 F8 FE FF FF 8B 83 7C 01 00 00 E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B C3 E8 ?? ?? ?? ?? EB 32 80 BD FD FE FF FF 00 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 1B BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 93 78 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 84 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 80 3F FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 }
	condition:
		$1
}

rule function_12299_0 {
	meta:
		name = "TQRExpr.SetExpression"
		size = 188
		refs = "0013 @LStrAddRef 001b TQRExpr.SetExpression 002f @LStrAsg 0047 LoadStr 005c @LStrCatN 0066 TQRCustomLabel.SetCaption 0093 @LStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 78 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 33 68 ?? ?? ?? ?? 8D 55 F4 B8 82 8D 00 00 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_12300_0 {
	meta:
		name = "TQRExpr.SetMask"
		size = 92
		refs = "000e @LStrAddRef 0016 TQRExpr.SetMask 002a @LStrAsg 0037 TQRExpr.SetExpression 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 7C 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 93 78 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12301_0 {
	meta:
		name = "TQRSysData.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TQRCustomLabel.Create 0022 @LStrClr 0029 _NF__224"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 78 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12302_0 {
	meta:
		name = "TQRSysData.Print"
		size = 516
		refs = "0014 TQRSysData.Print 0053 Time 0067 FormatDateTime 0078 @LStrCat3 0082 TQRCustomLabel.SetCaption 008c Date 00c5 Now 010d IntToStr 015e TQuickRep.GetRecordCount 018e TQuickRep.GetRecordNumber 01bc TQRCustomLabel.Print 01d6 @LStrArrayClr 01dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 83 74 01 00 00 83 F8 06 0F 87 86 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 93 78 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 2A 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 93 78 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 F1 00 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 93 78 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 B8 00 00 00 8D 55 F8 8B 83 28 01 00 00 8B 80 C0 01 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 93 78 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 84 00 00 00 8B 83 28 01 00 00 8B 88 D4 01 00 00 8D 45 FC 8B 93 78 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 5E 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 93 78 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 2E 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 93 78 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 74 00 00 00 FF FF FF FF 01 00 00 00 63 00 00 00 }
	condition:
		$1
}

rule function_12303_0 {
	meta:
		name = "_NF__224"
		size = 556
		refs = "000e _NF__224 0060 LoadStr 0075 @LStrCatN 007f TQRCustomLabel.SetCaption 0202 @LStrArrayClr 0208 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 83 74 01 00 00 83 F8 06 0F 87 BC 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF B3 78 01 00 00 68 ?? ?? ?? ?? 8D 55 F8 B8 68 8D 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 5D 01 00 00 FF B3 78 01 00 00 68 ?? ?? ?? ?? 8D 55 F8 B8 69 8D 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 21 01 00 00 FF B3 78 01 00 00 68 ?? ?? ?? ?? 8D 55 F8 B8 6A 8D 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 E5 00 00 00 FF B3 78 01 00 00 68 ?? ?? ?? ?? 8D 55 F8 B8 6B 8D 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 A9 00 00 00 FF B3 78 01 00 00 68 ?? ?? ?? ?? 8D 55 F8 B8 6C 8D 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 70 FF B3 78 01 00 00 68 ?? ?? ?? ?? 8D 55 F8 B8 6D 8D 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 37 FF B3 78 01 00 00 68 ?? ?? ?? ?? 8D 55 F8 B8 6E 8D 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_12304_0 {
	meta:
		name = "TQRSysData.SetData"
		size = 12
		refs = "0007 _NF__224"
	strings:
		$1 = { 88 90 74 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12305_0 {
	meta:
		name = "TQRSysData.SetText"
		size = 86
		refs = "000e @LStrAddRef 0016 TQRSysData.SetText 002a @LStrAsg 0031 _NF__224 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 78 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12306_0 {
	meta:
		name = "TQRShape.Create"
		size = 143
		refs = "000e @ClassCreate 001c TQRPrintable.Create 0028 TControl.SetWidth 0034 TControl.SetHeight 003b _Dn_TPen 0040 TPen.Create 004d _Dn_TBrush 0052 TBrush.Create 0064 TQRShape.StyleChanged"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 41 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 41 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 54 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 50 01 00 00 89 5E 08 C7 46 04 ?? ?? ?? ?? 8B 83 54 01 00 00 89 58 08 C7 40 04 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12307_0 {
	meta:
		name = "TQRShape.DefineProperties"
		size = 72
		refs = "001e TQRShape.DefineProperties 002d TControl.DefineProperties"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 53 8B 03 8B 80 98 00 00 00 50 53 8B 03 8B 80 9C 00 00 00 50 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 FF FF FF FF 07 00 00 00 56 69 73 69 62 6C 65 00 }
	condition:
		$1
}

rule function_12311_0 {
	meta:
		name = "TQRShape.SetShape"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 4C 01 00 00 74 0D 88 96 4C 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_12312_0 {
	meta:
		name = "TQRShape.SetBrush"
		size = 12
	strings:
		$1 = { 8B 80 50 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_12313_0 {
	meta:
		name = "TQRShape.SetPen"
		size = 12
	strings:
		$1 = { 8B 80 54 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_12314_0 {
	meta:
		name = "TQRShape.Paint"
		size = 325
		refs = "0007 TQRPrintable.Paint 001a TCanvas.SetPen 0027 TCanvas.SetBrush 003f TQRShape.Paint 006a TCanvas.Rectangle 0080 TCanvas.Ellipse 0096 TCanvas.MoveTo 00aa TCanvas.LineTo"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 18 01 00 00 8B 93 54 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 50 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 8A 83 4C 01 00 00 83 F8 05 0F 87 06 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 38 50 8B 43 3C 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 38 50 8B 43 3C 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 4B 3C D1 F9 79 03 83 D1 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C D1 F9 79 03 83 D1 00 8B 53 38 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 53 38 D1 FA 79 03 83 D2 00 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 53 38 D1 FA 79 03 83 D2 00 8B 4B 3C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 53 38 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 8B 53 38 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 53 38 4A 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 53 38 4A 8B 4B 3C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12315_0 {
	meta:
		name = "TQRShape.Print"
		size = 2024
		refs = "0028 TQRPrinter.GetCanvas 0033 TCanvas.SetBrush 0049 TCanvas.SetPen 0070 TQRShape.Print 0098 TQRPrintableSize.GetValue 00cb TQRPrinter.XPos 0108 TQRPrinter.YPos 0160 TCanvas.Rectangle 023d TCanvas.Ellipse 02b6 TCanvas.MoveTo 0345 TCanvas.LineTo"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 0C 24 8B EA 8B D8 8B 83 28 01 00 00 80 B8 95 01 00 00 00 0F 84 B9 07 00 00 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B 93 50 01 00 00 E8 ?? ?? ?? ?? 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B 93 54 01 00 00 E8 ?? ?? ?? ?? 8B B3 2C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 33 C0 8A 83 4C 01 00 00 83 F8 05 0F 87 6D 07 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 04 DB 44 24 04 DE C1 DB 7C 24 08 9B BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 44 24 04 DE C1 DB 7C 24 0C 9B 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 10 DB 44 24 10 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? E9 71 06 00 00 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 04 DB 44 24 04 DE C1 DB 7C 24 08 9B BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 44 24 04 DE C1 DB 7C 24 0C 9B 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 10 DB 44 24 10 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? E9 94 05 00 00 BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? E9 8C 04 00 00 BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? E9 81 03 00 00 BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? E9 BE 01 00 00 BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_12316_0 {
	meta:
		name = "TQRShape.Destroy"
		size = 56
		refs = "000d TObject.Free 0024 TQRPrintable.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 54 01 00 00 E8 ?? ?? ?? ?? 8B 86 50 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12317_0 {
	meta:
		name = "TQRImage.Create"
		size = 109
		refs = "000e @ClassCreate 001c TQRPrintable.Create 0023 _Dn_TPicture 0028 TPicture.Create 003a _NF__26A 0046 TControl.SetHeight 0052 TControl.SetWidth"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 4C 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12318_0 {
	meta:
		name = "TQRImage.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TQRPrintable.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12319_0 {
	meta:
		name = "TQRImage.GetPalette"
		size = 48
		refs = "0014 _Dn_TBitmap 0019 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 8B 83 4C 01 00 00 8B 78 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C7 8B 10 FF 52 24 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12320_0 {
	meta:
		name = "TQRImage.Paint"
		size = 244
		refs = "0019 TPen.SetStyle 0023 TBrush.SetStyle 0036 TCanvas.Rectangle 0061 TPicture.GetHeight 008a TPicture.GetWidth 00ab Bounds 00d4 Rect 00ea TCanvas.StretchDraw"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 F6 43 20 10 74 2D 8B B3 18 01 00 00 B2 01 8B 46 10 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B 43 38 50 8B 43 3C 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 80 BB 51 01 00 00 00 74 0E 8B D4 8B C3 8B 08 FF 51 2C E9 87 00 00 00 80 BB 52 01 00 00 00 74 57 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B 53 3C 2B D0 D1 FA 79 03 83 D2 00 52 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B 53 38 2B D0 D1 FA 79 03 83 D2 00 52 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B C8 58 5A E8 ?? ?? ?? ?? EB 27 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 8B 93 4C 01 00 00 8B 4A 04 8B D4 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12321_0 {
	meta:
		name = "TQRImage.Print"
		size = 562
		refs = "0018 TQRPrintableSize.GetValue 0034 TQRPrinter.YPos 0064 TQRPrinter.XPos 010e TQRPrinter.GetCanvas 011e TCanvas.StretchDraw 0147 TCanvas.GetHandle 014d IntersectClipRect 0158 TPicture.GetWidth 016a TPicture.GetHeight 019a TQRPrinter.YSize 01d3 TQRPrinter.XSize 01f4 OffsetRect 0227 SelectClipRgn"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F9 8B F2 8B D8 BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 7C 24 10 DB 44 24 10 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 89 44 24 04 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 74 24 10 DB 44 24 10 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 89 04 24 BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 74 24 10 DB 44 24 10 DE C1 DB 7C 24 14 9B BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 14 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 89 44 24 08 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 7C 24 10 DB 44 24 10 DE C1 DB 7C 24 14 9B BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 14 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 89 44 24 0C 80 BB 51 01 00 00 00 74 20 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B 93 4C 01 00 00 8B 4A 04 8B D4 E8 ?? ?? ?? ?? E9 04 01 00 00 8B 44 24 0C 50 8B 44 24 0C 50 8B 44 24 0C 50 8B 44 24 0C 50 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 03 04 24 89 44 24 08 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 03 44 24 04 89 44 24 0C 80 BB 52 01 00 00 00 74 79 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 2B F0 D1 FE 79 03 83 D6 00 56 BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 2B F0 D1 FE 79 03 83 D6 00 56 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 8B 93 4C 01 00 00 8B 4A 04 8B D4 E8 ?? ?? ?? ?? 6A 00 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12322_0 {
	meta:
		name = "TQRImage.GetCanvas"
		size = 173
		refs = "001c _Dn_TBitmap 0021 TBitmap.Create 002c TQRImage.GetCanvas 005f TPicture.SetGraphic 0074 TObject.Free 007a @HandleFinally 0095 @IsClass 00a0 TBitmap.GetCanvas"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 8B 80 4C 01 00 00 83 78 04 00 75 67 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 38 8B 45 F8 8B 08 FF 51 40 8B 45 FC 8B 50 3C 8B 45 F8 8B 08 FF 51 34 8B 45 FC 8B 80 4C 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 4C 01 00 00 8B 58 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12323_0 {
	meta:
		name = "TQRImage.SetAutoSize"
		size = 14
		refs = "0009 _NF__26A"
	strings:
		$1 = { 88 90 50 01 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12324_0 {
	meta:
		name = "TQRImage.SetCenter"
		size = 22
		refs = "0011 _NF__26A"
	strings:
		$1 = { 3A 90 52 01 00 00 74 0D 88 90 52 01 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12325_0 {
	meta:
		name = "TQRImage.SetPicture"
		size = 12
	strings:
		$1 = { 8B 80 4C 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_12326_0 {
	meta:
		name = "TQRImage.SetStretch"
		size = 22
		refs = "0011 _NF__26A"
	strings:
		$1 = { 3A 90 51 01 00 00 74 0D 88 90 51 01 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12327_0 {
	meta:
		name = "_NF__26A"
		size = 180
		refs = "0014 TPicture.GetWidth 0023 TPicture.GetHeight 005b _Dn_TBitmap 0060 @IsClass 0086 _NF__26A"
	strings:
		$1 = { 53 56 8B D8 80 BB 50 01 00 00 00 74 43 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 34 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 25 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 50 8B 4B 34 8B 53 30 8B C3 8B 30 FF 56 4C 8B B3 4C 01 00 00 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8B C6 E8 ?? ?? ?? ?? 3B 43 38 7C 20 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 3B 43 3C 7C 10 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 EB 10 66 A1 ?? ?? ?? ?? F7 D0 66 23 43 40 66 89 43 40 8B C3 8B 10 FF 52 44 5E 5B C3 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_12328_0 {
	meta:
		name = "TQRDBImage.Create"
		size = 136
		refs = "000e @ClassCreate 001c TQRPrintable.Create 0022 TQRDBImage.Create 0036 TControl.SetWidth 0042 TControl.SetHeight 0049 _Dn_TPicture 004e TPicture.Create 0060 _NF__28D"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 58 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? C6 83 5D 01 00 00 01 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 50 00 00 00 }
	condition:
		$1
}

rule function_12329_0 {
	meta:
		name = "TQRDBImage.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TQRPrintable.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 58 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12330_0 {
	meta:
		name = "TQRDBImage.Prepare"
		size = 83
		refs = "0008 TQRPrintable.Prepare 001f TDataSet.FindField 002f _Dn_TBlobField 0034 @IsClass 0041 TControl.SetText"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 50 01 00 00 85 F6 74 31 8B 93 54 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 BB 4C 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 33 D2 8B C3 E8 ?? ?? ?? ?? EB 08 33 C0 89 83 4C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12331_0 {
	meta:
		name = "TQRDBImage.Print"
		size = 849
		refs = "001a TQRPrinter.GetCanvas 002a TBrush.SetStyle 003b TBrush.SetColor 0042 _Dn_TPicture 0047 TPicture.Create 0057 TQRDBImage.Print 0076 _Dn_TBlobField 007b @IsClass 0099 _Dn_TBitmap 00aa TPicture.GetBitmap 00cb TCanvas.GetHandle 00d1 SelectPalette 00e2 RealizePalette 00f5 TQRPrintableSize.GetValue 010f TQRPrinter.XPos 013f TQRPrinter.YPos 0203 TCanvas.FillRect 0219 TCanvas.StretchDraw 023c IntersectClipRect 0244 TPicture.GetWidth 0252 TPicture.GetHeight 0289 TQRPrinter.YSize 02c5 TQRPrinter.XSize 02e2 OffsetRect 0303 SelectClipRgn 0332 TObject.Free 0338 @HandleFinally 0348 TQRPrintable.Print"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 80 2C 01 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 54 8B 45 E8 8B 40 14 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 4C 01 00 00 85 DB 0F 84 95 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 80 02 00 00 8B D3 8B 45 EC 8B 08 FF 51 08 8B 45 EC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 40 8B 45 EC E8 ?? ?? ?? ?? 8B 10 FF 52 24 85 C0 74 2F 6A 00 8B 45 EC E8 ?? ?? ?? ?? 8B 10 FF 52 24 50 8B 45 E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F0 8B 45 E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 30 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? DB 45 F8 DE C1 83 C4 F4 DB 3C 24 9B 8B 45 FC 8B 80 2C 01 00 00 E8 ?? ?? ?? ?? 89 45 D8 8B 45 FC 8B 80 30 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? DB 45 F4 DE C1 83 C4 F4 DB 3C 24 9B 8B 45 FC 8B 80 2C 01 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 FC 8B 80 30 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? DB 45 F8 DE C1 DB 7D CC 9B 8B 45 FC 8B 80 30 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? DB 6D CC DE C1 83 C4 F4 DB 3C 24 9B 8B 45 FC 8B 80 2C 01 00 00 E8 ?? ?? ?? ?? 89 45 E0 8B 45 FC 8B 80 30 01 00 00 33 D2 E8 ?? ?? ?? ?? DB 45 F4 DE C1 DB 7D CC 9B 8B 45 FC 8B 80 30 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? DB 6D CC DE C1 83 C4 F4 DB 3C 24 9B 8B 45 FC 8B 80 2C 01 00 00 E8 ?? ?? ?? ?? 89 45 E4 8B 45 FC 80 B8 5C 01 00 00 00 74 3B 8B 45 EC 8B 58 04 85 DB 74 0B 8B C3 8B 10 FF 52 1C 84 C0 74 10 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? E9 FB 00 00 00 8B 45 EC 8B 48 04 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? E9 E5 00 00 00 8B 45 E4 50 8B 45 E0 50 8B 45 DC 50 8B 45 D8 50 8B 45 E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 03 45 D8 89 45 E0 8B 45 EC E8 ?? ?? ?? ?? 03 45 DC 89 45 E4 8B 45 FC 80 B8 5D 01 00 00 00 74 7E 8B 45 FC 8B 80 30 01 00 00 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 FC 8B 80 2C 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 EC E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 53 8B 45 FC 8B 80 30 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 FC 8B 80 2C 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 EC E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 53 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 45 EC 8B 48 04 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 14 6A FF 8B 45 F0 50 8B 45 E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12332_0 {
	meta:
		name = "TQRDBImage.UnPrepare"
		size = 14
		refs = "0009 TQRPrintable.UnPrepare"
	strings:
		$1 = { 33 D2 89 90 4C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12333_0 {
	meta:
		name = "TQRDBImage.SetDataSet"
		size = 17
		refs = "000c TComponent.FreeNotification"
	strings:
		$1 = { 89 90 50 01 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12334_0 {
	meta:
		name = "TQRDBImage.SetDataField"
		size = 22
		refs = "000f @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 54 01 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12335_0 {
	meta:
		name = "TQRDBImage.GetPalette"
		size = 48
		refs = "0014 _Dn_TBitmap 0019 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 8B 83 58 01 00 00 8B 78 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C7 8B 10 FF 52 24 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12336_0 {
	meta:
		name = "TQRDBImage.SetCenter"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 5D 01 00 00 74 0D 88 96 5D 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_12337_0 {
	meta:
		name = "TQRDBImage.SetPicture"
		size = 12
	strings:
		$1 = { 8B 80 58 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_12338_0 {
	meta:
		name = "TQRDBImage.SetStretch"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 5C 01 00 00 74 0D 88 96 5C 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_12339_0 {
	meta:
		name = "TQRDBImage.Paint"
		size = 268
		refs = "0014 TQRDBImage.Paint 002a TBrush.SetStyle 0035 TBrush.SetColor 003f TCanvas.SetFont 0053 TField.GetDisplayLabel 0060 @LStrLAsg 007a @LStrCatN 0084 TCanvas.TextWidth 0090 TCanvas.TextHeight 00c5 TCanvas.TextRect 00cc TQRPrintable.Paint 00e1 @LStrClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 18 01 00 00 33 D2 8B 46 14 E8 ?? ?? ?? ?? 8B 53 54 8B 46 14 E8 ?? ?? ?? ?? 8B 53 50 8B C6 E8 ?? ?? ?? ?? 8B BB 4C 01 00 00 85 FF 74 0C 8D 55 F8 8B C7 E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 53 08 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8D 55 E8 8B C3 8B 08 FF 51 2C 8B 45 F4 2B 45 FC D1 F8 79 03 83 D0 00 50 8B 45 F8 50 8B 4D F0 2B CF D1 F9 79 03 83 D1 00 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_12340_0 {
	meta:
		name = "_NF__28D"
		size = 13
	strings:
		$1 = { C6 80 5E 01 00 00 01 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_12341_0 {
	meta:
		name = "TQRDBImage.Notification"
		size = 46
		refs = "0010 TControl.Notification 0026 TQRDBImage.SetDataSet"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 50 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12342_0 {
	meta:
		name = "TQRDBImage.LoadPicture"
		size = 52
		refs = "0014 _Dn_TBlobField 0019 @IsClass"
	strings:
		$1 = { 53 8B D8 80 BB 5E 01 00 00 00 75 26 8B 83 4C 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 93 4C 01 00 00 8B 83 58 01 00 00 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_12343_0 {
	meta:
		name = "TQRCustomRichText.Create"
		size = 138
		refs = "000e @ClassCreate 0024 TQRPrintable.Create 002d _DV_TQRRichEdit 0032 TCustomRichEdit.Create 0050 TCustomEdit.SetBorderStyle 0063 TControl.SetWidth 006f TControl.SetHeight"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 89 83 54 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 54 01 00 00 8B D3 8B C6 8B 08 FF 51 3C 33 D2 8B 83 54 01 00 00 E8 ?? ?? ?? ?? C6 83 4C 01 00 00 00 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12344_0 {
	meta:
		name = "TQRCustomRichText.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TQRPrintable.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 54 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12345_0 {
	meta:
		name = "TQRCustomRichText.GetAlignment"
		size = 13
	strings:
		$1 = { 8B 80 54 01 00 00 8A 80 34 01 00 00 C3 }
	condition:
		$1
}

rule function_12346_0 {
	meta:
		name = "TQRCustomRichText.GetColor"
		size = 10
	strings:
		$1 = { 8B 80 54 01 00 00 8B 40 54 C3 }
	condition:
		$1
}

rule function_12347_0 {
	meta:
		name = "TQRCustomRichText.GetFont"
		size = 10
	strings:
		$1 = { 8B 80 54 01 00 00 8B 40 50 C3 }
	condition:
		$1
}

rule function_12348_0 {
	meta:
		name = "TQRCustomRichText.GetLines"
		size = 13
	strings:
		$1 = { 8B 80 54 01 00 00 8B 80 54 01 00 00 C3 }
	condition:
		$1
}

rule function_12349_0 {
	meta:
		name = "TQRCustomRichText.Print"
		size = 1080
		refs = "002e @FillChar 003f TQRPrinter.GetCanvas 0044 TCanvas.GetHandle 005a GetDeviceCaps 007c TQRPrintableSize.GetValue 0098 TQRPrinter.XPos 00ce TQRPrinter.YPos 0197 TControl.GetTextLen 0213 TWinControl.GetHandle 0219 SendMessage 0234 TQRCustomBand.CanExpand 0258 TQRCustomBand.ExpandBand 0262 TQRCustomRichText.Print 0386 TQRPrinter.XSize"
	strings:
		$1 = { 53 56 57 55 83 C4 94 89 0C 24 8B F2 8B D8 8B 83 50 01 00 00 85 C0 74 04 8B E8 EB 06 8B AB 54 01 00 00 8D 44 24 2C 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? 8B 83 28 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7C 24 2C 89 7C 24 30 6A 58 8B 44 24 30 50 E8 ?? ?? ?? ?? 89 44 24 08 6A 5A 8B 44 24 30 50 E8 ?? ?? ?? ?? 8B F8 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 74 24 5C DB 44 24 5C DE C1 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 7C 24 08 89 44 24 34 BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FF 89 44 24 38 BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 74 24 5C DB 44 24 5C DE C1 DB 7C 24 60 9B BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 60 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 7C 24 08 89 44 24 3C 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 60 9B BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 60 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FF 89 44 24 40 57 8D 74 24 38 8D 7C 24 48 B9 04 00 00 00 F3 A5 5F 33 F6 8B C5 E8 ?? ?? ?? ?? 89 44 24 04 C7 44 24 58 FF FF FF FF 89 74 24 54 BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 16 9B BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 60 9B 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 60 DE C1 DB 7C 24 20 9B 80 BB 4C 01 00 00 00 0F 84 F2 01 00 00 8D 44 24 2C 50 6A 00 68 39 04 00 00 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 E9 C3 01 00 00 68 04 40 00 00 68 00 00 00 C8 6A 00 8B 43 24 E8 ?? ?? ?? ?? 84 C0 0F 84 9F 00 00 00 68 04 40 00 00 68 00 00 00 C8 6A 00 8D 4C 24 18 8D 54 24 22 8B 43 24 E8 ?? ?? ?? ?? DB 6C 24 20 D8 05 ?? ?? ?? ?? DB 7C 24 20 9B 66 8B 44 24 28 50 FF 74 24 28 FF 74 24 28 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FF 89 44 24 40 8D 44 24 2C 50 6A 00 68 39 04 00 00 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 3B 74 24 04 7D 09 83 FE FF 0F 85 2C 01 00 00 8D 44 24 2C 50 6A 01 68 39 04 00 00 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 89 74 24 54 E9 08 01 00 00 8D 44 24 2C 50 6A 01 68 39 04 00 00 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 68 04 40 00 00 68 00 00 00 C8 6A 00 8D 4C 24 18 8D 54 24 22 8B 43 24 E8 ?? ?? ?? ?? DB 6C 24 16 D8 05 ?? ?? ?? ?? DB 7C 24 20 9B 66 8B 44 24 1E 50 FF 74 24 1E FF 74 24 1E 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FF 89 44 24 38 66 8B 44 24 28 50 FF 74 24 28 FF 74 24 28 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FF 89 44 24 40 66 8B 44 24 14 50 FF 74 24 14 FF 74 24 14 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 7C 24 08 01 44 24 34 66 8B 44 24 14 50 FF 74 24 14 FF 74 24 14 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 7C 24 08 01 44 24 3C 89 74 24 54 8B 83 28 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 2C 8B 44 24 2C 89 44 24 30 3B 74 24 04 7D 22 46 0F 85 30 FE FF FF EB 19 8D 44 24 2C 50 6A 01 68 39 04 00 00 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 39 04 00 00 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 6C 5D 5F 5E 5B C3 00 00 00 00 00 48 42 }
	condition:
		$1
}

rule function_12353_0 {
	meta:
		name = "TQRCustomRichText.SetBounds"
		size = 80
		refs = "0022 TQRPrintable.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 7D 08 8B 5D 0C 53 57 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 86 54 01 00 00 85 C0 74 17 83 EB 02 53 83 EF 02 57 B9 01 00 00 00 BA 01 00 00 00 8B 18 FF 53 4C 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12354_0 {
	meta:
		name = "TQRCustomRichText.SetLines"
		size = 39
		refs = "000f TCustomRichEdit.SetRichEditStrings"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 54 01 00 00 E8 ?? ?? ?? ?? 8B 83 50 01 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12355_0 {
	meta:
		name = "TQRCustomRichText.SetParentRichEdit"
		size = 28
		refs = "0017 TCustomRichEdit.SetRichEditStrings"
	strings:
		$1 = { 89 90 50 01 00 00 85 D2 74 11 8B 80 54 01 00 00 8B 92 54 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12356_0 {
	meta:
		name = "TQRDBRichText.SetDataSet"
		size = 17
		refs = "000c TComponent.FreeNotification"
	strings:
		$1 = { 89 90 60 01 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12357_0 {
	meta:
		name = "TQRDBRichText.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B BE 60 01 00 00 75 08 33 C0 89 86 60 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12358_0 {
	meta:
		name = "TQRDBRichText.Prepare"
		size = 103
		refs = "0007 TQRPrintable.Prepare 001e TDataSet.FindField 0032 _Dn_TBlobField 0037 @IsClass 0043 _Dn_TMemoField 0055 TControl.SetText"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 60 01 00 00 85 F6 74 47 8B 93 5C 01 00 00 8B C6 E8 ?? ?? ?? ?? 89 83 58 01 00 00 8B B3 58 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 89 83 58 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12359_0 {
	meta:
		name = "TQRDBRichText.Print"
		size = 93
		refs = "001d _Dn_TMemoField 0022 @IsClass 002e _Dn_TBlobField 003e TQRCustomRichText.GetLines 0054 TQRCustomRichText.Print"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 83 BB 58 01 00 00 00 74 3A 8B B3 58 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 8B 93 58 01 00 00 8B 08 FF 51 08 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12360_0 {
	meta:
		name = "TQRDBRichText.Unprepare"
		size = 14
		refs = "0009 TQRPrintable.UnPrepare"
	strings:
		$1 = { 33 D2 89 90 58 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12361_0 {
	meta:
		name = "TQRDBCalc.GetPrintMask"
		size = 22
		refs = "000f @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 7C 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12362_0 {
	meta:
		name = "TQRDBCalc.SetDataField"
		size = 92
		refs = "000e @LStrAddRef 0016 TQRDBCalc.SetDataField 002a @LStrAsg 0037 TQRDBCalc.SetOperation 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 88 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8A 93 90 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12363_0 {
	meta:
		name = "TQRDBCalc.SetOperation"
		size = 380
		refs = "000c TQRDBCalc.SetOperation 005e @LStrCatN 0068 TQRExpr.SetExpression 0109 @LStrClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 88 83 90 01 00 00 83 E0 7F 83 F8 04 0F 87 CE 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 ?? ?? ?? ?? FF B3 88 01 00 00 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 87 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 79 68 ?? ?? ?? ?? FF B3 88 01 00 00 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 50 68 ?? ?? ?? ?? FF B3 88 01 00 00 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 27 68 ?? ?? ?? ?? FF B3 88 01 00 00 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 53 75 6D 28 00 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 FF FF FF FF 05 00 00 00 43 6F 75 6E 74 00 00 00 FF FF FF FF 04 00 00 00 4D 61 78 28 00 00 00 00 FF FF FF FF 04 00 00 00 4D 69 6E 28 00 00 00 00 FF FF FF FF 08 00 00 00 41 76 65 72 61 67 65 28 00 00 00 00 }
	condition:
		$1
}

rule function_12364_0 {
	meta:
		name = "TQRDBCalc.SetPrintMask"
		size = 75
		refs = "000e @LStrAddRef 0016 TQRDBCalc.SetPrintMask 0026 TQRExpr.SetMask 003b @LStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12367_0 {
	meta:
		name = "_NF__75"
		size = 59
		refs = "000d TControl.SetEnabled 0014 TWinControl.GetControlCount 0027 TWinControl.GetControl"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 17 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 46 4D 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12368_0 {
	meta:
		name = "TQRDataSetup.GetEditValues"
		size = 535
		refs = "000f TQRDataSetup.GetEditValues 0063 TControl.SetText 00ab TQRDataSetup.DataBaseNameChange 00d2 TControl.GetText 00dc TDBDataSet.SetDatabaseName 0101 TTable.GetIndexName 01fd @LStrClr 020b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 DC 01 00 00 8B 80 24 01 00 00 83 E8 01 72 0E 74 6B 48 0F 84 0A 01 00 00 E9 B4 01 00 00 8B 83 F0 01 00 00 8B 80 18 01 00 00 8B 10 FF 52 40 8B 83 18 02 00 00 8B 80 18 01 00 00 8B 10 FF 52 40 33 D2 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 8B 80 30 01 00 00 8B 10 FF 52 40 E9 55 01 00 00 8B B3 20 02 00 00 83 BE E4 01 00 00 00 74 22 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 83 20 02 00 00 8B 90 E4 01 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? EB 18 8D 55 FC 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 83 20 02 00 00 8B 90 F8 01 00 00 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 83 20 02 00 00 8B 50 70 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 8B 80 30 01 00 00 8B 10 FF 52 40 E9 AF 00 00 00 8B 83 F0 01 00 00 8B 80 18 01 00 00 8B 10 FF 52 40 8B 83 18 02 00 00 8B 80 18 01 00 00 8B 10 FF 52 40 33 D2 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 8B 90 F0 01 00 00 8B 83 04 02 00 00 8B 80 30 01 00 00 8B 08 FF 51 08 8B B3 24 02 00 00 83 BE E4 01 00 00 00 74 22 8B 83 24 02 00 00 8B 90 E4 01 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? EB 18 8D 55 FC 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12369_0 {
	meta:
		name = "TQRDataSetup.SetData"
		size = 357
		refs = "000d TQRDataSetup.SetData 003b TDataSet.SetActive 0049 TControl.GetText 0057 TDBDataSet.SetDatabaseName 0073 TTable.SetTableName 008f TTable.SetIndexName 0154 @LStrClr 015a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 DC 01 00 00 8B 80 24 01 00 00 48 74 0C 48 0F 84 C3 00 00 00 E9 11 01 00 00 33 D2 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 20 02 00 00 8B 08 FF 91 08 01 00 00 8D 55 FC 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 10 B2 01 8B 83 20 02 00 00 8B 08 FF 91 00 01 00 00 8B B3 20 02 00 00 83 BE F8 01 00 00 00 74 5E B2 01 8B C6 E8 ?? ?? ?? ?? EB 53 33 D2 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 8B 90 30 01 00 00 8B 83 24 02 00 00 8B 80 F0 01 00 00 8B 08 FF 51 08 8D 55 FC 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 24 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12370_0 {
	meta:
		name = "TQRDataSetup.DataTypeClick"
		size = 460
		refs = "000d TQRDataSetup.DataTypeClick 002e _NF__75 0077 TObject.Free 00b8 _Dn_TTable 00bd TTable.Create 00db UniqueName 00f6 TQuickRep.SetDataSet 0128 _Dn_TQuery 012d TQuery.Create 0184 TQRDataSetup.GetEditValues 0199 @LStrClr 019f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 DC 01 00 00 83 B8 24 01 00 00 01 0F 94 C2 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 83 DC 01 00 00 83 B8 24 01 00 00 02 0F 94 C2 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 8B 83 DC 01 00 00 8B 80 24 01 00 00 83 E8 01 72 0E 74 43 48 0F 84 AC 00 00 00 E9 15 01 00 00 8B 83 20 02 00 00 85 C0 74 0D E8 ?? ?? ?? ?? 33 C0 89 83 20 02 00 00 8B 83 24 02 00 00 85 C0 0F 84 F0 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 24 02 00 00 E9 DE 00 00 00 83 BB 20 02 00 00 00 75 4E 8B 83 1C 02 00 00 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 02 00 00 8D 4D FC 8B 83 1C 02 00 00 8B 40 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 18 8B 93 20 02 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 85 C0 74 7D E8 ?? ?? ?? ?? 33 C0 89 83 24 02 00 00 EB 6E 83 BB 24 02 00 00 00 75 4E 8B 83 1C 02 00 00 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 24 02 00 00 8D 4D FC 8B 83 1C 02 00 00 8B 40 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 18 8B 93 24 02 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 83 20 02 00 00 85 C0 74 0D E8 ?? ?? ?? ?? 33 C0 89 83 20 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 FF FF FF FF 05 00 00 00 54 61 62 6C 65 00 00 00 FF FF FF FF 05 00 00 00 51 75 65 72 79 00 00 00 }
	condition:
		$1
}

rule function_12371_0 {
	meta:
		name = "TQRDataSetup.FormCreate"
		size = 36
		refs = "0010 Session 0017 TSession.GetDatabaseNames 001e TQRDataSetup.GetEditValues"
	strings:
		$1 = { 53 8B D8 8B 83 E8 01 00 00 8B 90 18 01 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12372_0 {
	meta:
		name = "TQRDataSetup.SetReport"
		size = 153
		refs = "000f TQuickRep.GetDataSet 0024 _Dn_TTable 0029 @IsClass 004e TCustomRadioGroup.SetItemIndex 005f _Dn_TQuery 0092 TQRDataSetup.DataTypeClick"
	strings:
		$1 = { 53 56 8B D8 8B F2 89 B3 1C 02 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 76 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 89 83 20 02 00 00 BA 01 00 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 89 83 24 02 00 00 BA 02 00 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12373_0 {
	meta:
		name = "TQRDataSetup.BrowseButtonClick"
		size = 112
		refs = "000c TQRDataSetup.BrowseButtonClick 001a @LStrClr 002a SelectDirectory 003c TControl.SetText 0045 TQRDataSetup.DataBaseNameChange 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC 33 C9 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 55 FC 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12374_0 {
	meta:
		name = "TQRDataSetup.DataBaseNameChange"
		size = 166
		refs = "000d TQRDataSetup.DataBaseNameChange 0032 TControl.GetText 003a Session 0043 TSession.GetTableNames 0080 TControl.SetText 0095 @LStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8B 83 F0 01 00 00 8B 80 18 01 00 00 50 8D 55 FC 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 83 DC 01 00 00 8B 80 24 01 00 00 48 75 2E 8D 55 FC 8B B3 F0 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 18 01 00 00 8B 08 FF 51 50 40 75 0D 33 D2 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12375_0 {
	meta:
		name = "TQRDataSetup.TableNameChange"
		size = 261
		refs = "000d TQRDataSetup.TableNameChange 0021 TControl.GetText 0035 @LStrCmp 0044 TDataSet.SetActive 0051 TTable.SetIndexName 006d TDBDataSet.SetDatabaseName 0089 TTable.SetTableName 00c8 TControl.SetText 00df TTable.GetIndexNames 00f4 @LStrClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B B3 20 02 00 00 8B 96 F8 01 00 00 E8 ?? ?? ?? ?? 0F 84 A4 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 0D B2 01 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 8B 80 18 01 00 00 8B 10 FF 52 40 33 D2 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 8B 90 18 01 00 00 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12376_0 {
	meta:
		name = "TQRDataSetup.SQLChange"
		size = 14
		refs = "0009 TControl.SetEnabled"
	strings:
		$1 = { B2 01 8B 80 08 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12380_0 {
	meta:
		name = "_NF__79"
		size = 163
		refs = "0016 @LStrAddRef 001e _NF__79 0032 TControl.GetText 005d @LStrCat 0067 TControl.SetText 0074 TControl.SetEnabled 0089 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 4D F8 33 D2 8B 83 80 02 00 00 8B 30 FF 56 54 8D 55 F8 8B B3 F0 01 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? B2 01 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12381_0 {
	meta:
		name = "TQRExprBuilder.AddNumericClick"
		size = 184
		refs = "000e TQRExprBuilder.AddNumericClick 001f TCustomComboBox.GetItemIndex 0031 TControl.GetText 003b _NF__79 0065 @LStrCatN 007c TControl.SetText 0091 @LStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 1A 8D 55 FC 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 32 68 ?? ?? ?? ?? 8D 55 FC 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_12386_0 {
	meta:
		name = "TQRExprBuilder.NumericConstantKeyPress"
		size = 13
		refs = "0008 TQRExprBuilder.AddNumericClick"
	strings:
		$1 = { 80 39 0D 75 07 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12387_0 {
	meta:
		name = "GetExpression"
		size = 253
		refs = "0018 @LStrAddRef 0020 GetExpression 002c Application 0035 _DV_TQRExprBuilder 003a TCustomForm.Create 0064 TControl.SetText 007d TCustomForm.ShowModal 00a4 TControl.GetText 00ae @LStrAsg 00c3 TObject.Free 00c9 @HandleFinally 00e0 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 89 B0 7C 02 00 00 8B 13 8B 45 F4 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 E4 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 83 B8 50 01 00 00 01 75 06 C6 45 FB 01 EB 04 C6 45 FB 00 8D 55 F0 8B 45 F4 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12388_0 {
	meta:
		name = "TQRExprBuilder.AddParenteseClick"
		size = 264
		refs = "0011 TQRExprBuilder.AddParenteseClick 0025 TControl.GetText 003a LoadStr 004f @LStrCatN 0060 GetExpression 009b TControl.SetText 00b0 @LStrClr 00bd @LStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 B8 66 8D 00 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 8B 7C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 37 8D 55 F4 8B B3 F0 01 00 00 8B C6 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 FF FF FF FF 02 00 00 00 28 3C 00 00 FF FF FF FF 02 00 00 00 3E 29 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_12389_0 {
	meta:
		name = "TQRExprBuilder.DataSetChange"
		size = 127
		refs = "0035 TCustomComboBox.GetItemIndex 004b TDataSet.GetFieldCount 005e TDataSet.GetField"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 5C 02 00 00 8B 80 18 01 00 00 8B 10 FF 52 40 8B 83 0C 02 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 85 C0 7E 4E 8B B3 0C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 18 01 00 00 8B 08 FF 51 18 8B E8 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 24 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 50 28 8B 83 5C 02 00 00 8B 80 18 01 00 00 8B 08 FF 51 34 47 4E 75 DF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12390_0 {
	meta:
		name = "TQRExprBuilder.DataFieldPageEnter"
		size = 102
		refs = "0021 AllDataSets 002e TCustomComboBox.SetItems 003b TCustomComboBox.SetItemIndex 0053 TCustomListBox.SetItemIndex"
	strings:
		$1 = { 53 8B D8 8B 83 0C 02 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 85 C0 75 4C B2 01 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 8B 10 FF 52 44 33 D2 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12391_0 {
	meta:
		name = "TQRExprBuilder.AddDatafieldClick"
		size = 240
		refs = "0011 TQRExprBuilder.AddDatafieldClick 0022 TCustomListBox.GetItemIndex 005b TControl.GetText 00a4 @LStrCatN 00ae _NF__79 00c3 @LStrClr 00d0 @LStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8C 84 00 00 00 8B 83 5C 02 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 8B F0 4E 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 3B F0 7C 61 8D 55 FC 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 4D 8D 55 F8 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B B3 5C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D F4 8B 86 18 01 00 00 8B 30 FF 56 0C FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_12392_0 {
	meta:
		name = "TQRExprBuilder.ClearClick"
		size = 14
		refs = "0009 TControl.SetText"
	strings:
		$1 = { 33 D2 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12402_0 {
	meta:
		name = "_NF__BB"
		size = 224
		refs = "0017 _NF__BB 0036 QRFunctionLibrary 0076 @LStrCopy 007e StrToInt 00b9 _NF__BF 00ce @LStrClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 74 02 00 00 8B 80 18 01 00 00 8B 10 FF 52 40 A1 ?? ?? ?? ?? 8B 00 8B 40 04 8B 10 FF 52 14 48 85 C0 7C 6A 40 89 45 F4 33 DB A1 ?? ?? ?? ?? 8B 00 8B D3 8B 08 FF 11 8B F0 83 7D F8 00 74 23 8D 45 F0 50 B9 01 00 00 00 BA 01 00 00 00 8B 46 08 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 3B 45 F8 75 26 A1 ?? ?? ?? ?? 8B 00 8B D3 8B 08 FF 11 8B C8 8B 45 FC 8B 80 74 02 00 00 8B 80 18 01 00 00 8B 56 10 8B 30 FF 56 38 43 FF 4D F4 75 9C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12403_0 {
	meta:
		name = "TQRExprBuilder.FunctionTypeClick"
		size = 25
		refs = "000a TCustomComboBox.GetItemIndex 0013 _NF__BB"
	strings:
		$1 = { 53 8B D8 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12404_0 {
	meta:
		name = "_NF__BF"
		size = 244
		refs = "0011 _NF__BF 004a @LStrLAsg 0059 TControl.SetText 006a AnsiPos 007a @LStrCopy 00a3 @LStrLen 00d6 @LStrArrayClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 74 02 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 3B F0 7D 20 8B 83 74 02 00 00 8B 80 18 01 00 00 8B D6 8B 08 FF 51 18 8B 50 04 8D 45 FC E8 ?? ?? ?? ?? EB 0D 33 D2 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 FC 5A E8 ?? ?? ?? ?? 8B 55 F8 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_12405_0 {
	meta:
		name = "TQRExprBuilder.AvailableFuncClick"
		size = 25
		refs = "000a TCustomListBox.GetItemIndex 0013 _NF__BF"
	strings:
		$1 = { 53 8B D8 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12406_0 {
	meta:
		name = "_NF__C3"
		size = 340
		refs = "001e _NF__C3 002b @LStrLen 0058 @LStrCopy 0060 @LStrClr 007d @LStrCatN 0091 GetExpression 00a0 @LStrCat 00e4 _NF__79 010b @LStrArrayClr 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 48 0F 8E B4 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 83 EE 02 7C 7C 46 BB 02 00 00 00 8D 45 F4 50 B9 01 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 FC 8B 8A 7C 02 00 00 8D 55 EC E8 ?? ?? ?? ?? 84 C0 74 5C 8D 45 F0 8B 55 EC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 3B D8 7D 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 8A FF 75 F8 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 06 00 00 00 3C 45 78 70 72 3E 00 00 FF FF FF FF 02 00 00 00 2C 20 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_12407_0 {
	meta:
		name = "TQRExprBuilder.AddFunctionClick"
		size = 96
		refs = "000b TCustomListBox.GetItemIndex 0059 _NF__C3"
	strings:
		$1 = { 53 56 8B D8 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 85 C0 7C 4A 8B 83 74 02 00 00 8B 80 18 01 00 00 8B 10 FF 52 14 8B F0 4E 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 3B F0 7C 27 8B B3 74 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 18 01 00 00 8B 08 FF 51 18 8B 48 08 8B 50 10 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12408_0 {
	meta:
		name = "TQRExprBuilder.FormCreate"
		size = 58
		refs = "0006 _Dn_TStringList 000b TObject.Create 001a _NF__BB 0027 TCustomComboBox.SetItemIndex"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12409_0 {
	meta:
		name = "TQRExprBuilder.FormDestroy"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 80 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12410_0 {
	meta:
		name = "TQRExprBuilder.UndoClick"
		size = 142
		refs = "000d TQRExprBuilder.UndoClick 0040 TControl.SetText 0068 TControl.SetEnabled 007d @LStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 80 02 00 00 8B 10 FF 52 14 85 C0 7E 2B 8D 4D FC 33 D2 8B 83 80 02 00 00 8B 30 FF 56 0C 8B 55 FC 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 80 02 00 00 8B 08 FF 51 44 8B 83 80 02 00 00 8B 10 FF 52 14 85 C0 0F 9F C2 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12411_0 {
	meta:
		name = "TQRExprBuilder.FormActivate"
		size = 72
		refs = "0013 AllDataSets 0020 TCustomComboBox.SetItems 002d TCustomComboBox.SetItemIndex"
	strings:
		$1 = { 53 56 8B D8 8B B3 7C 02 00 00 85 F6 74 37 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8B B3 0C 02 00 00 8B D3 8B 86 54 01 00 00 FF 96 50 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12414_0 {
	meta:
		name = "PopulateFontSizeCombo"
		size = 110
		refs = "000e PopulateFontSizeCombo 0029 _NV__BA 0033 IntToStr 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 18 01 00 00 8B 10 FF 52 40 BE 10 00 00 00 BB ?? ?? ?? ?? 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B 87 18 01 00 00 8B 08 FF 51 34 83 C3 04 4E 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12415_0 {
	meta:
		name = "_NF__BD"
		size = 99
		refs = "000e TComponent.GetComponentCount 0022 TComponent.GetComponent 0028 _Dn_TDataSet 002d @IsClass"
		altNames = "_NF__BE"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 44 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 50 08 8B 45 08 8B 40 FC 59 8B 38 FF 57 38 43 4E 75 BF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12417_0 {
	meta:
		name = "AllDataSets"
		size = 97
		refs = "000d _Dn_TStringList 0012 TObject.Create 0021 _NF__BD 002b Screen 0032 TScreen.GetDataModuleCount 004b TScreen.GetDataModule 0050 _NF__BE"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 85 F6 74 09 55 8B C6 E8 ?? ?? ?? ?? 59 84 DB 74 2F A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 F6 55 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 E7 8B 45 FC 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12418_0 {
	meta:
		name = "_NF__C2"
		size = 97
		refs = "0012 _NF__C2 001f @LStrClr 002d @LStrFromChar 0037 @LStrCat 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 FF 7E 17 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 4F 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12446_0 {
	meta:
		name = "_NF__5E"
		size = 97
		refs = "0012 _NF__5E 001f @LStrClr 002d @LStrFromChar 0037 @LStrCat 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 FF 7E 17 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 4F 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12419_0 {
	meta:
		name = "TQRAsciiExportFilter.GetDescription"
		size = 17
		refs = "000b LoadStr"
	strings:
		$1 = { 53 8B DA 8B D3 B8 72 8D 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12420_0 {
	meta:
		name = "TQRAsciiExportFilter.GetFilterName"
		size = 17
		refs = "000b LoadStr"
	strings:
		$1 = { 53 8B DA 8B D3 B8 73 8D 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12421_0 {
	meta:
		name = "TQRAsciiExportFilter.GetExtension"
		size = 17
		refs = "000b LoadStr"
	strings:
		$1 = { 53 8B DA 8B D3 B8 74 8D 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12422_0 {
	meta:
		name = "TQRAsciiExportFilter.Start"
		size = 144
		refs = "0018 @Assign 0023 @RewritText 0028 @_IOTest 002f TFont.GetSize 003b TQRAsciiExportFilter.Start 0073 @ROUND"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B D8 8B 75 08 8B 53 04 8D 83 34 03 00 00 E8 ?? ?? ?? ?? 8D 83 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DB 2D ?? ?? ?? ?? DE C9 DB BB 0A 05 00 00 9B 8B C6 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DB 2D ?? ?? ?? ?? DE C9 DB BB 00 05 00 00 9B 89 7D FC DB 45 FC DB AB 0A 05 00 00 DE F9 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B 59 5D C2 04 00 00 00 C7 71 1C C7 71 1C C7 E1 00 40 00 00 }
	condition:
		$1
}

rule function_12423_0 {
	meta:
		name = "TQRAsciiExportFilter.EndPage"
		size = 62
		refs = "0015 @LStrLen 0028 @Write0LString 002d @WriteLn 0032 @_IOTest"
	strings:
		$1 = { 53 56 57 8B D8 8B 7B 0C 4F 85 FF 7C 2D 47 33 F6 8B 44 B3 10 E8 ?? ?? ?? ?? 85 C0 7E 19 8B 54 B3 10 8D 83 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12424_0 {
	meta:
		name = "TQRAsciiExportFilter.Finish"
		size = 16
		refs = "0006 @Close 000b @_IOTest"
	strings:
		$1 = { 05 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12425_0 {
	meta:
		name = "TQRAsciiExportFilter.NewPage"
		size = 27
		refs = "000b @LStrClr"
		altNames = "TQRCSVExportFilter.NewPage TQRHtmlExportFilter.NewPage"
	strings:
		$1 = { 53 56 8B F0 33 DB 8D 44 9E 10 E8 ?? ?? ?? ?? 43 81 FB C9 00 00 00 75 EE 5E 5B C3 }
	condition:
		$1
}

rule function_12426_0 {
	meta:
		name = "TQRAsciiExportFilter.TextOut"
		size = 332
		refs = "0012 @LStrAddRef 001a TQRAsciiExportFilter.TextOut 0054 @LStrLen 006b @ROUND 0079 @LStrLAsg 00b1 _NF__C2 00bc @LStrCat 00da @LStrDelete 00ef @LStrInsert 0103 @LStrAsg 0118 @LStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DB 6D 1C DB AB 00 05 00 00 DE F9 DB 2D ?? ?? ?? ?? DE C9 DB 7D 1C 9B DB 6D 10 DB AB 0A 05 00 00 DE F9 DB 7D 10 9B 80 7D 0C 01 75 17 8B 45 08 E8 ?? ?? ?? ?? 89 45 F8 DB 45 F8 DB 6D 1C DE E1 DB 7D 1C 9B DB 6D 10 E8 ?? ?? ?? ?? 8B F8 8B 54 BB 10 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 DB 45 F8 DB 6D 1C DE D9 DF E0 9E 76 2B 8B 45 FC E8 ?? ?? ?? ?? 50 DB 6D 1C E8 ?? ?? ?? ?? 8B D0 58 2B D0 8D 4D F4 B0 20 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 DB 6D 1C E8 ?? ?? ?? ?? 8B F0 8B D6 8D 45 FC 59 E8 ?? ?? ?? ?? DB 6D 1C E8 ?? ?? ?? ?? 8B CE 8D 55 FC 8B 45 08 E8 ?? ?? ?? ?? DB 6D 10 E8 ?? ?? ?? ?? 8D 44 BB 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 20 00 00 00 00 9A 99 99 99 99 99 99 D9 FF 3F 00 00 }
	condition:
		$1
}

rule function_12427_0 {
	meta:
		name = "TQRBuilder.Create"
		size = 136
		refs = "000e @ClassCreate 001c TComponent.Create 002c _Dn_TFont 0031 TFont.Create 003b TQRBuilder.Create 0042 TFont.SetName 0052 _Dn_TStringList 0057 TObject.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 24 00 33 C0 89 43 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 FF FF FF FF 05 00 00 00 41 72 69 61 6C 00 00 00 }
	condition:
		$1
}

rule function_12428_0 {
	meta:
		name = "TQRBuilder.Destroy"
		size = 100
		refs = "000c TObject.Free 004e TComponent.Destroy 0059 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 45 28 E8 ?? ?? ?? ?? 33 D2 8B C5 8B 08 FF 51 2C 8B 45 38 8B 10 FF 52 14 8B F0 4E 85 F6 7C 16 46 33 FF 8B D7 8B 45 38 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 38 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C5 E8 ?? ?? ?? ?? 84 DB 74 07 8B C5 E8 ?? ?? ?? ?? 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12429_0 {
	meta:
		name = "TQRBuilder.FetchReport"
		size = 26
	strings:
		$1 = { 80 78 24 00 74 0F 8B 50 30 33 C9 89 48 30 C6 40 24 00 8B C2 C3 33 D2 8B C2 C3 }
	condition:
		$1
}

rule function_12430_0 {
	meta:
		name = "TQRBuilder.NewName"
		size = 243
		refs = "001a @LStrAddRef 0022 TQRBuilder.NewName 003a @LStrDelete 0084 _NV__DC 0089 TObject.Create 00b5 IntToStr 00c3 @LStrCat3 00d8 @LStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 38 8B 08 FF 51 50 8B F0 85 F6 7C 1C 8B D6 8B 43 38 8B 08 FF 51 18 FF 40 04 8B D6 8B 43 38 8B 08 FF 51 18 8B 58 04 EB 44 8B 55 FC 8B 43 38 8B 08 FF 51 34 8B 43 38 8B 10 FF 52 14 8B F0 4E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 38 8B 38 FF 57 24 8B D6 8B 43 38 8B 08 FF 51 18 C7 40 04 01 00 00 00 BB 01 00 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12431_0 {
	meta:
		name = "TQRBuilder.RenameObjects"
		size = 254
		refs = "001c TQRBuilder.RenameObjects 002d TComponent.GetComponentCount 0049 TComponent.GetComponent 0054 @LStrLAsg 0074 TObject.ClassName 0082 @LStrFromString 0094 @LStrDelete 00a8 UniqueName 00e4 @LStrClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 33 D2 89 95 F4 FE FF FF 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 30 8B 40 04 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 96 00 00 00 40 89 45 F8 33 F6 8B 43 30 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 50 08 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 68 8B 43 30 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 00 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 8D F4 FE FF FF 8B 43 30 8B 40 04 8B 55 FC E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 8B 43 30 8B 40 04 8B D6 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 18 46 FF 4D F8 0F 85 70 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12432_0 {
	meta:
		name = "TQRBuilder.SetOrientation"
		size = 29
		refs = "0018 TQRPage.SetOrientation"
	strings:
		$1 = { 8B CA 88 48 2C 80 78 24 00 74 11 8B 50 30 8B 92 BC 01 00 00 8B C1 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12433_0 {
	meta:
		name = "TQRBuilder.SetTitle"
		size = 98
		refs = "000e @LStrAddRef 0016 TQRBuilder.SetTitle 0027 @LStrAsg 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 34 8B 55 FC E8 ?? ?? ?? ?? 80 7B 24 00 74 10 8B 43 30 05 D4 01 00 00 8B 53 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12434_0 {
	meta:
		name = "TQRBuilder.BuildFramework"
		size = 508
		refs = "000e TQRBuilder.BuildFramework 0028 _Dn_TQuickRep 002d TQuickRep.Create 0048 TControl.SetVisible 0056 TQRPage.SetOrientation 0060 TControl.SetFont 007a TQuickRepBands.GetHasBand 0090 TQuickRepBands.SetHasBand 00a0 TQuickRepBands.GetBand 00a6 _Dn_TQRLabel 00ab TQRCustomBand.AddPrintable 00c9 TQRPrintable.SetAlignToBand 00d6 TFont.SetName 00e3 TFont.SetSize 00f1 TFont.SetStyle 00fb TQRCustomLabel.SetCaption 013d _Dn_TQRSysData 0162 TQRSysData.SetData 016f LoadStr 017c @LStrCat 0186 TQRSysData.SetText 01a9 @ROUND 01b1 TControl.SetHeight 01c6 @LStrClr 01cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 30 00 0F 85 93 01 00 00 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 30 8B 53 04 8B C6 8B 08 FF 51 3C 8B 73 30 33 D2 8B C6 E8 ?? ?? ?? ?? 8A 53 2C 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B 53 28 8B C6 E8 ?? ?? ?? ?? 83 7B 34 00 0F 84 91 00 00 00 BA 01 00 00 00 8B 86 6C 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 12 B1 01 BA 01 00 00 00 8B 86 6C 01 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 86 6C 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 C6 87 4D 01 00 00 01 B2 02 8B C7 8B 08 FF 91 90 00 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? 8B 47 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 50 BA 0E 00 00 00 E8 ?? ?? ?? ?? 8B 47 50 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 34 8B C7 E8 ?? ?? ?? ?? BA 06 00 00 00 8B 86 6C 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 16 B1 01 BA 06 00 00 00 8B 86 6C 01 00 00 E8 ?? ?? ?? ?? 33 DB EB 02 B3 01 BA 06 00 00 00 8B 86 6C 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 B2 01 8B C7 8B 08 FF 91 90 00 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? B2 03 8B C7 E8 ?? ?? ?? ?? 8D 55 FC B8 43 8D 00 00 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 75 27 BA 06 00 00 00 8B 86 6C 01 00 00 E8 ?? ?? ?? ?? 50 DB 47 3C D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 FF FF FF FF 05 00 00 00 41 72 69 61 6C 00 00 00 01 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 00 00 C0 3F }
	condition:
		$1
}

rule function_12435_0 {
	meta:
		name = "TQRBuilder.SetActive"
		size = 38
		refs = "001c TObject.Free"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 24 74 18 84 DB 74 09 8B C6 8B 10 FF 52 28 EB 08 8B 46 30 E8 ?? ?? ?? ?? 88 5E 24 5E 5B C3 }
	condition:
		$1
}

rule function_12436_0 {
	meta:
		name = "TQRListBuilder.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TQRBuilder.Create 001e _Dn_TStringList 0023 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12437_0 {
	meta:
		name = "TQRListBuilder.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TQRBuilder.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 40 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13051_0 {
	meta:
		name = "TQRCompositeReport.Destroy"
		size = 42
		refs = "000a TObject.Free 0016 TComponent.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 40 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12438_0 {
	meta:
		name = "TQRListBuilder.SetActive"
		size = 47
		refs = "0017 TQRBuilder.SetActive"
	strings:
		$1 = { 53 8B D8 3A 53 24 74 25 84 D2 74 18 83 7B 3C 00 74 12 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 38 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12439_0 {
	meta:
		name = "TQRListBuilder.SetFields"
		size = 9
	strings:
		$1 = { 8B 40 40 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_12440_0 {
	meta:
		name = "_NF__104"
		size = 740
		refs = "000c _NF__104 001f @LStrPos 00a9 TQuickRepBands.GetBand 00af _Dn_TQRLabel 00b4 TQRCustomBand.AddPrintable 00dd TField.GetDisplayWidth 00e9 _NF__C2 00f7 TQRCustomLabel.SetCaption 010e TField.GetDisplayName 0134 TQRFrame.SetValue 0153 _Dn_TQRExpr 0185 @LStrCatN 0193 TQRExpr.SetExpression 01a7 TControl.SetLeft 01bb TControl.SetWidth 0254 TObject.Free 0274 @LStrClr 027a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 28 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 38 02 00 00 8B 53 28 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 23 02 00 00 8B 53 28 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 0E 02 00 00 8B 53 28 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 F9 01 00 00 8B 53 28 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 E4 01 00 00 8B 53 28 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 CF 01 00 00 8B 45 08 8B 40 FC 8B 40 30 8B 80 6C 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 8B 45 08 8B 40 F8 8B 40 3C 8B 55 08 89 42 F4 8B 45 08 8B 40 F8 C6 80 4D 01 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D FC B0 58 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 C6 80 4D 01 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 20 01 00 00 B1 01 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 30 8B 80 6C 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 45 08 8B 40 F0 C6 80 4D 01 00 00 00 68 ?? ?? ?? ?? FF 73 28 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 50 30 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 50 38 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 8A 53 2F 8B 08 FF 91 90 00 00 00 8B 45 08 8B 40 FC 8B 40 30 8B 80 6C 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 40 38 8B 55 08 8B 52 F0 8B 52 30 8B 4D 08 8B 49 F0 03 51 38 3B C2 7D 19 8B 45 08 8B 40 FC 80 78 2C 00 75 0D 8B 45 08 8B 40 FC B2 01 8B 08 FF 51 30 8B 45 08 8B 40 FC 8B 40 30 8B 80 6C 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 40 38 8B 55 08 8B 52 F0 8B 52 30 8B 4D 08 8B 49 F0 03 51 38 3B C2 7D 16 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 01 00 00 00 2F 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 FF FF FF FF 01 00 00 00 26 00 00 00 FF FF FF FF 01 00 00 00 25 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 FF FF FF FF 01 00 00 00 5B 00 00 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_12441_0 {
	meta:
		name = "TQRListBuilder.BuildList"
		size = 524
		refs = "0014 TQRListBuilder.BuildList 0030 TQuickRepBands.GetHasBand 006a TQuickRepBands.SetHasBand 009e TQuickRepBands.GetBand 00ae @ROUND 00c2 TQuickRep.SetDataSet 0117 TDataSet.FieldByName 0121 _NF__104 0135 TDataSet.GetFieldCount 0152 TDataSet.GetField 0198 TControl.SetHeight 01d3 TQRBuilder.RenameObjects 01e8 @LStrClr 01ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 30 8B 80 6C 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 EB 8B 45 FC 8B 40 30 8B 80 6C 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 88 45 EA 80 7D EA 00 75 18 8B 45 FC 8B 40 30 8B 80 6C 01 00 00 B1 01 BA 03 00 00 00 E8 ?? ?? ?? ?? 80 7D EB 00 75 18 8B 45 FC 8B 40 30 8B 80 6C 01 00 00 B1 01 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B 80 6C 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? DB 40 3C DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 50 3C 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 45 FC 83 78 3C 00 0F 84 96 00 00 00 8B 45 FC 8B 40 40 8B 10 FF 52 14 85 C0 7E 4C 8B 45 FC 8B 40 40 8B 10 FF 52 14 8B D8 4B 85 DB 7C 75 43 C7 45 EC 00 00 00 00 8D 4D E4 8B 45 FC 8B 40 40 8B 55 EC 8B 30 FF 56 0C 8B 55 E4 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 85 C0 74 07 55 E8 ?? ?? ?? ?? 59 FF 45 EC 4B 75 D0 EB 3B 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 29 43 C7 45 EC 00 00 00 00 8B 45 FC 8B 40 3C 8B 55 EC E8 ?? ?? ?? ?? 80 78 30 00 74 07 55 E8 ?? ?? ?? ?? 59 FF 45 EC 4B 75 DF 80 7D EB 00 75 2D 8B 45 FC 8B 40 30 8B 80 6C 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 50 DB 45 F4 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 80 7D EA 00 75 2D 8B 45 FC 8B 40 30 8B 80 6C 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 50 DB 45 F4 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 AB AA AA AA AA AA AA AA FE 3F 00 00 00 00 C0 3F }
	condition:
		$1
}

rule function_12442_0 {
	meta:
		name = "TQRListBuilder.AddAllFields"
		size = 60
		refs = "0011 TDataSet.GetFieldCount 0025 TDataSet.GetField"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 40 8B 10 FF 52 40 8B 43 3C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1C 46 33 FF 8B D7 8B 43 3C E8 ?? ?? ?? ?? 8B 50 08 8B 43 40 8B 08 FF 51 34 47 4E 75 E7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12443_0 {
	meta:
		name = "QRCreateList"
		size = 210
		refs = "0017 @LStrAddRef 001f QRCreateList 002e _DV_TQRListBuilder 0033 TQRListBuilder.Create 006e TQRListBuilder.SetFields 0089 TQRBuilder.FetchReport 00a0 TObject.Free 00a6 @HandleFinally 00bd @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 89 50 3C 8B 55 0C 8B 45 F8 8B 08 FF 51 34 8B 03 8B 55 F8 89 42 30 85 F6 74 0A 8B D6 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 51 2C 8B 45 F8 80 78 24 00 74 0A 8B 45 F8 E8 ?? ?? ?? ?? 89 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12445_0 {
	meta:
		name = "qrextra"
		size = 106
		refs = "0008 _NV__B9 0010 QRExportFilterLibrary 0018 _DV_TQRAsciiExportFilter 001d TQRExportFilterLibrary.AddFilter 0022 _Dn_TQuickRep 002a _Dn_TQRBand 0032 _Dn_TQRGroup 003a _Dn_TQRSubDetail 0042 _Dn_TQRExpr 004a _Dn_TTable 0052 _Dn_TQuery 0062 RegisterClasses"
	strings:
		$1 = { 55 8B EC 83 C4 E4 83 2D ?? ?? ?? ?? 01 73 57 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 E4 A1 ?? ?? ?? ?? 89 45 E8 A1 ?? ?? ?? ?? 89 45 EC A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 89 45 FC 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_12447_0 {
	meta:
		name = "TTextCont.Create"
		size = 51
		refs = "000a @ClassCreate 0017 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12449_0 {
	meta:
		name = "TTextCont.Insert"
		size = 313
		refs = "000e @LStrAddRef 0016 TTextCont.Insert 0023 _DV_TTextRec 0028 TTextRec.Create 005d @LStrAsg 0091 CORR_FACTOR 0105 TTextRec.InsertSameLineAfter 0110 TTextRec.InsertAfter 0125 @LStrClr 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 18 89 46 04 8B 45 1C 89 46 08 66 8B 45 20 66 89 46 0C 8B 45 0C 89 46 0E 8B 45 10 89 46 12 66 8B 45 14 66 89 46 16 8D 46 20 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 75 0B 8B 45 FC 89 70 04 E9 9E 00 00 00 8B D8 33 FF EB 05 8B FB 8B 5B 2C 85 DB 74 17 DB 6B 0E DB 6D 0C DE E9 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 72 E0 85 FF 75 11 8B 45 FC 8B 40 04 89 46 2C 8B 45 FC 89 70 04 EB 63 85 DB 74 56 DB 6B 0E DB 6D 0C DE E9 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 72 3F DB 6B 04 DB 6D 18 DE D9 DF E0 9E 73 16 8B 47 2C 89 46 2C 8B 47 30 89 46 30 89 7E 34 EB 2A 8B FB 8B 5B 34 85 DB 74 0D DB 6B 04 DB 6D 18 DE D9 DF E0 9E 77 EA 8B D6 8B C7 E8 ?? ?? ?? ?? EB 09 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_12450_0 {
	meta:
		name = "TTextCont.ClearAll"
		size = 37
		refs = "0007 TTextCont.GetFirst 0013 TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 58 2C E8 ?? ?? ?? ?? 8B C3 85 C0 75 F2 33 C0 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_12452_0 {
	meta:
		name = "TTextCont.CalcColumns"
		size = 82
		refs = "0002 TTextCont.GetFirst"
	strings:
		$1 = { 56 E8 ?? ?? ?? ?? 8B D0 BE 01 00 00 00 85 D2 74 3F 83 7A 34 00 75 0B C6 42 24 00 33 C0 89 42 28 EB 27 8B C2 8B 4A 30 85 C9 74 06 83 79 34 00 75 04 B1 01 EB 02 B1 02 85 C0 74 0E 88 48 24 89 70 28 46 8B 40 34 85 C0 75 F2 8B 52 2C 85 D2 75 C1 5E C3 }
	condition:
		$1
}

rule function_12453_0 {
	meta:
		name = "TTextRec.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 2C 33 C0 89 46 30 C6 46 24 00 33 C0 89 46 28 33 C0 89 46 34 33 C0 89 46 18 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12455_0 {
	meta:
		name = "TTextRec.InsertAfter"
		size = 13
	strings:
		$1 = { 8B 48 2C 89 4A 2C 89 42 30 89 50 2C C3 }
	condition:
		$1
}

rule function_12456_0 {
	meta:
		name = "TTextRec.InsertSameLineAfter"
		size = 10
	strings:
		$1 = { 8B 48 34 89 4A 34 89 50 34 C3 }
	condition:
		$1
}

rule function_12457_0 {
	meta:
		name = "TQRHtmlExportFilter.GetDescription"
		size = 52
		refs = "0006 TQRHtmlExportFilter.GetDescription 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 15 00 00 00 45 78 70 6F 72 74 20 74 6F 20 48 54 4D 4C 20 66 6F 72 6D 61 74 00 00 00 }
	condition:
		$1
}

rule function_12458_0 {
	meta:
		name = "TQRHtmlExportFilter.GetFilterName"
		size = 44
		refs = "0006 TQRHtmlExportFilter.GetFilterName 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 0D 00 00 00 48 54 4D 4C 20 64 6F 63 75 6D 65 6E 74 00 00 00 }
	condition:
		$1
}

rule function_12459_0 {
	meta:
		name = "TQRHtmlExportFilter.GetExtension"
		size = 32
		refs = "0006 TQRHtmlExportFilter.GetExtension 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 03 00 00 00 48 54 4D 00 }
	condition:
		$1
}

rule function_12460_0 {
	meta:
		name = "TQRHtmlExportFilter.Start"
		size = 204
		refs = "0011 _DV_TTextCont 0016 TTextCont.Create 002a @Assign 0035 @RewritText 003a @_IOTest 0041 TFont.GetSize 004d TQRHtmlExportFilter.Start 0085 @ROUND 0098 @Write0LString 009d @WriteLn"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B D8 8B 75 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 14 05 00 00 8B 53 04 8D 83 34 03 00 00 E8 ?? ?? ?? ?? 8D 83 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DB 2D ?? ?? ?? ?? DE C9 DB BB 0A 05 00 00 9B 8B C6 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DB 2D ?? ?? ?? ?? DE C9 DB BB 00 05 00 00 9B 89 7D FC DB 45 FC DB AB 0A 05 00 00 DE F9 E8 ?? ?? ?? ?? 89 43 0C BA ?? ?? ?? ?? 8D 83 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 00 C7 71 1C C7 71 1C C7 E1 00 40 00 00 FF FF FF FF 06 00 00 00 3C 68 74 6D 6C 3E 00 00 }
	condition:
		$1
}

rule function_12461_0 {
	meta:
		name = "TQRHtmlExportFilter.EndPage"
		size = 472
		refs = "000e TTextCont.CalcColumns 0019 TTextCont.GetFirst 0053 TQRHtmlExportFilter.EndPage 0058 @Write0LString 006f @Flush 0074 @_IOTest 0145 @WriteLn 0160 TTextCont.ClearAll"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 14 05 00 00 33 D2 E8 ?? ?? ?? ?? 8B 87 14 05 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 32 01 00 00 8B DE 8A 43 24 2C 01 72 0F 74 6F FE C8 0F 84 8B 00 00 00 E9 D2 00 00 00 8B 46 30 85 C0 74 37 80 78 24 02 75 31 8D 87 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 94 00 00 00 8D 87 34 03 00 00 8B 56 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 70 8D 87 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4C 8D 87 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8B D8 85 DB 74 22 8D 87 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 34 85 C0 75 D1 83 7E 2C 00 75 20 80 7E 24 00 74 1A 8D 87 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 87 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 76 2C 85 F6 0F 85 CE FE FF FF 8B 87 14 05 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 08 00 00 00 3C 2F 54 41 42 4C 45 3E 00 00 00 00 FF FF FF FF 04 00 00 00 3C 42 52 3E 00 00 00 00 FF FF FF FF 1F 00 00 00 3C 54 41 42 4C 45 20 42 4F 52 44 45 52 3D 31 20 57 49 44 54 48 3D 31 30 30 25 3E 3C 54 44 3E 00 FF FF FF FF 08 00 00 00 3C 54 52 3E 3C 54 44 3E 00 00 00 00 FF FF FF FF 04 00 00 00 3C 54 44 3E 00 00 00 00 }
	condition:
		$1
}

rule function_12462_0 {
	meta:
		name = "TQRHtmlExportFilter.Finish"
		size = 64
		refs = "0004 TQRHtmlExportFilter.Finish 000f @Write0LString 0014 @WriteLn 0019 @_IOTest 0024 @Close"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8D 83 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 FF FF FF FF 07 00 00 00 3C 2F 48 54 4D 4C 3E 00 }
	condition:
		$1
}

rule function_12464_0 {
	meta:
		name = "TQRHtmlExportFilter.TextOut"
		size = 344
		refs = "001d @LStrAddRef 0025 TQRHtmlExportFilter.TextOut 0057 @ROUND 0065 @LStrLAsg 006d @LStrLen 009d _NF__5E 00a8 @LStrCat 00c6 @LStrDelete 00db @LStrInsert 00ef @LStrAsg 011a TTextCont.Insert 012f @LStrClr 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DB 6D 1C DB AB 00 05 00 00 DE F9 D8 0D ?? ?? ?? ?? DB 7D 1C 9B DB 6D 10 DB AB 0A 05 00 00 DE F9 DB 7D 10 9B DB 6D 10 E8 ?? ?? ?? ?? 8B F8 8B 54 BB 10 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 6D 1C DE D9 DF E0 9E 76 2B 8B 45 F4 E8 ?? ?? ?? ?? 50 DB 6D 1C E8 ?? ?? ?? ?? 8B D0 58 2B D0 8D 4D EC B0 20 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 DB 6D 1C E8 ?? ?? ?? ?? 8B F0 8B D6 8D 45 F4 59 E8 ?? ?? ?? ?? DB 6D 1C E8 ?? ?? ?? ?? 8B CE 8D 55 F4 8B 45 08 E8 ?? ?? ?? ?? DB 6D 10 E8 ?? ?? ?? ?? 8D 44 BB 10 8B 55 F4 E8 ?? ?? ?? ?? 66 8B 45 24 50 FF 75 20 FF 75 1C 66 8B 45 18 50 FF 75 14 FF 75 10 8B 45 08 50 8B 4D F8 8B 55 FC 8B 83 14 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 20 00 00 00 C0 3F }
	condition:
		$1
}

rule function_12472_0 {
	meta:
		name = "TQRCSVExportFilter.TextOut"
		size = 344
		refs = "001d @LStrAddRef 0025 TQRCSVExportFilter.TextOut 0057 @ROUND 0065 @LStrLAsg 006d @LStrLen 009d _NF__5E 00a8 @LStrCat 00c6 @LStrDelete 00db @LStrInsert 00ef @LStrAsg 011a TTextCont.Insert 012f @LStrClr 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DB 6D 1C DB AB 00 05 00 00 DE F9 D8 0D ?? ?? ?? ?? DB 7D 1C 9B DB 6D 10 DB AB 0A 05 00 00 DE F9 DB 7D 10 9B DB 6D 10 E8 ?? ?? ?? ?? 8B F8 8B 54 BB 10 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 6D 1C DE D9 DF E0 9E 76 2B 8B 45 F4 E8 ?? ?? ?? ?? 50 DB 6D 1C E8 ?? ?? ?? ?? 8B D0 58 2B D0 8D 4D EC B0 20 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 DB 6D 1C E8 ?? ?? ?? ?? 8B F0 8B D6 8D 45 F4 59 E8 ?? ?? ?? ?? DB 6D 1C E8 ?? ?? ?? ?? 8B CE 8D 55 F4 8B 45 08 E8 ?? ?? ?? ?? DB 6D 10 E8 ?? ?? ?? ?? 8D 44 BB 10 8B 55 F4 E8 ?? ?? ?? ?? 66 8B 45 24 50 FF 75 20 FF 75 1C 66 8B 45 18 50 FF 75 14 FF 75 10 8B 45 08 50 8B 4D F8 8B 55 FC 8B 83 14 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 20 00 00 00 C0 3F }
	condition:
		$1
}

rule function_12465_0 {
	meta:
		name = "TQRCSVExportFilter.GetDescription"
		size = 52
		refs = "0006 TQRCSVExportFilter.GetDescription 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 14 00 00 00 45 78 70 6F 72 74 20 74 6F 20 43 53 56 20 66 6F 72 6D 61 74 00 00 00 00 }
	condition:
		$1
}

rule function_12466_0 {
	meta:
		name = "TQRCSVExportFilter.GetFilterName"
		size = 48
		refs = "0006 TQRCSVExportFilter.GetFilterName 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 13 00 00 00 43 53 56 20 63 6F 6D 6D 61 20 73 65 70 61 72 61 74 65 64 00 }
	condition:
		$1
}

rule function_12467_0 {
	meta:
		name = "TQRCSVExportFilter.GetExtension"
		size = 32
		refs = "0006 TQRCSVExportFilter.GetExtension 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 03 00 00 00 43 53 56 00 }
	condition:
		$1
}

rule function_12468_0 {
	meta:
		name = "TQRCSVExportFilter.Start"
		size = 160
		refs = "0011 _DV_TTextCont 0016 TTextCont.Create 002a @Assign 0035 @RewritText 003a @_IOTest 0041 TFont.GetSize 004d TQRCSVExportFilter.Start 0085 @ROUND"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B D8 8B 75 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 14 05 00 00 8B 53 04 8D 83 34 03 00 00 E8 ?? ?? ?? ?? 8D 83 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DB 2D ?? ?? ?? ?? DE C9 DB BB 0A 05 00 00 9B 8B C6 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DB 2D ?? ?? ?? ?? DE C9 DB BB 00 05 00 00 9B 89 7D FC DB 45 FC DB AB 0A 05 00 00 DE F9 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B 59 5D C2 04 00 C7 71 1C C7 71 1C C7 E1 00 40 00 00 }
	condition:
		$1
}

rule function_12469_0 {
	meta:
		name = "TQRCSVExportFilter.EndPage"
		size = 132
		refs = "000c TTextCont.GetFirst 0022 @Write0LString 0027 @Flush 002c @_IOTest 0041 @Write0Char 0065 @WriteLn 007c TTextCont.ClearAll"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 14 05 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 5F 8B DE 8D 87 34 03 00 00 8B 56 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 8B D8 85 DB 74 1F 8D 87 34 03 00 00 B2 3B E8 ?? ?? ?? ?? 8B 53 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 34 85 C0 75 D4 8D 87 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 76 2C 85 F6 75 A1 8B 87 14 05 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12470_0 {
	meta:
		name = "TQRCSVExportFilter.Finish"
		size = 64
		refs = "0004 TQRCSVExportFilter.Finish 000f @Write0LString 0014 @WriteLn 0019 @_IOTest 0024 @Close"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8D 83 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 FF FF FF FF 06 00 00 00 3C 2F 43 53 56 3E 00 00 }
	condition:
		$1
}

rule function_12474_0 {
	meta:
		name = "qrHtml"
		size = 46
		refs = "0002 _NV__5C 000a QRExportFilterLibrary 0012 _DV_TQRHtmlExportFilter 0017 TQRExportFilterLibrary.AddFilter 0024 _DV_TQRCSVExportFilter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 24 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12475_0 {
	meta:
		name = "TQRStandardPreview.CreatePreview"
		size = 796
		refs = "0011 @ClassCreate 0022 HInstance 002e TCustomForm.Create 003d TCustomForm.SetWindowState 004a TQRPreview.SetQRPrinter 005e TControl.SetText 0067 _Dn_TQRGauge 006c TQRGauge.Create 0091 TControl.SetTop 00a1 TControl.SetLeft 00b8 TControl.SetHeight 00c8 TControl.SetWidth 00cd TQRStandardPreview.CreatePreview 00d5 LoadBitmap 00e1 TSpeedButton.GetGlyph 00e7 TBitmap.SetHandle 022a TSpeedButton.SetDown"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 7D 08 8B 35 ?? ?? ?? ?? 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 BB 20 02 00 00 B2 02 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 83 20 02 00 00 85 C0 74 0A 8B 50 78 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB 24 02 00 00 8B 93 E0 01 00 00 8B C7 8B 08 FF 51 3C BA 02 00 00 00 8B 83 24 02 00 00 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 8B 50 3C 83 EA 03 8B 83 24 02 00 00 E8 ?? ?? ?? ?? BA 64 00 00 00 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 06 50 E8 ?? ?? ?? ?? 50 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 06 50 E8 ?? ?? ?? ?? 50 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 06 50 E8 ?? ?? ?? ?? 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 06 50 E8 ?? ?? ?? ?? 50 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 06 50 E8 ?? ?? ?? ?? 50 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 06 50 E8 ?? ?? ?? ?? 50 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 06 50 E8 ?? ?? ?? ?? 50 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 06 50 E8 ?? ?? ?? ?? 50 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 06 50 E8 ?? ?? ?? ?? 50 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 06 50 E8 ?? ?? ?? ?? 50 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 06 50 E8 ?? ?? ?? ?? 50 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? B2 01 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 04 00 00 00 00 51 52 5A 4F 4F 4D 54 4F 46 49 54 42 49 54 4D 41 50 00 00 00 51 52 5A 4F 4F 4D 54 4F 31 30 30 42 49 54 4D 41 50 00 00 00 51 52 5A 4F 4F 4D 54 4F 57 49 44 54 48 42 49 54 4D 41 50 00 51 52 46 49 52 53 54 50 41 47 45 42 49 54 4D 41 50 00 00 00 51 52 50 52 45 56 50 41 47 45 42 49 54 4D 41 50 00 00 00 00 51 52 4E 45 58 54 50 41 47 45 42 49 54 4D 41 50 00 00 00 00 51 52 4C 41 53 54 50 41 47 45 42 49 54 4D 41 50 00 00 00 00 51 52 50 52 49 4E 54 53 45 54 55 50 42 49 54 4D 41 50 00 00 51 52 50 52 49 4E 54 42 49 54 4D 41 50 00 00 00 51 52 53 41 56 45 42 49 54 4D 41 50 00 00 00 00 51 52 4F 50 45 4E 42 49 54 4D 41 50 00 00 00 00 }
	condition:
		$1
}

rule function_12476_0 {
	meta:
		name = "TQRStandardPreview.FormClose"
		size = 4
	strings:
		$1 = { C6 01 02 C3 }
	condition:
		$1
}

rule function_12477_0 {
	meta:
		name = "TQRStandardPreview.UpdateInfo"
		size = 204
		refs = "0011 TQRStandardPreview.UpdateInfo 0024 LoadStr 0040 IntToStr 0084 @LStrCatN 0092 TControl.SetText 00ac @LStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 B8 43 8D 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B 83 1C 02 00 00 8B 80 4C 01 00 00 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 B8 44 8D 00 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 8B 83 1C 02 00 00 8B 80 50 01 00 00 8B 40 68 E8 ?? ?? ?? ?? FF 75 EC 8D 45 FC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_12478_0 {
	meta:
		name = "TQRStandardPreview.ZoomToFitClick"
		size = 28
		refs = "0004 Application 000b TApplication.ProcessMessages 0016 TQRPreview.ZoomToFit"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12480_0 {
	meta:
		name = "TQRStandardPreview.ZoomToWidthClick"
		size = 28
		refs = "0004 Application 000b TApplication.ProcessMessages 0016 TQRPreview.ZoomToWidth"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12479_0 {
	meta:
		name = "TQRStandardPreview.ZoomTo100Click"
		size = 33
		refs = "0004 Application 000b TApplication.ProcessMessages 001b TQRPreview.SetZoom"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? BA 64 00 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12481_0 {
	meta:
		name = "TQRStandardPreview.FirstPageClick"
		size = 28
		refs = "000f TQRPreview.SetPageNumber 0016 TQRStandardPreview.UpdateInfo"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12482_0 {
	meta:
		name = "TQRStandardPreview.PrevPageClick"
		size = 30
		refs = "0011 TQRPreview.SetPageNumber 0018 TQRStandardPreview.UpdateInfo"
	strings:
		$1 = { 53 8B D8 8B 83 1C 02 00 00 8B 90 4C 01 00 00 4A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12483_0 {
	meta:
		name = "TQRStandardPreview.NextPageClick"
		size = 30
		refs = "0011 TQRPreview.SetPageNumber 0018 TQRStandardPreview.UpdateInfo"
	strings:
		$1 = { 53 8B D8 8B 83 1C 02 00 00 8B 90 4C 01 00 00 42 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12484_0 {
	meta:
		name = "TQRStandardPreview.LastPageClick"
		size = 32
		refs = "0013 TQRPreview.SetPageNumber 001a TQRStandardPreview.UpdateInfo"
	strings:
		$1 = { 53 8B D8 8B 83 20 02 00 00 8B 50 68 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12485_0 {
	meta:
		name = "TQRStandardPreview.PrintClick"
		size = 12
		refs = "0007 TQRPrinter.Print"
		altNames = "TQRStandardPreview.PrintSetupClick"
	strings:
		$1 = { 8B 80 20 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12489_0 {
	meta:
		name = "TQRStandardPreview.FormKeyDown"
		size = 128
		refs = "0021 TQRStandardPreview.FormKeyDown 002f TQRStandardPreview.LastPageClick 003a TQRStandardPreview.NextPageClick 004f TQRStandardPreview.FirstPageClick 005a TQRStandardPreview.PrevPageClick"
	strings:
		$1 = { 55 8B EC 53 8B D8 66 8B 01 66 83 E8 21 74 31 66 FF C8 74 0C 66 FF C8 74 52 66 FF C8 74 42 EB 54 A0 ?? ?? ?? ?? 3A 45 08 75 0B 8B D3 8B C3 E8 ?? ?? ?? ?? EB 3F 8B D3 8B C3 E8 ?? ?? ?? ?? EB 34 A0 ?? ?? ?? ?? 3A 45 08 75 0B 8B D3 8B C3 E8 ?? ?? ?? ?? EB 1F 8B D3 8B C3 E8 ?? ?? ?? ?? EB 14 8B D3 8B C3 E8 ?? ?? ?? ?? EB 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_12490_0 {
	meta:
		name = "TQRStandardPreview.SaveClick"
		size = 360
		refs = "0012 TQRStandardPreview.SaveClick 0023 Application 002c _Dn_TSaveDialog 0031 TOpenDialog.Create 004a QRExportFilterLibrary 0051 TQRExportFilterLibrary.GetSaveDialogFilter 005f @LStrAsg 0087 TOpenDialog.GetFilterIndex 0095 TOpenDialog.GetFileName 00a3 TQRPrinter.Save 00de TList.Get 00e9 TQRExportFilter.Create 00fa TQRPrinter.ExportToFilter 010f TObject.Free 0115 @HandleFinally 0149 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 83 C0 54 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 34 84 C0 0F 84 98 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 48 75 1B 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 20 02 00 00 E8 ?? ?? ?? ?? EB 72 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 83 EA 02 A1 ?? ?? ?? ?? 8B 00 8B 40 04 E8 ?? ?? ?? ?? 8B 40 04 B2 01 59 E8 ?? ?? ?? ?? 89 45 FC 8B 83 20 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 FF FF FF FF 03 00 00 00 51 52 50 00 }
	condition:
		$1
}

rule function_12492_0 {
	meta:
		name = "TQRStandardPreview.LoadClick"
		size = 360
		refs = "0012 TQRStandardPreview.LoadClick 001e Application 0027 _Dn_TOpenDialog 002c TOpenDialog.Create 004a LoadStr 0071 @LStrCatN 0088 TOpenDialog.GetFileName 0090 FileExists 00ad TQRPrinter.Load 00bd TQRPreview.SetPageNumber 00d3 TQRPreviewImage.SetPageNumber 00da TQRStandardPreview.UpdateInfo 00f1 ShowMessage 0106 TObject.Free 010c @HandleFinally 0123 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 B8 97 8D 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 83 C0 54 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 34 84 C0 74 74 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 48 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 8B 80 48 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 15 8D 55 F8 B8 95 8D 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 FF FF FF FF 03 00 00 00 28 2A 2E 00 FF FF FF FF 03 00 00 00 51 52 50 00 FF FF FF FF 04 00 00 00 29 7C 2A 2E 00 00 00 00 FF FF FF FF 02 00 00 00 51 52 00 00 }
	condition:
		$1
}

rule function_12494_0 {
	meta:
		name = "TQRStandardPreview.QRPreviewProgressUpdate"
		size = 66
		refs = "000c TProgressBar.SetPosition 0017 TProgressBar.GetPosition 003c TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B D1 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 10 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 83 F8 64 7C 04 33 D2 EB 02 B2 01 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12495_0 {
	meta:
		name = "TQRStandardPreview.FormCreate"
		size = 21
	strings:
		$1 = { 8B 90 18 01 00 00 C6 42 1D 01 8B 80 1C 01 00 00 C6 40 1D 01 C3 }
	condition:
		$1
}

rule function_12498_0 {
	meta:
		name = "TQRProgressForm.FormCreate"
		size = 87
		refs = "0009 _Dn_TQRGauge 000e TQRGauge.Create 002b TControl.SetTop 0037 TControl.SetLeft 0044 TControl.SetWidth 0050 TControl.SetHeight"
	strings:
		$1 = { 53 56 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E8 01 00 00 8B D3 8B C6 8B 08 FF 51 3C BA 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 53 38 83 EA 14 8B C6 E8 ?? ?? ?? ?? BA 0F 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12499_0 {
	meta:
		name = "TQRProgressForm.CMQRPROGRESSUPDATE"
		size = 196
		refs = "0011 TQRProgressForm.CMQRPROGRESSUPDATE 003b TProgressBar.SetPosition 004c IntToStr 0061 LoadStr 0071 @LStrCatN 007f TControl.SetText 0084 Application 008b TApplication.ProcessMessages 00a5 @LStrArrayClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E4 01 00 00 8B 48 74 8B C1 BE 05 00 00 00 99 F7 FE 85 D2 75 5D 8B D1 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 83 E4 01 00 00 8B 40 74 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 B8 96 8D 00 00 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 FF FF FF FF 02 00 00 00 25 20 00 00 }
	condition:
		$1
}

rule function_12500_0 {
	meta:
		name = "TQRProgressForm.CancelButtonClick"
		size = 12
		refs = "0007 TQRPrinter.Cancel"
	strings:
		$1 = { 8B 80 E4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12503_0 {
	meta:
		name = "QRPaperName"
		size = 26
		refs = "0013 LoadStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 33 C0 8A C3 05 01 8D 00 00 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12504_0 {
	meta:
		name = "QRBandTypeName"
		size = 25
		refs = "0012 LoadStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 33 C0 8A C3 05 1C 8D 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12505_0 {
	meta:
		name = "QRBandComponentName"
		size = 25
		refs = "0012 LoadStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 33 C0 8A C3 05 27 8D 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12506_0 {
	meta:
		name = "TempFilename"
		size = 60
		refs = "0011 GetTempPath 0019 TempFilename 0023 GetTempFileName 002c StrPas"
	strings:
		$1 = { 53 81 C4 5C FF FF FF 8B D8 8D 44 24 51 50 6A 1E E8 ?? ?? ?? ?? 54 6A 00 68 ?? ?? ?? ?? 8D 44 24 5D 50 E8 ?? ?? ?? ?? 8B D3 8B C4 E8 ?? ?? ?? ?? 81 C4 A4 00 00 00 5B C3 51 52 50 00 }
	condition:
		$1
}

rule function_12509_0 {
	meta:
		name = "TQRLibrary.Add"
		size = 184
		refs = "0012 @LStrAddRef 0032 TQRLibrary.Add 003f _DV_TQRLibraryEntry 0044 TObject.Create 0051 @LStrAsg 0097 @LStrClr 00a4 @LStrArrayClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 8D 43 04 8B 55 10 E8 ?? ?? ?? ?? 8D 43 14 8B 55 0C E8 ?? ?? ?? ?? 8D 43 08 8B 55 08 E8 ?? ?? ?? ?? 89 7B 0C 8B CB 8B 55 FC 8B 46 04 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_12510_0 {
	meta:
		name = "TQRLibrary.GetEntry"
		size = 36
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 10 FF 52 14 3B F0 7F 0D 8B D6 8B 43 04 8B 08 FF 51 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_12511_0 {
	meta:
		name = "TQRFunctionLibrary.GetFunction"
		size = 119
		refs = "000f @LStrAddRef 0017 TQRFunctionLibrary.GetFunction 0048 _DV_TQREvElementError 004d TQREvElement.Create 0064 @LStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 04 8B 08 FF 51 50 8B F0 85 F6 7C 13 8B D6 8B C3 8B 08 FF 11 8B 40 0C B2 01 FF 10 8B D8 EB 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12512_0 {
	meta:
		name = "TQRStream.Create"
		size = 81
		refs = "000b @ClassCreate 001a TObject.Create 0025 _Dn_TMemoryStream 0039 InitializeCriticalSection"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 28 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C 89 77 2C 8D 47 04 50 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12513_0 {
	meta:
		name = "TQRStream.CreateFromFile"
		size = 144
		refs = "000e @ClassCreate 001d @LStrAddRef 0025 TQRStream.CreateFromFile 0034 TObject.Create 0044 _Dn_TFileStream 0049 TFileStream.Create 005a InitializeCriticalSection 006f @LStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 28 00 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 33 C0 89 46 2C 8D 46 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12514_0 {
	meta:
		name = "TQRStream.Destroy"
		size = 154
		refs = "0010 TQRStream.LockStream 0018 TQRStream.Destroy 0032 TObject.Free 004a DeleteFile 005f TQRStream.UnlockStream 006b DeleteCriticalSection 0071 @HandleFinally 0081 TObject.Destroy 008f @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 28 00 74 0D 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? EB 16 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8A 55 FB 80 E2 FE 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_12515_0 {
	meta:
		name = "TCriticalSection.Acquire"
		size = 10
		refs = "0005 EnterCriticalSection"
		altNames = "TQRPageList.LockList TQRStream.LockStream"
	strings:
		$1 = { 83 C0 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13957_0 {
	meta:
		name = "TCriticalSection.Release"
		size = 10
		refs = "0005 LeaveCriticalSection"
	strings:
		$1 = { 83 C0 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12532_0 {
	meta:
		name = "TQRPageList.UnlockList"
		size = 10
		refs = "0005 LeaveCriticalSection"
	strings:
		$1 = { 83 C0 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12516_0 {
	meta:
		name = "TQRStream.UnlockStream"
		size = 10
		refs = "0005 LeaveCriticalSection"
	strings:
		$1 = { 83 C0 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12517_0 {
	meta:
		name = "TQRStream.Write"
		size = 194
		refs = "0012 TQRStream.Write 001f TQRStream.LockStream 003b TStream.GetSize 0048 TempFilename 0053 @LStrAsg 0062 _Dn_TFileStream 0067 TFileStream.Create 0076 TCustomMemoryStream.SaveToStream 007e TObject.Free 0099 TQRStream.UnlockStream 00ae @LStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 7B 28 00 74 5F 8B D6 8B CF 8B 43 1C 8B 30 FF 56 08 8B F0 8B 43 1C E8 ?? ?? ?? ?? 3B 43 2C 7E 52 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 20 E8 ?? ?? ?? ?? 68 FF FF 00 00 8B 4B 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 24 8B D7 8B 43 1C E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? C6 43 28 00 EB 0E 8B D6 8B CF 8B 43 24 8B 30 FF 56 08 8B F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12518_0 {
	meta:
		name = "TQRStream.Read"
		size = 65
		refs = "000c TQRStream.LockStream 0037 TQRStream.UnlockStream"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 28 00 74 10 8B D6 8B CF 8B 43 1C 8B 30 FF 56 04 8B F0 EB 0E 8B D6 8B CF 8B 43 24 8B 30 FF 56 04 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12519_0 {
	meta:
		name = "TQRStream.Seek"
		size = 65
		refs = "000c TQRStream.LockStream 0037 TQRStream.UnlockStream"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 28 00 74 10 8B CF 8B D6 8B 43 1C 8B 30 FF 56 0C 8B F0 EB 0E 8B CF 8B D6 8B 43 24 8B 30 FF 56 0C 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12520_0 {
	meta:
		name = "TQRStream.SaveToStream"
		size = 102
		refs = "0028 TQRStream.LockStream 0031 TStream.SetPosition 0057 TQRStream.UnlockStream"
	strings:
		$1 = { 53 56 57 55 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 20 00 00 81 C4 00 F8 FF FF 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D4 B9 00 28 00 00 8B C6 8B 18 FF 53 04 8B D8 8B D4 8B CB 8B C7 8B 28 FF 55 08 85 DB 75 E1 8B C6 E8 ?? ?? ?? ?? 81 C4 04 28 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12521_0 {
	meta:
		name = "TQRCompress.Create"
		size = 90
		refs = "000e @ClassCreate 0023 _NF__2A1"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 8B 5D 08 89 8E 0C 04 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 06 C6 46 04 00 EB 04 C6 46 04 07 66 C7 86 08 04 00 00 00 00 88 5E 05 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12522_0 {
	meta:
		name = "TQRCompress.Destroy"
		size = 70
		refs = "0031 TObject.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 80 7E 05 00 74 1C 80 7E 04 00 74 16 8D 96 08 04 00 00 B9 01 00 00 00 8B 86 0C 04 00 00 8B 38 FF 57 08 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12523_0 {
	meta:
		name = "_NF__2A1"
		size = 66
	strings:
		$1 = { 53 56 66 BA 01 00 0F B7 CA 8B D9 4B D1 EB 88 9C 08 10 04 00 00 42 66 81 FA 01 02 75 E9 33 D2 33 C9 8A CA 41 03 C9 8B F1 4E 33 DB 8A DA 66 89 74 58 08 66 89 8C 58 08 02 00 00 42 84 D2 75 E0 5E 5B C3 }
	condition:
		$1
}

rule function_12524_0 {
	meta:
		name = "_NF__2A2"
		size = 166
	strings:
		$1 = { 53 56 57 55 8D B2 00 01 00 00 0F B7 D6 8A 94 10 10 04 00 00 84 D2 74 78 33 C9 8A CA 8A 8C 08 10 04 00 00 8B E9 81 E5 FF 00 00 00 66 8B 7C 68 08 33 DB 8A DA 66 3B FB 75 12 66 8B BC 68 08 02 00 00 66 89 B4 68 08 02 00 00 EB 05 66 89 74 68 08 33 DB 8A DA 66 3B 74 58 08 75 0B 33 DB 8A DA 66 89 7C 58 08 EB 0C 33 DB 8A DA 66 89 BC 58 08 02 00 00 0F B7 DE 88 8C 18 10 04 00 00 0F B7 DF 88 94 18 10 04 00 00 8B F1 81 E6 FF 00 00 00 EB 08 8B F2 81 E6 FF 00 00 00 66 85 F6 0F 85 69 FF FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12525_0 {
	meta:
		name = "TQRCompress.Compress"
		size = 169
		refs = "0056 BitMask 009b _NF__2A2"
	strings:
		$1 = { 53 56 57 81 C4 FC FE FF FF 66 89 14 24 8B D8 66 8B 04 24 66 05 00 01 33 F6 0F B7 D0 8A 94 13 10 04 00 00 33 C9 8A CA 66 3B 84 4B 08 02 00 00 0F 94 C0 0F B7 CE 88 44 0C 02 46 33 C0 8A C2 66 85 C0 75 D6 4E 0F B7 C6 80 7C 04 02 00 74 13 33 C0 8A 43 04 0F B6 80 ?? ?? ?? ?? 66 09 83 08 04 00 00 80 7B 04 07 75 25 8D 93 08 04 00 00 B9 01 00 00 00 8B 83 0C 04 00 00 8B 38 FF 57 08 C6 43 04 00 66 C7 83 08 04 00 00 00 00 EB 03 FE 43 04 66 85 F6 75 AF 66 8B 14 24 8B C3 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12526_0 {
	meta:
		name = "_NF__2A6"
		size = 26
	strings:
		$1 = { 53 51 8B D4 B9 01 00 00 00 8B 80 0C 04 00 00 8B 18 FF 53 04 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_12527_0 {
	meta:
		name = "TQRCompress.Expand"
		size = 108
		refs = "0012 _NF__2A6 0030 BitMask 0060 _NF__2A2"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 F6 80 7B 04 07 75 16 8B C3 E8 ?? ?? ?? ?? 25 FF 00 00 00 66 89 43 06 C6 43 04 00 EB 03 FE 43 04 33 C0 8A 43 04 0F B6 80 ?? ?? ?? ?? 66 23 43 06 75 0A 0F B7 C6 66 8B 74 43 08 EB 0B 0F B7 C6 66 8B B4 43 08 02 00 00 66 81 FE FF 00 76 B3 66 81 EE 00 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 88 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12528_0 {
	meta:
		name = "TQRPageList.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TObject.Create 0029 InitializeCriticalSection"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 24 C6 46 20 00 8D 46 04 50 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12529_0 {
	meta:
		name = "TCriticalSection.Destroy"
		size = 43
		refs = "000b DeleteCriticalSection 0017 TObject.Destroy 0022 @ClassDestroy"
		altNames = "TQRPageList.Destroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 46 04 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12530_0 {
	meta:
		name = "TQRPageList.Clear"
		size = 6
	strings:
		$1 = { 33 D2 89 50 24 C3 }
	condition:
		$1
}

rule function_12534_0 {
	meta:
		name = "TQRPageList.LoadFromFile"
		size = 102
		refs = "000e @LStrAddRef 0016 TQRPageList.LoadFromFile 0028 TObject.Free 0032 _DV_TQRStream 0037 TQRStream.CreateFromFile 0041 _NF__2C4 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 28 85 C0 74 05 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12535_0 {
	meta:
		name = "TQRPageList.SaveToFile"
		size = 106
		refs = "000f @LStrAddRef 0017 TQRPageList.SaveToFile 002c _Dn_TFileStream 0031 TFileStream.Create 003d TQRStream.SaveToStream 0044 TObject.Free 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 FF FF 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B 46 28 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12536_0 {
	meta:
		name = "_NF__2BE"
		size = 14
		refs = "0009 TStream.SetPosition"
	strings:
		$1 = { BA 7C 00 00 00 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12537_0 {
	meta:
		name = "_NF__2BF"
		size = 52
		refs = "002c TStream.SetPosition"
	strings:
		$1 = { 53 56 51 8B D8 66 B9 02 00 BA FC FF FF FF 8B 43 28 8B 30 FF 56 0C 8B D4 B9 04 00 00 00 8B 43 28 8B 30 FF 56 04 8B 14 24 8B 43 28 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12538_0 {
	meta:
		name = "_NF__2C0"
		size = 291
		refs = "0012 _NF__2BE 0023 _NF__2BF 0030 TStream.GetPosition 003a TStream.GetSize 009b TStream.SetPosition"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F2 8B D8 83 FE 01 75 0C 8B C3 E8 ?? ?? ?? ?? E9 01 01 00 00 3B 73 24 75 0C 8B C3 E8 ?? ?? ?? ?? E9 F0 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 8B F8 8B 43 28 E8 ?? ?? ?? ?? 3B F8 75 07 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B 43 28 8B 38 FF 57 04 66 B9 01 00 BA FC FF FF FF 8B 43 28 8B 38 FF 57 0C 3B 34 24 7E 49 8B D4 B9 04 00 00 00 8B 43 28 8B 38 FF 57 04 3B 34 24 74 1D 8D 54 24 04 B9 04 00 00 00 8B 43 28 8B 38 FF 57 04 8B 54 24 04 8B 43 28 E8 ?? ?? ?? ?? 3B 34 24 75 CA 66 B9 01 00 BA FC FF FF FF 8B 43 28 8B 18 FF 53 0C EB 65 3B 34 24 7D 60 8B D4 B9 04 00 00 00 8B 43 28 8B 38 FF 57 04 3B 34 24 74 36 8B 7B 28 8B C7 E8 ?? ?? ?? ?? 8B D0 83 EA 04 83 EA 04 8B C7 E8 ?? ?? ?? ?? 8D 54 24 08 B9 04 00 00 00 8B 43 28 8B 38 FF 57 04 8B 54 24 08 8B 43 28 E8 ?? ?? ?? ?? 3B 34 24 75 B1 66 B9 01 00 BA FC FF FF FF 8B 43 28 8B 18 FF 53 0C 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12539_0 {
	meta:
		name = "TQRPageList.GetPage"
		size = 353
		refs = "0024 TQRPageList.GetPage 0032 TQRPageList.LockList 003c _NF__2C0 006d TStream.GetPosition 0077 _Dn_TMetafile 007c TMetafile.Create 00a6 _Dn_TMemoryStream 00ab TObject.Create 00bc _DV_TQRCompress 00c1 TQRCompress.Create 00dc TQRCompress.Expand 00f9 TObject.Free 0102 TStream.SetPosition 014b TQRPageList.UnlockList 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 8B 45 FC 3B 58 24 7E 0A 33 C0 89 45 F8 E9 37 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 40 28 B9 04 00 00 00 8B 18 FF 53 04 8D 55 F4 8B 45 FC 8B 40 28 B9 04 00 00 00 8B 18 FF 53 04 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 29 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 80 78 20 00 0F 84 89 00 00 00 8D 55 EC 8B 45 FC 8B 40 28 B9 04 00 00 00 8B 18 FF 53 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 00 8B 45 FC 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 8B 5D EC 85 DB 7E 20 8D 55 F3 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8D 55 F3 B9 01 00 00 00 8B C6 8B 38 FF 57 08 4B 75 E0 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 45 F8 8B 08 FF 51 50 8B C6 E8 ?? ?? ?? ?? EB 0E 8B 45 FC 8B 50 28 8B 45 F8 8B 08 FF 51 50 8D 55 F4 8B 45 FC 8B 40 28 B9 04 00 00 00 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12540_0 {
	meta:
		name = "_NF__2C4"
		size = 45
		refs = "000d TStream.SetPosition"
	strings:
		$1 = { 53 56 83 C4 84 8B D8 33 D2 8B 43 28 E8 ?? ?? ?? ?? 8B D4 B9 7C 00 00 00 8B 43 28 8B 30 FF 56 04 8B 44 24 08 89 43 24 83 C4 7C 5E 5B C3 }
	condition:
		$1
}

rule function_12541_0 {
	meta:
		name = "_NF__2C5"
		size = 84
		refs = "000c TStream.SetPosition 0025 Now"
	strings:
		$1 = { 53 83 C4 84 8B D8 33 D2 8B 43 28 E8 ?? ?? ?? ?? 66 C7 04 24 03 00 66 C7 44 24 02 CB 00 8B 43 24 89 44 24 08 E8 ?? ?? ?? ?? DD 5C 24 0C 9B 80 7B 20 00 74 07 C6 44 24 15 01 EB 05 C6 44 24 15 00 8B D4 B9 7C 00 00 00 8B 43 28 8B 18 FF 53 08 83 C4 7C 5B C3 }
	condition:
		$1
}

rule function_12542_0 {
	meta:
		name = "_NF__2C6"
		size = 117
		refs = "001c TStream.GetSize 0025 TStream.SetPosition 002f TStream.GetPosition"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 83 C6 F8 8B 06 8B 40 24 89 45 FC 8B 06 8B 58 28 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 40 28 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8D 55 FC 8B 06 8B 40 28 B9 04 00 00 00 8B 18 FF 53 08 8B 06 8B 40 28 E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 8B 45 08 8D 50 FC 8B 06 8B 40 28 B9 04 00 00 00 8B 18 FF 53 08 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12543_0 {
	meta:
		name = "_NF__2C7"
		size = 117
		refs = "0027 TStream.GetPosition 0041 TStream.SetPosition"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8D 50 F4 8B 45 08 8B 40 F8 8B 40 28 B9 04 00 00 00 8B 18 FF 53 08 8B 45 08 8B 40 F8 8B 40 28 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 8B 40 28 E8 ?? ?? ?? ?? 8B 45 08 8D 50 F0 8B 45 08 8B 40 F8 8B 40 28 B9 04 00 00 00 8B 18 FF 53 08 8B 45 08 8B 50 F0 8B 45 08 8B 40 F8 8B 40 28 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_12544_0 {
	meta:
		name = "TQRPageList.AddPage"
		size = 315
		refs = "0012 TQRPageList.AddPage 0020 TQRPageList.LockList 0037 _NF__2C5 004b _Dn_TMemoryStream 0050 TObject.Create 0061 _NF__2C6 0071 _DV_TQRCompress 0076 TQRCompress.Create 0085 TStream.SetPosition 008c TStream.GetSize 00d7 TQRCompress.Compress 00e8 TObject.Free 00f5 _NF__2C7 0128 TQRPageList.UnlockList 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 FF 40 24 8B 45 F8 83 78 24 01 75 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 20 00 0F 84 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B C6 8B 08 FF 51 54 55 E8 ?? ?? ?? ?? 59 6A 01 8B 45 F8 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 1C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8D 55 EC 8B 45 F8 8B 40 28 B9 04 00 00 00 8B 30 FF 56 08 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2D 46 C7 45 EC 00 00 00 00 8D 55 EB B9 01 00 00 00 8B C3 8B 38 FF 57 04 33 D2 8A 55 EB 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? FF 45 EC 4E 75 DB 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 EB 1B 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 50 28 8B C6 8B 08 FF 51 54 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12545_0 {
	meta:
		name = "TQRToolbar.Create"
		size = 114
		refs = "000a @ClassCreate 0017 TCustomPanel.Create 0023 TControl.SetHeight 002c TControl.SetShowHint 0035 TControl.SetVisible 0054 TControl.SetAlign"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 1E 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 3C 01 00 00 04 00 00 00 33 D2 8B C6 8B 08 FF 91 80 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? C6 86 40 01 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12546_0 {
	meta:
		name = "TQRToolbar.SetComponent"
		size = 14
	strings:
		$1 = { 89 90 38 01 00 00 C6 80 40 01 00 00 00 C3 }
	condition:
		$1
}

rule function_12547_0 {
	meta:
		name = "TQRToolbar.EndSetComponent"
		size = 8
	strings:
		$1 = { C6 80 40 01 00 00 01 C3 }
	condition:
		$1
}

rule function_12548_0 {
	meta:
		name = "TQRToolbar.AddButton"
		size = 266
		refs = "0015 @LStrAddRef 002d TQRToolbar.AddButton 003c _Dn_TSpeedButton 0041 TSpeedButton.Create 0056 TControl.SetText 0077 StrPCopy 0080 HInstance 0088 LoadBitmap 0090 TSpeedButton.GetGlyph 0096 TBitmap.SetHandle 00a1 @LStrAsg 00ab TSpeedButton.SetGroupIndex 00b6 TSpeedButton.SetAllowAllUp 00eb @LStrArrayClr 00f3 @LStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 3C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 18 6A 18 B9 04 00 00 00 8B 96 3C 01 00 00 8B C3 8B 38 FF 57 4C 8D 45 A8 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 A8 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 43 60 8B 55 14 E8 ?? ?? ?? ?? 8B 55 10 8B C3 E8 ?? ?? ?? ?? 8B FB B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 83 A4 00 00 00 8B 45 0C 89 83 A8 00 00 00 8B 43 38 01 86 3C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C7 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_12549_0 {
	meta:
		name = "TQRToolbar.AddCheckBox"
		size = 198
		refs = "0014 @LStrAddRef 0024 TQRToolbar.AddCheckBox 0033 _Dn_TCheckBox 0038 TCustomCheckBox.Create 004d TControl.SetText 005a TControl.SetLeft 0066 TControl.SetTop 0072 TControl.SetWidth 007d @LStrAsg 00b0 @LStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 3C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 96 3C 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 50 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 43 60 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 89 83 A4 00 00 00 8B 45 0C 89 83 A8 00 00 00 83 86 3C 01 00 00 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12550_0 {
	meta:
		name = "TQRToolbar.AddSpace"
		size = 8
	strings:
		$1 = { 83 80 3C 01 00 00 08 C3 }
	condition:
		$1
}

rule function_12552_0 {
	meta:
		name = "GetFonts"
		size = 41
		refs = "0001 Printer 0006 TPrinter.GetPrinters 0014 Screen 0024 TPrinter.GetFonts"
	strings:
		$1 = { E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 75 0B A1 ?? ?? ?? ?? 8B 00 8B 40 24 C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12553_0 {
	meta:
		name = "TQRGauge.Create"
		size = 91
		refs = "000a @ClassCreate 0017 TProgressBar.Create 0023 TControl.SetWidth 002f TControl.SetHeight 003b TProgressBar.SetMax 0044 TProgressBar.SetMin"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 28 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12554_0 {
	meta:
		name = "TQRFiFo.Create"
		size = 61
		refs = "000a @ClassCreate 0015 _Dn_TList 001a TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 C6 46 04 00 33 C0 89 46 0C 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12555_0 {
	meta:
		name = "TQRFiFo.Destroy"
		size = 79
		refs = "001c TList.Get 0021 TObject.Free 0039 TObject.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B 46 08 8B 68 08 4D 85 ED 7C 16 45 33 FF 8B D7 8B 46 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 ED 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12556_0 {
	meta:
		name = "TQRFiFo.Start"
		size = 6
		altNames = "_NF__36C"
	strings:
		$1 = { 33 D2 89 50 0C C3 }
	condition:
		$1
}

rule function_12558_0 {
	meta:
		name = "TQRFiFo.GetAndFree"
		size = 41
		refs = "0010 TList.Get 001c TList.Delete"
	strings:
		$1 = { 53 56 8B D8 8B 43 08 83 78 08 00 7E 15 33 D2 E8 ?? ?? ?? ?? 8B F0 33 D2 8B 43 08 E8 ?? ?? ?? ?? EB 02 33 F6 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12559_0 {
	meta:
		name = "TQRFiFo.Get"
		size = 30
		refs = "0011 TList.Get"
	strings:
		$1 = { 53 8B D8 8B 43 08 8B 48 08 8B 53 0C 3B CA 7E 0A E8 ?? ?? ?? ?? FF 43 0C 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_12560_0 {
	meta:
		name = "TQREvElement.Create"
		size = 50
		refs = "000a @ClassCreate 0017 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12563_0 {
	meta:
		name = "_NF__301"
		size = 60
		refs = "000e @ClassCreate 001e TQREvElement.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 08 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12564_0 {
	meta:
		name = "_NF__302"
		size = 57
	strings:
		$1 = { 8A 02 3A 01 74 32 80 3A 00 75 11 80 39 01 75 0C C6 02 01 DB 42 04 DD 5A 04 9B EB 1C 80 3A 01 75 11 80 39 00 75 0C C6 01 01 DB 41 04 DD 59 04 9B EB 06 C6 02 04 C6 01 04 C3 }
	condition:
		$1
}

rule function_12565_0 {
	meta:
		name = "_NF__303"
		size = 1388
		refs = "0013 TQRFiFo.Get 0041 _NF__302 0063 _NF__303 00dd @PStrCpy 00f0 @PStrCat 026b @PStrCmp 041c @AStrCmp"
	strings:
		$1 = { 53 56 57 55 81 C4 F8 FC FF FF 8B F1 8B DA 8B F8 8B C3 E8 ?? ?? ?? ?? 8B CC 8B D3 8B 28 FF 55 04 8B C3 E8 ?? ?? ?? ?? 8D 8C 24 04 01 00 00 8B D3 8B 18 FF 53 04 8D 8C 24 04 01 00 00 8B D4 8B C7 E8 ?? ?? ?? ?? 8A 04 24 88 06 3C 04 0F 84 0A 05 00 00 33 D2 8A 57 08 83 FA 0B 0F 87 FC 04 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2C 01 72 0F 74 20 FE C8 74 30 FE C8 74 63 E9 B2 04 00 00 8B 44 24 04 03 84 24 08 01 00 00 89 46 04 E9 9F 04 00 00 DD 44 24 04 DC 84 24 08 01 00 00 DD 5E 04 9B E9 8B 04 00 00 8D 54 24 01 8D 84 24 08 02 00 00 E8 ?? ?? ?? ?? 8D 94 24 05 01 00 00 8D 84 24 08 02 00 00 E8 ?? ?? ?? ?? 8D 94 24 08 02 00 00 8D 46 01 E8 ?? ?? ?? ?? E9 54 04 00 00 C6 06 04 E9 4C 04 00 00 2C 01 72 0F 74 20 FE C8 74 30 FE C8 74 34 E9 39 04 00 00 8B 44 24 04 2B 84 24 08 01 00 00 89 46 04 E9 26 04 00 00 DD 44 24 04 DC A4 24 08 01 00 00 DD 5E 04 9B E9 12 04 00 00 C6 06 04 E9 0A 04 00 00 C6 06 04 E9 02 04 00 00 2C 01 72 0F 74 20 FE C8 74 30 FE C8 74 34 E9 EF 03 00 00 8B 44 24 04 F7 AC 24 08 01 00 00 89 46 04 E9 DC 03 00 00 DD 44 24 04 DC 8C 24 08 01 00 00 DD 5E 04 9B E9 C8 03 00 00 C6 06 04 E9 C0 03 00 00 C6 06 04 E9 B8 03 00 00 2C 01 72 0F 74 2F FE C8 74 59 FE C8 74 5D E9 A5 03 00 00 8B 8C 24 08 01 00 00 85 C9 74 0F 8B 44 24 04 99 F7 F9 89 46 04 E9 8B 03 00 00 C6 06 04 E9 83 03 00 00 DD 84 24 08 01 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 74 14 DD 44 24 04 DC B4 24 08 01 00 00 DD 5E 04 9B E9 5D 03 00 00 C6 06 04 E9 55 03 00 00 C6 06 04 E9 4D 03 00 00 C6 06 04 E9 45 03 00 00 C6 06 03 8A 04 24 2C 01 72 0F 74 23 FE C8 74 38 FE C8 74 4F E9 2C 03 00 00 8B 44 24 04 3B 84 24 08 01 00 00 0F 9F C0 88 46 01 E9 16 03 00 00 DD 44 24 04 DC 9C 24 08 01 00 00 DF E0 9E 0F 97 C0 88 46 01 E9 FD 02 00 00 8D 44 24 01 8D 94 24 05 01 00 00 E8 ?? ?? ?? ?? 0F 97 C0 88 46 01 E9 E2 02 00 00 C6 06 04 E9 DA 02 00 00 C6 06 03 8A 04 24 2C 01 72 0F 74 23 FE C8 74 38 FE C8 74 4F E9 C1 02 00 00 8B 44 24 04 3B 84 24 08 01 00 00 0F 9D C0 88 46 01 E9 AB 02 00 00 DD 44 24 04 DC 9C 24 08 01 00 00 DF E0 9E 0F 93 C0 88 46 01 E9 92 02 00 00 8D 44 24 01 8D 94 24 05 01 00 00 E8 ?? ?? ?? ?? 0F 93 C0 88 46 01 E9 77 02 00 00 C6 06 04 E9 6F 02 00 00 C6 06 03 8A 04 24 2C 01 72 0F 74 23 FE C8 74 38 FE C8 74 4F E9 56 02 00 00 8B 44 24 04 3B 84 24 08 01 00 00 0F 9C C0 88 46 01 E9 40 02 00 00 DD 44 24 04 DC 9C 24 08 01 00 00 DF E0 9E 0F 92 C0 88 46 01 E9 27 02 00 00 8D 44 24 01 8D 94 24 05 01 00 00 E8 ?? ?? ?? ?? 0F 92 C0 88 46 01 E9 0C 02 00 00 C6 06 04 E9 04 02 00 00 C6 06 03 8A 04 24 2C 01 72 0F 74 23 FE C8 74 38 FE C8 74 4F E9 EB 01 00 00 8B 44 24 04 3B 84 24 08 01 00 00 0F 9E C0 88 46 01 E9 D5 01 00 00 DD 44 24 04 DC 9C 24 08 01 00 00 DF E0 9E 0F 96 C0 88 46 01 E9 BC 01 00 00 8D 44 24 01 8D 94 24 05 01 00 00 E8 ?? ?? ?? ?? 0F 96 C0 88 46 01 E9 A1 01 00 00 C6 06 04 E9 99 01 00 00 C6 06 03 8A 04 24 2C 01 72 0F 74 23 FE C8 74 38 FE C8 74 54 E9 80 01 00 00 8B 44 24 04 3B 84 24 08 01 00 00 0F 94 C0 88 46 01 E9 6A 01 00 00 DD 44 24 04 DC 9C 24 08 01 00 00 DF E0 9E 0F 94 C0 88 46 01 E9 51 01 00 00 8D 44 24 01 8D 94 24 05 01 00 00 33 C9 8A 08 41 E8 ?? ?? ?? ?? 0F 94 C0 88 46 01 E9 31 01 00 00 8A 44 24 01 3A 84 24 05 01 00 00 0F 94 C0 88 46 01 E9 1B 01 00 00 C6 06 03 8A 04 24 2C 01 72 0F 74 23 FE C8 74 38 FE C8 74 54 E9 02 01 00 00 8B 44 24 04 3B 84 24 08 01 00 00 0F 95 C0 88 46 01 E9 EC 00 00 00 DD 44 24 04 DC 9C 24 08 01 00 00 DF E0 9E 0F 95 C0 88 46 01 E9 D3 00 00 00 8D 44 24 01 8D 94 24 05 01 00 00 33 C9 8A 08 41 E8 ?? ?? ?? ?? 0F 95 C0 88 46 01 E9 B3 00 00 00 8A 44 24 01 3A 84 24 05 01 00 00 0F 95 C0 88 46 01 E9 9D 00 00 00 8A 04 24 88 06 8A 04 24 2C 01 72 0F 74 1D FE C8 74 1E FE C8 74 1F E9 82 00 00 00 8B 44 24 04 0B 84 24 08 01 00 00 89 46 04 EB 72 C6 06 04 EB 6D C6 06 04 EB 68 80 7C 24 01 00 75 0E 80 BC 24 05 01 00 00 00 75 04 33 C0 EB 02 B0 01 88 46 01 EB 4C 8A 04 24 88 06 8A 04 24 2C 01 72 0C 74 1A FE C8 74 1B FE C8 74 1C EB 34 8B 44 24 04 23 84 24 08 01 00 00 89 46 04 EB 24 C6 06 04 EB 1F C6 06 04 EB 1A 80 7C 24 01 00 74 0A 80 BC 24 05 01 00 00 00 75 04 33 C0 EB 02 B0 01 88 46 01 81 C4 08 03 00 00 5D 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_12566_0 {
	meta:
		name = "_NF__306"
		size = 93
		refs = "0014 @ClassCreate 0030 TQREvElement.Create"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D BD FC FE FF FF B9 41 00 00 00 F3 A5 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 56 8D 7E 08 8D B5 FC FE FF FF B9 41 00 00 00 F3 A5 5E 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12567_0 {
	meta:
		name = "_NF__307"
		size = 21
	strings:
		$1 = { 53 56 57 8B D9 8B FB 8D 70 08 B9 41 00 00 00 F3 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12568_0 {
	meta:
		name = "_NF__30A"
		size = 117
		refs = "000e @ClassCreate 001d @LStrAddRef 0025 _NF__30A 0034 TQREvElement.Create 003f @LStrAsg 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12569_0 {
	meta:
		name = "_NF__30B"
		size = 28
		refs = "0015 @LStrToString"
	strings:
		$1 = { 53 56 8B F1 8B D8 C6 06 02 8D 46 01 8B 53 08 B9 FF 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12570_0 {
	meta:
		name = "TQREvElementFunction.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TQREvElement.Create 001e _Dn_TList 0023 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12572_0 {
	meta:
		name = "TQREvElementFunction.GetArguments"
		size = 135
		refs = "0016 TQRFiFo.Get 0020 _DV_TQREvElementArgumentEnd 0025 @IsClass 0032 _DV_TQREvResultClass 0037 TObject.Create 0067 TList.Add"
	strings:
		$1 = { 53 56 57 55 81 C4 F4 FE FF FF 89 54 24 04 89 04 24 8B 44 24 04 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 75 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 4C 24 08 8B 54 24 04 8B C6 8B 28 FF 55 04 56 57 8D 74 24 10 83 C7 04 B9 41 00 00 00 F3 A5 5F 5E 8B 04 24 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 95 81 C4 0C 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12573_0 {
	meta:
		name = "TQREvElementFunction.FreeArguments"
		size = 50
		refs = "0019 TList.Get 001e TObject.Free 002a TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 47 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12574_0 {
	meta:
		name = "TQREvElementFunction.Argument"
		size = 48
		refs = "0017 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 8B 7B 08 3B 77 08 7F 19 8B D6 8B C7 E8 ?? ?? ?? ?? 56 57 8D 70 04 8B FD B9 41 00 00 00 F3 A5 5F 5E 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12575_0 {
	meta:
		name = "TQREvElementFunction.Value"
		size = 51
		refs = "000e TQREvElementFunction.GetArguments 002b TQREvElementFunction.FreeArguments"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7E 04 00 74 07 8B C3 8B 10 FF 52 0C 8B D7 8B C3 8B 08 FF 51 10 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12576_0 {
	meta:
		name = "TQREvElementFunction.ArgumentOK"
		size = 45
		refs = "0007 _DV_TQREvElementArgumentEnd 000c @IsClass 0018 _DV_TQREvElementError"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12578_0 {
	meta:
		name = "TQREvElementFunction.Calculate"
		size = 4
	strings:
		$1 = { C6 02 04 C3 }
	condition:
		$1
}

rule function_12579_0 {
	meta:
		name = "_NF__328"
		size = 21
	strings:
		$1 = { 8B 40 08 83 78 08 00 75 08 C6 02 03 C6 42 01 01 C3 C6 02 04 C3 }
	condition:
		$1
}

rule function_12580_0 {
	meta:
		name = "_NF__329"
		size = 21
	strings:
		$1 = { 8B 40 08 83 78 08 00 75 08 C6 02 03 C6 42 01 00 C3 C6 02 04 C3 }
	condition:
		$1
}

rule function_12581_0 {
	meta:
		name = "_NF__32C"
		size = 100
		refs = "001c TQREvElementFunction.Argument"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F2 8B D8 8B 43 08 83 78 08 03 75 43 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 80 3C 24 03 75 32 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 80 7C 24 01 00 74 10 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 13 8B CE BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 03 C6 06 04 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12582_0 {
	meta:
		name = "_NF__32F"
		size = 208
		refs = "0020 TQREvElementFunction.Argument 0031 _NF__32F"
	strings:
		$1 = { 53 56 57 81 C4 FC FE FF FF 8B F2 8B D8 C6 06 02 8B 43 08 83 78 08 01 75 7F 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 04 24 83 F8 04 77 65 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 56 8D 7E 01 BE ?? ?? ?? ?? A5 A5 5E EB 44 56 8D 7E 01 BE ?? ?? ?? ?? A5 66 A5 5E EB 35 56 8D 7E 01 BE ?? ?? ?? ?? A5 66 A5 A4 5E EB 25 56 8D 7E 01 BE ?? ?? ?? ?? A5 A5 5E EB 17 56 8D 7E 01 BE ?? ?? ?? ?? A5 66 A5 5E EB 08 C6 06 04 EB 03 C6 06 04 81 C4 04 01 00 00 5F 5E 5B C3 00 00 00 07 49 4E 54 45 47 45 52 05 46 4C 4F 41 54 00 00 06 53 54 52 49 4E 47 00 07 42 4F 4F 4C 45 41 4E 05 45 52 52 4F 52 00 00 }
	condition:
		$1
}

rule function_12583_0 {
	meta:
		name = "_NF__332"
		size = 113
		refs = "001f TQREvElementFunction.Argument 0052 @INT 0057 @ROUND"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F2 8B D8 C6 06 00 8B 43 08 83 78 08 01 75 4D 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 8A 04 24 2C 01 72 04 74 16 EB 32 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 89 46 04 EB 26 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? DD 44 24 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 EB 08 C6 06 04 EB 03 C6 06 04 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12584_0 {
	meta:
		name = "_NF__335"
		size = 99
		refs = "001f TQREvElementFunction.Argument 0048 @FRAC"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F2 8B D8 C6 06 01 8B 43 08 83 78 08 01 75 3F 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 8A 04 24 2C 01 72 04 74 0C EB 24 33 C0 89 46 04 89 46 08 EB 22 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? DD 44 24 04 E8 ?? ?? ?? ?? DD 5E 04 9B EB 08 C6 06 04 EB 03 C6 06 04 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12585_0 {
	meta:
		name = "_NF__338"
		size = 109
		refs = "001f TQREvElementFunction.Argument"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F2 8B D8 C6 06 01 8B 43 08 83 78 08 01 75 49 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 8A 04 24 2C 01 72 04 74 19 EB 2E 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? DB 44 24 04 D9 FA DD 5E 04 9B EB 1F 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? DD 44 24 04 D9 FA DD 5E 04 9B EB 08 C6 06 04 EB 03 C6 06 04 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12586_0 {
	meta:
		name = "_NF__33B"
		size = 272
		refs = "001c _NF__33B 003e TQREvElementFunction.Argument 0064 IntToStr 0077 @LStrToString 0091 FloatToStr 00ec @LStrClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 C9 89 8D F8 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 83 78 08 01 0F 85 A2 00 00 00 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? C6 06 02 8A 85 FC FE FF FF 2C 01 72 08 74 2C 2C 02 74 55 EB 79 8D 95 F8 FE FF FF 8B 85 00 FF FF FF E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 5B DD 85 00 FF FF FF 83 C4 F4 DB 3C 24 9B 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 2E 80 BD FD FE FF FF 00 74 0E 56 8D 7E 01 BE ?? ?? ?? ?? A5 A4 5E EB 17 56 8D 7E 01 BE ?? ?? ?? ?? A5 66 A5 5E EB 08 C6 06 04 EB 03 C6 06 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 00 04 54 72 75 65 00 00 00 05 46 61 6C 73 65 00 00 }
	condition:
		$1
}

rule function_12587_0 {
	meta:
		name = "_NF__33E"
		size = 195
		refs = "0021 _NF__33E 003f TQREvElementFunction.Argument 006b @LStrFromString 007c AnsiUpperCase 008f @LStrToString 00b1 @LStrArrayClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 33 C9 89 8D F8 FE FF FF 89 8D F4 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 83 78 08 01 75 61 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BD FC FE FF FF 02 75 49 C6 06 02 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 95 FD FE FF FF 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 03 C6 06 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12588_0 {
	meta:
		name = "_NF__341"
		size = 195
		refs = "0021 _NF__341 003f TQREvElementFunction.Argument 006b @LStrFromString 007c AnsiLowerCase 008f @LStrToString 00b1 @LStrArrayClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 33 C9 89 8D F8 FE FF FF 89 8D F4 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 83 78 08 01 75 61 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BD FC FE FF FF 02 75 49 C6 06 02 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 95 FD FE FF FF 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 03 C6 06 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12589_0 {
	meta:
		name = "_NF__344"
		size = 364
		refs = "0027 _NF__344 0049 TQREvElementFunction.Argument 0084 @Copy 0095 @LStrFromString 00a6 AnsiUpperCase 010e AnsiLowerCase 011a @LStrCat 012d @LStrToString 014a @LStrClr 015a @LStrArrayClr 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FC FF FF 53 56 33 C9 89 8D F8 FE FF FF 89 8D F4 FE FF FF 89 8D F0 FD FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 83 78 08 01 0F 85 F5 00 00 00 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BD FC FE FF FF 02 0F 85 D9 00 00 00 C6 06 02 8D 85 F4 FD FF FF 50 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 85 FD FE FF FF B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 95 F4 FD FF FF 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 50 8D 85 F4 FD FF FF 50 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 85 FD FE FF FF 50 8D 8D EC FC FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 85 ED FC FF FF BA 02 00 00 00 59 E8 ?? ?? ?? ?? 8D 95 F4 FD FF FF 8D 85 F0 FD FF FF E8 ?? ?? ?? ?? 8B 85 F0 FD FF FF 8D 95 F4 FE FF FF E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 58 E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 03 C6 06 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FD FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12590_0 {
	meta:
		name = "_NF__347"
		size = 108
		refs = "000c _NF__347 0023 Now 0032 TimeToStr 0042 @LStrToString 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 83 78 08 00 75 29 C6 03 02 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 03 C6 03 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12591_0 {
	meta:
		name = "_NF__34A"
		size = 108
		refs = "000c _NF__34A 0023 Date 0032 DateToStr 0042 @LStrToString 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 83 78 08 00 75 29 C6 03 02 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 03 C6 03 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12592_0 {
	meta:
		name = "_NF__34D"
		size = 203
		refs = "0020 TQREvElementFunction.Argument 00b6 @Copy"
	strings:
		$1 = { 53 56 81 C4 F4 FC FF FF 8B F2 8B D8 8B 43 08 83 78 08 03 0F 85 A6 00 00 00 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 80 3C 24 02 0F 85 91 00 00 00 8D 8C 24 04 01 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BC 24 04 01 00 00 00 75 74 8D 8C 24 08 02 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BC 24 08 02 00 00 00 75 57 8D 46 01 50 8D 4C 24 04 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 50 8D 8C 24 0C 01 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 84 24 10 01 00 00 50 8D 8C 24 14 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 84 24 15 02 00 00 5A 59 E8 ?? ?? ?? ?? C6 06 02 EB 03 C6 06 04 81 C4 0C 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12593_0 {
	meta:
		name = "_NF__350"
		size = 432
		refs = "0021 _NF__350 0046 TQREvElementFunction.Argument 00ed @LStrFromString 00fe FormatFloat 0111 @LStrToString 0198 @LStrArrayClr 019e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FC FF FF 53 56 33 C9 89 8D F0 FC FF FF 89 8D EC FC FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 83 78 08 02 0F 85 44 01 00 00 8D 8D FC FE FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BD FC FE FF FF 00 74 1F 8D 8D F8 FD FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BD F8 FD FF FF 01 0F 85 0A 01 00 00 8D 8D F4 FC FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BD F4 FC FF FF 02 0F 85 EE 00 00 00 C6 06 02 8D 8D FC FE FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BD FC FE FF FF 00 75 6B 8D 8D FC FE FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? DB 85 00 FF FF FF D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 8D F8 FD FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 95 F9 FD FF FF 8D 85 EC FC FF FF E8 ?? ?? ?? ?? 8B 85 EC FC FF FF 8D 95 F0 FC FF FF E8 ?? ?? ?? ?? 8B 95 F0 FC FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 68 8D 8D FC FE FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 85 00 FF FF FF 83 C4 F4 DB 3C 24 9B 8D 8D F8 FD FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 95 F9 FD FF FF 8D 85 EC FC FF FF E8 ?? ?? ?? ?? 8B 85 EC FC FF FF 8D 95 F0 FC FF FF E8 ?? ?? ?? ?? 8B 95 F0 FC FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 03 C6 06 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FC FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_12594_0 {
	meta:
		name = "_NF__353"
		size = 57
		refs = "000a @ClassCreate 0017 TQREvElementFunction.Create"
		altNames = "_NF__35E _NF__364"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 10 01 00 00 00 C6 46 04 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12595_0 {
	meta:
		name = "_NF__354"
		size = 8
		altNames = "_NF__35F _NF__365"
	strings:
		$1 = { C6 80 10 01 00 00 00 C3 }
	condition:
		$1
}

rule function_12596_0 {
	meta:
		name = "_NF__355"
		size = 145
		refs = "0019 TQREvElementFunction.Argument"
	strings:
		$1 = { 53 81 C4 FC FE FF FF 8B D8 8B 43 08 83 78 08 01 75 73 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB 10 01 00 00 00 74 2B 8A 04 24 2C 01 72 08 74 0F FE C8 74 18 EB 47 8B 44 24 04 01 43 10 EB 3E DD 43 10 DC 44 24 04 DD 5B 10 9B EB 31 C6 43 0C 04 EB 2B 8A 04 24 88 43 0C 2C 01 72 04 74 0B EB 19 8B 44 24 04 89 43 10 EB 14 8B 44 24 04 89 43 10 8B 44 24 08 89 43 14 EB 04 C6 43 0C 04 C6 83 10 01 00 00 01 EB 04 C6 43 0C 04 81 C4 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_12597_0 {
	meta:
		name = "_NF__356"
		size = 32
		altNames = "_NF__361 _NF__367"
	strings:
		$1 = { 56 57 80 B8 10 01 00 00 00 74 0F 8B FA 8D 70 0C B9 41 00 00 00 F3 A5 5F 5E C3 C6 02 04 5F 5E C3 }
	condition:
		$1
}

rule function_12598_0 {
	meta:
		name = "_NF__359"
		size = 31
		refs = "0006 _NF__354"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 18 01 00 00 04 33 C0 89 83 14 01 00 00 C6 43 04 01 5B C3 }
	condition:
		$1
}

rule function_12599_0 {
	meta:
		name = "_NF__35A"
		size = 104
		refs = "000c _NF__355 001b _NF__356"
	strings:
		$1 = { 53 81 C4 FC FE FF FF 8B D8 8B C3 E8 ?? ?? ?? ?? FF 83 14 01 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? C6 83 18 01 00 00 01 8A 04 24 2C 01 72 04 74 17 EB 28 DB 44 24 04 DB 83 14 01 00 00 DE F9 DD 9B 1C 01 00 00 9B EB 1A DB 83 14 01 00 00 DC 7C 24 04 DD 9B 1C 01 00 00 9B EB 07 C6 83 18 01 00 00 04 81 C4 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_12600_0 {
	meta:
		name = "_NF__35B"
		size = 20
	strings:
		$1 = { 56 57 8B FA 8D B0 18 01 00 00 B9 41 00 00 00 F3 A5 5F 5E C3 }
	condition:
		$1
}

rule function_12603_0 {
	meta:
		name = "_NF__360"
		size = 188
		refs = "001f TQREvElementFunction.Argument 0071 @PStrCmp 007f @PStrCpy"
	strings:
		$1 = { 53 56 57 81 C4 FC FE FF FF 8B D8 8B 43 08 83 78 08 01 0F 85 96 00 00 00 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB 10 01 00 00 00 74 6D 8A 43 0C 2C 01 72 0C 74 18 FE C8 74 30 FE C8 74 48 EB 54 8B 44 24 04 3B 43 10 7E 6A 89 43 10 EB 65 DD 44 24 04 DC 5B 10 DF E0 9E 76 59 8B 44 24 04 89 43 10 8B 44 24 08 89 43 14 EB 49 8D 44 24 01 8D 53 0D E8 ?? ?? ?? ?? 76 3B 8D 43 0D 8D 54 24 01 E8 ?? ?? ?? ?? EB 2D 8A 44 24 01 3A 43 0D 76 24 88 43 0D EB 1F C6 43 0C 04 EB 19 8B F4 8D 7B 0C B9 41 00 00 00 F3 A5 C6 83 10 01 00 00 01 EB 04 C6 43 0C 04 81 C4 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12607_0 {
	meta:
		name = "_NF__366"
		size = 188
		refs = "001f TQREvElementFunction.Argument 0071 @PStrCmp 007f @PStrCpy"
	strings:
		$1 = { 53 56 57 81 C4 FC FE FF FF 8B D8 8B 43 08 83 78 08 01 0F 85 96 00 00 00 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB 10 01 00 00 00 74 6D 8A 43 0C 2C 01 72 0C 74 18 FE C8 74 30 FE C8 74 48 EB 54 8B 44 24 04 3B 43 10 7D 6A 89 43 10 EB 65 DD 44 24 04 DC 5B 10 DF E0 9E 73 59 8B 44 24 04 89 43 10 8B 44 24 08 89 43 14 EB 49 8D 44 24 01 8D 53 0D E8 ?? ?? ?? ?? 73 3B 8D 43 0D 8D 54 24 01 E8 ?? ?? ?? ?? EB 2D 8A 44 24 01 3A 43 0D 76 24 88 43 0D EB 1F C6 43 0C 04 EB 19 8B F4 8D 7B 0C B9 41 00 00 00 F3 A5 C6 83 10 01 00 00 01 EB 04 C6 43 0C 04 81 C4 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12609_0 {
	meta:
		name = "_NF__36A"
		size = 55
		refs = "000a @ClassCreate 0017 TQREvElementFunction.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 0C C6 46 04 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12610_0 {
	meta:
		name = "_NF__36B"
		size = 61
		refs = "000e TQREvElementFunction.GetArguments 0035 TQREvElementFunction.FreeArguments"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 08 83 78 08 00 75 14 80 7F 04 00 74 03 FF 43 0C C6 06 00 8B 43 0C 89 46 04 EB 03 C6 06 04 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12612_0 {
	meta:
		name = "TQREvElementDataField.CreateField"
		size = 69
		refs = "000b @ClassCreate 001a TQREvElement.Create 0027 TField.GetIndex"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 46 24 89 47 08 8B C6 E8 ?? ?? ?? ?? 89 47 0C 89 77 10 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12613_0 {
	meta:
		name = "TQREvElementDataField.Value"
		size = 417
		refs = "0010 TQREvElementDataField.Value 0029 TDataSet.GetField 0035 _Dn_TStringField 003a @IsClass 005c @LStrToString 006c _Dn_TIntegerField 007d _Dn_TSmallintField 008e _Dn_TWordField 00b5 _Dn_TFloatField 00c6 _Dn_TCurrencyField 00d7 _Dn_TBCDField 00fc _Dn_TBooleanField 011d _Dn_TDateField 014e _Dn_TDateTimeField 018f @LStrClr 0195 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 08 80 7F 69 00 74 0D 8B 53 0C 8B C7 E8 ?? ?? ?? ?? 89 43 10 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 C6 06 02 8D 55 FC 8B 43 10 8B 08 FF 51 48 8B 55 FC 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? E9 19 01 00 00 8B 7B 10 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 C6 06 00 8B 43 10 8B 10 FF 52 44 89 46 04 E9 D0 00 00 00 8B 7B 10 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 C6 06 01 8B 43 10 8B 10 FF 52 40 DD 5E 04 9B E9 86 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 C6 06 03 8B 43 10 8B 10 FF 52 34 88 46 01 EB 65 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 C6 06 02 8D 55 FC 8B 43 10 8B 08 FF 51 48 8B 55 FC 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 34 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 C6 06 02 8D 55 FC 8B 43 10 8B 08 FF 51 48 8B 55 FC 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 03 C6 06 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12614_0 {
	meta:
		name = "TQREvElementError.Value"
		size = 4
	strings:
		$1 = { C6 01 04 C3 }
	condition:
		$1
}

rule function_12615_0 {
	meta:
		name = "TQREvaluator.Create"
		size = 31
		refs = "0008 @ClassCreate"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C6 40 0C 00 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_12616_0 {
	meta:
		name = "TQREvaluator.Destroy"
		size = 47
		refs = "000f TQREvaluator.UnPrepare 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 7E 0C 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12617_0 {
	meta:
		name = "_NF__37D"
		size = 180
		refs = "000e _NF__37D 0020 @LStrLen 0037 @LStrCopy 0044 @LStrCmp 0096 @LStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 8B 07 E8 ?? ?? ?? ?? 8B F0 EB 01 43 8D 45 FC 50 8B 07 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 3B F3 7F DA EB 01 4E 8D 45 FC 50 8B 07 B9 01 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 3B DE 7C DA 57 8B CE 2B CB 41 8B 07 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_12618_0 {
	meta:
		name = "_NF__37E"
		size = 209
		refs = "0013 @LStrAddRef 001b _NF__37E 007a _NV__25E 008b @LStrLen 00be @LStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 09 8B 45 F8 33 D2 89 10 EB 79 C6 45 F7 00 33 DB 33 FF BE 01 00 00 00 EB 44 8B 45 FC 8A 44 30 FF 2C 27 74 18 FE C8 74 06 FE C8 74 09 EB 11 84 DB 75 0D 47 EB 0A 84 DB 75 06 4F EB 03 80 F3 01 85 FF 75 19 84 DB 75 15 8B 45 FC 8A 44 30 FF 3A 05 ?? ?? ?? ?? 75 06 C6 45 F7 01 EB 13 46 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7D 06 80 7D F7 00 74 AA 80 7D F7 00 74 07 8B 45 F8 89 30 EB 07 8B 45 F8 33 D2 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12619_0 {
	meta:
		name = "_NF__37F"
		size = 314
		refs = "0033 @LStrToString 010c @LStrLen"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 89 4D F8 89 55 FC BE 01 00 00 00 33 FF 33 DB 8B 45 08 C7 00 01 00 00 00 8D 85 F7 FE FF FF 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? C6 45 F7 00 E9 C8 00 00 00 B3 01 8A 84 35 F7 FE FF FF 2C 27 74 1C FE C8 74 06 FE C8 74 0B EB 1A 80 7D F7 00 75 14 47 EB 11 80 7D F7 00 75 0B 4F EB 08 8A 45 F7 34 01 88 45 F7 85 FF 0F 85 8C 00 00 00 83 FE 01 0F 8E 83 00 00 00 80 7D F7 00 75 7D 8A 84 35 F7 FE FF FF 2C 3C 74 0A FE C8 74 62 FE C8 74 3B EB 64 8A 84 35 F8 FE FF FF 3C 3E 75 11 8B 45 F8 C6 00 05 8B 45 08 C7 00 02 00 00 00 EB 4E 3C 3D 75 11 8B 45 F8 C6 00 01 8B 45 08 C7 00 02 00 00 00 EB 39 8B 45 F8 C6 00 00 EB 31 80 BC 35 F8 FE FF FF 3D 75 11 8B 45 F8 C6 00 03 8B 45 08 C7 00 02 00 00 00 EB 16 8B 45 F8 C6 00 02 EB 0E 8B 45 F8 C6 00 04 EB 06 33 DB EB 02 33 DB 46 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7D 08 84 DB 0F 84 24 FF FF FF 84 DB 74 08 4E 8B 45 0C 89 30 EB 09 8B 45 0C C7 00 FF FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12620_0 {
	meta:
		name = "_NF__380"
		size = 384
		refs = "0024 _NF__380 004a @LStrToString 00d8 @LStrCopy 00e9 AnsiLowerCase 00f9 @LStrCmp 0120 @LStrLen 015e @LStrArrayClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 DB 89 9D F0 FE FF FF 89 9D EC FE FF FF 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 33 FF 33 DB C6 45 F7 00 8D 85 F7 FE FF FF 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 C7 00 01 00 00 00 E9 C0 00 00 00 B3 01 8A 84 35 F7 FE FF FF 2C 27 74 1C FE C8 74 06 FE C8 74 0B EB 1A 80 7D F7 00 75 14 47 EB 11 80 7D F7 00 75 0B 4F EB 08 8A 45 F7 34 01 88 45 F7 85 FF 0F 85 84 00 00 00 80 7D F7 00 75 7E 83 FE 01 7E 79 8A 84 35 F7 FE FF FF 2C 20 74 1A 2C 0B 74 06 2C 02 74 0A EB 60 8B 45 F8 C6 00 06 EB 5E 8B 45 F8 C6 00 07 EB 56 8D 85 EC FE FF FF 50 8D 56 01 B9 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 8D 95 F0 FE FF FF E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 45 F8 C6 00 08 8B 45 08 C7 00 02 00 00 00 46 EB 0A 33 DB EB 06 33 DB EB 02 33 DB 46 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7D 08 84 DB 0F 84 2C FF FF FF 84 DB 74 08 4E 8B 45 0C 89 30 EB 09 8B 45 0C C7 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 03 00 00 00 6F 72 20 00 }
	condition:
		$1
}

rule function_12621_0 {
	meta:
		name = "_NF__381"
		size = 388
		refs = "0024 _NF__381 0053 @LStrToString 00d8 @LStrCopy 00e9 AnsiLowerCase 00f9 @LStrCmp 0120 @LStrLen 015e @LStrArrayClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 DB 89 9D F0 FE FF FF 89 9D EC FE FF FF 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 33 FF 33 DB C6 45 F7 00 8B 45 08 C7 00 01 00 00 00 8D 85 F7 FE FF FF 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? E9 C0 00 00 00 B3 01 8A 84 35 F7 FE FF FF 2C 27 74 1C FE C8 74 06 FE C8 74 0B EB 1A 80 7D F7 00 75 14 47 EB 11 80 7D F7 00 75 0B 4F EB 08 8A 45 F7 34 01 88 45 F7 85 FF 0F 85 84 00 00 00 80 7D F7 00 75 7E 83 FE 01 7E 79 8A 84 35 F7 FE FF FF 2C 20 74 1A 2C 0A 74 06 2C 05 74 0A EB 60 8B 45 F8 C6 00 09 EB 5E 8B 45 F8 C6 00 0A EB 56 8D 85 EC FE FF FF 50 8D 56 01 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 8D 95 F0 FE FF FF E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 45 F8 C6 00 0B 8B 45 08 C7 00 03 00 00 00 46 EB 0A 33 DB EB 06 33 DB EB 02 33 DB 46 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7D 08 84 DB 0F 84 2C FF FF FF 84 DB 74 08 4E 8B 45 0C 89 30 EB 09 8B 45 0C C7 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 04 00 00 00 61 6E 64 20 00 00 00 00 }
	condition:
		$1
}

rule function_12622_0 {
	meta:
		name = "_NF__382"
		size = 50
	strings:
		$1 = { 8A 02 88 01 8A 02 2C 01 72 08 74 0F 2C 02 74 15 EB 1C 8B 42 04 F7 D8 89 41 04 C3 DD 42 04 D9 E0 DD 59 04 9B C3 8A 42 01 34 01 88 41 01 C3 C6 01 04 C3 }
	condition:
		$1
}

rule function_12623_0 {
	meta:
		name = "TQREvaluator.EvalVariable"
		size = 440
		refs = "001d @LStrAddRef 0025 TQREvaluator.EvalVariable 0042 AnsiPos 0058 @LStrCopy 0063 AnsiUpperCase 006f @LStrLen 00b7 TList.Get 00cd @LStrCmp 00f3 TDataSet.FindField 0135 _DV_TQREvElementDataField 013a TQREvElementDataField.CreateField 0144 TQRFiFo.Put 014d _DV_TQREvElementError 0152 TQREvElement.Create 0189 @LStrClr 0196 @LStrArrayClr 019c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D F8 89 5D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 04 00 0F 84 29 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 E8 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 2B CE 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 55 F4 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 C0 89 45 F0 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 59 8B 43 04 8B 70 08 4E 85 F6 7C 38 46 33 FF 8B D7 8B 43 04 E8 ?? ?? ?? ?? 8B 40 08 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 75 0F 8B D7 8B 43 04 E8 ?? ?? ?? ?? 89 45 F0 EB 04 47 4E 75 CB 83 7D F0 00 74 3D 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC EB 2D 8B 43 04 8B 70 08 4E 85 F6 7C 22 46 33 FF 8B D7 8B 43 04 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 04 47 4E 75 E1 83 7D EC 00 74 1B 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 08 E8 ?? ?? ?? ?? EB 2E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 08 E8 ?? ?? ?? ?? EB 16 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_12624_0 {
	meta:
		name = "_NF__386"
		size = 117
		refs = "0012 _NF__386 002a @LStrToString 0035 @LStrFromString 003f _NV__308 0044 _NF__30A 004e TQRFiFo.Put 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 03 02 8D 43 01 8B D7 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8D 53 01 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 46 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12625_0 {
	meta:
		name = "TQREvaluator.EvalFunction"
		size = 395
		refs = "0023 @LStrAddRef 002b TQREvaluator.EvalFunction 003f AnsiUpperCase 004d @LStrLAsg 0055 QRFunctionLibrary 005a TQRFunctionLibrary.GetFunction 0064 _DV_TQREvElementError 0069 @IsClass 007c TObject.Free 009b TQRFiFo.Put 00d3 _NF__37E 00f1 @LStrCopy 0104 _NF__390 010e @LStrLen 0132 @LStrDelete 013f _DV_TQREvElementArgumentEnd 0144 TQREvElement.Create 0166 @LStrClr 017c @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E4 FD FF FF 53 56 57 33 DB 89 9D E8 FE FF FF 89 5D F0 89 4D F8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 E8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 31 83 7D F8 00 75 1C 8B C6 E8 ?? ?? ?? ?? 8D 8D E4 FD FF FF 8B 55 FC 8B C7 8B 18 FF 53 04 E9 BD 00 00 00 8B D6 8B 47 08 E8 ?? ?? ?? ?? E9 AE 00 00 00 8B D6 8B 47 08 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 75 7D 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 83 7D F4 00 7E 2D 8D 85 E8 FE FF FF 50 8B 4D F4 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8D 8D EC FE FF FF 8B C7 E8 ?? ?? ?? ?? EB 1C 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7E 10 8D 8D EC FE FF FF 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8D 45 F0 8B 4D F4 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 75 8E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 47 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12626_0 {
	meta:
		name = "_NF__38B"
		size = 400
		refs = "001f _NF__38B 003d @LStrToString 00b8 @LStrFromString 00c3 StrToInt 00d1 DecimalSeparator 00e8 @Pos 0127 StrToFloat 0137 _DV_TQREvElementError 013c TQREvElement.Create 0146 TQRFiFo.Put 0151 _NV__304 0156 _NF__306 0178 @LStrClr 017e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 DB 89 9D F8 FE FF FF 8B F1 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 8D 85 FC FE FF FF 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 01 43 33 C0 8A 85 FC FE FF FF 3B D8 7F 0D 8A 84 1D FC FE FF FF 04 D0 2C 0A 72 E6 C6 06 00 EB 04 43 C6 06 01 33 C0 8A 85 FC FE FF FF 3B D8 7F 1E 8A 84 1D FC FE FF FF 2C 2B 74 E5 04 FE 2C 02 72 DF 48 2C 0A 72 DA 2C 0B 74 D6 2C 20 74 D2 4B 33 C0 8A 85 FC FE FF FF 3B D8 74 08 C6 06 04 E9 8A 00 00 00 8A 06 84 C0 75 21 8D 85 F8 FE FF FF 8D 95 FC FE FF FF E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF E8 ?? ?? ?? ?? 89 46 04 EB 63 3C 01 75 5F A1 ?? ?? ?? ?? 80 38 2E 74 35 EB 1F 8D 95 FC FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8A 12 88 94 05 FC FE FF FF 8D 95 FC FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F CD 8D 85 F8 FE FF FF 8D 95 FC FE FF FF E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF E8 ?? ?? ?? ?? DD 5E 04 9B 80 3E 04 75 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 47 08 E8 ?? ?? ?? ?? EB 18 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 47 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 00 01 2E 00 00 }
	condition:
		$1
}

rule function_12627_0 {
	meta:
		name = "_NF__38C"
		size = 308
		refs = "0025 _NF__38C 0037 AnsiPos 004f @LStrLen 005d @LStrCopy 006d @LStrCmp 0108 @LStrArrayClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 DB 89 9D F0 FE FF FF 89 9D EC FE FF FF 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 0F 8E 94 00 00 00 8D 85 F0 FE FF FF 50 8B C3 E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 4E 8B 45 F8 50 8D 85 F0 FE FF FF 50 8B C3 E8 ?? ?? ?? ?? 8B C8 2B CE 49 8D 56 01 8B C3 E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 50 8D 85 EC FE FF FF 50 8B CE 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B 45 FC 59 8B 18 FF 13 EB 2E C6 85 F4 FE FF FF 04 8B 45 F8 50 33 C9 33 D2 8B 45 FC 8B 18 FF 13 EB 16 C6 85 F4 FE FF FF 04 8B 45 F8 50 33 C9 8B D3 8B 45 FC 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_12628_0 {
	meta:
		name = "_NF__38D"
		size = 796
		refs = "0024 @LStrAddRef 002c _NF__38D 003c _NF__37D 004f @LStrToString 0068 @LStrCopy 0079 AnsiLowerCase 0089 @LStrCmp 009a @LStrLen 00cb _NF__382 0171 _NF__390 0201 _NF__38B 0248 _NF__386 0257 _DV_TQREvElementError 025c TQREvElement.Create 0266 TQRFiFo.Put 02bd _NF__38C 02f5 @LStrArrayClr 02fd @LStrClr 0303 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FD FF FF 53 56 33 DB 89 9D F8 FE FF FF 89 9D F4 FE FF FF 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF 50 B9 03 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 45 8D 85 F8 FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 8D F0 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8D 95 F0 FD FF FF 8B CE 8B C3 E8 ?? ?? ?? ?? E9 08 02 00 00 33 C0 8A 85 FD FE FF FF 83 F8 30 7D 23 83 E8 27 0F 84 20 01 00 00 48 74 46 83 E8 03 0F 84 D1 00 00 00 83 E8 02 0F 84 83 00 00 00 E9 BF 01 00 00 83 C0 D0 83 E8 0A 0F 82 E9 00 00 00 83 C0 F9 83 E8 1A 0F 82 99 01 00 00 0F 84 4A 01 00 00 83 C0 FA 83 E8 1A 0F 82 87 01 00 00 E9 90 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 80 7C 02 FF 29 75 35 8D 85 F8 FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B CE 8B C3 E8 ?? ?? ?? ?? E9 62 01 00 00 C6 06 04 E9 5A 01 00 00 8D 85 F8 FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 8D F0 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8D 95 F0 FD FF FF 8B CE 8B C3 E8 ?? ?? ?? ?? E9 15 01 00 00 8D 85 F8 FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B CE 8B C3 E8 ?? ?? ?? ?? E9 E3 00 00 00 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 D2 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 BC 05 FC FE FF FF 27 75 35 8D 85 F8 FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B CE 8B C3 E8 ?? ?? ?? ?? E9 8B 00 00 00 C6 06 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 08 E8 ?? ?? ?? ?? EB 70 8B 45 FC E8 ?? ?? ?? ?? 80 BC 05 FC FE FF FF 5D 75 32 8D 85 F8 FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B CE 8B C3 8B 18 FF 53 04 EB 2C C6 06 04 EB 27 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 19 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 08 E8 ?? ?? ?? ?? C6 06 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 FF FF FF FF 03 00 00 00 6E 6F 74 00 }
	condition:
		$1
}

rule function_12629_0 {
	meta:
		name = "_NF__38E"
		size = 233
		refs = "001e _NF__38E 0038 _NF__381 0048 _NV__2FF 004d _NF__301 0057 TQRFiFo.Put 006e @LStrCopy 0081 _NF__38D 008f @LStrLen 00d6 @LStrClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FD FF FF 53 56 57 33 DB 89 9D E8 FD FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 45 F4 50 8D 4D FF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 7E 75 8A 4D FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 08 E8 ?? ?? ?? ?? 8D 85 E8 FD FF FF 50 8B 4D F8 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 95 E8 FD FF FF 8D 8D F0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 E8 FD FF FF 50 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 03 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 95 E8 FD FF FF 8D 8D EC FD FF FF 8B C3 E8 ?? ?? ?? ?? EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12630_0 {
	meta:
		name = "_NF__38F"
		size = 233
		refs = "001e _NF__38F 0038 _NF__380 0048 _NV__2FF 004d _NF__301 0057 TQRFiFo.Put 006e @LStrCopy 0081 _NF__38E 008f @LStrLen 00d6 @LStrClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FD FF FF 53 56 57 33 DB 89 9D E8 FD FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 45 F4 50 8D 4D FF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 7E 75 8A 4D FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 08 E8 ?? ?? ?? ?? 8D 85 E8 FD FF FF 50 8B 4D F8 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 95 E8 FD FF FF 8D 8D F0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 E8 FD FF FF 50 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 03 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 95 E8 FD FF FF 8D 8D EC FD FF FF 8B C3 E8 ?? ?? ?? ?? EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12631_0 {
	meta:
		name = "_NF__390"
		size = 233
		refs = "001e _NF__390 0038 _NF__37F 0048 _NV__2FF 004d _NF__301 0057 TQRFiFo.Put 006e @LStrCopy 0081 _NF__38F 008f @LStrLen 00d6 @LStrClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FD FF FF 53 56 57 33 DB 89 9D E8 FD FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 45 F4 50 8D 4D FF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 7E 75 8A 4D FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 08 E8 ?? ?? ?? ?? 8D 85 E8 FD FF FF 50 8B 4D F8 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 95 E8 FD FF FF 8D 8D F0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 E8 FD FF FF 50 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 03 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 95 E8 FD FF FF 8D 8D EC FD FF FF 8B C3 E8 ?? ?? ?? ?? EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12632_0 {
	meta:
		name = "TQREvaluator.Prepare"
		size = 96
		refs = "0015 TQREvaluator.UnPrepare 001c _DV_TQRFiFo 0021 TQRFiFo.Create 002f TQREvaluator.Prepare 0036 _NF__390"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F2 8B D8 80 7B 0C 00 74 07 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 85 F6 75 10 8B CC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 0B 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? C6 43 0C 01 81 C4 04 01 00 00 5E 5B C3 FF FF FF FF 03 00 00 00 27 20 27 00 }
	condition:
		$1
}

rule function_12633_0 {
	meta:
		name = "TQREvaluator.UnPrepare"
		size = 17
		refs = "0007 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? C6 43 0C 00 5B C3 }
	condition:
		$1
}

rule function_12634_0 {
	meta:
		name = "TQREvaluator.Reset"
		size = 48
		refs = "001f TList.Get"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 08 8B 40 08 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 47 08 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 08 46 4B 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12635_0 {
	meta:
		name = "TQREvaluator.Value"
		size = 35
		refs = "000a TQRFiFo.Start 0012 TQRFiFo.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B CE 8B 53 08 8B 18 FF 53 04 5E 5B C3 }
	condition:
		$1
}

rule function_12636_0 {
	meta:
		name = "TQREvaluator.GetIsAggreg"
		size = 67
		refs = "0026 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B E8 33 DB 8B 45 08 8B 40 08 8B 70 08 4E 85 F6 7C 26 46 33 FF 84 DB 75 17 8B 45 08 8B 40 08 8B D7 E8 ?? ?? ?? ?? 80 78 04 00 75 04 33 C0 EB 02 B0 01 8B D8 47 4E 75 DD 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12637_0 {
	meta:
		name = "TQREvaluator.GetAggregate"
		size = 7
	strings:
		$1 = { 8B 40 08 8A 40 04 C3 }
	condition:
		$1
}

rule function_12638_0 {
	meta:
		name = "TQREvaluator.SetAggregate"
		size = 7
	strings:
		$1 = { 8B 40 08 88 50 04 C3 }
	condition:
		$1
}

rule function_12639_0 {
	meta:
		name = "TQREvaluator.Calculate"
		size = 32
		refs = "0009 TQREvaluator.Prepare 0012 TQREvaluator.Value 0019 TQREvaluator.UnPrepare"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12640_0 {
	meta:
		name = "TQRPreviewImage.Create"
		size = 105
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 0023 TControl.SetHeight 002f TControl.SetWidth"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 32 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 C8 00 00 00 64 00 00 00 33 C0 89 86 B8 00 00 00 C6 86 C4 00 00 00 00 C7 86 BC 00 00 00 01 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12641_0 {
	meta:
		name = "TQRPreviewImage.Destroy"
		size = 54
		refs = "0016 TObject.Free 0022 TGraphicControl.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 BE C4 00 00 00 00 74 0B 8B 86 C0 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12642_0 {
	meta:
		name = "_NF__3AB"
		size = 325
		refs = "0025 TBrush.SetColor 0032 TPen.SetColor 0053 TCanvas.Rectangle 0071 Rect 0084 TCanvas.StretchDraw 00b4 TPen.SetWidth 00bf TCanvas.MoveTo 00cf TCanvas.LineTo"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 80 BB C4 00 00 00 00 75 06 F6 43 20 10 74 41 8B B3 B4 00 00 00 BA FF FF FF 00 8B 46 14 E8 ?? ?? ?? ?? BA FF FF FF 00 8B 46 10 E8 ?? ?? ?? ?? 8B 43 38 48 83 E8 02 50 8B 43 3C 48 83 E8 02 50 B9 01 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 80 BB C4 00 00 00 00 74 28 8B 43 3C 50 8D 44 24 04 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 8B D4 8B 8B C0 00 00 00 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 80 BB C4 00 00 00 00 75 0A F6 43 20 10 0F 84 A4 00 00 00 8B B3 B4 00 00 00 33 D2 8B 46 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 83 E9 02 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 83 E9 02 8B 53 38 4A 83 EA 02 8B C6 E8 ?? ?? ?? ?? 8B 53 38 4A 83 EA 02 33 C9 8B C6 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 46 14 E8 ?? ?? ?? ?? 8B 43 38 50 8B 53 3C 52 8B D0 83 EA 02 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 53 38 52 8B 43 3C 50 8B C8 83 E9 02 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12644_0 {
	meta:
		name = "TQRPreviewImage.SetPageNumber"
		size = 88
		refs = "0018 TObject.Free 0033 TQRPrinter.GetPage 0050 _NF__3AB"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 89 B3 BC 00 00 00 8B 83 C0 00 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 83 C0 00 00 00 8B BB B8 00 00 00 85 FF 74 0F 8B D6 8B C7 E8 ?? ?? ?? ?? 89 83 C0 00 00 00 83 BB C0 00 00 00 00 0F 95 C0 88 83 C4 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12645_0 {
	meta:
		name = "TQRPreview.Create"
		size = 233
		refs = "000e @ClassCreate 001c TScrollBox.Create 0025 _DV_TQRPreviewImage 002a TQRPreviewImage.Create 004a TControl.SetTop 0053 TControl.SetLeft 0090 _NF__3C8 009c TControl.SetHeight 00a8 TControl.SetWidth"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 48 01 00 00 8B D3 8B C6 8B 08 FF 51 3C 8B B3 48 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 C6 40 1D 01 8B 83 1C 01 00 00 C6 40 1D 01 C7 83 54 01 00 00 64 00 00 00 33 C0 89 83 50 01 00 00 C6 83 58 01 00 00 02 89 9B 34 01 00 00 C7 83 30 01 00 00 ?? ?? ?? ?? BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? C7 83 4C 01 00 00 01 00 00 00 33 C0 89 83 38 01 00 00 89 83 3C 01 00 00 33 C0 89 83 40 01 00 00 89 83 44 01 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12646_0 {
	meta:
		name = "TQRPreview.Destroy"
		size = 52
		refs = "0014 TQRPreview.SetQRPrinter 0020 TScrollingWinControl.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 50 01 00 00 00 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12647_0 {
	meta:
		name = "TQRPreview.SetQRPrinter"
		size = 283
		refs = "0018 TQRPrinter.SetShowingPreview 0055 TQRPreview.SetPageNumber 0065 TQRPreviewImage.SetPageNumber"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 50 01 00 00 85 C0 74 17 3B 58 3C 75 12 33 D2 E8 ?? ?? ?? ?? 8B 83 50 01 00 00 33 D2 89 50 3C 89 B3 50 01 00 00 8B 83 48 01 00 00 89 B0 B8 00 00 00 8B 83 50 01 00 00 85 C0 74 0A 89 58 3C B2 01 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 8B 83 48 01 00 00 8B 93 A4 00 00 00 89 90 A4 00 00 00 8B 93 A8 00 00 00 89 90 A8 00 00 00 8B 93 AC 00 00 00 89 90 AC 00 00 00 8B 93 B0 00 00 00 89 90 B0 00 00 00 8B 93 84 00 00 00 89 90 84 00 00 00 8B 93 88 00 00 00 89 90 88 00 00 00 8B 93 8C 00 00 00 89 90 8C 00 00 00 8B 93 90 00 00 00 89 90 90 00 00 00 8B 93 9C 00 00 00 89 90 9C 00 00 00 8B 93 A0 00 00 00 89 90 A0 00 00 00 8B 53 6C 89 50 6C 8B 53 70 89 50 70 8B 53 74 89 50 74 8B 53 78 89 50 78 8B 53 7C 89 50 7C 8B 93 80 00 00 00 89 90 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12648_0 {
	meta:
		name = "TQRPreview.CMPageAvailable"
		size = 95
		refs = "0018 TQRPreview.UpdateImage 002a TQRPreview.CMPageAvailable 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 0F B7 46 04 3B 83 4C 01 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 66 83 BB 3A 01 00 00 00 74 35 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 4E 04 8B D3 8B 83 3C 01 00 00 FF 93 38 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12649_0 {
	meta:
		name = "TQRPreview.CMProgressUpdate"
		size = 72
		refs = "0012 TQRPreview.CMProgressUpdate 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 66 83 B8 42 01 00 00 00 74 37 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 0F B7 4A 04 8B D8 8B D0 8B 83 44 01 00 00 FF 93 40 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_12650_0 {
	meta:
		name = "TQRPreview.SetPageNumber"
		size = 101
		refs = "003e TQRPreviewImage.SetPageNumber 0051 TControlScrollBar.SetPosition"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 4C 01 00 00 75 0F 8B 83 48 01 00 00 80 B8 C4 00 00 00 00 75 45 85 F6 7E 41 83 BB 50 01 00 00 00 74 38 8B 83 50 01 00 00 3B 70 68 7F 2D 8B D6 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 89 B3 4C 01 00 00 33 D2 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12651_0 {
	meta:
		name = "TQRPreview.UpdateImage"
		size = 65
		refs = "002a TQRPreview.ZoomToWidth 003b TQRPreviewImage.SetPageNumber"
	strings:
		$1 = { 53 8B D8 8B 83 48 01 00 00 85 C0 74 32 80 B8 C4 00 00 00 00 75 29 8B 80 BC 00 00 00 8B 93 50 01 00 00 3B 42 20 7F 18 8B C3 E8 ?? ?? ?? ?? 8B 83 48 01 00 00 8B 90 BC 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12652_0 {
	meta:
		name = "TQRPreview.UpdateZoom"
		size = 408
		refs = "0022 TQRPrinter.PaperWidthValue 002e TQRPreview.UpdateZoom 0046 TQRPrinter.XSize 0051 @ROUND 0060 TControl.SetWidth 006d TQRPrinter.PaperLengthValue 0091 TQRPrinter.YSize 00ab TControl.SetHeight 00b9 cQRPaperSizeMetrics 0125 TControl.SetLeft 014c TControl.SetTop 0162 TControlScrollBar.SetPosition"
	strings:
		$1 = { 53 56 57 51 8B D8 83 BB 50 01 00 00 00 0F 84 9E 00 00 00 8B B3 48 01 00 00 8B BE B8 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 DB 83 54 01 00 00 DE C9 83 C4 F4 DB 3C 24 9B 8B C7 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 E8 ?? ?? ?? ?? 8B D0 83 C2 02 83 C2 02 8B C6 E8 ?? ?? ?? ?? 8B BE B8 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 DB 83 54 01 00 00 DE C9 83 C4 F4 DB 3C 24 9B 8B C7 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 E8 ?? ?? ?? ?? 8B D0 83 C2 02 83 C2 02 8B C6 E8 ?? ?? ?? ?? EB 5A 8B B3 48 01 00 00 DB 2D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DB 83 54 01 00 00 DE C9 E8 ?? ?? ?? ?? 8B D0 83 C2 02 83 C2 02 8B C6 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DB 83 54 01 00 00 DE C9 E8 ?? ?? ?? ?? 8B D0 83 C2 02 83 C2 02 8B C6 E8 ?? ?? ?? ?? 8B 83 48 01 00 00 8B 70 38 8B 53 38 3B F2 7D 10 2B D6 D1 FA 79 03 83 D2 00 E8 ?? ?? ?? ?? EB 07 33 D2 E8 ?? ?? ?? ?? 8B 83 48 01 00 00 8B 70 3C 8B 53 3C 3B F2 7D 10 2B D6 D1 FA 79 03 83 D2 00 E8 ?? ?? ?? ?? EB 07 33 D2 E8 ?? ?? ?? ?? 33 D2 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8B 83 48 01 00 00 8B 93 54 01 00 00 89 90 C8 00 00 00 5A 5F 5E 5B C3 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_12653_0 {
	meta:
		name = "_NF__3C8"
		size = 42
		refs = "0010 TQRPreview.ZoomToFit 001d TQRPreview.ZoomToWidth 0024 TQRPreview.UpdateZoom"
	strings:
		$1 = { 53 8B D8 8A 83 58 01 00 00 84 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 0B 3C 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12654_0 {
	meta:
		name = "TQRPreview.SetZoom"
		size = 32
		refs = "001b TQRPreview.UpdateZoom"
	strings:
		$1 = { 83 FA 02 7C 1A 81 FA D0 07 00 00 7F 12 C6 80 58 01 00 00 02 89 90 54 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12655_0 {
	meta:
		name = "TQRPreview.ZoomToFit"
		size = 212
		refs = "0013 TQRPrinter.PaperWidthValue 0027 TQRPrinter.XSize 0038 TQRPreview.ZoomToFit 003d @ROUND 004c TQRPrinter.PaperLengthValue 0060 TQRPrinter.YSize 0081 cQRPaperSizeMetrics 00b3 TQRPreview.SetZoom"
	strings:
		$1 = { 53 56 57 51 8B D8 8B B3 50 01 00 00 85 F6 74 6C 8B C6 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DB 43 38 DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B BB 50 01 00 00 8B C7 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F4 DB 3C 24 9B 8B C7 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DB 43 3C DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E DB 43 38 DB 2D ?? ?? ?? ?? DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 DB 43 3C DB 2D ?? ?? ?? ?? DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B C6 7E 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? C6 83 58 01 00 00 00 5A 5F 5E 5B C3 00 00 00 00 BE 42 }
	condition:
		$1
}

rule function_12656_0 {
	meta:
		name = "TQRPreview.ZoomToWidth"
		size = 132
		refs = "0012 TQRPrinter.PaperWidthValue 0026 TQRPrinter.XSize 0037 TQRPreview.ZoomToWidth 003c @ROUND 0045 TQRPreview.SetZoom 0050 cQRPaperSizeMetrics 006d TQRPreview.UpdateZoom"
	strings:
		$1 = { 53 56 51 8B D8 8B B3 50 01 00 00 85 F6 74 3C 8B C6 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DB 43 38 DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1F DB 43 38 DB 2D ?? ?? ?? ?? DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 58 01 00 00 01 5A 5E 5B C3 00 00 B4 42 00 00 BE 42 }
	condition:
		$1
}

rule function_12657_0 {
	meta:
		name = "TQRExportFilter.Create"
		size = 122
		refs = "000e @ClassCreate 001d @LStrAddRef 0025 TQRExportFilter.Create 0034 TObject.Create 003f @LStrAsg 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 89 46 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12658_0 {
	meta:
		name = "TQRExportFilter.GetDescription"
		size = 17
		refs = "000b LoadStr"
	strings:
		$1 = { 53 8B DA 8B D3 B8 70 8D 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12660_0 {
	meta:
		name = "TQRExportFilter.GetFilterName"
		size = 17
		refs = "000b LoadStr"
	strings:
		$1 = { 53 8B DA 8B D3 B8 71 8D 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12661_0 {
	meta:
		name = "TQRExportFilter.GetVendorName"
		size = 17
		refs = "000b LoadStr"
	strings:
		$1 = { 53 8B DA 8B D3 B8 6F 8D 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12666_0 {
	meta:
		name = "TQRExportFilter.TextOut"
		size = 58
		refs = "0007 @LStrAddRef 000f TQRExportFilter.TextOut 002a @LStrClr 0030 @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5D C2 20 00 }
	condition:
		$1
}

rule function_12669_0 {
	meta:
		name = "TQRExportFilterLibrary.AddFilter"
		size = 162
		refs = "0017 TQRExportFilterLibrary.AddFilter 0029 TQRExportFilter.Create 0032 _DV_TQRExportFilterLibraryEntry 0037 TObject.Create 0054 @LStrAsg 0070 TObject.Free 007a TList.Add 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 43 04 8D 55 F8 8B C6 8B 08 FF 51 08 8B 55 F8 8D 43 08 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 8B 08 FF 51 04 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 47 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12670_0 {
	meta:
		name = "TQRExportFilterLibrary.GetSaveDialogFilter"
		size = 268
		refs = "0017 TQRExportFilterLibrary.GetSaveDialogFilter 002a LoadStr 004d @LStrCatN 0071 TList.Get 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 B8 97 8D 00 00 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 70 08 4E 85 F6 7C 44 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 04 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 FF 37 68 ?? ?? ?? ?? FF 73 08 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? FF 73 0C 8B C7 BA 07 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 4E 75 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 03 00 00 00 28 2A 2E 00 FF FF FF FF 02 00 00 00 51 52 00 00 FF FF FF FF 04 00 00 00 29 7C 2A 2E 00 00 00 00 FF FF FF FF 01 00 00 00 7C 00 00 00 FF FF FF FF 04 00 00 00 20 28 2A 2E 00 00 00 00 }
	condition:
		$1
}

rule function_12671_0 {
	meta:
		name = "TPrinterSettings.Create"
		size = 94
		refs = "000a @ClassCreate 0017 TObject.Create 0021 @GetMem"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B8 40 00 00 00 E8 ?? ?? ?? ?? 89 46 04 B8 40 00 00 00 E8 ?? ?? ?? ?? 89 46 08 B8 40 00 00 00 E8 ?? ?? ?? ?? 89 46 0C C6 46 32 09 33 C0 89 46 68 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12672_0 {
	meta:
		name = "TPrinterSettings.Destroy"
		size = 50
		refs = "000a @FreeMem 001e TObject.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12674_0 {
	meta:
		name = "TPrinterSettings.GetDriver"
		size = 19
		refs = "000c StrPas"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12675_0 {
	meta:
		name = "TPrinterSettings.GetDuplex"
		size = 4
	strings:
		$1 = { 8A 40 1C C3 }
	condition:
		$1
}

rule function_12678_0 {
	meta:
		name = "TPrinterSettings.GetMinExtentX"
		size = 4
		altNames = "TQRPrinter.GetCanvas TTeeFunction.GetParentComponent"
	strings:
		$1 = { 8B 40 28 C3 }
	condition:
		$1
}

rule function_12680_0 {
	meta:
		name = "TPrinterSettings.GetOrientation"
		size = 4
	strings:
		$1 = { 8A 40 30 C3 }
	condition:
		$1
}

rule function_12681_0 {
	meta:
		name = "TPrinterSettings.GetOutputBin"
		size = 4
	strings:
		$1 = { 8A 40 31 C3 }
	condition:
		$1
}

rule function_12682_0 {
	meta:
		name = "TPrinterSettings.GetPaperSize"
		size = 4
	strings:
		$1 = { 8A 40 32 C3 }
	condition:
		$1
}

rule function_12683_0 {
	meta:
		name = "TPrinterSettings.GetPaperSizeSupported"
		size = 8
	strings:
		$1 = { 83 E2 7F 8A 44 10 32 C3 }
	condition:
		$1
}

rule function_12684_0 {
	meta:
		name = "TPrinterSettings.GetPaperWidth"
		size = 68
		refs = "0006 TPrinterSettings.GetPaperSize 0029 cQRPaperSizeMetrics 002f TPrinterSettings.GetPaperWidth 0034 @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 1B 74 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 80 DB 2C 85 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B 43 50 5B C3 00 00 00 20 41 }
	condition:
		$1
}

rule function_12685_0 {
	meta:
		name = "TPrinterSettings.GetPaperLength"
		size = 68
		refs = "0006 TPrinterSettings.GetPaperSize 0029 cQRPaperSizeMetrics 002f TPrinterSettings.GetPaperLength 0034 @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 1B 74 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 80 DB 2C 85 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B 43 54 5B C3 00 00 00 20 41 }
	condition:
		$1
}

rule function_12686_0 {
	meta:
		name = "TPrinterSettings.GetPixelsPerX"
		size = 4
	strings:
		$1 = { 8B 40 58 C3 }
	condition:
		$1
}

rule function_12688_0 {
	meta:
		name = "TPrinterSettings.GetPort"
		size = 19
		refs = "000c StrPas"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13755_0 {
	meta:
		name = "_NF__38A"
		size = 19
		refs = "000c TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12689_0 {
	meta:
		name = "TPrinterSettings.GetTopOffset"
		size = 4
	strings:
		$1 = { 8B 40 60 C3 }
	condition:
		$1
}

rule function_12690_0 {
	meta:
		name = "TPrinterSettings.GetLeftOffset"
		size = 4
	strings:
		$1 = { 8B 40 64 C3 }
	condition:
		$1
}

rule function_12691_0 {
	meta:
		name = "TPrinterSettings.GetPrinter"
		size = 4
	strings:
		$1 = { 8B 40 68 C3 }
	condition:
		$1
}

rule function_12692_0 {
	meta:
		name = "TPrinterSettings.GetTitle"
		size = 19
		refs = "000c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 6C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12693_0 {
	meta:
		name = "_NF__429"
		size = 23
	strings:
		$1 = { 83 78 68 00 74 0E 8B 40 14 8B 40 28 23 C2 3B D0 0F 94 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12694_0 {
	meta:
		name = "_NF__42A"
		size = 7
	strings:
		$1 = { 8B 40 14 09 50 28 C3 }
	condition:
		$1
}

rule function_12695_0 {
	meta:
		name = "_NF__42B"
		size = 284
		refs = "001a _NF__42B 0040 TPrinter.GetPrinter 0079 OpenPrinter 0083 @GetMem 009c GetPrinterDriver 00a7 StrPas 00b2 ExtractFileName 00bf @LStrCat 00c7 @LStrToPChar 00d3 @FreeMem 00de GlobalLock 00fd @LStrArrayClr 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C0 89 45 F4 89 45 F0 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 8B 40 0C 50 8B 06 83 C0 10 50 8B 06 8B 48 08 8B 06 8B 50 04 8B 06 8B 40 68 E8 ?? ?? ?? ?? 8B 06 83 78 10 00 75 20 8B 06 8B 40 0C 50 8B 06 83 C0 10 50 8B 06 8B 48 08 8B 06 8B 50 04 8B 06 8B 40 68 E8 ?? ?? ?? ?? 6A 00 8D 45 F8 50 8B 06 8B 40 04 50 E8 ?? ?? ?? ?? B8 FF 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 50 68 FF 00 00 00 53 6A 02 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 8D 55 F0 8B 43 0C E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 16 89 42 08 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 40 10 50 E8 ?? ?? ?? ?? 8B 16 89 42 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12696_0 {
	meta:
		name = "_NF__42C"
		size = 62
		refs = "000f _NF__429"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC BA 00 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 08 8B 40 FC 8B 40 14 0F BF 40 36 8B 55 08 8B 52 FC 89 42 18 5D C3 8B 45 08 8B 40 FC C7 40 18 01 00 00 00 5D C3 }
	condition:
		$1
}

rule function_12697_0 {
	meta:
		name = "_NF__42D"
		size = 82
		refs = "001a _NF__429 0032 cQRBinTranslate"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 8B 40 FC C6 40 31 00 8B 45 08 8B 40 FC BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 45 08 8B 40 FC 8B 40 14 0F BF 70 38 33 D2 B8 ?? ?? ?? ?? 3B 30 75 0C 8B 45 08 8B 40 FC 88 50 31 5E 5D C3 42 83 C0 04 80 FA 0E 75 E7 5E 5D C3 }
	condition:
		$1
}

rule function_12698_0 {
	meta:
		name = "_NF__42E"
		size = 63
		refs = "000f _NF__429"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC BA 00 10 00 00 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 08 8B 40 FC 8B 40 14 66 83 78 3E 01 74 0C 8B 45 08 8B 40 FC C6 40 1C 01 5D C3 8B 45 08 8B 40 FC C6 40 1C 00 5D C3 }
	condition:
		$1
}

rule function_12699_0 {
	meta:
		name = "_NF__42F"
		size = 67
		refs = "000f TPrinter.GetHandle 0015 GetDeviceCaps"
	strings:
		$1 = { 55 8B EC 6A 58 8B 45 08 8B 40 FC 8B 40 68 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 58 6A 5A 8B 45 08 8B 40 FC 8B 40 68 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 5C 5D C3 }
	condition:
		$1
}

rule function_12700_0 {
	meta:
		name = "_NF__430"
		size = 192
		refs = "0020 TPrinter.GetHandle 0026 Escape 0053 TPrinterSettings.GetPixelsPerX 0064 _NF__430 0069 @ROUND 007d TPrinterSettings.GetPixelsPerY"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F6 0D 00 6A 00 8D 45 F6 50 6A 02 6A 08 8B 45 08 8B 40 FC 8B 40 68 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 74 8D 45 F8 50 6A 00 6A 00 6A 0D 8B 45 08 8B 40 FC 8B 40 68 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 45 F8 DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 64 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 45 FC DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 60 EB 16 8B 45 08 8B 40 FC 33 D2 89 50 64 8B 45 08 8B 40 FC 33 D2 89 50 60 8B E5 5D C3 00 00 7E 43 }
	condition:
		$1
}

rule function_12701_0 {
	meta:
		name = "_NF__431"
		size = 82
		refs = "001a _NF__429 0032 cQRPaperTranslate"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 8B 40 FC C6 40 32 00 8B 45 08 8B 40 FC BA 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 45 08 8B 40 FC 8B 40 14 0F BF 70 2E 33 D2 B8 ?? ?? ?? ?? 3B 30 75 0C 8B 45 08 8B 40 FC 88 50 32 5E 5D C3 42 83 C0 04 80 FA 1C 75 E7 5E 5D C3 }
	condition:
		$1
}

rule function_12702_0 {
	meta:
		name = "_NF__432"
		size = 192
		refs = "0020 TPrinter.GetHandle 0026 Escape 0053 TPrinterSettings.GetPixelsPerX 0064 _NF__432 0069 @ROUND 007d TPrinterSettings.GetPixelsPerY"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F6 0C 00 6A 00 8D 45 F6 50 6A 02 6A 08 8B 45 08 8B 40 FC 8B 40 68 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 74 8D 45 F8 50 6A 00 6A 00 6A 0C 8B 45 08 8B 40 FC 8B 40 68 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 45 F8 DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 45 FC DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 54 EB 16 8B 45 08 8B 40 FC 33 D2 89 50 50 8B 45 08 8B 40 FC 33 D2 89 50 54 8B E5 5D C3 00 00 7E 43 }
	condition:
		$1
}

rule function_12703_0 {
	meta:
		name = "_NF__433"
		size = 160
		refs = "0019 @FillChar 005a DeviceCapabilities 006f cQRPaperTranslate"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 56 8D 85 7E FF FF FF 33 C9 BA 82 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 83 C0 33 33 C9 BA 1B 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 14 50 8D 85 7E FF FF FF 50 6A 02 8B 45 08 8B 40 FC 8B 40 0C 50 8B 45 08 8B 40 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 35 46 8D 95 7E FF FF FF 33 C9 B8 ?? ?? ?? ?? 0F B7 1A 3B 18 75 11 33 C0 8A C1 8B 4D 08 8B 49 FC C6 44 01 32 01 EB 09 41 83 C0 04 80 F9 1C 75 DF 83 C2 02 4E 75 D2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12704_0 {
	meta:
		name = "_NF__434"
		size = 94
		refs = "0012 _NF__42B 0019 _NF__42F 0020 _NF__42C 0027 _NF__42D 002e _NF__42E 0035 _NF__430 003c _NF__431 0043 _NF__432 004a _NF__433 0057 GlobalUnlock"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 78 68 00 74 4B 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 10 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_12705_0 {
	meta:
		name = "TPrinterSettings.ApplySettings"
		size = 380
		refs = "0015 TPrinter.GetPrinter 001e GlobalLock 0028 TPrinterSettings.GetPaperSize 0038 _NF__429 0048 _NF__42A 004f TPrinterSettings.GetPaperLength 0079 TPrinterSettings.GetPaperWidth 00b9 cQRPaperTranslate 010a TPrinterSettings.GetOutputBin 0115 cQRBinTranslate 013f TPrinterSettings.GetOrientation 016d TPrinter.SetPrinter 0176 GlobalUnlock"
	strings:
		$1 = { 53 8B D8 8B 43 0C 50 8D 43 10 50 8B 4B 08 8B 53 04 8B 43 68 E8 ?? ?? ?? ?? 8B 43 10 50 E8 ?? ?? ?? ?? 89 43 14 8B C3 E8 ?? ?? ?? ?? 3C 1B 75 54 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 53 14 66 89 42 30 BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 53 14 66 89 42 32 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 30 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 66 8B 04 85 ?? ?? ?? ?? 8B 53 14 66 89 42 2E BA 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 BA 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 14 66 8B 53 18 66 89 50 36 BA 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 BA 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 66 8B 04 85 ?? ?? ?? ?? 8B 53 14 66 89 42 38 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 43 14 66 C7 40 2C 01 00 EB 09 8B 43 14 66 C7 40 2C 02 00 8B 43 0C 50 8B 43 10 50 8B 4B 08 8B 53 04 8B 43 68 E8 ?? ?? ?? ?? 8B 43 10 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12706_0 {
	meta:
		name = "TPrinterSettings.SetCopies"
		size = 28
		refs = "000e _NF__429"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 03 89 73 18 5E 5B C3 }
	condition:
		$1
}

rule function_12707_0 {
	meta:
		name = "TPrinterSettings.SetDuplex"
		size = 28
		refs = "000e _NF__429"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 00 10 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 03 88 5E 1C 5E 5B C3 }
	condition:
		$1
}

rule function_12708_0 {
	meta:
		name = "TPrinterSettings.SetOrientation"
		size = 28
		refs = "000e _NF__429"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 03 88 5E 30 5E 5B C3 }
	condition:
		$1
}

rule function_12709_0 {
	meta:
		name = "TPrinterSettings.SetOutputBin"
		size = 28
		refs = "000e _NF__429"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 00 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 03 88 5E 31 5E 5B C3 }
	condition:
		$1
}

rule function_12710_0 {
	meta:
		name = "TPrinterSettings.SetPaperSize"
		size = 36
		refs = "000b TPrinterSettings.GetPaperSizeSupported"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 88 5E 32 5E 5B C3 84 DB 75 04 C6 46 32 00 5E 5B C3 }
	condition:
		$1
}

rule function_12711_0 {
	meta:
		name = "TPrinterSettings.SetPaperLength"
		size = 23
		refs = "0009 TPrinterSettings.GetPaperSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 1B 75 03 89 73 54 5E 5B C3 }
	condition:
		$1
}

rule function_12712_0 {
	meta:
		name = "TPrinterSettings.SetPaperWidth"
		size = 23
		refs = "0009 TPrinterSettings.GetPaperSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 1B 75 03 89 73 50 5E 5B C3 }
	condition:
		$1
}

rule function_12713_0 {
	meta:
		name = "TPrinterSettings.SetPrinter"
		size = 40
		refs = "0011 TPrinter.GetPrinters 0021 _NF__434"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 73 68 85 F6 74 18 8B 43 68 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12714_0 {
	meta:
		name = "TPrinterSettings.SetTitle"
		size = 76
		refs = "000e @LStrAddRef 0016 TPrinterSettings.SetTitle 0027 @LStrAsg 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 6C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12715_0 {
	meta:
		name = "TQRPrinterSettings.Create"
		size = 77
		refs = "000a @ClassCreate 0025 @LStrClr"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 0B 01 C7 46 04 01 00 00 00 C6 46 08 00 8D 46 10 E8 ?? ?? ?? ?? 33 C0 89 46 14 33 C0 89 46 18 C7 46 0C FF FF FF FF 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12716_0 {
	meta:
		name = "TQRPrinterSettings.ApplySettings"
		size = 91
		refs = "000c TQRPrinter.SetPaperSize 0013 TQRPrinter.GetPaperSize 0021 TQRPrinter.SetCopies 002b TQRPrinter.SetDuplex 0035 TQRPrinter.SetOrientation 003f TQRPrinter.SetBin 004a @LStrAsg 0054 TQRPrinter.SetPrinterIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8A 53 0B 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3C 1B 75 0A 8B 53 04 8B C6 E8 ?? ?? ?? ?? 8A 53 08 8B C6 E8 ?? ?? ?? ?? 8A 53 09 8B C6 E8 ?? ?? ?? ?? 8A 53 0A 8B C6 E8 ?? ?? ?? ?? 8D 46 78 8B 53 10 E8 ?? ?? ?? ?? 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12717_0 {
	meta:
		name = "TQRPrinter.Create"
		size = 283
		refs = "000a @ClassCreate 0013 Printer 0018 TPrinter.GetPrinters 002c _Dn_TPrinter 0031 TPrinter.Create 003b _DV_TPrinterSettings 0040 TPrinterSettings.Create 0056 TPrinter.SetPrinterIndex 0061 TPrinterSettings.SetPrinter 006b TPrinter.GetPrinterIndex 007d TPrinterSettings.GetTopOffset 0088 TPrinterSettings.GetLeftOffset 00a2 _DV_TQRPageList 00a7 TQRPageList.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 0F 9F C0 88 46 70 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 80 7E 70 00 74 2C E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 89 46 7C 8B 46 08 E8 ?? ?? ?? ?? 89 46 38 C6 46 2C 00 C6 86 81 00 00 00 00 33 C0 89 46 6C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 00 00 00 33 C0 89 46 20 33 C0 89 86 82 00 00 00 C7 86 86 00 00 00 00 00 00 80 66 C7 86 8A 00 00 00 FF 3F 33 C0 89 86 8C 00 00 00 C7 86 90 00 00 00 00 00 00 80 66 C7 86 94 00 00 00 FF 3F 33 C0 89 46 3C 33 C0 89 46 18 89 46 1C 33 C0 89 46 10 89 46 14 C6 86 80 00 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12718_0 {
	meta:
		name = "TQRPrinter.Destroy"
		size = 77
		refs = "0012 TQRPrinter.Cleanup 001a TObject.Free 0039 TPersistent.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 BE 81 00 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12719_0 {
	meta:
		name = "TQRPrinter.Cleanup"
		size = 56
		refs = "000f TQRPrinter.Cancel 001b TObject.Free 002b TQRPageList.Clear"
	strings:
		$1 = { 53 8B D8 80 BB 81 00 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 43 0C 8B 83 98 00 00 00 E8 ?? ?? ?? ?? C6 83 81 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_12720_0 {
	meta:
		name = "TQRPrinter.XPos"
		size = 32
		refs = "0017 @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 43 38 DB 6D 08 DE E1 DB AB 82 00 00 00 DE C9 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_12721_0 {
	meta:
		name = "TQRPrinter.XSize"
		size = 27
		refs = "0012 @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 6D 08 DB AB 82 00 00 00 DE C9 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_12722_0 {
	meta:
		name = "TQRPrinter.YPos"
		size = 32
		refs = "0017 @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 43 7C DB 6D 08 DE E1 DB AB 8C 00 00 00 DE C9 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_12723_0 {
	meta:
		name = "TQRPrinter.YSize"
		size = 27
		refs = "0012 @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 6D 08 DB AB 8C 00 00 00 DE C9 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_12724_0 {
	meta:
		name = "TQRPrinter.GetCompression"
		size = 10
	strings:
		$1 = { 8B 80 98 00 00 00 8A 40 20 C3 }
	condition:
		$1
}

rule function_12725_0 {
	meta:
		name = "TQRPrinter.SetCompression"
		size = 10
	strings:
		$1 = { 8B 80 98 00 00 00 88 50 20 C3 }
	condition:
		$1
}

rule function_12729_0 {
	meta:
		name = "TQRPrinter.GetLeftWaste"
		size = 18
		refs = "000a TPrinterSettings.GetLeftOffset"
	strings:
		$1 = { 80 78 2C 01 75 09 8B 40 08 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_12738_0 {
	meta:
		name = "TQRPrinter.GetTopWaste"
		size = 18
		refs = "000a TPrinterSettings.GetTopOffset"
	strings:
		$1 = { 80 78 2C 01 75 09 8B 40 08 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_12732_0 {
	meta:
		name = "TQRPrinter.PaperLengthValue"
		size = 136
		refs = "0006 TQRPrinter.GetOrientation 0011 TQRPrinter.GetPaperSize 0034 cQRPaperSizeMetrics 003a TQRPrinter.PaperLengthValue 003f @ROUND 0048 TQRPrinter.GetPaperLength 0052 TPrinterSettings.GetPaperSize 007e TQRPrinter.GetPaperWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 40 8B C3 E8 ?? ?? ?? ?? 3C 1B 74 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 80 DB 2C 85 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3D 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 43 08 E8 ?? ?? ?? ?? 3C 1B 74 21 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 80 DB 2C 85 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 20 41 }
	condition:
		$1
}

rule function_12733_0 {
	meta:
		name = "TQRPrinter.PaperWidthValue"
		size = 136
		refs = "0006 TQRPrinter.GetOrientation 0011 TQRPrinter.GetPaperSize 0034 cQRPaperSizeMetrics 003a TQRPrinter.PaperWidthValue 003f @ROUND 0048 TQRPrinter.GetPaperWidth 007d TQRPrinter.GetPaperLength"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 40 8B C3 E8 ?? ?? ?? ?? 3C 1B 74 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 80 DB 2C 85 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3C 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 3C 1B 74 21 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 80 DB 2C 85 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 20 41 }
	condition:
		$1
}

rule function_12745_0 {
	meta:
		name = "TQRPrinter.GetPage"
		size = 36
		refs = "001c TQRPageList.GetPage"
	strings:
		$1 = { 8A 88 81 00 00 00 49 80 E9 02 73 15 85 D2 7E 11 3B 50 68 7F 0C 8B 80 98 00 00 00 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_12746_0 {
	meta:
		name = "TQRPrinter.SetPageNumber"
		size = 36
		refs = "0017 TQRPrinter.GetPage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 6C 85 C0 7E 14 3B 43 68 7F 0F 8B D6 8B C3 E8 ?? ?? ?? ?? 89 43 64 89 73 6C 5E 5B C3 }
	condition:
		$1
}

rule function_12749_0 {
	meta:
		name = "TQRPrinter.SetPrinterIndex"
		size = 15
		refs = "000a TPrinter.SetPrinterIndex"
	strings:
		$1 = { 80 78 70 00 74 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12751_0 {
	meta:
		name = "_NF__4AE"
		size = 119
		refs = "0008 _Dn_TMetafile 000d TMetafile.Create 0019 TQRPrinter.PaperWidthValue 002d TQRPrinter.XSize 003d TQRPrinter.PaperLengthValue 0051 TQRPrinter.YSize 0067 _Dn_TMetafileCanvas 006c TMetafileCanvas.Create"
	strings:
		$1 = { 53 56 51 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 40 8B C3 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 40 8B C3 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 40 8B 08 FF 51 34 6A 00 8B 4B 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12752_0 {
	meta:
		name = "_NF__4AF"
		size = 33
	strings:
		$1 = { B2 01 8B 48 30 85 C9 7E 07 3B 48 68 7E 02 33 D2 8B 48 34 85 C9 7E 07 3B 48 68 7D 02 33 D2 8B C2 C3 }
	condition:
		$1
}

rule function_12753_0 {
	meta:
		name = "_NF__4B0"
		size = 73
		refs = "0010 TPrinter.BeginDoc 0018 TPrinter.GetCanvas 0025 TPrinter.GetHandle 002b StartPage 003d TQRPrinter.GetCanvas 0042 TCanvas.Refresh"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 80 7E 1C 00 75 15 8B C6 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 89 43 28 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 89 43 28 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12755_0 {
	meta:
		name = "_NF__4B2"
		size = 17
		refs = "000c TPrinter.NewPage"
	strings:
		$1 = { 8B 50 04 80 7A 1C 00 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12756_0 {
	meta:
		name = "TQRPrinter.NewPage"
		size = 244
		refs = "000c TQRPrinter.NewPage 0028 LoadStr 0032 _DV_EQRError 0037 Exception.Create 003c @RaiseExcept 0054 _NF__4B1 0062 TQRPageList.AddPage 006a TObject.Free 0073 _NF__4AF 007e _NF__4B2 009a TQRPrinter.SetAvailablePages 00b2 _NF__4AE 00c6 _NF__4B0 00e4 @LStrClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 81 00 00 00 01 74 21 8D 55 FC B8 45 8D 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 6C 00 7E 58 8A 43 2C 2C 01 72 04 74 21 EB 42 8B C3 E8 ?? ?? ?? ?? 8B 53 40 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? EB 23 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 0F 8B C3 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 8B 53 20 42 8B C3 E8 ?? ?? ?? ?? FF 43 68 FF 43 6C 8A 43 2C 2C 01 72 04 74 0B EB 24 8B C3 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12757_0 {
	meta:
		name = "TQRPrinter.Cancel"
		size = 5
	strings:
		$1 = { C6 40 24 01 C3 }
	condition:
		$1
}

rule function_12758_0 {
	meta:
		name = "TQRPrinter.BeginDoc"
		size = 368
		refs = "0013 TQRPrinter.BeginDoc 0029 TQRPrinter.GetTopWaste 0033 TQRPrinter.GetLeftWaste 0044 TPrinterSettings.ApplySettings 005a LoadStr 0064 _DV_EQRError 0069 Exception.Create 006e @RaiseExcept 009e _DV_TQRStream 00a3 TQRStream.Create 00b6 Screen 00fc TPrinter.GetHandle 0102 GetDeviceCaps 0151 @LStrClr 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 43 20 C6 43 24 00 8B C3 E8 ?? ?? ?? ?? 89 43 7C 8B C3 E8 ?? ?? ?? ?? 89 43 38 80 7B 2C 01 75 08 8B 43 08 E8 ?? ?? ?? ?? 80 BB 81 00 00 00 00 74 26 8D 55 FC B8 46 8D 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C9 00 00 00 33 C0 89 43 6C 33 C0 89 43 68 C6 83 81 00 00 00 01 8A 43 2C 2C 01 72 07 74 65 E9 AA 00 00 00 B9 A0 86 01 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 0C 8B 83 98 00 00 00 89 70 28 A1 ?? ?? ?? ?? 8B 00 DB 40 34 DB 2D ?? ?? ?? ?? DE C9 DB BB 8C 00 00 00 9B 8B 83 8C 00 00 00 89 83 82 00 00 00 8B 83 90 00 00 00 89 83 86 00 00 00 66 8B 83 94 00 00 00 66 89 83 8A 00 00 00 EB 4A 6A 58 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 DB 45 F8 DB 2D ?? ?? ?? ?? DE C9 DB BB 82 00 00 00 9B 6A 5A 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 DB 45 F8 DB 2D ?? ?? ?? ?? DE C9 DB BB 8C 00 00 00 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 81 40 20 10 08 04 02 81 F7 3F 00 00 }
	condition:
		$1
}

rule function_12759_0 {
	meta:
		name = "TQRPrinter.SetAvailablePages"
		size = 42
		refs = "001c TWinControl.GetHandle 0022 PostMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 89 73 20 8B 7B 3C 85 FF 74 15 6A 00 56 68 01 04 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12760_0 {
	meta:
		name = "TQRPrinter.SetProgress"
		size = 42
		refs = "001c TWinControl.GetHandle 0022 PostMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 89 73 74 8B 7B 3C 85 FF 74 15 6A 00 56 68 00 04 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12761_0 {
	meta:
		name = "TQRPrinter.SetShowingPreview"
		size = 137
		refs = "0023 TQRPrinter.SetShowingPreview 003d TQRPrinter.Cancel 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 55 FB 89 45 FC 8B 45 FC 80 B8 80 00 00 00 00 74 5F 80 7D FB 00 75 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 81 00 00 00 01 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 78 1A 00 74 0C 8B 5D FC 8B 55 FC 8B 43 1C FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 FB 88 90 80 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 8A 55 FB 88 90 80 00 00 00 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12762_0 {
	meta:
		name = "TQRPrinter.EndDoc"
		size = 151
		refs = "0013 TPrinter.EndDoc 0022 _NF__4B1 0030 TQRPageList.AddPage 0038 TObject.Free 0043 TQRPrinter.SetAvailablePages 005b TQRPageList.Finish 006d TQRPrinter.EndDoc 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 8A 43 2C 2C 01 72 0C 75 2D 8B 43 04 E8 ?? ?? ?? ?? EB 23 83 7B 68 00 7E 1D 8B C3 E8 ?? ?? ?? ?? 8B 53 40 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 8B 53 20 42 8B C3 E8 ?? ?? ?? ?? C6 83 81 00 00 00 02 80 7B 2C 00 75 0E 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 5B 5D C3 66 83 7B 12 00 74 2B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 43 14 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_12763_0 {
	meta:
		name = "TQRPrinter.AbortDoc"
		size = 52
		refs = "0010 TPrinter.Abort 001f _NF__4B1 0027 TObject.Free"
	strings:
		$1 = { 53 8B D8 8A 43 2C 2C 01 72 0C 75 1F 8B 43 04 E8 ?? ?? ?? ?? EB 15 83 7B 68 00 7E 0F 8B C3 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? C6 83 81 00 00 00 02 5B C3 }
	condition:
		$1
}

rule function_12764_0 {
	meta:
		name = "TQRPrinter.Load"
		size = 168
		refs = "000f @LStrAddRef 0017 TQRPrinter.Load 002d TQRPrinter.Cleanup 0034 _DV_TQRPageList 0039 TQRPageList.Create 004b TQRPageList.LoadFromFile 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 81 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 98 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 8B 40 24 89 43 68 8B 83 98 00 00 00 8B 40 28 89 43 0C C6 83 81 00 00 00 02 33 C0 89 43 44 89 43 48 33 C0 89 43 5C 89 43 60 33 C0 89 43 4C 89 43 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12765_0 {
	meta:
		name = "TQRPrinter.Save"
		size = 88
		refs = "000e @LStrAddRef 0016 TQRPrinter.Save 0033 TQRPageList.SaveToFile 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 81 00 00 00 02 75 0E 8B 55 FC 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12766_0 {
	meta:
		name = "TQRPrinter.ExportToFilter"
		size = 18
	strings:
		$1 = { 53 66 83 78 4E 00 74 08 8B D8 8B 43 50 FF 53 4C 5B C3 }
	condition:
		$1
}

rule function_12767_0 {
	meta:
		name = "TQRPrinter.Preview"
		size = 85
		refs = "0011 TQRPrinter.Preview 0032 @HandleFinally 003b Application 0044 _Dn_TQRStandardPreview 0049 TQRStandardPreview.CreatePreview 004e TQRStandardPreview.Show"
	strings:
		$1 = { 55 8B EC 53 8B D8 66 83 7B 56 00 74 2B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 43 58 FF 53 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 53 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_12768_0 {
	meta:
		name = "TQRPrinter.Print"
		size = 301
		refs = "0044 TQRPrinter.Print 005e @LStrAsg 006f TPrinter.Abort 007a TPrinter.BeginDoc 008e Application 0095 TApplication.ProcessMessages 009f TQRPrinter.SetPageNumber 00a7 TQRPrinter.GetPaperLength 00b4 TQRPrinter.GetPaperWidth 00bf Rect 00ce TPrinter.GetCanvas 00da TCanvas.StretchDraw 00e5 TPrinter.NewPage 011b TPrinter.EndDoc 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 45 FC 8B 45 FC 66 83 78 46 00 74 0E 8B 5D FC 8B 43 48 FF 53 44 E9 04 01 00 00 8B 45 FC 80 B8 81 00 00 00 02 0F 85 F4 00 00 00 8B 45 FC 80 78 70 00 0F 84 E7 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 83 C0 18 8B 55 FC 8B 52 78 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 80 78 1C 00 74 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 68 85 DB 7E 79 BE 01 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 64 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 80 78 24 00 74 0B 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 46 4B 75 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 80 78 1C 00 74 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12769_0 {
	meta:
		name = "TQRPrinter.PrintSetup"
		size = 18
	strings:
		$1 = { 53 66 83 78 5E 00 74 08 8B D8 8B 43 60 FF 53 5C 5B C3 }
	condition:
		$1
}

rule function_12770_0 {
	meta:
		name = "RegisterQRFunction"
		size = 142
		refs = "0013 @LStrAddRef 0033 RegisterQRFunction 004f QRFunctionLibrary 0054 TQRLibrary.Add 006e @LStrArrayClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12773_0 {
	meta:
		name = "qrprntr"
		size = 2388
		refs = "000d qrprntr 0019 _NV__25D 0026 _NV__25E 002e _NV__25F 0035 _DV_TQRExportFilterLibrary 003a TQRExportFilterLibrary.Create 003f QRExportFilterLibrary 0046 _DV_TQRFunctionLibrary 004b TQRLibrary.Create 0050 QRFunctionLibrary 005d LoadStr 0083 @LStrCat3 0090 _NV__32A 0095 RegisterQRFunction 00d5 _NV__339 011a _NV__33C 015f _NV__33F 01a4 _NV__342 01e9 _NV__345 022e _NV__348 0273 _NV__34B 02b8 _NV__351 02fd _NV__368 0342 _NV__35C 0387 _NV__362 03cc _NV__357 0411 _NV__324 0456 _NV__326 049b _NV__330 04e0 _NV__333 0525 _NV__336 056a _NV__32D 05af _NV__34E 05ce @LStrArrayClr 05d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 94 05 00 00 C6 05 ?? ?? ?? ?? 2C 33 C0 A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 98 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 99 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 A8 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 A9 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 AA 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 9A 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 9B 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 9D 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 9C 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 9E 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 9F 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 A0 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 A1 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 A2 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 A2 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 A3 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 A4 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 A5 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 A6 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 6F 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 B8 AE 8D 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 FF FF FF FF 04 00 00 00 35 42 56 56 00 00 00 00 FF FF FF FF 14 00 00 00 49 46 28 3C 45 78 70 3E 2C 20 3C 58 3E 2C 20 3C 59 3E 29 7C 00 00 00 00 FF FF FF FF 02 00 00 00 49 46 00 00 FF FF FF FF 02 00 00 00 37 4E 00 00 FF FF FF FF 09 00 00 00 53 54 52 28 3C 58 3E 29 7C 00 00 00 FF FF FF FF 03 00 00 00 53 54 52 00 FF FF FF FF 02 00 00 00 37 53 00 00 FF FF FF FF 0B 00 00 00 55 50 50 45 52 28 3C 58 3E 29 7C 00 FF FF FF FF 05 00 00 00 55 50 50 45 52 00 00 00 FF FF FF FF 0B 00 00 00 4C 4F 57 45 52 28 3C 58 3E 29 7C 00 FF FF FF FF 05 00 00 00 4C 4F 57 45 52 00 00 00 FF FF FF FF 0C 00 00 00 50 52 45 54 54 59 28 3C 58 3E 29 7C 00 00 00 00 FF FF FF FF 06 00 00 00 50 52 45 54 54 59 00 00 FF FF FF FF 01 00 00 00 31 00 00 00 FF FF FF FF 05 00 00 00 54 49 4D 45 7C 00 00 00 FF FF FF FF 04 00 00 00 54 49 4D 45 00 00 00 00 FF FF FF FF 05 00 00 00 44 41 54 45 7C 00 00 00 FF FF FF FF 04 00 00 00 44 41 54 45 00 00 00 00 FF FF FF FF 04 00 00 00 37 53 4E 4E 00 00 00 00 FF FF FF FF 16 00 00 00 43 4F 50 59 28 3C 58 3E 2C 20 3C 53 74 3E 2C 3C 4C 65 6E 3E 29 7C 00 00 FF FF FF FF 04 00 00 00 43 4F 50 59 00 00 00 00 FF FF FF FF 02 00 00 00 33 4E 00 00 FF FF FF FF 09 00 00 00 53 55 4D 28 3C 58 3E 29 7C 00 00 00 FF FF FF FF 03 00 00 00 53 55 4D 00 FF FF FF FF 01 00 00 00 33 00 00 00 FF FF FF FF 06 00 00 00 43 4F 55 4E 54 7C 00 00 FF FF FF FF 05 00 00 00 43 4F 55 4E 54 00 00 00 FF FF FF FF 02 00 00 00 33 56 00 00 FF FF FF FF 09 00 00 00 4D 41 58 28 3C 58 3E 29 7C 00 00 00 FF FF FF FF 03 00 00 00 4D 41 58 00 FF FF FF FF 09 00 00 00 4D 49 4E 28 3C 58 3E 29 7C 00 00 00 FF FF FF FF 03 00 00 00 4D 49 4E 00 FF FF FF FF 0D 00 00 00 41 56 45 52 41 47 45 28 3C 58 3E 29 7C 00 00 00 FF FF FF FF 07 00 00 00 41 56 45 52 41 47 45 00 FF FF FF FF 01 00 00 00 35 00 00 00 FF FF FF FF 05 00 00 00 54 52 55 45 7C 00 00 00 FF FF FF FF 04 00 00 00 54 52 55 45 00 00 00 00 FF FF FF FF 06 00 00 00 46 41 4C 53 45 7C 00 00 FF FF FF FF 05 00 00 00 46 41 4C 53 45 00 00 00 FF FF FF FF 02 00 00 00 32 4E 00 00 FF FF FF FF 09 00 00 00 49 4E 54 28 3C 58 3E 29 7C 00 00 00 FF FF FF FF 03 00 00 00 49 4E 54 00 FF FF FF FF 0A 00 00 00 46 52 41 43 28 3C 58 3E 29 7C 00 00 FF FF FF FF 04 00 00 00 46 52 41 43 00 00 00 00 FF FF FF FF 0A 00 00 00 53 51 52 54 28 3C 58 3E 29 7C 00 00 FF FF FF FF 04 00 00 00 53 51 52 54 00 00 00 00 FF FF FF FF 02 00 00 00 36 4E 00 00 FF FF FF FF 0E 00 00 00 54 59 50 45 4F 46 28 3C 45 78 70 3E 29 7C 00 00 FF FF FF FF 06 00 00 00 54 59 50 45 4F 46 00 00 FF FF FF FF 03 00 00 00 37 53 4E 00 FF FF FF FF 16 00 00 00 46 4F 52 4D 41 54 4E 55 4D 45 52 49 43 28 3C 46 3E 2C 3C 4E 3E 7C 00 00 FF FF FF FF 0D 00 00 00 46 4F 52 4D 41 54 4E 55 4D 45 52 49 43 00 00 00 }
	condition:
		$1
}

rule function_12774_0 {
	meta:
		name = "TQRDBChart.Create"
		size = 107
		refs = "000e @ClassCreate 001c TCustomDBChart.Create 0028 TControl.SetColor 0031 TCustomPanel.SetBevelOuter 0050 TControl.Hide"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 D6 01 00 00 00 6A 01 6A 01 83 C9 FF 83 CA FF 8B C3 8B 30 FF 56 4C 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12775_0 {
	meta:
		name = "TQRDBChart.GetRectangle"
		size = 128
		refs = "0022 TQRDBChart.GetRectangle 003c TControl.GetClientHeight 004c @ROUND 0055 TControl.GetClientWidth 0071 Rect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B 50 24 85 D2 74 67 8B DA 8B 83 28 01 00 00 85 C0 74 12 DB 80 3C 01 00 00 D8 3D ?? ?? ?? ?? DD 1C 24 9B EB 0D 33 C0 89 04 24 C7 44 24 04 00 00 F0 3F 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 DB 44 24 08 DC 0C 24 E8 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 89 44 24 14 DB 44 24 14 DC 4C 24 08 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 00 00 C8 42 }
	condition:
		$1
}

rule function_12776_0 {
	meta:
		name = "TQRDBChart.Paint"
		size = 295
		refs = "003c TCustomChart.TeeCreateMetafile 0047 TQRDBChart.Paint 0068 TCanvas.StretchDraw 007d TObject.Free 0083 @HandleFinally 008c _Dn_TBitmap 0091 TBitmap.Create 00d3 TBitmap.GetCanvas"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B D8 8B 43 24 85 C0 0F 84 0C 01 00 00 8B F0 8A 86 4C 01 00 00 2C 01 72 68 0F 85 FA 00 00 00 8D 55 D8 8B C3 8B 08 FF 91 94 00 00 00 8D 4D D8 B2 01 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B C6 8B 08 FF 51 2C 8D 55 D8 8B 86 18 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C3 8B 08 FF 91 94 00 00 00 8B 55 F0 2B 55 E8 8B 45 F8 8B 08 FF 51 40 8B 55 F4 2B 55 EC 8B 45 F8 8B 08 FF 51 34 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D E8 8B C3 8B 30 FF 96 C4 00 00 00 8B 5B 24 8D 55 D8 8B C3 8B 08 FF 51 2C 8D 55 D8 8B 83 18 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12777_0 {
	meta:
		name = "TQRDBChart.Invalidate"
		size = 17
	strings:
		$1 = { 56 8B 70 24 85 F6 74 07 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_12778_0 {
	meta:
		name = "TQRChart.Create"
		size = 292
		refs = "0019 @ClassCreate 0028 TQRChart.Create 0039 TQRPrintable.Create 004c TControl.SetWidth 0058 TControl.SetHeight 0070 _DV_TQRDBChart 0075 TQRDBChart.Create 008f TeeGetUniqueName 00b4 TObject.ClassName 00c2 @LStrFromString 00e8 @LStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 4C 01 00 00 01 BA 5E 01 00 00 8B C3 E8 ?? ?? ?? ?? BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 75 8B 43 04 F6 40 20 01 75 6C 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 3C 8D 4D F8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 51 18 8B 86 44 02 00 00 8B 40 10 8B 10 FF 52 40 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 86 44 02 00 00 8B 40 10 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 09 00 00 00 51 52 44 42 43 68 61 72 74 00 00 00 }
	condition:
		$1
}

rule function_12779_0 {
	meta:
		name = "TQRChart.ReadState"
		size = 46
		refs = "0009 TQRChart.GetChart 001e TObject.Free 0027 TWinControl.ReadState"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 F6 40 20 01 75 0B F6 40 20 20 75 05 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12780_0 {
	meta:
		name = "TQRChart.SetPrintMethod"
		size = 20
	strings:
		$1 = { 3A 90 4C 01 00 00 74 0B 88 90 4C 01 00 00 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_12781_0 {
	meta:
		name = "TQRChart.Print"
		size = 546
		refs = "0013 TQRChart.GetChart 0027 TCustomDBChart.RefreshData 0043 TQRPrintableSize.GetValue 006c TQRPrinter.YPos 00b0 TQRPrinter.XPos 0102 Rect 0137 TCustomChart.TeeCreateMetafile 0142 TQRChart.Print 014f TQRPrinter.GetCanvas 015a TCanvas.StretchDraw 016f TObject.Free 0175 @HandleFinally 017e _Dn_TBitmap 0183 TBitmap.Create 01ca TBitmap.GetCanvas"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 89 4D FC 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 FC 01 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 28 01 00 00 8B B0 E0 01 00 00 8B 83 30 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? DB 45 FC DE C1 DB 7D C8 9B 8B 83 30 01 00 00 33 D2 E8 ?? ?? ?? ?? DB 6D C8 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 8D 45 E4 50 8B 83 30 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 89 7D C4 DB 45 C4 DE C1 DB 7D C8 9B 8B 83 30 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? DB 6D C8 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 8B 83 30 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? DB 45 FC DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 8B 83 30 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 89 7D C4 DB 45 C4 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8A 83 4C 01 00 00 2C 01 72 6B 0F 85 05 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 B4 8B 08 FF 91 94 00 00 00 8D 45 B4 50 8B C3 E8 ?? ?? ?? ?? B2 01 59 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 8B 4D F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 8B 08 FF 91 94 00 00 00 8B 55 DC 2B 55 D4 8B 45 F4 8B 08 FF 51 40 8B 55 E0 2B 55 D8 8B 45 F4 8B 08 FF 51 34 8B 45 F4 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 4D D4 5A 8B 30 FF 96 C4 00 00 00 8B 83 28 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 8D 55 E4 8B 4D F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12782_0 {
	meta:
		name = "TQRChart.Paint"
		size = 35
		refs = "0006 TQRPrintable.Paint 000d TQRChart.GetChart"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 7C 5B C3 }
	condition:
		$1
}

rule function_12783_0 {
	meta:
		name = "TQRChart.GetChart"
		size = 29
		refs = "0006 TWinControl.GetControlCount 0013 TWinControl.GetControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0B 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_12786_0 {
	meta:
		name = "UniqueName"
		size = 151
		refs = "0017 @LStrAddRef 001f UniqueName 0037 IntToStr 0045 @LStrCat3 004f TComponent.FindComponent 0084 @LStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 EB 01 43 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 85 C0 75 D9 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12787_0 {
	meta:
		name = "_NF__202"
		size = 26
		refs = "000a TDataSet.GetActive"
	strings:
		$1 = { 53 8B D8 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12788_0 {
	meta:
		name = "_NF__203"
		size = 52
		refs = "000d _NF__203"
	strings:
		$1 = { 83 C4 F0 89 44 24 0C DB 44 24 0C D8 3D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DB 3C 24 9B DB 2C 24 83 C4 10 C3 00 00 A0 42 CA 64 32 99 4C 26 93 C9 FD 3F 00 00 }
	condition:
		$1
}

rule function_12789_0 {
	meta:
		name = "_NF__204"
		size = 64
		refs = "000d _NF__204"
	strings:
		$1 = { 83 C4 F0 89 44 24 0C DB 44 24 0C DB 2D ?? ?? ?? ?? DE F1 DB 2D ?? ?? ?? ?? DE C9 DB 3C 24 9B DB 2C 24 83 C4 10 C3 00 00 CD CC CC CC CC CC 4C 91 06 40 00 00 CA 64 32 99 4C 26 93 C9 FD 3F 00 00 }
	condition:
		$1
}

rule function_12790_0 {
	meta:
		name = "_NF__205"
		size = 112
		refs = "0012 @ROUND 003b _NF__205"
	strings:
		$1 = { 55 8B EC 83 C4 F0 2C 01 72 18 2C 02 75 28 DB 6D 08 E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 7D F6 9B EB 34 DB 6D 08 E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 7D F6 9B EB 20 DB 6D 08 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 00 20 42 CD CC CC CC CC CC CC CC F9 3F 00 00 }
	condition:
		$1
}

rule function_12791_0 {
	meta:
		name = "TQRController.Create"
		size = 131
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 005c TQRController.SetMaster"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 5C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 33 D2 8B C6 E8 ?? ?? ?? ?? 89 76 4C 33 D2 8B C6 8B 08 FF 51 28 C6 46 49 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12792_0 {
	meta:
		name = "TQRController.Destroy"
		size = 66
		refs = "000a TObject.Free 002e TComponent.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 54 E8 ?? ?? ?? ?? 8B 46 58 E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12793_0 {
	meta:
		name = "TQRController.AddAfter"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12794_0 {
	meta:
		name = "TQRController.RegisterBands"
		size = 225
		refs = "0012 TQuickRep.RegisterBand 002a TList.Get 0055 TQRController.RegisterBands"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 34 85 C0 74 0A 8B D0 8B 46 44 E8 ?? ?? ?? ?? 8B 46 50 8B 78 08 4F 85 FF 7C 1B 47 33 DB 8B D3 8B 46 50 E8 ?? ?? ?? ?? 8B D0 8B 46 44 E8 ?? ?? ?? ?? 43 4F 75 E8 8B 46 5C 8B 78 08 4F 85 FF 7C 16 47 33 DB 8B D3 8B 46 5C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 ED 8B 46 2C 85 C0 74 0A 8B D0 8B 46 44 E8 ?? ?? ?? ?? 8B 46 58 8B 78 08 4F 85 FF 7C 16 47 33 DB 8B D3 8B 46 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 ED 8B 46 50 8B 58 08 4B 83 FB 00 7C 31 8B D3 8B 46 50 E8 ?? ?? ?? ?? 83 B8 A8 01 00 00 00 74 18 8B D3 8B 46 50 E8 ?? ?? ?? ?? 8B 90 A8 01 00 00 8B 46 44 E8 ?? ?? ?? ?? 4B 83 FB FF 75 CF 8B 46 30 85 C0 74 0A 8B D0 8B 46 44 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12795_0 {
	meta:
		name = "TQRController.AddBefore"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 5C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12796_0 {
	meta:
		name = "TQRController.AddNotifyClient"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 54 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12797_0 {
	meta:
		name = "_NF__218"
		size = 173
		refs = "0028 TList.Get 002d TQRGroup.Check 006e TQREvaluator.Value"
	strings:
		$1 = { 53 56 57 55 81 C4 F8 FE FF FF 8B F8 C6 04 24 00 8B 47 50 8B 70 08 4E 85 F6 0F 8C 80 00 00 00 46 33 DB 8B D3 8B 47 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 47 50 E8 ?? ?? ?? ?? 80 B8 B0 01 00 00 00 74 57 C6 04 24 01 8D 6B 01 8B 47 50 8B 70 08 4E 2B F5 7C 49 46 8B D5 8B 47 50 E8 ?? ?? ?? ?? 8B D8 8D 54 24 04 8B 83 A0 01 00 00 E8 ?? ?? ?? ?? 56 57 8D 74 24 0C 8D BB B4 01 00 00 B9 41 00 00 00 F3 A5 5F 5E C6 83 B0 01 00 00 01 C6 83 B8 02 00 00 01 45 4E 75 BE EB 04 43 4E 75 83 8A 04 24 81 C4 08 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12798_0 {
	meta:
		name = "_NF__219"
		size = 81
		refs = "0019 TList.Get 0031 TQRCustomBand.MakeSpace 0045 _NF__41D"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 50 8B 78 08 4F 85 FF 7C 3D 47 33 F6 8B D6 8B 43 50 E8 ?? ?? ?? ?? 80 B8 B0 01 00 00 00 74 23 8B D6 8B 43 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 50 E8 ?? ?? ?? ?? 8B D0 8B 43 44 E8 ?? ?? ?? ?? 46 4F 75 C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12799_0 {
	meta:
		name = "_NF__21A"
		size = 108
		refs = "0016 TList.Get 0047 TQRCustomBand.MakeSpace 005f _NF__41D"
	strings:
		$1 = { 53 56 8B F0 8B 46 50 8B 58 08 4B 83 FB 00 7C 59 8B D3 8B 46 50 E8 ?? ?? ?? ?? 80 B8 B0 01 00 00 00 74 40 8B D3 8B 46 50 E8 ?? ?? ?? ?? 83 B8 A8 01 00 00 00 74 2D 8B D3 8B 46 50 E8 ?? ?? ?? ?? 8B 80 A8 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 46 50 E8 ?? ?? ?? ?? 8B 90 A8 01 00 00 8B 46 44 E8 ?? ?? ?? ?? 4B 83 FB FF 75 A7 5E 5B C3 }
	condition:
		$1
}

rule function_12800_0 {
	meta:
		name = "_NF__21B"
		size = 63
		refs = "0019 TList.Get"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 50 8B 78 08 4F 85 FF 7C 2B 47 33 DB 8B D3 8B 46 50 E8 ?? ?? ?? ?? 8A 80 B0 01 00 00 34 01 50 8B D3 8B 46 50 E8 ?? ?? ?? ?? 5A 88 90 B0 01 00 00 43 4F 75 D8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12801_0 {
	meta:
		name = "_NF__21C"
		size = 448
		refs = "0013 TComponent.GetComponentCount 002a TComponent.GetComponent 0030 _DV_TQRController 0035 @IsClass 0079 TQRController.AddBefore 008c TQRController.AddAfter 00ad _DV_TQRControllerBand 013c TQRController.BuildTree 014b _DV_TQRGroup 019a TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 85 F6 0F 84 AB 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 99 01 00 00 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 65 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 8B 45 08 8B 40 FC 8B 40 24 8B 55 08 8B 52 F8 3B 42 4C 75 42 8B 45 08 8B 40 FC 80 78 48 00 74 13 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 11 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 40 44 8B 55 08 8B 52 FC 89 42 44 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 80 A0 01 00 00 8B 55 08 89 42 FC 8B 45 08 8B 40 FC F6 40 20 08 75 61 8B 45 08 8B 40 FC 8B 40 24 8B 55 08 8B 52 F8 3B 42 4C 75 4D 8B 45 08 8B 40 F8 8B 40 44 8B 55 08 8B 52 FC 89 42 44 8B 45 08 8B 40 FC 80 78 48 00 74 13 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 11 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 45 08 8B 40 F4 8B 80 AC 01 00 00 8B 55 08 8B 52 F8 3B 42 4C 75 35 8B 45 08 8B 40 F4 F6 40 20 08 75 29 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 40 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 40 44 8B 55 08 8B 52 F4 89 82 90 01 00 00 43 4F 0F 85 6A FE FF FF 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12802_0 {
	meta:
		name = "TQRController.BuildTree"
		size = 75
		refs = "0010 TList.Clear 0035 _NF__21C"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 F8 8B 45 F8 8B 40 5C E8 ?? ?? ?? ?? 8B 45 F8 8B 40 58 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 50 E8 ?? ?? ?? ?? 55 8B 45 F8 8B 40 4C 8B 40 04 E8 ?? ?? ?? ?? 59 55 8B 45 F8 8B 40 4C E8 ?? ?? ?? ?? 59 8B E5 5D C3 }
	condition:
		$1
}

rule function_12803_0 {
	meta:
		name = "TQRController.Prepare"
		size = 152
		refs = "0008 TQRController.BuildTree 0010 TList.Clear 0018 _NF__202 002d TList.Add 0045 TList.Get 004a TQRController.Prepare 008c TQRGroup.Prepare"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B 47 54 E8 ?? ?? ?? ?? 8B 47 28 E8 ?? ?? ?? ?? 84 C0 74 11 8B 47 44 8B 80 60 01 00 00 8B 57 28 E8 ?? ?? ?? ?? 8B 47 5C 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 47 5C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 58 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 47 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 50 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 47 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12804_0 {
	meta:
		name = "TQRController.Notification"
		size = 87
		refs = "0010 TComponent.Notification 0041 TQRController.SetDataSet 004f TQRController.SetMaster"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 3A 3B 77 34 75 05 33 C0 89 47 34 3B 77 2C 75 05 33 C0 89 47 2C 3B 77 30 75 05 33 C0 89 47 30 3B 77 28 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B 77 24 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12805_0 {
	meta:
		name = "_NF__225"
		size = 57
		refs = "001e TList.Get"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B D8 8B 43 54 8B 70 08 4E 85 F6 7C 1E 46 33 FF 8B D7 8B 43 54 E8 ?? ?? ?? ?? 8A 0C 24 8B D3 8B 28 FF 95 8C 00 00 00 47 4E 75 E5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12806_0 {
	meta:
		name = "_NF__226"
		size = 54
		refs = "0025 TList.Get 002a TQRController.Execute"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 40 5C 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 45 08 8B 40 FC 8B 40 5C 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12807_0 {
	meta:
		name = "_NF__227"
		size = 54
		refs = "0025 TList.Get 002a TQRController.Execute"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 40 58 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 45 08 8B 40 FC 8B 40 58 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12808_0 {
	meta:
		name = "_NF__228"
		size = 78
		refs = "0015 _NF__41D 001e _NF__226 0037 _NF__227"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC 8B 03 8B 50 34 8B 03 8B 40 44 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 03 8B 50 2C 8B 03 8B 40 44 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 03 8B 50 30 8B 03 8B 40 44 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_12809_0 {
	meta:
		name = "TQRController.Execute"
		size = 737
		refs = "001c _NF__202 0058 _Dn_TTable 005d @IsClass 0089 TDataSet.First 00a0 TQuickRep.GetDataSet 00b1 TQuickRep.GetRecordCount 00c8 _NF__228 00fa _NF__218 0109 Application 0110 TApplication.ProcessMessages 012f _NF__41D 014c _DV_TQuickRep 0169 TQuickRepBands.GetBand 01b5 _NF__219 01bb _NF__226 01ca TQRCustomBand.MakeSpace 01d3 _NF__225 01e8 _NF__227 01f7 TDataSet.Next 0244 TDataSet.Prior 024b _NF__21A 0290 TQRPrinter.SetProgress 02a1 _NF__21B"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 8D 75 FC C7 45 F4 01 00 00 00 8B 06 8B 40 28 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 06 66 83 78 3A 00 0F 84 9A 02 00 00 8B 06 83 78 44 00 0F 84 8E 02 00 00 C6 45 FB 01 8B 06 8B 40 28 E8 ?? ?? ?? ?? 8B D8 84 DB 74 29 8B 06 8B 40 28 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 06 8B 40 28 8B 80 E0 01 00 00 80 78 30 00 75 04 33 C0 EB 02 B0 01 88 45 F3 84 DB 74 4C 8B 06 8B 40 28 E8 ?? ?? ?? ?? 8B 06 8B 40 28 8A 40 59 34 01 88 45 FB 8B 06 8B 40 44 E8 ?? ?? ?? ?? 8B 16 3B 42 28 75 0D 8B 06 8B 40 44 E8 ?? ?? ?? ?? 89 45 F4 80 7D FB 00 75 32 8B 06 80 78 49 00 74 2A 55 E8 ?? ?? ?? ?? 59 EB 21 8B 06 66 83 78 3A 00 74 18 8B 06 F6 40 20 10 75 10 8D 4D FB 8B 06 8B 50 4C 8B 3E 8B 47 3C FF 57 38 8B 06 33 D2 89 50 40 8B 06 E8 ?? ?? ?? ?? 80 7D FB 00 0F 84 D2 01 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 06 8B 40 44 8B 90 E0 01 00 00 80 7A 24 00 0F 85 B1 01 00 00 8B 16 8B 52 34 E8 ?? ?? ?? ?? 8B 06 8B 78 44 83 BF C0 01 00 00 01 0F 85 4F 01 00 00 8B 06 8B 40 4C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 37 01 00 00 8B 87 6C 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 06 8B 40 44 8B 90 84 01 00 00 89 90 78 01 00 00 E9 08 01 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 06 8B 40 44 8B 80 E0 01 00 00 80 78 24 00 0F 85 2D 01 00 00 8B 06 FF 40 40 8B 06 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 06 8B 40 2C 85 C0 74 05 E8 ?? ?? ?? ?? 33 D2 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 50 2C 8B 06 8B 40 44 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 DB 74 19 8B 06 8B 40 28 E8 ?? ?? ?? ?? 8B 06 8B 40 28 8A 40 59 34 01 88 45 FB EB 25 C6 45 FB 00 8B 06 66 83 78 3A 00 74 18 8B 06 F6 40 20 10 75 10 8D 4D FB 8B 06 8B 50 4C 8B 3E 8B 47 3C FF 57 38 8B 06 E8 ?? ?? ?? ?? 84 C0 74 23 84 DB 74 0A 8B 06 8B 40 28 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 DB 74 0A 8B 06 8B 40 28 E8 ?? ?? ?? ?? 84 DB 74 33 8B 06 8B 40 44 E8 ?? ?? ?? ?? 8B 16 3B 42 28 75 22 80 7D F3 00 75 1C 8B 06 6B 40 40 64 99 F7 7D F4 8B D0 8B 06 8B 40 44 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 80 7D FB 00 0F 85 EE FE FF FF 8B 06 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 40 30 85 C0 74 25 E8 ?? ?? ?? ?? 8B 06 8B 50 30 8B 06 8B 40 44 E8 ?? ?? ?? ?? EB 0F 8B 06 80 78 49 00 74 07 55 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12810_0 {
	meta:
		name = "TQRController.SetDataSet"
		size = 19
		refs = "000e TComponent.FreeNotification"
	strings:
		$1 = { 8B CA 89 48 28 85 D2 74 09 8B D0 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12811_0 {
	meta:
		name = "TQRController.SetMaster"
		size = 80
		refs = "000e _DV_TQuickRep 0013 @IsClass 001f _DV_TQRController 0030 _DV_TQRControllerBand 0049 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B DA 8B F0 3B DE 74 43 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 89 5E 24 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12812_0 {
	meta:
		name = "TQRController.SetPrintBefore"
		size = 4
	strings:
		$1 = { 88 50 48 C3 }
	condition:
		$1
}

rule function_12813_0 {
	meta:
		name = "TQRGroup.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TQRCustomBand.Create 001e _Dn_TQREvaluator 0023 TQREvaluator.Create 0032 TQRCustomBand.SetBandType"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A0 01 00 00 B2 05 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12814_0 {
	meta:
		name = "TQRControllerBand.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TQRCustomBand.Destroy 0024 @ClassDestroy"
		altNames = "TQRGroup.Destroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 A0 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12815_0 {
	meta:
		name = "TQRGroup.Notification"
		size = 61
		refs = "0010 TQRCustomBand.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 20 3B B7 A8 01 00 00 75 08 33 C0 89 87 A8 01 00 00 3B B7 AC 01 00 00 75 08 33 C0 89 87 AC 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12816_0 {
	meta:
		name = "TQRGroup.DefineProperties"
		size = 284
		refs = "001e TQRGroup.DefineProperties 00b1 TQRCustomBand.DefineProperties"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 53 8B 03 8B 80 98 00 00 00 50 53 8B 03 8B 80 AC 00 00 00 50 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 8B 03 8B 80 9C 00 00 00 50 53 8B 03 8B 80 AC 00 00 00 50 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 8B 03 8B 80 A0 00 00 00 50 53 8B 03 8B 80 AC 00 00 00 50 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 8B 03 8B 80 A4 00 00 00 50 53 8B 03 8B 80 AC 00 00 00 50 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 8B 03 8B 80 A8 00 00 00 50 53 8B 03 8B 80 AC 00 00 00 50 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 FF FF FF FF 05 00 00 00 4C 65 76 65 6C 00 00 00 FF FF FF FF 0A 00 00 00 44 61 74 61 53 6F 75 72 63 65 00 00 FF FF FF FF 09 00 00 00 44 61 74 61 46 69 65 6C 64 00 00 00 FF FF FF FF 0A 00 00 00 48 65 61 64 65 72 42 61 6E 64 00 00 FF FF FF FF 0A 00 00 00 4F 6E 4E 65 65 64 44 61 74 61 00 00 }
	condition:
		$1
}

rule function_12819_0 {
	meta:
		name = "TQRGroup.ReadDataField"
		size = 79
		refs = "000f TQRGroup.ReadDataField 001f TReader.ReadString 0029 TQRGroup.SetExpression 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12824_0 {
	meta:
		name = "TQRGroup.Check"
		size = 262
		refs = "0029 TQREvaluator.Value 0095 @AStrCmp"
	strings:
		$1 = { 53 56 57 81 C4 F8 FD FF FF 8B D8 C6 83 B0 01 00 00 00 80 BB B8 02 00 00 00 75 39 8D 94 24 04 01 00 00 8B 83 A0 01 00 00 E8 ?? ?? ?? ?? 8D B4 24 04 01 00 00 8D BB B4 01 00 00 B9 41 00 00 00 F3 A5 C6 83 B0 01 00 00 01 C6 83 B8 02 00 00 01 E9 A8 00 00 00 8B D4 8B 83 A0 01 00 00 E8 ?? ?? ?? ?? 8A 04 24 3A 83 B4 01 00 00 74 09 C6 83 B0 01 00 00 01 EB 6F 2C 01 72 2B 74 3E FE C8 74 06 FE C8 74 4E EB 5F 8D 44 24 01 8D 93 B5 01 00 00 33 C9 8A 08 41 E8 ?? ?? ?? ?? 0F 95 C0 88 83 B0 01 00 00 EB 40 8B 44 24 04 3B 83 B8 01 00 00 0F 95 C0 88 83 B0 01 00 00 EB 2B DD 44 24 04 DC 9B B8 01 00 00 DF E0 9E 0F 95 C0 88 83 B0 01 00 00 EB 13 8A 44 24 01 3A 83 B5 01 00 00 0F 95 C0 88 83 B0 01 00 00 80 BB B0 01 00 00 00 74 0F 8B F4 8D BB B4 01 00 00 B9 41 00 00 00 F3 A5 81 C4 08 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12825_0 {
	meta:
		name = "TQRGroup.SetFooterBand"
		size = 37
		refs = "0012 TQRCustomBand.SetBandType 001f TComponent.FreeNotification"
	strings:
		$1 = { 53 8B D8 8B C2 89 83 A8 01 00 00 85 C0 74 14 B2 06 E8 ?? ?? ?? ?? 8B D3 8B 83 A8 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12826_0 {
	meta:
		name = "TQRGroup.SetMaster"
		size = 84
		refs = "000a _DV_TQRControllerBand 000f @IsClass 001b _DV_TQuickRep 0035 TQuickRep.RebuildBandList 0040 TQuickRep.SetBandValues 004d TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 89 B3 AC 01 00 00 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12827_0 {
	meta:
		name = "TQRGroup.SetParent"
		size = 53
		refs = "000b TQRCustomBand.SetParent 001c _DV_TQuickRep 0021 @IsClass 002e TQRGroup.SetMaster"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB AC 01 00 00 00 75 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12828_0 {
	meta:
		name = "TQRGroup.Prepare"
		size = 44
		refs = "001f TQREvaluator.Prepare"
	strings:
		$1 = { 53 8B D8 8B 93 90 01 00 00 8B 92 60 01 00 00 8B 83 A0 01 00 00 89 50 04 8B 93 A4 01 00 00 E8 ?? ?? ?? ?? C6 83 B8 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_12829_0 {
	meta:
		name = "TQRGroup.Unprepare"
		size = 12
		refs = "0007 TQREvaluator.UnPrepare"
	strings:
		$1 = { 8B 80 A0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12940_0 {
	meta:
		name = "TQRSubDetail.AddNotifyClient"
		size = 12
		refs = "0007 TQRController.AddNotifyClient"
	strings:
		$1 = { 8B 80 A0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12944_0 {
	meta:
		name = "TQRSubDetail.SetDataSet"
		size = 12
		refs = "0007 TQRController.SetDataSet"
	strings:
		$1 = { 8B 80 A0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12830_0 {
	meta:
		name = "TQRFrame.Create"
		size = 54
		refs = "0008 @ClassCreate"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C7 40 14 01 00 00 00 C6 40 12 00 C6 40 08 00 C6 40 09 00 C6 40 11 00 C6 40 10 00 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_12831_0 {
	meta:
		name = "TQRFrame.DefineProperties"
		size = 64
		refs = "0018 TQRFrame.DefineProperties 0027 TPersistent.DefineProperties"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 53 8B 03 8B 40 0C 50 53 8B 03 8B 40 10 50 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 FF FF FF FF 04 00 00 00 4D 6F 64 65 00 00 00 00 }
	condition:
		$1
}

rule function_12834_0 {
	meta:
		name = "TQRFrame.PaintIt"
		size = 272
		refs = "001e TQRFrame.PaintIt 0030 @ROUND 005a TQRFrame.SetPen 0064 TBrush.SetStyle 006f TBrush.SetColor 008e TCanvas.Rectangle"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8D 7D EC B9 04 00 00 00 F3 A5 8B F2 8B D8 DB 6D 14 DB 2D ?? ?? ?? ?? DE C9 D8 0D ?? ?? ?? ?? DB 43 14 DE C9 E8 ?? ?? ?? ?? 8B F8 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 D8 0D ?? ?? ?? ?? DB 43 14 DE C9 E8 ?? ?? ?? ?? 89 45 FC 8B 56 10 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 46 14 E8 ?? ?? ?? ?? 8B 53 04 8B 46 14 E8 ?? ?? ?? ?? 80 7B 12 00 74 19 8B 55 F4 52 8B 45 F0 8B D0 03 55 FC 52 8B C8 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 80 7B 08 00 74 19 8B 55 F4 52 8B 45 F8 8B D0 2B 55 FC 52 8B C8 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 80 7B 09 00 74 18 8B 45 EC 8B D0 03 D7 52 8B 55 F8 52 8B 4D F0 8B D0 8B C6 E8 ?? ?? ?? ?? 80 7B 11 00 74 16 8B 45 F4 50 8B 55 F8 52 8B D0 2B D7 8B 4D F0 8B C6 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 18 00 00 00 8E E3 38 8E E3 38 8E E3 F8 3F 00 00 00 00 7E 43 }
	condition:
		$1
}

rule function_12835_0 {
	meta:
		name = "TQRFrame.AnyFrame"
		size = 30
	strings:
		$1 = { 80 78 12 00 75 15 80 78 08 00 75 0F 80 78 09 00 75 09 80 78 11 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_12836_0 {
	meta:
		name = "TQRFrame.SetColor"
		size = 12
	strings:
		$1 = { 89 50 04 8B 40 0C 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_12837_0 {
	meta:
		name = "TQRFrame.SetParent"
		size = 4
	strings:
		$1 = { 89 50 0C C3 }
	condition:
		$1
}

rule function_12838_0 {
	meta:
		name = "TQRFrame.SetStyle"
		size = 12
	strings:
		$1 = { 88 50 10 8B 40 0C 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_12839_0 {
	meta:
		name = "TQRFrame.SetValue"
		size = 42
	strings:
		$1 = { 83 EA 01 72 0A 74 0D 4A 74 0F 4A 74 11 EB 12 88 48 12 EB 0D 88 48 08 EB 08 88 48 09 EB 03 88 48 11 8B 40 0C 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_12840_0 {
	meta:
		name = "TQRFrame.SetWidth"
		size = 12
	strings:
		$1 = { 89 50 14 8B 40 0C 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_12841_0 {
	meta:
		name = "TQRFrame.SetPen"
		size = 39
		refs = "000c TPen.SetWidth 0016 TPen.SetStyle 0020 TPen.SetColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 14 8B C6 E8 ?? ?? ?? ?? 8A 53 10 8B C6 E8 ?? ?? ?? ?? 8B 53 04 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12842_0 {
	meta:
		name = "TQRUnitBase.Create"
		size = 100
		refs = "000a @ClassCreate 0014 _NV__1FE 003a Screen"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 80 3D ?? ?? ?? ?? 00 74 0B B2 01 8B C6 8B 08 FF 51 24 EB 09 33 D2 8B C6 8B 08 FF 51 24 8B C6 8B 10 FF 52 14 88 46 09 A1 ?? ?? ?? ?? 8B 00 8B 40 34 89 46 04 C6 46 10 00 C7 46 14 64 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12843_0 {
	meta:
		name = "TQRUnitBase.GetUnits"
		size = 4
	strings:
		$1 = { 8A 40 08 C3 }
	condition:
		$1
}

rule function_12844_0 {
	meta:
		name = "TQRUnitBase.SetUnits"
		size = 4
	strings:
		$1 = { 88 50 08 C3 }
	condition:
		$1
}

rule function_12845_0 {
	meta:
		name = "TQRUnitBase.LoadUnit"
		size = 256
		refs = "0022 TQRUnitBase.LoadUnit 0071 TFont.GetSize 007b _NF__203 00a3 _NF__204"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 80 EA 01 72 0F 74 21 FE CA 74 31 FE CA 74 4E E9 9D 00 00 00 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B E9 9D 00 00 00 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B E9 89 00 00 00 DB 43 04 D8 3D ?? ?? ?? ?? DB 6D 08 DE F1 DB 43 14 DE C9 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B EB 68 84 C9 74 28 8B 43 0C 8B 40 50 E8 ?? ?? ?? ?? 99 33 C2 2B C2 E8 ?? ?? ?? ?? DB 6D 08 DE F1 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B EB 3C 8B 43 0C 8B 40 50 E8 ?? ?? ?? ?? 99 33 C2 2B C2 E8 ?? ?? ?? ?? DB 6D 08 DE F1 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B EB 14 8B 45 08 89 45 F6 8B 45 0C 89 45 FA 66 8B 45 10 66 89 45 FE DB 6D F6 5B 8B E5 5D C2 0C 00 CD CC CC CC CC CC CC CC FB 3F 00 00 81 40 20 10 08 04 02 81 F7 3F 00 00 00 00 7E 43 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_12846_0 {
	meta:
		name = "TQRUnitBase.SaveUnit"
		size = 220
		refs = "0022 TQRUnitBase.SaveUnit 006b TFont.GetSize 0075 _NF__203 009b _NF__204"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 80 EA 01 72 0F 74 1F FE CA 74 2D FE CA 74 48 E9 93 00 00 00 DB 6D 08 D8 0D ?? ?? ?? ?? DB 7D F6 9B E9 95 00 00 00 DB 6D 08 D8 0D ?? ?? ?? ?? DB 7D F6 9B E9 83 00 00 00 DB 43 04 D8 3D ?? ?? ?? ?? DB 6D 08 DE C9 DB 43 14 DE F9 D8 0D ?? ?? ?? ?? DB 7D F6 9B EB 64 84 C9 74 26 8B 43 0C 8B 40 50 E8 ?? ?? ?? ?? 99 33 C2 2B C2 E8 ?? ?? ?? ?? DB 6D 08 DE C9 D8 0D ?? ?? ?? ?? DB 7D F6 9B EB 3A 8B 43 0C 8B 40 50 E8 ?? ?? ?? ?? 99 33 C2 2B C2 E8 ?? ?? ?? ?? DB 6D 08 DE C9 D8 0D ?? ?? ?? ?? DB 7D F6 9B EB 14 8B 45 08 89 45 F6 8B 45 0C 89 45 FA 66 8B 45 10 66 89 45 FE DB 6D F6 5B 8B E5 5D C2 0C 00 00 00 00 00 20 41 00 00 7E 43 00 00 C8 42 }
	condition:
		$1
}

rule function_12847_0 {
	meta:
		name = "TQRUnitBase.DefineProperties"
		size = 64
		refs = "0018 TQRUnitBase.DefineProperties 0027 TPersistent.DefineProperties"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 53 8B 03 8B 40 1C 50 53 8B 03 8B 40 28 50 B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 FF FF FF FF 06 00 00 00 56 61 6C 75 65 73 00 00 }
	condition:
		$1
}

rule function_12848_0 {
	meta:
		name = "TQRUnitBase.SetPixels"
		size = 19
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 14 88 43 09 C6 43 08 02 5B C3 }
	condition:
		$1
}

rule function_12849_0 {
	meta:
		name = "TQRBandSize.FixZoom"
		size = 6
		altNames = "TQRPage.FixZoom TQRPrintableSize.FixZoom TQRUnitBase.Loaded"
	strings:
		$1 = { 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_12853_0 {
	meta:
		name = "TQRUnitBase.RestoreUnit"
		size = 7
	strings:
		$1 = { 8A 50 09 88 50 08 C3 }
	condition:
		$1
}

rule function_12854_0 {
	meta:
		name = "TQRBandSize.Create"
		size = 89
		refs = "000b @ClassCreate 001a TQRUnitBase.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 2C 33 C0 89 47 18 C7 47 1C 00 00 00 A0 66 C7 47 20 04 40 33 C0 89 47 22 C7 47 26 00 00 00 A0 66 C7 47 2A 03 40 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12856_0 {
	meta:
		name = "TQRBandSize.GetValue"
		size = 86
	strings:
		$1 = { 53 83 C4 F4 8B D8 85 D2 75 23 66 8B 43 2A 50 FF 73 26 FF 73 22 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 18 FF 53 0C DB 3C 24 9B EB 21 66 8B 43 20 50 FF 73 1C FF 73 18 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 18 FF 53 0C DB 3C 24 9B DB 2C 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_12857_0 {
	meta:
		name = "TQRBandSize.ReadValues"
		size = 45
		refs = "0009 TReader.ReadListBegin 0010 TReader.ReadFloat 0026 TReader.ReadListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DB 7E 22 9B 8B C3 E8 ?? ?? ?? ?? DB 7E 18 9B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12858_0 {
	meta:
		name = "TQRBandSize.SetParentSizes"
		size = 95
		refs = "0026 @ROUND"
	strings:
		$1 = { 53 56 57 8B D8 83 7B 2C 00 74 50 C6 43 10 01 66 8B 43 20 50 FF 73 1C FF 73 18 B1 01 B2 02 8B C3 8B 38 FF 57 0C E8 ?? ?? ?? ?? 50 66 8B 43 2A 50 FF 73 26 FF 73 22 33 C9 B2 02 8B C3 8B 38 FF 57 0C E8 ?? ?? ?? ?? 50 8B 73 2C 8B 4E 34 8B 56 30 8B C6 8B 30 FF 56 4C C6 43 10 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12859_0 {
	meta:
		name = "TQRBandSize.SetValue"
		size = 97
	strings:
		$1 = { 55 8B EC 53 56 8B D8 83 EA 01 72 04 74 25 EB 44 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 30 FF 56 10 DB 7B 22 9B EB 21 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 30 FF 56 10 DB 7B 18 9B 8B C3 8B 10 FF 52 20 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_12860_0 {
	meta:
		name = "TQRBandSize.WriteValues"
		size = 59
		refs = "0009 TWriter.WriteListBegin 001b TWriter.WriteFloat 0034 TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 66 8B 46 2A 50 FF 76 26 FF 76 22 8B C3 E8 ?? ?? ?? ?? 66 8B 46 20 50 FF 76 1C FF 76 18 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12861_0 {
	meta:
		name = "TQRPage.create"
		size = 312
		refs = "000b @ClassCreate 001a TQRUnitBase.Create 002c TQRPage.SetValue 0032 _NV__1FE 0047 TQRPage.SetPaperSize"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 68 6A 00 6A 00 6A 00 33 D2 8B C7 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 71 B2 01 8B C7 8B 08 FF 51 24 B2 01 8B C7 E8 ?? ?? ?? ?? 68 FE 3F 00 00 68 00 00 00 80 6A 00 BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 68 FE 3F 00 00 68 00 00 00 80 6A 00 33 D2 8B C7 E8 ?? ?? ?? ?? 68 FE 3F 00 00 68 00 00 00 80 6A 00 BA 05 00 00 00 8B C7 E8 ?? ?? ?? ?? 68 FE 3F 00 00 68 00 00 00 80 6A 00 BA 04 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 6F 33 D2 8B C7 8B 08 FF 51 24 B2 09 8B C7 E8 ?? ?? ?? ?? 68 02 40 00 00 68 00 00 00 A0 6A 00 BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 68 02 40 00 00 68 00 00 00 A0 6A 00 33 D2 8B C7 E8 ?? ?? ?? ?? 68 02 40 00 00 68 00 00 00 A0 6A 00 BA 04 00 00 00 8B C7 E8 ?? ?? ?? ?? 68 02 40 00 00 68 00 00 00 A0 6A 00 BA 05 00 00 00 8B C7 E8 ?? ?? ?? ?? C6 47 50 01 C7 47 2C 01 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12862_0 {
	meta:
		name = "TQRPage.GetValue"
		size = 306
		refs = "0012 TQRPage.GetValue"
	strings:
		$1 = { 53 83 C4 F4 8B D8 83 FA 05 0F 87 FA 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 8B 43 20 50 FF 73 1C FF 73 18 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 18 FF 53 0C DB 3C 24 9B E9 D6 00 00 00 66 8B 43 42 50 FF 73 3E FF 73 3A 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 18 FF 53 0C DB 3C 24 9B E9 B0 00 00 00 66 8B 43 5A 50 FF 73 56 FF 73 52 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 18 FF 53 0C DB 3C 24 9B E9 8A 00 00 00 66 8B 43 64 50 FF 73 60 FF 73 5C 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 18 FF 53 0C DB 3C 24 9B EB 67 66 8B 43 38 50 FF 73 34 FF 73 30 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 18 FF 53 0C DB 3C 24 9B EB 44 66 8B 43 4E 50 FF 73 4A FF 73 46 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 18 FF 53 0C DB 3C 24 9B EB 21 66 8B 43 2A 50 FF 73 26 FF 73 22 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 18 FF 53 0C DB 3C 24 9B DB 2C 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_12864_0 {
	meta:
		name = "TQRPage.ReadValues"
		size = 107
		refs = "0009 TReader.ReadListBegin 0010 TReader.ReadFloat 005d TReader.ReadListEnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? DB 7B 18 9B 8B C6 E8 ?? ?? ?? ?? DB 7B 3A 9B 8B C6 E8 ?? ?? ?? ?? DB 7B 52 9B 8B C6 E8 ?? ?? ?? ?? DB 7B 5C 9B 8B C6 E8 ?? ?? ?? ?? DB 7B 30 9B 8B C6 E8 ?? ?? ?? ?? DB 7B 46 9B 8B C6 E8 ?? ?? ?? ?? DB 7B 22 9B 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 5E 5B C3 }
	condition:
		$1
}

rule function_12865_0 {
	meta:
		name = "TQRPage.SetColumns"
		size = 37
		refs = "0017 TQuickRep.SetBandValues"
	strings:
		$1 = { 56 8B F0 3B 56 2C 74 1B 85 D2 7E 17 89 56 2C 8B 46 68 85 C0 74 0D E8 ?? ?? ?? ?? 8B 46 68 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_12866_0 {
	meta:
		name = "TQRPage.WriteValues"
		size = 149
		refs = "0009 TWriter.WriteListBegin 001b TWriter.WriteFloat 008e TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 66 8B 46 20 50 FF 76 1C FF 76 18 8B C3 E8 ?? ?? ?? ?? 66 8B 46 42 50 FF 76 3E FF 76 3A 8B C3 E8 ?? ?? ?? ?? 66 8B 46 5A 50 FF 76 56 FF 76 52 8B C3 E8 ?? ?? ?? ?? 66 8B 46 64 50 FF 76 60 FF 76 5C 8B C3 E8 ?? ?? ?? ?? 66 8B 46 38 50 FF 76 34 FF 76 30 8B C3 E8 ?? ?? ?? ?? 66 8B 46 4E 50 FF 76 4A FF 76 46 8B C3 E8 ?? ?? ?? ?? 66 8B 46 2A 50 FF 76 26 FF 76 22 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12867_0 {
	meta:
		name = "TQRPage.GetPaperSize"
		size = 4
	strings:
		$1 = { 8A 40 45 C3 }
	condition:
		$1
}

rule function_12868_0 {
	meta:
		name = "TQRPage.GetRuler"
		size = 4
	strings:
		$1 = { 8A 40 50 C3 }
	condition:
		$1
}

rule function_12869_0 {
	meta:
		name = "TQRPage.SetOrientation"
		size = 24
		refs = "0009 TQRPage.GetPaperSize 0012 TQRPage.SetPaperSize"
	strings:
		$1 = { 53 8B D8 88 53 44 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12870_0 {
	meta:
		name = "TQRPage.SetParentSizes"
		size = 101
		refs = "002b @ROUND 0035 TControl.SetWidth 005a TControl.SetHeight"
	strings:
		$1 = { 53 56 8B D8 80 7B 10 00 75 58 83 7B 68 00 74 52 C6 43 10 01 66 8B 43 64 50 FF 73 60 FF 73 5C B1 01 B2 02 8B C3 8B 30 FF 56 0C E8 ?? ?? ?? ?? 8B D0 8B 43 68 E8 ?? ?? ?? ?? 66 8B 43 42 50 FF 73 3E FF 73 3A 33 C9 B2 02 8B C3 8B 30 FF 56 0C E8 ?? ?? ?? ?? 8B D0 8B 43 68 E8 ?? ?? ?? ?? C6 43 10 00 5E 5B C3 }
	condition:
		$1
}

rule function_12871_0 {
	meta:
		name = "TQRPage.SetValue"
		size = 451
		refs = "0013 TQRPage.SetValue 005f TQuickRep.SetBandValues 006b TQRPage.GetPaperSize"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 83 FA 06 0F 87 AD 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 33 C9 8B C6 8B 18 FF 53 10 DB 7E 18 9B 8B C6 8B 10 FF 52 20 8B 46 68 E8 ?? ?? ?? ?? E9 55 01 00 00 8B C6 E8 ?? ?? ?? ?? 3C 1B 0F 85 46 01 00 00 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 33 C9 8B C6 8B 18 FF 53 10 DB 7E 3A 9B 8B C6 8B 10 FF 52 20 8B 46 68 E8 ?? ?? ?? ?? E9 11 01 00 00 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 33 C9 8B C6 8B 18 FF 53 10 DB 7E 52 9B 8B 46 68 E8 ?? ?? ?? ?? 8B 46 68 8B 10 FF 52 44 E9 DB 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C 1B 0F 85 CC 00 00 00 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 B1 01 8B C6 8B 18 FF 53 10 DB 7E 5C 9B 8B C6 8B 10 FF 52 20 8B 46 68 E8 ?? ?? ?? ?? E9 97 00 00 00 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 B1 01 8B C6 8B 18 FF 53 10 DB 7E 30 9B 8B 46 68 E8 ?? ?? ?? ?? 8B 46 68 8B 10 FF 52 44 EB 64 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 B1 01 8B C6 8B 18 FF 53 10 DB 7E 46 9B 8B 46 68 E8 ?? ?? ?? ?? 8B 46 68 8B 10 FF 52 44 EB 31 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 B1 01 8B C6 8B 18 FF 53 10 DB 7E 22 9B 8B 46 68 E8 ?? ?? ?? ?? 8B 46 68 8B 10 FF 52 44 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_12872_0 {
	meta:
		name = "TQRPage.SetRuler"
		size = 46
		refs = "001e TQuickRep.GetUnits 0027 TQuickRep.SetUnits"
	strings:
		$1 = { 53 56 8B F0 3A 56 50 74 22 88 56 50 8B 46 68 85 C0 74 18 8B 10 FF 52 44 8B 5E 68 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12873_0 {
	meta:
		name = "TQRPage.SetUnits"
		size = 24
		refs = "0006 TQRUnitBase.SetUnits"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 68 85 C0 74 05 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_12874_0 {
	meta:
		name = "TQRPage.SetPaperSize"
		size = 217
		refs = "001b TQRUnitBase.SetPixels 002d TQRPage.SetPaperSize 003f cQRPaperSizeMetrics 0059 TQRPage.SetValue 00c6 TQRUnitBase.RestoreUnit 00ce TQuickRep.SetBandValues"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 84 DB 0F 84 C3 00 00 00 80 FB 1B 0F 84 BA 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 24 B2 1B 8B C6 E8 ?? ?? ?? ?? 80 7E 44 00 75 47 33 C0 8A C3 8D 3C 80 A1 ?? ?? ?? ?? 66 8B 54 B8 F4 52 FF 74 B8 F0 FF 74 B8 EC BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 8B 54 B8 FE 52 FF 74 B8 FA FF 74 B8 F6 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 45 33 C0 8A C3 8D 3C 80 A1 ?? ?? ?? ?? 66 8B 54 B8 FE 52 FF 74 B8 FA FF 74 B8 F6 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 8B 54 B8 F4 52 FF 74 B8 F0 FF 74 B8 EC BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 68 E8 ?? ?? ?? ?? 88 5E 45 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12875_0 {
	meta:
		name = "TQRBasePanel.Create"
		size = 104
		refs = "000e @ClassCreate 001c TCustomPanel.Create 0023 _DV_TQRFrame 0028 TQRFrame.Create 0039 TQRFrame.SetParent"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 40 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? C7 83 38 01 00 00 0C 00 00 00 C7 83 3C 01 00 00 64 00 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12876_0 {
	meta:
		name = "TQRBasePanel.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TCustomControl.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12878_0 {
	meta:
		name = "TQRBasePanel.SetFrame"
		size = 18
	strings:
		$1 = { 56 8B F0 89 96 40 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_12879_0 {
	meta:
		name = "TQRBasePanel.SetZoom"
		size = 129
		refs = "0015 TWinControl.GetControlCount 0028 TWinControl.GetControl 002e _DV_TQRPrintable 0033 @IsClass 0047 TQRPrintable.SetZoom 0058 _DV_TQRBasePanel"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 85 ED 74 70 89 AE 3C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 5C 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? EB 2B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 91 80 00 00 00 43 4F 75 A7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12880_0 {
	meta:
		name = "_NF__2FC"
		size = 800
		refs = "0012 _NF__2FC 008b @ROUND 00bc _NV__1F6 00c4 TPen.SetColor 00ca _NV__1F4 00d2 TPen.SetStyle 00dc _NV__1F5 00ea _NV__1F3 011e TCanvas.MoveTo 0143 TCanvas.LineTo 0172 IntToStr 019a TCanvas.TextOut 02f8 @LStrClr 02fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 83 B8 3C 01 00 00 31 8B 45 08 0F 9F 40 FB 8B 45 08 8B 40 FC 8B B0 18 01 00 00 8B 45 08 DB 40 F4 D8 0D ?? ?? ?? ?? 8B 45 08 8B 40 FC DB 80 3C 01 00 00 DE C9 DB 2D ?? ?? ?? ?? DE C9 8B 45 08 DB 78 EA 9B 8B 45 08 8B 40 FC DB 40 38 8B 45 08 DB 40 F4 DE F9 8B 45 08 8B 40 FC DB 80 3C 01 00 00 DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 45 08 8B 78 E4 85 FF 0F 8E 03 01 00 00 BB 01 00 00 00 8B C3 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 20 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? B0 01 EB 1E 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 33 C0 8B 55 08 0A 42 FB 0F 84 9A 00 00 00 89 5D FC DB 45 FC 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 48 3C 8B C6 E8 ?? ?? ?? ?? 8B 45 08 80 78 E3 00 74 4E 8B C3 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 3C 8D 55 F8 8B C3 85 C0 79 03 83 C0 03 C1 F8 02 E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D FC DB 45 FC 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B D0 83 C2 02 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 02 FF FF FF 8B 45 08 8B 40 FC DB 40 3C 8B 45 08 DB 40 F4 DE F9 8B 45 08 8B 40 FC DB 80 3C 01 00 00 DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 45 08 8B 78 E4 85 FF 0F 8E 03 01 00 00 BB 01 00 00 00 8B C3 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 20 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? B0 01 EB 1E 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 33 C0 8B 55 08 0A 42 FB 0F 84 9A 00 00 00 89 5D FC DB 45 FC 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 FC 8B 50 38 8B C6 E8 ?? ?? ?? ?? 8B C3 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 45 8B 45 08 80 78 E3 00 74 3C 8D 55 F8 8B C3 85 C0 79 03 83 C0 03 C1 F8 02 E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D FC DB 45 FC 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B C8 83 C1 02 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 02 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 80 3E 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 00 00 C8 43 }
	condition:
		$1
}

rule function_12881_0 {
	meta:
		name = "_NF__2FD"
		size = 748
		refs = "0012 _NF__2FD 007d @ROUND 00ad _NV__1F3 00b5 TPen.SetStyle 00bb _NV__1F5 00c3 TPen.SetColor 00cf _NV__1F6 00dd _NV__1F4 010c IntToStr 0134 TCanvas.TextOut 015d TCanvas.MoveTo 0182 TCanvas.LineTo 02c2 @LStrClr 02c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 83 B8 3C 01 00 00 3B 8B 45 08 0F 9F 40 FB 8B 45 08 8B 40 FC 8B B0 18 01 00 00 8B 45 08 DB 40 F4 D8 3D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 8B 45 08 8B 40 FC DB 80 3C 01 00 00 DE F9 D8 0D ?? ?? ?? ?? 8B 45 08 DB 78 EA 9B 8B 45 08 8B 40 FC DB 40 38 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 45 08 8B 78 E4 85 FF 0F 8E F9 00 00 00 BB 01 00 00 00 8B C3 25 01 00 00 80 79 05 48 83 C8 FE 40 48 75 22 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? C6 45 FF 00 EB 6B 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? C6 45 FF 01 8B 45 08 80 78 E3 00 74 42 8B 45 08 80 78 FB 00 74 39 8D 55 F8 8B C3 D1 F8 79 03 83 D0 00 E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D F4 DB 45 F4 8B 45 08 DB 68 EA DE F9 E8 ?? ?? ?? ?? 8B D0 83 C2 02 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8A 40 FB 0A 45 FF 74 43 89 5D F4 DB 45 F4 8B 45 08 DB 68 EA DE F9 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 89 5D F4 DB 45 F4 8B 45 08 DB 68 EA DE F9 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 48 3C 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 0C FF FF FF 8B 45 08 8B 40 FC DB 40 3C 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 45 08 8B 78 E4 85 FF 0F 8E F9 00 00 00 BB 01 00 00 00 8B C3 25 01 00 00 80 79 05 48 83 C8 FE 40 48 75 22 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? C6 45 FF 00 EB 6B 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? C6 45 FF 01 8B 45 08 80 78 E3 00 74 42 8B 45 08 80 78 FB 00 74 39 8D 55 F8 8B C3 D1 F8 79 03 83 D0 00 E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D F4 DB 45 F4 8B 45 08 DB 68 EA DE F9 E8 ?? ?? ?? ?? 8B C8 83 C1 02 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8A 40 FB 0A 45 FF 74 43 89 5D F4 DB 45 F4 8B 45 08 DB 68 EA DE F9 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 89 5D F4 DB 45 F4 8B 45 08 DB 68 EA DE F9 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 FC 8B 50 38 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 0C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 80 3F 5C 8F C2 F5 28 5C 8F A2 01 40 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_12882_0 {
	meta:
		name = "_NF__2FE"
		size = 728
		refs = "0012 _NF__2FE 002e TPen.SetStyle 003f _NF__203 0067 @ROUND 00b9 TCanvas.MoveTo 00f9 TCanvas.LineTo 0111 IntToStr 0154 TCanvas.TextOut 016d _NF__204 0292 @LStrClr 0298 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B B0 18 01 00 00 B2 02 8B 46 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC DB 40 38 8B 45 08 DB 40 F4 DE F9 DB 2D ?? ?? ?? ?? DE C9 DE F1 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 45 08 8B 78 E4 85 FF 0F 8E E1 00 00 00 BB 01 00 00 00 8B 45 08 8B 40 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC DE C9 8B 45 08 DB 40 F4 DE C9 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC DE C9 8B 45 08 DB 40 F4 DE C9 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 48 3C 8B C6 E8 ?? ?? ?? ?? 8B 45 08 80 78 E3 00 74 52 8D 55 F8 8B C3 03 C0 8D 04 80 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 8B 40 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC DE C9 8B 45 08 DB 40 F4 DE C9 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 83 C2 02 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 24 FF FF FF 8B 45 08 8B 40 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC DB 40 3C 8B 45 08 DB 40 F4 DE F9 DB 2D ?? ?? ?? ?? DE C9 DE F1 E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 45 08 8B 78 E4 85 FF 0F 8E DC 00 00 00 BB 01 00 00 00 8B 45 08 8B 40 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC DE C9 8B 45 08 DB 40 F4 DE C9 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC DE C9 8B 45 08 DB 40 F4 DE C9 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 FC 8B 50 38 8B C6 E8 ?? ?? ?? ?? 8B 45 08 80 78 E3 00 74 4D 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 8B 40 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC DE C9 8B 45 08 DB 40 F4 DE C9 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B C8 83 C1 02 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 29 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 33 33 33 33 33 33 33 CB 03 40 00 00 CD CC CC CC CC CC CC CC FB 3F 00 00 CA 64 32 99 4C 26 93 C9 FD 3F 00 00 A1 50 28 14 0A 85 42 A1 FA 3F 00 00 }
	condition:
		$1
}

rule function_12883_0 {
	meta:
		name = "TQRBasePanel.PaintRuler"
		size = 242
		refs = "0016 TQRBasePanel.PaintRuler 002a Screen 003a _NV__1F7 003f @LStrFromString 004a TFont.SetName 0050 _NV__1F9 0058 TFont.SetSize 005e _NV__1F8 0066 TFont.SetColor 007c TPen.SetColor 0089 TPen.SetWidth 0092 _DV_TQuickRep 0097 @IsClass 00a5 _NF__2FC 00b2 _NF__2FD 00c0 _NF__2FE 00cb TPen.SetStyle 00e0 @LStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D DC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B B0 18 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 89 45 F4 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 46 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 01 00 00 8B 40 10 BA C0 C0 C0 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 E3 80 FB 01 75 09 55 E8 ?? ?? ?? ?? 59 EB 19 84 DB 75 09 55 E8 ?? ?? ?? ?? 59 EB 0C 80 FB 03 75 07 55 E8 ?? ?? ?? ?? 59 33 D2 8B 46 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12884_0 {
	meta:
		name = "TQRBasePanel.Paint"
		size = 68
		refs = "0014 TBrush.SetColor 001e TBrush.SetStyle 0030 TCanvas.FillRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 8B 9E 18 01 00 00 8B 56 54 8B 43 14 E8 ?? ?? ?? ?? 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8B D4 8B C6 8B 08 FF 51 2C 8B D4 8B C3 E8 ?? ?? ?? ?? B2 01 8B 43 14 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12885_0 {
	meta:
		name = "TQRBasePanel.PrepareComponents"
		size = 111
		refs = "0008 TWinControl.GetControlCount 001b TWinControl.GetControl 0021 _DV_TQRPrintable 0026 @IsClass 004c _DV_TQRBasePanel 0063 TQRBasePanel.PrepareComponents"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 58 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 84 00 00 00 EB 26 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 AB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12886_0 {
	meta:
		name = "TQRBasePanel.UnprepareComponents"
		size = 111
		refs = "0008 TWinControl.GetControlCount 001b TWinControl.GetControl 0021 _DV_TQRPrintable 0026 @IsClass 004c _DV_TQRBasePanel 0063 TQRBasePanel.UnprepareComponents"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 58 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 94 00 00 00 EB 26 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 AB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12887_0 {
	meta:
		name = "TQRBasePanel.CreateParams"
		size = 31
		refs = "0006 TCustomPanel.CreateParams 0011 Application"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 7B 1C 00 75 0D A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 43 1C 5B C3 }
	condition:
		$1
}

rule function_12888_0 {
	meta:
		name = "TQRCustomBand.Create"
		size = 171
		refs = "000b @ClassCreate 001a _DV_TQRBandSize 001f TQRBandSize.Create 003f TQRBasePanel.Create 0048 TControl.SetAlign 0051 TControl.SetText 005d TControl.SetColor 0066 TCustomPanel.SetBevelOuter 006f TCustomPanel.SetBevelInner 0089 TControl.SetHeight"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 9C 01 00 00 C6 87 94 01 00 00 00 33 C0 89 87 90 01 00 00 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? C6 87 88 01 00 00 01 C6 87 54 01 00 00 00 BA 28 00 00 00 8B C7 E8 ?? ?? ?? ?? C7 87 98 01 00 00 28 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12889_0 {
	meta:
		name = "TQRCustomBand.Destroy"
		size = 62
		refs = "0013 TQuickRep.RemoveBand 001e TObject.Free 002a TQRBasePanel.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 90 01 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12890_0 {
	meta:
		name = "TQRCustomBand.DefineProperties"
		size = 172
		refs = "001e TQRCustomBand.DefineProperties 006f TControl.DefineProperties"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 53 8B 03 8B 80 88 00 00 00 50 53 8B 03 8B 80 94 00 00 00 50 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 8B 03 8B 80 8C 00 00 00 50 53 8B 03 8B 80 94 00 00 00 50 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 8B 03 8B 80 90 00 00 00 50 53 8B 03 8B 80 94 00 00 00 50 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 FF FF FF FF 05 00 00 00 41 6C 69 67 6E 00 00 00 FF FF FF FF 05 00 00 00 52 75 6C 65 72 00 00 00 FF FF FF FF 08 00 00 00 4C 69 6E 6B 42 61 6E 64 00 00 00 00 }
	condition:
		$1
}

rule function_12894_0 {
	meta:
		name = "TQRCustomBand.GetBandSize"
		size = 7
	strings:
		$1 = { 8B 80 9C 01 00 00 C3 }
	condition:
		$1
}

rule function_12896_0 {
	meta:
		name = "TQRCustomBand.Loaded"
		size = 50
		refs = "0006 TComponent.Loaded 000d TQRCustomBand.GetBandSize 002c TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 18 8B 83 98 01 00 00 83 F8 28 74 0F 83 7B 3C 28 75 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12897_0 {
	meta:
		name = "TQRCustomBand.GetChild"
		size = 124
		refs = "0032 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B D8 33 ED 8B 83 90 01 00 00 85 C0 74 63 8B 80 68 01 00 00 8B 78 08 4F 85 FF 7C 55 47 33 F6 8B 83 90 01 00 00 8B 80 68 01 00 00 8B D6 E8 ?? ?? ?? ?? 80 B8 95 01 00 00 0A 75 32 8B 83 90 01 00 00 8B 80 68 01 00 00 8B D6 E8 ?? ?? ?? ?? 3B 98 A0 01 00 00 75 17 8B 83 90 01 00 00 8B 80 68 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B E8 EB 04 46 4F 75 AE 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12898_0 {
	meta:
		name = "TQRCustomBand.GetHasChild"
		size = 17
		refs = "0006 TQRCustomBand.GetChild"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_12899_0 {
	meta:
		name = "TQRCustomBand.SetZoom"
		size = 40
		refs = "0006 TQRBasePanel.SetZoom 000d TQRCustomBand.GetBandSize 0022 TQRBandSize.FixZoom"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 93 3C 01 00 00 89 50 14 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12900_0 {
	meta:
		name = "TQRCustomBand.SetHasChild"
		size = 257
		refs = "0014 TQRCustomBand.SetHasChild 0021 TQRCustomBand.GetHasChild 0046 _Dn_TCustomForm 004b @IsClass 0061 QRBandComponentName 007c @LStrClr 0086 _DV_TQRChildBand 008b TQRChildBand.Create 00aa TQRChildBand.SetParentBand 00b3 TQRCustomBand.GetChild 00d5 TObject.Free 00ef @LStrArrayClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3A 45 FF 0F 84 AB 00 00 00 80 7D FF 00 74 7C F6 43 20 10 74 3E 8B 73 04 EB 03 8B 76 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 85 F6 75 E8 85 F6 74 25 8D 55 F4 B0 0A E8 ?? ?? ?? ?? 8B 55 F4 8D 4D F8 8B 86 54 01 00 00 8B 30 FF 56 3C EB 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 F8 8B C6 8B 08 FF 51 18 8B 53 24 8B C6 8B 08 FF 51 3C 8B D3 8B C6 E8 ?? ?? ?? ?? EB 29 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12901_0 {
	meta:
		name = "TQRCustomBand.GetUnits"
		size = 21
	strings:
		$1 = { 8B 90 9C 01 00 00 85 D2 74 08 8B C2 8B 10 FF 52 14 C3 B0 04 C3 }
	condition:
		$1
}

rule function_12902_0 {
	meta:
		name = "TQRCustomBand.MouseDown"
		size = 125
		refs = "0041 TQRDesigner.AddIt 005b TQRDesigner.SetFocusFrame"
	strings:
		$1 = { 55 8B EC 53 8B D8 84 D2 75 6E 83 BB 90 01 00 00 00 74 65 8B 83 90 01 00 00 80 B8 DE 01 00 00 04 75 56 8B 83 90 01 00 00 8B 80 8C 01 00 00 80 B8 B9 00 00 00 00 74 10 8B 55 08 52 8B 4D 0C 8B D3 E8 ?? ?? ?? ?? EB 31 8B D3 8B 08 FF 51 54 8B 83 90 01 00 00 8B 80 8C 01 00 00 E8 ?? ?? ?? ?? C6 83 54 01 00 00 01 8B 45 0C 89 83 5C 01 00 00 8B 45 08 89 83 60 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12903_0 {
	meta:
		name = "TQRCustomBand.MouseMove"
		size = 130
		refs = "001c TControl.MouseMove 0061 Rect 0075 TQRDesigner.MoveFocusFrame"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 54 01 00 00 00 74 50 8B 43 3C 03 43 34 03 C7 2B 83 60 01 00 00 50 8D 45 EC 50 8B 4B 38 03 4B 30 03 CE 2B 8B 5C 01 00 00 8B 53 34 03 D7 2B 93 60 01 00 00 8B 43 30 03 C6 2B 83 5C 01 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B 83 90 01 00 00 8B 80 8C 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12904_0 {
	meta:
		name = "TQRCustomBand.MouseUp"
		size = 55
		refs = "001d TQRCustomBand.ReleaseFocusFrame 002e TQRDesigner.GetHandles"
	strings:
		$1 = { 55 8B EC 53 8B D8 84 D2 75 28 80 BB 54 01 00 00 00 74 1F C6 83 54 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 90 01 00 00 8B 80 8C 01 00 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12905_0 {
	meta:
		name = "TQRCustomBand.ReleaseFocusFrame"
		size = 75
		refs = "0017 TQRDesigner.ReleaseFocusFrame 0040 TControl.SetHeight"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B D4 8B 83 90 01 00 00 8B 80 8C 01 00 00 E8 ?? ?? ?? ?? 8B F4 8D BB 64 01 00 00 B9 04 00 00 00 F3 A5 8B 83 70 01 00 00 2B 83 68 01 00 00 3B 43 3C 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12906_0 {
	meta:
		name = "TQRCustomBand.SetBandType"
		size = 37
		refs = "0014 TQuickRep.RebuildBandList 001f TQuickRep.SetBandValues"
	strings:
		$1 = { 53 8B D8 88 93 95 01 00 00 8B 83 90 01 00 00 85 C0 74 10 E8 ?? ?? ?? ?? 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12907_0 {
	meta:
		name = "TQRCustomBand.SetBandSize"
		size = 7
	strings:
		$1 = { 89 90 9C 01 00 00 C3 }
	condition:
		$1
}

rule function_12908_0 {
	meta:
		name = "TQRCustomBand.SetParent"
		size = 150
		refs = "0012 _DV_TQuickRep 0017 @IsClass 0024 TQuickRep.RemoveBand 002c _DV_TQRCustomBand 0041 TControl.SetParent 0068 TQuickRep.AddBand 006f TQRCustomBand.GetBandSize"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 24 85 FF 74 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 8B 76 24 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7B 24 85 FF 74 46 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B C6 89 83 90 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 93 90 01 00 00 89 50 0C 8B 83 90 01 00 00 8B 90 3C 01 00 00 8B C3 8B 08 FF 91 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12909_0 {
	meta:
		name = "TQRCustomBand.SetUnits"
		size = 104
		refs = "0023 TWinControl.GetControlCount 0036 TWinControl.GetControl 003c _DV_TQRPrintable 0041 @IsClass"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 85 9C 01 00 00 85 C0 74 07 8B D3 8B 08 FF 51 24 8B C5 8B 10 FF 52 44 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 35 47 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B D6 8B C5 E8 ?? ?? ?? ?? 8B 80 30 01 00 00 8B D3 8B 08 FF 51 24 46 4F 75 CE 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12910_0 {
	meta:
		name = "TQRCustomBand.Paint"
		size = 508
		refs = "0013 TQRCustomBand.Paint 0020 TQRBasePanel.Paint 0035 TQRPage.GetRuler 0044 TQuickRep.GetUnits 005c _NV__1FD 0064 TPen.SetColor 0071 TPen.SetWidth 0077 _NV__1FC 007f TPen.SetStyle 008a TCanvas.MoveTo 0096 TCanvas.LineTo 00fb Screen 012f TQRBasePanel.GetFrame 013d TQRFrame.PaintIt 0145 _NV__1F7 014a @LStrFromString 0155 TFont.SetName 015b _NV__1F9 0163 TFont.SetSize 0172 _NV__1F8 017a TFont.SetColor 0198 QRBandTypeName 01a8 TCanvas.TextHeight 01bc TCanvas.TextOut 01d1 @LStrClr 01d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B B3 90 01 00 00 85 F6 74 26 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 17 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 84 00 00 00 8B B3 18 01 00 00 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 53 38 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 8B 53 38 4A 8B C6 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 53 38 4A 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 8B 53 38 4A 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 2C FF 4D F8 FF 4D FC A1 ?? ?? ?? ?? 8B 00 DB 40 34 DB 2D ?? ?? ?? ?? DE C9 83 C4 F4 DB 3C 24 9B A1 ?? ?? ?? ?? 8B 00 DB 40 34 DB 2D ?? ?? ?? ?? DE C9 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B 93 18 01 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 46 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 80 BB 95 01 00 00 0A 75 10 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? EB 0E 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8D 55 EC 8A 83 95 01 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 2B C8 83 E9 04 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 81 40 20 10 08 04 02 81 F7 3F 00 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_12911_0 {
	meta:
		name = "TQRCustomBand.PaintRuler"
		size = 49
		refs = "0015 TFont.GetSize 0029 TQRBasePanel.PaintRuler"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B B7 90 01 00 00 85 F6 74 13 8B 46 50 E8 ?? ?? ?? ?? 99 33 C2 2B C2 89 87 38 01 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12912_0 {
	meta:
		name = "TQRCustomBand.AdvancePaper"
		size = 36
		refs = "0006 TQRCustomBand.GetBandSize 000d TQRBandSize.GetValue 0012 @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 90 01 00 00 01 82 84 01 00 00 5B C3 }
	condition:
		$1
}

rule function_12913_0 {
	meta:
		name = "TQRCustomBand.CanExpand"
		size = 55
		refs = "000a TQRCustomBand.GetBandSize 0011 TQRBandSize.GetValue 001b @ROUND 0028 TQuickRep.AvailableSpace"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB 6D 08 DE C1 E8 ?? ?? ?? ?? 8B F0 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 3B F0 0F 9E C0 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_12914_0 {
	meta:
		name = "TQRCustomBand.ExpandBand"
		size = 721
		refs = "0023 TQRCustomBand.CanExpand 0085 TQRCustomBand.GetBandSize 008c TQRBandSize.GetValue 00b2 TQRPrinter.YPos 00ee TQRPrinter.XPos 0133 Rect 0148 TQRPrinter.GetCanvas 0150 TQRBasePanel.GetFrame 0157 TQRFrame.PaintIt 017f TQRBandSize.SetValue 025b @ROUND 0268 TQuickRep.AvailableSpace 0281 TQuickRep.NewColumn"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F8 89 55 FC 8B D8 C6 45 F7 00 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 2C 01 00 00 8B 83 90 01 00 00 80 B8 95 01 00 00 00 0F 84 19 01 00 00 8B 83 90 01 00 00 8B 80 E0 01 00 00 66 8B 90 8A 00 00 00 52 FF B0 86 00 00 00 FF B0 82 00 00 00 8B 83 90 01 00 00 8B 80 E0 01 00 00 66 8B 90 94 00 00 00 52 FF B0 90 00 00 00 FF B0 8C 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 83 90 01 00 00 DB 80 84 01 00 00 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 90 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 50 8D 45 DC 50 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 83 90 01 00 00 DB 80 80 01 00 00 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 90 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B BB 90 01 00 00 DB 87 84 01 00 00 83 C4 F4 DB 3C 24 9B 8B 87 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B B3 90 01 00 00 DB 86 80 01 00 00 83 C4 F4 DB 3C 24 9B 8B 86 E0 01 00 00 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 83 90 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB 6D 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 83 90 01 00 00 DB 80 84 01 00 00 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 90 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 50 8D 45 DC 50 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 83 90 01 00 00 DB 80 80 01 00 00 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 90 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B BB 90 01 00 00 DB 87 84 01 00 00 83 C4 F4 DB 3C 24 9B 8B 87 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B B3 90 01 00 00 DB 86 80 01 00 00 83 C4 F4 DB 3C 24 9B 8B 86 E0 01 00 00 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 56 57 8D 75 DC 8D BB 44 01 00 00 B9 04 00 00 00 F3 A5 5F 5E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 3B F0 7E 55 8B 83 90 01 00 00 DB 80 80 01 00 00 DB 7D EC 9B E8 ?? ?? ?? ?? 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? C6 45 F7 01 8B 83 90 01 00 00 DB 80 84 01 00 00 8B 55 FC DB 3A 9B DB 80 80 01 00 00 DB 6D EC DE E9 8B 45 F8 DB 38 9B 8A 45 F7 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_12915_0 {
	meta:
		name = "TQRCustomBand.AddPrintable"
		size = 156
		refs = "0026 TWinControl.GetControlCount 0039 TWinControl.GetControl 003f _DV_TQRPrintable 0044 @IsClass 008f TControl.SetLeft"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 4B 04 8B C2 B2 01 FF 50 24 89 04 24 8B D3 8B 04 24 8B 08 FF 51 3C BD 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 58 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 30 50 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 03 50 38 3B EA 7D 1B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 68 30 8B D6 8B C3 E8 ?? ?? ?? ?? 03 68 38 83 C5 0A 46 4F 75 AB 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12916_0 {
	meta:
		name = "TQRCustomBand.MakeSpace"
		size = 63
		refs = "0010 TQRCustomBand.GetBandSize 0017 TQRBandSize.GetValue 001c @ROUND 0029 TQuickRep.AvailableSpace 0038 TQuickRep.NewColumn"
	strings:
		$1 = { 53 56 8B D8 80 BB 95 01 00 00 03 74 2F 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 3B F0 7C 0B 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12917_0 {
	meta:
		name = "TQRCustomBand.Print"
		size = 741
		refs = "006b TQuickRep.ForceNewPage 0093 TQuickRep.ForceNewColumn 009a TQRCustomBand.GetBandSize 00a1 TQRBandSize.GetValue 00c7 TQRPrinter.YPos 00fe TQRPrinter.XPos 0143 Rect 0172 TQRPrinter.GetCanvas 017f TBrush.SetColor 0189 TBrush.SetStyle 0196 TCanvas.FillRect 01b7 TWinControl.GetControlCount 01ca TWinControl.GetControl 01d0 _DV_TQRPrintable 01d5 @IsClass 0271 TQRBasePanel.GetFrame 027d TQRFrame.PaintIt 0284 TQRCustomBand.AdvancePaper 02a0 TQRBandSize.SetValue 02c9 TQRCustomBand.GetHasChild 02d4 TQRCustomBand.GetChild 02d9 TQRCustomBand.Print"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B D8 8A 83 88 01 00 00 88 44 24 0A 80 BB 88 01 00 00 00 74 22 66 83 BB 82 01 00 00 00 74 18 F6 43 20 10 75 12 8D 4C 24 0A 8B D3 8B 83 84 01 00 00 FF 93 80 01 00 00 80 7C 24 0A 00 0F 84 5B 02 00 00 80 BB 8A 01 00 00 00 74 1F 8A 83 95 01 00 00 2C 02 72 15 2C 01 74 11 2C 06 74 0D 8B 83 90 01 00 00 E8 ?? ?? ?? ?? EB 26 80 BB 89 01 00 00 00 74 1D 8A 83 95 01 00 00 2C 02 72 13 2C 01 74 0F 2C 06 74 0B 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 83 90 01 00 00 DB 80 84 01 00 00 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 90 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 50 8D 44 24 10 50 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8B AB 90 01 00 00 DB 85 80 01 00 00 DE C1 83 C4 F4 DB 3C 24 9B 8B 85 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B BB 90 01 00 00 DB 87 84 01 00 00 83 C4 F4 DB 3C 24 9B 8B 87 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B B3 90 01 00 00 DB 86 80 01 00 00 83 C4 F4 DB 3C 24 9B 8B 86 E0 01 00 00 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 56 57 8D 74 24 14 8D BB 44 01 00 00 B9 04 00 00 00 F3 A5 5F 5E 8B 83 90 01 00 00 80 B8 95 01 00 00 00 74 2F 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 46 14 8B 53 54 E8 ?? ?? ?? ?? 8B 46 14 33 D2 E8 ?? ?? ?? ?? 8D 93 44 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 89 83 58 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 57 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 38 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 45 00 74 29 8B D6 8B C3 E8 ?? ?? ?? ?? 8B AB 90 01 00 00 8B 8D 84 01 00 00 03 8B 58 01 00 00 8B 95 80 01 00 00 8B 28 FF 95 88 00 00 00 46 4F 75 AC 8B 83 90 01 00 00 80 B8 95 01 00 00 00 74 59 8B 83 90 01 00 00 8B B0 E0 01 00 00 66 8B 86 8A 00 00 00 50 FF B6 86 00 00 00 FF B6 82 00 00 00 66 8B 86 94 00 00 00 50 FF B6 90 00 00 00 FF B6 8C 00 00 00 8B 83 90 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 8B 44 01 00 00 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 8B 44 24 08 50 FF 74 24 08 FF 74 24 08 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 66 83 BB 76 01 00 00 00 74 18 F6 43 20 10 75 12 8A 4C 24 0A 8B D3 8B 83 78 01 00 00 FF 93 74 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12918_0 {
	meta:
		name = "TQRCustomBand.Notification"
		size = 46
		refs = "0010 TControl.Notification 0026 TQRCustomBand.SetLinkBand"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 8C 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12919_0 {
	meta:
		name = "TQRCustomBand.SetBounds"
		size = 391
		refs = "0056 TWinControl.SetBounds 005d TQRCustomBand.GetBandSize 0095 TQuickRep.SetBandValues 009c TWinControl.GetControlCount 00b4 TWinControl.GetControl 00ba _DV_TQRPrintable 00bf @IsClass 0117 TQRBandSize.GetValue 013f TQRBandSize.SetValue"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 83 BB 9C 01 00 00 00 74 06 F6 43 20 01 74 1E F6 43 20 01 0F 84 52 01 00 00 83 FE 28 0F 84 49 01 00 00 89 B3 98 01 00 00 E9 3E 01 00 00 83 BB 90 01 00 00 00 75 11 8B 45 0C 50 56 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 10 00 0F 84 85 00 00 00 8B 45 0C 50 56 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 80 BB 94 01 00 00 00 75 14 83 BB 90 01 00 00 00 74 0B 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C D5 00 00 00 40 89 45 F4 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B D6 8B C3 E8 ?? ?? ?? ?? 80 B8 1E 01 00 00 00 74 0C B1 02 8B D3 8B 38 FF 97 8C 00 00 00 46 FF 4D F4 75 C4 E9 8E 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 88 45 FB 8B C3 E8 ?? ?? ?? ?? B2 02 8B 08 FF 51 24 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 89 75 F0 DB 45 F0 DE D9 DF E0 9E 74 1B 89 75 F0 DB 45 F0 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 3B 43 34 75 05 3B 7B 30 74 1F 8B 43 38 50 8B 43 3C 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 55 FB 8B 08 FF 51 24 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12920_0 {
	meta:
		name = "TQRCustomBand.StretchHeight"
		size = 68
		refs = "000d TWinControl.GetControlCount 002e TQRCustomBand.StretchHeight"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 33 F6 8B C5 E8 ?? ?? ?? ?? 48 85 C0 7C 04 40 48 75 FD 8B BD 8C 01 00 00 85 FF 0F 95 C0 84 D8 74 14 B2 01 8B C7 E8 ?? ?? ?? ?? 03 F0 8B 85 8C 01 00 00 03 70 3C 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12921_0 {
	meta:
		name = "TQRCustomBand.SetLinkBand"
		size = 108
		refs = "0009 TQRCustomBand.SetLinkBand 0040 LoadStr 0048 ShowMessage 005d @LStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B CA EB 06 8B 89 8C 01 00 00 3B C1 74 04 85 C9 75 F2 85 C9 75 08 89 90 8C 01 00 00 EB 1B F6 40 20 10 74 15 8D 55 FC B8 A7 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12923_0 {
	meta:
		name = "TQRChildBand.SetParentBand"
		size = 161
		refs = "0010 TQRChildBand.SetParentBand 0022 _DV_TQRChildBand 0027 @IsClass 0052 TQuickRep.RebuildBandList 005d TQuickRep.SetBandValues 0072 LoadStr 007a ShowMessage 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF EB 1B 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 9B A0 01 00 00 EB 02 33 DB 3B F3 74 04 85 DB 75 DD 85 DB 75 1E 89 BE A0 01 00 00 8B 86 90 01 00 00 E8 ?? ?? ?? ?? 8B 86 90 01 00 00 E8 ?? ?? ?? ?? EB 1B F6 46 20 10 74 15 8D 55 FC B8 A7 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12924_0 {
	meta:
		name = "TQRControllerBand.Create"
		size = 105
		refs = "000f @ClassCreate 001f _DV_TQRController 0024 TQRController.Create 003a TQRCustomBand.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A0 01 00 00 89 5E 4C 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 A0 01 00 00 89 58 2C 33 D2 89 50 34 33 D2 89 50 30 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12926_0 {
	meta:
		name = "TQRControllerBand.RegisterBands"
		size = 14
		refs = "0009 TQuickRep.RegisterBand"
	strings:
		$1 = { 8B D0 8B 80 90 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12927_0 {
	meta:
		name = "TQRControllerBand.SetMaster"
		size = 205
		refs = "0010 TQRControllerBand.SetMaster 002a _DV_TQRControllerBand 002f @IsClass 005c TQRController.SetMaster 0071 TQuickRep.RebuildBandList 007c TQuickRep.SetBandValues 0089 TComponent.FreeNotification 009e LoadStr 00a6 ShowMessage 00bb @LStrClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B FE 0F 84 88 00 00 00 8B DF EB 1B 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 9B A4 01 00 00 EB 02 33 DB 3B F3 74 04 85 DB 75 DD 85 DB 75 42 89 BE A4 01 00 00 8B D7 8B 86 A0 01 00 00 E8 ?? ?? ?? ?? 8B 86 90 01 00 00 85 C0 74 16 F6 40 20 08 75 10 E8 ?? ?? ?? ?? 8B 86 90 01 00 00 E8 ?? ?? ?? ?? 85 FF 74 26 8B D6 8B C7 E8 ?? ?? ?? ?? EB 1B F6 46 20 10 74 15 8D 55 FC B8 A7 8D 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12928_0 {
	meta:
		name = "TQRControllerBand.SetParent"
		size = 56
		refs = "000b TQRCustomBand.SetParent 001c _DV_TQuickRep 0021 @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB A4 01 00 00 00 75 1D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 8B 08 FF 91 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12929_0 {
	meta:
		name = "TQRControllerBand.GetPrintIfEmpty"
		size = 10
	strings:
		$1 = { 8B 80 A0 01 00 00 8A 40 49 C3 }
	condition:
		$1
}

rule function_12930_0 {
	meta:
		name = "TQRControllerBand.SetPrintIfEmpty"
		size = 10
	strings:
		$1 = { 8B 80 A0 01 00 00 88 50 49 C3 }
	condition:
		$1
}

rule function_12932_0 {
	meta:
		name = "TQRSubDetailGroupBands.GetHasFooter"
		size = 18
		refs = "0007 TQRSubDetail.GetFooterBand"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_12933_0 {
	meta:
		name = "TQRSubDetailGroupBands.GetHasHeader"
		size = 18
		refs = "0007 TQRSubDetail.GetHeaderBand"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_12936_0 {
	meta:
		name = "TQRSubDetailGroupBands.SetHasHeader"
		size = 83
		refs = "000b TQRSubDetailGroupBands.GetHasHeader 001f TQuickRep.CreateBand 0028 TQRSubDetail.SetHeaderBand 003d TQRSubDetailGroupBands.GetHeaderBand 0042 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 84 D2 74 27 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3D 8B 73 04 8B 86 90 01 00 00 B2 05 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12937_0 {
	meta:
		name = "TQRSubDetailGroupBands.SetHasFooter"
		size = 83
		refs = "000b TQRSubDetailGroupBands.GetHasFooter 001f TQuickRep.CreateBand 0028 TQRSubDetail.SetFooterBand 003d TQRSubDetailGroupBands.GetFooterBand 0042 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 84 D2 74 27 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3D 8B 73 04 8B 86 90 01 00 00 B2 06 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12938_0 {
	meta:
		name = "TQRSubDetail.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TQRControllerBand.Create 0020 TQRCustomBand.SetBandType 0029 _DV_TQRSubDetailGroupBands 002e TQRSubDetailGroupBands.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 07 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A8 01 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12939_0 {
	meta:
		name = "TQRSubDetail.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TQRControllerBand.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 A8 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12941_0 {
	meta:
		name = "TQRSubDetail.GetDataSet"
		size = 10
	strings:
		$1 = { 8B 80 A0 01 00 00 8B 40 28 C3 }
	condition:
		$1
}

rule function_12942_0 {
	meta:
		name = "TQRSubDetail.GetOnNeedData"
		size = 18
	strings:
		$1 = { 8B 80 A0 01 00 00 8B 48 38 89 0A 8B 48 3C 89 4A 04 C3 }
	condition:
		$1
}

rule function_12943_0 {
	meta:
		name = "TQRSubDetail.GetPrintBefore"
		size = 10
	strings:
		$1 = { 8B 80 A0 01 00 00 8A 40 48 C3 }
	condition:
		$1
}

rule function_12945_0 {
	meta:
		name = "TQRSubDetail.SetOnNeedData"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 80 A0 01 00 00 8B 55 08 89 50 38 8B 55 0C 89 50 3C 5D C2 08 00 }
	condition:
		$1
}

rule function_12946_0 {
	meta:
		name = "TQRSubDetail.GetFooterBand"
		size = 10
	strings:
		$1 = { 8B 80 A0 01 00 00 8B 40 30 C3 }
	condition:
		$1
}

rule function_12947_0 {
	meta:
		name = "TQRSubDetail.GetHeaderBand"
		size = 10
	strings:
		$1 = { 8B 80 A0 01 00 00 8B 40 34 C3 }
	condition:
		$1
}

rule function_12948_0 {
	meta:
		name = "TQRSubDetail.RegisterBands"
		size = 86
		refs = "000c TQRSubDetail.GetHeaderBand 0024 TQuickRep.RegisterBand 0038 TQRSubDetail.GetFooterBand"
	strings:
		$1 = { 53 8B D8 F6 43 20 08 75 4B 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12949_0 {
	meta:
		name = "TQRSubDetail.SetFooterBand"
		size = 43
		refs = "0015 TQRCustomBand.SetBandType 0025 TComponent.FreeNotification"
	strings:
		$1 = { 53 8B D8 8B 8B A0 01 00 00 8B C2 89 41 30 85 C0 74 17 B2 06 E8 ?? ?? ?? ?? 8B 83 A0 01 00 00 8B 40 30 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12950_0 {
	meta:
		name = "TQRSubDetail.SetHeaderBand"
		size = 43
		refs = "0015 TQRCustomBand.SetBandType 0025 TComponent.FreeNotification"
	strings:
		$1 = { 53 8B D8 8B 8B A0 01 00 00 8B C2 89 41 34 85 C0 74 17 B2 05 E8 ?? ?? ?? ?? 8B 83 A0 01 00 00 8B 40 34 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12951_0 {
	meta:
		name = "TQRSubDetail.Notification"
		size = 109
		refs = "0010 TQRCustomBand.Notification 001c TQRSubDetail.GetFooterBand 0029 TQRSubDetail.SetFooterBand 0030 TQRSubDetail.GetHeaderBand 003d TQRSubDetail.SetHeaderBand 0044 TQRSubDetail.GetDataSet 0051 TQRSubDetail.SetDataSet"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 50 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 A4 01 00 00 75 0C 33 D2 8B C7 8B 08 FF 91 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12952_0 {
	meta:
		name = "TQRSubDetail.SetPrintBefore"
		size = 59
		refs = "0009 TQRSubDetail.GetPrintBefore 0029 TQuickRep.RebuildBandList 0034 TQuickRep.SetBandValues"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 27 8B D3 8B 86 A0 01 00 00 8B 08 FF 51 28 8B 86 90 01 00 00 85 C0 74 10 E8 ?? ?? ?? ?? 8B 86 90 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12954_0 {
	meta:
		name = "_NF__3D0"
		size = 105
		refs = "003b TList.Get"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B E8 33 C0 89 04 24 8B 45 04 85 C0 74 4B 83 B8 68 01 00 00 00 74 42 8B 80 68 01 00 00 8B 78 08 4F 85 FF 7C 34 47 33 F6 8B 45 04 8B 80 68 01 00 00 8B D6 E8 ?? ?? ?? ?? 3A 98 95 01 00 00 75 15 8B 45 04 8B 80 68 01 00 00 8B D6 E8 ?? ?? ?? ?? 89 04 24 EB 04 46 4F 75 CF 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12955_0 {
	meta:
		name = "TQuickRepBands.GetHasBand"
		size = 143
		refs = "000b TQuickRepBands.GetHasBand 0030 _NF__3D0"
	strings:
		$1 = { 53 8B D8 83 FA 06 77 77 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 B2 08 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 B2 02 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 33 C0 5B C3 B2 03 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 B2 04 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_12956_0 {
	meta:
		name = "TQuickRepBands.GetBand"
		size = 91
		refs = "0008 TQuickRepBands.GetBand 002b _NF__3D0"
	strings:
		$1 = { 83 FA 06 77 4E FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? C3 B2 01 E8 ?? ?? ?? ?? C3 B2 08 E8 ?? ?? ?? ?? C3 B2 02 E8 ?? ?? ?? ?? C3 33 C0 C3 B2 03 E8 ?? ?? ?? ?? C3 B2 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12957_0 {
	meta:
		name = "_NF__3D7"
		size = 65
		refs = "000f _NF__3D0 0029 TQuickRep.CreateBand 0039 TObject.Free"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 3A 04 24 74 20 80 3C 24 00 74 0C 8B D3 8B 46 04 E8 ?? ?? ?? ?? EB 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12958_0 {
	meta:
		name = "TQuickRepBands.SetHasBand"
		size = 92
		refs = "0008 TQuickRepBands.SetHasBand 002f _NF__3D7"
	strings:
		$1 = { 83 FA 07 77 56 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? C3 B2 01 E8 ?? ?? ?? ?? C3 B2 08 E8 ?? ?? ?? ?? C3 B2 02 E8 ?? ?? ?? ?? C3 B2 03 E8 ?? ?? ?? ?? C3 B2 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12959_0 {
	meta:
		name = "TQRCreateReportThread.Create"
		size = 64
		refs = "000a @ClassCreate 0029 TThread.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 2C C6 46 0E 01 8B 81 E0 01 00 00 89 46 28 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12960_0 {
	meta:
		name = "TQRCreateReportThread.Execute"
		size = 23
		refs = "0009 TQuickRep.CreateReport 0011 TObject.Free"
	strings:
		$1 = { 53 8B D8 33 D2 8B 43 2C E8 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12961_0 {
	meta:
		name = "TQuickRep.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TQuickRep.CreateNew 001e TObject.ClassType 0024 _DV_TQuickRep 0039 InitInheritedComponent"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 13 F6 46 20 10 75 0D 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12962_0 {
	meta:
		name = "TQuickRep.CreateNew"
		size = 496
		refs = "000e @ClassCreate 001c TQRBasePanel.Create 0023 _Dn_TList 0028 TObject.Create 0047 _Dn_TStringList 005b _DV_TQuickRepBands 0060 TQuickRepBands.Create 006f _DV_TQRPage 0074 TQRPage.create 0081 _DV_TQuickRepPrinterSettings 0086 TQRPrinterSettings.Create 0098 TControl.SetColor 00a1 TControl.SetTop 00aa TControl.SetLeft 00cc @LStrClr 0120 TQuickRep.CreateNew 0133 TFont.SetName 0140 TFont.SetSize 0149 _DV_TQRController 014e TQRController.Create 0163 CreateCompatibleDC 0170 _Dn_TQRPrinter 0175 TQRPrinter.Create 0184 TQRPrinter.GetPaperSize 0191 TQRPage.SetPaperSize 019c TObject.Free 01af _Dn_TCustomForm 01b4 @IsClass 01c1 TCustomForm.SetScaled"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 68 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 4C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 88 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 6C 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 BC 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D0 01 00 00 BA FF FF FF 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 89 58 0C C6 83 DD 01 00 00 01 C6 83 DE 01 00 00 00 8D 83 D4 01 00 00 E8 ?? ?? ?? ?? C6 83 64 01 00 00 01 C6 83 94 01 00 00 00 C6 83 95 01 00 00 01 33 C0 89 83 90 01 00 00 33 C0 89 83 58 01 00 00 89 83 5C 01 00 00 33 C0 89 83 50 01 00 00 89 83 54 01 00 00 C6 83 DC 01 00 00 01 C6 83 96 01 00 00 00 33 C0 89 83 D8 01 00 00 A0 ?? ?? ?? ?? 88 83 B8 01 00 00 BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B 43 50 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 48 01 00 00 89 5E 44 89 5E 4C 6A 00 E8 ?? ?? ?? ?? 89 83 E8 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E0 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 E0 01 00 00 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 03 00 00 00 FF FF FF FF 05 00 00 00 41 72 69 61 6C 00 00 00 }
	condition:
		$1
}

rule function_12963_0 {
	meta:
		name = "TQuickRep.Destroy"
		size = 158
		refs = "0016 TQRDesigner.StopEdit 0022 DeleteDC 0031 TObject.Free 008a TQRBasePanel.Destroy 0095 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 BE DE 01 00 00 04 75 0B 8B 86 8C 01 00 00 E8 ?? ?? ?? ?? 8B 86 E8 01 00 00 50 E8 ?? ?? ?? ?? 8B 86 90 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 86 88 01 00 00 E8 ?? ?? ?? ?? 8B 86 48 01 00 00 E8 ?? ?? ?? ?? 8B 86 D0 01 00 00 E8 ?? ?? ?? ?? 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 8B 86 68 01 00 00 E8 ?? ?? ?? ?? 8B 86 6C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12964_0 {
	meta:
		name = "_NF__3ED"
		size = 62
		refs = "0024 _Dn_TCustomForm 0029 @IsClass"
	strings:
		$1 = { 55 8B EC 53 33 C0 8B 55 08 8B 52 FC F6 42 20 10 74 29 8B 45 08 8B 40 FC 8B 58 04 EB 03 8B 5B 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 85 DB 75 E8 8B 83 54 01 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_12965_0 {
	meta:
		name = "TQuickRep.CreateBand"
		size = 304
		refs = "0016 TQuickRep.CreateBand 0022 _NF__3ED 004e _DV_TQRBand 0053 TQRCustomBand.Create 006b TQRCustomBand.SetBandType 0079 QRBandComponentName 008f @LStrCopy 009c @LStrCmp 00ae @LStrCat3 00e6 UniqueName 010b @LStrArrayClr 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B F0 33 FF 85 F6 74 09 8B C6 8B 10 FF 52 68 8B F8 85 FF 75 06 8B 45 FC 8B 78 04 85 FF 75 03 8B 7D FC 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 FC 8B 45 F8 8B 08 FF 51 3C 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 85 F6 74 60 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 8D 45 F4 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B 55 F4 8B C6 8B 18 FF 53 3C 8B 55 F0 8B 45 F8 8B 08 FF 51 18 8B C6 8B 10 FF 52 04 EB 22 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F0 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_12966_0 {
	meta:
		name = "TQuickRep.GetUnits"
		size = 12
	strings:
		$1 = { 8B 80 BC 01 00 00 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_12967_0 {
	meta:
		name = "TQuickRep.GetDataSet"
		size = 10
	strings:
		$1 = { 8B 80 48 01 00 00 8B 40 28 C3 }
	condition:
		$1
}

rule function_12968_0 {
	meta:
		name = "TQuickRep.TextHeight"
		size = 156
		refs = "0014 @LStrAddRef 001c TQuickRep.TextHeight 0029 TFont.GetHandle 0036 SelectObject 0044 @LStrLen 0056 GetTextExtentPoint 0083 @LStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8B 83 E8 01 00 00 50 E8 ?? ?? ?? ?? 8B F0 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 E8 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 05 8B 7D F8 EB 02 33 FF 56 8B 83 E8 01 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 41 00 00 00 }
	condition:
		$1
}

rule function_12969_0 {
	meta:
		name = "TQuickRep.TextWidth"
		size = 157
		refs = "0014 @LStrAddRef 001c TQuickRep.TextWidth 0029 TFont.GetHandle 0036 SelectObject 0044 @LStrLen 004d @LStrToPChar 005a GetTextExtentPoint 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8B 83 E8 01 00 00 50 E8 ?? ?? ?? ?? 8B F0 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 E8 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 06 8B 7D F4 47 EB 02 33 FF 56 8B 83 E8 01 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12970_0 {
	meta:
		name = "TQuickRep.SetDataSet"
		size = 12
		refs = "0007 TQRController.SetDataSet"
	strings:
		$1 = { 8B 80 48 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12976_0 {
	meta:
		name = "TQuickRep.AddNotifyClient"
		size = 12
		refs = "0007 TQRController.AddNotifyClient"
	strings:
		$1 = { 8B 80 48 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12971_0 {
	meta:
		name = "TQuickRep.SetDescription"
		size = 12
	strings:
		$1 = { 8B 80 88 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_12972_0 {
	meta:
		name = "TQuickRep.GetPrintIfEmpty"
		size = 17
	strings:
		$1 = { 8B 90 48 01 00 00 85 D2 74 04 8A 42 49 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12973_0 {
	meta:
		name = "TQuickRep.SetPrintIfEmpty"
		size = 14
	strings:
		$1 = { 8B 88 48 01 00 00 85 C9 74 03 88 51 49 C3 }
	condition:
		$1
}

rule function_12974_0 {
	meta:
		name = "TQuickRep.GetRecordNumber"
		size = 17
	strings:
		$1 = { 8B 90 48 01 00 00 85 D2 74 04 8B 42 40 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12975_0 {
	meta:
		name = "TQuickRep.GetRecordCount"
		size = 88
		refs = "000c TQuickRep.GetDataSet 0011 _NF__202 0022 _Dn_TTable 0027 @IsClass"
	strings:
		$1 = { 53 56 8B D8 BE 01 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3A 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B C3 E8 ?? ?? ?? ?? 8B 80 E0 01 00 00 80 78 30 00 75 11 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 D4 00 00 00 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12977_0 {
	meta:
		name = "TQuickRep.SetHideBands"
		size = 20
		refs = "000f TQuickRep.SetBandValues"
	strings:
		$1 = { 3A 90 96 01 00 00 74 0B 88 90 96 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12978_0 {
	meta:
		name = "TQuickRep.SetRotateBands"
		size = 33
		refs = "0014 TQuickRep.RebuildBandList 001b TQuickRep.SetBandValues"
	strings:
		$1 = { 53 8B D8 3B 93 D8 01 00 00 74 14 89 93 D8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12979_0 {
	meta:
		name = "TQuickRep.SetZoom"
		size = 51
		refs = "0012 TQRBasePanel.SetZoom 0026 TQRPage.FixZoom 002d TQuickRep.SetBandValues"
	strings:
		$1 = { 53 8B D8 85 D2 7E 2A 81 FA 2C 01 00 00 7F 22 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 8B 93 3C 01 00 00 89 50 14 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12980_0 {
	meta:
		name = "TQuickRep.AddBand"
		size = 53
		refs = "000f TList.IndexOf 0020 TList.Add 0027 TQuickRep.RebuildBandList 002e TQuickRep.SetBandValues"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 68 01 00 00 E8 ?? ?? ?? ?? 85 C0 7D 1B 8B D6 8B 83 68 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12981_0 {
	meta:
		name = "TQuickRep.ResetPageFooterSize"
		size = 135
		refs = "001e TWinControl.GetControlCount 0031 TWinControl.GetControl 0037 _DV_TQRCustomBand 003c @IsClass 0064 TQRCustomBand.GetBandSize 006b TQRBandSize.GetValue"
	strings:
		$1 = { 53 56 57 55 8B D8 33 C0 89 83 C4 01 00 00 89 83 C8 01 00 00 66 89 83 CC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 59 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3A 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 80 BD 95 01 00 00 03 75 26 80 BD 88 01 00 00 00 74 1D 8B C5 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB AB C4 01 00 00 DE C1 DB BB C4 01 00 00 9B 46 4F 75 AA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12982_0 {
	meta:
		name = "_NF__41D"
		size = 227
		refs = "0033 TQRPage.GetValue 0042 TQRPrinter.GetPaperLength 005b TQRCustomBand.GetBandSize 0062 TQRBandSize.GetValue 0075 @ROUND 0099 TQRPrinter.GetPaperWidth 00d9 TQRCustomBand.Print"
	strings:
		$1 = { 53 56 83 C4 E4 8B F2 8B D8 85 F6 0F 84 CC 00 00 00 80 BE 7C 01 00 00 00 0F 84 B8 00 00 00 8B 83 BC 01 00 00 80 78 44 00 75 57 33 D2 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 89 44 24 0C DB 44 24 0C DB 2C 24 DE E9 DB 7C 24 10 9B 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB 6C 24 10 DE E1 DB AB C4 01 00 00 DE E9 E8 ?? ?? ?? ?? 89 83 84 01 00 00 EB 55 33 D2 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 89 44 24 0C DB 44 24 0C DB 2C 24 DE E9 DB 7C 24 10 9B 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB 6C 24 10 DE E1 DB AB C4 01 00 00 DE E9 E8 ?? ?? ?? ?? 89 83 84 01 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_12983_0 {
	meta:
		name = "TQuickRep.ForceNewColumn"
		size = 42
		refs = "001c TQuickRep.NewColumn"
	strings:
		$1 = { 80 B8 64 01 00 00 00 75 20 80 B8 E4 01 00 00 00 75 09 83 B8 7C 01 00 00 01 7E 07 E8 ?? ?? ?? ?? EB 07 C6 80 E4 01 00 00 01 C3 }
	condition:
		$1
}

rule function_12984_0 {
	meta:
		name = "TQuickRep.ForceNewPage"
		size = 57
		refs = "0021 TQuickRep.NewColumn"
	strings:
		$1 = { 53 8B D8 80 BB 64 01 00 00 00 75 2B 80 BB E5 01 00 00 00 75 09 83 BB C0 01 00 00 01 7E 12 8B C3 E8 ?? ?? ?? ?? 83 BB 7C 01 00 00 01 75 F0 EB 07 C6 83 E5 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_12985_0 {
	meta:
		name = "TQuickRep.CreateReport"
		size = 964
		refs = "004f TQuickRep.CreateReport 005c _Dn_TList 0061 TObject.Create 00b5 TQuickRep.GetUnits 00c1 TQuickRep.SetUnits 00d3 _NF__425 00ed @LStrAsg 0108 TQRPrinter.SetCompression 0116 TQRPrinter.BeginDoc 0129 TQRPage.GetValue 012e @ROUND 01bb TQuickRep.ResetPageFooterSize 01c3 TWinControl.GetControlCount 01d7 TWinControl.GetControl 01dd _DV_TQRCustomBand 01e2 @IsClass 020b _DV_TQRPrintable 0268 TQuickRepBands.GetBand 029e TQRController.Prepare 02bb TQRBasePanel.PrepareComponents 02cc TQuickRep.NewPage 02d3 TQRController.Execute 031e TQuickRep.EndPage 034a TQRBasePanel.UnprepareComponents 037d TQRPrinter.EndDoc 0384 TQRPrinter.AbortDoc 038a @HandleFinally 03a7 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FB 89 45 FC 8B 45 FC 80 B8 64 01 00 00 00 0F 84 9E 03 00 00 8B 45 FC C6 80 64 01 00 00 00 8B 45 FC C6 80 97 01 00 00 00 8B 45 FC C6 80 E4 01 00 00 00 8B 45 FC C6 80 E5 01 00 00 00 C6 45 FA 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 60 01 00 00 8B 45 FC 66 83 B8 72 01 00 00 00 74 1E 8B 45 FC F6 40 20 10 75 15 8D 4D FA 8B 5D FC 8B 55 FC 8B 83 74 01 00 00 FF 93 70 01 00 00 80 7D FA 00 0F 84 ED 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D8 B2 04 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 0F 85 DB 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 01 00 00 83 C0 78 8B 55 FC 8B 92 D4 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC F6 80 B8 01 00 00 04 0F 95 C2 8B 45 FC 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 84 01 00 00 8B 45 FC 33 D2 89 90 C0 01 00 00 8B 45 FC C7 80 7C 01 00 00 01 00 00 00 8B 45 FC 80 B8 94 01 00 00 00 74 58 8B 45 FC 8B 40 50 50 8B 45 FC 8B 80 BC 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 BC 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 90 01 00 00 59 8B 30 FF 56 10 EB 0D 8B 45 FC C7 80 7C 01 00 00 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 61 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 90 90 01 00 00 EB 2C 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 90 28 01 00 00 47 4E 75 A2 8B 45 FC 8B 80 BC 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 80 01 00 00 8B 45 FC 8B B0 48 01 00 00 8B 45 FC 8B 80 6C 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 89 46 2C 8B 45 FC 8B 80 6C 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 89 46 34 8B 45 FC 8B 80 6C 01 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? 89 46 30 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 A0 01 00 00 89 56 38 8B 90 A4 01 00 00 89 56 3C 8B 45 FC E8 ?? ?? ?? ?? 8A 45 FB 34 01 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8A 45 FB 34 01 84 C0 74 5C 8B 45 FC 8B 80 BC 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 80 01 00 00 8B 45 FC C6 80 97 01 00 00 01 8B 45 FC 8B 80 E0 01 00 00 80 78 24 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 94 01 00 00 00 74 0E 8B 45 FC 8B 80 90 01 00 00 8B 10 FF 52 18 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 01 00 00 80 78 24 00 75 1E 80 7D FB 00 75 18 8B 55 FC 80 BA 95 01 00 00 00 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 60 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC C6 80 64 01 00 00 01 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12986_0 {
	meta:
		name = "_NF__425"
		size = 216
		refs = "000a TQRPage.GetPaperSize 0017 TQRPrinter.SetPaperSize 0022 TQRPrinter.GetPaperSize 0036 TQRPage.GetValue 003b @ROUND 0048 TQRPrinter.SetPaperWidth 006a TQRPrinter.SetPaperLength 007e TQRPrinter.SetOrientation 0092 TQRPrinter.SetCopies 00a6 TQRPrinter.SetBin 00d2 TQRPrinter.SetPrinterIndex"
	strings:
		$1 = { 53 8B D8 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 3C 1B 75 44 BA 03 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 8A 50 44 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 83 D0 01 00 00 8B 50 04 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 83 D0 01 00 00 8A 50 0A 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 93 D0 01 00 00 8B 52 14 8B 83 E0 01 00 00 89 50 30 8B 93 D0 01 00 00 8B 52 18 89 50 34 8B 93 D0 01 00 00 8B 52 0C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12987_0 {
	meta:
		name = "TQuickRep.Print"
		size = 223
		refs = "0012 TQuickRep.PrepareQRPrinter 0035 TQuickRep.Print 004b TQRPrinter.SetDestination 0051 Application 005a _Dn_TQRProgressForm 005f TCustomForm.Create 0088 TCustomForm.Show 00a1 TQuickRep.CreateReport 00bc TObject.Free 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 BD 00 00 00 8B 45 FC 8B 80 E0 01 00 00 80 78 70 00 0F 84 AA 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 E0 01 00 00 B2 01 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 E0 01 00 00 8B 55 F8 89 82 E4 01 00 00 8B 45 FC 80 B8 DC 01 00 00 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 01 00 00 8B 55 F8 89 50 3C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 E0 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 59 59 5D C3 }
	condition:
		$1
}

rule function_12990_0 {
	meta:
		name = "TQuickRep.PrepareQRPrinter"
		size = 83
		refs = "0024 _Dn_TQRPrinter 0029 TQRPrinter.Create 003e TQuickRep.PreviewFinished 0048 TQuickRep.PrintFinished"
	strings:
		$1 = { 53 56 57 55 8B F8 8A 9F 64 01 00 00 84 DB 74 3C 8B 87 E0 01 00 00 85 C0 74 05 8B 68 3C EB 02 33 ED B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B7 E0 01 00 00 89 6E 3C 89 7E 1C C7 46 18 ?? ?? ?? ?? 89 7E 14 C7 46 10 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12991_0 {
	meta:
		name = "TQuickRep.PrintBackground"
		size = 61
		refs = "0006 TQuickRep.PrepareQRPrinter 0023 TQRPrinter.SetDestination 002c _DV_TQRCreateReportThread 0031 TQRCreateReportThread.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 83 E0 01 00 00 80 78 70 00 74 21 B2 01 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 44 01 00 00 5B C3 }
	condition:
		$1
}

rule function_12992_0 {
	meta:
		name = "TQuickRep.Prepare"
		size = 109
		refs = "0006 TQuickRep.PrepareQRPrinter 0026 TQRPrinter.SetDestination 0036 TQuickRep.ExportToFilter 0057 Application 005e TApplication.ProcessMessages 0067 TQuickRep.CreateReport"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5D 8B 83 E0 01 00 00 80 B8 80 00 00 00 00 75 4E 33 D2 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 89 58 50 C7 40 4C ?? ?? ?? ?? 66 83 BB AA 01 00 00 00 74 12 8B 93 A8 01 00 00 89 50 54 8B 93 AC 01 00 00 89 50 58 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12993_0 {
	meta:
		name = "TQuickRep.Preview"
		size = 293
		refs = "0012 TQuickRep.PrepareQRPrinter 0038 TQuickRep.Preview 004e TQRPrinter.SetDestination 0064 TQuickRep.Print 0071 TQuickRep.PrinterSetup 007e TQuickRep.ExportToFilter 00ae TQRPrinter.Preview 00b3 Application 00ba TApplication.ProcessMessages 00c4 TQuickRep.CreateReport 010a TObject.Free 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 03 01 00 00 8B 45 FC 8B 80 E0 01 00 00 80 B8 80 00 00 00 00 0F 85 ED 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 E0 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 01 00 00 8B 55 FC 89 50 48 C7 40 44 ?? ?? ?? ?? 8B 55 FC 89 50 60 C7 40 5C ?? ?? ?? ?? 8B 55 FC 89 50 50 C7 40 4C ?? ?? ?? ?? 8B 55 FC 66 83 BA AA 01 00 00 00 74 15 8B 55 FC 8B 8A A8 01 00 00 89 48 54 8B 8A AC 01 00 00 89 48 58 8B 45 FC 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 01 00 00 89 45 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 80 00 00 00 00 74 0D A1 ?? ?? ?? ?? 8B 00 80 78 7C 00 74 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 E0 01 00 00 C3 E9 ?? ?? ?? ?? EB E5 59 59 5D C3 }
	condition:
		$1
}

rule function_12994_0 {
	meta:
		name = "TQuickRep.PrinterSetup"
		size = 280
		refs = "000d _Dn_TPrintDialog 0012 TCommonDialog.Create 001d TQuickRep.PrinterSetup 0084 TPrintDialog.SetNumCopies 00b6 TQRPrinter.GetPrinterIndex 0100 TObject.Free 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 83 E0 01 00 00 85 C0 0F 84 BA 00 00 00 80 78 70 00 0F 84 B0 00 00 00 80 B8 81 00 00 00 02 75 2F 8B 45 FC C7 40 58 01 00 00 00 8B 83 E0 01 00 00 8B 40 68 8B 55 FC 89 42 5C 8B 45 FC C7 40 4C 01 00 00 00 8B 45 FC 8B 40 5C 8B 55 FC 89 42 50 8B 83 D0 01 00 00 8B 50 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 15 ?? ?? ?? ?? 88 50 55 8B 45 FC 8B 10 FF 52 34 84 C0 74 4F 8B 45 FC 8B 40 60 8B 93 D0 01 00 00 89 42 04 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B B3 D0 01 00 00 89 46 0C 8B 45 FC 8A 40 57 2C 02 72 04 74 0E EB 1E 33 C0 89 46 14 33 C0 89 46 18 EB 12 8B 45 FC 8B 40 4C 89 46 14 8B 45 FC 8B 40 50 89 46 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 0E 00 00 00 }
	condition:
		$1
}

rule function_12995_0 {
	meta:
		name = "TQuickRep.ExportToFilter"
		size = 234
		refs = "0012 TQuickRep.SetExportFilter 0030 TQuickRep.ExportToFilter 003d _Dn_TQRPrinter 0042 TQRPrinter.Create 0051 Application 005a _Dn_TQRProgressForm 005f TCustomForm.Create 0088 TCustomForm.Show 00a1 TQuickRep.CreateReport 00bc TObject.Free 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 33 C0 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 95 01 00 00 00 8B 45 FC 8B 80 E0 01 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 E0 01 00 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 E0 01 00 00 8B 55 F4 89 82 E4 01 00 00 8B 45 FC 80 B8 DC 01 00 00 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 01 00 00 8B 55 F4 89 50 3C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 E0 01 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_12996_0 {
	meta:
		name = "TQuickRep.AvailableSpace"
		size = 166
		refs = "0028 TQRPage.GetValue 0037 TQRPrinter.GetPaperLength 0059 @ROUND 0077 TQRPrinter.GetPaperWidth"
	strings:
		$1 = { 53 83 C4 F0 8B D8 80 BB 64 01 00 00 00 0F 85 8C 00 00 00 8B 83 BC 01 00 00 80 78 44 00 75 40 33 D2 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 89 44 24 0C DB 44 24 0C DB 2C 24 DE E9 DB AB C4 01 00 00 DE E9 DB 83 84 01 00 00 DE E9 E8 ?? ?? ?? ?? EB 42 33 D2 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 89 44 24 0C DB 44 24 0C DB 2C 24 DE E9 DB AB C4 01 00 00 DE E9 DB 83 84 01 00 00 DE E9 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_12997_0 {
	meta:
		name = "TQuickRep.NewColumn"
		size = 241
		refs = "0012 TQuickRepBands.GetBand 002b TQRCustomBand.Print 0056 TQRPage.GetValue 005b @ROUND 0068 TQuickRep.NewPage 007f TQRCustomBand.GetBandSize 0089 TQRBandSize.GetValue"
	strings:
		$1 = { 53 83 C4 F4 8B D8 BA 05 00 00 00 8B 83 6C 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 15 BA 05 00 00 00 8B 83 6C 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 8B 40 2C 3B 83 7C 01 00 00 75 2E C7 83 7C 01 00 00 01 00 00 00 BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 55 BA 04 00 00 00 8B 83 6C 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B BA 06 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 2C 24 DE C1 E8 ?? ?? ?? ?? 01 83 80 01 00 00 8B 83 78 01 00 00 89 83 84 01 00 00 FF 83 7C 01 00 00 BA 03 00 00 00 8B 83 6C 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 15 BA 03 00 00 00 8B 83 6C 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_12998_0 {
	meta:
		name = "TQuickRep.NewPage"
		size = 204
		refs = "0006 TQuickRep.EndPage 003d TQRPrinter.NewPage 004d TQRPage.GetValue 0052 @ROUND 00a1 TQuickRepBands.GetBand 00ba TQRCustomBand.Print"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 94 01 00 00 00 74 0B 8B 83 90 01 00 00 8B 10 FF 52 1C FF 83 C0 01 00 00 80 BB 95 01 00 00 00 75 09 83 BB C0 01 00 00 01 75 0B 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 84 01 00 00 66 83 BB B2 01 00 00 00 74 14 F6 43 20 10 75 0E 8B D3 8B 83 B4 01 00 00 FF 93 B0 01 00 00 83 BB C0 01 00 00 01 7F 12 83 BB C0 01 00 00 01 75 32 F6 83 B8 01 00 00 01 74 29 BA 02 00 00 00 8B 83 6C 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 15 BA 02 00 00 00 8B 83 6C 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 84 01 00 00 89 83 78 01 00 00 5B C3 }
	condition:
		$1
}

rule function_12999_0 {
	meta:
		name = "_NF__441"
		size = 375
		refs = "000c TWinControl.GetControlCount 001f TWinControl.GetControl 0025 _DV_TQRPrintable 002a @IsClass 0092 TQRPage.GetValue 00bc TQRPrinter.XPos 0122 TQRPrinter.YPos 014c Rect 015c TQRPrinter.GetCanvas 0164 TQRBasePanel.GetFrame 016b TQRFrame.PaintIt"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 34 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 28 FF 95 88 00 00 00 46 4F 75 CF 80 BB 95 01 00 00 00 0F 84 17 01 00 00 8B B3 E0 01 00 00 66 8B 86 8A 00 00 00 50 FF B6 86 00 00 00 FF B6 82 00 00 00 66 8B 86 94 00 00 00 50 FF B6 90 00 00 00 FF B6 8C 00 00 00 BA 01 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 7C 24 28 9B 33 D2 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 28 DE E1 83 C4 F4 DB 3C 24 9B 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 50 8D 44 24 1C 50 BA 03 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 7C 24 30 9B BA 05 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 30 DE E1 83 C4 F4 DB 3C 24 9B 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 50 BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 44 24 18 50 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13000_0 {
	meta:
		name = "TQuickRep.EndPage"
		size = 206
		refs = "003d TQRPage.GetValue 0060 @ROUND 0076 TQuickRepBands.GetBand 00aa TQRCustomBand.Print 00b1 _NF__441"
	strings:
		$1 = { 53 83 C4 F4 8B D8 83 BB C0 01 00 00 00 0F 8E A2 00 00 00 66 83 BB 9A 01 00 00 00 74 14 F6 43 20 10 75 0E 8B D3 8B 83 9C 01 00 00 FF 93 98 01 00 00 BA 01 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 33 D2 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 2C 24 DE E1 DB AB C4 01 00 00 DE E9 E8 ?? ?? ?? ?? 89 83 84 01 00 00 BA 06 00 00 00 8B 83 6C 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 30 83 BB C0 01 00 00 00 7E 27 80 BB 97 01 00 00 00 74 09 F6 83 B8 01 00 00 02 74 15 BA 06 00 00 00 8B 83 6C 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB 94 01 00 00 00 74 0B 8B 83 90 01 00 00 8B 10 FF 52 14 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_13001_0 {
	meta:
		name = "TQuickRep.RegisterBand"
		size = 84
		refs = "0015 TList.IndexOf 0026 TList.Add 002f TQRCustomBand.GetChild 0049 TQRCustomBand.GetHasChild"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 43 20 08 75 45 8B D3 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 85 C0 7D 34 8B D3 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? EB 16 8B C3 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 DB 5E 5B C3 }
	condition:
		$1
}

rule function_13002_0 {
	meta:
		name = "_NF__447"
		size = 109
		refs = "002e TList.Get 0060 TQuickRep.RegisterBand"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 45 08 8B 40 FC 8B 80 68 01 00 00 8B 70 08 4E 85 F6 7C 4C 46 33 FF 8B 45 08 8B 40 FC 8B 80 68 01 00 00 8B D7 E8 ?? ?? ?? ?? 3A 98 95 01 00 00 75 2A 8B 45 08 8B 40 FC 8B 80 68 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 47 4E 75 B7 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_13003_0 {
	meta:
		name = "TQuickRep.RebuildBandList"
		size = 388
		refs = "0030 TQuickRepBands.GetBand 0066 TQRController.BuildTree 0074 TList.Clear 007c _NF__447 0090 TQuickRepBands.GetHasBand 00b4 TQRController.RegisterBands 00e1 TList.Get 00f1 TList.IndexOf 010e TQuickRep.RegisterBand 0120 TObject.Free 0139 _Dn_TList 013e TObject.Create 0177 TList.Move"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 45 FC F6 40 20 01 0F 85 33 01 00 00 8B 45 FC 8B 98 48 01 00 00 8B 45 FC 8B 80 6C 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 89 43 2C 8B 45 FC 8B 80 6C 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 89 43 34 8B 45 FC 8B 80 6C 01 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? 89 43 30 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 4C 01 00 00 E8 ?? ?? ?? ?? 55 B0 01 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 6C 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 55 33 C0 E8 ?? ?? ?? ?? 59 55 B0 08 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 48 01 00 00 E8 ?? ?? ?? ?? 55 B0 03 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 68 01 00 00 8B 58 08 4B 85 DB 7C 44 43 33 F6 8B 45 FC 8B 80 68 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 4C 01 00 00 E8 ?? ?? ?? ?? 40 75 1A 8B 45 FC 8B 80 68 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 BF 8B 45 FC 8B 80 68 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 4C 01 00 00 8B 55 FC 89 82 68 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 4C 01 00 00 8B 45 FC 8B 80 68 01 00 00 83 78 08 00 7E 24 8B 45 FC 8B 98 D8 01 00 00 85 DB 7E 17 8B 45 FC 8B 80 68 01 00 00 8B 48 08 49 33 D2 E8 ?? ?? ?? ?? 4B 75 E9 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13004_0 {
	meta:
		name = "TQuickRep.SetBandValues"
		size = 568
		refs = "003a TQuickRep.GetUnits 0047 TQuickRep.SetUnits 0057 TQRPage.GetValue 005c @ROUND 00fe TList.Get 0137 TControl.SetLeft 015e TControl.SetTop 0184 _DV_TQRChildBand 0189 @IsClass 01e5 TQRCustomBand.GetBandSize 01ef TQRBandSize.SetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B D8 83 BB BC 01 00 00 00 0F 84 1A 02 00 00 83 BB 68 01 00 00 00 0F 84 0D 02 00 00 F6 43 20 08 0F 85 03 02 00 00 F6 43 20 01 0F 85 F9 01 00 00 8B C3 E8 ?? ?? ?? ?? 88 44 24 10 B2 02 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 04 BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 7C 24 18 9B BA 05 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 18 DE C1 E8 ?? ?? ?? ?? 8B 53 38 2B D0 89 54 24 08 BA 06 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 BC 01 00 00 8B 52 2C 4A F7 EA 50 8B 44 24 0C 5A 2B C2 8B 93 BC 01 00 00 8B 4A 2C 99 F7 F9 89 44 24 0C 8B 83 68 01 00 00 8B 40 08 48 85 C0 0F 8C 3D 01 00 00 40 89 44 24 14 C7 04 24 00 00 00 00 8B 14 24 8B 83 68 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 0C 01 00 00 F6 46 20 08 0F 85 02 01 00 00 C6 86 94 01 00 00 01 BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 80 BB 96 01 00 00 00 74 20 BA 01 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 0B 8B 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B 46 3C 01 44 24 04 8A 86 95 01 00 00 88 44 24 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B FE EB 02 8B FD 8B AF A0 01 00 00 85 ED 74 11 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 E3 8B 87 A0 01 00 00 85 C0 74 0A 8A 80 95 01 00 00 88 44 24 11 8A 44 24 11 2C 02 72 09 48 2C 02 72 04 2C 04 75 1E DB 44 24 08 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? EB 1C DB 44 24 0C 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? C6 86 94 01 00 00 00 FF 04 24 FF 4C 24 14 0F 85 CF FE FF FF 8A 54 24 10 8B C3 E8 ?? ?? ?? ?? 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13005_0 {
	meta:
		name = "TQuickRep.Edit"
		size = 14
	strings:
		$1 = { 89 90 8C 01 00 00 C6 80 DE 01 00 00 04 C3 }
	condition:
		$1
}

rule function_13006_0 {
	meta:
		name = "TQuickRep.KeyDown"
		size = 113
		refs = "0012 TWinControl.KeyDown 0042 _DV_TQRPrintable 0047 @IsClass 005c TObject.Free"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 66 83 3E 2E 75 51 80 BB DE 01 00 00 04 75 48 8B 83 8C 01 00 00 83 B8 B4 00 00 00 00 74 39 8B 83 8C 01 00 00 8B 80 B4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 83 8C 01 00 00 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 8C 01 00 00 8B 08 FF 51 54 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13007_0 {
	meta:
		name = "TQuickRep.MouseDown"
		size = 62
		refs = "001c _NF__524 0021 Application 0028 TApplication.ProcessMessages"
	strings:
		$1 = { 55 8B EC 53 8B D8 84 D2 75 2F 80 BB DE 01 00 00 04 75 26 B2 05 8B 83 8C 01 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D3 8B 83 8C 01 00 00 8B 08 FF 51 54 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13010_0 {
	meta:
		name = "TQuickRep.Notification"
		size = 115
		refs = "0010 TControl.Notification 0023 _DV_TQRCustomBand 0028 @IsClass 0039 TList.IndexOf 0046 TQuickRep.RemoveBand 004e _Dn_TDataSet 005e TQuickRep.GetDataSet 006b TQuickRep.SetDataSet"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? F6 47 20 08 75 55 80 FB 01 75 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B D6 8B 87 68 01 00 00 E8 ?? ?? ?? ?? 85 C0 7C 09 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13011_0 {
	meta:
		name = "TQuickRep.RemoveBand"
		size = 53
		refs = "0010 TList.IndexOf 0021 TList.Delete 0028 TQuickRep.RebuildBandList 002f TQuickRep.SetBandValues"
	strings:
		$1 = { 53 8B D8 F6 43 20 08 75 2A 8B 83 68 01 00 00 E8 ?? ?? ?? ?? 85 C0 7C 1B 8B D0 8B 83 68 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13012_0 {
	meta:
		name = "TQuickRep.Paint"
		size = 76
		refs = "0006 TQRBasePanel.Paint 0011 TQRPage.GetRuler 001c TQuickRep.GetUnits"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 84 00 00 00 8B C6 8B 10 FF 92 8C 00 00 00 8B C6 8B 10 FF 92 90 00 00 00 8B C6 8B 10 FF 92 88 00 00 00 5E C3 }
	condition:
		$1
}

rule function_13013_0 {
	meta:
		name = "TQuickRep.PaintColumns"
		size = 656
		refs = "0028 TPen.SetWidth 002e _NV__1FA 0036 TPen.SetStyle 003c _NV__1FB 0044 TPen.SetColor 004f TQRUnitBase.SetPixels 005f TQRPage.GetValue 00d5 @ROUND 0147 TCanvas.MoveTo 01b2 TCanvas.LineTo 027a TQRUnitBase.RestoreUnit"
	strings:
		$1 = { 53 56 57 55 83 C4 D0 8B D8 8B 83 BC 01 00 00 83 78 2C 01 0F 8E 6F 02 00 00 8B BB 18 01 00 00 BA 01 00 00 00 8B 47 10 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 47 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 47 10 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 7C 24 04 9B BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 04 DE E1 DB 7C 24 10 9B BA 05 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 10 DE E1 DB 7C 24 1C 9B BA 06 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 8B 70 2C 8B C6 48 89 44 24 28 DB 44 24 28 DE C9 DB 6C 24 1C DE E1 89 74 24 2C DB 44 24 2C DE F9 E8 ?? ?? ?? ?? 8B E8 8B 83 BC 01 00 00 8B 40 2C 48 85 C0 0F 8E 86 01 00 00 89 04 24 BE 01 00 00 00 BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B C6 F7 ED 89 44 24 28 DB 44 24 28 DE C1 DB 7C 24 04 9B BA 06 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B C6 48 89 44 24 2C DB 44 24 2C DE C9 DB 6C 24 04 DE C1 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C7 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B C6 F7 ED 89 44 24 2C DB 44 24 2C DE C1 DB 7C 24 08 9B BA 06 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B C6 48 89 44 24 30 DB 44 24 30 DE C9 DB 6C 24 08 DE C1 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 7C 24 04 9B BA 06 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 28 DB 44 24 28 DE C1 89 74 24 2C DB 44 24 2C DE C9 DB 6C 24 04 DE C1 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C7 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 7C 24 08 9B BA 06 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 89 6C 24 2C DB 44 24 2C DE C1 89 74 24 30 DB 44 24 30 DE C9 DB 6C 24 08 DE C1 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 46 FF 0C 24 0F 85 82 FE FF FF 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 47 10 E8 ?? ?? ?? ?? 83 C4 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13014_0 {
	meta:
		name = "TQuickRep.PaintMargins"
		size = 177
		refs = "000c _NV__1FA 0014 TPen.SetStyle 001a _NV__1FB 0022 TPen.SetColor 002d TQRUnitBase.SetPixels 003d TQRPage.GetValue 0042 @ROUND 0095 TCanvas.Rectangle 00aa TQRUnitBase.RestoreUnit"
	strings:
		$1 = { 53 56 8B D8 8B B3 18 01 00 00 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? BA 05 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 38 2B D0 52 33 D2 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 3C 2B D0 52 BA 02 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 33 D2 8B 46 10 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13015_0 {
	meta:
		name = "TQuickRep.PaintFrame"
		size = 752
		refs = "0010 TQRBasePanel.GetFrame 0018 TQRFrame.SetPen 0023 TQRUnitBase.SetPixels 0044 TQRPage.GetValue 0049 @ROUND 0069 TCanvas.MoveTo 00ba TCanvas.LineTo 02e6 TQRUnitBase.RestoreUnit"
	strings:
		$1 = { 53 56 83 C4 E8 8B D8 8B B3 18 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 12 00 0F 84 86 00 00 00 BA 02 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 03 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 7C 24 04 9B BA 05 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 04 DE E1 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 08 00 0F 84 B4 00 00 00 BA 01 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 33 D2 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 2C 24 DE E1 E8 ?? ?? ?? ?? 48 50 BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 33 D2 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 2C 24 DE E1 E8 ?? ?? ?? ?? 48 50 BA 03 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 7C 24 10 9B BA 05 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 10 DE E1 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 09 00 0F 84 81 00 00 00 BA 02 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 33 D2 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 2C 24 DE E1 E8 ?? ?? ?? ?? 48 50 BA 04 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 11 00 0F 84 B9 00 00 00 BA 02 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 03 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 7C 24 04 9B BA 05 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 04 DE E1 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 59 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 33 D2 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 2C 24 DE E1 E8 ?? ?? ?? ?? 48 50 BA 03 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 7C 24 10 9B BA 05 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 10 DE E1 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 59 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_13016_0 {
	meta:
		name = "TQuickRep.PaintRuler"
		size = 37
		refs = "000a TFont.GetSize 001e TQRBasePanel.PaintRuler"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 50 E8 ?? ?? ?? ?? 99 33 C2 2B C2 89 86 38 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13017_0 {
	meta:
		name = "TQuickRep.SetBounds"
		size = 183
		refs = "002c TWinControl.SetBounds 0049 TQRPage.GetPaperSize 005c TQRUnitBase.SetPixels 0076 TQRPage.SetValue 009b TQRUnitBase.RestoreUnit 00ac TQuickRep.SetBandValues"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 8B 45 0C 3B 46 38 75 0C 8B 45 08 3B 46 3C 75 04 33 C0 EB 02 B0 01 88 45 FF 8B 45 0C 50 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B 9E BC 01 00 00 85 DB 74 76 80 7B 10 00 75 70 80 7D FF 00 74 6A 8B C3 E8 ?? ?? ?? ?? 3C 1B 75 5F 8B 86 BC 01 00 00 C6 40 10 01 E8 ?? ?? ?? ?? DB 45 0C 83 C4 F4 DB 3C 24 9B BA 03 00 00 00 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? DB 45 08 83 C4 F4 DB 3C 24 9B BA 01 00 00 00 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B 86 BC 01 00 00 C6 40 10 00 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13018_0 {
	meta:
		name = "TQuickRep.SetExportFilter"
		size = 26
	strings:
		$1 = { 89 90 90 01 00 00 85 D2 74 08 C6 80 94 01 00 00 01 C3 C6 80 94 01 00 00 00 C3 }
	condition:
		$1
}

rule function_13019_0 {
	meta:
		name = "TQuickRep.SetUnits"
		size = 146
		refs = "002a TList.Get 0032 TQuickRep.GetUnits 003a TQRCustomBand.SetUnits 0045 TWinControl.GetControlCount 0058 TWinControl.GetControl 005e _DV_TQRPrintable 0063 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 BC 01 00 00 8B 08 FF 51 24 8B 83 68 01 00 00 8B 70 08 4E 85 F6 7C 24 46 33 FF 8B D7 8B 83 68 01 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 47 4E 75 DF 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3E 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 80 30 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 51 24 47 4E 75 C5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13020_0 {
	meta:
		name = "TQRPrintableSize.Create"
		size = 125
		refs = "000b @ClassCreate 001a TQRUnitBase.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 40 33 C0 89 47 18 C7 47 1C 00 00 00 A0 66 C7 47 20 03 40 33 C0 89 47 36 C7 47 3A 00 00 00 A0 66 C7 47 3E 03 40 33 C0 89 47 2C C7 47 30 00 00 00 A0 66 C7 47 34 03 40 33 C0 89 47 22 C7 47 26 00 00 00 A0 66 C7 47 2A 03 40 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13021_0 {
	meta:
		name = "TQRPrintableSize.GetValue"
		size = 236
		refs = "00b2 _DV_TQRBasePanel 00b7 @IsClass 00cc TQRPrintableSize.GetValue"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 83 EA 01 72 07 74 28 4A 74 48 EB 69 66 8B 43 20 50 FF 73 1C FF 73 18 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 30 FF 56 0C DB 3C 24 9B EB 67 66 8B 43 2A 50 FF 73 26 FF 73 22 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 30 FF 56 0C DB 3C 24 9B EB 44 66 8B 43 34 50 FF 73 30 FF 73 2C 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 30 FF 56 0C DB 3C 24 9B EB 21 66 8B 43 3E 50 FF 73 3A FF 73 36 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 30 FF 56 0C DB 3C 24 9B 8B C3 8B 10 FF 52 14 3C 02 75 2E 8B 43 40 8B 70 24 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 DB 86 3C 01 00 00 DB 2C 24 DE C9 DB 2D ?? ?? ?? ?? DE C9 DB 3C 24 9B DB 2C 24 83 C4 0C 5E 5B C3 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_13022_0 {
	meta:
		name = "TQRPrintableSize.ReadValues"
		size = 67
		refs = "0009 TReader.ReadListBegin 0010 TReader.ReadFloat 003c TReader.ReadListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DB 7E 18 9B 8B C3 E8 ?? ?? ?? ?? DB 7E 22 9B 8B C3 E8 ?? ?? ?? ?? DB 7E 2C 9B 8B C3 E8 ?? ?? ?? ?? DB 7E 36 9B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13024_0 {
	meta:
		name = "TQRPrintableSize.SetParentSizes"
		size = 147
		refs = "0029 @ROUND"
	strings:
		$1 = { 53 56 8B D8 83 7B 40 00 0F 84 82 00 00 00 C6 43 10 01 66 8B 43 3E 50 FF 73 3A FF 73 36 B1 01 B2 02 8B C3 8B 30 FF 56 0C E8 ?? ?? ?? ?? 50 66 8B 43 20 50 FF 73 1C FF 73 18 33 C9 B2 02 8B C3 8B 30 FF 56 0C E8 ?? ?? ?? ?? 50 66 8B 43 34 50 FF 73 30 FF 73 2C 33 C9 B2 02 8B C3 8B 30 FF 56 0C E8 ?? ?? ?? ?? 50 66 8B 43 2A 50 FF 73 26 FF 73 22 B1 01 B2 02 8B C3 8B 30 FF 56 0C E8 ?? ?? ?? ?? 8B D0 8B 43 40 59 8B 30 FF 56 4C C6 43 10 00 5E 5B C3 }
	condition:
		$1
}

rule function_13025_0 {
	meta:
		name = "TQRPrintableSize.SetValue"
		size = 176
	strings:
		$1 = { 55 8B EC 53 56 8B D8 83 EA 01 72 0D 74 2E 4A 74 4E 4A 74 6E E9 8A 00 00 00 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 30 FF 56 10 DB 7B 18 9B EB 67 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 30 FF 56 10 DB 7B 22 9B EB 44 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 30 FF 56 10 DB 7B 2C 9B EB 21 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 30 FF 56 10 DB 7B 36 9B 8B C3 8B 10 FF 52 20 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_13026_0 {
	meta:
		name = "TQRPrintableSize.WriteValues"
		size = 95
		refs = "0009 TWriter.WriteListBegin 001b TWriter.WriteFloat 0058 TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 66 8B 46 20 50 FF 76 1C FF 76 18 8B C3 E8 ?? ?? ?? ?? 66 8B 46 2A 50 FF 76 26 FF 76 22 8B C3 E8 ?? ?? ?? ?? 66 8B 46 34 50 FF 76 30 FF 76 2C 8B C3 E8 ?? ?? ?? ?? 66 8B 46 3E 50 FF 76 3A FF 76 36 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13027_0 {
	meta:
		name = "TQRPrintable.Create"
		size = 207
		refs = "000e @ClassCreate 001c TCustomControl.Create 0025 _DV_TQRPrintableSize 002a TQRPrintableSize.Create 0037 _DV_TQRFrame 003c TQRFrame.Create 004d TQRFrame.SetParent 0059 TControl.SetColor 006c TControl.SetHeight 0078 TControl.SetWidth"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 30 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C3 E8 ?? ?? ?? ?? C6 83 1F 01 00 00 00 BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 1D 01 00 00 00 C6 83 1E 01 00 00 00 C6 83 1C 01 00 00 00 C6 83 24 01 00 00 00 33 C0 89 83 3C 01 00 00 33 C0 89 83 48 01 00 00 33 C0 89 83 40 01 00 00 33 C0 89 83 44 01 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13028_0 {
	meta:
		name = "TQRPrintable.Destroy"
		size = 56
		refs = "000d TObject.Free 0024 TCustomControl.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13029_0 {
	meta:
		name = "TQRPrintable.Loaded"
		size = 135
		refs = "0006 TComponent.Loaded 002d TControl.SetLeft 0049 TControl.SetTop 0065 TControl.SetWidth 0081 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 30 01 00 00 8B 10 FF 52 18 83 7B 30 00 75 16 83 BB 48 01 00 00 00 74 0D 8B 93 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 34 00 75 16 83 BB 3C 01 00 00 00 74 0D 8B 93 3C 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 38 00 75 16 83 BB 40 01 00 00 00 74 0D 8B 93 40 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 3C 00 75 16 83 BB 44 01 00 00 00 74 0D 8B 93 44 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13030_0 {
	meta:
		name = "TQRPrintable.GetZoom"
		size = 10
	strings:
		$1 = { 8B 80 30 01 00 00 8B 40 14 C3 }
	condition:
		$1
}

rule function_13031_0 {
	meta:
		name = "TQRPrintable.SetZoom"
		size = 17
		refs = "000c TQRPrintableSize.FixZoom"
	strings:
		$1 = { 8B 88 30 01 00 00 89 51 14 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13032_0 {
	meta:
		name = "TQRPrintable.AlignIt"
		size = 134
		refs = "002b TControl.SetLeft 0038 _DV_TQRCustomBand 003d @IsClass"
	strings:
		$1 = { 53 56 8B D8 80 BB 1E 01 00 00 00 74 76 C6 83 1C 01 00 00 01 8A 83 1D 01 00 00 2C 01 72 08 74 11 FE C8 74 30 EB 56 33 D2 8B C3 E8 ?? ?? ?? ?? EB 4B 8B 73 24 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8B 56 38 2B 53 38 8B C3 E8 ?? ?? ?? ?? EB 28 8B 73 24 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 56 38 2B 53 38 D1 FA 79 03 83 D2 00 8B C3 E8 ?? ?? ?? ?? C6 83 1C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13033_0 {
	meta:
		name = "TQRPrintable.MouseDown"
		size = 100
		refs = "0042 TQRDesigner.SetFocusFrame"
	strings:
		$1 = { 55 8B EC 53 8B D8 84 D2 75 55 83 BB 28 01 00 00 00 74 4C 8B 83 28 01 00 00 80 B8 DE 01 00 00 04 75 3D 8B 83 28 01 00 00 8B 80 8C 01 00 00 8B D3 8B 08 FF 51 54 8B 83 28 01 00 00 8B 80 8C 01 00 00 E8 ?? ?? ?? ?? C6 83 1F 01 00 00 01 8B 45 0C 89 83 34 01 00 00 8B 45 08 89 83 38 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13034_0 {
	meta:
		name = "TQRPrintable.MouseMove"
		size = 130
		refs = "001c TControl.MouseMove 0061 Rect 0075 TQRDesigner.MoveFocusFrame"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 1F 01 00 00 00 74 50 8B 43 3C 03 43 34 03 C7 2B 83 38 01 00 00 50 8D 45 EC 50 8B 4B 38 03 4B 30 03 CE 2B 8B 34 01 00 00 8B 53 34 03 D7 2B 93 38 01 00 00 8B 43 30 03 C6 2B 83 34 01 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B 83 28 01 00 00 8B 80 8C 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13035_0 {
	meta:
		name = "TQRPrintable.MouseUp"
		size = 200
		refs = "0026 TQRPrintable.ReleaseFocusFrame 0047 TQRPrintableSize.GetValue 005e _NF__205 0071 TQRPrintableSize.SetValue 00be TQRDesigner.GetHandles"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 84 D2 0F 85 B3 00 00 00 80 BB 1F 01 00 00 00 0F 84 A6 00 00 00 C6 83 1F 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 28 01 00 00 80 B8 DD 01 00 00 00 74 78 BA 02 00 00 00 8B B3 30 01 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 83 30 01 00 00 8B 10 FF 52 14 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B B3 30 01 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 83 30 01 00 00 8B 10 FF 52 14 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 28 01 00 00 8B 80 8C 01 00 00 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13036_0 {
	meta:
		name = "TQRPrintable.Prepare"
		size = 26
	strings:
		$1 = { C6 80 24 01 00 00 01 8B 90 28 01 00 00 8B 92 E0 01 00 00 89 90 2C 01 00 00 C3 }
	condition:
		$1
}

rule function_13037_0 {
	meta:
		name = "TQRPrintable.SetAlignment"
		size = 37
	strings:
		$1 = { 56 8B F0 88 96 1D 01 00 00 80 BE 1E 01 00 00 00 74 0A 8B C6 8B 10 FF 92 80 00 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_13038_0 {
	meta:
		name = "TQRPrintable.SetAlignToBand"
		size = 15
	strings:
		$1 = { 88 90 1E 01 00 00 8B 10 FF 92 80 00 00 00 C3 }
	condition:
		$1
}

rule function_13039_0 {
	meta:
		name = "TQRPrintable.SetFrame"
		size = 18
	strings:
		$1 = { 56 8B F0 89 96 20 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_13040_0 {
	meta:
		name = "TQRPrintable.QRNotification"
		size = 14
	strings:
		$1 = { 80 E9 02 75 08 8B 10 FF 92 80 00 00 00 C3 }
	condition:
		$1
}

rule function_13041_0 {
	meta:
		name = "TQRPrintable.ReleaseFocusFrame"
		size = 64
		refs = "0016 TQRDesigner.ReleaseFocusFrame"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B D4 8B 83 28 01 00 00 8B 80 8C 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 08 8B 04 24 2B D0 52 8B 54 24 10 8B 74 24 08 2B D6 52 8B CE 8B D0 8B C3 8B 18 FF 53 4C 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_13042_0 {
	meta:
		name = "TQRPrintable.Paint"
		size = 192
		refs = "0009 TQRPrintable.GetTransparent 0020 TBrush.SetColor 0030 TBrush.SetStyle 004a TCanvas.FillRect 0051 TQRPrintable.PaintCorners 0067 Screen 0072 TQRPrintable.Paint 00a9 TQRFrame.PaintIt"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3D 8B 83 18 01 00 00 8B 40 14 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8D 54 24 10 8B C3 8B 08 FF 51 2C 8D 54 24 10 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 2C FF 4C 24 0C FF 4C 24 08 A1 ?? ?? ?? ?? 8B 00 DB 40 34 DB 2D ?? ?? ?? ?? DE C9 83 C4 F4 DB 3C 24 9B A1 ?? ?? ?? ?? 8B 00 DB 40 34 DB 2D ?? ?? ?? ?? DE C9 83 C4 F4 DB 3C 24 9B 8D 4C 24 18 8B 93 18 01 00 00 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 83 C4 20 5B C3 00 00 81 40 20 10 08 04 02 81 F7 3F 00 00 }
	condition:
		$1
}

rule function_13043_0 {
	meta:
		name = "TQRPrintable.Print"
		size = 413
		refs = "0027 TQRFrame.AnyFrame 0073 TQRPrintableSize.GetValue 00ad TQRPrinter.YPos 0100 TQRPrinter.XPos 016d Rect 0183 TQRPrinter.GetCanvas 0191 TQRFrame.PaintIt"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F9 8B F2 8B D8 8B 83 28 01 00 00 80 B8 95 01 00 00 00 0F 84 75 01 00 00 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 62 01 00 00 8B 83 28 01 00 00 8B A8 E0 01 00 00 66 8B 85 8A 00 00 00 50 FF B5 86 00 00 00 FF B5 82 00 00 00 66 8B 85 94 00 00 00 50 FF B5 90 00 00 00 FF B5 8C 00 00 00 BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 7C 24 28 DB 44 24 28 DE C1 DB 7C 24 2C 9B 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 2C DE C1 83 C4 F4 DB 3C 24 9B 8B 83 28 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 50 8D 44 24 1C 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 74 24 30 DB 44 24 30 DE C1 DB 7C 24 34 9B BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 6C 24 34 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 28 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 7C 24 34 DB 44 24 34 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 28 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 74 24 38 DB 44 24 38 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 28 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 44 24 18 50 8B 83 28 01 00 00 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 20 01 00 00 59 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13044_0 {
	meta:
		name = "TQRPrintable.PaintCorners"
		size = 216
		refs = "0010 TPen.SetColor 001d TPen.SetWidth 002b TCanvas.MoveTo 0036 TCanvas.LineTo"
	strings:
		$1 = { 53 56 8B F0 8B 9E 18 01 00 00 33 D2 8B 43 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? B9 04 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4E 3C 83 E9 04 49 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4E 3C 49 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4E 3C 49 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 38 83 EA 04 4A 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 56 38 4A 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 56 38 4A B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4E 3C 49 8B 56 38 83 EA 04 4A 8B C3 E8 ?? ?? ?? ?? 8B 4E 3C 49 8B 56 38 4A 8B C3 E8 ?? ?? ?? ?? 8B 4E 3C 83 E9 04 49 8B 56 38 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13045_0 {
	meta:
		name = "TQRPrintable.SetBounds"
		size = 399
		refs = "002a TWinControl.SetBounds 005b TQRPrintableSize.GetValue 007c TQRPrintableSize.SetValue"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 83 30 01 00 00 80 78 10 00 74 18 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? E9 37 01 00 00 F6 43 20 01 0F 85 FB 00 00 00 8B 10 FF 52 14 88 45 FF B2 02 8B 83 30 01 00 00 8B 08 FF 51 24 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 45 08 DE D9 DF E0 9E 74 17 DB 45 08 83 C4 F4 DB 3C 24 9B 33 D2 8B 83 30 01 00 00 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? DB 45 0C DE D9 DF E0 9E 74 1A DB 45 0C 83 C4 F4 DB 3C 24 9B BA 03 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 7D F8 DB 45 F8 DE D9 DF E0 9E 74 1D 89 7D F8 DB 45 F8 83 C4 F4 DB 3C 24 9B BA 02 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 89 75 F8 DB 45 F8 DE D9 DF E0 9E 74 1D 89 75 F8 DB 45 F8 83 C4 F4 DB 3C 24 9B BA 01 00 00 00 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 8A 55 FF 8B 83 30 01 00 00 8B 08 FF 51 24 EB 32 85 F6 74 06 89 B3 48 01 00 00 85 FF 74 06 89 BB 3C 01 00 00 83 7D 0C 00 74 09 8B 45 0C 89 83 40 01 00 00 83 7D 08 00 74 09 8B 45 08 89 83 44 01 00 00 80 BB 1E 01 00 00 00 74 13 80 BB 1C 01 00 00 00 75 0A 8B C3 8B 10 FF 92 80 00 00 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13046_0 {
	meta:
		name = "TQRPrintable.SetParent"
		size = 230
		refs = "000c TControl.SetParent 0014 _DV_TQuickRep 0019 @IsClass 0026 TQuickRep.GetUnits 005d TQRPrintable.SetZoom 0066 TControl.SetTop 006f TControl.SetLeft 0079 _DV_TQRCustomBand 008b TQRCustomBand.GetUnits"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 54 8B FE 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 83 30 01 00 00 8B 08 FF 51 24 8B C7 89 83 28 01 00 00 8B 93 30 01 00 00 89 42 0C 8B 73 34 8B 7B 30 8B 83 28 01 00 00 8B 90 3C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? EB 6D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5C 8B FE 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 83 30 01 00 00 8B 08 FF 51 24 8B 97 90 01 00 00 85 D2 74 24 8B C2 89 83 28 01 00 00 8B 93 30 01 00 00 89 42 0C 8B 83 28 01 00 00 8B 90 3C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 73 34 8B 7B 30 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13047_0 {
	meta:
		name = "TCustomLabel.GetTransparent"
		size = 10
		altNames = "TQRPrintable.GetTransparent"
	strings:
		$1 = { F6 40 40 40 0F 95 C0 34 01 C3 }
	condition:
		$1
}

rule function_13048_0 {
	meta:
		name = "TQRPrintable.SetTransparent"
		size = 68
		refs = "0009 TQRPrintable.GetTransparent 0017 TQRPrintable.SetTransparent"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 2B 84 DB 74 12 66 A1 ?? ?? ?? ?? F7 D0 66 23 46 40 66 89 46 40 EB 0E 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 8B C6 8B 10 FF 52 44 5E 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_13701_0 {
	meta:
		name = "TCustomLabel.SetTransparent"
		size = 68
		refs = "0009 TCustomLabel.GetTransparent 0017 TCustomLabel.SetTransparent"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 2B 84 DB 74 12 66 A1 ?? ?? ?? ?? F7 D0 66 23 46 40 66 89 46 40 EB 0E 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 8B C6 8B 10 FF 52 44 5E 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_13049_0 {
	meta:
		name = "TQRPrintable.UnPrepare"
		size = 8
	strings:
		$1 = { C6 80 24 01 00 00 00 C3 }
	condition:
		$1
}

rule function_13050_0 {
	meta:
		name = "TQRCompositeReport.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 002d _DV_TQuickRepPrinterSettings 0032 TQRPrinterSettings.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13052_0 {
	meta:
		name = "_NF__4E3"
		size = 279
		refs = "000d TList.Clear 0031 TQRPrinter.BeginDoc 0039 TQRPrinter.NewPage 0043 TList.Get 004e TQuickRep.SetUnits 005e TQRPage.GetValue 0063 @ROUND 00bb TQuickRep.CreateReport 00fc TQRPrinter.EndDoc"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F0 8B 46 40 E8 ?? ?? ?? ?? 66 83 7E 26 00 74 08 8B D6 8B 46 28 FF 56 24 8B 46 40 83 78 08 00 0F 8E D3 00 00 00 8B 46 3C E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 33 D2 8B 46 40 E8 ?? ?? ?? ?? 8B D8 B2 04 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 33 C0 89 04 24 C7 44 24 04 01 00 00 00 8B 46 40 8B 40 08 48 85 C0 7C 77 40 89 44 24 08 33 FF 8B D7 8B 46 40 E8 ?? ?? ?? ?? 8B D8 8B 46 3C 89 83 E0 01 00 00 89 AB 84 01 00 00 8B 04 24 89 83 C0 01 00 00 8B 44 24 04 89 83 7C 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 66 83 7E 2E 00 74 12 8B D7 8B 46 40 E8 ?? ?? ?? ?? 8B D0 8B 46 30 FF 56 2C 8B AB 84 01 00 00 8B 83 C0 01 00 00 89 04 24 8B 83 7C 01 00 00 89 44 24 04 47 FF 4C 24 08 75 90 8B 46 3C E8 ?? ?? ?? ?? 66 83 7E 2E 00 74 08 8B D6 8B 46 30 FF 56 2C 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13053_0 {
	meta:
		name = "TQRCompositeReport.Print"
		size = 40
		refs = "0007 _Dn_TQRPrinter 000c TQRPrinter.Create 001a TQRPrinter.SetDestination 0021 _NF__4E3"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 3C B2 01 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13054_0 {
	meta:
		name = "TQRCompositeReport.Preview"
		size = 38
		refs = "0007 _Dn_TQRPrinter 000c TQRPrinter.Create 0018 TQRPrinter.Preview 001f _NF__4E3"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 3C 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13055_0 {
	meta:
		name = "TQRCompositeReport.Prepare"
		size = 27
		refs = "0006 _Dn_TQRPrinter 000b TQRPrinter.Create 0015 _NF__4E3"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13056_0 {
	meta:
		name = "TControlHandle.CreateGrab"
		size = 101
		refs = "000e @ClassCreate 0020 TCustomControl.Create 0029 TControl.SetVisible 0048 TControlHandle.SetPosition"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 89 B3 20 01 00 00 6A 04 6A 04 33 C9 33 D2 8B C3 8B 30 FF 56 4C 8A 55 08 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13057_0 {
	meta:
		name = "TControlHandle.MouseDown"
		size = 50
		refs = "002a TQRDesigner.SizeBegin"
	strings:
		$1 = { 55 8B EC 84 D2 75 27 8B 90 20 01 00 00 80 BA C8 00 00 00 00 75 18 8A 90 1C 01 00 00 52 8B 4D 08 8B 55 0C 8B 80 20 01 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_13058_0 {
	meta:
		name = "TControlHandle.MouseMove"
		size = 62
		refs = "001a TControl.MouseMove 0032 TQRDesigner.SizeTo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8B 83 20 01 00 00 80 B8 C8 00 00 00 00 74 09 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13059_0 {
	meta:
		name = "TControlHandle.MouseUp"
		size = 43
		refs = "0023 TQRDesigner.SizeEnd"
	strings:
		$1 = { 55 8B EC 84 D2 75 20 8B 90 20 01 00 00 80 BA C8 00 00 00 00 74 11 8B 4D 08 8B 55 0C 8B 80 20 01 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_13060_0 {
	meta:
		name = "TControlHandle.Paint"
		size = 36
		refs = "0018 TCanvas.GetHandle 001e PatBlt"
	strings:
		$1 = { 53 8B D8 6A 42 8B 43 3C 50 8B 43 38 50 6A 00 6A 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13061_0 {
	meta:
		name = "_NF__502"
		size = 25
		refs = "0009 TControl.SetLeft 0012 TControl.SetTop"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13063_0 {
	meta:
		name = "TControlHandle.SetPosition"
		size = 34
		refs = "0018 _NV__1F2 001d TControl.SetCursor"
	strings:
		$1 = { 3A 90 1C 01 00 00 74 19 8B CA 88 88 1C 01 00 00 33 D2 8A D1 66 8B 14 55 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13064_0 {
	meta:
		name = "TControlHandle.Hide"
		size = 26
		refs = "0015 TControl.SetVisible"
	strings:
		$1 = { 80 78 44 00 74 13 83 78 24 00 74 0D F6 40 20 08 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13065_0 {
	meta:
		name = "TControlHandle.Show"
		size = 27
		refs = "000c TControl.BringToFront 0015 TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 83 7B 24 00 74 10 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13066_0 {
	meta:
		name = "TControlHandle.GetCenter"
		size = 32
	strings:
		$1 = { 8B 48 38 D1 F9 79 03 83 D1 00 03 48 30 89 0A 8B 48 3C D1 F9 79 03 83 D1 00 03 48 34 89 4A 04 C3 }
	condition:
		$1
}

rule function_13067_0 {
	meta:
		name = "TQRDesigner.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TControl.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 C8 00 00 00 00 C6 86 B8 00 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13069_0 {
	meta:
		name = "TQRDesigner.AddComponent"
		size = 14
	strings:
		$1 = { 89 90 FC 00 00 00 C6 80 B9 00 00 00 01 C3 }
	condition:
		$1
}

rule function_13070_0 {
	meta:
		name = "TQRDesigner.AddIt"
		size = 117
		refs = "003c TControl.SetTop 0046 TControl.SetLeft 0059 Application 0060 TApplication.ProcessMessages"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 80 BB B9 00 00 00 00 74 56 8B 83 C4 00 00 00 8B 48 04 B2 01 8B 83 FC 00 00 00 FF 50 24 8B F0 8B D7 8B C6 8B 08 FF 51 3C 8B 55 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? C6 83 B9 00 00 00 00 8B C6 8B 10 FF 52 44 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 54 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13072_0 {
	meta:
		name = "TQRDesigner.Edit"
		size = 78
		refs = "000d TQRDesigner.StopEdit 0016 _NF__524 0037 TQuickRep.Edit"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 07 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 04 8B C3 E8 ?? ?? ?? ?? 89 B3 C4 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 54 C6 83 B8 00 00 00 01 5E 5B C3 }
	condition:
		$1
}

rule function_13073_0 {
	meta:
		name = "TQRDesigner.GetHandles"
		size = 27
		refs = "000c _NF__541 0015 _NF__524"
	strings:
		$1 = { 53 8B D8 8B 93 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 04 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13074_0 {
	meta:
		name = "_NF__524"
		size = 338
		refs = "0022 TWinControl.GetHandle 0028 LockWindowUpdate 0043 _NF__51E 005a _NF__524 007c _DV_TControlHandle 0081 TControlHandle.CreateGrab 00e9 TObject.Free 010d TControlHandle.Show 011f TControlHandle.Hide"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B F0 83 BE B4 00 00 00 00 74 1A 8A 04 24 04 FC 2C 02 73 11 8B 86 C4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 86 B4 00 00 00 85 C0 74 11 80 3C 24 04 75 0B B1 01 8B D0 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 8A 04 24 83 F8 05 0F 87 CC 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D3 89 84 96 C8 00 00 00 E9 8E 00 00 00 83 BE B4 00 00 00 00 75 18 33 C0 8A C3 8B 84 86 C8 00 00 00 8B 96 C4 00 00 00 8B 08 FF 51 3C EB 6D 33 C0 8A C3 8B 84 86 C8 00 00 00 8B 96 C4 00 00 00 8B 08 FF 51 3C EB 55 8B FB 83 E7 7F 8B 84 BE C8 00 00 00 33 D2 8B 08 FF 51 3C 8B 84 BE C8 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 84 BE C8 00 00 00 EB 2B 83 BE B4 00 00 00 00 74 22 33 C0 8A C3 8B 84 86 C8 00 00 00 E8 ?? ?? ?? ?? EB 10 33 C0 8A C3 8B 84 86 C8 00 00 00 E8 ?? ?? ?? ?? 43 80 FB 09 0F 85 1C FF FF FF 83 BE B4 00 00 00 00 74 17 8A 04 24 04 FC 2C 02 73 0E 6A 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13075_0 {
	meta:
		name = "TQRDesigner.SetEditControl"
		size = 74
		refs = "000b _NF__524"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 05 8B C3 E8 ?? ?? ?? ?? 66 83 BB BE 00 00 00 00 74 0E 8B D6 8B 83 C0 00 00 00 FF 93 BC 00 00 00 89 B3 B4 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 00 00 00 80 78 44 00 74 05 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_13076_0 {
	meta:
		name = "TQRDesigner.SetOnSelectComponent"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 BC 00 00 00 8B 55 0C 89 90 C0 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_13077_0 {
	meta:
		name = "TQRDesigner.SizeBegin"
		size = 107
		refs = "0028 _NF__524 002f TQRDesigner.SetFocusFrame 0034 Application 003b TApplication.ProcessMessages 0049 _DV_TQRPrintable 004e @IsClass 005a _DV_TQRCustomBand"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 C6 83 C8 00 00 00 01 89 93 04 01 00 00 89 8B 08 01 00 00 8A 45 08 88 83 00 01 00 00 B2 05 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B B3 B4 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13078_0 {
	meta:
		name = "TQRDesigner.SizeEnd"
		size = 99
		refs = "0007 TQRDesigner.SizeTo 0015 _DV_TQRPrintable 001a @IsClass 0025 TQRPrintable.ReleaseFocusFrame 002f _DV_TQRCustomBand 003f TQRCustomBand.ReleaseFocusFrame 0053 _NF__541 005c _NF__524"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 B4 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 18 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? C6 83 C8 00 00 00 00 8B 93 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13079_0 {
	meta:
		name = "TQRDesigner.SizeTo"
		size = 1065
		refs = "0017 _DV_TQRPrintable 001c @IsClass 003c TQRDesigner.SizeTo 008d Rect 0096 TQRDesigner.MoveFocusFrame 0224 _DV_TQRCustomBand"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 8B FA 8B D8 8B B3 B4 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F8 01 00 00 33 C0 8A 83 00 01 00 00 83 F8 08 0F 87 E8 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 46 34 03 46 3C 50 8D 44 24 04 50 8B 4E 30 03 4E 38 8B 56 34 03 D5 2B 93 08 01 00 00 8B 46 30 03 C7 2B 83 04 01 00 00 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? E9 82 03 00 00 8B 46 34 03 46 3C 50 8D 44 24 04 50 8B 7E 30 8B CF 03 4E 38 8B 56 34 03 D5 2B 93 08 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? E9 4E 03 00 00 8B 46 34 03 46 3C 50 8D 44 24 04 50 8B 4E 30 03 4E 38 03 CF 2B 8B 04 01 00 00 8B 56 34 03 D5 2B 93 08 01 00 00 8B 46 30 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? E9 13 03 00 00 8B 46 34 03 46 3C 50 8D 44 24 04 50 8B 6E 30 8B CD 03 4E 38 8B C5 03 C7 2B 83 04 01 00 00 8B 56 34 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? E9 DF 02 00 00 8B 46 34 03 46 3C 50 8D 44 24 04 50 8B 6E 30 8B CD 03 4E 38 03 CF 2B 8B 04 01 00 00 8B 56 34 8B C5 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? E9 AB 02 00 00 8B 46 34 03 46 3C 03 E8 2B AB 08 01 00 00 55 8D 44 24 04 50 8B 4E 30 03 4E 38 8B 46 30 03 C7 2B 83 04 01 00 00 8B 56 34 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? E9 70 02 00 00 8B 46 34 03 46 3C 03 E8 2B AB 08 01 00 00 55 8D 44 24 04 50 8B 7E 30 8B CF 03 4E 38 8B 56 34 8B C7 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? E9 3C 02 00 00 8B 46 34 03 46 3C 03 E8 2B AB 08 01 00 00 55 8D 44 24 04 50 8B 4E 30 03 4E 38 03 CF 2B 8B 04 01 00 00 8B 56 34 8B 46 30 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? E9 01 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 EC 01 00 00 33 C0 8A 83 00 01 00 00 83 F8 08 0F 87 DB 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 46 34 03 46 3C 50 8D 44 24 04 50 8B 4E 30 03 4E 38 8B 56 34 03 D5 2B 93 08 01 00 00 8B 46 30 03 C7 2B 83 04 01 00 00 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? E9 75 01 00 00 8B 46 34 03 46 3C 50 8D 44 24 04 50 8B 7E 30 8B CF 03 4E 38 8B 56 34 03 D5 2B 93 08 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? E9 41 01 00 00 8B 46 34 03 46 3C 50 8D 44 24 04 50 8B 4E 30 03 4E 38 03 CF 2B 8B 04 01 00 00 8B 56 34 03 D5 2B 93 08 01 00 00 8B 46 30 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? E9 06 01 00 00 8B 46 34 03 46 3C 50 8D 44 24 04 50 8B 6E 30 8B CD 03 4E 38 8B 56 34 8B C5 03 C7 2B 83 04 01 00 00 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? E9 D2 00 00 00 8B 46 34 03 46 3C 50 8D 44 24 04 50 8B 6E 30 8B CD 03 4E 38 03 CF 2B 8B 04 01 00 00 8B 56 34 8B C5 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? E9 9E 00 00 00 8B 46 34 03 46 3C 03 E8 2B AB 08 01 00 00 55 8D 44 24 04 50 8B 4E 30 03 4E 38 8B 56 34 8B 46 30 03 C7 2B 83 04 01 00 00 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? EB 66 8B 46 34 03 46 3C 03 E8 2B AB 08 01 00 00 55 8D 44 24 04 50 8B 4E 30 03 4E 38 8B 56 34 8B 46 30 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? EB 36 8B 46 34 03 46 3C 03 E8 2B AB 08 01 00 00 55 8D 44 24 04 50 8B 4E 30 03 4E 38 03 CF 2B 8B 04 01 00 00 8B 56 34 8B 46 30 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13080_0 {
	meta:
		name = "TQRDesigner.StopEdit"
		size = 63
		refs = "0032 _NF__524"
	strings:
		$1 = { 53 8B D8 80 BB B8 00 00 00 00 74 31 8B 83 C4 00 00 00 85 C0 74 0F C6 80 DE 01 00 00 00 33 C0 89 83 C4 00 00 00 33 C0 89 83 B4 00 00 00 B2 02 8B C3 E8 ?? ?? ?? ?? C6 83 B8 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_13081_0 {
	meta:
		name = "TQRDesigner.SetFocusFrame"
		size = 171
		refs = "0011 TControl.GetBoundsRect 002e _DV_TQRCustomBand 0033 @IsClass 0054 OffsetRect 006a TPen.SetColor 0079 TWinControl.GetHandle 007f GetDCEx 008e DrawFocusRect 00a0 ReleaseDC"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B D4 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 8B F4 8D BB EC 00 00 00 B9 04 00 00 00 F3 A5 8B B3 B4 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1D 8B 83 B4 00 00 00 8B 40 24 8B 50 34 52 8B 40 30 50 8D 83 EC 00 00 00 50 E8 ?? ?? ?? ?? 8B 83 C4 00 00 00 8B 80 18 01 00 00 8B 40 10 33 D2 E8 ?? ?? ?? ?? 6A 21 6A 00 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8D 83 EC 00 00 00 50 56 E8 ?? ?? ?? ?? 56 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13082_0 {
	meta:
		name = "TQRDesigner.ReleaseFocusFrame"
		size = 158
		refs = "0019 TPen.SetColor 0028 TWinControl.GetHandle 002e GetDCEx 003d DrawFocusRect 004f ReleaseDC 005d _DV_TQRCustomBand 0062 @IsClass 0087 OffsetRect"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 83 C4 00 00 00 8B 80 18 01 00 00 8B 40 10 33 D2 E8 ?? ?? ?? ?? 6A 21 6A 00 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8D 83 EC 00 00 00 50 56 E8 ?? ?? ?? ?? 56 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B B3 B4 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8B 83 B4 00 00 00 8B 40 24 8B 50 34 F7 DA 52 8B 40 30 F7 D8 50 8D 83 EC 00 00 00 50 E8 ?? ?? ?? ?? 57 8D B3 EC 00 00 00 B9 04 00 00 00 F3 A5 5F 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13083_0 {
	meta:
		name = "TQRDesigner.MoveFocusFrame"
		size = 187
		refs = "0026 TPen.SetColor 0035 TWinControl.GetHandle 003b GetDCEx 004a DrawFocusRect 006b _DV_TQRCustomBand 0070 @IsClass 0091 OffsetRect 00b0 ReleaseDC"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D8 8B 83 C4 00 00 00 8B 80 18 01 00 00 8B 40 10 33 D2 E8 ?? ?? ?? ?? 6A 21 6A 00 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8D 83 EC 00 00 00 50 56 E8 ?? ?? ?? ?? 56 8D 74 24 04 8D BB EC 00 00 00 B9 04 00 00 00 F3 A5 5E 8B BB B4 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1D 8B 83 B4 00 00 00 8B 40 24 8B 50 34 52 8B 40 30 50 8D 83 EC 00 00 00 50 E8 ?? ?? ?? ?? 8D 83 EC 00 00 00 50 56 E8 ?? ?? ?? ?? 56 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13084_0 {
	meta:
		name = "_NF__541"
		size = 333
		refs = "0012 _DV_TQRCustomBand 0017 @IsClass 0045 _NF__502"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B BE B4 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0B 8B 47 24 8B 78 30 8B 68 34 EB 04 33 FF 33 ED 8B 4B 34 03 CD 83 E9 02 8B 53 30 03 D7 83 EA 02 8B 86 CC 00 00 00 E8 ?? ?? ?? ?? 8B 53 30 03 D7 8B 43 38 D1 F8 79 03 83 D0 00 03 D0 83 EA 02 8B 4B 34 03 CD 83 E9 02 8B 86 D0 00 00 00 E8 ?? ?? ?? ?? 8B 4B 34 03 CD 83 E9 02 8B 53 30 03 D7 03 53 38 83 EA 02 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? 8B 4B 34 03 CD 8B 43 3C D1 F8 79 03 83 D0 00 03 C8 83 E9 02 8B 53 30 03 D7 83 EA 02 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? 8B 4B 34 03 CD 8B 43 3C D1 F8 79 03 83 D0 00 03 C8 83 E9 02 8B 53 30 03 D7 03 53 38 83 EA 02 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 8B 4B 34 03 CD 03 4B 3C 83 E9 02 8B 53 30 03 D7 83 EA 02 8B 86 E0 00 00 00 E8 ?? ?? ?? ?? 8B 53 30 03 D7 8B 43 38 D1 F8 79 03 83 D0 00 03 D0 83 EA 02 8B 4B 34 03 CD 03 4B 3C 83 E9 02 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 8B 4B 34 03 CD 03 4B 3C 83 E9 02 8B 53 30 03 D7 03 53 38 83 EA 02 8B 86 E8 00 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13085_0 {
	meta:
		name = "TQuickReport.Create"
		size = 84
		refs = "000e @ClassCreate 001c TQuickRep.Create 0023 _DV_TQRFrame 0028 TQRFrame.Create 0039 TQRFrame.SetParent"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 44 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13086_0 {
	meta:
		name = "TQuickReport.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TQuickRep.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 44 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13087_0 {
	meta:
		name = "TQuickReport.Loaded"
		size = 335
		refs = "0018 TQuickReport.Loaded 0026 TQuickRep.Loaded 0040 _DV_TQuickRep 0045 TQuickRep.Create 0061 TComponent.GetComponentCount 007f TComponent.GetComponent 0085 _DV_TQRCustomBand 008a @IsClass 00af TWinControl.GetControlCount 00c0 TWinControl.GetControl 00ed @LStrLAsg 010a TObject.Free 0117 LoadStr 011f ShowMessage 0134 @LStrClr 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 0F 84 EC 00 00 00 8B 45 FC 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 50 24 8B 45 F8 8B 08 FF 51 3C 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 48 85 C0 7C 79 40 89 45 EC C7 45 F4 00 00 00 00 8B 45 FC 8B 40 04 8B 55 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 49 8B 45 FC 8B 40 04 8B 55 F4 E8 ?? ?? ?? ?? 8B F0 8B 55 F8 8B C6 8B 08 FF 51 3C 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 21 47 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 8B 08 FF 51 3C 8B D6 8B C3 8B 08 FF 51 3C 4F 75 E0 FF 45 F4 FF 4D EC 75 92 8D 45 F0 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 18 8B 55 F0 8B 45 F8 8B 08 FF 51 18 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 B8 AD 8D 00 00 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13088_0 {
	meta:
		name = "SetQRHiColor"
		size = 120
		refs = "0004 _NV__1F3 000b _NV__1F4 0012 _NV__1F5 001c _NV__1F6 0025 SetQRHiColor 002a _NV__1F7 0033 _NV__1F8 003d _NV__1F9 0047 _NV__1FA 004e _NV__1FB 0058 _NV__1FC 005f _NV__1FD"
	strings:
		$1 = { 56 57 C6 05 ?? ?? ?? ?? 00 C6 05 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? F9 F9 F9 00 C7 05 ?? ?? ?? ?? F0 F0 F0 00 BE ?? ?? ?? ?? BF ?? ?? ?? ?? A5 A5 A5 C7 05 ?? ?? ?? ?? 70 70 70 00 C7 05 ?? ?? ?? ?? 06 00 00 00 C6 05 ?? ?? ?? ?? 02 C7 05 ?? ?? ?? ?? 80 80 FF 00 C6 05 ?? ?? ?? ?? 02 C7 05 ?? ?? ?? ?? 60 60 60 00 5F 5E C3 00 00 0B 53 6D 61 6C 6C 20 46 6F 6E 74 73 }
	condition:
		$1
}

rule function_13089_0 {
	meta:
		name = "SetQRLoColor"
		size = 120
		refs = "0004 _NV__1F3 000b _NV__1F4 0012 _NV__1F5 001c _NV__1F6 0025 SetQRLoColor 002a _NV__1F7 0033 _NV__1F8 003d _NV__1F9 0047 _NV__1FA 004e _NV__1FB 0058 _NV__1FC 005f _NV__1FD"
	strings:
		$1 = { 56 57 C6 05 ?? ?? ?? ?? 02 C6 05 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? C0 C0 C0 00 C7 05 ?? ?? ?? ?? C0 C0 C0 00 BE ?? ?? ?? ?? BF ?? ?? ?? ?? A5 A5 A5 C7 05 ?? ?? ?? ?? C0 C0 C0 00 C7 05 ?? ?? ?? ?? 06 00 00 00 C6 05 ?? ?? ?? ?? 01 C7 05 ?? ?? ?? ?? 80 80 80 00 C6 05 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? 80 80 80 00 5F 5E C3 00 00 0B 53 6D 61 6C 6C 20 46 6F 6E 74 73 }
	condition:
		$1
}

rule function_13090_0 {
	meta:
		name = "_NF__54D"
		size = 51
		refs = "0004 GetDC 000e GetDeviceCaps 001e SetQRHiColor 0025 SetQRLoColor 002d ReleaseDC"
	strings:
		$1 = { 53 6A 00 E8 ?? ?? ?? ?? 8B D8 6A 18 53 E8 ?? ?? ?? ?? 3D 00 01 00 00 7F 04 85 C0 7D 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13091_0 {
	meta:
		name = "TQRDetailLink.DefineProperties"
		size = 168
		refs = "0013 TQRDetailLink.WriteValues 001a TQRDetailLink.DefineProperties 0063 TQRCustomBand.DefineProperties"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 53 8B 03 8B 80 A0 00 00 00 50 53 68 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 8B 03 8B 80 A4 00 00 00 50 53 68 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 8B 03 8B 80 A8 00 00 00 50 53 68 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 FF FF FF FF 0A 00 00 00 44 61 74 61 53 6F 75 72 63 65 00 00 FF FF FF FF 0A 00 00 00 44 65 74 61 69 6C 42 61 6E 64 00 00 FF FF FF FF 08 00 00 00 4F 6E 46 69 6C 74 65 72 00 00 00 00 }
	condition:
		$1
}

rule function_13092_0 {
	meta:
		name = "TQRDetailLink.ReadDataSource"
		size = 83
		refs = "000f TQRDetailLink.ReadDataSource 001f TReader.ReadIdent 002d @LStrAsg 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 AC 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13093_0 {
	meta:
		name = "TQRDetailLink.ReadDetailBand"
		size = 83
		refs = "000f TQRDetailLink.ReadDetailBand 001f TReader.ReadIdent 002d @LStrAsg 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 B0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13095_0 {
	meta:
		name = "TQRDetailLink.Loaded"
		size = 70
		refs = "0007 TQRCustomBand.Loaded 001e TComponent.FindComponent 002c _Dn_TDataSource 0031 @IsClass 003f TQRSubDetail.SetDataSet"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB AC 01 00 00 00 74 2F 8B 93 AC 01 00 00 8B 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 56 24 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13098_0 {
	meta:
		name = "quickrpt"
		size = 47
		refs = "0003 _NV__1F1 000b _NF__54D 0010 GetSystemDefaultLCID 0020 GetLocaleChar 0029 _NV__1FE"
	strings:
		$1 = { 53 83 2D ?? ?? ?? ?? 01 73 23 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B1 20 BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 3C 31 0F 94 05 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13099_0 {
	meta:
		name = "_NF__79"
		size = 108
		refs = "0012 _NF__79 002d SInvalidRegType 0032 LoadResString 003c _DV_ERegistryException 0041 Exception.CreateFmt 0046 @RaiseExcept 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13100_0 {
	meta:
		name = "_NF__7A"
		size = 20
	strings:
		$1 = { 53 8B D8 85 DB 74 09 80 3B 5C 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_13101_0 {
	meta:
		name = "_NF__7B"
		size = 45
	strings:
		$1 = { FE C8 74 0E FE C8 74 10 FE C8 74 12 FE C8 74 14 EB 18 B8 01 00 00 00 C3 B8 02 00 00 00 C3 B8 04 00 00 00 C3 B8 03 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_13102_0 {
	meta:
		name = "_NF__7C"
		size = 38
	strings:
		$1 = { 83 F8 01 75 03 B0 01 C3 83 F8 02 75 04 B0 02 EB 14 83 F8 04 75 04 B0 03 EB 0B 83 F8 03 75 04 B0 04 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_13103_0 {
	meta:
		name = "TRegistry.Create"
		size = 53
		refs = "000a @ClassCreate 001a TRegistry.SetRootKey"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 BA 01 00 00 80 8B C6 E8 ?? ?? ?? ?? C6 46 0C 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13105_0 {
	meta:
		name = "TRegistry.CloseKey"
		size = 45
		refs = "0012 RegCloseKey 001a RegFlushKey 0027 @LStrClr"
	strings:
		$1 = { 53 8B D8 8B 43 04 85 C0 74 21 80 7B 0C 00 74 08 50 E8 ?? ?? ?? ?? EB 06 50 E8 ?? ?? ?? ?? 33 C0 89 43 04 8D 43 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13106_0 {
	meta:
		name = "TRegistry.SetRootKey"
		size = 42
		refs = "0015 RegCloseKey 0023 TRegistry.CloseKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 3B F0 74 1A 80 7B 14 00 74 0A 50 E8 ?? ?? ?? ?? C6 43 14 00 89 73 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13107_0 {
	meta:
		name = "TRegistry.ChangeKey"
		size = 33
		refs = "000c TRegistry.CloseKey 0019 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 73 04 8D 43 10 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13108_0 {
	meta:
		name = "TRegistry.GetBaseKey"
		size = 18
	strings:
		$1 = { 8B 48 04 85 C9 74 04 84 D2 75 04 8B 40 08 C3 8B C1 C3 }
	condition:
		$1
}

rule function_13109_0 {
	meta:
		name = "TRegistry.SetCurrentKey"
		size = 4
		altNames = "TSeriesPointer.ChangeHorizSize"
	strings:
		$1 = { 89 50 04 C3 }
	condition:
		$1
}

rule function_13110_0 {
	meta:
		name = "TRegistry.CreateKey"
		size = 241
		refs = "0019 TRegistry.CreateKey 002e @LStrLAsg 0036 _NF__7A 004e @LStrDelete 006b @LStrToPChar 0075 TRegistry.GetBaseKey 007b RegCreateKeyEx 008f RegCloseKey 00a6 SRegCreateFailed 00ab LoadResString 00b5 _DV_ERegistryException 00ba Exception.CreateFmt 00bf @RaiseExcept 00d4 @LStrClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 FC 50 6A 00 68 3F 00 0F 00 6A 00 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 84 DB 74 0B 8B 45 FC 50 E8 ?? ?? ?? ?? EB 2E 89 7D EC C6 45 F0 0B 8D 45 EC 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13111_0 {
	meta:
		name = "TRegistry.OpenKey"
		size = 292
		refs = "0018 TRegistry.OpenKey 0028 @LStrLAsg 0030 _NF__7A 0048 @LStrDelete 006c @LStrToPChar 0076 TRegistry.GetBaseKey 007c RegOpenKeyEx 00b1 RegCreateKeyEx 00e0 @LStrCatN 00ed TRegistry.ChangeKey 0102 @LStrClr 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F4 88 4D FF 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 F4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 F8 80 7D FF 00 74 06 83 7D F4 00 75 2B 8D 45 F8 50 68 3F 00 0F 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 94 45 FE EB 33 8D 45 F0 50 8D 45 F8 50 6A 00 68 3F 00 0F 00 6A 00 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 94 45 FE 80 7D FE 00 74 30 83 7E 04 00 0F 95 C0 84 D8 74 18 FF 76 10 68 ?? ?? ?? ?? FF 75 F4 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FE 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_13112_0 {
	meta:
		name = "TRegistry.DeleteKey"
		size = 377
		refs = "001c TRegistry.DeleteKey 002c @LStrLAsg 0034 _NF__7A 004f @LStrDelete 0062 TRegistry.GetKey 0088 TRegistry.SetCurrentKey 0093 TRegistry.GetKeyInfo 00a5 @LStrFromPCharLen 00cb @LStrToPChar 00d6 RegEnumKeyEx 00ec @LStrFromPChar 011c RegCloseKey 0122 @HandleFinally 0138 TRegistry.GetBaseKey 013e RegDeleteKey 0158 @LStrClr 0165 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 C9 89 4D C4 89 4D F0 89 4D EC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 75 12 8D 45 F0 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 89 45 E8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 0F 84 B5 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 64 8B 4D CC 41 8D 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 5D C8 4B 85 DB 7C 4E 43 33 F6 8B 45 CC 40 89 45 F8 6A 00 6A 00 6A 00 6A 00 8D 45 F8 50 8B 45 EC E8 ?? ?? ?? ?? 50 56 8B 45 E4 50 E8 ?? ?? ?? ?? 85 C0 75 1D 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 45 F0 E8 ?? ?? ?? ?? 50 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13113_0 {
	meta:
		name = "TRegistry.DeleteValue"
		size = 31
		refs = "0009 @LStrToPChar 0013 RegDeleteValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_13114_0 {
	meta:
		name = "TRegistry.GetKeyInfo"
		size = 68
		refs = "0010 @FillChar 0038 RegQueryInfoKey"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 8D 43 14 50 6A 00 8D 43 10 50 8D 43 0C 50 8D 43 08 50 6A 00 8D 43 04 50 53 6A 00 6A 00 6A 00 8B 46 04 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_13115_0 {
	meta:
		name = "TRegistry.GetKeyNames"
		size = 198
		refs = "001a TRegistry.GetKeyNames 0032 TRegistry.GetKeyInfo 0044 @LStrFromPCharLen 006a @LStrToPChar 0075 RegEnumKeyEx 0087 @LStrFromPChar 00ab @LStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D D4 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 60 8B 4D DC 41 8D 45 F4 33 D2 E8 ?? ?? ?? ?? 8B 5D D8 4B 85 DB 7C 4A 43 33 F6 8B 45 DC 40 89 45 F8 6A 00 6A 00 6A 00 6A 00 8D 45 F8 50 8B 45 F4 E8 ?? ?? ?? ?? 50 56 8B 47 04 50 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 8B 08 FF 51 34 46 4B 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13116_0 {
	meta:
		name = "TRegistry.GetValueNames"
		size = 198
		refs = "001a TRegistry.GetValueNames 0032 TRegistry.GetKeyInfo 0044 @LStrFromPCharLen 006a @LStrToPChar 0075 RegEnumValue 0087 @LStrFromPChar 00ab @LStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D D4 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 60 8B 4D E4 41 8D 45 F4 33 D2 E8 ?? ?? ?? ?? 8B 5D E0 4B 85 DB 7C 4A 43 33 F6 8B 45 E4 40 89 45 F8 6A 00 6A 00 6A 00 6A 00 8D 45 F8 50 8B 45 F4 E8 ?? ?? ?? ?? 50 56 8B 47 04 50 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 8B 08 FF 51 34 46 4B 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13117_0 {
	meta:
		name = "TRegistry.GetDataInfo"
		size = 79
		refs = "0015 @FillChar 0029 @LStrToPChar 0033 RegQueryValueEx 0040 _NF__7C"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B F0 8B C5 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 04 50 6A 00 8D 44 24 08 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 8B 04 24 E8 ?? ?? ?? ?? 88 45 00 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13118_0 {
	meta:
		name = "TRegistry.GetDataSize"
		size = 38
		refs = "0010 TRegistry.GetDataInfo"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 8B 44 24 04 EB 03 83 C8 FF 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13119_0 {
	meta:
		name = "TRegistry.GetDataType"
		size = 36
		refs = "0010 TRegistry.GetDataInfo"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8A 04 24 EB 02 33 C0 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13120_0 {
	meta:
		name = "TRegistry.WriteString"
		size = 41
		refs = "000c @LStrLen 0016 @LStrToPChar 0021 TRegistry.PutData"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 50 6A 01 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13121_0 {
	meta:
		name = "TRegistry.WriteExpandString"
		size = 41
		refs = "000c @LStrLen 0016 @LStrToPChar 0021 TRegistry.PutData"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 50 6A 02 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13122_0 {
	meta:
		name = "TRegistry.ReadString"
		size = 118
		refs = "0010 TRegistry.GetDataSize 0021 @LStrFromPCharLen 002e @LStrToPChar 0039 TRegistry.GetData 0051 StrLen 005a @LStrSetLength 0063 _NF__79 006c @LStrClr"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B EA 8B F0 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 4F 8B C7 8B CB 33 D2 E8 ?? ?? ?? ?? 53 8D 44 24 04 50 8B 07 E8 ?? ?? ?? ?? 8B C8 8B D5 8B C6 E8 ?? ?? ?? ?? 80 3C 24 01 74 06 80 3C 24 02 75 17 8B 07 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 10 8B C5 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13123_0 {
	meta:
		name = "TRegistry.WriteInteger"
		size = 19
		refs = "000d TRegistry.PutData"
	strings:
		$1 = { 51 89 0C 24 6A 04 6A 03 8D 4C 24 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_13124_0 {
	meta:
		name = "TRegistry.ReadInteger"
		size = 45
		refs = "0014 TRegistry.GetData 0022 _NF__79"
	strings:
		$1 = { 53 83 C4 F8 8B DA 6A 04 8D 54 24 08 52 8D 4C 24 08 8B D3 E8 ?? ?? ?? ?? 80 7C 24 04 03 74 07 8B C3 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_13125_0 {
	meta:
		name = "TRegistry.WriteBool"
		size = 9
		refs = "0004 TRegistry.WriteInteger"
	strings:
		$1 = { 83 E1 7F E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13127_0 {
	meta:
		name = "TRegistry.WriteCurrency"
		size = 19
		refs = "000b TRegistry.PutData"
		altNames = "TRegistry.WriteDateTime TRegistry.WriteFloat"
	strings:
		$1 = { 55 8B EC 6A 08 6A 04 8D 4D 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_13128_0 {
	meta:
		name = "TRegistry.ReadDateTime"
		size = 51
		refs = "0014 TRegistry.GetData 0027 _NF__79"
		altNames = "TRegistry.ReadFloat"
	strings:
		$1 = { 53 83 C4 F4 8B DA 6A 08 8D 54 24 0C 52 8D 4C 24 08 8B D3 E8 ?? ?? ?? ?? 80 7C 24 08 04 75 05 83 F8 08 74 07 8B C3 E8 ?? ?? ?? ?? DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_13130_0 {
	meta:
		name = "TRegistry.ReadCurrency"
		size = 51
		refs = "0014 TRegistry.GetData 0027 _NF__79"
	strings:
		$1 = { 53 83 C4 F4 8B DA 6A 08 8D 54 24 0C 52 8D 4C 24 08 8B D3 E8 ?? ?? ?? ?? 80 7C 24 08 04 75 05 83 F8 08 74 07 8B C3 E8 ?? ?? ?? ?? DF 2C 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_13134_0 {
	meta:
		name = "TRegistry.ReadDate"
		size = 18
		refs = "0004 TRegistry.ReadDateTime"
		altNames = "TRegistry.ReadTime"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_13137_0 {
	meta:
		name = "TRegistry.WriteBinaryData"
		size = 20
		refs = "000b TRegistry.PutData"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A 04 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13138_0 {
	meta:
		name = "TRegistry.ReadBinaryData"
		size = 93
		refs = "0018 TRegistry.GetDataInfo 0041 TRegistry.GetData 004a _NF__79"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B FA 8B D8 8D 4D F0 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 74 30 8B 75 F4 8A 45 F0 88 45 FB 80 7D FB 04 75 18 3B 75 08 7F 13 56 8D 45 FB 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? EB 0B 8B C7 E8 ?? ?? ?? ?? EB 02 33 F6 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13139_0 {
	meta:
		name = "TRegistry.PutData"
		size = 161
		refs = "0019 TRegistry.PutData 0027 _NF__7B 003b @LStrToPChar 0045 RegSetValueEx 005e SRegSetDataFailed 0063 LoadResString 006d _DV_ERegistryException 0072 Exception.CreateFmt 0077 @RaiseExcept 008c @LStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 08 E8 ?? ?? ?? ?? 8B F0 8B 45 0C 50 8B 45 FC 50 56 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 74 2E 89 7D F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13140_0 {
	meta:
		name = "TRegistry.GetData"
		size = 173
		refs = "0018 TRegistry.GetData 0035 @LStrToPChar 003f RegQueryValueEx 0058 SRegGetDataFailed 005d LoadResString 0067 _DV_ERegistryException 006c Exception.CreateFmt 0071 @RaiseExcept 007c _NF__7C 0096 @LStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 45 0C 50 57 8D 45 FC 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 74 2E 89 75 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13141_0 {
	meta:
		name = "TRegistry.HasSubKeys"
		size = 36
		refs = "000b TRegistry.GetKeyInfo"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 83 3C 24 00 7F 04 33 C0 EB 02 B0 01 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_13142_0 {
	meta:
		name = "TRegistry.ValueExists"
		size = 13
		refs = "0006 TRegistry.GetDataInfo"
	strings:
		$1 = { 83 C4 F8 8B CC E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_13143_0 {
	meta:
		name = "TRegistry.GetKey"
		size = 151
		refs = "0015 TRegistry.GetKey 0025 @LStrLAsg 002d _NF__7A 0045 @LStrDelete 005d @LStrToPChar 0067 TRegistry.GetBaseKey 006d RegOpenKeyEx 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 FC 8D 45 FC 50 68 3F 00 0F 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13144_0 {
	meta:
		name = "TRegistry.RegistryConnect"
		size = 56
		refs = "000f @LStrToPChar 0015 RegConnectRegistry 002a TRegistry.SetRootKey"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 54 8B 46 08 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 84 DB 74 0E 8B 14 24 8B C6 E8 ?? ?? ?? ?? C6 46 14 01 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13145_0 {
	meta:
		name = "TRegistry.LoadKey"
		size = 138
		refs = "0012 TRegistry.LoadKey 0022 @LStrLAsg 002a _NF__7A 0040 @LStrDelete 0047 @LStrToPChar 005a RegLoadKey 0076 @LStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 08 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13146_0 {
	meta:
		name = "TRegistry.UnLoadKey"
		size = 126
		refs = "000f TRegistry.UnLoadKey 001f @LStrLAsg 0027 _NF__7A 003d @LStrDelete 0045 @LStrToPChar 004f RegUnLoadKey 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 08 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13147_0 {
	meta:
		name = "TRegistry.RestoreKey"
		size = 104
		refs = "000e TRegistry.GetKey 001f TRegistry.RestoreKey 002e @LStrToPChar 0038 RegRestoreKey 0054 RegCloseKey 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 C6 45 FF 00 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 45 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13149_0 {
	meta:
		name = "TRegistry.SaveKey"
		size = 104
		refs = "000e TRegistry.GetKey 001f TRegistry.SaveKey 002e @LStrToPChar 0038 RegSaveKey 0054 RegCloseKey 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 C6 45 FF 00 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 45 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13148_0 {
	meta:
		name = "TRegistry.ReplaceKey"
		size = 157
		refs = "0012 TRegistry.ReplaceKey 0022 @LStrLAsg 002a _NF__7A 0042 @LStrDelete 004a @LStrToPChar 0065 TRegistry.GetBaseKey 006b RegReplaceKey 0087 @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13150_0 {
	meta:
		name = "TRegistry.KeyExists"
		size = 25
		refs = "0002 TRegistry.GetKey 000e RegCloseKey"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 85 DB 74 06 53 E8 ?? ?? ?? ?? 85 DB 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_13151_0 {
	meta:
		name = "TRegistry.RenameValue"
		size = 168
		refs = "0015 TRegistry.ValueExists 0034 TRegistry.GetDataSize 0041 AllocMem 004c TRegistry.RenameValue 0063 TRegistry.GetData 006e TRegistry.DeleteValue 0080 TRegistry.PutData 0095 @FreeMem 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 72 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 63 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FB 50 8B 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D7 8B C3 E8 ?? ?? ?? ?? 56 8A 45 FB 50 8B 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13152_0 {
	meta:
		name = "_NF__12A"
		size = 287
		refs = "0021 TRegistry.SetCurrentKey 0029 _NF__12A 003c TRegistry.GetDataSize 004d AllocMem 0073 TRegistry.GetData 00b2 TRegistry.PutData 00d3 @HandleFinally 00ea @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F1 89 55 FC 8B 55 08 8B 52 FC 8B 52 04 89 55 F8 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E AC 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 45 EF 50 8B 45 08 8B 40 FC 8B 4D F0 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 04 89 45 F4 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8A 45 EF 50 8B 45 08 8B 40 FC 8B 4D F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13153_0 {
	meta:
		name = "_NF__12B"
		size = 293
		refs = "001a _NF__12B 0039 TRegistry.SetCurrentKey 0055 TRegistry.GetKeyInfo 0069 _NF__12A 0078 @LStrFromPCharLen 009e @LStrToPChar 00a6 RegEnumValue 00c0 @LStrFromPChar 00f3 @HandleFinally 010a @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D0 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 04 89 45 F0 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 79 8B 45 08 50 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 59 8B 4D E0 41 8D 45 F4 33 D2 E8 ?? ?? ?? ?? 8B 5D DC 4B 85 DB 7C 52 43 33 FF 8B 45 E0 40 89 45 F8 6A 00 6A 00 6A 00 6A 00 8D 45 F8 50 8B 45 F4 E8 ?? ?? ?? ?? 50 57 56 E8 ?? ?? ?? ?? 85 C0 75 24 8B 45 08 50 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8D 45 D0 E8 ?? ?? ?? ?? 8B 4D D0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 59 47 4B 75 B1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13154_0 {
	meta:
		name = "_NF__12C"
		size = 577
		refs = "0018 _NF__12C 0038 TRegistry.SetCurrentKey 0054 TRegistry.GetKeyInfo 006a @LStrFromPCharLen 009c @LStrToPChar 00aa RegEnumKeyEx 00c4 @LStrFromPChar 00d2 TRegistry.GetKey 0135 TRegistry.CreateKey 0175 _NF__12B 019c RegCloseKey 01a2 @HandleFinally 0229 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 33 C9 89 4D B8 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 04 89 45 E8 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 BC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 0F 84 95 01 00 00 8B 4D C0 41 8D 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 45 BC 48 85 C0 0F 8C 7B 01 00 00 40 89 45 D8 C7 45 F4 00 00 00 00 8B 45 C0 40 89 45 F0 6A 00 6A 00 6A 00 6A 00 8D 45 F0 50 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 0F 85 33 01 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8D 45 B8 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 0F 84 06 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 04 89 45 E4 8B 45 08 8B 40 FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8D 45 B8 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8D 45 B8 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF FF 45 F4 FF 4D D8 0F 85 90 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_13155_0 {
	meta:
		name = "TRegistry.MoveKey"
		size = 241
		refs = "0015 TRegistry.KeyExists 0039 TRegistry.GetKey 004e TRegistry.MoveKey 005e TRegistry.CreateKey 008b _NF__12B 0098 _NF__12C 00a9 TRegistry.DeleteKey 00bf RegCloseKey 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 C8 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 B6 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 9F 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 80 7D 08 00 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13156_0 {
	meta:
		name = "TRegIniFile.Create"
		size = 71
		refs = "000b @ClassCreate 001a TRegistry.Create 0024 @LStrAsg 002f TRegistry.OpenKey"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 18 8B D6 E8 ?? ?? ?? ?? B1 01 8B D6 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13157_0 {
	meta:
		name = "TRegIniFile.ReadString"
		size = 203
		refs = "0014 TRegistry.GetKey 0029 TRegIniFile.ReadString 0043 TRegistry.SetCurrentKey 005b TRegistry.ValueExists 006b TRegistry.ReadString 0077 @LStrLAsg 0095 @HandleFinally 00ad RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 94 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B C3 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B C3 8B 55 0C E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13158_0 {
	meta:
		name = "TRegIniFile.WriteString"
		size = 175
		refs = "0015 TRegistry.CreateKey 001f TRegistry.GetKey 0030 TRegIniFile.WriteString 004a TRegistry.SetCurrentKey 0065 TRegistry.WriteString 0083 @HandleFinally 009b RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 7B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13159_0 {
	meta:
		name = "TRegIniFile.ReadInteger"
		size = 348
		refs = "001c TRegIniFile.ReadInteger 002a TRegistry.GetKey 0059 TRegistry.SetCurrentKey 0071 TRegistry.ValueExists 0082 TRegistry.ReadString 008a @LStrLen 00a2 UpCase 00bc @LStrCopy 00cc @LStrCat3 00d6 StrToIntDef 00fc @HandleFinally 0114 RegCloseKey 0139 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D EC 8B F1 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 E5 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 66 8D 4D EC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 F8 02 7E 3D 8B 45 EC 80 38 30 75 35 8B 45 EC 8A 40 01 E8 ?? ?? ?? ?? 3C 58 75 26 8D 45 E8 50 B9 FF FF FF 7F BA 03 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 4D E8 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 EC E8 ?? ?? ?? ?? 89 45 F8 EB 03 89 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 89 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5E 5B 8B E5 5D C2 04 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_13160_0 {
	meta:
		name = "TRegIniFile.WriteInteger"
		size = 238
		refs = "0018 TRegIniFile.WriteInteger 0028 TRegistry.CreateKey 0032 TRegistry.GetKey 0061 TRegistry.SetCurrentKey 007a IntToStr 0087 TRegistry.WriteString 00a5 @HandleFinally 00bd RegCloseKey 00da @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 86 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 08 E8 ?? ?? ?? ?? 8B 4D F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13163_0 {
	meta:
		name = "TRegIniFile.WriteBool"
		size = 188
		refs = "0015 TRegistry.CreateKey 001f TRegistry.GetKey 0034 TRegIniFile.WriteBool 004e TRegistry.SetCurrentKey 0068 _NV__14F 0072 TRegistry.WriteString 0090 @HandleFinally 00a8 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 84 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 45 08 8B 0C 85 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13164_0 {
	meta:
		name = "TRegIniFile.ReadSection"
		size = 154
		refs = "0010 TRegistry.GetKey 0021 TRegIniFile.ReadSection 003b TRegistry.SetCurrentKey 0053 TRegistry.GetValueNames 0071 @HandleFinally 0089 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 78 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13168_0 {
	meta:
		name = "TRegIniFile.DeleteKey"
		size = 154
		refs = "0010 TRegistry.GetKey 0021 TRegIniFile.DeleteKey 003b TRegistry.SetCurrentKey 0053 TRegistry.DeleteValue 0071 @HandleFinally 0089 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 78 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13176_0 {
	meta:
		name = "_NF__120"
		size = 201
		refs = "0016 _NF__120 0025 WSAGetLastError 0034 @GetTls 003a SocketErrorProc 0058 SysErrorMessage 007e sWindowsSocketError 0083 LoadResString 008d _DV_ESocketError 0092 Exception.CreateFmt 0097 @RaiseExcept 00b5 @LStrArrayClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E4 89 4D E0 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 C0 74 79 E8 ?? ?? ?? ?? 8B D8 81 FB 33 27 00 00 74 6C E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 11 E8 ?? ?? ?? ?? 8B B0 ?? ?? ?? ?? 8B C3 FF D6 EB 4D 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 0B 89 5D F0 C6 45 F4 00 89 75 F8 C6 45 FC 0B 8D 45 E8 50 6A 02 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13177_0 {
	meta:
		name = "_NF__121"
		size = 188
		refs = "0013 _NF__121 001e _NV__11F 0028 WSAStartup 0038 SysErrorMessage 0063 sWindowsSocketError 0068 LoadResString 0072 _DV_ESocketError 0077 Exception.CreateFmt 007c @RaiseExcept 0096 @LStrArrayClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C0 89 45 E4 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 68 01 01 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 4E 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 0B 89 5D F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 0B 8D 45 E8 50 6A 02 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 FF FF FF FF 0A 00 00 00 57 53 41 53 74 61 72 74 75 70 00 00 }
	condition:
		$1
}

rule function_13178_0 {
	meta:
		name = "_NF__122"
		size = 180
		refs = "0013 _NF__122 001e WSACleanup 002e SysErrorMessage 0059 sWindowsSocketError 005e LoadResString 0068 _DV_ESocketError 006d Exception.CreateFmt 0072 @RaiseExcept 008c @LStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C0 89 45 E4 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 85 DB 74 4E 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 0B 89 5D F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 0B 8D 45 E8 50 6A 02 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 FF FF FF FF 0A 00 00 00 57 53 41 43 6C 65 61 6E 75 70 00 00 }
	condition:
		$1
}

rule function_13179_0 {
	meta:
		name = "TCustomWinSocket.Create"
		size = 112
		refs = "000b @ClassCreate 001a TObject.Create 001f _NF__121 0026 _Dn_TCriticalSection 002b TCriticalSection.Create 0033 TCustomWinSocket.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 3C A0 ?? ?? ?? ?? 88 47 28 89 77 04 66 C7 47 18 02 00 33 C0 89 47 1C 66 C7 47 1A 00 00 83 7F 04 FF 0F 95 C0 88 47 08 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 33 00 00 00 }
	condition:
		$1
}

rule function_13180_0 {
	meta:
		name = "TCustomWinSocket.Destroy"
		size = 89
		refs = "002c DeallocateHWnd 0034 TObject.Free 0039 _NF__122 0045 TObject.Destroy 0050 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C0 89 46 2C 89 46 30 80 7E 08 00 74 10 83 7E 04 FF 74 0A 8B 56 04 8B C6 8B 08 FF 51 08 8B 46 14 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13182_0 {
	meta:
		name = "TCustomWinSocket.Close"
		size = 9
	strings:
		$1 = { 8B 50 04 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_13184_0 {
	meta:
		name = "TCustomWinSocket.Lock"
		size = 9
		refs = "0004 TCriticalSection.Enter"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13185_0 {
	meta:
		name = "TCustomWinSocket.Unlock"
		size = 9
		refs = "0004 TCriticalSection.Leave"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13186_0 {
	meta:
		name = "_NF__136"
		size = 244
		refs = "0010 _NF__136 008e @CallDynaInst 00ac sAsyncSocketError 00b1 LoadResString 00bb _DV_ESocketError 00c0 Exception.CreateFmt 00c5 @RaiseExcept 00e0 @LStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 66 8B 40 0A 66 85 C0 0F 84 9E 00 00 00 C6 45 FF 00 8B 55 08 8B 52 FC 0F B7 C0 89 45 F8 8B 45 08 8B 40 FC 0F B7 40 08 83 F8 08 7F 0A 74 24 48 74 19 48 74 1A EB 20 83 E8 10 74 07 83 E8 10 74 06 EB 14 B0 03 EB 12 B0 04 EB 0E B0 02 EB 0A B0 01 EB 06 B0 05 EB 02 33 C0 8D 55 F8 52 8B 55 08 8B 52 F8 8B 4D 08 8B 49 F8 91 66 BB FE FF E8 ?? ?? ?? ?? 83 7D F8 00 74 37 8B 45 F8 89 45 F0 C6 45 F4 00 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13187_0 {
	meta:
		name = "TCustomWinSocket.CMSocketMessage"
		size = 138
		refs = "000e _NF__136"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 55 E8 ?? ?? ?? ?? 59 84 C0 74 6F 8B 45 FC 0F B7 40 08 83 F8 08 7F 0A 74 54 48 74 31 48 74 3E EB 59 83 E8 10 74 07 83 E8 10 74 12 EB 4D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 51 04 EB 3D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 51 08 EB 2D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 51 0C EB 1D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 51 10 EB 0D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 11 59 59 5D C3 }
	condition:
		$1
}

rule function_13189_0 {
	meta:
		name = "_NF__13D"
		size = 23
		refs = "0012 PostMessage"
	strings:
		$1 = { 8B 50 14 85 D2 74 0F 6A 00 6A 00 68 02 04 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13190_0 {
	meta:
		name = "_NF__13E"
		size = 92
		refs = "000b _NF__13E 001c TCustomWinSocket.GetHandle 002f WSAAsyncSelect 004d ioctlsocket"
	strings:
		$1 = { 53 56 57 51 8B D8 33 F6 33 FF A0 ?? ?? ?? ?? 3A 43 28 74 0E BE 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 33 C0 8A 43 28 50 56 57 8B 43 04 50 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 3A 43 28 75 14 33 C0 89 04 24 54 68 7E 66 04 80 8B 43 04 50 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_13191_0 {
	meta:
		name = "TCustomWinSocket.GetHandle"
		size = 28
		refs = "000b _NF__195 0010 AllocateHWnd"
	strings:
		$1 = { 53 8B D8 83 7B 14 00 75 0E 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_13192_0 {
	meta:
		name = "TCustomWinSocket.GetLocalAddress"
		size = 139
		refs = "0010 TCustomWinSocket.Lock 0018 TCustomWinSocket.GetLocalAddress 0025 @LStrClr 0033 @TryFinallyExit 0050 getsockname 005c inet_ntoa 0065 @LStrFromPChar 007a TCustomWinSocket.Unlock 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 78 04 FF 75 07 E8 ?? ?? ?? ?? EB 4D C7 45 F8 10 00 00 00 8D 45 F8 50 8D 45 E8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 75 11 FF 75 EC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13193_0 {
	meta:
		name = "TCustomWinSocket.GetLocalHost"
		size = 133
		refs = "0013 TCustomWinSocket.Lock 001b TCustomWinSocket.GetLocalHost 0028 @LStrClr 0036 @TryFinallyExit 0049 gethostname 005f @LStrFromArray 0074 TCustomWinSocket.Unlock 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 78 04 FF 75 07 E8 ?? ?? ?? ?? EB 44 68 00 01 00 00 8D 85 FC FE FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 12 8B C3 8D 95 FC FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13194_0 {
	meta:
		name = "TCustomWinSocket.GetLocalPort"
		size = 137
		refs = "000d TCustomWinSocket.Lock 0015 TCustomWinSocket.GetLocalPort 0030 @TryFinallyExit 004d getsockname 005b ntohs 0076 TCustomWinSocket.Unlock 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 8B 45 FC 83 78 04 FF 75 07 E8 ?? ?? ?? ?? EB 4C C7 45 F4 10 00 00 00 8D 45 F4 50 8D 45 E4 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 75 10 66 8B 45 E6 50 E8 ?? ?? ?? ?? 0F B7 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_13195_0 {
	meta:
		name = "TCustomWinSocket.GetRemoteHost"
		size = 180
		refs = "0011 TCustomWinSocket.Lock 0019 TCustomWinSocket.GetRemoteHost 0026 @LStrClr 0034 @TryFinallyExit 0051 getpeername 005b _NF__120 0068 gethostbyaddr 0077 @LStrFromPChar 008c TCustomWinSocket.Unlock 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 08 00 75 07 E8 ?? ?? ?? ?? EB 5E C7 45 F8 10 00 00 00 8D 45 F8 50 8D 45 E8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 6A 04 8D 45 EC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 8B C6 8B 13 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 0B 00 00 00 67 65 74 70 65 65 72 6E 61 6D 65 00 }
	condition:
		$1
}

rule function_13196_0 {
	meta:
		name = "TCustomWinSocket.GetRemoteAddress"
		size = 168
		refs = "0010 TCustomWinSocket.Lock 0018 TCustomWinSocket.GetRemoteAddress 0025 @LStrClr 0033 @TryFinallyExit 0050 getpeername 005a _NF__120 0062 inet_ntoa 006b @LStrFromPChar 0080 TCustomWinSocket.Unlock 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 80 78 08 00 75 07 E8 ?? ?? ?? ?? EB 53 C7 45 F8 10 00 00 00 8D 45 F8 50 8D 45 E8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 FF FF FF FF 0B 00 00 00 67 65 74 70 65 65 72 6E 61 6D 65 00 }
	condition:
		$1
}

rule function_13197_0 {
	meta:
		name = "TCustomWinSocket.GetRemotePort"
		size = 164
		refs = "000d TCustomWinSocket.Lock 0015 TCustomWinSocket.GetRemotePort 002e @TryFinallyExit 004b getpeername 0055 _NF__120 005f ntohs 007a TCustomWinSocket.Unlock 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 80 78 08 00 75 07 E8 ?? ?? ?? ?? EB 52 C7 45 F4 10 00 00 00 8D 45 F4 50 8D 45 E4 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 E6 50 E8 ?? ?? ?? ?? 0F B7 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B E5 5D C3 00 00 00 FF FF FF FF 0B 00 00 00 67 65 74 70 65 65 72 6E 61 6D 65 00 }
	condition:
		$1
}

rule function_13198_0 {
	meta:
		name = "TCustomWinSocket.GetRemoteAddr"
		size = 140
		refs = "0010 TCustomWinSocket.Lock 0018 TCustomWinSocket.GetRemoteAddr 002c @FillChar 003a @TryFinallyExit 0054 getpeername 007b TCustomWinSocket.Unlock 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 78 08 00 75 07 E8 ?? ?? ?? ?? EB 47 C7 45 F8 10 00 00 00 8D 45 F8 50 53 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13199_0 {
	meta:
		name = "TCustomWinSocket.LookupName"
		size = 89
		refs = "0009 @LStrToPChar 000f gethostbyname 0021 @FillChar"
	strings:
		$1 = { 53 83 C4 F8 8B DA 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 8D 44 24 04 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 85 DB 74 22 8B C3 8B 50 0C 8B 12 8A 0A 88 4C 24 04 8A 4A 01 88 4C 24 05 8A 4A 02 88 4C 24 06 8A 42 03 88 44 24 07 8B 44 24 04 89 04 24 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_13200_0 {
	meta:
		name = "TCustomWinSocket.LookupService"
		size = 52
		refs = "0004 TCustomWinSocket.LookupService 000b @LStrToPChar 0011 getservbyname 0021 ntohs"
	strings:
		$1 = { 53 8B DA 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0F 66 8B 43 08 50 E8 ?? ?? ?? ?? 0F B7 C0 5B C3 33 C0 5B C3 00 00 74 63 70 00 }
	condition:
		$1
}

rule function_13201_0 {
	meta:
		name = "TCustomWinSocket.InitSocket"
		size = 221
		refs = "001c TCustomWinSocket.InitSocket 0035 TCustomWinSocket.LookupName 004c @LStrToPChar 0052 inet_addr 006c sNoAddress 0071 LoadResString 007b _DV_ESocketError 0080 Exception.Create 0085 @RaiseExcept 0099 TCustomWinSocket.LookupService 009f htons 00c8 @LStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 03 02 00 83 3F 00 74 0E 8B 17 8B C6 E8 ?? ?? ?? ?? 89 43 04 EB 4B 8B 45 FC 83 38 00 74 15 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 43 04 EB 2E 80 7D 0C 00 75 07 33 C0 89 43 04 EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 14 83 38 00 74 18 8B 55 14 8B 12 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 89 43 02 EB 0E 66 8B 45 10 50 E8 ?? ?? ?? ?? 66 89 43 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_13202_0 {
	meta:
		name = "TCustomWinSocket.Listen"
		size = 380
		refs = "001d TCustomWinSocket.Listen 0034 sCannotListenOnOpen 0039 LoadResString 0043 _DV_ESocketError 0048 Exception.Create 004d @RaiseExcept 0058 socket 006b sCannotCreateSocket 00ae TCustomWinSocket.InitSocket 00c0 bind 00ca _NF__120 00d2 _NF__13E 00ed @CallDynaInst 00fa listen 011a @HandleAnyException 012d @RaiseAgain 0132 @DoneExcept 0147 @LStrClr 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 4D F8 8B FA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 08 00 74 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 01 6A 02 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 04 43 75 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 66 8B 45 0C 50 6A 00 8D 45 E8 50 8B 4D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 6A 10 8D 45 E8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 FE 05 7E 05 BE 05 00 00 00 B1 04 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 56 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 40 08 01 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 FF FF FF FF 04 00 00 00 62 69 6E 64 00 00 00 00 FF FF FF FF 06 00 00 00 6C 69 73 74 65 6E 00 00 }
	condition:
		$1
}

rule function_13203_0 {
	meta:
		name = "TCustomWinSocket.Open"
		size = 380
		refs = "0019 TCustomWinSocket.Open 0030 sSocketAlreadyOpen 0035 LoadResString 003f _DV_ESocketError 0044 Exception.Create 0049 @RaiseExcept 0054 socket 0067 sCannotCreateSocket 009f @CallDynaInst 00bb TCustomWinSocket.InitSocket 00c3 _NF__13E 00e6 connect 00f0 _NF__120 0129 @HandleAnyException 013c @RaiseAgain 0141 @DoneExcept 0156 @LStrClr 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 08 00 74 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 01 6A 02 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 04 43 75 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 0C 50 66 8B 45 08 50 6A 01 8D 45 E8 50 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 6A 10 8D 45 E8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC F6 40 28 10 75 21 8B 45 FC 83 78 04 FF 0F 95 C0 8B 55 FC 88 42 08 B1 02 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 00 00 FF FF FF FF 07 00 00 00 63 6F 6E 6E 65 63 74 00 }
	condition:
		$1
}

rule function_13204_0 {
	meta:
		name = "TCustomWinSocket.Disconnect"
		size = 180
		refs = "000e TCustomWinSocket.Lock 0016 TCustomWinSocket.Disconnect 002e @TryFinallyExit 0041 @CallDynaInst 004d closesocket 0057 _NF__120 0073 TObject.Free 0090 TCustomWinSocket.Unlock 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB FF 74 08 8B 45 FC 3B 58 04 74 07 E8 ?? ?? ?? ?? EB 68 B1 03 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 40 04 FF FF FF FF 8B 45 FC C6 40 08 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 FF FF FF FF 0B 00 00 00 63 6C 6F 73 65 73 6F 63 6B 65 74 00 }
	condition:
		$1
}

rule function_13205_0 {
	meta:
		name = "TCustomWinSocket.DefaultHandler"
		size = 43
		refs = "001b DefWindowProc 0020 CallWindowProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 14 85 FF 74 19 8B 46 08 50 8B 46 04 50 8B 06 50 57 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13206_0 {
	meta:
		name = "TCustomWinSocket.Event"
		size = 23
	strings:
		$1 = { 53 66 83 78 2E 00 74 0D 51 8B D8 8B CA 8B D0 8B 43 30 FF 53 2C 5B C3 }
	condition:
		$1
}

rule function_13207_0 {
	meta:
		name = "TCustomWinSocket.Error"
		size = 33
	strings:
		$1 = { 55 8B EC 53 66 83 78 36 00 74 11 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 38 FF 53 34 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13208_0 {
	meta:
		name = "TCustomWinSocket.SendText"
		size = 27
		refs = "0009 @LStrLen 0014 TCustomWinSocket.SendBuf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13209_0 {
	meta:
		name = "_NF__17B"
		size = 72
		refs = "0037 TObject.Free"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 80 78 10 00 74 14 8B 45 08 8B 40 FC 8B 50 04 8B 45 08 8B 40 FC 8B 08 FF 51 08 8B 45 08 8B 40 FC C6 40 10 00 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 89 50 0C 5D C3 }
	condition:
		$1
}

rule function_13210_0 {
	meta:
		name = "_NF__17C"
		size = 376
		refs = "0015 TCustomWinSocket.Lock 001d _NF__17C 004b @TryFinallyExit 005b TStream.GetPosition 0094 send 009e WSAGetLastError 00bf @CallDynaInst 00d3 _NF__17B 00e7 Abort 00f7 TStream.SetPosition 012c TStream.GetSize 015d TCustomWinSocket.Unlock 0163 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F0 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 FB 00 8B 45 FC 83 78 0C 00 0F 84 14 01 00 00 8B 45 FC 83 78 04 FF 74 09 8B 45 FC 80 78 08 00 75 0A E8 ?? ?? ?? ?? E9 15 01 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 89 45 F4 8D 95 F0 EF FF FF 8B 45 FC 8B 40 0C B9 00 10 00 00 8B 18 FF 53 04 8B D8 85 DB 0F 8E BF 00 00 00 6A 00 53 8D 85 F0 EF FF FF 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 83 F8 FF 75 60 E8 ?? ?? ?? ?? 89 45 F0 81 7D F0 33 27 00 00 74 3F 8D 45 F0 50 B1 01 8B 55 FC 8B 45 FC 66 BB FE FF E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8A 15 ?? ?? ?? ?? 3A 50 28 74 62 E8 ?? ?? ?? ?? EB 5B 8B 45 FC 8B 40 0C 8B 55 F4 E8 ?? ?? ?? ?? EB 4B 3B C3 7D 17 8B D3 2B D0 03 55 F4 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? E9 3C FF FF FF 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 3B D8 0F 85 1C FF FF FF 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5B 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_13211_0 {
	meta:
		name = "TCustomWinSocket.SendStream"
		size = 21
		refs = "000c _NF__17C"
	strings:
		$1 = { 33 C9 83 78 0C 00 75 0A 89 50 0C E8 ?? ?? ?? ?? 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_13212_0 {
	meta:
		name = "TCustomWinSocket.SendStreamThenDrop"
		size = 24
		refs = "000a TCustomWinSocket.SendStream"
	strings:
		$1 = { 53 8B D8 C6 43 10 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 C6 43 10 00 5B C3 }
	condition:
		$1
}

rule function_13213_0 {
	meta:
		name = "TCustomWinSocket.SendBuf"
		size = 340
		refs = "001b TCustomWinSocket.SendBuf 0029 TCustomWinSocket.Lock 004a @TryFinallyExit 005f send 0071 WSAGetLastError 0092 @CallDynaInst 00b1 SysErrorMessage 00df sWindowsSocketError 00e4 LoadResString 00ee _DV_ESocketError 00f3 Exception.CreateFmt 00f8 @RaiseExcept 010d TCustomWinSocket.Unlock 0113 @HandleFinally 012f @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D D8 89 5D D4 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 80 78 08 00 75 0A E8 ?? ?? ?? ?? E9 C6 00 00 00 6A 00 56 53 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 0F 85 8C 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 81 7D F4 33 27 00 00 74 7B 8D 45 F4 50 B1 01 8B 55 FC 8B 45 FC 66 BB FE FF E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 83 7D F4 00 74 52 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 0B 8B 45 F4 89 45 E4 C6 45 E8 00 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 0B 8D 45 DC 50 6A 02 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5E 5B 8B E5 5D C3 FF FF FF FF 04 00 00 00 73 65 6E 64 00 00 00 00 }
	condition:
		$1
}

rule function_13214_0 {
	meta:
		name = "TCustomWinSocket.SetAsyncStyles"
		size = 37
		refs = "001e _NF__13E"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 43 28 3A 04 24 74 13 8A 04 24 88 43 28 83 7B 04 FF 74 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_13215_0 {
	meta:
		name = "TCustomWinSocket.Read"
		size = 34
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B 46 04 83 F8 FF 74 13 3B C2 75 0F B1 07 8B D6 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13216_0 {
	meta:
		name = "TCustomWinSocket.ReceiveBuf"
		size = 380
		refs = "001b TCustomWinSocket.ReceiveBuf 0029 TCustomWinSocket.Lock 005f ioctlsocket 0072 @TryFinallyExit 0087 recv 0099 WSAGetLastError 00ba @CallDynaInst 00d9 SysErrorMessage 0107 sWindowsSocketError 010c LoadResString 0116 _DV_ESocketError 011b Exception.CreateFmt 0120 @RaiseExcept 0135 TCustomWinSocket.Unlock 013b @HandleFinally 0157 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D D8 89 5D D4 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 FB FF 75 23 8B 45 FC 80 78 08 00 74 1A 8D 45 F8 50 68 7F 66 04 40 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? E9 BC 00 00 00 8B 45 FC 80 78 08 00 75 0A E8 ?? ?? ?? ?? E9 C6 00 00 00 6A 00 53 56 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 0F 85 8C 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 81 7D F4 33 27 00 00 74 7B 8D 45 F4 50 B1 02 8B 55 FC 8B 45 FC 66 BB FE FF E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 83 7D F4 00 74 52 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 0B 8B 45 F4 89 45 E4 C6 45 E8 00 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 0B 8D 45 DC 50 6A 02 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5E 5B 8B E5 5D C3 FF FF FF FF 04 00 00 00 72 65 63 76 00 00 00 00 }
	condition:
		$1
}

rule function_13217_0 {
	meta:
		name = "TCustomWinSocket.ReceiveLength"
		size = 11
		refs = "0006 TCustomWinSocket.ReceiveBuf"
	strings:
		$1 = { 83 C9 FF 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13218_0 {
	meta:
		name = "TCustomWinSocket.ReceiveText"
		size = 48
		refs = "000e TCustomWinSocket.ReceiveBuf 0017 @LStrSetLength 001e @LStrLen"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B C8 8B 16 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13219_0 {
	meta:
		name = "_NF__195"
		size = 73
		refs = "000e _NF__195 001c TObject.Dispatch 002b @HandleAnyException 0030 Application 003a TApplication.HandleException 003f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13220_0 {
	meta:
		name = "TCustomWinSocket.Write"
		size = 45
		refs = "0013 _NF__17C 0026 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B 46 04 83 F8 FF 74 1E 3B C2 75 1A 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0F B1 06 8B D6 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13221_0 {
	meta:
		name = "TClientWinSocket.Connect"
		size = 20
		refs = "000e @CallDynaInst"
	strings:
		$1 = { 53 C6 40 08 01 B1 02 8B D0 66 BB FF FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13222_0 {
	meta:
		name = "TClientWinSocket.SetClientType"
		size = 140
		refs = "0009 TClientWinSocket.SetClientType 002f TCustomWinSocket.SetAsyncStyles 0046 sCantChangeWhileActive 004b LoadResString 0055 _DV_ESocketError 005a Exception.Create 005f @RaiseExcept 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 3A 50 44 74 4B 80 78 08 00 75 24 8B CA 88 48 44 80 F9 01 75 0D 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 00 00 00 00 33 00 00 00 }
	condition:
		$1
}

rule function_13223_0 {
	meta:
		name = "TServerClientWinSocket.Create"
		size = 152
		refs = "000f @ClassCreate 0027 _NF__1AE 002f TServerClientWinSocket.Create 003e _NF__1B2 0049 TCustomWinSocket.Create 005e _NF__13E 0073 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 8B 45 08 89 46 44 85 C0 74 1E 8B D6 E8 ?? ?? ?? ?? 8B 7E 44 A0 ?? ?? ?? ?? 3A 47 28 74 0A 89 7E 30 C7 46 2C ?? ?? ?? ?? 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 44 8A 15 ?? ?? ?? ?? 3A 50 28 74 07 8B C6 E8 ?? ?? ?? ?? 80 7E 08 00 74 0F B1 02 8B D6 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C2 04 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_13224_0 {
	meta:
		name = "TServerClientWinSocket.Destroy"
		size = 48
		refs = "0010 _NF__1AF 001c TCustomWinSocket.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 44 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13225_0 {
	meta:
		name = "TServerWinSocket.Create"
		size = 112
		refs = "000b @ClassCreate 0018 _Dn_TList 001d TObject.Create 0036 _Dn_TCriticalSection 003b TCriticalSection.Create 0049 TCustomWinSocket.Create 004e TServerWinSocket.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 54 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 47 28 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_13226_0 {
	meta:
		name = "TServerWinSocket.Destroy"
		size = 58
		refs = "000e TCustomWinSocket.Destroy 0016 TObject.Free 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 8B 46 54 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13227_0 {
	meta:
		name = "_NF__1AE"
		size = 101
		refs = "0011 TCriticalSection.Enter 0019 _NF__1AE 002c TList.IndexOf 003d TList.Add 0055 TCriticalSection.Leave 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 4C 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 0D 8B 45 FC 8B 40 4C 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_13228_0 {
	meta:
		name = "_NF__1AF"
		size = 84
		refs = "0011 TCriticalSection.Enter 0019 _NF__1AF 002c TList.Remove 0044 TCriticalSection.Leave 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 4C 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_13229_0 {
	meta:
		name = "_NF__1B0"
		size = 122
		refs = "0011 TCriticalSection.Enter 0019 _NF__1B0 002c TList.IndexOf 003d TList.Add 006a TCriticalSection.Leave 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 22 8B 45 FC 8B 40 50 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 40 08 8B 55 FC 3B 42 48 7F 04 C6 43 38 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_13230_0 {
	meta:
		name = "_NF__1B1"
		size = 84
		refs = "0011 TCriticalSection.Enter 0019 _NF__1B1 002c TList.Remove 0044 TCriticalSection.Leave 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_13231_0 {
	meta:
		name = "_NF__1B2"
		size = 82
		refs = "0022 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 8A 55 08 80 EA 02 74 0F FE CA 74 18 80 EA 03 74 2D FE CA 74 1C EB 32 8B D1 66 BB F7 FF E8 ?? ?? ?? ?? EB 25 8B D1 66 BB F6 FF E8 ?? ?? ?? ?? EB 18 8B D1 66 BB F9 FF E8 ?? ?? ?? ?? EB 0B 8B D1 66 BB F8 FF E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13232_0 {
	meta:
		name = "_NF__1B3"
		size = 33
		refs = "0017 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 50 8B D1 8B C6 8A 4D 0C 66 BB F5 FF E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13233_0 {
	meta:
		name = "TServerWinSocket.GetActiveConnections"
		size = 7
	strings:
		$1 = { 8B 40 4C 8B 40 08 C3 }
	condition:
		$1
}

rule function_13235_0 {
	meta:
		name = "TServerWinSocket.GetActiveThreads"
		size = 125
		refs = "0012 TCriticalSection.Enter 001a TServerWinSocket.GetActiveThreads 0043 TList.Get 0068 TCriticalSection.Leave 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 40 50 8B 58 08 4B 85 DB 7C 1D 43 33 F6 8B 45 FC 8B 40 50 8B D6 E8 ?? ?? ?? ?? 83 78 28 00 74 03 FF 45 F8 46 4B 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13236_0 {
	meta:
		name = "TServerWinSocket.GetIdleThreads"
		size = 125
		refs = "0012 TCriticalSection.Enter 001a TServerWinSocket.GetIdleThreads 0043 TList.Get 0068 TCriticalSection.Leave 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 40 50 8B 58 08 4B 85 DB 7C 1D 43 33 F6 8B 45 FC 8B 40 50 8B D6 E8 ?? ?? ?? ?? 83 78 28 00 75 03 FF 45 F8 46 4B 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13237_0 {
	meta:
		name = "TServerWinSocket.Accept"
		size = 260
		refs = "0028 getsockopt 0038 TServerWinSocket.Accept 0064 setsockopt 0079 accept 008b @CallDynaInst 00b3 TCustomWinSocket.SetAsyncStyles 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 8B DA 8B F0 C7 45 FC 04 00 00 00 8D 45 FC 50 8D 45 F8 50 68 08 70 00 00 68 FF FF 00 00 6A FF E8 ?? ?? ?? ?? 85 C0 0F 85 C5 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7E 44 01 75 20 C7 45 F4 20 00 00 00 8B 45 FC 50 8D 45 F4 50 68 08 70 00 00 68 FF FF 00 00 6A FF E8 ?? ?? ?? ?? C7 45 FC 10 00 00 00 8D 45 FC 50 8D 45 E4 50 53 E8 ?? ?? ?? ?? 83 F8 FF 74 42 8B D0 8B C6 66 BB FB FF E8 ?? ?? ?? ?? 8B D8 66 83 7E 2E 00 74 0C 6A 05 8B CB 8B D6 8B 46 30 FF 56 2C 80 7E 44 01 75 1A 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 66 BB FA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C7 45 FC 04 00 00 00 8B 45 FC 50 8D 45 F8 50 68 08 70 00 00 68 FF FF 00 00 6A FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_13238_0 {
	meta:
		name = "TServerWinSocket.Disconnect"
		size = 279
		refs = "0011 TCustomWinSocket.Lock 0019 TServerWinSocket.Disconnect 0040 TServerWinSocket.SetThreadCacheSize 0049 TList.Last 0056 TThread.Terminate 005e TEvent.SetEvent 0070 TCustomWinSocket.Close 0077 TThread.WaitFor 007e TObject.Free 00bd TCustomWinSocket.Disconnect 00ee @HandleFinally 0105 TCustomWinSocket.Unlock"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 48 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 3C 8B C3 E8 ?? ?? ?? ?? 8B D8 C6 43 0E 00 8B C3 E8 ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 43 28 85 C0 74 0B 80 78 08 00 74 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 50 83 7B 08 00 7F B8 EB 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 58 4C 83 7B 08 00 7F E8 8B 45 FC 8B 40 58 85 C0 74 05 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13239_0 {
	meta:
		name = "TServerWinSocket.DoCreateThread"
		size = 16
		refs = "0004 _DV_TServerClientThread 000b TServerClientThread.Create"
	strings:
		$1 = { 52 33 C9 A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13240_0 {
	meta:
		name = "TServerWinSocket.Listen"
		size = 61
		refs = "0016 TCustomWinSocket.Listen 002c _DV_TServerAcceptThread 0031 TServerAcceptThread.Create"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 10 50 66 8B 45 0C 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 80 7B 08 00 74 18 80 7B 44 01 75 12 53 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 58 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_13241_0 {
	meta:
		name = "TServerWinSocket.SetServerType"
		size = 140
		refs = "0009 TServerWinSocket.SetServerType 002f TCustomWinSocket.SetAsyncStyles 0046 sCantChangeWhileActive 004b LoadResString 0055 _DV_ESocketError 005a Exception.Create 005f @RaiseExcept 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 3A 50 44 74 4B 80 78 08 00 75 24 8B CA 88 48 44 80 F9 01 75 0D 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 00 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_13242_0 {
	meta:
		name = "TServerWinSocket.SetThreadCacheSize"
		size = 153
		refs = "0036 TCriticalSection.Enter 003e TServerWinSocket.SetThreadCacheSize 0062 TList.Get 0086 TCriticalSection.Leave 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 40 48 3B 45 F8 74 78 3B 45 F8 7E 05 8B 7D F8 EB 02 8B F8 8B 45 FC 8B 55 F8 89 50 48 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 50 8B 70 08 4E 85 F6 7C 1C 46 33 DB 8B 45 FC 8B 40 50 8B D3 E8 ?? ?? ?? ?? 3B FB 0F 9F C2 88 50 38 43 4E 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13243_0 {
	meta:
		name = "TServerWinSocket.GetClientSocket"
		size = 61
		refs = "002a _DV_TServerClientWinSocket 002f TServerClientWinSocket.Create"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 66 83 7B 5E 00 74 0B 54 8B CE 8B D3 8B 43 60 FF 53 5C 83 3C 24 00 75 12 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13245_0 {
	meta:
		name = "TServerWinSocket.ThreadStart"
		size = 22
	strings:
		$1 = { 53 66 83 78 6E 00 74 0C 8B D8 8B CA 8B D0 8B 43 70 FF 53 6C 5B C3 }
	condition:
		$1
}

rule function_13246_0 {
	meta:
		name = "TServerWinSocket.GetServerThread"
		size = 209
		refs = "001a TCriticalSection.Enter 0022 TServerWinSocket.GetServerThread 0046 TList.Get 0067 TServerClientThread.ReActivate 0085 TCriticalSection.Leave 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 8B 70 08 4E 85 F6 7C 37 46 33 DB 8B 45 FC 8B 40 50 8B D3 E8 ?? ?? ?? ?? 83 78 28 00 75 1D 8B 45 FC 8B 40 50 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? EB 04 43 4E 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 83 7D F4 00 75 31 8B 45 FC 66 83 78 66 00 74 13 8D 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 68 FF 53 64 83 7D F4 00 75 0E 8B 55 F8 8B 45 FC 8B 08 FF 51 14 89 45 F4 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13247_0 {
	meta:
		name = "TServerWinSocket.GetClientThread"
		size = 143
		refs = "001a TCriticalSection.Enter 0022 TServerWinSocket.GetClientThread 0046 TList.Get 0079 TCriticalSection.Leave 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC 33 C0 89 45 F8 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 8B 70 08 4E 85 F6 7C 2B 46 33 DB 8B 45 FC 8B 40 50 8B D3 E8 ?? ?? ?? ?? 3B 78 28 75 12 8B 45 FC 8B 40 50 8B D3 E8 ?? ?? ?? ?? 89 45 F8 EB 04 43 4E 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13248_0 {
	meta:
		name = "TServerWinSocket.ClientConnect"
		size = 25
	strings:
		$1 = { 53 66 83 78 7E 00 74 0F 8B D8 8B CA 8B D0 8B 83 80 00 00 00 FF 53 7C 5B C3 }
	condition:
		$1
}

rule function_13249_0 {
	meta:
		name = "TServerWinSocket.ClientDisconnect"
		size = 48
		refs = "0029 _NF__13D"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 BB 86 00 00 00 00 74 10 8B CE 8B D3 8B 83 88 00 00 00 FF 93 84 00 00 00 80 7B 44 00 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13250_0 {
	meta:
		name = "TServerWinSocket.ClientRead"
		size = 31
	strings:
		$1 = { 53 66 83 B8 8E 00 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 90 00 00 00 FF 93 8C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_13251_0 {
	meta:
		name = "TServerWinSocket.ClientWrite"
		size = 31
	strings:
		$1 = { 53 66 83 B8 96 00 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 98 00 00 00 FF 93 94 00 00 00 5B C3 }
	condition:
		$1
}

rule function_13253_0 {
	meta:
		name = "TServerAcceptThread.Create"
		size = 58
		refs = "000d @ClassCreate 0020 TThread.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 89 46 28 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13254_0 {
	meta:
		name = "TServerAcceptThread.Execute"
		size = 27
	strings:
		$1 = { 53 56 8B D8 EB 0C 8B 73 28 8B 56 04 8B C6 8B 08 FF 11 80 7B 0C 00 74 EE 5E 5B C3 }
	condition:
		$1
}

rule function_13255_0 {
	meta:
		name = "TServerClientThread.Create"
		size = 110
		refs = "000e @ClassCreate 0020 _Dn_TSimpleEvent 0025 TSimpleEvent.Create 0033 TThread.Create 003c TThread.SetPriority 0046 TServerClientThread.ReActivate 0051 TThread.Resume"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 C6 46 0E 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 B1 01 33 D2 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 E8 ?? ?? ?? ?? 8B 55 08 8B C6 E8 ?? ?? ?? ?? 84 DB 75 07 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13256_0 {
	meta:
		name = "TServerClientThread.Destroy"
		size = 50
		refs = "000a TObject.Free 001e TThread.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 28 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13257_0 {
	meta:
		name = "TServerClientThread.ReActivate"
		size = 60
		refs = "0017 _NF__1B0 0024 _NF__20A 002e _NF__20B 0036 TEvent.SetEvent"
	strings:
		$1 = { 53 8B D8 8B C2 89 43 28 85 C0 74 2E 8B 50 44 89 53 2C 8B C2 8B D3 E8 ?? ?? ?? ?? 8B 43 28 89 58 30 C7 40 2C ?? ?? ?? ?? 89 58 38 C7 40 34 ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13258_0 {
	meta:
		name = "_NF__205"
		size = 46
		refs = "0004 GetCapture 0019 SendMessage 001e Application 0028 TApplication.ShowException"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 53 30 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13259_0 {
	meta:
		name = "_NF__206"
		size = 25
		refs = "0012 @CallDynaInst"
	strings:
		$1 = { 53 56 8B 70 28 8B 56 44 B1 07 8B C6 92 66 BB FF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13260_0 {
	meta:
		name = "TServerClientThread.DoTerminate"
		size = 14
		refs = "0009 _NF__1B1"
	strings:
		$1 = { 8B 50 2C 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13261_0 {
	meta:
		name = "_NF__209"
		size = 20
		refs = "000e @CallDynaInst"
	strings:
		$1 = { 53 B1 06 8B 50 28 8B 40 2C 66 BB FF FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13262_0 {
	meta:
		name = "_NF__20A"
		size = 15
	strings:
		$1 = { 55 8B EC 8A 55 08 8B 08 FF 51 0C 5D C2 04 00 }
	condition:
		$1
}

rule function_13263_0 {
	meta:
		name = "_NF__20B"
		size = 20
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 8A 55 0C 8B 18 FF 53 10 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13264_0 {
	meta:
		name = "TServerClientThread.Event"
		size = 14
		refs = "0009 _NF__1B2"
	strings:
		$1 = { 52 8B 48 28 8B 50 2C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13265_0 {
	meta:
		name = "TServerClientThread.Error"
		size = 19
		refs = "000e _NF__1B3"
	strings:
		$1 = { 52 51 8B 50 2C 8B C8 8B 40 28 92 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13266_0 {
	meta:
		name = "TServerClientThread.HandleException"
		size = 102
		refs = "0009 ExceptObject 0019 TServerClientThread.HandleException 0027 _Dn_EAbort 002c @IsClass 0039 _NF__205 0041 TThread.Synchronize 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 30 C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13267_0 {
	meta:
		name = "TServerClientThread.Execute"
		size = 168
		refs = "0018 @CallDynaInst 0020 TServerClientThread.Execute 003c TServerClientThread.StartConnect 0050 TServerClientThread.EndConnect 0063 @HandleAnyException 0077 @DoneExcept 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 2C 8B 55 FC 66 BB FC FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 08 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 E0 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B 45 FC C6 40 38 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 2C 8B 55 FC 66 BB FD FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13268_0 {
	meta:
		name = "TServerClientThread.ClientExecute"
		size = 168
		refs = "0016 FD_ZERO 0023 FD_SET 003b select 0052 TCustomWinSocket.ReceiveBuf 005c _NF__206 0063 TThread.Synchronize 0080 _NF__209"
	strings:
		$1 = { 53 56 57 81 C4 F4 FE FF FF 8B D8 8D 74 24 08 8B FC EB 78 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 43 28 8B 40 04 E8 ?? ?? ?? ?? 33 C0 89 07 C7 47 04 F4 01 00 00 57 6A 00 6A 00 56 6A 00 E8 ?? ?? ?? ?? 85 C0 7E 24 80 7B 0C 00 75 1E 8B D6 83 C9 FF 8B 43 28 E8 ?? ?? ?? ?? 85 C0 74 44 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 57 6A 00 56 6A 00 6A 00 E8 ?? ?? ?? ?? 85 C0 7E 13 80 7B 0C 00 75 0D 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 0C 00 75 0D 8B 43 28 80 78 08 00 0F 85 75 FF FF FF 81 C4 0C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13269_0 {
	meta:
		name = "TServerClientThread.StartConnect"
		size = 33
		refs = "000a TEvent.WaitFor 0016 TEvent.ResetEvent"
	strings:
		$1 = { 53 8B D8 83 CA FF 8B 43 34 E8 ?? ?? ?? ?? 84 C0 75 08 8B 43 34 E8 ?? ?? ?? ?? 8A 43 0C 34 01 5B C3 }
	condition:
		$1
}

rule function_13270_0 {
	meta:
		name = "TServerClientThread.EndConnect"
		size = 36
		refs = "0007 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 28 E8 ?? ?? ?? ?? 33 C0 89 43 28 80 7B 0C 00 75 0A 80 7B 38 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_13271_0 {
	meta:
		name = "_NF__21D"
		size = 19
	strings:
		$1 = { 55 8B EC 53 8B D1 8A 4D 08 8B 18 FF 53 28 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13272_0 {
	meta:
		name = "_NF__21E"
		size = 23
	strings:
		$1 = { 55 8B EC 53 8B 55 08 52 8B D1 8A 4D 0C 8B 18 FF 53 2C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13273_0 {
	meta:
		name = "TCustomSocket.Event"
		size = 240
		refs = "0010 TCustomSocket.Event"
	strings:
		$1 = { 53 83 E1 7F 83 F9 07 0F 87 E1 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 78 2A 00 0F 84 AF 00 00 00 8B D8 8B CA 8B D0 8B 43 2C FF 53 28 5B C3 66 83 78 3A 00 0F 84 96 00 00 00 8B D8 8B CA 8B D0 8B 43 3C FF 53 38 5B C3 C6 40 24 01 66 83 78 32 00 74 7D 8B D8 8B CA 8B D0 8B 43 34 FF 53 30 5B C3 C6 40 24 01 66 83 78 4A 00 74 64 8B D8 8B CA 8B D0 8B 43 4C FF 53 48 5B C3 C6 40 24 00 66 83 78 42 00 74 4B 8B D8 8B CA 8B D0 8B 43 44 FF 53 40 5B C3 66 83 78 52 00 74 36 8B D8 8B CA 8B D0 8B 43 54 FF 53 50 5B C3 66 83 78 5A 00 74 21 8B D8 8B CA 8B D0 8B 43 5C FF 53 58 5B C3 66 83 78 62 00 74 0C 8B D8 8B CA 8B D0 8B 43 64 FF 53 60 5B C3 }
	condition:
		$1
}

rule function_13274_0 {
	meta:
		name = "TCustomSocket.Error"
		size = 33
	strings:
		$1 = { 55 8B EC 53 66 83 78 6A 00 74 11 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 6C FF 53 68 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13275_0 {
	meta:
		name = "TCustomSocket.SetActive"
		size = 38
	strings:
		$1 = { 56 8B F0 3A 56 24 74 1C F6 46 20 10 75 06 F6 46 20 01 74 03 88 56 24 F6 46 20 01 75 07 8B C6 8B 08 FF 51 30 5E C3 }
	condition:
		$1
}

rule function_13276_0 {
	meta:
		name = "TCustomSocket.Loaded"
		size = 22
		refs = "0006 TComponent.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 53 24 8B C3 8B 08 FF 51 30 5B C3 }
	condition:
		$1
}

rule function_13277_0 {
	meta:
		name = "TCustomSocket.SetAddress"
		size = 149
		refs = "0015 @LStrAddRef 001d TCustomSocket.SetAddress 002e CompareText 0046 sCantChangeWhileActive 004b LoadResString 0055 _DV_ESocketError 005a Exception.Create 005f @RaiseExcept 006a @LStrAsg 0084 @LStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 74 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 38 F6 43 20 01 75 27 80 7B 24 00 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 74 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13278_0 {
	meta:
		name = "TCustomSocket.SetHost"
		size = 149
		refs = "0015 @LStrAddRef 001d TCustomSocket.SetHost 002e CompareText 0046 sCantChangeWhileActive 004b LoadResString 0055 _DV_ESocketError 005a Exception.Create 005f @RaiseExcept 006a @LStrAsg 0084 @LStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 78 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 38 F6 43 20 01 75 27 80 7B 24 00 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 78 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13279_0 {
	meta:
		name = "TCustomSocket.SetPort"
		size = 104
		refs = "0009 TCustomSocket.SetPort 0028 sCantChangeWhileActive 002d LoadResString 0037 _DV_ESocketError 003c Exception.Create 0041 @RaiseExcept 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 3B 50 70 74 30 F6 40 20 01 75 27 80 78 24 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 50 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_13280_0 {
	meta:
		name = "TCustomSocket.SetService"
		size = 149
		refs = "0015 @LStrAddRef 001d TCustomSocket.SetService 002e CompareText 0046 sCantChangeWhileActive 004b LoadResString 0055 _DV_ESocketError 005a Exception.Create 005f @RaiseExcept 006a @LStrAsg 0084 @LStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 7C 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 38 F6 43 20 01 75 27 80 7B 24 00 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 7C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13283_0 {
	meta:
		name = "TWinSocketStream.Create"
		size = 176
		refs = "0010 @ClassCreate 001e TWinSocketStream.Create 0036 sSocketMustBeBlocking 003b LoadResString 0045 _DV_ESocketError 004a Exception.Create 004f @RaiseExcept 005f _Dn_TSimpleEvent 0064 TSimpleEvent.Create 0070 TObject.Create 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A0 ?? ?? ?? ?? 3A 46 28 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 04 8B 45 08 89 47 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_13285_0 {
	meta:
		name = "TWinSocketStream.WaitForData"
		size = 100
		refs = "0032 FD_ZERO 0041 FD_SET 0052 select"
	strings:
		$1 = { 53 56 81 C4 F4 FE FF FF 8B CA 8B D8 8B C1 BE E8 03 00 00 99 F7 FE 89 04 24 8B C1 B9 E8 03 00 00 99 F7 F9 69 C2 E8 03 00 00 89 44 24 04 8D 44 24 08 E8 ?? ?? ?? ?? 8D 54 24 08 8B 43 04 8B 40 04 E8 ?? ?? ?? ?? 54 6A 00 6A 00 8D 44 24 14 50 6A 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 81 C4 0C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13286_0 {
	meta:
		name = "TWinSocketStream.Read"
		size = 368
		refs = "001e TWinSocketStream.Read 002f TCustomWinSocket.Lock 004c @FillChar 0071 ReadFile 007a GetLastError 0090 sSocketRead 0095 LoadResString 00b0 SysErrorMessage 00c8 sSocketIOError 00d7 _DV_ESocketError 00dc Exception.CreateFmt 00e1 @RaiseExcept 00f2 TEvent.WaitFor 0116 GetOverlappedResult 0121 TEvent.ResetEvent 0139 TCustomWinSocket.Unlock 013f @HandleFinally 015b @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 33 DB 89 5D C8 89 5D C4 89 5D C0 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 04 89 45 F4 8D 45 E4 50 8D 45 F8 50 56 53 8B 45 FC 8B 40 04 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 75 6C E8 ?? ?? ?? ?? 3D E5 03 00 00 74 60 E8 ?? ?? ?? ?? 8B D8 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 0B 89 5D D4 C6 45 D8 00 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 89 45 DC C6 45 E0 0B 8D 45 CC 50 6A 02 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 F8 EB 24 6A 00 8D 45 F8 50 8D 45 E4 50 8B 45 FC 8B 40 04 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13287_0 {
	meta:
		name = "TWinSocketStream.Write"
		size = 357
		refs = "001e TWinSocketStream.Write 002f TCustomWinSocket.Lock 004c @FillChar 0071 WriteFile 007a GetLastError 0090 sSocketWrite 0095 LoadResString 00b0 SysErrorMessage 00c8 sSocketIOError 00d7 _DV_ESocketError 00dc Exception.CreateFmt 00e1 @RaiseExcept 00f2 TEvent.WaitFor 0116 GetOverlappedResult 012e TCustomWinSocket.Unlock 0134 @HandleFinally 0150 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 33 DB 89 5D C8 89 5D C4 89 5D C0 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 04 89 45 F4 8D 45 E4 50 8D 45 F8 50 56 53 8B 45 FC 8B 40 04 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 75 6C E8 ?? ?? ?? ?? 3D E5 03 00 00 74 60 E8 ?? ?? ?? ?? 8B D8 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 0B 89 5D D4 C6 45 D8 00 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 89 45 DC C6 45 E0 0B 8D 45 CC 50 6A 02 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 F8 EB 19 6A 00 8D 45 F8 50 8D 45 E4 50 8B 45 FC 8B 40 04 8B 40 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13289_0 {
	meta:
		name = "TClientSocket.Create"
		size = 98
		refs = "000e @ClassCreate 001c TComponent.Create 0026 _DV_TClientWinSocket 002b TCustomWinSocket.Create 003d _NF__21D 0047 _NF__21E"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C9 FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 00 00 00 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 38 C7 46 34 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13290_0 {
	meta:
		name = "TClientSocket.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TComponent.Destroy 0024 @ClassDestroy"
		altNames = "TCustomServerSocket.Destroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13291_0 {
	meta:
		name = "TClientSocket.DoActivate"
		size = 64
		refs = "0039 TCustomWinSocket.Open"
	strings:
		$1 = { 56 57 8B F0 8B BE 80 00 00 00 8A 47 08 3A D0 74 2C F6 46 20 10 75 26 84 C0 74 0C 8B 57 04 8B C7 8B 08 FF 51 08 EB 16 8D 46 7C 50 66 8B 46 70 50 8D 4E 74 8D 56 78 8B C7 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_13292_0 {
	meta:
		name = "TClientSocket.GetClientType"
		size = 10
		altNames = "TCustomServerSocket.GetServerType"
	strings:
		$1 = { 8B 80 80 00 00 00 8A 40 44 C3 }
	condition:
		$1
}

rule function_13293_0 {
	meta:
		name = "TClientSocket.SetClientType"
		size = 12
		refs = "0007 TClientWinSocket.SetClientType"
	strings:
		$1 = { 8B 80 80 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13297_0 {
	meta:
		name = "TCustomServerSocket.SetServerType"
		size = 12
		refs = "0007 TServerWinSocket.SetServerType"
	strings:
		$1 = { 8B 80 80 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13303_0 {
	meta:
		name = "TCustomServerSocket.SetThreadCacheSize"
		size = 12
		refs = "0007 TServerWinSocket.SetThreadCacheSize"
	strings:
		$1 = { 8B 80 80 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13295_0 {
	meta:
		name = "TCustomServerSocket.DoActivate"
		size = 66
		refs = "003b TServerWinSocket.Listen"
	strings:
		$1 = { 56 57 8B F0 8B BE 80 00 00 00 8A 47 08 3A D0 74 2E F6 46 20 10 75 28 84 C0 74 0C 8B 57 04 8B C7 8B 08 FF 51 08 EB 18 8D 46 7C 50 66 8B 46 70 50 6A 05 8D 4E 74 8D 56 78 8B C7 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_13298_0 {
	meta:
		name = "TCustomServerSocket.GetGetThreadEvent"
		size = 18
	strings:
		$1 = { 8B 80 80 00 00 00 8B 48 64 89 0A 8B 48 68 89 4A 04 C3 }
	condition:
		$1
}

rule function_13299_0 {
	meta:
		name = "TCustomServerSocket.SetGetThreadEvent"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 80 80 00 00 00 8B 55 08 89 50 64 8B 55 0C 89 50 68 5D C2 08 00 }
	condition:
		$1
}

rule function_13300_0 {
	meta:
		name = "TCustomServerSocket.GetGetSocketEvent"
		size = 18
	strings:
		$1 = { 8B 80 80 00 00 00 8B 48 5C 89 0A 8B 48 60 89 4A 04 C3 }
	condition:
		$1
}

rule function_13301_0 {
	meta:
		name = "TCustomServerSocket.SetGetSocketEvent"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 80 80 00 00 00 8B 55 08 89 50 5C 8B 55 0C 89 50 60 5D C2 08 00 }
	condition:
		$1
}

rule function_13302_0 {
	meta:
		name = "TCustomServerSocket.GetThreadCacheSize"
		size = 10
	strings:
		$1 = { 8B 80 80 00 00 00 8B 40 48 C3 }
	condition:
		$1
}

rule function_13304_0 {
	meta:
		name = "TCustomServerSocket.GetOnThreadStart"
		size = 18
	strings:
		$1 = { 8B 80 80 00 00 00 8B 48 6C 89 0A 8B 48 70 89 4A 04 C3 }
	condition:
		$1
}

rule function_13305_0 {
	meta:
		name = "TCustomServerSocket.GetOnThreadEnd"
		size = 18
	strings:
		$1 = { 8B 80 80 00 00 00 8B 48 74 89 0A 8B 48 78 89 4A 04 C3 }
	condition:
		$1
}

rule function_13306_0 {
	meta:
		name = "TCustomServerSocket.SetOnThreadStart"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 80 80 00 00 00 8B 55 08 89 50 6C 8B 55 0C 89 50 70 5D C2 08 00 }
	condition:
		$1
}

rule function_13307_0 {
	meta:
		name = "TCustomServerSocket.SetOnThreadEnd"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 80 80 00 00 00 8B 55 08 89 50 74 8B 55 0C 89 50 78 5D C2 08 00 }
	condition:
		$1
}

rule function_13308_0 {
	meta:
		name = "TCustomServerSocket.GetOnClientEvent"
		size = 115
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 21 4A 74 37 4A 74 4A EB 5F 8B 80 80 00 00 00 8B 90 8C 00 00 00 89 13 8B 90 90 00 00 00 89 53 04 5B C3 8B 80 80 00 00 00 8B 90 94 00 00 00 89 13 8B 90 98 00 00 00 89 53 04 5B C3 8B 80 80 00 00 00 8B 50 7C 89 13 8B 90 80 00 00 00 89 53 04 5B C3 8B 80 80 00 00 00 8B 90 84 00 00 00 89 13 8B 90 88 00 00 00 89 53 04 5B C3 }
	condition:
		$1
}

rule function_13309_0 {
	meta:
		name = "TCustomServerSocket.SetOnClientEvent"
		size = 121
	strings:
		$1 = { 55 8B EC 83 EA 01 72 0A 74 22 4A 74 39 4A 74 4D EB 63 8B 80 80 00 00 00 8B 55 08 89 90 8C 00 00 00 8B 55 0C 89 90 90 00 00 00 EB 49 8B 80 80 00 00 00 8B 55 08 89 90 94 00 00 00 8B 55 0C 89 90 98 00 00 00 EB 2F 8B 80 80 00 00 00 8B 55 08 89 50 7C 8B 55 0C 89 90 80 00 00 00 EB 18 8B 80 80 00 00 00 8B 55 08 89 90 84 00 00 00 8B 55 0C 89 90 88 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_13310_0 {
	meta:
		name = "TCustomServerSocket.GetOnClientError"
		size = 24
	strings:
		$1 = { 8B 80 80 00 00 00 8B 88 9C 00 00 00 89 0A 8B 88 A0 00 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_13311_0 {
	meta:
		name = "TCustomServerSocket.SetOnClientError"
		size = 31
	strings:
		$1 = { 55 8B EC 8B 80 80 00 00 00 8B 55 08 89 90 9C 00 00 00 8B 55 0C 89 90 A0 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_13312_0 {
	meta:
		name = "TServerSocket.Create"
		size = 110
		refs = "000e @ClassCreate 001c TComponent.Create 0026 _DV_TServerWinSocket 002b TServerWinSocket.Create 003d _NF__21D 0047 _NF__21E 0053 TServerWinSocket.SetThreadCacheSize"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C9 FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 00 00 00 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 38 C7 46 34 ?? ?? ?? ?? BA 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13318_0 {
	meta:
		name = "TSeriesPointer.Create"
		size = 134
		refs = "000f @ClassCreate 001f TObject.Create 0048 TChartSeries.CreateChartPen 0052 _Dn_TChartBrush 0057 TChartBrush.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 1C C6 43 19 01 C6 43 18 01 C7 43 04 04 00 00 00 C7 43 08 04 00 00 00 C6 43 0C 01 C6 43 0D 00 8B 43 1C E8 ?? ?? ?? ?? 89 43 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 14 89 77 08 8B 06 8B 80 08 01 00 00 89 47 04 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13319_0 {
	meta:
		name = "TSeriesPointer.Destroy"
		size = 50
		refs = "000a TObject.Free 001e TPersistent.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13320_0 {
	meta:
		name = "TSeriesPointer.ChangeStyle"
		size = 4
	strings:
		$1 = { 88 50 0D C3 }
	condition:
		$1
}

rule function_13322_0 {
	meta:
		name = "TSeriesPointer.ChangeVertSize"
		size = 4
	strings:
		$1 = { 89 50 08 C3 }
	condition:
		$1
}

rule function_13325_0 {
	meta:
		name = "_NF__189"
		size = 87
		refs = "0009 _NF__189 001a TeeMsg_CheckPointerSize 001f LoadResString 0029 _Dn_ChartException 002e Exception.Create 0033 @RaiseExcept 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 4A 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_13326_0 {
	meta:
		name = "TSeriesPointer.SetHorizSize"
		size = 30
		refs = "000b _NF__189 0017 TSeriesPointer.SetIntegerProperty"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 53 04 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13327_0 {
	meta:
		name = "TSeriesPointer.SetInflateMargins"
		size = 11
		refs = "0006 TSeriesPointer.SetBooleanProperty"
	strings:
		$1 = { 8D 48 19 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13328_0 {
	meta:
		name = "TSeriesPointer.SetVertSize"
		size = 30
		refs = "000b _NF__189 0017 TSeriesPointer.SetIntegerProperty"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 53 08 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13331_0 {
	meta:
		name = "TSeriesPointer.Set3D"
		size = 11
		refs = "0006 TSeriesPointer.SetBooleanProperty"
	strings:
		$1 = { 8D 48 0C 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13332_0 {
	meta:
		name = "TSeriesPointer.Change3D"
		size = 4
	strings:
		$1 = { 88 50 0C C3 }
	condition:
		$1
}

rule function_13333_0 {
	meta:
		name = "TSeriesPointer.SetVisible"
		size = 11
		refs = "0006 TSeriesPointer.SetBooleanProperty"
	strings:
		$1 = { 8D 48 18 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13334_0 {
	meta:
		name = "TSeriesPointer.SetStyle"
		size = 17
		refs = "000c TChartSeries.Repaint"
	strings:
		$1 = { 3A 50 0D 74 0B 88 50 0D 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13335_0 {
	meta:
		name = "TSeriesPointer.PrepareCanvas"
		size = 115
		refs = "002a TPen.GetColor 003b TPen.SetColor 0047 TPen.SetStyle 005a TBrush.GetColor 006b TBrush.SetColor"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 1C 8B 40 40 8B 98 50 01 00 00 8B 46 10 80 78 18 00 74 25 8B D0 8B 43 10 8B 08 FF 51 08 8B 43 10 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 16 8B D7 8B 43 10 E8 ?? ?? ?? ?? EB 0A B2 05 8B 43 10 E8 ?? ?? ?? ?? 8B 56 14 8B 43 14 8B 08 FF 51 08 8B 43 14 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 0A 8B D7 8B 43 14 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13336_0 {
	meta:
		name = "_NF__1A8"
		size = 109
		refs = "0020 TPen.SetColor 0043 TCustomTeePanel.DoLine"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 40 1C 8B 58 40 8B 45 08 8B 50 0C 8B 83 50 01 00 00 8B 40 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 40 50 8B 45 08 8B 40 EC 40 50 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 50 8B 45 08 8B 40 EC 40 50 8B 45 08 8B 48 F4 8B 45 08 8B 50 F0 42 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_13337_0 {
	meta:
		name = "_NF__1A9"
		size = 93
		refs = "0020 TPen.SetColor 003b TCustomTeePanel.DoVertLine 0056 TCustomTeePanel.DoHorizLine"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 40 1C 8B 58 40 8B 45 08 8B 50 0C 8B 83 50 01 00 00 8B 40 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 40 50 8B 45 08 8B 48 F4 8B 45 08 8B 50 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 50 8B 45 08 8B 48 F0 41 8B 45 08 8B 50 F8 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_13338_0 {
	meta:
		name = "_NF__1AA"
		size = 141
		refs = "001b Point 0084 TCustomTeePanel.DoPolygon"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 8B D8 8D 4D E0 8B 45 08 8B 50 E4 03 D3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC 8D 4D D8 8B 45 08 8B 50 E4 03 D3 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 D8 89 45 F0 8B 45 DC 89 45 F4 8D 4D D0 8B 45 08 8B 50 E4 2B D3 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8B 45 D0 89 45 F8 8B 45 D4 89 45 FC 8D 55 E8 8B 45 08 8B 40 FC 8B 40 1C 8B 40 40 B9 02 00 00 00 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13339_0 {
	meta:
		name = "TSeriesPointer.DrawPointer"
		size = 700
		refs = "0058 TSeriesPointer.DrawPointer 0091 TCanvas.Rectangle 00d1 Point 0142 TCustomTeePanel.DoPolygon 01d9 TCanvas.Ellipse 01e6 _NF__1AA 0202 _NF__1A9 020e _NF__1A8 02af TCanvas.SetPixel"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 89 4D E4 89 55 E8 89 45 FC 8B 5D 10 8B 7D 14 8B 45 FC 8B 40 1C 8B 70 40 8B 86 50 01 00 00 8B 55 E8 2B D7 89 55 F8 8B 55 E8 03 D7 89 55 F0 8B 55 E4 2B D3 89 55 F4 8B 55 E4 03 D3 89 55 EC 33 D2 8A 55 08 83 FA 08 0F 87 5E 02 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F0 42 52 8B 55 EC 42 52 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 0F 84 11 02 00 00 83 BE 68 01 00 00 00 0F 8E 04 02 00 00 8B 45 E8 03 86 68 01 00 00 89 45 E0 8B 45 E4 2B 86 6C 01 00 00 89 45 DC 8D 4D B4 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B4 89 45 BC 8B 45 B8 89 45 C0 8D 4D AC 8B 55 DC 2B D3 8B 45 E0 2B C7 E8 ?? ?? ?? ?? 8B 45 AC 89 45 C4 8B 45 B0 89 45 C8 8D 4D A4 8B 55 DC 2B D3 8B 45 E0 03 C7 E8 ?? ?? ?? ?? 8B 45 A4 89 45 CC 8B 45 A8 89 45 D0 8D 4D 9C 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 9C 89 45 D4 8B 45 A0 89 45 D8 8D 55 BC B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 4D B4 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 B4 89 45 BC 8B 45 B8 89 45 C0 8D 4D AC 8B 55 DC 2B D3 8B 45 E0 03 C7 E8 ?? ?? ?? ?? 8B 45 AC 89 45 C4 8B 45 B0 89 45 C8 8D 4D A4 8B 55 DC 03 D3 8B 45 E0 03 C7 E8 ?? ?? ?? ?? 8B 45 A4 89 45 CC 8B 45 A8 89 45 D0 8D 4D 9C 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 9C 89 45 D4 8B 45 A0 89 45 D8 8D 55 BC B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 E9 00 00 00 8B 55 F0 52 8B 55 EC 52 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? E9 D1 00 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 E9 C3 00 00 00 55 8B C3 F7 D8 E8 ?? ?? ?? ?? 59 E9 B3 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 A7 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 9B 00 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 E9 88 00 00 00 8D 4D B4 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B4 89 45 BC 8B 45 B8 89 45 C0 8D 4D AC 8B 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 AC 89 45 C4 8B 45 B0 89 45 C8 8D 4D A4 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 A4 89 45 CC 8B 45 A8 89 45 D0 8D 4D 9C 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 9C 89 45 D4 8B 45 A0 89 45 D8 8D 55 BC B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 0F 8B 55 0C 52 8B 4D E4 8B 55 E8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_13340_0 {
	meta:
		name = "TSeriesPointer.Draw"
		size = 30
		refs = "0015 TSeriesPointer.DrawPointer"
	strings:
		$1 = { 55 8B EC 53 8B 58 04 53 8B 58 08 53 8B 5D 0C 53 8A 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13341_0 {
	meta:
		name = "TSeriesPointer.Assign"
		size = 99
		refs = "000b _DV_TSeriesPointer 0010 @IsClass 005b TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B FE 8B 47 04 89 43 04 8B 47 08 89 43 08 8A 47 0C 88 43 0C 8A 47 0D 88 43 0D 8B 57 10 8B 43 10 8B 08 FF 51 08 8B 57 14 8B 43 14 8B 08 FF 51 08 8A 47 18 88 43 18 8A 47 19 88 43 19 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13342_0 {
	meta:
		name = "TCustomSeries.Create"
		size = 116
		refs = "000a @ClassCreate 0017 TChartSeries.Create 002e _DV_TSeriesPointer 0033 TSeriesPointer.Create 0040 TChartSeries.CreateChartPen"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 0C 01 00 00 01 C6 86 CD 00 00 00 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 86 D8 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 86 DC 00 00 00 C7 86 E0 00 00 00 00 00 00 80 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13343_0 {
	meta:
		name = "TCustomSeries.Destroy"
		size = 67
		refs = "000d TObject.Free 002f TChartSeries.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13344_0 {
	meta:
		name = "TCustomSeries.DrawMark"
		size = 98
		refs = "0035 OffsetRect 0055 TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 18 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B D8 8B 7D 10 8B 43 3C 8B 70 28 8B C6 F7 D8 50 6A 00 8D 45 E8 50 E8 ?? ?? ?? ?? 2B FE 8D 45 E8 50 8B 45 14 50 57 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_13345_0 {
	meta:
		name = "TCustomSeries.ClickedPointer"
		size = 56
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B C1 2B 45 0C 99 33 C2 2B C2 8B B3 D4 00 00 00 3B 46 04 7D 10 8B 45 10 2B 45 08 99 33 C2 2B C2 3B 46 08 7C 04 33 C0 EB 02 B0 01 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_13346_0 {
	meta:
		name = "TCustomSeries.Assign"
		size = 190
		refs = "000b _DV_TCustomSeries 0010 @IsClass 00b6 TChartSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 95 00 00 00 8B FE 8A 87 D0 00 00 00 88 83 D0 00 00 00 8A 87 D1 00 00 00 88 83 D1 00 00 00 8A 87 D3 00 00 00 88 83 D3 00 00 00 8A 87 D2 00 00 00 88 83 D2 00 00 00 8B 97 D4 00 00 00 8B 83 D4 00 00 00 8B 08 FF 51 08 8B 97 D8 00 00 00 8B 83 D8 00 00 00 8B 08 FF 51 08 8B 97 DC 00 00 00 8B 83 DC 00 00 00 8B 08 FF 51 08 8B 87 E0 00 00 00 89 83 E0 00 00 00 8A 87 E4 00 00 00 88 83 E4 00 00 00 8A 87 E5 00 00 00 88 83 E5 00 00 00 8A 87 0C 01 00 00 88 83 0C 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13347_0 {
	meta:
		name = "_NF__1D6"
		size = 270
		refs = "002d Point 00d7 PointInPolygon 0105 PointInLine"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 8B 45 08 8B 40 FC 8B 58 40 80 BB C8 01 00 00 00 0F 84 C0 00 00 00 8D 4D D8 8B 45 08 8B 50 EC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E0 8B 45 DC 89 45 E4 8D 4D D0 8B 45 08 8B 50 EC 2B 93 6C 01 00 00 8B 45 08 8B 40 F0 03 83 68 01 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 E8 8B 45 D4 89 45 EC 8D 4D C8 8B 45 08 8B 50 E4 2B 93 6C 01 00 00 8B 45 08 8B 40 E8 03 83 68 01 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 F0 8B 45 CC 89 45 F4 8D 4D C0 8B 45 08 8B 50 E4 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8B 45 C0 89 45 F8 8B 45 C4 89 45 FC 8D 45 E0 50 8D 4D B8 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8D 45 B8 B9 03 00 00 00 5A E8 ?? ?? ?? ?? EB 2C 8B 45 08 8B 40 EC 50 8B 45 08 8B 40 E8 50 8B 45 08 8B 40 E4 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13348_0 {
	meta:
		name = "TCustomSeries.Clicked"
		size = 552
		refs = "001c TChartSeries.Clicked 0130 _NF__1D6 0157 Point 01ea PointInPolygon"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 33 C0 89 45 E8 33 C0 89 45 E4 8B 45 FC 33 D2 89 90 FC 00 00 00 83 FE FF 0F 85 DF 01 00 00 8B 45 FC 8B 80 C0 00 00 00 83 F8 FF 0F 8E CD 01 00 00 8B 55 FC 83 BA C4 00 00 00 FF 0F 8E BD 01 00 00 8B D8 8B 45 FC 8B 80 C4 00 00 00 2B C3 0F 8C AA 01 00 00 40 89 45 E0 8B D3 8B 45 FC 8B 08 FF 91 B0 00 00 00 89 45 F0 8B D3 8B 45 FC 8B 08 FF 91 B4 00 00 00 89 45 EC 8B 45 FC 8B 80 D4 00 00 00 80 78 18 00 74 50 8B 45 EC 50 8B 45 F8 50 8B 45 F4 50 8B 4D F0 8B D3 8B 45 FC 8B 38 FF 97 14 01 00 00 84 C0 74 30 8B 45 FC 66 83 B8 EA 00 00 00 00 74 1C 8B 45 F8 50 8B 45 F4 50 8B 75 FC 8B CB 8B 55 FC 8B 86 EC 00 00 00 FF 96 E8 00 00 00 8B F3 E9 27 01 00 00 8B 45 F0 3B 45 F8 75 0F 8B 45 EC 3B 45 F4 75 07 8B F3 E9 10 01 00 00 8B 45 FC 3B 98 C0 00 00 00 0F 8E D9 00 00 00 8B 45 FC 80 B8 0C 01 00 00 00 0F 84 C9 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 85 B5 00 00 00 8B 45 FC 80 B8 D3 00 00 00 00 0F 84 AA 00 00 00 8D 4D B8 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 C0 8B 45 BC 89 45 C4 8D 4D B0 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8B D3 8B 45 FC 8B 08 FF 91 18 01 00 00 8B D0 8D 4D A8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8B D3 4A 8B 45 FC 8B 08 FF 91 18 01 00 00 8B D0 8D 4D A0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 45 C0 50 8D 4D 98 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 98 B9 03 00 00 00 5A E8 ?? ?? ?? ?? 84 C0 74 05 8B F3 4E EB 28 8B 45 F0 89 45 E8 8B 45 EC 89 45 E4 8B 45 FC 8B 80 F8 00 00 00 8B 55 FC 89 82 FC 00 00 00 43 FF 4D E0 0F 85 5A FE FF FF 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13349_0 {
	meta:
		name = "TCustomSeries.SetDrawArea"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 D3 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13350_0 {
	meta:
		name = "TCustomSeries.SetPointer"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 D4 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_13351_0 {
	meta:
		name = "TChartShape.SetFont"
		size = 12
		altNames = "TCustomSeries.SetAreaLinesPen"
	strings:
		$1 = { 8B 80 D8 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_13352_0 {
	meta:
		name = "TCustomSeries.SetLinePen"
		size = 12
	strings:
		$1 = { 8B 80 DC 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_13353_0 {
	meta:
		name = "TCustomSeries.SetStairs"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 D0 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13354_0 {
	meta:
		name = "TCustomSeries.SetInvertedStairs"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 D1 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13355_0 {
	meta:
		name = "TCustomSeries.SetAreaColor"
		size = 14
		refs = "0009 TChartSeries.SetColorProperty"
	strings:
		$1 = { 8D 88 E0 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13356_0 {
	meta:
		name = "TChartSeries.SetBooleanProperty"
		size = 12
		refs = "0007 TChartSeries.Repaint"
		altNames = "_NF__1F0"
	strings:
		$1 = { 3A 0A 74 07 88 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13357_0 {
	meta:
		name = "TCustomSeries.SetAreaBrush"
		size = 14
		refs = "0009 _NF__1F0"
	strings:
		$1 = { 8D 88 E5 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13358_0 {
	meta:
		name = "TCustomSeries.SetLineBrush"
		size = 14
		refs = "0009 _NF__1F0"
	strings:
		$1 = { 8D 88 E4 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15486_0 {
	meta:
		name = "TChartShape.SetRoundRectangle"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 E4 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13359_0 {
	meta:
		name = "_NF__1F7"
		size = 106
		refs = "0022 TCustomSeries.LinePrepareCanvas 003a TCustomTeePanel.DoRectangle 0063 TCustomTeePanel.DoHorizLine"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC 8B 40 40 8B 90 50 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 DB 74 17 8B 45 08 8B 50 F4 8B 45 08 8B 40 FC 8B 40 40 E8 ?? ?? ?? ?? 5B 5D C3 8B 45 08 8B 40 F0 50 8B 45 08 8B 48 F4 8B 49 08 8B 45 08 8B 50 F4 8B 12 8B 45 08 8B 40 FC 8B 40 40 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_13360_0 {
	meta:
		name = "TCustomSeries.DrawLegendShape"
		size = 400
		refs = "0069 _NF__1F7 0084 TSeriesPointer.PrepareCanvas 00b5 MinLong 0139 TSeriesPointer.Draw 0185 TChartSeries.DrawLegendShape"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 8B DA 89 45 FC 83 FB FF 75 0B 8B 45 FC 8B 40 44 89 45 F8 EB 0D 8B D3 8B 45 FC 8B 08 FF 51 48 89 45 F8 8B 45 F4 8B 40 04 8B 55 F4 03 42 0C D1 F8 79 03 83 D0 00 89 45 F0 8B 45 FC 8B 80 D4 00 00 00 80 78 18 00 0F 84 F8 00 00 00 8B D8 8B 45 FC 80 B8 D2 00 00 00 00 74 09 55 33 C0 E8 ?? ?? ?? ?? 59 8A 43 0C 88 45 EF 80 7D EF 00 74 04 C6 43 0C 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 73 04 8B 7B 08 8B 45 FC 8B 80 DC 00 00 00 80 78 18 00 74 41 8B 45 F4 8B 40 08 8B 55 F4 2B 02 B9 03 00 00 00 99 F7 F9 8B D0 8B C6 E8 ?? ?? ?? ?? 89 43 04 8B 45 F4 8B 40 0C 8B 55 F4 2B 42 04 B9 03 00 00 00 99 F7 F9 8B D0 8B C7 E8 ?? ?? ?? ?? 89 43 08 EB 3B 8B 55 F4 8B 52 08 8B 45 F4 2B 10 D1 FA 79 03 83 D2 00 42 8B C6 E8 ?? ?? ?? ?? 89 43 04 8B 55 F4 8B 52 0C 8B 45 F4 2B 50 04 D1 FA 79 03 83 D2 00 42 8B C7 E8 ?? ?? ?? ?? 89 43 08 8B 45 F8 50 8A 43 0D 50 8B 55 F4 8B 12 8B 45 F4 03 50 08 D1 FA 79 03 83 D2 00 8B 4D F0 8B C3 E8 ?? ?? ?? ?? 80 7D EF 00 74 04 C6 43 0C 01 89 73 04 89 7B 08 EB 3A 8B 45 FC 80 B8 D2 00 00 00 00 74 21 8B 45 FC 80 B8 D3 00 00 00 00 75 15 55 8B 45 FC 8B 40 40 8A 80 C8 01 00 00 E8 ?? ?? ?? ?? 59 EB 0D 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13361_0 {
	meta:
		name = "TCustomSeries.LinePrepareCanvas"
		size = 96
		refs = "001e TCustomAxisPanel.CheckPenWidth 0038 TBrush.SetStyle 0042 TBrush.SetColor 0058 TPen.SetColor"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 93 DC 00 00 00 8B 46 10 8B 08 FF 51 08 8B 56 10 8B 43 40 E8 ?? ?? ?? ?? 8B 43 40 80 B8 C8 01 00 00 00 74 1A 8A 93 E4 00 00 00 8B 46 14 E8 ?? ?? ?? ?? 8B D7 8B 46 14 E8 ?? ?? ?? ?? EB 14 B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B D7 8B 46 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13362_0 {
	meta:
		name = "TCustomSeries.GetAreaBrushColor"
		size = 28
	strings:
		$1 = { 80 78 48 00 75 0C 81 B8 E0 00 00 00 00 00 00 80 75 03 8B C2 C3 8B 80 E0 00 00 00 C3 }
	condition:
		$1
}

rule function_13363_0 {
	meta:
		name = "_NF__203"
		size = 212
		refs = "0088 _NF__203 00c5 TChartSeries.CalcYPosValue"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 8B D8 8B 45 10 8B 40 FC 80 B8 D0 00 00 00 00 74 15 8B 45 10 8B 40 FC 8B D3 8B 08 FF 91 B4 00 00 00 E9 9C 00 00 00 8B 45 10 8B 50 F8 8B 45 10 8B 40 FC 8B 08 FF 51 3C DD 5D E0 9B 8B 45 10 8B 50 F8 8B 45 10 8B 40 FC 8B 08 FF 51 40 DD 5D D8 9B 8B 45 10 8B 40 FC 8B D3 8B 08 FF 51 3C DD 5D F8 9B 8B 45 10 8B 40 FC 8B D3 8B 08 FF 51 40 DD 5D F0 9B DD 45 E0 DC 65 F8 DD 5D E8 9B DD 45 E8 D8 1D ?? ?? ?? ?? DF E0 9E 75 12 8B 45 10 8B 40 FC 8B D3 8B 08 FF 91 B4 00 00 00 EB 26 DD 45 08 DC 65 F8 DD 45 D8 DC 65 F0 DE C9 DC 75 E8 DC 45 F0 83 C4 F8 DD 1C 24 9B 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 00 00 00 00 }
	condition:
		$1
}

rule function_13364_0 {
	meta:
		name = "_NF__204"
		size = 482
		refs = "002a TCustomTeePanel.SetBrushCanvas 006e Point 00ef TCustomTeePanel.DoPolygon 0139 TCanvas.Rectangle"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 55 FC 8B 75 08 83 C6 FC 8B 16 8B 5A 40 50 8B 06 8B 40 44 50 8B 4D FC 8B 93 50 01 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB C8 01 00 00 00 0F 84 B8 00 00 00 8B 45 08 8B 40 F8 8B 16 3B 82 C4 00 00 00 0F 85 A4 00 00 00 8B 45 08 8B 78 F4 03 BB 68 01 00 00 4F 8D 4D D4 8B 06 8B 90 F8 00 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 D4 89 45 DC 8B 45 D8 89 45 E0 8D 4D CC 8B 45 08 8B 50 F0 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 CC 89 45 E4 8B 45 D0 89 45 E8 8D 4D C4 8B 45 08 8B 50 F0 2B 93 6C 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 C4 89 45 EC 8B 45 C8 89 45 F0 8D 4D BC 8B 06 8B 90 F8 00 00 00 2B 93 6C 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 BC 89 45 F4 8B 45 C0 89 45 F8 8D 55 DC B9 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 06 80 B8 D0 00 00 00 00 74 44 8B 06 80 B8 D1 00 00 00 00 74 08 8B 45 08 8B 40 F0 EB 08 8B 06 8B 80 04 01 00 00 8B 55 08 8B 52 F4 42 52 50 8B 06 8B 88 F8 00 00 00 8B 06 8B 90 00 01 00 00 8B 83 50 01 00 00 E8 ?? ?? ?? ?? E9 99 00 00 00 8D 4D D4 8B 06 8B 90 FC 00 00 00 8B 06 8B 80 00 01 00 00 E8 ?? ?? ?? ?? 8B 45 D4 89 45 DC 8B 45 D8 89 45 E0 8D 4D CC 8B 06 8B 90 04 01 00 00 8B 06 8B 80 00 01 00 00 E8 ?? ?? ?? ?? 8B 45 CC 89 45 E4 8B 45 D0 89 45 E8 8D 4D C4 8B 45 08 8B 50 F0 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 C4 89 45 EC 8B 45 C8 89 45 F0 8D 4D BC 8B 06 8B 90 F8 00 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 BC 89 45 F4 8B 45 C0 89 45 F8 8D 55 DC B9 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13365_0 {
	meta:
		name = "_NF__205"
		size = 200
		refs = "003d TCanvas.MoveTo 0065 TCanvas.LineTo 00c1 TCustomTeePanel.DoLine"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 40 40 8B 55 08 8B 52 FC 80 BA D0 00 00 00 00 74 7E 8B 98 50 01 00 00 8B 45 08 8B 40 FC 8B 88 04 01 00 00 8B 45 08 8B 40 FC 8B 90 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 B8 D1 00 00 00 00 74 1B 8B 45 08 8B 48 F0 8B 45 08 8B 40 FC 8B 90 00 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 19 8B 45 08 8B 40 FC 8B 88 04 01 00 00 8B 45 08 8B 50 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 8B 55 08 8B 52 F4 52 8B 55 08 8B 52 F0 52 8B 55 08 8B 52 FC 8B 8A 04 01 00 00 8B 55 08 8B 52 FC 8B 92 00 01 00 00 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_13366_0 {
	meta:
		name = "_NF__206"
		size = 79
		refs = "0020 TSeriesPointer.PrepareCanvas"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 80 D4 00 00 00 80 78 18 00 74 36 8B 55 08 8B 52 EC 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 50 8B 45 08 8B 40 F8 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B 45 08 8B 40 FC 8B 18 FF 93 10 01 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_13367_0 {
	meta:
		name = "_NF__207"
		size = 1224
		refs = "00a5 TCustomSeries.GetAreaBrushColor 00af TBrush.SetColor 00d8 TCustomAxisPanel.CheckPenWidth 00e4 TPen.SetStyle 00f8 TBrush.SetStyle 01bb Point 01e2 TCustomTeePanel.DoPolygon 0368 TPen.GetColor 038f TPen.SetColor 039b TBrush.GetColor 03ae _NF__204 03e8 _NF__205 041a TCustomSeries.LinePrepareCanvas 0458 TSeriesPointer.PrepareCanvas 04bc _NF__206"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B D8 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 3B 82 00 01 00 00 75 18 8B 45 08 8B 40 F0 8B 55 08 8B 52 FC 3B 82 04 01 00 00 0F 84 F1 03 00 00 8B 45 08 81 78 EC FF FF FF 1F 0F 84 E1 03 00 00 8B 45 08 8B 40 FC 8B 78 40 8B B7 50 01 00 00 80 BF C8 01 00 00 00 0F 84 BF 02 00 00 8B 45 08 8B 40 FC 80 B8 D3 00 00 00 00 75 26 8B 45 08 8B 40 FC 80 B8 D2 00 00 00 00 0F 84 9D 02 00 00 8B 45 08 8B 40 FC 80 B8 E4 00 00 00 01 0F 84 8A 02 00 00 8B 45 08 8B 50 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 46 14 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 DC 00 00 00 80 78 18 00 74 19 8B 55 08 8B D0 8B 46 10 8B 08 FF 51 08 8B 56 10 8B C7 E8 ?? ?? ?? ?? EB 0A B2 05 8B 46 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8A 90 E4 00 00 00 8B 46 14 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 97 68 01 00 00 03 C2 89 45 F0 8B 45 08 8B 40 F0 2B 87 6C 01 00 00 89 45 F4 8B 45 08 8B 40 FC 8B 80 00 01 00 00 8B C8 03 CA 89 4D E0 8B 55 08 8B 52 FC 8B 92 04 01 00 00 8B CA 2B 8F 6C 01 00 00 89 4D E4 8B 4D 08 8B 49 F4 89 4D F8 8B 4D 08 8B 49 F0 89 4D FC 8B 4D 08 89 45 E8 8B 4D 08 89 55 EC 8B 4D 08 8B 49 FC 80 B9 D0 00 00 00 00 0F 84 6C 01 00 00 8B 4D 08 8B 49 FC 80 B9 D1 00 00 00 00 0F 84 AE 00 00 00 8B 55 08 89 45 D8 8B 45 08 8B 40 F0 89 45 DC 8B 45 E8 89 45 B8 8B 45 EC 89 45 BC 8B 45 D8 89 45 C0 8B 45 DC 89 45 C4 8D 4D B0 8B 55 F4 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8B 45 E0 89 45 D0 8B 45 E4 89 45 D4 8D 55 B8 B9 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 89 45 B8 8B 45 FC 89 45 BC 8B 45 D8 89 45 C0 8B 45 DC 89 45 C4 8D 4D B0 8B 55 F4 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8B 45 F0 89 45 D0 8B 45 F4 89 45 D4 8D 55 B8 B9 03 00 00 00 8B C7 E8 ?? ?? ?? ?? E9 EA 00 00 00 8B 45 08 8B 40 F4 89 45 D8 8B 45 08 89 55 DC 8B 45 D8 89 45 B8 8B 45 DC 89 45 BC 8B 45 E8 89 45 C0 8B 45 EC 89 45 C4 8B 45 E0 89 45 C8 8B 45 E4 89 45 CC 8D 4D B0 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 D0 8B 45 B4 89 45 D4 8D 55 B8 B9 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 89 45 B8 8B 45 FC 89 45 BC 8B 45 D8 89 45 C0 8B 45 DC 89 45 C4 8D 4D B0 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8B 45 F0 89 45 D0 8B 45 F4 89 45 D4 8D 55 B8 B9 03 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 3F 8B 45 F8 89 45 B8 8B 45 FC 89 45 BC 8B 45 E8 89 45 C0 8B 45 EC 89 45 C4 8B 45 E0 89 45 C8 8B 45 E4 89 45 CC 8B 45 F0 89 45 D0 8B 45 F4 89 45 D4 8D 55 B8 B9 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 B8 D3 00 00 00 00 0F 84 BA 00 00 00 8B 45 08 8B 50 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 46 14 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 D8 00 00 00 8B 46 10 8B 08 FF 51 08 8B 46 10 E8 ?? ?? ?? ?? 3D 00 00 00 80 74 12 8B 45 08 8B 40 FC 8B 80 D8 00 00 00 80 78 18 00 75 0E 8B 45 08 8B 50 EC 8B 46 10 E8 ?? ?? ?? ?? 8B 45 08 50 8B 46 14 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8A 80 E5 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 80 D8 00 00 00 80 78 18 00 75 63 8B 45 08 8B 40 FC 8B 90 DC 00 00 00 8B 46 10 8B 08 FF 51 08 B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 39 80 BF C8 01 00 00 00 75 30 8B 45 08 8B 40 FC 80 B8 D2 00 00 00 00 74 21 8B 45 08 8B 48 EC 8B 45 08 8B 40 FC 8B 97 50 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 80 D4 00 00 00 84 58 18 0F 84 84 00 00 00 8B 55 08 8B 52 FC 8B 92 08 01 00 00 81 FA FF FF FF 1F 74 46 8B 4D 08 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 08 01 00 00 50 8B 45 08 8B 40 F8 48 50 8B 45 08 8B 40 FC 8B 88 04 01 00 00 8B 45 08 8B 40 FC 8B 90 00 01 00 00 8B 45 08 8B 40 FC 8B 18 FF 93 10 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 3B 82 C4 00 00 00 75 16 8B 45 08 81 78 EC FF FF FF 1F 74 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13368_0 {
	meta:
		name = "TCustomSeries.DrawValue"
		size = 460
		refs = "002f TPen.SetColor 003a TBrush.SetColor 0122 TChartSeries.GetHorizAxis 012f TChartSeries.CalcXPosValue 014e _NF__203 0171 _NF__207 0185 _NF__206"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 55 F8 89 45 FC 8D 75 FC 8B 06 8B 40 40 8B 98 50 01 00 00 8B 55 F8 8B 06 8B 08 FF 51 48 89 45 EC 33 D2 8B 43 10 E8 ?? ?? ?? ?? 8B 55 EC 8B 43 14 E8 ?? ?? ?? ?? 8B 55 F8 8B 06 8B 08 FF 91 B0 00 00 00 89 45 F4 8B 55 F8 8B 06 8B 08 FF 91 B4 00 00 00 89 45 F0 8B 06 81 B8 08 01 00 00 FF FF FF 1F 75 16 8B 06 8B 55 F4 89 90 00 01 00 00 8B 06 8B 55 F0 89 90 04 01 00 00 81 7D F4 01 80 FF FF 0F 8E 37 01 00 00 81 7D F4 FF 7F 00 00 0F 8D 2A 01 00 00 81 7D F0 01 80 FF FF 0F 8E 1D 01 00 00 81 7D F0 FF 7F 00 00 0F 8D 10 01 00 00 8B 55 F8 8B 06 8B 08 FF 91 18 01 00 00 8B 16 89 82 F8 00 00 00 8B 06 8B 80 C0 00 00 00 3B 45 F8 0F 85 B0 00 00 00 83 7D F8 00 0F 8E 90 00 00 00 8B 06 80 B8 D3 00 00 00 00 74 2E 8B 55 F8 4A 8B 06 8B 08 FF 91 B0 00 00 00 8B 16 89 82 00 01 00 00 8B 55 F8 4A 8B 06 8B 08 FF 91 B4 00 00 00 8B 16 89 82 04 01 00 00 EB 3C 8B 06 E8 ?? ?? ?? ?? FF 70 58 FF 70 54 8B 06 E8 ?? ?? ?? ?? 8B 16 89 82 00 01 00 00 55 8B 06 E8 ?? ?? ?? ?? FF 70 58 FF 70 54 8B 45 F8 48 E8 ?? ?? ?? ?? 59 8B 16 89 82 04 01 00 00 8B 55 F8 4A 8B 06 8B 08 FF 51 48 3D FF FF FF 1F 74 09 55 33 C0 E8 ?? ?? ?? ?? 59 8B 06 8B 80 C4 00 00 00 3B 45 F8 75 12 55 E8 ?? ?? ?? ?? 59 EB 09 55 B0 01 E8 ?? ?? ?? ?? 59 8B 06 8B 55 F4 89 90 00 01 00 00 8B 06 8B 55 F0 89 90 04 01 00 00 8B 06 8B 80 F8 00 00 00 8B 16 89 82 FC 00 00 00 8B 06 8B 55 EC 89 90 08 01 00 00 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13369_0 {
	meta:
		name = "TCustomSeries.DrawPointer"
		size = 82
		refs = "0047 TSeriesPointer.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 66 83 BB F2 00 00 00 00 74 13 8B 4D 08 8B D3 8B 83 F4 00 00 00 FF 93 F0 00 00 00 EB 09 8B 83 D4 00 00 00 8A 40 0D 8B 55 0C 52 50 8B 4D F8 8B 55 FC 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13370_0 {
	meta:
		name = "TCustomSeries.GetEditorClass"
		size = 48
		refs = "0006 TCustomSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 13 00 00 00 54 43 75 73 74 6F 6D 53 65 72 69 65 73 45 64 69 74 6F 72 00 }
	condition:
		$1
}

rule function_13371_0 {
	meta:
		name = "TCustomSeries.CalcHorizMargins"
		size = 68
		refs = "0010 TChartSeries.CalcHorizMargins 002d MaxLong"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 9B D4 00 00 00 80 7B 18 00 74 20 80 7B 19 00 74 1A 8B 53 04 42 8B 06 E8 ?? ?? ?? ?? 89 06 8B 53 04 42 8B 07 E8 ?? ?? ?? ?? 89 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13372_0 {
	meta:
		name = "TCustomSeries.CalcVerticalMargins"
		size = 68
		refs = "0010 TChartSeries.CalcVerticalMargins 002d MaxLong"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 9B D4 00 00 00 80 7B 18 00 74 20 80 7B 19 00 74 1A 8B 53 08 42 8B 06 E8 ?? ?? ?? ?? 89 06 8B 53 08 42 8B 07 E8 ?? ?? ?? ?? 89 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13373_0 {
	meta:
		name = "TCustomSeries.GetOriginPos"
		size = 27
	strings:
		$1 = { 8B 50 40 8B 8A 8C 01 00 00 8B 92 6C 01 00 00 0F AF 90 C8 00 00 00 2B CA 8B C1 C3 }
	condition:
		$1
}

rule function_13374_0 {
	meta:
		name = "TLineSeries.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TCustomSeries.Create 0032 TSeriesPointer.SetVisible"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 D2 00 00 00 01 C6 86 CE 00 00 00 00 33 D2 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13375_0 {
	meta:
		name = "TLineSeries.PrepareLegendCanvas"
		size = 45
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 40 8B 80 50 01 00 00 8B 40 10 8B 93 DC 00 00 00 8B 08 FF 51 08 8B 45 08 8A 93 E4 00 00 00 88 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13376_0 {
	meta:
		name = "TLineSeries.Assign"
		size = 39
		refs = "0006 TCustomSeries.Assign 0013 TSeriesPointer.SetVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? C6 83 D3 00 00 00 00 C6 83 D2 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_13377_0 {
	meta:
		name = "TPointSeries.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TCustomSeries.Create 0028 TSeriesMarks.SetArrowLength 003c TSeriesPointer.SetVisible"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 D2 00 00 00 00 33 D2 8B 46 3C E8 ?? ?? ?? ?? C6 86 0C 01 00 00 00 B2 01 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13378_0 {
	meta:
		name = "TPointSeries.Assign"
		size = 46
		refs = "0006 TCustomSeries.Assign 0013 TSeriesPointer.SetVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? C6 83 D3 00 00 00 00 C6 83 D2 00 00 00 00 C6 83 0C 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_13379_0 {
	meta:
		name = "TAreaSeries.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TCustomSeries.Create 0032 TSeriesPointer.SetVisible"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 D3 00 00 00 01 C6 86 CE 00 00 00 00 33 D2 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? C6 86 10 01 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13380_0 {
	meta:
		name = "TAreaSeries.PrepareLegendCanvas"
		size = 77
		refs = "0025 TBrush.GetColor 002e TCustomSeries.GetAreaBrushColor 0037 TBrush.SetColor"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 43 40 8B B0 50 01 00 00 8B 93 D8 00 00 00 8B 46 10 8B 08 FF 51 08 8B 7E 14 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 08 8A 93 E5 00 00 00 88 10 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13381_0 {
	meta:
		name = "TAreaSeries.Assign"
		size = 74
		refs = "000a _DV_TAreaSeries 000f @IsClass 0028 TCustomSeries.Assign 0043 TSeriesPointer.SetVisible"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8A 86 10 01 00 00 88 83 10 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? C6 83 D3 00 00 00 01 C6 83 D2 00 00 00 01 33 D2 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13382_0 {
	meta:
		name = "TAreaSeries.CalcZOrder"
		size = 31
		refs = "000a TChartSeries.CalcZOrder"
	strings:
		$1 = { 80 B8 10 01 00 00 00 75 06 E8 ?? ?? ?? ?? C3 8B 50 40 8B 92 64 01 00 00 89 90 C8 00 00 00 C3 }
	condition:
		$1
}

rule function_13383_0 {
	meta:
		name = "TAreaSeries.GetEditorClass"
		size = 48
		refs = "0006 TAreaSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 11 00 00 00 54 41 72 65 61 53 65 72 69 65 73 45 64 69 74 6F 72 00 00 00 }
	condition:
		$1
}

rule function_13384_0 {
	meta:
		name = "_NF__241"
		size = 89
		refs = "0012 TCustomAxisPanel.SeriesCount 0025 TCustomAxisPanel.GetSeries 002a TObject.ClassType 0033 @IsClass"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 43 40 85 C0 74 47 8B E8 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 37 47 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B D6 8B C5 E8 ?? ?? ?? ?? 8A 93 10 01 00 00 88 90 10 01 00 00 46 4F 75 CC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13385_0 {
	meta:
		name = "TAreaSeries.SetMultiArea"
		size = 33
		refs = "0014 _NF__241 001b TChartSeries.Repaint"
	strings:
		$1 = { 53 8B D8 3A 93 10 01 00 00 74 14 88 93 10 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13386_0 {
	meta:
		name = "TAreaSeries.GetOriginPos"
		size = 156
		refs = "0018 TCustomSeries.GetOriginPos 0045 TChartSeries.CalcYPosValue 0062 TAreaSeries.GetOriginPos"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 80 BB 10 01 00 00 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 6C 33 C9 8B D6 8B C3 8B 38 FF 97 CC 00 00 00 DD 5C 24 08 9B 80 BB 10 01 00 00 01 75 11 FF 74 24 0C FF 74 24 0C 8B C3 E8 ?? ?? ?? ?? EB 3F B1 01 8B D6 8B C3 8B 30 FF 96 CC 00 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 74 1D DD 44 24 08 D8 0D ?? ?? ?? ?? DC 34 24 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 10 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_13387_0 {
	meta:
		name = "TAreaSeries.MaxYValue"
		size = 141
		refs = "0024 TChartSeries.MaxYValue 0038 TChartSeries.Count 0076 MaxDouble"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 80 BB 10 01 00 00 02 75 0F 33 C0 89 04 24 C7 44 24 04 00 00 59 40 EB 61 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB 10 01 00 00 01 75 4D 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3F 47 33 F6 FF 74 24 04 FF 74 24 04 33 C9 8B D6 8B C3 8B 28 FF 95 CC 00 00 00 DD 5C 24 10 9B 8B D6 8B C3 8B 08 FF 51 40 DC 44 24 10 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B 46 4F 75 C4 DD 04 24 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13388_0 {
	meta:
		name = "TAreaSeries.MinYValue"
		size = 38
		refs = "0018 TChartSeries.MinYValue"
	strings:
		$1 = { 83 C4 F8 80 B8 10 01 00 00 02 75 0B 33 C0 89 04 24 89 44 24 04 EB 09 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_13389_0 {
	meta:
		name = "TAreaSeries.CalcYPos"
		size = 172
		refs = "0018 TChartSeries.CalcYPos 0057 TChartSeries.CalcYPosValue 0074 TAreaSeries.CalcYPos"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B D8 80 BB 10 01 00 00 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 7E 33 C9 8B D6 8B C3 8B 38 FF 97 CC 00 00 00 DD 5C 24 10 9B 8B D6 8B C3 8B 08 FF 51 40 DC 44 24 10 DD 5C 24 08 9B 80 BB 10 01 00 00 01 75 11 FF 74 24 0C FF 74 24 0C 8B C3 E8 ?? ?? ?? ?? EB 3F B1 01 8B D6 8B C3 8B 30 FF 96 CC 00 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 74 1D DD 44 24 08 D8 0D ?? ?? ?? ?? DC 34 24 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 18 5F 5E 5B C3 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_13390_0 {
	meta:
		name = "TCustomBarSeries.Create"
		size = 177
		refs = "000e @ClassCreate 001c TChartSeries.Create 0023 TChartSeries.CreateChartPen 0030 _Dn_TChartBrush 0035 TChartBrush.Create 007b TSeriesMarks.SetVisible 0088 TSeriesMarks.SetArrowLength"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 E0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E4 00 00 00 89 5E 08 8B 03 8B 80 08 01 00 00 89 46 04 C7 83 D0 00 00 00 46 00 00 00 C6 83 D4 00 00 00 00 C6 83 D5 00 00 00 01 C6 83 E8 00 00 00 01 C6 83 F8 00 00 00 01 B2 01 8B 43 3C E8 ?? ?? ?? ?? BA 14 00 00 00 8B 43 3C E8 ?? ?? ?? ?? C6 83 F1 00 00 00 01 C6 83 F0 00 00 00 01 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13391_0 {
	meta:
		name = "TCustomBarSeries.Destroy"
		size = 56
		refs = "000d TObject.Free 0024 TChartSeries.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 E0 00 00 00 E8 ?? ?? ?? ?? 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13392_0 {
	meta:
		name = "TCustomBarSeries.CalcZOrder"
		size = 152
		refs = "0011 TChartSeries.CalcZOrder 0025 TCustomAxisPanel.SeriesCount 0039 TCustomAxisPanel.GetSeries 0060 TChartSeries.SameClass"
	strings:
		$1 = { 53 56 57 8B D8 80 BB E8 00 00 00 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 7D C7 83 C8 00 00 00 FF FF FF FF 8B 43 40 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 54 47 33 F6 8B D6 8B 43 40 E8 ?? ?? ?? ?? 80 78 58 00 74 3D 8B D6 8B 43 40 E8 ?? ?? ?? ?? 3B D8 74 33 8B D6 8B 43 40 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B D6 8B 43 40 E8 ?? ?? ?? ?? 8B 80 C8 00 00 00 89 83 C8 00 00 00 EB 04 46 4F 75 AF 83 BB C8 00 00 00 FF 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13393_0 {
	meta:
		name = "ApplyDark"
		size = 103
		refs = "000a ColorToRGB 0013 GetRValue 001d GetGValue 0028 GetBValue 005f RGB"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 88 04 24 8B C6 E8 ?? ?? ?? ?? 88 44 24 01 8B C6 E8 ?? ?? ?? ?? 3A 1C 24 73 05 28 1C 24 EB 04 C6 04 24 00 3A 5C 24 01 73 06 28 5C 24 01 EB 05 C6 44 24 01 00 3A D8 73 04 2A C3 EB 02 33 C0 8B C8 8A 54 24 01 8A 04 24 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13394_0 {
	meta:
		name = "TCustomBarSeries.CalcBarColors"
		size = 99
		refs = "0023 DarkColorQuantity 002a ApplyDark 0036 DarkerColorQuantity"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 8B 08 FF 51 48 8B F0 89 B3 08 01 00 00 80 BB F1 00 00 00 00 74 2C 8A 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 83 0C 01 00 00 8A 15 ?? ?? ?? ?? 8B 83 08 01 00 00 E8 ?? ?? ?? ?? 89 83 10 01 00 00 EB 12 89 B3 0C 01 00 00 8B 83 08 01 00 00 89 83 10 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13395_0 {
	meta:
		name = "TCustomBarSeries.NumSampleValues"
		size = 6
	strings:
		$1 = { B8 06 00 00 00 C3 }
	condition:
		$1
}

rule function_13396_0 {
	meta:
		name = "TCustomBarSeries.SetBarWidthPercent"
		size = 109
		refs = "0009 TCustomBarSeries.SetBarWidthPercent 0021 TeeMsg_BarWidthPercent 0026 LoadResString 0030 _DV_BarException 0035 Exception.Create 003a @RaiseExcept 0049 TChartSeries.SetIntegerProperty 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 FA 01 7C 05 83 FA 64 7E 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 88 D0 00 00 00 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_13397_0 {
	meta:
		name = "TCustomBarSeries.SetOffsetPercent"
		size = 109
		refs = "0009 TCustomBarSeries.SetOffsetPercent 0021 TeeMsg_BarOffsetPercent 0026 LoadResString 0030 _DV_BarException 0035 Exception.Create 003a @RaiseExcept 0049 TChartSeries.SetIntegerProperty 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 FA 9C 7C 05 83 FA 64 7E 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 88 F4 00 00 00 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_13398_0 {
	meta:
		name = "TCustomBarSeries.SetCustomBarSize"
		size = 14
		refs = "0009 TChartSeries.SetIntegerProperty"
	strings:
		$1 = { 8D 88 EC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13488_0 {
	meta:
		name = "TCircledSeries.SetCircleBackColor"
		size = 14
		refs = "0009 TChartSeries.SetColorProperty"
	strings:
		$1 = { 8D 88 EC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13399_0 {
	meta:
		name = "TCustomBarSeries.SetBarStyle"
		size = 20
		refs = "000f TChartSeries.Repaint"
	strings:
		$1 = { 3A 90 D4 00 00 00 74 0B 88 90 D4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13400_0 {
	meta:
		name = "_NF__26C"
		size = 109
		refs = "001d TCustomAxisPanel.SeriesCount 0030 TCustomAxisPanel.GetSeries 0055 TChartSeries.SameClass"
	strings:
		$1 = { 53 56 57 55 51 8B E8 C7 04 24 01 00 00 00 80 BD E8 00 00 00 00 74 4D 8B 7D 40 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3C 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 58 00 74 26 8B D3 8B C7 E8 ?? ?? ?? ?? 3B E8 74 1D 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 84 C0 74 03 FF 04 24 43 4E 75 C7 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13402_0 {
	meta:
		name = "_NF__272"
		size = 316
		refs = "003b TCustomAxisPanel.SeriesCount 0050 TCustomAxisPanel.GetSeries 0068 TChartSeries.SameClass 0082 TChartSeries.Count 00f1 _NF__272 0104 @ROUND"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 8B 83 EC 00 00 00 85 C0 74 0B 89 83 04 01 00 00 E9 08 01 00 00 8B 43 40 85 C0 74 7E 80 BB E8 00 00 00 01 75 75 8B F8 33 C0 89 04 24 83 CD FF 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 6F 40 89 44 24 04 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 58 00 74 40 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A FF 04 24 83 FD FF 74 12 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B E8 7D 10 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 46 FF 4C 24 04 75 AA EB 10 C7 04 24 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B E8 8B 43 40 85 C0 74 0F 83 B8 08 02 00 00 00 7E 06 8B A8 08 02 00 00 85 ED 7E 51 80 BB F0 00 00 00 00 74 01 45 8B C3 8B 10 FF 92 14 01 00 00 89 44 24 08 DB 44 24 08 DB 83 D0 00 00 00 DB 2D ?? ?? ?? ?? DE C9 DE C9 89 6C 24 0C DB 44 24 0C DE F9 E8 ?? ?? ?? ?? 8B F0 89 B3 04 01 00 00 8B C6 99 F7 3C 24 89 83 04 01 00 00 EB 08 33 C0 89 83 04 01 00 00 83 C4 10 5D 5F 5E 5B C3 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_13403_0 {
	meta:
		name = "TCustomBarSeries.CalcMarkLength"
		size = 97
		refs = "000a TChartSeries.Count 004f TPen.GetWidth"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 47 8B 43 3C 80 78 08 00 74 3E 8B 43 3C 8B 50 14 8B 43 40 8B 08 FF 91 80 00 00 00 8B D6 8B C3 8B 08 FF 91 10 01 00 00 8B 53 3C 03 42 28 8B F0 8B 43 3C 8B 78 1C 80 7F 18 00 74 0F 8B C7 E8 ?? ?? ?? ?? 03 C0 03 F0 EB 02 33 F6 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13404_0 {
	meta:
		name = "TCustomBarSeries.SetUseYOrigin"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 D5 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13405_0 {
	meta:
		name = "TCustomBarSeries.SetSideMargins"
		size = 113
		refs = "0012 TChartSeries.SetBooleanProperty 0022 TCustomAxisPanel.SeriesCount 0035 TCustomAxisPanel.GetSeries 004b TChartSeries.SameClass"
	strings:
		$1 = { 53 56 57 55 8B D8 8D 83 F0 00 00 00 8B CA 8B D3 92 E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 4F 8B F8 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 3F 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B D8 74 2B 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B D6 8B C7 E8 ?? ?? ?? ?? 8A 93 F0 00 00 00 88 90 F0 00 00 00 46 4D 75 C4 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13406_0 {
	meta:
		name = "TCustomBarSeries.SetDark3d"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 F1 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13407_0 {
	meta:
		name = "TCustomBarSeries.PrepareForGallery"
		size = 33
		refs = "0006 TChartSeries.PrepareForGallery 0012 TCustomBarSeries.SetBarWidthPercent 001b TCustomBarSeries.SetMultiBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 55 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13408_0 {
	meta:
		name = "TCustomBarSeries.SetYOrigin"
		size = 24
		refs = "0010 TChartSeries.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 90 D8 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_13409_0 {
	meta:
		name = "_NF__285"
		size = 103
		refs = "001b TCustomAxisPanel.SeriesCount 002e TCustomAxisPanel.GetSeries 0046 TChartSeries.SameClass"
	strings:
		$1 = { 53 56 57 55 51 8B E8 80 BD E8 00 00 00 01 75 47 33 C0 89 04 24 8B 75 40 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 38 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 58 00 74 19 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 84 C0 74 03 FF 04 24 43 4F 75 D4 EB 07 C7 04 24 01 00 00 00 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13410_0 {
	meta:
		name = "TCustomBarSeries.Clicked"
		size = 132
		refs = "001a TChartSeries.Clicked 004d TChartSeries.Count"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B D8 8B 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 83 7C 24 08 FF 75 4F 8B 83 C0 00 00 00 83 F8 FF 7E 44 83 BB C4 00 00 00 FF 7E 3B 8B F0 8B BB C4 00 00 00 2B FE 7C 2F 47 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 1F 8B 44 24 04 50 8B 4C 24 04 8B D6 8B C3 8B 28 FF 95 18 01 00 00 84 C0 74 06 89 74 24 08 EB 04 46 4F 75 D2 8B 44 24 08 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13411_0 {
	meta:
		name = "_NF__28A"
		size = 84
		refs = "0012 TCustomAxisPanel.SeriesCount 0025 TCustomAxisPanel.GetSeries 002e TChartSeries.SameClass"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 43 40 85 C0 74 42 8B E8 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 32 47 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B D6 8B C5 E8 ?? ?? ?? ?? 8A 93 E8 00 00 00 88 90 E8 00 00 00 46 4F 75 D1 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13412_0 {
	meta:
		name = "TCustomBarSeries.SetMultiBar"
		size = 33
		refs = "0014 _NF__28A 001b TChartSeries.Repaint"
	strings:
		$1 = { 53 8B D8 3A 93 E8 00 00 00 74 14 88 93 E8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13413_0 {
	meta:
		name = "TCustomBarSeries.InternalGetOriginPos"
		size = 176
		refs = "003b TChartSeries.CalcPosValue 0058 TCustomBarSeries.InternalGetOriginPos"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F9 8B F2 8B D8 33 C9 8B D6 8B C3 8B 28 FF 95 CC 00 00 00 DD 5C 24 08 9B 8A 83 E8 00 00 00 2C 02 74 06 FE C8 74 13 EB 52 FF 74 24 0C FF 74 24 0C 8B C3 E8 ?? ?? ?? ?? EB 5D B1 01 8B D6 8B C3 8B 30 FF 96 CC 00 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 74 1D DD 44 24 08 D8 0D ?? ?? ?? ?? DC 34 24 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 20 33 C0 EB 1C 80 BB D5 00 00 00 00 74 11 FF 74 24 0C FF 74 24 0C 8B C3 E8 ?? ?? ?? ?? EB 02 8B C7 83 C4 10 5D 5F 5E 5B C3 00 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_13414_0 {
	meta:
		name = "TCustomBarSeries.PointOrigin"
		size = 65
		refs = "001a TChartSeries.PointOrigin"
	strings:
		$1 = { 83 C4 F4 88 0C 24 8A 88 E8 00 00 00 80 F9 02 74 05 80 F9 03 75 0F 8A 0C 24 E8 ?? ?? ?? ?? DD 5C 24 04 9B EB 14 8B 90 D8 00 00 00 89 54 24 04 8B 90 DC 00 00 00 89 54 24 08 DD 44 24 04 83 C4 0C C3 }
	condition:
		$1
}

rule function_13415_0 {
	meta:
		name = "TCustomBarSeries.PrepareLegendCanvas"
		size = 95
		refs = "0027 TBrush.GetStyle 0037 TBrush.GetColor"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 43 40 8B 80 50 01 00 00 8B 40 10 8B 93 E0 00 00 00 8B 08 FF 51 08 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 88 02 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 0A 8B 43 40 8B 40 54 89 06 EB 0D 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 89 06 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13416_0 {
	meta:
		name = "TCustomBarSeries.AdjustMarkPos"
		size = 74
		refs = "0041 OffsetRect"
	strings:
		$1 = { 55 8B EC 56 8B 40 40 80 B8 C8 01 00 00 00 74 35 8B B0 68 01 00 00 D1 FE 79 03 83 D6 00 8B 80 6C 01 00 00 D1 F8 79 03 83 D0 00 01 31 8B 4D 0C 01 31 8B 4D 10 29 01 8B 4D 08 29 01 F7 D8 50 56 52 E8 ?? ?? ?? ?? 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_13417_0 {
	meta:
		name = "TCustomBarSeries.BarPolygon"
		size = 35
		refs = "000c TCustomBarSeries.SetPenBrushBar 0019 TCustomTeePanel.DoPolygon"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 4D 08 8B 43 40 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13418_0 {
	meta:
		name = "TCustomBarSeries.SetPenBrushBar"
		size = 123
		refs = "002f TPen.SetStyle 003a TBrush.GetColor 0061 TBrush.GetStyle 0072 TCustomTeePanel.SetBrushCanvas"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 73 40 8B 86 50 01 00 00 8B BB E0 00 00 00 80 7F 18 00 74 0C 8B 40 10 8B D7 8B 08 FF 51 08 EB 0A 8B 40 10 B2 05 E8 ?? ?? ?? ?? 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 08 8B 43 40 8B 78 54 EB 0D 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 50 57 8B CD 8B 96 50 01 00 00 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13419_0 {
	meta:
		name = "TCustomBarSeries.BarEllipse"
		size = 49
		refs = "000c TCustomBarSeries.SetPenBrushBar 0027 TCanvas.Ellipse"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B 43 40 8B 80 50 01 00 00 8B 4D 10 8B D6 E8 ?? ?? ?? ?? 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_13420_0 {
	meta:
		name = "TCustomBarSeries.BarRectangle"
		size = 278
		refs = "000f TCustomBarSeries.SetPenBrushBar 0023 TBrush.GetStyle 0043 TBrush.GetColor 004d TPen.SetColor 0055 TPen.GetStyle 0063 TPen.SetStyle 0078 TCustomTeePanel.DoLine 0082 TPen.GetWidth 00de TBrush.SetStyle 00f3 TCanvas.Rectangle"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 7B 40 8B B7 50 01 00 00 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 CA 00 00 00 8B 45 0C 3B 45 FC 74 08 8B 45 10 3B 45 08 75 3F 8B 46 14 E8 ?? ?? ?? ?? 8B D0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 3C 05 75 0A 33 D2 8B 46 10 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B 4D 10 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 64 8B 46 10 E8 ?? ?? ?? ?? 8B C8 8B 45 0C 2B 45 FC 99 33 C2 2B C2 3B C8 7F 19 8B 46 10 E8 ?? ?? ?? ?? 8B C8 8B 45 08 2B 45 10 99 33 C2 2B C2 3B C8 7E 32 8B 46 14 E8 ?? ?? ?? ?? 8B D0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 3C 05 75 0A 33 D2 8B 46 10 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B 4D 10 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 15 8B 45 0C 50 8B 45 08 50 8B 4D 10 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_13421_0 {
	meta:
		name = "TCustomBarSeries.SetBarPen"
		size = 12
	strings:
		$1 = { 8B 80 E0 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_13422_0 {
	meta:
		name = "TCustomBarSeries.GetBarStyle"
		size = 46
	strings:
		$1 = { 53 51 8A 88 D4 00 00 00 88 0C 24 66 83 B8 FE 00 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 00 01 00 00 FF 93 FC 00 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_13423_0 {
	meta:
		name = "TCustomBarSeries.SetBarBrush"
		size = 12
	strings:
		$1 = { 8B 80 E4 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_13424_0 {
	meta:
		name = "TCustomBarSeries.GetEditorClass"
		size = 48
		refs = "0006 TCustomBarSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 10 00 00 00 54 42 61 72 53 65 72 69 65 73 45 64 69 74 6F 72 00 00 00 00 }
	condition:
		$1
}

rule function_13425_0 {
	meta:
		name = "TCustomBarSeries.BarMargin"
		size = 34
		refs = "0006 _NF__285"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F7 AB 04 01 00 00 80 BB F0 00 00 00 00 75 07 D1 F8 79 03 83 D0 00 5B C3 }
	condition:
		$1
}

rule function_13426_0 {
	meta:
		name = "TCustomBarSeries.ApplyBarOffset"
		size = 68
		refs = "0021 TCustomBarSeries.ApplyBarOffset 0028 @ROUND"
	strings:
		$1 = { 53 56 57 51 8B D8 8B F2 8B BB F4 00 00 00 85 FF 74 1C 0F AF BB 04 01 00 00 89 3C 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 03 F0 8B C6 5A 5F 5E 5B C3 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_13427_0 {
	meta:
		name = "TCustomBarSeries.SetAutoMarkPosition"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 F8 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13428_0 {
	meta:
		name = "TCustomBarSeries.Assign"
		size = 209
		refs = "000b _DV_TCustomBarSeries 0010 @IsClass 00c9 TChartSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A8 00 00 00 8B FE 8B 87 D0 00 00 00 89 83 D0 00 00 00 8A 87 D4 00 00 00 88 83 D4 00 00 00 8A 87 D5 00 00 00 88 83 D5 00 00 00 8B 87 D8 00 00 00 89 83 D8 00 00 00 8B 87 DC 00 00 00 89 83 DC 00 00 00 8B 97 E0 00 00 00 8B 83 E0 00 00 00 8B 08 FF 51 08 8B 97 E4 00 00 00 8B 83 E4 00 00 00 8B 08 FF 51 08 8A 87 E8 00 00 00 88 83 E8 00 00 00 8B 87 EC 00 00 00 89 83 EC 00 00 00 8A 87 F0 00 00 00 88 83 F0 00 00 00 8A 87 F1 00 00 00 88 83 F1 00 00 00 8B 87 F4 00 00 00 89 83 F4 00 00 00 8A 87 F8 00 00 00 88 83 F8 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13429_0 {
	meta:
		name = "TCustomBarSeries.AddBar"
		size = 29
		altNames = "TPieSeries.AddPie"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 FF 75 0C FF 75 08 8B C6 8B 18 FF 93 8C 00 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13430_0 {
	meta:
		name = "TCustomBarSeries.DrawBarEllipse"
		size = 84
		refs = "002f TCustomBarSeries.BarEllipse"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 8B 58 40 80 BB C8 01 00 00 00 74 21 8B 5A 04 2B DE 53 8B 5A 08 03 D9 53 8B 5A 0C 2B DE 53 03 0A 8B 90 08 01 00 00 E8 ?? ?? ?? ?? EB 19 8B 4A 04 51 8B 4A 08 51 8B 4A 0C 51 8B 0A 8B 90 08 01 00 00 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13431_0 {
	meta:
		name = "TBarSeries.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TCustomBarSeries.Create 0022 TBarSeries.Create 0027 @LStrAsg"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 30 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 FF FF FF FF 03 00 00 00 42 61 72 00 }
	condition:
		$1
}

rule function_13432_0 {
	meta:
		name = "TBarSeries.CalcXPos"
		size = 136
		refs = "000a TChartSeries.CalcXPos 001c _NF__26C 002e _NF__285 003c TBarSeries.CalcXPos 0055 @ROUND 0071 TCustomBarSeries.ApplyBarOffset"
	strings:
		$1 = { 53 56 83 C4 EC 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 80 BB E8 00 00 00 01 75 44 8B C3 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DB 7C 24 04 9B 8B C3 E8 ?? ?? ?? ?? 89 44 24 10 DB 44 24 10 D8 0D ?? ?? ?? ?? DB 6C 24 04 DE E1 D8 25 ?? ?? ?? ?? DB 83 04 01 00 00 DE C9 E8 ?? ?? ?? ?? 03 F0 EB 0F 8B 83 04 01 00 00 D1 F8 79 03 83 D0 00 2B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 83 C4 14 5E 5B C3 00 00 00 00 3F 00 00 80 3F }
	condition:
		$1
}

rule function_13433_0 {
	meta:
		name = "TBarSeries.MaxYValue"
		size = 194
		refs = "0027 TChartSeries.MaxYValue 003b TChartSeries.Count"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B D8 80 BB E8 00 00 00 03 75 12 33 C0 89 04 24 C7 44 24 04 00 00 59 40 E9 93 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB E8 00 00 00 02 75 55 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 47 47 33 F6 33 C9 8B D6 8B C3 8B 28 FF 95 CC 00 00 00 DD 5C 24 10 9B 8B D6 8B C3 8B 08 FF 51 40 DC 44 24 10 DD 5C 24 08 9B DD 44 24 08 DC 1C 24 DF E0 9E 76 0F 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 46 4F 75 BC 80 BB D5 00 00 00 00 74 21 DD 04 24 DC 9B D8 00 00 00 DF E0 9E 73 13 8B 83 D8 00 00 00 89 04 24 8B 83 DC 00 00 00 89 44 24 04 DD 04 24 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13434_0 {
	meta:
		name = "TBarSeries.MinYValue"
		size = 86
		refs = "001d TChartSeries.MinYValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 BB E8 00 00 00 03 75 0B 33 C0 89 04 24 89 44 24 04 EB 35 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB D5 00 00 00 00 74 21 DD 04 24 DC 9B D8 00 00 00 DF E0 9E 76 13 8B 83 D8 00 00 00 89 04 24 8B 83 DC 00 00 00 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_13461_0 {
	meta:
		name = "THorizBarSeries.MinXValue"
		size = 86
		refs = "001d TChartSeries.MinXValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 BB E8 00 00 00 03 75 0B 33 C0 89 04 24 89 44 24 04 EB 35 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB D5 00 00 00 00 74 21 DD 04 24 DC 9B D8 00 00 00 DF E0 9E 76 13 8B 83 D8 00 00 00 89 04 24 8B 83 DC 00 00 00 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_13435_0 {
	meta:
		name = "TBarSeries.CalcHorizMargins"
		size = 42
		refs = "0010 TChartSeries.CalcHorizMargins 0017 _NF__272 001e TCustomBarSeries.BarMargin"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 01 06 01 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13454_0 {
	meta:
		name = "THorizBarSeries.CalcVerticalMargins"
		size = 42
		refs = "0010 TChartSeries.CalcVerticalMargins 0017 _NF__272 001e TCustomBarSeries.BarMargin"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 01 06 01 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13436_0 {
	meta:
		name = "TBarSeries.CalcVerticalMargins"
		size = 129
		refs = "0011 TChartSeries.CalcVerticalMargins 001a TCustomBarSeries.CalcMarkLength 0031 TChartSeries.MaxYValue 0043 TChartSeries.GetVertAxis 006b TChartSeries.MinYValue"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B D8 8B CF 8B D5 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 01 46 80 BB D5 00 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? DC 9B D8 00 00 00 DF E0 9E 76 1F 8B C3 E8 ?? ?? ?? ?? 80 78 70 00 74 0F 8B 43 40 8B 80 6C 01 00 00 03 C6 01 07 EB 03 01 75 00 80 BB D5 00 00 00 00 74 14 8B C3 E8 ?? ?? ?? ?? DC 9B D8 00 00 00 DF E0 9E 73 02 01 37 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13438_0 {
	meta:
		name = "TBarSeries.DrawMark"
		size = 331
		refs = "00ab MaxLong 00ce TBarSeries.GetOriginPos 011e TCustomBarSeries.AdjustMarkPos 013e TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 75 18 8D 7D E4 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B F2 8B D8 8B 7D EC 2B 7D E4 D1 FF 79 03 83 D7 00 8B 45 F0 2B 45 E8 89 45 F8 8B 83 04 01 00 00 D1 F8 79 03 83 D0 00 01 45 14 8B 45 14 89 45 0C 8B 43 3C 8B 40 28 89 45 F4 80 BB F8 00 00 00 00 74 55 85 F6 7E 51 8B 45 EC 2B 45 E4 3B 83 04 01 00 00 7E 43 8B C6 25 01 00 00 80 79 05 48 83 C8 FE 40 85 C0 75 31 8B D6 4A 8B C3 8B 08 FF 91 B4 00 00 00 8B C8 8B C1 2B 45 08 99 33 C2 2B C2 3B 45 F8 7D 13 8B 55 F4 83 EA 04 2B 55 F8 33 C0 E8 ?? ?? ?? ?? 89 45 F4 8B 45 14 2B C7 89 45 E4 03 7D 14 89 7D EC 80 BB D5 00 00 00 00 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? 3B 45 10 7C 1A 8B 45 08 2B 45 F4 89 45 10 8B 45 10 2B 45 F8 89 45 E8 8B 45 10 89 45 F0 EB 18 8B 45 08 03 45 F4 89 45 10 8B 45 10 89 45 E8 8B 45 10 03 45 F8 89 45 F0 8D 45 10 50 8D 45 0C 50 8D 45 08 50 8D 4D 14 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_13439_0 {
	meta:
		name = "_NF__2F7"
		size = 542
		refs = "0077 SinCos 0084 @ROUND 01f7 TCustomBarSeries.BarPolygon"
	strings:
		$1 = { 55 8B EC 81 C4 38 FF FF FF 53 56 57 C7 45 EC 18 2D 44 54 C7 45 F0 FB 21 E9 3F 8B 45 08 8B 40 FC 8B 40 08 8B 55 08 8B 52 FC 2B 02 D1 F8 79 03 83 D0 00 89 45 F4 8B 45 08 8B 40 F8 8B 40 40 89 45 D4 8B 45 08 8B 40 0C 8B 55 08 2B 42 F4 89 45 F8 BB 01 00 00 00 8D 7D 94 8B F7 89 9D 38 FF FF FF DB 85 38 FF FF FF DC 4D EC 83 C4 F4 DB 3C 24 9B 8D 55 D8 8D 45 E2 E8 ?? ?? ?? ?? DB 45 F4 DB 6D E2 DE C9 E8 ?? ?? ?? ?? 8B 55 08 03 42 F0 89 06 8B 45 08 DB 40 F4 DB 6D D8 DE C9 E8 ?? ?? ?? ?? 03 45 F8 89 46 04 8B 45 08 8B 40 0C 2B 46 04 99 33 C2 2B C2 8B 55 D4 F7 AA 68 01 00 00 89 85 38 FF FF FF DB 85 38 FF FF FF 8B 45 D4 DB 80 6C 01 00 00 DE F9 E8 ?? ?? ?? ?? 01 06 43 83 C7 08 83 FB 09 0F 85 70 FF FF FF 8B 45 08 8B 40 08 8B 55 08 2B 42 0C 89 45 FC 8B 45 9C 3B 45 A4 7E 07 BA 06 00 00 00 EB 05 BA 07 00 00 00 BB FB FF FF FF 8D 45 8C 8B 4C D5 8C 89 08 8B 4C D5 90 89 48 04 42 83 FA 08 7E 05 BA 01 00 00 00 83 E8 08 43 75 E2 8B 45 8C 89 85 3C FF FF FF 8B 45 90 89 85 40 FF FF FF 8B 45 FC 01 85 40 FF FF FF 8B 45 84 89 85 44 FF FF FF 8B 45 88 89 85 48 FF FF FF 8B 45 FC 01 85 48 FF FF FF 8B 85 7C FF FF FF 89 85 4C FF FF FF 8B 45 80 89 85 50 FF FF FF 8B 45 FC 01 85 50 FF FF FF 8B 85 74 FF FF FF 89 85 54 FF FF FF 8B 85 78 FF FF FF 89 85 58 FF FF FF 8B 45 FC 01 85 58 FF FF FF 8B 85 6C FF FF FF 89 85 5C FF FF FF 8B 85 70 FF FF FF 89 85 60 FF FF FF 8B 45 FC 01 85 60 FF FF FF 8B 85 5C FF FF FF 89 85 64 FF FF FF 8B 45 90 89 85 68 FF FF FF 6A 0A 8D 8D 3C FF FF FF 8B 45 08 8B 40 F8 8B 90 08 01 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 6A 07 8D 4D 94 8B 45 08 8B 40 F8 8B 90 0C 01 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13440_0 {
	meta:
		name = "_NF__2F8"
		size = 443
		refs = "00a9 Point 0180 TCustomBarSeries.BarPolygon 01b0 TCustomBarSeries.BarRectangle"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 56 57 8B 45 08 8B 40 FC 8B 40 0C 8B 55 08 2B 42 F4 89 45 F8 8B 45 08 8B 50 FC 8B 12 8B F2 8B 45 08 03 70 EC 8B 45 08 8B 40 FC 8B 40 08 8B F8 8B 4D 08 03 79 EC 8B 4D 08 8B 49 FC 8B D8 8B 45 08 8B 40 FC 2B DA 85 DB 79 03 83 C3 03 C1 FB 02 8B 45 08 8B 40 FC 8B 40 0C 8B 55 08 3B 42 0C 75 06 8B C3 F7 D8 EB 02 8B C3 8B 55 08 8B 52 08 8B 4D 08 2B 51 0C 8B C8 03 C9 3B D1 0F 8E FF 00 00 00 8B 55 08 8B 52 FC 8B 52 04 8B 4D 08 2B 51 F4 03 C0 03 D0 89 55 FC 6A 06 8D 4D B8 8D 04 33 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 C0 8B 45 BC 89 45 C4 8D 4D B0 8D 04 33 8B 55 FC E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D A8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8B 45 08 8B 50 FC 8B 52 04 8B 45 08 2B 50 F4 8B 45 08 8B 40 EC 8B 4D 08 03 41 F0 8D 4D A0 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 4D 98 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 98 89 45 E0 8B 45 9C 89 45 E4 8D 4D 90 8B C7 2B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 45 90 89 45 E8 8B 45 94 89 45 EC 8D 4D 88 8B C7 2B C3 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 88 89 45 F0 8B 45 8C 89 45 F4 8D 4D C0 8B 45 08 8B 40 F8 8B 90 08 01 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 2E 8B 45 08 8B 40 FC 8B 40 04 8B 55 08 2B 42 F4 50 57 8B 45 F8 50 8B 45 08 8B 40 F8 8B 90 08 01 00 00 8B 45 08 8B 40 F8 8B CE E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13441_0 {
	meta:
		name = "_NF__2F9"
		size = 186
		refs = "0028 Point 00b1 TCustomBarSeries.BarPolygon"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 8B 45 08 8B 40 F8 8B 58 40 6A 03 8D 4D D8 8B 45 08 8B 50 0C 8B 45 08 8B 40 FC 8B 40 08 83 E8 02 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E0 8B 45 DC 89 45 E4 8B 45 08 8B 50 E4 89 55 E8 8B 50 E8 89 55 EC 8D 4D D0 8B 45 08 8B 50 0C 2B 93 6C 01 00 00 8B 45 08 8B 40 FC 8B 00 03 83 68 01 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 F0 8B 45 D4 89 45 F4 8D 4D C8 8B 45 08 8B 50 0C 2B 93 6C 01 00 00 8B 45 08 8B 40 E0 E8 ?? ?? ?? ?? 8B 45 C8 89 45 F8 8B 45 CC 89 45 FC 8D 4D E0 8B 45 08 8B 40 F8 8B 90 0C 01 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13442_0 {
	meta:
		name = "_NF__2FA"
		size = 193
		refs = "0025 Point 00ad TCustomBarSeries.BarPolygon 00b6 _NF__2F9"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 8B 75 08 8B 76 FC 8B 45 08 8B 40 F8 8B 58 40 6A 03 8D 4D D8 8B 56 0C 4A 8B 46 08 48 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E0 8B 45 DC 89 45 E4 8D 4D D0 8B 56 04 4A 8B 46 08 48 E8 ?? ?? ?? ?? 8B 45 D0 89 45 E8 8B 45 D4 89 45 EC 8D 4D C8 8B 56 04 2B 93 6C 01 00 00 8B 45 08 8B 40 E0 E8 ?? ?? ?? ?? 8B 45 C8 89 45 F0 8B 45 CC 89 45 F4 8D 4D C0 8B 56 0C 2B 93 6C 01 00 00 8B 45 08 8B 40 E0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 F8 8B 45 C4 89 45 FC 8D 4D E0 8B 45 08 8B 40 F8 8B 90 10 01 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13443_0 {
	meta:
		name = "TBarSeries.DrawBar"
		size = 1000
		refs = "007c TCustomBarSeries.GetBarStyle 008f TBarSeries.DrawBar 00d6 TCustomBarSeries.BarRectangle 00ef _NF__2FA 0183 TCustomBarSeries.BarPolygon 01a5 Point 01dc _NF__2F9 035c _NF__2F7 039e TCustomBarSeries.DrawBarEllipse 03a6 _NF__2F8 03c7 GradientFill"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 89 55 FC 89 45 F8 8B 45 F8 8B 58 40 8B 45 FC 8B 40 08 03 83 68 01 00 00 48 89 45 E0 8B 83 68 01 00 00 D1 F8 79 03 83 D0 00 89 45 EC 8B 83 6C 01 00 00 D1 F8 79 03 83 D0 00 89 45 F4 8B 45 FC 8B 00 8B 55 FC 03 42 08 D1 F8 79 03 83 D0 00 89 45 F0 8B 45 FC 8B 40 08 48 89 45 D8 8B 45 0C 89 45 DC 8B 45 FC 8B 00 89 45 E4 8B 45 0C 89 45 E8 8B D1 8B 45 F8 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 06 0F 87 55 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 40 04 50 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 0C 50 8B 4D FC 8B 09 8B 45 F8 8B 90 08 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 40 80 B8 C8 01 00 00 00 0F 84 F4 02 00 00 55 E8 ?? ?? ?? ?? 59 E9 E8 02 00 00 8B 45 FC 8B 40 08 89 45 C8 8B 45 08 89 45 CC 8B 45 FC 8B 00 89 45 C0 8B 45 08 89 45 C4 8B 45 F8 8B 40 40 80 B8 C8 01 00 00 00 0F 84 BD 00 00 00 8B 45 FC 8B 40 04 8B 55 FC 3B 42 0C 0F 84 9F 00 00 00 8B 45 F0 03 45 EC 89 45 D0 8B 45 0C 2B 45 F4 89 45 D4 6A 02 8B 45 C0 89 45 A8 8B 45 C4 89 45 AC 8B 45 D0 89 45 B0 8B 45 D4 89 45 B4 8B 45 C8 89 45 B8 8B 45 CC 89 45 BC 8D 4D A8 8B 45 F8 8B 90 08 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 02 8B 45 D0 89 45 A8 8B 45 D4 89 45 AC 8D 4D A0 8B 55 08 2B 93 6C 01 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 A0 89 45 B0 8B 45 A4 89 45 B4 8B 45 C8 89 45 B8 8B 45 CC 89 45 BC 8D 4D A8 8B 45 F8 8B 90 10 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? E9 07 02 00 00 55 E8 ?? ?? ?? ?? 59 E9 FB 01 00 00 6A 02 8B 45 C0 89 45 A8 8B 45 C4 89 45 AC 8D 4D A0 8B 55 0C 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 A0 89 45 B0 8B 45 A4 89 45 B4 8B 45 C8 89 45 B8 8B 45 CC 89 45 BC 8D 4D A8 8B 45 F8 8B 90 08 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? E9 AE 01 00 00 8B 45 F8 8B 40 40 80 B8 C8 01 00 00 00 0F 84 B8 00 00 00 8B 45 FC 8B 40 04 8B 55 FC 3B 42 0C 0F 84 9A 00 00 00 8B 45 F0 03 45 EC 89 45 D0 8B 45 08 2B 45 F4 89 45 D4 6A 02 8B 45 E4 89 45 A8 8B 45 E8 89 45 AC 8B 45 D0 89 45 B0 8B 45 D4 89 45 B4 8B 45 D8 89 45 B8 8B 45 DC 89 45 BC 8D 4D A8 8B 45 F8 8B 90 08 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 02 8B 45 D8 89 45 A8 8B 45 DC 89 45 AC 8D 4D A0 8B 55 0C 2B 93 6C 01 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 A0 89 45 B0 8B 45 A4 89 45 B4 8B 45 D0 89 45 B8 8B 45 D4 89 45 BC 8D 4D A8 8B 45 F8 8B 90 10 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E9 E3 00 00 00 6A 02 8B 45 E4 89 45 A8 8B 45 E8 89 45 AC 8D 4D A0 8B 55 08 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 A0 89 45 B0 8B 45 A4 89 45 B4 8B 45 D8 89 45 B8 8B 45 DC 89 45 BC 8D 4D A8 8B 45 F8 8B 90 08 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? E9 96 00 00 00 8B 45 F8 8B 40 40 80 B8 C8 01 00 00 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 7E 8B 45 FC 8B 40 04 50 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 0C 50 8B 4D FC 8B 09 8B 45 F8 8B 90 08 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 51 8B 45 F4 50 8B 55 FC 8B 4D EC 8B 45 F8 E8 ?? ?? ?? ?? EB 3D 55 E8 ?? ?? ?? ?? 59 EB 34 68 FF FF FF 00 6A 00 8B 45 F8 8B 88 08 01 00 00 8B 55 FC 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 40 80 B8 C8 01 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13444_0 {
	meta:
		name = "TBarSeries.DrawValue"
		size = 145
		refs = "0010 TChartSeries.DrawValue 0054 TBarSeries.GetOriginPos 0073 TCustomBarSeries.CalcBarColors"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 48 3D FF FF FF 1F 74 65 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 8B F8 89 3C 24 03 BB 04 01 00 00 89 7C 24 08 8B D6 8B C3 8B 08 FF 91 B4 00 00 00 89 44 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 89 7C 24 0C 8B 44 24 04 3B F8 7E 04 8B E8 EB 04 8B EF 8B F8 8B D6 8B C3 E8 ?? ?? ?? ?? 55 57 8D 54 24 08 8B CE 8B C3 8B 18 FF 93 1C 01 00 00 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13445_0 {
	meta:
		name = "TBarSeries.InternalCalcBarSize"
		size = 10
	strings:
		$1 = { 8B 40 40 8B 80 90 01 00 00 C3 }
	condition:
		$1
}

rule function_13446_0 {
	meta:
		name = "TBarSeries.CalcYPos"
		size = 176
		refs = "001d TChartSeries.CalcYPos 005c TChartSeries.CalcYPosValue 0079 TBarSeries.CalcYPos"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B D8 8A 83 E8 00 00 00 84 C0 74 04 3C 01 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 7E 33 C9 8B D6 8B C3 8B 38 FF 97 CC 00 00 00 DD 5C 24 10 9B 8B D6 8B C3 8B 08 FF 51 40 DC 44 24 10 DD 5C 24 08 9B 80 BB E8 00 00 00 02 75 11 FF 74 24 0C FF 74 24 0C 8B C3 E8 ?? ?? ?? ?? EB 3F B1 01 8B D6 8B C3 8B 30 FF 96 CC 00 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 74 1D DD 44 24 08 D8 0D ?? ?? ?? ?? DC 34 24 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 18 5F 5E 5B C3 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_13447_0 {
	meta:
		name = "TBarSeries.GetOriginPos"
		size = 15
		refs = "000a TCustomBarSeries.InternalGetOriginPos"
	strings:
		$1 = { 8B 48 40 8B 89 8C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13448_0 {
	meta:
		name = "TBarSeries.InternalClicked"
		size = 534
		refs = "0074 TBarSeries.GetOriginPos 00cc Point 0133 PointInPolygon 01ce Rect 01e8 PointInEllipse"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 8B F9 89 55 FC 8B D8 C6 45 FB 00 8B 55 FC 8B C3 8B 08 FF 91 B0 00 00 00 8B F0 3B F7 0F 8F DF 01 00 00 8B 83 04 01 00 00 03 C6 3B F8 0F 8F CF 01 00 00 8B 43 40 8B 90 68 01 00 00 D1 FA 79 03 83 D2 00 89 55 E8 8B 80 6C 01 00 00 D1 F8 79 03 83 D0 00 89 45 E4 8B 55 FC 8B C3 8B 08 FF 91 B4 00 00 00 89 45 F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 3B 45 F4 7D 0C 8B 45 F0 8B 55 F4 89 55 F0 89 45 F4 8B 83 04 01 00 00 D1 F8 79 03 83 D0 00 03 C6 03 45 E8 89 45 EC 8A 83 D4 00 00 00 FE C8 0F 84 8D 00 00 00 FE C8 74 0D 2C 02 0F 84 FA 00 00 00 E9 2E 01 00 00 8D 4D C4 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 C4 89 45 CC 8B 45 C8 89 45 D0 8D 4D BC 8B 55 F0 2B 55 E4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 BC 89 45 D4 8B 45 C0 89 45 D8 8D 4D B4 8B 83 04 01 00 00 03 C6 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 B4 89 45 DC 8B 45 B8 89 45 E0 8D 45 CC 50 8D 4D AC 8B 55 08 8B C7 E8 ?? ?? ?? ?? 8D 45 AC B9 02 00 00 00 5A E8 ?? ?? ?? ?? 88 45 FB E9 CB 00 00 00 8D 4D C4 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 C4 89 45 CC 8B 45 C8 89 45 D0 8D 4D BC 8B 55 F4 2B 55 E4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 BC 89 45 D4 8B 45 C0 89 45 D8 8D 4D B4 8B 83 04 01 00 00 03 C6 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 B4 89 45 DC 8B 45 B8 89 45 E0 8D 45 CC 50 8D 4D AC 8B 55 08 8B C7 E8 ?? ?? ?? ?? 8D 45 AC B9 02 00 00 00 5A E8 ?? ?? ?? ?? 88 45 FB EB 52 8B 45 F0 50 8D 45 9C 50 8B 8B 04 01 00 00 03 CE 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 45 9C 50 8D 4D C4 8B 55 08 8B C7 E8 ?? ?? ?? ?? 8D 45 C4 5A E8 ?? ?? ?? ?? 88 45 FB EB 19 8B 45 08 3B 45 F4 7C 08 8B 45 08 3B 45 F0 7E 04 33 C0 EB 02 B0 01 88 45 FB 8A 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13449_0 {
	meta:
		name = "TBarSeries.DrawValuesForward"
		size = 17
		refs = "0006 TChartSeries.GetHorizAxis"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 40 70 34 01 5B C3 }
	condition:
		$1
}

rule function_13471_0 {
	meta:
		name = "THorizBarSeries.DrawValuesForward"
		size = 17
		refs = "0006 TChartSeries.GetVertAxis"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 40 70 34 01 5B C3 }
	condition:
		$1
}

rule function_13450_0 {
	meta:
		name = "THorizBarSeries.Create"
		size = 88
		refs = "000a @ClassCreate 0017 TCustomBarSeries.Create 0022 THorizBarSeries.Create 0027 @LStrAsg"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 2C 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 2C C6 40 0C 00 C6 86 F0 00 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 FF FF FF FF 03 00 00 00 42 61 72 00 }
	condition:
		$1
}

rule function_13452_0 {
	meta:
		name = "THorizBarSeries.InternalCalcBarSize"
		size = 10
	strings:
		$1 = { 8B 40 40 8B 80 94 01 00 00 C3 }
	condition:
		$1
}

rule function_13453_0 {
	meta:
		name = "THorizBarSeries.CalcHorizMargins"
		size = 139
		refs = "0011 TChartSeries.CalcHorizMargins 001b TCustomBarSeries.CalcMarkLength 0032 TChartSeries.MinXValue 004f TChartSeries.MaxXValue 0061 TChartSeries.GetHorizAxis"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 01 46 80 BB D5 00 00 00 00 74 14 8B C3 E8 ?? ?? ?? ?? DC 9B D8 00 00 00 DF E0 9E 73 02 01 37 80 BB D5 00 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? DC 9B D8 00 00 00 DF E0 9E 76 28 8B C3 E8 ?? ?? ?? ?? 80 78 70 00 74 04 01 37 EB 17 8B 43 40 8B 80 68 01 00 00 03 F0 D1 F8 79 03 83 D0 00 03 F0 01 75 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13455_0 {
	meta:
		name = "THorizBarSeries.CalcXPos"
		size = 176
		refs = "001d TChartSeries.CalcXPos 005c TChartSeries.CalcXPosValue 0079 THorizBarSeries.CalcXPos"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B D8 8A 83 E8 00 00 00 84 C0 74 04 3C 01 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 7E 33 C9 8B D6 8B C3 8B 38 FF 97 CC 00 00 00 DD 5C 24 10 9B 8B D6 8B C3 8B 08 FF 51 3C DC 44 24 10 DD 5C 24 08 9B 80 BB E8 00 00 00 02 75 11 FF 74 24 0C FF 74 24 0C 8B C3 E8 ?? ?? ?? ?? EB 3F B1 01 8B D6 8B C3 8B 30 FF 96 CC 00 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 74 1D DD 44 24 08 D8 0D ?? ?? ?? ?? DC 34 24 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 18 5F 5E 5B C3 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_13456_0 {
	meta:
		name = "THorizBarSeries.GetOriginPos"
		size = 15
		refs = "000a TCustomBarSeries.InternalGetOriginPos"
	strings:
		$1 = { 8B 48 40 8B 89 80 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13457_0 {
	meta:
		name = "THorizBarSeries.CalcYPos"
		size = 128
		refs = "000a TChartSeries.CalcYPos 001c _NF__285 0028 THorizBarSeries.CalcYPos 0034 _NF__26C 004f @ROUND 006b TCustomBarSeries.ApplyBarOffset"
	strings:
		$1 = { 53 56 83 C4 EC 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 80 BB E8 00 00 00 01 75 3E 8B C3 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 D8 0D ?? ?? ?? ?? DB 7C 24 04 9B 8B C3 E8 ?? ?? ?? ?? 89 44 24 10 DB 44 24 10 DB 6C 24 04 DE E1 DB 83 04 01 00 00 DE C9 E8 ?? ?? ?? ?? 03 F0 EB 0F 8B 83 04 01 00 00 D1 F8 79 03 83 D0 00 2B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 83 C4 14 5E 5B C3 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_13458_0 {
	meta:
		name = "THorizBarSeries.GetMarkValue"
		size = 18
	strings:
		$1 = { 83 C4 F8 8B 08 FF 51 3C DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_13459_0 {
	meta:
		name = "THorizBarSeries.InternalClicked"
		size = 537
		refs = "0078 THorizBarSeries.GetOriginPos 008e SwapLongint 00cf Point 0136 PointInPolygon 01d1 Rect 01eb PointInEllipse"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 C6 45 F7 00 8B 55 FC 8B C3 8B 08 FF 91 B4 00 00 00 8B F0 3B F7 0F 8F DE 01 00 00 8B 83 04 01 00 00 03 C6 3B F8 0F 8F CE 01 00 00 8B 43 40 8B 90 68 01 00 00 D1 FA 79 03 83 D2 00 89 55 E4 8B 80 6C 01 00 00 D1 F8 79 03 83 D0 00 89 45 E0 8B 55 FC 8B C3 8B 08 FF 91 B0 00 00 00 89 45 F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 3B 45 F0 7D 0B 8D 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 83 04 01 00 00 D1 F8 79 03 83 D0 00 03 C6 03 45 E0 89 45 E8 8A 83 D4 00 00 00 FE C8 74 15 FE C8 0F 84 89 00 00 00 2C 02 0F 84 FA 00 00 00 E9 2E 01 00 00 8D 4D C0 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C8 8B 45 C4 89 45 CC 8D 4D B8 8B 45 EC 2B 45 E4 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 D0 8B 45 BC 89 45 D4 8D 4D B0 8B 93 04 01 00 00 03 D6 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 D8 8B 45 B4 89 45 DC 8D 45 C8 50 8D 4D A8 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 A8 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 88 45 F7 E9 CB 00 00 00 8D 4D C0 8B D6 8B 45 EC E8 ?? ?? ?? ?? 8B 45 C0 89 45 C8 8B 45 C4 89 45 CC 8D 4D B8 8B 45 F0 2B 45 E4 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 D0 8B 45 BC 89 45 D4 8D 4D B0 8B 93 04 01 00 00 03 D6 8B 45 EC E8 ?? ?? ?? ?? 8B 45 B0 89 45 D8 8B 45 B4 89 45 DC 8D 45 C8 50 8D 4D A8 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 A8 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 88 45 F7 EB 52 8B 83 04 01 00 00 03 C6 50 8D 45 98 50 8B 4D EC 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 98 50 8D 4D C0 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 C0 5A E8 ?? ?? ?? ?? 88 45 F7 EB 19 8B 45 F8 3B 45 F0 7C 08 8B 45 F8 3B 45 EC 7E 04 33 C0 EB 02 B0 01 88 45 F7 8A 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13460_0 {
	meta:
		name = "THorizBarSeries.MaxXValue"
		size = 194
		refs = "0027 TChartSeries.MaxXValue 003b TChartSeries.Count"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B D8 80 BB E8 00 00 00 03 75 12 33 C0 89 04 24 C7 44 24 04 00 00 59 40 E9 93 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB E8 00 00 00 02 75 55 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 47 47 33 F6 33 C9 8B D6 8B C3 8B 28 FF 95 CC 00 00 00 DD 5C 24 10 9B 8B D6 8B C3 8B 08 FF 51 3C DC 44 24 10 DD 5C 24 08 9B DD 44 24 08 DC 1C 24 DF E0 9E 76 0F 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 46 4F 75 BC 80 BB D5 00 00 00 00 74 21 DD 04 24 DC 9B D8 00 00 00 DF E0 9E 73 13 8B 83 D8 00 00 00 89 04 24 8B 83 DC 00 00 00 89 44 24 04 DD 04 24 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13462_0 {
	meta:
		name = "THorizBarSeries.InternalCalcMarkLength"
		size = 174
		refs = "0015 THorizBarSeries.InternalCalcMarkLength 0029 TChartSeries.Count 0046 TChartSeries.GetMarkText 005d MaxLong 009a @LStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FE FF 75 49 33 F6 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 57 40 89 45 F8 C7 45 FC 00 00 00 00 8D 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 40 8B 08 FF 91 90 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 FF 45 FC FF 4D F8 75 D2 EB 1C 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 40 8B 08 FF 91 90 00 00 00 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13463_0 {
	meta:
		name = "THorizBarSeries.DrawMark"
		size = 217
		refs = "0063 THorizBarSeries.GetOriginPos 00ab TCustomBarSeries.AdjustMarkPos 00cc TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 18 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B D8 8B 45 F4 2B 45 EC D1 F8 79 03 83 D0 00 8B 7D F0 2B 7D E8 8B 93 04 01 00 00 D1 FA 79 03 83 D2 00 01 55 10 8B 55 10 89 55 08 8B 53 3C 8B 72 28 8B 55 10 2B D0 89 55 EC 03 45 10 89 45 F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 3B 45 14 7E 18 8B 45 14 2B C6 89 45 0C 8B 45 0C 89 45 F0 8B 45 0C 2B C7 89 45 E8 EB 12 03 75 14 89 75 0C 8B 45 0C 89 45 E8 03 7D 0C 89 7D F0 8D 45 10 50 8D 45 0C 50 8D 45 08 50 8D 4D 14 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_13464_0 {
	meta:
		name = "_NF__344"
		size = 546
		refs = "0078 SinCos 0088 @ROUND 01fb TCustomBarSeries.BarPolygon"
	strings:
		$1 = { 55 8B EC 81 C4 38 FF FF FF 53 56 57 C7 45 EC 18 2D 44 54 C7 45 F0 FB 21 E9 3F 8B 45 08 8B 40 FC 8B 40 40 89 45 D4 8B 45 08 8B 40 08 8B 55 08 03 42 F8 89 45 F8 8B 45 08 8B 40 F4 8B 40 0C 8B 55 08 8B 52 F4 2B 42 04 D1 F8 79 03 83 D0 00 89 45 F4 BB 01 00 00 00 8D 7D 94 8B F7 89 9D 38 FF FF FF DB 85 38 FF FF FF DC 4D EC 83 C4 F4 DB 3C 24 9B 8D 55 D8 8D 45 E2 E8 ?? ?? ?? ?? 8B 45 08 DB 40 F8 DB 6D E2 DE C9 E8 ?? ?? ?? ?? 03 45 F8 89 06 DB 45 F4 DB 6D D8 DE C9 E8 ?? ?? ?? ?? 8B 55 08 03 42 F0 89 46 04 8B 45 08 FF 70 08 8B 06 5A 2B C2 99 33 C2 2B C2 8B 55 D4 F7 AA 6C 01 00 00 89 85 38 FF FF FF DB 85 38 FF FF FF 8B 45 D4 DB 80 68 01 00 00 DE F9 E8 ?? ?? ?? ?? 29 46 04 43 83 C7 08 83 FB 09 0F 85 6D FF FF FF 8B 45 08 8B 40 08 8B 55 08 2B 42 0C 89 45 FC 8B 45 A8 3B 45 B0 7D 07 BA 03 00 00 00 EB 05 BA 04 00 00 00 BB 05 00 00 00 8D 85 3C FF FF FF 8B 4C D5 8C 89 08 8B 4C D5 90 89 48 04 42 83 FA 08 7E 05 BA 01 00 00 00 83 C0 08 4B 75 E2 8B 85 3C FF FF FF 89 45 8C 8B 85 40 FF FF FF 89 45 90 8B 45 FC 29 45 8C 8B 85 44 FF FF FF 89 45 84 8B 85 48 FF FF FF 89 45 88 8B 45 FC 29 45 84 8B 85 4C FF FF FF 89 85 7C FF FF FF 8B 85 50 FF FF FF 89 45 80 8B 45 FC 29 85 7C FF FF FF 8B 85 54 FF FF FF 89 85 74 FF FF FF 8B 85 58 FF FF FF 89 85 78 FF FF FF 8B 45 FC 29 85 74 FF FF FF 8B 85 5C FF FF FF 89 85 6C FF FF FF 8B 85 60 FF FF FF 89 85 70 FF FF FF 8B 45 FC 29 85 6C FF FF FF 8B 85 5C FF FF FF 89 85 64 FF FF FF 8B 85 60 FF FF FF 89 85 68 FF FF FF 6A 0A 8D 8D 3C FF FF FF 8B 45 08 8B 40 FC 8B 90 08 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 6A 07 8D 4D 94 8B 45 08 8B 40 FC 8B 90 0C 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13465_0 {
	meta:
		name = "_NF__345"
		size = 520
		refs = "0094 Point 01a6 TCustomBarSeries.BarPolygon 01fd TCustomBarSeries.BarRectangle"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 8B 45 08 8B 40 F4 8B 00 8B 55 08 03 42 F8 89 45 FC 8B 45 08 8B 40 F4 8B 40 08 8B F8 8B 55 08 03 7A F8 8B 55 08 8B 72 F4 8B 76 0C 8B 55 08 8B 52 F4 2B 72 04 85 F6 79 03 83 C6 03 C1 FE 02 8B 55 08 8B 52 F4 8B 55 08 3B 42 0C 75 06 8B DE F7 DB EB 02 8B DE 8B C3 03 C0 99 33 C2 2B C2 8B 55 08 8B 52 08 8B 4D 08 2B 51 0C 3B C2 0F 8D 32 01 00 00 6A 06 8B 45 08 8B 50 F4 8B 52 04 8B 45 08 2B 50 EC 03 D6 8D 4D BC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 BC 89 45 C4 8B 45 C0 89 45 C8 8B 45 08 8B 50 F4 8B 52 04 8B 45 08 2B 50 EC 03 D6 8D 4D B4 8B C7 2B C3 E8 ?? ?? ?? ?? 8B 45 B4 89 45 CC 8B 45 B8 89 45 D0 8B 45 08 8B 50 F4 8B 52 04 8B 45 08 2B 50 EC 8D 4D AC 8B C7 2B C3 E8 ?? ?? ?? ?? 8B 45 AC 89 45 D4 8B 45 B0 89 45 D8 8B 45 08 8B 50 EC F7 DA 8B 45 08 03 50 F0 8D 4D A4 8B C7 E8 ?? ?? ?? ?? 8B 45 A4 89 45 DC 8B 45 A8 89 45 E0 8B 45 08 8B 50 F4 8B 52 0C 8B 45 08 2B 50 EC 8D 4D 9C 8B C7 2B C3 E8 ?? ?? ?? ?? 8B 45 9C 89 45 E4 8B 45 A0 89 45 E8 8B 45 08 8B 50 F4 8B 52 0C 8B 45 08 2B 50 EC 2B D6 8D 4D 94 8B C7 2B C3 E8 ?? ?? ?? ?? 8B 45 94 89 45 EC 8B 45 98 89 45 F0 8B 45 08 8B 50 F4 8B 52 0C 8B 45 08 2B 50 EC 2B D6 8D 4D 8C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 8C 89 45 F4 8B 45 90 89 45 F8 8D 4D C4 8B 45 08 8B 40 FC 8B 90 08 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB 55 8B 45 08 8B 40 F4 8B 40 04 8B 55 08 2B 42 EC 50 8B 45 08 8B 40 F4 8B 40 08 8B 55 08 03 42 F8 50 8B 45 08 8B 40 F4 8B 40 0C 8B 55 08 2B 42 EC 50 8B 45 08 8B 48 F4 8B 09 8B 45 08 03 48 F8 8B 45 08 8B 40 FC 8B 90 08 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13466_0 {
	meta:
		name = "_NF__346"
		size = 198
		refs = "0029 Point 00bb TCustomBarSeries.BarPolygon"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B D8 8B 45 08 8B 40 FC 8B 70 40 6A 03 8D 4D D8 8B 45 08 8B 50 F4 8B 52 0C 4A 8B FB 4F 8B C7 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E0 8B 45 DC 89 45 E4 8D 4D D0 8B 45 08 8B 50 F4 8B 52 04 8B C7 E8 ?? ?? ?? ?? 8B 45 D0 89 45 E8 8B 45 D4 89 45 EC 8D 4D C8 8B 45 08 8B 50 E8 8B 86 68 01 00 00 03 C3 E8 ?? ?? ?? ?? 8B 45 C8 89 45 F0 8B 45 CC 89 45 F4 8D 4D C0 8B 45 08 8B 50 F4 8B 52 0C 2B 96 6C 01 00 00 8B 86 68 01 00 00 03 C3 E8 ?? ?? ?? ?? 8B 45 C0 89 45 F8 8B 45 C4 89 45 FC 8D 4D E0 8B 45 08 8B 40 FC 8B 90 10 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13467_0 {
	meta:
		name = "_NF__347"
		size = 242
		refs = "0037 Point 0092 TCustomBarSeries.BarPolygon 009d TChartSeries.GetHorizAxis 00d3 _NF__346"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 8B 45 08 8B 40 FC 8B 58 40 6A 03 8B 45 08 8B 50 E0 89 55 E0 8B 50 E4 89 55 E4 8D 4D D8 8B 45 08 8B 50 E8 8B 45 08 8B 40 08 03 83 68 01 00 00 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E8 8B 45 DC 89 45 EC 8D 4D D0 8B 45 08 8B 50 E8 8B 45 08 8B 40 0C 03 83 68 01 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 F0 8B 45 D4 89 45 F4 8B 45 08 8B 50 D8 89 55 F8 8B 50 DC 89 55 FC 8D 4D E0 8B 45 08 8B 40 FC 8B 90 0C 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 80 78 70 00 74 0F 8B 45 08 8B 40 FC 80 B8 D5 00 00 00 00 75 10 8B 45 08 8B 40 08 8B 55 08 8B 52 F4 3B 02 75 14 8B 45 08 50 8B 45 08 8B 40 F4 8B 00 E8 ?? ?? ?? ?? 59 EB 13 8B 45 08 50 8B 45 08 8B 40 F4 8B 40 08 E8 ?? ?? ?? ?? 59 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13468_0 {
	meta:
		name = "THorizBarSeries.DrawBar"
		size = 1108
		refs = "0077 TCustomBarSeries.GetBarStyle 008a THorizBarSeries.DrawBar 00d1 TCustomBarSeries.BarRectangle 00ea _NF__347 0151 Point 0171 TCustomBarSeries.BarPolygon 01cc TChartSeries.GetHorizAxis 01dd _NF__346 03c6 _NF__344 0408 TCustomBarSeries.DrawBarEllipse 0410 _NF__345 0432 GradientFill"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 89 55 F4 89 45 FC 8B 45 FC 8B 58 40 8B 83 68 01 00 00 D1 F8 79 03 83 D0 00 89 45 F8 8B 83 6C 01 00 00 D1 F8 79 03 83 D0 00 89 45 EC 8B 45 F4 8B 40 04 8B 55 F4 03 42 0C D1 F8 79 03 83 D0 00 89 45 F0 8B 45 0C 89 45 D8 8B 45 F4 8B 40 04 89 45 DC 8B 55 08 89 55 E0 8B 55 F4 89 45 E4 8B 55 F4 2B 83 6C 01 00 00 89 45 E8 8B D1 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 83 F8 06 0F 87 C5 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F4 8B 40 04 50 8B 45 F4 8B 40 08 50 8B 45 F4 8B 40 0C 50 8B 4D F4 8B 09 8B 45 FC 8B 90 08 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 80 B8 C8 01 00 00 00 0F 84 64 03 00 00 55 E8 ?? ?? ?? ?? 59 E9 58 03 00 00 8B 45 FC 8B 40 40 80 B8 C8 01 00 00 00 0F 84 F2 00 00 00 8B 75 F4 8B 76 0C 8B 45 F4 3B 70 04 0F 84 AF 00 00 00 8B 45 F0 2B 45 EC 89 45 D4 8B 45 08 03 45 F8 89 45 D0 6A 02 8B 45 D8 89 45 B8 8B 45 DC 89 45 BC 8B 45 D0 89 45 C0 8B 45 D4 89 45 C4 8D 4D B0 8B 45 F4 8B D6 8B 45 0C E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D B8 8B 45 FC 8B 90 08 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 02 8B 45 D0 89 45 B8 8B 45 D4 89 45 BC 8B 45 D8 89 45 C0 8B 45 DC 89 45 C4 8D 4D B0 8B 45 0C 03 83 68 01 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D B8 8B 45 FC 8B 90 0C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 84 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 78 70 00 74 11 55 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 59 E9 65 02 00 00 55 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 59 E9 53 02 00 00 6A 02 8B 45 D8 89 45 B8 8B 45 DC 89 45 BC 8D 4D B0 8B 55 F0 8B 45 08 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C0 8B 45 B4 89 45 C4 8D 4D A8 8B 55 F4 8B 52 0C 8B 45 0C E8 ?? ?? ?? ?? 8B 45 A8 89 45 C8 8B 45 AC 89 45 CC 8D 4D B8 8B 45 FC 8B 90 08 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 F5 01 00 00 8B 45 FC 8B 40 40 80 B8 C8 01 00 00 00 0F 84 ED 00 00 00 8B 75 F4 8B 76 0C 8B 45 F4 3B 70 04 0F 84 AA 00 00 00 8B 45 F0 2B 45 EC 89 45 D4 8B 45 0C 03 45 F8 89 45 D0 6A 02 8B 45 E0 89 45 B8 8B 45 E4 89 45 BC 8B 45 D0 89 45 C0 8B 45 D4 89 45 C4 8D 4D B0 8B 45 F4 8B D6 8B 45 08 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D B8 8B 45 FC 8B 90 08 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 02 8B 45 D0 89 45 B8 8B 45 D4 89 45 BC 8B 45 E0 89 45 C0 8B 45 E4 89 45 C4 8D 4D B0 8B 45 08 03 83 68 01 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D B8 8B 45 FC 8B 90 0C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 78 70 00 74 11 55 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 59 E9 07 01 00 00 55 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 59 E9 F5 00 00 00 6A 02 8B 45 E0 89 45 B8 8B 45 E4 89 45 BC 8D 4D B0 8B 55 F0 8B 45 0C E8 ?? ?? ?? ?? 8B 45 B0 89 45 C0 8B 45 B4 89 45 C4 8D 4D A8 8B 55 F4 8B 52 0C 8B 45 08 E8 ?? ?? ?? ?? 8B 45 A8 89 45 C8 8B 45 AC 89 45 CC 8D 4D B8 8B 45 FC 8B 90 08 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 97 00 00 00 8B 45 FC 8B 40 40 80 B8 C8 01 00 00 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 7F 8B 45 F4 8B 40 04 50 8B 45 F4 8B 40 08 50 8B 45 F4 8B 40 0C 50 8B 4D F4 8B 09 8B 45 FC 8B 90 08 01 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 52 8B 45 EC 50 8B 55 F4 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? EB 3E 55 E8 ?? ?? ?? ?? 59 EB 35 8B 45 FC 8B 80 08 01 00 00 50 6A 01 8B 55 F4 B9 FF FF FF 00 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 80 B8 C8 01 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13469_0 {
	meta:
		name = "THorizBarSeries.DrawValue"
		size = 145
		refs = "0010 TChartSeries.DrawValue 0055 THorizBarSeries.GetOriginPos 0073 TCustomBarSeries.CalcBarColors"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 48 3D FF FF FF 1F 74 65 8B D6 8B C3 8B 08 FF 91 B4 00 00 00 8B F8 89 7C 24 04 03 BB 04 01 00 00 89 7C 24 0C 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 89 44 24 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 89 3C 24 8B 44 24 08 3B F8 7D 06 8B EF 8B F8 EB 02 8B E8 8B D6 8B C3 E8 ?? ?? ?? ?? 55 57 8D 54 24 08 8B CE 8B C3 8B 18 FF 93 1C 01 00 00 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13470_0 {
	meta:
		name = "THorizBarSeries.FillSampleValues"
		size = 307
		refs = "0016 THorizBarSeries.FillSampleValues 0028 TeeMsg_FillSample 002d LoadResString 0037 _DV_BarException 003c Exception.Create 0041 @RaiseExcept 0052 TChartSeries.GetVertAxis 0072 @ROUND 0077 @RandInt 010b TChartSeries.RefreshSeries 0120 @LStrClr 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C9 89 4D DC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7F 21 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 88 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 50 54 89 55 F0 8B 50 58 89 55 F4 33 C0 89 45 E8 C7 45 EC 00 40 8F 40 DD 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 DB 45 D8 DC 45 E8 DD 5D F8 9B 33 C0 89 45 E0 C7 45 E4 00 00 F0 3F 85 DB 7E 70 DD 45 E8 E8 ?? ?? ?? ?? 8B F8 8B C7 D1 F8 79 03 83 D0 00 E8 ?? ?? ?? ?? 89 45 D8 DB 45 D8 DC 45 F8 DB 7D CC 9B DD 45 E8 E8 ?? ?? ?? ?? 85 FF 79 03 83 C7 03 C1 FF 02 89 7D C8 DB 45 C8 DB 6D CC DE E1 DD 5D F8 9B FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 B9 00 00 00 80 33 D2 8B C6 8B 38 FF 97 90 00 00 00 DD 45 F0 DC 45 E0 DD 5D F0 9B 4B 75 90 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13472_0 {
	meta:
		name = "TCircledSeries.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TChartSeries.Create 0029 TCircledSeries.Create 002e @LStrAsg 0035 TChartSeries.CreateChartPen"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 CC 00 00 00 00 8B 46 2C 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 86 E8 00 00 00 C7 86 EC 00 00 00 00 00 00 80 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 FF FF FF FF 05 00 00 00 41 6E 67 6C 65 00 00 00 }
	condition:
		$1
}

rule function_13473_0 {
	meta:
		name = "TCircledSeries.Destroy"
		size = 54
		refs = "000b TCircledSeries.SetParentProperties 0016 TObject.Free 0022 TChartSeries.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 86 E8 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13475_0 {
	meta:
		name = "TCircledSeries.SetCircled"
		size = 107
		refs = "0016 TChartSeries.SetBooleanProperty 0026 TCustomAxisPanel.SeriesCount 0039 TCustomAxisPanel.GetSeries 003e TObject.ClassType 0047 @IsClass"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B E8 8D 95 D0 00 00 00 8A 0C 24 8B C5 E8 ?? ?? ?? ?? 8B 45 40 85 C0 74 44 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 34 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 14 24 88 90 D0 00 00 00 46 4F 75 CF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13476_0 {
	meta:
		name = "TCircledSeries.SetRotationAngle"
		size = 196
		refs = "0017 TCircledSeries.SetRotationAngle 0029 TeeMsg_Rotation 002e LoadResString 0046 TeeMsg_Angle 0055 _DV_PieException 005a Exception.CreateFmt 005f @RaiseExcept 0078 TChartSeries.SetIntegerProperty 00a7 @LStrArrayClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F0 8B CA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 C9 7D 3E 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C1 B9 68 01 00 00 99 F7 F9 8B CA 8D 93 D4 00 00 00 8B C3 E8 ?? ?? ?? ?? DB 83 D4 00 00 00 DB 2D ?? ?? ?? ?? DE C9 DD 9B F0 00 00 00 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 }
	condition:
		$1
}

rule function_13477_0 {
	meta:
		name = "TCircledSeries.SetCustomXRadius"
		size = 107
		refs = "0016 TChartSeries.SetLongintProperty 0026 TCustomAxisPanel.SeriesCount 0039 TCustomAxisPanel.GetSeries 003e TObject.ClassType 0047 @IsClass"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 8D 93 D8 00 00 00 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 44 8B E8 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 34 47 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B C5 E8 ?? ?? ?? ?? 8B 14 24 89 90 D8 00 00 00 46 4F 75 CF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13478_0 {
	meta:
		name = "TCircledSeries.SetParentProperties"
		size = 110
		refs = "0015 TCustomAxisPanel.SetAxisVisible 001e TCustomAxisPanel.SetClipPoints 002b TChartPen.SetVisible 0034 TCustomAxisPanel.SetView3DWalls 003f _Dn_TCustomChart 0044 @IsClass"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 47 40 85 C0 74 5C 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 86 D0 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 77 40 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B C6 8B D3 88 90 29 02 00 00 84 D2 74 09 C6 80 2A 02 00 00 03 EB 07 C6 80 2A 02 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13479_0 {
	meta:
		name = "TCircledSeries.SetParentChart"
		size = 51
		refs = "000f TCircledSeries.SetParentProperties 001d TChartSeries.SetParentChart"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 3B 73 40 74 18 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 40 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13480_0 {
	meta:
		name = "TCircledSeries.SetCustomYRadius"
		size = 107
		refs = "0016 TChartSeries.SetLongintProperty 0026 TCustomAxisPanel.SeriesCount 0039 TCustomAxisPanel.GetSeries 003e TObject.ClassType 0047 @IsClass"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 8D 93 DC 00 00 00 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 44 8B E8 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 34 47 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B C5 E8 ?? ?? ?? ?? 8B 14 24 89 90 DC 00 00 00 46 4F 75 CF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13481_0 {
	meta:
		name = "TCircledSeries.Rotate"
		size = 169
		refs = "0017 TCircledSeries.Rotate 0031 TeeMsg_Rotation 0036 LoadResString 004e TeeMsg_Angle 005d _DV_PieException 0062 Exception.CreateFmt 0067 @RaiseExcept 007e TCircledSeries.SetRotationAngle 0098 @LStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F0 8B DA 8B C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 08 81 FB 68 01 00 00 7E 3E 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 81 D4 00 00 00 03 C3 BB 68 01 00 00 99 F7 FB 8B C1 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13483_0 {
	meta:
		name = "_NF__377"
		size = 133
	strings:
		$1 = { 53 8D 90 0C 01 00 00 8B 4A 08 2B 0A F6 C1 01 74 03 FF 4A 08 8B 4A 0C 2B 4A 04 F6 C1 01 74 03 FF 4A 0C 8B 5A 08 8B 0A 2B D9 83 FB 04 7D 06 83 C1 04 89 4A 08 8B 5A 0C 8B 4A 04 2B D9 83 FB 04 7D 06 83 C1 04 89 4A 0C 8B 4A 08 2B 0A 89 88 FC 00 00 00 8B 4A 0C 2B 4A 04 89 88 00 01 00 00 8B 0A 03 4A 08 D1 F9 79 03 83 D1 00 89 88 04 01 00 00 8B 4A 04 03 4A 0C D1 F9 79 03 83 D1 00 89 88 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_13484_0 {
	meta:
		name = "TCircledSeries.DoBeforeDrawValues"
		size = 820
		refs = "000c TChartSeries.DoBeforeDrawValues 0029 _NF__377 004d TCustomTeePanel.TeeCharHeight 0069 TPen.GetWidth 007e TCircledSeries.DoBeforeDrawValues 0091 TCustomAxisPanel.MaxMarkWidth 00f0 @ROUND 0121 Screen 0128 TScreen.GetWidth 0147 TScreen.GetHeight 0167 TCanvas.GetHandle 016d GetDeviceCaps 01cb TCircledSeries.CalcRadius 0257 TChartSeries.Count 0273 TCustomAxisPanel.SeriesCount 028a TCustomAxisPanel.GetSeries 029e TObject.ClassType 02a7 @IsClass 02d2 TBrush.SetStyle 02e4 TBrush.SetColor 0300 TCanvas.Ellipse"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 40 8D B0 80 01 00 00 8D BB 0C 01 00 00 B9 04 00 00 00 F3 A5 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 80 78 08 00 0F 84 86 00 00 00 8B 73 40 8B 50 14 8B C6 8B 08 FF 91 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B E8 8B 7B 3C 03 6F 28 8B 47 1C 80 78 18 00 74 0F 8B 43 3C 8B 40 1C E8 ?? ?? ?? ?? 03 C0 03 E8 01 AB 10 01 00 00 29 AB 18 01 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 91 90 00 00 00 8B F8 8B C6 E8 ?? ?? ?? ?? 03 F8 8B 43 3C 03 78 28 8B 43 3C 8B 70 1C 80 7E 18 00 74 0B 8B C6 E8 ?? ?? ?? ?? 03 C0 03 F8 01 BB 0C 01 00 00 29 BB 14 01 00 00 8B 73 40 8B C3 E8 ?? ?? ?? ?? 80 BE C8 01 00 00 00 74 38 8B 86 CC 01 00 00 F7 AB 00 01 00 00 89 44 24 14 DB 44 24 14 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F8 89 BB F8 00 00 00 29 BB 18 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 08 33 C0 89 83 F8 00 00 00 80 BB D0 00 00 00 00 0F 84 23 01 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 89 44 24 14 DB 44 24 14 D8 0D ?? ?? ?? ?? DB 7C 24 18 9B A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 89 44 24 24 DB 44 24 24 DB 6C 24 18 DE F1 DD 5C 24 08 9B 6A 04 8B 86 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 6A 06 8B 86 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E8 85 ED 74 3C 89 7C 24 14 DB 44 24 14 D8 0D ?? ?? ?? ?? 89 6C 24 24 DB 44 24 24 DE F9 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 74 12 D9 05 ?? ?? ?? ?? DC 4C 24 08 DC 34 24 DD 5C 24 08 9B 8B C3 E8 ?? ?? ?? ?? 8B AB E4 00 00 00 89 6C 24 14 DB 44 24 14 DC 4C 24 08 E8 ?? ?? ?? ?? 8B F8 8B B3 E0 00 00 00 3B FE 7D 21 DB 83 E4 00 00 00 DC 4C 24 08 E8 ?? ?? ?? ?? 8B C6 2B C7 01 83 0C 01 00 00 29 83 14 01 00 00 EB 29 89 74 24 14 DB 44 24 14 D8 0D ?? ?? ?? ?? DC 74 24 08 E8 ?? ?? ?? ?? 50 8B C5 5A 2B C2 01 83 10 01 00 00 29 83 18 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 10 01 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E A9 00 00 00 8B 7B 40 8B 87 50 01 00 00 89 44 24 10 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C 8A 00 00 00 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 58 00 74 70 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 55 8B D6 8B C7 E8 ?? ?? ?? ?? 3B D8 75 48 81 BB EC 00 00 00 00 00 00 80 74 3C 8B 44 24 10 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 44 24 10 8B 40 14 8B 93 EC 00 00 00 E8 ?? ?? ?? ?? 8D 83 0C 01 00 00 8B 50 08 52 8B 50 0C 52 8B 48 04 8B 10 8B 44 24 18 E8 ?? ?? ?? ?? 46 4D 0F 85 79 FF FF FF 83 C4 28 5D 5F 5E 5B C3 FF FF FF FF 01 00 00 00 57 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 00 00 80 3F 00 00 00 00 }
	condition:
		$1
}

rule function_13485_0 {
	meta:
		name = "TCircledSeries.DoAfterDrawValues"
		size = 345
		refs = "000c TChartSeries.Count 0028 TCustomAxisPanel.SeriesCount 003f TCustomAxisPanel.GetSeries 0057 TObject.ClassType 0060 @IsClass 00a4 TBrush.SetStyle 00c0 TCanvas.Ellipse 00ee TCustomTeePanel.DoVertLine 013f TCanvas.Arc 014e TChartSeries.DoAfterDrawValues"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E 33 01 00 00 8B 73 40 8B 86 50 01 00 00 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C 14 01 00 00 45 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 80 78 58 00 0F 84 F6 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 D7 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 85 CE 00 00 00 8B 83 E8 00 00 00 80 78 18 00 0F 84 B6 00 00 00 8B 54 24 04 8B 52 10 92 8B 08 FF 51 08 8B 44 24 04 8B 40 14 B2 01 E8 ?? ?? ?? ?? 8D 83 0C 01 00 00 8B 50 08 52 8B 50 0C 52 8B 48 04 8B 10 8B 44 24 0C E8 ?? ?? ?? ?? 80 BE C8 01 00 00 00 74 76 8B 83 08 01 00 00 8B D0 03 93 F8 00 00 00 89 14 24 8B 14 24 52 8B 93 14 01 00 00 4A 8B C8 8B C6 E8 ?? ?? ?? ?? 8B 04 24 50 8B 8B 08 01 00 00 8B 93 0C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8D 83 0C 01 00 00 8B 48 08 51 8B 48 0C 8B 93 F8 00 00 00 03 CA 51 8B 08 51 8B 4C 24 0C 51 8B 48 08 51 8B 4C 24 14 51 8B 48 04 03 CA 51 8B 10 42 8B 44 24 20 59 E8 ?? ?? ?? ?? 47 4D 0F 85 EF FE FF FF 8B C3 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13486_0 {
	meta:
		name = "TCircledSeries.CalcRadius"
		size = 171
	strings:
		$1 = { 8B 90 D8 00 00 00 85 D2 74 14 8B CA 89 88 E0 00 00 00 8B D1 03 D2 89 90 FC 00 00 00 EB 13 8B 90 FC 00 00 00 D1 FA 79 03 83 D2 00 89 90 E0 00 00 00 8B 90 04 01 00 00 2B 90 E0 00 00 00 89 90 0C 01 00 00 8B 90 04 01 00 00 03 90 E0 00 00 00 89 90 14 01 00 00 8B 90 DC 00 00 00 85 D2 74 14 8B CA 89 88 E4 00 00 00 8B D1 03 D2 89 90 00 01 00 00 EB 13 8B 90 00 01 00 00 D1 FA 79 03 83 D2 00 89 90 E4 00 00 00 8B 90 08 01 00 00 2B 90 E4 00 00 00 89 90 10 01 00 00 8B 90 08 01 00 00 03 90 E4 00 00 00 89 90 18 01 00 00 C3 }
	condition:
		$1
}

rule function_13489_0 {
	meta:
		name = "TCircledSeries.SetCirclePen"
		size = 12
	strings:
		$1 = { 8B 80 E8 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_13490_0 {
	meta:
		name = "TCircledSeries.AngleToPos"
		size = 91
		refs = "0026 SinCos 0031 @TRUNC"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B F2 8B D8 DD 83 F0 00 00 00 DC 45 18 83 C4 F4 DB 3C 24 9B 8D 55 EC 8D 45 F6 E8 ?? ?? ?? ?? DB 6D EC DC 4D 10 E8 ?? ?? ?? ?? 03 83 04 01 00 00 89 06 DB 6D F6 DC 4D 08 E8 ?? ?? ?? ?? 8B 93 08 01 00 00 2B D0 89 17 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_13491_0 {
	meta:
		name = "TCircledSeries.PrepareLegendCanvas"
		size = 15
	strings:
		$1 = { 55 8B EC 8B 80 EC 00 00 00 89 01 5D C2 04 00 }
	condition:
		$1
}

rule function_13492_0 {
	meta:
		name = "TCircledSeries.PointToAngle"
		size = 196
		refs = "0078 ArcTan2 0092 TCircledSeries.PointToAngle"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F9 8B F2 8B D8 8B EE 2B AB 04 01 00 00 85 ED 75 28 C7 04 24 18 2D 44 54 C7 44 24 04 FB 21 F9 3F 3B BB 08 01 00 00 7E 50 C7 04 24 D2 21 33 7F C7 44 24 04 7C D9 12 40 EB 3F 8B 83 08 01 00 00 2B C7 89 44 24 08 DB 44 24 08 DB 83 E4 00 00 00 DE F9 83 C4 F4 DB 3C 24 9B 89 6C 24 18 DB 44 24 18 DB 83 E0 00 00 00 DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 DC A3 F0 00 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 73 0D DB 2D ?? ?? ?? ?? DC 04 24 DD 1C 24 9B DD 04 24 83 C4 10 5D 5F 5E 5B C3 00 00 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_13493_0 {
	meta:
		name = "TCircledSeries.Assign"
		size = 116
		refs = "000b _DV_TCircledSeries 0010 @IsClass 006c TChartSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 8B FE 8A 87 D0 00 00 00 88 83 D0 00 00 00 8B 87 D4 00 00 00 89 83 D4 00 00 00 8B 87 D8 00 00 00 89 83 D8 00 00 00 8B 87 DC 00 00 00 89 83 DC 00 00 00 8B 97 E8 00 00 00 8B 83 E8 00 00 00 8B 08 FF 51 08 8B 87 EC 00 00 00 89 83 EC 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13494_0 {
	meta:
		name = "TCircledSeries.SetActive"
		size = 25
		refs = "0006 TChartSeries.SetActive 0013 TCircledSeries.SetParentProperties"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 53 58 80 F2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13495_0 {
	meta:
		name = "TPieSeries.Create"
		size = 152
		refs = "000a @ClassCreate 0017 TCircledSeries.Create 001e _Dn_TList 0023 TObject.Create 0034 @LStrClr 003f TPieSeries.Create 0044 @LStrAsg 0055 TSeriesMarks.SetVisible 0062 TSeriesMarks.SetArrowLength 0072 TChartSeries.SetColorEachPoint"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 28 01 00 00 8B 46 2C 83 C0 20 E8 ?? ?? ?? ?? 8B 46 30 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 1C 01 00 00 01 B2 01 8B 46 3C E8 ?? ?? ?? ?? BA 08 00 00 00 8B 46 3C E8 ?? ?? ?? ?? C6 86 1D 01 00 00 01 B2 01 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 FF FF FF FF 03 00 00 00 50 69 65 00 }
	condition:
		$1
}

rule function_13496_0 {
	meta:
		name = "_NF__3A0"
		size = 64
		refs = "001f TList.Get 0029 @FreeMem 0038 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 28 01 00 00 8B 58 08 4B 85 DB 7C 1E 43 33 F6 8B D6 8B 87 28 01 00 00 E8 ?? ?? ?? ?? BA 10 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 E5 8B 87 28 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13497_0 {
	meta:
		name = "TPieSeries.Destroy"
		size = 52
		refs = "0009 _NF__3A0 0014 TObject.Free 0020 TCircledSeries.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 28 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13498_0 {
	meta:
		name = "TPieSeries.NumSampleValues"
		size = 6
	strings:
		$1 = { B8 08 00 00 00 C3 }
	condition:
		$1
}

rule function_13499_0 {
	meta:
		name = "TPieSeries.PrepareLegendCanvas"
		size = 32
		refs = "0012 GetDefaultPattern"
	strings:
		$1 = { 55 8B EC 53 8B DA 80 B8 24 01 00 00 00 74 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 08 88 02 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13500_0 {
	meta:
		name = "_NF__3AB"
		size = 159
		refs = "000f _NF__3AB 0032 TeeMsg_PieSample1 0037 LoadResString 0040 TeeMsg_PieSample2 004e TeeMsg_PieSample3 005c TeeMsg_PieSample4 006a TeeMsg_PieSample5 0078 TeeMsg_PieSample6 0086 TeeMsg_PieSample7 0094 TeeMsg_PieSample8"
	strings:
		$1 = { 53 8B DA 83 F8 06 0F 87 85 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13501_0 {
	meta:
		name = "TPieSeries.FillSampleValues"
		size = 165
		refs = "0017 TPieSeries.FillSampleValues 003a @RandInt 005e _NF__3AB 007d TChartSeries.RefreshSeries 0092 @LStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 88 00 00 00 4B 85 DB 7C 48 43 33 F6 B8 E8 03 00 00 E8 ?? ?? ?? ?? 40 89 45 F8 DB 45 F8 83 C4 F8 DD 1C 24 9B 8D 55 F4 8B C6 25 07 00 00 80 79 05 48 83 C8 F8 40 E8 ?? ?? ?? ?? 8B 55 F4 B9 00 00 00 80 8B 45 FC 8B 38 FF 97 8C 00 00 00 46 4B 75 BB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13502_0 {
	meta:
		name = "TPieSeries.InitAngles"
		size = 68
		refs = "0006 TCircledSeries.InitAngles 0037 TCircledSeries.AngleToPos 003e TPieSeries.CalcAngles"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 DB 83 E0 00 00 00 83 C4 F8 DD 1C 24 9B DB 83 E4 00 00 00 83 C4 F8 DD 1C 24 9B 8D 8B 30 01 00 00 8D 93 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13503_0 {
	meta:
		name = "_NF__3B1"
		size = 65
		refs = "0028 TList.Get"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 85 F6 75 11 C7 04 24 8D ED B5 A0 C7 44 24 04 F7 C6 B0 3E EB 1B 8B D6 4A 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 8B 50 08 89 14 24 8B 50 0C 89 54 24 04 DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13504_0 {
	meta:
		name = "TPieSeries.CalcClickedPie"
		size = 166
		refs = "0049 TCircledSeries.PointToAngle 0055 TChartSeries.Count 006c TList.Get 0077 _NF__3B1"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 0C 24 8B CA 8B D8 C7 44 24 04 FF FF FF FF 8B C1 2B 83 04 01 00 00 99 33 C2 2B C2 3B 83 E0 00 00 00 7D 6F 8B 04 24 2B 83 08 01 00 00 99 33 C2 2B C2 3B 83 E4 00 00 00 7D 59 8B D1 8B C3 8B 0C 24 E8 ?? ?? ?? ?? DD 5C 24 08 9B 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3A 47 33 F6 8B D6 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 8B E8 8B D6 8B C3 E8 ?? ?? ?? ?? DC 5C 24 08 DF E0 9E 77 12 DD 44 24 08 DC 5D 08 DF E0 9E 77 06 89 74 24 04 EB 04 46 4F 75 C9 8B 44 24 04 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13505_0 {
	meta:
		name = "TPieSeries.Clicked"
		size = 40
		refs = "0010 TChartSeries.Clicked 0020 TPieSeries.CalcClickedPie"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 75 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13506_0 {
	meta:
		name = "TPieSeries.CalcAngles"
		size = 412
		refs = "002a TPieSeries.CalcAngles 005a _NF__3A0 0061 TChartSeries.Count 0079 @GetMem 0086 TList.Add 0093 TList.Get 009e _NF__3B1"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F0 33 C0 89 44 24 18 89 44 24 1C 8B 46 30 8B 50 30 89 54 24 08 8B 50 34 89 54 24 0C DD 44 24 08 D8 1D ?? ?? ?? ?? DF E0 9E 74 11 DB 2D ?? ?? ?? ?? DC 74 24 08 DD 5C 24 20 9B EB 0A 33 C0 89 44 24 20 89 44 24 24 33 C0 89 04 24 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C F7 00 00 00 45 33 FF B8 10 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 28 01 00 00 E8 ?? ?? ?? ?? 8B D7 8B 86 28 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B D7 8B C6 E8 ?? ?? ?? ?? DD 5C 24 10 9B DD 44 24 08 D8 1D ?? ?? ?? ?? DF E0 9E 0F 84 87 00 00 00 8B D7 8B C6 8B 08 FF 51 40 D9 E1 DC 44 24 18 DD 5C 24 18 9B DD 44 24 18 DC 5C 24 08 DF E0 9E 75 0F DB 2D ?? ?? ?? ?? DC 04 24 DD 5B 08 9B EB 0F DD 44 24 18 DC 4C 24 20 DC 04 24 DD 5B 08 9B DD 43 08 DC 64 24 10 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 10 DB 2D ?? ?? ?? ?? DC 44 24 10 DD 5B 08 9B EB 32 DD 43 08 DC 64 24 10 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 73 1E DB 2D ?? ?? ?? ?? DC 44 24 10 DD 5B 08 9B EB 0E C7 43 08 95 4E 28 11 C7 43 0C FB 21 19 40 DD 44 24 10 DC 43 08 D8 0D ?? ?? ?? ?? DD 1B 9B 47 4D 0F 85 0C FF FF FF 83 C4 28 5D 5F 5E 5B C3 00 00 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 77 AB 74 42 89 D8 0F C9 01 40 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_13507_0 {
	meta:
		name = "TPieSeries.DrawMark"
		size = 392
		refs = "0030 TList.Get 004a SinCos 0052 TCustomTeePanel.TeeCharHeight 005a TPieSeries.DrawMark 007b @ROUND 016e TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B 75 18 8D 7D CC 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B D8 8B 43 40 89 45 DC 8B 55 FC 8B 83 28 01 00 00 E8 ?? ?? ?? ?? DD 00 DC 83 F0 00 00 00 83 C4 F4 DB 3C 24 9B 8D 55 E0 8D 45 EA E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 89 45 F4 BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 91 90 00 00 00 03 83 E0 00 00 00 89 45 C8 DB 45 C8 DB 6D E0 DE C9 E8 ?? ?? ?? ?? 8B F8 03 BB 04 01 00 00 8B 83 E4 00 00 00 03 45 F4 89 45 C8 DB 45 C8 DB 6D EA DE C9 E8 ?? ?? ?? ?? 8B B3 08 01 00 00 2B F0 8B 45 DC 80 B8 C8 01 00 00 00 74 0E 3B B3 08 01 00 00 7E 06 03 B3 F8 00 00 00 8B 43 3C 8B 93 E0 00 00 00 2B 50 28 89 55 C8 DB 45 C8 DB 6D E0 DE C9 E8 ?? ?? ?? ?? 03 83 04 01 00 00 89 45 0C 8B 43 3C 8B 93 E4 00 00 00 2B 50 28 89 55 C8 DB 45 C8 DB 6D EA DE C9 E8 ?? ?? ?? ?? 50 8B 83 08 01 00 00 5A 2B C2 8B 55 D8 2B 55 D0 89 55 F4 8B 55 D4 2B 55 CC 3B BB 04 01 00 00 7E 0B 89 7D CC 03 55 CC 89 55 D4 EB 0B 89 7D D4 8B 4D D4 2B CA 89 4D CC 3B B3 08 01 00 00 7E 0D 8B D6 89 55 D0 03 55 F4 89 55 D8 EB 0B 8B D6 89 55 D8 2B 55 F4 89 55 D0 8D 55 CC 52 57 56 8B 55 0C 52 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_13508_0 {
	meta:
		name = "TPieSeries.DrawPie"
		size = 179
		refs = "002c TPen.SetStyle 0085 TCanvas.Pie 008e TChartSeries.Count 00ab TCanvas.Ellipse"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 40 8B B0 50 01 00 00 8B 83 E8 00 00 00 80 78 18 00 74 0C 8B D0 8B 46 10 8B 08 FF 51 08 EB 0A B2 05 8B 46 10 E8 ?? ?? ?? ?? 8B 8B 2C 01 00 00 8B C1 8B BB 34 01 00 00 2B C7 99 33 C2 2B C2 85 C0 7F 15 8B 83 30 01 00 00 2B 83 38 01 00 00 99 33 C2 2B C2 85 C0 7E 2D 8D 83 0C 01 00 00 8B 50 08 52 8B 50 0C 52 51 8B 93 30 01 00 00 52 57 8B 93 38 01 00 00 52 8B 10 8B CE 8B 40 04 91 E8 ?? ?? ?? ?? EB 24 8B C3 E8 ?? ?? ?? ?? 48 75 1A 8D 83 0C 01 00 00 8B 50 08 52 8B 50 0C 52 8B 48 04 8B 10 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13509_0 {
	meta:
		name = "_NF__3C7"
		size = 548
		refs = "0024 TPen.GetWidth 0030 _NF__3C7 00d9 DarkColorQuantity 00e1 ApplyDark 00f1 TPen.SetStyle 0101 TPen.SetWidth 010f TPen.SetColor 011d TBrush.SetColor 0125 @COS 013a @TRUNC 0151 SinCos 01f3 TCustomTeePanel.DoVertLine"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 8B 75 18 83 C6 FC C6 45 E7 00 8B 06 8B 98 E8 00 00 00 80 7B 18 00 74 55 8B C3 E8 ?? ?? ?? ?? 89 45 BC DB 45 BC D8 05 ?? ?? ?? ?? 8B 45 18 DC 48 F4 DD 5D F8 9B DD 45 10 DC 45 F8 DD 5D E8 9B DD 45 08 DC 65 F8 DD 5D F0 9B 8B 06 8B 80 E8 00 00 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 45 DC 8B 06 8B 80 04 01 00 00 89 45 D8 EB 29 8B 45 10 89 45 E8 8B 45 14 89 45 EC 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 33 C0 89 45 DC 8B 06 8B 80 04 01 00 00 48 89 45 D8 DD 45 E8 DC 5D F0 DF E0 9E 0F 83 67 01 00 00 8B 06 8B 40 40 8B 80 50 01 00 00 89 45 C0 8B 45 18 8B 50 F0 8B 06 8B 08 FF 51 48 89 45 E0 8B 06 80 B8 1D 01 00 00 00 74 11 8A 15 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 89 45 E0 8B 45 C0 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B 45 C0 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 8B 40 10 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 C0 8B 40 14 8B 55 E0 E8 ?? ?? ?? ?? DD 45 E8 E8 ?? ?? ?? ?? 8B 06 DB 80 E0 00 00 00 D8 0D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F8 DD 45 E8 83 C4 F4 DB 3C 24 9B 8D 55 C4 8D 45 CE E8 ?? ?? ?? ?? 8B 06 DB 80 E0 00 00 00 D8 0D ?? ?? ?? ?? DB 6D C4 DE C9 E8 ?? ?? ?? ?? 8B D8 3B FB 0F 8D 82 00 00 00 8B 06 DB 80 E4 00 00 00 D8 0D ?? ?? ?? ?? DB 6D CE DE C9 E8 ?? ?? ?? ?? 8B 16 8B BA 08 01 00 00 2B F8 8B 06 80 B8 1E 01 00 00 00 74 31 80 7D E7 00 74 15 8B 06 8B 90 20 01 00 00 8B 45 C0 8B 40 10 E8 ?? ?? ?? ?? EB 0E 8B 45 C0 8B 40 10 8B 55 E0 E8 ?? ?? ?? ?? 8A 45 E7 34 01 88 45 E7 8B 06 8B 80 F8 00 00 00 03 C7 2B 45 DC 50 8B 4D DC 03 CF 8B 55 D8 03 D3 8B 06 8B 40 40 E8 ?? ?? ?? ?? 8B FB DD 45 E8 8B 45 18 DC 40 F4 DD 5D E8 9B DD 45 E8 DC 5D F0 DF E0 9E 0F 82 2B FF FF FF 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_13510_0 {
	meta:
		name = "TPieSeries.Draw3d"
		size = 620
		refs = "0021 Screen 0028 TScreen.GetWidth 0034 TPieSeries.Draw3d 0040 TChartSeries.Count 007d _NF__3C7 00a4 TList.Get 00b1 _NF__3B1 00c6 @SIN 0234 TPieSeries.Draw3DLine"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 89 55 F0 89 45 FC 8B 45 FC 8B 40 40 80 B8 C8 01 00 00 00 0F 84 18 02 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 89 45 D4 DB 45 D4 D8 3D ?? ?? ?? ?? DD 5D F4 9B 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 3F 8B 45 FC 8B 80 34 01 00 00 8B 55 FC 2B 82 2C 01 00 00 99 33 C2 2B C2 85 C0 0F 8E D1 01 00 00 55 68 FB 21 09 40 68 18 2D 44 54 68 FB 21 19 40 68 18 2D 44 54 E8 ?? ?? ?? ?? 59 E9 B1 01 00 00 8B 45 FC 80 B8 1C 01 00 00 00 0F 84 87 01 00 00 8B 45 FC 8B 80 28 01 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? DD 5D D8 9B DD 45 D8 8B 45 FC DC 80 F0 00 00 00 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 72 33 DD 43 08 8B 45 FC DC 80 F0 00 00 00 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 72 17 DD 43 08 DC 65 D8 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 0F 83 16 01 00 00 DD 43 08 8B 45 FC DC 80 F0 00 00 00 DD 5D E8 9B DB 2D ?? ?? ?? ?? DC 5D E8 DF E0 9E 73 0D DB 2D ?? ?? ?? ?? DC 6D E8 DD 5D E8 9B DD 45 D8 8B 45 FC DC 80 F0 00 00 00 DD 5D E0 9B DB 2D ?? ?? ?? ?? DC 5D E0 DF E0 9E 73 0D DB 2D ?? ?? ?? ?? DC 6D E0 DD 5D E0 9B DD 45 E8 DC 5D E0 DF E0 9E 76 43 DB 2D ?? ?? ?? ?? DC 5D E8 DF E0 9E 0F 83 A3 00 00 00 DB 2D ?? ?? ?? ?? DC 5D E0 DF E0 9E 76 0E C7 45 E0 18 2D 44 54 C7 45 E4 FB 21 09 40 55 FF 75 E4 FF 75 E0 FF 75 EC FF 75 E8 E8 ?? ?? ?? ?? 59 EB 72 DB 2D ?? ?? ?? ?? DC 5D E8 DF E0 9E 76 2C C7 45 E8 18 2D 44 54 C7 45 EC FB 21 19 40 DB 2D ?? ?? ?? ?? DC 5D E0 DF E0 9E 76 35 C7 45 E0 18 2D 44 54 C7 45 E4 FB 21 09 40 EB 25 55 68 FB 21 09 40 68 18 2D 44 54 FF 75 EC FF 75 E8 E8 ?? ?? ?? ?? 59 C7 45 E8 18 2D 44 54 C7 45 EC FB 21 19 40 55 FF 75 E4 FF 75 E0 FF 75 EC FF 75 E8 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 88 38 01 00 00 8B 45 FC 8B 90 34 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 00 00 00 00 00 80 3F 00 00 00 00 35 C2 68 21 A2 DA 0F C9 FF 3F 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 35 C2 68 21 A2 DA 0F C9 00 40 00 00 }
	condition:
		$1
}

rule function_13511_0 {
	meta:
		name = "TPieSeries.Draw3DLine"
		size = 85
		refs = "004c TCustomTeePanel.DoVertLine"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B D8 8B 83 38 01 00 00 3B 83 08 01 00 00 7E 38 8B 83 E8 00 00 00 80 78 18 00 74 2C 8B 73 40 8B 86 50 01 00 00 8B 40 10 8B 93 E8 00 00 00 8B 08 FF 51 08 8B 83 F8 00 00 00 03 C7 48 50 8B CF 8B D5 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13512_0 {
	meta:
		name = "TPieSeries.DrawValue"
		size = 337
		refs = "002b TList.Get 005e TCircledSeries.AngleToPos 0079 GetDefaultPattern 00b5 TCustomTeePanel.SetBrushCanvas 00db TPieSeries.Draw3DLine 00e6 TPieSeries.Draw3d"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 83 BB FC 00 00 00 04 0F 8E 37 01 00 00 83 BB 00 01 00 00 04 0F 8E 2A 01 00 00 8B D7 8B 83 28 01 00 00 E8 ?? ?? ?? ?? FF 70 0C FF 70 08 DB 83 E0 00 00 00 83 C4 F8 DD 1C 24 9B DB 83 E4 00 00 00 83 C4 F8 DD 1C 24 9B 8D 8B 38 01 00 00 8D 93 34 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 51 48 8B E8 80 BB 24 01 00 00 00 74 09 8B C7 E8 ?? ?? ?? ?? EB 02 33 C0 8B B3 EC 00 00 00 81 FE 00 00 00 80 75 09 8B 53 40 8B B2 B0 01 00 00 81 FE 00 00 00 80 75 06 8B 53 40 8B 72 54 50 56 8B 53 40 8B 82 50 01 00 00 8B CD 92 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 14 01 00 00 80 BB 24 01 00 00 00 74 15 8B 8B 38 01 00 00 8B 93 34 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 80 BB 1E 01 00 00 00 75 0D 83 FF 10 7C 3C 81 FD 00 00 00 80 75 34 6A 07 55 8B 43 40 8B 90 50 01 00 00 8B CE E8 ?? ?? ?? ?? 80 BB 24 01 00 00 00 75 0F 83 FF 10 7C 0A 8B C3 8B 10 FF 92 14 01 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 83 34 01 00 00 89 83 2C 01 00 00 8B 83 38 01 00 00 89 83 30 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13513_0 {
	meta:
		name = "TPieSeries.SetShadowed3d"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 1E 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13514_0 {
	meta:
		name = "TPieSeries.SetShadowColor"
		size = 14
		refs = "0009 TChartSeries.SetColorProperty"
	strings:
		$1 = { 8D 88 20 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13515_0 {
	meta:
		name = "TPieSeries.SetColor3d"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 1C 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13516_0 {
	meta:
		name = "TPieSeries.SetUsePatterns"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 24 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13517_0 {
	meta:
		name = "TPieSeries.GetEditorClass"
		size = 48
		refs = "0006 TPieSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 10 00 00 00 54 50 69 65 53 65 72 69 65 73 45 64 69 74 6F 72 00 00 00 00 }
	condition:
		$1
}

rule function_13520_0 {
	meta:
		name = "TPieSeries.SetDark3d"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 1D 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13521_0 {
	meta:
		name = "TPieSeries.MaxXValue"
		size = 33
		refs = "0009 TChartSeries.GetHorizAxis"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 4C 89 14 24 8B 50 50 89 54 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_13523_0 {
	meta:
		name = "TPieSeries.MaxYValue"
		size = 33
		refs = "0009 TChartSeries.GetVertAxis"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 4C 89 14 24 8B 50 50 89 54 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_13522_0 {
	meta:
		name = "TPieSeries.MinXValue"
		size = 33
		refs = "0009 TChartSeries.GetHorizAxis"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 54 89 14 24 8B 50 58 89 54 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_13524_0 {
	meta:
		name = "TPieSeries.MinYValue"
		size = 33
		refs = "0009 TChartSeries.GetVertAxis"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 54 89 14 24 8B 50 58 89 54 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_13525_0 {
	meta:
		name = "TPieSeries.PrepareForGallery"
		size = 55
		refs = "000b TChartSeries.PrepareForGallery 0027 TCustomAxisPanel.SetChart3DPercent 0030 TChartSeries.SetColorEachPoint"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? BA 08 00 00 00 8B C6 8B 08 FF 91 84 00 00 00 BA 23 00 00 00 8B 46 40 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13526_0 {
	meta:
		name = "TPieSeries.Assign"
		size = 106
		refs = "000a _DV_TPieSeries 000f @IsClass 005a TCircledSeries.Assign 0063 TChartSeries.SetColorEachPoint"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B C6 8A 90 1C 01 00 00 88 93 1C 01 00 00 8A 90 1D 01 00 00 88 93 1D 01 00 00 8A 90 1E 01 00 00 88 93 1E 01 00 00 8B 90 20 01 00 00 89 93 20 01 00 00 8A 80 24 01 00 00 88 83 24 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13528_0 {
	meta:
		name = "TFastLineSeries.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TChartSeries.Create 001e TChartSeries.CreateChartPen"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 86 D0 00 00 00 C6 86 CE 00 00 00 00 C6 86 CD 00 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13529_0 {
	meta:
		name = "TFastLineSeries.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TChartSeries.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 D0 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13530_0 {
	meta:
		name = "TFastLineSeries.SetLinePen"
		size = 36
		refs = "0015 TPen.GetColor"
	strings:
		$1 = { 53 8B D8 8B 83 D0 00 00 00 8B 08 FF 51 08 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 4C 5B C3 }
	condition:
		$1
}

rule function_13531_0 {
	meta:
		name = "TFastLineSeries.GetEditorClass"
		size = 52
		refs = "0006 TFastLineSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 15 00 00 00 54 46 61 73 74 4C 69 6E 65 53 65 72 69 65 73 45 64 69 74 6F 72 00 00 00 }
	condition:
		$1
}

rule function_13532_0 {
	meta:
		name = "TFastLineSeries.PrepareCanvas"
		size = 53
		refs = "0022 TCustomAxisPanel.CheckPenWidth 002d TPen.SetColor"
	strings:
		$1 = { 53 56 57 8B D8 8B 7B 40 8B B7 50 01 00 00 8B 93 D0 00 00 00 8B 46 10 8B 08 FF 51 08 8B 56 10 8B C7 E8 ?? ?? ?? ?? 8B 53 44 8B 46 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13534_0 {
	meta:
		name = "TFastLineSeries.DrawValue"
		size = 215
		refs = "006c TCanvas.MoveTo 007e TCanvas.LineTo"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 8B F8 8B D6 8B C3 8B 08 FF 91 B4 00 00 00 8B E8 3B B3 C0 00 00 00 75 78 85 F6 7E 54 8B D6 4A 8B C3 8B 08 FF 91 B0 00 00 00 89 83 D4 00 00 00 8B D6 4A 8B C3 8B 08 FF 91 B4 00 00 00 89 83 D8 00 00 00 8B 43 40 8B 80 50 01 00 00 8B 8B D8 00 00 00 8B 93 D4 00 00 00 E8 ?? ?? ?? ?? 8B 43 40 8B 80 50 01 00 00 8B CD 8B D7 E8 ?? ?? ?? ?? EB 12 8B 43 40 8B 80 50 01 00 00 8B CD 8B D7 E8 ?? ?? ?? ?? 89 BB D4 00 00 00 89 AB D8 00 00 00 EB 2E 3B BB D4 00 00 00 75 08 3B AB D8 00 00 00 74 1E 8B 43 40 8B 80 50 01 00 00 8B CD 8B D7 E8 ?? ?? ?? ?? 89 BB D4 00 00 00 89 AB D8 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13535_0 {
	meta:
		name = "TFastLineSeries.SetSeriesColor"
		size = 31
		refs = "000b TChartSeries.SetSeriesColor 0018 TPen.SetColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13536_0 {
	meta:
		name = "TFastLineSeries.DrawLegendShape"
		size = 43
		refs = "0009 TFastLineSeries.PrepareCanvas 0024 TCustomTeePanel.DoHorizLine"
	strings:
		$1 = { 53 56 8B D9 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 43 04 03 43 0C D1 F8 79 03 83 D0 00 50 8B 4B 08 8B 13 8B 46 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13537_0 {
	meta:
		name = "TFastLineSeries.Assign"
		size = 52
		refs = "000a _DV_TFastLineSeries 000f @IsClass 002d TChartSeries.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 96 D0 00 00 00 8B 83 D0 00 00 00 8B 08 FF 51 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13538_0 {
	meta:
		name = "TFastLineSeries.Clicked"
		size = 194
		refs = "0098 PointInLine"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 89 4C 24 04 89 14 24 8B D8 C7 44 24 08 FF FF FF FF 33 C0 89 44 24 0C 33 C0 89 44 24 10 8B 83 C0 00 00 00 83 F8 FF 0F 8E 83 00 00 00 83 BB C4 00 00 00 FF 7E 7A 8B F0 8B 83 C4 00 00 00 2B C6 7C 6E 40 89 44 24 14 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 8B F8 8B D6 8B C3 8B 08 FF 91 B4 00 00 00 8B E8 3B 3C 24 75 0C 3B 6C 24 04 75 06 89 74 24 08 EB 3C 3B B3 C0 00 00 00 7E 25 55 8B 44 24 10 50 8B 44 24 18 50 8B CF 8B 54 24 10 8B 44 24 0C E8 ?? ?? ?? ?? 84 C0 74 07 4E 89 74 24 08 EB 0F 89 7C 24 0C 89 6C 24 10 46 FF 4C 24 14 75 97 8B 44 24 08 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13540_0 {
	meta:
		name = "Series"
		size = 408
		refs = "000b Series 0017 _NV__170 0024 DarkerColorQuantity 002b DarkColorQuantity 0036 TeeMsg_GalleryStandard 003b LoadResString 0047 TeeMsg_GalleryLine 0054 _DV_TLineSeries 005a RegisterTeeSeries 0075 TeeMsg_GalleryBar 0082 _DV_TBarSeries 00a3 TeeMsg_GalleryHorizBar 00b0 _DV_THorizBarSeries 00d1 TeeMsg_GalleryArea 00de _DV_TAreaSeries 00ff TeeMsg_GalleryPoint 010c _DV_TPointSeries 012d TeeMsg_GalleryPie 013a _DV_TPieSeries 015b TeeMsg_GalleryFastLine 0168 _DV_TFastLineSeries 0188 @LStrArrayClr 018e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 50 01 00 00 C6 05 ?? ?? ?? ?? 80 C6 05 ?? ?? ?? ?? 40 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 01 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_13541_0 {
	meta:
		name = "TChartShapeEditor.BShapePenClick"
		size = 18
		refs = "000d EditPen"
	strings:
		$1 = { 8B 90 24 02 00 00 8B 92 E0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13542_0 {
	meta:
		name = "TChartShapeEditor.FormShow"
		size = 474
		refs = "000d TChartShapeEditor.FormShow 001f Screen 0028 TScreen.SetCursor 0046 TBrush.GetColor 0059 TBrush.SetColor 0072 TCustomRadioGroup.SetItemIndex 0089 TCustomCheckBox.SetChecked 0094 TChartSeries.Count 00aa TChartShape.GetX0 00b9 FloatToStr 00c7 TControl.SetText 00ce TChartShape.GetY0 00f2 TChartShape.GetX1 0116 TChartShape.GetY1 0164 TCustomMemo.SetLines 01c9 @LStrClr 01cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 83 28 02 00 00 01 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 83 7B 0C 00 0F 84 82 01 00 00 8B 73 0C 89 B3 24 02 00 00 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 E8 01 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 33 D2 8A 90 E5 00 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 8A 90 E6 00 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 83 F8 02 0F 85 96 00 00 00 8B B3 24 02 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 8B 90 D8 00 00 00 8B 83 18 02 00 00 8B 40 50 8B 08 FF 51 08 8B 83 24 02 00 00 8B 90 DC 00 00 00 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 8A 80 D0 00 00 00 2C 01 72 08 74 27 FE C8 74 11 EB 31 33 D2 8B 83 10 02 00 00 E8 ?? ?? ?? ?? EB 22 BA 01 00 00 00 8B 83 10 02 00 00 E8 ?? ?? ?? ?? EB 10 BA 02 00 00 00 8B 83 10 02 00 00 E8 ?? ?? ?? ?? C6 83 28 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13544_0 {
	meta:
		name = "TChartShapeEditor.RGShapeStyleClick"
		size = 24
		refs = "0013 TChartShape.SetStyle"
	strings:
		$1 = { 8B 90 DC 01 00 00 8A 92 24 01 00 00 8B 80 24 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13545_0 {
	meta:
		name = "TChartShapeEditor.SEX0Change"
		size = 104
		refs = "000c TChartShapeEditor.SEX0Change 0029 TControl.GetText 0031 StrToFloat 0043 TChartShape.SetX0 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 28 02 00 00 00 75 28 8D 55 FC 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13546_0 {
	meta:
		name = "TChartShapeEditor.SEY0Change"
		size = 104
		refs = "000c TChartShapeEditor.SEY0Change 0029 TControl.GetText 0031 StrToFloat 0043 TChartShape.SetY0 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 28 02 00 00 00 75 28 8D 55 FC 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13547_0 {
	meta:
		name = "TChartShapeEditor.SEX1Change"
		size = 104
		refs = "000c TChartShapeEditor.SEX1Change 0029 TControl.GetText 0031 StrToFloat 0043 TChartShape.SetX1 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 28 02 00 00 00 75 28 8D 55 FC 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13548_0 {
	meta:
		name = "TChartShapeEditor.SEY1Change"
		size = 104
		refs = "000c TChartShapeEditor.SEY1Change 0029 TControl.GetText 0031 StrToFloat 0043 TChartShape.SetY1 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 28 02 00 00 00 75 28 8D 55 FC 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13549_0 {
	meta:
		name = "TChartShapeEditor.BShapeBrushClick"
		size = 60
		refs = "0012 EditChartBrush 0023 TBrush.GetColor 0036 TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B 83 24 02 00 00 8B 90 D4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 E8 01 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13550_0 {
	meta:
		name = "TChartShapeEditor.MemoTextChange"
		size = 36
	strings:
		$1 = { 80 B8 28 02 00 00 00 75 1A 8B 90 18 02 00 00 8B 92 30 01 00 00 8B 80 24 02 00 00 8B 08 FF 91 14 01 00 00 C3 }
	condition:
		$1
}

rule function_13551_0 {
	meta:
		name = "TChartShapeEditor.RGAlignClick"
		size = 66
		refs = "0021 TChartShape.SetAlignment"
	strings:
		$1 = { 8B 90 10 02 00 00 8B 92 24 01 00 00 83 EA 01 72 07 74 13 4A 74 1E EB 29 33 D2 8B 80 24 02 00 00 E8 ?? ?? ?? ?? C3 B2 02 8B 80 24 02 00 00 E8 ?? ?? ?? ?? C3 B2 01 8B 80 24 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13552_0 {
	meta:
		name = "TChartShapeEditor.Button1Click"
		size = 18
		refs = "000d InternalEditFont"
	strings:
		$1 = { 8B 90 24 02 00 00 8B 92 D8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13553_0 {
	meta:
		name = "TChartShapeEditor.CBTransClick"
		size = 29
		refs = "000a TCustomCheckBox.GetChecked 0017 TChartShape.SetTransparent"
	strings:
		$1 = { 53 8B D8 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13554_0 {
	meta:
		name = "TChartShapeEditor.BShapeColorClick"
		size = 76
		refs = "0014 TBrush.GetColor 001d EditColor 0026 TBrush.SetColor"
	strings:
		$1 = { 53 56 57 8B D8 8B B3 24 02 00 00 8B BE D4 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 E8 01 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13564_0 {
	meta:
		name = "ShareMem"
		size = 29
		refs = "0002 _NV__13 000a IsMemoryManagerSet 0013 _NV__1E 0018 SetMemoryManager"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 13 E8 ?? ?? ?? ?? 84 C0 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13632_0 {
	meta:
		name = "TSpinButton.Create"
		size = 160
		refs = "000a @ClassCreate 0017 TWinControl.Create 001d TSpinButton.Create 0035 _NF__107 0051 TSpinButton.SetUpGlyph 005a TSpinButton.SetDownGlyph 0066 TControl.SetWidth 0072 TControl.SetHeight"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? F7 D0 66 23 46 40 66 0B 05 ?? ?? ?? ?? 66 89 46 40 8B C6 E8 ?? ?? ?? ?? 89 86 18 01 00 00 8B C6 E8 ?? ?? ?? ?? 89 86 1C 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? BA 14 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 89 86 20 01 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 21 00 00 00 50 00 00 00 }
	condition:
		$1
}

rule function_13633_0 {
	meta:
		name = "_NF__107"
		size = 96
		refs = "0009 _DV_TTimerSpeedButton 000e TSpeedButton.Create 0020 _NF__121 002a _NF__120 0033 TControl.SetVisible 003c TControl.SetEnabled 0041 _NF__107"
	strings:
		$1 = { 53 56 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 B3 A8 00 00 00 C7 83 A4 00 00 00 ?? ?? ?? ?? 89 73 70 C7 43 6C ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 83 D4 00 00 00 8B D6 8B C3 8B 08 FF 51 3C 8B C3 5E 5B C3 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_13634_0 {
	meta:
		name = "TSpinButton.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 24 01 00 00 75 08 33 C0 89 87 24 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13635_0 {
	meta:
		name = "_NF__10C"
		size = 98
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B 83 18 01 00 00 85 C0 74 49 F6 43 20 01 75 43 83 3E 0F 7D 06 C7 06 0F 00 00 00 8B 16 52 8B 17 D1 FA 79 03 83 D2 00 52 33 C9 33 D2 8B 28 FF 55 4C 8B 16 52 8B 17 8B 83 18 01 00 00 8B 40 3C 2B D0 42 52 8B C8 49 33 D2 8B 83 1C 01 00 00 8B 18 FF 53 4C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13636_0 {
	meta:
		name = "TSpinButton.SetBounds"
		size = 68
		refs = "0024 _NF__10C 0037 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 89 45 FC 8B 45 08 89 45 F8 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13638_0 {
	meta:
		name = "TSpinButton.WMSetFocus"
		size = 44
		refs = "0012 TSpinButton.WMSetFocus"
	strings:
		$1 = { 53 56 8B D8 8B B3 20 01 00 00 8A 86 D4 00 00 00 0A 05 ?? ?? ?? ?? 88 86 D4 00 00 00 8B C6 8B 10 FF 52 44 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_13639_0 {
	meta:
		name = "TSpinButton.WMKillFocus"
		size = 44
		refs = "000b TSpinButton.WMKillFocus"
	strings:
		$1 = { 53 56 8B D8 8B B3 20 01 00 00 A0 ?? ?? ?? ?? F7 D0 22 86 D4 00 00 00 88 86 D4 00 00 00 8B C6 8B 10 FF 52 44 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_13640_0 {
	meta:
		name = "TSpinButton.KeyDown"
		size = 107
		refs = "0024 _NF__122 0033 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 66 8B 02 66 83 E8 20 74 4C 66 83 E8 06 74 08 66 83 E8 02 74 21 EB 4D 8B 96 18 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 8B 96 1C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 8B 86 20 01 00 00 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13641_0 {
	meta:
		name = "_NF__120"
		size = 134
		refs = "000e _NF__122 0028 TWinControl.CanFocus 0037 TWinControl.GetHandle 003e GetFocus"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 84 C9 75 75 8B C6 E8 ?? ?? ?? ?? 8B 9E 24 01 00 00 85 DB 74 37 80 BB D4 00 00 00 00 74 2E 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 74 0D 8B 86 24 01 00 00 8B 10 FF 52 78 EB 2D 80 BE D4 00 00 00 00 74 24 8B C6 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 74 12 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 8B 10 FF 52 78 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_13642_0 {
	meta:
		name = "_NF__121"
		size = 65
	strings:
		$1 = { 53 3B 90 18 01 00 00 75 1C 66 83 B8 2A 01 00 00 00 74 2C 8B D8 8B D0 8B 83 2C 01 00 00 FF 93 28 01 00 00 5B C3 66 83 B8 32 01 00 00 00 74 10 8B D8 8B D0 8B 83 34 01 00 00 FF 93 30 01 00 00 5B C3 }
	condition:
		$1
}

rule function_13643_0 {
	meta:
		name = "_NF__122"
		size = 124
		refs = "0013 TWinControl.CanFocus 002a _NF__122 0045 TWinControl.GetHandle 004c GetFocus"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 80 BB D4 00 00 00 00 74 63 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 3B B3 20 01 00 00 74 50 8B BB 20 01 00 00 A0 ?? ?? ?? ?? F7 D0 22 87 D4 00 00 00 88 87 D4 00 00 00 89 B3 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 1F 8B B3 20 01 00 00 8A 86 D4 00 00 00 0A 05 ?? ?? ?? ?? 88 86 D4 00 00 00 8B C3 8B 10 FF 52 44 5F 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_13645_0 {
	meta:
		name = "TSpinButton.Loaded"
		size = 82
		refs = "0009 TComponent.Loaded 0023 _NF__10C 004a TWinControl.SetBounds"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 38 89 04 24 8B 43 3C 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 38 75 09 8B 44 24 04 3B 43 3C 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 34 8B 53 30 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_13646_0 {
	meta:
		name = "TSpinButton.GetUpGlyph"
		size = 12
		refs = "0007 TSpeedButton.GetGlyph"
	strings:
		$1 = { 8B 80 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13648_0 {
	meta:
		name = "TSpinButton.GetUpNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.GetNumGlyphs"
	strings:
		$1 = { 8B 80 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13649_0 {
	meta:
		name = "TSpinButton.SetUpNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 8B 80 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13647_0 {
	meta:
		name = "TSpinButton.SetUpGlyph"
		size = 92
		refs = "000e TSpeedButton.SetGlyph 0015 TSpinButton.SetUpGlyph 001a HInstance 0022 LoadBitmap 002e TSpeedButton.GetGlyph 0034 TBitmap.SetHandle 0041 TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 53 8B D8 85 D2 74 0D 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 5B C3 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? B2 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 8B 10 FF 52 44 5B C3 00 00 53 70 69 6E 55 70 00 00 }
	condition:
		$1
}

rule function_13651_0 {
	meta:
		name = "TSpinButton.SetDownGlyph"
		size = 96
		refs = "000e TSpeedButton.SetGlyph 0015 TSpinButton.SetDownGlyph 001a HInstance 0022 LoadBitmap 002e TSpeedButton.GetGlyph 0034 TBitmap.SetHandle 0041 TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 53 8B D8 85 D2 74 0D 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 5B C3 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 50 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? B2 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B 83 1C 01 00 00 8B 10 FF 52 44 5B C3 00 00 53 70 69 6E 44 6F 77 6E 00 00 00 00 }
	condition:
		$1
}

rule function_13654_0 {
	meta:
		name = "TSpinEdit.Create"
		size = 244
		refs = "000e @ClassCreate 001c TCustomEdit.Create 0025 _DV_TSpinButton 002a TSpinButton.Create 003e TControl.SetWidth 004e TControl.SetHeight 005b TControl.SetVisible 00a1 TSpinEdit.Create 00a8 TControl.SetText"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 3C 01 00 00 BA 0F 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 3C 01 00 00 8B 08 FF 51 3C 8B 83 3C 01 00 00 89 98 24 01 00 00 89 98 2C 01 00 00 8B 13 8B 92 A0 00 00 00 89 90 28 01 00 00 89 98 34 01 00 00 8B 13 8B 92 A4 00 00 00 89 90 30 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? F7 D0 66 23 43 40 66 89 43 40 C7 83 38 01 00 00 01 00 00 00 C6 83 40 01 00 00 01 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 FF FF FF FF 01 00 00 00 30 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_13655_0 {
	meta:
		name = "TSpinEdit.Destroy"
		size = 42
		refs = "0016 TWinControl.Destroy 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C0 89 86 3C 01 00 00 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13657_0 {
	meta:
		name = "TSpinEdit.KeyDown"
		size = 64
		refs = "0038 TWinControl.KeyDown"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 66 83 3E 26 75 0E 8B D3 8B C3 8B 08 FF 91 A0 00 00 00 EB 12 66 83 3E 28 75 0C 8B D3 8B C3 8B 08 FF 91 A4 00 00 00 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13658_0 {
	meta:
		name = "TSpinEdit.KeyPress"
		size = 49
		refs = "001c MessageBeep 002a TWinControl.KeyPress"
	strings:
		$1 = { 53 56 8B DA 8B F0 8A 13 8B C6 8B 08 FF 91 9C 00 00 00 84 C0 75 0A C6 03 00 6A 00 E8 ?? ?? ?? ?? 80 3B 00 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13659_0 {
	meta:
		name = "TSpinEdit.IsValidChar"
		size = 144
		refs = "000c TSpinEdit.IsValidChar 001d DecimalSeparator"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B DA 8B F0 56 BE ?? ?? ?? ?? 8D 7C 24 04 B9 08 00 00 00 F3 A5 5E A1 ?? ?? ?? ?? 8A 00 25 FF 00 00 00 0F AB 04 24 8B C3 25 FF 00 00 00 0F A3 04 24 72 0E 80 FB 20 73 05 80 FB 0D 75 04 33 C0 EB 02 B0 01 8A 96 40 01 00 00 80 F2 01 84 C2 74 11 80 FB 20 73 0A 80 FB 08 74 05 80 FB 2E 75 02 33 C0 83 C4 20 5F 5E 5B C3 00 00 00 00 00 00 00 28 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_13662_0 {
	meta:
		name = "_NF__156"
		size = 126
		refs = "0013 TWinControl.GetHandle 0019 SendMessage 0020 TControl.GetClientHeight 002c TControl.GetClientWidth"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C4 50 6A 00 68 B2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 0C 8B C3 E8 ?? ?? ?? ?? 8B 93 3C 01 00 00 2B 42 38 83 E8 02 89 44 24 08 33 C0 89 44 24 04 33 C0 89 04 24 8B C4 50 6A 00 68 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C4 50 6A 00 68 B2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_13663_0 {
	meta:
		name = "TSpinEdit.WMSize"
		size = 152
		refs = "0008 TWinControl.WMSize 000f _NF__15A 001d TControl.SetHeight 002d NewStyleControls 0090 _NF__156"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 46 3C 7E 0B 8B D0 8B C6 E8 ?? ?? ?? ?? EB 71 83 BE 3C 01 00 00 00 74 68 A1 ?? ?? ?? ?? 80 38 00 74 31 80 BE D5 00 00 00 00 74 28 8B 96 3C 01 00 00 8B 7A 38 57 8B 56 3C 83 EA 05 52 8B 86 3C 01 00 00 8B 56 38 2B D7 83 EA 05 33 C9 8B 18 FF 53 4C EB 26 8B 96 3C 01 00 00 8B 7A 38 57 8B 56 3C 83 EA 03 52 8B 86 3C 01 00 00 8B 56 38 2B D7 B9 01 00 00 00 8B 18 FF 53 4C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13664_0 {
	meta:
		name = "_NF__15A"
		size = 112
		refs = "000a GetDC 0013 GetTextMetrics 001b TFont.GetHandle 0022 SelectObject 003e ReleaseDC 0052 GetSystemMetrics"
	strings:
		$1 = { 53 56 83 C4 90 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 54 53 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F0 8D 44 24 38 50 53 E8 ?? ?? ?? ?? 56 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 1C 24 8B 74 24 38 3B DE 7E 02 8B DE 6A 06 E8 ?? ?? ?? ?? C1 E0 02 85 DB 79 03 83 C3 03 C1 FB 02 03 DE 03 C3 83 C0 02 83 C4 70 5E 5B C3 }
	condition:
		$1
}

rule function_13665_0 {
	meta:
		name = "TSpinEdit.UpClick"
		size = 45
		refs = "000f MessageBeep 0018 TSpinEdit.GetValue 0027 TSpinEdit.SetValue"
	strings:
		$1 = { 53 8B D8 80 BB 1E 01 00 00 00 74 09 6A 00 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D0 03 93 38 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13666_0 {
	meta:
		name = "TSpinEdit.DownClick"
		size = 45
		refs = "000f MessageBeep 0018 TSpinEdit.GetValue 0027 TSpinEdit.SetValue"
	strings:
		$1 = { 53 8B D8 80 BB 1E 01 00 00 00 74 09 6A 00 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D0 2B 93 38 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13667_0 {
	meta:
		name = "TSpinEdit.WMCut"
		size = 30
		altNames = "TSpinEdit.WMPaste"
	strings:
		$1 = { 56 8B F0 80 BE 40 01 00 00 00 74 10 80 BE 1E 01 00 00 00 75 07 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_13669_0 {
	meta:
		name = "TSpinEdit.CMExit"
		size = 59
		refs = "0007 TWinControl.CMExit 000e TSpinEdit.GetValue 0017 _NF__16F 0034 TSpinEdit.SetValue"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13670_0 {
	meta:
		name = "TSpinEdit.GetValue"
		size = 133
		refs = "0015 TSpinEdit.GetValue 0034 TControl.GetText 003c StrToInt 004d @HandleAnyException 005b @DoneExcept 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 13 E9 ?? ?? ?? ?? 8B 45 FC 8B 98 30 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13671_0 {
	meta:
		name = "TSpinEdit.SetValue"
		size = 86
		refs = "000f TSpinEdit.SetValue 001e _NF__16F 0026 IntToStr 0030 TControl.SetText 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13672_0 {
	meta:
		name = "_NF__16F"
		size = 39
	strings:
		$1 = { 56 57 8B CA 8B B0 30 01 00 00 8B B8 34 01 00 00 3B F7 74 0E 3B F2 7E 04 8B CE EB 06 3B FA 7D 02 8B CF 8B C1 5F 5E C3 }
	condition:
		$1
}

rule function_13673_0 {
	meta:
		name = "TSpinEdit.CMEnter"
		size = 40
		refs = "0018 TCustomEdit.SelectAll 0021 TCustomEdit.CMEnter"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 20 01 00 00 00 74 0D F6 43 42 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13674_0 {
	meta:
		name = "TTimerSpeedButton.Destroy"
		size = 49
		refs = "0011 TObject.Free 001d TSpeedButton.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 D0 00 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13675_0 {
	meta:
		name = "TTimerSpeedButton.MouseDown"
		size = 118
		refs = "0018 TSpeedButton.MouseDown 0033 _Dn_TTimer 0038 TTimer.Create 0044 _NF__182 004f TTimer.SetOnTimer 005f TTimer.SetInterval 006c TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? F6 83 D4 00 00 00 02 74 4B 83 BB D0 00 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D0 00 00 00 53 68 ?? ?? ?? ?? 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? BA 90 01 00 00 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13676_0 {
	meta:
		name = "TTimerSpeedButton.MouseUp"
		size = 51
		refs = "0018 TSpeedButton.MouseUp 0029 TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13677_0 {
	meta:
		name = "_NF__182"
		size = 122
		refs = "0017 TTimer.SetInterval 002b TControl.GetMouseCapture 0037 _NF__182 0049 @CallDynaInst 0058 @HandleAnyException 0068 TTimer.SetEnabled 006d @RaiseAgain 0072 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 80 D0 00 00 00 BA 64 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 CE 00 00 00 02 75 4F 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 8B 80 D0 00 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_13678_0 {
	meta:
		name = "TTimerSpeedButton.Paint"
		size = 103
		refs = "0009 TSpeedButton.Paint 0027 Bounds 0035 InflateRect 004c OffsetRect 0058 TCanvas.GetHandle 005e DrawFocusRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? F6 83 D4 00 00 00 01 74 4C 8B 43 3C 50 8D 44 24 04 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 6A FD 6A FD 8D 44 24 08 50 E8 ?? ?? ?? ?? 80 BB CE 00 00 00 02 75 0E 6A 01 6A 01 8D 44 24 08 50 E8 ?? ?? ?? ?? 54 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_13681_0 {
	meta:
		name = "_NF__2C1"
		size = 24
	strings:
		$1 = { B2 01 85 C0 74 0D 83 78 5C 00 75 09 8B 40 24 85 C0 75 F3 33 D2 8B C2 C3 }
	condition:
		$1
}

rule function_13682_0 {
	meta:
		name = "TCustomGroupBox.Create"
		size = 84
		refs = "000a @ClassCreate 0017 TCustomControl.Create 001d TCustomGroupBox.Create 002d TControl.SetWidth 0039 TControl.SetHeight"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 46 40 BA B9 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 AB 08 00 00 }
	condition:
		$1
}

rule function_13683_0 {
	meta:
		name = "TCustomGroupBox.AlignControls"
		size = 100
		refs = "0013 TCanvas.SetFont 0018 TCustomGroupBox.AlignControls 0023 TCanvas.TextHeight 0030 InflateRect 004e TWinControl.AlignControls"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B 53 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 01 46 04 6A FF 6A FF 56 E8 ?? ?? ?? ?? 80 BB D5 00 00 00 00 74 0A 6A FF 6A FF 56 E8 ?? ?? ?? ?? 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_13685_0 {
	meta:
		name = "TCustomGroupBox.Paint"
		size = 392
		refs = "0014 TCustomGroupBox.Paint 002a TCanvas.SetFont 0036 TCanvas.TextHeight 0054 Rect 0070 TBrush.SetColor 007a TCanvas.FrameRect 0087 OffsetRect 00b7 TControl.GetText 00ef @LStrLen 0102 @LStrToPChar 010a TCanvas.GetHandle 0110 DrawText 0169 @LStrClr 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 18 01 00 00 8B 53 50 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 43 3C 50 8D 45 F0 50 8B D7 D1 FA 79 03 83 D2 00 4A 8B 4B 38 33 C0 E8 ?? ?? ?? ?? 80 BB D5 00 00 00 00 74 39 FF 45 F0 FF 45 F4 BA 14 00 00 80 8B 46 14 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 F0 50 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 46 14 E8 ?? ?? ?? ?? EB 0D BA 06 00 00 80 8B 46 14 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 93 00 00 00 57 8D 45 F0 50 33 C9 33 D2 B8 08 00 00 00 E8 ?? ?? ?? ?? 68 20 04 00 00 8D 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 53 54 8B 46 14 E8 ?? ?? ?? ?? 6A 20 8D 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_13686_0 {
	meta:
		name = "TCustomGroupBox.CMDialogChar"
		size = 121
		refs = "000f TCustomGroupBox.CMDialogChar 001f TControl.GetText 002b IsAccel 0036 TWinControl.CanFocus 0041 TWinControl.SelectFirst 0053 TWinControl.CMDialogChar 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13687_0 {
	meta:
		name = "TCustomGroupBox.CMTextChanged"
		size = 19
		refs = "000d TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13705_0 {
	meta:
		name = "TCustomLabel.CMTextChanged"
		size = 19
		refs = "000d _NF__2F1"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13688_0 {
	meta:
		name = "TCustomGroupBox.CMCtl3DChanged"
		size = 26
		refs = "0006 TWinControl.CMCtl3DChanged 0014 TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13690_0 {
	meta:
		name = "TCustomLabel.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001d TCustomLabel.Create 0031 TControl.SetWidth 003d TControl.SetHeight"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 BA 41 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 BD 00 00 00 01 C6 86 C0 00 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 40 08 00 00 }
	condition:
		$1
}

rule function_13692_0 {
	meta:
		name = "_NF__2E9"
		size = 356
		refs = "0012 _NF__2E9 0056 @LStrCat 0072 TCanvas.SetFont 0086 OffsetRect 0099 TFont.SetColor 00a6 @LStrLen 00af @LStrToPChar 00bb TCanvas.GetHandle 00c1 DrawText 0145 @LStrClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 58 66 F7 C6 00 04 74 2D 83 7D FC 00 74 1A 80 BB C0 00 00 00 00 74 1E 8B 45 FC 80 38 26 75 16 8B 45 FC 80 78 01 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB C0 00 00 00 00 75 05 66 81 CE 00 08 8B 53 50 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 80 7B 45 00 0F 85 8C 00 00 00 6A 01 6A 01 57 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 8B 40 0C BA 14 00 00 80 E8 ?? ?? ?? ?? 0F B7 C6 50 57 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A FF 57 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 8B 40 0C BA 10 00 00 80 E8 ?? ?? ?? ?? 0F B7 C6 50 57 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 28 0F B7 C6 50 57 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_13693_0 {
	meta:
		name = "TCustomLabel.Paint"
		size = 225
		refs = "0010 TCustomLabel.GetTransparent 001f TBrush.SetColor 0029 TBrush.SetStyle 003f TCanvas.FillRect 0062 _NV__2EB 0076 _NV__2EA 0092 _NF__2E9 00af OffsetRect"
	strings:
		$1 = { 53 56 83 C4 E0 8B D8 8B B3 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2B 8B 53 54 8B 46 14 E8 ?? ?? ?? ?? 33 D2 8B 46 14 E8 ?? ?? ?? ?? 8D 54 24 10 8B C3 8B 08 FF 51 2C 8D 54 24 10 8B C6 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 2C 33 C0 8A 83 BF 00 00 00 66 8B 34 45 ?? ?? ?? ?? 66 83 CE 40 33 C0 8A 83 BC 00 00 00 66 0B 34 45 ?? ?? ?? ?? 0F B7 F6 80 BB BE 00 00 00 00 74 4A 8B CE 66 81 C9 00 04 8B D4 8B C3 E8 ?? ?? ?? ?? 80 BB BE 00 00 00 02 75 16 8B 43 3C 2B 44 24 0C 50 6A 00 8D 44 24 08 50 E8 ?? ?? ?? ?? EB 1B 8B 43 3C 2B 44 24 0C D1 F8 79 03 83 D0 00 50 6A 00 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B D4 8B CE 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_13695_0 {
	meta:
		name = "_NF__2F1"
		size = 157
		refs = "0026 GetDC 0035 TCanvas.SetHandle 0045 _NV__2F0 0053 _NF__2E9 0068 ReleaseDC"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 F6 43 20 02 0F 85 86 00 00 00 80 BB BD 00 00 00 00 74 7D 8B D4 8B C3 8B 08 FF 51 2C 6A 00 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 8A 83 BF 00 00 00 66 8B 0C 45 ?? ?? ?? ?? 66 81 C9 40 04 8B D4 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 56 6A 00 E8 ?? ?? ?? ?? 8B 73 30 80 BB BC 00 00 00 01 75 09 8B 43 38 2B 44 24 08 03 F0 8B 44 24 08 50 8B 44 24 10 50 8B 4B 34 8B D6 8B C3 8B 18 FF 53 4C 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_13696_0 {
	meta:
		name = "TCustomLabel.SetAlignment"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 BC 00 00 00 74 0D 88 96 BC 00 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_13697_0 {
	meta:
		name = "TCustomLabel.SetAutoSize"
		size = 20
		refs = "000f _NF__2F1"
	strings:
		$1 = { 3A 90 BD 00 00 00 74 0B 88 90 BD 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13699_0 {
	meta:
		name = "TCustomLabel.SetFocusControl"
		size = 17
		refs = "000c TComponent.FreeNotification"
	strings:
		$1 = { 89 90 B8 00 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13702_0 {
	meta:
		name = "TCustomLabel.SetLayout"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 BE 00 00 00 74 0D 88 96 BE 00 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_13703_0 {
	meta:
		name = "TCustomLabel.SetWordWrap"
		size = 33
		refs = "0014 _NF__2F1"
	strings:
		$1 = { 56 8B F0 3A 96 BF 00 00 00 74 14 88 96 BF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_13704_0 {
	meta:
		name = "TCustomLabel.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 B8 00 00 00 75 08 33 C0 89 87 B8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13707_0 {
	meta:
		name = "TCustomLabel.CMDialogChar"
		size = 140
		refs = "000f TCustomLabel.CMDialogChar 0037 TControl.GetText 0043 IsAccel 0054 TWinControl.CanFocus 007b @LStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB B8 00 00 00 00 74 48 80 7B 45 00 74 42 80 BB C0 00 00 00 00 74 39 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 9B B8 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 8B 10 FF 52 78 C7 46 0C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13708_0 {
	meta:
		name = "TCustomEdit.Create"
		size = 164
		refs = "000a @ClassCreate 0017 TWinControl.Create 001c NewStyleControls 0027 TCustomEdit.Create 0043 TControl.SetWidth 004f TControl.SetHeight 0058 TWinControl.SetTabStop 0061 TControl.SetParentColor 0084 _NF__369"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0C 66 A1 ?? ?? ?? ?? 66 89 46 40 EB 0A 66 A1 ?? ?? ?? ?? 66 89 46 40 BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 1C 01 00 00 01 C6 86 1F 01 00 00 01 C6 86 20 01 00 00 01 C6 86 21 01 00 00 01 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 A8 02 00 00 B8 02 00 00 }
	condition:
		$1
}

rule function_13709_0 {
	meta:
		name = "TCustomEdit.DoSetMaxLength"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 C5 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13710_0 {
	meta:
		name = "TCustomEdit.SetAutoSize"
		size = 20
		refs = "000f _NF__368"
	strings:
		$1 = { 3A 90 1F 01 00 00 74 0B 88 90 1F 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13711_0 {
	meta:
		name = "TCustomEdit.SetBorderStyle"
		size = 33
		refs = "0014 _NF__368 001b TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 1C 01 00 00 74 14 88 93 1C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13712_0 {
	meta:
		name = "TCustomEdit.SetCharCase"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 23 01 00 00 74 0B 88 90 23 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13713_0 {
	meta:
		name = "TCustomEdit.SetHideSelection"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 21 01 00 00 74 0B 88 90 21 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13714_0 {
	meta:
		name = "TCustomEdit.SetMaxLength"
		size = 43
		refs = "0017 TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 18 01 00 00 74 1A 89 B3 18 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 7C 5E 5B C3 }
	condition:
		$1
}

rule function_13715_0 {
	meta:
		name = "TCustomEdit.SetOEMConvert"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 22 01 00 00 74 0B 88 90 22 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13716_0 {
	meta:
		name = "TCustomEdit.GetModified"
		size = 53
		refs = "000d TWinControl.HandleAllocated 0021 TWinControl.GetHandle 0027 SendMessage"
	strings:
		$1 = { 53 56 8B F0 8A 9E 25 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 00 6A 00 68 B8 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_13717_0 {
	meta:
		name = "TCustomEdit.SetModified"
		size = 54
		refs = "0009 TWinControl.HandleAllocated 0020 TWinControl.GetHandle 0026 SendMessage"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1C 6A 00 33 C0 8A C3 50 68 B9 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 88 9E 25 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13718_0 {
	meta:
		name = "TCustomEdit.SetPasswordChar"
		size = 136
		refs = "000c TCustomEdit.SetPasswordChar 0027 TWinControl.HandleAllocated 0042 TWinControl.GetHandle 0048 SendMessage 0052 TControl.GetText 005a @LStrToPChar 0063 TControl.SetTextBuf 0078 @LStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 93 1D 01 00 00 74 49 88 93 1D 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 6A 00 33 C0 8A 83 1D 01 00 00 50 68 CC 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13719_0 {
	meta:
		name = "TCustomEdit.SetReadOnly"
		size = 59
		refs = "0017 TWinControl.HandleAllocated 002e TWinControl.GetHandle 0034 SendMessage"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 1E 01 00 00 74 2A 88 9E 1E 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 6A 00 33 C0 8A C3 50 68 CF 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13720_0 {
	meta:
		name = "TCustomEdit.GetSelStart"
		size = 35
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 51 8B D8 6A 00 8D 44 24 04 50 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_13721_0 {
	meta:
		name = "TCustomEdit.SetSelStart"
		size = 29
		refs = "0010 TWinControl.GetHandle 0016 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 56 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13722_0 {
	meta:
		name = "TCustomEdit.GetSelLength"
		size = 45
		refs = "0018 TWinControl.GetHandle 001e SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8D 44 24 04 50 8D 44 24 04 50 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 04 2B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_13723_0 {
	meta:
		name = "TCustomEdit.SetSelLength"
		size = 99
		refs = "001b TWinControl.GetHandle 0021 SendMessage"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8D 44 24 04 50 8D 44 24 04 50 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 34 24 89 74 24 04 8B 44 24 04 50 8B 44 24 04 50 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 B7 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13724_0 {
	meta:
		name = "TCustomEdit.Clear"
		size = 28
		refs = "0004 TCustomEdit.Clear 000b TWinControl.GetHandle 0011 SetWindowText"
	strings:
		$1 = { 53 8B D8 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_13725_0 {
	meta:
		name = "TCustomEdit.ClearSelection"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 03 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13726_0 {
	meta:
		name = "TCustomEdit.CopyToClipboard"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 01 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13727_0 {
	meta:
		name = "TCustomEdit.CutToClipboard"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 00 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13728_0 {
	meta:
		name = "TCustomEdit.PasteFromClipboard"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 02 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13729_0 {
	meta:
		name = "TCustomEdit.SelectAll"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A FF 6A 00 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13730_0 {
	meta:
		name = "TCustomEdit.GetSelTextBuf"
		size = 155
		refs = "002c TControl.GetTextLen 0032 StrAlloc 003d TCustomEdit.GetSelTextBuf 004b StrBufSize 0057 TControl.GetTextBuf 0070 StrLCopy 0085 StrDispose 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 89 55 FC 8B D8 8B C3 8B 10 FF 92 84 00 00 00 8B F0 8B C3 8B 10 FF 92 80 00 00 00 89 45 F8 8B C3 E8 ?? ?? ?? ?? 40 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 3B 7D F8 7F 04 4F 89 7D F8 8B 55 F4 03 D6 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13731_0 {
	meta:
		name = "TCustomEdit.SetSelTextBuf"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 C2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13732_0 {
	meta:
		name = "TCustomEdit.GetSelText"
		size = 156
		refs = "002d @LStrFromPCharLen 0038 TControl.GetTextLen 003e StrAlloc 0049 TCustomEdit.GetSelText 0057 StrBufSize 0063 TControl.GetTextBuf 0074 Move 0089 StrDispose 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 8B D8 8B C3 8B 10 FF 92 84 00 00 00 89 45 F8 8B C3 8B 10 FF 92 80 00 00 00 8B F0 8B C7 8B CE 33 D2 E8 ?? ?? ?? ?? 85 F6 74 60 8B C3 E8 ?? ?? ?? ?? 40 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 03 C2 8B 17 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13733_0 {
	meta:
		name = "TCustomEdit.SetSelText"
		size = 37
		refs = "0009 @LStrToPChar 0018 TWinControl.GetHandle 001e SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13734_0 {
	meta:
		name = "TCustomEdit.CreateParams"
		size = 188
		refs = "000b TWinControl.CreateParams 0010 TCustomEdit.CreateParams 0019 TWinControl.CreateSubClass 0030 _NV__2C9 0044 _NV__35C 0053 _NV__35D 0062 _NV__35E 0071 _NV__35F 0080 _NV__360 0088 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 0D C0 00 00 00 33 D2 8A 93 1C 01 00 00 0B 04 95 ?? ?? ?? ?? 80 BB 1D 01 00 00 00 0F 95 C2 83 E2 7F 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 1E 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 23 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 21 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 22 01 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 A1 ?? ?? ?? ?? 80 38 00 74 20 80 BB D5 00 00 00 00 74 17 80 BB 1C 01 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 5E 5B C3 45 44 49 54 00 00 00 00 }
	condition:
		$1
}

rule function_13735_0 {
	meta:
		name = "TCustomEdit.CreateWnd"
		size = 173
		refs = "0015 TCustomEdit.CreateWnd 0023 TWinControl.CreateWnd 0040 @HandleFinally 005b TWinControl.GetHandle 0061 SendMessage 0072 TCustomEdit.SetModified 00a6 _NF__368"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 24 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 24 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 6A 00 8B 45 FC 8B 80 18 01 00 00 50 68 C5 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8A 90 25 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 1D 01 00 00 00 74 20 6A 00 8B 45 FC 0F B6 80 1D 01 00 00 50 68 CC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_13736_0 {
	meta:
		name = "TCustomEdit.DestroyWnd"
		size = 25
		refs = "0006 TCustomEdit.GetModified 0013 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 88 83 25 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13737_0 {
	meta:
		name = "_NF__368"
		size = 68
		refs = "0017 _NF__368 0026 _NF__369"
	strings:
		$1 = { 53 8B D8 80 BB 1F 01 00 00 00 74 20 80 BB 1C 01 00 00 01 75 17 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 8B C3 E8 ?? ?? ?? ?? 5B C3 66 A1 ?? ?? ?? ?? F7 D0 66 23 43 40 66 89 43 40 5B C3 00 00 00 02 00 00 }
	condition:
		$1
}

rule function_13739_0 {
	meta:
		name = "TCustomEdit.Change"
		size = 36
		refs = "0006 TControl.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 2A 01 00 00 00 74 0E 8B D3 8B 83 2C 01 00 00 FF 93 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_13740_0 {
	meta:
		name = "TCustomEdit.DefaultHandler"
		size = 73
		refs = "0017 _NF__2C1 0022 Win32Platform 0030 IsWindow 0042 TWinControl.DefaultHandler"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 03 83 E8 07 74 14 2D FE 01 00 00 75 29 8B C6 E8 ?? ?? ?? ?? 84 C0 75 27 EB 1C A1 ?? ?? ?? ?? 83 38 01 75 12 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 89 43 04 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13741_0 {
	meta:
		name = "TCustomEdit.WMSetFont"
		size = 63
		refs = "000b NewStyleControls 0019 TWinControl.GetHandle 001f GetWindowLong 0039 SendMessage"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 A1 ?? ?? ?? ?? 80 38 00 74 29 6A F0 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A8 04 75 16 6A 00 6A 03 68 D3 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_13742_0 {
	meta:
		name = "TCustomEdit.CMCtl3DChanged"
		size = 51
		refs = "0007 NewStyleControls 001c _NF__368 0023 TWinControl.RecreateWnd 002c TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 17 80 BB 1C 01 00 00 01 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13743_0 {
	meta:
		name = "TCustomEdit.CMFontChanged"
		size = 37
		refs = "0006 TWinControl.CMFontChanged 001f _NF__369"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 41 02 74 13 F6 43 20 10 74 06 F6 43 20 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13744_0 {
	meta:
		name = "TCustomEdit.CNCommand"
		size = 29
		refs = "0017 @CallDynaInst"
	strings:
		$1 = { 53 66 81 7A 06 00 03 75 12 80 B8 24 01 00 00 00 75 09 66 BB DB FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13745_0 {
	meta:
		name = "TCustomEdit.CMEnter"
		size = 59
		refs = "001a TWinControl.GetHandle 0020 GetWindowLong 002b TCustomEdit.SelectAll 0034 TWinControl.CMEnter"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 20 01 00 00 00 74 20 F6 43 42 01 75 1A 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A8 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13746_0 {
	meta:
		name = "TCustomEdit.CMTextChanged"
		size = 55
		refs = "000e TWinControl.HandleAllocated 001b TWinControl.GetHandle 0021 GetWindowLong 0030 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 6A F0 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A8 04 74 0B 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13747_0 {
	meta:
		name = "_NF__381"
		size = 100
		refs = "000a TWinControl.HandleAllocated 001f TWinControl.GetHandle 0025 SendMessage"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 4D 6A 00 6A 00 68 BA 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 6A 00 6A 00 8B C6 48 50 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 01 4E 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13748_0 {
	meta:
		name = "_NF__382"
		size = 67
		refs = "0024 TWinControl.GetHandle 002a SendMessage 0035 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 81 C4 04 F0 FF FF 50 8B F9 8B F2 8B D8 8B C4 66 C7 00 00 10 8B C4 50 56 68 C4 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C7 E8 ?? ?? ?? ?? 81 C4 00 10 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13749_0 {
	meta:
		name = "_NF__383"
		size = 115
		refs = "0015 TWinControl.GetHandle 001b SendMessage 0055 @LStrToPChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 00 56 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 4A 6A 00 56 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 C6 50 56 68 B1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13750_0 {
	meta:
		name = "_NF__384"
		size = 264
		refs = "0019 _NF__384 0037 TWinControl.GetHandle 003d SendMessage 0053 @LStrCat3 00bb @LStrToPChar 00e6 @LStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 0F 8C AA 00 00 00 6A 00 57 68 BB 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 12 8D 45 F8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? EB 49 6A 00 4F 57 68 BB 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 5F 6A 00 53 68 C1 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 45 03 D8 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 53 68 B1 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_13752_0 {
	meta:
		name = "_NF__387"
		size = 142
		refs = "0013 TWinControl.GetHandle 0019 SendMessage 0070 _NV__385"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 6A 00 57 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 67 6A 00 47 57 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 85 FF 7D 1A 6A 00 56 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 03 FE 57 56 68 B1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13754_0 {
	meta:
		name = "_NF__389"
		size = 79
		refs = "000a TWinControl.HandleAllocated 0022 TWinControl.GetHandle 0028 SendMessage 0040 TControl.Perform 0048 TControl.Refresh"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 84 C0 74 3A 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 19 6A 00 33 C9 BA 19 B0 00 00 8B 46 0C E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13756_0 {
	meta:
		name = "_NF__38B"
		size = 212
		refs = "0013 _NF__38B 0023 AdjustLineBreaks 002b @LStrLen 0035 TControl.GetTextLen 0044 TControl.GetText 004f @LStrCmp 0061 TWinControl.GetHandle 0067 SendMessage 0073 SInvalidMemoSize 0078 LoadResString 0082 _Dn_EInvalidOperation 0087 Exception.Create 008c @RaiseExcept 009d TControl.Perform 00b2 @LStrClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 43 0C E8 ?? ?? ?? ?? 3B F0 75 18 8D 55 F8 8B 43 0C E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 74 4C 8B 45 FC 50 6A 00 6A 0C 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 33 C9 BA 12 B0 00 00 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13757_0 {
	meta:
		name = "TCustomMemo.Create"
		size = 125
		refs = "000e @ClassCreate 001c TCustomEdit.Create 0028 TControl.SetWidth 0034 TControl.SetHeight 003d TCustomEdit.SetAutoSize 0052 _NV__2C3 0057 TObject.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA B9 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 59 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 36 01 00 00 01 C6 83 37 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 30 01 00 00 89 5E 0C 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13758_0 {
	meta:
		name = "TCustomMemo.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TWinControl.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13759_0 {
	meta:
		name = "TCustomMemo.CreateParams"
		size = 76
		refs = "000b TCustomEdit.CreateParams 001d _NV__395 0033 _NV__393 0042 _NV__394"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 33 D2 8A 93 36 01 00 00 8B 14 95 ?? ?? ?? ?? F7 D2 23 C2 83 C8 04 33 D2 8A 93 34 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 35 01 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_13760_0 {
	meta:
		name = "TCustomMemo.CreateWindowHandle"
		size = 92
		refs = "000c HInstance 002e TCustomMemo.CreateWindowHandle 003b CreateWindowEx 0050 SendMessage"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 43 20 50 A1 ?? ?? ?? ?? 8B 00 50 6A 00 8B 43 1C 50 8B 43 18 50 8B 43 14 50 8B 43 10 50 8B 43 0C 50 8B 43 04 50 68 ?? ?? ?? ?? 8D 43 4C 50 8B 43 08 50 E8 ?? ?? ?? ?? 8B F8 89 BE CC 00 00 00 8B 03 50 6A 00 6A 0C 57 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_13762_0 {
	meta:
		name = "TCustomMemo.SetAlignment"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 34 01 00 00 74 0B 88 90 34 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13763_0 {
	meta:
		name = "TCustomMemo.SetLines"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 30 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_13764_0 {
	meta:
		name = "TCustomMemo.SetScrollBars"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 35 01 00 00 74 0B 88 90 35 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13765_0 {
	meta:
		name = "TCustomMemo.SetWordWrap"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 36 01 00 00 74 0B 88 90 36 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13766_0 {
	meta:
		name = "TCustomMemo.WMGetDlgCode"
		size = 50
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 80 BB 38 01 00 00 00 74 06 83 4E 0C 02 EB 04 83 66 0C FD 80 BB 37 01 00 00 00 75 04 83 66 0C FB 5E 5B C3 }
	condition:
		$1
}

rule function_13768_0 {
	meta:
		name = "TCustomMemo.KeyPress"
		size = 35
		refs = "000b TWinControl.KeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 3E 0D 75 0C 80 BB 37 01 00 00 00 75 03 C6 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_13769_0 {
	meta:
		name = "_NF__3B3"
		size = 28
		refs = "0010 TWinControl.GetHandle 0016 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 46 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13770_0 {
	meta:
		name = "_NF__3B4"
		size = 66
		refs = "001d TWinControl.GetHandle 0023 SendMessage 0034 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 81 C4 04 F0 FF FF 50 8B F9 8B F2 8B D8 8B C4 50 56 68 48 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 75 02 33 C0 8B D4 8B CF 91 E8 ?? ?? ?? ?? 81 C4 00 10 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13771_0 {
	meta:
		name = "_NF__3B5"
		size = 31
		refs = "0012 TWinControl.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 50 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13772_0 {
	meta:
		name = "_NF__3B6"
		size = 34
		refs = "0014 TWinControl.GetHandle 001a SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 51 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13773_0 {
	meta:
		name = "_NF__3B7"
		size = 129
		refs = "000f _NF__3B7 001c @LStrToPChar 002c TWinControl.GetHandle 0032 SendMessage 0040 SInsertLineError 0045 LoadResString 004f _Dn_EOutOfResources 0054 Exception.Create 0059 @RaiseExcept 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 43 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13774_0 {
	meta:
		name = "_NF__3B8"
		size = 128
		refs = "0012 _NF__3B8 001f @LStrToPChar 002e TWinControl.GetHandle 0034 SendMessage 0040 SInsertLineError 0045 LoadResString 004f _Dn_EOutOfResources 0054 Exception.Create 0059 @RaiseExcept 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 68 4A 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13775_0 {
	meta:
		name = "_NF__3B9"
		size = 31
		refs = "0012 TWinControl.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 44 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13776_0 {
	meta:
		name = "_NF__3BA"
		size = 108
		refs = "000c _NF__3BA 001d TControl.GetText 002e TWinControl.GetHandle 0034 SendMessage 003f TControl.SetText 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C E8 ?? ?? ?? ?? 6A 00 6A 00 68 4B 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 52 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13777_0 {
	meta:
		name = "_NF__3BB"
		size = 50
		refs = "0016 TWinControl.GetHandle 001c SendMessage 002b TControl.Refresh"
		altNames = "_NF__4B1"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 08 8B 46 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13778_0 {
	meta:
		name = "TCustomComboBox.Create"
		size = 240
		refs = "000e @ClassCreate 001c TWinControl.Create 0021 NewStyleControls 002c TCustomComboBox.Create 0048 TControl.SetWidth 0054 TControl.SetHeight 005d TWinControl.SetTabStop 0066 TControl.SetParentColor 006d _NV__2C5 0072 TObject.Create 0084 _Dn_TControlCanvas 0089 TCanvas.Create 00a6 _NF__415 00ab MakeObjectInstance 00b7 _NF__416"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0C 66 A1 ?? ?? ?? ?? 66 89 43 40 EB 0A 66 A1 ?? ?? ?? ?? 66 89 43 40 BA 91 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 01 00 00 89 5E 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 1C 01 00 00 C7 83 24 01 00 00 10 00 00 00 C6 83 21 01 00 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 38 01 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 3C 01 00 00 C7 83 2C 01 00 00 08 00 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 A2 42 00 00 B2 42 00 00 }
	condition:
		$1
}

rule function_13779_0 {
	meta:
		name = "TCustomComboBox.Destroy"
		size = 107
		refs = "0009 TWinControl.HandleAllocated 001f FreeObjectInstance 0035 TObject.Free 0057 TWinControl.Destroy 0062 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 8B 10 FF 52 68 8B 86 3C 01 00 00 E8 ?? ?? ?? ?? 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13780_0 {
	meta:
		name = "TCustomComboBox.Clear"
		size = 32
		refs = "0004 TCustomComboBox.Clear 000b TControl.SetTextBuf"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 8B 10 FF 52 40 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_13781_0 {
	meta:
		name = "TCustomComboBox.SelectAll"
		size = 30
		refs = "0012 TWinControl.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 8B D8 68 00 00 FF FF 6A 00 68 42 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13782_0 {
	meta:
		name = "TCustomComboBox.GetDroppedDown"
		size = 33
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 57 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_13783_0 {
	meta:
		name = "TCustomComboBox.SetDroppedDown"
		size = 34
		refs = "0015 TWinControl.GetHandle 001b SendMessage"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 33 C0 8A C3 50 68 4F 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13784_0 {
	meta:
		name = "TCustomComboBox.GetItemIndex"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 47 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13785_0 {
	meta:
		name = "TCustomComboBox.SetItemIndex"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 4E 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13786_0 {
	meta:
		name = "TCustomComboBox.GetSelStart"
		size = 35
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 51 8B D8 6A 00 8D 44 24 04 50 68 40 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_13787_0 {
	meta:
		name = "TCustomComboBox.SetSelStart"
		size = 52
		refs = "0017 MakeLParam 0026 TWinControl.GetHandle 002c SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 89 14 24 89 54 24 04 66 8B 54 24 04 66 8B 04 24 E8 ?? ?? ?? ?? 50 6A 00 68 42 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_13788_0 {
	meta:
		name = "TCustomComboBox.GetSelLength"
		size = 45
		refs = "0018 TWinControl.GetHandle 001e SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8D 44 24 04 50 8D 44 24 04 50 68 40 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 04 2B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_13789_0 {
	meta:
		name = "TCustomComboBox.SetSelLength"
		size = 84
		refs = "001b TWinControl.GetHandle 0021 SendMessage 0036 MakeLParam"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8D 44 24 04 50 8D 44 24 04 50 68 40 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 34 24 89 74 24 04 66 8B 54 24 04 66 8B 04 24 E8 ?? ?? ?? ?? 50 6A 00 68 42 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13790_0 {
	meta:
		name = "TCustomComboBox.GetSelText"
		size = 115
		refs = "000f TCustomComboBox.GetSelText 001c @LStrClr 0030 TControl.GetText 003b TCustomComboBox.GetSelLength 0043 TCustomComboBox.GetSelStart 004d @LStrCopy 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 80 BB 21 01 00 00 02 73 28 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 42 59 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13791_0 {
	meta:
		name = "TCustomComboBox.SetSelText"
		size = 52
		refs = "0012 TWinControl.HandleNeeded 0019 @LStrToPChar 002d SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 21 01 00 00 02 73 22 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13792_0 {
	meta:
		name = "TCustomComboBox.SetMaxLength"
		size = 55
		refs = "0017 TWinControl.HandleAllocated 002a TWinControl.GetHandle 0030 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 28 01 00 00 74 26 89 B3 28 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 56 68 41 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13794_0 {
	meta:
		name = "TCustomComboBox.SetStyle"
		size = 68
		refs = "0018 TCustomComboBox.SetStyle 0039 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 21 01 00 00 74 32 88 93 21 01 00 00 80 FA 01 75 12 66 A1 ?? ?? ?? ?? F7 D0 66 23 43 40 66 89 43 40 EB 0E 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 89 43 40 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 02 00 00 }
	condition:
		$1
}

rule function_13795_0 {
	meta:
		name = "TCustomComboBox.GetItemHeight"
		size = 36
		refs = "001f TControl.Perform"
	strings:
		$1 = { 8A 90 21 01 00 00 80 C2 FD 80 EA 02 73 07 8B 80 24 01 00 00 C3 6A 00 33 C9 BA 54 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13796_0 {
	meta:
		name = "TCustomComboBox.SetItemHeight"
		size = 11
	strings:
		$1 = { 85 D2 7E 06 89 90 24 01 00 00 C3 }
	condition:
		$1
}

rule function_13798_0 {
	meta:
		name = "TCustomComboBox.CreateParams"
		size = 112
		refs = "000b TWinControl.CreateParams 0010 TCustomComboBox.CreateParams 0019 TWinControl.CreateSubClass 0030 _NV__3F1 003f _NV__3F2 0047 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 0D 40 02 20 00 33 D2 8A 93 21 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 20 01 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 A1 ?? ?? ?? ?? 80 38 00 74 10 80 BB D5 00 00 00 00 74 07 81 4E 08 00 02 00 00 5E 5B C3 00 43 4F 4D 42 4F 42 4F 58 00 00 00 00 }
	condition:
		$1
}

rule function_13799_0 {
	meta:
		name = "TCustomComboBox.CreateWnd"
		size = 294
		refs = "0008 TWinControl.CreateWnd 002e TWinControl.GetHandle 0034 SendMessage 0056 TObject.Free 0087 GetWindow 00a6 GetWindowLong 00c1 SetWindowLong 00fb NewStyleControls"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 28 01 00 00 85 F6 7E 08 81 FE FF 00 00 00 7E 05 BE FF 00 00 00 6A 00 56 68 41 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B B3 4C 01 00 00 85 F6 74 20 8B D6 8B 83 18 01 00 00 8B 08 FF 51 08 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 4C 01 00 00 33 C0 89 83 30 01 00 00 33 C0 89 83 34 01 00 00 8A 83 21 01 00 00 2C 02 73 7E 6A 05 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 69 80 BB 21 01 00 00 01 75 35 8B FE 89 BB 34 01 00 00 6A FC 57 E8 ?? ?? ?? ?? 89 83 44 01 00 00 8B 83 3C 01 00 00 50 6A FC 8B 83 34 01 00 00 50 E8 ?? ?? ?? ?? 6A 02 56 E8 ?? ?? ?? ?? 8B F0 8B FE 89 BB 30 01 00 00 6A FC 57 E8 ?? ?? ?? ?? 89 83 40 01 00 00 8B 83 38 01 00 00 50 6A FC 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 1E 83 BB 30 01 00 00 00 74 15 6A 00 6A 03 68 D3 00 00 00 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13800_0 {
	meta:
		name = "TCustomComboBox.DestroyWnd"
		size = 62
		refs = "0016 _Dn_TStringList 001b TObject.Create 0037 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 8B D8 8B 83 18 01 00 00 8B 10 FF 52 14 85 C0 7E 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 4C 01 00 00 8B 93 18 01 00 00 8B C6 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13801_0 {
	meta:
		name = "TCustomComboBox.WMCreate"
		size = 29
		refs = "0011 TWinControl.GetHandle 0017 SetWindowText"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B 46 4C 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_13802_0 {
	meta:
		name = "TCustomComboBox.WMEraseBkgnd"
		size = 82
		refs = "001c TBrush.GetHandle 0036 FillRect"
	strings:
		$1 = { 56 57 83 C4 F0 8B FA 8B F0 80 BE 21 01 00 00 01 75 31 8B 46 24 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 50 8D 54 24 04 8B C6 8B 08 FF 51 2C 8D 44 24 04 50 8B 47 04 50 E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 EB 09 8B D7 8B C6 8B 08 FF 51 F0 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_13806_0 {
	meta:
		name = "TCustomComboBox.WMGetDlgCode"
		size = 33
		refs = "0012 TCustomComboBox.GetDroppedDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 83 4E 0C 04 5E 5B C3 }
	condition:
		$1
}

rule function_13807_0 {
	meta:
		name = "TCustomComboBox.CMCancelMode"
		size = 20
		refs = "000f TControl.Perform"
	strings:
		$1 = { 3B 42 08 74 0E 6A 00 33 C9 BA 4F 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13808_0 {
	meta:
		name = "TCustomComboBox.CMCtl3DChanged"
		size = 35
		refs = "0007 NewStyleControls 0013 TWinControl.RecreateWnd 001c TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13809_0 {
	meta:
		name = "TCustomComboBox.CMParentColorChanged"
		size = 38
		refs = "0006 TControl.CMParentColorChanged 000b NewStyleControls"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 75 10 80 BE 21 01 00 00 02 73 07 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_13810_0 {
	meta:
		name = "_NF__415"
		size = 237
		refs = "0033 GetParentForm 0081 GetCursorPos 008e TControl.ScreenToClient 00a4 PointToSmallPoint 00b8 SendMessage 00c1 TControl.BeginDrag 00c8 NewStyleControls"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 81 3E 12 01 00 00 75 0E 8B D6 8B C3 8B 08 FF 51 40 E9 C6 00 00 00 8B 06 3D 00 01 00 00 7C 27 3D 08 01 00 00 7F 20 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 13 8B CE 8B D3 8B C7 8B 38 FF 57 7C 84 C0 0F 85 96 00 00 00 8B 83 40 01 00 00 50 8B D6 8B 8B 30 01 00 00 8B C3 8B 38 FF 57 7C 8B 06 83 E8 30 74 5A 2D D1 01 00 00 74 05 83 E8 02 75 6D 80 7B 49 01 75 67 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B C4 E8 ?? ?? ?? ?? 50 6A 00 68 02 02 00 00 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? EB 1F A1 ?? ?? ?? ?? 80 38 00 74 15 6A 00 6A 03 68 D3 00 00 00 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13811_0 {
	meta:
		name = "_NF__416"
		size = 27
	strings:
		$1 = { 53 56 8B F0 8B 86 44 01 00 00 50 8B 8E 34 01 00 00 8B C6 8B 18 FF 53 7C 5E 5B C3 }
	condition:
		$1
}

rule function_13812_0 {
	meta:
		name = "TCustomComboBox.ComboWndProc"
		size = 726
		refs = "0014 TCustomComboBox.ComboWndProc 00cd GetParentForm 00e1 TCustomForm.SetFocusedControl 0129 TWinControl.DoKeyDown 0148 TWinControl.DoKeyPress 0175 TCustomComboBox.GetDroppedDown 0187 TCustomComboBox.SetDroppedDown 019e TWinControl.DoKeyUp 01ba Application 01c4 TApplication.HintMouseMessage 01d1 _NF__2C1 01f5 TWinControl.GetHandle 01fc MapWindowPoints 0286 CallWindowProc 02a6 @CallDynaInst 02b5 @HandleAnyException 02c4 TApplication.HandleException 02c9 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 3D 04 01 00 00 7F 4F 0F 84 E7 00 00 00 3D 87 00 00 00 7F 24 0F 84 ED 01 00 00 83 E8 07 0F 84 86 00 00 00 48 0F 84 B0 00 00 00 83 E8 7C 0F 84 F4 01 00 00 E9 1D 02 00 00 2D 00 01 00 00 0F 84 B1 00 00 00 48 0F 84 2E 01 00 00 48 0F 84 D1 00 00 00 E9 FF 01 00 00 3D 00 BD 00 00 7F 2A 0F 84 DE 01 00 00 2D 05 01 00 00 0F 84 0A 01 00 00 2D FB 00 00 00 0F 84 1E 01 00 00 83 E8 05 0F 84 2B 01 00 00 E9 CE 01 00 00 2D 02 BD 00 00 0F 84 AF 01 00 00 83 E8 02 0F 84 A6 01 00 00 83 E8 02 0F 84 9D 01 00 00 E9 AC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 9A 01 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 85 88 01 00 00 33 C0 5A 59 59 64 89 10 E9 D3 01 00 00 8B 45 FC F6 40 42 20 0F 84 6E 01 00 00 33 C0 5A 59 59 64 89 10 E9 B9 01 00 00 8B 45 FC 3B 98 34 01 00 00 0F 84 52 01 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 40 01 00 00 33 C0 5A 59 59 64 89 10 E9 8B 01 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 33 C0 5A 59 59 64 89 10 E9 70 01 00 00 66 8B 7E 04 66 83 FF 0D 74 0A 66 83 FF 1B 0F 85 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 F4 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 35 01 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 CB 00 00 00 33 C0 5A 59 59 64 89 10 E9 16 01 00 00 8B CE A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E9 A8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 98 00 00 00 0F BF 46 08 89 45 F4 0F BF 46 0A 89 45 F8 6A 01 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 66 8B 45 F4 66 89 46 08 66 8B 45 F8 66 89 46 0A 8B D6 8B 45 FC 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 E9 A6 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 C7 46 0C 04 00 00 00 33 C0 5A 59 59 64 89 10 E9 86 00 00 00 8B 45 FC F6 40 20 10 74 25 C7 46 0C FF FF FF FF 33 C0 5A 59 59 64 89 10 EB 6C 8B D6 8B 45 FC 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 EB 58 8B 46 08 50 8B 46 04 50 8B 06 50 53 8B 45 08 50 E8 ?? ?? ?? ?? 89 46 0C 81 3E 03 02 00 00 75 15 8B 45 FC F6 40 40 80 74 0C 8B 45 FC 66 BB EF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13813_0 {
	meta:
		name = "TCustomComboBox.WndProc"
		size = 292
		refs = "0022 TControl.Dragging 0035 TWinControl.IsControlMouseMsg 0042 TCustomComboBox.WndProc 0051 TObject.Dispatch 0081 ColorToRGB 008b SetTextColor 0096 TBrush.GetColor 00a5 SetBkColor 00b0 TBrush.GetHandle 00ba NewStyleControls 00e4 TWinControl.DoKeyPress 00ff TCustomComboBox.GetDroppedDown 010c TCustomComboBox.SetDroppedDown 0117 TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 20 10 75 4D 8B 3E 81 FF 01 02 00 00 74 08 81 FF 03 02 00 00 75 3B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 30 80 7B 49 01 75 2A 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 DA 00 00 00 A0 ?? ?? ?? ?? 0A 43 42 88 43 42 8B D6 8B C3 E8 ?? ?? ?? ?? E9 C1 00 00 00 8B 06 2D 02 01 00 00 74 7C 83 C0 D0 83 E8 07 72 0F 05 07 44 FF FF 83 E8 07 72 44 E9 98 00 00 00 8B 43 50 8B 40 14 E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 89 46 0C EB 62 A1 ?? ?? ?? ?? 80 38 00 75 4F 80 BB 21 01 00 00 02 73 46 8B 43 24 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 89 46 0C EB 3C 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2F 66 8B 7E 04 66 83 FF 0D 74 06 66 83 FF 1B 75 16 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_13814_0 {
	meta:
		name = "_NF__41F"
		size = 111
		refs = "002f TCustomComboBox.GetItemHeight 0049 TWinControl.GetHandle 004f SetWindowPos"
	strings:
		$1 = { 53 56 8B D8 8B 83 18 01 00 00 8B 10 FF 52 14 8B F0 8B 83 2C 01 00 00 3B F0 7E 02 8B F0 83 FE 01 7D 05 BE 01 00 00 00 68 9E 00 00 00 8B C3 E8 ?? ?? ?? ?? F7 EE 03 43 3C 83 C0 02 50 8B 43 38 50 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 5F 6A 00 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13815_0 {
	meta:
		name = "TCustomComboBox.CNCommand"
		size = 332
		refs = "000d TCustomComboBox.CNCommand 0052 @CallDynaInst 0080 _NF__41F 009a TWinControl.GetHandle 00a0 PostMessage 00c8 TCustomComboBox.GetItemIndex 00e2 TControl.SetText 010f TWinControl.SetIme 0126 TWinControl.ResetIme 013b @LStrClr 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 42 06 83 F8 07 0F 87 06 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 66 BB EF FF E8 ?? ?? ?? ?? E9 CF 00 00 00 8B C6 66 BB DB FF E8 ?? ?? ?? ?? E9 BF 00 00 00 C6 86 49 01 00 00 00 8B C6 66 BB DA FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 BE 49 01 00 00 00 0F 84 99 00 00 00 6A 00 6A 00 6A 1F 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BE 48 01 00 00 00 75 7D 6A 00 6A 00 68 4F 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 65 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B 86 18 01 00 00 8B 18 FF 53 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 8B C6 66 BB DB FF E8 ?? ?? ?? ?? EB 2C C6 86 48 01 00 00 01 C6 86 49 01 00 00 01 8B C6 E8 ?? ?? ?? ?? EB 15 C6 86 48 01 00 00 00 C6 86 49 01 00 00 01 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13816_0 {
	meta:
		name = "TCustomComboBox.Change"
		size = 36
		refs = "0006 TControl.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 52 01 00 00 00 74 0E 8B D3 8B 83 54 01 00 00 FF 93 50 01 00 00 5B C3 }
	condition:
		$1
}

rule function_13817_0 {
	meta:
		name = "TCustomComboBox.DrawItem"
		size = 172
		refs = "0022 TCustomComboBox.DrawItem 005a TCanvas.FillRect 0082 TCanvas.TextOut 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 62 01 00 00 00 74 1A 8D 45 F0 50 8A 45 08 50 8B CE 8B D3 8B 83 64 01 00 00 FF 93 60 01 00 00 EB 36 8D 55 F0 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8D 4D EC 8B D6 8B 83 18 01 00 00 8B 30 FF 56 0C 8B 45 EC 50 8B 55 F0 83 C2 02 8B 4D F4 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13819_0 {
	meta:
		name = "TCustomComboBox.MeasureItem"
		size = 32
	strings:
		$1 = { 53 66 83 B8 6A 01 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 6C 01 00 00 FF 93 68 01 00 00 5B C3 }
	condition:
		$1
}

rule function_13820_0 {
	meta:
		name = "TCustomComboBox.CNDrawItem"
		size = 191
		refs = "001a TCanvas.SetHandle 0028 TCanvas.SetFont 0039 TCanvas.SetBrush 0058 TBrush.SetColor 006b TFont.SetColor 0095 TCanvas.FillRect 00a8 DrawFocusRect"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B 7A 08 8A 47 10 88 04 24 8B 57 18 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B 56 50 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B 96 C8 00 00 00 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 83 7F 08 00 7C 2C F6 04 24 01 74 26 8B 86 1C 01 00 00 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? 8B 6F 08 85 ED 7C 15 8A 04 24 50 8D 4F 1C 8B D5 8B C6 8B 18 FF 93 80 00 00 00 EB 0E 8D 57 1C 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? F6 04 24 10 74 0D 8D 47 1C 50 8B 47 18 50 E8 ?? ?? ?? ?? 33 D2 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13821_0 {
	meta:
		name = "TCustomComboBox.CNMeasureItem"
		size = 46
	strings:
		$1 = { 53 56 57 8B F0 8B 7A 08 8B 86 24 01 00 00 89 47 10 80 BE 21 01 00 00 04 75 10 8D 4F 10 8B 57 08 8B C6 8B 18 FF 93 84 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13822_0 {
	meta:
		name = "TCustomComboBox.WMLButtonDown"
		size = 111
		refs = "0018 GetSystemMetrics 0035 TControl.BeginDrag 0041 TControl.WMLButtonDown 0048 TControl.GetMouseCapture 0053 GetParentForm 0068 TControl.SetMouseCapture"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 49 01 75 30 80 BB 21 01 00 00 02 75 27 6A 15 E8 ?? ?? ?? ?? 8B 53 38 2B D0 0F BF 46 08 3B D0 7E 13 8B C3 8B 10 FF 52 78 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 3B 98 2C 01 00 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13823_0 {
	meta:
		name = "TButtonControl.WndProc"
		size = 107
		refs = "0026 TWinControl.Focused 0038 TWinControl.GetHandle 003e SetFocus 0064 TWinControl.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 06 2D 01 02 00 00 74 0E 83 E8 02 74 09 2D 0E BB 00 00 74 3B EB 42 F6 43 20 10 75 3C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 31 C6 83 18 01 00 00 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 18 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 EB 09 80 BB 18 01 00 00 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13824_0 {
	meta:
		name = "TButton.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TWinControl.Create 001d TButton.Create 002d TControl.SetWidth 0039 TControl.SetHeight 0042 TWinControl.SetTabStop"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 46 40 BA 4B 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 E0 00 00 00 }
	condition:
		$1
}

rule function_13825_0 {
	meta:
		name = "TButton.Click"
		size = 35
		refs = "0006 GetParentForm 001d TControl.Click"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 8B 93 20 01 00 00 89 90 50 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13826_0 {
	meta:
		name = "TButton.SetButtonStyle"
		size = 82
		refs = "000b TWinControl.HandleAllocated 0024 TWinControl.GetHandle 002a GetWindowLong 0049 SendMessage"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B C5 E8 ?? ?? ?? ?? 84 C0 74 3A 84 DB 74 06 66 BE 01 00 EB 02 33 F6 6A F0 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 E0 0F 0F B7 FE 3B C7 74 15 6A 01 57 68 F4 00 00 00 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13827_0 {
	meta:
		name = "TButton.SetDefault"
		size = 52
		refs = "000c TWinControl.HandleAllocated 0017 GetParentForm 002e TControl.Perform"
	strings:
		$1 = { 53 8B D8 88 93 1C 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 8B C3 E8 ?? ?? ?? ?? 85 C0 74 13 8B 90 2C 01 00 00 52 33 C9 BA 07 B0 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13828_0 {
	meta:
		name = "TButton.CreateParams"
		size = 60
		refs = "000b TWinControl.CreateParams 0010 TButton.CreateParams 0019 TWinControl.CreateSubClass 0028 _NV__448"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 1C 01 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 5E 5B C3 00 00 42 55 54 54 4F 4E 00 00 }
	condition:
		$1
}

rule function_13829_0 {
	meta:
		name = "TButton.CreateWnd"
		size = 24
		refs = "0006 TWinControl.CreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 83 1C 01 00 00 88 83 1E 01 00 00 5B C3 }
	condition:
		$1
}

rule function_13830_0 {
	meta:
		name = "TButton.CNCommand"
		size = 19
		refs = "000d @CallDynaInst"
	strings:
		$1 = { 53 66 83 7A 06 00 75 09 66 BB F0 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13831_0 {
	meta:
		name = "TButton.CMDialogKey"
		size = 104
		refs = "002a KeyDataToShiftState 0030 TButton.CMDialogKey 003b TWinControl.CanFocus 004a @CallDynaInst 005d TWinControl.CMDialogKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 7E 04 0D 75 09 80 BB 1E 01 00 00 00 75 10 66 83 7E 04 1B 75 3B 80 BB 1D 01 00 00 00 74 32 8B 46 08 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 75 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_13832_0 {
	meta:
		name = "TButton.CMDialogChar"
		size = 125
		refs = "000f TButton.CMDialogChar 001f TControl.GetText 002b IsAccel 0036 TWinControl.CanFocus 0045 @CallDynaInst 0057 TWinControl.CMDialogChar 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13833_0 {
	meta:
		name = "TButton.CMFocusChanged"
		size = 78
		refs = "000e _DV_TButton 0013 @IsClass 0046 TWinControl.CMFocusChanged"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 08 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 3B DF 0F 94 C0 88 83 1E 01 00 00 EB 0C 8A 83 1C 01 00 00 88 83 1E 01 00 00 8A 93 1E 01 00 00 8B C3 8B 08 FF 51 7C 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13835_0 {
	meta:
		name = "TCustomCheckBox.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TWinControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0038 TWinControl.SetTabStop 003e TCustomCheckBox.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 46 40 C6 86 1C 01 00 00 01 C6 86 1E 01 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 A0 00 00 00 }
	condition:
		$1
}

rule function_13836_0 {
	meta:
		name = "TCustomCheckBox.Toggle"
		size = 61
		refs = "001f TCustomCheckBox.SetState"
	strings:
		$1 = { 8A 90 1E 01 00 00 80 EA 01 72 08 74 20 FE CA 74 24 EB 29 80 B8 1D 01 00 00 00 74 09 B2 02 E8 ?? ?? ?? ?? EB 17 B2 01 E8 ?? ?? ?? ?? C3 33 D2 E8 ?? ?? ?? ?? C3 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13838_0 {
	meta:
		name = "TCustomCheckBox.GetChecked"
		size = 11
	strings:
		$1 = { 80 B8 1E 01 00 00 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_13840_0 {
	meta:
		name = "TCustomCheckBox.SetChecked"
		size = 20
		refs = "0007 TCustomCheckBox.SetState"
	strings:
		$1 = { 84 D2 74 08 B2 01 E8 ?? ?? ?? ?? C3 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13841_0 {
	meta:
		name = "TCustomCheckBox.SetState"
		size = 70
		refs = "0014 TWinControl.HandleAllocated 002f TWinControl.GetHandle 0035 SendMessage 0040 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 3A 93 1E 01 00 00 74 39 88 93 1E 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 6A 00 33 C0 8A 83 1E 01 00 00 50 68 F1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13842_0 {
	meta:
		name = "TCustomCheckBox.CreateParams"
		size = 68
		refs = "000b TWinControl.CreateParams 0010 TCustomCheckBox.CreateParams 0019 TWinControl.CreateSubClass 002e _NV__470"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 04 83 C8 05 33 D2 8A 96 1C 01 00 00 0B 04 95 ?? ?? ?? ?? 89 43 04 83 63 24 FC 5E 5B C3 42 55 54 54 4F 4E 00 00 }
	condition:
		$1
}

rule function_13843_0 {
	meta:
		name = "TCustomCheckBox.CreateWnd"
		size = 41
		refs = "0006 TWinControl.CreateWnd 001d TWinControl.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C0 8A 83 1E 01 00 00 50 68 F1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13844_0 {
	meta:
		name = "TCustomCheckBox.CreateWindowHandle"
		size = 192
		refs = "0015 NewStyleControls 0027 HInstance 004c TCustomCheckBox.CreateWindowHandle 0055 CreateWindowEx 0064 Subclass3DWnd 0072 GetWindowLong 007d CreationControl 0084 InitWndProc 0092 SetWindowLong 00a4 SendMessage 00af TWinControl.CreateWindowHandle"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 80 BB D5 00 00 00 00 0F 84 96 00 00 00 A1 ?? ?? ?? ?? 80 38 00 0F 85 88 00 00 00 8B 46 20 50 A1 ?? ?? ?? ?? 8B 00 50 6A 00 8B 46 1C 50 8B 46 18 50 8B 46 14 50 8B 46 10 50 8B 46 0C 50 8B 46 04 50 8B 06 50 68 ?? ?? ?? ?? 8B 46 08 50 E8 ?? ?? ?? ?? 8B F8 89 BB CC 00 00 00 8B C7 E8 ?? ?? ?? ?? 6A FC 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 89 83 B8 00 00 00 A1 ?? ?? ?? ?? 89 18 68 ?? ?? ?? ?? 6A FC 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 42 55 54 54 4F 4E 00 00 }
	condition:
		$1
}

rule function_13856_0 {
	meta:
		name = "TRadioButton.CreateWindowHandle"
		size = 192
		refs = "0015 NewStyleControls 0027 HInstance 004c TRadioButton.CreateWindowHandle 0055 CreateWindowEx 0064 Subclass3DWnd 0072 GetWindowLong 007d CreationControl 0084 InitWndProc 0092 SetWindowLong 00a4 SendMessage 00af TWinControl.CreateWindowHandle"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 80 BB D5 00 00 00 00 0F 84 96 00 00 00 A1 ?? ?? ?? ?? 80 38 00 0F 85 88 00 00 00 8B 46 20 50 A1 ?? ?? ?? ?? 8B 00 50 6A 00 8B 46 1C 50 8B 46 18 50 8B 46 14 50 8B 46 10 50 8B 46 0C 50 8B 46 04 50 8B 06 50 68 ?? ?? ?? ?? 8B 46 08 50 E8 ?? ?? ?? ?? 8B F8 89 BB CC 00 00 00 8B C7 E8 ?? ?? ?? ?? 6A FC 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 89 83 B8 00 00 00 A1 ?? ?? ?? ?? 89 18 68 ?? ?? ?? ?? 6A FC 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 83 CC 00 00 00 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 42 55 54 54 4F 4E 00 00 }
	condition:
		$1
}

rule function_13847_0 {
	meta:
		name = "TCustomCheckBox.CMDialogChar"
		size = 139
		refs = "000f TCustomCheckBox.CMDialogChar 001f TControl.GetText 002b IsAccel 0036 TWinControl.CanFocus 0048 TWinControl.Focused 0065 TWinControl.CMDialogChar 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 2D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8B C3 8B 10 FF 52 78 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 8B 10 FF 52 7C C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13848_0 {
	meta:
		name = "TCustomCheckBox.CNCommand"
		size = 13
	strings:
		$1 = { 66 83 7A 06 00 75 05 8B 10 FF 52 7C C3 }
	condition:
		$1
}

rule function_13849_0 {
	meta:
		name = "TCustomCheckBox.WMSetFocus"
		size = 50
		refs = "0010 NewStyleControls 001c TWinControl.GetHandle 0022 UpdateWindow 002b TWinControl.WMSetFocus"
		altNames = "TRadioButton.WMSetFocus"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB D5 00 00 00 00 74 17 A1 ?? ?? ?? ?? 80 38 00 75 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13850_0 {
	meta:
		name = "TRadioButton.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TWinControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0035 TRadioButton.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 71 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 46 40 C6 86 1C 01 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 A0 00 00 00 }
	condition:
		$1
}

rule function_13852_0 {
	meta:
		name = "_NF__48F"
		size = 100
		refs = "001e TWinControl.GetControlCount 0032 TWinControl.GetControl 0044 _DV_TRadioButton 0049 @IsClass 0056 TRadioButton.SetChecked"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 40 24 85 C0 74 4A 8B 55 08 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 35 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 3B 58 FC 74 1A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 47 4E 75 CE 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13853_0 {
	meta:
		name = "TRadioButton.SetChecked"
		size = 119
		refs = "0024 TWinControl.SetTabStop 002c TWinControl.HandleAllocated 004a TWinControl.GetHandle 0050 SendMessage 005a _NF__48F 0063 TControl.Changed 006f @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 3A 98 1D 01 00 00 74 5E 8B 45 FC 88 98 1D 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 20 6A 00 8B 45 FC 0F B6 80 1D 01 00 00 50 68 F1 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 1B 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_13854_0 {
	meta:
		name = "TRadioButton.CreateParams"
		size = 64
		refs = "000b TWinControl.CreateParams 0010 TRadioButton.CreateParams 0019 TWinControl.CreateSubClass 002e _NV__493"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 83 C8 04 33 D2 8A 93 1C 01 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 5E 5B C3 42 55 54 54 4F 4E 00 00 }
	condition:
		$1
}

rule function_13855_0 {
	meta:
		name = "TRadioButton.CreateWnd"
		size = 41
		refs = "0006 TWinControl.CreateWnd 001d TWinControl.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C0 8A 83 1D 01 00 00 50 68 F1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13858_0 {
	meta:
		name = "TRadioButton.CMDialogChar"
		size = 121
		refs = "000f TRadioButton.CMDialogChar 001f TControl.GetText 002b IsAccel 0036 TWinControl.CanFocus 0053 TWinControl.CMDialogChar 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 8B 10 FF 52 78 C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13859_0 {
	meta:
		name = "TRadioButton.CNCommand"
		size = 39
		refs = "0016 TRadioButton.SetChecked 0021 @CallDynaInst"
	strings:
		$1 = { 53 66 8B 52 06 66 83 EA 01 72 08 66 83 EA 04 74 0B EB 12 B2 01 E8 ?? ?? ?? ?? 5B C3 66 BB EF FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13861_0 {
	meta:
		name = "_NF__4A8"
		size = 28
		refs = "0010 TWinControl.GetHandle 0016 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 8B 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13862_0 {
	meta:
		name = "_NF__4A9"
		size = 164
		refs = "0023 _NF__4A9 003e TWinControl.GetHandle 0044 SendMessage 0055 SListIndexError 005a LoadResString 0069 TStrings.Error 0079 @LStrFromPCharLen 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F8 53 56 57 33 DB 89 9D F8 EF FF FF 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 FC EF FF FF 50 57 68 89 01 00 00 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 1F 8D 95 F8 EF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F8 EF FF FF 8B CF 8B C6 E8 ?? ?? ?? ?? 8D 95 FC EF FF FF 8B 45 FC 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 EF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13863_0 {
	meta:
		name = "_NF__4AA"
		size = 109
		refs = "0010 _NF__4AA 0024 @CallDynaInst 0033 SListIndexError 0038 LoadResString 0044 TStrings.Error 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 46 0C 66 BB DB FF E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13864_0 {
	meta:
		name = "_NF__4AB"
		size = 46
		refs = "000e TCustomListBox.GetItemIndex 001b TStrings.Put 0025 TCustomListBox.SetItemIndex"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B 43 0C E8 ?? ?? ?? ?? 8B F0 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13865_0 {
	meta:
		name = "_NF__4AC"
		size = 25
		refs = "0011 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B 46 0C 66 BB DA FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13866_0 {
	meta:
		name = "_NF__4AD"
		size = 129
		refs = "000f _NF__4AD 001c @LStrToPChar 002c TWinControl.GetHandle 0032 SendMessage 0040 SInsertLineError 0045 LoadResString 004f _Dn_EOutOfResources 0054 Exception.Create 0059 @RaiseExcept 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 80 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13867_0 {
	meta:
		name = "_NF__4AE"
		size = 128
		refs = "0012 _NF__4AE 001f @LStrToPChar 002e TWinControl.GetHandle 0034 SendMessage 0040 SInsertLineError 0045 LoadResString 004f _Dn_EOutOfResources 0054 Exception.Create 0059 @RaiseExcept 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 68 81 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13868_0 {
	meta:
		name = "_NF__4AF"
		size = 19
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B 46 0C 66 BB D8 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13869_0 {
	meta:
		name = "_NF__4B0"
		size = 15
		refs = "0009 @CallDynaInst"
	strings:
		$1 = { 53 8B 40 0C 66 BB D9 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13871_0 {
	meta:
		name = "TCustomListBox.Create"
		size = 216
		refs = "000e @ClassCreate 001c TWinControl.Create 0021 NewStyleControls 002c TCustomListBox.Create 0048 TControl.SetWidth 0054 TControl.SetHeight 005d TWinControl.SetTabStop 0066 TControl.SetParentColor 006d _NV__2C7 0072 TObject.Create 0084 _Dn_TControlCanvas 0089 TCanvas.Create 009a TControlCanvas.SetControl"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0C 66 A1 ?? ?? ?? ?? 66 89 43 40 EB 0A 66 A1 ?? ?? ?? ?? 66 89 43 40 BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 01 00 00 89 5E 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? C7 83 28 01 00 00 10 00 00 00 C6 83 1C 01 00 00 01 C6 83 30 01 00 00 01 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 A0 00 00 00 B0 00 00 00 }
	condition:
		$1
}

rule function_13872_0 {
	meta:
		name = "TCustomListBox.Destroy"
		size = 67
		refs = "000d TObject.Free 002f TWinControl.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13873_0 {
	meta:
		name = "TCustomListBox.GetItemData"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 99 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13874_0 {
	meta:
		name = "TCustomListBox.SetItemData"
		size = 33
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 9A 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13875_0 {
	meta:
		name = "TCustomListBox.DeleteString"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 82 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13876_0 {
	meta:
		name = "TCustomListBox.ResetContent"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 84 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13877_0 {
	meta:
		name = "TCustomListBox.Clear"
		size = 12
	strings:
		$1 = { 8B 80 18 01 00 00 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_13878_0 {
	meta:
		name = "_NF__4C7"
		size = 60
		refs = "002f TWinControl.GetHandle 0035 SendMessage"
	strings:
		$1 = { 53 56 8B D8 83 BB 24 01 00 00 00 7E 2C 83 7B 38 00 7E 26 6A 00 8B 43 38 8B B3 24 01 00 00 03 C6 83 E8 03 99 F7 FE 50 68 95 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13879_0 {
	meta:
		name = "TCustomListBox.SetColumns"
		size = 65
		refs = "0021 TWinControl.RecreateWnd 0030 TWinControl.HandleAllocated 003b _NF__4C7"
	strings:
		$1 = { 53 8B D8 3B 93 24 01 00 00 74 34 83 BB 24 01 00 00 00 74 04 85 D2 75 0F 89 93 24 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 18 89 93 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13880_0 {
	meta:
		name = "TCustomListBox.GetItemIndex"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 88 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13881_0 {
	meta:
		name = "TCustomListBox.GetSelCount"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 90 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13882_0 {
	meta:
		name = "TCustomListBox.SetItemIndex"
		size = 41
		refs = "0009 TCustomListBox.GetItemIndex 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 15 6A 00 56 68 86 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13885_0 {
	meta:
		name = "TCustomListBox.GetItemHeight"
		size = 66
		refs = "0010 TWinControl.HandleAllocated 002e TControl.Perform"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B B3 28 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 80 BB 2C 01 00 00 00 75 19 8B C4 50 33 C9 BA 98 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 74 24 0C 2B 74 24 04 8B C6 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_13886_0 {
	meta:
		name = "TCustomListBox.SetItemHeight"
		size = 24
		refs = "0013 TWinControl.RecreateWnd"
	strings:
		$1 = { 3B 90 28 01 00 00 74 0F 85 D2 7E 0B 89 90 28 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13887_0 {
	meta:
		name = "TCustomListBox.SetTabWidth"
		size = 26
		refs = "0015 TWinControl.RecreateWnd"
	strings:
		$1 = { 85 D2 7D 02 33 D2 3B 90 34 01 00 00 74 0B 89 90 34 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13889_0 {
	meta:
		name = "TCustomListBox.GetSelected"
		size = 146
		refs = "0015 TCustomListBox.GetSelected 002a TWinControl.GetHandle 0030 SendMessage 004a SListIndexError 004f LoadResString 0059 _Dn_EListError 005e Exception.CreateFmt 0063 @RaiseExcept 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 56 68 87 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 75 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 1B DB F7 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13890_0 {
	meta:
		name = "TCustomListBox.SetSelected"
		size = 143
		refs = "0018 TCustomListBox.SetSelected 0030 TWinControl.GetHandle 0036 SendMessage 004e SListIndexError 0053 LoadResString 005d _Dn_EListError 0062 Exception.CreateFmt 0067 @RaiseExcept 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 33 C0 8A C3 50 68 85 01 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 40 75 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13893_0 {
	meta:
		name = "TCustomListBox.GetTopIndex"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 8E 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13895_0 {
	meta:
		name = "TCustomListBox.SetTopIndex"
		size = 41
		refs = "0009 TCustomListBox.GetTopIndex 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 15 6A 00 56 68 97 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13897_0 {
	meta:
		name = "TCustomListBox.ItemAtPos"
		size = 140
		refs = "002b PtInRect 0036 TCustomListBox.GetTopIndex 005c TControl.Perform"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F2 8D 3C 24 A5 A5 8B D9 8B F0 FF 74 24 04 FF 74 24 04 8D 54 24 20 8B C6 8B 08 FF 51 2C 8D 44 24 20 50 E8 ?? ?? ?? ?? 85 C0 74 4C 8B C6 E8 ?? ?? ?? ?? 8B E8 8B 86 18 01 00 00 8B 10 FF 52 14 8B F8 3B FD 7E 2E 8D 44 24 08 50 8B CD BA 98 01 00 00 8B C6 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 75 0C 45 3B FD 7F D2 84 DB 74 03 83 CD FF 8B C5 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13898_0 {
	meta:
		name = "TCustomListBox.ItemRect"
		size = 100
		refs = "0027 TControl.Perform 004c OffsetRect 005c @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B 86 18 01 00 00 8B 10 FF 52 14 85 DB 74 04 3B C3 7E 11 57 8B CB BA 98 01 00 00 8B C6 E8 ?? ?? ?? ?? EB 33 3B C3 75 21 57 8B CB 49 BA 98 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 47 0C 2B 47 04 50 6A 00 57 E8 ?? ?? ?? ?? EB 0E 8B C7 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13899_0 {
	meta:
		name = "TCustomListBox.CreateParams"
		size = 228
		refs = "000b TWinControl.CreateParams 0010 TCustomListBox.CreateParams 0019 TWinControl.CreateSubClass 001e _NV__504 002c _NV__505 0044 _NV__502 0053 _NV__503 006d _NV__506 0081 _NV__507 0090 _NV__2C9 00a4 _NV__508 00ac NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 80 BB 30 01 00 00 00 74 05 B8 ?? ?? ?? ?? 8B 56 04 81 CA 41 00 30 00 33 C9 8A 8B 2C 01 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 2F 01 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 2E 01 00 00 0B 14 88 33 C0 8A 83 2D 01 00 00 0B 14 85 ?? ?? ?? ?? 83 BB 24 01 00 00 00 0F 95 C0 83 E0 7F 0B 14 85 ?? ?? ?? ?? 33 C0 8A 83 1C 01 00 00 0B 14 85 ?? ?? ?? ?? 83 BB 34 01 00 00 00 0F 95 C0 83 E0 7F 0B 14 85 ?? ?? ?? ?? 89 56 04 A1 ?? ?? ?? ?? 80 38 00 74 20 80 BB D5 00 00 00 00 74 17 80 BB 1C 01 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 83 66 24 FC 5E 5B C3 4C 49 53 54 42 4F 58 00 }
	condition:
		$1
}

rule function_13900_0 {
	meta:
		name = "TCustomListBox.CreateWnd"
		size = 160
		refs = "000e TWinControl.CreateWnd 0023 TWinControl.GetHandle 0029 SetWindowPos 004d SendMessage 0054 _NF__4C7 0078 TCustomListBox.SetTopIndex 0085 TCustomListBox.SetItemIndex 0090 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 38 8B 7B 3C 8B C3 E8 ?? ?? ?? ?? 6A 14 57 56 8B 43 34 50 8B 43 30 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 BB 34 01 00 00 00 74 1B 8D 83 34 01 00 00 50 6A 01 68 92 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B B3 38 01 00 00 85 F6 74 3A 8B D6 8B 83 18 01 00 00 8B 08 FF 51 08 8B 93 3C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 40 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 38 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13901_0 {
	meta:
		name = "TCustomListBox.DestroyWnd"
		size = 88
		refs = "0016 _Dn_TStringList 001b TObject.Create 0037 TCustomListBox.GetTopIndex 0044 TCustomListBox.GetItemIndex 0051 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 8B D8 8B 83 18 01 00 00 8B 10 FF 52 14 85 C0 7E 3B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 38 01 00 00 8B 93 18 01 00 00 8B C6 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 89 83 3C 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 40 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13903_0 {
	meta:
		name = "TCustomListBox.WMLButtonDown"
		size = 148
		refs = "0010 KeysToShiftState 0035 SmallPointToPoint 0040 TCustomListBox.ItemAtPos 004f TCustomListBox.GetSelected 005c TControl.BeginDrag 0067 TControl.WMLButtonDown"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 8B F0 66 8B 47 04 E8 ?? ?? ?? ?? 8B D8 80 7E 49 01 75 46 80 BE 2E 01 00 00 00 74 3D F6 C3 01 74 05 F6 C3 04 74 33 8B D4 8B 47 08 E8 ?? ?? ?? ?? 8B D4 B1 01 8B C6 E8 ?? ?? ?? ?? 8B E8 85 ED 7C 18 8B D5 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 2B 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 49 01 75 1C 80 BE 2E 01 00 00 00 74 0A F6 C3 04 75 0E F6 C3 01 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13904_0 {
	meta:
		name = "TCustomListBox.CNCommand"
		size = 52
		refs = "0016 TControl.Changed 0021 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 66 8B 42 06 66 FF C8 74 07 66 FF C8 74 16 EB 1F 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5B C3 8B C3 66 BB EF FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13905_0 {
	meta:
		name = "_NF__51B"
		size = 353
		refs = "0022 TWinControl.GetHandle 0089 TCustomListBox.GetTopIndex 009e GetClipBox 0101 TObject.Dispatch 011a Rect"
	strings:
		$1 = { 55 8B EC 81 C4 70 FF FF FF 53 56 57 8B 7D 08 83 C7 FC C7 45 E8 2B BC 00 00 8D 45 A8 89 45 F0 8B 07 E8 ?? ?? ?? ?? 89 45 EC C7 45 A8 02 00 00 00 C7 45 B4 01 00 00 00 33 C0 89 45 B8 8B 45 08 8B 40 F8 8B 40 04 89 45 C0 8B 07 E8 ?? ?? ?? ?? 89 45 AC 8B 07 E8 ?? ?? ?? ?? 89 45 BC C7 45 D8 2C BC 00 00 8B 07 E8 ?? ?? ?? ?? 89 45 DC 8D 45 90 89 45 E0 C7 45 90 02 00 00 00 8B 07 E8 ?? ?? ?? ?? 89 45 94 33 F6 8B 07 E8 ?? ?? ?? ?? 8B D8 8D 45 80 50 8B 45 08 8B 40 F8 8B 40 04 50 E8 ?? ?? ?? ?? 8B 07 8B 40 3C 89 45 FC 8B 07 8B 40 38 89 45 F8 3B 75 FC 0F 8D 9F 00 00 00 89 5D 98 8B 07 8B 80 18 01 00 00 8B 10 FF 52 14 3B D8 7D 12 8B 07 8B 80 18 01 00 00 8B D3 8B 08 FF 51 18 89 45 A4 8B 45 F8 89 45 9C 8B 07 8B 80 28 01 00 00 89 45 A0 8B 45 A4 89 45 D4 89 5D B0 8D 55 D8 8B 07 E8 ?? ?? ?? ?? 8B 45 A0 03 C6 50 8D 85 70 FF FF FF 50 8B 4D 9C 8B D6 33 C0 E8 ?? ?? ?? ?? 56 57 8D B5 70 FF FF FF 8D 7D C4 B9 04 00 00 00 F3 A5 5F 5E 8D 55 E8 8B 07 E8 ?? ?? ?? ?? 03 75 A0 43 8B 07 8B 80 18 01 00 00 8B 10 FF 52 14 3B D8 7D 09 3B 75 FC 0F 8C 61 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13906_0 {
	meta:
		name = "TCustomListBox.WMPaint"
		size = 45
		refs = "0017 _NF__51B 0025 TWinControl.WMPaint"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 83 78 04 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_13908_0 {
	meta:
		name = "TCustomListBox.DragCanceled"
		size = 93
		refs = "0010 GetCursorPos 001d TControl.ScreenToClient 0026 PointToSmallPoint"
	strings:
		$1 = { 56 83 C4 E0 8B F0 C7 44 24 08 01 02 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 18 8B D4 8B C6 E8 ?? ?? ?? ?? 8D 44 24 18 E8 ?? ?? ?? ?? 89 44 24 10 33 C0 89 44 24 0C 33 C0 89 44 24 14 8D 54 24 08 8B C6 8B 08 FF 51 F0 C7 44 24 08 02 02 00 00 8D 54 24 08 8B C6 8B 08 FF 51 F0 83 C4 20 5E C3 }
	condition:
		$1
}

rule function_13909_0 {
	meta:
		name = "TCustomListBox.DrawItem"
		size = 187
		refs = "0022 TCustomListBox.DrawItem 005a TCanvas.FillRect 0091 TCanvas.TextOut 00a6 @LStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 46 01 00 00 00 74 1A 8D 45 F0 50 8A 45 08 50 8B CE 8B D3 8B 83 48 01 00 00 FF 93 44 01 00 00 EB 45 8D 55 F0 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 8B 10 FF 52 14 3B F0 7D 28 8D 4D EC 8B D6 8B 83 18 01 00 00 8B 30 FF 56 0C 8B 45 EC 50 8B 55 F0 83 C2 02 8B 4D F4 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13910_0 {
	meta:
		name = "TCustomListBox.MeasureItem"
		size = 32
	strings:
		$1 = { 53 66 83 B8 4E 01 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 50 01 00 00 FF 93 4C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_13911_0 {
	meta:
		name = "TCustomListBox.CNDrawItem"
		size = 188
		refs = "001a TCanvas.SetHandle 0028 TCanvas.SetFont 0039 TCanvas.SetBrush 0058 TBrush.SetColor 006b TFont.SetColor 0092 TCanvas.FillRect 00a5 DrawFocusRect"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B 7A 08 8A 47 10 88 04 24 8B 57 18 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 8B 56 50 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 8B 96 C8 00 00 00 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 83 7F 08 00 7C 2C F6 04 24 01 74 26 8B 86 20 01 00 00 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8B 86 20 01 00 00 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? 8B 6F 08 85 ED 7C 12 8A 04 24 50 8D 4F 1C 8B D5 8B C6 8B 18 FF 53 7C EB 0E 8D 57 1C 8B 86 20 01 00 00 E8 ?? ?? ?? ?? F6 04 24 10 74 0D 8D 47 1C 50 8B 47 18 50 E8 ?? ?? ?? ?? 33 D2 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13912_0 {
	meta:
		name = "TCustomListBox.CNMeasureItem"
		size = 44
	strings:
		$1 = { 53 56 8B F0 8B 42 08 8B 96 28 01 00 00 89 50 10 80 BE 2C 01 00 00 02 75 10 8D 48 10 8B 50 08 8B C6 8B 18 FF 93 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13913_0 {
	meta:
		name = "TCustomListBox.CMCtl3DChanged"
		size = 44
		refs = "0007 NewStyleControls 001c TWinControl.RecreateWnd 0025 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 80 BB 1C 01 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13914_0 {
	meta:
		name = "TScrollBar.Create"
		size = 148
		refs = "000a @ClassCreate 0017 TWinControl.Create 0023 TControl.SetWidth 002a GetSystemMetrics 0033 TControl.SetHeight 003c TWinControl.SetTabStop 0042 TScrollBar.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? 6A 03 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 46 40 C6 86 18 01 00 00 00 33 C0 89 86 1C 01 00 00 33 C0 89 86 20 01 00 00 C7 86 24 01 00 00 64 00 00 00 66 C7 86 28 01 00 00 01 00 66 C7 86 2A 01 00 00 01 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 90 00 00 00 }
	condition:
		$1
}

rule function_13915_0 {
	meta:
		name = "TScrollBar.CreateParams"
		size = 64
		refs = "000b TWinControl.CreateParams 0010 TScrollBar.CreateParams 0019 TWinControl.CreateSubClass 0028 _NV__53A"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 18 01 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 5E 5B C3 00 00 53 43 52 4F 4C 4C 42 41 52 00 00 00 }
	condition:
		$1
}

rule function_13916_0 {
	meta:
		name = "TScrollBar.CreateWnd"
		size = 67
		refs = "0006 TWinControl.CreateWnd 001f TWinControl.GetHandle 0025 SetScrollRange 003d SetScrollPos"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 24 01 00 00 50 8B 83 20 01 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 8B 83 1C 01 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13917_0 {
	meta:
		name = "TScrollBar.SetKind"
		size = 55
		refs = "0030 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B D8 3A 93 18 01 00 00 74 28 88 93 18 01 00 00 F6 43 20 01 75 15 8B 43 3C 50 8B 43 38 50 8B 4B 34 8B 53 30 8B C3 8B 30 FF 56 4C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13918_0 {
	meta:
		name = "TScrollBar.SetParams"
		size = 250
		refs = "0012 TScrollBar.SetParams 0025 SScrollBarRange 002a LoadResString 0034 _Dn_EInvalidOperation 0039 Exception.Create 003e @RaiseExcept 0075 TWinControl.HandleAllocated 0095 TWinControl.GetHandle 009b SetScrollRange 00c6 SetScrollPos 00d1 @CallDynaInst 00e6 @LStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 7D 08 7E 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B FE 7E 02 8B F7 3B 75 08 7E 03 8B 75 08 3B BB 20 01 00 00 75 0B 8B 83 24 01 00 00 3B 45 08 74 3C 89 BB 20 01 00 00 8B 45 08 89 83 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 3B B3 1C 01 00 00 0F 94 C0 F6 D8 1B C0 50 8B 45 08 50 57 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B B3 1C 01 00 00 74 2E 89 B3 1C 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 6A FF 56 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 66 BB DB FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13919_0 {
	meta:
		name = "TScrollBar.SetPosition"
		size = 19
		refs = "000e TScrollBar.SetParams"
	strings:
		$1 = { 8B 88 24 01 00 00 51 8B 88 20 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13920_0 {
	meta:
		name = "TScrollBar.SetMin"
		size = 21
		refs = "0010 TScrollBar.SetParams"
	strings:
		$1 = { 8B 88 24 01 00 00 51 8B CA 8B 90 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13921_0 {
	meta:
		name = "TScrollBar.SetMax"
		size = 19
		refs = "000e TScrollBar.SetParams"
	strings:
		$1 = { 52 8B 88 20 01 00 00 8B 90 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13922_0 {
	meta:
		name = "TScrollBar.Change"
		size = 36
		refs = "0006 TControl.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 2E 01 00 00 00 74 0E 8B D3 8B 83 30 01 00 00 FF 93 2C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_13924_0 {
	meta:
		name = "_NF__557"
		size = 227
		refs = "0020 _NF__557 008a TWinControl.GetHandle 0090 GetScrollInfo 00cf @CallDynaInst 00d9 TScrollBar.SetPosition"
	strings:
		$1 = { 53 56 83 C4 E0 8B DA 8B F0 8B 86 1C 01 00 00 33 D2 8A 53 04 83 FA 07 0F 87 8B 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 96 28 01 00 00 2B C2 EB 59 0F B7 96 28 01 00 00 03 C2 EB 4E 0F B7 96 2A 01 00 00 2B C2 EB 43 0F B7 96 2A 01 00 00 03 C2 EB 38 C7 44 24 04 1C 00 00 00 C7 44 24 08 17 00 00 00 8D 44 24 04 50 6A 02 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 1C EB 0E 8B 86 20 01 00 00 EB 06 8B 86 24 01 00 00 8B 96 20 01 00 00 3B C2 7D 02 8B C2 8B 96 24 01 00 00 3B C2 7E 02 8B C2 89 04 24 8B CC 8A 53 04 8B C6 66 BB DA FF E8 ?? ?? ?? ?? 8B 14 24 8B C6 E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_13927_0 {
	meta:
		name = "TScrollBar.CNCtlColorScrollBar"
		size = 40
		refs = "0014 TWinControl.GetHandle 0021 CallWindowProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 08 50 8B 46 04 50 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 8B 83 B8 00 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13929_0 {
	meta:
		name = "TCustomStaticText.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TWinControl.Create 001d TCustomStaticText.Create 002d TControl.SetWidth 0039 TControl.SetHeight 004e _NF__578"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 46 40 BA 41 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 19 01 00 00 01 C6 86 20 01 00 00 01 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 EA 08 00 00 }
	condition:
		$1
}

rule function_13930_0 {
	meta:
		name = "TCustomStaticText.CreateParams"
		size = 100
		refs = "000b TWinControl.CreateParams 0010 TCustomStaticText.CreateParams 0019 TWinControl.CreateSubClass 0030 _NV__568 003f _NV__569"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 0D 00 01 00 00 33 D2 8A 93 18 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 1A 01 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 80 BB 20 01 00 00 00 75 07 81 4E 04 80 00 00 00 5E 5B C3 00 00 00 53 54 41 54 49 43 00 00 }
	condition:
		$1
}

rule function_13931_0 {
	meta:
		name = "TCustomStaticText.CMDialogChar"
		size = 140
		refs = "000f TCustomStaticText.CMDialogChar 0037 TControl.GetText 0043 IsAccel 0054 TWinControl.CanFocus 007b @LStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 1C 01 00 00 00 74 48 80 7B 45 00 74 42 80 BB 20 01 00 00 00 74 39 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 9B 1C 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 8B 10 FF 52 78 C7 46 0C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13935_0 {
	meta:
		name = "_NF__578"
		size = 219
		refs = "0014 _NF__578 0038 GetDC 0042 TFont.GetHandle 0049 SelectObject 0059 TControl.GetText 0061 @LStrLen 0074 @LStrToPChar 007b GetTextExtentPoint32 008a ReleaseDC 0091 GetSystemMetrics 00c8 @LStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 20 02 0F 85 8F 00 00 00 80 BB 19 01 00 00 00 0F 84 82 00 00 00 6A 00 E8 ?? ?? ?? ?? 8B F0 8B 43 50 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B F8 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 57 56 E8 ?? ?? ?? ?? 56 6A 00 E8 ?? ?? ?? ?? 6A 05 E8 ?? ?? ?? ?? C1 E0 02 03 45 F8 50 6A 06 E8 ?? ?? ?? ?? C1 E0 02 03 45 FC 50 8B 4B 34 8B 53 30 8B C3 8B 18 FF 53 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13936_0 {
	meta:
		name = "TCustomStaticText.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 1C 01 00 00 75 08 33 C0 89 87 1C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13938_0 {
	meta:
		name = "TCustomStaticText.SetAutoSize"
		size = 24
		refs = "0013 _NF__578"
	strings:
		$1 = { 3A 90 19 01 00 00 74 0F 88 90 19 01 00 00 84 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13940_0 {
	meta:
		name = "TCustomStaticText.SetFocusControl"
		size = 17
		refs = "000c TComponent.FreeNotification"
	strings:
		$1 = { 89 90 1C 01 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13948_0 {
	meta:
		name = "THandleObject.Destroy"
		size = 43
		refs = "000b CloseHandle 0017 TObject.Destroy 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13949_0 {
	meta:
		name = "TEvent.Create"
		size = 81
		refs = "000e @ClassCreate 001c @LStrToPChar 0033 CreateEvent"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 50 8A 45 0C F6 D8 1B C0 50 8A 45 10 F6 D8 1B C0 50 56 E8 ?? ?? ?? ?? 89 47 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_13950_0 {
	meta:
		name = "TEvent.WaitFor"
		size = 69
		refs = "000a WaitForSingleObject 0035 GetLastError"
	strings:
		$1 = { 53 56 8B F0 52 8B 46 04 50 E8 ?? ?? ?? ?? 83 E8 FF 74 1F 48 74 14 2D 80 00 00 00 74 09 2D 82 00 00 00 74 0A EB 18 B3 02 EB 16 33 DB EB 12 B3 01 EB 0E B3 03 E8 ?? ?? ?? ?? 89 46 08 EB 02 B3 03 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_13951_0 {
	meta:
		name = "TEvent.SetEvent"
		size = 10
		refs = "0005 SetEvent"
	strings:
		$1 = { 8B 40 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13952_0 {
	meta:
		name = "TEvent.ResetEvent"
		size = 10
		refs = "0005 ResetEvent"
	strings:
		$1 = { 8B 40 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13953_0 {
	meta:
		name = "TSimpleEvent.Create"
		size = 53
		refs = "000a @ClassCreate 001b CreateEvent"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 6A 00 6A FF 6A 00 E8 ?? ?? ?? ?? 89 46 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13954_0 {
	meta:
		name = "TCriticalSection.Create"
		size = 55
		refs = "000a @ClassCreate 0017 TObject.Create 0020 InitializeCriticalSection"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 50 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13958_0 {
	meta:
		name = "TCriticalSection.Enter"
		size = 5
	strings:
		$1 = { 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_13959_0 {
	meta:
		name = "TCriticalSection.Leave"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_13971_0 {
	meta:
		name = "_NF__35"
		size = 79
		refs = "0002 TlsLast 000c TlsIndex 0019 @RunError 0025 _NF__2D 0043 _NF__32 0049 _NV__33"
	strings:
		$1 = { 53 B8 ?? ?? ?? ?? 85 C0 74 43 83 3D ?? ?? ?? ?? 00 7D 0A B8 E2 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 40 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0C B8 E2 00 00 00 E8 ?? ?? ?? ?? EB 0C 53 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13972_0 {
	meta:
		name = "_NF__36"
		size = 39
		refs = "0001 TlsLast 000a _NF__2F 000f TlsIndex 001d @RunError 0022 _NF__35"
	strings:
		$1 = { B8 ?? ?? ?? ?? 85 C0 74 1D E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 85 C0 7D 0A B8 E2 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13973_0 {
	meta:
		name = "_NF__37"
		size = 40
		refs = "0001 TlsLast 000b TlsIndex 0019 _NF__31 0023 _NF__2E"
	strings:
		$1 = { B8 ?? ?? ?? ?? 85 C0 74 1E 83 3D ?? ?? ?? ?? 00 7C 15 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 06 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13974_0 {
	meta:
		name = "_NF__38"
		size = 35
		refs = "0001 TlsLast 000a _NF__37 0010 TlsIndex 001e _NF__30"
	strings:
		$1 = { B8 ?? ?? ?? ?? 85 C0 74 19 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 7C 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13975_0 {
	meta:
		name = "@GetTls"
		size = 67
		refs = "0002 ModuleIsLib 0008 TlsIndex 001c _NF__35 0028 _NF__31 0033 _NV__33"
	strings:
		$1 = { 8A 0D ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 84 C9 75 28 64 8B 15 2C 00 00 00 8B 04 82 C3 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 01 C3 8B 05 ?? ?? ?? ?? C3 50 E8 ?? ?? ?? ?? 85 C0 74 D9 C3 }
	condition:
		$1
}

rule function_13976_0 {
	meta:
		name = "_NF__3B"
		size = 75
		refs = "0012 HInstance 0018 _NF__2B 001f LoadResourceModule 0027 _NV__34 003f RegisterModule"
	strings:
		$1 = { 53 81 C4 F8 FE FF FF 68 05 01 00 00 8D 44 24 04 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B D8 89 1D ?? ?? ?? ?? 85 DB 75 0A A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_13977_0 {
	meta:
		name = "_NF__3C"
		size = 30
		refs = "0001 _NV__34 0006 UnregisterModule 0019 _NF__2A"
	strings:
		$1 = { B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 06 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13978_0 {
	meta:
		name = "@InitPkg"
		size = 83
		refs = "000d ModuleIsLib 0014 ModuleIsPackage 001a _NV__34 001f HInstance 0024 TlsLast 002f _NV__3A 003b _NF__3B 0046 _NF__3C"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 0C 8B 45 08 C6 05 ?? ?? ?? ?? 01 C6 05 ?? ?? ?? ?? 01 A3 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? 85 C0 74 09 8B 34 9D ?? ?? ?? ?? FF D6 83 FB 01 75 07 E8 ?? ?? ?? ?? EB 09 85 DB 75 05 E8 ?? ?? ?? ?? 83 C8 FF 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_13979_0 {
	meta:
		name = "@InitLib"
		size = 56
		refs = "0001 _NV__34 000f ModuleIsLib 0019 HInstance 0021 _NF__3B 0029 DllProc 002e _NV__3A 0033 @StartLib"
	strings:
		$1 = { BA ?? ?? ?? ?? 83 7D 0C 01 75 1C 50 52 C6 05 ?? ?? ?? ?? 01 8B 4D 08 89 0D ?? ?? ?? ?? 89 4A 04 E8 ?? ?? ?? ?? 5A 58 FF 35 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13980_0 {
	meta:
		name = "@InitExe"
		size = 36
		refs = "0004 _NF__2C 0009 _NV__34 0010 HInstance 0018 _NF__3B 001f @StartExe"
	strings:
		$1 = { 50 6A 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 52 89 05 ?? ?? ?? ?? 89 42 04 E8 ?? ?? ?? ?? 5A 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13983_0 {
	meta:
		name = "_NF__10E"
		size = 74
		refs = "0007 TInterfacedObject.QueryInterface 0011 TInterfacedObject._AddRef 001b TInterfacedObject._Release 0022 _NF__10E"
	strings:
		$1 = { CC 83 44 24 04 FC E9 ?? ?? ?? ?? 83 44 24 04 FC E9 ?? ?? ?? ?? 83 44 24 04 FC E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 04 00 00 00 }
	condition:
		$1
}

rule function_14039_0 {
	meta:
		name = "_NF__196"
		size = 34
		refs = "000b _NF__179"
	strings:
		$1 = { 53 83 C4 BC BB 0A 00 00 00 54 E8 ?? ?? ?? ?? F6 44 24 2C 01 74 05 0F B7 5C 24 30 8B C3 83 C4 44 5B C3 }
	condition:
		$1
}

rule function_14048_0 {
	meta:
		name = "_NF__1AC"
		size = 79
		refs = "0003 _NV__1AB 0014 _NF__19A 0024 _NV__1AA"
	strings:
		$1 = { 53 56 BE ?? ?? ?? ?? 83 3E 00 75 3A 68 44 06 00 00 6A 00 E8 ?? ?? ?? ?? 8B C8 85 C9 75 05 33 C0 5E 5B C3 A1 ?? ?? ?? ?? 89 01 89 0D ?? ?? ?? ?? 33 D2 8B C2 03 C0 8D 44 C1 04 8B 1E 89 18 89 06 42 83 FA 64 75 EC 8B 06 8B 10 89 16 5E 5B C3 }
	condition:
		$1
}

rule function_14049_0 {
	meta:
		name = "_NF__1AD"
		size = 6
	strings:
		$1 = { 89 00 89 40 04 C3 }
	condition:
		$1
}

rule function_14050_0 {
	meta:
		name = "_NF__1AE"
		size = 48
		refs = "0007 _NF__1AC"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 5E 5B C3 8B 16 89 50 08 8B 56 04 89 50 0C 8B 13 89 10 89 58 04 89 42 04 89 03 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_14051_0 {
	meta:
		name = "_NF__1AF"
		size = 24
		refs = "000c _NV__1AB"
	strings:
		$1 = { 8B 50 04 8B 08 89 0A 89 51 04 8B 15 ?? ?? ?? ?? 89 10 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14052_0 {
	meta:
		name = "_NF__1B0"
		size = 113
		refs = "002d _NF__1AF 005f _NF__1AE"
	strings:
		$1 = { 53 56 57 55 51 8B F1 89 14 24 8B E8 8B 5D 00 8B 04 24 8B 10 89 16 8B 50 04 89 56 04 8B 3B 8B 43 08 8B D0 03 53 0C 3B 16 75 14 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 06 8B 43 0C 01 46 04 EB 16 8B 16 03 56 04 3B C2 75 0D 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 01 46 04 8B DF 3B EB 75 C2 8B D6 8B C5 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 89 06 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14053_0 {
	meta:
		name = "_NF__1B1"
		size = 143
		refs = "003b _NF__1AF 0070 _NF__1AE"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B FB 8B 32 8B 43 08 3B F0 72 6C 8B CE 03 4A 04 8B E8 03 6B 0C 3B CD 77 5E 3B F0 75 1B 8B 42 04 01 43 08 8B 42 04 29 43 0C 83 7B 0C 00 75 44 8B C3 E8 ?? ?? ?? ?? EB 3B 8B 0A 8B 72 04 03 CE 8B F8 03 7B 0C 3B CF 75 05 29 73 0C EB 26 8B 0A 03 4A 04 89 0C 24 2B F9 89 7C 24 04 8B 12 2B D0 89 53 0C 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 0C B0 01 EB 08 8B 1B 3B FB 75 85 33 C0 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14054_0 {
	meta:
		name = "_NF__1B3"
		size = 99
		refs = "0030 _NF__19C 003f _NV__1B2 0044 _NF__1AE 0057 _NF__19D"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 81 FE 00 00 10 00 7D 07 BE 00 00 10 00 EB 0C 81 C6 FF FF 00 00 81 E6 00 00 FF FF 89 73 04 6A 01 68 00 20 00 00 56 6A 00 E8 ?? ?? ?? ?? 8B F8 89 3B 85 FF 74 23 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 13 68 00 80 00 00 6A 00 8B 03 50 E8 ?? ?? ?? ?? 33 C0 89 03 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14055_0 {
	meta:
		name = "_NF__1B4"
		size = 119
		refs = "001f _NF__19C 0052 _NV__1B2 0057 _NF__1AE 006a _NF__19D"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F2 8B E8 C7 43 04 00 00 10 00 6A 04 68 00 20 00 00 68 00 00 10 00 55 E8 ?? ?? ?? ?? 8B F8 89 3B 85 FF 75 1F 81 C6 FF FF 00 00 81 E6 00 00 FF FF 89 73 04 6A 04 68 00 20 00 00 56 55 E8 ?? ?? ?? ?? 89 03 83 3B 00 74 23 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 13 68 00 80 00 00 6A 00 8B 03 50 E8 ?? ?? ?? ?? 33 C0 89 03 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14056_0 {
	meta:
		name = "_NF__1B5"
		size = 184
		refs = "0029 _NV__1B2 0065 _NF__19D 006f _NV__1A4 007a _NF__1AF"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 4C 24 04 89 14 24 C7 44 24 08 FF FF FF FF 33 D2 89 54 24 0C 8B E8 8B 04 24 03 C5 89 44 24 10 8B 1D ?? ?? ?? ?? EB 51 8B 3B 8B 73 08 3B EE 77 46 8B C6 03 43 0C 3B 44 24 10 77 3B 3B 74 24 08 73 04 89 74 24 08 8B C6 03 43 0C 3B 44 24 0C 76 04 89 44 24 0C 68 00 80 00 00 6A 00 56 E8 ?? ?? ?? ?? 85 C0 75 0A C7 05 ?? ?? ?? ?? 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B DF 81 FB ?? ?? ?? ?? 75 A7 8B 44 24 04 33 D2 89 10 83 7C 24 0C 00 74 19 8B 44 24 04 8B 54 24 08 89 10 8B 44 24 0C 2B 44 24 08 8B 54 24 04 89 42 04 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14057_0 {
	meta:
		name = "_NF__1B6"
		size = 146
		refs = "0040 _NV__1B2 006e _NF__19C"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B D0 8B EA 81 E5 00 F0 FF FF 03 14 24 81 C2 FF 0F 00 00 81 E2 00 F0 FF FF 89 54 24 08 8B 44 24 04 89 28 8B 44 24 08 2B C5 8B 54 24 04 89 42 04 8B 35 ?? ?? ?? ?? EB 3C 8B 5E 08 8B 7E 0C 03 FB 3B EB 76 02 8B DD 3B 7C 24 08 76 04 8B 7C 24 08 3B FB 76 1E 6A 04 68 00 10 00 00 2B FB 57 53 E8 ?? ?? ?? ?? 85 C0 75 0A 8B 44 24 04 33 D2 89 10 EB 0A 8B 36 81 FE ?? ?? ?? ?? 75 BC 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14058_0 {
	meta:
		name = "_NF__1B7"
		size = 125
		refs = "0031 _NV__1B2 005b _NF__19D 0065 _NV__1A4"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B F3 81 C6 FF 0F 00 00 81 E6 00 F0 FF FF 89 34 24 8B EB 03 EA 81 E5 00 F0 FF FF 8B 04 24 89 01 8B C5 2B 04 24 89 41 04 8B 35 ?? ?? ?? ?? EB 38 8B 5E 08 8B 7E 0C 03 FB 3B 1C 24 73 03 8B 1C 24 3B EF 73 02 8B FD 3B FB 76 1C 68 00 40 00 00 2B FB 57 53 E8 ?? ?? ?? ?? 85 C0 75 0A C7 05 ?? ?? ?? ?? 02 00 00 00 8B 36 81 FE ?? ?? ?? ?? 75 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14059_0 {
	meta:
		name = "_NF__1B9"
		size = 142
		refs = "000c _NV__1B8 002e _NF__1B6 004c _NF__1AF 005d _NF__1B3 006d _NF__1B0 007f _NF__1B5"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B F8 BD ?? ?? ?? ?? 81 C7 FF 3F 00 00 81 E7 00 C0 FF FF 8B 5D 00 EB 33 3B 7B 0C 7F 2C 8B CE 8B D7 8B 43 08 E8 ?? ?? ?? ?? 83 3E 00 74 50 8B 46 04 01 43 08 8B 46 04 29 43 0C 83 7B 0C 00 75 3E 8B C3 E8 ?? ?? ?? ?? EB 35 8B 1B 3B DD 75 C9 8B D6 8B C7 E8 ?? ?? ?? ?? 83 3E 00 74 21 8B CC 8B D6 8B C5 E8 ?? ?? ?? ?? 83 3C 24 00 75 A5 8B CC 8B 56 04 8B 06 E8 ?? ?? ?? ?? 33 C0 89 06 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14060_0 {
	meta:
		name = "_NF__1BA"
		size = 291
		refs = "000f _NV__1B8 004d _NF__1B4 0063 _NF__1B0 007b _NF__1B5 00e7 _NF__1B6 010e _NF__1AF"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 0C 24 8B FA 8B F0 BD ?? ?? ?? ?? 81 C7 FF 3F 00 00 81 E7 00 C0 FF FF 8B 5D 00 EB 02 8B 1B 3B DD 74 05 3B 73 08 75 F5 3B 73 08 75 57 3B 7B 0C 0F 8E 96 00 00 00 8D 4C 24 04 8B D7 2B 53 0C 8B 43 08 03 43 0C E8 ?? ?? ?? ?? 83 7C 24 04 00 74 33 8D 4C 24 0C 8D 54 24 04 8B C5 E8 ?? ?? ?? ?? 83 7C 24 0C 00 75 B1 8D 4C 24 0C 8B 54 24 08 8B 44 24 04 E8 ?? ?? ?? ?? 8B 04 24 33 D2 89 10 E9 90 00 00 00 8D 4C 24 04 8B D7 8B C6 E8 ?? ?? ?? ?? 83 7C 24 04 00 74 34 8D 4C 24 0C 8D 54 24 04 8B C5 E8 ?? ?? ?? ?? 83 7C 24 0C 00 0F 85 66 FF FF FF 8D 4C 24 0C 8B 54 24 08 8B 44 24 04 E8 ?? ?? ?? ?? 8B 04 24 33 D2 89 10 EB 48 8B 6B 08 3B F5 75 3A 3B 7B 0C 7F 35 8B 0C 24 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 04 24 83 38 00 74 28 8B 04 24 8B 40 04 01 43 08 8B 04 24 8B 40 04 29 43 0C 83 7B 0C 00 75 10 8B C3 E8 ?? ?? ?? ?? EB 07 8B 04 24 33 D2 89 10 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14061_0 {
	meta:
		name = "_NF__1BB"
		size = 140
		refs = "002f _NF__1B7 003a _NV__1B8 003f _NF__1B0 0056 _NF__1B5 007b _NF__1B1"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F9 89 14 24 8D 98 FF 3F 00 00 81 E3 00 C0 FF FF 8B 34 24 03 F0 81 E6 00 C0 FF FF 3B DE 73 5B 8B CF 8B D6 2B D3 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 04 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5C 24 04 85 DB 74 1F 8D 4C 24 0C 8B 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B 44 24 0C 89 44 24 04 8B 44 24 10 89 44 24 08 83 7C 24 04 00 74 14 8D 54 24 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 33 C0 89 07 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14062_0 {
	meta:
		name = "_NF__1C7"
		size = 196
		refs = "0007 _NF__1C7 0012 _NV__1A5 0017 _NF__19E 001d IsMultiThread 002a _NF__19F 002f _NV__1B2 0034 _NF__1AD 0039 _NV__1B8 0043 _NV__1C6 0054 _NF__19A 0059 _NV__1C5 0080 _NV__1C1 008a _NV__1C2 0090 _NV__1A3 00b1 _NF__1A0 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 F8 0F 00 00 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 2F B8 03 00 00 00 8B 15 ?? ?? ?? ?? 33 C9 89 4C 82 F4 40 3D 01 04 00 00 75 EC B8 ?? ?? ?? ?? 89 40 04 89 00 A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 A0 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_14063_0 {
	meta:
		name = "_NF__1C8"
		size = 226
		refs = "0006 _NV__1A3 0015 _NF__1C8 0021 IsMultiThread 0029 _NV__1A5 002e _NF__19F 003a _NV__1C5 0040 _NF__19B 004d _NV__1B2 005f _NF__19D 0073 _NF__1AD 0078 _NV__1B8 0082 _NV__1C6 008c _NV__1AA 00c9 _NF__1A0 00d3 _NF__1A1 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 80 3D ?? ?? ?? ?? 00 0F 84 CE 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? EB 12 68 00 80 00 00 6A 00 8B 43 08 50 E8 ?? ?? ?? ?? 8B 1B 81 FB ?? ?? ?? ?? 75 E6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 85 C0 74 17 8B 10 89 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 85 C0 75 E9 64 8F 05 00 00 00 00 83 C4 08 68 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 5D C3 }
	condition:
		$1
}

rule function_14064_0 {
	meta:
		name = "_NF__1C9"
		size = 83
		refs = "0003 _NV__1C2 0028 _NV__1C5"
	strings:
		$1 = { 53 3B 05 ?? ?? ?? ?? 75 09 8B 50 04 89 15 ?? ?? ?? ?? 8B 50 04 8B 48 08 81 F9 00 10 00 00 7F 2A 3B C2 75 10 C1 E9 02 A1 ?? ?? ?? ?? 33 D2 89 54 88 F4 EB 1D C1 E9 02 8B 1D ?? ?? ?? ?? 89 54 8B F4 8B 00 89 02 89 50 04 5B C3 8B 00 89 02 89 50 04 5B C3 }
	condition:
		$1
}

rule function_14065_0 {
	meta:
		name = "_NF__1CA"
		size = 47
		refs = "0002 _NV__1C6 0022 _NV__1A4"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? EB 10 8B 4A 08 3B C1 72 07 03 4A 0C 3B C1 72 16 8B 12 81 FA ?? ?? ?? ?? 75 E8 C7 05 ?? ?? ?? ?? 03 00 00 00 33 D2 8B C2 C3 }
	condition:
		$1
}

rule function_14066_0 {
	meta:
		name = "_NF__1CB"
		size = 48
		refs = "0017 _NF__1D1"
	strings:
		$1 = { 53 8B CA 83 E9 04 8D 1C 01 83 FA 10 7C 0F C7 03 07 00 00 80 8B D1 E8 ?? ?? ?? ?? 5B C3 83 FA 04 7C 0C 8B CA 81 C9 02 00 00 80 89 08 89 0B 5B C3 }
	condition:
		$1
}

rule function_14067_0 {
	meta:
		name = "_NF__1CC"
		size = 34
		refs = "0002 AllocMemCount 0018 AllocMemSize 001d SysFreeMem"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 8B D0 83 EA 04 8B 12 81 E2 FC FF FF 7F 83 EA 04 01 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14068_0 {
	meta:
		name = "_NF__1CD"
		size = 40
		refs = "000e _NF__1CC"
	strings:
		$1 = { 83 FA 0C 7C 0E 83 CA 02 89 10 83 C0 04 E8 ?? ?? ?? ?? C3 83 FA 04 7C 0A 8B CA 81 C9 02 00 00 80 89 08 03 C2 83 20 FE C3 }
	condition:
		$1
}

rule function_14069_0 {
	meta:
		name = "_NF__1CE"
		size = 109
		refs = "001b _NV__1A4 0062 _NF__1C9"
	strings:
		$1 = { 53 56 8B D0 83 EA 04 8B 12 8B CA 81 E1 02 00 00 80 81 F9 02 00 00 80 74 0A C7 05 ?? ?? ?? ?? 04 00 00 00 8B DA 81 E3 FC FF FF 7F 2B C3 8B C8 33 11 F7 C2 FE FF FF FF 74 0A C7 05 ?? ?? ?? ?? 05 00 00 00 F6 01 01 74 20 8B D0 83 EA 0C 8B 72 08 2B C6 3B 70 08 74 0A C7 05 ?? ?? ?? ?? 06 00 00 00 E8 ?? ?? ?? ?? 03 DE 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_14070_0 {
	meta:
		name = "_NF__1CF"
		size = 56
		refs = "0024 _NF__1C9"
	strings:
		$1 = { 53 56 57 8B D8 33 FF 8B 03 A9 00 00 00 80 74 0B 25 FC FF FF 7F 03 F8 03 D8 8B 03 A8 02 75 13 8B F3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 03 F8 03 D8 83 23 FE 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14071_0 {
	meta:
		name = "_NF__1D0"
		size = 152
		refs = "000e _NF__1CA 0041 _NF__1BB 0068 _NF__1CB 0082 _NF__1CD 008b _NF__1B1"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 6B 08 8B C5 03 43 0C 8B D0 8D 0C 37 2B D1 83 FA 0C 7F 04 8B F8 2B FE 8B C6 2B C5 83 F8 0C 7D 12 8B CC 8B D6 2B 53 08 03 D7 8B C5 E8 ?? ?? ?? ?? EB 0F 8B CC 8B D7 83 EA 04 8D 46 04 E8 ?? ?? ?? ?? 8B 2C 24 85 ED 75 04 33 C0 EB 30 8B D5 2B D6 8B C6 E8 ?? ?? ?? ?? 8B C5 03 44 24 04 8B 53 08 03 53 0C 3B C2 73 0A 8D 14 37 2B D0 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? B0 01 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14072_0 {
	meta:
		name = "_NF__1D1"
		size = 126
		refs = "0024 _NV__1C5 005b _NF__1D0 0064 _NV__1C2"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B DF 89 73 08 8B C3 03 C6 83 E8 0C 89 70 08 81 FE 00 10 00 00 7F 30 8B D6 C1 EA 02 A1 ?? ?? ?? ?? 8B 44 90 F4 85 C0 75 10 A1 ?? ?? ?? ?? 89 5C 90 F4 89 5B 04 89 1B EB 3A 8B 10 89 43 04 89 13 89 18 89 5A 04 EB 2C 81 FE 00 3C 00 00 7C 0D 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 17 A1 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 8B 10 89 43 04 89 13 89 18 89 5A 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14073_0 {
	meta:
		name = "_NF__1D2"
		size = 74
		refs = "0002 _NV__1C3 0014 _NV__1A4 0028 _NV__1C4 0037 _NF__1CC"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 7E 40 83 3D ?? ?? ?? ?? 0C 7D 0C C7 05 ?? ?? ?? ?? 07 00 00 00 EB 2B A1 ?? ?? ?? ?? 83 C8 02 8B 15 ?? ?? ?? ?? 89 02 A1 ?? ?? ?? ?? 83 C0 04 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14074_0 {
	meta:
		name = "_NF__1D3"
		size = 137
		refs = "0010 _NF__1D2 001b _NV__1C6 0020 _NF__1B0 0037 _NF__1CE 0050 _NF__1CF 0069 _NF__1CB 0074 _NV__1C4 007c _NV__1C3"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8D 3C 24 A5 A5 8B FC E8 ?? ?? ?? ?? 8D 4C 24 08 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5C 24 08 85 DB 75 04 33 C0 EB 52 8B 07 3B D8 73 0A E8 ?? ?? ?? ?? 29 07 01 47 04 8B 07 03 47 04 8B F3 03 74 24 0C 3B C6 73 08 E8 ?? ?? ?? ?? 01 47 04 8B 07 03 47 04 3B F0 75 11 83 E8 04 BA 04 00 00 00 E8 ?? ?? ?? ?? 83 6F 04 04 8B 07 A3 ?? ?? ?? ?? 8B 47 04 A3 ?? ?? ?? ?? B0 01 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14075_0 {
	meta:
		name = "_NF__1D4"
		size = 43
		refs = "000c _NF__1B9 0019 _NF__1D3"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8D 43 04 E8 ?? ?? ?? ?? 83 3C 24 00 74 0B 8B C4 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 59 5A 5B C3 }
	condition:
		$1
}

rule function_14076_0 {
	meta:
		name = "_NF__1D5"
		size = 49
		refs = "0011 _NF__1BA 001e _NF__1D3"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8D 56 04 8B C3 E8 ?? ?? ?? ?? 83 3C 24 00 74 0B 8B C4 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14077_0 {
	meta:
		name = "_NF__1D6"
		size = 37
		refs = "000e _NV__1C5"
	strings:
		$1 = { 33 D2 C1 E8 02 3D 00 04 00 00 77 16 8B 15 ?? ?? ?? ?? 8B 54 82 F4 85 D2 75 08 40 3D 01 04 00 00 75 EA 8B C2 C3 }
	condition:
		$1
}

rule function_14078_0 {
	meta:
		name = "_NF__1D7"
		size = 244
		refs = "0007 _NV__1C2 000c _NV__1C3 0012 _NV__1C1 004b _NF__1D6 0058 _NF__1D4 007e _NV__1C4 0094 AllocMemCount 009d AllocMemSize 00a6 _NF__1C9 00bc _NF__1D1"
	strings:
		$1 = { 53 56 57 55 8B F0 BF ?? ?? ?? ?? BD ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 3B 73 08 0F 8E 84 00 00 00 8B 1F 8B 43 08 3B F0 7E 7B 89 73 08 8B 5B 04 3B 73 08 7F F8 8B 17 89 42 08 3B 1F 74 04 89 1F EB 63 81 FE 00 10 00 00 7F 0D 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 4E 8B C6 E8 ?? ?? ?? ?? 84 C0 75 07 33 C0 E9 88 00 00 00 3B 75 00 7F A4 29 75 00 83 7D 00 0C 7D 08 03 75 00 33 C0 89 45 00 A1 ?? ?? ?? ?? 01 35 ?? ?? ?? ?? 8B D6 83 CA 02 89 10 83 C0 04 FF 05 ?? ?? ?? ?? 83 EE 04 01 35 ?? ?? ?? ?? EB 4C 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B C2 2B C6 83 F8 0C 7C 0C 8B D3 03 D6 92 E8 ?? ?? ?? ?? EB 12 8B F2 3B 1F 75 05 8B 43 04 89 07 8B C3 03 C6 83 20 FE 8B C3 8B D6 83 CA 02 89 10 83 C0 04 FF 05 ?? ?? ?? ?? 83 EE 04 01 35 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14079_0 {
	meta:
		name = "SysGetMem"
		size = 389
		refs = "000d _NV__1A3 0015 _NF__1C7 002b SysGetMem 0037 IsMultiThread 003f _NV__1A5 0044 _NF__19F 0072 _NV__1C5 00e0 AllocMemCount 00e9 AllocMemSize 00ee @TryFinallyExit 00f9 _NV__1C3 011c _NV__1C4 014c _NF__1D7 016f _NF__1A0 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 80 3D ?? ?? ?? ?? 00 75 13 E8 ?? ?? ?? ?? 84 C0 75 0A 33 C0 89 45 FC E9 54 01 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C3 07 83 E3 FC 83 FB 0C 7D 05 BB 0C 00 00 00 81 FB 00 10 00 00 0F 8F 93 00 00 00 8B C3 85 C0 79 03 83 C0 03 C1 F8 02 8B 15 ?? ?? ?? ?? 8B 54 82 F4 85 D2 74 79 8B F2 8B C6 03 C3 83 20 FE 8B 42 04 3B D0 75 1A 8B C3 85 C0 79 03 83 C0 03 C1 F8 02 8B 0D ?? ?? ?? ?? 33 FF 89 7C 81 F4 EB 26 8B CB 85 C9 79 03 83 C1 03 C1 F9 02 8B 3D ?? ?? ?? ?? 89 44 8F F4 8B 0A 89 4D F8 8B 4D F8 89 41 04 8B 4D F8 89 08 8B C6 8B 52 08 83 CA 02 89 10 83 C0 04 89 45 FC FF 05 ?? ?? ?? ?? 83 EB 04 01 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 84 00 00 00 3B 1D ?? ?? ?? ?? 7F 4A 29 1D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 0C 7D 0D 03 1D ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 01 1D ?? ?? ?? ?? 8B D3 83 CA 02 89 10 83 C0 04 89 45 FC FF 05 ?? ?? ?? ?? 83 EB 04 01 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14080_0 {
	meta:
		name = "SysFreeMem"
		size = 418
		refs = "000c _NV__1A4 0012 _NV__1A3 001a _NF__1C7 003c SysFreeMem 0048 IsMultiThread 0050 _NV__1A5 0055 _NF__19F 0076 AllocMemCount 0086 AllocMemSize 00d0 _NF__1C9 00e2 _NV__1C4 00f0 _NV__1C3 0101 _NF__1D2 010b @TryFinallyExit 0165 _NF__1D1 018d _NF__1A0 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C0 A3 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 1F E8 ?? ?? ?? ?? 84 C0 75 16 C7 05 ?? ?? ?? ?? 08 00 00 00 C7 45 FC 08 00 00 00 E9 61 01 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F3 83 EE 04 8B 1E F6 C3 02 75 0F C7 05 ?? ?? ?? ?? 09 00 00 00 E9 F5 00 00 00 FF 0D ?? ?? ?? ?? 8B C3 25 FC FF FF 7F 83 E8 04 29 05 ?? ?? ?? ?? F6 C3 01 74 45 8B C6 83 E8 0C 8B 50 08 83 FA 0C 7C 08 F7 C2 03 00 00 80 74 0F C7 05 ?? ?? ?? ?? 0A 00 00 00 E9 B6 00 00 00 8B C6 2B C2 3B 50 08 74 0F C7 05 ?? ?? ?? ?? 0A 00 00 00 E9 9E 00 00 00 03 DA 8B F0 E8 ?? ?? ?? ?? 81 E3 FC FF FF 7F 8B C6 03 C3 8B F8 3B 3D ?? ?? ?? ?? 75 2C 29 1D ?? ?? ?? ?? 01 1D ?? ?? ?? ?? 81 3D ?? ?? ?? ?? 00 3C 00 00 7E 05 E8 ?? ?? ?? ?? 33 C0 89 45 FC E8 ?? ?? ?? ?? E9 85 00 00 00 8B 10 F6 C2 02 74 1C 81 E2 FC FF FF 7F 83 FA 04 7D 0C C7 05 ?? ?? ?? ?? 0B 00 00 00 EB 37 83 08 01 EB 29 8B C7 83 78 04 00 74 0B 83 38 00 74 06 83 78 08 0C 7D 0C C7 05 ?? ?? ?? ?? 0B 00 00 00 EB 13 8B 50 08 03 DA E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14081_0 {
	meta:
		name = "_NF__1DC"
		size = 463
		refs = "003e _NV__1C4 0052 _NV__1C3 008c _NF__1C9 00a8 _NF__1CC 010e AllocMemSize 0127 _NF__1D2 016f _NF__1D1 019a _NF__1D5"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 83 C6 07 83 E6 FC 83 FE 0C 7D 05 BE 0C 00 00 00 8B E8 83 ED 04 8B 7D 00 81 E7 FC FF FF 7F 8B C5 03 C7 8B D8 3B FE 0F 82 83 00 00 00 8B D7 2B D6 89 14 24 3B 1D ?? ?? ?? ?? 75 38 8B 04 24 29 05 ?? ?? ?? ?? 8B 04 24 01 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 0C 0F 8D 4C 01 00 00 8B 04 24 01 05 ?? ?? ?? ?? 8B 04 24 29 05 ?? ?? ?? ?? 8B F7 E9 33 01 00 00 8B D8 F6 03 02 75 0D 8B C3 8B 50 08 01 14 24 E8 ?? ?? ?? ?? 83 3C 24 0C 7C 1B 8B DD 03 DE 8B 04 24 83 C8 02 89 03 8B C3 83 C0 04 E8 ?? ?? ?? ?? E9 FE 00 00 00 8B F7 E9 F7 00 00 00 8B C6 2B C7 89 44 24 04 3B 1D ?? ?? ?? ?? 75 67 A1 ?? ?? ?? ?? 3B 44 24 04 7C 53 8B 44 24 04 29 05 ?? ?? ?? ?? 8B 44 24 04 01 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 0C 7D 18 A1 ?? ?? ?? ?? 01 05 ?? ?? ?? ?? 03 35 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8B C6 2B C7 01 05 ?? ?? ?? ?? 8B 45 00 25 03 00 00 80 0B F0 89 75 00 B0 01 E9 A2 00 00 00 E8 ?? ?? ?? ?? 8B DD 03 DF F6 03 02 75 4D 8B D3 8B C2 8B 48 08 89 0C 24 8B 0C 24 3B 4C 24 04 73 0E 03 14 24 8B DA 8B 04 24 29 44 24 04 EB 2C E8 ?? ?? ?? ?? 8B 44 24 04 29 04 24 83 3C 24 0C 7C 0E 8B C5 03 C6 8B 14 24 E8 ?? ?? ?? ?? EB 3A 03 34 24 8B DD 03 DE 83 23 FE EB 2E 8B 03 A9 00 00 00 80 74 21 25 FC FF FF 7F 03 C3 8B D8 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B DD 03 DF E9 0D FF FF FF 33 C0 EB 19 8B C6 2B C7 01 05 ?? ?? ?? ?? 8B 45 00 25 03 00 00 80 0B F0 89 75 00 B0 01 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14082_0 {
	meta:
		name = "SysReallocMem"
		size = 193
		refs = "000d _NV__1A3 0015 _NF__1C7 002b SysReallocMem 0037 IsMultiThread 003f _NV__1A5 0044 _NF__19F 004d _NF__1DC 005d SysGetMem 0082 Move 0089 SysFreeMem 00ac _NF__1A0 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 80 3D ?? ?? ?? ?? 00 75 13 E8 ?? ?? ?? ?? 84 C0 75 0A 33 C0 89 45 FC E9 91 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 89 5D FC EB 36 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C3 83 E8 04 8B 00 25 FC FF FF 7F 83 E8 04 3B F0 7D 02 8B C6 85 FF 74 11 8B D7 8B CB 91 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 7D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14083_0 {
	meta:
		name = "_NF__1E0"
		size = 20
	strings:
		$1 = { 33 C9 8B 10 3B C2 74 09 03 4A 0C 8B 12 3B C2 75 F7 8B C1 C3 }
	condition:
		$1
}

rule function_14084_0 {
	meta:
		name = "GetHeapStatus"
		size = 652
		refs = "000d _NV__1A4 0044 _NV__1A3 0053 GetHeapStatus 005f IsMultiThread 0067 _NV__1A5 006c _NF__19F 0071 _NV__1B2 0076 _NF__1E0 007d _NV__1B8 008a _NV__1C6 009e _NV__1C5 00eb _NV__1C1 0122 _NV__1C3 016e _NV__1C4 027a _NF__1A0 0280 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F0 33 C0 A3 ?? ?? ?? ?? 33 C0 89 06 33 C0 89 46 04 33 C0 89 46 08 33 C0 89 46 0C 33 C0 89 46 10 33 C0 89 46 14 33 C0 89 46 18 33 C0 89 46 1C 33 C0 89 46 20 33 C0 89 46 24 80 3D ?? ?? ?? ?? 00 0F 84 37 02 00 00 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 33 C9 BA 03 00 00 00 A1 ?? ?? ?? ?? 8B 44 90 F4 85 C0 74 32 03 48 08 8B 18 3B 43 04 75 0D 8B 58 04 3B 03 75 06 83 78 08 0C 7D 0C C7 05 ?? ?? ?? ?? 0C 00 00 00 EB 0F 8B 40 04 8B 1D ?? ?? ?? ?? 3B 44 93 F4 75 CE 42 81 FA 01 04 00 00 75 B8 89 4E 14 33 C9 A1 ?? ?? ?? ?? EB 26 8B 10 3B 42 04 75 0D 8B 50 04 3B 02 75 06 83 78 08 0C 7D 0C C7 05 ?? ?? ?? ?? 0C 00 00 00 EB 0D 03 48 08 8B 40 04 3D ?? ?? ?? ?? 75 D3 89 4E 18 A1 ?? ?? ?? ?? 89 46 1C 8B 56 14 03 56 18 03 D0 89 56 10 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 89 46 20 A1 ?? ?? ?? ?? 89 45 F0 33 C0 E9 DE 00 00 00 8B 55 F0 8B 52 08 8B 4D F0 8B 49 0C 03 CA 89 4D F4 3B 55 F4 0F 83 BC 00 00 00 3B 15 ?? ?? ?? ?? 75 27 83 3D ?? ?? ?? ?? 00 7E 1E 8B 0D ?? ?? ?? ?? 01 4D FC 84 C0 74 0A C7 05 ?? ?? ?? ?? 07 00 00 00 33 C0 E9 82 00 00 00 8B CA F6 01 01 0F 95 C3 3A C3 74 0A C7 05 ?? ?? ?? ?? 0B 00 00 00 8B 01 A8 02 75 2A 8B C1 8B 08 3B 41 04 75 0D 8B 48 04 3B 01 75 06 83 78 08 0C 7D 0A C7 05 ?? ?? ?? ?? 0D 00 00 00 8B 48 08 01 4D FC B0 01 EB 3C 8B C8 81 E1 FC FF FF 7F A9 00 00 00 80 74 1F 01 4E 20 8B 45 F0 3B 50 08 76 20 8D 04 11 3B 45 F4 73 18 C7 05 ?? ?? ?? ?? 09 00 00 00 EB 0C 8B C1 83 E8 04 01 45 F8 83 46 20 04 33 C0 03 D1 3B 55 F4 0F 82 44 FF FF FF 8B 55 F0 8B 12 89 55 F0 BA ?? ?? ?? ?? 3B 55 F0 0F 85 14 FF FF FF 8B 46 10 3B 45 FC 74 0A C7 05 ?? ?? ?? ?? 0E 00 00 00 8B 45 F8 89 46 0C A1 ?? ?? ?? ?? 89 46 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14085_0 {
	meta:
		name = "@GetMem"
		size = 23
		refs = "0006 _NV__1E2 0012 _NF__1EB"
	strings:
		$1 = { 85 C0 74 0A FF 15 ?? ?? ?? ?? 09 C0 74 01 C3 B0 01 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14086_0 {
	meta:
		name = "@FreeMem"
		size = 23
		refs = "0006 _NV__1E2 0012 _NF__1EB"
	strings:
		$1 = { 85 C0 74 0A FF 15 ?? ?? ?? ?? 09 C0 75 01 C3 B0 02 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14087_0 {
	meta:
		name = "@ReallocMem"
		size = 77
		refs = "000f _NV__1E2 001e _NF__1EB"
	strings:
		$1 = { 8B 08 85 C9 74 32 85 D2 74 18 50 89 C8 FF 15 ?? ?? ?? ?? 59 09 C0 74 19 89 01 C3 B0 02 E9 ?? ?? ?? ?? 89 10 89 C8 FF 15 ?? ?? ?? ?? 09 C0 75 EB C3 B0 01 E9 ?? ?? ?? ?? 85 D2 74 10 50 89 D0 FF 15 ?? ?? ?? ?? 59 09 C0 74 E7 89 01 C3 }
	condition:
		$1
}

rule function_14088_0 {
	meta:
		name = "GetMemoryManager"
		size = 27
		refs = "0002 _NV__1E2"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 89 10 8B 15 ?? ?? ?? ?? 89 50 04 8B 15 ?? ?? ?? ?? 89 50 08 C3 }
	condition:
		$1
}

rule function_14089_0 {
	meta:
		name = "SetMemoryManager"
		size = 27
		refs = "0004 _NV__1E2"
	strings:
		$1 = { 8B 10 89 15 ?? ?? ?? ?? 8B 50 04 89 15 ?? ?? ?? ?? 8B 50 08 89 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14090_0 {
	meta:
		name = "IsMemoryManagerSet"
		size = 45
		refs = "0001 SysGetMem 0007 _NV__1E2 000e SysFreeMem 001b SysReallocMem"
	strings:
		$1 = { B8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 1D B8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 10 B8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_14091_0 {
	meta:
		name = "_NF__1EB"
		size = 66
		refs = "0005 ErrorProc 0013 _NF__1EB 001a @GetTls 0020 InOutRes 0025 @RunError"
	strings:
		$1 = { 83 E0 7F 8B 0D ?? ?? ?? ?? 85 C9 74 03 5A FF D1 48 8A 80 ?? ?? ?? ?? 79 0B E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? E9 ?? ?? ?? ?? CB CC C8 C9 D7 CF C8 CD CE DB D8 CA D9 DA DC DD DE DF E0 E1 E3 00 E4 E5 C3 }
	condition:
		$1
}

rule function_14092_0 {
	meta:
		name = "@_IOTest"
		size = 29
		refs = "0004 @GetTls 000a InOutRes 0018 _NF__1EB"
	strings:
		$1 = { 50 52 51 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 59 5A 58 75 01 C3 31 C0 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14093_0 {
	meta:
		name = "_NF__1ED"
		size = 13
		refs = "0002 @GetTls 0008 InOutRes"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 8F 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14095_0 {
	meta:
		name = "@ChDir"
		size = 28
		refs = "0006 @LStrToPChar 000c _NF__184 0016 _NF__1EE"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14111_0 {
	meta:
		name = "@RmDir"
		size = 28
		refs = "0006 @LStrToPChar 000c _NF__183 0016 _NF__1EE"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14096_0 {
	meta:
		name = "@Copy"
		size = 65
	strings:
		$1 = { 56 57 89 C6 8B 7C 24 0C 31 C0 0A 06 74 2B 85 D2 7E 18 39 C2 7F 1B 29 D0 40 85 C9 7C 14 39 C1 7F 14 01 D6 88 0F 47 F3 A4 EB 11 BA 01 00 00 00 EB E5 31 C9 EB EC 89 C1 EB E8 88 07 5F 5E C2 04 00 C3 }
	condition:
		$1
}

rule function_14097_0 {
	meta:
		name = "@Delete"
		size = 45
	strings:
		$1 = { 56 57 89 C7 31 C0 8A 07 85 D2 7E 1E 39 C2 7F 1A 85 C9 7E 16 29 D0 40 39 C1 7E 02 89 C1 28 0F 01 D7 8D 34 0F 29 C8 89 C1 F3 A4 5F 5E C3 }
	condition:
		$1
}

rule function_14098_0 {
	meta:
		name = "@LGetDir"
		size = 118
		refs = "0033 _NF__175 0039 _NF__184 0069 @LStrFromArray"
	strings:
		$1 = { 53 56 81 C4 F4 FD FF FF 8B F2 8B D8 84 DB 74 2D 33 C0 8A C3 83 C0 41 48 88 04 24 C6 44 24 01 3A C6 44 24 02 00 8D 84 24 08 01 00 00 50 68 04 01 00 00 E8 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 8D 44 24 04 50 68 04 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 0D 8D 84 24 08 01 00 00 50 E8 ?? ?? ?? ?? 8B C6 8D 54 24 04 B9 04 01 00 00 E8 ?? ?? ?? ?? 81 C4 0C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14099_0 {
	meta:
		name = "@SGetDir"
		size = 116
		refs = "0018 @SGetDir 002b @LGetDir 003e @LStrToString 004d @PStrNCpy 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 33 DB 89 5D FC 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC 25 FF 00 00 00 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8B C3 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14100_0 {
	meta:
		name = "@Insert"
		size = 102
	strings:
		$1 = { 53 56 57 51 8B 4C 24 14 81 EC 00 02 00 00 89 D3 89 D6 31 D2 8A 16 46 42 85 C9 7E 32 39 D1 7F 35 4A 89 E7 49 29 CA F3 A4 96 8A 0E 46 F3 A4 89 C6 89 D1 F3 A4 29 E7 8B 8C 24 00 02 00 00 39 F9 72 02 89 F9 89 DF 89 E6 88 0F 47 F3 A4 EB 0B B9 01 00 00 00 EB CB 89 D1 EB C7 81 C4 04 02 00 00 5F 5E 5B C2 04 00 C3 }
	condition:
		$1
}

rule function_14101_0 {
	meta:
		name = "IOResult"
		size = 22
		refs = "0001 @GetTls 0009 InOutRes"
	strings:
		$1 = { E8 ?? ?? ?? ?? 31 D2 8B 88 ?? ?? ?? ?? 89 90 ?? ?? ?? ?? 89 C8 C3 }
	condition:
		$1
}

rule function_14102_0 {
	meta:
		name = "@MkDir"
		size = 30
		refs = "0008 @LStrToPChar 000e _NF__172 0018 _NF__1EE"
	strings:
		$1 = { 53 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14103_0 {
	meta:
		name = "Move"
		size = 64
	strings:
		$1 = { 56 57 89 C6 89 D7 89 C8 39 F7 7F 13 74 2F C1 F9 02 78 2A F3 A5 89 C1 83 E1 03 F3 A4 5F 5E C3 8D 74 0E FC 8D 7C 0F FC C1 F9 02 78 11 FD F3 A5 89 C1 83 E1 03 83 C6 03 83 C7 03 F3 A4 FC 5F 5E C3 }
	condition:
		$1
}

rule function_14104_0 {
	meta:
		name = "_NF__202"
		size = 106
		refs = "005b @LStrFromPCharLen"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B D8 EB 01 43 8A 03 84 C0 74 04 3C 20 76 F5 80 3B 22 75 0B 80 7B 01 22 75 05 83 C3 02 EB E6 33 F6 EB 23 3C 22 75 1A 43 EB 05 88 04 34 46 43 8A 03 84 C0 74 04 3C 22 75 F1 80 3B 00 74 08 43 EB 05 88 04 34 46 43 8A 03 3C 20 77 D7 8B C2 8B D4 8B CE E8 ?? ?? ?? ?? 8B C3 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14105_0 {
	meta:
		name = "ParamCount"
		size = 95
		refs = "000b ParamCount 0016 _NF__174 001e _NF__202 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B D8 33 F6 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 83 7D FC 00 74 03 46 EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14106_0 {
	meta:
		name = "ParamStr"
		size = 87
		refs = "001e _NF__178 0029 @LStrFromPCharLen 0030 _NF__174 003b _NF__202"
	strings:
		$1 = { 53 56 57 81 C4 F8 FE FF FF 8B F2 8B D8 85 DB 75 1E 68 05 01 00 00 8D 44 24 04 50 6A 00 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? EB 1E E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B F8 85 DB 74 08 83 3E 00 74 03 4B EB E9 81 C4 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14107_0 {
	meta:
		name = "@Pos"
		size = 62
	strings:
		$1 = { 53 56 57 89 C6 89 D7 31 C9 8A 0F 47 57 31 D2 8A 16 46 4A 78 1B 8A 06 46 29 D1 7E 14 F2 AE 75 10 89 CB 56 57 89 D1 F3 A6 5F 5E 74 09 89 D9 EB EC 5A 31 C0 EB 05 5A 89 F8 29 D0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14109_0 {
	meta:
		name = "@SetString"
		size = 14
		refs = "0009 Move"
	strings:
		$1 = { 88 08 85 D2 74 07 92 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14110_0 {
	meta:
		name = "Randomize"
		size = 59
		refs = "000b _NF__164 0033 RandSeed"
	strings:
		$1 = { 55 8B EC 83 C4 E8 8D 45 E8 50 E8 ?? ?? ?? ?? 0F B7 45 F0 6B C0 3C 66 03 45 F2 6B C0 3C 31 D2 66 8B 55 F4 01 D0 69 C0 E8 03 00 00 66 8B 55 F6 01 D0 89 05 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_14112_0 {
	meta:
		name = "UpCase"
		size = 14
	strings:
		$1 = { 80 F8 61 72 08 80 F8 7A 77 03 80 E8 20 C3 }
	condition:
		$1
}

rule function_14113_0 {
	meta:
		name = "Set8087CW"
		size = 14
		refs = "0003 Default8087CW"
	strings:
		$1 = { 66 89 05 ?? ?? ?? ?? D9 2D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14114_0 {
	meta:
		name = "@COS"
		size = 13
	strings:
		$1 = { D9 FF DF E0 9E 7A 01 C3 DD D8 D9 EE C3 }
	condition:
		$1
}

rule function_14115_0 {
	meta:
		name = "@EXP"
		size = 23
	strings:
		$1 = { D9 EA DE C9 D9 C0 D9 FC DC E9 D9 C9 D9 F0 D9 E8 DE C1 D9 FD DD D9 C3 }
	condition:
		$1
}

rule function_14116_0 {
	meta:
		name = "@INT"
		size = 24
		refs = "000a _NV__211"
	strings:
		$1 = { 83 EC 04 9B D9 3C 24 9B D9 2D ?? ?? ?? ?? D9 FC 9B D9 2C 24 83 C4 04 C3 }
	condition:
		$1
}

rule function_14117_0 {
	meta:
		name = "@SIN"
		size = 13
	strings:
		$1 = { D9 FE DF E0 9E 7A 01 C3 DD D8 D9 EE C3 }
	condition:
		$1
}

rule function_14118_0 {
	meta:
		name = "@FRAC"
		size = 28
		refs = "000c _NV__211"
	strings:
		$1 = { D9 C0 83 EC 04 9B D9 3C 24 9B D9 2D ?? ?? ?? ?? D9 FC 9B D9 2C 24 83 C4 04 DE E9 C3 }
	condition:
		$1
}

rule function_14119_0 {
	meta:
		name = "@ROUND"
		size = 7
	strings:
		$1 = { 50 DB 1C 24 9B 58 C3 }
	condition:
		$1
}

rule function_14120_0 {
	meta:
		name = "@TRUNC"
		size = 27
		refs = "000a _NV__211"
	strings:
		$1 = { 83 EC 08 9B D9 3C 24 9B D9 2D ?? ?? ?? ?? DB 5C 24 04 9B D9 2C 24 83 C4 04 58 C3 }
	condition:
		$1
}

rule function_14121_0 {
	meta:
		name = "@AbstractError"
		size = 26
		refs = "0002 AbstractErrorProc 0015 @RunError"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? B8 D2 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14122_0 {
	meta:
		name = "@PStrCat"
		size = 40
	strings:
		$1 = { 56 57 89 C7 31 C0 8A 07 89 D6 31 C9 8A 0E 46 88 C2 00 CA 72 0A 88 17 47 01 C7 F3 A4 5F 5E C3 FE C2 28 D1 B2 FF EB EE C3 }
	condition:
		$1
}

rule function_14123_0 {
	meta:
		name = "@PStrNCat"
		size = 48
	strings:
		$1 = { 56 57 89 C7 31 C0 8A 07 89 D6 31 D2 8A 16 46 00 D0 72 12 38 C8 77 0E 89 D1 8A 17 88 07 47 01 D7 F3 A4 5F 5E C3 88 C8 2A 0F 76 F7 88 CA EB E8 C3 }
	condition:
		$1
}

rule function_14124_0 {
	meta:
		name = "@PStrCpy"
		size = 28
	strings:
		$1 = { 31 C9 56 57 8A 0A 89 C7 41 89 D6 89 C8 C1 E9 02 83 E0 03 F3 A5 89 C1 F3 A4 5F 5E C3 }
	condition:
		$1
}

rule function_14125_0 {
	meta:
		name = "@PStrNCpy"
		size = 47
	strings:
		$1 = { 56 57 89 C7 31 C0 89 D6 8A 02 38 C8 77 12 40 89 C1 83 E0 03 C1 E9 02 F3 A5 89 C1 F3 A4 5F 5E C3 88 0F 46 47 81 E1 FF 00 00 00 F3 A4 5F 5E C3 }
	condition:
		$1
}

rule function_14126_0 {
	meta:
		name = "@PStrCmp"
		size = 130
	strings:
		$1 = { 53 56 57 89 C6 89 D7 31 C0 31 D2 8A 06 8A 17 46 47 29 D0 77 02 01 C2 52 C1 EA 02 74 26 8B 0E 8B 1F 39 D9 75 44 4A 74 15 8B 4E 04 8B 5F 04 39 D9 75 37 83 C6 08 83 C7 08 4A 75 E2 EB 06 83 C6 04 83 C7 04 5A 83 E2 03 74 1C 8A 0E 3A 0F 75 2F 4A 74 13 8A 4E 01 3A 4F 01 75 24 4A 74 08 8A 4E 02 3A 4F 02 75 19 01 C0 EB 15 5A 38 D9 75 10 38 FD 75 0C C1 E9 10 C1 EB 10 38 D9 75 02 38 FD 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14127_0 {
	meta:
		name = "@AStrCmp"
		size = 111
	strings:
		$1 = { 53 56 51 89 CE C1 EE 02 74 26 8B 08 8B 1A 39 D9 75 45 4E 74 15 8B 48 04 8B 5A 04 39 D9 75 38 83 C0 08 83 C2 08 4E 75 E2 EB 06 83 C0 04 83 C2 04 5E 83 E6 03 74 36 8A 08 3A 0A 75 30 4E 74 13 8A 48 01 3A 4A 01 75 25 4E 74 08 8A 48 02 3A 4A 02 75 1A 31 C0 5E 5B C3 5E 38 D9 75 10 38 FD 75 0C C1 E9 10 C1 EB 10 38 D9 75 02 38 FD 5E 5B C3 }
	condition:
		$1
}

rule function_14128_0 {
	meta:
		name = "@FillChar"
		size = 31
	strings:
		$1 = { 57 89 C7 88 CD 89 C8 C1 E0 10 66 89 C8 89 D1 C1 F9 02 78 09 F3 AB 89 D1 83 E1 03 F3 AA 5F C3 }
	condition:
		$1
}

rule function_14129_0 {
	meta:
		name = "@Mark"
		size = 8
		refs = "0003 _NF__1EB"
		altNames = "@Release"
	strings:
		$1 = { B0 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14130_0 {
	meta:
		name = "@RandInt"
		size = 22
		refs = "0002 RandSeed"
	strings:
		$1 = { 69 15 ?? ?? ?? ?? 05 84 08 08 42 89 15 ?? ?? ?? ?? F7 E2 89 D0 C3 }
	condition:
		$1
}

rule function_14131_0 {
	meta:
		name = "@RandExt"
		size = 37
		refs = "0002 RandSeed 0013 _NV__223"
	strings:
		$1 = { 69 15 ?? ?? ?? ?? 05 84 08 08 42 89 15 ?? ?? ?? ?? DD 05 ?? ?? ?? ?? 6A 00 52 DF 2C 24 83 C4 08 D9 FD DD D9 C3 }
	condition:
		$1
}

rule function_14133_0 {
	meta:
		name = "@StrLong"
		size = 95
	strings:
		$1 = { 53 56 57 52 83 EC 14 89 CF 89 C6 99 31 D0 29 D0 B9 0A 00 00 00 31 DB 31 D2 F7 F1 83 C2 30 88 14 1C 43 85 C0 75 F1 85 F6 7D 05 C6 04 1C 2D 43 88 1F 47 8B 4C 24 14 81 F9 FF 00 00 00 7E 05 B9 FF 00 00 00 29 D9 7E 07 00 4F FF B0 20 F3 AA 8A 44 1C FF 88 07 47 4B 75 F6 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14134_0 {
	meta:
		name = "@Str0Long"
		size = 10
		refs = "0005 @StrLong"
	strings:
		$1 = { 89 D1 31 D2 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14135_0 {
	meta:
		name = "@ValLong"
		size = 168
	strings:
		$1 = { 53 56 57 89 C6 50 85 C0 74 51 31 C0 31 DB BF CC CC CC 0C 8A 1E 46 80 FB 20 74 F8 B5 00 80 FB 2D 74 45 80 FB 2B 74 42 80 FB 24 74 42 84 DB 74 32 80 EB 30 80 FB 09 77 2A 39 F8 77 26 8D 04 80 01 C0 01 D8 8A 1E 46 84 DB 75 E6 FE CD 74 10 85 C0 7C 10 59 31 F6 89 32 5F 5E 5B C3 46 EB 04 F7 D8 7E F0 5B 29 DE EB EE FE C5 8A 1E 46 EB BE BF FF FF FF 0F 8A 1E 46 84 DB 74 E1 80 FB 61 72 03 80 EB 20 80 EB 30 80 FB 09 76 0B 80 EB 11 80 FB 05 77 D0 80 C3 0A 39 F8 77 C9 C1 E0 04 01 D8 8A 1E 46 84 DB 75 D5 EB AB C3 }
	condition:
		$1
}

rule function_14136_0 {
	meta:
		name = "@WriteBool"
		size = 36
		refs = "0005 @WriteBool 000a @WriteString"
	strings:
		$1 = { 84 D2 74 0A BA ?? ?? ?? ?? E9 ?? ?? ?? ?? BA ?? ?? ?? ?? E9 ?? ?? ?? ?? 04 54 52 55 45 05 46 41 4C 53 45 C3 }
	condition:
		$1
}

rule function_14137_0 {
	meta:
		name = "@Write0Bool"
		size = 8
		refs = "0003 @WriteBool"
	strings:
		$1 = { 31 C9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14267_0 {
	meta:
		name = "@Write0LString"
		size = 8
		refs = "0003 @WriteLString"
	strings:
		$1 = { 31 C9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14139_0 {
	meta:
		name = "@Write0Long"
		size = 8
		refs = "0003 @WriteLong"
	strings:
		$1 = { 31 C9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14138_0 {
	meta:
		name = "@WriteLong"
		size = 38
		refs = "0015 @StrLong 001e @WriteString"
	strings:
		$1 = { 83 EC 20 50 51 89 D0 31 D2 83 F9 1F 7F 02 89 CA 8D 4C 24 08 E8 ?? ?? ?? ?? 59 58 89 E2 E8 ?? ?? ?? ?? 83 C4 20 C3 }
	condition:
		$1
}

rule function_14140_0 {
	meta:
		name = "@Write2Ext"
		size = 50
		refs = "001b @Str2Ext 0024 @WriteString"
	strings:
		$1 = { DB 6C 24 04 81 EC 00 01 00 00 50 52 83 EC 0C DB 3C 24 89 D0 89 CA 8D 4C 24 14 E8 ?? ?? ?? ?? 59 58 89 E2 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 C2 0C 00 C3 }
	condition:
		$1
}

rule function_14141_0 {
	meta:
		name = "@Write1Ext"
		size = 9
		refs = "0004 @Write2Ext"
	strings:
		$1 = { 83 C9 FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14142_0 {
	meta:
		name = "@Write0Ext"
		size = 14
		refs = "0009 @Write2Ext"
	strings:
		$1 = { BA 17 00 00 00 83 C9 FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14143_0 {
	meta:
		name = "@_CToPasStr"
		size = 23
	strings:
		$1 = { 50 B1 FF 8A 2A 42 84 ED 74 07 40 88 28 FE C9 75 F2 5A 29 D0 88 02 C3 }
	condition:
		$1
}

rule function_14144_0 {
	meta:
		name = "@_CLenToPasStr"
		size = 35
	strings:
		$1 = { 53 50 81 F9 FF 00 00 00 76 05 B9 FF 00 00 00 8A 1A 42 84 DB 74 06 40 88 18 49 75 F3 5A 29 D0 88 02 5B C3 }
	condition:
		$1
}

rule function_14145_0 {
	meta:
		name = "@_ArrayToPasStr"
		size = 23
		refs = "0012 Move"
	strings:
		$1 = { 92 81 F9 FF 00 00 00 76 05 B9 FF 00 00 00 88 0A 42 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14146_0 {
	meta:
		name = "@_PasToCStr"
		size = 18
	strings:
		$1 = { 56 57 89 C6 89 D7 31 C9 8A 0E 46 F3 A4 88 0F 5F 5E C3 }
	condition:
		$1
}

rule function_14147_0 {
	meta:
		name = "@SetElem"
		size = 34
	strings:
		$1 = { 53 57 89 C7 31 DB 88 CB 89 D9 31 C0 F3 AA 29 DF 40 88 D1 D2 C0 C1 E9 03 39 D9 73 03 08 04 0F 5F 5B C3 }
	condition:
		$1
}

rule function_14148_0 {
	meta:
		name = "@SetRange"
		size = 86
	strings:
		$1 = { 53 56 57 31 DB 88 E3 0F B6 F0 0F B6 D2 89 CF 89 D9 31 C0 F3 AA 29 DF C1 E3 03 39 DA 72 03 8D 53 FF 39 D6 77 2D 48 89 F1 80 E1 07 D2 E0 C1 EE 03 88 D1 F6 D1 80 E1 07 D2 EC C1 EA 03 01 F7 89 D1 29 F1 75 06 20 E0 88 07 EB 08 AA 49 B0 FF F3 AA 88 27 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14149_0 {
	meta:
		name = "@SetEq"
		size = 17
	strings:
		$1 = { 56 57 89 C6 89 D7 81 E1 FF 00 00 00 F3 A6 5F 5E C3 }
	condition:
		$1
}

rule function_14150_0 {
	meta:
		name = "@SetLe"
		size = 15
	strings:
		$1 = { 8A 2A F6 D5 22 28 75 06 42 40 FE C9 75 F2 C3 }
	condition:
		$1
}

rule function_14151_0 {
	meta:
		name = "@SetIntersect"
		size = 11
	strings:
		$1 = { 8A 2A 42 20 28 40 FE C9 75 F6 C3 }
	condition:
		$1
}

rule function_14152_0 {
	meta:
		name = "@SetUnion"
		size = 11
	strings:
		$1 = { 8A 2A 42 08 28 40 FE C9 75 F6 C3 }
	condition:
		$1
}

rule function_14153_0 {
	meta:
		name = "@SetSub"
		size = 13
	strings:
		$1 = { 8A 2A F6 D5 42 20 28 40 FE C9 75 F4 C3 }
	condition:
		$1
}

rule function_14154_0 {
	meta:
		name = "@SetExpand"
		size = 31
	strings:
		$1 = { 56 57 89 C6 89 D7 89 CA 31 C9 31 C0 88 D1 F3 AA 88 F1 28 D1 F3 A4 B1 20 28 F1 F3 AA 5F 5E C3 }
	condition:
		$1
}

rule function_14155_0 {
	meta:
		name = "@ObjSetup"
		size = 71
		refs = "0015 _NV__1E2"
	strings:
		$1 = { 83 FA 01 73 01 C3 51 85 C0 75 2C 8B 42 F8 85 C0 74 1E 52 FF 15 ?? ?? ?? ?? 5A 85 C0 74 0E 8B 4A FC 85 C9 7C 03 89 14 08 85 C0 59 C3 31 D2 59 C3 31 D2 83 F8 01 59 C3 8B 4A FC 85 C9 7C 03 89 14 08 31 D2 85 C0 59 C3 }
	condition:
		$1
}

rule function_14156_0 {
	meta:
		name = "@ObjCopy"
		size = 35
	strings:
		$1 = { 53 56 57 89 D6 89 C7 8D 04 0F 8B 10 8B 5A F8 89 D9 C1 E9 02 F3 A5 89 D9 83 E1 03 F3 A4 89 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14157_0 {
	meta:
		name = "@Fail"
		size = 12
		refs = "0005 @FreeMem"
	strings:
		$1 = { 85 D2 74 05 E8 ?? ?? ?? ?? 31 C0 C3 }
	condition:
		$1
}

rule function_14159_0 {
	meta:
		name = "_NF__240"
		size = 47
		refs = "0006 _NF__23F"
	strings:
		$1 = { 53 33 DB 6A 00 E8 ?? ?? ?? ?? 83 F8 07 75 1C 6A 01 E8 ?? ?? ?? ?? 25 00 FF 00 00 3D 00 0D 00 00 74 07 3D 00 04 00 00 75 02 B3 01 8B C3 5B C3 }
	condition:
		$1
}

rule function_14160_0 {
	meta:
		name = "_NF__241"
		size = 196
		refs = "0009 Default8087CW 0019 _NF__241 0023 _NF__181 0056 _NF__182 006c _NF__180 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 0F B7 05 ?? ?? ?? ?? 89 45 F8 8D 45 FC 50 6A 01 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 75 4D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 04 00 00 00 8D 45 F4 50 8D 45 F8 50 6A 00 6A 00 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 66 A1 ?? ?? ?? ?? 66 25 C0 FF 66 8B 55 F8 66 83 E2 3F 66 0B C2 66 A3 ?? ?? ?? ?? 8B E5 5D C3 00 53 4F 46 54 57 41 52 45 5C 42 6F 72 6C 61 6E 64 5C 44 65 6C 70 68 69 5C 52 54 4C 00 46 50 55 4D 61 73 6B 56 61 6C 75 65 00 00 00 00 }
	condition:
		$1
}

rule function_14161_0 {
	meta:
		name = "_NF__242"
		size = 10
		refs = "0005 Default8087CW"
	strings:
		$1 = { DB E3 9B D9 2D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14162_0 {
	meta:
		name = "@BoundErr"
		size = 8
		refs = "0003 _NF__1EB"
	strings:
		$1 = { B0 04 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14163_0 {
	meta:
		name = "@IntOver"
		size = 8
		refs = "0003 _NF__1EB"
	strings:
		$1 = { B0 05 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14165_0 {
	meta:
		name = "TObject.ClassName"
		size = 17
	strings:
		$1 = { 56 57 89 D7 8B 70 E0 31 C9 8A 0E 41 F3 A4 5F 5E C3 }
	condition:
		$1
}

rule function_14166_0 {
	meta:
		name = "TObject.ClassNameIs"
		size = 39
	strings:
		$1 = { 53 31 DB 09 D2 74 1C 8B 40 E0 31 C9 8A 08 3B 4A FC 75 10 4A 8A 3C 08 32 3C 0A 80 E7 DF 75 04 49 75 F2 43 88 D8 5B C3 }
	condition:
		$1
}

rule function_14167_0 {
	meta:
		name = "TObject.ClassParent"
		size = 10
	strings:
		$1 = { 8B 40 E8 85 C0 74 02 8B 00 C3 }
	condition:
		$1
}

rule function_14168_0 {
	meta:
		name = "TObject.NewInstance"
		size = 18
		refs = "0005 @GetMem 000d TObject.InitInstance"
	strings:
		$1 = { 50 8B 40 E4 E8 ?? ?? ?? ?? 89 C2 58 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14169_0 {
	meta:
		name = "TObject.FreeInstance"
		size = 37
		refs = "0013 @FinalizeRecord 001e @FreeMem"
	strings:
		$1 = { 53 56 89 C3 89 C6 8B 36 8B 56 CC 8B 76 E8 85 D2 74 07 E8 ?? ?? ?? ?? 89 D8 85 F6 75 E9 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14170_0 {
	meta:
		name = "TObject.InstanceSize"
		size = 4
	strings:
		$1 = { 8B 40 E4 C3 }
	condition:
		$1
}

rule function_14171_0 {
	meta:
		name = "TObject.Create"
		size = 27
		refs = "0008 @ClassCreate"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 84 D2 74 0A 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_14173_0 {
	meta:
		name = "TObject.Free"
		size = 12
	strings:
		$1 = { 85 C0 74 07 8B 08 B2 01 FF 51 FC C3 }
	condition:
		$1
}

rule function_14174_0 {
	meta:
		name = "TObject.InitInstance"
		size = 82
	strings:
		$1 = { 53 56 57 89 C3 89 D7 AB 8B 4B E4 31 C0 51 C1 E9 02 49 F3 AB 59 83 E1 03 F3 AA 89 D0 89 E2 8B 4B C4 85 C9 74 01 51 8B 5B E8 85 DB 74 04 8B 1B EB ED 39 D4 74 19 5B 8B 0B 83 C3 04 8B 73 10 8B 7B 14 89 34 38 83 C3 18 49 75 F1 39 D4 75 E7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14175_0 {
	meta:
		name = "TObject.CleanupInstance"
		size = 32
		refs = "0013 @FinalizeRecord"
	strings:
		$1 = { 53 56 89 C3 89 C6 8B 36 8B 56 CC 8B 76 E8 85 D2 74 07 E8 ?? ?? ?? ?? 89 D8 85 F6 75 E9 5E 5B C3 }
	condition:
		$1
}

rule function_14176_0 {
	meta:
		name = "TObject.GetInterface"
		size = 44
		refs = "0009 TObject.GetInterfaceEntry"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 03 E8 ?? ?? ?? ?? 85 C0 74 12 03 58 14 89 1E 8B 06 50 8B 00 FF 50 04 B0 01 5E 5B C3 33 C0 89 06 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_14177_0 {
	meta:
		name = "TObject.GetInterfaceEntry"
		size = 68
	strings:
		$1 = { 53 56 89 C3 8B 43 C4 85 C0 74 29 8B 08 83 C0 04 8B 32 3B 30 75 18 8B 72 04 3B 70 04 75 10 8B 72 08 3B 70 08 75 08 8B 72 0C 3B 70 0C 74 13 83 C0 18 49 75 DC 8B 5B E8 85 DB 74 04 8B 1B EB C5 31 C0 5E 5B C3 }
	condition:
		$1
}

rule function_14178_0 {
	meta:
		name = "TObject.GetInterfaceTable"
		size = 4
	strings:
		$1 = { 8B 40 C4 C3 }
	condition:
		$1
}

rule function_14179_0 {
	meta:
		name = "@IsClass"
		size = 21
	strings:
		$1 = { 85 C0 74 10 8B 00 39 D0 74 08 8B 40 E8 85 C0 75 F3 C3 B0 01 C3 }
	condition:
		$1
}

rule function_14180_0 {
	meta:
		name = "@AsClass"
		size = 27
		refs = "0016 _NF__1EB"
	strings:
		$1 = { 85 C0 74 16 89 C1 8B 09 39 D1 74 0E 8B 49 E8 85 C9 75 F3 B0 0A E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14181_0 {
	meta:
		name = "_NF__26C"
		size = 46
	strings:
		$1 = { 57 93 EB 02 8B 1B 8B 7B DC 85 FF 74 0D 0F B7 0F 51 83 C7 02 66 F2 AF 74 0A 59 8B 5B E8 85 DB 75 E3 5F C3 58 01 C0 29 C8 8B 5C 47 FC 5F C3 }
	condition:
		$1
}

rule function_14182_0 {
	meta:
		name = "@CallDynaInst"
		size = 22
		refs = "0005 _NF__26C 0011 @AbstractError"
	strings:
		$1 = { 50 51 8B 00 E8 ?? ?? ?? ?? 59 58 74 02 FF E3 59 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14183_0 {
	meta:
		name = "@CallDynaClass"
		size = 20
		refs = "0003 _NF__26C 000f @AbstractError"
	strings:
		$1 = { 50 51 E8 ?? ?? ?? ?? 59 58 74 02 FF E3 59 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14184_0 {
	meta:
		name = "@FindDynaInst"
		size = 22
		refs = "0006 _NF__26C 0011 @AbstractError"
	strings:
		$1 = { 53 89 D3 8B 00 E8 ?? ?? ?? ?? 89 D8 5B 75 06 59 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14185_0 {
	meta:
		name = "@FindDynaClass"
		size = 20
		refs = "0004 _NF__26C 000f @AbstractError"
	strings:
		$1 = { 53 89 D3 E8 ?? ?? ?? ?? 89 D8 5B 75 06 59 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14186_0 {
	meta:
		name = "TObject.InheritsFrom"
		size = 19
	strings:
		$1 = { EB 02 8B 00 39 D0 74 08 8B 40 E8 85 C0 75 F3 C3 B0 01 C3 }
	condition:
		$1
}

rule function_14187_0 {
	meta:
		name = "TObject.ClassInfo"
		size = 4
	strings:
		$1 = { 8B 40 D0 C3 }
	condition:
		$1
}

rule function_14188_0 {
	meta:
		name = "TObject.SafeCallException"
		size = 6
	strings:
		$1 = { B8 FF FF 00 80 C3 }
	condition:
		$1
}

rule function_14190_0 {
	meta:
		name = "TObject.Dispatch"
		size = 39
		refs = "0014 _NF__26C"
	strings:
		$1 = { 53 66 8B 1A 66 09 DB 74 17 66 81 FB 00 C0 73 10 50 8B 00 E8 ?? ?? ?? ?? 58 74 05 89 D9 5B FF E1 5B 8B 08 FF 61 F0 C3 }
	condition:
		$1
}

rule function_14191_0 {
	meta:
		name = "TObject.MethodAddress"
		size = 78
	strings:
		$1 = { 53 56 57 31 C9 31 FF 8A 1A EB 02 8B 00 8B 70 D8 85 F6 74 15 66 8B 3E 83 C6 02 8A 4E 06 38 D9 74 15 66 8B 0E 01 CE 4F 75 F1 8B 40 E8 85 C0 75 DB EB 18 8A 1A EB EB B5 00 8A 5C 0E 06 32 1C 0A 80 E3 DF 75 EE 49 75 F1 8B 46 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14192_0 {
	meta:
		name = "TObject.MethodName"
		size = 64
	strings:
		$1 = { 53 56 57 89 CF 31 DB 31 C9 EB 02 8B 00 8B 70 D8 85 F6 74 13 66 8B 0E 83 C6 02 3B 56 02 74 13 66 8B 1E 01 DE 49 75 F3 8B 40 E8 85 C0 75 DD 88 07 EB 0A 83 C6 06 31 C9 8A 0E 41 F3 A4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14193_0 {
	meta:
		name = "TObject.FieldAddress"
		size = 80
	strings:
		$1 = { 53 56 57 31 C9 31 FF 8A 1A 50 8B 00 8B 70 D4 85 F6 74 14 66 8B 3E 83 C6 06 8A 4E 06 38 D9 74 18 8D 74 0E 07 4F 75 F2 8B 40 E8 85 C0 75 DC 5A EB 1B 8A 1A 8A 4E 06 EB E8 8A 5C 0E 06 32 1C 0A 80 E3 DF 75 ED 49 75 F1 8B 06 5A 01 D0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14194_0 {
	meta:
		name = "@ClassCreate"
		size = 60
		refs = "0017 @ClassCreate 0026 @HandleAnyException 0032 TObject.Free 0037 @RaiseAgain"
	strings:
		$1 = { 52 51 53 FF 50 F4 31 D2 8D 4C 24 10 64 8B 1A 89 19 89 69 08 C7 41 04 ?? ?? ?? ?? 89 41 0C 64 89 0A 5B 59 5A C3 E9 ?? ?? ?? ?? 8B 44 24 2C 8B 40 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14195_0 {
	meta:
		name = "@ClassDestroy"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 F8 C3 }
	condition:
		$1
}

rule function_14196_0 {
	meta:
		name = "_NF__295"
		size = 26
		refs = "0002 DebugHook 0015 _NF__168"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 10 6A 00 6A 00 6A 00 68 DF FA ED 0E E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14197_0 {
	meta:
		name = "_NF__296"
		size = 32
		refs = "0002 DebugHook 0017 _NF__168"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 74 16 50 50 52 54 6A 02 6A 00 68 E4 FA ED 0E E8 ?? ?? ?? ?? 83 C4 08 58 C3 }
	condition:
		$1
}

rule function_14198_0 {
	meta:
		name = "_NF__297"
		size = 20
		refs = "000b _NF__168"
	strings:
		$1 = { 54 6A 01 6A 00 68 E0 FA ED 0E E8 ?? ?? ?? ?? 83 C4 04 58 C3 }
	condition:
		$1
}

rule function_14199_0 {
	meta:
		name = "_NF__298"
		size = 19
		refs = "0002 DebugHook 000e _NF__297"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 09 50 FF 73 04 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14200_0 {
	meta:
		name = "_NF__299"
		size = 17
		refs = "0002 DebugHook 000c _NF__297"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 07 50 53 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14201_0 {
	meta:
		name = "_NF__29A"
		size = 30
	strings:
		$1 = { 85 C9 74 19 8B 41 01 80 39 E9 74 0C 80 39 EB 75 0C 0F BE C0 41 41 EB 03 83 C1 05 01 C1 C3 }
	condition:
		$1
}

rule function_14202_0 {
	meta:
		name = "_NF__29B"
		size = 38
		refs = "0002 DebugHook 000d _NF__29A 001d _NF__168"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 1C 50 52 51 E8 ?? ?? ?? ?? 51 54 6A 01 6A 00 68 E1 FA ED 0E E8 ?? ?? ?? ?? 59 59 5A 58 C3 }
	condition:
		$1
}

rule function_14203_0 {
	meta:
		name = "_NF__29C"
		size = 27
		refs = "0002 DebugHook 0015 _NF__168"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 11 52 54 6A 01 6A 00 68 E2 FA ED 0E E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_14204_0 {
	meta:
		name = "_NF__29D"
		size = 29
		refs = "0004 DebugHook 0016 _NF__168"
	strings:
		$1 = { 50 52 80 3D ?? ?? ?? ?? 01 76 0F 54 6A 02 6A 00 68 E3 FA ED 0E E8 ?? ?? ?? ?? 5A 58 C3 }
	condition:
		$1
}

rule function_14205_0 {
	meta:
		name = "@HandleAnyException"
		size = 196
		refs = "0021 _NF__242 0027 ExceptObjProc 0042 _NF__296 0068 @HandleAnyException 006e _NF__16A 0077 @GetTls 007d RaiseList 0098 _NF__299 009f @HandleFinally 00ba TObject.Free"
	strings:
		$1 = { 8B 44 24 04 F7 40 04 06 00 00 00 0F 85 AD 00 00 00 81 38 DE FA ED 0E 8B 50 18 8B 48 14 74 30 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 85 D2 0F 84 8B 00 00 00 FF D2 85 C0 0F 84 81 00 00 00 8B 54 24 0C E8 ?? ?? ?? ?? 89 C2 8B 44 24 04 8B 48 0C 83 48 04 02 53 31 DB 56 57 55 64 8B 1B 53 50 52 51 8B 54 24 28 6A 00 50 68 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 8B 7C 24 28 E8 ?? ?? ?? ?? FF B0 ?? ?? ?? ?? 89 A0 ?? ?? ?? ?? 8B 6F 08 8B 5F 04 C7 47 04 ?? ?? ?? ?? 83 C3 05 E8 ?? ?? ?? ?? FF E3 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 88 ?? ?? ?? ?? 8B 11 89 90 ?? ?? ?? ?? 8B 41 08 E9 ?? ?? ?? ?? B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_14206_0 {
	meta:
		name = "@HandleOnException"
		size = 309
		refs = "001b _NF__242 0021 ExceptClsProc 007b @AStrCmp 00ad ExceptObjProc 00b6 _NF__296 00d9 @HandleOnException 00df _NF__16A 00e9 @GetTls 00ef RaiseList 0108 _NF__298 0110 @HandleFinally 012b TObject.Free"
	strings:
		$1 = { 8B 44 24 04 F7 40 04 06 00 00 00 0F 85 1E 01 00 00 81 38 DE FA ED 0E 74 1F FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 85 D2 0F 84 02 01 00 00 FF D2 85 C0 75 0A E9 F7 00 00 00 8B 40 18 8B 00 8B 54 24 08 53 56 57 55 8B 4A 04 8B 59 05 8D 71 09 89 C5 8B 06 85 C0 74 43 89 EF EB 02 8B 3F 8B 00 39 F8 74 37 8B 48 E4 3B 4F E4 75 17 8B 40 E0 8B 57 E0 31 C9 8A 08 3A 0A 75 09 40 42 E8 ?? ?? ?? ?? 74 18 8B 7F E8 8B 06 85 FF 75 D0 83 C6 08 4B 75 C0 5D 5F 5E 5B E9 96 00 00 00 8B 44 24 14 81 38 DE FA ED 0E 8B 50 18 8B 48 14 74 18 FF 15 ?? ?? ?? ?? 8B 54 24 1C E8 ?? ?? ?? ?? 89 C2 8B 44 24 14 8B 48 0C 31 DB 64 8B 1B 53 50 52 51 8B 54 24 28 83 48 04 02 56 6A 00 50 68 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 5B 8B 7C 24 28 E8 ?? ?? ?? ?? FF B0 ?? ?? ?? ?? 89 A0 ?? ?? ?? ?? 8B 6F 08 C7 47 04 ?? ?? ?? ?? 8B 44 24 08 E8 ?? ?? ?? ?? FF 63 04 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 88 ?? ?? ?? ?? 8B 11 89 90 ?? ?? ?? ?? 8B 41 08 E9 ?? ?? ?? ?? B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_14207_0 {
	meta:
		name = "@HandleFinally"
		size = 54
		refs = "0017 @HandleFinally 0026 _NF__29B"
	strings:
		$1 = { 8B 44 24 04 8B 54 24 08 F7 40 04 06 00 00 00 74 1F 8B 4A 04 C7 42 04 ?? ?? ?? ?? 53 56 57 55 8B 6A 08 83 C1 05 E8 ?? ?? ?? ?? FF D1 5D 5F 5E 5B B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_14208_0 {
	meta:
		name = "@HandleAutoException"
		size = 70
	strings:
		$1 = { 8B 44 24 04 F7 40 04 06 00 00 00 75 33 BB FF FF 00 80 81 38 DE FA ED 0E 75 14 8B 50 18 8B 48 14 8B 44 24 08 8B 40 0C 8B 18 FF 53 EC 89 C3 31 C0 8B 64 24 08 59 64 89 08 5A 5D 8D 52 05 59 FF E2 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_14209_0 {
	meta:
		name = "@RaiseExcept"
		size = 25
		refs = "0014 _NF__168"
	strings:
		$1 = { 5A 54 55 57 56 53 50 52 54 6A 07 6A 01 68 DE FA ED 0E 52 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14210_0 {
	meta:
		name = "@RaiseAgain"
		size = 81
		refs = "0007 @RaiseAgain 000c @GetTls 0012 RaiseList 0031 TObject.Free 0036 _NF__295"
	strings:
		$1 = { 8B 44 24 30 C7 40 04 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 ?? ?? ?? ?? 8B 0A 89 88 ?? ?? ?? ?? 8B 42 0C 83 60 04 FD 81 38 DE FA ED 0E 74 0D 8B 42 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 31 C0 83 C4 14 64 8B 10 59 8B 12 89 11 5D 5F 5E 5B B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_14211_0 {
	meta:
		name = "@DoneExcept"
		size = 48
		refs = "0001 @GetTls 0007 RaiseList 0017 TObject.Free 0029 _NF__29C"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 90 ?? ?? ?? ?? 8B 0A 89 88 ?? ?? ?? ?? 8B 42 08 E8 ?? ?? ?? ?? 5A 8B 64 24 2C 31 C0 59 64 89 08 58 5D E8 ?? ?? ?? ?? FF E2 C3 }
	condition:
		$1
}

rule function_14212_0 {
	meta:
		name = "@TryFinallyExit"
		size = 22
	strings:
		$1 = { 31 D2 8B 4C 24 08 8B 44 24 04 83 C1 05 64 89 02 FF D1 C2 0C 00 C3 }
	condition:
		$1
}

rule function_14213_0 {
	meta:
		name = "_NF__2A9"
		size = 9
		refs = "0004 @RunError"
	strings:
		$1 = { 89 14 24 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14214_0 {
	meta:
		name = "_NF__2AA"
		size = 160
		refs = "0098 _NF__2A9"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 02 3D 92 00 00 C0 7F 2C 74 5C 3D 8E 00 00 C0 7F 15 74 57 2D 05 00 00 C0 74 5C 2D 87 00 00 00 74 3D 48 74 4E EB 60 05 71 FF FF 3F 83 E8 02 72 36 74 30 EB 52 3D 96 00 00 C0 7F 11 74 3D 2D 93 00 00 C0 74 2E 48 74 13 48 74 24 EB 3A 2D FD 00 00 C0 74 2F 83 E8 3D 74 26 EB 2C B0 C8 EB 2A B0 C9 EB 26 B0 CD EB 22 B0 CF EB 1E B0 C8 EB 1A B0 D7 EB 16 B0 CE EB 12 B0 D8 EB 0E B0 DA EB 0A B0 D9 EB 06 B0 CA EB 02 B0 FF 25 FF 00 00 00 8B 52 0C E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_14215_0 {
	meta:
		name = "_NF__2AB"
		size = 124
		refs = "000f _NF__242 001b _NF__2AB 0021 _NF__16A 0039 ExceptObjProc 0041 _NF__2AA 0055 _NF__29D 005b ExceptProc 0075 @RunError"
	strings:
		$1 = { 8B 44 24 04 F7 40 04 06 00 00 00 75 6C FC E8 ?? ?? ?? ?? 8B 54 24 08 6A 00 50 68 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 8B 5C 24 04 81 3B DE FA ED 0E 8B 53 14 8B 43 18 74 1D 8B 15 ?? ?? ?? ?? 85 D2 0F 84 ?? ?? ?? ?? 89 D8 FF D2 85 C0 0F 84 ?? ?? ?? ?? 8B 53 0C E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 85 C9 74 02 FF D1 8B 4C 24 04 B8 D9 00 00 00 8B 51 14 89 14 24 E9 ?? ?? ?? ?? 31 C0 C3 }
	condition:
		$1
}

rule function_14216_0 {
	meta:
		name = "_NF__2AC"
		size = 30
		refs = "0010 _NF__2AB 0019 _NV__2A8"
	strings:
		$1 = { 31 D2 8D 45 F4 64 8B 0A 64 89 02 89 08 C7 40 04 ?? ?? ?? ?? 89 68 08 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14217_0 {
	meta:
		name = "_NF__2AD"
		size = 37
		refs = "0004 _NV__2A8"
	strings:
		$1 = { 31 D2 8B 05 ?? ?? ?? ?? 64 8B 0A 39 C8 75 08 8B 00 64 89 02 C3 8B 09 83 F9 FF 74 08 39 01 75 F5 8B 00 89 01 C3 }
	condition:
		$1
}

rule function_14218_0 {
	meta:
		name = "_NF__2AE"
		size = 95
		refs = "0007 _NV__2A8 001c _NF__2AE 0047 @HandleAnyException 0051 @RaiseAgain 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 BF ?? ?? ?? ?? 8B 47 08 85 C0 74 48 8B 5F 0C 8B 70 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 7E 12 4B 89 5F 0C 8B 44 DE 04 85 C0 74 02 FF D0 85 DB 7F EE 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_14219_0 {
	meta:
		name = "_NF__2AF"
		size = 95
		refs = "0007 _NV__2A8 001a _NF__2AF 0047 @HandleAnyException 004c _NF__2AE 0051 @RaiseAgain 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 A1 ?? ?? ?? ?? 85 C0 74 4B 8B 30 33 DB 8B 78 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3B F3 7E 14 8B 04 DF 43 89 1D ?? ?? ?? ?? 85 C0 74 02 FF D0 3B F3 7F EC 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_14220_0 {
	meta:
		name = "@PackageLoad"
		size = 111
		refs = "0009 _NV__2A8 0036 @PackageLoad 0041 _NF__2AF 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 56 57 BE ?? ?? ?? ?? 8D 7D D4 B9 0B 00 00 00 F3 A5 C6 05 ?? ?? ?? ?? 00 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8D 45 D4 A3 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 75 D4 BF ?? ?? ?? ?? B9 0B 00 00 00 F3 A5 C3 E9 ?? ?? ?? ?? EB E9 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_14221_0 {
	meta:
		name = "@PackageUnload"
		size = 111
		refs = "0009 _NV__2A8 0036 @PackageUnload 0041 _NF__2AE 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 56 57 BE ?? ?? ?? ?? 8D 7D D4 B9 0B 00 00 00 F3 A5 C6 05 ?? ?? ?? ?? 00 A3 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? 8D 45 D4 A3 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 75 D4 BF ?? ?? ?? ?? B9 0B 00 00 00 F3 A5 C3 E9 ?? ?? ?? ?? EB E9 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_14222_0 {
	meta:
		name = "@StartExe"
		size = 47
		refs = "0002 _NV__2A8 0019 MainInstance 001e _NF__2AC 0024 IsLibrary 002a _NF__2AF"
	strings:
		$1 = { 89 05 ?? ?? ?? ?? 31 C0 89 05 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? 8B 42 04 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14223_0 {
	meta:
		name = "@StartLib"
		size = 156
		refs = "0004 _NV__2A8 0050 _NF__2AC 007b MainInstance 0084 IsLibrary 008f @Halt0 0094 _NF__2AF"
	strings:
		$1 = { 51 56 57 BE ?? ?? ?? ?? 8D 7D C4 B9 0B 00 00 00 F3 A5 8F 05 ?? ?? ?? ?? 8F 05 ?? ?? ?? ?? 89 2D ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? 8D 4D C4 89 0D ?? ?? ?? ?? 31 C9 83 7D 0C 00 75 02 8B 08 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 40 A2 ?? ?? ?? ?? 48 59 8B 11 89 15 ?? ?? ?? ?? 74 03 FF 14 81 8B 54 24 04 85 D2 74 05 8B 45 0C FF D2 83 3D ?? ?? ?? ?? 00 75 07 C6 05 ?? ?? ?? ?? 01 8B 45 0C 48 0F 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? C2 04 00 C3 }
	condition:
		$1
}

rule function_14224_0 {
	meta:
		name = "@InitResStrings"
		size = 26
		refs = "000d LoadResString"
	strings:
		$1 = { 53 56 8B 18 8D 70 04 8B 46 04 8B 16 E8 ?? ?? ?? ?? 83 C6 08 4B 75 F0 5E 5B C3 }
	condition:
		$1
}

rule function_14225_0 {
	meta:
		name = "@InitResStringImports"
		size = 28
		refs = "000f LoadResString"
	strings:
		$1 = { 53 56 8B 18 8D 70 04 8B 46 04 8B 16 8B 00 E8 ?? ?? ?? ?? 83 C6 08 4B 75 EE 5E 5B C3 }
	condition:
		$1
}

rule function_14226_0 {
	meta:
		name = "@InitImports"
		size = 30
	strings:
		$1 = { 53 56 8B 18 8D 70 04 8B 46 04 8B 16 8B 4E 08 8B 00 01 C8 89 02 83 C6 0C 4B 75 EC 5E 5B C3 }
	condition:
		$1
}

rule function_14227_0 {
	meta:
		name = "_NF__2BC"
		size = 77
		refs = "0003 ExitCode 0008 _NV__2B9 0021 ErrorAddr 0026 FindHInstance 003f _NV__2BB"
	strings:
		$1 = { 53 8B 05 ?? ?? ?? ?? BB ?? ?? ?? ?? B9 0A 00 00 00 31 D2 F7 F1 80 C2 30 88 13 4B 85 C0 75 F2 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 92 29 D0 BB ?? ?? ?? ?? 89 C2 83 E2 0F 8A 92 ?? ?? ?? ?? 88 13 4B C1 E8 04 75 ED 5B C3 }
	condition:
		$1
}

rule function_14228_0 {
	meta:
		name = "_NF__2BD"
		size = 52
		refs = "0001 _NV__2A8 0026 ExitCode"
	strings:
		$1 = { BF ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 2D ?? ?? ?? ?? FF 77 1C FF 77 20 8B 37 B9 0B 00 00 00 F3 A5 5F 5E 31 C0 87 05 ?? ?? ?? ?? F7 D8 19 C0 40 C9 C2 0C 00 C3 }
	condition:
		$1
}

rule function_14229_0 {
	meta:
		name = "@Halt0"
		size = 278
		refs = "0005 _NV__2A8 000a ExitCode 000f ExitProc 0031 ErrorAddr 0039 _NF__2BC 003f IsConsole 0047 _NV__2B9 004c Output 0051 @Write0CString 0056 @WriteLn 005f _NV__2BA 006b _NF__171 0087 _NF__2AE 009e UnregisterModule 00af _NF__173 00b4 _NF__2AD 00c8 _NF__2BD 00d5 _NF__170"
	strings:
		$1 = { 53 56 57 55 BB ?? ?? ?? ?? BE ?? ?? ?? ?? BF ?? ?? ?? ?? 80 7B 24 00 75 16 83 3F 00 74 11 8B 17 89 D0 33 D2 89 17 8B E8 FF D5 83 3F 00 75 EF 83 3D ?? ?? ?? ?? 00 74 3E E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 16 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 6A 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 80 7B 24 02 75 0A 83 3E 00 75 05 33 C0 89 43 0C E8 ?? ?? ?? ?? 80 7B 24 01 76 05 83 3E 00 74 1D 8B 43 10 85 C0 74 16 E8 ?? ?? ?? ?? 8B 43 10 8B 50 08 3B 50 04 74 06 52 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 24 01 75 03 FF 53 28 80 7B 24 00 74 05 E8 ?? ?? ?? ?? 83 3B 00 75 08 8B 06 50 E8 ?? ?? ?? ?? 8B 03 56 8B F0 8B FB B9 0B 00 00 00 F3 A5 5E EB 8C 50 6F 72 74 69 6F 6E 73 20 43 6F 70 79 72 69 67 68 74 20 28 63 29 20 31 39 38 33 2C 39 37 20 42 6F 72 6C 61 6E 64 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14230_0 {
	meta:
		name = "@Halt"
		size = 12
		refs = "0002 ExitCode 0007 @Halt0"
	strings:
		$1 = { 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14231_0 {
	meta:
		name = "@Run0Error"
		size = 8
		refs = "0003 @RunError"
	strings:
		$1 = { 31 C0 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14232_0 {
	meta:
		name = "@RunError"
		size = 12
		refs = "0002 ErrorAddr 0007 @Halt"
	strings:
		$1 = { 8F 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14233_0 {
	meta:
		name = "@Assert"
		size = 26
		refs = "0002 AssertErrorProc 0015 _NF__1EB"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 FF 34 24 FF 15 ?? ?? ?? ?? B0 15 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14234_0 {
	meta:
		name = "_NF__2C8"
		size = 54
		refs = "0004 _NF__242 000c _NF__2AB 0022 @FreeMem"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 31 C9 55 68 ?? ?? ?? ?? 64 8B 11 52 8B 45 08 64 89 21 8B 48 04 8B 10 51 52 E8 ?? ?? ?? ?? 5A 58 FF D2 31 D2 59 64 89 0A 59 5D 5D C2 04 00 }
	condition:
		$1
}

rule function_14235_0 {
	meta:
		name = "BeginThread"
		size = 66
		refs = "0012 @GetMem 0020 IsMultiThread 002f _NF__2C8 0037 _NF__16E"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 89 38 8B 55 10 89 50 04 C6 05 ?? ?? ?? ?? 01 8B 55 08 52 8B 55 0C 52 50 B8 ?? ?? ?? ?? 50 56 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_14237_0 {
	meta:
		name = "@LStrClr"
		size = 34
		refs = "001c @FreeMem"
	strings:
		$1 = { 8B 10 85 D2 74 1B C7 00 00 00 00 00 8B 4A F8 49 7C 0F 89 4A F8 75 0A 50 8D 42 F8 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_14238_0 {
	meta:
		name = "@LStrArrayClr"
		size = 46
		refs = "0021 @FreeMem"
	strings:
		$1 = { 53 56 89 C3 89 D6 8B 13 85 D2 74 19 C7 03 00 00 00 00 8B 4A F8 49 7C 0D 89 4A F8 75 08 8D 42 F8 E8 ?? ?? ?? ?? 83 C3 04 4E 75 DB 5E 5B C3 }
	condition:
		$1
}

rule function_14239_0 {
	meta:
		name = "@LStrAsg"
		size = 65
		refs = "0010 @NewAnsiString 001c Move 003c @FreeMem"
	strings:
		$1 = { 85 D2 74 23 8B 4A F8 41 7F 1A 50 52 8B 42 FC E8 ?? ?? ?? ?? 89 C2 58 52 8B 48 FC E8 ?? ?? ?? ?? 5A 58 EB 03 89 4A F8 87 10 85 D2 74 13 8B 4A F8 49 7C 0D 89 4A F8 75 08 8D 42 F8 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14240_0 {
	meta:
		name = "@LStrLAsg"
		size = 39
		refs = "0022 @FreeMem"
	strings:
		$1 = { 85 D2 74 09 8B 4A F8 41 7E 03 89 4A F8 87 10 85 D2 74 13 8B 4A F8 49 7C 0D 89 4A F8 75 08 8D 42 F8 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14241_0 {
	meta:
		name = "@NewAnsiString"
		size = 35
		refs = "0009 @GetMem"
	strings:
		$1 = { 85 C0 7E 1C 50 83 C0 09 E8 ?? ?? ?? ?? 83 C0 08 5A 89 50 FC C7 40 F8 01 00 00 00 C6 04 10 00 C3 31 C0 C3 }
	condition:
		$1
}

rule function_14242_0 {
	meta:
		name = "@LStrFromPCharLen"
		size = 46
		refs = "000c @NewAnsiString 001d Move 0024 @LStrClr"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF 89 F8 E8 ?? ?? ?? ?? 89 F9 89 C7 85 F6 74 09 89 C2 89 F0 E8 ?? ?? ?? ?? 89 D8 E8 ?? ?? ?? ?? 89 3B 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14243_0 {
	meta:
		name = "@LStrFromPWCharLen"
		size = 143
		refs = "0017 @LStrClr 003a _NF__185 004b @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 55 81 C4 00 F8 FF FF 8B D9 8B EA 8B F8 85 DB 7F 09 8B C7 E8 ?? ?? ?? ?? EB 67 81 FB 00 04 00 00 7D 2C 6A 00 6A 00 68 00 08 00 00 8D 44 24 0C 50 53 55 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 0D 8B D4 8B C7 8B CE E8 ?? ?? ?? ?? EB 33 6A 00 6A 00 6A 00 6A 00 53 55 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 8B C7 8B CE 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 56 8B 07 50 53 55 6A 00 6A 00 E8 ?? ?? ?? ?? 81 C4 00 08 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14244_0 {
	meta:
		name = "@LStrFromChar"
		size = 15
		refs = "0009 @LStrFromPCharLen"
	strings:
		$1 = { 52 89 E2 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_14245_0 {
	meta:
		name = "@LStrFromWChar"
		size = 15
		refs = "0009 @LStrFromPWCharLen"
	strings:
		$1 = { 52 89 E2 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_14277_0 {
	meta:
		name = "@WStrFromChar"
		size = 15
		refs = "0009 @WStrFromPCharLen"
	strings:
		$1 = { 52 89 E2 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_14278_0 {
	meta:
		name = "@WStrFromWChar"
		size = 15
		refs = "0009 @WStrFromPWCharLen"
	strings:
		$1 = { 52 89 E2 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_14246_0 {
	meta:
		name = "@LStrFromPChar"
		size = 45
		refs = "0028 @LStrFromPCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 21 52 3A 0A 74 17 3A 4A 01 74 11 3A 4A 02 74 0B 3A 4A 03 74 05 83 C2 04 EB E8 42 42 42 89 D1 5A 29 D1 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14279_0 {
	meta:
		name = "@WStrFromPChar"
		size = 45
		refs = "0028 @WStrFromPCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 21 52 3A 0A 74 17 3A 4A 01 74 11 3A 4A 02 74 0B 3A 4A 03 74 05 83 C2 04 EB E8 42 42 42 89 D1 5A 29 D1 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14247_0 {
	meta:
		name = "@LStrFromPWChar"
		size = 57
		refs = "0034 @LStrFromPWCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 2D 52 66 3B 0A 74 20 66 3B 4A 02 74 17 66 3B 4A 04 74 0E 66 3B 4A 06 74 05 83 C2 08 EB E4 83 C2 02 83 C2 02 83 C2 02 89 D1 5A 29 D1 D1 E9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14280_0 {
	meta:
		name = "@WStrFromPWChar"
		size = 57
		refs = "0034 @WStrFromPWCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 2D 52 66 3B 0A 74 20 66 3B 4A 02 74 17 66 3B 4A 04 74 0E 66 3B 4A 06 74 05 83 C2 08 EB E4 83 C2 02 83 C2 02 83 C2 02 89 D1 5A 29 D1 D1 E9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14248_0 {
	meta:
		name = "@LStrFromString"
		size = 11
		refs = "0006 @LStrFromPCharLen"
	strings:
		$1 = { 31 C9 8A 0A 42 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14281_0 {
	meta:
		name = "@WStrFromString"
		size = 11
		refs = "0006 @WStrFromPCharLen"
	strings:
		$1 = { 31 C9 8A 0A 42 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14249_0 {
	meta:
		name = "@LStrFromArray"
		size = 24
		refs = "0013 @LStrFromPCharLen"
	strings:
		$1 = { 57 50 51 89 D7 31 C0 F2 AE 75 02 F7 D1 58 01 C1 58 5F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14282_0 {
	meta:
		name = "@WStrFromArray"
		size = 24
		refs = "0013 @WStrFromPCharLen"
	strings:
		$1 = { 57 50 51 89 D7 31 C0 F2 AE 75 02 F7 D1 58 01 C1 58 5F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14250_0 {
	meta:
		name = "@LStrFromWArray"
		size = 25
		refs = "0014 @LStrFromPWCharLen"
	strings:
		$1 = { 57 50 51 89 D7 31 C0 66 F2 AF 75 02 F7 D1 58 01 C1 58 5F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14283_0 {
	meta:
		name = "@WStrFromWArray"
		size = 25
		refs = "0014 @WStrFromPWCharLen"
	strings:
		$1 = { 57 50 51 89 D7 31 C0 66 F2 AF 75 02 F7 D1 58 01 C1 58 5F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14251_0 {
	meta:
		name = "@LStrFromWStr"
		size = 17
		refs = "000c @LStrFromPWCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 05 8B 4A FC D1 E9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14252_0 {
	meta:
		name = "@LStrToString"
		size = 34
		refs = "0017 Move"
	strings:
		$1 = { 53 85 D2 74 18 8B 5A FC 85 DB 74 11 39 D9 7C 02 89 D9 88 08 40 92 E8 ?? ?? ?? ?? 5B C3 C6 00 00 5B C3 }
	condition:
		$1
}

rule function_14253_0 {
	meta:
		name = "@LStrLen"
		size = 8
	strings:
		$1 = { 85 C0 74 03 8B 40 FC C3 }
	condition:
		$1
}

rule function_14254_0 {
	meta:
		name = "@LStrCat"
		size = 68
		refs = "000a @LStrAsg 0022 @LStrSetLength 0030 Move"
	strings:
		$1 = { 85 D2 74 3F 8B 08 85 C9 0F 84 ?? ?? ?? ?? 53 56 57 89 C3 89 D6 8B 79 FC 8B 56 FC 01 FA 39 CE 74 17 E8 ?? ?? ?? ?? 89 F0 8B 4E FC 8B 13 01 FA E8 ?? ?? ?? ?? 5F 5E 5B C3 E8 ?? ?? ?? ?? 8B 03 89 F9 EB E8 C3 }
	condition:
		$1
}

rule function_14255_0 {
	meta:
		name = "@LStrCat3"
		size = 116
		refs = "0008 @LStrAsg 001e @LStrCat 0031 @NewAnsiString 003f Move"
	strings:
		$1 = { 85 D2 74 61 85 C9 0F 84 ?? ?? ?? ?? 3B 10 74 5C 3B 08 74 0E 50 51 E8 ?? ?? ?? ?? 5A 58 E9 ?? ?? ?? ?? 53 56 57 89 D3 89 CE 50 8B 43 FC 03 46 FC E8 ?? ?? ?? ?? 89 C7 89 C2 89 D8 8B 4B FC E8 ?? ?? ?? ?? 89 FA 89 F0 8B 4E FC 03 53 FC E8 ?? ?? ?? ?? 58 89 FA 85 FF 74 03 FF 4F F8 E8 ?? ?? ?? ?? 5F 5E 5B C3 89 CA E9 ?? ?? ?? ?? 89 CA E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14256_0 {
	meta:
		name = "@LStrCatN"
		size = 77
		refs = "0017 @NewAnsiString 002e Move 003f @LStrAsg"
	strings:
		$1 = { 53 56 52 50 89 D3 31 C0 8B 4C 94 10 85 C9 74 03 03 41 FC 4A 75 F2 E8 ?? ?? ?? ?? 50 89 C6 8B 44 9C 14 89 F2 85 C0 74 0A 8B 48 FC 01 CE E8 ?? ?? ?? ?? 4B 75 E9 5A 58 85 D2 74 03 FF 4A F8 E8 ?? ?? ?? ?? 5A 5E 5B 58 8D 24 94 FF E0 C3 }
	condition:
		$1
}

rule function_14257_0 {
	meta:
		name = "@LStrCmp"
		size = 162
	strings:
		$1 = { 53 56 57 89 C6 89 D7 39 D0 0F 84 8F 00 00 00 85 F6 74 68 85 FF 74 6B 8B 46 FC 8B 57 FC 29 D0 77 02 01 C2 52 C1 EA 02 74 26 8B 0E 8B 1F 39 D9 75 58 4A 74 15 8B 4E 04 8B 5F 04 39 D9 75 4B 83 C6 08 83 C7 08 4A 75 E2 EB 06 83 C6 04 83 C7 04 5A 83 E2 03 74 22 8B 0E 8B 1F 38 D9 75 41 4A 74 17 38 FD 75 3A 4A 74 10 81 E3 00 00 FF 00 81 E1 00 00 FF 00 39 D9 75 27 01 C0 EB 23 8B 57 FC 29 D0 EB 1C 8B 46 FC 29 D0 EB 15 5A 38 D9 75 10 38 FD 75 0C C1 E9 10 C1 EB 10 38 D9 75 02 38 FD 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14258_0 {
	meta:
		name = "@LStrAddRef"
		size = 14
	strings:
		$1 = { 85 C0 74 09 8B 50 F8 42 7E 03 89 50 F8 C3 }
	condition:
		$1
}

rule function_14259_0 {
	meta:
		name = "@LStrToPChar"
		size = 12
		refs = "0007 @LStrToPChar"
	strings:
		$1 = { 85 C0 74 02 C3 00 B8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14260_0 {
	meta:
		name = "UniqueString"
		size = 52
		refs = "0013 @NewAnsiString 002a Move"
	strings:
		$1 = { 8B 10 85 D2 74 2B 8B 4A F8 49 74 25 53 89 C3 8B 42 FC E8 ?? ?? ?? ?? 89 C2 8B 03 89 13 8B 48 F8 49 7C 03 89 48 F8 8B 48 FC E8 ?? ?? ?? ?? 8B 13 5B 89 D0 C3 }
	condition:
		$1
}

rule function_14261_0 {
	meta:
		name = "@LStrCopy"
		size = 64
		refs = "0024 @LStrFromPCharLen 0037 @LStrClr"
	strings:
		$1 = { 53 85 C0 74 2D 8B 58 FC 85 DB 74 26 4A 7C 1B 39 DA 7D 1F 29 D3 85 C9 7C 19 39 D9 7F 11 01 C2 8B 44 24 08 E8 ?? ?? ?? ?? EB 11 31 D2 EB E5 89 D9 EB EB 8B 44 24 08 E8 ?? ?? ?? ?? 5B C2 04 00 C3 }
	condition:
		$1
}

rule function_14262_0 {
	meta:
		name = "@LStrDelete"
		size = 72
		refs = "000a UniqueString 0032 Move 0040 @LStrSetLength"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF E8 ?? ?? ?? ?? 8B 13 85 D2 74 30 8B 4A FC 4E 7C 2A 39 CE 7D 26 85 FF 7E 22 29 F1 39 CF 7E 02 89 CF 29 F9 01 F2 8D 04 3A E8 ?? ?? ?? ?? 8B 13 89 D8 8B 52 FC 29 FA E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14263_0 {
	meta:
		name = "@LStrInsert"
		size = 91
		refs = "002b @LStrSetLength 0045 Move"
	strings:
		$1 = { 85 C0 74 56 53 56 57 55 89 C3 89 D6 89 CF 8B 12 52 85 D2 74 03 8B 52 FC 4F 7D 02 31 FF 39 D7 7E 02 89 D7 8B 6B FC 89 F0 01 EA E8 ?? ?? ?? ?? 58 39 D8 75 02 8B 1E 8B 06 8D 14 2F 8B 48 FC 29 D1 01 C2 01 F8 E8 ?? ?? ?? ?? 89 D8 8B 16 89 E9 01 FA E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14264_0 {
	meta:
		name = "@LStrPos"
		size = 69
	strings:
		$1 = { 85 C0 74 40 85 D2 74 31 53 56 57 89 C6 89 D7 8B 4F FC 57 8B 56 FC 4A 78 1B 8A 06 46 29 D1 7E 14 F2 AE 75 10 89 CB 56 57 89 D1 F3 A6 5F 5E 74 0C 89 D9 EB EC 5A 31 C0 EB 08 31 C0 C3 5A 89 F8 29 D0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14265_0 {
	meta:
		name = "@LStrSetLength"
		size = 98
		refs = "0023 @ReallocMem 0039 @NewAnsiString 0051 Move 0058 @LStrClr"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 31 FF 85 D2 74 48 8B 03 85 C0 74 23 83 78 F8 01 75 1D 83 E8 08 83 C2 09 50 89 E0 E8 ?? ?? ?? ?? 58 83 C0 08 89 03 89 70 FC C6 04 30 00 EB 28 89 D0 E8 ?? ?? ?? ?? 89 C7 8B 03 85 C0 74 10 89 FA 8B 48 FC 39 F1 7C 02 89 F1 E8 ?? ?? ?? ?? 89 D8 E8 ?? ?? ?? ?? 89 3B 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14266_0 {
	meta:
		name = "@LStrOfChar"
		size = 42
		refs = "000c @LStrClr 0017 @NewAnsiString 0022 @FillChar"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF 89 C8 E8 ?? ?? ?? ?? 85 F6 7E 12 89 F0 E8 ?? ?? ?? ?? 89 07 89 F2 88 D9 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14268_0 {
	meta:
		name = "@WriteLString"
		size = 32
		refs = "0012 _NF__477 001b _NF__476"
	strings:
		$1 = { 53 89 D3 89 CA 31 C9 85 DB 74 05 8B 4B FC 29 CA 51 E8 ?? ?? ?? ?? 59 89 DA 5B E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14269_0 {
	meta:
		name = "@ReadLString"
		size = 106
		refs = "0009 @LStrClr 001d @ReadString 0026 @LStrFromString 004f @LStrCat"
	strings:
		$1 = { 53 56 89 C3 89 D6 89 D0 E8 ?? ?? ?? ?? 81 EC 00 01 00 00 89 D8 89 E2 B9 FF 00 00 00 E8 ?? ?? ?? ?? 89 F0 89 E2 E8 ?? ?? ?? ?? 80 3C 24 FF 75 31 89 D8 89 E2 B9 FF 00 00 00 E8 ?? ?? ?? ?? 89 E2 6A 00 89 E0 E8 ?? ?? ?? ?? 89 F0 8B 14 24 E8 ?? ?? ?? ?? 89 E0 E8 ?? ?? ?? ?? 58 80 3C 24 FF 74 CF 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14270_0 {
	meta:
		name = "_NF__30E"
		size = 8
		refs = "0003 _NF__1EB"
	strings:
		$1 = { B0 01 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14271_0 {
	meta:
		name = "_NF__30F"
		size = 15
		refs = "000a _NF__189"
	strings:
		$1 = { 8B 08 89 10 85 C9 74 06 51 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14272_0 {
	meta:
		name = "@WStrClr"
		size = 21
		refs = "000f _NF__189"
	strings:
		$1 = { 8B 10 85 D2 74 0E C7 00 00 00 00 00 50 52 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_14273_0 {
	meta:
		name = "@WStrArrayClr"
		size = 33
		refs = "0014 _NF__189"
	strings:
		$1 = { 53 56 89 C3 89 D6 8B 03 85 C0 74 0C C7 03 00 00 00 00 50 E8 ?? ?? ?? ?? 83 C3 04 4E 75 E8 5E 5B C3 }
	condition:
		$1
}

rule function_14274_0 {
	meta:
		name = "@WStrAsg"
		size = 36
		refs = "0004 @WStrClr 0017 _NF__188 001f _NF__30E"
	strings:
		$1 = { 85 D2 0F 84 ?? ?? ?? ?? 8B 4A FC D1 E9 0F 84 ?? ?? ?? ?? 51 52 50 E8 ?? ?? ?? ?? 85 C0 0F 84 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14275_0 {
	meta:
		name = "@WStrFromPCharLen"
		size = 131
		refs = "0017 @WStrClr 0036 _NF__17F 0047 @WStrFromPWCharLen"
	strings:
		$1 = { 53 56 57 55 81 C4 00 F8 FF FF 8B D9 8B EA 8B F8 85 DB 7F 09 8B C7 E8 ?? ?? ?? ?? EB 5B 81 FB 00 04 00 00 7D 28 68 00 04 00 00 8D 44 24 04 50 53 55 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 0D 8B D4 8B C7 8B CE E8 ?? ?? ?? ?? EB 2B 6A 00 6A 00 53 55 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 8B C7 8B CE 33 D2 E8 ?? ?? ?? ?? 56 8B 07 50 53 55 6A 00 6A 00 E8 ?? ?? ?? ?? 81 C4 00 08 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14276_0 {
	meta:
		name = "@WStrFromPWCharLen"
		size = 25
		refs = "0004 @WStrClr 000c _NF__188 0014 _NF__30E"
	strings:
		$1 = { 85 C9 0F 84 ?? ?? ?? ?? 51 52 50 E8 ?? ?? ?? ?? 85 C0 0F 84 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14284_0 {
	meta:
		name = "@WStrFromLStr"
		size = 15
		refs = "000a @WStrFromPCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 03 8B 4A FC E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14285_0 {
	meta:
		name = "@WStrToString"
		size = 100
		refs = "0012 @WStrLen 003f _NF__185 0056 Move"
	strings:
		$1 = { 53 56 57 81 C4 00 FE FF FF 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 3D FF 00 00 00 7C 05 B8 FF 00 00 00 85 C0 75 04 33 C0 EB 1F 6A 00 6A 00 68 00 02 00 00 8D 54 24 0C 52 50 56 6A 00 6A 00 E8 ?? ?? ?? ?? 3B F8 7D 02 8B C7 88 03 85 C0 7E 0B 8D 53 01 8B CC 91 E8 ?? ?? ?? ?? 81 C4 00 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14286_0 {
	meta:
		name = "@WStrToPWChar"
		size = 14
		refs = "0009 @WStrToPWChar"
	strings:
		$1 = { 85 C0 74 04 C3 90 00 00 B8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14287_0 {
	meta:
		name = "@WStrLen"
		size = 10
	strings:
		$1 = { 85 C0 74 05 8B 40 FC D1 E8 C3 }
	condition:
		$1
}

rule function_14288_0 {
	meta:
		name = "@WStrCat"
		size = 95
		refs = "000d @WStrLen 0027 @NewWideString 003d Move 0055 _NF__30F"
	strings:
		$1 = { 53 56 57 55 51 8B EA 89 04 24 8B C5 E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 8B 04 24 8B 00 E8 ?? ?? ?? ?? 8B F0 8D 04 33 E8 ?? ?? ?? ?? 8B F8 85 F6 7E 10 8B CE 03 C9 8B D7 8B 04 24 8B 00 E8 ?? ?? ?? ?? 8B CB 03 C9 8D 14 77 8B C5 E8 ?? ?? ?? ?? 8B 04 24 8B D7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14289_0 {
	meta:
		name = "@WStrCat3"
		size = 100
		refs = "0013 @WStrLen 0030 @NewWideString 003f Move 0059 _NF__30F"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 8B EA 89 04 24 8B C5 E8 ?? ?? ?? ?? 8B D8 8B 44 24 04 E8 ?? ?? ?? ?? 8B F0 85 DB 75 04 85 F6 74 31 8D 04 1E E8 ?? ?? ?? ?? 8B F8 8B CB 03 C9 8B D7 8B C5 E8 ?? ?? ?? ?? 8B CE 03 C9 8D 14 5F 8B 44 24 04 E8 ?? ?? ?? ?? 8B 04 24 8B D7 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14290_0 {
	meta:
		name = "@WStrCatN"
		size = 72
		refs = "0019 @NewWideString 0030 Move 003a _NF__30F"
	strings:
		$1 = { 53 56 52 50 89 D3 31 C0 8B 4C 94 10 85 C9 74 03 03 41 FC 4A 75 F2 D1 E8 E8 ?? ?? ?? ?? 50 89 C6 8B 44 9C 14 89 F2 85 C0 74 0A 8B 48 FC 01 CE E8 ?? ?? ?? ?? 4B 75 E9 5A 58 E8 ?? ?? ?? ?? 5A 5E 5B 58 8D 24 94 FF E0 C3 }
	condition:
		$1
}

rule function_14291_0 {
	meta:
		name = "@WStrCmp"
		size = 129
	strings:
		$1 = { 53 56 57 89 C6 89 D7 39 D0 74 72 85 F6 74 51 85 FF 74 54 8B 46 FC 8B 57 FC 29 D0 77 02 01 C2 52 C1 EA 02 74 26 8B 0E 8B 1F 39 D9 75 41 4A 74 15 8B 4E 04 8B 5F 04 39 D9 75 34 83 C6 08 83 C7 08 4A 75 E2 EB 06 83 C6 04 83 C7 04 5A 83 E2 02 74 0B 66 8B 0E 66 8B 1F 66 39 D9 75 21 01 C0 EB 1D 8B 57 FC 29 D0 EB 16 8B 46 FC 29 D0 EB 0F 5A 66 39 D9 75 09 C1 E9 10 C1 EB 10 66 39 D9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14292_0 {
	meta:
		name = "@NewWideString"
		size = 21
		refs = "0008 _NF__187 0010 _NF__30E"
	strings:
		$1 = { 85 C0 74 10 50 6A 00 E8 ?? ?? ?? ?? 85 C0 0F 84 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14293_0 {
	meta:
		name = "@WStrCopy"
		size = 73
		refs = "000f @WStrLen 003e @WStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 83 FB 01 7D 04 33 DB EB 07 4B 3B C3 7D 02 8B D8 85 FF 7D 04 33 C0 EB 08 2B C3 3B F8 7D 02 8B C7 8B D3 03 D2 03 D6 8B 4D 08 91 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14294_0 {
	meta:
		name = "@WStrDelete"
		size = 141
		refs = "000f @WStrLen 0048 @NewWideString 005e Move 0083 _NF__30F"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B DA 8B E8 8B 45 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 6E 83 FB 01 7C 69 3B F3 7C 65 85 FF 7E 61 4B 8B C6 2B C3 2B C7 8B F8 85 FF 7D 02 33 FF 85 DB 75 0B 85 FF 75 07 33 C0 89 04 24 EB 39 8D 04 1F E8 ?? ?? ?? ?? 89 04 24 85 DB 7E 0F 8B CB 03 C9 8B 14 24 8B 45 00 E8 ?? ?? ?? ?? 85 FF 7E 17 2B F7 8B 45 00 8D 04 70 8B CF 03 C9 8B 14 24 8D 14 5A E8 ?? ?? ?? ?? 8B C5 8B 14 24 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14295_0 {
	meta:
		name = "@WStrInsert"
		size = 154
		refs = "0014 @WStrLen 003f @NewWideString 0056 Move 008f _NF__30F"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D9 89 54 24 04 89 04 24 8B 04 24 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 75 8B 44 24 04 8B 00 E8 ?? ?? ?? ?? 8B F8 83 FB 01 7D 04 33 DB EB 07 4B 3B FB 7D 02 8B DF 8D 04 3E E8 ?? ?? ?? ?? 8B E8 85 DB 7E 11 8B CB 03 C9 8B D5 8B 44 24 04 8B 00 E8 ?? ?? ?? ?? 8B CE 03 C9 8D 54 5D 00 8B 04 24 E8 ?? ?? ?? ?? 3B FB 7E 1A 03 F3 8D 54 75 00 2B FB 8B CF 03 C9 8B 44 24 04 8B 00 8D 04 58 E8 ?? ?? ?? ?? 8B 44 24 04 8B D5 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14296_0 {
	meta:
		name = "@WStrPos"
		size = 80
	strings:
		$1 = { 85 C0 74 4B 85 D2 74 3A 53 56 57 89 C6 89 D7 8B 4F FC D1 E9 57 8B 56 FC D1 EA 4A 78 20 66 8B 06 83 C6 02 29 D1 7E 16 66 F2 AF 75 11 89 CB 56 57 89 D1 66 F3 A7 5F 5E 74 0C 89 D9 EB EA 5A 31 C0 EB 0A 31 C0 C3 5A 89 F8 29 D0 D1 E8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14297_0 {
	meta:
		name = "@WStrSetLength"
		size = 65
		refs = "0010 @NewWideString 0019 @WStrLen 0030 Move 0039 _NF__30F"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 DB 85 F6 7E 27 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 07 E8 ?? ?? ?? ?? 85 C0 7E 13 3B F0 7D 02 8B C6 8B C8 03 C9 8B D3 8B 07 E8 ?? ?? ?? ?? 8B C7 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14298_0 {
	meta:
		name = "@WStrOfWChar"
		size = 39
		refs = "0010 @WStrFromPWCharLen"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C7 8B CB 33 D2 E8 ?? ?? ?? ?? 8B 07 85 DB 7E 09 4B 66 89 34 58 85 DB 7F F7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14299_0 {
	meta:
		name = "@WStrAddRef"
		size = 31
		refs = "000f _NF__187 0018 _NF__30E"
	strings:
		$1 = { 8B 10 85 D2 74 18 50 8B 4A FC D1 E9 51 52 E8 ?? ?? ?? ?? 5A 85 C0 0F 84 ?? ?? ?? ?? 89 02 C3 }
	condition:
		$1
}

rule function_14300_0 {
	meta:
		name = "@InitializeRecord"
		size = 42
		refs = "001c @Initialize"
	strings:
		$1 = { 31 C9 53 8A 4A 01 56 57 89 C3 8D 74 0A 0A 8B 7C 0A 06 8B 16 8B 46 04 01 D8 8B 12 E8 ?? ?? ?? ?? 83 C6 08 4F 7F EC 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14306_0 {
	meta:
		name = "@AddRefRecord"
		size = 42
		refs = "001c @AddRef"
	strings:
		$1 = { 31 C9 53 8A 4A 01 56 57 89 C3 8D 74 0A 0A 8B 7C 0A 06 8B 16 8B 46 04 01 D8 8B 12 E8 ?? ?? ?? ?? 83 C6 08 4F 7F EC 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14301_0 {
	meta:
		name = "@InitializeArray"
		size = 141
		refs = "0036 _NF__1EB 006b @InitializeArray 0081 @InitializeRecord"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF 31 D2 8A 06 8A 56 01 31 C9 80 F8 0A 74 23 80 F8 0B 74 1E 80 F8 0C 74 23 80 F8 0D 74 31 80 F8 0E 74 4A 80 F8 0F 74 0A B0 02 5F 5E 5B E9 ?? ?? ?? ?? 89 0B 83 C3 04 4F 7F F8 EB 45 89 0B 89 4B 04 89 4B 08 89 4B 0C 83 C3 10 4F 7F EF EB 32 55 89 D5 8B 54 2E 0A 89 D8 03 5C 2E 02 8B 4C 2E 06 8B 12 E8 ?? ?? ?? ?? 4F 7F E8 5D EB 14 55 89 D5 89 D8 03 5C 2E 02 89 F2 E8 ?? ?? ?? ?? 4F 7F F0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14302_0 {
	meta:
		name = "@Initialize"
		size = 11
		refs = "0006 @InitializeArray"
	strings:
		$1 = { B9 01 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14308_0 {
	meta:
		name = "@AddRef"
		size = 11
		refs = "0006 @AddRefArray"
	strings:
		$1 = { B9 01 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14305_0 {
	meta:
		name = "@Finalize"
		size = 11
		refs = "0006 @FinalizeArray"
	strings:
		$1 = { B9 01 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14358_0 {
	meta:
		name = "@VarSub"
		size = 11
		refs = "0006 _NF__3CF"
	strings:
		$1 = { B9 01 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14303_0 {
	meta:
		name = "@FinalizeRecord"
		size = 44
		refs = "001c @Finalize"
	strings:
		$1 = { 31 C9 53 8A 4A 01 56 57 89 C3 8D 74 0A 0A 8B 7C 0A 06 8B 16 8B 46 04 01 D8 8B 12 E8 ?? ?? ?? ?? 83 C6 08 4F 7F EC 89 D8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14304_0 {
	meta:
		name = "@FinalizeArray"
		size = 189
		refs = "0036 _NF__1EB 0042 @LStrClr 004b @LStrArrayClr 0059 @WStrClr 0062 @WStrArrayClr 006e @VarClr 008b @FinalizeArray 00a1 @FinalizeRecord 00b1 @IntfClear"
	strings:
		$1 = { 50 53 56 57 89 C3 89 D6 89 CF 31 D2 8A 06 8A 56 01 80 F8 0A 74 24 80 F8 0B 74 36 80 F8 0C 74 48 80 F8 0D 74 52 80 F8 0E 74 6B 80 F8 0F 74 7C 5F 5E 5B 58 B0 02 E9 ?? ?? ?? ?? 83 F9 01 89 D8 7F 07 E8 ?? ?? ?? ?? EB 70 89 CA E8 ?? ?? ?? ?? EB 67 83 F9 01 89 D8 7F 07 E8 ?? ?? ?? ?? EB 59 89 CA E8 ?? ?? ?? ?? EB 50 89 D8 83 C3 10 E8 ?? ?? ?? ?? 4F 7F F3 EB 41 55 89 D5 8B 54 2E 0A 89 D8 03 5C 2E 02 8B 4C 2E 06 8B 12 E8 ?? ?? ?? ?? 4F 7F E8 5D EB 23 55 89 D5 89 D8 03 5C 2E 02 89 F2 E8 ?? ?? ?? ?? 4F 7F F0 5D EB 0D 89 D8 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 5F 5E 5B 58 C3 }
	condition:
		$1
}

rule function_14307_0 {
	meta:
		name = "@AddRefArray"
		size = 170
		refs = "0034 _NF__1EB 003e @LStrAddRef 004d @WStrAddRef 005c @VarAddRef 0079 @AddRefArray 008f @AddRefRecord 009f @IntfAddRef"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF 31 D2 8A 06 8A 56 01 80 F8 0A 74 23 80 F8 0B 74 2D 80 F8 0C 74 37 80 F8 0D 74 41 80 F8 0E 74 5A 80 F8 0F 74 6B B0 02 5F 5E 5B E9 ?? ?? ?? ?? 8B 03 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 EB 5F 89 D8 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 EB 50 89 D8 83 C3 10 E8 ?? ?? ?? ?? 4F 7F F3 EB 41 55 89 D5 8B 54 2E 0A 89 D8 03 5C 2E 02 8B 4C 2E 06 8B 12 E8 ?? ?? ?? ?? 4F 7F E8 5D EB 23 55 89 D5 89 D8 03 5C 2E 02 89 F2 E8 ?? ?? ?? ?? 4F 7F F0 5D EB 0D 8B 03 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14309_0 {
	meta:
		name = "@CopyRecord"
		size = 250
		refs = "0028 Move 005a _NF__1EB 0064 @LStrAsg 0075 @WStrAsg 0086 @VarCopy 00aa @CopyArray 00c3 @CopyRecord 00d0 @IntfCopy"
	strings:
		$1 = { 53 56 57 55 89 C3 89 D6 31 C0 8A 41 01 8D 7C 01 0A 8B 6F FC 31 C0 8B 4F F8 51 8B 4F 04 29 C1 7E 0B 89 C2 01 F0 01 DA E8 ?? ?? ?? ?? 8B 47 04 8B 17 8B 12 8A 0A 80 F9 0A 74 24 80 F9 0B 74 30 80 F9 0C 74 3C 80 F9 0D 74 48 80 F9 0E 74 63 80 F9 0F 74 77 B0 02 5D 5F 5E 5B E9 ?? ?? ?? ?? 8B 14 06 01 D8 E8 ?? ?? ?? ?? B8 04 00 00 00 EB 6A 8B 14 06 01 D8 E8 ?? ?? ?? ?? B8 04 00 00 00 EB 59 8D 14 06 01 D8 E8 ?? ?? ?? ?? B8 10 00 00 00 EB 48 31 C9 8A 4A 01 FF 74 0A 02 FF 74 0A 06 8B 4C 0A 0A 8B 09 8D 14 06 01 D8 E8 ?? ?? ?? ?? 58 EB 28 31 C9 8A 4A 01 8B 4C 0A 02 51 89 D1 8D 14 06 01 D8 E8 ?? ?? ?? ?? 58 EB 0F 8B 14 06 01 D8 E8 ?? ?? ?? ?? B8 04 00 00 00 03 47 04 83 C7 08 4D 0F 85 34 FF FF FF 59 29 C1 7E 0A 8D 14 03 01 F0 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14310_0 {
	meta:
		name = "@CopyObject"
		size = 21
		refs = "000a @CopyRecord"
	strings:
		$1 = { 01 C1 FF 31 51 8B 4C 24 0C E8 ?? ?? ?? ?? 59 8F 01 C2 04 00 C3 }
	condition:
		$1
}

rule function_14311_0 {
	meta:
		name = "@CopyArray"
		size = 209
		refs = "0039 _NF__1EB 0042 @LStrAsg 0056 @WStrAsg 006a @VarCopy 008d @CopyArray 00a1 @CopyRecord 00bc @IntfCopy"
	strings:
		$1 = { 53 56 57 55 89 C3 89 D6 89 CF 8B 6C 24 14 8A 0F 80 F9 0A 74 28 80 F9 0B 74 37 80 F9 0C 74 46 80 F9 0D 74 55 80 F9 0E 74 71 80 F9 0F 0F 84 85 00 00 00 B0 02 5D 5F 5E 5B E9 ?? ?? ?? ?? 89 D8 8B 16 E8 ?? ?? ?? ?? 83 C3 04 83 C6 04 4D 75 EE EB 78 89 D8 8B 16 E8 ?? ?? ?? ?? 83 C3 04 83 C6 04 4D 75 EE EB 64 89 D8 89 F2 E8 ?? ?? ?? ?? 83 C3 10 83 C6 10 4D 75 EE EB 50 31 C9 8A 4F 01 8D 7C 0F 02 89 D8 89 F2 8B 4F 08 FF 77 04 E8 ?? ?? ?? ?? 03 1F 03 37 4D 75 EA EB 2F 89 D8 89 F2 89 F9 E8 ?? ?? ?? ?? 31 C0 8A 47 01 03 5C 07 02 03 74 07 02 4D 75 E5 EB 12 89 D8 8B 16 E8 ?? ?? ?? ?? 83 C3 04 83 C6 04 4D 75 EE 5D 5F 5E 5B C2 04 00 C3 }
	condition:
		$1
}

rule function_14312_0 {
	meta:
		name = "@New"
		size = 19
		refs = "0002 @GetMem 000d @Initialize"
	strings:
		$1 = { 52 E8 ?? ?? ?? ?? 5A 85 C0 74 07 50 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_14313_0 {
	meta:
		name = "@Dispose"
		size = 13
		refs = "0002 @Finalize 0008 @FreeMem"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14316_0 {
	meta:
		name = "WideCharToStrVar"
		size = 20
		refs = "000f WideCharLenToStrVar"
	strings:
		$1 = { 33 C9 EB 01 41 66 83 3C 48 00 75 F8 87 D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14317_0 {
	meta:
		name = "WideCharLenToStrVar"
		size = 137
		refs = "0017 @LStrClr 003a _NF__185 0045 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 55 81 C4 00 F8 FF FF 8B F1 8B DA 8B F8 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 61 81 FB 00 04 00 00 7D 26 6A 00 6A 00 68 00 08 00 00 8D 44 24 0C 50 53 57 6A 00 6A 00 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? EB 33 6A 00 6A 00 6A 00 6A 00 53 57 6A 00 6A 00 E8 ?? ?? ?? ?? 8B E8 8B C6 8B CD 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 55 8B 06 50 53 57 6A 00 6A 00 E8 ?? ?? ?? ?? 81 C4 00 08 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14318_0 {
	meta:
		name = "StringToWideChar"
		size = 49
		refs = "000f @LStrLen 0017 @LStrToPChar 0021 _NF__17F"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 4F 57 53 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 66 C7 04 43 00 00 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14320_0 {
	meta:
		name = "OleStrToStrVar"
		size = 35
		refs = "0010 _NF__18A 001b WideCharLenToStrVar"
	strings:
		$1 = { 53 56 6A 00 8B F2 8B D8 89 1C 24 8B 04 24 50 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14321_0 {
	meta:
		name = "StringToOleStr"
		size = 131
		refs = "000f @LStrLen 0031 @LStrToPChar 003b _NF__17F 0046 _NF__187"
	strings:
		$1 = { 53 56 57 55 81 C4 00 F8 FF FF 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3D 00 04 00 00 7D 2B 68 00 04 00 00 8D 44 24 04 50 56 8B C3 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 E8 ?? ?? ?? ?? 8B F8 EB 28 6A 00 6A 00 56 53 6A 00 6A 00 E8 ?? ?? ?? ?? 8B E8 55 6A 00 E8 ?? ?? ?? ?? 8B F8 55 57 56 53 6A 00 6A 00 E8 ?? ?? ?? ?? 8B C7 81 C4 00 08 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14323_0 {
	meta:
		name = "@DispInvokeError"
		size = 8
		refs = "0003 _NF__1EB"
	strings:
		$1 = { B0 11 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14324_0 {
	meta:
		name = "_NF__38C"
		size = 8
		refs = "0003 _NF__1EB"
	strings:
		$1 = { B0 0F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14325_0 {
	meta:
		name = "_NF__38D"
		size = 8
		refs = "0003 _NF__1EB"
	strings:
		$1 = { B0 10 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14326_0 {
	meta:
		name = "@VarClear"
		size = 52
		refs = "0023 @LStrClr 002f _NF__18B"
	strings:
		$1 = { 31 D2 66 8B 10 F7 C2 00 40 00 00 75 1A 83 FA 08 72 15 81 FA 00 01 00 00 75 13 66 C7 00 00 00 83 C0 08 E9 ?? ?? ?? ?? 66 C7 00 00 00 C3 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14327_0 {
	meta:
		name = "@VarCopy"
		size = 113
		refs = "0015 _NF__18B 001f @LStrClr 0064 _NF__18C 006c _NF__38D"
	strings:
		$1 = { 39 D0 74 6C 66 83 38 08 72 1B 50 52 66 81 38 00 01 74 08 50 E8 ?? ?? ?? ?? EB 08 83 C0 08 E8 ?? ?? ?? ?? 5A 58 66 83 3A 08 73 11 8B 0A 89 08 8B 4A 08 89 48 08 8B 4A 0C 89 48 0C C3 66 81 3A 00 01 75 19 8B 52 08 09 D2 74 09 8B 4A F8 41 7E 03 89 4A F8 66 C7 00 00 01 89 50 08 C3 66 C7 00 00 00 52 50 E8 ?? ?? ?? ?? 09 C0 0F 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14328_0 {
	meta:
		name = "_NF__393"
		size = 112
		refs = "002a _NF__18D 0033 _NF__38C 003a @VarClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 66 81 3B 00 01 75 3B 66 C7 45 F0 00 00 57 6A 00 68 00 04 00 00 56 8D 45 F0 50 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 03 8B 45 F8 89 43 08 8B 45 FC 89 43 0C EB 18 57 6A 00 68 00 04 00 00 56 53 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14329_0 {
	meta:
		name = "_NF__394"
		size = 45
		refs = "0013 OleStrToStrVar 001a @VarClear"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 33 C0 89 45 FC 8B 42 08 8D 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 C7 03 00 01 8B 45 FC 89 43 08 5B 59 5D C3 }
	condition:
		$1
}

rule function_14330_0 {
	meta:
		name = "_NF__395"
		size = 32
		refs = "0008 StringToOleStr 0011 @VarClear"
	strings:
		$1 = { 53 56 8B D8 8B 42 08 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 66 C7 03 08 00 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_14331_0 {
	meta:
		name = "@VarCast"
		size = 241
		refs = "0019 @VarCopy 0033 _NF__395 004e @VarCast 0061 _NF__393 0076 @VarClear 007c @HandleFinally 0093 _NF__394"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 45 EC 66 8B 32 8B D9 66 3B DE 75 0D 8B 45 EC E8 ?? ?? ?? ?? E9 C9 00 00 00 66 81 FE 00 01 75 59 66 83 FB 08 75 0D 8B 45 EC E8 ?? ?? ?? ?? E9 AF 00 00 00 66 C7 45 F0 00 00 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 EC 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 66 81 FB 00 01 75 58 66 83 FE 08 75 0A 8B 45 EC E8 ?? ?? ?? ?? EB 52 66 C7 45 F0 00 00 8D 45 F0 66 B9 08 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 8B CB E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14332_0 {
	meta:
		name = "@VarCastOle"
		size = 20
		refs = "0009 _NF__38C 000f @VarCast"
	strings:
		$1 = { 81 F9 00 01 00 00 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14333_0 {
	meta:
		name = "@VarToInt"
		size = 106
		refs = "0036 @VarCast 0055 _NV__389"
	strings:
		$1 = { 31 D2 66 8B 10 83 FA 03 74 38 83 FA 02 74 37 83 FA 11 74 37 83 FA 05 74 47 83 FA 04 74 3D 83 FA 06 74 2D 83 EC 10 66 C7 04 24 00 00 89 C2 89 E0 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B 44 24 08 83 C4 10 C3 8B 40 08 C3 0F BF 40 08 C3 0F B6 40 08 C3 DF 68 08 D8 35 ?? ?? ?? ?? EB 08 D9 40 08 EB 03 DD 40 08 50 DB 1C 24 9B 58 C3 }
	condition:
		$1
}

rule function_14334_0 {
	meta:
		name = "@VarToBool"
		size = 51
		refs = "0019 @VarCast"
	strings:
		$1 = { 66 83 38 0B 74 21 83 EC 10 66 C7 04 24 00 00 89 C2 89 E0 B9 0B 00 00 00 E8 ?? ?? ?? ?? 66 8B 44 24 08 83 C4 10 EB 04 66 8B 40 08 66 F7 D8 19 C0 F7 D8 C3 }
	condition:
		$1
}

rule function_14335_0 {
	meta:
		name = "@VarToReal"
		size = 92
		refs = "0036 @VarCast 004f _NV__389"
	strings:
		$1 = { 31 D2 66 8B 10 83 FA 05 74 38 83 FA 04 74 37 83 FA 06 74 36 83 FA 03 74 3B 83 FA 02 74 3A 83 FA 07 74 1F 83 EC 10 66 C7 04 24 00 00 89 C2 89 E0 B9 05 00 00 00 E8 ?? ?? ?? ?? DD 44 24 08 83 C4 10 C3 DD 40 08 C3 D9 40 08 C3 DF 68 08 D8 35 ?? ?? ?? ?? C3 DB 40 08 C3 DF 40 08 C3 }
	condition:
		$1
}

rule function_14336_0 {
	meta:
		name = "@VarToCurr"
		size = 90
		refs = "0031 @VarCast 0055 _NV__389"
	strings:
		$1 = { 31 D2 66 8B 10 83 FA 06 74 33 83 FA 05 74 32 83 FA 04 74 32 83 FA 03 74 32 83 FA 02 74 32 83 EC 10 66 C7 04 24 00 00 89 C2 89 E0 B9 06 00 00 00 E8 ?? ?? ?? ?? DF 6C 24 08 83 C4 10 C3 DF 68 08 C3 DD 40 08 EB 0D D9 40 08 EB 08 DB 40 08 EB 03 DF 40 08 D8 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14337_0 {
	meta:
		name = "@VarToPStr"
		size = 78
		refs = "000c @VarToPStr 001a @VarToLStr 0029 @LStrToString 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14338_0 {
	meta:
		name = "@VarToLStr"
		size = 57
		refs = "000b @LStrAsg 0023 @VarCast 002a @LStrClr"
	strings:
		$1 = { 66 81 3A 00 01 75 08 8B 52 08 E9 ?? ?? ?? ?? 53 89 C3 83 EC 10 66 C7 04 24 00 00 89 E0 B9 00 01 00 00 E8 ?? ?? ?? ?? 89 D8 E8 ?? ?? ?? ?? 8B 44 24 08 89 03 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_14339_0 {
	meta:
		name = "@VarToWStr"
		size = 54
		refs = "000a @WStrAsg 0022 @VarCast 002d _NF__30F"
	strings:
		$1 = { 66 83 3A 08 75 08 8B 52 08 E9 ?? ?? ?? ?? 53 89 C3 83 EC 10 66 C7 04 24 00 00 89 E0 B9 08 00 00 00 E8 ?? ?? ?? ?? 89 D8 8B 54 24 08 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_14340_0 {
	meta:
		name = "@VarToIntf"
		size = 59
		refs = "0006 @IntfClear 0024 _NF__38C 002e @IntfCopy"
	strings:
		$1 = { 66 83 3A 00 0F 84 ?? ?? ?? ?? 66 83 3A 0D 74 22 66 83 3A 09 74 1C 66 81 3A 0D 40 74 0B 66 81 3A 09 40 0F 85 ?? ?? ?? ?? 8B 52 08 8B 12 E9 ?? ?? ?? ?? 8B 52 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14341_0 {
	meta:
		name = "@VarToDisp"
		size = 46
		refs = "0006 @IntfClear 0017 _NF__38C 0021 @IntfCopy"
	strings:
		$1 = { 66 83 3A 00 0F 84 ?? ?? ?? ?? 66 83 3A 09 74 15 66 81 3A 09 40 0F 85 ?? ?? ?? ?? 8B 52 08 8B 12 E9 ?? ?? ?? ?? 8B 52 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14342_0 {
	meta:
		name = "@VarFromInt"
		size = 24
		refs = "0009 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 66 C7 00 03 00 89 50 08 C3 }
	condition:
		$1
}

rule function_14343_0 {
	meta:
		name = "@VarFromBool"
		size = 29
		refs = "0009 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 66 C7 00 0B 00 F6 DA 19 D2 66 89 50 08 C3 }
	condition:
		$1
}

rule function_14344_0 {
	meta:
		name = "@VarFromReal"
		size = 23
		refs = "0008 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 07 50 E8 ?? ?? ?? ?? 58 66 C7 00 05 00 DD 58 08 9B C3 }
	condition:
		$1
}

rule function_14345_0 {
	meta:
		name = "@VarFromTDateTime"
		size = 23
		refs = "0008 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 07 50 E8 ?? ?? ?? ?? 58 66 C7 00 07 00 DD 58 08 9B C3 }
	condition:
		$1
}

rule function_14346_0 {
	meta:
		name = "@VarFromCurr"
		size = 23
		refs = "0008 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 07 50 E8 ?? ?? ?? ?? 58 66 C7 00 06 00 DF 78 08 9B C3 }
	condition:
		$1
}

rule function_14347_0 {
	meta:
		name = "@VarFromPStr"
		size = 79
		refs = "000f @VarFromPStr 001f @LStrFromString 0029 @VarFromLStr 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14352_0 {
	meta:
		name = "@OleVarFromPStr"
		size = 79
		refs = "000f @OleVarFromPStr 001f @LStrFromString 0029 @OleVarFromLStr 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14348_0 {
	meta:
		name = "@VarFromLStr"
		size = 63
		refs = "0009 @VarClear 0024 @NewAnsiString 0030 Move"
	strings:
		$1 = { 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 85 D2 74 23 8B 4A F8 41 7E 05 89 4A F8 EB 18 50 52 8B 42 FC E8 ?? ?? ?? ?? 89 C2 58 52 8B 4A FC E8 ?? ?? ?? ?? 5A 58 66 C7 00 00 01 89 50 08 C3 }
	condition:
		$1
}

rule function_14349_0 {
	meta:
		name = "@VarFromWStr"
		size = 52
		refs = "0009 @VarClear 001e _NF__187 0026 _NF__30E"
	strings:
		$1 = { 50 66 83 38 08 72 07 52 E8 ?? ?? ?? ?? 5A 31 C0 85 D2 74 16 8B 42 FC D1 E8 74 0F 50 52 E8 ?? ?? ?? ?? 85 C0 0F 84 ?? ?? ?? ?? 5A 66 C7 02 08 00 89 42 08 C3 }
	condition:
		$1
}

rule function_14350_0 {
	meta:
		name = "@VarFromIntf"
		size = 34
		refs = "0009 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 66 C7 00 0D 00 89 50 08 85 D2 74 06 52 8B 02 FF 50 04 C3 }
	condition:
		$1
}

rule function_14351_0 {
	meta:
		name = "@VarFromDisp"
		size = 34
		refs = "0009 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 66 C7 00 09 00 89 50 08 85 D2 74 06 52 8B 02 FF 50 04 C3 }
	condition:
		$1
}

rule function_14353_0 {
	meta:
		name = "@OleVarFromLStr"
		size = 33
		refs = "0009 @VarClear 001c @WStrFromLStr"
	strings:
		$1 = { 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 66 C7 00 08 00 83 C0 08 31 C9 89 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14354_0 {
	meta:
		name = "@OleVarFromVar"
		size = 47
		refs = "0007 @VarCopy 0014 @VarClear 002a @WStrFromLStr"
	strings:
		$1 = { 66 81 3A 00 01 0F 85 ?? ?? ?? ?? 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 66 C7 00 08 00 83 C0 08 83 C2 08 31 C9 89 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14355_0 {
	meta:
		name = "_NF__3CE"
		size = 110
		refs = "0011 _NF__3CE 0021 @VarToLStr 0038 @LStrCat 0042 @VarFromLStr 005c @LStrArrayClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14356_0 {
	meta:
		name = "_NF__3CF"
		size = 588
		refs = "003d _NV__387 004b _NV__388 0052 _NF__3CF 007f _NF__38D 0086 @VarClear 009c @VarToInt 00b5 @VarFromInt 0124 @VarToReal 0145 @VarFromReal 015a @VarToCurr 017b @VarFromCurr 01bb _NV__389 01fc _NF__3CE 020c @VarToBool 0225 @VarFromBool"
	strings:
		$1 = { 53 56 57 89 C7 89 D6 89 CB 8B 07 8B 16 25 FF 0F 00 00 81 E2 FF 0F 00 00 83 F8 11 76 0C 3D 00 01 00 00 75 57 B8 08 00 00 00 83 FA 11 76 0D 81 FA 00 01 00 00 75 45 BA 08 00 00 00 8A 80 ?? ?? ?? ?? 8A 92 ?? ?? ?? ?? 0F B6 8C C2 ?? ?? ?? ?? FF 14 8D ?? ?? ?? ?? 5F 5E 5B C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 58 5F 5E 5B E9 ?? ?? ?? ?? 89 F8 E8 ?? ?? ?? ?? 66 C7 07 01 00 C3 80 FB 03 0F 84 88 00 00 00 89 F0 E8 ?? ?? ?? ?? 50 89 F8 E8 ?? ?? ?? ?? 5A FF 14 9D ?? ?? ?? ?? 89 C2 89 F8 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 D0 70 2C C3 29 D0 70 27 C3 F7 EA 70 22 C3 89 D1 99 F7 F9 C3 89 D1 99 F7 F9 89 D0 C3 89 D1 D3 E0 C3 89 D1 D3 E8 C3 21 D0 C3 09 D0 C3 31 D0 C3 58 EB 09 80 FB 04 0F 83 78 FF FF FF 89 F0 E8 ?? ?? ?? ?? 83 EC 0C DB 3C 24 89 F8 E8 ?? ?? ?? ?? DB 2C 24 83 C4 0C FF 14 9D ?? ?? ?? ?? 89 F8 E9 ?? ?? ?? ?? 80 FB 04 0F 83 47 FF FF FF 80 FB 02 73 28 89 F0 E8 ?? ?? ?? ?? 83 EC 0C DB 3C 24 89 F8 E8 ?? ?? ?? ?? DB 2C 24 83 C4 0C FF 14 9D ?? ?? ?? ?? 89 F8 E9 ?? ?? ?? ?? 80 FA 04 74 15 89 F0 E8 ?? ?? ?? ?? DF 6F 08 D9 C9 FF 14 9D ?? ?? ?? ?? EB DF 80 FB 03 74 23 80 F8 04 74 0E 89 F8 E8 ?? ?? ?? ?? DF 6E 08 DE C9 EB C7 DF 6F 08 DF 6E 08 DE C9 D8 35 ?? ?? ?? ?? EB B7 89 F8 E8 ?? ?? ?? ?? DF 6E 08 DE F9 E9 70 FF FF FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DE C1 C3 DE E9 C3 DE C9 C3 DE F9 C3 80 FB 00 0F 85 21 FF FF FF 89 F8 89 F2 E9 ?? ?? ?? ?? 80 FB 08 0F 82 0F FF FF FF 89 F0 E8 ?? ?? ?? ?? 50 89 F8 E8 ?? ?? ?? ?? 5A FF 14 9D ?? ?? ?? ?? 89 C2 89 F8 E9 ?? ?? ?? ?? 80 FB 01 0F 87 E6 FE FF FF 72 0C 88 D4 66 3D 07 07 0F 84 E1 FE FF FF E8 ?? ?? ?? ?? 66 C7 07 07 00 C3 C3 }
	condition:
		$1
}

rule function_14359_0 {
	meta:
		name = "@VarMul"
		size = 11
		refs = "0006 _NF__3CF"
	strings:
		$1 = { B9 02 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14360_0 {
	meta:
		name = "@VarDiv"
		size = 11
		refs = "0006 _NF__3CF"
	strings:
		$1 = { B9 04 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14361_0 {
	meta:
		name = "@VarMod"
		size = 11
		refs = "0006 _NF__3CF"
	strings:
		$1 = { B9 05 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14362_0 {
	meta:
		name = "@VarAnd"
		size = 11
		refs = "0006 _NF__3CF"
	strings:
		$1 = { B9 08 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14363_0 {
	meta:
		name = "@VarOr"
		size = 11
		refs = "0006 _NF__3CF"
	strings:
		$1 = { B9 09 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14364_0 {
	meta:
		name = "@VarXor"
		size = 11
		refs = "0006 _NF__3CF"
	strings:
		$1 = { B9 0A 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14365_0 {
	meta:
		name = "@VarShl"
		size = 11
		refs = "0006 _NF__3CF"
	strings:
		$1 = { B9 06 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14366_0 {
	meta:
		name = "@VarShr"
		size = 11
		refs = "0006 _NF__3CF"
	strings:
		$1 = { B9 07 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14367_0 {
	meta:
		name = "@VarRDiv"
		size = 11
		refs = "0006 _NF__3CF"
	strings:
		$1 = { B9 03 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14368_0 {
	meta:
		name = "CompareStr"
		size = 47
		altNames = "_NF__3DB"
	strings:
		$1 = { 56 57 89 C6 89 D7 09 C0 74 03 8B 40 FC 09 D2 74 03 8B 52 FC 89 C1 39 D1 76 02 89 D1 39 C9 F3 A6 74 08 0F B6 46 FF 0F B6 57 FF 29 D0 5F 5E C3 }
	condition:
		$1
}

rule function_14369_0 {
	meta:
		name = "_NF__3DC"
		size = 104
		refs = "0011 _NF__3DC 0021 @VarToLStr 0038 _NF__3DB 0054 @LStrArrayClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14370_0 {
	meta:
		name = "@VarCmp"
		size = 252
		refs = "003a _NV__387 0048 _NV__388 004f @VarCmp 0076 _NF__38D 0082 @VarToInt 0094 @VarToReal 00c0 @VarToCurr 00de _NF__3DC 00eb @VarToBool"
	strings:
		$1 = { 56 57 89 C7 89 D6 8B 07 8B 16 25 FF 0F 00 00 81 E2 FF 0F 00 00 83 F8 11 76 0C 3D 00 01 00 00 75 52 B8 08 00 00 00 83 FA 11 76 0D 81 FA 00 01 00 00 75 40 BA 08 00 00 00 8A 80 ?? ?? ?? ?? 8A 92 ?? ?? ?? ?? 0F B6 8C C2 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 5F 5E E9 ?? ?? ?? ?? 38 D0 5F 5E C3 89 F0 E8 ?? ?? ?? ?? 97 E8 ?? ?? ?? ?? 39 F8 5F 5E C3 89 F8 E8 ?? ?? ?? ?? 83 EC 0C DB 3C 24 89 F0 E8 ?? ?? ?? ?? DB 2C 24 83 C4 0C DE D9 DF E0 88 E0 66 25 01 40 D0 C8 08 C4 9E 5F 5E C3 89 F8 E8 ?? ?? ?? ?? 83 EC 0C DB 3C 24 89 F0 E8 ?? ?? ?? ?? DB 2C 24 83 C4 0C EB D2 89 F8 89 F2 E8 ?? ?? ?? ?? 83 F8 00 5F 5E C3 89 F0 E8 ?? ?? ?? ?? 97 E8 ?? ?? ?? ?? 89 FA 38 D0 5F 5E C3 }
	condition:
		$1
}

rule function_14371_0 {
	meta:
		name = "@VarNeg"
		size = 127
		refs = "001c _NV__387 0023 @VarNeg 0048 _NF__38D 004f @VarToInt 0059 @VarFromInt 005f @VarToReal 0067 @VarFromReal"
	strings:
		$1 = { 8B 10 81 E2 FF 0F 00 00 83 FA 11 76 0D 81 FA 00 01 00 00 75 32 BA 08 00 00 00 8A 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 ?? ?? ?? ?? C3 50 E8 ?? ?? ?? ?? F7 D8 89 C2 58 E9 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? D9 E0 58 E9 ?? ?? ?? ?? DF 68 08 D9 E0 DF 78 08 9B C3 DD 40 08 D9 E0 DD 58 08 9B C3 }
	condition:
		$1
}

rule function_14372_0 {
	meta:
		name = "@VarNot"
		size = 70
		refs = "0023 @VarToInt 002d @VarFromInt 0032 _NF__38D"
	strings:
		$1 = { 8B 10 81 E2 FF 0F 00 00 74 27 83 FA 0B 74 27 83 FA 01 74 31 83 FA 11 76 08 81 FA 00 01 00 00 75 10 50 E8 ?? ?? ?? ?? F7 D0 89 C2 58 E9 ?? ?? ?? ?? E9 ?? ?? ?? ?? 66 8B 50 08 66 F7 DA 19 D2 F7 D2 66 89 50 08 C3 }
	condition:
		$1
}

rule function_14373_0 {
	meta:
		name = "@VarClr"
		size = 8
		refs = "0002 @VarClear"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_14374_0 {
	meta:
		name = "@VarAddRef"
		size = 33
		refs = "0019 @VarCopy"
	strings:
		$1 = { 66 83 38 08 72 1A FF 70 0C FF 70 08 FF 70 04 FF 30 66 C7 00 00 00 89 E2 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_14375_0 {
	meta:
		name = "VarType"
		size = 4
	strings:
		$1 = { 0F B7 00 C3 }
	condition:
		$1
}

rule function_14376_0 {
	meta:
		name = "VarAsType"
		size = 9
		refs = "0004 @VarCast"
	strings:
		$1 = { 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14377_0 {
	meta:
		name = "VarIsEmpty"
		size = 33
	strings:
		$1 = { 66 83 38 00 74 18 66 8B 10 66 83 FA 09 74 06 66 83 FA 0D 75 06 83 78 08 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_14378_0 {
	meta:
		name = "VarIsNull"
		size = 8
	strings:
		$1 = { 66 83 38 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_14379_0 {
	meta:
		name = "VarToStr"
		size = 34
		refs = "0011 @VarToLStr 001b @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 3B 01 74 0C 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14380_0 {
	meta:
		name = "VarFromDateTime"
		size = 35
		refs = "0009 @VarClear"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 C7 03 07 00 8B 45 08 89 43 08 8B 45 0C 89 43 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14381_0 {
	meta:
		name = "VarToDateTime"
		size = 46
		refs = "0017 @VarCast"
	strings:
		$1 = { 55 8B EC 83 C4 E8 66 C7 45 F0 00 00 8B D0 8D 45 F0 B9 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 45 E8 8B 45 FC 89 45 EC DD 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_14382_0 {
	meta:
		name = "@WriteVariant"
		size = 98
		refs = "0012 @WriteVariant 0028 @VarToLStr 0034 @WriteLString 0039 @Flush 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 3E 02 72 0A 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B C3 8B CF 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14384_0 {
	meta:
		name = "VarArrayCreate"
		size = 160
		refs = "0021 _NF__1EB 006a _NF__18E 007f @VarClear"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FD FF FF 53 56 57 89 4D F8 8B DA 89 45 FC F6 C3 01 74 05 83 FB 7F 7E 07 B0 12 E8 ?? ?? ?? ?? 43 D1 FB 79 03 83 D3 00 89 5D F4 8B 5D F4 4B 85 DB 7C 22 43 8D 95 F4 FD FF FF 8B 45 FC 8B CA 8B 30 89 71 04 8B 78 04 2B FE 47 89 39 83 C0 08 83 C2 08 4B 75 E8 8D 85 F4 FD FF FF 50 8B 45 F4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 07 B0 12 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 66 8B 45 F8 66 0D 00 20 8B 55 08 66 89 02 8B 45 08 89 58 08 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14385_0 {
	meta:
		name = "VarArrayOf"
		size = 84
		refs = "0028 VarArrayCreate 003e @VarArrayPut"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B E9 8B DA 89 04 24 55 33 C0 89 44 24 08 89 5C 24 0C 8D 44 24 08 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F3 85 F6 7C 1A 46 33 FF 8B 1C 24 57 6A 01 53 55 E8 ?? ?? ?? ?? 83 C4 10 47 83 C3 10 4E 75 EC 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14386_0 {
	meta:
		name = "@VarArrayRedim"
		size = 76
		refs = "001a _NF__1EB 0037 _NF__18F"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B D8 66 8B 03 66 25 00 60 66 3D 00 20 74 07 B0 13 E8 ?? ?? ?? ?? 8B 73 08 8B C6 0F B7 10 8B 54 D0 0C 89 54 24 04 2B FA 47 89 3C 24 54 56 E8 ?? ?? ?? ?? 85 C0 74 07 B0 12 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14387_0 {
	meta:
		name = "_NF__402"
		size = 34
		refs = "000c _NF__1EB"
	strings:
		$1 = { 53 8B D8 F6 43 01 20 75 07 B0 13 E8 ?? ?? ?? ?? F6 43 01 40 74 07 8B 43 08 8B 00 5B C3 8B 43 08 5B C3 }
	condition:
		$1
}

rule function_14388_0 {
	meta:
		name = "VarArrayDimCount"
		size = 25
		refs = "000c _NF__402"
	strings:
		$1 = { 53 8B D8 F6 43 01 20 74 0C 8B C3 E8 ?? ?? ?? ?? 0F B7 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_14389_0 {
	meta:
		name = "VarArrayLowBound"
		size = 40
		refs = "000c _NF__402 0012 _NF__190 001d _NF__1EB"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 B0 14 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14390_0 {
	meta:
		name = "VarArrayHighBound"
		size = 40
		refs = "000c _NF__402 0012 _NF__191 001d _NF__1EB"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 B0 14 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14391_0 {
	meta:
		name = "VarArrayLock"
		size = 35
		refs = "0008 _NF__402 000e _NF__192 0019 _NF__1EB"
	strings:
		$1 = { 53 51 8B D8 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 B0 13 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_14392_0 {
	meta:
		name = "VarArrayUnlock"
		size = 29
		refs = "0006 _NF__402 000c _NF__193 0017 _NF__1EB"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 B0 13 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14393_0 {
	meta:
		name = "VarArrayRef"
		size = 60
		refs = "000f _NF__1EB 0016 @VarClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 01 20 75 07 B0 13 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 66 8B 03 66 0D 00 40 66 89 06 F6 43 01 40 74 09 8B 43 08 89 46 08 5E 5B C3 8D 43 08 89 46 08 5E 5B C3 }
	condition:
		$1
}

rule function_14394_0 {
	meta:
		name = "VarIsArray"
		size = 8
	strings:
		$1 = { F6 40 01 20 0F 95 C0 C3 }
	condition:
		$1
}

rule function_14395_0 {
	meta:
		name = "@VarArrayGet"
		size = 130
		refs = "0015 _NF__1EB 001c _NF__402 0040 @VarClear 0050 _NF__194"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 8B 75 0C F6 46 01 20 75 07 B0 13 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 0F B7 03 3B 45 10 74 07 B0 14 E8 ?? ?? ?? ?? 66 8B 06 66 25 FF 0F 0F B7 C0 8B F0 8B C7 E8 ?? ?? ?? ?? 83 FE 0C 75 18 57 8D 45 14 50 53 E8 ?? ?? ?? ?? 85 C0 74 25 B0 14 E8 ?? ?? ?? ?? EB 1C 8D 47 08 50 8D 45 14 50 53 E8 ?? ?? ?? ?? 85 C0 74 07 B0 14 E8 ?? ?? ?? ?? 66 89 37 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_14396_0 {
	meta:
		name = "@VarArrayPut"
		size = 235
		refs = "0018 _NF__1EB 001f _NF__402 0053 _NF__195 0072 @VarArrayPut 0087 _NF__395 0098 @VarCast 00d8 @VarClear 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 7D 0C 8B 5D 08 F6 43 01 20 75 07 B0 13 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 0F B7 06 3B 45 10 74 07 B0 14 E8 ?? ?? ?? ?? 66 8B 03 66 25 FF 0F 0F B7 C0 8B D8 83 FB 0C 75 23 66 81 3F 00 01 74 1C 57 8D 45 14 50 56 E8 ?? ?? ?? ?? 85 C0 0F 84 85 00 00 00 B0 14 E8 ?? ?? ?? ?? EB 7C 66 C7 45 F0 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB 0C 75 0F 8B D7 8D 45 F0 E8 ?? ?? ?? ?? 8D 5D F0 EB 21 8B D7 8D 45 F0 8B CB E8 ?? ?? ?? ?? 83 C3 F8 83 EB 02 72 05 83 EB 03 75 05 8B 5D F8 EB 03 8D 5D F8 53 8D 45 14 50 56 E8 ?? ?? ?? ?? 85 C0 74 07 B0 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14397_0 {
	meta:
		name = "FindHInstance"
		size = 38
		refs = "000c _NF__186"
	strings:
		$1 = { 83 C4 E4 6A 1C 8D 54 24 04 52 50 E8 ?? ?? ?? ?? 81 7C 24 10 00 10 00 00 75 06 8B 44 24 04 EB 02 33 C0 83 C4 1C C3 }
	condition:
		$1
}

rule function_14399_0 {
	meta:
		name = "FindResourceHInstance"
		size = 26
		refs = "0002 LibModuleList"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 85 D2 74 0F 3B 42 04 75 04 8B 42 08 C3 8B 12 85 D2 75 F1 C3 }
	condition:
		$1
}

rule function_14400_0 {
	meta:
		name = "LoadResourceModule"
		size = 448
		refs = "001d _NF__178 0031 LoadResourceModule 003b _NF__181 0070 _NF__182 00a4 _NF__180 00aa @HandleFinally 00bc _NF__17D 00c9 _NF__17A 00cf _NF__177 00fa _NF__17E 0141 _NF__17B"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 53 56 89 45 FC 68 05 01 00 00 8D 85 E3 FE FF FF 50 6A 00 E8 ?? ?? ?? ?? C6 45 EE 00 8D 45 F8 50 68 3F 00 0F 00 6A 00 68 ?? ?? ?? ?? 68 01 00 00 80 E8 ?? ?? ?? ?? 85 C0 75 6D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E8 05 00 00 00 8D 45 E8 50 8D 45 EE 50 6A 00 6A 00 8D 85 E3 FE FF FF 50 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 74 1A 8D 45 E8 50 8D 45 EE 50 6A 00 6A 00 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 50 8D 85 E3 FE FF FF 50 E8 ?? ?? ?? ?? 6A 05 8D 45 F3 50 6A 03 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 F6 80 BD E3 FE FF FF 00 0F 84 AF 00 00 00 80 7D F3 00 75 0A 80 7D EE 00 0F 84 9F 00 00 00 8D 85 E3 FE FF FF 50 E8 ?? ?? ?? ?? 8B D8 8D 85 E3 FE FF FF 03 D8 EB 01 4B 80 3B 2E 74 0A 8D 85 E3 FE FF FF 3B D8 75 F0 8D 85 E3 FE FF FF 3B D8 74 6D 43 80 7D EE 00 74 1C 8D 45 EE 50 53 E8 ?? ?? ?? ?? 6A 02 6A 00 8D 85 E3 FE FF FF 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 46 80 7D F3 00 74 40 8D 45 F3 50 53 E8 ?? ?? ?? ?? 6A 02 6A 00 8D 85 E3 FE FF FF 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 20 C6 45 F5 00 8D 45 F3 50 53 E8 ?? ?? ?? ?? 6A 02 6A 00 8D 85 E3 FE FF FF 50 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B 8B E5 5D C3 00 00 00 53 6F 66 74 77 61 72 65 5C 42 6F 72 6C 61 6E 64 5C 44 65 6C 70 68 69 5C 4C 6F 63 61 6C 65 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_14401_0 {
	meta:
		name = "EnumModules"
		size = 38
		refs = "0009 LibModuleList"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 1D ?? ?? ?? ?? 85 DB 74 11 8B D7 8B 43 04 FF D6 84 C0 74 06 8B 1B 85 DB 75 EF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14402_0 {
	meta:
		name = "EnumResourceModules"
		size = 38
		refs = "0009 LibModuleList"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 1D ?? ?? ?? ?? 85 DB 74 11 8B D7 8B 43 08 FF D6 84 C0 74 06 8B 1B 85 DB 75 EF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14403_0 {
	meta:
		name = "AddModuleUnloadProc"
		size = 31
		refs = "0009 @GetMem 000f ModuleUnloadList"
	strings:
		$1 = { 53 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 89 58 04 A3 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14713_0 {
	meta:
		name = "AddTerminateProc"
		size = 31
		refs = "0009 @GetMem 000f _NV__4D6"
	strings:
		$1 = { 53 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 89 58 04 A3 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14404_0 {
	meta:
		name = "RemoveModuleUnloadProc"
		size = 94
		refs = "0004 ModuleUnloadList 0027 @FreeMem"
	strings:
		$1 = { 53 56 8B 35 ?? ?? ?? ?? 85 F6 74 22 8B 56 04 3B D0 75 1B A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? BA 08 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 85 D2 74 27 8B 0A 85 C9 74 1B 8B 59 04 3B D8 75 14 8B F1 8B 01 89 02 BA 08 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 06 8B 12 85 D2 75 D9 5E 5B C3 }
	condition:
		$1
}

rule function_14405_0 {
	meta:
		name = "_NF__42E"
		size = 90
		refs = "000d ModuleUnloadList 001e _NF__42E 003c @HandleAnyException 0041 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC A1 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 39 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B 45 FC FF 53 04 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 00 89 45 F8 83 7D F8 00 75 C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14406_0 {
	meta:
		name = "RegisterModule"
		size = 14
		refs = "0002 LibModuleList"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 89 10 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14407_0 {
	meta:
		name = "UnregisterModule"
		size = 110
		refs = "000b UnregisterModule 001c _NF__42E 0032 LibModuleList 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 3B 05 ?? ?? ?? ?? 75 0C 8B 45 FC 8B 00 A3 ?? ?? ?? ?? EB 1F A1 ?? ?? ?? ?? 85 C0 74 16 8B 10 3B 55 FC 75 09 8B 55 FC 8B 12 89 10 EB 06 8B 00 85 C0 75 EA C3 E9 ?? ?? ?? ?? EB C2 59 5D C3 }
	condition:
		$1
}

rule function_14408_0 {
	meta:
		name = "LoadResString"
		size = 65
		refs = "0023 FindResourceHInstance 0029 _NF__17C 0034 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 81 C4 00 FC FF FF 8B F2 8B D8 85 DB 74 28 68 00 04 00 00 8D 44 24 04 50 8B 43 04 50 8B 03 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 00 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14409_0 {
	meta:
		name = "@IntfClear"
		size = 21
	strings:
		$1 = { 8B 10 85 D2 74 0E C7 00 00 00 00 00 50 52 8B 02 FF 50 08 58 C3 }
	condition:
		$1
}

rule function_14410_0 {
	meta:
		name = "@IntfCopy"
		size = 27
	strings:
		$1 = { 8B 08 89 10 85 D2 74 08 51 52 8B 02 FF 50 04 59 85 C9 74 06 51 8B 01 FF 50 08 C3 }
	condition:
		$1
}

rule function_14411_0 {
	meta:
		name = "@IntfCast"
		size = 42
		refs = "0004 @IntfClear 0025 _NF__1EB"
	strings:
		$1 = { 85 D2 0F 84 ?? ?? ?? ?? 50 51 52 8B 08 85 C9 74 09 51 8B 01 FF 50 08 8B 14 24 8B 02 FF 10 85 C0 74 07 B0 17 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14412_0 {
	meta:
		name = "@IntfAddRef"
		size = 11
		altNames = "TInterface.Free"
	strings:
		$1 = { 85 C0 74 06 50 8B 00 FF 50 04 C3 }
	condition:
		$1
}

rule function_14414_0 {
	meta:
		name = "TInterfacedObject._AddRef"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 40 08 8B 40 08 5D C2 04 00 }
	condition:
		$1
}

rule function_14415_0 {
	meta:
		name = "TInterfacedObject._Release"
		size = 33
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 48 08 83 78 08 00 75 0B B2 01 8B 08 FF 51 FC 33 C0 EB 03 8B 40 08 5D C2 04 00 }
	condition:
		$1
}

rule function_14416_0 {
	meta:
		name = "@CheckAutoResult"
		size = 27
		refs = "0006 SafeCallErrorProc 0016 _NF__1EB"
	strings:
		$1 = { 85 C0 79 16 8B 0D ?? ?? ?? ?? 85 C9 74 05 8B 14 24 FF D1 B0 18 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14419_0 {
	meta:
		name = "_NF__44B"
		size = 514
		refs = "0016 _NF__169 0022 _NF__176 0049 _NF__16D 0066 _NF__160 00a6 _NF__44B 00fc _NF__161 0120 _NF__165 013c _NF__16C 0190 _NF__16B 01b0 _NF__166 01c7 _NF__163"
	strings:
		$1 = { 33 D2 89 50 10 89 50 0C 52 8D 50 10 52 FF 70 08 FF 70 14 FF 30 E8 ?? ?? ?? ?? 85 C0 74 03 33 C0 C3 E8 ?? ?? ?? ?? 83 F8 6D 74 F3 C3 33 C0 C3 51 8B 50 0C 85 D2 7E 1A 33 C9 89 48 0C 51 8D 4C 24 04 51 52 FF 70 14 FF 30 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 59 C3 E8 ?? ?? ?? ?? EB F7 FF 30 C7 40 04 B0 D7 00 00 E8 ?? ?? ?? ?? 48 75 01 C3 E8 ?? ?? ?? ?? C3 56 8B F0 33 C0 89 46 0C 89 46 10 8B 46 04 2D B1 D7 00 00 74 0B 48 74 20 48 74 2E E9 49 01 00 00 B8 00 00 00 80 BA 01 00 00 00 B9 03 00 00 00 C7 46 1C ?? ?? ?? ?? EB 27 B8 00 00 00 40 BA 01 00 00 00 B9 02 00 00 00 EB 0F B8 00 00 00 C0 BA 01 00 00 00 B9 03 00 00 00 C7 46 1C ?? ?? ?? ?? C7 46 24 ?? ?? ?? ?? C7 46 20 ?? ?? ?? ?? 80 7E 48 00 0F 84 AE 00 00 00 6A 00 68 80 00 00 00 51 6A 00 52 50 8D 46 48 50 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 EB 00 00 00 89 06 81 7E 04 B3 D7 00 00 0F 85 A3 00 00 00 FF 4E 04 6A 00 FF 36 E8 ?? ?? ?? ?? 40 0F 84 C9 00 00 00 2D 81 00 00 00 73 02 33 C0 6A 00 6A 00 50 FF 36 E8 ?? ?? ?? ?? 40 0F 84 AD 00 00 00 6A 00 8B D4 6A 00 52 68 80 00 00 00 8D 96 4C 01 00 00 52 FF 36 E8 ?? ?? ?? ?? 5A 48 0F 85 8B 00 00 00 33 C0 3B C2 73 4C 80 BC 06 4C 01 00 00 1A 74 03 40 EB EF 6A 02 6A 00 2B C2 50 FF 36 E8 ?? ?? ?? ?? 40 74 67 FF 36 E8 ?? ?? ?? ?? 48 75 5D EB 22 C7 46 24 ?? ?? ?? ?? 81 7E 04 B2 D7 00 00 74 04 6A F6 EB 02 6A F5 E8 ?? ?? ?? ?? 83 F8 FF 74 3B 89 06 81 7E 04 B1 D7 00 00 74 17 FF 36 E8 ?? ?? ?? ?? 85 C0 74 10 83 F8 02 75 07 C7 46 20 ?? ?? ?? ?? 33 C0 5E C3 FF 36 E8 ?? ?? ?? ?? C7 46 04 B0 D7 00 00 B8 69 00 00 00 EB E9 C7 46 04 B0 D7 00 00 E8 ?? ?? ?? ?? EB DB }
	condition:
		$1
}

rule function_14420_0 {
	meta:
		name = "@Assign"
		size = 86
		refs = "0024 _NF__44B"
	strings:
		$1 = { 8D 88 4C 01 00 00 89 48 14 33 C9 89 08 C7 40 04 B0 D7 00 00 C7 40 08 80 00 00 00 89 48 0C 89 48 10 C7 40 18 ?? ?? ?? ?? 89 48 1C 89 48 20 89 48 24 8D 40 48 85 D2 74 1B B5 82 8A 0A 42 88 08 40 84 C9 74 11 8A 0A 42 88 08 40 84 C9 74 07 FE CD 75 E8 48 88 28 C3 }
	condition:
		$1
}

rule function_14421_0 {
	meta:
		name = "@_Flush"
		size = 37
		refs = "0021 _NF__1ED"
	strings:
		$1 = { 8B 50 04 81 FA B2 D7 00 00 75 08 FF 50 1C 85 C0 75 0E C3 81 FA B1 D7 00 00 74 F7 B8 67 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_14422_0 {
	meta:
		name = "@Flush"
		size = 37
		refs = "0021 _NF__1ED"
	strings:
		$1 = { 8B 50 04 81 FA B2 D7 00 00 75 08 FF 50 20 85 C0 75 0E C3 81 FA B1 D7 00 00 74 F7 B8 67 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_14423_0 {
	meta:
		name = "@BlockRead"
		size = 99
		refs = "0026 _NF__169 004f _NF__176 0054 _NF__1ED"
	strings:
		$1 = { 53 56 8B D8 8B F2 8B 53 04 81 EA B1 D7 00 00 83 FA 02 77 48 51 6A 00 8B C4 6A 00 50 8B 43 08 F7 E1 50 56 FF 33 E8 ?? ?? ?? ?? 48 58 59 75 1F 33 D2 F7 73 08 8B 54 24 0C 85 D2 74 07 89 02 5E 5B C2 04 00 3B C1 74 F7 B8 64 00 00 00 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 EB E2 B8 67 00 00 00 EB F0 }
	condition:
		$1
}

rule function_14424_0 {
	meta:
		name = "@BlockWrite"
		size = 98
		refs = "0025 _NF__16D 004e _NF__176 0053 _NF__1ED"
	strings:
		$1 = { 53 56 8B D8 8B F2 8B 40 04 2D B2 D7 00 00 83 F8 01 77 48 51 6A 00 8B C4 6A 00 50 8B 43 08 F7 E1 50 56 FF 33 E8 ?? ?? ?? ?? 48 58 59 75 1F 33 D2 F7 73 08 8B 54 24 0C 85 D2 74 07 89 02 5E 5B C2 04 00 3B C1 74 F7 B8 65 00 00 00 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 EB E2 B8 67 00 00 00 EB F0 }
	condition:
		$1
}

rule function_14425_0 {
	meta:
		name = "@Close"
		size = 58
		refs = "0026 _NF__1ED 002d Input"
	strings:
		$1 = { 53 8B D8 8B 50 04 81 EA B1 D7 00 00 74 0E 83 FA 02 77 19 FF 50 1C 85 C0 75 0B 8B C3 FF 53 24 85 C0 75 02 5B C3 E8 ?? ?? ?? ?? EB F7 3D ?? ?? ?? ?? 74 F0 B8 67 00 00 00 EB EB }
	condition:
		$1
}

rule function_14426_0 {
	meta:
		name = "@EofFile"
		size = 81
		refs = "0016 _NF__165 0029 _NF__16C 003b _NF__1EE 0049 _NF__1ED"
	strings:
		$1 = { 53 8B D8 8B 53 04 81 EA B1 D7 00 00 83 FA 02 77 32 6A 00 FF 33 E8 ?? ?? ?? ?? 83 F8 FF 74 1B 50 6A 01 6A 00 6A 00 FF 33 E8 ?? ?? ?? ?? 83 F8 FF 74 08 5A 3B C2 0F 93 C0 5B C3 E8 ?? ?? ?? ?? B0 01 EB F5 B8 67 00 00 00 E8 ?? ?? ?? ?? B0 FF EB E7 }
	condition:
		$1
}

rule function_14427_0 {
	meta:
		name = "@EofText"
		size = 50
		refs = "0023 @ReadChar"
	strings:
		$1 = { 81 78 04 B1 D7 00 00 75 18 8B 50 0C 3B 50 10 73 10 03 50 14 B0 00 8A 0A 80 F9 1A 74 01 C3 B0 01 C3 50 E8 ?? ?? ?? ?? 5A 3C 1A 74 F2 FF 4A 0C B0 00 C3 }
	condition:
		$1
}

rule function_14428_0 {
	meta:
		name = "@Eoln"
		size = 59
		refs = "0028 @ReadChar"
	strings:
		$1 = { 81 78 04 B1 D7 00 00 75 1D 8B 50 0C 3B 50 10 73 15 03 50 14 B0 00 8A 0A 80 F9 0D 74 06 80 F9 1A 74 01 C3 B0 01 C3 50 E8 ?? ?? ?? ?? 5A 3C 1A 74 F2 FF 4A 0C 3C 0D 74 EB B0 00 C3 }
	condition:
		$1
}

rule function_14429_0 {
	meta:
		name = "@Erase"
		size = 46
		refs = "0013 _NF__162 001c _NF__176 0021 _NF__1ED"
	strings:
		$1 = { 8B 50 04 81 EA B0 D7 00 00 83 FA 03 77 19 8D 40 48 50 E8 ?? ?? ?? ?? 48 75 01 C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB F3 B8 66 00 00 00 EB F2 }
	condition:
		$1
}

rule function_14430_0 {
	meta:
		name = "_NF__45A"
		size = 120
		refs = "0036 TestFDIV 0044 _NF__45A"
	strings:
		$1 = { 00 01 00 00 04 00 00 07 00 00 0A 00 00 0D 00 00 00 00 70 3F 00 00 88 3F 00 00 00 5F 00 00 00 C0 7E 01 50 41 00 00 00 80 FF FF 47 41 00 00 00 00 00 00 F0 3F C6 05 ?? ?? ?? ?? 01 50 83 EC 0C DB 3C 24 DD 05 ?? ?? ?? ?? DC 35 ?? ?? ?? ?? DC 0D ?? ?? ?? ?? DC 2D ?? ?? ?? ?? DC 1D ?? ?? ?? ?? 9B DF E0 C1 E8 07 83 E0 02 48 A2 ?? ?? ?? ?? DB 2C 24 83 C4 0C 58 EB 02 }
	condition:
		$1
}

rule function_14432_0 {
	meta:
		name = "@FSafeDivide"
		size = 230
		refs = "0002 TestFDIV 0040 _NF__45A"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 7E 03 DE F9 C3 74 AC 50 83 EC 18 DB 7C 24 0C DB 3C 24 DB 2C 24 DB 6C 24 0C 8B 44 24 10 03 C0 73 63 35 00 00 00 0E A9 00 00 00 0E 74 07 DE F9 83 C4 18 58 C3 C1 E8 1C 80 B8 ?? ?? ?? ?? 00 74 ED 8B 44 24 14 25 FF 7F 00 00 74 E2 3D FF 7F 00 00 74 DB 8B 44 24 08 25 FF 7F 00 00 83 F8 01 74 12 D8 0D ?? ?? ?? ?? D9 C9 D8 0D ?? ?? ?? ?? D9 C9 EB BB D8 0D ?? ?? ?? ?? D9 C9 D8 0D ?? ?? ?? ?? D9 C9 EB A9 8B 44 24 0C 0B 44 24 10 74 9F 8B 44 24 14 25 FF 7F 00 00 75 94 8B 44 24 08 25 FF 7F 00 00 74 15 3D FF 7F 00 00 74 82 8B 44 24 04 03 C0 0F 83 76 FF FF FF EB 0C 8B 44 24 04 03 C0 0F 82 68 FF FF FF D9 C9 DD D8 D9 C0 D8 0D ?? ?? ?? ?? DB 7C 24 0C DB 2C 24 D9 C9 E9 3A FF FF FF }
	condition:
		$1
}

rule function_14433_0 {
	meta:
		name = "@FilePos"
		size = 67
		refs = "001a _NF__16C 002b _NF__1EE 003a _NF__1ED"
	strings:
		$1 = { 53 8B D8 8B 53 04 81 EA B1 D7 00 00 83 FA 02 77 23 6A 01 6A 00 6A 00 FF 33 E8 ?? ?? ?? ?? 83 F8 FF 74 07 33 D2 F7 73 08 5B C3 E8 ?? ?? ?? ?? 83 C8 FF EB F4 B8 67 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB E5 }
	condition:
		$1
}

rule function_14434_0 {
	meta:
		name = "@FileSize"
		size = 63
		refs = "0016 _NF__165 0027 _NF__1EE 0036 _NF__1ED"
	strings:
		$1 = { 53 8B D8 8B 53 04 81 EA B1 D7 00 00 83 FA 02 77 1F 6A 00 FF 33 E8 ?? ?? ?? ?? 83 F8 FF 74 07 33 D2 F7 73 08 5B C3 E8 ?? ?? ?? ?? 83 C8 FF EB F4 B8 67 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB E5 }
	condition:
		$1
}

rule function_14435_0 {
	meta:
		name = "@ReadRec"
		size = 74
		refs = "0021 _NF__169 0031 _NF__176 0036 _NF__1ED"
	strings:
		$1 = { 53 8B D8 8B 4B 04 81 E9 B1 D7 00 00 74 05 83 E9 02 75 29 6A 00 8B C4 6A 00 50 FF 73 08 52 FF 33 E8 ?? ?? ?? ?? 5A 48 75 07 3B 53 08 75 15 5B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB F2 B8 67 00 00 00 EB F2 B8 64 00 00 00 EB EB }
	condition:
		$1
}

rule function_14436_0 {
	meta:
		name = "@ReadChar"
		size = 115
		refs = "0024 Input 0030 _NF__1ED 0038 @ResetText"
	strings:
		$1 = { 81 78 04 B1 D7 00 00 75 1A 8B 50 0C 3B 50 10 73 3B 8B 48 14 8A 0C 11 80 F9 1A 74 04 42 89 50 0C 8A C1 C3 3D ?? ?? ?? ?? 74 0D B8 68 00 00 00 E8 ?? ?? ?? ?? B0 1A C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 81 78 04 B1 D7 00 00 74 BF EB DE 50 FF 50 1C 85 C0 75 16 58 8B 50 0C 3B 50 10 72 B4 8B 48 14 C6 04 11 1A FF 40 10 B0 1A C3 E8 ?? ?? ?? ?? 58 B0 1A C3 }
	condition:
		$1
}

rule function_14437_0 {
	meta:
		name = "@ReadLong"
		size = 85
		refs = "0009 @SeekEof 0018 @ReadChar 002e @ValLong 003d _NF__1ED"
	strings:
		$1 = { 53 56 57 83 EC 24 8B F0 E8 ?? ?? ?? ?? FE C8 74 40 8B FC B3 20 8B C6 E8 ?? ?? ?? ?? 3C 20 76 28 AA FE CB 75 F0 C6 07 00 8B C4 52 8B D4 E8 ?? ?? ?? ?? 5A 85 D2 74 0A B8 6A 00 00 00 E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 3C 1A 74 D9 FF 4E 0C EB D4 33 C0 EB EC }
	condition:
		$1
}

rule function_14438_0 {
	meta:
		name = "@ReadString"
		size = 11
	strings:
		$1 = { 52 42 E8 10 00 00 00 5A 88 0A C3 }
	condition:
		$1
}

rule function_14439_0 {
	meta:
		name = "@ReadCString"
		size = 138
		refs = "0056 @ReadChar 0068 Input 0074 _NF__1ED 007b @ResetText"
	strings:
		$1 = { 52 E8 06 00 00 00 5A C6 04 0A 00 C3 53 56 57 51 8B D8 8B F1 8B FA 81 7B 04 B1 D7 00 00 75 48 85 F6 7E 26 8B 53 0C 8B 4B 10 2B CA 03 53 14 49 7C 1F 8A 02 42 3C 1A 74 11 3C 0D 74 06 AA 4E 7F EE EB 01 4A 2B 53 14 89 53 0C 59 2B CE 5F 5E 5B C3 89 53 0C 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B 4B 10 2B CA 03 53 14 EB CD 3D ?? ?? ?? ?? 74 0C B8 68 00 00 00 E8 ?? ?? ?? ?? EB CF E8 ?? ?? ?? ?? 81 7B 04 B1 D7 00 00 74 97 EB E4 }
	condition:
		$1
}

rule function_14440_0 {
	meta:
		name = "@ReadExt"
		size = 85
		refs = "0009 @SeekEof 0018 @ReadChar 002e @ValExt 003d _NF__1ED"
	strings:
		$1 = { 53 56 57 83 EC 44 8B F0 E8 ?? ?? ?? ?? FE C8 74 40 8B FC B3 40 8B C6 E8 ?? ?? ?? ?? 3C 20 76 28 AA FE CB 75 F0 C6 07 00 8B C4 52 8B D4 E8 ?? ?? ?? ?? 5A 85 D2 74 0A B8 6A 00 00 00 E8 ?? ?? ?? ?? 83 C4 44 5F 5E 5B C3 3C 1A 74 D9 FF 4E 0C EB D4 D9 EE EB EC }
	condition:
		$1
}

rule function_14441_0 {
	meta:
		name = "@ReadLn"
		size = 40
		refs = "0006 @ReadChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 1A 74 18 3C 0D 75 F1 8B C3 E8 ?? ?? ?? ?? 3C 0A 74 07 3C 1A 74 05 FF 4B 0C 5B C3 5B C3 }
	condition:
		$1
}

rule function_14442_0 {
	meta:
		name = "@Rename"
		size = 82
		refs = "000e @Rename 001a _NF__167 0041 _NF__176 0046 _NF__1ED"
	strings:
		$1 = { 81 78 04 B0 D7 00 00 75 41 85 D2 75 05 BA ?? ?? ?? ?? 8D 40 48 52 50 52 50 E8 ?? ?? ?? ?? 48 58 5A 75 1D B5 82 8A 0A 42 88 08 40 84 C9 74 10 8A 0A 42 88 08 40 84 C9 74 06 FE CD 75 E8 88 28 C3 E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? B8 66 00 00 00 EB F4 00 }
	condition:
		$1
}

rule function_14443_0 {
	meta:
		name = "_NF__467"
		size = 59
		refs = "0017 @Close 0028 _NF__1ED"
	strings:
		$1 = { 53 56 8B F0 8B DA 8B 56 04 81 EA B0 D7 00 00 74 0A 83 FA 03 77 19 E8 ?? ?? ?? ?? 8B C6 89 5E 04 FF 56 18 85 C0 74 05 E8 ?? ?? ?? ?? 5E 5B C3 B8 66 00 00 00 E8 ?? ?? ?? ?? EB F1 }
	condition:
		$1
}

rule function_14444_0 {
	meta:
		name = "@ResetText"
		size = 7
	strings:
		$1 = { BA B1 D7 00 00 EB BE }
	condition:
		$1
}

rule function_14445_0 {
	meta:
		name = "@RewritText"
		size = 7
	strings:
		$1 = { BA B2 D7 00 00 EB B7 }
	condition:
		$1
}

rule function_14446_0 {
	meta:
		name = "@Append"
		size = 7
	strings:
		$1 = { BA B3 D7 00 00 EB B0 }
	condition:
		$1
}

rule function_14447_0 {
	meta:
		name = "_NF__46D"
		size = 257
		refs = "0025 _NF__1ED 0036 _NF__46D 004e FileMode 009c _NF__161 00c1 _NF__166 00d6 _NF__176"
	strings:
		$1 = { 53 56 57 8B D8 8B F2 8B F9 8B 53 04 81 EA B0 D7 00 00 74 15 83 FA 03 0F 87 AA 00 00 00 FF 53 24 85 C0 74 05 E8 ?? ?? ?? ?? C7 43 04 B3 D7 00 00 89 73 08 C7 43 24 ?? ?? ?? ?? C7 43 1C ?? ?? ?? ?? 80 7B 48 00 74 67 B8 00 00 00 C0 8A 15 ?? ?? ?? ?? 83 E2 70 C1 EA 02 8B 92 ?? ?? ?? ?? B9 02 00 00 00 83 EF 03 74 23 B9 03 00 00 00 47 74 1B B8 00 00 00 40 47 C7 43 04 B2 D7 00 00 74 0C B8 00 00 00 80 C7 43 04 B1 D7 00 00 6A 00 68 80 00 00 00 51 6A 00 52 50 8D 43 48 50 E8 ?? ?? ?? ?? 83 F8 FF 74 29 89 03 5F 5E 5B C3 33 C0 C3 C7 43 24 ?? ?? ?? ?? 83 FF 03 74 04 6A F6 EB 02 6A F5 E8 ?? ?? ?? ?? EB D9 B8 66 00 00 00 EB 0C C7 43 04 B0 D7 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB C6 03 00 00 00 00 00 00 00 01 00 00 00 02 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14448_0 {
	meta:
		name = "@ResetFile"
		size = 23
		refs = "0004 FileMode"
	strings:
		$1 = { 33 C9 8A 0D ?? ?? ?? ?? 80 E1 03 80 F9 02 76 02 B1 02 E9 E8 FE FF FF }
	condition:
		$1
}

rule function_14449_0 {
	meta:
		name = "@RewritFile"
		size = 32
		refs = "0014 _NF__160 001b _NF__1EE"
	strings:
		$1 = { B9 03 00 00 00 E9 DE FE FF FF FF 30 C7 40 04 B0 D7 00 00 E8 ?? ?? ?? ?? 48 0F 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14450_0 {
	meta:
		name = "@Seek"
		size = 50
		refs = "001c _NF__16C 0023 _NF__1EE 002e _NF__1ED"
	strings:
		$1 = { 8B C8 8B 41 04 2D B1 D7 00 00 83 F8 02 77 19 6A 00 8B 41 08 F7 E2 6A 00 50 FF 31 E8 ?? ?? ?? ?? 40 0F 84 ?? ?? ?? ?? C3 B8 67 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_14451_0 {
	meta:
		name = "@SeekEof"
		size = 31
		refs = "0006 @ReadChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 20 77 06 3C 1A 74 09 EB EF FF 4B 0C 5B B0 00 C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_14452_0 {
	meta:
		name = "@SeekEoln"
		size = 37
		refs = "0006 @ReadChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 20 77 0C 3C 1A 74 0F 3C 0D 75 ED B0 01 EB 02 B0 00 FF 4B 0C 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_14453_0 {
	meta:
		name = "@SetTextBuf"
		size = 15
	strings:
		$1 = { 89 50 14 33 D2 89 48 08 89 50 0C 89 50 10 C3 }
	condition:
		$1
}

rule function_14454_0 {
	meta:
		name = "@Truncate"
		size = 39
		refs = "0011 _NF__16B 0018 _NF__1EE 0023 _NF__1ED"
	strings:
		$1 = { 8B 50 04 81 EA B1 D7 00 00 83 FA 02 77 0F FF 30 E8 ?? ?? ?? ?? 48 0F 85 ?? ?? ?? ?? C3 B8 67 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_14455_0 {
	meta:
		name = "@WriteRec"
		size = 73
		refs = "001e _NF__16D 0030 _NF__176 0035 _NF__1ED"
	strings:
		$1 = { 53 8B D8 8B 40 04 2D B2 D7 00 00 83 F8 01 77 2B 6A 00 8B C4 6A 00 50 FF 73 08 52 FF 33 E8 ?? ?? ?? ?? 5A 48 75 09 3B 53 08 75 17 8B C3 5B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB F0 B8 05 00 00 00 EB F2 B8 65 00 00 00 EB EB }
	condition:
		$1
}

rule function_14456_0 {
	meta:
		name = "_NF__476"
		size = 107
		refs = "003c Output 0046 @RewritText 005c _NF__1ED"
	strings:
		$1 = { 56 57 8B F2 81 78 04 B2 D7 00 00 75 2E 8B 78 14 03 78 0C 8B 50 08 2B 50 0C 3B D1 7F 16 01 50 0C 2B CA 50 51 8B CA F3 A4 FF 50 1C 85 C0 75 33 59 58 EB DA 01 48 0C F3 A4 5F 5E C3 3D ?? ?? ?? ?? 75 14 51 52 50 E8 ?? ?? ?? ?? 58 5A 59 81 78 04 B2 D7 00 00 74 B7 B8 69 00 00 00 E8 ?? ?? ?? ?? EB D6 E8 ?? ?? ?? ?? 59 58 EB CD }
	condition:
		$1
}

rule function_14457_0 {
	meta:
		name = "_NF__477"
		size = 57
		refs = "0003 _NV__47F 001c @GetTls 0022 InOutRes"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? 83 F9 40 7E 21 83 E9 40 50 51 B9 40 00 00 00 E8 7A FF FF FF E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 75 0D 59 58 EB D5 85 C9 0F 8F 60 FF FF FF C3 59 58 C3 }
	condition:
		$1
}

rule function_14458_0 {
	meta:
		name = "@Write0String"
		size = 10
	strings:
		$1 = { 33 C9 8A 0A 42 E9 52 FF FF FF }
	condition:
		$1
}

rule function_14459_0 {
	meta:
		name = "@WriteString"
		size = 29
	strings:
		$1 = { 53 33 DB 8A 1A 2B CB 7E 0B 50 52 8B D1 E8 AB FF FF FF 5A 58 8B CB 5B 42 E9 35 FF FF FF }
	condition:
		$1
}

rule function_14460_0 {
	meta:
		name = "@WriteLn"
		size = 20
		refs = "0001 _NV__47F 0010 @Flush"
	strings:
		$1 = { BA ?? ?? ?? ?? B9 02 00 00 00 E8 26 FF FF FF E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_14461_0 {
	meta:
		name = "@Write0Char"
		size = 82
		refs = "0028 Output 0031 @RewritText 0046 _NF__1ED"
	strings:
		$1 = { 81 78 04 B2 D7 00 00 75 1E 8B 48 0C 3B 48 08 7D 09 03 48 14 88 11 FF 40 0C C3 50 52 FF 50 1C 85 C0 75 27 5A 58 EB E2 3D ?? ?? ?? ?? 75 12 52 50 E8 ?? ?? ?? ?? 58 5A 81 78 04 B2 D7 00 00 74 C9 B8 69 00 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 58 C3 }
	condition:
		$1
}

rule function_14462_0 {
	meta:
		name = "@WriteChar"
		size = 23
	strings:
		$1 = { 52 8D 51 FF E8 31 FF FF FF 8B D4 B9 01 00 00 00 E8 BA FE FF FF 5A C3 }
	condition:
		$1
}

rule function_14463_0 {
	meta:
		name = "@Write0CString"
		size = 4
	strings:
		$1 = { 33 C9 EB 00 }
	condition:
		$1
}

rule function_14464_0 {
	meta:
		name = "@WriteCString"
		size = 42
	strings:
		$1 = { 56 57 8B F0 51 8B FA 83 C9 FF B0 00 F2 AE F7 D1 49 8B FA 5A 2B D1 8B C6 51 E8 01 FF FF FF 59 8B C6 8B D7 5F 5E E9 8A FE FF FF }
	condition:
		$1
}

rule function_14466_0 {
	meta:
		name = "@Str0Ext"
		size = 12
	strings:
		$1 = { 8B C8 B8 17 00 00 00 83 CA FF EB 07 }
	condition:
		$1
}

rule function_14467_0 {
	meta:
		name = "@Str1Ext"
		size = 7
	strings:
		$1 = { 8B CA 83 CA FF EB 00 }
	condition:
		$1
}

rule function_14468_0 {
	meta:
		name = "@Str2Ext"
		size = 625
		refs = "00f8 _NF__480 0255 @Pow10"
	strings:
		$1 = { DB 6C 24 04 53 56 57 8B D8 8B F2 51 81 EC 00 01 00 00 81 FB FF 00 00 00 7E 05 BB FF 00 00 00 D9 C0 DB 3C 24 33 C0 66 8B 44 24 08 8B F8 C1 EF 0F 66 25 FF 7F 66 3D FF 7F 0F 84 3E 01 00 00 D9 E1 85 F6 0F 8D A1 00 00 00 E8 DE 01 00 00 8B F3 83 EE 08 83 FE 02 7D 07 BE 02 00 00 00 EB 0A 83 FE 12 7E 05 BE 12 00 00 00 8B D4 50 8B C6 E8 4F 01 00 00 8B D7 8B BC 24 04 01 00 00 88 1F 47 B0 20 8B CB 2B CE 83 E9 08 7E 02 F3 AA 28 4F FF 84 D2 74 02 B0 2D AA 58 8B CE 8B F4 80 3E 30 74 02 40 4E 46 A4 C6 07 2E 47 49 F3 A4 C6 07 45 B1 2B 85 C0 7D 04 B1 2D F7 D8 88 4F 01 33 D2 66 B9 0A 00 66 F7 F1 80 C2 30 88 57 05 33 D2 66 F7 F1 80 C2 30 88 57 04 33 D2 66 F7 F1 80 C2 30 88 57 03 04 30 88 47 02 E9 86 00 00 00 81 FE D8 00 00 00 7E 05 BE D8 00 00 00 DC 15 ?? ?? ?? ?? 9B DF E0 9E B8 00 00 00 00 72 0E E8 1F 01 00 00 83 F8 23 0F 8F 38 FF FF FF 40 8B D4 50 03 C6 E8 A1 00 00 00 58 8B D6 8B F4 80 3E 30 74 02 40 4E 46 8B C8 03 CF 85 D2 74 09 41 03 CA 3B D9 7F 02 8B D9 50 57 8B BC 24 08 01 00 00 88 1F 47 2B D9 8B CB 7E 04 B0 20 F3 AA 28 4F FF 58 59 85 C0 74 04 C6 07 2D 47 F3 A4 85 D2 74 08 C6 07 2E 47 8B CA F3 A4 81 C4 00 01 00 00 59 5F 5E 5B C2 0C 00 DD D8 81 7C 24 04 00 00 00 80 BE ?? ?? ?? ?? 75 0D 4F BE ?? ?? ?? ?? 75 05 BE ?? ?? ?? ?? 8B F9 8B CB 88 0F 47 2A 0E 76 04 B0 20 F3 AA 28 4F FF 8A 0E 46 F3 A4 EB BC 03 4E 61 6E 04 2B 49 6E 66 04 2D 49 6E 66 57 8B FA 8B C8 83 EC 0A C6 07 30 DC 0D ?? ?? ?? ?? D9 FC DC 15 ?? ?? ?? ?? 9B DF E0 9E 72 09 DC 25 ?? ?? ?? ?? C6 07 31 DF 34 24 BA 08 00 00 00 47 9B 8A 04 14 8A E0 C0 E8 04 80 E4 0F 66 05 30 30 66 AB 4A 79 EB 83 E9 12 7C 06 B0 30 F3 AA EB 14 03 F9 80 3F 35 7C 0D 4F FE 07 80 3F 39 7E 05 C6 07 30 EB F3 83 C4 0A 5F C3 53 83 EC 0C 33 DB D9 C0 DB 3C 24 66 8B 44 24 08 66 85 C0 74 22 66 2D FF 3F 66 BA 10 4D 66 F7 EA 0F BF C2 F7 D8 74 09 2B D8 E8 ?? ?? ?? ?? EB D6 83 C4 0C 8B C3 5B C3 83 7C 24 04 00 75 D7 83 3C 24 00 75 D1 EB EA }
	condition:
		$1
}

rule function_14469_0 {
	meta:
		name = "@ValExt"
		size = 257
		refs = "0044 @ValExt 00d9 @Pow10"
	strings:
		$1 = { 53 56 57 8B F0 50 D9 EE 33 C0 33 DB 33 FF 53 85 F6 0F 84 DB 00 00 00 8A 1E 46 80 FB 20 74 F8 B5 00 80 FB 2D 74 07 80 FB 2B 74 04 EB 05 FE C5 8A 1E 46 84 DB 0F 84 B9 00 00 00 80 EB 30 80 FB 09 77 18 DC 0D ?? ?? ?? ?? 89 1C 24 DA 04 24 8A 1E 46 84 DB 75 E5 EB 7D 90 90 90 80 FB FE 75 25 8A 1E 46 84 DB 74 6E 80 EB 30 80 FB 09 77 16 DC 0D ?? ?? ?? ?? 89 1C 24 DA 04 24 48 8A 1E 46 84 DB 75 E4 EB 50 80 FB 15 74 05 80 FB 35 75 65 8A 1E 46 B4 00 80 FB 2D 74 07 80 FB 2B 74 04 EB 05 FE C4 8A 1E 46 80 EB 30 80 FB 09 77 47 8B FB 8A 1E 46 84 DB 74 16 80 EB 30 80 FB 09 77 36 8D 3C BF 03 FF 03 FB 8A 1E 46 84 DB 75 EA FE CC 75 02 F7 DF 0F BE C0 03 C7 52 51 E8 ?? ?? ?? ?? 59 5A FE CD 74 0B 83 C4 08 33 F6 89 32 5F 5E 5B C3 D9 E0 EB F1 46 58 5B 2B F3 EB EF 00 00 00 00 00 00 24 40 }
	condition:
		$1
}

rule function_14471_0 {
	meta:
		name = "FPower10"
		size = 724
		refs = "001c @Pow10"
	strings:
		$1 = { 85 C0 7C 48 74 45 3D 00 14 00 00 0F 8D 7F 00 00 00 8B D0 83 E2 1F 8D 14 92 DB 2C 55 ?? ?? ?? ?? DE C9 C1 E8 05 74 24 8B D0 83 E2 0F 74 0C 8D 14 92 DB 2C 55 ?? ?? ?? ?? DE C9 C1 E8 04 74 0C 8D 04 80 DB 2C 45 ?? ?? ?? ?? DE C9 C3 F7 D8 3D 00 14 00 00 7D 42 8B D0 83 E2 1F 8D 14 92 DB 2C 55 ?? ?? ?? ?? DE F9 C1 E8 05 74 E0 8B D0 83 E2 0F 74 0C 8D 14 92 DB 2C 55 ?? ?? ?? ?? DE F9 C1 E8 04 74 C8 8D 04 80 DB 2C 45 ?? ?? ?? ?? DE F9 C3 DB 2D ?? ?? ?? ?? C3 D9 EE C3 00 00 00 00 00 00 00 80 FF 7F 00 00 00 00 00 00 00 80 FF 3F 00 00 00 00 00 00 00 A0 02 40 00 00 00 00 00 00 00 C8 05 40 00 00 00 00 00 00 00 FA 08 40 00 00 00 00 00 00 40 9C 0C 40 00 00 00 00 00 00 50 C3 0F 40 00 00 00 00 00 00 24 F4 12 40 00 00 00 00 00 80 96 98 16 40 00 00 00 00 00 20 BC BE 19 40 00 00 00 00 00 28 6B EE 1C 40 00 00 00 00 00 F9 02 95 20 40 00 00 00 00 40 B7 43 BA 23 40 00 00 00 00 10 A5 D4 E8 26 40 00 00 00 00 2A E7 84 91 2A 40 00 00 00 80 F4 20 E6 B5 2D 40 00 00 00 A0 31 A9 5F E3 30 40 00 00 00 04 BF C9 1B 8E 34 40 00 00 00 C5 2E BC A2 B1 37 40 00 00 40 76 3A 6B 0B DE 3A 40 00 00 E8 89 04 23 C7 8A 3E 40 00 00 62 AC C5 EB 78 AD 41 40 00 80 7A 17 B7 26 D7 D8 44 40 00 90 AC 6E 32 78 86 87 48 40 00 B4 57 0A 3F 16 68 A9 4B 40 00 A1 ED CC CE 1B C2 D3 4E 40 A0 84 14 40 61 51 59 84 52 40 C8 A5 19 90 B9 A5 6F A5 55 40 3A 0F 20 F4 27 8F CB CE 58 40 84 09 94 F8 78 39 3F 81 5C 40 E5 0B B9 36 D7 07 8F A1 5F 40 DF 4E 67 04 CD C9 F2 C9 62 40 96 22 81 45 40 7C 6F FC 65 40 9E B5 70 2B A8 AD C5 9D 69 40 D5 A6 CF FF 49 1F 78 C2 D3 40 A3 14 9B C5 16 AB B3 EF 3D 41 E0 8C E9 80 C9 47 BA 93 A8 41 AA 17 E6 7F 2B A1 16 B6 12 42 6B 55 27 39 8D F7 70 E0 7C 42 30 C9 3C E3 FF 96 52 8A E7 42 8E DE F9 9D FB EB 7E AA 51 43 8C 2F 6A 5C 19 FC 26 D2 BB 43 76 E3 CC F2 29 2F 84 81 26 44 D2 0A 90 DB 00 27 A4 9F 90 44 17 AA F8 AE 10 E3 C5 C4 FA 44 59 9C B0 E9 07 9C 8A F2 64 45 D4 F3 F7 EB E1 4A 7A 95 CF 45 62 A2 95 07 DC D8 3E B8 39 46 C7 91 0E A6 AE A0 19 E3 A3 46 17 0C 75 81 86 75 76 C9 48 4D E4 A7 93 39 3B 35 B8 B2 ED 53 E5 5D 3D C5 5D 3B 8B 9E 92 5A A6 F0 A1 20 C0 54 A5 8C 37 61 8B 5A 8B D8 25 5D 89 F9 DB 67 F8 F3 27 BF A2 C8 5D DD 80 6E 9B 97 20 8A 02 52 60 C4 25 75 F0 59 D5 6E 62 11 35 AE CA 7B }
	condition:
		$1
}

rule function_14472_0 {
	meta:
		name = "@Real2Ext"
		size = 45
	strings:
		$1 = { 8A 70 05 80 E6 80 8A 10 84 D2 74 1E 66 81 C2 7E 3F 52 8B 50 02 81 CA 00 00 00 80 52 8A 50 01 C1 E2 18 52 DB 2C 24 83 C4 0C C3 D9 EE C3 }
	condition:
		$1
}

rule function_14473_0 {
	meta:
		name = "@Ext2Real"
		size = 74
		refs = "0046 _NF__1EB"
	strings:
		$1 = { 53 83 EC 0C DB 3C 24 5B 5A 59 C1 EB 18 80 D3 00 83 D2 00 66 83 D1 00 70 29 03 D2 66 03 C9 D1 DA 66 D1 E9 66 81 E9 7E 3F 7E 0E 84 ED 7F 14 88 08 88 58 01 89 50 02 5B C3 33 C9 89 08 66 89 48 04 5B C3 5B B0 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_14474_0 {
	meta:
		name = "Finalization"
		size = 93
		refs = "0007 Finalization 0013 _NV__15A 001a Input 001f @Close 0024 Output 002e _NF__1C8 0033 Null 0038 @VarClr 003d Unassigned 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2D B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14475_0 {
	meta:
		name = "System"
		size = 188
		refs = "0007 System 0013 _NV__15A 0021 ExitCode 0028 ErrorAddr 002f RandSeed 0035 FileMode 003c Test8086 0043 Test8087 004b Unassigned 0054 Null 005b _NF__240 0064 _NF__241 0069 _NF__242 006e Input 0078 @Assign 007d Output 008c _NF__174 0091 CmdLine 0096 _NF__196 009b CmdShow 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 81 00 00 00 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 02 C6 05 ?? ?? ?? ?? 02 C6 05 ?? ?? ?? ?? 03 66 C7 05 ?? ?? ?? ?? 00 00 66 C7 05 ?? ?? ?? ?? 01 00 E8 ?? ?? ?? ?? 84 C0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14476_0 {
	meta:
		name = "_NF__286"
		size = 28
	strings:
		$1 = { 55 8B EC 53 89 D3 89 C2 C1 EA 10 66 F7 F3 8B 5D 08 66 89 01 66 89 13 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14479_0 {
	meta:
		name = "AllocMem"
		size = 29
		refs = "0007 @GetMem 0014 @FillChar"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 33 C9 8B D3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14480_0 {
	meta:
		name = "_NF__28E"
		size = 42
		refs = "0002 _NV__28D 0010 ExitProc 0022 @FreeMem"
	strings:
		$1 = { 53 A1 ?? ?? ?? ?? 8B 10 89 15 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 48 04 89 0A 8B 58 08 BA 0C 00 00 00 E8 ?? ?? ?? ?? FF D3 5B C3 }
	condition:
		$1
}

rule function_14481_0 {
	meta:
		name = "AddExitProc"
		size = 53
		refs = "0009 @GetMem 000f _NV__28D 0017 ExitProc 002f _NF__28E"
	strings:
		$1 = { 53 8B D8 B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 8B 15 ?? ?? ?? ?? 8B 12 89 50 04 89 58 08 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14482_0 {
	meta:
		name = "NewStr"
		size = 48
		refs = "000a NullStr 0012 String 001c @New 0027 @LStrAsg"
	strings:
		$1 = { 53 56 8B F0 85 F6 75 08 8B 1D ?? ?? ?? ?? EB 1B 8B 15 ?? ?? ?? ?? B8 04 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_14483_0 {
	meta:
		name = "DisposeStr"
		size = 27
		refs = "000e String 0015 @Dispose"
	strings:
		$1 = { 53 8B D8 85 DB 74 12 83 3B 00 74 0D 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14484_0 {
	meta:
		name = "AssignStr"
		size = 29
		refs = "000c NewStr 0015 DisposeStr"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 33 8B C7 E8 ?? ?? ?? ?? 89 03 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14485_0 {
	meta:
		name = "AppendStr"
		size = 18
		refs = "000b @LStrCat"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14584_0 {
	meta:
		name = "_NF__393"
		size = 18
		refs = "000b @VarToLStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15605_0 {
	meta:
		name = "_NF__90"
		size = 18
		refs = "000b @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15608_0 {
	meta:
		name = "_NF__93"
		size = 18
		refs = "000b @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15617_0 {
	meta:
		name = "_NF__A7"
		size = 18
		refs = "000b @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14486_0 {
	meta:
		name = "UpperCase"
		size = 58
		refs = "000a @LStrLen 0015 @LStrSetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 37 85 DB 74 15 8A 02 3C 61 72 06 3C 7A 77 02 2C 20 88 06 42 46 4B 85 DB 75 EB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14487_0 {
	meta:
		name = "LowerCase"
		size = 58
		refs = "000a @LStrLen 0015 @LStrSetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 37 85 DB 74 15 8A 02 3C 41 72 06 3C 5A 77 02 04 20 88 06 42 46 4B 85 DB 75 EB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14489_0 {
	meta:
		name = "CompareMem"
		size = 31
	strings:
		$1 = { 56 57 89 C6 89 D7 89 CA 31 C0 83 E2 03 D1 E9 D1 E9 F3 A7 75 07 89 D1 F3 A6 75 01 40 5F 5E C3 }
	condition:
		$1
}

rule function_14490_0 {
	meta:
		name = "CompareText"
		size = 83
	strings:
		$1 = { 56 57 53 89 C6 89 D7 09 C0 74 03 8B 40 FC 09 D2 74 03 8B 52 FC 89 C1 39 D1 76 02 89 D1 39 C9 F3 A6 74 2A 8A 5E FF 80 FB 61 72 08 80 FB 7A 77 03 80 EB 20 8A 7F FF 80 FF 61 72 08 80 FF 7A 77 03 80 EF 20 38 FB 74 D8 0F B6 C3 0F B6 D7 29 D0 5B 5F 5E C3 }
	condition:
		$1
}

rule function_14491_0 {
	meta:
		name = "AnsiUpperCase"
		size = 47
		refs = "000a @LStrLen 0013 @LStrToPChar 001e @LStrFromPCharLen 0027 CharUpperBuff"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 53 8B 07 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14492_0 {
	meta:
		name = "AnsiLowerCase"
		size = 47
		refs = "000a @LStrLen 0013 @LStrToPChar 001e @LStrFromPCharLen 0027 CharLowerBuff"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 53 8B 07 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14493_0 {
	meta:
		name = "AnsiCompareStr"
		size = 56
		refs = "0009 @LStrLen 0011 @LStrToPChar 002e CompareString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_14494_0 {
	meta:
		name = "AnsiCompareText"
		size = 56
		refs = "0009 @LStrLen 0011 @LStrToPChar 002e CompareString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_14495_0 {
	meta:
		name = "AnsiStrComp"
		size = 30
		refs = "0014 CompareString"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A FF 56 6A FF 53 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_14496_0 {
	meta:
		name = "AnsiStrIComp"
		size = 30
		refs = "0014 CompareString"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A FF 56 6A FF 53 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_14497_0 {
	meta:
		name = "AnsiStrLComp"
		size = 32
		refs = "0015 CompareString"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 53 57 53 56 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14498_0 {
	meta:
		name = "AnsiStrLIComp"
		size = 32
		refs = "0015 CompareString"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 53 57 53 56 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14499_0 {
	meta:
		name = "AnsiStrLower"
		size = 13
		refs = "0005 CharLower"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_14500_0 {
	meta:
		name = "AnsiStrUpper"
		size = 13
		refs = "0005 CharUpper"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_14501_0 {
	meta:
		name = "Trim"
		size = 77
		refs = "000b @LStrLen 002b @LStrClr 0044 @LStrCopy"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 BB 01 00 00 00 EB 01 43 3B F3 7C 07 80 7C 1F FF 20 76 F4 3B F3 7D 0A 8B C5 E8 ?? ?? ?? ?? EB 17 4E 80 7C 37 FF 20 76 F8 55 8B CE 2B CB 41 8B D3 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14502_0 {
	meta:
		name = "TrimLeft"
		size = 52
		refs = "000a @LStrLen 002c @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? BB 01 00 00 00 EB 01 43 3B C3 7C 07 80 7C 1E FF 20 76 F4 57 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14503_0 {
	meta:
		name = "TrimRight"
		size = 49
		refs = "000a @LStrLen 0029 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 01 4B 85 DB 7E 07 80 7C 1E FF 20 76 F4 57 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14504_0 {
	meta:
		name = "QuotedStr"
		size = 96
		refs = "000b @LStrLAsg 0012 @LStrLen 002b QuotedStr 0030 @LStrInsert 004d @LStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B D8 83 FB 01 7C 1C 8B 06 80 7C 18 FF 27 75 0E 8B D6 8B CB B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 85 DB 75 E4 68 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_14505_0 {
	meta:
		name = "AnsiQuotedStr"
		size = 291
		refs = "001d AnsiQuotedStr 002d @LStrToPChar 0035 AnsiStrScan 005c @LStrFromChar 007c @LStrCatN 0086 @LStrLen 0094 @LStrSetLength 00b9 Move 00de StrEnd 0110 @LStrArrayClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 8B F9 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 FC E8 ?? ?? ?? ?? 8A 55 FB E8 ?? ?? ?? ?? 8B D8 85 DB 74 12 43 46 8A 55 FB 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EE 85 F6 75 2D 8D 45 F4 8A 55 FB E8 ?? ?? ?? ?? FF 75 F4 FF 75 FC 8D 45 F0 8A 55 FB E8 ?? ?? ?? ?? FF 75 F0 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 78 8B 45 FC E8 ?? ?? ?? ?? 8B D0 03 D6 83 C2 02 8B C7 E8 ?? ?? ?? ?? 8B 3F 8A 45 FB 88 07 47 8B 75 FC 8A 55 FB 8B C6 E8 ?? ?? ?? ?? 8B D8 43 8B CB 2B CE 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 2B C6 03 F8 8A 45 FB 88 07 47 8B F3 8A 55 FB 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 D4 8B C6 E8 ?? ?? ?? ?? 8B D8 8B CB 2B CE 8B D7 8B C6 E8 ?? ?? ?? ?? 2B DE 03 FB 8A 45 FB 88 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14506_0 {
	meta:
		name = "AnsiExtractQuotedStr"
		size = 253
		refs = "0010 @LStrClr 0035 AnsiStrScan 0060 StrEnd 0081 @LStrFromPCharLen 008f @LStrSetLength 0099 @LStrToPChar 00bd Move"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B DA 8B F0 8B 04 24 E8 ?? ?? ?? ?? 83 3E 00 0F 84 DA 00 00 00 8B 06 3A 18 0F 85 D0 00 00 00 FF 06 BD 01 00 00 00 8B 3E 8B 06 8B D3 E8 ?? ?? ?? ?? 89 06 EB 16 FF 06 8B 06 3A 18 75 13 FF 06 45 8B 06 8B D3 E8 ?? ?? ?? ?? 89 06 83 3E 00 75 E5 83 3E 00 75 09 8B C7 E8 ?? ?? ?? ?? 89 06 8B 06 2B C7 83 F8 01 0F 8E 84 00 00 00 83 FD 01 75 0F 8B C8 49 8B 04 24 8B D7 E8 ?? ?? ?? ?? EB 70 8B D0 2B D5 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 8B 00 E8 ?? ?? ?? ?? 8B E8 8B D3 8B C7 E8 ?? ?? ?? ?? 89 06 EB 2A FF 06 8B 06 3A 18 75 27 8B 0E 2B CF 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 06 2B C7 03 E8 FF 06 8B 3E 8B 06 8B D3 E8 ?? ?? ?? ?? 89 06 83 3E 00 75 D1 83 3E 00 75 09 8B C7 E8 ?? ?? ?? ?? 89 06 8B 0E 2B CF 49 8B D5 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14507_0 {
	meta:
		name = "AdjustLineBreaks"
		size = 204
		refs = "000f @LStrLen 0044 LeadBytes 005a @LStrLAsg 006e @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B DD 8B C5 E8 ?? ?? ?? ?? 8B F0 03 F3 33 FF 3B F3 76 33 8A 03 8B D0 80 EA 0A 74 07 80 EA 03 74 05 EB 0F 47 EB 1B 80 7B 01 0A 75 03 43 EB 12 47 EB 0F 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 01 43 43 3B F3 77 CD 85 FF 75 0C 8B 04 24 8B D5 E8 ?? ?? ?? ?? EB 66 8B DD 8B CE 2B CB 03 CF 8B 04 24 33 D2 E8 ?? ?? ?? ?? 8B 3C 24 8B 3F 3B F3 76 4B 8A 03 8B D0 80 EA 0A 74 07 80 EA 03 74 0D EB 1C C6 07 0D 47 C6 07 0A 47 43 EB 2C C6 07 0D 47 C6 07 0A 47 43 80 3B 0A 75 1E 43 EB 1B 8B D0 81 E2 FF 00 00 00 0F A3 15 ?? ?? ?? ?? 73 04 88 07 47 43 8A 03 88 07 47 43 3B F3 77 B5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14508_0 {
	meta:
		name = "IsValidIdent"
		size = 99
		refs = "000a @LStrLen"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 74 4B 8A 06 04 BF 2C 1A 72 0A 2C 04 74 06 04 FE 2C 1A 73 39 8B C6 E8 ?? ?? ?? ?? 83 E8 02 7C 2B 40 BF 02 00 00 00 8A 54 3E FF 80 C2 D0 80 EA 0A 72 15 80 C2 F9 80 EA 1A 72 0D 80 EA 04 74 08 80 C2 FE 80 EA 1A 73 06 47 48 75 DB B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14509_0 {
	meta:
		name = "IntToStr"
		size = 48
		refs = "0015 IntToStr 001a FmtStr"
	strings:
		$1 = { 83 C4 F8 6A 00 89 44 24 04 C6 44 24 08 00 8D 4C 24 04 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 00 00 00 FF FF FF FF 02 00 00 00 25 64 00 00 }
	condition:
		$1
}

rule function_14510_0 {
	meta:
		name = "IntToHex"
		size = 60
		refs = "001c IntToHex 0022 FmtStr"
	strings:
		$1 = { 83 C4 F0 6A 01 89 54 24 04 C6 44 24 08 00 89 44 24 0C C6 44 24 10 00 8D 44 24 04 BA ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? 83 C4 10 C3 00 00 FF FF FF FF 04 00 00 00 25 2E 2A 78 00 00 00 00 }
	condition:
		$1
}

rule function_14511_0 {
	meta:
		name = "StrToInt"
		size = 119
		refs = "0013 StrToInt 0023 @ValLong 0033 SInvalidInteger 0038 LoadResString 004e _NF__288 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7D FC 00 74 23 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14512_0 {
	meta:
		name = "StrToIntDef"
		size = 22
		refs = "0007 @ValLong"
	strings:
		$1 = { 53 51 8B DA 8B D4 E8 ?? ?? ?? ?? 83 3C 24 00 74 02 8B C3 5A 5B C3 }
	condition:
		$1
}

rule function_14513_0 {
	meta:
		name = "_NF__2E3"
		size = 38
		refs = "0014 LoadString"
	strings:
		$1 = { 53 56 57 8B F8 8B DA 8B 43 08 50 8B 43 04 50 8B 03 50 57 E8 ?? ?? ?? ?? 8B F0 89 73 0C 85 F6 0F 94 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14514_0 {
	meta:
		name = "_NF__2E4"
		size = 40
		refs = "0017 _NF__2E3 001c EnumResourceModules"
	strings:
		$1 = { 83 C4 F0 89 04 24 89 54 24 04 89 4C 24 08 33 C0 89 44 24 0C 8B D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 0C 83 C4 10 C3 }
	condition:
		$1
}

rule function_14515_0 {
	meta:
		name = "LoadStr"
		size = 46
		refs = "0016 _NF__2E4 0021 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 81 C4 00 FC FF FF 8B F2 8B D8 8B D4 B9 00 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 00 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14516_0 {
	meta:
		name = "FmtLoadStr"
		size = 89
		refs = "0012 FmtLoadStr 0023 LoadStr 0030 FmtStr 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14517_0 {
	meta:
		name = "FileOpen"
		size = 62
		refs = "001e _NV__2EC 0029 _NV__2EB 0031 @LStrToPChar 0037 CreateFile"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 68 80 00 00 00 6A 03 6A 00 8B C3 25 F0 00 00 00 C1 E8 04 8B 04 85 ?? ?? ?? ?? 50 83 E3 03 8B 04 9D ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14518_0 {
	meta:
		name = "FileCreate"
		size = 36
		refs = "0018 @LStrToPChar 001e CreateFile"
	strings:
		$1 = { 53 8B D8 6A 00 68 80 00 00 00 6A 02 6A 00 6A 00 68 00 00 00 C0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14519_0 {
	meta:
		name = "FileRead"
		size = 44
		refs = "0015 ReadFile"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 6A 00 8D 44 24 04 50 57 56 53 E8 ?? ?? ?? ?? 85 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14520_0 {
	meta:
		name = "FileWrite"
		size = 44
		refs = "0015 WriteFile"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 6A 00 8D 44 24 04 50 57 56 53 E8 ?? ?? ?? ?? 85 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14521_0 {
	meta:
		name = "FileSeek"
		size = 11
		refs = "0006 SetFilePointer"
	strings:
		$1 = { 51 6A 00 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14523_0 {
	meta:
		name = "FileAge"
		size = 104
		refs = "0016 @LStrToPChar 001c FindFirstFile 0027 FindClose 0040 FileTimeToLocalFileTime 0051 FileTimeToDosDateTime"
	strings:
		$1 = { 55 8B EC 81 C4 B4 FE FF FF 53 8B D8 8D 85 B4 FE FF FF 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 74 34 50 E8 ?? ?? ?? ?? F6 85 B4 FE FF FF 10 75 25 8D 45 F4 50 8D 85 C8 FE FF FF 50 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 45 FE 50 8D 45 F4 50 E8 ?? ?? ?? ?? 85 C0 75 07 C7 45 FC FF FF FF FF 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14524_0 {
	meta:
		name = "FileExists"
		size = 16
		refs = "0006 FileAge"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 40 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_14525_0 {
	meta:
		name = "FileGetDate"
		size = 80
		refs = "0013 GetFileTime 0024 FileTimeToLocalFileTime 0039 FileTimeToDosDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 8D 45 F4 50 6A 00 6A 00 53 E8 ?? ?? ?? ?? 85 C0 74 26 8D 45 EC 50 8D 45 F4 50 E8 ?? ?? ?? ?? 85 C0 74 15 8D 45 FC 50 8D 45 FE 50 8D 45 EC 50 E8 ?? ?? ?? ?? 85 C0 75 07 C7 45 FC FF FF FF FF 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14526_0 {
	meta:
		name = "FileSetDate"
		size = 88
		refs = "001e DosDateTimeToFileTime 002f LocalFileTimeToFileTime 0041 SetFileTime 004a GetLastError"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 55 FC 8B F0 33 DB 8D 45 F4 50 66 8B 45 FC 50 66 8B 45 FE 50 E8 ?? ?? ?? ?? 85 C0 74 23 8D 45 EC 50 8D 45 F4 50 E8 ?? ?? ?? ?? 85 C0 74 12 8D 45 EC 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14527_0 {
	meta:
		name = "FileGetAttr"
		size = 18
		refs = "0006 @LStrToPChar 000c GetFileAttributes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14528_0 {
	meta:
		name = "FileSetAttr"
		size = 40
		refs = "000d @LStrToPChar 0013 SetFileAttributes 001c GetLastError"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 DB 57 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14529_0 {
	meta:
		name = "_NF__30E"
		size = 99
		refs = "0011 FindNextFile 001a GetLastError 002e FileTimeToLocalFileTime 003d FileTimeToDosDateTime 0059 @LStrFromArray"
	strings:
		$1 = { 53 83 C4 F8 8B D8 EB 18 8D 43 18 50 8B 43 14 50 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 3F 8B 43 18 23 43 10 75 E0 54 8D 43 2C 50 E8 ?? ?? ?? ?? 53 8D 43 02 50 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B 43 38 89 43 04 8B 43 18 89 43 08 8D 43 0C 8D 53 44 B9 04 01 00 00 E8 ?? ?? ?? ?? 33 C0 59 5A 5B C3 }
	condition:
		$1
}

rule function_14530_0 {
	meta:
		name = "FindFirst"
		size = 75
		refs = "0016 @LStrToPChar 001c FindFirstFile 002b _NF__30E 0038 FindClose 003f GetLastError"
	strings:
		$1 = { 53 56 57 8B D9 8B F8 F7 D2 83 E2 1E 89 53 10 8D 43 18 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 89 73 14 46 74 16 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? EB 07 E8 ?? ?? ?? ?? 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14531_0 {
	meta:
		name = "FindNext"
		size = 36
		refs = "000c FindNextFile 0017 _NF__30E 001e GetLastError"
	strings:
		$1 = { 53 8B D8 8D 43 18 50 8B 43 14 50 E8 ?? ?? ?? ?? 85 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14532_0 {
	meta:
		name = "FindClose"
		size = 15
		refs = "000a FindClose"
	strings:
		$1 = { 8B 50 14 83 FA FF 74 06 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14534_0 {
	meta:
		name = "RenameFile"
		size = 36
		refs = "0009 @LStrToPChar 0017 MoveFile"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_14535_0 {
	meta:
		name = "AnsiStrLastChar"
		size = 38
		refs = "0008 StrLen 0017 StrByteType"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 8D 3C 33 8B D6 8B C3 E8 ?? ?? ?? ?? 3C 02 75 01 4F 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14536_0 {
	meta:
		name = "AnsiLastChar"
		size = 46
		refs = "0008 @LStrLen 001b ByteType"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 14 8D 7C 1E FF 8B D3 8B C6 E8 ?? ?? ?? ?? 3C 02 75 05 4F EB 02 33 FF 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14537_0 {
	meta:
		name = "LastDelimiter"
		size = 77
		refs = "000b @LStrLen 0014 @LStrToPChar 002b StrScan 0038 ByteType"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B E8 85 FF 7E 28 8A 5C 3E FF 84 DB 74 1B 8B D3 8B C5 E8 ?? ?? ?? ?? 85 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? 3C 02 75 06 4F 4F 85 FF 7F D8 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14538_0 {
	meta:
		name = "ChangeFileExt"
		size = 148
		refs = "0019 ChangeFileExt 002b LastDelimiter 0050 @LStrCopy 005d @LStrCat3 0072 @LStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 07 80 7C 1E FF 2E 74 05 BB FF FF FF 7F 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B CF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 03 00 00 00 2E 5C 3A 00 }
	condition:
		$1
}

rule function_14539_0 {
	meta:
		name = "ExtractFilePath"
		size = 52
		refs = "000a ExtractFilePath 000f LastDelimiter 0020 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 57 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 02 00 00 00 5C 3A 00 00 }
	condition:
		$1
}

rule function_14540_0 {
	meta:
		name = "ExtractFileDir"
		size = 92
		refs = "000a ExtractFileDir 000f LastDelimiter 0033 ByteType 0047 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB 01 7E 22 80 7C 1E FF 5C 75 1B 8A 44 1E FE 2C 3A 74 04 2C 22 75 0E 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 3C 02 75 01 4B 57 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 FF FF FF FF 02 00 00 00 5C 3A 00 00 }
	condition:
		$1
}

rule function_14541_0 {
	meta:
		name = "ExtractFileDrive"
		size = 145
		refs = "000b @LStrLen 0028 @LStrCopy 0088 @LStrClr"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B C3 E8 ?? ?? ?? ?? 83 F8 02 7C 1A 80 7B 01 3A 75 14 55 B9 02 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 5E 8B C3 E8 ?? ?? ?? ?? 83 F8 02 7C 4B 80 3B 5C 75 46 80 7B 01 5C 75 40 33 FF BE 03 00 00 00 EB 0E 80 7C 33 FF 5C 75 01 47 83 FF 02 7D 01 46 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 05 83 FF 02 7C E2 80 7C 33 FF 5C 75 01 4E 55 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14542_0 {
	meta:
		name = "ExtractFileName"
		size = 56
		refs = "000a ExtractFileName 000f LastDelimiter 0021 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 57 8D 56 01 B9 FF FF FF 7F 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 FF FF FF FF 02 00 00 00 5C 3A 00 00 }
	condition:
		$1
}

rule function_14543_0 {
	meta:
		name = "ExtractFileExt"
		size = 72
		refs = "000a ExtractFileExt 000f LastDelimiter 002b @LStrCopy 0034 @LStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 18 80 7C 1E FF 2E 75 11 57 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 03 00 00 00 2E 5C 3A 00 }
	condition:
		$1
}

rule function_14544_0 {
	meta:
		name = "ExpandFileName"
		size = 58
		refs = "001a @LStrToPChar 0020 GetFullPathName 002d @LStrFromPCharLen"
	strings:
		$1 = { 53 56 81 C4 F8 FE FF FF 8B F2 8B D8 54 8D 44 24 08 50 68 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14545_0 {
	meta:
		name = "_NF__332"
		size = 594
		refs = "0024 _NF__332 0035 @LStrLAsg 003b Win32Platform 005a @LStrToPChar 0060 WNetGetUniversalName 0078 @LStrFromPChar 0087 UpCase 00a6 @LStrLen 00da WNetOpenEnum 00ff @GetMem 0132 WNetEnumResource 014a @ReallocMem 0155 @TryFinallyExit 01ab @LStrCopy 01cf @LStrCat3 01fc @FreeMem 0202 @HandleFinally 021a WNetCloseEnum 023f @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 D8 FB FF FF 53 56 57 33 C9 89 8D DC FB FF FF 89 8D D8 FB FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 01 74 3F C7 45 EC 00 04 00 00 8D 45 EC 50 8D 85 E0 FB FF FF 50 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 85 BA 01 00 00 8B 45 F8 8D 95 E0 FB FF FF 8B 12 E8 ?? ?? ?? ?? E9 A5 01 00 00 8B 45 FC 8A 00 E8 ?? ?? ?? ?? 88 45 EB 80 7D EB 41 0F 82 8E 01 00 00 80 7D EB 5A 0F 87 84 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 F8 03 0F 8C 73 01 00 00 8B 45 FC 80 78 01 3A 0F 85 66 01 00 00 8B 45 FC 80 78 02 5C 0F 85 59 01 00 00 8D 45 E4 50 6A 00 6A 00 6A 01 6A 01 E8 ?? ?? ?? ?? 85 C0 0F 85 40 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C7 45 F0 40 06 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C7 45 F4 FF FF FF FF 8B 45 F0 89 45 EC 8D 45 EC 50 8B 45 E0 50 8D 45 F4 50 8B 45 E4 50 E8 ?? ?? ?? ?? 3D EA 00 00 00 75 13 8B 45 EC 89 45 F0 8D 45 E0 8B 55 F0 E8 ?? ?? ?? ?? EB C4 85 C0 74 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C3 00 00 00 8B 75 F4 4E 85 F6 7C A9 46 33 FF 8B C7 C1 E0 02 8B 55 E0 8D 1C C2 83 7B 10 00 74 60 8B 43 10 8A 00 E8 ?? ?? ?? ?? 3A 45 EB 75 51 8D 85 DC FB FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 85 DC FB FF FF 50 8D 85 D8 FB FF FF 8B 53 14 E8 ?? ?? ?? ?? 8B 95 D8 FB FF FF 8B 45 F8 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 47 4E 75 8B E9 2C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D8 FB FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14546_0 {
	meta:
		name = "ExpandUNCFileName"
		size = 134
		refs = "000f ExpandUNCFileName 001e ExpandFileName 0025 @LStrLen 003b UpCase 0056 _NF__332 0060 @LStrLAsg 0075 @LStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 83 F8 03 7C 36 8B 03 80 78 01 3A 75 2E 8B 03 8A 00 E8 ?? ?? ?? ?? 3C 41 72 21 8B 03 8A 00 E8 ?? ?? ?? ?? 3C 5A 77 14 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14547_0 {
	meta:
		name = "_NF__335"
		size = 102
		refs = "000f _NF__335 001e ExtractFilePath 0029 ExtractFileDrive 0031 @LStrLen 0040 @LStrCopy 0055 @LStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 53 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 42 8B 03 B9 FF 7F 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14548_0 {
	meta:
		name = "_NF__336"
		size = 107
		refs = "0026 LeadBytes 0038 UniqueString 0055 @LStrLen"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F0 BB 01 00 00 00 33 FF EB 3D 8B 06 8A 44 18 FF 8B D0 81 E2 FF 00 00 00 0F A3 15 ?? ?? ?? ?? 73 03 43 EB 22 8B 16 3C 5C 75 1C 8B C6 E8 ?? ?? ?? ?? C6 44 18 FF 00 8B C6 E8 ?? ?? ?? ?? 03 C3 8B 55 FC 89 04 BA 47 43 8B 06 E8 ?? ?? ?? ?? 3B D8 7E B8 4F 8B 45 08 89 38 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14549_0 {
	meta:
		name = "ExtractRelativePath"
		size = 428
		refs = "002b ExtractRelativePath 003f ExtractFileDrive 005f AnsiCompareText 0071 _NF__335 0093 _NF__336 00c1 AnsiStrIComp 00d7 @LStrClr 00ee @LStrCat 0112 @LStrFromPChar 0129 @LStrCatN 013d ExtractFileName 0156 @LStrLAsg 0173 @LStrArrayClr 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FB FF FF 53 56 57 33 DB 89 9D D8 FB FF FF 89 9D D4 FB FF FF 89 5D F8 89 5D F4 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 D8 FB FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 D8 FB FF FF 50 8D 95 D4 FB FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 D4 FB FF FF 5A E8 ?? ?? ?? ?? 85 C0 0F 85 E5 00 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 50 8D 95 E4 FD FF FF 8D 45 F8 B9 81 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 95 DC FB FF FF 8D 45 F4 B9 81 00 00 00 E8 ?? ?? ?? ?? 33 DB EB 18 8B 94 9D DC FB FF FF 8B 84 9D E4 FD FF FF E8 ?? ?? ?? ?? 85 C0 75 0B 43 3B 5D F0 7D 05 3B 5D EC 7C DE 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 7D F0 4F 2B F8 7C 10 47 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4F 75 F1 8B C3 8B 7D EC 4F 2B F8 7C 34 47 8D 9C 85 DC FB FF FF FF 36 8D 85 D8 FB FF FF 8B 13 E8 ?? ?? ?? ?? FF B5 D8 FB FF FF 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 04 4F 75 D4 8D 95 D8 FB FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 D8 FB FF FF 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FB FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 03 00 00 00 2E 2E 5C 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_14550_0 {
	meta:
		name = "FileSearch"
		size = 192
		refs = "0014 @LStrLAsg 0020 @LStrLen 002a FileExists 0056 LeadBytes 0077 @LStrCopy 007f AnsiLastChar 0090 FileSearch 0095 @LStrCat 00a8 @LStrClr"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B F2 89 04 24 8B C5 8B 14 24 E8 ?? ?? ?? ?? BB 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 45 00 E8 ?? ?? ?? ?? 84 C0 75 7A EB 01 43 3B FB 7C 07 80 7C 1E FF 3B 74 F4 3B FB 7C 61 89 5C 24 04 EB 14 8A 44 1E FF 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 01 43 43 3B FB 7C 07 80 7C 1E FF 3B 75 E1 55 8B CB 2B 4C 24 08 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B 45 00 E8 ?? ?? ?? ?? 8A 00 2C 3A 74 10 2C 22 74 0C 8B C5 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C5 8B 14 24 E8 ?? ?? ?? ?? EB 81 8B C5 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_14551_0 {
	meta:
		name = "DiskFree"
		size = 92
		refs = "000e DiskFree 0015 StrCopy 0037 GetDiskFreeSpace"
	strings:
		$1 = { 53 56 83 C4 E8 8B D8 33 F6 84 DB 76 14 BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 80 C3 40 88 1C 24 8B F4 8D 44 24 14 50 8D 44 24 14 50 8D 44 24 14 50 8D 44 24 14 50 56 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 44 24 08 F7 6C 24 0C F7 6C 24 10 EB 03 83 C8 FF 83 C4 18 5E 5B C3 00 00 41 3A 5C 00 }
	condition:
		$1
}

rule function_14552_0 {
	meta:
		name = "DiskSize"
		size = 92
		refs = "000e DiskSize 0015 StrCopy 0037 GetDiskFreeSpace"
	strings:
		$1 = { 53 56 83 C4 E8 8B D8 33 F6 84 DB 76 14 BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 80 C3 40 88 1C 24 8B F4 8D 44 24 14 50 8D 44 24 14 50 8D 44 24 14 50 8D 44 24 14 50 56 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 44 24 08 F7 6C 24 0C F7 6C 24 14 EB 03 83 C8 FF 83 C4 18 5E 5B C3 00 00 41 3A 5C 00 }
	condition:
		$1
}

rule function_14553_0 {
	meta:
		name = "FileDateToDateTime"
		size = 105
		refs = "002d EncodeDate 0054 EncodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 66 8B 75 FE 8B CE 66 83 E1 1F 0F B7 5D FE 8B D3 C1 EA 05 66 83 E2 0F 8B C3 C1 E8 09 66 05 BC 07 E8 ?? ?? ?? ?? DD 5D EC 9B 6A 00 66 8B 4D FC 66 83 E1 1F 03 C9 0F B7 7D FC 8B D7 C1 EA 05 66 83 E2 3F 8B C7 C1 E8 0B E8 ?? ?? ?? ?? DC 45 EC DD 5D F4 9B DD 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14554_0 {
	meta:
		name = "DateTimeToFileDate"
		size = 142
		refs = "0016 DecodeDate 0045 DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 EC FF 75 0C FF 75 08 8D 4D F6 8D 55 F8 8D 45 FA E8 ?? ?? ?? ?? 66 81 7D FA BC 07 72 08 66 81 7D FA 33 08 76 07 33 C0 89 45 FC EB 54 FF 75 0C FF 75 08 8D 45 EE 50 8D 4D F0 8D 55 F2 8D 45 F4 E8 ?? ?? ?? ?? 0F B7 45 F0 D1 E8 66 8B 55 F2 C1 E2 05 66 0B C2 66 8B 55 F4 C1 E2 0B 66 0B C2 66 89 45 FC 66 8B 45 F8 C1 E0 05 66 0B 45 F6 66 8B 55 FA 66 81 EA BC 07 C1 E2 09 66 0B C2 66 89 45 FE 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14555_0 {
	meta:
		name = "GetCurrentDir"
		size = 39
		refs = "0010 GetCurrentDirectory 001b @LStrFromPCharLen"
	strings:
		$1 = { 53 81 C4 FC FE FF FF 8B D8 54 68 04 01 00 00 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_14557_0 {
	meta:
		name = "CreateDir"
		size = 26
		refs = "0008 @LStrToPChar 000e CreateDirectory"
	strings:
		$1 = { 53 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_14559_0 {
	meta:
		name = "StrLen"
		size = 23
	strings:
		$1 = { 89 FA 89 C7 B9 FF FF FF FF 30 C0 F2 AE B8 FE FF FF FF 29 C8 89 D7 C3 }
	condition:
		$1
}

rule function_14560_0 {
	meta:
		name = "StrEnd"
		size = 19
	strings:
		$1 = { 89 FA 89 C7 B9 FF FF FF FF 30 C0 F2 AE 8D 47 FF 89 D7 C3 }
	condition:
		$1
}

rule function_14561_0 {
	meta:
		name = "StrMove"
		size = 60
	strings:
		$1 = { 56 57 89 D6 89 C7 89 CA 39 F7 7F 11 74 2B C1 E9 02 F3 A5 89 D1 83 E1 03 F3 A4 5F 5E C3 8D 74 0E FF 8D 7C 0F FF 83 E1 03 FD F3 A4 83 EE 03 83 EF 03 89 D1 C1 E9 02 F3 A5 FC 5F 5E C3 }
	condition:
		$1
}

rule function_14562_0 {
	meta:
		name = "StrCopy"
		size = 40
	strings:
		$1 = { 57 56 89 C6 89 D7 B9 FF FF FF FF 30 C0 F2 AE F7 D1 89 F7 89 D6 89 CA 89 F8 C1 E9 02 F3 A5 89 D1 83 E1 03 F3 A4 5E 5F C3 }
	condition:
		$1
}

rule function_14563_0 {
	meta:
		name = "StrECopy"
		size = 41
	strings:
		$1 = { 57 56 89 C6 89 D7 B9 FF FF FF FF 30 C0 F2 AE F7 D1 89 F7 89 D6 89 CA C1 E9 02 F3 A5 89 D1 83 E1 03 F3 A4 8D 47 FF 5E 5F C3 }
	condition:
		$1
}

rule function_14564_0 {
	meta:
		name = "StrLCopy"
		size = 49
	strings:
		$1 = { 57 56 53 89 C6 89 D7 89 CB 30 C0 85 C9 74 05 F2 AE 75 01 41 29 CB 89 F7 89 D6 89 FA 89 D9 C1 E9 02 F3 A5 89 D9 83 E1 03 F3 A4 AA 89 D0 5B 5E 5F C3 }
	condition:
		$1
}

rule function_14565_0 {
	meta:
		name = "StrPCopy"
		size = 30
		refs = "0009 @LStrToPChar 0017 StrLCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 B9 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14566_0 {
	meta:
		name = "StrPLCopy"
		size = 31
		refs = "000c @LStrToPChar 0017 StrLCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14567_0 {
	meta:
		name = "StrCat"
		size = 25
		refs = "0009 StrEnd 0010 StrCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_14568_0 {
	meta:
		name = "StrLCat"
		size = 35
		refs = "000a StrEnd 0019 StrLCopy"
	strings:
		$1 = { 57 56 53 89 C7 89 D6 89 CB E8 ?? ?? ?? ?? 89 F9 01 D9 29 C1 76 07 89 F2 E8 ?? ?? ?? ?? 89 F8 5B 5E 5F C3 }
	condition:
		$1
}

rule function_14569_0 {
	meta:
		name = "StrComp"
		size = 34
	strings:
		$1 = { 57 56 89 D7 89 C6 B9 FF FF FF FF 31 C0 F2 AE F7 D1 89 D7 31 D2 F3 A6 8A 46 FF 8A 57 FF 29 D0 5E 5F C3 }
	condition:
		$1
}

rule function_14570_0 {
	meta:
		name = "StrIComp"
		size = 64
	strings:
		$1 = { 57 56 89 D7 89 C6 B9 FF FF FF FF 31 C0 F2 AE F7 D1 89 D7 31 D2 F3 A6 74 24 8A 46 FF 80 F8 61 72 08 80 F8 7A 77 03 80 E8 20 8A 57 FF 80 FA 61 72 08 80 FA 7A 77 03 80 EA 20 29 D0 74 D8 5E 5F C3 }
	condition:
		$1
}

rule function_14571_0 {
	meta:
		name = "StrLComp"
		size = 39
	strings:
		$1 = { 57 56 53 89 D7 89 C6 89 CB 31 C0 09 C9 74 14 F2 AE 29 CB 89 D9 89 D7 31 D2 F3 A6 8A 46 FF 8A 57 FF 29 D0 5B 5E 5F C3 }
	condition:
		$1
}

rule function_14572_0 {
	meta:
		name = "StrLIComp"
		size = 69
	strings:
		$1 = { 57 56 53 89 D7 89 C6 89 CB 31 C0 09 C9 74 32 F2 AE 29 CB 89 D9 89 D7 31 D2 F3 A6 74 24 8A 46 FF 80 F8 61 72 08 80 F8 7A 77 03 80 E8 20 8A 57 FF 80 FA 61 72 08 80 FA 7A 77 03 80 EA 20 29 D0 74 D8 5B 5E 5F C3 }
	condition:
		$1
}

rule function_14573_0 {
	meta:
		name = "StrScan"
		size = 32
	strings:
		$1 = { 57 50 89 C7 B9 FF FF FF FF 30 C0 F2 AE F7 D1 5F 88 D0 F2 AE B8 00 00 00 00 75 03 89 F8 48 5F C3 }
	condition:
		$1
}

rule function_14574_0 {
	meta:
		name = "StrRScan"
		size = 33
	strings:
		$1 = { 57 89 C7 B9 FF FF FF FF 30 C0 F2 AE F7 D1 FD 4F 88 D0 F2 AE B8 00 00 00 00 75 03 89 F8 40 FC 5F C3 }
	condition:
		$1
}

rule function_14575_0 {
	meta:
		name = "StrPos"
		size = 81
	strings:
		$1 = { 57 56 53 09 C0 74 44 09 D2 74 40 89 C3 89 D7 30 C0 B9 FF FF FF FF F2 AE F7 D1 49 74 2E 89 CE 89 DF B9 FF FF FF FF F2 AE F7 D1 29 F1 76 1D 89 DF 8D 5E FF 89 D6 AC F2 AE 75 11 89 C8 57 89 D9 F3 A6 5F 89 C1 75 ED 8D 47 FF EB 02 31 C0 5B 5E 5F C3 }
	condition:
		$1
}

rule function_14576_0 {
	meta:
		name = "StrUpper"
		size = 31
	strings:
		$1 = { 56 89 C6 89 C2 AC 08 C0 74 12 80 F8 61 72 F6 80 F8 7A 77 F1 80 E8 20 88 46 FF EB E9 92 5E C3 }
	condition:
		$1
}

rule function_14577_0 {
	meta:
		name = "StrLower"
		size = 31
	strings:
		$1 = { 56 89 C6 89 C2 AC 08 C0 74 12 80 F8 41 72 F6 80 F8 5A 77 F1 80 C0 20 88 46 FF EB E9 92 5E C3 }
	condition:
		$1
}

rule function_14578_0 {
	meta:
		name = "StrPas"
		size = 18
		refs = "000b @LStrFromPChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14579_0 {
	meta:
		name = "StrAlloc"
		size = 20
		refs = "0009 @GetMem"
	strings:
		$1 = { 53 8B D8 83 C3 04 8B C3 E8 ?? ?? ?? ?? 89 18 83 C0 04 5B C3 }
	condition:
		$1
}

rule function_14580_0 {
	meta:
		name = "StrBufSize"
		size = 9
	strings:
		$1 = { 83 E8 04 8B 00 83 E8 04 C3 }
	condition:
		$1
}

rule function_14581_0 {
	meta:
		name = "StrNew"
		size = 42
		refs = "0010 StrLen 001a StrAlloc 0023 StrMove"
	strings:
		$1 = { 53 56 8B D8 85 DB 75 05 33 C0 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B F0 46 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14582_0 {
	meta:
		name = "StrDispose"
		size = 15
		refs = "000a @FreeMem"
	strings:
		$1 = { 85 C0 74 0A 83 E8 04 8B 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14583_0 {
	meta:
		name = "_NF__392"
		size = 88
		refs = "001c StrByteType 002c StrMove 0046 _NV__391 004d _NF__288"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B D9 8B F2 8B F8 83 FB 1F 7E 05 BB 1F 00 00 00 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 3C 01 75 01 4B 8B C4 8B CB 8B D6 E8 ?? ?? ?? ?? C6 04 1C 00 8B C4 89 44 24 20 C6 44 24 24 06 8D 54 24 20 8B 04 BD ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 83 C4 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14586_0 {
	meta:
		name = "FormatBuf"
		size = 847
		refs = "005e FormatBuf 00d4 _NF__394 01a2 _NF__392 0229 _NF__393 0247 @LStrFromPWChar 024e @LStrFromWStr 0307 CurrencyDecimals 032b FloatToText 033a @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 33 DB 89 5D F0 53 56 57 89 C7 89 CE 03 4D 10 89 7D FC 31 C0 89 45 F8 89 45 F4 89 45 F0 09 D2 74 0E 39 CE 74 0A AC 80 F8 25 74 0E AA 4A 75 F2 89 F8 2B 45 FC E9 00 03 00 00 39 CE 74 F2 AC 80 F8 25 74 E8 8D 5E FE 89 5D EC 88 45 EB 80 F8 2D 75 05 39 CE 74 DA AC E8 ?? ?? ?? ?? 80 F8 3A 75 0A 89 5D F8 39 CE 74 C8 AC EB DF 89 5D E4 BB FF FF FF FF 80 F8 2E 75 0A 39 CE 74 B4 AC E8 ?? ?? ?? ?? 89 5D E0 89 75 DC 51 52 E8 ?? ?? ?? ?? 5A 8B 5D E4 29 CB 73 02 31 DB 80 7D EB 2D 75 0A 29 CA 73 04 01 D1 31 D2 F3 A4 87 CB 29 CA 73 04 01 D1 31 D2 B0 20 F3 AA 87 CB 29 CA 73 04 01 D1 31 D2 F3 A4 83 7D F4 00 74 0A 52 8D 45 F4 E8 ?? ?? ?? ?? 5A 59 8B 75 DC E9 42 FF FF FF 31 DB 80 F8 2A 74 22 80 F8 30 72 3C 80 F8 39 77 37 6B DB 0A 80 E8 30 0F B6 C0 01 C3 39 CE 74 03 AC EB E4 58 E9 2B FF FF FF 8B 45 F8 3B 45 08 77 12 FF 45 F8 8B 5D 0C 80 7C C3 04 00 8B 1C C3 74 02 31 DB 39 CE 74 DC AC C3 24 DF 88 C1 B8 01 00 00 00 8B 5D F8 3B 5D 08 77 58 FF 45 F8 8B 75 0C 8D 34 DE 8B 06 0F B6 5E 04 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 31 C0 E8 ?? ?? ?? ?? 8B 55 EC 8B 4D DC 29 D1 E8 ?? ?? ?? ?? 80 F9 44 74 11 80 F9 55 74 1E 80 F9 58 75 DD B9 10 00 00 00 EB 17 09 C0 79 0E F7 D8 E8 ?? ?? ?? ?? B0 2D 41 4E 88 06 C3 B9 0A 00 00 00 8D 75 C4 31 D2 F7 F1 80 C2 30 80 FA 3A 72 03 80 C2 07 4E 88 16 09 C0 75 EA 8D 4D C4 29 F1 8B 55 E0 83 FA 10 72 01 C3 29 CA 76 0A 01 D1 B0 30 4E 88 06 4A 75 FA C3 80 F9 53 75 84 B9 01 00 00 00 C3 80 F9 53 0F 85 75 FF FF FF 66 83 38 01 76 0F 89 C2 8D 45 F4 E8 ?? ?? ?? ?? 8B 75 F4 EB 42 31 C9 C3 80 F9 53 0F 85 54 FF FF FF 89 C6 AC 0F B6 C8 EB 35 BE ?? ?? ?? ?? EB 05 BE ?? ?? ?? ?? 80 F9 53 0F 85 37 FF FF FF 89 C2 8D 45 F0 FF D6 8B 75 F0 89 F0 EB 0B 80 F9 53 0F 85 20 FF FF FF 89 C6 09 F6 74 BA 8B 4E FC 3B 4D E0 77 01 C3 8B 4D E0 C3 80 F9 53 0F 85 04 FF FF FF 89 C6 57 89 C7 30 C0 8B 4D E0 E3 05 F2 AE 75 01 4F 89 F9 29 F1 5F C3 80 F9 50 0F 85 E4 FE FF FF C7 45 E0 08 00 00 00 B9 10 00 00 00 E9 14 FF FF FF B7 01 EB 02 B7 00 89 C6 B3 00 80 F9 47 74 3F B3 01 80 F9 45 74 38 B3 02 80 F9 46 74 12 B3 03 80 F9 4E 74 0B 80 F9 4D 0F 85 A6 FE FF FF B3 04 B8 12 00 00 00 8B 55 E0 39 C2 76 25 BA 02 00 00 00 80 F9 4D 75 1B 0F B6 15 ?? ?? ?? ?? EB 12 8B 45 E0 BA 03 00 00 00 83 F8 12 76 05 B8 0F 00 00 00 53 50 52 8D 45 B4 89 F2 0F B6 CF E8 ?? ?? ?? ?? 89 C1 8D 75 B4 C3 50 8D 45 F0 E8 ?? ?? ?? ?? 58 C3 E8 ?? ?? ?? ?? 5F 5E 5B 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_14587_0 {
	meta:
		name = "StrFmt"
		size = 52
		refs = "000f StrLen 0023 FormatBuf"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 57 8B 45 08 50 8B CE 8B C3 BA FF FF FF 7F E8 ?? ?? ?? ?? C6 04 03 00 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14588_0 {
	meta:
		name = "StrLFmt"
		size = 52
		refs = "000f StrLen 0023 FormatBuf"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 45 08 50 8B CE 8B C3 8B D7 E8 ?? ?? ?? ?? C6 04 03 00 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14589_0 {
	meta:
		name = "Format"
		size = 19
		refs = "000b FmtStr"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 91 87 D1 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_14590_0 {
	meta:
		name = "FmtStr"
		size = 168
		refs = "0022 FmtStr 002f @LStrLen 0047 FormatBuf 005c SResultTooLong 0061 LoadResString 006c _NF__287 007b @LStrFromPCharLen 0093 @LStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F8 53 56 57 33 DB 89 9D F8 EF FF FF 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 57 8B 45 08 50 8B CB 8D 85 FE EF FF FF BA 01 10 00 00 E8 ?? ?? ?? ?? 8B D8 81 FB 01 10 00 00 75 1B 8D 95 F8 EF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 EF FF FF E8 ?? ?? ?? ?? 8D 95 FE EF FF FF 8B C6 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 EF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14591_0 {
	meta:
		name = "FloatToStr"
		size = 47
		refs = "0018 FloatToText 0024 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 8B D8 6A 00 6A 0F 6A 00 8D 55 08 8D 45 C0 33 C9 E8 ?? ?? ?? ?? 8B C8 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_14592_0 {
	meta:
		name = "CurrToStr"
		size = 47
		refs = "0018 FloatToText 0024 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 8B D8 6A 00 6A 00 6A 00 8D 55 08 8D 45 C0 B1 01 E8 ?? ?? ?? ?? 8B C8 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14593_0 {
	meta:
		name = "FloatToStrF"
		size = 53
		refs = "001b FloatToText 0028 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F9 8B F2 8B D8 53 56 57 8D 55 0C 8D 45 C0 33 C9 E8 ?? ?? ?? ?? 8B C8 8D 55 C0 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_14594_0 {
	meta:
		name = "CurrToStrF"
		size = 53
		refs = "001c FloatToText 0028 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F9 8B F2 8B D8 53 6A 00 56 8D 55 08 8D 45 C0 B1 01 E8 ?? ?? ?? ?? 8B C8 8D 55 C0 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14595_0 {
	meta:
		name = "FormatFloat"
		size = 157
		refs = "001b FormatFloat 0028 @LStrLen 003a SFormatTooLong 003f LoadResString 004a _NF__287 0051 @LStrToPChar 0062 FloatToTextFmt 0071 @LStrFromPCharLen 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 33 C9 89 8D FC FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3D E0 00 00 00 7E 1B 8D 95 FC FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 FC FE FF FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8D 55 08 8D 85 00 FF FF FF 33 C9 E8 ?? ?? ?? ?? 8B C8 8D 95 00 FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_14596_0 {
	meta:
		name = "FormatCurr"
		size = 157
		refs = "001b FormatCurr 0028 @LStrLen 003a SFormatTooLong 003f LoadResString 004a _NF__287 0051 @LStrToPChar 0062 FloatToTextFmt 0071 @LStrFromPCharLen 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 33 C9 89 8D FC FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3D E0 00 00 00 7E 1B 8D 95 FC FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 FC FE FF FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8D 55 08 8D 85 00 FF FF FF B1 01 E8 ?? ?? ?? ?? 8B C8 8D 95 00 FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14597_0 {
	meta:
		name = "StrToFloat"
		size = 121
		refs = "0012 StrToFloat 001f @LStrToPChar 0029 TextToFloat 0035 SInvalidFloat 003a LoadResString 0050 _NF__288 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F6 33 C9 E8 ?? ?? ?? ?? 84 C0 75 23 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 89 5D E8 C6 45 EC 0B 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DB 6D F6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14598_0 {
	meta:
		name = "StrToCurr"
		size = 121
		refs = "0012 StrToCurr 001f @LStrToPChar 0029 TextToFloat 0035 SInvalidFloat 003a LoadResString 0050 _NF__288 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 B1 01 E8 ?? ?? ?? ?? 84 C0 75 23 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 89 5D EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DF 6D F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14599_0 {
	meta:
		name = "DateTimeToTimeStamp"
		size = 64
		refs = "000a _NV__3C8 0024 _NV__3C9"
	strings:
		$1 = { 55 8B EC 89 C1 DD 45 08 D8 0D ?? ?? ?? ?? 83 EC 08 DF 3C 24 9B 58 5A 09 D2 79 11 F7 DA F7 D8 83 DA 00 F7 35 ?? ?? ?? ?? F7 D8 EB 06 F7 35 ?? ?? ?? ?? 05 5A 95 0A 00 89 11 89 41 04 5D C2 08 00 }
	condition:
		$1
}

rule function_14600_0 {
	meta:
		name = "TimeStampToDateTime"
		size = 47
		refs = "000c _NV__3C9 0027 _NV__3C8"
	strings:
		$1 = { 8B 08 8B 40 04 2D 5A 95 0A 00 F7 2D ?? ?? ?? ?? 09 D2 79 07 29 C8 83 DA 00 EB 05 01 C8 83 D2 00 52 50 DF 2C 24 D8 35 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_14601_0 {
	meta:
		name = "MSecsToTimeStamp"
		size = 26
		refs = "000d _NV__3C9"
	strings:
		$1 = { 55 8B EC 89 C1 8B 45 08 8B 55 0C F7 35 ?? ?? ?? ?? 89 11 89 41 04 5D C2 08 00 }
	condition:
		$1
}

rule function_14602_0 {
	meta:
		name = "TimeStampToMSecs"
		size = 12
		refs = "0005 _NV__3C8"
	strings:
		$1 = { DB 40 04 D8 0D ?? ?? ?? ?? DA 00 C3 }
	condition:
		$1
}

rule function_14603_0 {
	meta:
		name = "_NF__3D2"
		size = 124
		refs = "0053 _NF__3D2"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 8B 75 0C C6 45 FF 00 66 83 F8 18 73 4F 66 83 FA 3C 73 49 66 83 F9 3C 73 43 66 81 FE E8 03 73 3C 0F B7 C0 69 C0 80 EE 36 00 0F B7 D2 69 D2 60 EA 00 00 03 C2 0F B7 D1 69 D2 E8 03 00 00 03 C2 0F B7 D6 03 C2 89 45 F8 DB 45 F8 DB 2D ?? ?? ?? ?? DE C9 8B 45 08 DD 18 9B C6 45 FF 01 8A 45 FF 5E 59 59 5D C2 08 00 00 00 00 0D B9 67 FA EB 50 D7 C6 E4 3F 00 00 }
	condition:
		$1
}

rule function_14604_0 {
	meta:
		name = "EncodeTime"
		size = 120
		refs = "0018 EncodeTime 0032 _NF__3D2 003e STimeEncodeError 0043 LoadResString 004b _NF__287 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 8B 45 08 50 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14605_0 {
	meta:
		name = "DecodeTime"
		size = 92
		refs = "001d DateTimeToTimeStamp 002c _NF__286"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 FC 50 FF 75 10 FF 75 0C 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8D 4D FE 66 BA 60 EA E8 ?? ?? ?? ?? 56 8B CB 0F B7 45 FE 66 BA 3C 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 0F B7 45 FC 66 BA E8 03 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_14606_0 {
	meta:
		name = "IsLeapYear"
		size = 64
	strings:
		$1 = { 53 56 8B C8 0F B7 C1 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 1F 0F B7 D9 8B C3 BE 64 00 00 00 99 F7 FE 85 D2 75 13 8B C3 B9 90 01 00 00 99 F7 F9 85 D2 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_14607_0 {
	meta:
		name = "_NF__3E0"
		size = 200
		refs = "001a IsLeapYear 0027 MonthDays"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B FA 66 89 45 FE C6 45 FD 00 66 8B 45 FE E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 34 C5 ?? ?? ?? ?? 66 83 7D FE 01 0F 82 86 00 00 00 66 81 7D FE 0F 27 77 7E 66 83 FF 01 72 78 66 83 FF 0C 77 72 66 83 FB 01 72 6C 0F B7 C7 66 3B 5C 46 FE 77 62 0F B7 C7 48 85 C0 7E 0E B9 01 00 00 00 66 03 5C 4E FE 41 48 75 F7 0F B7 4D FE 49 8B C1 BE 64 00 00 00 99 F7 FE 69 F1 6D 01 00 00 8B D1 85 D2 79 03 83 C2 03 C1 FA 02 03 F2 2B F0 8B C1 B9 90 01 00 00 99 F7 F9 03 F0 0F B7 C3 03 F0 81 EE 5A 95 0A 00 89 75 F8 DB 45 F8 8B 45 08 DD 18 9B C6 45 FD 01 8A 45 FD 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14608_0 {
	meta:
		name = "EncodeDate"
		size = 113
		refs = "0018 EncodeDate 002d _NF__3E0 0039 SDateEncodeError 003e LoadResString 0046 _NF__287 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14609_0 {
	meta:
		name = "DecodeDate"
		size = 289
		refs = "001a DateTimeToTimeStamp 0068 _NF__286 00cf IsLeapYear 00dc MonthDays"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D F8 89 55 FC 8B F0 FF 75 0C FF 75 08 8D 45 EC E8 ?? ?? ?? ?? 8B 45 F0 85 C0 7F 1A 66 C7 06 00 00 8B 45 FC 66 C7 00 00 00 8B 45 F8 66 C7 00 00 00 E9 DA 00 00 00 48 66 BB 01 00 3D B1 3A 02 00 7C 11 2D B1 3A 02 00 66 81 C3 90 01 3D B1 3A 02 00 7D EF 8D 55 F6 52 8D 4D F4 66 BA AC 8E E8 ?? ?? ?? ?? 66 83 7D F4 04 75 0A 66 FF 4D F4 66 81 45 F6 AC 8E 66 6B 45 F4 64 66 03 D8 8D 45 F6 50 8D 4D F4 0F B7 45 F6 66 BA B5 05 E8 ?? ?? ?? ?? 66 8B 45 F4 C1 E0 02 66 03 D8 8D 45 F6 50 8D 4D F4 0F B7 45 F6 66 BA 6D 01 E8 ?? ?? ?? ?? 66 83 7D F4 04 75 0A 66 FF 4D F4 66 81 45 F6 6D 01 66 03 5D F4 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 14 C5 ?? ?? ?? ?? 66 B8 01 00 0F B7 C8 66 8B 4C 4A FE 66 89 4D F4 66 8B 4D F6 66 3B 4D F4 72 0B 66 8B 4D F4 66 29 4D F6 40 EB DF 66 89 1E 8B 55 FC 66 89 02 66 8B 45 F6 40 8B 55 F8 66 89 02 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14610_0 {
	meta:
		name = "DateTimeToSystemTime"
		size = 54
		refs = "0015 DecodeDate 002d DecodeTime"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8D 4B 06 8D 53 02 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 43 0E 50 8D 4B 0C 8D 53 0A 8D 43 08 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14611_0 {
	meta:
		name = "SystemTimeToDateTime"
		size = 65
		refs = "0012 EncodeDate 002d EncodeTime"
	strings:
		$1 = { 53 83 C4 F0 8B D8 66 8B 4B 06 66 8B 53 02 66 8B 03 E8 ?? ?? ?? ?? DD 5C 24 08 9B 66 8B 43 0E 50 66 8B 4B 0C 66 8B 53 0A 66 8B 43 08 E8 ?? ?? ?? ?? DC 44 24 08 DD 1C 24 9B DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_14612_0 {
	meta:
		name = "DayOfWeek"
		size = 40
		refs = "0010 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC B9 07 00 00 00 99 F7 F9 8B C2 40 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14613_0 {
	meta:
		name = "Date"
		size = 44
		refs = "0009 GetLocalTime 001d EncodeDate"
	strings:
		$1 = { 83 C4 E8 8D 44 24 08 50 E8 ?? ?? ?? ?? 66 8B 4C 24 0E 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_14614_0 {
	meta:
		name = "Time"
		size = 50
		refs = "0009 GetLocalTime 0023 EncodeTime"
	strings:
		$1 = { 83 C4 E8 8D 44 24 08 50 E8 ?? ?? ?? ?? 66 8B 44 24 16 50 66 8B 4C 24 18 66 8B 54 24 16 66 8B 44 24 14 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_14615_0 {
	meta:
		name = "Now"
		size = 33
		refs = "0004 Date 000e Time"
	strings:
		$1 = { 83 C4 F0 E8 ?? ?? ?? ?? DD 5C 24 08 9B E8 ?? ?? ?? ?? DC 44 24 08 DD 1C 24 9B DD 04 24 83 C4 10 C3 }
	condition:
		$1
}

rule function_14616_0 {
	meta:
		name = "IncMonth"
		size = 192
		refs = "0028 DecodeDate 0069 IsLeapYear 0076 MonthDays 009e EncodeDate 00aa @FRAC"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B D8 85 DB 7C 07 BE 01 00 00 00 EB 03 83 CE FF FF 75 0C FF 75 08 8D 4D F2 8D 55 F4 8D 45 F6 E8 ?? ?? ?? ?? 8B C3 B9 0C 00 00 00 99 F7 F9 66 01 45 F6 8B C3 B9 0C 00 00 00 99 F7 F9 8B DA 66 01 5D F4 66 8B 45 F4 48 66 83 F8 0B 76 0F 8B C6 66 01 45 F6 66 69 C0 F4 FF 66 01 45 F4 66 8B 45 F6 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 C5 ?? ?? ?? ?? 0F B7 55 F4 66 8B 54 50 FE 66 3B 55 F2 73 08 0F B7 4D F4 66 89 55 F2 66 8B 4D F2 66 8B 55 F4 66 8B 45 F6 E8 ?? ?? ?? ?? DD 5D E8 9B DD 45 08 E8 ?? ?? ?? ?? DC 45 E8 DD 5D F8 9B DD 45 F8 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14617_0 {
	meta:
		name = "_NF__3F7"
		size = 17
		refs = "0005 GetLocalTime"
	strings:
		$1 = { 83 C4 F0 54 E8 ?? ?? ?? ?? 66 8B 04 24 83 C4 10 C3 }
	condition:
		$1
}

rule function_14618_0 {
	meta:
		name = "_NF__3F8"
		size = 66
		refs = "0032 Move"
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 BB 00 01 00 00 2B 99 FC FE FF FF 3B D3 7D 02 8B DA 85 DB 74 1A 8B 55 08 8B 92 FC FE FF FF 8B 4D 08 8D 94 11 00 FF FF FF 8B CB E8 ?? ?? ?? ?? 8B 45 08 01 98 FC FE FF FF 5B 5D C3 }
	condition:
		$1
}

rule function_14619_0 {
	meta:
		name = "_NF__3F9"
		size = 30
		refs = "000d @LStrLen 0016 _NF__3F8"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_14620_0 {
	meta:
		name = "_NF__3FB"
		size = 73
		refs = "0027 _NV__3FA 0034 FormatBuf 003e _NF__3F8"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B F2 8B D8 8B 45 08 50 6A 04 89 75 E0 C6 45 E4 00 89 5D E8 C6 45 EC 00 8D 45 E0 50 6A 01 B9 ?? ?? ?? ?? 8D 45 F0 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B D0 8D 45 F0 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14621_0 {
	meta:
		name = "_NF__3FC"
		size = 42
	strings:
		$1 = { 55 8B EC 53 8B 45 08 83 C0 FC 8B 10 EB 02 FF 00 8B 08 8A 09 8B 5D 08 3A 4B FB 74 F2 8B 00 2B C2 40 8B 55 08 89 42 F4 5B 5D C3 }
	condition:
		$1
}

rule function_14622_0 {
	meta:
		name = "_NF__3FD"
		size = 56
		refs = "002b DecodeDate"
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 ED 00 75 2A 8B 45 08 8B 40 08 FF 70 0C FF 70 08 8B 45 08 8D 48 EE 8B 45 08 8D 50 F0 8B 45 08 83 C0 F2 E8 ?? ?? ?? ?? 8B 45 08 C6 40 ED 01 5D C3 }
	condition:
		$1
}

rule function_14623_0 {
	meta:
		name = "_NF__3FE"
		size = 63
		refs = "0032 DecodeTime"
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 E3 00 75 31 8B 45 08 8B 40 08 FF 70 0C FF 70 08 8B 45 08 83 C0 E4 50 8B 45 08 8D 48 E6 8B 45 08 8D 50 E8 8B 45 08 83 C0 EA E8 ?? ?? ?? ?? 8B 45 08 C6 40 E3 01 5D C3 }
	condition:
		$1
}

rule function_14624_0 {
	meta:
		name = "_NF__3FF"
		size = 364
		refs = "001e _NF__3FF 002b @LStrClr 0059 @LStrLAsg 006d @LStrToPChar 0079 GetThreadLocale 007f GetDateFormat 0099 @LStrFromArray 00a6 SysLocale 00bf CharToByteLen 00cd @LStrCopy 00e0 @LStrLen 00e9 ByteToCharLen 00fa CharToByteIndex 0112 @LStrFromPChar 012d @LStrFromPCharLen 0153 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 33 C9 89 8D E8 FE FF FF 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 08 66 8B 40 F2 66 89 45 EC 8B 45 08 66 8B 40 F0 66 89 45 EE 8B 45 08 66 8B 40 EE 66 89 45 F2 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 01 00 00 8D 85 EC FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 EC 50 6A 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 A6 00 00 00 8B C3 8D 95 EC FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 4E 0F 85 8D 00 00 00 66 A1 ?? ?? ?? ?? 66 83 E8 04 74 23 66 83 E8 0D 75 7B 53 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 5E 66 83 3D ?? ?? ?? ?? 01 75 54 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 03 E8 ?? ?? ?? ?? 83 F8 04 75 3F 8B 03 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 85 EC FE FF FF 03 F0 4E 8D 85 E8 FE FF FF 8B D6 E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B C3 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 00 FF FF FF FF 02 00 00 00 67 67 00 00 }
	condition:
		$1
}

rule function_14625_0 {
	meta:
		name = "_NF__400"
		size = 264
		refs = "0018 _NF__400 0025 @LStrClr 0058 @LStrLAsg 007b @LStrToPChar 0087 GetThreadLocale 008d GetDateFormat 00a3 @LStrFromArray 00b5 @LStrLen 00c4 @LStrCopy 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 08 66 8B 40 F2 66 89 45 EC 8B 45 08 66 8B 40 F0 66 89 45 EE 8B 45 08 66 8B 40 EE 66 89 45 F2 83 FE 02 7F 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 01 00 00 8D 85 EC FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 EC 50 6A 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 33 8B C3 8D 95 EC FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 4E 75 1E 8B 03 80 38 30 75 17 53 8B 03 E8 ?? ?? ?? ?? 8B C8 49 8B 03 BA 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 FF FF FF FF 02 00 00 00 79 79 00 00 FF FF FF FF 04 00 00 00 79 79 79 79 00 00 00 00 }
	condition:
		$1
}

rule function_14626_0 {
	meta:
		name = "_NF__401"
		size = 1844
		refs = "0014 _NF__401 0065 LeadBytes 013b _NF__3FC 0142 _NF__3FD 0165 _NF__3FB 01a1 _NF__3FF 01aa _NF__3F9 01ce _NF__400 021d ShortMonthNames 0237 LongMonthNames 028b DayOfWeek 0292 ShortDayNames 02b6 LongDayNames 02ca ShortDateFormat 02de LongDateFormat 02f6 _NF__3FE 035d StrLIComp 045d ShortTimeFormat 0471 LongTimeFormat 04b6 _NF__3F8 0526 TimeAMString 0537 TimePMString 0650 DateSeparator 0666 TimeSeparator 06fd @LStrClr 0703 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 D2 89 55 DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 C4 06 00 00 8B 45 08 83 B8 F8 FE FF FF 02 0F 8D B4 06 00 00 8B 45 08 FF 80 F8 FE FF FF B3 20 C6 45 ED 00 C6 45 E3 00 C6 45 E2 00 E9 82 06 00 00 88 45 FB FF 45 FC 8A 45 FB 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 16 8B 45 FC 80 38 00 0F 84 6C 06 00 00 FF 45 FC B3 20 E9 55 06 00 00 8A 45 FB 8B D0 80 C2 9F 80 EA 1A 73 02 2C 20 8B D0 80 C2 BF 80 EA 1A 73 0D 3C 4D 75 07 80 FB 48 75 02 B0 4E 8B D8 25 FF 00 00 00 83 C0 DE 83 F8 37 0F 87 0C 06 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 0E 00 00 00 00 0E 00 00 00 00 00 00 00 0C 00 00 00 00 00 00 00 00 00 00 0D 00 00 00 00 00 00 0A 00 0B 05 03 00 02 06 00 00 00 00 04 07 00 00 00 00 08 09 00 00 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 83 7D F4 02 7F 22 8B 45 08 50 0F B7 45 F2 B9 64 00 00 00 99 F7 F9 8B C2 BA 02 00 00 00 E8 ?? ?? ?? ?? 59 E9 67 05 00 00 8B 45 08 50 0F B7 45 F2 BA 04 00 00 00 E8 ?? ?? ?? ?? 59 E9 4F 05 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 55 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 45 DC E8 ?? ?? ?? ?? 59 E9 22 05 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 55 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 45 DC E8 ?? ?? ?? ?? 59 E9 F5 04 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 F4 48 83 E8 02 72 04 74 18 EB 30 8B 45 08 50 0F B7 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 59 E9 C4 04 00 00 8B 45 08 50 0F B7 45 F0 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 AA 04 00 00 8B 45 08 50 0F B7 45 F0 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 90 04 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F4 48 83 E8 02 72 0A 74 25 48 74 46 48 74 67 EB 79 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 0F B7 45 EE 8B 55 F4 E8 ?? ?? ?? ?? 59 E9 59 04 00 00 8B 45 08 50 8B 45 08 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 35 04 00 00 8B 45 08 50 8B 45 08 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 11 04 00 00 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 FD 03 00 00 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 E9 03 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 C6 45 E1 00 8B 75 FC E9 97 00 00 00 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 0D 46 80 3E 00 0F 84 89 00 00 00 46 EB 7C 33 C0 8A 06 83 F8 48 7F 13 74 7B 83 E8 22 74 63 83 E8 05 74 5E 83 E8 1A 74 0E EB 5F 83 E8 61 74 07 83 E8 07 74 60 EB 53 80 7D E1 00 75 4D BA ?? ?? ?? ?? B9 05 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2A BA ?? ?? ?? ?? B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 15 BA ?? ?? ?? ?? B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 19 C6 45 E2 01 EB 13 8A 45 E1 34 01 88 45 E1 46 8A 06 84 C0 0F 85 5F FF FF FF 66 8B 45 EA 80 7D E2 00 74 15 66 85 C0 75 06 66 B8 0C 00 EB 0A 66 83 F8 0C 76 04 66 83 E8 0C 83 7D F4 02 7E 07 C7 45 F4 02 00 00 00 8B 55 08 52 0F B7 C0 8B 55 F4 E8 ?? ?? ?? ?? 59 E9 ED 02 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 83 7D F4 02 7E 07 C7 45 F4 02 00 00 00 8B 45 08 50 0F B7 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 59 E9 BC 02 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 83 7D F4 02 7E 07 C7 45 F4 02 00 00 00 8B 45 08 50 0F B7 45 E6 8B 55 F4 E8 ?? ?? ?? ?? 59 E9 8B 02 00 00 55 E8 ?? ?? ?? ?? 59 83 7D F4 01 75 14 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 6A 02 00 00 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 56 02 00 00 55 E8 ?? ?? ?? ?? 59 8B 75 FC 4E BA ?? ?? ?? ?? B9 05 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 28 66 83 7D EA 0C 72 03 83 C6 03 8B 45 08 50 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 59 83 45 FC 04 C6 45 E2 01 E9 0E 02 00 00 BA ?? ?? ?? ?? B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 28 66 83 7D EA 0C 72 03 83 C6 02 8B 45 08 50 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 59 83 45 FC 02 C6 45 E2 01 E9 D1 01 00 00 BA ?? ?? ?? ?? B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 34 66 83 7D EA 0C 73 11 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 0F 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 45 FC 03 C6 45 E2 01 E9 88 01 00 00 BA ?? ?? ?? ?? B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 2F 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 08 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 45 FC 03 E9 44 01 00 00 BA ?? ?? ?? ?? B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 2F 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 08 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 45 FC 02 E9 00 01 00 00 8B 45 08 50 8D 45 FB BA 01 00 00 00 E8 ?? ?? ?? ?? 59 E9 E9 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 66 83 7D EA 00 75 12 66 83 7D E8 00 75 0B 66 83 7D E6 00 0F 84 B3 00 00 00 8B 45 08 50 B8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 8B 00 00 00 8B 45 08 50 B8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 75 8B 45 08 50 B8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 5F 8B 75 FC EB 1C 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 0B FF 45 FC 8B 45 FC 80 38 00 74 11 FF 45 FC 8B 45 FC 8A 00 84 C0 74 05 3A 45 FB 75 D6 8B 45 08 50 8B 55 FC 2B D6 8B C6 E8 ?? ?? ?? ?? 59 8B 45 FC 80 38 00 74 17 FF 45 FC EB 12 8B 45 08 50 8D 45 FB BA 01 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 8A 00 84 C0 0F 85 71 F9 FF FF 8B 45 08 FF 88 F8 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 41 4D 2F 50 4D 00 00 00 41 2F 50 00 41 4D 50 4D 00 00 00 00 41 41 41 41 00 00 00 00 41 41 41 00 20 00 00 00 }
	condition:
		$1
}

rule function_14627_0 {
	meta:
		name = "DateTimeToString"
		size = 92
		refs = "0027 _NF__401 0030 DateTimeToString 0049 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 8B DA 8B F0 33 C0 89 85 FC FE FF FF 33 C0 89 85 F8 FE FF FF 85 DB 74 0B 55 8B C3 E8 ?? ?? ?? ?? 59 EB 0C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 95 00 FF FF FF 8B C6 8B 8D FC FE FF FF E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 00 00 00 43 00 00 00 }
	condition:
		$1
}

rule function_14628_0 {
	meta:
		name = "DateToStr"
		size = 24
		refs = "000b ShortDateFormat 0010 DateTimeToString"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_14629_0 {
	meta:
		name = "TimeToStr"
		size = 24
		refs = "000b LongTimeFormat 0010 DateTimeToString"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_14630_0 {
	meta:
		name = "DateTimeToStr"
		size = 20
		refs = "000c DateTimeToString"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_15230_0 {
	meta:
		name = "TChartAxis.CalcYPosValue"
		size = 20
		refs = "000c TChartAxis.InternalCalcPosValue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_14631_0 {
	meta:
		name = "FormatDateTime"
		size = 19
		refs = "000b DateTimeToString"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 92 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_14632_0 {
	meta:
		name = "_NF__410"
		size = 36
		refs = "000f @LStrLen"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 1F EB 01 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 07 80 7C 1E FF 20 74 ED 89 1F 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14633_0 {
	meta:
		name = "_NF__411"
		size = 116
		refs = "0018 _NF__410 003d @LStrLen"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B EA 8B F8 C6 44 24 04 00 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 5D 00 33 F6 EB 17 8B C6 03 C0 8D 04 80 33 D2 8A 54 1F FF 66 83 EA 30 66 03 C2 8B F0 43 8B C7 E8 ?? ?? ?? ?? 3B D8 7F 11 8A 44 1F FF 04 D0 2C 0A 73 07 66 81 FE E8 03 72 CD 3B 5D 00 7E 0E 89 5D 00 8B 04 24 66 89 30 C6 44 24 04 01 8A 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14634_0 {
	meta:
		name = "_NF__412"
		size = 137
		refs = "0019 _NF__412 002f _NF__410 003a @LStrLen 0046 @LStrCopy 0050 AnsiCompareText 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 FF 74 3A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 85 C0 75 0B 8B C7 E8 ?? ?? ?? ?? 01 06 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14635_0 {
	meta:
		name = "_NF__413"
		size = 55
		refs = "0012 _NF__410 0019 @LStrLen"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B F0 33 DB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 07 7C 0F 8B 07 8A 44 06 FF 3A 04 24 75 04 FF 07 B3 01 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14636_0 {
	meta:
		name = "_NF__414"
		size = 74
		refs = "003a @LStrLen"
	strings:
		$1 = { 53 56 57 8B F0 33 DB BF 01 00 00 00 EB 29 8A 44 3E FF 24 DF 2C 44 74 1A FE C8 74 0A 2C 08 74 0E 2C 0C 74 06 EB 10 B3 02 EB 1A B3 02 EB 16 33 DB EB 12 B3 01 EB 0E 47 8B C6 E8 ?? ?? ?? ?? 3B F8 7E CC 33 DB 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14637_0 {
	meta:
		name = "_NF__415"
		size = 58
		refs = "0016 LeadBytes 0023 @LStrLen"
	strings:
		$1 = { 53 56 8B DA 8B F0 EB 18 8B 03 8A 44 06 FF 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 02 FF 03 FF 03 8B C6 E8 ?? ?? ?? ?? 3B 03 7C 0C 8B 03 8A 44 06 FF 04 D0 2C 0A 73 D1 5E 5B C3 }
	condition:
		$1
}

rule function_14638_0 {
	meta:
		name = "_NF__416"
		size = 640
		refs = "0019 _NF__416 0036 ShortDateFormat 003b _NF__414 0051 _NF__415 005d _NF__411 006d DateSeparator 0074 _NF__413 0115 _NF__3F7 0170 _NF__410 0176 SysLocale 018d @LStrPos 019a ShortTimeFormat 01bb @LStrLen 01e5 TimeAMString 01f5 @LStrCopy 0202 AnsiCompareText 020f TimePMString 0243 _NF__3E0 025b @LStrClr 0261 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 66 C7 45 F2 00 00 66 C7 45 F0 00 00 C6 45 FB 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FA A1 ?? ?? ?? ?? 80 38 67 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 E1 01 00 00 8B D3 8A 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 CA 01 00 00 8D 4D F6 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 B6 01 00 00 8B D3 8A 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 8B 01 00 00 8A 45 FA 2C 01 72 08 74 1C FE C8 74 2E EB 40 66 8B 7D F4 66 8B 45 F8 66 89 45 F2 66 8B 45 F6 66 89 45 F0 EB 2A 66 8B 7D F4 66 8B 45 F6 66 89 45 F2 66 8B 45 F8 66 89 45 F0 EB 14 66 8B 7D F8 66 8B 45 F6 66 89 45 F2 66 8B 45 F4 66 89 45 F0 66 83 FF 63 77 48 E8 ?? ?? ?? ?? 0F B7 C0 B9 64 00 00 00 99 F7 F9 66 6B C0 64 66 03 F8 EB 2F E8 ?? ?? ?? ?? 8B F8 80 7D FA 01 75 12 66 8B 45 F8 66 89 45 F0 66 8B 45 F6 66 89 45 F2 EB 10 66 8B 45 F8 66 89 45 F2 66 8B 45 F6 66 89 45 F0 8B D3 8A 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 0F 84 B3 00 00 00 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 9B 00 00 00 A1 ?? ?? ?? ?? 8A 00 04 D0 2C 0A 73 12 8B D3 8B C6 E8 ?? ?? ?? ?? E9 80 00 00 00 EB 02 FF 03 8B C6 E8 ?? ?? ?? ?? 3B 03 7C 09 8B 03 80 7C 06 FF 20 75 EA 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 03 7C 54 8D 45 EC 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2A 8D 45 EC 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 84 8B 45 FC 50 66 8B 4D F0 66 8B 55 F2 8B C7 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 03 00 00 00 64 64 64 00 }
	condition:
		$1
}

rule function_14639_0 {
	meta:
		name = "_NF__417"
		size = 432
		refs = "0017 TimeAMString 001e _NF__412 0029 _NF__417 0040 TimePMString 006f _NF__410 007c _NF__411 0093 TimeSeparator 009a _NF__413 0185 _NF__3D2"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 0C 24 8B F2 8B E8 33 DB 83 CF FF 8B D6 8B 0D ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 75 12 8B D6 B9 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 74 04 33 FF EB 2A 8B D6 8B 0D ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 75 12 8B D6 B9 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 74 05 BF 0C 00 00 00 85 FF 7C 09 8B D6 8B C5 E8 ?? ?? ?? ?? 8D 4C 24 04 8B D6 8B C5 E8 ?? ?? ?? ?? 84 C0 0F 84 03 01 00 00 66 C7 44 24 06 00 00 8B D6 8A 0D ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 74 15 8D 4C 24 06 8B D6 8B C5 E8 ?? ?? ?? ?? 84 C0 0F 84 D4 00 00 00 66 C7 44 24 08 00 00 8B D6 8A 0D ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 74 15 8D 4C 24 08 8B D6 8B C5 E8 ?? ?? ?? ?? 84 C0 0F 84 A5 00 00 00 85 FF 7D 53 8B D6 8B 0D ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 75 12 8B D6 B9 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 74 04 33 FF EB 2A 8B D6 8B 0D ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 75 12 8B D6 B9 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 74 05 BF 0C 00 00 00 85 FF 7C 24 66 83 7C 24 04 00 74 42 66 83 7C 24 04 0C 77 3A 66 83 7C 24 04 0C 75 07 66 C7 44 24 04 00 00 66 01 7C 24 04 8B D6 8B C5 E8 ?? ?? ?? ?? 6A 00 8B 44 24 04 50 66 8B 4C 24 10 66 8B 54 24 0E 66 8B 44 24 0C E8 ?? ?? ?? ?? 8B D8 8B C3 83 C4 0C 5D 5F 5E 5B C3 00 00 00 FF FF FF FF 02 00 00 00 41 4D 00 00 FF FF FF FF 02 00 00 00 50 4D 00 00 }
	condition:
		$1
}

rule function_14640_0 {
	meta:
		name = "StrToDate"
		size = 136
		refs = "0012 StrToDate 002c _NF__416 0037 @LStrLen 0044 SInvalidDate 0049 LoadResString 005f _NF__288 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 00 00 00 8D 4D F8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 7C 23 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 89 5D E8 C6 45 EC 0B 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14641_0 {
	meta:
		name = "StrToTime"
		size = 136
		refs = "0012 StrToTime 002c _NF__417 0037 @LStrLen 0044 SInvalidTime 0049 LoadResString 005f _NF__288 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 00 00 00 8D 4D F8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 7C 23 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 89 5D E8 C6 45 EC 0B 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14642_0 {
	meta:
		name = "StrToDateTime"
		size = 204
		refs = "0012 StrToDateTime 0034 _NF__416 003f @LStrLen 0051 _NF__417 005d SInvalidDateTime 0062 LoadResString 0078 _NF__288 00b1 @LStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 D2 89 55 E0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 00 00 00 33 C0 89 45 E4 89 45 E8 8D 4D EC 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 7C 34 8D 4D E4 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 23 8D 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 89 5D D8 C6 45 DC 0B 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? DD 45 EC D8 1D ?? ?? ?? ?? DF E0 9E 72 0C DD 45 EC DC 45 E4 DD 5D F8 9B EB 0A DD 45 EC DC 65 E4 DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14643_0 {
	meta:
		name = "SysErrorMessage"
		size = 75
		refs = "0020 FormatMessage 003f @LStrFromPCharLen"
	strings:
		$1 = { 53 81 C4 00 FF FF FF 8B DA 6A 00 68 00 01 00 00 8D 54 24 08 52 6A 00 50 6A 00 68 00 30 00 00 E8 ?? ?? ?? ?? EB 01 48 85 C0 7E 0E 8A 54 04 FF 80 EA 21 72 F2 80 EA 0D 74 ED 8B D4 8B CB 91 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5B C3 }
	condition:
		$1
}

rule function_14644_0 {
	meta:
		name = "GetLocaleStr"
		size = 74
		refs = "001f GetLocaleInfo 0033 @LStrFromPCharLen 003e @LStrLAsg"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 56 8B F1 8B 5D 08 68 00 01 00 00 8D 8D 00 FF FF FF 51 52 50 E8 ?? ?? ?? ?? 85 C0 7E 12 8B C8 49 8D 95 00 FF FF FF 8B C3 E8 ?? ?? ?? ?? EB 09 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14645_0 {
	meta:
		name = "GetLocaleChar"
		size = 40
		refs = "0014 GetLocaleInfo"
	strings:
		$1 = { 53 56 57 51 8B D9 8B F2 8B F8 6A 02 8D 44 24 04 50 56 57 E8 ?? ?? ?? ?? 85 C0 7E 05 8A 04 24 EB 02 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14646_0 {
	meta:
		name = "_NF__42C"
		size = 59
		refs = "001d GetLocaleStr 002f LoadResString"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 53 8B 45 10 8B 40 FC 33 C9 8B D6 E8 ?? ?? ?? ?? 83 3B 00 75 0D 8B D3 8B 45 FC 8B 04 B8 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14647_0 {
	meta:
		name = "_NF__42D"
		size = 280
		refs = "0012 _NF__42D 001d GetThreadLocale 002a ShortMonthNames 002f LongMonthNames 003b _NV__428 0046 _NF__42C 0051 @LStrAsg 005d _NV__429 0089 ShortDayNames 008e LongDayNames 00a8 _NV__42A 00cc _NV__42B 0105 @LStrClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 FC BB 01 00 00 00 BE ?? ?? ?? ?? BF ?? ?? ?? ?? 55 6A 0B 8D 45 F4 50 B9 ?? ?? ?? ?? 8D 43 44 48 8B D3 E8 ?? ?? ?? ?? 59 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 55 6A 0B 8D 45 F4 50 B9 ?? ?? ?? ?? 8D 43 38 48 8B D3 E8 ?? ?? ?? ?? 59 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 43 83 C7 04 83 C6 04 83 FB 0D 75 B0 BB 01 00 00 00 BE ?? ?? ?? ?? BF ?? ?? ?? ?? 8D 43 05 B9 07 00 00 00 99 F7 F9 89 55 F8 55 6A 06 8D 45 F4 50 B9 ?? ?? ?? ?? 8B 45 F8 83 C0 31 8B D3 E8 ?? ?? ?? ?? 59 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 55 6A 06 8D 45 F4 50 B9 ?? ?? ?? ?? 8B 45 F8 83 C0 2A 8B D3 E8 ?? ?? ?? ?? 59 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 43 83 C7 04 83 C6 04 83 FB 08 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14648_0 {
	meta:
		name = "_NF__42E"
		size = 524
		refs = "0010 _NF__42E 0022 @LStrClr 002b GetThreadLocale 003a GetLocaleStr 0047 StrToIntDef 005e SysLocale 0091 @LStrFromChar 009b @LStrCat 00a3 @LStrLen 00b5 @LStrLAsg 00ca LeadBytes 00de @LStrCopy 0103 StrLIComp 01bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 09 10 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 83 C0 FD 83 E8 03 0F 92 C0 84 C0 0F 85 3D 01 00 00 66 A1 ?? ?? ?? ?? 66 83 E8 04 74 0D 83 C0 F3 66 83 E8 02 72 04 33 C0 EB 02 B0 01 84 C0 74 35 EB 23 8A 44 1E FF 2C 47 74 1A 2C 20 74 16 8D 45 FC 8A 54 1E FF E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7E D2 E9 F8 00 00 00 8B C7 8B D6 E8 ?? ?? ?? ?? E9 EA 00 00 00 8A 44 1E FF 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 24 8D 45 FC 50 B9 02 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 C3 02 E9 A5 00 00 00 BA ?? ?? ?? ?? 8D 44 1E FF B9 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0F 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 EB 7E BA ?? ?? ?? ?? 8D 44 1E FF B9 04 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 11 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C3 03 EB 56 BA ?? ?? ?? ?? 8D 44 1E FF B9 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0F 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 EB 30 8A 44 1E FF 2C 59 74 04 2C 20 75 0E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 8D 45 FC 8A 54 1E FF E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 43 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 8E 16 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 FF FF FF FF 01 00 00 00 31 00 00 00 67 67 00 00 FF FF FF FF 03 00 00 00 67 67 67 00 79 79 79 79 00 00 00 00 FF FF FF FF 02 00 00 00 65 65 00 00 79 79 00 00 FF FF FF FF 01 00 00 00 65 00 00 00 }
	condition:
		$1
}

rule function_14649_0 {
	meta:
		name = "GetFormatSettings"
		size = 840
		refs = "000f GetFormatSettings 001a GetThreadLocale 002e GetLocaleStr 0036 CurrencyString 003b @LStrAsg 005a StrToIntDef 005f CurrencyFormat 0083 NegCurrFormat 0091 GetLocaleChar 0096 ThousandSeparator 00a9 DecimalSeparator 00cd CurrencyDecimals 00e0 DateSeparator 0100 _NF__42E 0108 ShortDateFormat 0135 LongDateFormat 014d TimeSeparator 016a TimeAMString 018c TimePMString 0199 @LStrClr 01d1 @LStrLAsg 0255 ShortTimeFormat 025f @LStrCatN 0272 LongTimeFormat 0296 @LStrArrayClr 029c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 8D 45 F0 50 33 C9 BA 14 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 1B 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 1C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? B1 2C BA 0F 00 00 00 8B C3 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? B1 2E BA 0E 00 00 00 8B C3 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? B1 2F BA 1D 00 00 00 8B C3 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? 8D 45 EC 50 B9 ?? ?? ?? ?? BA 1F 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 B9 ?? ?? ?? ?? BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 3A BA 1E 00 00 00 8B C3 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 28 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 29 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 25 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 85 C0 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 23 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 85 C0 75 3F 8D 45 F0 50 B9 ?? ?? ?? ?? BA 05 10 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 85 C0 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? FF 75 F4 B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? FF 75 F4 B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 30 00 00 00 FF FF FF FF 06 00 00 00 6D 2F 64 2F 79 79 00 00 FF FF FF FF 0C 00 00 00 6D 6D 6D 6D 20 64 2C 20 79 79 79 79 00 00 00 00 FF FF FF FF 02 00 00 00 61 6D 00 00 FF FF FF FF 02 00 00 00 70 6D 00 00 FF FF FF FF 01 00 00 00 68 00 00 00 FF FF FF FF 02 00 00 00 68 68 00 00 FF FF FF FF 05 00 00 00 20 41 4D 50 4D 00 00 00 FF FF FF FF 05 00 00 00 41 4D 50 4D 20 00 00 00 FF FF FF FF 03 00 00 00 3A 6D 6D 00 FF FF FF FF 06 00 00 00 3A 6D 6D 3A 73 73 00 00 }
	condition:
		$1
}

rule function_14650_0 {
	meta:
		name = "ExceptObject"
		size = 32
		refs = "0001 @GetTls 0007 RaiseList"
	strings:
		$1 = { E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 0F E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 40 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_14651_0 {
	meta:
		name = "ExceptAddr"
		size = 32
		refs = "0001 @GetTls 0007 RaiseList"
	strings:
		$1 = { E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 0F E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 40 04 C3 33 C0 C3 }
	condition:
		$1
}

rule function_14652_0 {
	meta:
		name = "_NF__436"
		size = 10
	strings:
		$1 = { 85 C0 74 05 2D 00 10 00 00 C3 }
	condition:
		$1
}

rule function_14653_0 {
	meta:
		name = "ExceptionErrorMessage"
		size = 396
		refs = "001e VirtualQuery 0042 GetModuleFileName 0057 HInstance 0066 _NF__436 0081 AnsiStrRScan 0094 StrLCopy 0099 ExceptionErrorMessage 00a6 _DV_Exception 00ab @IsClass 00b7 @LStrToPChar 00c0 StrLen 00e1 SException 00f1 FindResourceHInstance 00f7 LoadString 0104 TObject.ClassName 016e StrLFmt"
	strings:
		$1 = { 55 8B EC 81 C4 A8 FB FF FF 53 56 57 89 4D FC 8B DA 8B F0 6A 1C 8D 85 D0 FC FF FF 50 53 E8 ?? ?? ?? ?? 81 BD E0 FC FF FF 00 10 00 00 75 1C 68 05 01 00 00 8D 85 EE FD FF FF 50 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 25 68 05 01 00 00 8D 85 EE FD FF FF 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 EB 09 2B 9D D4 FC FF FF 89 5D F8 8D 85 EE FD FF FF B2 5C E8 ?? ?? ?? ?? 8B D0 42 8D 85 F3 FE FF FF B9 04 01 00 00 E8 ?? ?? ?? ?? BB ?? ?? ?? ?? BF ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 80 7C 03 FF 2E 74 05 BF ?? ?? ?? ?? 68 00 01 00 00 8D 85 EE FC FF FF 50 B8 ?? ?? ?? ?? 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 95 A8 FB FF FF 8B 06 E8 ?? ?? ?? ?? 8D 85 A8 FB FF FF 89 85 A8 FC FF FF C6 85 AC FC FF FF 04 8D 85 F3 FE FF FF 89 85 B0 FC FF FF C6 85 B4 FC FF FF 06 8B 45 F8 89 85 B8 FC FF FF C6 85 BC FC FF FF 05 89 9D C0 FC FF FF C6 85 C4 FC FF FF 06 89 BD C8 FC FF FF C6 85 CC FC FF FF 06 8D 85 A8 FC FF FF 50 6A 04 8D 8D EE FC FF FF 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_14654_0 {
	meta:
		name = "ShowException"
		size = 194
		refs = "0015 ShowException 002b ExceptionErrorMessage 0030 IsConsole 0040 Output 0045 @Write0CString 004a @WriteLn 004f @_IOTest 0062 SExceptTitle 0067 LoadResString 0076 HInstance 007d FindResourceHInstance 0083 LoadString 009a MessageBox 00b2 @LStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 BC FB FF FF 33 C9 89 8D BC FB FF FF 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 68 00 04 00 00 8D 8D C0 FB FF FF E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 1C 8D 95 C0 FB FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 6A 40 8D 45 C0 50 8D 95 BC FB FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 BC FB FF FF 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 10 20 00 00 8D 45 C0 50 8D 85 C0 FB FF FF 50 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 BC FB FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C3 }
	condition:
		$1
}

rule function_14655_0 {
	meta:
		name = "_NF__43F"
		size = 4
	strings:
		$1 = { 8B 45 FC C3 }
	condition:
		$1
}

rule function_14656_0 {
	meta:
		name = "Abort"
		size = 90
		refs = "0009 Abort 0014 _NF__43F 001d SOperationAborted 0022 LoadResString 002c _DV_EAbort 0031 Exception.Create 0036 @RaiseExcept 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 50 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_14659_0 {
	meta:
		name = "Exception.CreateFmt"
		size = 121
		refs = "0010 @ClassCreate 001e Exception.CreateFmt 0035 Format 0040 @LStrAsg 0055 @LStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 55 0C 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14660_0 {
	meta:
		name = "Exception.CreateRes"
		size = 112
		refs = "0010 @ClassCreate 001e Exception.CreateRes 002e LoadStr 0039 @LStrAsg 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14661_0 {
	meta:
		name = "Exception.CreateResFmt"
		size = 140
		refs = "0012 @ClassCreate 0020 Exception.CreateResFmt 0034 LoadStr 0042 Format 004d @LStrAsg 0067 @LStrArrayClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 0C 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14662_0 {
	meta:
		name = "Exception.CreateHelp"
		size = 63
		refs = "000e @ClassCreate 001e @LStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14663_0 {
	meta:
		name = "Exception.CreateFmtHelp"
		size = 127
		refs = "0010 @ClassCreate 001e Exception.CreateFmtHelp 0035 Format 0040 @LStrAsg 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 55 10 8B 4D 0C 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_14664_0 {
	meta:
		name = "Exception.CreateResHelp"
		size = 120
		refs = "0010 @ClassCreate 001e Exception.CreateResHelp 002e LoadStr 0039 @LStrAsg 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14665_0 {
	meta:
		name = "Exception.CreateResFmtHelp"
		size = 146
		refs = "0012 @ClassCreate 0020 Exception.CreateResFmtHelp 0034 LoadStr 0042 Format 004d @LStrAsg 006d @LStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 10 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_14667_0 {
	meta:
		name = "EOutOfMemory.FreeInstance"
		size = 12
		refs = "0007 TObject.FreeInstance"
	strings:
		$1 = { 80 78 0C 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14668_0 {
	meta:
		name = "_NF__475"
		size = 201
		refs = "0010 _NF__475 0025 @GetTls 002b InOutRes 0032 _NV__474 0047 _DV_EInOutError 004c Exception.Create 0070 SInOutError 0075 LoadResString 0084 Exception.CreateFmt 00b6 @LStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB EB 01 43 83 FB 06 7F 14 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 3B 04 DD ?? ?? ?? ?? 75 E6 83 FB 06 7F 17 8B 0C DD ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 36 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 89 45 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 89 43 0C E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14669_0 {
	meta:
		name = "_NF__478"
		size = 67
		refs = "0014 _NV__430 001b _NV__431 0024 _NV__477 0030 Exception.Create 0037 _NF__475 003d @RaiseExcept"
	strings:
		$1 = { 53 8B DA 8B D0 4A 74 0B 4A 74 0F 4A 83 EA 15 72 10 EB 23 A1 ?? ?? ?? ?? EB 21 A1 ?? ?? ?? ?? EB 1A 8D 04 C5 ?? ?? ?? ?? 8B 48 04 8B 00 B2 01 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 53 E9 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14670_0 {
	meta:
		name = "_NF__479"
		size = 178
		refs = "001b _NF__479 002f @LStrLAsg 0039 SAssertionFailed 003e LoadResString 0067 SAssertError 0076 _DV_EAssertionFailed 007b Exception.CreateFmt 0080 @RaiseExcept 0095 @LStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0C 8D 45 FC 8B D3 E8 ?? ?? ?? ?? EB 0D 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 08 8B 45 FC 89 45 E4 C6 45 E8 0B 89 75 EC C6 45 F0 0B 89 7D F4 C6 45 F8 00 8D 45 E4 50 6A 02 8D 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14671_0 {
	meta:
		name = "_NF__47A"
		size = 106
		refs = "000f _NF__47A 002c SAbstractError 0031 LoadResString 003b _DV_EAbstractError 0040 Exception.CreateFmt 0045 @RaiseExcept 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_14672_0 {
	meta:
		name = "_NF__47B"
		size = 127
	strings:
		$1 = { 8B 00 3D 92 00 00 C0 7F 2C 74 59 3D 8E 00 00 C0 7F 15 74 53 2D 05 00 00 C0 74 55 2D 87 00 00 00 74 3C 48 74 48 EB 55 05 71 FF FF 3F 83 E8 02 72 33 74 37 EB 47 3D 96 00 00 C0 7F 11 74 35 2D 93 00 00 C0 74 28 48 74 13 48 74 16 EB 2F 2D FD 00 00 C0 74 25 83 E8 3D 74 1D EB 21 B0 03 C3 B0 04 C3 B0 05 C3 B0 06 C3 B0 07 C3 B0 08 C3 B0 09 C3 B0 0B C3 B0 0C C3 B0 0D C3 B0 0E C3 B0 16 C3 }
	condition:
		$1
}

rule function_14673_0 {
	meta:
		name = "_NF__47C"
		size = 18
		refs = "0001 _NF__47B 000d _NV__477"
	strings:
		$1 = { E8 ?? ?? ?? ?? 25 FF 00 00 00 8B 04 C5 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14674_0 {
	meta:
		name = "_NF__47D"
		size = 435
		refs = "0020 _NF__47D 003a SReadAccess 003f LoadResString 0049 SWriteAccess 0060 VirtualQuery 0082 GetModuleFileName 00b0 @LStrFromArray 00c1 ExtractFileName 0105 SModuleAccessViolation 0117 _DV_EAccessViolation 011c Exception.CreateFmt 0161 SAccessViolation 0197 @LStrArrayClr 019f @LStrClr 01a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 98 FE FF FF 53 56 33 C0 89 85 B4 FE FF FF 89 85 B0 FE FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 58 FC 83 7B 14 00 75 0F 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 18 6A 1C 8D 45 E0 50 8B 43 0C 50 E8 ?? ?? ?? ?? 81 7D F0 00 10 00 00 0F 85 B3 00 00 00 68 05 01 00 00 8D 85 DB FE FF FF 50 8B 45 E4 50 E8 ?? ?? ?? ?? 85 C0 0F 84 96 00 00 00 8B 43 0C 89 85 B8 FE FF FF C6 85 BC FE FF FF 05 8D 85 B0 FE FF FF 8D 95 DB FE FF FF B9 05 01 00 00 E8 ?? ?? ?? ?? 8B 85 B0 FE FF FF 8D 95 B4 FE FF FF E8 ?? ?? ?? ?? 8B 85 B4 FE FF FF 89 85 C0 FE FF FF C6 85 C4 FE FF FF 0B 8B 45 FC 89 85 C8 FE FF FF C6 85 CC FE FF FF 0B 89 B5 D0 FE FF FF C6 85 D4 FE FF FF 05 8D 85 B8 FE FF FF 50 6A 03 8D 95 B0 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D B0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 5A 8B 43 0C 89 85 98 FE FF FF C6 85 9C FE FF FF 05 8B 45 FC 89 85 A0 FE FF FF C6 85 A4 FE FF FF 0B 89 B5 A8 FE FF FF C6 85 AC FE FF FF 05 8D 85 98 FE FF FF 50 6A 02 8D 95 B4 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D B4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B0 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14675_0 {
	meta:
		name = "_NF__47E"
		size = 184
		refs = "0013 _NF__47E 0021 _NF__47B 003f _NV__477 004b Exception.Create 0055 _NF__47D 0074 SExternalException 0079 LoadResString 0083 _DV_EExternalException 0088 Exception.CreateFmt 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 25 FF 00 00 00 8B D0 83 C2 FD 83 EA 08 72 08 74 1D 4A 83 EA 0A 73 22 8D 04 C5 ?? ?? ?? ?? 8B 48 04 B2 01 8B 00 E8 ?? ?? ?? ?? 8B D8 EB 41 55 E8 ?? ?? ?? ?? 59 8B D8 EB 36 8B 45 FC 8B 00 89 45 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14676_0 {
	meta:
		name = "_NF__47F"
		size = 16
		refs = "0001 ShowException 000b @Halt"
	strings:
		$1 = { E8 ?? ?? ?? ?? B8 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14677_0 {
	meta:
		name = "_NF__480"
		size = 196
		refs = "0009 _NF__480 0017 SOutOfMemory 001c LoadResString 0026 _DV_EOutOfMemory 002b Exception.Create 0030 _NV__430 0038 SInvalidPointer 0047 _DV_EInvalidPointer 0051 _NV__431 0056 ErrorProc 005c _NF__478 0061 ExceptProc 0067 _NF__47F 006c ExceptionClass 0072 _DV_Exception 0079 ExceptClsProc 007f _NF__47C 0084 ExceptObjProc 008a _NF__47E 008f AssertErrorProc 0095 _NF__479 009a AbstractErrorProc 00a0 _NF__47A 00b5 @LStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_14678_0 {
	meta:
		name = "_NF__481"
		size = 98
		refs = "0001 _NV__430 001b _NV__431 0020 TObject.Free 002c ErrorProc 0035 ExceptProc 003e ExceptionClass 0047 ExceptClsProc 0050 ExceptObjProc 0059 AssertErrorProc"
	strings:
		$1 = { A1 ?? ?? ?? ?? C6 40 0C 01 A1 ?? ?? ?? ?? 8B 10 FF 52 F8 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 C3 }
	condition:
		$1
}

rule function_14679_0 {
	meta:
		name = "_NF__482"
		size = 85
		refs = "000f GetVersionEx 001c Win32Platform 0025 Win32MajorVersion 002e Win32MinorVersion 0037 Win32BuildNumber 003c Win32CSDVersion 004a @LStrFromArray"
	strings:
		$1 = { 81 C4 6C FF FF FF C7 04 24 94 00 00 00 54 E8 ?? ?? ?? ?? 85 C0 74 37 8B 44 24 10 A3 ?? ?? ?? ?? 8B 44 24 04 A3 ?? ?? ?? ?? 8B 44 24 08 A3 ?? ?? ?? ?? 8B 44 24 0C A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8D 54 24 14 B9 80 00 00 00 E8 ?? ?? ?? ?? 81 C4 94 00 00 00 C3 }
	condition:
		$1
}

rule function_14681_0 {
	meta:
		name = "_NF__484"
		size = 95
		refs = "0018 LeadBytes 003a _NF__484"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 DB 85 FF 75 15 8A 04 3E 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 3B B3 01 EB 37 8A 44 3E FF 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 12 8B D7 4A 8B C6 E8 ?? ?? ?? ?? 3C 01 75 04 B3 02 EB 13 8A 04 3E 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 02 B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14682_0 {
	meta:
		name = "ByteType"
		size = 35
		refs = "000a SysLocale 0014 @LStrToPChar 001c _NF__484"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 80 3D ?? ?? ?? ?? 00 74 0F 8B C3 E8 ?? ?? ?? ?? 8B D6 4A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14683_0 {
	meta:
		name = "StrByteType"
		size = 21
		refs = "0004 SysLocale 000c _NF__484"
	strings:
		$1 = { 33 C9 80 3D ?? ?? ?? ?? 00 74 07 E8 ?? ?? ?? ?? 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_14684_0 {
	meta:
		name = "ByteToCharLen"
		size = 38
		refs = "0009 @LStrLen 001f ByteToCharIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14685_0 {
	meta:
		name = "ByteToCharIndex"
		size = 78
		refs = "0010 @LStrLen 001c SysLocale 003b LeadBytes"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 33 F6 85 DB 7E 3B 8B C7 E8 ?? ?? ?? ?? 3B D8 7F 30 8B F3 80 3D ?? ?? ?? ?? 00 74 25 B8 01 00 00 00 33 F6 3B D8 7C 1A 8A 54 07 FF 81 E2 FF 00 00 00 0F A3 15 ?? ?? ?? ?? 73 01 40 40 46 3B D8 7D E6 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14686_0 {
	meta:
		name = "_NF__491"
		size = 115
		refs = "0013 @LStrLen 0033 LeadBytes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 89 4D F8 89 55 FC 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 BA 01 00 00 00 B8 01 00 00 00 EB 16 42 8A 4C 06 FF 81 E1 FF 00 00 00 0F A3 0D ?? ?? ?? ?? 73 01 40 40 3B F8 7E 05 3B 55 FC 7C E1 3B 55 FC 75 18 3B F8 7E 14 8A 4C 06 FF 81 E1 FF 00 00 00 0F A3 0D ?? ?? ?? ?? 73 01 40 8B 4D F8 89 11 8B 55 08 89 02 5F 5E 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14687_0 {
	meta:
		name = "CharToByteIndex"
		size = 100
		refs = "0015 @LStrLen 0024 SysLocale 0036 _NF__491"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 33 C0 89 04 24 85 DB 7E 4A 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 3F 83 FB 01 7E 37 80 3D ?? ?? ?? ?? 00 74 2E 54 8D 4C 24 08 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 4B 3B 5C 24 04 7F 0C 8B C6 E8 ?? ?? ?? ?? 3B 04 24 7F 07 33 C0 89 04 24 EB 08 FF 04 24 EB 03 89 1C 24 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14688_0 {
	meta:
		name = "CharToByteLen"
		size = 96
		refs = "0015 @LStrLen 0028 SysLocale 0039 _NF__491"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 33 C0 89 04 24 85 DB 7E 46 8B C6 E8 ?? ?? ?? ?? 3B D8 7E 09 8B C6 E8 ?? ?? ?? ?? 8B D8 80 3D ?? ?? ?? ?? 00 74 26 54 8D 4C 24 08 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 04 24 7D 0F 8B C6 E8 ?? ?? ?? ?? 89 04 24 EB 03 89 1C 24 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14689_0 {
	meta:
		name = "IsPathDelimiter"
		size = 51
		refs = "000d @LStrLen 0021 ByteType"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 7E 1F 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 14 80 7C 1E FF 5C 75 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_14690_0 {
	meta:
		name = "IsDelimiter"
		size = 68
		refs = "0013 @LStrLen 0020 ByteType 002b @LStrToPChar 0034 StrScan"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B E8 33 DB 85 FF 7E 2D 8B C6 E8 ?? ?? ?? ?? 3B F8 7F 22 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 15 8B C5 E8 ?? ?? ?? ?? 8A 54 3E FF E8 ?? ?? ?? ?? 85 C0 0F 95 C3 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14691_0 {
	meta:
		name = "AnsiPos"
		size = 53
		refs = "000d @LStrToPChar 001f AnsiStrPos"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 33 FF 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C5 5A E8 ?? ?? ?? ?? 8B D8 85 DB 74 05 8B FB 2B FD 47 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14692_0 {
	meta:
		name = "AnsiCompareFileName"
		size = 104
		refs = "0011 AnsiCompareFileName 0021 AnsiLowerCaseFileName 0038 AnsiCompareStr 0054 @LStrArrayClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14693_0 {
	meta:
		name = "AnsiLowerCaseFileName"
		size = 140
		refs = "000a SysLocale 0014 @LStrLen 001f @LStrSetLength 002f UniqueString 0047 LeadBytes 0083 AnsiLowerCase"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 80 3D ?? ?? ?? ?? 00 74 6D 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C7 8B D5 E8 ?? ?? ?? ?? BB 01 00 00 00 3B EB 7C 5B 8B C7 E8 ?? ?? ?? ?? 8A 54 1E FF 88 54 18 FF 8A 44 1E FF 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 12 43 8B C7 E8 ?? ?? ?? ?? 8A 54 1E FF 88 54 18 FF EB 18 8B 07 8A 44 18 FF 04 BF 2C 1A 73 0C 8B C7 E8 ?? ?? ?? ?? 80 44 18 FF 20 43 3B EB 7D B0 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14694_0 {
	meta:
		name = "AnsiUpperCaseFileName"
		size = 140
		refs = "000a SysLocale 0014 @LStrLen 001f @LStrSetLength 002f UniqueString 0047 LeadBytes 0083 AnsiUpperCase"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 80 3D ?? ?? ?? ?? 00 74 6D 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C7 8B D5 E8 ?? ?? ?? ?? BB 01 00 00 00 3B EB 7C 5B 8B C7 E8 ?? ?? ?? ?? 8A 54 1E FF 88 54 18 FF 8A 44 1E FF 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 12 43 8B C7 E8 ?? ?? ?? ?? 8A 54 1E FF 88 54 18 FF EB 18 8B 07 8A 44 18 FF 04 9F 2C 1A 73 0C 8B C7 E8 ?? ?? ?? ?? 80 6C 18 FF 20 43 3B EB 7D B0 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14695_0 {
	meta:
		name = "AnsiStrPos"
		size = 158
		refs = "0025 StrLen 003a StrPos 0049 StrByteType 005d CompareString 0070 LeadBytes"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 33 DB 85 F6 0F 84 83 00 00 00 80 3E 00 74 7E 85 ED 74 7A 80 7D 00 00 74 74 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B C5 E8 ?? ?? ?? ?? 8B F8 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 41 8B D3 2B D6 8B C6 E8 ?? ?? ?? ?? 3C 02 74 15 57 55 57 53 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 F8 02 74 30 8A 03 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 01 43 43 8B D5 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0D 8B C3 2B C6 8B 14 24 2B D0 3B FA 7E AE 33 DB 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14696_0 {
	meta:
		name = "AnsiStrRScan"
		size = 40
		refs = "0007 AnsiStrScan"
	strings:
		$1 = { 53 56 8B DA 8B D3 E8 ?? ?? ?? ?? 8B F0 84 DB 74 12 85 C0 74 0E 8B F0 40 8B D3 E8 ?? ?? ?? ?? 85 C0 75 F2 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14697_0 {
	meta:
		name = "AnsiStrScan"
		size = 64
		refs = "000c StrScan 001d StrByteType"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 24 8B D7 2B D6 8B C6 E8 ?? ?? ?? ?? 2C 01 72 15 74 02 EB 01 47 47 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 75 DC 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14698_0 {
	meta:
		name = "_NF__4B2"
		size = 171
		refs = "0008 LeadBytes 0011 SysLocale 002c GetThreadLocale 0053 GetSystemMetrics 0067 GetCPInfo"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 BF ?? ?? ?? ?? 8D 6C 24 04 BE ?? ?? ?? ?? C7 06 09 04 00 00 66 C7 46 04 09 00 66 C7 46 06 01 00 C6 46 08 00 E8 ?? ?? ?? ?? 85 C0 74 02 89 06 66 85 C0 74 15 8B D0 66 81 E2 FF 03 66 89 56 04 0F B7 C0 C1 E8 0A 66 89 46 06 6A 2A E8 ?? ?? ?? ?? 85 C0 0F 95 C3 88 5E 08 84 DB 74 40 55 6A 00 E8 ?? ?? ?? ?? 33 F6 EB 25 8A 44 35 06 8A 5C 35 07 2A D8 72 16 43 88 04 24 8A 04 24 25 FF 00 00 00 0F AB 07 FE 04 24 FE CB 75 EE 83 C6 02 83 FE 0C 7D 0A 8A 44 35 06 0A 44 35 07 75 CC 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14699_0 {
	meta:
		name = "_NF__4B9"
		size = 132
		refs = "0011 _NF__4B9 0017 FindResource 0022 LoadResource 0042 LockResource 004d UnlockResource 0063 FreeResource 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 89 45 FC 6A 0A 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 50 50 53 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 5B 59 59 5D C3 00 50 41 43 4B 41 47 45 49 4E 46 4F 00 }
	condition:
		$1
}

rule function_14700_0 {
	meta:
		name = "_NF__4BA"
		size = 48
		refs = "0018 GetModuleFileName 0023 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 81 C4 F8 FE FF FF 8B F2 8B D8 68 05 01 00 00 8D 44 24 04 50 53 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14701_0 {
	meta:
		name = "_NF__4BC"
		size = 368
		refs = "001e _NF__4BC 0035 StrIComp 0045 @LStrToPChar 005d LibModuleList 0078 _NF__4B9 00ac StrLen 00ee _NF__4BA 00f9 ExtractFileName 0106 ChangeFileExt 0111 @LStrAsg 014f @LStrArrayClr 0155 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D E4 89 4D F4 89 55 F8 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 01 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 84 F4 00 00 00 8B 45 0C E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 84 DA 00 00 00 8B 1D ?? ?? ?? ?? 8B 1B 85 DB 0F 84 CA 00 00 00 8B 43 04 3B 45 F4 0F 84 B4 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 A7 00 00 00 8B 10 81 E2 00 00 00 C0 81 FA 00 00 00 40 0F 85 93 00 00 00 8B F8 83 C7 08 8B 40 04 8B F0 4E 85 F6 7C 11 46 8D 47 01 E8 ?? ?? ?? ?? 83 C0 02 01 C7 4E 75 F0 8B 07 83 C7 04 89 7D EC 8B F0 4E 85 F6 7C 64 46 8B 7D EC 8A 47 01 3A 45 FF 75 44 F6 07 06 75 3F 8D 57 02 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 30 8D 55 E8 8B 43 04 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 8D 4D E8 33 D2 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 E8 ?? ?? ?? ?? EB 22 8B 45 EC 83 C0 02 E8 ?? ?? ?? ?? 83 C0 03 01 45 EC 4E 75 9D 8B 1B 85 DB 0F 85 36 FF FF FF C6 45 F3 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 F3 5F 5E 5B 8B E5 5D C2 08 00 00 53 79 73 49 6E 69 74 00 }
	condition:
		$1
}

rule function_14702_0 {
	meta:
		name = "_NF__4BD"
		size = 26
		refs = "0002 LibModuleList"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 85 D2 74 0B 3B 42 04 74 06 8B 12 85 D2 75 F5 8B C2 C3 }
	condition:
		$1
}

rule function_14703_0 {
	meta:
		name = "_NF__4BE"
		size = 440
		refs = "001e _NF__4BE 002c _NF__4B9 0053 _NF__4BA 005e ExtractFileName 006b ChangeFileExt 0091 @LStrFromArray 00a9 @LStrToPChar 00af GetModuleHandle 00bd StrLen 00cd _NF__4BD 00e2 _NV__4BB 0121 _NF__4BC 0151 SDuplicatePackageUnit 0156 LoadResString 0160 _DV_EPackageError 0165 Exception.CreateFmt 016a @RaiseExcept 0194 @LStrArrayClr 019a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 F0 89 55 EC 89 55 F8 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 44 01 00 00 8B 03 25 00 00 00 C0 3D 00 00 00 40 0F 85 32 01 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 33 D2 E8 ?? ?? ?? ?? 8B F3 83 C6 08 8B 43 04 8B D8 4B 85 DB 7C 4B 43 8B FE 8B 45 08 50 8D 45 EC 8D 57 01 B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 46 01 E8 ?? ?? ?? ?? 83 C0 02 01 C6 4B 75 B6 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 17 85 C0 0F 84 A1 00 00 00 8B 50 0C 3B 15 ?? ?? ?? ?? 0F 84 92 00 00 00 85 C0 74 09 8B 15 ?? ?? ?? ?? 89 50 0C 8B 06 8B FE 83 C7 04 8B D8 4B 85 DB 7C 77 43 8B F7 F6 06 06 75 5F 8B 45 F4 50 8D 45 F8 50 8D 56 02 8B 4D FC 8A 46 01 E8 ?? ?? ?? ?? 84 C0 74 45 8B 45 F4 89 45 D4 C6 45 D8 0B 8D 46 02 89 45 DC C6 45 E0 06 8B 45 F8 89 45 E4 C6 45 E8 0B 8D 45 D4 50 6A 02 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 02 E8 ?? ?? ?? ?? 83 C0 03 01 C7 4B 75 8A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 2E 64 6C 6C 00 00 00 00 }
	condition:
		$1
}

rule function_14704_0 {
	meta:
		name = "_NF__4BF"
		size = 18
		refs = "0005 _NV__4BB 000b _NF__4BE"
	strings:
		$1 = { 55 8B EC FF 05 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_14705_0 {
	meta:
		name = "InitializePackage"
		size = 176
		refs = "0017 InitializePackage 0024 _NF__4BF 002f GetProcAddress 0045 _NF__4BA 005d SInvalidPackageFile 0062 LoadResString 006c _DV_Exception 0071 Exception.CreateFmt 0076 @RaiseExcept 0090 @LStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F8 89 FE 85 FF 74 04 FF D6 EB 3B 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 49 6E 69 74 69 61 6C 69 7A 65 00 00 }
	condition:
		$1
}

rule function_14706_0 {
	meta:
		name = "FinalizePackage"
		size = 128
		refs = "000e FinalizePackage 001f GetProcAddress 0033 SInvalidPackageHandle 0038 LoadResString 0042 _DV_EPackageError 0047 Exception.Create 004c @RaiseExcept 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B F0 89 F3 85 F6 74 04 FF D3 EB 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 46 69 6E 61 6C 69 7A 65 00 00 00 00 }
	condition:
		$1
}

rule function_14707_0 {
	meta:
		name = "LoadPackage"
		size = 226
		refs = "0015 LoadPackage 0022 @LStrToPChar 0028 LoadLibrary 0043 GetLastError 004b SysErrorMessage 0063 sErrorLoadingPackage 0068 LoadResString 0072 _DV_EPackageError 0077 Exception.CreateFmt 007c @RaiseExcept 0092 InitializePackage 00a1 @HandleAnyException 00aa FreeLibrary 00af @RaiseAgain 00b4 @DoneExcept 00ce @LStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 D2 89 55 E8 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 7E 4B 83 7D FC 20 7F 45 89 5D EC C6 45 F0 0B E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 0B 8D 45 EC 50 6A 01 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14708_0 {
	meta:
		name = "UnloadPackage"
		size = 18
		refs = "0006 FinalizePackage 000c FreeLibrary"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14709_0 {
	meta:
		name = "GetPackageInfo"
		size = 287
		refs = "001b GetPackageInfo 0028 _NF__4B9 0036 _NF__4BA 0041 ExtractFileName 0059 SCannotReadPackageInfo 005e LoadResString 0068 _DV_Exception 006d Exception.CreateFmt 0072 @RaiseExcept 009c @LStrFromArray 00ae StrLen 010b @LStrArrayClr 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F0 89 5D EC 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 46 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 89 16 8B D0 8B F0 83 C6 08 8B 42 04 8B D8 4B 85 DB 7C 2F 43 8B 45 FC 50 8D 45 F0 8D 56 01 B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 33 C9 B2 01 FF 55 08 8D 46 01 E8 ?? ?? ?? ?? 83 C0 02 01 C6 4B 75 D2 8B 06 83 C6 04 8B D8 4B 85 DB 7C 2F 43 8B 45 FC 50 8D 45 F0 8D 56 02 B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8A 0E 33 D2 FF 55 08 8D 46 02 E8 ?? ?? ?? ?? 83 C0 03 01 C6 4B 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14710_0 {
	meta:
		name = "GetPackageDescription"
		size = 356
		refs = "0018 GetPackageDescription 0025 @LStrClr 002c LoadResourceModule 003f LoadLibraryEx 005a GetLastError 0062 SysErrorMessage 007a sErrorLoadingPackage 007f LoadResString 0089 _DV_EPackageError 008e Exception.CreateFmt 0093 @RaiseExcept 00b1 FindResource 00bf LoadResource 00df LockResource 00e8 @LStrFromPWChar 00f0 UnlockResource 0106 FreeResource 010c @HandleFinally 0124 FreeLibrary 0146 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E4 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 5E 6A 02 6A 00 53 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 7C 4B 83 7D FC 20 7F 45 89 5D E8 C6 45 EC 06 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 0B 8D 45 E8 50 6A 01 8D 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 0A 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 74 59 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 46 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 44 45 53 43 52 49 50 54 49 4F 4E 00 }
	condition:
		$1
}

rule function_14711_0 {
	meta:
		name = "RaiseLastWin32Error"
		size = 178
		refs = "0013 RaiseLastWin32Error 001e GetLastError 0035 SysErrorMessage 004d SWin32Error 0052 LoadResString 005c _DV_EWin32Error 0061 Exception.CreateFmt 006b SUnkWin32Error 007f Exception.Create 0087 @RaiseExcept 00a1 @LStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C0 89 45 EC 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 85 DB 74 3F 89 5D F0 C6 45 F4 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F8 C6 45 FC 0B 8D 45 F0 50 6A 01 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14714_0 {
	meta:
		name = "CallTerminateProcs"
		size = 26
		refs = "0005 _NV__4D6"
	strings:
		$1 = { 53 B0 01 8B 1D ?? ?? ?? ?? EB 05 FF 53 04 8B 1B 84 C0 74 04 85 DB 75 F3 5B C3 }
	condition:
		$1
}

rule function_14715_0 {
	meta:
		name = "_NF__4DA"
		size = 31
		refs = "0002 _NV__4D6 0014 @FreeMem"
	strings:
		$1 = { 53 BB ?? ?? ?? ?? EB 10 8B 03 8B 10 89 13 BA 08 00 00 00 E8 ?? ?? ?? ?? 83 3B 00 75 EB 5B C3 }
	condition:
		$1
}

rule function_14716_0 {
	meta:
		name = "_NF__4DB"
		size = 14
	strings:
		$1 = { 8B 10 33 50 04 33 50 08 33 50 0C 89 D0 C3 }
	condition:
		$1
}

rule function_14717_0 {
	meta:
		name = "_NF__4DC"
		size = 23
	strings:
		$1 = { 8B 10 C1 CA 05 33 50 04 C1 CA 05 33 50 08 C1 CA 05 33 50 0C 89 D0 C3 }
	condition:
		$1
}

rule function_14718_0 {
	meta:
		name = "_NF__4DF"
		size = 84
		refs = "0009 _NF__4DF 0017 SNL 001c LoadResString 0026 _DV_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_14719_0 {
	meta:
		name = "_NF__4E0"
		size = 124
		refs = "0004 MainInstance 0010 _NF__4E0 001d FindResource 002b LoadResource 0037 LibModuleList 0069 _NF__4DF"
	strings:
		$1 = { 53 56 57 A1 ?? ?? ?? ?? 83 38 00 74 26 6A 0A 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D8 EB 31 33 DB 8B 35 ?? ?? ?? ?? 8B 36 85 F6 74 23 8B DE 6A 0A 68 ?? ?? ?? ?? 8B 7B 04 57 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 85 F6 75 DD 85 DB 75 05 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 00 44 56 43 4C 41 4C 00 00 }
	condition:
		$1
}

rule function_14720_0 {
	meta:
		name = "GDAL"
		size = 79
		refs = "0004 _NF__4E0 000f _NF__4DB 0018 _NF__4DC 001f _NV__4DD 0024 _NV__4DE 0045 _NF__4DF"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B F0 8B FE 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 8B FB BA ?? ?? ?? ?? BE ?? ?? ?? ?? 3B 1A 75 04 3B 06 74 19 3B 5A 04 75 05 3B 46 04 74 0F 3B 5A 08 75 05 3B 46 08 74 05 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14721_0 {
	meta:
		name = "RCS"
		size = 49
		refs = "0003 _NF__4E0 000e _NF__4DB 0014 _NV__4DD 001d _NF__4DC 0023 _NV__4DE 002a _NF__4DF"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B D8 8B F3 8B C6 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 0F 8B C6 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14722_0 {
	meta:
		name = "RPR"
		size = 27
		refs = "0001 GDAL 0007 _NV__4DD 0016 _NF__4DF"
	strings:
		$1 = { E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 0D 3B 05 ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14724_0 {
	meta:
		name = "_NF__4E7"
		size = 34
	strings:
		$1 = { 0A 00 00 00 64 00 00 00 E8 03 00 00 10 27 00 00 00 00 40 76 3A 6B 0B DE 3A 40 3F 13 49 4E 46 4E 41 4E }
	condition:
		$1
}

rule function_14725_0 {
	meta:
		name = "FloatToText"
		size = 713
		refs = "005c _NF__4E7 00e3 DecimalSeparator 01d4 ThousandSeparator 0200 CurrencyFormat 0211 NegCurrFormat 0256 CurrencyString"
	strings:
		$1 = { 55 8B EC 83 EC 1C 57 56 53 89 45 FC B8 13 00 00 00 80 F9 00 75 17 8B 45 0C 83 F8 02 7D 05 B8 02 00 00 00 83 F8 12 7E 05 B8 12 00 00 00 89 45 0C 50 B8 0F 27 00 00 80 7D 10 02 72 03 8B 45 08 50 8D 45 E4 E8 54 05 00 00 8B 7D FC 0F B7 45 E4 2D FF 7F 00 00 83 F8 02 73 10 8D B4 40 ?? ?? ?? ?? B9 03 00 00 00 F3 A4 EB 23 8D 75 E7 0F B6 5D 10 80 FB 01 74 10 80 FB 04 77 09 0F BF 45 E4 3B 45 0C 7E 02 B3 00 FF 14 9D ?? ?? ?? ?? 8B C7 2B 45 FC 5B 5E 5F 8B E5 5D C2 0C 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? AC 0A C0 75 03 B0 30 4E C3 80 7D E6 00 74 03 B0 2D AA C3 E8 F1 FF FF FF 0F BF 4D E4 33 D2 3B 4D 0C 7F 1F 83 F9 FD 7C 1A 0B C9 7F 1C B0 30 AA 80 3E 00 74 40 A0 ?? ?? ?? ?? AA F7 D9 B0 30 F3 AA EB 1C B9 01 00 00 00 42 AC 0A C0 74 19 AA E2 F8 AC 0A C0 74 15 8A E0 A0 ?? ?? ?? ?? 66 AB AC 0A C0 74 07 AA EB F8 B0 30 F3 AA 0B D2 74 06 33 C0 33 C9 EB 2B C3 E8 8F FF FF FF E8 81 FF FF FF 8A 25 ?? ?? ?? ?? 66 AB 8B 4D 0C 49 E8 70 FF FF FF AA E2 F8 B4 2B 8B 4D 08 83 F9 04 72 02 33 C9 B0 45 8A 5D E7 0F BF 55 E4 4A AA 0A DB 75 04 33 D2 EB 0A 0B D2 7D 06 B0 2D F7 DA EB 06 0A E4 74 03 8A C4 AA 92 50 8B DC 33 D2 F7 35 ?? ?? ?? ?? 80 C2 30 88 13 43 49 0B C0 75 ED 0B C9 7F E9 4B 8A 03 AA 3B DC 75 F8 58 C3 E8 1C FF FF FF 8B 55 08 83 FA 12 72 05 BA 12 00 00 00 0F BF 4D E4 0B C9 7F 05 B0 30 AA EB 28 33 DB 80 7D 10 02 74 0A 8B C1 48 B3 03 F6 F3 8A DC 43 E8 E2 FE FF FF AA 49 74 0D 4B 75 F4 A0 ?? ?? ?? ?? AA B3 03 EB EA 0B D2 74 1A A0 ?? ?? ?? ?? AA E3 09 B0 30 AA 4A 74 0C 41 75 F9 E8 B7 FE FF FF AA 4A 75 F7 C3 33 DB 8A 1D ?? ?? ?? ?? B9 03 00 00 00 80 7D E6 00 74 0B 8A 1D ?? ?? ?? ?? B9 0F 04 00 00 3A D9 76 02 8A D9 02 DD 8D 9C 9B ?? ?? ?? ?? B9 05 00 00 00 8A 03 3C 40 74 1E 51 53 3C 24 74 07 3C 2A 74 0A AA EB 0C E8 0D 00 00 00 EB 05 E8 4E FF FF FF 5B 59 43 E2 DC C3 56 8B 35 ?? ?? ?? ?? 85 F6 74 05 8B 4E FC F3 A4 5E C3 24 2A 40 40 40 2A 24 40 40 40 24 20 2A 40 40 2A 20 24 40 40 28 24 2A 29 40 2D 24 2A 40 40 24 2D 2A 40 40 24 2A 2D 40 40 28 2A 24 29 40 2D 2A 24 40 40 2A 2D 24 40 40 2A 24 2D 40 40 2D 2A 20 24 40 2D 24 20 2A 40 2A 20 24 2D 40 24 20 2A 2D 40 24 20 2D 2A 40 2A 2D 20 24 40 28 24 20 2A 29 28 2A 20 24 29 }
	condition:
		$1
}

rule function_14726_0 {
	meta:
		name = "FloatToTextFmt"
		size = 723
		refs = "02a9 DecimalSeparator 02ca ThousandSeparator"
	strings:
		$1 = { 55 8B EC 83 EC 40 57 56 53 89 45 FC 8B FA 8B D9 B9 02 00 00 00 80 FB 00 74 0F 8B 07 0B 47 04 74 1A 8B 4F 04 C1 E9 1F EB 12 0F B7 47 08 0B 07 0B 47 04 74 07 0F B7 4F 08 C1 E9 0F E8 8C 00 00 00 74 4C E8 C0 00 00 00 8B 45 EC BA 0F 27 00 00 80 7D F4 00 75 0A 2B 45 E8 8B D0 B8 12 00 00 00 50 52 8D 45 C0 8B D7 8B CB E8 66 02 00 00 66 8B 45 C0 66 3D 00 80 74 17 66 3D FF 7F 74 11 80 FB 00 75 20 66 3D 12 00 7E 1A 80 7D F4 00 75 14 6A 00 6A 0F 6A 00 8B 45 FC 8B D7 8B CB E8 97 FC FF FF EB 21 80 7D C3 00 75 16 B9 02 00 00 00 E8 1A 00 00 00 74 DA 3B 75 F0 74 05 E8 49 00 00 00 E8 EF 00 00 00 5B 5E 5F 8B E5 5D C2 04 00 8B 75 08 E3 1D AC 3C 27 74 24 3C 22 74 20 0A C0 74 10 3C 3B 75 EF E2 ED 8A 06 0A C0 74 04 3C 3B 75 0B 8B 75 08 8A 06 0A C0 74 02 3C 3B C3 8A E0 AC 3A C4 74 D0 0A C0 75 F7 EB E7 53 89 75 F0 BB FF 7F 00 00 33 C9 33 D2 C7 45 E8 FF FF FF FF 88 55 F8 88 55 F4 AC 3C 23 74 26 3C 30 74 25 3C 2E 74 2C 3C 2C 74 33 3C 27 74 35 3C 22 74 31 3C 45 74 3A 3C 65 74 36 3C 3B 74 46 0A C0 75 D7 EB 40 42 EB D2 3B D3 7D 02 8B DA 42 8B CA EB C7 83 7D E8 FF 75 C1 89 55 E8 EB BC C6 45 F8 01 EB B6 8A E0 AC 3A C4 74 AF 0A C0 75 F7 EB 14 AC 3C 2D 74 04 3C 2B 75 A1 C6 45 F4 01 AC 3C 30 74 FB EB 96 89 55 EC 83 7D E8 FF 75 03 89 55 E8 8B 45 E8 2B C1 7E 02 33 C0 89 45 E0 8B 45 E8 2B C3 7D 02 33 C0 89 45 E4 5B C3 80 7D F4 00 74 07 8B 45 E8 33 D2 EB 13 0F BF 45 C0 3B 45 E8 7F 03 8B 45 E8 0F BF 55 C0 2B 55 E8 89 45 DC 89 55 D8 8B 75 F0 8B 7D FC 8D 5D C3 80 7D C2 00 74 08 3B 75 08 75 03 B0 2D AA AC 3C 23 74 27 3C 30 74 23 3C 2E 74 F3 3C 2C 74 EF 3C 27 74 1E 3C 22 74 1A 3C 45 74 24 3C 65 74 20 3C 3B 74 53 0A C0 74 4F AA EB D4 E8 4D 00 00 00 EB CD 8A E0 AC 3A C4 74 C6 0A C0 74 3A AA EB F4 8A 26 80 FC 2B 74 07 80 FC 2D 75 DC 32 E4 B9 FF FF FF FF 41 46 80 3E 30 74 F9 83 F9 04 72 05 B9 04 00 00 00 53 8A 5D C3 0F BF 55 C0 2B 55 E8 E8 2A FC FF FF 5B EB 88 8B C7 2B 45 FC C3 83 7D D8 00 74 1B 7C 0C E8 14 00 00 00 FF 4D D8 75 F6 EB 0D FF 45 D8 8B 45 DC 3B 45 E4 7E 12 EB 41 8A 03 43 0A C0 75 0B 4B 8B 45 DC 3B 45 E0 7E 31 B0 30 83 7D DC 00 75 0B 8A E0 A0 ?? ?? ?? ?? 66 AB EB 1E AA 80 7D F8 00 74 17 8B 45 DC 83 F8 01 7E 0F B2 03 F6 F2 80 FC 01 75 06 A0 ?? ?? ?? ?? AA FF 4D DC C3 }
	condition:
		$1
}

rule function_14727_0 {
	meta:
		name = "FloatToDecimal"
		size = 493
		refs = "006e FPower10 0076 _NF__4E7"
	strings:
		$1 = { 55 8B EC 83 EC 1A 57 56 53 8B D8 8B F2 80 F9 00 74 07 E8 05 01 00 00 EB 05 E8 09 00 00 00 5B 5E 5F 8B E5 5D C2 08 00 66 8B 46 08 8B D0 25 FF 7F 00 00 74 10 3D FF 7F 00 00 75 14 66 81 7E 06 00 80 74 03 40 33 D2 C6 43 03 00 E9 C2 00 00 00 DB 2E 2D FF 3F 00 00 69 C0 10 4D 00 00 C1 F8 10 40 89 45 F8 B8 12 00 00 00 2B 45 F8 D9 E1 E8 ?? ?? ?? ?? D9 FC DB 2D ?? ?? ?? ?? D8 D9 9B DD 7D FC 9B 66 F7 45 FC 00 41 74 09 DA 35 ?? ?? ?? ?? FF 45 F8 DF 75 E6 8D 7B 03 BA 09 00 00 00 9B 8A 44 15 E5 8A E0 C0 E8 04 80 E4 0F 66 05 30 30 66 AB 4A 75 EB 32 C0 AA 8B 7D F8 03 7D 08 79 04 33 C0 EB 82 3B 7D 0C 72 03 8B 7D 0C 83 FF 12 73 27 80 7C 3B 03 35 72 25 C6 44 3B 03 00 4F 78 0D FE 44 3B 03 80 7C 3B 03 39 77 ED EB 1F 66 C7 43 03 31 00 FF 45 F8 EB 14 BF 12 00 00 00 C6 44 3B 03 00 4F 78 07 80 7C 3B 03 30 74 F1 8B 45 F8 66 8B 56 08 66 C1 EA 0F 66 89 03 88 53 02 C3 8B 06 8B 56 04 8B C8 0B CA 0F 84 B4 00 00 00 0B D2 79 07 F7 DA F7 D8 83 DA 00 33 C9 8B 7D 08 0B FF 7D 02 33 FF 83 FF 04 7C 1F BF 04 00 00 00 41 2D 00 00 64 A7 81 DA B3 B6 E0 0D 73 F2 49 05 00 00 64 A7 81 D2 B3 B6 E0 0D 89 45 F0 89 55 F4 DF 6D F0 8B D7 B8 04 00 00 00 2B C2 74 07 DA 34 85 ?? ?? ?? ?? DF 75 E6 8D 7B 03 9B 0B C9 75 1B B9 09 00 00 00 8A 44 0D E5 8A E0 C0 E8 04 75 1E 8A C4 24 0F 75 1F 49 75 EC EB 39 8A C1 04 30 AA B9 09 00 00 00 8A 44 0D E5 8A E0 C0 E8 04 04 30 AA 8A C4 24 0F 04 30 AA 49 75 EA 8B C7 8D 4C 13 03 2B C1 C6 07 00 4F 80 3F 30 74 F7 8B 56 04 C1 EA 1F EB 07 33 C0 33 D2 88 43 03 66 89 03 88 53 02 C3 }
	condition:
		$1
}

rule function_14728_0 {
	meta:
		name = "TextToFloat"
		size = 257
		refs = "0018 _NF__4E7 003d DecimalSeparator 0076 FPower10"
	strings:
		$1 = { 55 8B EC 83 EC 06 57 56 53 8B F0 8B FA 8B D9 9B D9 7D FA 9B DB E2 D9 2D ?? ?? ?? ?? D9 EE E8 88 00 00 00 8A 3E 80 FF 2B 74 05 80 FF 2D 75 01 46 8B CE E8 7F 00 00 00 33 D2 8A 06 3A 05 ?? ?? ?? ?? 75 08 46 E8 6D 00 00 00 F7 DA 3B CE 74 4A 8A 06 24 DF 3C 45 75 0A 46 52 E8 74 00 00 00 58 03 D0 E8 45 00 00 00 80 3E 00 75 2E 8B C2 80 FB 01 75 03 83 C0 04 E8 ?? ?? ?? ?? 80 FF 2D 75 02 D9 E0 80 FB 00 74 04 DF 3F EB 02 DB 3F 9B DF E0 66 A9 09 00 75 06 B0 01 EB 04 DD D8 33 C0 9B DB E2 D9 6D FA 9B 5B 5E 5F 8B E5 5D C3 AC 0A C0 74 04 3C 20 74 F7 4E C3 33 C0 33 D2 AC 2C 3A 04 0A 73 0F DA 0D ?? ?? ?? ?? 89 45 FC DA 45 FC 42 EB EA 4E C3 33 C0 33 D2 8A 0E 80 F9 2B 74 05 80 F9 2D 75 01 46 8A 06 2C 3A 04 0A 73 0E 46 6B D2 0A 03 D0 81 FA F4 01 00 00 72 EA 80 F9 2D 75 02 F7 DA C3 }
	condition:
		$1
}

rule function_14729_0 {
	meta:
		name = "Finalization"
		size = 299
		refs = "0007 Finalization 0013 _NV__285 001e _NF__4DA 0023 _NF__481 0028 _NV__477 0033 _NT__476 0038 @FinalizeArray 003d _NV__474 0048 _NT__473 0052 _NV__391 005d String 0067 LongDayNames 007c ShortDayNames 0091 LongMonthNames 00a6 ShortMonthNames 00bb LongTimeFormat 00c0 @LStrClr 00c5 ShortTimeFormat 00cf TimePMString 00d9 TimeAMString 00e3 LongDateFormat 00ed ShortDateFormat 00f7 CurrencyString 0101 Win32CSDVersion 010b EmptyStr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 F7 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 15 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14730_0 {
	meta:
		name = "SysUtils"
		size = 84
		refs = "0007 SysUtils 0013 _NV__285 001b _NF__4E6 0020 @InitResStrings 0025 _NF__480 002a _NF__4B2 002f _NF__42D 0034 GetFormatSettings 0039 _NF__482 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 23 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14734_0 {
	meta:
		name = "_NF__CC"
		size = 60
		refs = "000f TList.Get 0016 TControl.SetText 001e TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 84 C0 74 12 8B 43 10 8B 80 18 01 00 00 8B CF 8B D6 8B 18 FF 53 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14737_0 {
	meta:
		name = "_NF__CF"
		size = 95
		refs = "0019 TList.Get 001f _DV_TTabPage 0024 @AsClass 0029 TObject.Free 0035 TList.Clear 003d TWinControl.HandleAllocated 0057 TWinControl.Realign"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 0C 8B 58 08 4B 85 DB 7C 21 43 33 FF 8B D7 8B 46 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 E2 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 46 10 8B 80 18 01 00 00 8B 10 FF 52 40 8B 46 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14738_0 {
	meta:
		name = "_NF__D0"
		size = 131
		refs = "000c TList.Get 0012 _DV_TTabPage 0017 @AsClass 001c TObject.Free 0026 TList.Delete 002e TWinControl.HandleAllocated 0060 TTabbedNotebook.SetPageIndex 0074 TWinControl.Realign"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 46 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 84 C0 74 10 8B 46 10 8B 80 18 01 00 00 8B D3 8B 08 FF 51 44 8B 46 10 8B 90 48 01 00 00 3B DA 75 13 C7 80 48 01 00 00 FF FF FF FF 33 D2 E8 ?? ?? ?? ?? EB 0A 3B D3 7E 06 FF 88 48 01 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 46 10 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_14739_0 {
	meta:
		name = "_NF__D1"
		size = 119
		refs = "0010 _DV_TTabPage 0015 TTabPage.Create 002a TControl.SetText 0036 TList.Insert 003e TWinControl.HandleAllocated 005e TTabbedNotebook.SetPageIndex 0066 TWinControl.Realign"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B 4E 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 56 10 8B C3 8B 08 FF 51 3C 8B D5 8B C3 E8 ?? ?? ?? ?? 8B CB 8B D7 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 84 C0 74 12 8B 46 10 8B 80 18 01 00 00 8B CD 8B D7 8B 18 FF 53 54 8B D7 8B 46 10 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 10 8B 10 FF 52 44 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14740_0 {
	meta:
		name = "_NF__D2"
		size = 101
		refs = "0016 TList.Exchange 0020 TWinControl.HandleAllocated 0046 TTabbedNotebook.SetPageIndex 005c TWinControl.Realign"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 3B FE 74 52 8B 43 0C 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 5B 10 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B CF 8B D6 8B 83 18 01 00 00 8B 28 FF 55 48 8B 83 48 01 00 00 3B F0 75 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 0D 3B F8 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14741_0 {
	meta:
		name = "TTabPage.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TWinControl.Create 001d TTabPage.Create 002e TControl.SetAlign 0037 TWinControl.SetTabStop 0040 TControl.SetEnabled 0049 TControl.SetVisible"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 B2 05 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_14742_0 {
	meta:
		name = "TTabPage.ReadState"
		size = 62
		refs = "000e _DV_TTabbedNotebook 0013 @IsClass 0024 TList.Add 002d TWinControl.ReadState 0036 TWinControl.SetTabStop"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 87 40 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14743_0 {
	meta:
		name = "TTabbedNotebook.Create"
		size = 360
		refs = "0015 @ClassCreate 0022 TTabbedNotebook.Create 0031 TCustomTabControl.Create 005b TControl.SetWidth 0067 TControl.SetHeight 0070 TWinControl.SetTabStop 0077 _Dn_TList 007c TObject.Create 0089 _Dn_TFont 008e TFont.Create 00a2 TFont.SetColor 00b2 TTabbedNotebook.TabFontChanged 00ca _NV__C7 00cf _NF__C9 00e7 SDefault 00ec LoadResString 0103 TTabbedNotebook.SetPageIndex 0109 _NV__DA 0111 _DV_TTabPage 011e RegisterClasses 013a @LStrClr 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 80 63 21 FE 66 A1 ?? ?? ?? ?? 66 0B 43 40 66 8B 15 ?? ?? ?? ?? F7 D2 66 23 D0 66 89 53 40 BA 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 40 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 4C 01 00 00 BA 12 00 00 80 8B C6 E8 ?? ?? ?? ?? 8B 83 4C 01 00 00 89 58 08 C7 40 04 ?? ?? ?? ?? C7 83 50 01 00 00 03 00 00 00 53 8B 8B 40 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 44 01 00 00 C7 83 48 01 00 00 FF FF FF FF 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 44 01 00 00 8B 08 FF 51 34 33 D2 8B C3 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 19 A1 ?? ?? ?? ?? 89 45 F4 8D 45 F4 33 D2 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 00 08 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_14744_0 {
	meta:
		name = "TTabbedNotebook.Destroy"
		size = 67
		refs = "000d TObject.Free 002f TCustomTabControl.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 44 01 00 00 E8 ?? ?? ?? ?? 8B 86 40 01 00 00 E8 ?? ?? ?? ?? 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14745_0 {
	meta:
		name = "TTabbedNotebook.CreateHandle"
		size = 155
		refs = "0014 TTabbedNotebook.CreateHandle 0021 TWinControl.CreateHandle 0073 TCustomTabControl.SetTabIndex 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? F6 43 20 02 75 4C 8B 83 44 01 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2D 46 C7 45 FC 00 00 00 00 8D 4D F8 8B 55 FC 8B 83 44 01 00 00 8B 38 FF 57 0C 8B 55 F8 8B 83 18 01 00 00 8B 08 FF 51 34 FF 45 FC 4E 75 DB 8B 93 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14749_0 {
	meta:
		name = "TTabbedNotebook.Loaded"
		size = 341
		refs = "0014 TTabbedNotebook.Loaded 0021 TComponent.Loaded 004e TList.Get 0054 _DV_TTabPage 0059 @AsClass 0060 TControl.SetEnabled 007f TControl.SetVisible 00d0 TWinControl.HandleAllocated 0126 TCustomTabControl.SetTabIndex 012d TWinControl.Realign 0142 @LStrClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 40 01 00 00 8B 40 08 48 85 C0 0F 8C 96 00 00 00 40 89 45 FC 33 F6 3B B3 48 01 00 00 74 40 8B D6 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D6 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 3E 8B D6 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B D6 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 46 FF 4D FC 0F 85 70 FF FF FF 8B C3 E8 ?? ?? ?? ?? 84 C0 74 52 8B 83 18 01 00 00 8B 10 FF 52 40 8B 83 44 01 00 00 8B 10 FF 52 14 48 85 C0 7C 2A 40 89 45 FC 33 F6 8D 4D F8 8B D6 8B 83 44 01 00 00 8B 38 FF 57 0C 8B 55 F8 8B 83 18 01 00 00 8B 08 FF 51 34 46 FF 4D FC 75 DC 8B 93 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14750_0 {
	meta:
		name = "TTabbedNotebook.ReadState"
		size = 114
		refs = "0016 TWinControl.ReadState 0038 TList.Get 003e _DV_TTabPage 0043 @AsClass 004e TControl.SetEnabled 0055 TControl.BringToFront 005e TControl.SetAlign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 44 01 00 00 8B 10 FF 52 40 8B D6 8B C3 E8 ?? ?? ?? ?? 8B B3 48 01 00 00 85 F6 7C 41 8B 83 40 01 00 00 3B 70 08 7D 36 8B D6 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 C7 83 48 01 00 00 FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_14751_0 {
	meta:
		name = "TTabbedNotebook.SetPages"
		size = 51
	strings:
		$1 = { 56 8B F0 8B 86 44 01 00 00 8B 08 FF 51 08 8B 86 44 01 00 00 8B 10 FF 52 14 85 C0 7E 0A 33 C0 89 86 48 01 00 00 5E C3 C7 86 48 01 00 00 FF FF FF FF 5E C3 }
	condition:
		$1
}

rule function_14752_0 {
	meta:
		name = "TTabbedNotebook.ShowControl"
		size = 71
		refs = "0022 TList.Get 002f TTabbedNotebook.SetPageIndex 003e TWinControl.ShowControl"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 87 40 01 00 00 8B 70 08 4E 85 F6 7C 23 46 33 DB 8B D3 8B 87 40 01 00 00 E8 ?? ?? ?? ?? 3B E8 75 0B 8B D3 8B C7 E8 ?? ?? ?? ?? EB 0D 43 4E 75 E0 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14753_0 {
	meta:
		name = "TTabbedNotebook.SetPageIndex"
		size = 306
		refs = "0068 GetParentForm 007b TWinControl.ContainsControl 0088 TCustomForm.SetActiveControl 008f TWinControl.HandleAllocated 009c TCustomTabControl.SetTabIndex 00a9 TList.Get 00b2 TControl.BringToFront 00bb TControl.SetVisible 00c4 TControl.SetEnabled 0121 TWinControl.Realign"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 F6 43 20 01 74 0B 89 B3 48 01 00 00 E9 14 01 00 00 3B B3 48 01 00 00 0F 84 08 01 00 00 85 F6 0F 8C 00 01 00 00 8B 83 40 01 00 00 3B 70 08 0F 8D F1 00 00 00 66 83 BB 5E 01 00 00 00 74 1F C6 04 24 01 54 8B CE 8B D3 8B 83 60 01 00 00 FF 93 5C 01 00 00 80 3C 24 00 0F 84 C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 1A 8B 97 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 8B BB 48 01 00 00 85 FF 7C 2C 8B 83 40 01 00 00 3B 78 08 7D 21 8B D7 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 83 48 01 00 00 8B 8B 50 01 00 00 99 F7 F9 8B F8 8B C6 99 F7 F9 3B F8 74 0F 89 B3 48 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 06 89 B3 48 01 00 00 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14754_0 {
	meta:
		name = "TTabbedNotebook.SetActivePage"
		size = 31
		refs = "0018 TTabbedNotebook.SetPageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 44 01 00 00 8B 08 FF 51 50 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14755_0 {
	meta:
		name = "TTabbedNotebook.GetActivePage"
		size = 62
		refs = "0037 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 44 01 00 00 8B 10 FF 52 14 85 C0 7E 1F 83 BB 48 01 00 00 00 7C 16 8B CE 8B 93 48 01 00 00 8B 83 44 01 00 00 8B 18 FF 53 0C 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14757_0 {
	meta:
		name = "TTabbedNotebook.CMDialogChar"
		size = 194
		refs = "0017 TTabbedNotebook.CMDialogChar 003f TList.Get 0047 TControl.GetText 0056 IsAccel 0068 TWinControl.Focused 0075 TTabbedNotebook.SetPageIndex 0080 @CallDynaInst 009a TWinControl.CMDialogChar 00af @LStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 40 01 00 00 85 C0 74 69 8B 70 08 4E 85 F6 7C 61 46 33 FF 8B D7 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 66 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 32 8B C3 8B 10 FF 52 78 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 8B 45 FC C7 40 0C 01 00 00 00 EB 0E 47 4E 75 A2 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14758_0 {
	meta:
		name = "TTabbedNotebook.KeyDown"
		size = 127
		refs = "002e TTabbedNotebook.SetPageIndex 0045 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 66 8B 02 83 C0 DB 66 83 E8 02 72 3C 66 83 E8 02 73 68 8B 93 40 01 00 00 8B 52 08 4A 8B 83 48 01 00 00 3B D0 7F 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 0A 8B D0 42 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5B C3 8B 83 48 01 00 00 85 C0 7E 0C 8B D0 4A 8B C3 E8 ?? ?? ?? ?? EB 11 8B 83 40 01 00 00 8B 50 08 4A 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14759_0 {
	meta:
		name = "TTabbedNotebook.SetTabsPerRow"
		size = 30
		refs = "0011 TWinControl.Realign"
	strings:
		$1 = { 56 8B F0 83 FA 03 7C 14 89 96 50 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_14760_0 {
	meta:
		name = "TTabbedNotebook.GetIndexForPage"
		size = 154
		refs = "0017 TTabbedNotebook.GetIndexForPage 0046 TList.Get 004c _DV_TTabPage 0051 @AsClass 0059 TControl.GetText 0064 @LStrCmp 0084 @LStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 8B 87 40 01 00 00 85 C0 74 41 8B 70 08 4E 85 F6 7C 39 46 33 DB 8B D3 8B 87 40 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 75 05 89 5D F8 EB 04 43 4E 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14761_0 {
	meta:
		name = "TTabbedNotebook.SetTabFont"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 4C 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_14763_0 {
	meta:
		name = "TTabbedNotebook.AlignControls"
		size = 56
		refs = "0025 TList.Get 0030 TCustomTabControl.AlignControls"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B B3 48 01 00 00 85 F6 7C 23 8B 83 40 01 00 00 3B 70 08 7D 18 8B D6 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14764_0 {
	meta:
		name = "TTabbedNotebook.TabFontChanged"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 64 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14765_0 {
	meta:
		name = "TTabbedNotebook.Click"
		size = 29
	strings:
		$1 = { 53 66 83 B8 56 01 00 00 00 74 10 8B D8 8B D0 8B 83 58 01 00 00 FF 93 54 01 00 00 5B C3 }
	condition:
		$1
}

rule function_14766_0 {
	meta:
		name = "TTabbedNotebook.Change"
		size = 69
		refs = "0006 TCustomTabControl.GetTabIndex 001a TTabbedNotebook.SetPageIndex 0030 TCustomTabControl.Change 003f TCustomTabControl.SetTabIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 83 48 01 00 00 75 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 93 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14767_0 {
	meta:
		name = "TTabbedNotebook.WMPaint"
		size = 47
		refs = "000f TFont.GetHandle 0019 TWinControl.GetHandle 001f SendMessage 0028 TWinControl.WMPaint"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 50 6A 30 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14770_0 {
	meta:
		name = "TScroller.Create"
		size = 136
		refs = "000a @ClassCreate 0017 TCustomControl.Create 001d TScroller.Create 002c _Dn_TBitmap 0031 TBitmap.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 34 01 00 00 C7 86 3C 01 00 00 18 00 00 00 C7 86 40 01 00 00 0D 00 00 00 33 C0 89 86 1C 01 00 00 33 C0 89 86 20 01 00 00 33 C0 89 86 24 01 00 00 C7 86 30 01 00 00 01 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 40 00 00 00 }
	condition:
		$1
}

rule function_14771_0 {
	meta:
		name = "TScroller.Destroy"
		size = 45
		refs = "000d TObject.Free 0019 TCustomControl.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 34 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14772_0 {
	meta:
		name = "TScroller.Paint"
		size = 380
		refs = "000d _NF__13F 0028 TScroller.Paint 002d HInstance 0035 LoadBitmap 0042 TBitmap.SetHandle 0096 TCanvas.Draw 009d _NF__140"
	strings:
		$1 = { 53 56 8B D8 8B B3 18 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 54 80 BB 39 01 00 00 00 74 2A 80 BB 3A 01 00 00 00 75 21 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 83 34 01 00 00 E8 ?? ?? ?? ?? EB 40 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 83 34 01 00 00 E8 ?? ?? ?? ?? EB 1F 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 8B 83 34 01 00 00 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 54 80 BB 39 01 00 00 00 74 2A 80 BB 3A 01 00 00 01 75 21 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 83 34 01 00 00 E8 ?? ?? ?? ?? EB 40 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 83 34 01 00 00 E8 ?? ?? ?? ?? EB 1F 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 8B 83 34 01 00 00 50 8B 93 3C 01 00 00 D1 FA 79 03 83 D2 00 4A 33 C9 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 53 42 4C 45 46 54 44 4E 00 00 00 00 53 42 4C 45 46 54 00 00 53 42 4C 45 46 54 44 49 53 00 00 00 53 42 52 49 47 48 54 44 4E 00 00 00 53 42 52 49 47 48 54 00 53 42 52 49 47 48 54 44 49 53 00 00 }
	condition:
		$1
}

rule function_14773_0 {
	meta:
		name = "TScroller.WMSize"
		size = 39
		refs = "0006 TWinControl.WMSize 0014 TControl.SetWidth 0021 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 3C 01 00 00 4A 8B C3 E8 ?? ?? ?? ?? 8B 93 40 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14774_0 {
	meta:
		name = "TScroller.SetMin"
		size = 15
	strings:
		$1 = { 3B 90 20 01 00 00 7D 06 89 90 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_14775_0 {
	meta:
		name = "TScroller.SetMax"
		size = 15
	strings:
		$1 = { 3B 90 1C 01 00 00 7E 06 89 90 20 01 00 00 C3 }
	condition:
		$1
}

rule function_14776_0 {
	meta:
		name = "TScroller.SetPosition"
		size = 74
	strings:
		$1 = { 53 8B D8 3B 93 24 01 00 00 74 3D 8B 83 1C 01 00 00 3B D0 7D 02 8B D0 8B 83 20 01 00 00 3B D0 7E 02 8B D0 89 93 24 01 00 00 8B C3 8B 10 FF 52 44 66 83 BB 2A 01 00 00 00 74 0E 8B D3 8B 83 2C 01 00 00 FF 93 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_14777_0 {
	meta:
		name = "_NF__13F"
		size = 16
	strings:
		$1 = { 8B 90 24 01 00 00 3B 90 1C 01 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_14778_0 {
	meta:
		name = "_NF__140"
		size = 16
	strings:
		$1 = { 8B 90 24 01 00 00 3B 90 20 01 00 00 0F 9C C0 C3 }
	condition:
		$1
}

rule function_14779_0 {
	meta:
		name = "_NF__141"
		size = 110
		refs = "0035 _NF__13F 0042 _NF__140 0062 TWinControl.GetHandle 0068 SetCapture"
	strings:
		$1 = { 53 8B D8 8B 83 3C 01 00 00 D1 F8 79 03 83 D0 00 3B D0 7D 09 C6 83 3A 01 00 00 00 EB 07 C6 83 3A 01 00 00 01 8A 83 3A 01 00 00 2C 01 72 04 74 0F EB 18 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F EB 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 C6 83 38 01 00 00 01 C6 83 39 01 00 00 01 8B C3 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14780_0 {
	meta:
		name = "TScroller.WMLButtonDblClk"
		size = 10
		refs = "0005 _NF__141"
		altNames = "TScroller.WMLButtonDown"
	strings:
		$1 = { 0F BF 52 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14782_0 {
	meta:
		name = "TScroller.WMMouseMove"
		size = 162
		refs = "0021 Point 0043 Rect 0066 OffsetRect 0078 PtInRect"
	strings:
		$1 = { 53 56 83 C4 E8 8B DA 8B F0 80 BE 38 01 00 00 00 0F 84 86 00 00 00 8B CC 0F BF 53 0A 0F BF 43 08 E8 ?? ?? ?? ?? 8B 86 40 01 00 00 50 8D 44 24 0C 50 8B 8E 3C 01 00 00 D1 F9 79 03 83 D1 00 33 D2 33 C0 E8 ?? ?? ?? ?? 80 BE 3A 01 00 00 01 75 1A 6A 00 8B 86 3C 01 00 00 D1 F8 79 03 83 D0 00 50 8D 44 24 10 50 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8D 44 24 10 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 8A 9E 39 01 00 00 3A C3 74 10 80 F3 01 88 9E 39 01 00 00 8B C6 8B 10 FF 52 44 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_14783_0 {
	meta:
		name = "TScroller.WMLButtonUp"
		size = 77
		refs = "0004 ReleaseCapture 0047 TScroller.SetPosition"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? C6 83 38 01 00 00 00 80 BB 39 01 00 00 00 74 33 C6 83 39 01 00 00 00 8B 83 24 01 00 00 8A 93 3A 01 00 00 80 EA 01 72 04 74 0A EB 0E 2B 83 30 01 00 00 EB 06 03 83 30 01 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14784_0 {
	meta:
		name = "TTabList.Add"
		size = 34
		refs = "0008 TStringList.Add"
	strings:
		$1 = { 56 57 55 8B F0 8B C6 E8 ?? ?? ?? ?? 8B E8 8B 7E 2C 85 FF 74 07 8B C7 8B 10 FF 52 44 8B C5 5D 5F 5E C3 }
	condition:
		$1
}

rule function_14785_0 {
	meta:
		name = "TTabList.Insert"
		size = 47
		refs = "000b TStringList.Insert"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 46 2C 85 C0 74 16 3B 98 28 01 00 00 7F 06 FF 80 28 01 00 00 8B 46 2C 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_14786_0 {
	meta:
		name = "TTabList.Delete"
		size = 100
		refs = "0015 TStringList.Delete 005c @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 2C 8B B0 28 01 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 3B F0 7D 0B 8B 43 2C 89 B0 28 01 00 00 EB 11 8B C3 8B 10 FF 52 14 48 8B 53 2C 89 82 28 01 00 00 8B 43 2C 8B 10 FF 52 44 8B 43 2C 8B 10 FF 52 44 3B FE 75 0C 8B 43 2C 66 BB F0 FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14787_0 {
	meta:
		name = "TTabList.Put"
		size = 28
		refs = "0007 TStringList.Put"
	strings:
		$1 = { 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 7E 2C 85 FF 74 07 8B C7 8B 10 FF 52 44 5F 5E C3 }
	condition:
		$1
}

rule function_14788_0 {
	meta:
		name = "TTabList.Clear"
		size = 34
		refs = "0007 TStringList.Clear"
	strings:
		$1 = { 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 7E 2C C7 87 28 01 00 00 FF FF FF FF 8B C7 8B 10 FF 52 44 5F 5E C3 }
	condition:
		$1
}

rule function_14789_0 {
	meta:
		name = "TTabList.AddStrings"
		size = 66
		refs = "0010 TWinControl.GetHandle 0016 SendMessage 001f TStrings.AddStrings"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 6A 00 6A 0B 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 46 2C 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_14790_0 {
	meta:
		name = "TTabSet.Create"
		size = 408
		refs = "0015 @ClassCreate 0022 TTabSet.Create 0031 TCustomControl.Create 0047 TControl.SetWidth 0053 TControl.SetHeight 005a _Dn_TList 005f TObject.Create 0076 _DV_TTabList 008d _NF__169 0094 _NF__168 00f4 _NF__17E 0115 TControl.SetParentFont 011e DefFontData 0126 @LStrFromString 0131 TFont.SetName 0142 TFont.SetHeight 0150 TFont.SetStyle 0157 _NF__17C 016c @LStrClr 0172 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 43 40 BA B9 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 15 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 6C 01 00 00 C7 83 70 01 00 00 14 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 24 01 00 00 89 5E 2C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 83 28 01 00 00 FF FF FF FF 33 C0 89 83 2C 01 00 00 33 C0 89 83 30 01 00 00 C7 83 1C 01 00 00 05 00 00 00 C7 83 20 01 00 00 05 00 00 00 C7 83 34 01 00 00 0F 00 00 80 C7 83 38 01 00 00 05 00 00 80 C7 83 3C 01 00 00 0F 00 00 80 C6 83 40 01 00 00 01 8B 93 68 01 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 41 01 00 00 01 C6 83 42 01 00 00 00 C7 83 44 01 00 00 14 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? 83 C2 0B E8 ?? ?? ?? ?? 8B 55 F8 8B 43 50 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 52 04 8B 43 50 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 C2 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14792_0 {
	meta:
		name = "_NF__168"
		size = 102
		refs = "0009 _DV_TScroller 000e TScroller.Create 002b TControl.SetTop 0034 TScroller.SetMin 003d TScroller.SetMax 0046 TScroller.SetPosition 004f TControl.SetVisible 005f _NF__16E"
	strings:
		$1 = { 53 56 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 74 01 00 00 8B D6 8B C3 8B 08 FF 51 3C BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 89 B3 2C 01 00 00 C7 83 28 01 00 00 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14793_0 {
	meta:
		name = "_NF__169"
		size = 41
		refs = "0006 _Dn_TBitmap 000b TBitmap.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 64 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 68 01 00 00 5B C3 }
	condition:
		$1
}

rule function_14794_0 {
	meta:
		name = "TTabSet.Destroy"
		size = 63
		refs = "000d TObject.Free 001f _NF__16D 002b TCustomControl.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 8B 86 6C 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14795_0 {
	meta:
		name = "_NF__16D"
		size = 38
		refs = "000a TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B 83 68 01 00 00 E8 ?? ?? ?? ?? 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14796_0 {
	meta:
		name = "_NF__16E"
		size = 12
		refs = "0007 TTabSet.SetFirstIndex"
	strings:
		$1 = { 8B 92 24 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14797_0 {
	meta:
		name = "_NF__16F"
		size = 221
		refs = "0019 _NF__16F 002c TList.SetCount 0054 TCanvas.TextWidth 0093 TList.Add 00c6 @LStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 83 6C 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 89 45 F8 EB 62 66 89 75 F6 8D 4D EC 8B 55 F8 8B 83 24 01 00 00 8B 38 FF 57 0C 8B 55 EC 8B 45 0C E8 ?? ?? ?? ?? 89 45 F0 80 BB 42 01 00 00 01 75 10 8D 4D F0 8B 55 F8 8B C3 8B 38 FF 97 84 00 00 00 66 8B 45 F0 66 89 45 F4 0F B7 C0 83 C0 09 03 F0 3B 75 FC 7F 11 8B 55 F4 8B 83 6C 01 00 00 E8 ?? ?? ?? ?? FF 45 F8 3B 75 FC 7D 10 8B 83 24 01 00 00 8B 10 FF 52 14 3B 45 F8 7F 89 8B 5D F8 2B 5D 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14798_0 {
	meta:
		name = "TTabSet.ItemAtPos"
		size = 120
		refs = "0022 TControl.GetClientHeight 0044 TList.Get"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 8B F8 C7 44 24 08 FF FF FF FF 8B 5C 24 04 85 DB 7C 4E 8B C7 E8 ?? ?? ?? ?? 3B D8 7F 43 8B 87 6C 01 00 00 8B 70 08 4E 85 F6 7C 35 46 33 DB 8B 87 6C 01 00 00 8B D3 E8 ?? ?? ?? ?? 89 44 24 0C 0F B7 54 24 0E 8B 04 24 3B D0 7F 11 0F B7 4C 24 0C 03 D1 3B C2 7F 06 89 5C 24 08 EB 04 43 4E 75 CE 8B 44 24 08 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14799_0 {
	meta:
		name = "TTabSet.ItemRect"
		size = 107
		refs = "0025 TList.Get 0047 Rect 0051 InflateRect"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F2 8B D8 8B AB 6C 01 00 00 8B 45 08 85 C0 7E 3F 85 F6 7C 3B 3B C6 7E 37 8B D6 8B C5 E8 ?? ?? ?? ?? 89 04 24 8B 83 70 01 00 00 50 57 0F B7 74 24 0A 8B CE 0F B7 44 24 08 03 C8 8B C6 33 D2 E8 ?? ?? ?? ?? 6A FE 6A 01 57 E8 ?? ?? ?? ?? EB 0E 6A 00 57 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14800_0 {
	meta:
		name = "TTabSet.Paint"
		size = 1509
		refs = "0014 TTabSet.Paint 0021 TWinControl.HandleAllocated 0030 TControl.GetClientWidth 0044 TControl.GetClientHeight 007f TBitmap.GetCanvas 008d TCanvas.SetFont 00b3 TControl.SetLeft 00d1 _NF__16F 013a TControl.SetVisible 0147 TWinControl.GetHandle 014d ShowWindow 015a TScroller.SetMin 0178 TScroller.SetMax 0189 TScroller.SetPosition 01ce _NF__181 0214 TBrush.SetBitmap 023a Rect 0244 TCanvas.FillRect 0251 TPen.SetWidth 025e TPen.SetColor 0269 TCanvas.MoveTo 0280 TCanvas.LineTo 02e0 TList.Get 036d _NF__17D 03ae TBrush.SetColor 03d8 TCanvas.GetHandle 03de ExtTextOut 0460 @LStrLen 0480 @LStrToPChar 048e DrawText 05bd TCanvas.Draw 05d2 @LStrClr 05d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 CC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 94 05 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 64 01 00 00 8B 08 FF 51 40 8B C3 E8 ?? ?? ?? ?? 8B B3 70 01 00 00 83 C6 05 3B C6 7D 0F 8B D6 8B 83 64 01 00 00 8B 08 FF 51 34 EB 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 64 01 00 00 8B 08 FF 51 34 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B 93 18 01 00 00 8B 52 0C E8 ?? ?? ?? ?? 8B BB 1C 01 00 00 83 C7 09 8B 73 38 2B B3 20 01 00 00 8B 83 74 01 00 00 8B 53 38 2B 50 38 83 EA 02 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 2C 01 00 00 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 89 83 30 01 00 00 80 BB 41 01 00 00 00 0F 84 A7 00 00 00 8B 83 24 01 00 00 8B 10 FF 52 14 3B 83 30 01 00 00 0F 8E 90 00 00 00 8B 83 74 01 00 00 8B 40 38 83 E8 04 2B F0 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 2C 01 00 00 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 89 83 30 01 00 00 B2 01 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 6A 05 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 8B 83 24 01 00 00 8B 10 FF 52 14 8B D0 2B 93 30 01 00 00 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 8B 93 2C 01 00 00 8B 83 74 01 00 00 E8 ?? ?? ?? ?? EB 33 8B 83 24 01 00 00 8B 10 FF 52 14 3B 83 30 01 00 00 7F 20 33 D2 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 6A 00 8B 83 74 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB 78 01 00 00 00 74 2B 8B C3 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 2C 01 00 00 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 89 83 30 01 00 00 C6 83 78 01 00 00 00 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 46 14 8B 93 68 01 00 00 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 8B 10 FF 52 20 50 8D 45 D0 50 8B 83 64 01 00 00 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 46 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 46 10 BA 10 00 00 80 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 8B 10 FF 52 2C 8B D0 42 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 46 10 BA 06 00 00 80 E8 ?? ?? ?? ?? B9 01 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 8B 10 FF 52 2C 8B D0 42 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 6C 01 00 00 8B 40 08 48 85 C0 0F 8C E0 02 00 00 40 89 45 F0 C7 45 F8 00 00 00 00 8B 55 F8 8B 83 6C 01 00 00 E8 ?? ?? ?? ?? 89 45 FC 83 7D F8 00 0F 94 C0 8B 93 30 01 00 00 4A 3B 55 F8 0F 94 C2 8B 75 F8 03 B3 2C 01 00 00 8B BB 28 01 00 00 3B F7 0F 94 45 F6 4E 3B FE 0F 94 C1 C6 45 F7 00 84 D2 74 10 80 7D F6 00 74 06 C6 45 F7 03 EB 04 C6 45 F7 04 84 C0 74 0E 80 7D F6 00 74 04 B0 01 EB 18 B0 02 EB 14 84 C9 74 04 B0 06 EB 0C 80 7D F6 00 74 04 B0 05 EB 02 B0 07 84 C0 74 19 8B 93 70 01 00 00 4A 52 50 0F B7 55 FE 83 EA 09 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 83 70 01 00 00 50 8D 45 E0 50 0F B7 4D FE 0F B7 45 FC 03 C8 0F B7 45 FE 33 D2 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B F0 80 7D F6 00 74 10 8B 46 14 8B 93 34 01 00 00 E8 ?? ?? ?? ?? EB 0E 8B 46 14 8B 93 38 01 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8D 45 E0 50 6A 02 6A 02 0F B7 45 FE 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B 93 18 01 00 00 8B 52 0C E8 ?? ?? ?? ?? 80 BB 42 01 00 00 01 75 2A 8B 45 F8 03 83 2C 01 00 00 50 8A 45 F6 50 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B C3 8B 30 FF 96 80 00 00 00 EB 64 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B F0 83 45 E4 02 6A 01 8D 45 E0 50 8D 4D CC 8B 55 F8 03 93 2C 01 00 00 8B 83 24 01 00 00 8B 38 FF 57 0C 8B 45 CC E8 ?? ?? ?? ?? 50 8D 4D CC 8B 55 F8 03 93 2C 01 00 00 8B 83 24 01 00 00 8B 38 FF 57 0C 8B 45 CC E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7D F7 00 74 1F 8B 83 70 01 00 00 48 50 8A 45 F7 50 0F B7 55 FE 0F B7 45 FC 03 D0 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B F0 BA 06 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 8B 8B 70 01 00 00 49 0F B7 55 FE 8B C6 E8 ?? ?? ?? ?? 0F B7 55 FE 0F B7 45 FC 03 D0 8B 8B 70 01 00 00 49 8B C6 E8 ?? ?? ?? ?? 80 7D F6 00 74 3D BA 10 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 8B 8B 70 01 00 00 83 E9 02 0F B7 55 FE 8B C6 E8 ?? ?? ?? ?? 0F B7 55 FE 0F B7 45 FC 03 D0 8B 8B 70 01 00 00 83 E9 02 8B C6 E8 ?? ?? ?? ?? EB 61 BA 06 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 0F B7 55 FE B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B7 55 FE 0F B7 45 FC 03 D0 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 0F B7 55 FE 33 C9 8B C6 E8 ?? ?? ?? ?? 0F B7 55 FE 0F B7 45 FC 03 D0 42 33 C9 8B C6 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F0 0F 85 2B FD FF FF 8B 83 64 01 00 00 50 33 C9 33 D2 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14801_0 {
	meta:
		name = "_NF__178"
		size = 477
		refs = "0012 TPen.SetColor 001e Point 0054 TCanvas.Polyline 007c TBrush.SetColor 0123 TCanvas.Polygon"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 8B D8 BA 10 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D E8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 8D 4D E0 33 D2 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F8 8B 45 E4 89 45 FC 8D 55 F0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 38 01 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 38 01 00 00 8B 43 14 E8 ?? ?? ?? ?? 8D 4D E8 BA 01 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 89 45 B8 8B 45 EC 89 45 BC 8D 4D E0 8B 45 08 8B 50 F8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 C0 8B 45 E4 89 45 C4 8D 4D B0 8B 45 08 8B 50 F8 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D A8 BA 01 00 00 00 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8D 4D A0 BA 01 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 55 B8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 06 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D E8 BA 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B 45 E8 89 45 B8 8B 45 EC 89 45 BC 8D 4D E0 BA 01 00 00 00 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 C0 8B 45 E4 89 45 C4 8D 4D B0 BA 01 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D A8 8B 45 08 8B 50 F8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8D 4D A0 8B 45 08 8B 50 F8 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 55 B8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14802_0 {
	meta:
		name = "_NF__179"
		size = 515
		refs = "0020 TPen.SetColor 0034 TBrush.SetColor 0046 Point 00c7 TCanvas.Polygon 016d TCanvas.Polyline"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 8B D8 8B 75 08 83 C6 F8 8B 45 08 8B 40 FC 8B 90 34 01 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 34 01 00 00 8B 43 14 E8 ?? ?? ?? ?? 8D 4D D0 BA 01 00 00 00 B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D8 8B 45 D4 89 45 DC 8D 4D C8 8B 16 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 E0 8B 45 CC 89 45 E4 8D 4D C0 8B 16 33 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 E8 8B 45 C4 89 45 EC 8D 4D B8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 B8 89 45 F0 8B 45 BC 89 45 F4 8D 4D B0 33 D2 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 89 45 F8 8B 45 B4 89 45 FC 8D 55 D8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D D0 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D8 8B 45 D4 89 45 DC 8D 4D C8 33 D2 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 E0 8B 45 CC 89 45 E4 8D 4D C0 BA 01 00 00 00 B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 89 45 E8 8B 45 C4 89 45 EC 8D 4D B8 8B 16 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 89 45 F0 8B 45 BC 89 45 F4 8D 4D B0 8B 16 83 EA 02 33 C0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 F8 8B 45 B4 89 45 FC 8D 55 D8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 06 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D D0 BA 01 00 00 00 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 90 8B 45 D4 89 45 94 8D 4D C8 BA 01 00 00 00 B8 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 98 8B 45 CC 89 45 9C 8D 4D C0 8B 16 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 89 45 A0 8B 45 C4 89 45 A4 8D 4D B8 8B 16 83 C8 FF E8 ?? ?? ?? ?? 8B 45 B8 89 45 A8 8B 45 BC 89 45 AC 8D 55 90 B9 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14803_0 {
	meta:
		name = "_NF__17A"
		size = 528
		refs = "0019 TPen.SetColor 002d TBrush.SetColor 003c Point 00cb TCanvas.Polygon 011a TCanvas.Polyline"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 8B D8 8B 45 08 8B 40 FC 8B 90 34 01 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 34 01 00 00 8B 43 14 E8 ?? ?? ?? ?? 8D 4D D0 33 D2 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D8 8B 45 D4 89 45 DC 8D 4D C8 8B 45 08 8B 50 F8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 E0 8B 45 CC 89 45 E4 8D 4D C0 8B 45 08 8B 50 F8 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 89 45 E8 8B 45 C4 89 45 EC 8D 4D B8 33 D2 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 89 45 F0 8B 45 BC 89 45 F4 8D 4D B0 33 D2 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 89 45 F8 8B 45 B4 89 45 FC 8D 55 D8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D D0 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 A0 8B 45 D4 89 45 A4 8D 4D C8 33 D2 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 A8 8B 45 CC 89 45 AC 8D 55 A0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 14 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D D0 BA 01 00 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 A0 8B 45 D4 89 45 A4 8D 4D C8 8B 45 08 8B 50 F8 42 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 A8 8B 45 CC 89 45 AC 8D 55 A0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 06 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D D0 BA 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 80 8B 45 D4 89 45 84 8D 4D C8 BA 01 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 88 8B 45 CC 89 45 8C 8D 4D C0 8B 45 08 8B 50 F8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 89 45 90 8B 45 C4 89 45 94 8D 4D B8 8B 45 08 8B 50 F8 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 89 45 98 8B 45 BC 89 45 9C 8D 55 80 B9 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14804_0 {
	meta:
		name = "_NF__17B"
		size = 550
		refs = "0012 TPen.SetColor 001f Point 0055 TCanvas.Polyline 007d TBrush.SetColor 011e TCanvas.Polygon"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 8B D8 BA 10 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D E8 33 D2 83 C8 FF E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 8D 4D E0 33 D2 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F8 8B 45 E4 89 45 FC 8D 55 F0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 38 01 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 38 01 00 00 8B 43 14 E8 ?? ?? ?? ?? 8D 4D E8 BA 01 00 00 00 B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 89 45 B8 8B 45 EC 89 45 BC 8D 4D E0 8B 45 08 8B 50 F8 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 C0 8B 45 E4 89 45 C4 8D 4D B0 8B 45 08 8B 50 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D A8 BA 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8D 4D A0 BA 01 00 00 00 B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 55 B8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D E8 33 D2 83 C8 FF E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 8D 4D E0 33 D2 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F8 8B 45 E4 89 45 FC 8D 55 F0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 06 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D E8 BA 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B 45 E8 89 45 B8 8B 45 EC 89 45 BC 8D 4D E0 BA 01 00 00 00 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 C0 8B 45 E4 89 45 C4 8D 4D B0 BA 01 00 00 00 B8 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D A8 8B 45 08 8B 50 F8 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8D 4D A0 8B 45 08 8B 50 F8 83 C8 FF E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 55 B8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14805_0 {
	meta:
		name = "_NF__17C"
		size = 528
		refs = "0016 TBitmap.GetCanvas 0021 TCanvas.SetFont 0035 _NF__17C 0073 TCanvas.TextHeight 00a2 _Dn_TImageList 00a7 TCustomImageList.CreateSize 00b8 @HandleAnyException 00c9 @RaiseAgain 00ce @DoneExcept 00dc TObject.Free 00ec _Dn_TBitmap 00f1 TBitmap.Create 013b TBrush.SetColor 0145 TBrush.SetStyle 0161 Rect 016b TCanvas.FillRect 018b _NF__17A 019c _NF__178 01ad _NF__179 01be _NF__17B 01d2 TCustomImageList.AddMasked 01f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 45 FC 8B 45 FC 8B 80 64 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 01 00 00 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 42 01 00 00 01 75 14 8B 45 FC 8B 80 44 01 00 00 8B 55 FC 89 82 70 01 00 00 EB 24 8B 45 FC 8B 80 64 01 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 04 8B 55 FC 89 82 70 01 00 00 8B 45 FC 8B 80 70 01 00 00 48 89 45 F8 8B 45 FC 8B 80 70 01 00 00 50 B9 09 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 90 70 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 60 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 89 98 60 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 09 00 00 00 8B 45 F4 8B 08 FF 51 40 8B 45 FC 8B 90 70 01 00 00 8B 45 F4 8B 08 FF 51 34 BF 80 80 00 00 33 DB 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 8B 46 14 8B D7 E8 ?? ?? ?? ?? 8B 46 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 01 00 00 50 8D 45 E0 50 B9 09 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B C3 2C 01 72 0C 74 1B FE C8 74 28 FE C8 74 35 EB 42 55 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 31 55 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 20 55 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 0F 55 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 60 01 00 00 8B CF 8B 55 F4 E8 ?? ?? ?? ?? 43 80 FB 04 0F 85 4B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_14806_0 {
	meta:
		name = "_NF__17D"
		size = 431
		refs = "0013 TBitmap.GetCanvas 0020 TBrush.SetColor 0035 TFont.SetColor 004a _NF__17D 0087 TCustomImageList.Draw"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B 40 14 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B 40 0C 33 D2 E8 ?? ?? ?? ?? 33 C0 8A 45 08 83 F8 07 0F 87 61 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 57 6A 00 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 60 01 00 00 E8 ?? ?? ?? ?? E9 18 01 00 00 57 6A 02 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 60 01 00 00 E8 ?? ?? ?? ?? E9 F6 00 00 00 57 6A 01 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 60 01 00 00 E8 ?? ?? ?? ?? E9 D4 00 00 00 57 6A 03 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 60 01 00 00 E8 ?? ?? ?? ?? E9 B2 00 00 00 57 6A 03 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 57 6A 00 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 60 01 00 00 E8 ?? ?? ?? ?? EB 76 57 6A 01 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 57 6A 02 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 60 01 00 00 E8 ?? ?? ?? ?? EB 3A 57 6A 01 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 57 6A 03 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14807_0 {
	meta:
		name = "_NF__17E"
		size = 178
		refs = "0025 TBitmap.GetCanvas 0031 TBrush.SetStyle 003f TBrush.SetColor 0054 Rect 005d TCanvas.FillRect 009b TCanvas.SetPixel"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 BA 08 00 00 00 8B C6 8B 08 FF 51 40 BA 08 00 00 00 8B C6 8B 08 FF 51 34 8B C6 E8 ?? ?? ?? ?? 8B F8 33 D2 8B 47 14 E8 ?? ?? ?? ?? 8B 93 3C 01 00 00 8B 47 14 E8 ?? ?? ?? ?? 8B 43 3C 50 8D 44 24 04 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 8B D4 8B C7 E8 ?? ?? ?? ?? 80 BB 40 01 00 00 00 74 41 33 F6 33 DB 8B C6 25 01 00 00 80 79 05 48 83 C8 FE 40 8B D3 81 E2 01 00 00 80 79 05 4A 83 CA FE 42 3B C2 75 10 68 FF FF FF 00 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 83 FB 08 75 C9 46 83 FE 08 75 C1 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14808_0 {
	meta:
		name = "_NF__17F"
		size = 97
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 38 8B 45 08 8B 40 FC 2B 98 20 01 00 00 8B 45 08 8B 40 FC 80 B8 41 01 00 00 00 74 34 8B 45 08 8B 40 FC 8B 80 24 01 00 00 8B 10 FF 52 14 48 8B 55 08 8B 52 FC 3B 82 30 01 00 00 7E 14 8B 45 08 8B 40 FC 8B 80 74 01 00 00 8B 40 38 83 C0 04 2B D8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_14809_0 {
	meta:
		name = "_NF__180"
		size = 213
		refs = "001a _NF__180 002b TWinControl.HandleAllocated 0055 TCanvas.TextWidth 00be @LStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 6E 8B 5D 08 EB 54 8D 4D F0 8B 45 0C 8B 40 FC 8B 80 24 01 00 00 8B D3 8B 38 FF 57 0C 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 0C 8B 40 FC 80 B8 42 01 00 00 01 75 13 8D 4D F4 8B 45 0C 8B 40 FC 8B D3 8B 38 FF 97 84 00 00 00 8B 45 F4 83 C0 09 2B F0 3B 75 FC 7C 01 4B 3B 75 FC 7C 04 85 DB 7D A3 3B 75 FC 7C 04 85 DB 7D 0F 43 EB 0C 8B 45 0C 8B 40 FC 8B 98 2C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14810_0 {
	meta:
		name = "_NF__181"
		size = 147
		refs = "0044 _NF__17F 005f _NF__180"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 24 01 00 00 8B 10 FF 52 14 85 C0 7E 77 8B 45 FC 8B 80 2C 01 00 00 8B 55 FC 03 82 30 01 00 00 48 8B 55 FC 3B 82 28 01 00 00 7D 38 55 8B 45 FC 8B 80 28 01 00 00 50 55 E8 ?? ?? ?? ?? 59 8B 55 FC 8B 8A 18 01 00 00 8B 55 FC 8B 92 1C 01 00 00 83 C2 09 E8 ?? ?? ?? ?? 59 8B 55 FC 89 82 2C 01 00 00 EB 21 8B 45 FC 8B 80 28 01 00 00 85 C0 7C 14 8B 55 FC 3B 82 2C 01 00 00 7D 09 8B 55 FC 89 82 2C 01 00 00 59 5D C3 }
	condition:
		$1
}

rule function_14811_0 {
	meta:
		name = "TTabSet.SetSelectedColor"
		size = 33
		refs = "0014 _NF__17C"
	strings:
		$1 = { 56 8B F0 3B 96 34 01 00 00 74 14 89 96 34 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_14812_0 {
	meta:
		name = "TTabSet.SetUnselectedColor"
		size = 33
		refs = "0014 _NF__17C"
	strings:
		$1 = { 56 8B F0 3B 96 38 01 00 00 74 14 89 96 38 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_14813_0 {
	meta:
		name = "TTabSet.SetBackgroundColor"
		size = 60
		refs = "001a _NF__17E 0025 TBitmap.GetCanvas 002f TBrush.SetStyle"
	strings:
		$1 = { 56 8B F0 3B 96 3C 01 00 00 74 2F 89 96 3C 01 00 00 8B 96 68 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 64 01 00 00 E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_14814_0 {
	meta:
		name = "TTabSet.SetDitherBackground"
		size = 60
		refs = "001a _NF__17E 0025 TBitmap.GetCanvas 002f TBrush.SetStyle"
	strings:
		$1 = { 56 8B F0 3A 96 40 01 00 00 74 2F 88 96 40 01 00 00 8B 96 68 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 64 01 00 00 E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_14815_0 {
	meta:
		name = "TTabSet.SetAutoScroll"
		size = 58
		refs = "001a TControl.SetVisible 0027 TWinControl.GetHandle 002d ShowWindow"
	strings:
		$1 = { 56 8B F0 3A 96 41 01 00 00 74 2D 88 96 41 01 00 00 33 D2 8B 86 74 01 00 00 E8 ?? ?? ?? ?? 6A 00 8B 86 74 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_14816_0 {
	meta:
		name = "TTabSet.SetStartMargin"
		size = 26
	strings:
		$1 = { 56 8B F0 3B 96 1C 01 00 00 74 0D 89 96 1C 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_14817_0 {
	meta:
		name = "TTabSet.SetEndMargin"
		size = 26
	strings:
		$1 = { 56 8B F0 3B 96 20 01 00 00 74 0D 89 96 20 01 00 00 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_14818_0 {
	meta:
		name = "TTabSet.CanChange"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 5A 01 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 5C 01 00 00 FF 93 58 01 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_14819_0 {
	meta:
		name = "TTabSet.SetTabIndex"
		size = 164
		refs = "000f TTabSet.SetTabIndex 0039 SInvalidTabIndex 003e LoadResString 0048 _Dn_Exception 004d Exception.Create 0052 @RaiseExcept 005b TTabSet.CanChange 006c _NF__181 0077 @CallDynaInst 0093 @LStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 9E 28 01 00 00 74 61 83 FB FF 7C 0F 8B 86 24 01 00 00 8B 10 FF 52 14 3B D8 7C 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F 89 9E 28 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14820_0 {
	meta:
		name = "TTabSet.SelectNext"
		size = 85
		refs = "004d TTabSet.SetTabIndex"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 87 24 01 00 00 8B 10 FF 52 14 48 7E 3C 8B B7 28 01 00 00 84 DB 74 03 46 EB 01 4E 8B 87 24 01 00 00 8B 10 FF 52 14 3B F0 75 04 33 F6 EB 12 85 F6 7D 0E 8B 87 24 01 00 00 8B 10 FF 52 14 8B F0 4E 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14821_0 {
	meta:
		name = "TTabSet.SetFirstIndex"
		size = 41
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 7C 1C 8B 86 24 01 00 00 8B 10 FF 52 14 3B D8 7D 0D 89 9E 2C 01 00 00 8B C6 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_14822_0 {
	meta:
		name = "TTabSet.SetTabList"
		size = 59
		refs = "002c TTabSet.SetTabIndex"
	strings:
		$1 = { 56 8B F0 8B 86 24 01 00 00 8B 08 FF 51 08 C7 86 28 01 00 00 FF FF FF FF 8B 86 24 01 00 00 8B 10 FF 52 14 85 C0 7E 0B 33 D2 8B C6 E8 ?? ?? ?? ?? 5E C3 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_14823_0 {
	meta:
		name = "TTabSet.SetTabStyle"
		size = 33
		refs = "0014 _NF__17C"
	strings:
		$1 = { 56 8B F0 3A 96 42 01 00 00 74 14 88 96 42 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_14824_0 {
	meta:
		name = "TTabSet.SetTabHeight"
		size = 105
		refs = "001d TTabSet.SetTabHeight 0034 _NF__17C 004b @HandleAnyException 005c @RaiseAgain 0061 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 44 01 00 00 3B D0 74 4F 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 90 44 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 44 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_14825_0 {
	meta:
		name = "TTabSet.DrawTab"
		size = 70
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 66 83 B8 52 01 00 00 00 74 1E 8D 4D F0 51 8B 4D 0C 51 8A 4D 08 51 8B D8 8B CA 8B D0 8B 83 54 01 00 00 FF 93 50 01 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14827_0 {
	meta:
		name = "TTabSet.MeasureTab"
		size = 32
	strings:
		$1 = { 53 66 83 B8 4A 01 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 4C 01 00 00 FF 93 48 01 00 00 5B C3 }
	condition:
		$1
}

rule function_14828_0 {
	meta:
		name = "TTabSet.MouseDown"
		size = 178
		refs = "0022 TControl.MouseDown 006f TList.Get 009f TTabSet.SetTabIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D FE 88 55 FF 8B D8 8B 75 08 8B 45 0C 50 56 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 75 7D 3B B3 70 01 00 00 7F 75 8B 83 70 01 00 00 D1 F8 79 03 83 D0 00 3B F0 7D 09 C7 45 F4 03 00 00 00 EB 07 C7 45 F4 04 00 00 00 8B 83 6C 01 00 00 8B 78 08 4F 85 FF 7C 46 47 33 F6 8B D6 8B 83 6C 01 00 00 E8 ?? ?? ?? ?? 89 45 FA 0F B7 45 FC 2B 45 F4 0F B7 55 FC 0F B7 4D FA 03 D1 03 55 F4 3B 45 0C 7F 16 3B 55 0C 7C 11 8B 93 2C 01 00 00 03 D6 8B C3 E8 ?? ?? ?? ?? EB 04 46 4F 75 BD 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14829_0 {
	meta:
		name = "_NF__1C0"
		size = 191
		refs = "001a _NF__1C0 0046 TCanvas.TextWidth 00a8 @LStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D 08 EB 54 8D 4D F0 8B 45 0C 8B 40 FC 8B 80 24 01 00 00 8B D3 8B 38 FF 57 0C 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 0C 8B 40 FC 80 B8 42 01 00 00 01 75 13 8D 4D F4 8B 45 0C 8B 40 FC 8B D3 8B 38 FF 97 84 00 00 00 8B 45 F4 83 C0 09 03 F0 3B 75 FC 7F 01 43 3B 75 FC 7D 15 8B 45 0C 8B 40 FC 8B 80 24 01 00 00 8B 10 FF 52 14 3B D8 7C 92 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14830_0 {
	meta:
		name = "TTabSet.WMSize"
		size = 187
		refs = "000c TWinControl.WMSize 004e _NF__1C0 00a1 TTabSet.SetFirstIndex"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 24 01 00 00 8B 10 FF 52 14 48 0F 8E 8A 00 00 00 8B 45 FC 8B 40 38 8B 55 FC 2B 82 20 01 00 00 55 6A 00 8B 55 FC 8B 8A 18 01 00 00 8B 55 FC 8B 92 1C 01 00 00 83 C2 09 92 E8 ?? ?? ?? ?? 59 8B D8 8B 45 FC 8B 80 24 01 00 00 8B 10 FF 52 14 8B 55 FC 3B 82 28 01 00 00 74 1D 8B 45 FC 3B 98 30 01 00 00 7F 12 8B 45 FC 8B 80 24 01 00 00 8B 10 FF 52 14 3B D8 75 1A 8B 45 FC 8B 80 24 01 00 00 8B 10 FF 52 14 8B D0 2B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 78 01 00 00 01 8B 45 FC 8B 10 FF 52 44 5B 59 5D C3 }
	condition:
		$1
}

rule function_14831_0 {
	meta:
		name = "TTabSet.CMSysColorChange"
		size = 53
		refs = "0006 TWinControl.CMSysColorChange 000d _NF__17C 001a _NF__17E 0025 TBitmap.GetCanvas 002f TBrush.SetStyle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 93 68 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14832_0 {
	meta:
		name = "TTabSet.CMFontChanged"
		size = 40
		refs = "0006 TWinControl.CMFontChanged 0014 TCanvas.SetFont 001b _NF__17C"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 56 50 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_14833_0 {
	meta:
		name = "TTabSet.WMGetDlgCode"
		size = 8
	strings:
		$1 = { C7 42 0C 04 00 00 00 C3 }
	condition:
		$1
}

rule function_14834_0 {
	meta:
		name = "TTabSet.CMDialogChar"
		size = 171
		refs = "0017 TTabSet.CMDialogChar 0052 IsAccel 0071 TTabSet.SetTabIndex 0083 TWinControl.CMDialogChar 0098 @LStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 24 01 00 00 8B 10 FF 52 14 48 85 C0 7C 4C 40 89 45 F8 33 DB 8D 4D F4 8B D3 8B 86 24 01 00 00 8B 38 FF 57 0C 8B 55 F4 8B 45 FC 66 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 FC C7 40 0C 01 00 00 00 3B 9E 28 01 00 00 74 1B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 10 43 FF 4D F8 75 BA 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14835_0 {
	meta:
		name = "TTabSet.DefineProperties"
		size = 120
		refs = "000b _Dn_TReader 0010 @IsClass 001d TControl.DefineProperties 0023 _NF__1D3 002e TTabSet.DefineProperties 003a _NF__1D4"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5F 5E 5B C3 00 FF FF FF FF 08 00 00 00 54 61 62 4F 72 64 65 72 00 00 00 00 FF FF FF FF 07 00 00 00 54 61 62 53 74 6F 70 00 }
	condition:
		$1
}

rule function_14841_0 {
	meta:
		name = "TTeeAboutForm.BOrderClick"
		size = 54
		refs = "000f TNotebook.SetPageIndex 001c TControl.SetVisible 0030 TTeeAboutForm.CheckButtons"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14842_0 {
	meta:
		name = "TTeeAboutForm.FormCreate"
		size = 139
		refs = "000c TTeeAboutForm.FormCreate 0021 TControl.SetCursor 0035 TNotebook.SetPageIndex 003d TeeMsg_Version 0042 LoadResString 0050 TControl.SetText 005d TCustomComboBox.SetItemIndex 0066 TTeeAboutForm.SEQuantityChange 007b @LStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 BA E4 07 8B 83 10 02 00 00 E8 ?? ?? ?? ?? C6 83 08 03 00 00 00 33 D2 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14843_0 {
	meta:
		name = "TTeeAboutForm.CheckButtons"
		size = 157
		refs = "000f TControl.SetColor 002a TControl.SetEnabled"
	strings:
		$1 = { 53 8B D8 BA 0F 00 00 80 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 83 B8 24 01 00 00 01 0F 9F C2 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 83 B8 24 01 00 00 04 0F 9C C2 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 8B 80 24 01 00 00 83 F8 01 75 0D 8B 83 C0 02 00 00 8B 10 FF 52 78 5B C3 83 F8 02 75 0D 8B 83 6C 02 00 00 8B 10 FF 52 78 EB 22 83 F8 03 75 0D 8B 83 00 03 00 00 8B 10 FF 52 78 EB 10 83 F8 04 75 0B 8B 83 8C 02 00 00 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_14844_0 {
	meta:
		name = "TTeeAboutForm.BNextClick"
		size = 35
		refs = "0016 TNotebook.SetPageIndex 001d TTeeAboutForm.CheckButtons"
	strings:
		$1 = { 53 8B D8 8B 83 F8 01 00 00 8B 90 24 01 00 00 83 FA 04 7D 06 42 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14845_0 {
	meta:
		name = "TTeeAboutForm.BPreviousClick"
		size = 35
		refs = "0016 TNotebook.SetPageIndex 001d TTeeAboutForm.CheckButtons"
	strings:
		$1 = { 53 8B D8 8B 83 F8 01 00 00 8B 90 24 01 00 00 83 FA 01 7E 06 4A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14846_0 {
	meta:
		name = "TTeeAboutForm.FormatUSD"
		size = 100
		refs = "0014 TTeeAboutForm.FormatUSD 0038 Format"
	strings:
		$1 = { 53 56 83 C4 E8 8B F1 8B DA 56 89 5C 24 0C DB 44 24 0C DB 2D ?? ?? ?? ?? DE C9 DB 7C 24 10 9B 8D 44 24 10 89 44 24 04 C6 44 24 08 03 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 FF FF FF FF 09 00 00 00 25 36 2E 30 66 20 55 53 24 00 00 00 }
	condition:
		$1
}

rule function_14847_0 {
	meta:
		name = "TTeeAboutForm.CalcTotal"
		size = 84
		refs = "0034 TTeeAboutForm.NumCopies 0049 TTeeAboutForm.ShippingPrice"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B 83 C0 02 00 00 8B 80 24 01 00 00 83 E8 01 72 07 74 0C 48 74 10 EB 13 BE AC 26 00 00 EB 0C BE 3C 86 01 00 EB 05 BE 3C 0F 00 00 8B C3 E8 ?? ?? ?? ?? 48 7E 0B 8B C3 E8 ?? ?? ?? ?? F7 EE 8B F0 8B C3 E8 ?? ?? ?? ?? 03 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14848_0 {
	meta:
		name = "TTeeAboutForm.NumCopies"
		size = 12
		refs = "0007 TSpinEdit.GetValue"
	strings:
		$1 = { 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14849_0 {
	meta:
		name = "TTeeAboutForm.GetOrderForm"
		size = 3520
		refs = "0013 TTeeAboutForm.GetOrderForm 0020 _Dn_TStringList 0025 TObject.Create 007d TCustomComboBox.GetItemIndex 00bc TControl.GetText 00cc @LStrCat3 03d7 @LStrLAsg 040b TTeeAboutForm.NumCopies 0427 TTeeAboutForm.FormatUSD 0437 @LStrCatN 046a IntToStr 04da TTeeAboutForm.ShippingPrice 0513 TTeeAboutForm.CalcTotal 066b @LStrArrayClr 0673 @LStrClr 0686 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 8B 86 EC 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 6C 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 68 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 4C 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 50 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 58 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 5C 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 60 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 70 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 64 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 00 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 8D 4D F0 8B 86 E8 02 00 00 8B 90 24 01 00 00 8B 86 E8 02 00 00 8B 80 20 01 00 00 8B 38 FF 57 0C 8B 4D F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 8B 86 E8 02 00 00 83 B8 24 01 00 00 03 0F 8D CA 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 8D 4D F0 8B 86 E8 02 00 00 8B 90 24 01 00 00 8B 86 E8 02 00 00 8B 80 20 01 00 00 8B 38 FF 57 0C 8B 4D F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 E4 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 84 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 FF 8B 86 C0 02 00 00 8B 80 24 01 00 00 83 E8 01 72 07 74 19 48 74 2A EB 3A 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BF AC 26 00 00 EB 26 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BF 3C 86 01 00 EB 12 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BF 3C 0F 00 00 8B C6 E8 ?? ?? ?? ?? 48 75 35 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 F0 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 EB 55 8B C6 E8 ?? ?? ?? ?? F7 EF 8B F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 4D EC 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8B 86 EC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 8B 86 EC 02 00 00 8B 80 18 01 00 00 8B 38 FF 57 0C 8B 4D F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 8B 86 E8 02 00 00 8B 80 24 01 00 00 83 E8 06 75 0C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 8B 86 EC 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 26 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 EB 24 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 29 00 00 00 20 20 20 20 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 00 00 00 FF FF FF FF 27 00 00 00 20 20 20 20 20 20 54 65 65 43 68 61 72 74 20 2D 20 50 72 6F 20 76 33 2E 30 20 20 20 20 4F 52 44 45 52 20 46 4F 52 4D 00 FF FF FF FF 37 00 00 00 20 57 57 57 3A 20 68 74 74 70 3A 2F 2F 6F 75 72 77 6F 72 6C 64 2E 63 6F 6D 70 75 73 65 72 76 65 2E 63 6F 6D 2F 68 6F 6D 65 70 61 67 65 73 2F 64 62 65 72 6E 65 64 61 00 FF FF FF FF 31 00 00 00 50 6C 65 61 73 65 20 6D 61 69 6C 20 6D 65 20 54 65 65 43 68 61 72 74 2D 50 72 6F 20 76 33 2E 30 20 74 6F 20 74 68 69 73 20 61 64 64 72 65 73 73 3A 00 00 00 FF FF FF FF 17 00 00 00 20 20 43 75 73 74 6F 6D 65 72 20 49 6E 66 6F 72 6D 61 74 69 6F 6E 3A 00 FF FF FF FF 3F 00 00 00 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 00 FF FF FF FF 0C 00 00 00 20 20 4E 61 6D 65 2E 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 43 6F 6D 70 61 6E 79 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 41 64 64 72 65 73 73 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 43 69 74 79 2E 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 53 74 61 74 65 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 5A 49 50 2E 2E 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 43 6F 75 6E 74 72 79 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 50 68 6F 6E 65 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 46 41 58 2E 2E 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 45 4D 61 69 6C 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 54 41 58 20 49 44 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0E 00 00 00 50 61 79 6D 65 6E 74 20 54 79 70 65 3A 20 00 00 FF FF FF FF 1A 00 00 00 20 20 43 72 65 64 69 74 20 43 61 72 64 20 49 6E 66 6F 72 6D 61 74 69 6F 6E 3A 00 00 FF FF FF FF 1B 00 00 00 20 20 43 72 65 64 69 74 20 43 61 72 64 20 54 79 70 65 2E 2E 2E 2E 2E 2E 2E 3A 20 00 FF FF FF FF 1B 00 00 00 20 20 43 72 65 64 69 74 20 43 61 72 64 48 6F 6C 64 65 72 20 4E 61 6D 65 2E 3A 20 00 FF FF FF FF 1B 00 00 00 20 20 43 72 65 64 69 74 20 43 61 72 64 20 4E 75 6D 62 65 72 2E 2E 2E 2E 2E 3A 20 00 FF FF FF FF 1B 00 00 00 20 20 43 72 65 64 69 74 20 43 61 72 64 20 45 78 70 2E 20 44 61 74 65 2E 2E 3A 20 00 FF FF FF FF 10 00 00 00 20 20 4F 72 64 65 72 20 50 72 6F 64 75 63 74 3A 00 00 00 00 FF FF FF FF 12 00 00 00 20 20 20 20 53 69 6E 67 6C 65 20 4C 69 63 65 6E 73 65 00 00 FF FF FF FF 12 00 00 00 20 20 20 20 20 20 53 69 74 65 20 4C 69 63 65 6E 73 65 00 00 FF FF FF FF 12 00 00 00 55 70 67 72 61 64 65 20 66 72 6F 6D 20 76 31 2E 30 33 00 00 FF FF FF FF 06 00 00 00 20 20 20 20 20 20 00 00 FF FF FF FF 02 00 00 00 3A 20 00 00 FF FF FF FF 02 00 00 00 20 20 00 00 FF FF FF FF 03 00 00 00 20 78 20 00 FF FF FF FF 1A 00 00 00 20 20 20 20 20 20 20 20 20 53 68 69 70 70 69 6E 67 20 6D 65 74 68 6F 64 3A 20 00 00 FF FF FF FF 1A 00 00 00 20 20 20 20 20 53 68 69 70 70 69 6E 67 20 26 20 48 61 6E 64 6C 69 6E 67 3A 20 00 00 FF FF FF FF 1A 00 00 00 20 20 20 20 20 20 20 20 20 20 54 20 4F 20 54 20 41 20 4C 20 20 20 20 20 3A 20 00 00 FF FF FF FF 3D 00 00 00 57 61 72 6E 69 6E 67 3A 20 45 75 72 6F 43 68 65 71 75 65 73 20 6D 75 73 74 20 62 65 20 69 6E 20 53 70 61 6E 69 73 68 20 50 65 73 65 74 61 73 2E 20 28 4E 4F 54 20 69 6E 20 55 53 24 29 00 00 00 FF FF FF FF 39 00 00 00 46 41 58 20 74 68 69 73 20 4F 72 64 65 72 20 46 6F 72 6D 20 74 6F 20 75 73 20 61 74 20 46 41 58 20 4E 55 4D 42 45 52 3A 20 20 2B 33 34 20 33 20 34 35 34 20 32 39 20 33 39 00 00 00 FF FF FF FF 07 00 00 00 20 20 4F 72 2E 2E 2E 00 FF FF FF FF 2E 00 00 00 53 65 6E 64 20 62 79 20 49 6E 74 65 72 6E 65 74 20 45 4D 61 69 6C 20 74 6F 3A 20 74 65 65 63 68 61 72 74 40 72 65 64 65 73 74 62 2E 65 73 00 00 FF FF FF FF 17 00 00 00 53 65 6E 64 20 62 79 20 70 6F 73 74 61 6C 20 6D 61 69 6C 20 74 6F 3A 00 FF FF FF FF 0E 00 00 00 20 20 54 65 65 4D 61 63 68 2C 20 53 4C 2E 00 00 FF FF FF FF 0E 00 00 00 20 20 47 72 61 6E 20 56 69 61 20 35 33 33 00 00 FF FF FF FF 1C 00 00 00 20 20 30 38 30 31 31 20 42 61 72 63 65 6C 6F 6E 61 2C 20 43 61 74 61 6C 6F 6E 69 61 00 00 00 00 FF FF FF FF 07 00 00 00 20 20 53 70 61 69 6E 00 FF FF FF FF 3C 00 00 00 20 20 50 6C 65 61 73 65 20 63 68 65 63 6B 20 79 6F 75 72 20 65 6D 61 69 6C 20 61 64 64 72 65 73 73 20 62 65 66 6F 72 65 20 73 65 6E 64 69 6E 67 20 79 6F 75 72 20 6F 72 64 65 72 2E 00 00 00 00 FF FF FF FF 47 00 00 00 20 20 59 6F 75 20 77 69 6C 6C 20 72 65 63 65 69 76 65 20 61 6E 20 65 6D 61 69 6C 20 77 69 74 68 20 69 6E 73 74 72 75 63 74 69 6F 6E 73 20 74 6F 20 44 4F 57 4E 4C 4F 41 44 20 54 65 65 43 68 61 72 74 2D 50 72 6F 2E 00 FF FF FF FF 39 00 00 00 20 20 50 6C 65 61 73 65 20 63 6F 6E 74 61 63 74 20 75 73 20 69 6E 20 63 61 73 65 20 79 6F 75 20 64 6F 20 6E 6F 74 20 72 65 63 65 69 76 65 20 6F 75 72 20 65 6D 61 69 6C 2E 00 00 00 FF FF FF FF 39 00 00 00 20 20 54 65 65 43 68 61 72 74 2D 50 72 6F 20 77 69 6C 6C 20 62 65 20 6D 61 69 6C 65 64 20 74 6F 20 79 6F 75 20 61 73 20 73 6F 6F 6E 20 61 73 20 70 6F 73 73 69 62 6C 65 2E 00 00 00 FF FF FF FF 2E 00 00 00 20 20 59 6F 75 20 73 68 6F 75 6C 64 20 65 78 70 65 63 74 20 74 6F 20 72 65 63 65 69 76 65 20 69 74 20 69 6E 20 66 65 77 20 64 61 79 73 2E 00 00 FF FF FF FF 3C 00 00 00 20 20 50 6C 65 61 73 65 20 65 6D 61 69 6C 20 75 73 20 69 66 20 77 61 6E 74 20 74 6F 20 64 6F 77 6E 6C 6F 61 64 20 54 65 65 43 68 61 72 74 2D 50 72 6F 20 66 72 6F 6D 20 77 77 77 2E 00 00 00 00 }
	condition:
		$1
}

rule function_14850_0 {
	meta:
		name = "TTeeAboutForm.BPrintOrderClick"
		size = 395
		refs = "001b TTeeAboutForm.BPrintOrderClick 003f TTeeAboutForm.GetOrderForm 005b AssignPrn 0066 @RewritText 006b @_IOTest 0070 Screen 007b TScreen.SetCursor 00ca @Write0LString 00cf @WriteLn 00fe @Close 0109 @HandleFinally 0124 @HandleOnException 012c _Dn_Exception 0143 @DoneExcept 0158 TObject.Free 0178 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 28 FE FF FF 53 56 57 33 C9 89 8D 28 FE FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 EC 01 00 00 8B 10 FF 52 34 84 C0 0F 84 29 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8D 85 2C FE FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 8D 28 FE FF FF 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 95 28 FE FF FF 8D 85 2C FE FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8D 85 2C FE FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B 45 FC C6 80 08 03 00 00 01 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 28 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14851_0 {
	meta:
		name = "TTeeAboutForm.BSaveOrderClick"
		size = 276
		refs = "001e TTeeAboutForm.BSaveOrderClick 003e TTeeAboutForm.GetOrderForm 0060 TOpenDialog.GetFileName 0097 @LStrCat3 00a8 StrPCopy 00ae WinExec 00ca TObject.Free 00d0 @HandleFinally 00ef @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 33 C9 89 8D F8 FE FF FF 89 8D F4 FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F0 01 00 00 8B 10 FF 52 34 84 C0 0F 84 9B 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 F8 FE FF FF 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B 45 FC 8B 08 FF 51 64 6A 03 8D 95 F4 FE FF FF 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF 8D 85 F8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 85 FC FE FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 08 03 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 FF FF FF FF 08 00 00 00 6E 6F 74 65 70 61 64 20 00 00 00 00 }
	condition:
		$1
}

rule function_14852_0 {
	meta:
		name = "TTeeAboutForm.BCopyOrderClick"
		size = 178
		refs = "0013 TTeeAboutForm.BCopyOrderClick 0020 TTeeAboutForm.GetOrderForm 0044 @LStrToPChar 004b Clipboard 0052 TClipboard.SetTextBuf 005a TeeMsg_OrderClipboard 005f LoadResString 0067 ShowMessage 0083 TObject.Free 0089 @HandleFinally 00a0 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 1C 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C6 83 08 03 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14853_0 {
	meta:
		name = "TTeeAboutForm.ShippingPrice"
		size = 169
		refs = "000e TCustomComboBox.GetItemIndex 001a TTeeAboutForm.ShippingPrice 007b TSpinEdit.GetValue 009f @ROUND"
	strings:
		$1 = { 53 56 51 8B F0 33 DB 8B 86 EC 02 00 00 E8 ?? ?? ?? ?? 83 F8 05 77 44 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 DB EB 21 BB B0 04 00 00 EB 1A BB D0 07 00 00 EB 13 BB C4 09 00 00 EB 0C BB AC 0D 00 00 EB 05 BB 64 19 00 00 8B 86 C0 02 00 00 83 B8 24 01 00 00 01 75 06 8B C3 03 C0 8B D8 85 DB 74 0E 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 48 75 04 8B C3 EB 1F 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 48 69 C0 58 02 00 00 89 04 24 DB 04 24 E8 ?? ?? ?? ?? 03 C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14854_0 {
	meta:
		name = "TTeeAboutForm.RefreshTotal"
		size = 121
		refs = "000c TTeeAboutForm.RefreshTotal 0019 TTeeAboutForm.ShippingPrice 0025 TTeeAboutForm.FormatUSD 0033 TControl.SetText 003a TTeeAboutForm.CalcTotal 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14856_0 {
	meta:
		name = "TTeeAboutForm.FormCloseQuery"
		size = 136
		refs = "000c TTeeAboutForm.FormCloseQuery 0041 TeeMsg_CancelOrder 0046 LoadResString 0057 MessageDlg 0072 @LStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D9 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 90 F8 01 00 00 83 BA 24 01 00 00 00 74 0D 80 B8 08 03 00 00 00 75 04 33 C0 EB 02 B0 01 88 03 80 3B 00 75 26 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 8B 0D ?? ?? ?? ?? B2 03 E8 ?? ?? ?? ?? 83 F8 06 0F 94 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_14858_0 {
	meta:
		name = "TTeeAboutForm.CBPaymentTypeChange"
		size = 28
		refs = "0017 TControl.SetVisible"
	strings:
		$1 = { 8B 90 E8 02 00 00 83 BA 24 01 00 00 03 0F 9C C2 8B 80 74 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14860_0 {
	meta:
		name = "TTeeAboutForm.ENameKeyPress"
		size = 23
		refs = "0012 TControl.Perform"
	strings:
		$1 = { 80 39 0D 75 11 C6 01 00 6A 00 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14861_0 {
	meta:
		name = "TTeeAboutForm.Label7Click"
		size = 140
		refs = "0018 TTeeAboutForm.Label7Click 0035 TControl.GetText 0046 StrPCopy 0053 TWinControl.GetHandle 0059 ShellExecute 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 33 C9 89 8D FC FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 05 6A 00 6A 00 8D 95 FC FE FF FF 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 8B 95 FC FE FF FF 8D 85 00 FF FF FF E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 00 00 6F 70 65 6E 00 00 00 00 }
	condition:
		$1
}

rule function_14866_0 {
	meta:
		name = "TAddTeeFunction.Calculate"
		size = 98
		refs = "0047 TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 83 F9 FF 75 18 8B C7 8B 10 FF 92 D0 00 00 00 8B 50 28 89 55 F8 8B 50 2C 89 55 FC EB 2E 33 C0 89 45 F8 89 45 FC 8B F1 8B 5D 08 2B DE 7C 1D 43 8B C7 8B 10 FF 92 D0 00 00 00 8B D6 E8 ?? ?? ?? ?? DC 45 F8 DD 5D F8 9B 46 4B 75 E4 DD 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14867_0 {
	meta:
		name = "TAddTeeFunction.CalculateMany"
		size = 101
		refs = "002a TList.Get 003b TChartValueList.Count 0048 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B E9 89 14 24 33 C0 89 44 24 04 89 44 24 08 8B 04 24 8B 70 08 4E 85 F6 7C 38 46 33 FF 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B 10 FF 92 D0 00 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 3B E8 7D 12 8B D5 8B C3 E8 ?? ?? ?? ?? DC 44 24 04 DD 5C 24 04 9B 47 4E 75 CB DD 44 24 04 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14868_0 {
	meta:
		name = "TSubtractTeeFunction.CalculateMany"
		size = 134
		refs = "002f TList.Get 0040 TChartValueList.Count 0054 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 89 14 24 C6 44 24 0C 01 33 C0 89 44 24 04 89 44 24 08 8B 04 24 8B 70 08 4E 85 F6 7C 54 46 33 FF 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B 10 FF 92 D0 00 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 3B E8 7D 2E 80 7C 24 0C 00 74 15 8B D5 8B C3 E8 ?? ?? ?? ?? DD 5C 24 04 9B C6 44 24 0C 00 EB 12 8B D5 8B C3 E8 ?? ?? ?? ?? DC 6C 24 04 DD 5C 24 04 9B 47 4E 75 AF DD 44 24 04 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14869_0 {
	meta:
		name = "TMultiplyTeeFunction.CalculateMany"
		size = 134
		refs = "002f TList.Get 0040 TChartValueList.Count 0054 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 89 14 24 C6 44 24 0C 01 33 C0 89 44 24 04 89 44 24 08 8B 04 24 8B 70 08 4E 85 F6 7C 54 46 33 FF 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B 10 FF 92 D0 00 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 3B E8 7D 2E 80 7C 24 0C 00 74 15 8B D5 8B C3 E8 ?? ?? ?? ?? DD 5C 24 04 9B C6 44 24 0C 00 EB 12 8B D5 8B C3 E8 ?? ?? ?? ?? DC 4C 24 04 DD 5C 24 04 9B 47 4E 75 AF DD 44 24 04 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14870_0 {
	meta:
		name = "TDivideTeeFunction.CalculateMany"
		size = 164
		refs = "002f TList.Get 0040 TChartValueList.Count 0054 TChartValueList.GetValue 0078 TDivideTeeFunction.CalculateMany"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B E9 89 14 24 C6 44 24 14 01 33 C0 89 44 24 04 89 44 24 08 8B 04 24 8B 70 08 4E 85 F6 7C 6C 46 33 FF 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B 10 FF 92 D0 00 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 3B E8 7D 46 80 7C 24 14 00 74 15 8B D5 8B C3 E8 ?? ?? ?? ?? DD 5C 24 04 9B C6 44 24 14 00 EB 2A 8B D5 8B C3 E8 ?? ?? ?? ?? DD 5C 24 0C 9B DD 44 24 0C D8 1D ?? ?? ?? ?? DF E0 9E 74 0D DD 44 24 04 DC 74 24 0C DD 5C 24 04 9B 47 4E 75 97 DD 44 24 04 83 C4 18 5D 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14871_0 {
	meta:
		name = "THighTeeFunction.Calculate"
		size = 141
		refs = "004c TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 89 55 FC 83 FF FF 75 19 8B 45 FC 8B 10 FF 92 D0 00 00 00 8B 50 38 89 55 F4 8B 50 3C 89 55 F8 EB 55 33 C0 89 45 F4 89 45 F8 8B DF 8B 75 08 2B F3 7C 44 46 8B 45 FC 8B 10 FF 92 D0 00 00 00 8B D3 E8 ?? ?? ?? ?? DD 5D EC 9B 3B FB 75 0E 8B 45 EC 89 45 F4 8B 45 F0 89 45 F8 EB 17 DD 45 EC DC 5D F4 DF E0 9E 76 0C 8B 45 EC 89 45 F4 8B 45 F0 89 45 F8 43 4E 75 BD DD 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14872_0 {
	meta:
		name = "THighTeeFunction.CalculateMany"
		size = 130
		refs = "002a TList.Get 003b TChartValueList.Count 0048 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B E9 89 14 24 33 C0 89 44 24 04 89 44 24 08 8B 04 24 8B 78 08 4F 85 FF 7C 55 47 33 DB 8B D3 8B 04 24 E8 ?? ?? ?? ?? 8B 10 FF 92 D0 00 00 00 8B F0 8B C6 E8 ?? ?? ?? ?? 3B E8 7D 2F 8B D5 8B C6 E8 ?? ?? ?? ?? DD 5C 24 0C 9B 85 DB 74 0D DD 44 24 0C DC 5C 24 04 DF E0 9E 76 10 8B 44 24 0C 89 44 24 04 8B 44 24 10 89 44 24 08 43 4F 75 AE DD 44 24 04 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14873_0 {
	meta:
		name = "TLowTeeFunction.Calculate"
		size = 141
		refs = "004c TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 89 55 FC 83 FF FF 75 19 8B 45 FC 8B 10 FF 92 D0 00 00 00 8B 50 40 89 55 F4 8B 50 44 89 55 F8 EB 55 33 C0 89 45 F4 89 45 F8 8B DF 8B 75 08 2B F3 7C 44 46 8B 45 FC 8B 10 FF 92 D0 00 00 00 8B D3 E8 ?? ?? ?? ?? DD 5D EC 9B 3B FB 75 0E 8B 45 EC 89 45 F4 8B 45 F0 89 45 F8 EB 17 DD 45 EC DC 5D F4 DF E0 9E 73 0C 8B 45 EC 89 45 F4 8B 45 F0 89 45 F8 43 4E 75 BD DD 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14874_0 {
	meta:
		name = "TLowTeeFunction.CalculateMany"
		size = 130
		refs = "002a TList.Get 003b TChartValueList.Count 0048 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B E9 89 14 24 33 C0 89 44 24 04 89 44 24 08 8B 04 24 8B 78 08 4F 85 FF 7C 55 47 33 DB 8B D3 8B 04 24 E8 ?? ?? ?? ?? 8B 10 FF 92 D0 00 00 00 8B F0 8B C6 E8 ?? ?? ?? ?? 3B E8 7D 2F 8B D5 8B C6 E8 ?? ?? ?? ?? DD 5C 24 0C 9B 85 DB 74 0D DD 44 24 0C DC 5C 24 04 DF E0 9E 73 10 8B 44 24 0C 89 44 24 04 8B 44 24 10 89 44 24 08 43 4F 75 AE DD 44 24 04 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14875_0 {
	meta:
		name = "TAverageTeeFunction.Calculate"
		size = 156
		refs = "0017 TChartSeries.Count 006d TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B FA 83 7D FC FF 75 39 8B C7 E8 ?? ?? ?? ?? 85 C0 7E 24 8B C7 8B 10 FF 92 D0 00 00 00 83 C0 28 50 8B C7 E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 58 DC 38 DD 5D F4 9B EB 4D 33 C0 89 45 F4 89 45 F8 EB 43 33 C0 89 45 F4 89 45 F8 8B 75 FC 8B 5D 08 2B DE 7C 1D 43 8B C7 8B 10 FF 92 D0 00 00 00 8B D6 E8 ?? ?? ?? ?? DC 45 F4 DD 5D F4 9B 46 4B 75 E4 8B 45 08 2B 45 FC 40 89 45 F0 DB 45 F0 DC 7D F4 DD 5D F4 9B DD 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14876_0 {
	meta:
		name = "TAverageTeeFunction.CalculateMany"
		size = 135
		refs = "0032 TList.Get 0043 TChartValueList.Count 0056 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 0C 24 8B EA 33 C0 89 44 24 04 89 44 24 08 8B 45 08 85 C0 7E 5E 33 D2 89 54 24 0C 8B F0 4E 85 F6 7C 3D 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 10 FF 92 D0 00 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 04 24 7E 17 FF 44 24 0C 8B 14 24 8B C3 E8 ?? ?? ?? ?? DC 44 24 04 DD 5C 24 04 9B 47 4E 75 C6 83 7C 24 0C 00 7E 0D DB 44 24 0C DC 7C 24 04 DD 5C 24 04 9B DD 44 24 04 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14879_0 {
	meta:
		name = "_NF__D8"
		size = 94
		refs = "0010 TeeSeriesList 0028 GetTeeSeriesType"
	strings:
		$1 = { 53 56 57 55 83 C4 C4 8B DA 8B E8 C6 04 24 00 A1 ?? ?? ?? ?? 8B 00 8B 70 08 4E 85 F6 7C 35 46 33 FF 8D 54 24 04 8B C7 E8 ?? ?? ?? ?? 56 57 8D 74 24 0C 8B FB B9 0D 00 00 00 F3 A5 66 A5 5F 5E 3B 2B 75 0C 83 7B 04 00 75 06 C6 04 24 01 EB 04 47 4E 75 CE 8A 04 24 83 C4 3C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14880_0 {
	meta:
		name = "TTeeGalleryPanel.Create"
		size = 141
		refs = "000a @ClassCreate 0017 TCustomPanel.Create 005a _Dn_TList 005f TObject.Create 0076 TTeeGalleryPanel.SetRowCols"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 4C 01 00 00 33 C0 89 86 50 01 00 00 33 C0 89 86 3C 01 00 00 89 86 40 01 00 00 33 C0 89 86 44 01 00 00 89 86 48 01 00 00 33 C0 89 86 60 01 00 00 33 C0 89 86 5C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 64 01 00 00 B9 04 00 00 00 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14881_0 {
	meta:
		name = "TTeeGalleryPanel.Destroy"
		size = 52
		refs = "0009 TTeeGalleryPanel.RemoveCharts 0014 TObject.Free 0020 TCustomControl.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 64 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14882_0 {
	meta:
		name = "TTeeGalleryPanel.SetRowCols"
		size = 18
		refs = "000d TTeeGalleryPanel.CalcChartWidthHeight"
	strings:
		$1 = { 89 90 5C 01 00 00 89 88 60 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14883_0 {
	meta:
		name = "TTeeGalleryPanel.GetChartXY"
		size = 51
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7E 0C 8B C7 8B 8B 60 01 00 00 99 F7 F9 8B 55 08 89 02 8B C7 99 F7 F9 8B 45 FC 89 10 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14884_0 {
	meta:
		name = "TTeeGalleryPanel.RemoveCharts"
		size = 55
		refs = "001b TTeeGalleryPanel.GetChart 0020 TObject.Free 002f TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 64 01 00 00 8B 58 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B 87 64 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14885_0 {
	meta:
		name = "TTeeGalleryPanel.ChartOnDblClick"
		size = 35
	strings:
		$1 = { 53 89 90 4C 01 00 00 66 83 B8 3E 01 00 00 00 74 10 8B D8 8B D0 8B 83 40 01 00 00 FF 93 3C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_14886_0 {
	meta:
		name = "TTeeGalleryPanel.CalcChartWidthHeight"
		size = 70
	strings:
		$1 = { 53 56 8B C8 8B B1 5C 01 00 00 85 F6 7E 35 83 B9 60 01 00 00 00 7E 2C 8B 99 20 01 00 00 03 99 24 01 00 00 8B 41 3C 2B C3 99 F7 FE 89 81 54 01 00 00 8B 41 38 2B C3 99 F7 B9 60 01 00 00 89 81 58 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14887_0 {
	meta:
		name = "_NF__F0"
		size = 93
		refs = "000f _NF__F0 001d TeeMsg_DefaultGalleryFontSize 0022 LoadResString 002a StrToInt 0035 CheckJapaneseFontSize 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_15404_0 {
	meta:
		name = "GetDefaultFontSize"
		size = 93
		refs = "000f GetDefaultFontSize 001d TeeMsg_DefaultFontSize 0022 LoadResString 002a StrToInt 0035 CheckJapaneseFontSize 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_14888_0 {
	meta:
		name = "_NF__F1"
		size = 116
		refs = "0015 MaxLong 0041 CreateNewSeries"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 50 FC 8B 52 32 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 50 BE 01 00 00 00 8B 45 08 8B 40 FC 8B 40 04 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F8 8B C6 48 74 05 48 74 10 EB 1A BA FF 00 00 00 8B C7 8B 08 FF 51 4C EB 0C BA 00 00 FF 00 8B C7 8B 08 FF 51 4C 46 4B 75 B5 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_14889_0 {
	meta:
		name = "TTeeGalleryPanel.CreateChart"
		size = 991
		refs = "0020 TTeeGalleryPanel.CreateChart 0039 _Dn_TLineSeries 0046 _Dn_TCustomChart 004b TCustomChart.Create 005d TList.Add 006a TeeMsg_GalleryChartName 006f LoadResString 0080 IntToStr 0089 @LStrCat 009d TTeeGalleryPanel.ResizeChart 00b6 TCustomChartLegend.SetVisible 00bf TCustomAxisPanel.SetAxisVisible 00ce TChartAxis.SetLabels 00eb @LStrFromString 0103 _NF__F0 0115 TFont.SetSize 0125 TCustomAxisPanel.SetView3D 0131 TCustomAxisPanel.SetChart3DPercent 013a TCustomChart.SetAnimatedZoom 0152 TChartPen.SetVisible 0163 TCustomTeePanel.SetMargin 019f TCustomPanel.SetBevelWidth 01a8 TCustomPanel.SetBevelOuter 01ba TChartWall.SetSize 01d2 _NF__F1 01f4 TCustomAxisPanel.GetSeries 0224 TControl.SetCursor 0268 TFont.SetColor 027d TPen.SetColor 0292 TPen.SetWidth 02f8 TChartWall.SetColor 033b TTeeGalleryPanel.ChartOnClick 0350 TTeeGalleryPanel.ChartOnDblClick 0390 TCustomAxisPanel.SeriesCount 03cc @LStrArrayClr 03d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D E4 8B D9 89 55 FC 89 45 F8 8D 7D F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 00 89 45 F0 83 7D F0 00 75 08 A1 ?? ?? ?? ?? 89 45 F0 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 8B 45 F8 8B 80 64 01 00 00 8B 17 E8 ?? ?? ?? ?? 8B 07 89 58 0C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 8D 55 E4 8B 07 8B 40 0C E8 ?? ?? ?? ?? 8B 55 E4 58 E8 ?? ?? ?? ?? 8B 55 E8 8B 07 8B 08 FF 51 18 8B 17 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 07 8B 08 FF 51 3C 8B 07 8B 80 B4 01 00 00 33 D2 E8 ?? ?? ?? ?? B2 01 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 80 C0 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 07 8B 80 BC 01 00 00 33 D2 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 FC 83 C2 08 E8 ?? ?? ?? ?? 8B 55 E8 8B 07 8B 80 44 02 00 00 8B 40 10 8B 08 FF 51 34 E8 ?? ?? ?? ?? 8B D0 8B 07 8B 80 44 02 00 00 8B 40 08 E8 ?? ?? ?? ?? 8B 45 F8 8A 90 38 01 00 00 8B 07 E8 ?? ?? ?? ?? BA 55 00 00 00 8B 07 E8 ?? ?? ?? ?? B2 01 8B 07 E8 ?? ?? ?? ?? B2 01 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 80 D0 01 00 00 33 D2 E8 ?? ?? ?? ?? B9 07 00 00 00 BA 01 00 00 00 8B 07 E8 ?? ?? ?? ?? B9 07 00 00 00 BA 03 00 00 00 8B 07 E8 ?? ?? ?? ?? B9 07 00 00 00 33 D2 8B 07 E8 ?? ?? ?? ?? B9 07 00 00 00 BA 02 00 00 00 8B 07 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 07 E8 ?? ?? ?? ?? 33 D2 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 80 38 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 3C 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 F8 80 B8 68 01 00 00 00 74 27 8B 45 F8 83 B8 50 01 00 00 00 74 1B 33 D2 8B 07 E8 ?? ?? ?? ?? 8B 55 F8 8B 92 50 01 00 00 8B 08 FF 51 74 84 C0 74 04 33 C0 EB 02 B0 01 88 45 EF 80 7D EF 00 0F 84 F3 00 00 00 66 BA F3 FF 8B 07 E8 ?? ?? ?? ?? 8B 07 66 8B 40 58 8B 17 66 89 82 A2 01 00 00 8B 07 33 D2 89 90 A4 00 00 00 89 90 A8 00 00 00 8B 07 33 D2 89 90 AC 00 00 00 89 90 B0 00 00 00 8B 07 8B 80 44 02 00 00 8B 40 08 BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 07 8B 80 38 02 00 00 8B 40 08 BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 07 8B 80 C0 01 00 00 8B 40 34 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 C0 01 00 00 8B 40 34 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 07 8B 80 3C 02 00 00 8B 40 08 BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 07 8B 80 BC 01 00 00 8B 40 34 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 BC 01 00 00 8B 40 34 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 07 8B 80 38 02 00 00 BA C0 C0 C0 00 E8 ?? ?? ?? ?? 8B 07 8B 80 3C 02 00 00 BA C0 C0 C0 00 E8 ?? ?? ?? ?? EB 7D 66 BA E4 07 8B 07 E8 ?? ?? ?? ?? 8B 07 66 8B 40 58 8B 17 66 89 82 A2 01 00 00 8B 07 8B 55 F8 89 90 A8 00 00 00 C7 80 A4 00 00 00 ?? ?? ?? ?? 8B 07 8B 55 F8 89 90 B0 00 00 00 C7 80 AC 00 00 00 ?? ?? ?? ?? 8B 07 8B 55 F8 89 90 08 01 00 00 C7 80 04 01 00 00 ?? ?? ?? ?? 8B 07 8B 80 38 02 00 00 BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 07 8B 80 3C 02 00 00 BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1B 43 33 F6 8B D6 8B 07 E8 ?? ?? ?? ?? 8A 55 EF 80 F2 01 8B 08 FF 51 7C 46 4B 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14890_0 {
	meta:
		name = "TTeeGalleryPanel.GetChart"
		size = 22
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14891_0 {
	meta:
		name = "_NF__F9"
		size = 104
		refs = "002f TTeeGalleryPanel.GetChart 0045 TTeeGalleryPanel.GetChartXY"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 08 8B 40 FC 8B 80 64 01 00 00 8B 58 08 4B 85 DB 7C 3A 43 33 FF 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 50 8D 4D F4 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F4 75 08 8B 45 F8 3B 45 F0 74 06 47 4B 75 C9 33 F6 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14892_0 {
	meta:
		name = "TTeeGalleryPanel.ProcessKeyDown"
		size = 187
		refs = "0020 TTeeGalleryPanel.GetChartXY 008d TTeeGalleryPanel.ChartOnDblClick 0099 _NF__F9 00b0 TTeeGalleryPanel.ChartOnClick"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 45 FC 8D 45 F4 50 8D 4D F8 8B 45 FC 8B 90 4C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 0F B7 03 83 F8 26 7F 0E 74 34 83 E8 0D 74 4D 83 E8 18 74 0C EB 57 83 E8 27 74 10 48 74 2B EB 4D 83 7D F8 00 7E 47 FF 4D F8 EB 42 8B 45 FC 8B 80 60 01 00 00 3B 45 F8 7E 34 FF 45 F8 EB 2F 83 7D F4 00 7E 29 FF 4D F4 EB 24 8B 45 FC 8B 80 5C 01 00 00 3B 45 F4 7E 16 FF 45 F4 EB 11 8B 45 FC 8B 90 4C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 55 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 85 C0 74 12 66 81 78 58 E4 07 75 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14893_0 {
	meta:
		name = "TTeeGalleryPanel.ResizeChart"
		size = 184
		refs = "0036 TTeeGalleryPanel.GetChartXY"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 14 24 8B D8 83 BB 60 01 00 00 00 0F 8E 97 00 00 00 83 BB 5C 01 00 00 00 0F 8E 8A 00 00 00 8D 44 24 08 50 8D 4C 24 08 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 83 20 01 00 00 03 83 24 01 00 00 8B 74 24 04 8B 93 58 01 00 00 0F AF F2 03 F0 8B 6C 24 08 0F AF AB 54 01 00 00 03 E8 8B FA 8B 93 54 01 00 00 89 54 24 0C 8B 53 38 2B D0 8D 0C 37 3B D1 7D 07 8B 7B 38 2B F8 2B FE 8B 53 3C 2B D0 8B 8B 54 01 00 00 03 CD 3B D1 7D 0B 8B 53 3C 2B D0 2B D5 89 54 24 0C 57 8B 44 24 10 50 8B CD 8B D6 8B 44 24 08 8B 18 FF 53 4C 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14894_0 {
	meta:
		name = "TTeeGalleryPanel.ShowSelectedChart"
		size = 168
		refs = "001e TTeeGalleryPanel.GetChart 003c TControl.SetColor 004b TTeeGalleryPanel.ShowSelectedChart 0050 TFont.SetStyle 0060 TFont.SetColor 0073 TFont.SetSize 007c TCustomPanel.SetBevelOuter"
	strings:
		$1 = { 53 56 8B D8 83 BB 4C 01 00 00 00 75 1B 8B 83 64 01 00 00 83 78 08 00 7E 0F 33 D2 8B C3 E8 ?? ?? ?? ?? 89 83 4C 01 00 00 8B 83 4C 01 00 00 85 C0 74 6D 8B F0 BA FF FF 80 00 8B C6 E8 ?? ?? ?? ?? 8B 86 44 02 00 00 8B 40 08 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 44 02 00 00 8B 40 08 33 D2 E8 ?? ?? ?? ?? 8B 86 44 02 00 00 8B 40 08 BA 0A 00 00 00 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 66 83 BB 46 01 00 00 00 74 0E 8B D3 8B 83 48 01 00 00 FF 93 44 01 00 00 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_14895_0 {
	meta:
		name = "TTeeGalleryPanel.FindSelectedChart"
		size = 121
		refs = "002d TTeeGalleryPanel.GetChart 0034 TCustomAxisPanel.GetSeries 003d TObject.ClassType 0070 TTeeGalleryPanel.ShowSelectedChart"
	strings:
		$1 = { 53 56 57 55 8B D8 33 C0 89 83 4C 01 00 00 83 BB 50 01 00 00 00 74 56 8B 83 64 01 00 00 8B 68 08 4D 85 ED 7C 48 45 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 50 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 5A 3B D0 75 17 83 7E 74 00 75 11 8B D7 8B C3 E8 ?? ?? ?? ?? 89 83 4C 01 00 00 EB 04 47 4D 75 BB 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14896_0 {
	meta:
		name = "TTeeGalleryPanel.ChartOnClick"
		size = 176
		refs = "0016 TTeeGalleryPanel.ShowSelectedChart 0034 TList.Get 0042 TTeeGalleryPanel.GetChart 0059 TControl.SetColor 0062 TCustomPanel.SetBevelOuter 0071 TTeeGalleryPanel.ChartOnClick 0076 TFont.SetStyle 0089 TFont.SetColor 008e _NF__F0 009e TFont.SetSize"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 8B 04 24 89 83 4C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 8B 78 08 4F 85 FF 7C 7E 47 33 F6 8B D6 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 3B 04 24 74 65 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 81 7D 54 FF FF 80 00 75 51 BA 0F 00 00 80 8B C5 E8 ?? ?? ?? ?? 33 D2 8B C5 E8 ?? ?? ?? ?? 8B 85 44 02 00 00 8B 40 08 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 44 02 00 00 8B 40 08 BA 00 00 FF 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 85 44 02 00 00 8B 40 08 E8 ?? ?? ?? ?? 46 4F 75 85 5A 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_14897_0 {
	meta:
		name = "TTeeGalleryPanel.SetView3D"
		size = 64
		refs = "0029 TTeeGalleryPanel.GetChart 0034 TCustomAxisPanel.SetView3D"
	strings:
		$1 = { 53 56 57 8B D8 3A 93 38 01 00 00 74 2F 88 93 38 01 00 00 8B 83 64 01 00 00 8B 70 08 4E 85 F6 7C 1B 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8A 93 38 01 00 00 E8 ?? ?? ?? ?? 47 4E 75 E8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14898_0 {
	meta:
		name = "TTeeGalleryPanel.CreateChartList"
		size = 66
		refs = "0010 TTeeGalleryPanel.RemoveCharts 0020 _NF__D8 002f TTeeGalleryPanel.CreateChart"
	strings:
		$1 = { 53 56 57 55 83 C4 C8 8B F1 8B DA 8B E8 8B C5 E8 ?? ?? ?? ?? 85 F6 7C 22 46 33 FF 8B D4 8B 03 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D4 8B CF 8B C5 E8 ?? ?? ?? ?? 47 83 C3 04 4E 75 E1 83 C4 38 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14899_0 {
	meta:
		name = "TTeeGalleryPanel.ResizeCharts"
		size = 55
		refs = "0008 TTeeGalleryPanel.CalcChartWidthHeight 0022 TTeeGalleryPanel.GetChart 002b TTeeGalleryPanel.ResizeChart"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 64 01 00 00 8B 70 08 4E 85 F6 7C 19 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 47 4E 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14901_0 {
	meta:
		name = "TTeeTabControl.AlignTab"
		size = 8
		refs = "0003 TControl.SetAlign"
	strings:
		$1 = { B2 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14902_0 {
	meta:
		name = "TTeeTabControl.SetTabEvent"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 30 01 00 00 8B 55 0C 89 90 34 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_14903_0 {
	meta:
		name = "TTeeGallery.HideFunctions"
		size = 34
	strings:
		$1 = { 53 8B D8 8B 83 EC 01 00 00 8B 80 18 01 00 00 BA 01 00 00 00 8B 08 FF 51 44 C6 83 F5 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_14904_0 {
	meta:
		name = "TTeeGallery.HideButtons"
		size = 14
		refs = "0009 TControl.SetVisible"
	strings:
		$1 = { 33 D2 8B 80 DC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14905_0 {
	meta:
		name = "TTeeGallery.ValidSeries"
		size = 111
		refs = "0012 TTeeGallery.ValidSeries 0023 @LStrFromString 002d @LStrCmp 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 56 1D E8 ?? ?? ?? ?? 8B 45 FC 8B D7 E8 ?? ?? ?? ?? 75 0F 80 BB F5 01 00 00 00 75 0A 83 7E 04 00 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14906_0 {
	meta:
		name = "TTeeGallery.CalcNumSeriesPage"
		size = 80
		refs = "0011 TeeSeriesList 0029 GetTeeSeriesType 0036 TTeeGallery.ValidSeries"
	strings:
		$1 = { 53 56 57 55 83 C4 C4 8B EA 8B F8 33 C0 89 04 24 A1 ?? ?? ?? ?? 8B 00 8B 58 08 4B 85 DB 7C 26 43 33 F6 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8D 54 24 04 8B CD 8B C7 E8 ?? ?? ?? ?? 84 C0 74 03 FF 04 24 46 4B 75 DD 8B 04 24 83 C4 3C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14907_0 {
	meta:
		name = "TTeeGallery.CreateGallery"
		size = 217
		refs = "0016 TTeeGallery.CreateGallery 002d TTeeGalleryPanel.RemoveCharts 0038 TCustomCheckBox.GetChecked 0042 TTeeGalleryPanel.SetView3D 006e TeeSeriesList 0085 GetTeeSeriesType 0092 TTeeGallery.ValidSeries 00ad TTeeGalleryPanel.CreateChart 00c6 @LStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 F0 01 00 00 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D FC 8B 86 EC 01 00 00 8B 80 18 01 00 00 8B D3 8B 18 FF 53 0C 8A 86 F5 01 00 00 34 01 8B 55 F8 88 82 68 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B 58 08 4B 85 DB 7C 39 43 33 FF 8D 55 C0 8B C7 E8 ?? ?? ?? ?? 8D 55 C0 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 F8 8B 80 64 01 00 00 8B 48 08 8D 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 47 4B 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14908_0 {
	meta:
		name = "TTeeGallery.GalleryPanelOnSelected"
		size = 11
	strings:
		$1 = { C7 80 50 01 00 00 01 00 00 00 C3 }
	condition:
		$1
}

rule function_14909_0 {
	meta:
		name = "TTeeGallery.CB3DClick"
		size = 29
		refs = "000a TCustomCheckBox.GetChecked 0017 TTeeGalleryPanel.SetView3D"
	strings:
		$1 = { 53 8B D8 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14910_0 {
	meta:
		name = "TTeeGallery.FormShow"
		size = 229
		refs = "0014 TTeeGallery.FormShow 003e TeeSeriesList 0055 GetTeeSeriesType 0066 @LStrFromString 00b2 TTeeGallery.CreateGallery 00bd TTeeGalleryPanel.FindSelectedChart 00d2 @LStrClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D C0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 F0 01 00 00 8B 80 64 01 00 00 83 78 08 00 0F 85 82 00 00 00 8B 86 EC 01 00 00 89 45 FC A1 ?? ?? ?? ?? 8B 00 8B 58 08 4B 85 DB 7C 61 43 33 FF 8D 55 C4 8B C7 E8 ?? ?? ?? ?? 83 7D F6 00 7E 4A 8D 45 C0 8D 55 E1 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 FC 8B 80 18 01 00 00 8B 08 FF 51 50 40 75 2B 80 BE F5 01 00 00 00 75 06 83 7D C8 00 75 1C 8D 45 C0 8D 55 E1 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 FC 8B 80 18 01 00 00 8B 08 FF 51 34 47 4B 75 A2 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14911_0 {
	meta:
		name = "TTeeGallery.FormResize"
		size = 18
		refs = "000d TTeeGalleryPanel.ResizeCharts"
	strings:
		$1 = { 8B 90 F0 01 00 00 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14912_0 {
	meta:
		name = "TTeeGallery.FormCreate"
		size = 293
		refs = "000d TTeeGallery.FormCreate 001f TeeEraseBack 0035 TControl.SetWidth 0041 TControl.SetHeight 004a _DV_TTeeTabControl 004f TCustomTabControl.Create 0067 TTeeTabControl.AlignTab 006f TeeMsg_GalleryStandard 0074 LoadResString 008a TeeMsg_GalleryFunctions 00a3 TTeeGallery.TabControl1Change 00aa TTeeTabControl.SetTabEvent 00b3 TCustomTabControl.SetTabIndex 00bc _DV_TTeeGalleryPanel 00c1 TTeeGalleryPanel.Create 00df TControl.SetAlign 00e8 TCustomPanel.SetBevelOuter 00f8 TTeeGallery.GalleryPanelOnSelected 0114 @LStrClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 83 F4 01 00 00 01 A1 ?? ?? ?? ?? C6 00 00 C6 83 F5 01 00 00 01 BA B0 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 64 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 EC 01 00 00 8B D3 8B C6 8B 08 FF 51 3C 8B C6 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 86 18 01 00 00 8B 08 FF 51 34 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 86 18 01 00 00 8B 08 FF 51 34 53 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 8B 93 EC 01 00 00 8B C6 8B 08 FF 51 3C B2 05 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 89 9E 40 01 00 00 C7 86 3C 01 00 00 ?? ?? ?? ?? C6 83 F4 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14913_0 {
	meta:
		name = "TTeeGallery.TabControl1Change"
		size = 45
		refs = "0013 TCustomTabControl.GetTabIndex 001c TTeeGallery.CreateGallery 0027 TTeeGalleryPanel.FindSelectedChart"
	strings:
		$1 = { 53 8B D8 80 BB F4 01 00 00 00 75 1F 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14914_0 {
	meta:
		name = "TTeeGallery.FormKeyDown"
		size = 24
		refs = "000f TTeeGalleryPanel.ProcessKeyDown"
	strings:
		$1 = { 55 8B EC 53 8A 5D 08 53 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14915_0 {
	meta:
		name = "TTeeGallery.CreateGalleryList"
		size = 73
		refs = "0013 TTeeGalleryPanel.RemoveCharts 001e TCustomCheckBox.GetChecked 0027 TTeeGalleryPanel.SetView3D 0040 TTeeGalleryPanel.CreateChartList"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B 9E F0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8A 86 F5 01 00 00 34 01 88 83 68 01 00 00 8B D7 8B CD 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14916_0 {
	meta:
		name = "GetGallerySeriesName"
		size = 72
		refs = "0013 TObject.ClassName 001e @LStrFromString 0025 TObject.ClassType 002c _NF__D8"
	strings:
		$1 = { 53 56 81 C4 C8 FE FF FF 8B F2 8B D8 8D 54 24 38 8B 03 E8 ?? ?? ?? ?? 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 8D 54 24 08 E8 ?? ?? ?? ?? 81 C4 38 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14917_0 {
	meta:
		name = "GetChartGalleryClass"
		size = 244
		refs = "001a _DV_TTeeGallery 001f TCustomForm.Create 002a GetChartGalleryClass 0040 TCustomCheckBox.SetChecked 005d TTeeGallery.HideFunctions 0065 TCustomForm.ShowModal 0082 TCustomAxisPanel.GetSeries 008b TObject.ClassType 00dc TObject.Free 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B F2 8B 5D 0C C6 45 FE 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8A 13 8B 45 F8 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 F0 01 00 00 89 B0 50 01 00 00 80 7D FF 00 75 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 48 75 5F 8B 45 F8 8B 80 F0 01 00 00 8B 80 4C 01 00 00 85 C0 74 4C 33 D2 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 55 10 89 02 8B 7E 74 85 FF 74 0E 8B C7 E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 07 8B 45 08 33 D2 89 10 8B 45 F8 8B 80 F0 01 00 00 8B 80 4C 01 00 00 8A 80 C8 01 00 00 88 03 C6 45 FE 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FE 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_14918_0 {
	meta:
		name = "CreateNewSeriesGallery"
		size = 123
		refs = "0035 GetChartGalleryClass 0043 TCustomAxisPanel.SetView3D 0052 TObject.ClassType 0068 CreateNewSeries"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8B FA 89 45 FC 8B 5D 0C 33 C0 89 45 F8 8A 86 C8 01 00 00 88 45 F7 8D 45 F0 50 8D 45 F7 50 8D 45 EC 50 8B CB 8B D7 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 32 8A 55 F7 8B C6 E8 ?? ?? ?? ?? 85 FF 74 10 84 DB 75 0C 8B C7 E8 ?? ?? ?? ?? 3B 45 F0 74 14 8B 45 EC 50 8B 4D F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14919_0 {
	meta:
		name = "ChangeSeriesTypeGallery"
		size = 52
		refs = "0015 CreateNewSeriesGallery 0027 AssignSeries"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 6A 00 6A 00 8B 03 8B 48 40 8B 13 8B C6 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 74 0E 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 03 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14920_0 {
	meta:
		name = "ChangeAllSeriesGallery"
		size = 92
		refs = "000c TCustomAxisPanel.SeriesCount 0019 TCustomAxisPanel.GetSeries 002e CreateNewSeriesGallery 0042 AssignSeries 004a TObject.ClassType 0053 ChangeAllSeriesType"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 43 33 D2 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 6A 00 6A 00 8B CB 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 74 1C 8B D4 8D 44 24 04 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14923_0 {
	meta:
		name = "MoveList"
		size = 208
		refs = "0017 MoveList 003c TCustomListBox.GetSelected 00bd @LStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 18 01 00 00 8B 10 FF 52 14 48 85 C0 7C 4B 40 89 45 F8 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 32 8D 4D F4 8B D3 8B 86 18 01 00 00 8B 38 FF 57 0C 8B 45 F4 50 8B D3 8B 86 18 01 00 00 8B 08 FF 51 18 8B C8 8B 45 FC 8B 80 18 01 00 00 5A 8B 38 FF 57 38 43 FF 4D F8 75 BB 33 DB EB 1D 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 86 18 01 00 00 8B 08 FF 51 44 EB 01 43 8B 86 18 01 00 00 8B 10 FF 52 14 3B D8 7C D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14924_0 {
	meta:
		name = "MoveListAll"
		size = 154
		refs = "0017 MoveListAll 0072 TCustomListBox.Clear 0087 @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 18 01 00 00 8B 10 FF 52 14 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 4D F4 8B D3 8B 86 18 01 00 00 8B 38 FF 57 0C 8B 45 F4 50 8B D3 8B 86 18 01 00 00 8B 08 FF 51 18 8B C8 8B 45 FC 8B 80 18 01 00 00 5A 8B 38 FF 57 38 43 FF 4D F8 75 C8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14935_0 {
	meta:
		name = "TChartValueList.Create"
		size = 116
		refs = "000e @ClassCreate 001d TObject.Create 0038 TList.Add 0043 @LStrAsg 004a _Dn_TList 0059 TChartValueList.ClearList"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 10 C7 47 14 00 00 F0 3F 8B C6 89 47 04 8B 40 24 8B D7 E8 ?? ?? ?? ?? 8D 47 20 8B 55 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14937_0 {
	meta:
		name = "TChartValueList.First"
		size = 20
		refs = "0006 TChartValueList.GetValue"
	strings:
		$1 = { 83 C4 F8 33 D2 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_14939_0 {
	meta:
		name = "TChartValueList.Last"
		size = 25
		refs = "000b TChartValueList.GetValue"
	strings:
		$1 = { 83 C4 F8 8B 50 08 8B 52 08 4A E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_14940_0 {
	meta:
		name = "TChartValueList.Delete"
		size = 71
		refs = "000f TList.Get 0025 @FreeMem 002f TList.Delete 003e TChartValueList.RemovedValue"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 10 89 14 24 8B 50 04 89 54 24 04 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 43 08 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14941_0 {
	meta:
		name = "TChartValueList.GetChartValue"
		size = 39
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 10 89 14 24 8B 50 04 89 54 24 04 DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14942_0 {
	meta:
		name = "TChartValueList.InsertChartValue"
		size = 61
		refs = "000f @GetMem 0026 TList.Insert 0033 TChartValueList.AddedValue"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 89 10 8B 55 0C 89 50 04 8B C8 8B D6 8B 43 08 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14943_0 {
	meta:
		name = "TChartValueList.AddChartValue"
		size = 232
		refs = "000e @GetMem 002c TList.Add 004c TChartValueList.GetChartValue 0085 TList.Insert 00db TChartValueList.AddedValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B 45 08 89 07 8B 45 0C 89 47 04 8A 43 0C 84 C0 75 11 8B D7 8B 43 08 E8 ?? ?? ?? ?? 8B F0 E9 9B 00 00 00 8B 53 08 8B 72 08 4E 3C 01 75 49 83 FE FF 74 11 8B D6 8B C3 E8 ?? ?? ?? ?? DC 5D 08 DF E0 9E 77 0F 8B D7 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 6C 4E 85 F6 7C 11 8B D6 8B C3 E8 ?? ?? ?? ?? DC 5D 08 DF E0 9E 77 EA 46 8B CF 8B D6 8B 43 08 E8 ?? ?? ?? ?? EB 47 83 FE FF 74 11 8B D6 8B C3 E8 ?? ?? ?? ?? DC 5D 08 DF E0 9E 72 0F 8B D7 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 23 4E 85 F6 7C 11 8B D6 8B C3 E8 ?? ?? ?? ?? DC 5D 08 DF E0 9E 72 EA 46 8B CF 8B D6 8B 43 08 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14944_0 {
	meta:
		name = "TChartValueList.SetMultiplier"
		size = 61
		refs = "0020 TChartValueList.RecalcMinMax 002c TChartSeries.NotifyValue 0034 TChartSeries.Repaint"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 DC 5B 10 DF E0 9E 74 27 8B 45 08 89 43 10 8B 45 0C 89 43 14 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 03 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14945_0 {
	meta:
		name = "TChartValueList.GetValue"
		size = 36
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? DD 00 DC 4B 10 DD 1C 24 9B DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14946_0 {
	meta:
		name = "TChartValueList.Locate"
		size = 60
		refs = "000b TChartValueList.Count 001e TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1C 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? DC 5D 08 DF E0 9E 75 04 8B C3 EB 07 43 4E 75 E7 83 C8 FF 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14947_0 {
	meta:
		name = "TChartValueList.ModifyValue"
		size = 36
		refs = "000f TList.Get"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 55 08 89 10 8B 55 0C 89 50 04 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14948_0 {
	meta:
		name = "TChartValueList.SetValue"
		size = 77
		refs = "0010 TList.Get 001e TChartValueList.RemovedValue 0036 TChartValueList.AddedValue 0042 TChartSeries.NotifyValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 8B D7 8B 43 08 E8 ?? ?? ?? ?? 8B F0 FF 76 04 FF 36 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 06 8B 45 0C 89 46 04 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B CF B2 04 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14949_0 {
	meta:
		name = "TChartValueList.AddedValue"
		size = 124
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 DC 4B 10 DD 5D 08 9B DD 43 28 DC 45 08 DD 5B 28 9B DD 45 08 D9 E1 DC 43 30 DD 5B 30 9B 8B 43 08 83 78 08 01 75 1A 8B 45 08 89 43 40 8B 45 0C 89 43 44 8B 45 08 89 43 38 8B 45 0C 89 43 3C EB 2E DD 45 08 DC 5B 40 DF E0 9E 73 0C 8B 45 08 89 43 40 8B 45 0C 89 43 44 DD 45 08 DC 5B 38 DF E0 9E 76 0C 8B 45 08 89 43 38 8B 45 0C 89 43 3C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14950_0 {
	meta:
		name = "TChartValueList.RemovedValue"
		size = 55
		refs = "002c TChartValueList.RecalcMinMax"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 DD 45 08 DC 4B 10 DD 5D F8 9B DD 43 28 DC 65 F8 DD 5B 28 9B DD 45 F8 D9 E1 DC 6B 30 DD 5B 30 9B 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14951_0 {
	meta:
		name = "TChartValueList.RecalcMinMax"
		size = 117
		refs = "002b TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 33 C0 89 43 40 89 43 44 33 C0 89 43 38 89 43 3C 8B 43 08 8B 78 08 4F 85 FF 7C 4C 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 85 F6 74 0B DD 04 24 DC 5B 40 DF E0 9E 73 0D 8B 04 24 89 43 40 8B 44 24 04 89 43 44 85 F6 74 0B DD 04 24 DC 5B 38 DF E0 9E 76 0D 8B 04 24 89 43 38 8B 44 24 04 89 43 3C 46 4F 75 B7 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14952_0 {
	meta:
		name = "TChartValueList.SetDateTime"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 48 0D 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14953_0 {
	meta:
		name = "TChartValueList.ClearList"
		size = 61
		refs = "0007 TList.Clear 000d TeeDefaultCapacity 0017 TList.SetCapacity"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 40 89 43 44 33 C0 89 43 38 89 43 3C 33 C0 89 43 30 89 43 34 33 C0 89 43 28 89 43 2C 5B C3 }
	condition:
		$1
}

rule function_14954_0 {
	meta:
		name = "TChartValueList.ClearValues"
		size = 54
		refs = "0019 TList.Get 0023 @FreeMem 002e TChartValueList.ClearList"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 1B 43 33 F6 8B D6 8B 47 08 E8 ?? ?? ?? ?? BA 08 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 E8 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14955_0 {
	meta:
		name = "TChartValueList.Scroll"
		size = 78
		refs = "0010 TList.First 0028 TList.Get 0034 TList.Put"
	strings:
		$1 = { 53 56 57 55 8B 58 08 83 7B 08 00 7E 3C 8B C3 E8 ?? ?? ?? ?? 8B E8 8B 7B 08 4F 85 FF 7E 1E BE 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E7 8B 53 08 4A 8B CD 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14956_0 {
	meta:
		name = "TChartValueList.SetValueSource"
		size = 39
		refs = "000c @LStrCmp 0018 @LStrAsg 0020 TChartSeries.CheckDataSource"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 24 8B D6 E8 ?? ?? ?? ?? 74 12 8D 43 24 8B D6 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14957_0 {
	meta:
		name = "TChartValueList.FillSequence"
		size = 54
		refs = "0009 TChartValueList.Count 0029 TChartValueList.ModifyValue"
	strings:
		$1 = { 53 56 57 51 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1D 46 33 DB 89 1C 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 E6 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14958_0 {
	meta:
		name = "_NF__253"
		size = 97
		refs = "0011 TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B DA 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? DD 5D F8 9B 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? DD 5D F0 9B DD 45 F8 DC 5D F0 DF E0 9E 73 05 83 C8 FF EB 14 DD 45 F8 DC 5D F0 DF E0 9E 76 07 B8 01 00 00 00 EB 02 33 C0 8B 55 08 8B 52 FC 80 7A 0C 02 75 02 F7 D8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14959_0 {
	meta:
		name = "_NF__254"
		size = 190
		refs = "003b _NF__253 006c TChartSeries.SwapValueIndex 009e _NF__254"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 75 08 83 C6 F8 8B 7D 08 83 C7 F4 8B 5D FC 8B 45 F8 89 06 8B 06 03 C3 D1 E8 89 07 3B 1E 7D 5E EB 01 43 8B 45 08 50 8B 17 8B C3 E8 ?? ?? ?? ?? 59 85 C0 7C ED EB 02 FF 0E 8B 45 08 50 8B 16 8B 07 E8 ?? ?? ?? ?? 59 85 C0 7C EC 3B 1E 7D 24 8B 0E 8B 45 08 8B 40 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 3B 1F 75 06 8B 06 89 07 EB 08 8B 06 3B 07 75 02 89 1F 3B 1E 7F 03 43 FF 0E 3B 1E 7C A5 8B 06 3B 45 FC 7E 0F 8B 45 08 50 8B 16 8B 45 FC E8 ?? ?? ?? ?? 59 3B 5D F8 7D 0F 8B 45 08 50 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14960_0 {
	meta:
		name = "TChartValueList.Sort"
		size = 42
		refs = "0017 TChartValueList.Count 0021 _NF__254"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC 80 78 0C 00 74 14 55 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 33 C0 E8 ?? ?? ?? ?? 59 8B E5 5D C3 }
	condition:
		$1
}

rule function_14961_0 {
	meta:
		name = "TChartValueList.Assign"
		size = 65
		refs = "000b _DV_TChartValueList 0010 @IsClass 0039 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B FE 8A 47 0C 88 43 0C 8A 47 0D 88 43 0D 8B 47 10 89 43 10 8B 47 14 89 43 14 8D 43 24 8B 57 24 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14962_0 {
	meta:
		name = "TSeriesMarks.Create"
		size = 143
		refs = "000b @ClassCreate 001a TObject.Create 0029 TChartSeries.CreateChartPen 003a _DV_TChartArrowPen 003f TChartArrowPen.Create 0061 CreateDefaultFont"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 C6 47 18 02 8B 47 04 E8 ?? ?? ?? ?? 89 47 1C C7 47 0C FF FF 80 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 20 8B 47 04 89 46 08 8B 00 8B 80 08 01 00 00 89 46 04 C7 47 28 08 00 00 00 E8 ?? ?? ?? ?? 8B F0 89 77 14 8B 47 04 89 46 08 8B 00 8B 80 08 01 00 00 89 46 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14963_0 {
	meta:
		name = "TSeriesMarks.Assign"
		size = 110
		refs = "000b _DV_TSeriesMarks 0010 @IsClass 0066 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 49 8B FE 8A 47 08 88 43 08 8B 57 14 8B 43 14 8B 08 FF 51 08 8A 47 18 88 43 18 8B 57 1C 8B 43 1C 8B 08 FF 51 08 8B 57 20 8B 43 20 8B 08 FF 51 08 8A 47 24 88 43 24 8B 47 0C 89 43 0C 8A 47 10 88 43 10 8B 47 28 89 43 28 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14964_0 {
	meta:
		name = "TSeriesMarks.IsFontStored"
		size = 15
		refs = "0007 IsDefaultFont"
	strings:
		$1 = { 53 8B D8 8B 43 14 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_14968_0 {
	meta:
		name = "TSeriesMarks.SetArrowLength"
		size = 14
		refs = "0009 TChartSeries.SetIntegerProperty"
	strings:
		$1 = { 8D 48 28 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14971_0 {
	meta:
		name = "TSeriesMarks.Destroy"
		size = 58
		refs = "000a TObject.Free 0026 TPersistent.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14973_0 {
	meta:
		name = "TSeriesMarks.SetStyle"
		size = 17
		refs = "000c TChartSeries.Repaint"
	strings:
		$1 = { 3A 50 18 74 0B 88 50 18 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14974_0 {
	meta:
		name = "TSeriesMarks.SetClip"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 48 24 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15207_0 {
	meta:
		name = "TChartAxis.SetLabelsOnAxis"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 24 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14975_0 {
	meta:
		name = "TChartSeries.Create"
		size = 356
		refs = "000e @ClassCreate 001c TComponent.Create 002f _Dn_TList 0034 TObject.Create 003c TChartSeries.Create 0045 _DV_TChartValueList 004a TChartValueList.Create 00a5 _DV_TSeriesMarks 00aa TSeriesMarks.Create 00b5 TeeMsg_DefValueFormat 00ba LoadResString 00c2 TeeMsg_DefPercentFormat 011f @LStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 58 01 C6 43 6C 01 C6 43 6D 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 2C C6 46 0D 00 C6 46 0C 01 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 C7 43 44 00 00 00 80 C6 43 72 01 66 C7 43 70 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 8D 53 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 53 54 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 60 33 C0 89 43 5C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 A0 ?? ?? ?? ?? 88 43 6E C7 83 C0 00 00 00 FF FF FF FF C7 83 C4 00 00 00 FF FF FF FF C6 83 CE 00 00 00 01 C6 83 CC 00 00 00 01 8D 83 BC 00 00 00 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 43 78 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 FF FF FF FF 01 00 00 00 58 00 00 00 FF FF FF FF 01 00 00 00 59 00 00 00 0F 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14977_0 {
	meta:
		name = "TTeeFunction.EndUpdate"
		size = 16
		refs = "000b TTeeFunction.ReCalculate"
	strings:
		$1 = { 80 78 2C 00 74 09 C6 40 2C 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14978_0 {
	meta:
		name = "TTeeFunction.ReCalculate"
		size = 21
		refs = "0010 TChartSeries.CheckDataSource"
	strings:
		$1 = { 80 78 2C 00 75 0E 8B 50 28 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14979_0 {
	meta:
		name = "TTeeFunction.Calculate"
		size = 23
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 F8 89 45 FC DD 45 F8 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14980_0 {
	meta:
		name = "_NF__290"
		size = 65
		refs = "0014 SwapDouble"
	strings:
		$1 = { 55 8B EC 53 8B 45 18 80 78 FF 00 75 0B 8D 55 08 8D 45 10 E8 ?? ?? ?? ?? FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B 45 18 8B 40 F8 8B 40 28 B9 00 00 00 80 33 D2 8B 18 FF 93 90 00 00 00 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_14981_0 {
	meta:
		name = "_NF__291"
		size = 109
		refs = "0016 TChartSeries.Count 002f TChartValueList.GetValue 005f _NF__290"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 F8 8B 58 24 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B F0 4E 2B F3 7C 47 46 8B 45 08 50 8B 45 08 8B 40 F0 8B D3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 53 8B 45 08 8B 40 F8 8B CB 2B 48 24 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 38 FF 57 28 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 43 4E 75 BA 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_14982_0 {
	meta:
		name = "_NF__292"
		size = 208
		refs = "0012 _NF__292 0023 TChartSeries.Count 003a TChartValueList.GetValue 006f SwapDouble 00bd @LStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 7E 46 33 DB 8B 45 08 8B 40 F0 8B D3 E8 ?? ?? ?? ?? DD 5D F8 9B 8B 45 08 8B 40 F8 8B 40 28 8B 50 60 8B 45 08 8B 40 F8 8B CB 8B 38 FF 57 2C DD 5D F0 9B 8B 45 08 80 78 FF 00 75 0B 8D 55 F0 8D 45 F8 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 4D EC 8B 45 08 8B 40 F4 8B D3 8B 38 FF 57 44 8B 55 EC 8B 45 08 8B 40 F8 8B 40 28 B9 00 00 00 80 8B 38 FF 97 90 00 00 00 43 4E 75 85 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14983_0 {
	meta:
		name = "_NF__293"
		size = 540
		refs = "0067 _NF__290 00a0 TChartSeries.YMandatory 00ce _NF__293 017e TChartSeries.Count 019f TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B 45 08 8B 40 F8 8B 58 28 8B 45 08 8B 40 F8 83 78 24 00 0F 85 54 01 00 00 6A FF 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 83 C9 FF 8B 30 FF 56 28 DD 5D F0 9B 80 BB CE 00 00 00 00 75 55 8B 45 08 8B 40 F0 8B 50 40 89 55 F8 8B 50 44 89 55 FC 8B 45 08 50 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F0 8B 50 38 89 55 F8 8B 50 3C 89 55 FC 8B 45 08 50 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 59 E9 78 01 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 84 C0 75 59 8B 45 08 8B 40 F8 8B 40 28 E8 ?? ?? ?? ?? 84 C0 74 47 8B 45 08 8B 40 F0 DD 40 38 8B 45 08 8B 40 F0 DC 60 40 D8 0D ?? ?? ?? ?? 8B 45 08 8B 40 F0 DC 40 40 DD 5D F8 9B FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 B9 00 00 00 80 33 D2 8B C3 8B 18 FF 93 90 00 00 00 E9 10 01 00 00 8B 45 08 8B 40 F0 DD 40 38 8B 45 08 8B 40 F0 DC 60 40 D8 0D ?? ?? ?? ?? 8B 45 08 8B 40 F0 DC 40 40 DD 5D F8 9B 8B 45 08 8B 40 F8 8B 40 28 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 08 50 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 59 E9 BE 00 00 00 FF 75 F4 FF 75 F0 FF 75 FC FF 75 F8 B9 00 00 00 80 33 D2 8B C3 8B 18 FF 93 90 00 00 00 E9 9C 00 00 00 33 DB 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 08 8B 40 F8 8B 70 24 03 F3 4E 3B 75 EC 7D 6C 8B 45 08 8B 40 F0 8B D6 E8 ?? ?? ?? ?? DD 5D E4 9B 8B 45 08 8B 40 F0 8B D3 E8 ?? ?? ?? ?? DC 6D E4 D8 0D ?? ?? ?? ?? DB 7D D8 9B 8B 45 08 8B 40 F0 8B D3 E8 ?? ?? ?? ?? DB 6D D8 DE C1 DD 5D F8 9B 8B 45 08 50 FF 75 FC FF 75 F8 56 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B CB 8B 18 FF 53 28 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 8D 5E 01 8B 45 EC 48 3B D8 0F 8E 74 FF FF FF 5E 5B 8B E5 5D C3 00 00 00 00 3F }
	condition:
		$1
}

rule function_14984_0 {
	meta:
		name = "TTeeFunction.AddPoints"
		size = 122
		refs = "001d TChartSeries.YMandatory 0049 _NF__292 0054 TChartSeries.Count 0067 _NF__291 0070 _NF__293"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 F4 89 45 F8 83 7D F4 00 74 62 8B 45 F8 8B 58 28 8B 45 F4 E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 74 0B 8B 45 F4 8B 40 2C 89 45 F0 EB 09 8B 45 F4 8B 40 30 89 45 F0 8B 43 60 83 78 08 01 7E 09 55 E8 ?? ?? ?? ?? 59 EB 25 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7E 19 8B 43 74 80 78 2D 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14985_0 {
	meta:
		name = "TTeeFunction.SetParentSeries"
		size = 28
	strings:
		$1 = { 53 8B 48 28 3B D1 74 12 85 C9 74 05 33 DB 89 59 74 92 8B 08 FF 91 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_14986_0 {
	meta:
		name = "TTeeFunction.CalculateMany"
		size = 18
	strings:
		$1 = { 83 C4 F8 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_14988_0 {
	meta:
		name = "TTeeFunction.SetPeriod"
		size = 101
		refs = "0009 TTeeFunction.SetPeriod 001b TeeMsg_FunctionPeriod 0020 LoadResString 002a _Dn_Exception 002f Exception.Create 0034 @RaiseExcept 0041 TTeeFunction.ReCalculate 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 50 24 74 08 89 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_14990_0 {
	meta:
		name = "TTeeFunction.SetParentComponent"
		size = 10
		refs = "0005 TTeeFunction.SetParentSeries"
	strings:
		$1 = { 85 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14992_0 {
	meta:
		name = "TChartSeries.GetChildren"
		size = 39
		refs = "000f TComponent.GetChildren"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 43 74 85 C0 74 08 8B D0 8B 45 0C FF 55 08 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14993_0 {
	meta:
		name = "TChartSeries.GetParentComponent"
		size = 4
	strings:
		$1 = { 8B 40 40 C3 }
	condition:
		$1
}

rule function_14994_0 {
	meta:
		name = "TChartSeries.SetParentComponent"
		size = 48
		refs = "000a _DV_TCustomAxisPanel 000f @IsClass 0020 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 50 5E 5B C3 }
	condition:
		$1
}

rule function_14996_0 {
	meta:
		name = "TChartSeries.SetFunction"
		size = 36
		refs = "000a TObject.Free 001d TChartSeries.CheckDataSource"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 74 E8 ?? ?? ?? ?? 8B C6 89 43 74 85 C0 74 03 89 58 28 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14997_0 {
	meta:
		name = "TChartSeries.Notification"
		size = 53
		refs = "0010 TComponent.Notification 001c TChartSeries.GetDataSource 002d TChartSeries.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 18 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0D 3B C7 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14998_0 {
	meta:
		name = "TChartSeries.DefineProperties"
		size = 180
		refs = "000c TComponent.DefineProperties 0012 _NF__2C4 0018 _NF__2C5 0027 TChartSeries.DefineProperties 0033 _NF__2C0 0039 _NF__2C1 0054 _NF__2C2 005a _NF__2C3"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 43 60 83 78 08 01 0F 9F C1 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 BB BC 00 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? A0 ?? ?? ?? ?? 3A 43 78 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5F 5E 5B C3 FF FF FF FF 0B 00 00 00 44 61 74 61 53 6F 75 72 63 65 73 00 FF FF FF FF 0A 00 00 00 49 64 65 6E 74 69 66 69 65 72 00 00 00 00 00 00 FF FF FF FF 05 00 00 00 53 74 79 6C 65 00 00 00 }
	condition:
		$1
}

rule function_14999_0 {
	meta:
		name = "_NF__2C0"
		size = 83
		refs = "000f _NF__2C0 001f TReader.ReadString 002d @LStrAsg 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15000_0 {
	meta:
		name = "_NF__2C1"
		size = 13
		refs = "0008 TWriter.WriteString"
	strings:
		$1 = { 8B 80 BC 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15001_0 {
	meta:
		name = "_NF__2C2"
		size = 176
		refs = "0007 TReader.ReadInteger 000e _NF__2C2"
	strings:
		$1 = { 53 56 8B D8 8B C2 E8 ?? ?? ?? ?? 8B F0 A0 ?? ?? ?? ?? 88 43 78 8B C6 83 E0 01 48 75 0B A0 ?? ?? ?? ?? 0A 43 78 88 43 78 8B C6 83 E0 02 83 F8 02 75 0B A0 ?? ?? ?? ?? 0A 43 78 88 43 78 8B C6 83 E0 04 83 F8 04 75 0B A0 ?? ?? ?? ?? 0A 43 78 88 43 78 8B C6 83 E0 08 83 F8 08 75 0B A0 ?? ?? ?? ?? 0A 43 78 88 43 78 8B C6 83 E0 10 83 F8 10 75 0B A0 ?? ?? ?? ?? 0A 43 78 88 43 78 83 E6 20 83 FE 20 75 0B A0 ?? ?? ?? ?? 0A 43 78 88 43 78 5E 5B C3 00 00 00 00 00 00 01 00 00 00 02 00 00 00 04 00 00 00 08 00 00 00 10 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_15002_0 {
	meta:
		name = "_NF__2C3"
		size = 66
		refs = "003c TWriter.WriteInteger"
	strings:
		$1 = { 56 33 F6 F6 40 78 01 74 01 46 F6 40 78 02 74 03 83 C6 02 F6 40 78 04 74 03 83 C6 04 F6 40 78 08 74 03 83 C6 08 F6 40 78 10 74 03 83 C6 10 F6 40 78 20 74 03 83 C6 20 8B C2 8B D6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_15003_0 {
	meta:
		name = "_NF__2C4"
		size = 134
		refs = "0010 _NF__2C4 001d TReader.ReadListBegin 0024 _Dn_TStringList 0029 TObject.Create 0043 TReader.ReadString 0054 TReader.EndOfList 005f TReader.ReadListEnd 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7E 5C 8B F7 8B C6 8B 10 FF 52 40 EB 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 84 C0 74 E1 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15004_0 {
	meta:
		name = "_NF__2C5"
		size = 64
		refs = "000b TWriter.WriteListBegin 0022 TList.Get 002c TWriter.WriteString 0037 TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B C7 E8 ?? ?? ?? ?? 8B 6B 60 8B 5D 08 4B 85 DB 7C 1A 43 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B 50 08 8B C7 E8 ?? ?? ?? ?? 46 4B 75 E9 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15005_0 {
	meta:
		name = "TChartSeries.YMandatory"
		size = 21
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 D0 00 00 00 3B 43 30 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_15008_0 {
	meta:
		name = "TChartSeries.DrawAllValues"
		size = 85
	strings:
		$1 = { 53 56 57 8B F8 8B C7 8B 10 FF 92 D4 00 00 00 84 C0 74 20 8B B7 C0 00 00 00 8B 9F C4 00 00 00 2B DE 7C 2E 43 8B D6 8B C7 8B 08 FF 51 2C 46 4B 75 F3 EB 1E 8B B7 C4 00 00 00 8B 9F C0 00 00 00 2B DE 7F 0E 4B 8B D6 8B C7 8B 08 FF 51 2C 4E 43 75 F3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15009_0 {
	meta:
		name = "TChartSeries.SameClass"
		size = 56
		refs = "0009 TObject.ClassType 0012 @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 19 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_15010_0 {
	meta:
		name = "TChartSeries.PointOrigin"
		size = 184
		refs = "002e TCustomAxisPanel.SeriesCount 0043 TCustomAxisPanel.GetSeries 005f TChartSeries.SameClass 006a TChartSeries.Count 008b TChartSeries.PointOrigin"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 88 4C 24 04 89 14 24 8B F0 33 C0 89 44 24 08 89 44 24 0C 8B 46 40 85 C0 0F 84 80 00 00 00 89 44 24 18 8B 44 24 18 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 6C 47 33 ED 8B D5 8B 44 24 18 E8 ?? ?? ?? ?? 8B D8 80 7C 24 04 00 75 04 3B F3 74 51 80 7B 58 00 74 47 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8B C3 E8 ?? ?? ?? ?? 3B 04 24 7E 2E 8B 14 24 8B C3 8B 08 FF 91 C4 00 00 00 DD 5C 24 10 9B DD 44 24 10 D8 1D ?? ?? ?? ?? DF E0 9E 76 0D DD 44 24 08 DC 44 24 10 DD 5C 24 08 9B 45 4F 75 97 DD 44 24 08 83 C4 1C 5D 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15011_0 {
	meta:
		name = "TChartSeries.CheckDataSource"
		size = 22
	strings:
		$1 = { 56 8B 70 40 85 F6 74 0C 8B D0 8B C6 8B 08 FF 91 CC 00 00 00 5E C3 }
	condition:
		$1
}

rule function_15012_0 {
	meta:
		name = "TChartSeries.SetRecalcOptions"
		size = 12
	strings:
		$1 = { 51 88 14 24 8A 14 24 88 50 6E 5A C3 }
	condition:
		$1
}

rule function_15013_0 {
	meta:
		name = "TChartSeries.SetColorSource"
		size = 50
		refs = "000c @LStrCmp 0018 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 68 8B D6 E8 ?? ?? ?? ?? 74 1D 8D 43 68 8B D6 E8 ?? ?? ?? ?? 8B 73 40 85 F6 74 0C 8B D3 8B C6 8B 08 FF 91 CC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15014_0 {
	meta:
		name = "TChartSeries.SetLabelsSource"
		size = 50
		refs = "000c @LStrCmp 0018 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 64 8B D6 E8 ?? ?? ?? ?? 74 1D 8D 43 64 8B D6 E8 ?? ?? ?? ?? 8B 73 40 85 F6 74 0C 8B D3 8B C6 8B 08 FF 91 CC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15015_0 {
	meta:
		name = "TChartSeries.GetCursorValueIndex"
		size = 37
		refs = "000c TCustomTeePanel.GetCursorPos"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B 43 40 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 8B C3 8B 18 FF 93 C0 00 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_15016_0 {
	meta:
		name = "TChartSeries.GetCursorValues"
		size = 55
		refs = "0012 TCustomTeePanel.GetCursorPos 001c TChartSeries.XScreenToValue 002a TChartSeries.YScreenToValue"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B D4 8B 43 40 E8 ?? ?? ?? ?? 8B 14 24 8B C3 E8 ?? ?? ?? ?? DD 1E 9B 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? DD 1F 9B 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15017_0 {
	meta:
		name = "TChartSeries.GetDataSource"
		size = 26
		refs = "0012 TList.Get"
	strings:
		$1 = { 8B 50 60 85 D2 74 10 83 7A 08 00 7E 0A 8B C2 33 D2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_15018_0 {
	meta:
		name = "_NF__2E8"
		size = 60
		refs = "0010 TList.Add 0018 _DV_TChartSeries 001d @IsClass 002a TChartSeries.AddLinkedSeries 0035 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 2F 8B D3 8B 46 60 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15019_0 {
	meta:
		name = "_NF__2E9"
		size = 87
		refs = "001d TList.Get 0031 _DV_TChartSeries 0036 @IsClass 004b TChartSeries.RemoveLinkedSeries"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 60 85 C0 74 47 8B 78 08 4F 85 FF 7C 3F 47 33 F6 8B D6 8B 43 60 E8 ?? ?? ?? ?? 85 C0 74 2A 8B D6 8B 43 60 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 43 60 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 46 4F 75 C4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15020_0 {
	meta:
		name = "_NF__2EA"
		size = 30
		refs = "000a _NF__2E9 0018 TList.Clear"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 60 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_15021_0 {
	meta:
		name = "TChartSeries.SetDataSource"
		size = 398
		refs = "0016 TChartSeries.SetDataSource 0031 TChartSeries.GetDataSource 0051 @CallDynaInst 0057 _NF__2EA 0095 TChartSeries.Repaint 00ac TeeMsg_SeriesSetDataSource 00b1 LoadResString 00b9 ShowMessage 00de TList.IndexOf 00ed _DV_TChartSeries 00f2 @IsClass 0100 TChartSeries.CheckOtherSeries 011a _NF__2E8 014e TeeMsg_SeriesInvDataSource 015d _DV_ChartException 0162 Exception.CreateFmt 0167 @RaiseExcept 017c @LStrClr 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 7A 8B 45 FC 83 78 40 00 74 28 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 1C 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 40 40 8B 55 FC 66 BB DA FF E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 40 85 C0 74 20 F6 40 20 10 74 1A 8B 45 FC 8B 10 FF 92 80 00 00 00 8B D0 8B 45 FC 8B 08 FF 91 84 00 00 00 EB 0B 8B 45 FC 8B 10 FF 92 88 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 CD 00 00 00 8B 45 FC 8B 70 40 85 F6 75 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E9 A9 00 00 00 8B C6 8B CB 8B 55 FC 8B 30 FF 96 C8 00 00 00 84 C0 74 65 8B 45 FC 8B 40 60 8B D3 E8 ?? ?? ?? ?? 40 0F 85 82 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 01 75 07 55 E8 ?? ?? ?? ?? 59 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 01 75 44 8B 45 FC 8B 40 40 8B 55 FC 8B 08 FF 91 CC 00 00 00 EB 31 8B 43 08 89 45 F0 C6 45 F4 0B 8D 45 F0 50 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15022_0 {
	meta:
		name = "TChartSeries.IsValidSourceOf"
		size = 6
	strings:
		$1 = { 3B C2 0F 95 C0 C3 }
	condition:
		$1
}

rule function_15024_0 {
	meta:
		name = "TChartSeries.CreateChartPen"
		size = 31
		refs = "0006 _DV_TChartPen 000b TChartPen.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 08 8B 13 8B 92 08 01 00 00 89 50 04 5B C3 }
	condition:
		$1
}

rule function_15026_0 {
	meta:
		name = "TChartSeries.GetYValueList"
		size = 187
		refs = "0017 @LStrAddRef 001f TChartSeries.GetYValueList 0036 AnsiUpperCase 0041 @LStrLAsg 005d TList.Get 0073 @LStrCmp 009d @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 30 89 45 F8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 47 24 8B 70 08 4E 83 EE 02 7C 3B 46 BB 02 00 00 00 8B D3 8B 47 24 E8 ?? ?? ?? ?? 8B 40 20 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 75 0F 8B D3 8B 47 24 E8 ?? ?? ?? ?? 89 45 F8 EB 04 43 4E 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15027_0 {
	meta:
		name = "TChartSeries.CheckOtherSeries"
		size = 16
		refs = "000b _NF__685"
	strings:
		$1 = { 8B 48 40 85 C9 74 08 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15028_0 {
	meta:
		name = "TChartSeries.ColorRange"
		size = 103
		refs = "0024 TChartValueList.GetValue 004e TList.Put 005a TChartSeries.Repaint"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 8B FA 89 45 FC 8B 47 08 8B 70 08 4E 85 F6 7C 3A 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 DC 5D 10 DF E0 9E 72 1B DD 45 F0 DC 5D 08 DF E0 9E 77 10 8B 45 FC 8B 40 34 8B 4D F8 8B D3 E8 ?? ?? ?? ?? 43 4E 75 C9 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_15030_0 {
	meta:
		name = "TChartSeries.GetHorizAxis"
		size = 16
	strings:
		$1 = { 33 D2 8A 50 6C 8B 40 40 8B 84 90 10 02 00 00 C3 }
	condition:
		$1
}

rule function_15031_0 {
	meta:
		name = "TChartSeries.GetVertAxis"
		size = 16
	strings:
		$1 = { 33 D2 8A 50 6D 8B 40 40 8B 84 90 18 02 00 00 C3 }
	condition:
		$1
}

rule function_15032_0 {
	meta:
		name = "TChartSeries.SetHorizAxis"
		size = 14
		refs = "0009 TChartSeries.Repaint"
	strings:
		$1 = { 3A 50 6C 74 08 88 50 6C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15033_0 {
	meta:
		name = "TChartSeries.SetVertAxis"
		size = 14
		refs = "0009 TChartSeries.Repaint"
	strings:
		$1 = { 3A 50 6D 74 08 88 50 6D E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15034_0 {
	meta:
		name = "TChartSeries.SetChartValueList"
		size = 21
		refs = "000f TChartSeries.Repaint"
	strings:
		$1 = { 56 8B F0 8B 02 8B D1 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_15035_0 {
	meta:
		name = "TChartSeries.SetXValues"
		size = 11
		refs = "0006 TChartSeries.SetChartValueList"
	strings:
		$1 = { 8D 48 2C 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15036_0 {
	meta:
		name = "TChartSeries.SetYValues"
		size = 11
		refs = "0006 TChartSeries.SetChartValueList"
	strings:
		$1 = { 8D 48 30 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15037_0 {
	meta:
		name = "TChartSeries.SetTitle"
		size = 78
		refs = "000e @LStrAddRef 0016 TChartSeries.SetTitle 0029 TChartSeries.SetStringProperty 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 53 4C 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15038_0 {
	meta:
		name = "_NF__320"
		size = 37
	strings:
		$1 = { 83 C4 F8 84 D2 74 0D 8B D1 8B 08 FF 51 3C DD 1C 24 9B EB 0B 8B D1 8B 08 FF 51 40 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15039_0 {
	meta:
		name = "_NF__321"
		size = 26
		refs = "0015 TChartSeries.CalcFirstLastVisibleIndex"
	strings:
		$1 = { C7 80 C0 00 00 00 FF FF FF FF C7 80 C4 00 00 00 FF FF FF FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15040_0 {
	meta:
		name = "TChartSeries.CalcFirstLastVisibleIndex"
		size = 562
		refs = "001e TChartSeries.Count 003a TChartSeries.YMandatory 0060 TChartSeries.GetHorizAxis 0074 TChartAxis.CalcPosPoint 0095 TChartSeries.GetVertAxis 00f2 TChartValueList.GetValue 0185 TChartValueList.Last"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 C7 83 C0 00 00 00 FF FF FF FF C7 83 C4 00 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E 02 02 00 00 80 BB CC 00 00 00 00 0F 84 DF 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8B 73 2C EB 03 8B 73 30 33 C0 89 83 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 8B C3 E8 ?? ?? ?? ?? 80 78 70 00 74 14 8B 50 04 8B 92 88 01 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B EB 6B 8B 50 04 8B 92 80 01 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B EB 57 8B C3 E8 ?? ?? ?? ?? 80 78 70 00 74 14 8B 50 04 8B 92 84 01 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B EB 36 8B 50 04 8B 92 8C 01 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B EB 22 FF 83 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 48 3B 83 C0 00 00 00 7D 0C C7 83 C0 00 00 00 FF FF FF FF EB 15 8B 93 C0 00 00 00 8B C6 E8 ?? ?? ?? ?? DC 1C 24 DF E0 9E 72 C9 83 BB C0 00 00 00 00 0F 8C 21 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 37 8B C3 E8 ?? ?? ?? ?? 80 78 70 00 75 15 8B 50 04 8B 92 88 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 08 9B EB 4A 8B 50 04 8B 92 80 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 08 9B EB 35 8B C3 E8 ?? ?? ?? ?? 80 78 70 00 75 15 8B 50 04 8B 92 84 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 08 9B EB 13 8B 50 04 8B 92 8C 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 08 9B 8B C6 E8 ?? ?? ?? ?? DC 5C 24 08 DF E0 9E 77 13 8B C3 E8 ?? ?? ?? ?? 48 89 83 C4 00 00 00 E9 87 00 00 00 8B 83 C0 00 00 00 89 83 C4 00 00 00 EB 26 FF 83 C4 00 00 00 8B C3 E8 ?? ?? ?? ?? 48 3B 83 C4 00 00 00 7D 10 8B C3 E8 ?? ?? ?? ?? 48 89 83 C4 00 00 00 EB 16 8B 93 C4 00 00 00 8B C6 E8 ?? ?? ?? ?? DC 5C 24 08 DF E0 9E 72 C4 80 BB CD 00 00 00 00 75 34 8B 93 C4 00 00 00 8B C6 E8 ?? ?? ?? ?? DC 5C 24 08 DF E0 9E 76 1E FF 8B C4 00 00 00 EB 16 33 C0 89 83 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 48 89 83 C4 00 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_15041_0 {
	meta:
		name = "TChartSeries.Repaint"
		size = 15
	strings:
		$1 = { 8B 50 40 85 D2 74 07 8B C2 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_15043_0 {
	meta:
		name = "TChartSeries.SetActive"
		size = 11
		refs = "0006 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 48 58 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15044_0 {
	meta:
		name = "TChartSeries.IsValueFormatStored"
		size = 86
		refs = "000c TChartSeries.IsValueFormatStored 001a TeeMsg_DefValueFormat 001f LoadResString 002a @LStrCmp 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 50 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_15045_0 {
	meta:
		name = "TChartSeries.IsPercentFormatStored"
		size = 86
		refs = "000c TChartSeries.IsPercentFormatStored 001a TeeMsg_DefPercentFormat 001f LoadResString 002a @LStrCmp 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 54 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_15046_0 {
	meta:
		name = "TChartSeries.DeletedValue"
		size = 21
	strings:
		$1 = { 56 57 8B F9 8B F0 8B D7 8B C6 8B 08 FF 91 98 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_15047_0 {
	meta:
		name = "TChartSeries.AddValue"
		size = 58
		refs = "0020 TList.Get 002d TChartValueList.InsertChartValue"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 24 8B 58 08 4B 83 EB 02 7C 21 43 BE 02 00 00 00 8B 47 24 8B D6 E8 ?? ?? ?? ?? FF 70 1C FF 70 18 8B D5 E8 ?? ?? ?? ?? 46 4B 75 E5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15048_0 {
	meta:
		name = "TChartSeries.AddChartValue"
		size = 197
		refs = "0015 TChartValueList.GetValue 0031 TChartSeries.YMandatory 004d SwapDouble 005d TChartValueList.AddChartValue 0075 TChartValueList.InsertChartValue 0090 TChartSeries.GetValueList"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 89 0C 24 8B EA 8B F8 8B 45 2C 8B 14 24 E8 ?? ?? ?? ?? DD 5C 24 08 9B 8B 45 30 8B 14 24 E8 ?? ?? ?? ?? DD 5C 24 10 9B 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C5 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 54 24 10 8D 44 24 08 E8 ?? ?? ?? ?? FF 74 24 0C FF 74 24 0C 8B 47 2C E8 ?? ?? ?? ?? 89 44 24 04 FF 74 24 14 FF 74 24 14 8B 54 24 0C 8B 47 30 E8 ?? ?? ?? ?? 8B 47 24 8B 70 08 4E 83 EE 02 7C 34 46 BB 02 00 00 00 8B D3 8B C5 E8 ?? ?? ?? ?? 8B 14 24 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 54 24 0C E8 ?? ?? ?? ?? 43 4E 75 D2 8B 44 24 04 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15049_0 {
	meta:
		name = "TChartSeries.AddedValue"
		size = 169
		refs = "0019 TChartSeries.AddedValue 0043 TList.Get 0050 TList.Insert 0075 _NF__37D 0096 @LStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D3 8B C6 8B 38 FF 57 5C 89 45 F8 8B 7B 34 8B 47 08 3B 45 FC 7E 17 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 46 34 E8 ?? ?? ?? ?? 8B 43 38 8B 40 08 3B 45 FC 7E 1A 8D 4D F4 8B 55 FC 8B C3 8B 18 FF 53 44 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B C6 8B 18 FF 53 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15050_0 {
	meta:
		name = "_NF__33F"
		size = 60
	strings:
		$1 = { 55 8B EC 8B 55 08 66 C7 42 FE 01 00 8B 55 08 66 3B 42 FC 73 09 8B 55 08 66 29 42 FC 5D C3 8B 55 08 66 FF 4A FA 8B 55 08 66 2B 42 FC 66 BA 0C 00 66 2B D0 8B 45 08 66 89 50 FC 5D C3 }
	condition:
		$1
}

rule function_15051_0 {
	meta:
		name = "_NF__340"
		size = 46
	strings:
		$1 = { 55 8B EC 8B 55 08 66 C7 42 FE 01 00 8B 55 08 66 01 42 FC 8B 45 08 66 83 78 FC 0C 76 0F 8B 45 08 66 FF 40 FA 8B 45 08 66 83 68 FC 0C 5D C3 }
	condition:
		$1
}

rule function_15052_0 {
	meta:
		name = "_NF__341"
		size = 36
		refs = "0011 _NF__340 001d _NF__33F"
	strings:
		$1 = { 55 8B EC 8B 55 08 80 7A F9 00 74 0C 8B 55 08 52 E8 ?? ?? ?? ?? 59 5D C3 8B 55 08 52 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_15053_0 {
	meta:
		name = "TChartAxis.IncDecDateTime"
		size = 336
		refs = "003f DecodeDate 0056 TChartAxis.IncDecDateTime 00a0 _NF__341 0127 EncodeDate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 88 55 F9 8B 5D 08 80 78 72 00 0F 84 16 01 00 00 80 B8 8C 00 00 00 00 0F 84 09 01 00 00 80 FB 12 0F 82 00 01 00 00 FF 76 04 FF 36 8D 4D FE 8D 55 FC 8D 45 FA E8 ?? ?? ?? ?? 33 C0 8A C3 83 C0 EE 83 F8 06 0F 87 AD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 7D FE 0F 76 0B 66 C7 45 FE 0F 00 E9 92 00 00 00 66 83 7D FE 01 76 0B 66 C7 45 FE 01 00 E9 80 00 00 00 55 66 B8 01 00 E8 ?? ?? ?? ?? 59 66 C7 45 FE 0F 00 EB 6D 55 66 B8 01 00 E8 ?? ?? ?? ?? 59 EB 60 55 66 B8 02 00 E8 ?? ?? ?? ?? 59 EB 53 55 66 B8 03 00 E8 ?? ?? ?? ?? 59 EB 46 55 66 B8 04 00 E8 ?? ?? ?? ?? 59 EB 39 55 66 B8 06 00 E8 ?? ?? ?? ?? 59 EB 2C 80 7D F9 00 74 06 66 FF 45 FA EB 20 66 FF 4D FA EB 1A 80 7D F9 00 74 0A DD 06 DC 45 0C DD 1E 9B EB 38 DD 06 DC 65 0C DD 1E 9B EB 2E 66 8B 4D FE 66 8B 55 FC 66 8B 45 FA E8 ?? ?? ?? ?? DD 1E 9B EB 18 80 7D F9 00 74 0A DD 06 DC 45 0C DD 1E 9B EB 08 DD 06 DC 65 0C DD 1E 9B 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_15054_0 {
	meta:
		name = "TChartSeries.AddValues"
		size = 131
		refs = "0029 TChartSeries.Count 005a TChartValueList.SetDateTime 0079 TChartSeries.RefreshSeries"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 74 84 C0 74 67 8B C3 8B 10 FF 92 88 00 00 00 83 7B 74 00 75 2A 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 42 47 C7 04 24 00 00 00 00 8B 0C 24 8B D6 8B C3 8B 28 FF 55 60 FF 04 24 4F 75 EE EB 26 8B 46 2C 8A 50 0D 8B 43 2C E8 ?? ?? ?? ?? 8B 46 30 8A 50 0D 8B 43 30 E8 ?? ?? ?? ?? 8B D6 8B 43 74 8B 08 FF 51 30 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15055_0 {
	meta:
		name = "TChartSeries.AssignValues"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 64 C3 }
	condition:
		$1
}

rule function_15056_0 {
	meta:
		name = "TChartSeries.RefreshSeries"
		size = 10
		refs = "0005 TChartSeries.NotifyValue"
	strings:
		$1 = { 33 C9 B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15057_0 {
	meta:
		name = "TChartSeries.GetEditorClass"
		size = 48
		refs = "0006 TChartSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 12 00 00 00 54 43 68 61 72 74 53 65 72 69 65 73 45 64 69 74 6F 72 00 00 }
	condition:
		$1
}

rule function_15058_0 {
	meta:
		name = "TChartSeries.MoreSameZOrder"
		size = 71
		refs = "0009 TCustomAxisPanel.SeriesCount 001d TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 40 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2D 46 33 FF 8B D7 8B 43 40 E8 ?? ?? ?? ?? 3B D8 74 18 80 78 58 00 74 12 8B 80 C8 00 00 00 3B 83 C8 00 00 00 75 04 B0 01 EB 06 47 4E 75 D6 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15059_0 {
	meta:
		name = "TChartSeries.FirstInZOrder"
		size = 81
		refs = "0013 TCustomAxisPanel.SeriesCount 0027 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 8B D8 80 7B 58 00 75 04 33 C0 EB 3E 8B 43 40 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2D 46 33 FF 8B D7 8B 43 40 E8 ?? ?? ?? ?? 3B D8 74 1C 80 78 58 00 74 12 8B 80 C8 00 00 00 3B 83 C8 00 00 00 75 04 33 C0 EB 06 47 4E 75 D6 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15062_0 {
	meta:
		name = "TChartSeries.DrawMarks"
		size = 420
		refs = "0017 TChartSeries.DrawMarks 006e TChartSeries.GetMarkText 0091 TCustomTeePanel.TeeCharHeight 00a4 @LStrCat3 00df TPen.GetWidth 00fc TPen.SetStyle 017c @LStrClr 018a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 D4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 40 89 45 F0 8B 43 3C 89 45 EC 8B 45 EC 80 78 08 00 0F 84 31 01 00 00 8B B3 C0 00 00 00 8B 83 C4 00 00 00 2B C6 0F 8C 1D 01 00 00 40 89 45 E8 8B D6 8B C3 8B 08 FF 51 48 3D FF FF FF 1F 0F 84 FB 00 00 00 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 E5 00 00 00 8B 45 EC 8B 50 14 8B 45 F0 8B 08 FF 91 80 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 8D 45 D4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F0 8B 08 FF 91 90 00 00 00 89 45 F8 8B 45 EC 8B 40 1C 80 78 18 00 74 28 8B D0 8B 45 F0 8B 80 50 01 00 00 8B 40 10 8B 08 FF 51 08 8B 45 EC 8B 40 1C E8 ?? ?? ?? ?? 03 C0 01 45 F8 01 45 F4 EB 13 8B 45 F0 8B 80 50 01 00 00 8B 40 10 B2 05 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 8B F8 8B 45 F8 D1 F8 79 03 83 D0 00 50 8B C7 5A 2B C2 89 45 D8 03 45 F8 89 45 E0 8B D6 8B C3 8B 08 FF 91 B4 00 00 00 8B 55 F4 D1 FA 79 03 83 D2 00 8B C8 2B CA 89 4D DC 8B 55 DC 03 55 F4 89 55 E4 8D 55 D8 52 57 50 57 50 8B 4D FC 8B D6 8B C3 8B 38 FF 57 38 46 FF 4D E8 0F 85 E7 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_15063_0 {
	meta:
		name = "TChartSeries.CalcHorizMargins"
		size = 9
		altNames = "TChartSeries.CalcVerticalMargins"
	strings:
		$1 = { 33 C0 89 02 33 C0 89 01 C3 }
	condition:
		$1
}

rule function_15065_0 {
	meta:
		name = "TChartSeries.DrawMark"
		size = 393
		refs = "004e TPen.GetColor 0079 TPen.SetColor 009a TCustomTeePanel.DoLine 00b1 TBrush.SetColor 00c4 TBrush.SetStyle 00e8 TCustomTeePanel.DoRectangle 00f3 TPen.GetWidth 0120 TPen.SetStyle 013d TCanvas.GetHandle 0143 SetTextAlign 014b TFont.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 18 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B F0 8B 7E 40 8B 9F 50 01 00 00 8B 46 3C 8B 40 20 80 78 18 00 74 69 8B D0 8B 43 10 8B 08 FF 51 08 8B 55 FC 8B C6 8B 08 FF 51 48 50 8B 43 10 E8 ?? ?? ?? ?? 5A 3B D0 74 10 8B 43 10 E8 ?? ?? ?? ?? 8B 56 40 3B 42 54 75 22 8B 46 40 83 78 54 00 75 0F BA FF FF FF 00 8B 43 10 E8 ?? ?? ?? ?? EB 0A 33 D2 8B 43 10 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B 4D 10 8B 55 14 8B C7 E8 ?? ?? ?? ?? 8B 46 3C 8B 50 1C 80 7A 18 00 74 52 8B 50 0C 8B 43 14 E8 ?? ?? ?? ?? 8B 46 3C 80 78 10 00 74 0C B2 01 8B 43 14 E8 ?? ?? ?? ?? EB 0A 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8B 46 3C 8B 50 1C 8B 43 10 8B 08 FF 51 08 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 46 3C 8B 40 1C E8 ?? ?? ?? ?? 01 45 EC EB 32 80 78 10 00 75 2C 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8B 46 3C 8B 50 0C 8B 43 14 E8 ?? ?? ?? ?? B2 05 8B 43 10 E8 ?? ?? ?? ?? 8D 55 E8 8B C7 E8 ?? ?? ?? ?? B2 01 8B 43 14 E8 ?? ?? ?? ?? 6A 06 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 85 C0 74 1E 8B 45 F8 50 8B 55 E8 03 55 F0 D1 FA 79 03 83 D2 00 8B 4D EC 8B C7 8B 30 FF 96 84 00 00 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_15066_0 {
	meta:
		name = "TChartSeries.SetColorProperty"
		size = 12
		refs = "0007 TChartSeries.Repaint"
		altNames = "TChartSeries.SetIntegerProperty TChartSeries.SetLongintProperty"
	strings:
		$1 = { 3B 0A 74 07 89 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15068_0 {
	meta:
		name = "TChartSeries.SetStringProperty"
		size = 40
		refs = "000e @LStrCmp 0019 @LStrAsg 0020 TChartSeries.Repaint"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 06 8B D7 E8 ?? ?? ?? ?? 74 10 8B C6 8B D7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15070_0 {
	meta:
		name = "_NF__37D"
		size = 34
		refs = "000e _NF__406 001a TList.Insert"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15071_0 {
	meta:
		name = "TChartSeries.AddXY"
		size = 151
		refs = "0052 TChartValueList.AddChartValue 0064 TChartValueList.InsertChartValue 0071 TList.Insert 007d _NF__37D"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 83 CF FF 8B 46 2C 8B 55 10 89 50 18 8B 55 14 89 50 1C 8B 46 30 8B 55 08 89 50 18 8B 55 0C 89 50 1C 66 83 7E 7E 00 74 0F 8B D6 8B 86 80 00 00 00 FF 56 7C 84 C0 74 44 8B 46 2C FF 70 1C FF 70 18 E8 ?? ?? ?? ?? 8B F8 8B 46 30 FF 70 1C FF 70 18 8B D7 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B 46 34 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C6 8B 18 FF 53 28 8B C7 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_15072_0 {
	meta:
		name = "TChartSeries.NotifyNewValue"
		size = 57
		refs = "0025 TChartSeries.NotifyValue 0032 TChartSeries.Repaint"
	strings:
		$1 = { 53 56 8B F1 8B D8 66 83 BB 86 00 00 00 00 74 0E 8B CE 8B 83 88 00 00 00 FF 93 84 00 00 00 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 80 7B 58 00 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15073_0 {
	meta:
		name = "TChartSeries.IsNull"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 3D FF FF FF 1F 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_15074_0 {
	meta:
		name = "TChartSeries.AddNull"
		size = 20
	strings:
		$1 = { 53 6A 00 6A 00 B9 FF FF FF 1F 8B 18 FF 93 8C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_15075_0 {
	meta:
		name = "TChartSeries.AddArray"
		size = 73
		refs = "003b TChartSeries.RefreshSeries"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 04 24 8B C1 40 89 44 24 04 8B F1 85 F6 7C 21 46 8B DA FF 73 04 FF 33 B9 00 00 00 80 33 D2 8B 44 24 08 8B 38 FF 97 8C 00 00 00 83 C3 08 4E 75 E2 8B 04 24 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15076_0 {
	meta:
		name = "TChartSeries.Add"
		size = 66
		refs = "000f TChartSeries.YMandatory 0024 TChartSeries.AddY 0037 TChartSeries.AddX"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 FF 75 0C FF 75 08 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 11 FF 75 0C FF 75 08 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15077_0 {
	meta:
		name = "TChartSeries.AddY"
		size = 45
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 46 2C 8B 40 08 DB 40 08 83 C4 F8 DD 1C 24 9B FF 75 0C FF 75 08 8B C6 8B 18 FF 93 90 00 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15078_0 {
	meta:
		name = "TChartSeries.AddX"
		size = 45
	strings:
		$1 = { 55 8B EC 53 56 8B F0 FF 75 0C FF 75 08 8B 46 2C 8B 40 08 DB 40 08 83 C4 F8 DD 1C 24 9B 8B C6 8B 18 FF 93 90 00 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15079_0 {
	meta:
		name = "TChartSeries.Count"
		size = 10
	strings:
		$1 = { 8B 40 2C 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_15080_0 {
	meta:
		name = "TChartSeries.VisibleCount"
		size = 16
	strings:
		$1 = { 8B 90 C4 00 00 00 2B 90 C0 00 00 00 42 8B C2 C3 }
	condition:
		$1
}

rule function_15083_0 {
	meta:
		name = "TChartSeries.MarkPercent"
		size = 260
		refs = "0020 TChartSeries.MarkPercent 0069 FormatFloat 00bd TeeMsg_DefaultPercentOf 00c2 LoadResString 00cd FmtStr 00e7 @LStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E4 89 5D E0 88 4D FB 89 55 FC 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 D0 00 00 00 8B F0 DD 46 30 D8 1D ?? ?? ?? ?? DF E0 9E 74 2B 8B 55 FC 8B C3 8B 08 FF 91 C8 00 00 00 D9 E1 D8 0D ?? ?? ?? ?? DC 76 30 83 C4 F4 DB 3C 24 9B 8B D7 8B 43 54 E8 ?? ?? ?? ?? EB 16 68 05 40 00 00 68 00 00 00 C8 6A 00 8B D7 8B 43 54 E8 ?? ?? ?? ?? 80 7D FB 00 74 46 6A 01 8B 07 89 45 E8 C6 45 EC 0B DD 46 30 83 C4 F4 DB 3C 24 9B 8D 55 E4 8B 43 50 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 0B 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C7 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_15084_0 {
	meta:
		name = "TChartSeries.GetOriginValue"
		size = 21
	strings:
		$1 = { 83 C4 F8 8B 08 FF 91 C8 00 00 00 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15085_0 {
	meta:
		name = "TChartSeries.GetMarkValue"
		size = 18
	strings:
		$1 = { 83 C4 F8 8B 08 FF 51 40 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15086_0 {
	meta:
		name = "_NF__3B4"
		size = 74
		refs = "0041 FormatFloat"
	strings:
		$1 = { 55 8B EC 53 56 57 8B DA 8B F0 8B CB 8B 45 08 8B 40 FC 8B D6 8B 38 FF 57 44 83 3B 00 75 27 8B 45 08 8B 40 FC 8B D6 8B 08 FF 91 C8 00 00 00 83 C4 F4 DB 3C 24 9B 8B D3 8B 45 08 8B 40 FC 8B 40 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_15087_0 {
	meta:
		name = "TChartSeries.GetMarkText"
		size = 572
		refs = "0017 TChartSeries.GetMarkText 007c FormatFloat 008e TChartSeries.MarkPercent 009e _NF__3B4 00a9 @LStrLAsg 00e1 @LStrCatN 0141 TCustomAxisPanel.FormattedValueLegend 0195 TChartSeries.GetHorizAxis 01d5 TChartAxis.LabelValue 01de @LStrClr 021a @LStrArrayClr 0220 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 3C 0F B6 40 18 83 F8 08 0F 87 A7 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 91 C8 00 00 00 83 C4 F4 DB 3C 24 9B 8B D6 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? E9 5D 01 00 00 56 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 4B 01 00 00 55 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 59 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 30 01 00 00 55 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 59 FF 75 F8 68 ?? ?? ?? ?? 8D 45 F4 50 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 F8 00 00 00 55 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 59 FF 75 F8 68 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 91 C8 00 00 00 83 C4 F4 DB 3C 24 9B 8D 55 F4 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 AE 00 00 00 56 8B 45 FC 8B 40 40 8B CB 8B 55 FC E8 ?? ?? ?? ?? E9 98 00 00 00 56 B1 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 86 00 00 00 55 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 59 FF 75 F8 68 ?? ?? ?? ?? 8D 45 F4 50 B1 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 51 8B 45 FC E8 ?? ?? ?? ?? 8B F8 85 FF 75 20 8B D3 8B 45 FC 8B 08 FF 51 3C 83 C4 F4 DB 3C 24 9B 8B D6 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? EB 23 8B D3 8B 45 FC 8B 08 FF 51 3C 83 C4 F8 DD 1C 24 9B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 96 00 00 00 00 74 15 56 8B 75 FC 8B CB 8B 55 FC 8B 86 98 00 00 00 FF 96 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_15088_0 {
	meta:
		name = "TChartSeries.SetValueFormat"
		size = 11
		refs = "0006 TChartSeries.SetStringProperty"
	strings:
		$1 = { 8D 48 50 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15089_0 {
	meta:
		name = "TChartSeries.SetPercentFormat"
		size = 11
		refs = "0006 TChartSeries.SetStringProperty"
	strings:
		$1 = { 8D 48 54 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15090_0 {
	meta:
		name = "TChartSeries.PrepareForGallery"
		size = 54
		refs = "001b TSeriesMarks.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 04 00 00 00 8B C6 8B 08 FF 91 84 00 00 00 33 D2 8B 46 3C E8 ?? ?? ?? ?? C6 46 48 00 84 DB 75 0C BA C0 C0 C0 00 8B C6 8B 08 FF 51 4C 5E 5B C3 }
	condition:
		$1
}

rule function_15091_0 {
	meta:
		name = "TChartSeries.NumSampleValues"
		size = 6
	strings:
		$1 = { B8 19 00 00 00 C3 }
	condition:
		$1
}

rule function_15092_0 {
	meta:
		name = "TChartSeries.CalcRandomBounds"
		size = 512
		refs = "001d @RandInt 0049 TCustomAxisPanel.GetMaxValuesCount 0058 TChartSeries.GetVertAxis 0062 TCustomAxisPanel.MinYValue 0076 TCustomAxisPanel.MaxYValue 008d TChartSeries.CalcRandomBounds 00b3 TChartSeries.GetHorizAxis 00bd TCustomAxisPanel.MinXValue 00d2 TCustomAxisPanel.MaxXValue 0115 Date 01ad @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 7D 0C B8 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 03 48 75 FD 33 C0 89 07 89 47 04 33 C0 89 45 E0 C7 45 E4 00 40 8F 40 83 7B 40 00 0F 84 C6 00 00 00 8B 43 40 E8 ?? ?? ?? ?? 85 C0 0F 8E B6 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 40 E8 ?? ?? ?? ?? DD 1F 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 40 E8 ?? ?? ?? ?? DD 5D E0 9B DD 45 E0 DC 1F DF E0 9E 75 28 DD 45 E0 D8 1D ?? ?? ?? ?? DF E0 9E 75 0E 33 C0 89 45 E0 C7 45 E4 00 40 8F 40 EB 0C D9 05 ?? ?? ?? ?? DC 0F DD 5D E0 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 40 E8 ?? ?? ?? ?? DD 5D F0 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 40 E8 ?? ?? ?? ?? DD 5D E8 9B DD 45 E8 DC 5D F0 DF E0 9E 75 60 DD 45 E8 D8 1D ?? ?? ?? ?? DF E0 9E 75 09 DB 45 FC DD 5D E8 9B EB 49 D9 05 ?? ?? ?? ?? DC 4D F0 DD 5D E8 9B EB 3A 8B 43 2C 80 78 0D 00 74 1B E8 ?? ?? ?? ?? DD 5D F0 9B DB 45 FC DC 45 F0 D8 25 ?? ?? ?? ?? DD 5D E8 9B EB 16 33 C0 89 45 F0 89 45 F4 8B 45 FC 48 89 45 DC DB 45 DC DD 5D E8 9B DD 45 E8 DC 65 F0 8B 45 14 DD 18 9B 83 7D FC 01 7E 15 8B 45 FC 48 89 45 DC DB 45 DC 8B 45 14 DC 38 8B 45 14 DD 18 9B DD 45 E0 DC 27 DD 1E 9B DB 2D ?? ?? ?? ?? DC 1E DF E0 9E 73 0F C7 06 00 00 C0 FF C7 46 04 FF FF DF 41 EB 1A DB 2D ?? ?? ?? ?? DC 1E DF E0 9E 76 0D C7 06 00 00 C0 FF C7 46 04 FF FF DF C1 DD 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC DB 45 DC DC 07 8B 45 10 DD 18 9B 8B 45 F8 8B 55 F0 89 10 8B 55 F4 89 50 04 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 00 00 00 40 00 00 80 3F 00 00 00 00 FE FF FF FF 1D 40 00 00 00 00 00 00 FE FF FF FF 1D C0 00 00 }
	condition:
		$1
}

rule function_15093_0 {
	meta:
		name = "TChartSeries.FillSampleValues"
		size = 260
		refs = "0017 TChartSeries.FillSampleValues 0029 TeeMsg_FillSample 002e LoadResString 0038 _Dn_Exception 003d Exception.Create 0042 @RaiseExcept 006a TChartSeries.CalcRandomBounds 0072 @ROUND 0089 @RandInt 00dc TChartSeries.RefreshSeries 00f1 @LStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C9 89 4D D0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7F 21 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 88 00 00 00 8D 45 F4 50 8D 45 E4 50 8D 45 DC 50 8D 45 D4 50 8D 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? DD 45 D4 E8 ?? ?? ?? ?? 8B F0 85 F6 79 03 83 C6 03 C1 FE 02 85 DB 7E 52 8B C6 E8 ?? ?? ?? ?? 89 45 CC DB 45 CC DC 45 E4 8B C6 D1 F8 79 03 83 D0 00 89 45 C8 DB 45 C8 DE E9 D9 E1 DD 5D E4 9B FF 75 F0 FF 75 EC FF 75 E8 FF 75 E4 B9 00 00 00 80 33 D2 8B 45 FC 8B 38 FF 97 90 00 00 00 DD 45 EC DC 45 F4 DD 5D EC 9B 4B 75 AE 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15094_0 {
	meta:
		name = "TChartSeries.SetDoubleProperty"
		size = 37
		refs = "001d TChartSeries.Repaint"
	strings:
		$1 = { 55 8B EC 8B C8 DD 02 DC 5D 08 DF E0 9E 74 12 8B 45 08 89 02 8B 45 0C 89 42 04 8B C1 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_15096_0 {
	meta:
		name = "_NF__3D6"
		size = 64
		refs = "0012 TList.Clear 0026 TList.Get 0033 _NF__2E8"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 8B 40 FC 8B 40 60 E8 ?? ?? ?? ?? 8B 5F 08 4B 85 DB 7C 1D 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 46 4B 75 E6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_15097_0 {
	meta:
		name = "TChartSeries.Assign"
		size = 663
		refs = "0017 TChartSeries.Assign 0025 _DV_TChartSeries 002a @IsClass 0045 TChartSeries.SetDataSource 004d TChartSeries.YMandatory 00aa @LStrAsg 00bf TChartSeries.ValuesListCount 00d0 MinLong 00e7 TChartSeries.GetValueList 0118 TTeeFunction.SetParentSeries 011f TChartSeries.GetDataSource 013c TList.Clear 0157 TList.Get 0164 TList.Add 019f _NF__37D 01af TChartSeries.AssignValues 01ba _NF__3D6 0263 TChartSeries.CheckDataSource 026f TPersistent.Assign 0284 @LStrClr 028a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 33 02 00 00 8B 43 0C 8B 55 FC 89 42 0C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8B F3 8B 56 2C 8B 45 FC 8B 40 2C 8B 08 FF 51 08 8B 56 30 8B 45 FC 8B 40 30 8B 08 FF 51 08 EB 1E 8B F3 8B 56 2C 8B 45 FC 8B 40 30 8B 08 FF 51 08 8B 56 30 8B 45 FC 8B 40 2C 8B 08 FF 51 08 8B 45 FC 83 C0 64 8B F3 8B 56 64 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 68 8B 56 68 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 48 50 8B 45 FC E8 ?? ?? ?? ?? 48 5A E8 ?? ?? ?? ?? 83 E8 02 7C 29 40 89 45 F8 BE 02 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 50 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 46 FF 4D F8 75 E0 8B F3 8B 46 74 85 C0 74 11 8B 55 FC 83 7A 74 00 75 08 8B 55 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 85 8A 00 00 00 F6 46 20 10 0F 85 8A 00 00 00 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 8B 46 34 8B 40 08 48 85 C0 7C 23 40 89 45 F8 33 F6 8B 43 34 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 46 FF 4D F8 75 E3 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 43 38 8B 40 08 48 85 C0 7C 25 40 89 45 F8 33 F6 8D 4D F4 8B D6 8B C3 8B 38 FF 57 44 8B 4D F4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 46 FF 4D F8 75 E1 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 0A 55 8B 46 60 E8 ?? ?? ?? ?? 59 8B F3 8B 56 3C 8B 45 FC 8B 40 3C 8B 08 FF 51 08 8B 46 44 8B 55 FC 89 42 44 8A 46 48 8B 55 FC 88 42 48 8B 45 FC 83 C0 4C 8B 56 4C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 8B 56 50 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 8B 56 54 E8 ?? ?? ?? ?? 8A 46 58 8B 55 FC 88 42 58 8A 46 6C 8B 55 FC 88 42 6C 8A 46 6D 8B 55 FC 88 42 6D 8A 46 6E 8B 55 FC 88 42 6E 66 8B 46 70 8B 55 FC 66 89 42 70 8A 46 72 8B 55 FC 88 42 72 8A 46 78 8B 55 FC 88 42 78 8B 45 FC 05 BC 00 00 00 8B 96 BC 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15098_0 {
	meta:
		name = "TChartSeries.SetColorEachPoint"
		size = 11
		refs = "0006 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 48 48 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15099_0 {
	meta:
		name = "TChartSeries.SetShowInLegend"
		size = 11
		refs = "0006 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 48 72 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15100_0 {
	meta:
		name = "_NF__3E2"
		size = 81
		refs = "000f _NF__3E2 0020 TBitmap.LoadFromResourceName 0033 @HandleOnException 003b _Dn_Exception 0044 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 C6 45 FF 01 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 0A 8B 52 04 92 E8 ?? ?? ?? ?? C6 45 FF 00 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15101_0 {
	meta:
		name = "_NF__3E3"
		size = 25
		refs = "0005 HInstance 0013 TBitmap.LoadFromResourceName"
	strings:
		$1 = { 55 8B EC 8B 15 ?? ?? ?? ?? 8B 12 8B 4D 08 8B 49 FC 91 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_15102_0 {
	meta:
		name = "TChartSeries.GetBitmapEditor"
		size = 129
		refs = "0014 _NT__3E1 0019 @InitializeRecord 0021 TChartSeries.GetBitmapEditor 003a TObject.ClassName 0048 @LStrFromString 0050 _NF__3E2 0055 EnumModules 0070 @FinalizeRecord 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 89 55 FC 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 45 F8 8D 95 F4 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15103_0 {
	meta:
		name = "TChartSeries.GetXValue"
		size = 21
		refs = "0007 TChartValueList.GetValue"
	strings:
		$1 = { 83 C4 F8 8B 40 2C E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15104_0 {
	meta:
		name = "TChartSeries.GetYvalue"
		size = 21
		refs = "0007 TChartValueList.GetValue"
	strings:
		$1 = { 83 C4 F8 8B 40 30 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15105_0 {
	meta:
		name = "TChartSeries.SetYValue"
		size = 32
		refs = "0010 TChartValueList.SetValue 0017 TChartSeries.Repaint"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B 43 30 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15106_0 {
	meta:
		name = "TChartSeries.SetXValue"
		size = 32
		refs = "0010 TChartValueList.SetValue 0017 TChartSeries.Repaint"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B 43 2C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15107_0 {
	meta:
		name = "TChartSeries.GetXLabel"
		size = 62
		refs = "0017 TList.Get 0022 @LStrClr 0035 StrPas"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 8B 7B 38 3B 77 08 7D 0D 8B D6 8B C7 E8 ?? ?? ?? ?? 85 C0 75 09 8B C5 E8 ?? ?? ?? ?? EB 11 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15108_0 {
	meta:
		name = "TChartSeries.SetXLabel"
		size = 64
		refs = "000f TList.Get 001c _NF__407 0025 _NF__406 0031 TList.Put 0038 TChartSeries.Repaint"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 85 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15109_0 {
	meta:
		name = "TChartSeries.GetValueColor"
		size = 58
		refs = "0014 TList.Get 0028 GetDefaultColor"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 34 3B 77 08 7D 24 8B D6 8B C7 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 17 80 7B 48 00 74 09 8B C6 E8 ?? ?? ?? ?? EB 08 8B 43 44 EB 03 8B 43 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15110_0 {
	meta:
		name = "TChartSeries.SetParentChart"
		size = 43
		refs = "0014 TCustomAxisPanel.RemoveSeries 0024 TCustomAxisPanel.AddSeries"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 40 3B F0 74 1B 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 40 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15111_0 {
	meta:
		name = "TChartSeries.SetValueColor"
		size = 20
		refs = "0007 TList.Put 000e TChartSeries.Repaint"
	strings:
		$1 = { 53 8B D8 8B 43 34 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15112_0 {
	meta:
		name = "_NF__406"
		size = 41
		refs = "000f @LStrLen 0015 @GetMem 0020 StrPCopy"
	strings:
		$1 = { 53 56 8B DA 85 DB 75 04 33 F6 EB 18 8B C3 E8 ?? ?? ?? ?? 40 E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15113_0 {
	meta:
		name = "_NF__407"
		size = 34
		refs = "0005 TList.Get 0012 StrLen 001c @FreeMem"
	strings:
		$1 = { 53 8B 40 38 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 42 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15114_0 {
	meta:
		name = "TChartSeries.ClearLists"
		size = 85
		refs = "0019 TList.Get 001e TChartValueList.ClearValues 002a TList.Clear 0041 _NF__407"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 24 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 47 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 34 E8 ?? ?? ?? ?? 8B 47 38 8B 58 08 4B 85 DB 7C 10 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 46 4B 75 F3 8B 47 38 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15115_0 {
	meta:
		name = "TChartSeries.Clear"
		size = 67
		refs = "0029 TChartSeries.NotifyValue 003d TChartSeries.Repaint"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 68 66 83 BB 8E 00 00 00 00 74 0E 8B D3 8B 83 90 00 00 00 FF 93 8C 00 00 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 0D F6 40 20 08 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15116_0 {
	meta:
		name = "TChartSeries.AssociatedToAxis"
		size = 47
		refs = "0012 TChartSeries.GetHorizAxis 001d TChartSeries.GetVertAxis"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BE 8F 00 00 00 00 74 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 74 10 8B C3 E8 ?? ?? ?? ?? 3B F0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_15117_0 {
	meta:
		name = "TChartSeries.DrawLegendShape"
		size = 107
		refs = "0016 TCustomTeePanel.DoRectangle 001e TBrush.GetColor 0045 TPen.SetColor 004f TBrush.SetStyle"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F8 8B 77 40 8B 9E 50 01 00 00 8B D5 8B C6 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B 57 40 8B 92 B4 01 00 00 3B 42 20 75 36 8B 43 14 E8 ?? ?? ?? ?? 85 C0 75 0D BA FF FF FF 00 8B 43 10 E8 ?? ?? ?? ?? B2 01 8B 43 14 E8 ?? ?? ?? ?? 8B D5 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 43 10 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15118_0 {
	meta:
		name = "TChartSeries.DrawLegend"
		size = 253
		refs = "0034 TBrush.SetColor 0059 TBrush.GetColor 00e2 TCustomTeePanel.SetBrushCanvas"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 0C 24 8B FA 8B F0 83 FF FF 75 0A 80 7E 48 00 0F 85 D8 00 00 00 8B 46 40 8B 80 50 01 00 00 8B 58 14 83 FF FF 75 0C 8B 56 44 8B C3 E8 ?? ?? ?? ?? EB 12 8B D7 8B C6 8B 08 FF 51 48 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 46 40 8B 80 50 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 3D FF FF FF 1F 0F 84 8D 00 00 00 8B 46 40 8B 80 B4 01 00 00 8B 40 20 89 44 24 04 C6 44 24 08 00 8D 44 24 08 50 8D 4C 24 08 8B D7 8B C6 8B 18 FF 93 F4 00 00 00 81 7C 24 04 00 00 00 80 75 10 8B 46 40 8B 80 B4 01 00 00 8B 40 20 89 44 24 04 81 7C 24 04 00 00 00 80 75 0A 8B 46 40 8B 40 54 89 44 24 04 8B 5E 40 8A 44 24 08 50 8B 44 24 08 50 8B AB 50 01 00 00 8B 45 14 E8 ?? ?? ?? ?? 8B C8 8B D5 8B C3 E8 ?? ?? ?? ?? 8B 0C 24 8B D7 8B C6 8B 18 FF 93 F0 00 00 00 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15120_0 {
	meta:
		name = "TChartSeries.CalcZOrder"
		size = 43
	strings:
		$1 = { 8B 50 40 80 BA C8 01 00 00 00 75 09 33 D2 89 90 C8 00 00 00 C3 FF 82 64 01 00 00 8B 50 40 8B 92 64 01 00 00 89 90 C8 00 00 00 C3 }
	condition:
		$1
}

rule function_15121_0 {
	meta:
		name = "TChartSeries.CalcXPosValue"
		size = 69
		refs = "000f TChartSeries.GetHorizAxis 0014 TChartAxis.CalcXPosValue"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 40 80 B8 C8 01 00 00 00 74 18 80 B8 59 01 00 00 00 74 0F 8B 8B C8 00 00 00 0F AF 88 68 01 00 00 03 D1 8B C2 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15122_0 {
	meta:
		name = "TChartSeries.XScreenToValue"
		size = 58
		refs = "0018 TChartSeries.GetHorizAxis 001f TChartAxis.CalcPosPoint"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B 43 40 83 B8 90 01 00 00 00 7E 14 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? DD 1C 24 9B EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15123_0 {
	meta:
		name = "TChartSeries.CalcXSizeValue"
		size = 29
		refs = "000f TChartSeries.GetHorizAxis 0014 TChartAxis.CalcXSizeValue"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15129_0 {
	meta:
		name = "TChartSeries.CalcYSizeValue"
		size = 29
		refs = "000f TChartSeries.GetVertAxis 0014 TChartAxis.CalcYSizeValue"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15124_0 {
	meta:
		name = "TChartSeries.CalcYPosValue"
		size = 69
		refs = "000f TChartSeries.GetVertAxis 0014 TChartAxis.CalcYPosValue"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 40 80 B8 C8 01 00 00 00 74 18 80 B8 59 01 00 00 00 74 0F 8B 8B C8 00 00 00 0F AF 88 6C 01 00 00 2B D1 8B C2 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15125_0 {
	meta:
		name = "TChartSeries.CalcPosValue"
		size = 50
		refs = "0009 TChartSeries.YMandatory 001a TChartSeries.CalcYPosValue 0029 TChartSeries.CalcXPosValue"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? EB 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15126_0 {
	meta:
		name = "TChartSeries.XValueToText"
		size = 35
		refs = "0012 TChartSeries.GetHorizAxis 0019 TChartAxis.LabelValue"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15127_0 {
	meta:
		name = "TChartSeries.YValueToText"
		size = 35
		refs = "0012 TChartSeries.GetVertAxis 0019 TChartAxis.LabelValue"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15128_0 {
	meta:
		name = "TChartSeries.YScreenToValue"
		size = 58
		refs = "0018 TChartSeries.GetVertAxis 001f TChartAxis.CalcPosPoint"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B 43 40 83 B8 94 01 00 00 00 7E 14 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? DD 1C 24 9B EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15130_0 {
	meta:
		name = "TChartSeries.CalcXPos"
		size = 32
		refs = "0019 TChartSeries.CalcXPosValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 3C 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15133_0 {
	meta:
		name = "TChartSeries.DoSeriesClick"
		size = 148
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 10 8B 53 40 C6 82 20 02 00 00 00 A8 40 74 34 66 83 BB B6 00 00 00 00 74 2A 8B 53 40 C6 82 20 02 00 00 01 8A 55 14 52 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D6 8B 83 B8 00 00 00 FF 93 B4 00 00 00 EB 32 66 83 BB AE 00 00 00 00 74 28 8B 53 40 C6 82 20 02 00 00 01 8A 55 14 52 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D6 8B 83 B0 00 00 00 FF 93 AC 00 00 00 8B 43 40 8A 80 20 02 00 00 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_15134_0 {
	meta:
		name = "TChartSeries.CalcYPos"
		size = 32
		refs = "0019 TChartSeries.CalcYPosValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 40 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15135_0 {
	meta:
		name = "TChartSeries.Delete"
		size = 108
		refs = "001c TList.Get 0023 TChartValueList.Delete 0036 TList.Delete 0047 _NF__407 005c TChartSeries.NotifyValue 0063 TChartSeries.Repaint"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B 43 24 8B 70 08 4E 85 F6 7C 18 46 33 ED 8B D5 8B 43 24 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 45 4E 75 EB 8B 43 34 3B 78 08 7D 07 8B D7 E8 ?? ?? ?? ?? 8B 43 38 3B 78 08 7D 13 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 43 38 E8 ?? ?? ?? ?? 8B CF B2 02 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15136_0 {
	meta:
		name = "TChartSeries.SwapValueIndex"
		size = 85
		refs = "0020 TList.Get 002d TList.Exchange"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F0 8B 46 24 8B 58 08 4B 85 DB 7C 1E 43 33 FF 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B 40 08 8B 0C 24 8B D5 E8 ?? ?? ?? ?? 47 4B 75 E5 8B 0C 24 8B D5 8B 46 34 E8 ?? ?? ?? ?? 8B 0C 24 8B D5 8B 46 38 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15138_0 {
	meta:
		name = "TChartSeries.ClearTempValue"
		size = 9
	strings:
		$1 = { 33 C0 89 42 18 89 42 1C C3 }
	condition:
		$1
}

rule function_15139_0 {
	meta:
		name = "TChartSeries.SetSeriesColor"
		size = 11
		refs = "0006 TChartSeries.SetColorProperty"
	strings:
		$1 = { 8D 48 44 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15140_0 {
	meta:
		name = "TChartSeries.MaxXValue"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 2C 8B 50 38 89 14 24 8B 50 3C 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15141_0 {
	meta:
		name = "TChartSeries.MaxYValue"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 30 8B 50 38 89 14 24 8B 50 3C 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15142_0 {
	meta:
		name = "TChartSeries.MinXValue"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 2C 8B 50 40 89 14 24 8B 50 44 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15143_0 {
	meta:
		name = "TChartSeries.MinYValue"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 30 8B 50 40 89 14 24 8B 50 44 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15144_0 {
	meta:
		name = "TChartSeries.MaxMarkWidth"
		size = 140
		refs = "0013 TChartSeries.MaxMarkWidth 0025 TChartSeries.Count 0041 TChartSeries.GetMarkText 0059 MaxLong 0077 @LStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 36 46 C7 45 F8 00 00 00 00 8D 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 40 8B 08 FF 91 90 00 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 89 45 FC FF 45 F8 4E 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15145_0 {
	meta:
		name = "TChartSeries.AddLinkedSeries"
		size = 32
		refs = "000c TList.IndexOf 0019 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 28 E8 ?? ?? ?? ?? 40 75 0A 8B D6 8B 43 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15146_0 {
	meta:
		name = "TChartSeries.RemoveDataSource"
		size = 20
		refs = "0007 TList.Remove 000e TChartSeries.CheckDataSource"
	strings:
		$1 = { 53 8B D8 8B 43 60 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15147_0 {
	meta:
		name = "TChartSeries.RemoveLinkedSeries"
		size = 15
		refs = "000a TList.Remove"
	strings:
		$1 = { 8B 48 28 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15148_0 {
	meta:
		name = "TChartSeries.NotifyValue"
		size = 276
		refs = "0028 TList.Get 004c TList.IndexOf 0068 TChartSeries.NotifyValue"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 88 14 24 8B F0 8B 46 28 8B 68 08 4D 85 ED 0F 8C ED 00 00 00 45 33 FF 8B D7 8B 46 28 E8 ?? ?? ?? ?? 85 C0 0F 84 D0 00 00 00 8B D7 8B 46 28 E8 ?? ?? ?? ?? 89 44 24 08 8B 44 24 08 8B 40 60 8B D6 E8 ?? ?? ?? ?? 40 0F 84 AD 00 00 00 33 C0 8A 04 24 83 F8 04 0F 87 9F 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 44 24 08 F6 40 6E 08 74 7A 8B 44 24 08 8B 10 FF 92 88 00 00 00 EB 6C 8B 44 24 08 F6 40 6E 01 74 62 8B 44 24 08 83 78 74 00 75 58 8B 4C 24 04 8B D6 8B 44 24 08 8B 18 FF 53 58 EB 47 8B 44 24 08 F6 40 6E 04 74 3D 8B 44 24 08 83 78 74 00 75 33 8B 4C 24 04 8B D6 8B 44 24 08 8B 18 FF 53 60 EB 22 8B 44 24 08 F6 40 6E 02 74 18 8B D6 8B 44 24 08 8B 08 FF 51 64 EB 0B 8B D6 8B 44 24 08 8B 08 FF 51 64 47 4D 0F 85 16 FF FF FF 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15150_0 {
	meta:
		name = "TChartSeries.Loaded"
		size = 177
		refs = "0014 TChartSeries.Loaded 0021 TComponent.Loaded 003b TList.Clear 006b TComponent.FindComponent 0074 _NF__2E8 0082 TObject.Free 0089 TChartSeries.CheckDataSource 009e @LStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 73 5C 85 F6 74 52 8B C6 8B 10 FF 52 14 85 C0 7E 47 8B 43 60 E8 ?? ?? ?? ?? 8B 43 5C 8B 10 FF 52 14 8B F0 4E 85 F6 7C 30 46 C7 45 FC 00 00 00 00 8D 4D F8 8B 55 FC 8B 43 5C 8B 38 FF 57 0C 8B 55 F8 8B 43 04 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? FF 45 FC 4E 75 D8 8B 43 5C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15151_0 {
	meta:
		name = "TChartSeries.Destroy"
		size = 209
		refs = "000c TObject.Free 0018 _NF__2E9 003d TList.Get 0044 TChartSeries.RemoveDataSource 00bb TComponent.Destroy 00c6 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 45 74 E8 ?? ?? ?? ?? 33 C0 89 45 74 8B C5 E8 ?? ?? ?? ?? 8B 45 60 E8 ?? ?? ?? ?? 33 C0 89 45 60 8B 45 28 8B 70 08 4E 85 F6 7C 18 46 33 FF 8B D7 8B 45 28 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 47 4E 75 EB 8B C5 8B 10 FF 92 88 00 00 00 8B 45 28 E8 ?? ?? ?? ?? 33 C0 89 45 28 8B 45 24 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 45 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 24 E8 ?? ?? ?? ?? 8B 45 34 E8 ?? ?? ?? ?? 8B 45 38 E8 ?? ?? ?? ?? 8B 45 3C E8 ?? ?? ?? ?? 83 7D 40 00 74 09 33 D2 8B C5 8B 08 FF 51 50 8B D3 80 E2 FE 8B C5 E8 ?? ?? ?? ?? 84 DB 74 07 8B C5 E8 ?? ?? ?? ?? 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15152_0 {
	meta:
		name = "TChartFontObject.Create"
		size = 80
		refs = "000b @ClassCreate 001a TObject.Create 0022 CreateDefaultFont"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 E8 ?? ?? ?? ?? 8B F0 89 77 08 8B 47 04 89 46 08 8B 00 8B 80 88 00 00 00 89 46 04 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15153_0 {
	meta:
		name = "TChartFontObject.IsFontStored"
		size = 15
		refs = "0007 IsDefaultFont"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_15155_0 {
	meta:
		name = "TChartFontObject.Assign"
		size = 49
		refs = "000a _DV_TChartFontObject 000f @IsClass 002a TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 56 08 8B 43 08 8B 08 FF 51 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15156_0 {
	meta:
		name = "TChartFontObject.SetFont"
		size = 21
	strings:
		$1 = { 56 8B F0 8B 46 08 8B 08 FF 51 08 8B 46 04 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_15157_0 {
	meta:
		name = "TChartFontObject.Repaint"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_15158_0 {
	meta:
		name = "TChartSeriesList.CountActive"
		size = 46
		refs = "0018 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B 5F 08 4B 85 DB 7C 17 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 58 00 74 01 45 46 4B 75 EC 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15159_0 {
	meta:
		name = "TChartAxisTitle.Assign"
		size = 62
		refs = "000b _DV_TChartAxisTitle 0010 @IsClass 002d @LStrAsg 0036 TChartFontObject.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B FE 8B 47 14 89 43 14 8B 47 0C 89 43 0C 8D 43 10 8B 57 10 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15160_0 {
	meta:
		name = "TChartAxisTitle.IsAngleStored"
		size = 80
	strings:
		$1 = { 8B 50 04 8B 48 14 3B 8A C0 01 00 00 75 06 83 78 0C 5A 75 39 8B 48 14 3B 8A C4 01 00 00 75 09 81 78 0C 0E 01 00 00 75 25 8B 48 14 3B 8A B8 01 00 00 75 06 83 78 0C 00 75 14 8B 48 14 3B 8A BC 01 00 00 75 06 83 78 0C 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_15161_0 {
	meta:
		name = "_NF__498"
		size = 119
		refs = "0012 _NF__498 0038 TeeMsg_Angle 003d LoadResString 0047 _DV_ChartException 004c Exception.CreateFmt 0051 @RaiseExcept 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 C0 7C 07 3D 68 01 00 00 7E 2E 89 5D F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15162_0 {
	meta:
		name = "TChartAxisTitle.SetAngle"
		size = 108
		refs = "000f TChartAxisTitle.SetAngle 0022 TeeMsg_AxisTitle 0027 LoadResString 0031 _NF__498 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 0C 74 2C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 81 FE 68 01 00 00 7C 02 33 F6 89 73 0C 8B 43 04 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15164_0 {
	meta:
		name = "TChartAxis.Create"
		size = 337
		refs = "000e @ClassCreate 001c TChartFontObject.Create 003b TeeMsg_DefValueFormat 0040 LoadResString 0059 _DV_TChartAxisTitle 006d _DV_TChartTickPen 0072 TChartTickPen.Create 00e8 _DV_TChartGridPen 00ed TChartGridPen.Create 010a _DV_TChartAxisPen 010f TChartAxisPen.Create 0132 TChartAxis.SetRoundFirstLabel"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 10 01 C6 43 0D 01 C6 43 0E 01 C6 43 0F 01 C7 43 18 0A 00 00 00 8D 53 68 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 25 00 C6 43 24 01 C6 83 8E 00 00 00 01 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 64 89 5E 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 8B 43 04 89 46 08 8B 00 8B 80 88 00 00 00 89 46 04 C7 43 48 04 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 2C 8B 43 04 89 46 08 8B 00 8B 80 88 00 00 00 89 46 04 C7 43 40 02 00 00 00 C7 43 44 03 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 30 8B 43 04 89 46 08 8B 00 8B 80 88 00 00 00 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 8B 43 04 89 46 08 8B 00 8B 80 88 00 00 00 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 34 8B 43 04 89 46 08 8B 00 8B 80 88 00 00 00 89 46 04 C6 43 0C 01 B2 01 8B C3 E8 ?? ?? ?? ?? C6 43 72 01 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15165_0 {
	meta:
		name = "TChartAxis.IsDateTime"
		size = 100
		refs = "0011 TCustomAxisPanel.SeriesCount 0024 TCustomAxisPanel.GetSeries 0033 TChartSeries.GetHorizAxis 0047 TChartSeries.GetVertAxis"
	strings:
		$1 = { 53 56 57 55 51 89 04 24 8B 04 24 8B 68 04 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 40 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D8 80 7B 58 00 74 28 8B C3 E8 ?? ?? ?? ?? 3B 04 24 75 08 8B 43 2C 8A 40 0D EB 1A 8B C3 E8 ?? ?? ?? ?? 3B 04 24 75 08 8B 43 30 8A 40 0D EB 06 47 4E 75 C3 33 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15168_0 {
	meta:
		name = "TChartAxis.SetTicksInner"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_15169_0 {
	meta:
		name = "TChartAxis.SetGrid"
		size = 9
	strings:
		$1 = { 8B 40 38 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_15170_0 {
	meta:
		name = "TChartAxis.SetAxis"
		size = 9
	strings:
		$1 = { 8B 40 34 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_15171_0 {
	meta:
		name = "TChartAxis.Destroy"
		size = 82
		refs = "000a TObject.Free 003e TChartFontObject.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 2C E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15172_0 {
	meta:
		name = "TChartAxis.CalcPosPoint"
		size = 364
		refs = "0022 TChartAxis.InternalCalcLog 0031 TChartAxis.CalcPosPoint 0077 @EXP"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B FA 8B D8 8B 73 04 80 7B 71 00 0F 84 9F 00 00 00 8D 4C 24 10 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? DD 5C 24 08 9B DD 44 24 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 15 8B 43 7C 89 04 24 8B 83 80 00 00 00 89 44 24 04 E9 0A 01 00 00 80 BB 8F 00 00 00 00 74 2C 2B BE 80 01 00 00 89 7C 24 20 DB 44 24 20 DC 4C 24 08 DB 86 90 01 00 00 DE F9 DC 44 24 10 E8 ?? ?? ?? ?? DD 1C 24 9B E9 D5 00 00 00 2B BE 84 01 00 00 89 7C 24 20 DB 44 24 20 D8 0D ?? ?? ?? ?? DC 4C 24 08 DB 86 94 01 00 00 DE F9 DC 6C 24 18 E8 ?? ?? ?? ?? DD 1C 24 9B E9 A3 00 00 00 80 BB 8F 00 00 00 00 74 4E 80 7B 70 00 74 0A 8B 86 88 01 00 00 2B C7 EB 08 8B C7 2B 86 80 01 00 00 8B 96 90 01 00 00 85 D2 7E 21 89 44 24 20 DB 44 24 20 DC 8B 84 00 00 00 89 54 24 24 DB 44 24 24 DE F9 DC 43 7C DD 1C 24 9B EB 57 33 C0 89 04 24 89 44 24 04 EB 4C 80 7B 70 00 74 0A 8B 86 8C 01 00 00 2B C7 EB 08 8B C7 2B 86 84 01 00 00 8B 96 94 01 00 00 85 D2 7E 21 89 44 24 20 DB 44 24 20 DC 8B 84 00 00 00 89 54 24 24 DB 44 24 24 DE F9 DC 6B 74 DD 1C 24 9B EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 83 C4 28 5F 5E 5B C3 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_15173_0 {
	meta:
		name = "TChartAxis.SetDateTimeFormat"
		size = 14
		refs = "0009 TCustomTeePanel.SetStringProperty"
	strings:
		$1 = { 8D 48 6C 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15174_0 {
	meta:
		name = "TChartAxis.SetAxisTitle"
		size = 9
	strings:
		$1 = { 8B 40 64 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_15175_0 {
	meta:
		name = "TChartAxis.SetRoundFirstLabel"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 8D 00 00 00 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15176_0 {
	meta:
		name = "TChartAxis.SetTickOnLabelsOnly"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 8E 00 00 00 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15177_0 {
	meta:
		name = "_NF__4C6"
		size = 224
		refs = "0011 DateTimeStep 001b MaxDouble 0028 _NF__4C6 0063 @ROUND 0089 NextDateTimeStep"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B F8 FF 77 60 FF 77 5C A1 ?? ?? ?? ?? FF 70 04 FF 30 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 76 73 85 F6 7E 6F DD 87 84 00 00 00 DC 34 24 D8 1D ?? ?? ?? ?? DF E0 9E 76 10 DB 2D ?? ?? ?? ?? DC 8F 84 00 00 00 DD 1C 24 9B DD 87 84 00 00 00 DC 34 24 E8 ?? ?? ?? ?? 8B D8 3B F3 7D 33 DD 04 24 A1 ?? ?? ?? ?? DC 98 C0 00 00 00 DF E0 9E 73 13 FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? DD 1C 24 9B EB 0D D9 05 ?? ?? ?? ?? DC 0C 24 DD 1C 24 9B 3B F3 7C B5 FF 74 24 04 FF 74 24 04 A1 ?? ?? ?? ?? FF 70 04 FF 30 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5F 5E 5B C3 00 00 00 00 00 24 74 49 B6 69 6C AF 05 BD 37 86 EB 3F 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_15178_0 {
	meta:
		name = "_NF__4C7"
		size = 360
		refs = "000b _NF__4C7"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 73 12 D9 05 ?? ?? ?? ?? DC 4D 08 DD 5D F8 9B E9 15 01 00 00 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 11 33 C0 89 45 F8 C7 45 FC 00 00 00 40 E9 F6 00 00 00 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 73 11 33 C0 89 45 F8 C7 45 FC 00 00 14 40 E9 D7 00 00 00 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 11 33 C0 89 45 F8 C7 45 FC 00 00 24 40 E9 B8 00 00 00 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 11 33 C0 89 45 F8 C7 45 FC 00 00 49 40 E9 99 00 00 00 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 0E 33 C0 89 45 F8 C7 45 FC 00 00 59 40 EB 7D DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 0E 33 C0 89 45 F8 C7 45 FC 00 00 69 40 EB 61 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 0E 33 C0 89 45 F8 C7 45 FC 00 40 7F 40 EB 45 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 0E 33 C0 89 45 F8 C7 45 FC 00 40 8F 40 EB 29 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 0E 33 C0 89 45 F8 C7 45 FC 00 88 B3 40 EB 0D D9 05 ?? ?? ?? ?? DC 4D 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 80 3F 00 00 00 40 00 00 A0 40 00 00 20 41 00 00 48 42 00 00 C8 42 00 00 48 43 00 00 FA 43 00 00 7A 44 }
	condition:
		$1
}

rule function_15179_0 {
	meta:
		name = "_NF__4C8"
		size = 252
		refs = "001c _NF__4C8 0090 @ROUND 00a3 _NF__4C7 00d5 MaxDouble"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B 43 5C 89 04 24 8B 43 60 89 44 24 04 DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 77 38 DD 83 84 00 00 00 D9 E1 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 73 11 C7 04 24 F1 68 E3 88 C7 44 24 04 B5 F8 E4 3E EB 0D 33 C0 89 04 24 C7 44 24 04 00 00 F0 3F 85 F6 7E 61 8D 7E 01 83 7B 18 00 7E 58 DD 83 84 00 00 00 DC 34 24 DD 5C 24 08 9B DD 44 24 08 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 22 DD 44 24 08 E8 ?? ?? ?? ?? 8B F8 3B F7 7D 24 FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? DD 1C 24 9B EB 11 FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? DD 1C 24 9B 3B F7 7C A8 FF 74 24 04 FF 74 24 04 68 B5 F8 E4 3E 68 F1 68 E3 88 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 10 5F 5E 5B C3 00 00 00 00 00 00 00 80 3F 00 00 00 00 FE FF FF FF 1D 40 00 00 }
	condition:
		$1
}

rule function_15180_0 {
	meta:
		name = "_NF__4C9"
		size = 87
		refs = "0011 _NF__4C6 001c _NF__4C8 0030 DateTimeStep"
	strings:
		$1 = { 83 C4 F8 85 D2 7E 1F 80 B8 8C 00 00 00 00 74 0B E8 ?? ?? ?? ?? DD 1C 24 9B EB 36 E8 ?? ?? ?? ?? DD 1C 24 9B EB 2B 80 B8 8C 00 00 00 00 74 13 A1 ?? ?? ?? ?? 8B 10 89 14 24 8B 50 04 89 54 24 04 EB 0F C7 04 24 F1 68 E3 88 C7 44 24 04 B5 F8 E4 3E DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15181_0 {
	meta:
		name = "TChartAxis.LabelWidth"
		size = 118
		refs = "000c TChartAxis.LabelWidth 0031 TChartAxis.LabelValue 004b TCustomTeePanel.TeeCharHeight 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 14 83 E8 01 72 07 2D B3 00 00 00 75 22 FF 75 0C FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 8B 08 FF 91 90 00 00 00 8B D8 EB 0A 8B 43 04 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15182_0 {
	meta:
		name = "TChartAxis.LabelHeight"
		size = 118
		refs = "000c TChartAxis.LabelHeight 0029 TCustomTeePanel.TeeCharHeight 003d TChartAxis.LabelValue 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 14 83 E8 01 72 07 2D B3 00 00 00 75 0C 8B 43 04 E8 ?? ?? ?? ?? 8B D8 EB 20 FF 75 0C FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 8B 08 FF 91 90 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15183_0 {
	meta:
		name = "TChartAxis.IsMaxStored"
		size = 18
	strings:
		$1 = { 80 78 0D 00 75 06 80 78 0E 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_15184_0 {
	meta:
		name = "TChartAxis.IsMinStored"
		size = 18
	strings:
		$1 = { 80 78 0D 00 75 06 80 78 0F 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_15185_0 {
	meta:
		name = "TChartAxis.CalcXYIncrement"
		size = 144
		refs = "001e TChartAxis.CalcXYIncrement 002f @ROUND 005b _NF__4C9"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 8B F2 8B D8 8B 7B 18 85 FF 7E 21 89 7C 24 08 DB 44 24 08 DB 2D ?? ?? ?? ?? DE C9 89 74 24 0C DB 44 24 0C DE C9 E8 ?? ?? ?? ?? 03 F0 85 F6 7E 2C 89 6C 24 08 DB 44 24 08 D8 0D ?? ?? ?? ?? 89 74 24 0C DB 44 24 0C DE F9 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B EB 10 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 10 5D 5F 5E 5B C3 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_15186_0 {
	meta:
		name = "TChartAxis.CalcIncrement"
		size = 140
		refs = "0018 TChartAxis.LabelWidth 002f MaxLong 0041 TChartAxis.CalcXYIncrement 0054 TChartAxis.LabelHeight"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 BB 8F 00 00 00 00 74 3C FF 73 78 FF 73 74 8B C3 E8 ?? ?? ?? ?? 50 FF B3 80 00 00 00 FF 73 7C 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B 88 90 01 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B EB 3A FF 73 78 FF 73 74 8B C3 E8 ?? ?? ?? ?? 50 FF B3 80 00 00 00 FF 73 7C 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B 88 94 01 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_15187_0 {
	meta:
		name = "TChartAxis.AdjustMaxMinRect"
		size = 250
		refs = "003b TCustomTeePanel.ReCalcWidthHeight 0046 TChartAxis.CalcPosPoint 00e2 SwapDouble"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B D8 8B 73 04 56 81 C6 80 01 00 00 8D 7C 24 14 B9 04 00 00 00 F3 A5 5E 80 BB 8F 00 00 00 00 74 39 8B 42 08 29 86 88 01 00 00 8B 02 01 86 80 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 54 24 10 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 8B 54 24 18 8B C3 E8 ?? ?? ?? ?? DD 5C 24 08 9B EB 38 8B 42 0C 29 86 8C 01 00 00 8B 42 04 01 86 84 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 54 24 1C 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 8B 54 24 14 8B C3 E8 ?? ?? ?? ?? DD 5C 24 08 9B 8B 04 24 89 43 7C 8B 44 24 04 89 83 80 00 00 00 8B 44 24 08 89 43 74 8B 44 24 0C 89 43 78 56 8D BE 80 01 00 00 8D 74 24 14 B9 04 00 00 00 F3 A5 5E 8B C6 E8 ?? ?? ?? ?? DD 43 7C DC 5B 74 DF E0 9E 76 0B 8D 53 74 8D 43 7C E8 ?? ?? ?? ?? DD 43 74 DC 63 7C DD 9B 84 00 00 00 9B 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15188_0 {
	meta:
		name = "TChartAxis.CalcMinMax"
		size = 81
		refs = "0024 _NF__5F9"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 7B 0D 00 75 06 80 7B 0E 00 74 16 8A 83 8F 00 00 00 50 33 C9 8B D3 8B 43 04 E8 ?? ?? ?? ?? DD 1F 9B 80 7B 0D 00 75 06 80 7B 0F 00 74 16 8A 83 8F 00 00 00 50 B1 01 8B D3 8B 43 04 E8 ?? ?? ?? ?? DD 1E 9B 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15189_0 {
	meta:
		name = "TChartAxis.AdjustMaxMin"
		size = 58
		refs = "000c TChartAxis.CalcMinMax"
	strings:
		$1 = { 53 8B D8 8D 4B 4C 8D 53 54 8B C3 E8 ?? ?? ?? ?? 8B 43 4C 89 43 74 8B 43 50 89 43 78 8B 43 54 89 43 7C 8B 43 58 89 83 80 00 00 00 DD 43 74 DC 63 7C DD 9B 84 00 00 00 9B 5B C3 }
	condition:
		$1
}

rule function_15190_0 {
	meta:
		name = "TChartAxis.Assign"
		size = 302
		refs = "000b _DV_TChartAxis 0010 @IsClass 00a4 @LStrAsg 00ef TChartAxis.SetDateTimeFormat 00f9 TChartAxis.SetLogarithmic 0126 TChartFontObject.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 05 01 00 00 8B FE 8A 47 0C 88 43 0C 8A 47 10 88 43 10 8B 47 14 89 43 14 8B 47 18 89 43 18 8B 47 20 89 43 20 8B 47 1C 89 43 1C 8A 47 25 88 43 25 8A 47 24 88 43 24 8B 57 28 8B 43 28 8B 08 FF 51 08 8B 57 2C 8B 43 2C 8B 08 FF 51 08 8B 57 30 8B 43 30 8B 08 FF 51 08 8B 57 38 8B 43 38 8B 08 FF 51 08 8B 57 34 8B 43 34 8B 08 FF 51 08 8B 47 48 89 43 48 8B 47 40 89 43 40 8B 47 44 89 43 44 8B 47 3C 89 43 3C 8D 43 68 8B 57 68 E8 ?? ?? ?? ?? 8B 47 5C 89 43 5C 8B 47 60 89 43 60 8B 47 4C 89 43 4C 8B 47 50 89 43 50 8B 47 54 89 43 54 8B 47 58 89 43 58 8A 47 0D 88 43 0D 8A 47 0E 88 43 0E 8A 47 0F 88 43 0F 8B 57 64 8B 43 64 8B 08 FF 51 08 8B 57 6C 8B C3 E8 ?? ?? ?? ?? 8A 57 71 8B C3 E8 ?? ?? ?? ?? 8A 47 70 88 43 70 8A 47 72 88 43 72 8A 87 8D 00 00 00 88 83 8D 00 00 00 8A 87 8E 00 00 00 88 83 8E 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15191_0 {
	meta:
		name = "TChartAxis.LabelValue"
		size = 216
		refs = "000f TChartAxis.LabelValue 004c DateTimeDefaultFormat 0056 DateTimeToString 0071 @LStrClr 0087 FormatFloat 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 8C 00 00 00 00 74 55 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 72 3E 83 7B 6C 00 75 26 FF 75 0C FF 75 08 FF B3 88 00 00 00 FF B3 84 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 2F FF 75 0C FF 75 08 8B C6 8B 53 6C E8 ?? ?? ?? ?? EB 1D 8B C6 E8 ?? ?? ?? ?? EB 14 DD 45 08 83 C4 F4 DB 3C 24 9B 8B D6 8B 43 68 E8 ?? ?? ?? ?? 8B 43 04 66 83 B8 E2 01 00 00 00 74 15 6A FF 56 8B F0 33 C9 8B D3 8B 86 E4 01 00 00 FF 96 E0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15192_0 {
	meta:
		name = "TChartAxis.CalcLabelStyle"
		size = 94
		refs = "0011 TCustomAxisPanel.GetAxisSeries 002b TChartSeries.YMandatory 004d TCustomAxisPanel.GetLabelsSeries"
	strings:
		$1 = { 53 56 8B D8 8A 43 25 84 C0 75 50 8B D3 8B 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 B0 01 EB 3C 80 BB 8F 00 00 00 00 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 14 80 BB 8F 00 00 00 00 75 1D 8B C6 E8 ?? ?? ?? ?? 84 C0 75 12 8B D3 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 04 B0 04 EB 02 B0 02 5E 5B C3 }
	condition:
		$1
}

rule function_15193_0 {
	meta:
		name = "TChartAxis.MaxLabelsWidth"
		size = 376
		refs = "0013 TChartAxis.MaxLabelsWidth 0023 TChartAxis.CalcLabelStyle 0043 TChartAxis.IsDateTime 005d TChartAxis.CalcIncrement 006c @INT 00d2 TChartAxis.LabelValue 0103 MaxLong 0131 TCustomAxisPanel.MaxMarkWidth 013c TCustomAxisPanel.MaxTextWidth 0157 @LStrClr 015d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 D2 89 55 DC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 8B C3 E8 ?? ?? ?? ?? 2C 02 74 15 FE C8 0F 84 FB 00 00 00 FE C8 0F 84 FE 00 00 00 E9 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 80 7B 72 00 75 09 80 BB 8D 00 00 00 00 74 31 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B DD 43 7C DC 75 F8 E8 ?? ?? ?? ?? DC 4D F8 DD 5D F0 9B DD 43 74 DC 75 F8 E8 ?? ?? ?? ?? DC 4D F8 DD 5D E8 9B EB 1B 8B 43 7C 89 45 F0 8B 83 80 00 00 00 89 45 F4 8B 43 74 89 45 E8 8B 43 78 89 45 EC 8B 86 E0 01 00 00 89 45 E0 8B 86 E4 01 00 00 89 45 E4 33 C0 89 86 E0 01 00 00 89 86 E4 01 00 00 FF 75 EC FF 75 E8 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 8B 08 FF 91 90 00 00 00 50 FF 75 F4 FF 75 F0 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 8B 08 FF 91 90 00 00 00 5A E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C6 8B 08 FF 91 90 00 00 00 03 D8 8B 45 E0 89 86 E0 01 00 00 8B 45 E4 89 86 E4 01 00 00 EB 18 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 0D 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_15195_0 {
	meta:
		name = "TChartAxis.SetAutomatic"
		size = 37
		refs = "000f TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 56 0D 8B CB 8B 46 04 E8 ?? ?? ?? ?? 8B 46 04 F6 40 20 01 75 06 88 5E 0F 88 5E 0E 5E 5B C3 }
	condition:
		$1
}

rule function_15196_0 {
	meta:
		name = "TChartAxis.SetAutomaticMinimum"
		size = 30
		refs = "000f TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 56 0F 8B CB 8B 46 04 E8 ?? ?? ?? ?? 84 DB 75 04 C6 46 0D 00 5E 5B C3 }
	condition:
		$1
}

rule function_15197_0 {
	meta:
		name = "TChartAxis.SetAutomaticMaximum"
		size = 30
		refs = "000f TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 56 0E 8B CB 8B 46 04 E8 ?? ?? ?? ?? 84 DB 75 04 C6 46 0D 00 5E 5B C3 }
	condition:
		$1
}

rule function_15198_0 {
	meta:
		name = "TChartAxis.IsAxisValuesFormatStored"
		size = 86
		refs = "000c TChartAxis.IsAxisValuesFormatStored 001a TeeMsg_DefValueFormat 001f LoadResString 002a @LStrCmp 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 68 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_15199_0 {
	meta:
		name = "TChartAxis.SetValuesFormat"
		size = 14
		refs = "0009 TCustomTeePanel.SetStringProperty"
	strings:
		$1 = { 8D 48 68 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15200_0 {
	meta:
		name = "TChartAxis.SetInverted"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 70 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15201_0 {
	meta:
		name = "TChartAxis.InternalSetInverted"
		size = 4
	strings:
		$1 = { 88 50 70 C3 }
	condition:
		$1
}

rule function_15202_0 {
	meta:
		name = "TChartAxis.SetLogarithmic"
		size = 200
		refs = "000f TChartAxis.SetLogarithmic 0020 TChartAxis.IsDateTime 002c TeeMsg_AxisLogDateTime 0031 LoadResString 003b _DV_AxisException 0040 Exception.Create 0045 @RaiseExcept 0052 TChartAxis.AdjustMaxMin 0076 TeeMsg_AxisLogNotPositive 009c TCustomTeePanel.SetBooleanProperty 00b1 @LStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 2E 8B C6 E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 48 84 DB 74 44 8B C6 E8 ?? ?? ?? ?? DD 46 7C D8 1D ?? ?? ?? ?? DF E0 9E 72 0E DD 46 74 D8 1D ?? ?? ?? ?? DF E0 9E 73 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 56 71 8B CB 8B 46 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15203_0 {
	meta:
		name = "TChartAxis.SetLabelsAngle"
		size = 105
		refs = "000f TChartAxis.SetLabelsAngle 001d TeeMsg_AxisLabels 0022 LoadResString 002c _NF__498 0043 TCustomTeePanel.SetIntegerProperty 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 81 FB 68 01 00 00 7C 02 33 DB 8D 56 14 8B CB 8B 46 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15204_0 {
	meta:
		name = "TChartAxis.SetLabelsSeparation"
		size = 101
		refs = "0009 TChartAxis.SetLabelsSeparation 001b TeeMsg_AxisLabelSep 0020 LoadResString 002a _DV_AxisException 002f Exception.Create 0034 @RaiseExcept 0041 TCustomTeePanel.SetIntegerProperty 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 48 18 8B 40 04 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_15205_0 {
	meta:
		name = "TChartAxis.SetLabelsSize"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 20 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15271_0 {
	meta:
		name = "TCustomChartLegend.SetColor"
		size = 14
		refs = "0009 TCustomTeePanel.SetColorProperty"
	strings:
		$1 = { 8D 48 20 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15208_0 {
	meta:
		name = "TChartAxis.SetExactDateTime"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 72 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15209_0 {
	meta:
		name = "TChartAxis.SetLabelStyle"
		size = 14
		refs = "0009 TChartFontObject.Repaint"
	strings:
		$1 = { 3A 50 25 74 08 88 50 25 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15211_0 {
	meta:
		name = "TChartAxis.SetDesiredIncrement"
		size = 152
		refs = "000c TChartAxis.SetDesiredIncrement 0028 TeeMsg_AxisIncrementNeg 002d LoadResString 0037 _DV_AxisException 003c Exception.Create 0041 @RaiseExcept 0048 TChartAxis.IsDateTime 005a DateTimeToStr 006b TCustomTeePanel.SetDoubleProperty 0080 @LStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 73 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 53 5C 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15212_0 {
	meta:
		name = "TChartAxis.SetMinimum"
		size = 121
		refs = "000b TChartAxis.SetMinimum 002d TeeMsg_AxisMinMax 0032 LoadResString 003c _DV_AxisException 0041 Exception.Create 0046 @RaiseExcept 0053 TChartAxis.InternalSetMinimum 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 8B D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 42 04 F6 40 20 02 75 2C DD 45 08 DC 5A 4C DF E0 9E 76 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15213_0 {
	meta:
		name = "TChartAxis.InternalSetMinimum"
		size = 24
		refs = "0010 TCustomTeePanel.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 50 54 8B 40 04 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_15214_0 {
	meta:
		name = "TChartAxis.SetMaximum"
		size = 121
		refs = "000b TChartAxis.SetMaximum 002d TeeMsg_AxisMaxMin 0032 LoadResString 003c _DV_AxisException 0041 Exception.Create 0046 @RaiseExcept 0053 TChartAxis.InternalSetMaximum 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 8B D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 42 04 F6 40 20 02 75 2C DD 45 08 DC 5A 54 DF E0 9E 73 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15215_0 {
	meta:
		name = "TChartAxis.SetMinMax"
		size = 156
		refs = "0026 TChartAxis.InternalSetMinimum 0033 TChartAxis.InternalSetMaximum 005b TChartAxis.SetMinMax"
	strings:
		$1 = { 55 8B EC 53 8B D8 C6 43 0D 00 C6 43 0F 00 C6 43 0E 00 DD 45 10 DC 5D 08 DF E0 9E 73 1C FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? EB 1A FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? DD 43 4C DC 63 54 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 24 FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DC 45 08 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 10 00 00 3B DF 4F 8D 97 6E 12 83 F5 3F 00 00 }
	condition:
		$1
}

rule function_15216_0 {
	meta:
		name = "TChartAxis.InternalSetMaximum"
		size = 24
		refs = "0010 TCustomTeePanel.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 50 4C 8B 40 04 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_15217_0 {
	meta:
		name = "TChartAxis.SetTickLength"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 48 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15220_0 {
	meta:
		name = "TChartAxis.SetTickInnerLength"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 3C 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15221_0 {
	meta:
		name = "TChartAxis.DrawTitle"
		size = 105
		refs = "002d TFont.SetColor 004c TChartAxis.DrawHorizontalLabel 0061 TChartAxis.DrawVerticalLabel"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 04 8B 90 50 01 00 00 80 B8 A0 01 00 00 00 74 16 8B 42 0C 81 78 14 FF FF FF 00 75 0A 8B 42 0C 33 D2 E8 ?? ?? ?? ?? 8B 43 64 80 BB 8F 00 00 00 00 74 15 8B 50 0C 52 8B 40 10 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 13 8B 50 0C 52 8B 40 10 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15222_0 {
	meta:
		name = "TChartAxis.DrawVerticalLabel"
		size = 273
		refs = "004a TCustomTeePanel.TeeCharHeight 00c3 TCanvas.GetHandle 00d0 SetTextAlign 00fc TCustomTeePanel.RotateLabel"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B 7D 0C 8B 70 04 8B D7 83 EA 01 72 14 83 EA 59 74 39 83 EA 5A 74 4D 83 EA 5A 74 72 E9 86 00 00 00 80 B8 90 00 00 00 00 74 08 66 C7 45 F6 00 00 EB 06 66 C7 45 F6 02 00 8B C6 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 29 45 F8 EB 62 80 B8 90 00 00 00 00 74 08 66 C7 45 F6 06 00 EB 51 66 C7 45 F6 0E 00 EB 49 80 B8 90 00 00 00 00 74 08 66 C7 45 F6 02 00 EB 06 66 C7 45 F6 00 00 8B C6 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 01 45 F8 EB 1F 80 B8 90 00 00 00 00 74 08 66 C7 45 F6 0E 00 EB 0E 66 C7 45 F6 06 00 EB 06 66 C7 45 F6 00 00 8B 86 50 01 00 00 E8 ?? ?? ?? ?? 8B D8 0F B7 45 F6 50 53 E8 ?? ?? ?? ?? 85 FF 75 16 8B 45 08 50 8B 4D F8 8B 55 FC 8B C6 8B 30 FF 96 84 00 00 00 EB 12 8B 45 08 50 57 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 6A 00 53 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_15223_0 {
	meta:
		name = "TChartAxis.DrawHorizontalLabel"
		size = 260
		refs = "00b2 TCanvas.GetHandle 00be SetTextAlign 00ef TCustomTeePanel.RotateLabel"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B 70 04 8B 55 0C 83 EA 01 72 11 83 EA 59 74 21 83 EA 5A 74 46 83 EA 5A 74 56 EB 7E 80 B8 90 00 00 00 00 74 06 66 BF 0E 00 EB 71 66 BF 06 00 EB 6B 80 B8 90 00 00 00 00 74 04 33 FF EB 04 66 BF 02 00 8B 55 08 8B C6 8B 08 FF 91 8C 00 00 00 D1 F8 79 03 83 D0 00 29 45 FC EB 41 80 B8 90 00 00 00 00 74 06 66 BF 06 00 EB 32 66 BF 0E 00 EB 2C 80 B8 90 00 00 00 00 74 06 66 BF 02 00 EB 02 33 FF 8B 55 08 8B C6 8B 08 FF 91 8C 00 00 00 D1 F8 79 03 83 D0 00 01 45 FC EB 02 33 FF 8B 86 50 01 00 00 E8 ?? ?? ?? ?? 8B D8 0F B7 C7 50 53 E8 ?? ?? ?? ?? 83 7D 0C 00 75 16 8B 45 08 50 8B 4D F8 8B 55 FC 8B C6 8B 30 FF 96 84 00 00 00 EB 15 8B 45 08 50 8B 45 0C 50 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 6A 00 53 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15224_0 {
	meta:
		name = "TChartAxis.Scroll"
		size = 144
		refs = "0012 TChartAxis.Scroll 002a _NF__5F9 0082 TChartFontObject.Repaint"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 84 DB 74 52 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 1B 8A 86 8F 00 00 00 50 33 C9 8B D6 8B 46 04 E8 ?? ?? ?? ?? DC 5E 4C DF E0 9E 77 29 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 73 42 8A 86 8F 00 00 00 50 B1 01 8B D6 8B 46 04 E8 ?? ?? ?? ?? DC 5E 54 DF E0 9E 73 27 C6 46 0D 00 C6 46 0E 00 DD 46 4C DC 45 08 DD 5E 4C 9B C6 46 0F 00 DD 46 54 DC 45 08 DD 5E 54 9B 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 00 00 00 00 }
	condition:
		$1
}

rule function_15225_0 {
	meta:
		name = "TChartAxis.InternalCalcLog"
		size = 104
		refs = "0011 TChartAxis.InternalCalcLog"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 DD 43 7C D8 1D ?? ?? ?? ?? DF E0 9E 77 09 33 C0 89 07 89 47 04 EB 0C DD 43 7C D9 ED D9 C9 D9 F1 DD 1F 9B DD 43 74 D8 1D ?? ?? ?? ?? DF E0 9E 77 09 33 C0 89 06 89 46 04 EB 0C DD 43 74 D9 ED D9 C9 D9 F1 DD 1E 9B DD 06 DC 27 DD 1C 24 9B DD 04 24 59 5A 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_15226_0 {
	meta:
		name = "TChartAxis.InternalCalcPos"
		size = 184
		refs = "001e TChartAxis.InternalCalcLog 002b TChartAxis.InternalCalcPos 005f @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 80 7B 71 00 74 52 8D 4D E8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 D8 1D ?? ?? ?? ?? DF E0 9E 75 04 8B C6 EB 70 DD 45 10 D8 1D ?? ?? ?? ?? DF E0 9E 77 04 8B C7 EB 5E DD 45 10 D9 ED D9 C9 D9 F1 DC 65 E8 DB 45 08 DE C9 DC 75 F8 E8 ?? ?? ?? ?? 03 C7 EB 41 DD 83 84 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 75 04 8B C6 EB 2C DD 45 10 DC 63 7C DB 45 08 DE C9 DC B3 84 00 00 00 E8 ?? ?? ?? ?? 89 45 08 80 7B 70 00 74 08 8B 45 0C 2B 45 08 EB 05 8B 45 08 03 C7 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15227_0 {
	meta:
		name = "TChartAxis.CalcPosValue"
		size = 24
		refs = "0010 TChartAxis.InternalCalcPosValue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8A 90 8F 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_15228_0 {
	meta:
		name = "TChartAxis.InternalCalcPosValue"
		size = 94
		refs = "002c TChartAxis.InternalCalcPos"
	strings:
		$1 = { 55 8B EC 56 8B 70 04 84 D2 74 27 FF 75 0C FF 75 08 8B 96 88 01 00 00 52 8B 96 90 01 00 00 52 8B 8E 80 01 00 00 8B 96 98 01 00 00 E8 ?? ?? ?? ?? EB 27 FF 75 0C FF 75 08 8B 96 84 01 00 00 52 8B 96 94 01 00 00 F7 DA 52 8B 8E 8C 01 00 00 8B 96 9C 01 00 00 E8 ?? ?? ?? ?? 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_15229_0 {
	meta:
		name = "TChartAxis.CalcXPosValue"
		size = 20
		refs = "000c TChartAxis.InternalCalcPosValue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 B2 01 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_15231_0 {
	meta:
		name = "TChartAxis.InternalCalcSizeValue"
		size = 152
		refs = "0014 TChartAxis.InternalCalcSizeValue 002c TChartAxis.InternalCalcLog 0057 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B FA 8B D8 33 F6 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 69 80 7B 71 00 74 3C 8D 4D E8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 D8 1D ?? ?? ?? ?? DF E0 9E 74 44 DD 45 08 D9 ED D9 C9 D9 F1 89 7D E4 DB 45 E4 DE C9 DC 75 F8 E8 ?? ?? ?? ?? 8B F0 EB 27 DD 83 84 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 74 16 89 7D E4 DB 45 E4 DC 4D 08 DC B3 84 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15232_0 {
	meta:
		name = "TChartAxis.CalcSizeValue"
		size = 40
		refs = "0013 TChartAxis.CalcXSizeValue 0020 TChartAxis.CalcYSizeValue"
	strings:
		$1 = { 55 8B EC 80 B8 8F 00 00 00 00 74 0D FF 75 0C FF 75 08 E8 ?? ?? ?? ?? EB 0B FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_15233_0 {
	meta:
		name = "TChartAxis.CalcXSizeValue"
		size = 27
		refs = "0013 TChartAxis.InternalCalcSizeValue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 50 04 8B 92 90 01 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_15234_0 {
	meta:
		name = "TChartAxis.CalcYSizeValue"
		size = 27
		refs = "0013 TChartAxis.InternalCalcSizeValue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 50 04 8B 92 94 01 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_15235_0 {
	meta:
		name = "TChartAxis.Clicked"
		size = 130
		refs = "0012 TCustomAxisPanel.IsAxisVisible 0044 TeeAxisClickGap"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 33 DB 8B D6 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 61 8B 46 04 8D 88 80 01 00 00 80 BE 8F 00 00 00 00 74 28 3B 39 7C 1C 3B 79 08 7F 17 8B 86 A0 00 00 00 2B C5 99 33 C2 2B C2 8B 15 ?? ?? ?? ?? 3B 02 7C 04 33 DB EB 2B B3 01 EB 27 3B 69 04 7C 1C 3B 69 0C 7F 17 8B 86 A0 00 00 00 2B C7 99 33 C2 2B C2 8B 15 ?? ?? ?? ?? 3B 02 7C 04 33 DB EB 02 B3 01 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15236_0 {
	meta:
		name = "TChartAxis.CustomDrawMinMax"
		size = 352
		refs = "0045 TChartAxis.CustomDrawMinMax 00cc TChartAxis.CustomDraw 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 45 FC 8B 45 FC 8B 58 54 89 5D F4 8B 58 58 89 5D F8 8B 45 FC 8B 58 4C 89 5D EC 8B 58 50 89 5D F0 8B 45 FC 8B 58 5C 89 5D E4 8B 58 60 89 5D E8 8B 45 FC 8A 40 0D 88 45 E3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 0D 00 8B 45 FC 8B 5D 18 89 58 54 8B 5D 1C 89 58 58 8B 45 FC 8B 5D 10 89 58 4C 8B 5D 14 89 58 50 8B 45 FC 8B 5D 08 89 58 5C 8B 5D 0C 89 58 60 8B 45 FC 8B 5D FC 8B 73 4C 89 70 74 8B 73 50 89 70 78 8B 45 FC 8B 5D FC 8B 73 54 89 70 7C 8B 73 58 89 B0 80 00 00 00 8B 45 FC DD 40 74 8B 45 FC DC 60 7C 8B 45 FC DD 98 84 00 00 00 9B 8B 45 24 50 8A 45 20 50 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 50 54 8B 55 F8 89 50 58 8B 45 FC 8B 55 EC 89 50 4C 8B 55 F0 89 50 50 8B 45 FC 8B 55 E4 89 50 5C 8B 55 E8 89 50 60 8B 45 FC 8A 55 E3 88 50 0D 8B 45 FC 8B 55 FC 8B 4A 4C 89 48 74 8B 4A 50 89 48 78 8B 45 FC 8B 55 FC 8B 4A 54 89 48 7C 8B 4A 58 89 88 80 00 00 00 8B 45 FC DD 40 74 8B 45 FC DC 60 7C 8B 45 FC DD 98 84 00 00 00 9B C3 E9 ?? ?? ?? ?? EB 85 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_15237_0 {
	meta:
		name = "TChartAxis.CalcPosAxis3D"
		size = 76
	strings:
		$1 = { 80 B8 90 00 00 00 00 74 36 80 B8 8F 00 00 00 00 74 17 8B 50 04 8B 88 9C 00 00 00 2B 8A 60 01 00 00 89 88 A0 00 00 00 EB 22 8B 50 04 8B 92 5C 01 00 00 03 90 9C 00 00 00 89 90 A0 00 00 00 C3 8B 90 9C 00 00 00 89 90 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_15238_0 {
	meta:
		name = "TChartAxis.CustomDraw"
		size = 68
		refs = "001f TChartAxis.CalcPosAxis3D 0034 TChartAxis.Draw"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 89 96 94 00 00 00 89 8E 98 00 00 00 8B 45 0C 89 86 9C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 38 8A 58 18 8A 55 08 88 50 18 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 38 88 58 18 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15239_0 {
	meta:
		name = "_NF__58C"
		size = 44
	strings:
		$1 = { 80 B8 90 00 00 00 00 74 12 80 B8 8F 00 00 00 00 74 05 8B 42 04 EB 14 8B 42 08 C3 80 B8 8F 00 00 00 00 74 05 8B 42 0C EB 02 8B 02 C3 }
	condition:
		$1
}

rule function_15240_0 {
	meta:
		name = "_NF__58D"
		size = 224
		refs = "0057 TCustomTeePanel.DoVertLine 007d TCustomTeePanel.DoHorizLine"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 5B FC 8B 73 04 8B 5D 08 8B 5B FC 80 BB 90 00 00 00 00 74 65 8B 5D 08 8B 5B FC 80 BB 8F 00 00 00 00 74 30 03 96 60 01 00 00 8B 5D 08 8B 5B FC 8B BB 9C 00 00 00 8B DF 2B D9 2B DA 53 03 86 5C 01 00 00 8B 4D 08 8B CF 2B CA 8B D6 92 E8 ?? ?? ?? ?? EB 7E 8B 5D 08 8B 5B FC 8B 9B 9C 00 00 00 03 9E 5C 01 00 00 03 D3 2B 86 60 01 00 00 50 03 CA 8B C6 E8 ?? ?? ?? ?? EB 58 8B 5D 08 03 53 F8 03 CA 8B 5D 08 8B 5B FC 80 BB 8F 00 00 00 00 74 20 8B 5D 08 8B 5B FC 8B BB A0 00 00 00 03 CF 51 8B 4D 08 8B CF 03 CA 8B D6 92 E8 ?? ?? ?? ?? EB 21 50 8B 45 08 8B 40 FC 8B B8 A0 00 00 00 8B C7 2B C2 8B D0 8B 45 08 2B F9 8B CF 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_15241_0 {
	meta:
		name = "_NF__58E"
		size = 705
		refs = "0027 TBrush.SetStyle 0030 TCanvas.GetHandle 0036 SetBkMode 0051 TCustomAxisPanel.CheckPenWidth 0059 TPen.GetStyle 0064 TPen.GetColor 0078 TPen.SetColor 00ab TPen.SetStyle 00d0 TCanvas.MoveTo 0106 TCanvas.LineTo 017a TCustomTeePanel.DoVertLine 028a TCustomTeePanel.DoHorizLine"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 08 8B 40 FC 8B 70 04 8B 9E 50 01 00 00 8D BE 80 01 00 00 B2 01 8B 43 14 E8 ?? ?? ?? ?? 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 50 38 8B 43 10 8B 08 FF 51 08 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 88 45 FB 8B 43 10 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 0D BA 80 80 80 00 8B 43 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 B8 8F 00 00 00 00 0F 84 14 01 00 00 8B 86 5C 01 00 00 85 C0 0F 8E B7 00 00 00 8B 55 FC 03 D0 89 55 F4 33 D2 8B 43 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 B8 90 00 00 00 00 74 18 8B 45 08 8B 40 FC 8B 88 A0 00 00 00 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 34 8B 45 08 8B 40 FC 8B 88 9C 00 00 00 49 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 88 9C 00 00 00 2B 8E 60 01 00 00 49 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8A 55 FB 8B 43 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 B8 90 00 00 00 00 74 18 8B 4F 0C 2B 8E 60 01 00 00 8B 55 F4 8B C3 E8 ?? ?? ?? ?? E9 6F 01 00 00 8B 4F 04 2B 8E 60 01 00 00 8B 55 F4 8B C3 E8 ?? ?? ?? ?? E9 57 01 00 00 8B 45 08 8B 40 FC 80 B8 90 00 00 00 00 74 20 8B 47 0C 50 8B 45 08 8B 40 FC 8B 88 9C 00 00 00 41 8B 55 FC 8B C6 E8 ?? ?? ?? ?? E9 28 01 00 00 8B 47 04 50 8B 45 08 8B 40 FC 8B 88 9C 00 00 00 49 8B 55 FC 8B C6 E8 ?? ?? ?? ?? E9 08 01 00 00 83 BE 5C 01 00 00 00 0F 8E B5 00 00 00 8B 45 FC 2B 86 60 01 00 00 89 45 F4 33 D2 8B 43 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 B8 90 00 00 00 00 74 18 8B 45 08 8B 40 FC 8B 90 A0 00 00 00 8B 4D F4 8B C3 E8 ?? ?? ?? ?? EB 34 8B 45 08 8B 40 FC 8B 90 9C 00 00 00 42 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 9C 00 00 00 03 96 5C 01 00 00 42 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 8A 55 FB 8B 43 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 B8 90 00 00 00 00 74 14 8B 17 03 96 5C 01 00 00 8B 4D F4 8B C3 E8 ?? ?? ?? ?? EB 5C 8B 57 08 03 96 5C 01 00 00 4A 8B 4D F4 8B C3 E8 ?? ?? ?? ?? EB 46 8B 45 08 8B 40 FC 80 B8 90 00 00 00 00 74 1C 8B 45 FC 50 8B 45 08 8B 40 FC 8B 90 9C 00 00 00 4A 8B 0F 8B C6 E8 ?? ?? ?? ?? EB 1B 8B 45 FC 50 8B 45 08 8B 40 FC 8B 90 9C 00 00 00 42 8B 4F 08 8B C6 E8 ?? ?? ?? ?? 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15242_0 {
	meta:
		name = "_NF__58F"
		size = 274
		refs = "0040 TBrush.SetColor 004a TBrush.SetStyle 0069 TFont.SetColor 00e9 TChartAxis.DrawHorizontalLabel 0108 TChartAxis.DrawVerticalLabel"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 08 8B 40 FC 8B 58 04 8B B3 50 01 00 00 8B 45 08 8B 40 FC 8B 50 08 8B C3 8B 08 FF 91 80 00 00 00 8B 45 08 8B 40 FC 8B 40 04 8B 50 54 8B 46 14 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 80 BB A0 01 00 00 00 74 16 8B 46 0C 81 78 14 FF FF FF 00 75 0A 33 D2 8B 46 0C E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 94 00 00 00 8B 55 08 8B 52 FC 8A 92 8F 00 00 00 84 D2 74 20 8B 4D 08 8B 49 FC 80 B9 90 00 00 00 00 74 2F 8B 8B 5C 01 00 00 01 4D F8 2B 83 60 01 00 00 EB 1E 8B 4D 08 8B 49 FC 80 B9 90 00 00 00 00 74 0F 03 83 5C 01 00 00 8B 8B 60 01 00 00 29 4D F8 8B 4D 08 84 D2 74 21 8B 55 08 8B 52 FC 8B 52 14 52 8B 55 FC 52 8B 55 08 8B 52 FC 8B C8 8B 45 F8 92 E8 ?? ?? ?? ?? EB 1D 8B 55 08 8B 52 FC 8B 52 14 52 8B 55 FC 52 8B 55 08 8B 52 FC 8B 4D F8 92 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15243_0 {
	meta:
		name = "_NF__590"
		size = 400
		refs = "004b _NF__58D 008e _NF__58E 0124 _NF__590 015c @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F0 8B 45 08 8B 40 FC 8B 40 28 80 78 18 00 74 36 8B 55 08 8B D0 8B 45 08 8B 40 FC 8B 40 04 8B 80 50 01 00 00 8B 40 10 8B 08 FF 51 08 8B 45 08 50 8B 45 08 8B 40 FC 8B 48 48 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 40 38 80 78 18 00 74 34 8B 45 08 DD 40 F0 8B 45 08 8B 40 FC DC 58 74 DF E0 9E 74 20 8B 45 08 DD 40 F0 8B 45 08 8B 40 FC DC 58 7C DF E0 9E 74 0C 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 40 30 80 78 18 00 74 36 8B 55 08 8B D0 8B 45 08 8B 40 FC 8B 40 04 8B 80 50 01 00 00 8B 40 10 8B 08 FF 51 08 8B 45 08 50 8B 45 08 8B 40 FC 8B 48 3C F7 D9 83 CA FF 8B C6 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 40 2C 80 78 18 00 0F 84 93 00 00 00 8B 55 08 83 7A EC FF 0F 8E 86 00 00 00 8B 55 08 8B D0 8B 45 08 8B 40 FC 8B 40 04 8B 80 50 01 00 00 8B 40 10 8B 08 FF 51 08 8B 55 08 8B CE 2B 4A EC 89 4D F4 DB 45 F4 D8 0D ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 44 8B D0 42 89 55 F0 DB 45 F0 DE F9 DD 5D F8 9B 8B 55 08 8B D8 85 DB 7E 35 BF 01 00 00 00 8B 45 08 50 89 7D F4 DB 45 F4 DC 4D F8 E8 ?? ?? ?? ?? 50 8B C6 5A 2B C2 8B 55 08 8B 52 FC 8B 4A 40 BA 01 00 00 00 E8 ?? ?? ?? ?? 59 47 4B 75 D0 8B 45 08 89 70 EC 5F 5E 5B 8B E5 5D C3 00 00 00 80 3F }
	condition:
		$1
}

rule function_15244_0 {
	meta:
		name = "_NF__591"
		size = 132
		refs = "004a TCustomTeePanel.TeeCharHeight 0058 _NF__591 006a @TRUNC"
	strings:
		$1 = { 55 8B EC 51 53 8B 55 08 8B 52 FC 8A 92 8F 00 00 00 8B 4D 08 8B 49 FC 8B 49 14 83 E9 5A 74 08 81 E9 B4 00 00 00 75 03 80 F2 01 8B 4D 08 8B 49 FC 8B 49 04 84 D2 74 10 8B D0 8B C1 8B 08 FF 91 90 00 00 00 8B D8 EB 09 8B C1 E8 ?? ?? ?? ?? 8B D8 89 5D FC DB 45 FC DB 2D ?? ?? ?? ?? DE C9 8B 45 08 8B 40 FC DB 40 18 DE C9 E8 ?? ?? ?? ?? 03 D8 8B C3 5B 59 5D C3 00 00 0A D7 A3 70 3D 0A D7 A3 F9 3F 00 00 }
	condition:
		$1
}

rule function_15245_0 {
	meta:
		name = "_NF__592"
		size = 155
		refs = "0014 _NF__591 007d _NF__590 008b _NF__58F"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 88 45 FF 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 D1 F8 79 03 83 D0 00 80 7D FF 00 74 35 8B 55 08 3B 5A E8 7C 17 8B 55 08 8B 52 E8 8B 4D 08 03 51 E4 8B CB 2B C8 3B D1 0F 9E C2 EB 18 8B 55 08 8B 52 E8 8B 4D 08 2B 51 E4 8D 0C 18 3B D1 0F 9D C2 EB 02 B2 01 8B 4D 08 89 41 E4 84 D2 74 2F 8B 45 08 8B 40 FC 80 B8 8E 00 00 00 00 74 0C 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 59 8B 45 08 89 58 E8 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15246_0 {
	meta:
		name = "_NF__593"
		size = 394
		refs = "0017 _NF__593 002c _NF__321 0063 _NF__320 00a2 TChartAxis.CalcPosValue 00c0 _NF__590 00ef TCustomAxisPanel.MarkText 0102 TCustomAxisPanel.XLabelText 0157 _NF__592 0177 @LStrClr 017d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F0 8B DA 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 3D 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 C0 00 00 00 83 F8 FF 0F 84 27 01 00 00 8B B3 C4 00 00 00 2B F0 0F 8C 19 01 00 00 46 89 45 F8 8B 45 08 8B 40 FC 8A 90 8F 00 00 00 8B 4D F8 8B C3 E8 ?? ?? ?? ?? DD 5D E8 9B DD 45 E8 8B 45 08 8B 40 FC DC 58 7C DF E0 9E 0F 82 DC 00 00 00 DD 45 E8 8B 45 08 8B 40 FC DC 58 74 DF E0 9E 0F 87 C7 00 00 00 FF 75 EC FF 75 E8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 08 8B 40 FC 80 B8 8E 00 00 00 00 75 0D 8B 45 08 50 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 80 78 10 00 0F 84 87 00 00 00 8A 45 FF 2C 03 74 06 FE C8 74 15 EB 24 8D 45 F0 50 8B 4D F8 8B D3 8B 43 40 E8 ?? ?? ?? ?? EB 11 8D 45 F0 50 8B 4D F8 8B D3 8B 43 40 E8 ?? ?? ?? ?? 8B 43 40 66 83 B8 E2 01 00 00 00 74 1E 8B 55 F8 52 8D 55 F0 52 8B 55 08 8B 52 FC 8B F8 8B CB 8B 87 E4 01 00 00 FF 97 E0 01 00 00 8B 45 08 50 8B 45 08 8B 40 FC 83 78 18 00 74 09 8B 45 08 83 78 E8 FF 75 04 33 C0 EB 02 B0 01 8B 4D F0 8B 55 F4 E8 ?? ?? ?? ?? 59 FF 45 F8 4E 0F 85 EB FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15247_0 {
	meta:
		name = "_NF__594"
		size = 197
		refs = "000d _NF__594 0027 TChartAxis.CalcPosValue 0043 _NF__590 006b TChartAxis.LabelValue 0077 _NF__592 009f TChartAxis.IncDecDateTime 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 FF 70 F4 FF 70 F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 FC 80 B8 8E 00 00 00 00 75 0C 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 80 78 10 00 74 28 8B 45 08 50 8B 45 08 FF 70 F4 FF 70 F0 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D6 33 C0 E8 ?? ?? ?? ?? 59 84 DB 74 23 8B 45 08 FF 70 E0 FF 70 DC 8B 45 08 8A 40 DB 50 8B 45 08 8D 48 F0 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15248_0 {
	meta:
		name = "_NF__595"
		size = 160
		refs = "0013 EncodeDate 002f DecodeDate"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 B9 01 00 66 BA 01 00 66 B8 6C 07 E8 ?? ?? ?? ?? DC 5D 08 DF E0 9E 73 6C FF 75 0C FF 75 08 8D 4D F2 8D 55 F4 8D 45 F6 E8 ?? ?? ?? ?? 8B 45 10 8B 40 08 8A 40 DB 2C 12 74 09 48 2C 05 72 1B 74 21 EB 2B 66 83 7D F2 0F 72 08 66 C7 45 F2 0F 00 EB 1C 66 C7 45 F2 01 00 EB 14 66 C7 45 F2 01 00 EB 0C 66 C7 45 F2 01 00 66 C7 45 F4 01 00 66 8B 4D F2 66 8B 55 F4 66 8B 45 F6 E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_15249_0 {
	meta:
		name = "_NF__596"
		size = 352
		refs = "0026 _NF__596 0071 _NF__595 00a7 @TRUNC 00db TChartAxis.IncDecDateTime 00f4 _NF__594"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 5D 08 83 C3 FC 8B 75 08 83 C6 F0 8B 03 DD 40 74 8B 45 08 DC 70 DC DD 1E 9B DD 06 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 0F 86 13 01 00 00 8B 03 DD 80 84 00 00 00 8B 45 08 DC 70 DC D9 E1 D8 1D ?? ?? ?? ?? DF E0 9E 0F 83 F4 00 00 00 8B 03 80 B8 8C 00 00 00 00 74 1C 8B 03 80 78 72 00 74 14 55 8B 03 FF 70 78 FF 70 74 E8 ?? ?? ?? ?? 59 DD 1E 9B EB 3F 8B 03 DD 40 7C 8B 03 DC 58 74 DF E0 9E 74 0B 8B 03 80 B8 8D 00 00 00 00 75 0F 8B 03 8B 50 74 89 16 8B 50 78 89 56 04 EB 16 DD 06 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC 8B 45 08 DC 48 DC DD 1E 9B 8B 03 80 78 24 00 74 60 EB 1B 8B 45 08 FF 70 E0 FF 70 DC 8B 45 08 8A 40 DB 50 8B CE 8B 03 33 D2 E8 ?? ?? ?? ?? DD 06 8B 03 DC 58 74 DF E0 9E 77 D9 EB 0C 8B 45 08 50 B0 01 E8 ?? ?? ?? ?? 59 DD 06 8B 03 DC 58 7C DF E0 9E 73 E8 EB 41 8B 45 08 FF 70 E0 FF 70 DC 8B 45 08 8A 40 DB 50 8B CE 8B 03 33 D2 E8 ?? ?? ?? ?? DD 06 8B 03 DC 58 74 DF E0 9E 73 D9 EB 0C 8B 45 08 50 B0 01 E8 ?? ?? ?? ?? 59 DD 06 8B 03 DC 58 7C DF E0 9E 77 E8 5E 5B 59 5D C3 00 00 00 00 00 00 00 FE FF FF FF 1D 40 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_15250_0 {
	meta:
		name = "_NF__597"
		size = 216
		refs = "005d _NF__596 0066 _NF__597 00a9 _NF__594"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 45 08 8B 55 08 8B 52 FC 8B 4A 7C 89 48 F0 8B 8A 80 00 00 00 89 48 F4 C6 45 FF 01 33 F6 33 DB 8B 45 08 83 C0 F0 50 8D 45 FF 50 8B 45 08 8B 40 FC 8B 58 04 8B 45 08 8B 50 FC 8B CE 8B 83 EC 01 00 00 FF 93 E8 01 00 00 80 7D FF 00 74 10 85 F6 75 6D 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 61 DB 2D ?? ?? ?? ?? 8B 45 08 8B 40 FC DC 68 7C 8B 45 08 DC 58 F0 DF E0 9E 77 1A DB 2D ?? ?? ?? ?? 8B 45 08 8B 40 FC DC 40 74 8B 45 08 DC 58 F0 DF E0 9E 73 04 33 DB EB 02 B3 01 84 DB 74 0C 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 46 80 7D FF 00 75 10 84 DB 74 0C 81 FE E8 03 00 00 0F 8E 61 FF FF FF 5E 5B 59 5D C3 00 00 BC 42 7A E5 D5 94 BF D6 E7 3F 00 00 }
	condition:
		$1
}

rule function_15251_0 {
	meta:
		name = "TChartAxis.Draw"
		size = 756
		refs = "0029 TChartAxis.IsDateTime 0056 TChartAxis.CalcIncrement 006d _NF__58C 007c TChartAxis.CalcPosAxis3D 00a9 TBrush.SetColor 00b3 TBrush.SetStyle 00fd TChartAxis.DrawTitle 011d FindDateTimeStep 0139 DateTimeStep 0156 TChartAxis.Draw 0198 TChartAxis.CalcLabelStyle 01bc _NF__597 01c5 _NF__596 01d2 TCustomAxisPanel.GetAxisSeries 01dc _NF__593 01e9 TCustomAxisPanel.GetLabelsSeries 0248 TCustomTeePanel.DoHorizLine 02b1 TCustomTeePanel.DoVertLine"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 88 55 DA 89 45 FC 8D 7D FC 8B 07 8B 58 04 8D 83 80 01 00 00 89 45 D4 8B B3 50 01 00 00 8B 07 E8 ?? ?? ?? ?? 8B 17 88 82 8C 00 00 00 8B 17 8B C3 8B 08 FF 91 A0 00 00 00 89 45 F8 8B 07 8B 50 08 8B C3 8B 08 FF 91 80 00 00 00 8B 07 E8 ?? ?? ?? ?? DD 5D DC 9B 80 7D DA 00 74 1C 8D 93 80 01 00 00 8B 07 E8 ?? ?? ?? ?? 8B 17 89 82 9C 00 00 00 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 40 64 83 78 10 00 74 76 8B 07 8B 40 64 8B 50 08 8B C3 8B 08 FF 91 80 00 00 00 8B 07 8B 40 04 8B 50 54 8B 46 14 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B 07 80 B8 8F 00 00 00 00 74 10 8B 83 98 01 00 00 8B 17 8B 92 98 00 00 00 EB 0E 8B 07 8B 80 98 00 00 00 8B 93 9C 01 00 00 8B 0F 80 B9 90 00 00 00 00 74 0C 03 83 5C 01 00 00 2B 93 60 01 00 00 8B CA 8B 17 92 E8 ?? ?? ?? ?? 8B 07 80 B8 8C 00 00 00 00 74 41 8B 07 80 78 72 00 74 39 8B 07 FF 70 60 FF 70 5C E8 ?? ?? ?? ?? 88 45 DB 80 7D DB 19 74 27 EB 03 FE 45 DB DD 45 DC 33 C0 8A 45 DB 8B 15 ?? ?? ?? ?? DC 1C C2 DF E0 9E 76 0C 80 7D DB 18 75 E1 EB 04 C6 45 DB 19 DD 45 DC D8 1D ?? ?? ?? ?? DF E0 9E 77 14 80 7D DB 12 0F 82 8F 00 00 00 80 7D DB 18 0F 87 85 00 00 00 8B 07 DD 40 74 8B 07 DC 58 7C DF E0 9E 72 76 C7 45 E8 FF FF FF FF 33 C0 89 45 E4 C7 45 EC FF FF FF FF 8B 07 E8 ?? ?? ?? ?? 88 45 D9 8A 45 D9 2C 02 74 0A FE C8 74 22 FE C8 74 35 EB 48 66 83 BB EA 01 00 00 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 35 55 E8 ?? ?? ?? ?? 59 EB 2C 55 8B 17 8B C3 E8 ?? ?? ?? ?? 8B D0 8A 45 D9 E8 ?? ?? ?? ?? 59 EB 15 55 8B 17 8B C3 E8 ?? ?? ?? ?? 8B D0 8A 45 D9 E8 ?? ?? ?? ?? 59 8B 07 8B 40 34 80 78 18 00 0F 84 E0 00 00 00 8B D0 8B 46 10 8B 08 FF 51 08 8B 07 80 B8 8F 00 00 00 00 74 67 8B 07 80 B8 90 00 00 00 00 74 2A 8B 17 8B 92 A0 00 00 00 52 8B 55 D4 8B 4A 08 8B 83 5C 01 00 00 03 C8 8B 55 D4 8B 12 03 D0 8B C3 E8 ?? ?? ?? ?? E9 96 00 00 00 8B 07 8B 80 9C 00 00 00 03 45 F8 50 8B 93 C0 01 00 00 8B C3 8B 08 FF 91 A0 00 00 00 8B 55 D4 8B 12 2B D0 8B 45 D4 8B 48 08 8B C3 E8 ?? ?? ?? ?? EB 64 8B 07 80 B8 90 00 00 00 00 74 29 8B 55 D4 8B 52 0C 8B 83 60 01 00 00 2B D0 52 8B 55 D4 8B 4A 04 2B C8 41 8B 07 8B 90 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 30 8B 93 BC 01 00 00 8B C3 8B 08 FF 91 A0 00 00 00 8B 55 D4 03 42 0C 50 8B 45 D4 8B 48 04 41 8B 07 8B 90 9C 00 00 00 2B 55 F8 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15252_0 {
	meta:
		name = "_NF__59B"
		size = 91
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 80 BA 8F 00 00 00 00 74 25 8B 55 08 8B 52 FC 80 BA 90 00 00 00 00 74 0B 8B 55 08 8B 52 F8 01 42 04 EB 2D 8B 55 08 8B 52 F8 29 42 0C 5D C3 8B 55 08 8B 52 FC 80 BA 90 00 00 00 00 74 0B 8B 55 08 8B 52 F8 29 42 08 EB 08 8B 55 08 8B 52 F8 01 02 5D C3 }
	condition:
		$1
}

rule function_15253_0 {
	meta:
		name = "_NF__59C"
		size = 281
		refs = "0059 TCustomTeePanel.TeeCharHeight 0069 TChartAxis.MaxLabelsWidth 0072 TCustomAxisPanel.TeeXToY 00fb _NF__59B 010d _NF__58C"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 F8 89 45 FC 8B 55 08 85 D2 74 07 8B C2 E9 D8 00 00 00 8B 45 0C 8B 40 FC 8B 58 04 8B 55 FC 8B C3 8B 08 FF 91 80 00 00 00 85 F6 75 65 8B 45 0C 8B 40 FC 80 B8 8F 00 00 00 00 74 31 8B 45 F8 83 E8 01 72 07 2D B3 00 00 00 75 0C 8B C3 E8 ?? ?? ?? ?? E9 94 00 00 00 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 7E 8B 45 F8 83 E8 01 72 07 2D B3 00 00 00 75 0D 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? EB 62 8B C3 E8 ?? ?? ?? ?? EB 59 8B 45 0C 8B 40 FC 80 B8 8F 00 00 00 00 74 26 8B 45 F8 83 E8 01 72 07 2D B3 00 00 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 32 8B D6 8B C3 8B 08 FF 91 90 00 00 00 EB 24 8B 45 F8 83 E8 01 72 07 2D B3 00 00 00 75 0E 8B D6 8B C3 8B 08 FF 91 90 00 00 00 EB 07 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 52 E8 ?? ?? ?? ?? 59 8B 45 0C 8B 50 F8 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15254_0 {
	meta:
		name = "TChartAxis.CalcRect"
		size = 213
		refs = "0014 TChartAxis.IsDateTime 003c _NF__59C 007e TPen.GetWidth 00ab MaxLong 00ca _NF__59B"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8D 75 FC 8B 06 E8 ?? ?? ?? ?? 8B 16 88 82 8C 00 00 00 8B 06 8B 58 64 83 7B 10 00 74 1E 55 8B 06 8B 40 1C 50 8B 4B 10 8B 53 0C 8B 43 08 E8 ?? ?? ?? ?? 59 8B 16 89 82 98 00 00 00 8B 06 80 78 10 00 74 21 55 8B 06 8B 40 20 50 8B 06 8B 50 14 8B 06 8B 40 08 33 C9 E8 ?? ?? ?? ?? 59 8B 16 89 82 94 00 00 00 8B 06 8B 40 34 80 78 18 00 74 09 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 8B 06 8B 40 28 80 78 18 00 74 05 8B 06 03 58 48 8B 06 8B 40 2C 80 78 18 00 74 0E 8B 06 8B 50 40 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 06 8B 40 04 8B 16 8B 08 FF 91 A0 00 00 00 03 D8 85 DB 7E 09 55 8B C3 E8 ?? ?? ?? ?? 59 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15255_0 {
	meta:
		name = "TCustomChartLegend.Create"
		size = 134
		refs = "000e @ClassCreate 001c TChartFontObject.Create 0036 _DV_TChartPen 003b TChartPen.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 2C 01 C6 43 2D 01 C6 43 2F 00 C7 43 20 FF FF FF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 24 8B 43 04 89 46 08 8B 00 8B 80 88 00 00 00 89 46 04 C6 43 0E 01 C6 43 0D 00 C7 43 10 0C 00 00 00 C7 43 1C 0A 00 00 00 C6 43 0C 01 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15256_0 {
	meta:
		name = "TCustomChartLegend.Assign"
		size = 120
		refs = "000a _DV_TCustomChartLegend 000f @IsClass 0071 TChartFontObject.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 55 8B C6 8A 50 2C 88 53 2C 8A 50 0D 88 53 0D 8B 50 28 89 53 28 8A 50 2D 88 53 2D 8A 50 0E 88 53 0E 8B 50 10 89 53 10 8B 50 14 89 53 14 8B 50 18 89 53 18 8A 50 0C 88 53 0C 8A 50 2E 88 53 2E 8B 50 1C 89 53 1C 8B 50 20 89 53 20 8B 50 24 8B 43 24 8B 08 FF 51 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15257_0 {
	meta:
		name = "TCustomChartLegend.SetVisible"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 2C 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15258_0 {
	meta:
		name = "TCustomChartLegend.SetInverted"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 2E 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15259_0 {
	meta:
		name = "TCustomChartLegend.SetAlignment"
		size = 17
	strings:
		$1 = { 3A 50 2D 74 0B 88 50 2D 8B 40 04 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_15264_0 {
	meta:
		name = "TCustomChartLegend.SetTopPos"
		size = 108
		refs = "0009 TCustomChartLegend.SetTopPos 0020 TeeMsg_LegendTopPos 0025 LoadResString 002f _DV_LegendException 0034 Exception.Create 0039 @RaiseExcept 0048 TCustomTeePanel.SetIntegerProperty 005d @LStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 7C 05 83 FA 64 7E 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 48 1C 8B 40 04 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_15265_0 {
	meta:
		name = "TCustomChartLegend.SetFirstValue"
		size = 103
		refs = "0009 TCustomChartLegend.SetFirstValue 001b TeeMsg_LegendFirstValue 0020 LoadResString 002a _DV_LegendException 002f Exception.Create 0034 @RaiseExcept 0043 TCustomTeePanel.SetLongintProperty 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 7D 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 48 28 8B 40 04 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_15266_0 {
	meta:
		name = "TCustomChartLegend.SetTextStyle"
		size = 14
		refs = "0009 TChartFontObject.Repaint"
	strings:
		$1 = { 3A 50 0E 74 08 88 50 0E E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15267_0 {
	meta:
		name = "TCustomChartLegend.SetLegendStyle"
		size = 27
		refs = "000e TCustomChartLegend.CalcLegendStyle 0015 TChartFontObject.Repaint"
	strings:
		$1 = { 53 8B D8 3A 53 0D 74 11 88 53 0D 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15269_0 {
	meta:
		name = "TCustomChartLegend.SetVertMargin"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 18 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15272_0 {
	meta:
		name = "TCustomChartLegend.SetColorWidth"
		size = 108
		refs = "0009 TCustomChartLegend.SetColorWidth 0020 TeeMsg_LegendColorWidth 0025 LoadResString 002f _DV_LegendException 0034 Exception.Create 0039 @RaiseExcept 0048 TCustomTeePanel.SetIntegerProperty 005d @LStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 7C 05 83 FA 64 7E 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 48 10 8B 40 04 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_15273_0 {
	meta:
		name = "TCustomChartLegend.CalcLegendStyle"
		size = 44
		refs = "0014 TChartSeriesList.CountActive"
	strings:
		$1 = { 53 8B D8 8A 43 0D 84 C0 75 1D 8B 43 04 8B 80 AC 01 00 00 E8 ?? ?? ?? ?? 48 7E 06 C6 43 2F 01 EB 09 C6 43 2F 02 5B C3 88 43 2F 5B C3 }
	condition:
		$1
}

rule function_15274_0 {
	meta:
		name = "TCustomChartLegend.FormattedLegend"
		size = 101
		refs = "0022 TCustomAxisPanel.SeriesTitleLegend 002c TCustomAxisPanel.GetASeries 0037 TCustomAxisPanel.FormattedValueLegend 0043 TCustomAxisPanel.GetSeries 0048 TChartSeries.Count"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B 58 04 8A 40 2F FE C8 74 0A FE C8 74 13 FE C8 74 24 EB 46 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 39 57 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? EB 24 57 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15275_0 {
	meta:
		name = "TCustomAxisPanel.Create"
		size = 448
		refs = "000e @ClassCreate 001c TCustomTeePanel.Create 0022 TCustomAxisPanel.Create 0038 TControl.SetWidth 0044 TControl.SetHeight 0066 _DV_TChartSeriesList 006b TObject.Create 00a9 _DV_TChartPen 00ae TChartPen.Create 00d4 _DV_TChartAxis 00d9 TChartAxis.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? F7 D0 66 23 43 40 66 89 43 40 BA 90 01 00 00 8B C3 E8 ?? ?? ?? ?? BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 D5 01 00 00 01 C7 83 B0 01 00 00 00 00 00 80 C7 83 CC 01 00 00 0F 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 AC 01 00 00 89 5E 10 8B C3 8B 10 FF 92 AC 00 00 00 8B CB B2 01 FF 50 0C 89 83 B4 01 00 00 C6 83 C8 01 00 00 01 C6 83 C9 01 00 00 01 C6 83 D4 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D0 01 00 00 89 5E 08 8B 03 8B 80 88 00 00 00 89 46 04 C6 83 D6 01 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 BC 01 00 00 C6 86 8F 00 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 01 00 00 8B C6 C6 80 8F 00 00 00 01 C6 80 90 00 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C0 01 00 00 8B 46 64 C7 40 0C 5A 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C4 01 00 00 8B C6 8B 50 64 C7 42 0C 0E 01 00 00 C6 80 90 00 00 00 01 8B 83 B8 01 00 00 89 83 10 02 00 00 8B 83 BC 01 00 00 89 83 14 02 00 00 8B 83 C0 01 00 00 89 83 18 02 00 00 8B 83 C4 01 00 00 89 83 1C 02 00 00 C7 83 04 02 00 00 01 00 00 00 C6 83 0C 02 00 00 01 C6 83 59 01 00 00 01 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_15276_0 {
	meta:
		name = "TCustomAxisPanel.SetPage"
		size = 96
		refs = "000e @CallDynaInst 0040 TCustomTeePanel.SetLongintProperty"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 66 BB D9 FF E8 ?? ?? ?? ?? 3B F8 7E 0D 8B C6 66 BB D9 FF E8 ?? ?? ?? ?? 8B F8 83 FF 01 7D 05 BF 01 00 00 00 3B BE 04 02 00 00 74 27 8D 96 04 02 00 00 8B CF 8B C6 E8 ?? ?? ?? ?? 66 83 BE F6 01 00 00 00 74 0E 8B D6 8B 86 F8 01 00 00 FF 96 F4 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15277_0 {
	meta:
		name = "TCustomAxisPanel.SetScaleLastPage"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 0C 02 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15278_0 {
	meta:
		name = "_NF__5E6"
		size = 85
		refs = "0012 TCustomAxisPanel.GetAxisSeries 001f TChartSeries.Count"
	strings:
		$1 = { 55 8B EC 53 56 BE 01 00 00 00 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 8B D8 85 DB 74 33 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 8A 08 02 00 00 99 F7 F9 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 8A 08 02 00 00 99 F7 F9 85 D2 7E 01 46 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_15279_0 {
	meta:
		name = "TCustomAxisPanel.NumPages"
		size = 148
		refs = "001f TCustomAxisPanel.SeriesCount 002d TCustomAxisPanel.GetSeries 0032 TChartSeries.YMandatory 0045 _NF__5E6 005d MaxLong"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 B8 08 02 00 00 00 75 08 B8 01 00 00 00 59 5D C3 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 65 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 55 8B 45 FC 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 59 50 55 8B 45 FC 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? 59 5A E8 ?? ?? ?? ?? EB 2E 55 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 59 50 55 8B 45 FC 8B 80 C0 01 00 00 E8 ?? ?? ?? ?? 59 5A E8 ?? ?? ?? ?? EB 05 B8 01 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_15280_0 {
	meta:
		name = "TCustomAxisPanel.SetMaxPointsPerPage"
		size = 143
		refs = "000d TCustomAxisPanel.SetMaxPointsPerPage 001f TeeMsg_MaxPointsPerPage 0024 LoadResString 002e _DV_ChartException 0033 Exception.Create 0038 @RaiseExcept 004a TCustomTeePanel.SetLongintProperty 0055 @CallDynaInst 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 7D 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2F 8D 86 08 02 00 00 8B CA 8B D6 92 E8 ?? ?? ?? ?? 8B C6 66 BB D9 FF E8 ?? ?? ?? ?? 3B 86 04 02 00 00 7D 0C 8B D0 8B C6 8B 08 FF 91 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15281_0 {
	meta:
		name = "TCustomAxisPanel.SetFrame"
		size = 12
	strings:
		$1 = { 8B 80 D0 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_15282_0 {
	meta:
		name = "TCustomAxisPanel.FreeAllSeries"
		size = 47
		refs = "000b TCustomAxisPanel.GetSeries 001d TObject.Free 0024 TCustomAxisPanel.SeriesCount"
	strings:
		$1 = { 53 56 8B F0 EB 1B 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 8B 08 FF 51 50 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 7F DA 5E 5B C3 }
	condition:
		$1
}

rule function_15283_0 {
	meta:
		name = "TCustomAxisPanel.Destroy"
		size = 118
		refs = "0009 TCustomAxisPanel.FreeAllSeries 0014 TObject.Free 0062 TCustomTeePanel.Destroy 006d @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 AC 01 00 00 E8 ?? ?? ?? ?? 8B 86 D0 01 00 00 E8 ?? ?? ?? ?? 8B 86 C0 01 00 00 E8 ?? ?? ?? ?? 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 8B 86 B8 01 00 00 E8 ?? ?? ?? ?? 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B 86 B4 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15284_0 {
	meta:
		name = "TCustomAxisPanel.ChartRegionRect"
		size = 47
	strings:
		$1 = { 56 57 8B FA 8D B0 80 01 00 00 B9 04 00 00 00 F3 A5 80 B8 C8 01 00 00 00 74 12 8B 88 5C 01 00 00 01 4A 08 8B 80 60 01 00 00 29 42 04 5F 5E C3 }
	condition:
		$1
}

rule function_15285_0 {
	meta:
		name = "TCustomAxisPanel.IsAxisVisible"
		size = 131
		refs = "0032 TCustomAxisPanel.SeriesCount 0045 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 80 BF D5 01 00 00 00 74 09 8B 04 24 80 78 0C 00 75 04 33 C0 EB 02 B0 01 88 44 24 04 80 7C 24 04 00 74 49 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3B 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 58 00 74 23 8B C3 8B 10 FF 92 00 01 00 00 84 C0 74 15 8B 14 24 8B C3 8B 08 FF 51 6C 88 44 24 04 80 7C 24 04 00 75 04 45 4E 75 C8 8A 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15286_0 {
	meta:
		name = "_NF__5F9"
		size = 597
		refs = "001f TCustomAxisPanel.GetAxisSeries 002c TChartSeries.YMandatory 0060 TChartSeries.Count 0099 MaxLong 00d6 _NF__320 014f TCustomAxisPanel.SeriesCount 016c TCustomAxisPanel.GetSeries 0194 TChartSeries.GetHorizAxis 01aa TChartSeries.GetVertAxis"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 88 4D FB 89 55 FC 8B F0 33 C0 89 45 F0 89 45 F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 17 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8A 45 08 EB 0A 8A 45 08 34 01 EB 03 8A 45 08 83 BE 08 02 00 00 00 0F 9F C2 84 C2 0F 84 F3 00 00 00 85 DB 0F 84 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E DD 01 00 00 8B BE 04 02 00 00 4F 0F AF BE 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 E8 3B 7D E8 7C 1D 8B 45 E8 99 F7 BE 08 02 00 00 8B D0 4A 33 C0 E8 ?? ?? ?? ?? 8B F8 0F AF BE 08 02 00 00 8B 8E 08 02 00 00 8B C1 03 C7 48 89 45 D8 8B 45 E8 3B 45 D8 7F 0C 8B 45 E8 99 F7 F9 03 D7 4A 89 55 D8 80 7D FB 00 74 15 8B CF 8A 55 08 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B E9 66 01 00 00 8B 4D D8 8A 55 08 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B 80 BE 0C 02 00 00 00 0F 85 48 01 00 00 8B 45 D8 2B C7 40 89 45 D4 8B 45 D4 3B 86 08 02 00 00 0F 8D 30 01 00 00 8B CF 8A 55 08 8B C3 E8 ?? ?? ?? ?? DD 5D DC 9B DD 45 F0 DC 65 DC DB 86 08 02 00 00 DE C9 DB 45 D4 DE F9 DC 45 DC DD 5D F0 9B E9 01 01 00 00 C6 45 E7 01 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C EB 00 00 00 47 C7 45 EC 00 00 00 00 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B D8 80 7B 58 00 0F 84 C3 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E B4 00 00 00 80 7D 08 00 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 74 1A 80 7D 08 00 0F 85 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 0F 85 88 00 00 00 80 7D FB 00 74 26 80 7D 08 00 74 10 8B C3 8B 10 FF 92 A0 00 00 00 DD 5D DC 9B EB 34 8B C3 8B 10 FF 92 A8 00 00 00 DD 5D DC 9B EB 24 80 7D 08 00 74 10 8B C3 8B 10 FF 92 9C 00 00 00 DD 5D DC 9B EB 0E 8B C3 8B 10 FF 92 A4 00 00 00 DD 5D DC 9B 80 7D E7 00 75 22 80 7D FB 00 74 0B DD 45 DC DC 5D F0 DF E0 9E 72 11 80 7D FB 00 75 1B DD 45 DC DC 5D F0 DF E0 9E 76 10 8B 45 DC 89 45 F0 8B 45 E0 89 45 F4 C6 45 E7 00 FF 45 EC 4F 0F 85 1D FF FF FF DD 45 F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15287_0 {
	meta:
		name = "TCustomAxisPanel.MaxXValue"
		size = 22
		refs = "0008 _NF__5F9"
	strings:
		$1 = { 83 C4 F8 6A 01 33 C9 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15288_0 {
	meta:
		name = "TCustomAxisPanel.MaxYValue"
		size = 22
		refs = "0008 _NF__5F9"
	strings:
		$1 = { 83 C4 F8 6A 00 33 C9 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15289_0 {
	meta:
		name = "TCustomAxisPanel.MinXValue"
		size = 22
		refs = "0008 _NF__5F9"
	strings:
		$1 = { 83 C4 F8 6A 01 B1 01 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15290_0 {
	meta:
		name = "TCustomAxisPanel.MinYValue"
		size = 22
		refs = "0008 _NF__5F9"
	strings:
		$1 = { 83 C4 F8 6A 00 B1 01 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15291_0 {
	meta:
		name = "TCustomAxisPanel.GetASeries"
		size = 62
		refs = "0008 TCustomAxisPanel.SeriesCount 001b TCustomAxisPanel.GetSeries 002e TList.Get"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 25 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 58 00 74 0F 8B D3 8B 87 AC 01 00 00 E8 ?? ?? ?? ?? EB 06 43 4E 75 DE 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15292_0 {
	meta:
		name = "TCustomAxisPanel.FormattedValueLegend"
		size = 54
		refs = "002b @LStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 85 F6 74 16 8B 45 08 50 8B 4D FC 8B D6 8B 83 B4 01 00 00 8B 18 FF 53 10 EB 08 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15293_0 {
	meta:
		name = "TCustomAxisPanel.FormattedLegend"
		size = 63
		refs = "0014 TCustomChartLegend.FormattedLegend"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 B4 01 00 00 E8 ?? ?? ?? ?? 66 83 BB DA 01 00 00 00 74 19 56 57 8B 83 B4 01 00 00 8A 48 2F 8B D3 8B 83 DC 01 00 00 FF 93 D8 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15294_0 {
	meta:
		name = "TCustomAxisPanel.ActiveSeriesLegend"
		size = 79
		refs = "000f TCustomAxisPanel.SeriesCount 0022 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2D 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 58 00 74 17 80 78 72 00 74 11 3B 2C 24 75 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 07 45 46 4B 75 D6 33 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15295_0 {
	meta:
		name = "TCustomAxisPanel.SeriesTitleLegend"
		size = 176
		refs = "0010 TCustomAxisPanel.SeriesTitleLegend 001d TCustomAxisPanel.ActiveSeriesLegend 0033 @LStrLAsg 0042 IntToStr 0051 @LStrCat3 0080 @LStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 3C 83 7B 4C 00 75 2A 8B C6 8B 53 08 E8 ?? ?? ?? ?? 83 3E 00 75 33 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B C6 8B 53 4C E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 FF FF FF FF 07 00 00 00 53 65 72 69 65 73 20 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_15296_0 {
	meta:
		name = "TCustomAxisPanel.MaxTextWidth"
		size = 197
		refs = "0015 TCustomAxisPanel.MaxTextWidth 0028 TCustomAxisPanel.SeriesCount 0043 TCustomAxisPanel.GetSeries 0055 TChartSeries.Count 0089 MaxLong 00af @LStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 6D 40 89 45 EC C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 46 38 83 78 08 00 7E 44 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 36 43 C7 45 F0 00 00 00 00 8D 4D E8 8B 55 F0 8B C6 8B 38 FF 57 44 8B 55 E8 8B 45 FC 8B 08 FF 91 90 00 00 00 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F8 FF 45 F0 4B 75 D2 FF 45 F4 FF 4D EC 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15297_0 {
	meta:
		name = "TCustomAxisPanel.MaxMarkWidth"
		size = 79
		refs = "000f TCustomAxisPanel.SeriesCount 0022 TCustomAxisPanel.GetSeries 0031 TChartSeries.MaxMarkWidth 003b MaxLong"
	strings:
		$1 = { 53 56 57 55 51 8B E8 33 C0 89 04 24 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2C 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D8 80 7B 58 00 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 04 24 E8 ?? ?? ?? ?? 89 04 24 47 4E 75 D7 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15298_0 {
	meta:
		name = "TCustomAxisPanel.GetSeries"
		size = 12
		refs = "0007 TList.Get"
	strings:
		$1 = { 8B 80 AC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15299_0 {
	meta:
		name = "TCustomAxisPanel.CalcSize3DWalls"
		size = 102
		refs = "0006 TCustomAxisPanel.CalcSize3D 0029 MaxLong"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB C8 01 00 00 00 74 41 80 BB 59 01 00 00 00 74 13 8B 93 64 01 00 00 42 B8 01 00 00 00 E8 ?? ?? ?? ?? EB 05 B8 01 00 00 00 8B 93 68 01 00 00 0F AF D0 89 93 5C 01 00 00 8B 93 6C 01 00 00 0F AF D0 89 93 60 01 00 00 5B C3 33 C0 89 83 5C 01 00 00 33 C0 89 83 60 01 00 00 5B C3 }
	condition:
		$1
}

rule function_15300_0 {
	meta:
		name = "TCustomAxisPanel.CalcSize3D"
		size = 108
		refs = "0017 TCustomAxisPanel.CalcSize3D 002b @ROUND"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 BB C8 01 00 00 00 74 3C DB 83 CC 01 00 00 DB 2D ?? ?? ?? ?? DE C9 DD 1C 24 9B DB 83 90 01 00 00 DC 0C 24 E8 ?? ?? ?? ?? 89 83 68 01 00 00 DB 83 94 01 00 00 DC 0C 24 E8 ?? ?? ?? ?? 89 83 6C 01 00 00 EB 10 33 C0 89 83 68 01 00 00 33 C0 89 83 6C 01 00 00 59 5A 5B C3 00 3B DF 4F 8D 97 6E 12 83 F5 3F 00 00 }
	condition:
		$1
}

rule function_15301_0 {
	meta:
		name = "TCustomAxisPanel.BackWallRect"
		size = 65
		refs = "0037 Rect"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 8D B3 80 01 00 00 8B 46 0C 8B AB 60 01 00 00 2B C5 50 8B 44 24 04 50 8B 4E 08 8B BB 5C 01 00 00 03 CF 41 8B 56 04 2B D5 8B 06 03 C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15302_0 {
	meta:
		name = "TCustomAxisPanel.BackWallsPaint"
		size = 252
		refs = "002f TBrush.SetStyle 004d TPen.GetColor 0067 TPen.SetColor 007f TPen.SetStyle 0096 TBrush.SetColor 00cd TCustomAxisPanel.BackWallRect 00d6 TCustomTeePanel.DoRectangle"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B 83 D0 01 00 00 80 78 18 00 75 10 81 BB B0 01 00 00 00 00 00 80 0F 84 B7 00 00 00 8B B3 50 01 00 00 B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B 83 D0 01 00 00 80 78 18 00 74 3A 8B D0 8B 46 10 8B 08 FF 51 08 8B 46 10 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 2B 83 7B 54 00 75 0F BA FF FF FF 00 8B 46 10 E8 ?? ?? ?? ?? EB 16 33 D2 8B 46 10 E8 ?? ?? ?? ?? EB 0A B2 05 8B 46 10 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 3D 00 00 00 80 74 16 8B D0 8B 46 14 E8 ?? ?? ?? ?? 33 D2 8B 46 14 E8 ?? ?? ?? ?? EB 0A B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B 83 D0 01 00 00 80 78 18 00 75 0C 81 BB B0 01 00 00 00 00 00 80 74 12 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 80 BB C8 01 00 00 00 74 13 80 BB C9 01 00 00 00 74 0A 8B C3 8B 10 FF 92 A4 00 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_15303_0 {
	meta:
		name = "TCustomAxisPanel.ClipRectangle"
		size = 114
		refs = "002f TCanvas.GetHandle 0035 LPtoDP 004e CreateRectRgn 0062 SelectClipRgn 0068 DeleteObject"
	strings:
		$1 = { 53 56 83 C4 D0 8B D8 8B 02 89 04 24 8B 42 04 89 44 24 04 8B 42 08 89 44 24 08 8B 42 0C 89 44 24 0C 6A 02 8D 44 24 04 50 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 0C 50 8B 44 24 0C 50 8B 44 24 0C 50 8B 44 24 0C 50 E8 ?? ?? ?? ?? 8B F0 56 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 83 C4 30 5E 5B C3 }
	condition:
		$1
}

rule function_15304_0 {
	meta:
		name = "TCustomAxisPanel.UnClipRectangle"
		size = 102
		refs = "000d TCanvas.GetHandle 0013 GetDeviceCaps 001d MaxLong 0045 CreateRectRgn 0059 SelectClipRgn 005f DeleteObject"
	strings:
		$1 = { 53 56 8B D8 6A 0A 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 43 3C E8 ?? ?? ?? ?? 50 6A 08 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 43 38 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 56 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15305_0 {
	meta:
		name = "_NF__629"
		size = 110
		refs = "004e Rect 005f TCustomAxisPanel.ClipRectangle"
	strings:
		$1 = { 55 8B EC 83 C4 F0 8B 45 08 8B 40 08 8B 40 F8 50 8D 45 F0 50 8B 45 08 8B 40 08 8B 48 F4 8B 45 08 8B 40 08 8B 40 FC 03 88 5C 01 00 00 8B 45 08 8B 40 08 8B 50 F0 8B 45 08 8B 40 08 8B 40 FC 2B 90 60 01 00 00 8B 45 08 8B 40 08 8B 40 EC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 08 8B 40 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 C6 40 FF 01 8B E5 5D C3 }
	condition:
		$1
}

rule function_15306_0 {
	meta:
		name = "_NF__62A"
		size = 623
		refs = "001b TCanvas.GetHandle 0021 GetDeviceCaps 002a TeeClipWhenPrinting 0034 TeeClipWhenMetafiling 009b Point 01bc CreatePolygonRgn 01fe TPen.GetWidth 020e CreateRectRgnIndirect 022b SelectClipRgn 0231 DeleteObject 024d _NF__629"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 6A 24 8B 45 08 8B 40 08 8B 40 FC 8B 80 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 18 A1 ?? ?? ?? ?? 80 38 00 75 0E A1 ?? ?? ?? ?? 80 38 00 0F 84 27 02 00 00 8B 45 08 8B 40 08 8B 40 FC 80 B8 58 01 00 00 00 0F 85 FD 01 00 00 8B 45 08 8B 40 08 8B 40 FC 80 B8 A0 01 00 00 00 0F 85 D1 01 00 00 8B 45 08 8B 40 08 8B 40 FC 80 B8 C8 01 00 00 00 0F 84 41 01 00 00 8D 4D B8 8B 45 08 8B 40 08 8B 50 F8 4A 8B 45 08 8B 40 08 8B 40 EC 40 E8 ?? ?? ?? ?? 8B 45 B8 89 45 D0 8B 45 BC 89 45 D4 8D 4D B8 8B 45 08 8B 40 08 8B 50 F0 8B 45 08 8B 40 08 8B 40 EC 40 E8 ?? ?? ?? ?? 8B 45 B8 89 45 D8 8B 45 BC 89 45 DC 8B 45 08 8B 40 08 8B 50 F0 8B 45 08 8B 40 08 8B 40 FC 2B 90 60 01 00 00 42 8B 45 08 8B 40 08 8B 40 EC 8B 4D 08 8B 49 08 8B 49 FC 03 81 5C 01 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 E0 8B 45 BC 89 45 E4 8B 45 08 8B 40 08 8B 50 F0 8B 45 08 8B 40 08 8B 40 FC 2B 90 60 01 00 00 42 8B 45 08 8B 40 08 8B 40 F4 8B 4D 08 8B 49 08 8B 49 FC 03 81 5C 01 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 E8 8B 45 BC 89 45 EC 8B 45 08 8B 40 08 8B 50 F8 8B 45 08 8B 40 08 8B 40 FC 2B 90 60 01 00 00 42 8B 45 08 8B 40 08 8B 40 F4 8B 4D 08 8B 49 08 8B 49 FC 03 81 5C 01 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 F0 8B 45 BC 89 45 F4 8B 45 08 8B 40 08 8B 50 F4 89 55 F8 8B 50 F8 89 55 FC 6A 01 6A 06 8D 45 D0 50 E8 ?? ?? ?? ?? 8B D8 EB 50 8B 45 08 8B 40 08 8D 70 EC 8D 7D C0 B9 04 00 00 00 F3 A5 FF 45 C0 FF 45 C4 FF 4D CC 8B 45 08 8B 40 08 8B 40 FC 8B 98 D0 01 00 00 80 7B 18 00 74 14 8B 45 08 8B 40 08 8B C3 E8 ?? ?? ?? ?? 48 29 45 C8 29 45 CC 8D 45 C0 50 E8 ?? ?? ?? ?? 8B D8 53 8B 45 08 8B 40 08 8B 40 FC 8B 80 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B 45 08 C6 40 FF 01 EB 2A A1 ?? ?? ?? ?? 80 38 00 74 20 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 14 A1 ?? ?? ?? ?? 80 38 00 74 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15307_0 {
	meta:
		name = "_NF__62B"
		size = 35
		refs = "0016 TCustomAxisPanel.UnClipRectangle"
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 FF 00 74 15 8B 45 08 8B 40 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 C6 40 FF 00 5D C3 }
	condition:
		$1
}

rule function_15308_0 {
	meta:
		name = "_NF__62C"
		size = 167
		refs = "0011 TChartSeries.Count 003e TList.IndexOf 004f TCustomAxisPanel.SeriesCount 0067 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3B 45 FC 7E 0E 8B 45 08 8B 40 F8 8B 55 FC 8B 08 FF 51 2C 8B 45 08 8B 50 F8 8B 45 08 8B 40 08 8B 40 FC 8B 80 AC 01 00 00 E8 ?? ?? ?? ?? 8B F8 47 8B 45 08 8B 40 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 4E 2B F7 7C 47 46 8B 45 08 8B 40 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 8B D8 80 7B 58 00 74 2A 8B 45 08 8B 40 F8 8B 80 C8 00 00 00 3B 83 C8 00 00 00 75 16 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 7E 0A 8B 55 FC 8B C3 8B 08 FF 51 2C 47 4E 75 BA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15309_0 {
	meta:
		name = "_NF__62D"
		size = 698
		refs = "0034 TChartSeries.MoreSameZOrder 0044 TChartSeries.FirstInZOrder 0072 TList.IndexOf 007f TCustomAxisPanel.SeriesCount 0098 TCustomAxisPanel.GetSeries 00bc _NF__321 00dc MaxLong 0123 _NF__62A 0154 _NF__62C 0179 _NF__62B 01fc TChartSeries.DrawMarks"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 F8 C6 45 FF 00 8B 45 F8 80 78 58 00 0F 84 96 02 00 00 8B 45 08 8B 40 FC 80 B8 C8 01 00 00 00 0F 84 F0 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 E0 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 63 02 00 00 C6 45 FF 00 C7 45 F4 FF FF FF FF C7 45 F0 FF FF FF FF 8B 45 08 8B 40 FC 8B 80 AC 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 2B DF 0F 8C A2 00 00 00 43 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 8B F0 80 7E 58 00 0F 84 80 00 00 00 8B 86 C8 00 00 00 8B 55 F8 3B 82 C8 00 00 00 75 6F 8B C6 E8 ?? ?? ?? ?? 8B 86 C0 00 00 00 83 F8 FF 74 5D 83 7D F4 FF 75 05 89 45 F4 EB 0D 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F4 83 7D F0 FF 75 0B 8B 86 C4 00 00 00 89 45 F0 EB 11 8B 96 C4 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F0 8B C6 8B 10 FF 52 30 8B 45 08 8B 40 FC 80 B8 D4 01 00 00 00 74 0D 80 7D FF 00 75 07 55 E8 ?? ?? ?? ?? 59 47 4B 0F 85 5F FF FF FF 83 7D F4 FF 74 41 8B 45 F8 8B 10 FF 92 D4 00 00 00 84 C0 74 1A 8B 7D F4 8B 5D F0 2B DF 7C 28 43 55 8B C7 E8 ?? ?? ?? ?? 59 47 4B 75 F3 EB 18 8B 7D F0 8B 5D F4 2B DF 7F 0E 4B 55 8B C7 E8 ?? ?? ?? ?? 59 4F 43 75 F3 55 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 80 AC 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 2B DF 0F 8C 09 01 00 00 43 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 8B F0 80 7E 58 00 74 57 8B 45 F8 8B 80 C8 00 00 00 3B 86 C8 00 00 00 75 46 83 BE C0 00 00 00 FF 74 3D 8B 46 3C 89 45 EC 8B 45 EC 80 78 08 00 74 27 8B 45 EC 80 78 24 00 74 07 55 E8 ?? ?? ?? ?? 59 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 80 78 24 00 74 07 55 E8 ?? ?? ?? ?? 59 8B C6 8B 10 FF 52 34 47 4B 75 90 E9 93 00 00 00 8B 45 F8 80 78 58 00 0F 84 86 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 83 B8 C0 00 00 00 FF 74 72 8B 45 F8 8B 10 FF 52 30 8B 45 08 8B 40 FC 80 B8 D4 01 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 10 FF 52 70 8B 45 08 8B 40 FC 80 B8 D4 01 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 58 3C 80 7B 08 00 74 22 80 7B 24 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 80 7B 24 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 10 FF 52 34 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15310_0 {
	meta:
		name = "TCustomAxisPanel.InternalDraw"
		size = 613
		refs = "0018 TCanvas.GetHandle 001e GetBkColor 0041 TPen.SetColor 006d TCustomAxisPanel.SeriesCount 0081 TCustomAxisPanel.GetSeries 0162 TCustomAxisPanel.IsAxisVisible 0176 TChartAxis.Draw 0207 _NF__62D 0223 TCustomTeePanel.DrawZoomRectangle 023b SetBkColor"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B DA 89 45 FC 8B 45 FC 8B 80 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 E8 8B D3 8B 45 FC 8B 08 FF 91 B0 00 00 00 8B 45 FC 8B 80 50 01 00 00 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 00 00 00 8B 45 FC 80 B8 C8 01 00 00 00 74 7C 8B 45 FC C7 80 64 01 00 00 FF FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 23 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B F8 80 7F 58 00 74 0A 8B C7 8B 10 FF 92 D8 00 00 00 46 4B 75 E0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 67 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 80 78 58 00 74 15 8B 55 FC 8B 92 64 01 00 00 2B 90 C8 00 00 00 89 90 C8 00 00 00 46 4B 75 D7 EB 39 8B 45 FC 33 D2 89 90 64 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 80 78 58 00 74 08 33 D2 89 90 C8 00 00 00 46 4B 75 E4 8B 45 FC 8B 10 FF 92 B8 00 00 00 8B 45 FC 8B 10 FF 92 BC 00 00 00 8B 45 FC 8D B0 80 01 00 00 8D 7D EC B9 04 00 00 00 F3 A5 8B 45 FC 8B 10 FF 92 C0 00 00 00 8B 45 FC 80 B8 D5 01 00 00 00 0F 84 94 00 00 00 8B 45 FC 8B 90 B8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 FC 8B 80 B8 01 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 BC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 FC 8B 80 BC 01 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C0 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 FC 8B 80 C0 01 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 FC 8B 80 C4 01 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 18 43 33 F6 55 8B D6 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 EB 8B 45 FC 8B 80 A4 01 00 00 80 78 04 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 80 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 FE 01 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 00 02 00 00 FF 93 FC 01 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15311_0 {
	meta:
		name = "_NF__631"
		size = 654
		refs = "0021 _Dn_TBitmap 0026 TBitmap.Create 004a TBitmap.SetMonochrome 00a9 Rect 00f8 TCustomTeePanel.GetMargin 00fe MulDiv 01e5 InflateRect 01f0 TCustomTeePanel.ReCalcWidthHeight 0201 TBitmap.GetCanvas 0215 _NF__631 0232 TCustomAxisPanel.InternalDraw 0249 TCustomTeePanel.TransferBitmap 0281 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 08 8B 76 F8 8B 45 08 8B 40 FC 83 B8 54 01 00 00 00 75 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 89 98 54 01 00 00 8B 45 08 8B 40 FC 8A 90 F0 01 00 00 8B 45 08 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 2B 56 04 8B 45 08 8B 40 FC 8B 80 54 01 00 00 8B 08 FF 51 34 8B 56 08 2B 16 8B 45 08 8B 40 FC 8B 80 54 01 00 00 8B 08 FF 51 40 8B 45 08 8B 40 FC 8B 80 54 01 00 00 8B 10 FF 52 20 50 8D 45 F0 50 8B 45 08 8B 40 FC 8B 80 54 01 00 00 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 56 8D 75 F0 8D B8 70 01 00 00 B9 04 00 00 00 F3 A5 5E 8B 45 08 8B 40 FC 8B 80 54 01 00 00 8B 10 FF 52 20 8B D8 6A 64 8B 45 08 8B 40 FC 8B 80 54 01 00 00 8B 10 FF 52 20 50 8B 45 08 8B 40 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 2B D8 53 8D 45 F0 50 8B 45 08 8B 40 FC 8B 80 54 01 00 00 8B 10 FF 52 2C 8B D8 6A 64 8B 45 08 8B 40 FC 8B 80 54 01 00 00 8B 10 FF 52 2C 50 8B 45 08 8B 40 FC BA 02 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 2B D8 53 6A 64 8B 45 08 8B 40 FC 8B 80 54 01 00 00 8B 10 FF 52 20 50 8B 45 08 8B 40 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 6A 64 8B 45 08 8B 40 FC 8B 80 54 01 00 00 8B 10 FF 52 2C 50 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 56 8D 75 F0 8D B8 80 01 00 00 B9 04 00 00 00 F3 A5 5E 8B 45 08 8B 40 FC 8B 80 24 01 00 00 F7 D8 50 8B 55 08 8B 52 FC 8B 92 24 01 00 00 F7 DA 50 8B 45 08 8B 40 FC 05 80 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 54 01 00 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 50 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8D 90 70 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 50 8B 0E 8B 56 04 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC C6 80 4C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 48 01 00 00 8B 55 08 8B 52 FC 89 82 50 01 00 00 C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15312_0 {
	meta:
		name = "TCustomAxisPanel.Draw"
		size = 376
		refs = "0020 _NF__631 003a TCustomAxisPanel.Draw 0086 TCustomTeePanel.GetMargin 008c MulDiv 0133 InflateRect 013b TCustomTeePanel.ReCalcWidthHeight 0146 TCustomAxisPanel.InternalDraw 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 F4 89 45 FC 8B 45 FC 80 B8 D6 01 00 00 00 74 0C 55 E8 ?? ?? ?? ?? 59 E9 47 01 00 00 8B 45 FC 8B 55 F4 89 90 50 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 55 FC 8B F0 8D BA 70 01 00 00 B9 04 00 00 00 F3 A5 8B 45 FC 8B 98 78 01 00 00 8B 45 FC 2B 98 70 01 00 00 8B 45 FC 8B B0 7C 01 00 00 8B 45 FC 2B B0 74 01 00 00 6A 64 53 33 D2 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 F8 03 02 8B 55 FC 89 82 80 01 00 00 6A 64 53 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 08 2B D0 8B 45 FC 89 90 88 01 00 00 6A 64 56 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 F8 03 42 04 8B 55 FC 89 82 84 01 00 00 6A 64 56 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 0C 2B D0 8B 45 FC 89 90 8C 01 00 00 8B 45 FC 8B 80 24 01 00 00 F7 D8 50 8B 55 FC 8B 92 24 01 00 00 F7 DA 50 8B 45 FC 05 80 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 48 01 00 00 8B 55 FC 89 82 50 01 00 00 C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15313_0 {
	meta:
		name = "TCustomAxisPanel.CalcZoomPoints"
		size = 225
		refs = "0010 TZoomPanningRecord.Check 001e TChartAxis.CalcPosPoint"
	strings:
		$1 = { 53 56 83 C4 C0 8B D8 8B B3 A4 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 56 08 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B 8B 56 10 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 08 9B 8B 56 08 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 10 9B 8B 56 10 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 18 9B 8B 56 14 8B 83 C0 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 20 9B 8B 56 0C 8B 83 C0 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 28 9B 8B 56 14 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 30 9B 8B 56 0C 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 38 9B 8D 44 24 10 50 8D 44 24 1C 50 8D 44 24 28 50 8D 44 24 34 50 8D 44 24 40 50 8D 44 24 4C 50 8D 4C 24 20 8D 54 24 18 8B C3 8B 18 FF 93 A8 00 00 00 83 C4 40 5E 5B C3 }
	condition:
		$1
}

rule function_15314_0 {
	meta:
		name = "TCustomAxisPanel.SetView3D"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 C8 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15315_0 {
	meta:
		name = "TCustomAxisPanel.SetView3DWalls"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 C9 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15316_0 {
	meta:
		name = "TCustomAxisPanel.GetChildren"
		size = 76
		refs = "0013 TWinControl.GetChildren 001b TCustomAxisPanel.SeriesCount 0035 TList.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC FF 75 0C FF 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 F6 8B 45 FC 8B 80 AC 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15318_0 {
	meta:
		name = "TCustomAxisPanel.SetClipPoints"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 D4 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15319_0 {
	meta:
		name = "TCustomAxisPanel.SetLegend"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 B4 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_15320_0 {
	meta:
		name = "TCustomAxisPanel.SetLeftAxis"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 C0 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_15321_0 {
	meta:
		name = "TCustomAxisPanel.SetRightAxis"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 C4 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_15322_0 {
	meta:
		name = "TCustomAxisPanel.SetTopAxis"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 B8 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_15323_0 {
	meta:
		name = "TCustomAxisPanel.SetMonochrome"
		size = 50
		refs = "000d TObject.Free 002b TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 54 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 54 01 00 00 C6 86 4C 01 00 00 01 8D 96 F0 01 00 00 8B CB 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15324_0 {
	meta:
		name = "TCustomAxisPanel.SetBottomAxis"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 BC 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_15325_0 {
	meta:
		name = "TCustomAxisPanel.SetChart3DPercent"
		size = 144
		refs = "000f TCustomAxisPanel.SetChart3DPercent 0043 TeeMsg_3dPercent 0048 LoadResString 0052 _DV_ChartException 0057 Exception.CreateFmt 005c @RaiseExcept 006b TCustomTeePanel.SetIntegerProperty 0080 @LStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C9 89 4D EC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 FA 01 7C 05 83 FA 64 7E 3F C7 45 F0 01 00 00 00 C6 45 F4 00 C7 45 F8 64 00 00 00 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 88 CC 01 00 00 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_15326_0 {
	meta:
		name = "TCustomAxisPanel.RemoveSeries"
		size = 87
		refs = "0010 TList.IndexOf 001e _NF__2E9 003b TControl.SetCursor 0048 TList.Delete"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 38 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 40 66 8B 43 58 66 3B 46 70 75 0E 66 8B 93 A2 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15327_0 {
	meta:
		name = "TCustomAxisPanel.RemoveAllSeries"
		size = 40
		refs = "000e TList.Get 0017 TCustomAxisPanel.RemoveSeries 001e TCustomAxisPanel.SeriesCount"
	strings:
		$1 = { 53 8B D8 EB 16 33 D2 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7F DF 5B C3 }
	condition:
		$1
}

rule function_15328_0 {
	meta:
		name = "TCustomAxisPanel.GetAxisSeries"
		size = 95
		refs = "000d TCustomAxisPanel.SeriesCount 0020 TCustomAxisPanel.GetSeries 002f TChartSeries.GetHorizAxis 003b TChartSeries.GetVertAxis 004d TList.Get"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3F 47 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B D8 80 7B 58 00 74 27 8B C3 E8 ?? ?? ?? ?? 3B 04 24 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 04 24 75 0F 8B 85 AC 01 00 00 8B D6 E8 ?? ?? ?? ?? EB 06 46 4F 75 C4 33 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15329_0 {
	meta:
		name = "TCustomAxisPanel.GetLabelsSeries"
		size = 121
		refs = "000e TCustomAxisPanel.SeriesCount 0022 TCustomAxisPanel.GetSeries 003a TChartSeries.GetHorizAxis 004e TChartSeries.GetVertAxis 0063 TList.First"
	strings:
		$1 = { 53 56 57 55 51 8B FA 89 04 24 8B 04 24 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 56 46 33 ED 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B D8 80 7B 58 00 74 3D 80 BF 8F 00 00 00 00 74 0B 8B C3 E8 ?? ?? ?? ?? 3B F8 74 14 80 BF 8F 00 00 00 00 75 20 8B C3 E8 ?? ?? ?? ?? 3B F8 75 15 8B 43 38 83 78 08 00 7E 0C 8B 43 38 E8 ?? ?? ?? ?? 85 C0 75 06 45 4E 75 AD 33 DB 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15330_0 {
	meta:
		name = "TCustomAxisPanel.IsFreeSeriesColor"
		size = 103
		refs = "000f TCustomAxisPanel.SeriesCount 0022 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2E 47 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 8B 40 44 3B F0 74 13 80 3C 24 00 74 11 3B 73 54 74 08 3B B3 B0 01 00 00 75 04 33 C0 EB 1D 45 4F 75 D5 80 3C 24 00 74 11 3B 73 54 74 08 3B B3 B0 01 00 00 75 04 33 C0 EB 02 B0 01 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15331_0 {
	meta:
		name = "TCustomAxisPanel.GetFreeSeriesColor"
		size = 47
		refs = "000d GetDefaultColor 0020 TCustomAxisPanel.IsFreeSeriesColor"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 33 ED 8B C5 E8 ?? ?? ?? ?? 8B F0 45 83 FD 10 7F 0F 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 E2 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15332_0 {
	meta:
		name = "TCustomAxisPanel.AddSeries"
		size = 112
		refs = "000f TList.IndexOf 0024 TCustomAxisPanel.GetFreeSeriesColor 0055 TChartSeries.CheckDataSource 0062 TList.Add"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 86 AC 01 00 00 E8 ?? ?? ?? ?? 40 75 57 81 7B 44 00 00 00 80 75 0C B2 01 8B C6 E8 ?? ?? ?? ?? 89 43 44 89 73 40 F6 43 20 10 74 1E 83 7B 74 00 75 18 8B C3 8B 10 FF 92 80 00 00 00 8B D0 8B C3 8B 08 FF 91 84 00 00 00 EB 07 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 86 AC 01 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_15333_0 {
	meta:
		name = "TCustomAxisPanel.GetMaxValuesCount"
		size = 98
		refs = "0015 TCustomAxisPanel.SeriesCount 0029 TCustomAxisPanel.GetSeries 003f TChartSeries.Count"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 04 24 33 ED C6 44 24 04 01 8B 04 24 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 39 46 33 FF 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B D8 80 7B 58 00 74 20 80 7C 24 04 00 75 0B 8B C3 E8 ?? ?? ?? ?? 3B E8 7D 0E 8B C3 E8 ?? ?? ?? ?? 8B E8 C6 44 24 04 00 47 4E 75 CA 8B C5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15334_0 {
	meta:
		name = "TCustomAxisPanel.DoZoom"
		size = 113
		refs = "0017 TChartAxis.SetMinMax"
	strings:
		$1 = { 55 8B EC 56 8B F0 FF 72 04 FF 32 FF 71 04 FF 31 8B 86 B8 01 00 00 E8 ?? ?? ?? ?? 8B 45 1C FF 70 04 FF 30 8B 45 18 FF 70 04 FF 30 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B 45 14 FF 70 04 FF 30 8B 45 10 FF 70 04 FF 30 8B 86 C0 01 00 00 E8 ?? ?? ?? ?? 8B 45 0C FF 70 04 FF 30 8B 45 08 FF 70 04 FF 30 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 5E 5D C2 18 00 }
	condition:
		$1
}

rule function_15335_0 {
	meta:
		name = "TCustomAxisPanel.SetAxisVisible"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 D5 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15336_0 {
	meta:
		name = "TCustomAxisPanel.SetBackColor"
		size = 14
		refs = "0009 TCustomTeePanel.SetColorProperty"
	strings:
		$1 = { 8D 88 B0 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15337_0 {
	meta:
		name = "_NF__685"
		size = 192
		refs = "0019 _NF__685 002a TChartSeries.GetDataSource 0037 TeeMsg_CircularSeries 003c LoadResString 0046 _DV_ChartException 004b Exception.Create 0050 @RaiseExcept 005f _DV_TChartSeries 0064 @IsClass 0086 TList.Get 00ad @LStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 75 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 75 23 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8B 43 60 8B 78 08 4F 85 FF 7C 25 47 C7 45 F8 00 00 00 00 8B 55 F8 8B 43 60 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? FF 45 F8 4F 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15338_0 {
	meta:
		name = "TCustomAxisPanel.XLabelText"
		size = 27
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 4D 08 8B D6 8B C3 8B 18 FF 53 44 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_15339_0 {
	meta:
		name = "TCustomAxisPanel.MarkText"
		size = 27
		refs = "0011 TChartSeries.GetMarkText"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_15340_0 {
	meta:
		name = "TCustomAxisPanel.IsValidDataSource"
		size = 50
		refs = "000e _DV_TChartSeries 0013 @IsClass"
	strings:
		$1 = { 53 56 8B D9 8B F2 3B DE 74 1E 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B D3 8B C6 8B 08 FF 51 78 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_15341_0 {
	meta:
		name = "TCustomAxisPanel.CheckDatasource"
		size = 60
		refs = "000c TChartSeries.GetDataSource 001d _DV_TChartSeries 0022 @IsClass"
	strings:
		$1 = { 53 8B DA F6 43 20 01 75 31 8B C3 E8 ?? ?? ?? ?? 85 C0 74 26 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 64 5B C3 }
	condition:
		$1
}

rule function_15342_0 {
	meta:
		name = "TCustomAxisPanel.SeriesCount"
		size = 17
	strings:
		$1 = { 8B 90 AC 01 00 00 85 D2 75 03 33 C0 C3 8B 42 08 C3 }
	condition:
		$1
}

rule function_15344_0 {
	meta:
		name = "TCustomAxisPanel.Assign"
		size = 390
		refs = "000b _DV_TCustomAxisPanel 0010 @IsClass 0027 TCustomAxisPanel.SetAxisVisible 0034 TCustomAxisPanel.SetBackColor 0052 TCustomAxisPanel.SetChart3DPercent 005f TCustomAxisPanel.SetClipPoints 00a7 TCustomTeePanel.GetMargin 00b2 TCustomTeePanel.SetMargin 010d TCustomAxisPanel.SetMaxPointsPerPage 011a TCustomAxisPanel.SetMonochrome 0148 TCustomAxisPanel.SetScaleLastPage 0166 TCustomAxisPanel.SetView3D 0173 TCustomAxisPanel.SetView3DWalls 017e TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 5D 01 00 00 8B FE 8A 97 D5 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 B0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 BC 01 00 00 8B 83 BC 01 00 00 8B 08 FF 51 08 8B 97 CC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8A 97 D4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8A 87 D6 01 00 00 88 83 D6 01 00 00 8B 97 D0 01 00 00 8B 83 D0 01 00 00 8B 08 FF 51 08 8B 97 C0 01 00 00 8B 83 C0 01 00 00 8B 08 FF 51 08 8B 97 B4 01 00 00 8B 83 B4 01 00 00 8B 08 FF 51 08 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 8A 97 F0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 04 02 00 00 8B C3 8B 08 FF 91 98 00 00 00 8B 97 C4 01 00 00 8B 83 C4 01 00 00 8B 08 FF 51 08 8A 97 0C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 B8 01 00 00 8B 83 B8 01 00 00 8B 08 FF 51 08 8A 97 C8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8A 97 C9 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15345_0 {
	meta:
		name = "TCustomAxisPanel.CheckPenWidth"
		size = 48
		refs = "0012 TPen.GetStyle 001d TPen.GetWidth 0029 TPen.SetWidth"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 BE A0 01 00 00 00 74 1E 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? 48 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15346_0 {
	meta:
		name = "TChartPen.Create"
		size = 50
		refs = "000a @ClassCreate 0017 TPen.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 18 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15347_0 {
	meta:
		name = "TChartPen.Assign"
		size = 41
		refs = "000a _DV_TChartPen 000f @IsClass 0022 TPen.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8A 46 18 88 43 18 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15348_0 {
	meta:
		name = "TChartPen.SetVisible"
		size = 20
		refs = "000e @CallDynaInst"
	strings:
		$1 = { 53 3A 50 18 74 0C 88 50 18 66 BB FD FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15349_0 {
	meta:
		name = "TChartGridPen.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TChartPen.Create 0023 TPen.SetColor 002c TPen.SetStyle"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 80 80 80 00 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15350_0 {
	meta:
		name = "TChartAxisPen.Create"
		size = 58
		refs = "000a @ClassCreate 0017 TChartPen.Create 0023 TPen.SetWidth"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15351_0 {
	meta:
		name = "TChartTickPen.Create"
		size = 58
		refs = "000a @ClassCreate 0017 TChartPen.Create 0023 TPen.SetColor"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 80 80 80 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15352_0 {
	meta:
		name = "TChartHiddenPen.Create"
		size = 50
		refs = "000a @ClassCreate 0017 TChartPen.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 18 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15353_0 {
	meta:
		name = "TChartArrowPen.Create"
		size = 58
		refs = "000a @ClassCreate 0017 TChartPen.Create 0023 TPen.SetColor"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15355_0 {
	meta:
		name = "TeEngine"
		size = 64
		refs = "0008 _NV__210 0010 _DV_TCustomChartLegend 0018 _DV_TChartAxis 0020 _DV_TSeriesMarks 0028 _DV_TChartAxisTitle 0038 RegisterClasses"
	strings:
		$1 = { 55 8B EC 83 C4 F0 83 2D ?? ?? ?? ?? 01 73 2D A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 89 45 FC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_15356_0 {
	meta:
		name = "ChartPreview"
		size = 95
		refs = "000c _DV_TChartPreview 0011 TCustomForm.Create 001c ChartPreview 0032 TTeePreviewPage.SetChart 003a TCustomForm.ShowModal 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 2C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15357_0 {
	meta:
		name = "TTeePreviewPage.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001d TTeePreviewPage.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 0B 46 40 66 89 46 40 33 C0 89 86 08 01 00 00 C6 86 C2 00 00 00 01 C6 86 C1 00 00 00 01 C6 86 C0 00 00 00 01 C6 86 DC 00 00 00 00 C6 86 0C 01 00 00 01 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_15358_0 {
	meta:
		name = "TTeePreviewPage.Print"
		size = 94
		refs = "0010 Screen 001b TScreen.SetCursor 0023 TTeePreviewPage.Print 0034 TCustomChart.Print 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 83 BB 08 01 00 00 00 74 4C A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 08 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 5D C3 }
	condition:
		$1
}

rule function_15359_0 {
	meta:
		name = "TTeePreviewPage.DrawPaper"
		size = 196
		refs = "0011 TPen.SetStyle 001b TPen.SetColor 0028 TBrush.SetColor 0035 TPen.SetWidth 004f TCanvas.Rectangle 007f Rect 0088 TCanvas.FillRect"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B DA 8B F8 33 D2 8B 43 10 E8 ?? ?? ?? ?? 33 D2 8B 43 10 E8 ?? ?? ?? ?? BA FF FF FF 00 8B 43 14 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 8D 87 F0 00 00 00 8B 50 08 52 8B 50 0C 52 8B 48 04 8B 10 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8D B7 F0 00 00 00 8B 6E 0C 8B C5 83 C0 04 50 8D 44 24 04 50 8B 4E 08 83 C1 05 8B 06 83 C0 05 8B D5 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8D B7 F0 00 00 00 8B 46 0C 83 C0 04 50 8D 44 24 04 50 8B 7E 08 8B CF 83 C1 05 8B 56 04 83 C2 04 8B C7 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15360_0 {
	meta:
		name = "TTeePreviewPage.SetShowMargins"
		size = 12
	strings:
		$1 = { 88 90 C2 00 00 00 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_15361_0 {
	meta:
		name = "TTeePreviewPage.SetChart"
		size = 12
	strings:
		$1 = { 89 90 08 01 00 00 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_15362_0 {
	meta:
		name = "TTeePreviewPage.DrawBack"
		size = 70
		refs = "000f TPen.SetStyle 001a TBrush.SetColor 003c TCanvas.Rectangle"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 B2 05 8B 46 10 E8 ?? ?? ?? ?? 8B 53 54 8B 46 14 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 2C 8B 44 24 08 50 8B 44 24 10 50 8B 4C 24 0C 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_15363_0 {
	meta:
		name = "_NF__EE"
		size = 672
		refs = "0010 Printer 0015 TPrinter.GetPageWidth 0021 TPrinter.GetPageHeight 0033 Rect 0042 TControl.GetClientHeight 0056 _NF__EE 0063 @ROUND 0078 MulDiv 0084 TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 5D 08 83 C3 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 57 8D 45 E8 50 8B CE 33 D2 33 C0 E8 ?? ?? ?? ?? 3B FE 0F 8E AC 00 00 00 8B 03 E8 ?? ?? ?? ?? 50 8B 03 E8 ?? ?? ?? ?? 89 45 E4 DB 45 E4 D8 0D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 5A 2B D0 89 55 F8 85 FF 7E 10 57 56 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 FC EB 0A 8B 03 E8 ?? ?? ?? ?? 89 45 FC 8B 03 E8 ?? ?? ?? ?? 8B F0 2B 75 FC D1 FE 79 03 83 D6 00 8B 03 89 B0 F0 00 00 00 03 75 FC 8B 03 89 B0 F8 00 00 00 8B 03 E8 ?? ?? ?? ?? 89 45 E4 DB 45 E4 D8 0D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F0 8B 03 89 B0 F4 00 00 00 03 75 F8 8B 03 89 B0 FC 00 00 00 E9 A7 00 00 00 8B 03 E8 ?? ?? ?? ?? 50 8B 03 E8 ?? ?? ?? ?? 89 45 E4 DB 45 E4 D8 0D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 5A 2B D0 89 55 FC 85 F6 7E 10 56 57 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F8 EB 0A 8B 03 E8 ?? ?? ?? ?? 89 45 F8 8B 03 E8 ?? ?? ?? ?? 8B F0 2B 75 F8 D1 FE 79 03 83 D6 00 8B 03 89 B0 F4 00 00 00 03 75 F8 8B 03 89 B0 FC 00 00 00 8B 03 E8 ?? ?? ?? ?? 89 45 E4 DB 45 E4 D8 0D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F0 8B 03 89 B0 F0 00 00 00 03 75 FC 8B 03 89 B0 F8 00 00 00 8B 03 8B 80 F8 00 00 00 8B 13 2B 82 F0 00 00 00 8B 13 89 82 00 01 00 00 8B 03 8B 80 FC 00 00 00 8B 13 2B 82 F4 00 00 00 8B 13 89 82 04 01 00 00 6A 64 8B 03 8B 80 00 01 00 00 50 8B 03 8B 80 08 01 00 00 8B 80 F4 02 00 00 50 E8 ?? ?? ?? ?? 8B 13 03 82 F0 00 00 00 8B 13 89 82 E0 00 00 00 6A 64 8B 03 8B 80 00 01 00 00 50 8B 03 8B 80 08 01 00 00 8B 80 FC 02 00 00 50 E8 ?? ?? ?? ?? 8B 13 8B 92 F8 00 00 00 2B D0 8B 03 89 90 E8 00 00 00 6A 64 8B 03 8B 80 04 01 00 00 50 8B 03 8B 80 08 01 00 00 8B 80 F8 02 00 00 50 E8 ?? ?? ?? ?? 8B 13 03 82 F4 00 00 00 8B 13 89 82 E4 00 00 00 6A 64 8B 03 8B 80 04 01 00 00 50 8B 03 8B 80 08 01 00 00 8B 80 00 03 00 00 50 E8 ?? ?? ?? ?? 8B 13 8B 92 FC 00 00 00 2B D0 8B 03 89 90 EC 00 00 00 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 20 41 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 00 00 A0 40 }
	condition:
		$1
}

rule function_15364_0 {
	meta:
		name = "TTeePreviewPage.Paint"
		size = 248
		refs = "000b _NF__EE 0013 _Dn_TBitmap 0018 TBitmap.Create 0023 TTeePreviewPage.Paint 007d TBitmap.GetCanvas 0087 TTeePreviewPage.DrawBack 0099 TTeePreviewPage.DrawPaper 00ab TTeePreviewPage.DrawMargins 00bd TTeePreviewPage.DrawChart 00d3 TCanvas.Draw 00e8 TObject.Free 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 89 45 FC 55 E8 ?? ?? ?? ?? 59 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC 8B 08 FF 51 2C 8B 45 F0 50 8D 55 D8 8B 45 FC 8B 08 FF 51 2C 5A 2B 55 D8 8B 45 F8 8B 08 FF 51 40 8D 55 E8 8B 45 FC 8B 08 FF 51 2C 8B 45 F4 50 8D 55 D8 8B 45 FC 8B 08 FF 51 2C 5A 2B 55 DC 8B 45 F8 8B 08 FF 51 34 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 80 B4 00 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_15365_0 {
	meta:
		name = "TTeePreviewPage.DrawMargins"
		size = 268
		refs = "001d TPen.SetColor 0027 TPen.SetStyle 0031 TPen.SetWidth 003b TBrush.SetStyle 0048 TBrush.SetColor 0051 TCanvas.GetHandle 0057 SetBkMode 006e TCanvas.MoveTo 007f TCanvas.LineTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 80 BE C2 00 00 00 00 0F 84 F4 00 00 00 BA C0 C0 C0 00 8B 43 10 E8 ?? ?? ?? ?? B2 02 8B 43 10 E8 ?? ?? ?? ?? 33 D2 8B 43 10 E8 ?? ?? ?? ?? B2 01 8B 43 14 E8 ?? ?? ?? ?? BA FF FF FF 00 8B 43 14 E8 ?? ?? ?? ?? 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D BE E0 00 00 00 8B 8E F4 00 00 00 41 8B 17 4A 8B C3 E8 ?? ?? ?? ?? 8B 8E FC 00 00 00 49 8B 17 4A 8B C3 E8 ?? ?? ?? ?? 8B 8E F4 00 00 00 41 8B 57 08 42 8B C3 E8 ?? ?? ?? ?? 8B 8E FC 00 00 00 49 8B 57 08 42 8B C3 E8 ?? ?? ?? ?? 8B 4F 04 49 8B 96 F0 00 00 00 42 8B C3 E8 ?? ?? ?? ?? 8B 4F 04 49 8B 96 F8 00 00 00 4A 8B C3 E8 ?? ?? ?? ?? 8B 4F 0C 41 8B 96 F0 00 00 00 42 8B C3 E8 ?? ?? ?? ?? 8B 4F 0C 41 8B 96 F8 00 00 00 4A 8B C3 E8 ?? ?? ?? ?? 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15366_0 {
	meta:
		name = "TTeePreviewPage.DrawChart"
		size = 201
		refs = "004f TCustomChart.CalcMetaBounds 0069 TCustomChart.TeeCreateMetafile 0073 TTeePreviewPage.DrawChart 008d Rect 0099 TCanvas.StretchDraw 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F2 89 45 FC 8B 45 FC 80 B8 C1 00 00 00 00 0F 84 A4 00 00 00 8B 45 FC 56 8D B0 E0 00 00 00 8D 7D DC B9 04 00 00 00 F3 A5 5E 8D 45 F4 50 8D 45 F0 50 8D 45 EC 50 8D 4D F8 8D 55 DC 8B 45 FC 8B 80 08 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 08 01 00 00 C6 80 A0 01 00 00 01 8D 4D DC B2 01 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 50 8D 45 CC 50 8B 4D F0 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 CC 8B CB 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 08 01 00 00 C6 80 A0 01 00 00 00 C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15367_0 {
	meta:
		name = "TTeePreviewPage.WhereIsCursor"
		size = 219
		refs = "00b1 Point 00c5 PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 89 14 24 8B F8 8D 8F E0 00 00 00 8B 04 24 2B 01 99 33 C2 2B C2 8B D8 8B 04 24 2B 41 08 99 33 C2 2B C2 8B E8 8B 44 24 04 2B 41 04 99 33 C2 2B C2 8B F0 8B 44 24 04 2B 41 0C 99 33 C2 2B C2 83 FB 05 7D 09 83 FE 05 7D 04 B0 06 EB 7C 83 FB 05 7D 09 83 F8 05 7D 04 B0 08 EB 6E 83 FD 05 7D 09 83 FE 05 7D 04 B0 07 EB 60 83 FD 05 7D 09 83 F8 05 7D 04 B0 09 EB 52 83 FB 05 7D 04 B0 01 EB 49 83 FD 05 7D 04 B0 03 EB 40 83 FE 05 7D 04 B0 02 EB 37 83 F8 05 7D 04 B0 04 EB 2E 8D 4C 24 08 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? FF 74 24 0C FF 74 24 0C 8D 87 E0 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 04 B0 05 EB 02 33 C0 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15368_0 {
	meta:
		name = "TTeePreviewPage.MouseMove"
		size = 838
		refs = "001c TControl.MouseMove 0028 Point 003a PtInRect 005a TTeePreviewPage.MouseMove 027b TTeePreviewPage.WhereIsCursor 0286 _NV__D8 028d TControl.SetCursor 02b9 MulDiv"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8D 4D E4 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 E8 FF 75 E4 8D 83 F0 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 0F 84 F7 02 00 00 33 C0 8A 83 DC 00 00 00 83 F8 09 0F 87 1D 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3B B3 F0 00 00 00 0F 8C 04 02 00 00 3B B3 E8 00 00 00 0F 8D F8 01 00 00 89 B3 E0 00 00 00 E9 ED 01 00 00 3B BB F4 00 00 00 0F 8C E1 01 00 00 3B BB EC 00 00 00 0F 8D D5 01 00 00 89 BB E4 00 00 00 E9 CA 01 00 00 3B B3 F8 00 00 00 0F 8F BE 01 00 00 3B B3 E0 00 00 00 0F 8E B2 01 00 00 89 B3 E8 00 00 00 E9 A7 01 00 00 3B BB FC 00 00 00 0F 8F 9B 01 00 00 3B BB E4 00 00 00 0F 8E 8F 01 00 00 89 BB EC 00 00 00 E9 84 01 00 00 2B B3 C4 00 00 00 8B 83 CC 00 00 00 03 F0 89 75 EC 2B BB C8 00 00 00 8B 93 D0 00 00 00 03 FA 89 7D F0 8B 8B D4 00 00 00 2B C8 03 4D EC 89 4D F4 8B 83 D8 00 00 00 2B C2 03 45 F0 89 45 F8 FF 75 F0 FF 75 EC 8D 83 F0 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 0F 84 2C 01 00 00 FF 75 F8 FF 75 F4 8D 83 F0 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 0F 84 12 01 00 00 8D 75 EC 8D BB E0 00 00 00 B9 04 00 00 00 F3 A5 E9 FD 00 00 00 3B B3 F0 00 00 00 0F 8C F1 00 00 00 3B B3 E8 00 00 00 0F 8D E5 00 00 00 3B BB F4 00 00 00 0F 8C D9 00 00 00 3B BB EC 00 00 00 0F 8D CD 00 00 00 89 B3 E0 00 00 00 89 BB E4 00 00 00 E9 BC 00 00 00 3B B3 F0 00 00 00 0F 8C B0 00 00 00 3B B3 E8 00 00 00 0F 8D A4 00 00 00 3B BB FC 00 00 00 0F 8F 98 00 00 00 3B BB E4 00 00 00 0F 8E 8C 00 00 00 89 B3 E0 00 00 00 89 BB EC 00 00 00 EB 7E 3B B3 F8 00 00 00 7F 76 3B B3 E0 00 00 00 7E 6E 3B BB F4 00 00 00 7C 66 3B BB EC 00 00 00 7D 5E 89 B3 E8 00 00 00 89 BB E4 00 00 00 EB 50 3B B3 F8 00 00 00 7F 48 3B B3 E0 00 00 00 7E 40 3B BB FC 00 00 00 7F 38 3B BB E4 00 00 00 7E 30 89 B3 E8 00 00 00 89 BB EC 00 00 00 EB 22 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 66 8B 14 45 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 A7 00 00 00 8B 83 08 01 00 00 8D B0 F4 02 00 00 8B 83 00 01 00 00 50 6A 64 8B 83 E0 00 00 00 2B 83 F0 00 00 00 50 E8 ?? ?? ?? ?? 89 06 8B 83 00 01 00 00 50 6A 64 8B 83 F8 00 00 00 2B 83 E8 00 00 00 50 E8 ?? ?? ?? ?? 89 46 08 8B 83 04 01 00 00 50 6A 64 8B 83 E4 00 00 00 2B 83 F4 00 00 00 50 E8 ?? ?? ?? ?? 89 46 04 8B 83 04 01 00 00 50 6A 64 8B 83 FC 00 00 00 2B 83 EC 00 00 00 50 E8 ?? ?? ?? ?? 89 46 0C 66 83 BB BA 00 00 00 00 74 1A 8B 83 08 01 00 00 8D 88 F4 02 00 00 8B D3 8B 83 BC 00 00 00 FF 93 B8 00 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15369_0 {
	meta:
		name = "TTeePreviewPage.MouseUp"
		size = 60
		refs = "0018 TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? C6 83 DC 00 00 00 00 8A 83 C0 00 00 00 88 83 C1 00 00 00 8B C3 8B 10 FF 52 44 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15370_0 {
	meta:
		name = "TTeePreviewPage.MouseDown"
		size = 125
		refs = "0020 TControl.MouseDown 002b TTeePreviewPage.WhereIsCursor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B 75 0C 56 57 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 88 83 DC 00 00 00 80 BB DC 00 00 00 05 75 1F 89 B3 C4 00 00 00 89 BB C8 00 00 00 8D B3 E0 00 00 00 8D BB CC 00 00 00 B9 04 00 00 00 F3 A5 8A 83 C1 00 00 00 88 83 C0 00 00 00 8A 83 0C 01 00 00 88 83 C1 00 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15371_0 {
	meta:
		name = "TChartPreview.FormShow"
		size = 175
		refs = "0006 Screen 000f TScreen.SetCursor 0033 Printer 0038 TPrinter.GetPrinters 0045 TCustomComboBox.SetItems 004f TPrinter.GetPrinterIndex 005c TCustomComboBox.SetItemIndex 0068 TPrinter.SetOrientation 0085 TScrollBar.SetPosition 008c TChartPreview.RecalcControls 00a7 TChartPreview.PreviewPageChangeMargins"
	strings:
		$1 = { 53 56 57 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 8B 80 08 01 00 00 8D B0 F4 02 00 00 8D BB 30 02 00 00 B9 04 00 00 00 F3 A5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 8B 80 08 01 00 00 8B 90 40 02 00 00 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 8B 80 08 01 00 00 8D 88 F4 02 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15372_0 {
	meta:
		name = "TChartPreview.BSetupPrinterClick"
		size = 23
		refs = "0011 TChartPreview.RecalcControls"
	strings:
		$1 = { 53 8B D8 8B 83 08 02 00 00 8B 10 FF 52 34 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15373_0 {
	meta:
		name = "TChartPreview.PrintersChange"
		size = 44
		refs = "000a TCustomComboBox.GetItemIndex 0010 Printer 0016 TPrinter.SetPrinterIndex 001d TChartPreview.RecalcControls 0026 TChartPreview.RGOrientClick"
	strings:
		$1 = { 53 8B D8 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15374_0 {
	meta:
		name = "TChartPreview.RGOrientClick"
		size = 38
		refs = "0004 Printer 0015 TPrinter.SetOrientation"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B 93 F0 01 00 00 8A 92 24 01 00 00 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_15375_0 {
	meta:
		name = "TChartPreview.ChangeMargin"
		size = 61
		refs = "000f TSpinEdit.GetValue 0027 TChartPreview.RefreshPage 0032 TSpinEdit.SetValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 03 45 08 83 F8 64 7D 12 8B C3 E8 ?? ?? ?? ?? 89 07 8B C6 E8 ?? ?? ?? ?? EB 09 8B 17 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_15376_0 {
	meta:
		name = "TChartPreview.SETopMaChange"
		size = 37
		refs = "0020 TChartPreview.ChangeMargin"
	strings:
		$1 = { 8B 90 2C 02 00 00 8B 92 08 01 00 00 81 C2 F4 02 00 00 8B 4A 0C 51 8D 4A 04 8B 90 F8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15377_0 {
	meta:
		name = "TChartPreview.SERightMaChange"
		size = 36
		refs = "001f TChartPreview.ChangeMargin"
	strings:
		$1 = { 8B 90 2C 02 00 00 8B 92 08 01 00 00 81 C2 F4 02 00 00 8B 0A 51 8D 4A 08 8B 90 04 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15378_0 {
	meta:
		name = "TChartPreview.SEBotMaChange"
		size = 37
		refs = "0020 TChartPreview.ChangeMargin"
	strings:
		$1 = { 8B 90 2C 02 00 00 8B 92 08 01 00 00 81 C2 F4 02 00 00 8B 4A 04 51 8D 4A 0C 8B 90 00 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15379_0 {
	meta:
		name = "TChartPreview.SELeftMaChange"
		size = 36
		refs = "001f TChartPreview.ChangeMargin"
	strings:
		$1 = { 8B 90 2C 02 00 00 8B 92 08 01 00 00 81 C2 F4 02 00 00 8B 4A 08 51 8B CA 8B 90 FC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15380_0 {
	meta:
		name = "TChartPreview.RefreshPage"
		size = 73
		refs = "002e EqualRect 0042 TControl.SetEnabled"
	strings:
		$1 = { 53 56 8B D8 80 BB 40 02 00 00 00 75 39 8B B3 2C 02 00 00 8B C6 8B 10 FF 52 44 8D 83 30 02 00 00 50 8B 86 08 01 00 00 05 F4 02 00 00 50 E8 ?? ?? ?? ?? 8B D0 83 FA 01 1B D2 F7 DA 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15381_0 {
	meta:
		name = "TChartPreview.CBShowMarginsClick"
		size = 29
		refs = "000a TCustomCheckBox.GetChecked 0017 TTeePreviewPage.SetShowMargins"
	strings:
		$1 = { 53 8B D8 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15382_0 {
	meta:
		name = "TChartPreview.FormCreate"
		size = 70
		refs = "0010 _DV_TTeePreviewPage 0015 TTeePreviewPage.Create 002f TControl.SetAlign 003f TChartPreview.PreviewPageChangeMargins"
	strings:
		$1 = { 53 56 8B D8 C6 83 40 02 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 2C 02 00 00 8B D3 8B C6 8B 08 FF 51 3C B2 05 8B C6 E8 ?? ?? ?? ?? 89 9E BC 00 00 00 C7 86 B8 00 00 00 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15383_0 {
	meta:
		name = "TChartPreview.BResetClick"
		size = 51
		refs = "002b TChartPreview.PreviewPageChangeMargins"
	strings:
		$1 = { 53 56 57 8B 90 2C 02 00 00 8B 9A 08 01 00 00 8D BB F4 02 00 00 8D B0 30 02 00 00 B9 04 00 00 00 F3 A5 8D 8B F4 02 00 00 8B D0 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15384_0 {
	meta:
		name = "TChartPreview.PreviewPageChangeMargins"
		size = 144
		refs = "0018 TChartPreview.PreviewPageChangeMargins 002e TSpinEdit.SetValue 0080 TChartPreview.RefreshPage 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 45 FC 8B 45 FC C6 80 40 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 13 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 53 08 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 8B 53 04 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 8B 53 0C 8B 45 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 40 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5B 59 5D C3 }
	condition:
		$1
}

rule function_15385_0 {
	meta:
		name = "TChartPreview.RecalcControls"
		size = 30
		refs = "0004 Printer 0009 TPrinter.GetOrientation 0018 TCustomRadioGroup.SetItemIndex"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D0 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15386_0 {
	meta:
		name = "TChartPreview.SBResolutionChange"
		size = 47
		refs = "0029 TChartPreview.RecalcControls"
	strings:
		$1 = { 53 8B D8 8B 83 2C 02 00 00 8B 93 24 02 00 00 8B 92 1C 01 00 00 8B 88 08 01 00 00 89 91 40 02 00 00 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15387_0 {
	meta:
		name = "TChartPreview.BPrintClick"
		size = 12
		refs = "0007 TTeePreviewPage.Print"
	strings:
		$1 = { 8B 80 2C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15388_0 {
	meta:
		name = "TChartPreview.FormDestroy"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 80 2C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15391_0 {
	meta:
		name = "DaysInMonth"
		size = 80
		refs = "000d _NV__F1"
	strings:
		$1 = { 53 56 57 8B DA 8B C8 0F B7 C3 0F B6 B8 ?? ?? ?? ?? 66 83 FB 02 75 33 0F B7 C1 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 20 0F B7 F1 8B C6 BB 64 00 00 00 99 F7 FB 85 D2 75 0E 8B C6 B9 90 01 00 00 99 F7 F9 85 D2 75 01 47 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15392_0 {
	meta:
		name = "DateTimeDefaultFormat"
		size = 64
		refs = "000b DateTimeDefaultFormat 0018 ShortTimeFormat 001f @LStrLAsg 0029 ShortDateFormat"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 77 11 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 0F 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B 5D C2 08 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_15393_0 {
	meta:
		name = "NextDateTimeStep"
		size = 71
		refs = "0009 DateTimeStep"
	strings:
		$1 = { 55 8B EC 83 C4 F8 B1 E8 BA ?? ?? ?? ?? DD 45 08 DC 1A DF E0 9E 72 0E 8B 42 08 89 45 F8 8B 42 0C 89 45 FC EB 19 83 EA 08 FE C1 75 E1 8B 05 ?? ?? ?? ?? 89 45 F8 8B 05 ?? ?? ?? ?? 89 45 FC DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15394_0 {
	meta:
		name = "FindDateTimeStep"
		size = 51
		refs = "0008 DateTimeStep"
	strings:
		$1 = { 55 8B EC 53 56 B3 18 BE ?? ?? ?? ?? DD 06 DC 65 08 D9 E1 DC 1D ?? ?? ?? ?? DF E0 9E 73 04 8B C3 EB 0B 4B 83 EE 08 80 FB FF 75 E1 B0 19 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15395_0 {
	meta:
		name = "MaxDouble"
		size = 52
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 10 DC 5D 08 DF E0 9E 76 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_15396_0 {
	meta:
		name = "MinDouble"
		size = 52
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 10 DC 5D 08 DF E0 9E 73 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_15398_0 {
	meta:
		name = "MinLong"
		size = 7
	strings:
		$1 = { 3B D0 7D 02 8B C2 C3 }
	condition:
		$1
}

rule function_15399_0 {
	meta:
		name = "SwapInteger"
		size = 11
		altNames = "SwapLongint"
	strings:
		$1 = { 53 8B 08 8B 1A 89 18 89 0A 5B C3 }
	condition:
		$1
}

rule function_15400_0 {
	meta:
		name = "SwapDouble"
		size = 40
	strings:
		$1 = { 83 C4 F8 8B 08 89 0C 24 8B 48 04 89 4C 24 04 8B 0A 89 08 8B 4A 04 89 48 04 8B 04 24 89 02 8B 44 24 04 89 42 04 59 5A C3 }
	condition:
		$1
}

rule function_15402_0 {
	meta:
		name = "GetScreenLogPixels"
		size = 34
		refs = "0005 GetDC 000f GetDeviceCaps 0019 ReleaseDC"
	strings:
		$1 = { 53 56 6A 00 E8 ?? ?? ?? ?? 8B D8 6A 5A 53 E8 ?? ?? ?? ?? 8B F0 53 6A 00 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15403_0 {
	meta:
		name = "CheckJapaneseFontSize"
		size = 48
		refs = "0009 SysLocale 0015 GetScreenLogPixels 001d DefFontData 0026 MulDiv"
	strings:
		$1 = { 53 8B D8 83 3B 08 75 26 A1 ?? ?? ?? ?? 66 83 78 04 11 75 1A E8 ?? ?? ?? ?? 50 6A 48 A1 ?? ?? ?? ?? 8B 40 04 50 E8 ?? ?? ?? ?? F7 D8 89 03 5B C3 }
	condition:
		$1
}

rule function_15405_0 {
	meta:
		name = "GetDefaultFontName"
		size = 76
		refs = "0006 TeeMsg_DefaultFontName 000b LoadResString 0012 GetDefaultFontName 0017 @LStrCmp 001e SysLocale 002d DefFontData 0035 @LStrFromString"
	strings:
		$1 = { 53 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C A1 ?? ?? ?? ?? 66 83 78 04 11 75 10 8B C3 8B 15 ?? ?? ?? ?? 83 C2 0B E8 ?? ?? ?? ?? 5B C3 00 FF FF FF FF 05 00 00 00 41 72 69 61 6C 00 00 00 }
	condition:
		$1
}

rule function_15406_0 {
	meta:
		name = "IsDefaultFont"
		size = 156
		refs = "000f IsDefaultFont 001c TFont.GetSize 0023 GetDefaultFontSize 0031 TFont.GetName 003d GetDefaultFontName 0046 @LStrCmp 0055 TFont.GetStyle 007c @LStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 38 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 75 17 83 7B 14 00 75 11 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_15407_0 {
	meta:
		name = "CreateDefaultFont"
		size = 128
		refs = "000a CreateDefaultFont 0017 _Dn_TFont 001c TFont.Create 0026 GetDefaultFontName 0030 TFont.SetName 0035 GetDefaultFontSize 003e TFont.SetSize 0047 TFont.SetColor 0054 TFont.SetStyle 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_15408_0 {
	meta:
		name = "GetDefaultColor"
		size = 21
		refs = "0010 ColorPalette"
	strings:
		$1 = { 25 0F 00 00 80 79 05 48 83 C8 F0 40 40 8B 04 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15409_0 {
	meta:
		name = "TCustomTeePanel.Create"
		size = 174
		refs = "000d @ClassCreate 001b TCustomPanel.Create 0060 _DV_TZoomPanningRecord 0065 TObject.Create 0083 TeeEraseBack"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 89 83 48 01 00 00 89 83 50 01 00 00 8D 83 38 01 00 00 C7 40 04 03 00 00 00 C7 00 03 00 00 00 C7 40 0C 03 00 00 00 C7 40 08 03 00 00 00 66 8B 43 58 66 89 83 A2 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A8 01 00 00 80 3D ?? ?? ?? ?? 00 74 0E F6 43 20 10 0F 95 C0 34 01 A2 ?? ?? ?? ?? 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_15410_0 {
	meta:
		name = "TCustomTeePanel.Destroy"
		size = 75
		refs = "000d TObject.Free 0037 TCustomControl.Destroy 0042 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 54 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 54 01 00 00 8B 86 A4 01 00 00 E8 ?? ?? ?? ?? 8B 86 A8 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15411_0 {
	meta:
		name = "TCustomTeePanel.TransferBitmap"
		size = 85
		refs = "001c TBitmap.GetCanvas 0021 TCanvas.GetHandle 004a BitBlt"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 68 20 00 CC 00 6A 00 6A 00 8B 83 54 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 83 54 01 00 00 8B 10 FF 52 20 50 8B 83 54 01 00 00 8B 10 FF 52 2C 50 57 56 8B 45 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_15412_0 {
	meta:
		name = "TCustomTeePanel.ReDrawChartBitmap"
		size = 34
		refs = "001a TCustomTeePanel.TransferBitmap"
	strings:
		$1 = { 53 8A 98 4C 01 00 00 80 F3 01 84 DB 74 10 8B 90 48 01 00 00 52 33 C9 33 D2 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_15414_0 {
	meta:
		name = "TCustomTeePanel.SetBrushCanvas"
		size = 145
		refs = "0023 TBrush.SetColor 0045 TBrush.SetStyle 004d TBrush.GetHandle 005a TCanvas.GetHandle 0060 SetBkMode 0078 ColorToRGB 0086 SetBkColor"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B 7D 08 8B 5D 0C 84 DB 74 23 3B F9 75 1F 85 FF 75 0F BA FF FF FF 00 8B 46 14 E8 ?? ?? ?? ?? EB 16 33 D2 8B 46 14 E8 ?? ?? ?? ?? EB 0A 8B D1 8B 46 14 E8 ?? ?? ?? ?? 8B D3 8B 46 14 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 84 DB 75 11 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 24 6A 02 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15415_0 {
	meta:
		name = "TCustomTeePanel.TeeTextOut"
		size = 63
		refs = "0014 @LStrLen 001c @LStrToPChar 002d TCanvas.GetHandle 0033 TextOut"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC 50 57 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15416_0 {
	meta:
		name = "TCustomTeePanel.FontCanvas"
		size = 21
	strings:
		$1 = { 8B 80 50 01 00 00 8B 40 0C 8B 48 18 89 4A 18 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_15417_0 {
	meta:
		name = "TCustomTeePanel.DoRectangle"
		size = 41
		refs = "001c TCanvas.GetHandle 0022 Rectangle"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 0C 50 8B 43 08 50 8B 43 04 50 8B 03 50 8B 86 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15418_0 {
	meta:
		name = "TCustomTeePanel.DoPolygon"
		size = 33
		refs = "0013 TCanvas.GetHandle 0019 Polygon"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 47 57 56 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15419_0 {
	meta:
		name = "TCustomTeePanel.DoLine"
		size = 54
		refs = "0011 TCanvas.GetHandle 001d MoveToEx 002b LineTo"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B 80 50 01 00 00 E8 ?? ?? ?? ?? 8B D8 6A 00 57 56 53 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15420_0 {
	meta:
		name = "TCustomTeePanel.DoHorizLine"
		size = 57
		refs = "0016 TCanvas.GetHandle 0022 MoveToEx 002d LineTo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B 75 08 8B 80 50 01 00 00 E8 ?? ?? ?? ?? 8B D8 6A 00 56 57 53 E8 ?? ?? ?? ?? 56 8B 45 FC 50 53 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15421_0 {
	meta:
		name = "TCustomTeePanel.DoVertLine"
		size = 51
		refs = "0011 TCanvas.GetHandle 001d MoveToEx 0028 LineTo"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B 80 50 01 00 00 E8 ?? ?? ?? ?? 8B D8 6A 00 57 56 53 E8 ?? ?? ?? ?? 8B 45 08 50 56 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_15422_0 {
	meta:
		name = "TCustomTeePanel.SetColorProperty"
		size = 18
		altNames = "TCustomTeePanel.SetIntegerProperty TCustomTeePanel.SetLongintProperty"
	strings:
		$1 = { 56 8B F0 3B 0A 74 09 89 0A 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_15423_0 {
	meta:
		name = "TCustomTeePanel.SetStringProperty"
		size = 40
		refs = "000e @LStrCmp 0019 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 06 8B D7 E8 ?? ?? ?? ?? 74 10 8B C6 8B D7 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15424_0 {
	meta:
		name = "TCustomTeePanel.SetDoubleProperty"
		size = 37
	strings:
		$1 = { 55 8B EC 8B C8 DD 02 DC 5D 08 DF E0 9E 74 12 8B 45 08 89 02 8B 45 0C 89 42 04 8B C1 8B 10 FF 52 44 5D C2 08 00 }
	condition:
		$1
}

rule function_15426_0 {
	meta:
		name = "TCustomTeePanel.SetBooleanProperty"
		size = 18
	strings:
		$1 = { 56 8B F0 3A 0A 74 09 88 0A 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_15428_0 {
	meta:
		name = "TCustomTeePanel.Loaded"
		size = 23
		refs = "0006 TComponent.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 8B 43 58 66 89 83 A2 01 00 00 5B C3 }
	condition:
		$1
}

rule function_15429_0 {
	meta:
		name = "TCustomTeePanel.WMEraseBkgnd"
		size = 28
		refs = "0005 TeeEraseBack 000f TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 8B DA 80 3D ?? ?? ?? ?? 00 74 07 8B D3 E8 ?? ?? ?? ?? C7 43 0C 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_15430_0 {
	meta:
		name = "TCustomTeePanel.Invalidate"
		size = 13
		refs = "0008 TWinControl.Invalidate"
	strings:
		$1 = { C6 80 4C 01 00 00 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15431_0 {
	meta:
		name = "TCustomTeePanel.SetBounds"
		size = 29
		refs = "0014 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 53 C6 80 4C 01 00 00 01 8B 5D 0C 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15432_0 {
	meta:
		name = "TCustomTeePanel.RotateLabel"
		size = 155
		refs = "001e TBrush.SetStyle 002c TFont.GetHandle 0032 GetObject 004f CreateFontIndirect 0058 TCanvas.GetHandle 0061 SelectObject 006a @LStrLen 0072 @LStrToPChar 0081 TextOut 008e DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 4D F8 89 55 FC 8B 75 0C 8B 98 50 01 00 00 B2 01 8B 43 14 E8 ?? ?? ?? ?? 8D 45 BC 50 6A 3C 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 03 C0 8D 04 80 89 45 C4 33 C0 89 45 C8 C6 45 D4 07 8D 45 BC 50 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B D8 57 53 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC 50 53 E8 ?? ?? ?? ?? 57 53 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_15433_0 {
	meta:
		name = "TCustomTeePanel.GetMargin"
		size = 32
	strings:
		$1 = { 05 38 01 00 00 83 EA 01 72 07 74 08 4A 74 09 EB 0B 8B 00 C3 8B 40 04 C3 8B 40 08 C3 8B 40 0C C3 }
	condition:
		$1
}

rule function_15434_0 {
	meta:
		name = "TCustomTeePanel.SetMargin"
		size = 87
	strings:
		$1 = { 56 8B F0 8D 86 38 01 00 00 83 EA 01 72 07 74 14 4A 74 22 EB 31 3B 08 74 3C 89 08 8B C6 8B 10 FF 52 44 5E C3 3B 48 04 74 2C 89 48 04 8B C6 8B 10 FF 52 44 5E C3 3B 48 08 74 1B 89 48 08 8B C6 8B 10 FF 52 44 5E C3 3B 48 0C 74 0A 89 48 0C 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_15435_0 {
	meta:
		name = "TCustomTeePanel.SetInternalCanvas"
		size = 7
	strings:
		$1 = { 89 90 50 01 00 00 C3 }
	condition:
		$1
}

rule function_15436_0 {
	meta:
		name = "TCustomTeePanel.TeeTextHeight"
		size = 12
		refs = "0007 TCanvas.TextHeight"
	strings:
		$1 = { 8B 80 50 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15437_0 {
	meta:
		name = "TCustomTeePanel.TeeTextWidth"
		size = 12
		refs = "0007 TCanvas.TextWidth"
	strings:
		$1 = { 8B 80 50 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15438_0 {
	meta:
		name = "TCustomTeePanel.TeeCharHeight"
		size = 28
		refs = "0001 TCustomTeePanel.TeeCharHeight"
	strings:
		$1 = { BA ?? ?? ?? ?? 8B 08 FF 91 8C 00 00 00 C3 00 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_15439_0 {
	meta:
		name = "TCustomTeePanel.ReCalcWidthHeight"
		size = 116
	strings:
		$1 = { 8D 90 80 01 00 00 8B 88 70 01 00 00 3B 0A 7E 02 89 0A 8B 88 74 01 00 00 3B 4A 04 7E 03 89 4A 04 8B 0A 3B 4A 08 7E 04 41 89 4A 08 8B 4A 04 3B 4A 0C 7E 04 41 89 4A 0C 8B 4A 08 2B 0A 89 88 90 01 00 00 8B 4A 0C 2B 4A 04 89 88 94 01 00 00 8B 0A 03 4A 08 D1 F9 79 03 83 D1 00 89 88 98 01 00 00 8B 4A 04 03 4A 0C D1 F9 79 03 83 D1 00 89 88 9C 01 00 00 C3 }
	condition:
		$1
}

rule function_15440_0 {
	meta:
		name = "TCustomTeePanel.DrawZoomRectangle"
		size = 120
		refs = "001e TPen.SetColor 0036 TPen.SetMode 003f TPen.SetStyle 004b TPen.SetWidth 0055 TBrush.SetStyle 0070 TCanvas.Rectangle"
	strings:
		$1 = { 53 56 57 8B F0 8B 9E 50 01 00 00 8B 46 54 3D FF FF FF 00 75 0F BA FF 00 00 00 8B 43 10 E8 ?? ?? ?? ?? EB 0A 8B D0 8B 43 10 E8 ?? ?? ?? ?? 8B 7B 10 B2 0F 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? B2 01 8B 43 14 E8 ?? ?? ?? ?? 8B 86 A4 01 00 00 8B 50 10 52 8B 50 14 52 8B 48 0C 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15441_0 {
	meta:
		name = "TCustomTeePanel.GetCursorPos"
		size = 43
		refs = "000b GetCursorPos 0016 TControl.ScreenToClient"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 53 E8 ?? ?? ?? ?? 8B CC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15442_0 {
	meta:
		name = "TCustomTeePanel.GetRectangle"
		size = 18
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 2C 5E 5B C3 }
	condition:
		$1
}

rule function_15443_0 {
	meta:
		name = "TCustomTeePanel.GetWidthHeight"
		size = 50
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F9 8B F2 8B D8 8B D4 8B C3 8B 08 FF 91 94 00 00 00 8B 44 24 08 2B 04 24 89 06 8B 44 24 0C 2B 44 24 04 89 07 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15444_0 {
	meta:
		name = "TZoomPanningRecord.Check"
		size = 43
		refs = "0012 SwapLongint"
	strings:
		$1 = { 53 8B D8 8B 43 08 3B 43 10 7E 0B 8D 53 10 8D 43 08 E8 ?? ?? ?? ?? 8B 43 0C 3B 43 14 7E 0B 8D 53 14 8D 43 0C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15445_0 {
	meta:
		name = "TZoomPanningRecord.Activate"
		size = 17
	strings:
		$1 = { 89 50 08 89 48 0C 89 50 10 89 48 14 C6 40 04 01 C3 }
	condition:
		$1
}

rule function_15446_0 {
	meta:
		name = "_NF__1A2"
		size = 36
	strings:
		$1 = { FF FF FF FF 03 00 00 00 42 4D 50 00 FF FF FF FF 03 00 00 00 57 4D 46 00 FF FF FF FF 03 00 00 00 45 4D 46 00 }
	condition:
		$1
}

rule function_15447_0 {
	meta:
		name = "TeeGetImageExtension"
		size = 23
		refs = "000b _NV__1A1 0010 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 14 9D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15448_0 {
	meta:
		name = "TeeIdentToCursor"
		size = 64
		refs = "0009 TeeIdentToCursor 000e @LStrCmp 0024 IdentToCursor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B C7 06 E4 07 00 00 B0 01 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 FF FF FF FF 09 00 00 00 63 72 54 65 65 48 61 6E 64 00 00 00 }
	condition:
		$1
}

rule function_15449_0 {
	meta:
		name = "TeeCursorToIdent"
		size = 56
		refs = "000d TeeCursorToIdent 0012 @LStrAsg 001d CursorToIdent"
	strings:
		$1 = { 53 8B DA 3D E4 07 00 00 75 10 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 5B C3 8B D3 E8 ?? ?? ?? ?? 5B C3 00 FF FF FF FF 09 00 00 00 63 72 54 65 65 48 61 6E 64 00 00 00 }
	condition:
		$1
}

rule function_15450_0 {
	meta:
		name = "PointInLine"
		size = 208
		refs = "002b MaxLong"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 89 55 F8 89 45 FC 8B 75 10 8B 45 08 2B C6 99 33 C2 2B C2 50 8B 45 0C 2B C3 99 33 C2 2B C2 5A E8 ?? ?? ?? ?? 8B C8 8B 45 08 2B C6 8B 55 FC 2B D3 F7 EA 8B 55 F8 2B D6 8B 7D 0C 2B FB 0F AF D7 2B C2 99 33 C2 2B C2 3B C8 7F 04 33 C0 EB 6E 3B 5D 0C 7E 05 3B 5D FC 7C 0A 3B 75 08 7E 09 3B 75 F8 7D 04 33 C0 EB 56 3B 5D FC 7E 05 3B 5D 0C 7C 0A 3B 75 F8 7E 09 3B 75 08 7D 04 33 C0 EB 3E 3B 5D 0C 7D 08 8B 45 0C 3B 45 FC 7C 0D 3B 75 08 7D 0C 8B 45 08 3B 45 F8 7D 04 33 C0 EB 20 8B 45 FC 3B 45 0C 7D 05 3B 5D 0C 7F 0D 8B 45 F8 3B 45 08 7D 09 3B 75 08 7E 04 33 C0 EB 02 B0 01 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_15451_0 {
	meta:
		name = "PointInPolygon"
		size = 150
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 C6 04 24 00 8B F1 8B F9 85 FF 7C 76 47 C7 44 24 04 00 00 00 00 8D 4A 04 8B 43 04 3B 01 7C 09 8B 43 04 3B 44 F2 04 7C 10 8B 43 04 3B 44 F2 04 7C 43 8B 43 04 3B 01 7D 3C 8B 04 F2 2B 41 FC 8B 6B 04 2B 29 0F AF C5 89 44 24 08 DB 44 24 08 8B 44 F2 04 2B 01 89 44 24 0C DB 44 24 0C DE F9 DB 41 FC DE C1 DB 03 DE D9 DF E0 9E 73 08 8A 04 24 34 01 88 04 24 8B 74 24 04 FF 44 24 04 83 C1 08 4F 75 96 8A 04 24 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15452_0 {
	meta:
		name = "PointInEllipse"
		size = 26
		refs = "000d PtInRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 73 04 FF 33 56 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_15453_0 {
	meta:
		name = "Finalization"
		size = 88
		refs = "0007 Finalization 0013 _NV__F0 001a Screen 0028 TScreen.SetCursors 002d _NV__1A1 0038 String 003d @FinalizeArray 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 28 A1 ?? ?? ?? ?? 8B 00 33 C9 BA E4 07 00 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15454_0 {
	meta:
		name = "TeeProcs"
		size = 108
		refs = "0002 _NV__F0 000a Randomize 0010 TeeClipWhenPrinting 0017 TeeClipWhenMetafiling 001e TeeAxisClickGap 0029 TeeDefaultCapacity 002f TeeEraseBack 0035 TeeProcs 003a HInstance 0042 LoadCursor 0049 Screen 0055 TScreen.SetCursors"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 50 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 C6 05 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? 0C 00 00 00 33 C0 A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B C8 A1 ?? ?? ?? ?? 8B 00 BA E4 07 00 00 E8 ?? ?? ?? ?? C3 00 00 54 45 45 5F 43 55 52 53 4F 52 5F 48 41 4E 44 00 }
	condition:
		$1
}

rule function_15455_0 {
	meta:
		name = "TChartShape.Create"
		size = 286
		refs = "000e @ClassCreate 001c TChartSeries.Create 0031 _Dn_TBrush 0036 TBrush.Create 0058 CreateDefaultFont 0075 _Dn_TStringList 007a TObject.Create 008f @AsClass 00a4 TChartSeries.CreateChartPen 00b5 TBrush.GetColor"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 D0 00 00 00 02 C6 83 CC 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D4 00 00 00 89 5E 08 8B 03 8B 80 08 01 00 00 89 46 04 C6 83 E5 00 00 00 01 E8 ?? ?? ?? ?? 8B F0 89 B3 D8 00 00 00 89 5E 08 8B 03 8B 80 08 01 00 00 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 DC 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 20 8B 13 8B 92 08 01 00 00 89 50 1C 8B C3 E8 ?? ?? ?? ?? 89 83 E0 00 00 00 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 4C C6 83 E7 00 00 00 01 68 00 00 34 40 6A 00 68 00 00 34 40 6A 00 B9 00 00 00 80 33 D2 8B C3 8B 30 FF 96 90 00 00 00 68 00 00 59 40 6A 00 68 00 00 59 40 6A 00 B9 00 00 00 80 33 D2 8B C3 8B 30 FF 96 90 00 00 00 80 7D FF 00 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15456_0 {
	meta:
		name = "TChartShape.Destroy"
		size = 78
		refs = "000d TObject.Free 003a TChartSeries.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? 8B 86 E0 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15457_0 {
	meta:
		name = "TChartShape.DrawLegendShape"
		size = 41
		refs = "0022 TChartShape.DrawShape"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 43 40 8B 80 50 01 00 00 8B 93 D4 00 00 00 8B 40 14 8B 08 FF 51 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15458_0 {
	meta:
		name = "TChartShape.SetBrush"
		size = 7
	strings:
		$1 = { 89 90 D4 00 00 00 C3 }
	condition:
		$1
}

rule function_15459_0 {
	meta:
		name = "TChartShape.SetPen"
		size = 7
	strings:
		$1 = { 89 90 E0 00 00 00 C3 }
	condition:
		$1
}

rule function_15460_0 {
	meta:
		name = "TChartShape.GetX0"
		size = 20
	strings:
		$1 = { 83 C4 F8 33 D2 8B 08 FF 51 3C DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15461_0 {
	meta:
		name = "TChartShape.SetX0"
		size = 34
		refs = "0011 TChartSeries.SetXValue 0019 TChartValueList.RecalcMinMax"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15462_0 {
	meta:
		name = "TChartShape.GetY0"
		size = 20
	strings:
		$1 = { 83 C4 F8 33 D2 8B 08 FF 51 40 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15463_0 {
	meta:
		name = "TChartShape.SetY0"
		size = 34
		refs = "0011 TChartSeries.SetYValue 0019 TChartValueList.RecalcMinMax"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 30 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15464_0 {
	meta:
		name = "TChartShape.GetX1"
		size = 23
	strings:
		$1 = { 83 C4 F8 BA 01 00 00 00 8B 08 FF 51 3C DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15465_0 {
	meta:
		name = "TChartShape.SetX1"
		size = 37
		refs = "0014 TChartSeries.SetXValue 001c TChartValueList.RecalcMinMax"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15466_0 {
	meta:
		name = "TChartShape.GetY1"
		size = 23
	strings:
		$1 = { 83 C4 F8 BA 01 00 00 00 8B 08 FF 51 40 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_15467_0 {
	meta:
		name = "TChartShape.SetY1"
		size = 37
		refs = "0014 TChartSeries.SetYValue 001c TChartValueList.RecalcMinMax"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 30 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15468_0 {
	meta:
		name = "TChartShape.SetStyle"
		size = 20
		refs = "000f TChartSeries.Repaint"
	strings:
		$1 = { 3A 90 E5 00 00 00 74 0B 88 90 E5 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15469_0 {
	meta:
		name = "TChartShape.SetSeriesColor"
		size = 26
		refs = "0006 TChartSeries.SetSeriesColor 0014 TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 44 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15470_0 {
	meta:
		name = "TChartShape.OrientRectangle"
		size = 41
		refs = "0012 SwapInteger"
	strings:
		$1 = { 53 8B DA 8B 43 04 3B 43 0C 7E 0B 8D 53 0C 8D 43 04 E8 ?? ?? ?? ?? 8B 03 3B 43 08 7E 0A 8D 53 08 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15471_0 {
	meta:
		name = "TChartShape.DrawShape"
		size = 707
		refs = "0032 TPen.SetStyle 0045 TBrush.SetStyle 008f TChartShape.DrawShape 00cf TCanvas.RoundRect 00dd TCustomTeePanel.DoRectangle 00f5 TCanvas.Ellipse 010b TCustomTeePanel.DoVertLine 0121 TCustomTeePanel.DoHorizLine 0139 TCustomTeePanel.DoLine 014d Point 01cb TCustomTeePanel.DoPolygon 01ea TChartShape.OrientRectangle"
	strings:
		$1 = { 53 56 57 55 83 C4 90 8B DA 8B F0 8B 6E 40 8B BD 50 01 00 00 8B 86 E0 00 00 00 80 78 18 00 74 0C 8B D0 8B 47 10 8B 08 FF 51 08 EB 0A B2 05 8B 47 10 E8 ?? ?? ?? ?? 80 BE E6 00 00 00 00 74 0C B2 01 8B 47 14 E8 ?? ?? ?? ?? EB 0E 8B 96 D4 00 00 00 8B 47 14 8B 08 FF 51 08 8B 43 08 03 03 D1 F8 79 03 83 D0 00 89 04 24 8B 43 04 8B D0 03 53 0C D1 FA 79 03 83 D2 00 89 54 24 04 33 D2 8A 96 E5 00 00 00 83 FA 07 0F 87 48 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 BE E4 00 00 00 00 74 1C 8B 53 08 52 8B 53 0C 52 6A 0C 6A 0C 8B C8 8B 13 8B C7 E8 ?? ?? ?? ?? E9 E3 01 00 00 8B D3 8B C5 E8 ?? ?? ?? ?? E9 D5 01 00 00 8B 53 08 52 8B 53 0C 52 8B C8 8B 13 8B C7 E8 ?? ?? ?? ?? E9 BD 01 00 00 8B 53 0C 52 8B C8 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? E9 A7 01 00 00 8B 44 24 04 50 8B 4B 08 8B 13 8B C5 E8 ?? ?? ?? ?? E9 91 01 00 00 8B 53 08 52 8B 53 0C 52 8B C8 8B 13 8B C5 E8 ?? ?? ?? ?? E9 79 01 00 00 8D 4C 24 38 8B 03 8B 54 24 04 E8 ?? ?? ?? ?? 8B 44 24 38 89 44 24 18 8B 44 24 3C 89 44 24 1C 8D 4C 24 40 8B 53 04 8B 04 24 E8 ?? ?? ?? ?? 8B 44 24 40 89 44 24 20 8B 44 24 44 89 44 24 24 8D 4C 24 48 8B 43 08 8B 54 24 04 E8 ?? ?? ?? ?? 8B 44 24 48 89 44 24 28 8B 44 24 4C 89 44 24 2C 8D 4C 24 50 8B 53 0C 8B 04 24 E8 ?? ?? ?? ?? 8B 44 24 50 89 44 24 30 8B 44 24 54 89 44 24 34 8D 54 24 18 B9 03 00 00 00 8B C5 E8 ?? ?? ?? ?? E9 E7 00 00 00 56 8B F3 8D 7C 24 0C B9 04 00 00 00 F3 A5 5E 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 80 BE E5 00 00 00 04 75 63 8D 4C 24 38 8B 54 24 14 8B 44 24 08 E8 ?? ?? ?? ?? 8B 44 24 38 89 44 24 58 8B 44 24 3C 89 44 24 5C 8D 4C 24 40 8B 54 24 0C 8B 04 24 E8 ?? ?? ?? ?? 8B 44 24 40 89 44 24 60 8B 44 24 44 89 44 24 64 8B 44 24 10 89 44 24 68 8B 44 24 14 89 44 24 6C 8D 54 24 58 B9 02 00 00 00 8B C5 E8 ?? ?? ?? ?? EB 61 8B 44 24 08 89 44 24 58 8B 44 24 0C 89 44 24 5C 8D 4C 24 38 8B 54 24 14 8B 04 24 E8 ?? ?? ?? ?? 8B 44 24 38 89 44 24 60 8B 44 24 3C 89 44 24 64 8D 4C 24 40 8B 54 24 0C 8B 44 24 10 E8 ?? ?? ?? ?? 8B 44 24 40 89 44 24 68 8B 44 24 44 89 44 24 6C 8D 54 24 58 B9 02 00 00 00 8B C5 E8 ?? ?? ?? ?? 83 C4 70 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15472_0 {
	meta:
		name = "TChartShape.DrawText"
		size = 482
		refs = "0020 TChartShape.DrawText 0030 TChartShape.OrientRectangle 006a TBrush.GetColor 008b TFont.SetColor 00a1 TCustomTeePanel.TeeCharHeight 00f1 TCanvas.GetHandle 00f7 SetBkMode 0160 TPen.GetWidth 01cf @LStrClr 01d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D0 8B F2 8D 7D D4 B9 04 00 00 00 F3 A5 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 73 40 8B 86 50 01 00 00 89 45 E8 8B 83 DC 00 00 00 8B 10 FF 52 14 85 C0 0F 8E 6B 01 00 00 8B 93 D8 00 00 00 8B C6 8B 08 FF 91 80 00 00 00 8B 45 E8 8B 40 14 E8 ?? ?? ?? ?? 8B 55 E8 8B 52 0C 8B 7A 14 3B C7 75 23 85 FF 75 12 8B 45 E8 8B 40 0C BA FF FF FF 00 E8 ?? ?? ?? ?? EB 0D 8B 45 E8 8B 40 0C 33 D2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8B 45 DC 03 45 D4 D1 F8 79 03 83 D0 00 89 45 F0 8B 7D D8 03 7D E0 D1 FF 79 03 83 D7 00 8B 83 DC 00 00 00 8B 10 FF 52 14 D1 F8 79 03 83 D0 00 F7 6D F4 8B 55 F4 D1 FA 79 03 83 D2 00 2B FA 2B F8 89 7D EC 6A 01 8B 45 E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 DC 00 00 00 8B 10 FF 52 14 48 85 C0 0F 8C AF 00 00 00 40 89 45 E4 C7 45 FC 00 00 00 00 8D 4D D0 8B 55 FC 8B 83 DC 00 00 00 8B 38 FF 57 0C 8B 55 D0 8B C6 8B 08 FF 91 90 00 00 00 8B F8 8A 83 D0 00 00 00 2C 01 72 15 FE C8 75 27 D1 FF 79 03 83 D7 00 8B 45 F0 2B C7 89 45 F8 EB 2E 8B 45 E8 8B 40 10 E8 ?? ?? ?? ?? 03 45 D4 83 C0 04 89 45 F8 EB 18 8B 45 E8 8B 40 10 E8 ?? ?? ?? ?? 8B 55 DC 2B D0 2B D7 83 EA 04 89 55 F8 8D 4D D0 8B 55 FC 8B 83 DC 00 00 00 8B 38 FF 57 0C 8B 45 D0 50 8B 4D EC 8B 55 F8 8B C6 8B 38 FF 97 84 00 00 00 8B 45 F4 01 45 EC FF 45 FC FF 4D E4 0F 85 5C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15473_0 {
	meta:
		name = "TChartShape.SetShapeRectangle"
		size = 83
		refs = "0019 TChartShape.SetX0 002a TChartShape.SetY0 003b TChartShape.SetX1 004c TChartShape.SetY1"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 83 E7 00 00 00 00 DB 06 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DB 46 04 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DB 46 08 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DB 46 0C 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15474_0 {
	meta:
		name = "TChartShape.GetShapeRectangle"
		size = 185
		refs = "0031 TChartShape.GetY1 0036 @ROUND 003f TChartShape.GetX1 004c TChartShape.GetY0 0059 TChartShape.GetX0 0065 Rect"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 43 40 8B B0 68 01 00 00 D1 FE 79 03 83 D6 00 8B B8 6C 01 00 00 D1 FF 79 03 83 D7 00 80 BB E7 00 00 00 00 75 3D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 55 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 49 BA 01 00 00 00 8B C3 8B 08 FF 91 B4 00 00 00 2B C7 50 55 BA 01 00 00 00 8B C3 8B 08 FF 91 B0 00 00 00 03 C6 50 33 D2 8B C3 8B 08 FF 91 B4 00 00 00 2B C7 50 33 D2 8B C3 8B 08 FF 91 B0 00 00 00 03 C6 5A 59 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15475_0 {
	meta:
		name = "TChartShape.DrawValue"
		size = 70
		refs = "000e TChartSeries.DrawValue 0015 TChartSeries.Count 0033 TChartShape.DrawShape 003c TChartShape.DrawText"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 F8 02 75 22 85 F6 75 1E 8B D4 8B C3 8B 08 FF 91 10 01 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_15476_0 {
	meta:
		name = "TChartShape.FillSampleValues"
		size = 292
		refs = "0031 TChartSeries.CalcRandomBounds 003b TChartShape.FillSampleValues 00dc @ROUND 00e1 @RandInt 010c TChartSeries.RefreshSeries"
	strings:
		$1 = { 53 56 83 C4 D4 8B D8 8B C3 8B 10 FF 92 88 00 00 00 8D 44 24 08 50 8D 44 24 14 50 8D 44 24 20 50 8D 44 24 2C 50 8D 4C 24 10 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 44 24 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 43 68 00 00 34 40 6A 00 68 00 00 34 40 6A 00 B9 00 00 00 80 33 D2 8B C3 8B 30 FF 96 90 00 00 00 68 00 00 59 40 6A 00 68 00 00 59 40 6A 00 B9 00 00 00 80 33 D2 8B C3 8B 30 FF 96 90 00 00 00 E9 82 00 00 00 DD 44 24 08 D8 0D ?? ?? ?? ?? DC 04 24 83 C4 F8 DD 1C 24 9B DD 44 24 18 D8 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B B9 00 00 00 80 33 D2 8B C3 8B 30 FF 96 90 00 00 00 DD 04 24 DC 44 24 08 DD 44 24 08 D8 0D ?? ?? ?? ?? DE E9 83 C4 F8 DD 1C 24 9B DD 44 24 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 30 DB 44 24 30 DC 44 24 18 83 C4 F8 DD 1C 24 9B B9 00 00 00 80 33 D2 8B C3 8B 30 FF 96 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 2C 5E 5B C3 00 00 00 00 00 00 00 00 00 3E 00 00 00 3F }
	condition:
		$1
}

rule function_15477_0 {
	meta:
		name = "TChartShape.Clicked"
		size = 691
		refs = "0067 PointInLine 00b1 Point 0141 PointInPolygon 0151 TChartShape.OrientRectangle 0274 PointInEllipse 0296 PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 8C 89 0C 24 8B EA 8B D8 8D 54 24 04 8B C3 8B 08 FF 91 10 01 00 00 8B 74 24 0C 03 74 24 04 D1 FE 79 03 83 D6 00 8B 44 24 08 8B F8 8B 54 24 10 03 FA D1 FF 79 03 83 D7 00 8A 8B E5 00 00 00 80 E9 02 74 12 FE C9 74 23 80 E9 03 74 39 FE C9 74 50 E9 EF 00 00 00 50 56 52 8B CE 8B C5 8B 54 24 0C E8 ?? ?? ?? ?? E9 30 02 00 00 57 8B 44 24 10 50 57 8B 4C 24 10 8B 54 24 0C 8B C5 E8 ?? ?? ?? ?? E9 15 02 00 00 50 8B 44 24 10 50 52 8B 4C 24 10 8B C5 8B 54 24 0C E8 ?? ?? ?? ?? E9 FA 01 00 00 8D 4C 24 34 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B 44 24 34 89 44 24 14 8B 44 24 38 89 44 24 18 8D 4C 24 3C 8B D7 8B 44 24 0C E8 ?? ?? ?? ?? 8B 44 24 3C 89 44 24 1C 8B 44 24 40 89 44 24 20 8D 4C 24 44 8B 54 24 10 8B C6 E8 ?? ?? ?? ?? 8B 44 24 44 89 44 24 24 8B 44 24 48 89 44 24 28 8D 4C 24 4C 8B D7 8B 44 24 04 E8 ?? ?? ?? ?? 8B 44 24 4C 89 44 24 2C 8B 44 24 50 89 44 24 30 8D 44 24 14 50 8D 4C 24 58 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? 8D 44 24 58 B9 03 00 00 00 5A E8 ?? ?? ?? ?? E9 56 01 00 00 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8A 83 E5 00 00 00 FE C8 0F 84 FA 00 00 00 2C 03 74 09 FE C8 74 7D E9 0A 01 00 00 8D 4C 24 34 8B 54 24 10 8B 44 24 04 E8 ?? ?? ?? ?? 8B 44 24 34 89 44 24 5C 8B 44 24 38 89 44 24 60 8D 4C 24 3C 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B 44 24 3C 89 44 24 64 8B 44 24 40 89 44 24 68 8B 44 24 0C 89 44 24 6C 8B 44 24 10 89 44 24 70 8D 44 24 5C 50 8D 4C 24 48 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? 8D 44 24 48 B9 02 00 00 00 5A E8 ?? ?? ?? ?? E9 B8 00 00 00 8B 44 24 04 89 44 24 5C 8B 44 24 08 89 44 24 60 8D 4C 24 34 8B 54 24 10 8B C6 E8 ?? ?? ?? ?? 8B 44 24 34 89 44 24 64 8B 44 24 38 89 44 24 68 8D 4C 24 3C 8B 54 24 08 8B 44 24 0C E8 ?? ?? ?? ?? 8B 44 24 3C 89 44 24 6C 8B 44 24 40 89 44 24 70 8D 44 24 5C 50 8D 4C 24 48 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? 8D 44 24 48 B9 02 00 00 00 5A E8 ?? ?? ?? ?? EB 43 8D 4C 24 34 8B 14 24 8B C5 E8 ?? ?? ?? ?? 8D 44 24 34 8D 54 24 04 E8 ?? ?? ?? ?? EB 26 8D 4C 24 34 8B 14 24 8B C5 E8 ?? ?? ?? ?? FF 74 24 38 FF 74 24 38 8D 44 24 0C 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 84 C0 74 04 33 C0 EB 03 83 C8 FF 83 C4 74 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15478_0 {
	meta:
		name = "TChartShape.PrepareForGallery"
		size = 220
		refs = "000b TChartSeries.PrepareForGallery 001b TFont.SetColor 0036 TList.IndexOf 0042 TChartShape.SetStyle 0056 TBrush.SetColor 006d TChartShape.PrepareForGallery"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? BA FF FF FF 00 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? 8B 86 DC 00 00 00 8B 10 FF 52 40 8B 46 40 8B 80 AC 01 00 00 8B D6 E8 ?? ?? ?? ?? 48 75 42 B2 01 8B C6 E8 ?? ?? ?? ?? 84 DB 74 12 BA 00 00 FF 00 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? EB 10 BA C0 C0 C0 00 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 86 DC 00 00 00 8B 08 FF 51 34 5E 5B C3 B2 04 8B C6 E8 ?? ?? ?? ?? 84 DB 74 12 BA FF 00 00 00 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? EB 10 BA C0 C0 C0 00 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 86 DC 00 00 00 8B 08 FF 51 34 5E 5B C3 00 00 00 FF FF FF FF 03 00 00 00 61 62 63 00 FF FF FF FF 03 00 00 00 31 32 33 00 }
	condition:
		$1
}

rule function_15479_0 {
	meta:
		name = "TChartShape.GetEditorClass"
		size = 48
		refs = "0006 TChartShape.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 11 00 00 00 54 43 68 61 72 74 53 68 61 70 65 45 64 69 74 6F 72 00 00 00 }
	condition:
		$1
}

rule function_15480_0 {
	meta:
		name = "TChartShape.Assign"
		size = 171
		refs = "000b _DV_TChartShape 0010 @IsClass 00a3 TChartSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 8B FE 8A 87 E5 00 00 00 88 83 E5 00 00 00 8B 97 D4 00 00 00 8B 83 D4 00 00 00 8B 08 FF 51 08 8B 97 E0 00 00 00 8B 83 E0 00 00 00 8B 08 FF 51 08 8B 97 D8 00 00 00 8B 83 D8 00 00 00 8B 08 FF 51 08 8B 97 DC 00 00 00 8B 83 DC 00 00 00 8B 08 FF 51 08 8A 87 D0 00 00 00 88 83 D0 00 00 00 8A 87 E4 00 00 00 88 83 E4 00 00 00 8A 87 E6 00 00 00 88 83 E6 00 00 00 8A 87 E7 00 00 00 88 83 E7 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15483_0 {
	meta:
		name = "TChartShape.SetAlignment"
		size = 20
		refs = "000f TChartSeries.Repaint"
	strings:
		$1 = { 3A 90 D0 00 00 00 74 0B 88 90 D0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15484_0 {
	meta:
		name = "TChartShape.SetText"
		size = 23
		refs = "0011 TChartSeries.Repaint"
	strings:
		$1 = { 53 8B D8 8B 83 DC 00 00 00 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15485_0 {
	meta:
		name = "TChartShape.SetTransparent"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 E6 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15487_0 {
	meta:
		name = "TChartShape.SetXYStyle"
		size = 20
		refs = "000f TChartSeries.Repaint"
	strings:
		$1 = { 3A 90 E7 00 00 00 74 0B 88 90 E7 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15490_0 {
	meta:
		name = "TTeeExportForm.Button1Click"
		size = 58
		refs = "0021 TCustomChart.CopyToClipboardBitmap 002b TCustomChart.CopyToClipboardMetafile"
	strings:
		$1 = { 8B 90 F0 01 00 00 8B 80 E4 01 00 00 8B 80 24 01 00 00 83 E8 01 72 07 74 0D 48 74 14 EB 1B 8B C2 E8 ?? ?? ?? ?? C3 8B C2 33 D2 E8 ?? ?? ?? ?? C3 8B C2 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15491_0 {
	meta:
		name = "TTeeExportForm.Button2Click"
		size = 268
		refs = "000d TTeeExportForm.Button2Click 002d TeeGetImageExtension 0038 @LStrAsg 005e @LStrCat3 0095 TOpenDialog.GetFileName 009f TCustomChart.SaveToBitmapFile 00b9 TCustomChart.SaveToMetafile 00d3 TCustomChart.SaveToMetafileEnh 00e8 @LStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 EC 01 00 00 8D 55 FC 8B 83 E4 01 00 00 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 68 E8 ?? ?? ?? ?? 8B 83 E4 01 00 00 8B 80 24 01 00 00 40 89 46 58 8B 83 EC 01 00 00 8B 48 68 8D 46 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 34 84 C0 74 6A 8B B3 F0 01 00 00 8B 83 E4 01 00 00 8B 80 24 01 00 00 83 E8 01 72 07 74 1F 48 74 36 EB 4C 8D 55 FC 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 32 8D 55 FC 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 18 8D 55 FC 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 FF FF FF FF 06 00 00 00 43 68 61 72 74 2E 00 00 }
	condition:
		$1
}

rule function_15492_0 {
	meta:
		name = "ChartExport"
		size = 88
		refs = "000c _DV_TTeeExportForm 0011 TCustomForm.Create 001c ChartExport 0033 TCustomForm.ShowModal 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 F0 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15581_0 {
	meta:
		name = "TToolWindow.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TWinControl.Create 001c TToolWindow.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 86 1C 01 00 00 C6 86 1D 01 00 00 01 C6 86 1E 01 00 00 02 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 0F 00 00 00 }
	condition:
		$1
}

rule function_15582_0 {
	meta:
		name = "TToolWindow.SetBorderWidth"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3B 90 18 01 00 00 74 0B 89 90 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15583_0 {
	meta:
		name = "TToolWindow.SetEdgeBorders"
		size = 37
		refs = "001e TWinControl.RecreateWnd"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 04 24 3A 83 1C 01 00 00 74 10 8A 04 24 88 83 1C 01 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_15584_0 {
	meta:
		name = "TToolWindow.SetEdgeInner"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 1D 01 00 00 74 0B 88 90 1D 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15585_0 {
	meta:
		name = "TToolWindow.SetEdgeOuter"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 1E 01 00 00 74 0B 88 90 1E 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15586_0 {
	meta:
		name = "TToolWindow.WMNCCalcSize"
		size = 122
		refs = "0021 InflateRect"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B 77 08 8B 83 18 01 00 00 F7 D8 50 8B 93 18 01 00 00 F7 DA 50 8B EE 55 E8 ?? ?? ?? ?? 33 C0 80 BB 1D 01 00 00 00 74 01 40 80 BB 1E 01 00 00 00 74 01 40 8B F5 F6 83 1C 01 00 00 01 74 02 01 06 F6 83 1C 01 00 00 02 74 03 01 46 04 F6 83 1C 01 00 00 04 74 03 29 46 08 F6 83 1C 01 00 00 08 74 03 29 46 0C 8B D7 8B C3 8B 08 FF 51 F0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15587_0 {
	meta:
		name = "TToolWindow.WMNCPaint"
		size = 329
		refs = "0011 TWinControl.GetHandle 0017 GetWindowDC 0022 TToolWindow.WMNCPaint 003a GetClientRect 0049 GetWindowRect 005c MapWindowPoints 0070 OffsetRect 0089 ExcludeClipRect 00b5 _NV__76 00cc _NV__74 00dd _NV__75 00e8 DrawEdge 0100 IntersectClipRect 010e TBrush.GetHandle 0119 FillRect 0138 ReleaseDC 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 89 45 FC 8D 5D D8 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 53 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 43 04 F7 D8 50 8B 03 F7 D8 50 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 43 04 F7 D8 50 8B 03 F7 D8 50 53 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 1C 01 00 00 8B 55 FC 0F B6 92 D5 00 00 00 0B 04 95 ?? ?? ?? ?? 0D 00 20 00 00 50 8B 45 FC 0F B6 80 1D 01 00 00 8B 04 85 ?? ?? ?? ?? 8B 55 FC 0F B6 92 1E 01 00 00 0B 04 95 ?? ?? ?? ?? 50 53 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 43 0C 50 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 50 53 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15588_0 {
	meta:
		name = "TToolWindow.CMCtl3DChanged"
		size = 36
		refs = "0006 TWinControl.CMCtl3DChanged 000b TToolWindow.CMCtl3DChanged 001a TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 3A 83 1C 01 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_15591_0 {
	meta:
		name = "GetTypeData"
		size = 10
	strings:
		$1 = { 31 D2 8A 50 01 8D 44 10 02 C3 }
	condition:
		$1
}

rule function_15592_0 {
	meta:
		name = "GetEnumName"
		size = 74
		refs = "000c GetTypeData 0042 @LStrFromString"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 09 8B 00 E8 ?? ?? ?? ?? 83 78 01 00 7D 0A 85 F6 0F 95 C2 83 E2 7F 8B F2 8D 58 0D 85 F6 74 0C 33 C0 8A 03 40 01 C3 4E 85 F6 75 F4 8B C7 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15593_0 {
	meta:
		name = "GetEnumValue"
		size = 73
	strings:
		$1 = { 53 56 57 85 D2 74 3B 31 C9 8A 48 01 8B 44 08 0B 8B 00 8A 48 01 8D 74 08 0F 8B 7C 08 07 31 C0 8A 0E 3B 4A FC 75 13 8A 5C 0A FF 32 1C 0E F6 C3 DF 75 05 49 75 F1 EB 0E 8A 0E 40 8D 74 0E 01 39 F8 7E DD 83 C8 FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15594_0 {
	meta:
		name = "GetPropInfo"
		size = 108
	strings:
		$1 = { 53 56 57 89 D1 09 D2 74 0B 8A 4A FC 8A 2A 81 E1 FF DF 00 00 31 DB 8A 58 01 8D 74 18 02 8A 5E 0A 0F B7 7C 1E 0B 85 FF 74 18 8D 44 1E 0D 66 8B 58 1A 80 E7 DF 39 CB 74 1E B7 00 4F 8D 44 18 1B 75 EC 8B 46 04 85 C0 74 20 8B 00 EB C8 8A 2A 80 E5 DF 8A 58 1A EB E2 B7 00 8A 6C 1A FF 32 6C 18 1A F6 C5 DF 75 E7 4B 75 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15595_0 {
	meta:
		name = "GetPropInfos"
		size = 84
	strings:
		$1 = { 53 56 57 31 C9 89 C6 8A 48 01 89 D7 31 C0 0F B7 4C 0E 0A F3 AB 8A 4E 01 8D 74 0E 02 8A 4E 0A 0F B7 44 0E 0B 85 C0 74 1B 8D 7C 0E 0D 0F B7 5F 18 8A 4F 1A 83 3C 9A 00 75 03 89 3C 9A 8D 7C 0F 1B 48 75 E9 8B 76 04 31 C9 85 F6 74 04 8B 36 EB C5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15596_0 {
	meta:
		name = "_NF__7D"
		size = 168
		refs = "0009 _NF__7D"
	strings:
		$1 = { 53 56 57 89 C1 31 C0 4A E8 ?? ?? ?? ?? 5F 5E 5B C3 50 52 8D 3C 10 D1 EF 8B 3C B9 83 C7 1A E8 ?? ?? ?? ?? 73 03 40 EB F6 92 E8 ?? ?? ?? ?? 76 03 48 EB F6 92 39 D0 7F 12 8B 1C 81 8B 34 91 89 1C 91 89 34 81 40 4A 39 D0 7E D4 5E 5B 39 F0 7C 09 39 DA 7F 01 C3 89 D8 EB B8 39 D8 7F 04 89 F2 EB B0 50 56 89 D8 E8 ?? ?? ?? ?? 5A 58 EB A3 50 57 8B 34 81 83 C6 1A 56 31 DB 8A 1E 46 3A 1F 76 02 8A 1F 47 84 DB 74 12 8A 06 8A 27 25 DF DF 00 00 38 E0 75 0F 46 47 4B 75 EE 5E 5F 8A 06 8A 27 38 E0 58 C3 5E 5F 58 C3 C3 }
	condition:
		$1
}

rule function_15597_0 {
	meta:
		name = "GetPropList"
		size = 203
		refs = "0019 GetTypeData 0035 @GetMem 0040 GetPropList 0050 GetPropInfos 0096 _NF__7D 00b5 @FreeMem 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 66 89 55 FE 8B D8 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 0F BF 40 08 89 45 F4 83 7D F4 00 0F 8E 93 00 00 00 8B 45 F4 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 5D F4 4B 85 DB 7C 42 43 33 FF 8B 45 F0 8B 04 B8 8B 10 8B 12 8A 12 80 FA 0F 77 07 83 E2 7F 0F A3 55 FE 73 0D 85 F6 74 06 8B 55 F8 89 04 96 FF 45 F8 85 F6 74 10 83 7D F8 01 7E 0A 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 47 4B 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 C1 E2 02 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15598_0 {
	meta:
		name = "IsStoredProp"
		size = 45
	strings:
		$1 = { 8B 4A 0C F7 C1 00 FF FF FF 74 1F 80 7A 0F FE 8B 52 10 72 0A 77 0B 0F BF C9 03 08 FF 11 C3 FF D1 C3 81 E1 FF FF FF 00 8A 0C 08 88 C8 C3 }
	condition:
		$1
}

rule function_15599_0 {
	meta:
		name = "GetOrdProp"
		size = 113
	strings:
		$1 = { 53 57 8B 3A 8B 3F B3 04 80 3F 07 74 09 31 C9 8A 4F 01 8A 5C 0F 02 8B 4A 04 80 7A 07 FE 8B 52 10 72 0B 77 0D 0F BF C9 03 08 FF 11 EB 1D FF D1 EB 19 81 E1 FF FF FF 00 01 C1 8A 01 80 FB 02 72 0A 66 8B 01 80 FB 04 72 02 8B 01 80 FB 04 73 1F 80 FB 02 73 10 80 FB 00 0F BE C0 74 12 25 FF 00 00 00 5F 5B C3 0F BF C0 74 05 25 FF FF 00 00 5F 5B C3 }
	condition:
		$1
}

rule function_15600_0 {
	meta:
		name = "SetOrdProp"
		size = 91
	strings:
		$1 = { 53 56 57 89 D7 8B 37 8B 36 B3 04 80 3E 07 74 09 31 DB 8A 5E 01 8A 5C 1E 02 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 08 80 7F 0B FE 77 0F 72 09 0F BF F6 03 30 FF 16 EB 1D FF D6 EB 19 81 E6 FF FF FF 00 01 F0 88 08 80 FB 02 72 0A 66 89 08 80 FB 04 72 02 89 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15601_0 {
	meta:
		name = "_NF__8C"
		size = 67
	strings:
		$1 = { 55 8B EC 56 57 89 D7 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 04 80 7F 07 FE 77 0F 72 09 0F BF F6 03 30 FF 16 EB 15 FF D6 EB 11 81 E6 FF FF FF 00 01 C6 89 CF 31 C9 8A 0E 41 F3 A4 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_15602_0 {
	meta:
		name = "_NF__8D"
		size = 81
	strings:
		$1 = { 56 57 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 7E 08 80 7E 0B FE 77 11 72 0A 0F BF FF 03 38 FF 17 5F 5E C3 FF D7 5F 5E C3 81 E7 FF FF FF 00 01 C7 8B 06 8B 00 89 CE 31 C9 8A 48 01 8A 4C 08 02 AC 38 C8 72 02 88 C8 AA 88 C1 F3 A4 5F 5E C3 }
	condition:
		$1
}

rule function_15603_0 {
	meta:
		name = "_NF__8E"
		size = 40
		refs = "0013 _NF__8C 001c @LStrFromString"
	strings:
		$1 = { 53 81 C4 00 FF FF FF 8B D9 68 FF 00 00 00 8D 4C 24 04 E8 ?? ?? ?? ?? 8B C3 8B D4 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5B C3 }
	condition:
		$1
}

rule function_15604_0 {
	meta:
		name = "_NF__8F"
		size = 50
		refs = "0019 @LStrToString 0024 _NF__8D"
	strings:
		$1 = { 53 56 57 81 C4 00 FF FF FF 8B F9 8B F2 8B D8 8B C4 8B D7 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15606_0 {
	meta:
		name = "_NF__91"
		size = 62
		refs = "0037 _NF__90"
	strings:
		$1 = { 56 57 89 D7 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 04 80 7F 07 FE 77 11 72 0A 0F BF F6 03 30 FF 16 5F 5E C3 FF D6 5F 5E C3 81 E6 FF FF FF 00 8B 14 30 89 C8 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_15609_0 {
	meta:
		name = "_NF__94"
		size = 62
		refs = "0037 _NF__93"
	strings:
		$1 = { 56 57 89 D7 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 04 80 7F 07 FE 77 11 72 0A 0F BF F6 03 30 FF 16 5F 5E C3 FF D6 5F 5E C3 81 E6 FF FF FF 00 8B 14 30 89 C8 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_15607_0 {
	meta:
		name = "_NF__92"
		size = 61
		refs = "0036 _NF__90"
	strings:
		$1 = { 56 57 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 7E 08 80 7E 0B FE 77 11 72 0A 0F BF FF 03 38 FF 17 5F 5E C3 FF D7 5F 5E C3 81 E7 FF FF FF 00 01 F8 89 CA E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_15619_0 {
	meta:
		name = "SetVariantProp"
		size = 61
		refs = "0036 _NF__A7"
	strings:
		$1 = { 56 57 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 7E 08 80 7E 0B FE 77 11 72 0A 0F BF FF 03 38 FF 17 5F 5E C3 FF D7 5F 5E C3 81 E7 FF FF FF 00 01 F8 89 CA E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_15610_0 {
	meta:
		name = "_NF__95"
		size = 61
		refs = "0036 _NF__93"
	strings:
		$1 = { 56 57 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 7E 08 80 7E 0B FE 77 11 72 0A 0F BF FF 03 38 FF 17 5F 5E C3 FF D7 5F 5E C3 81 E7 FF FF FF 00 01 F8 89 CA E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_15611_0 {
	meta:
		name = "_NF__96"
		size = 73
		refs = "000c _NF__96 001a _NF__94 0024 @LStrFromWStr 0039 @WStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D9 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 4D FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15612_0 {
	meta:
		name = "_NF__97"
		size = 85
		refs = "0012 _NF__97 0022 @WStrFromLStr 002e _NF__95 0043 @WStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15613_0 {
	meta:
		name = "GetStrProp"
		size = 61
		refs = "001c _NF__8E 0025 _NF__91 002e _NF__96 0037 @LStrClr"
	strings:
		$1 = { 53 8B D9 8B 0A 8B 09 8A 09 80 E9 05 74 0B 80 E9 05 74 0F FE C9 74 14 EB 1B 8B CB E8 ?? ?? ?? ?? 5B C3 8B CB E8 ?? ?? ?? ?? 5B C3 8B CB E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15614_0 {
	meta:
		name = "SetStrProp"
		size = 44
		refs = "0018 _NF__8F 001f _NF__92 0026 _NF__97"
	strings:
		$1 = { 53 8B 1A 8B 1B 8A 1B 80 EB 05 74 0B 80 EB 05 74 0D FE CB 74 10 EB 13 E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15615_0 {
	meta:
		name = "GetFloatProp"
		size = 98
		refs = "001c GetFloatProp 0040 _NV__9F"
	strings:
		$1 = { 8B 4A 04 80 7A 07 FE 77 3C 74 06 8B 52 10 FF D1 C3 0F BF C9 03 08 8B 52 10 FF 11 C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D9 00 C3 DD 00 C3 DB 28 C3 DF 28 C3 DF 28 D8 35 ?? ?? ?? ?? C3 81 E1 FF FF FF 00 01 C8 8B 0A 8B 09 31 D2 8A 51 01 8A 54 11 02 FF 14 95 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15616_0 {
	meta:
		name = "SetFloatProp"
		size = 151
		refs = "0023 SetFloatProp 007b _NV__9F"
	strings:
		$1 = { 55 8B EC 53 56 31 DB 8B 0A 8B 09 8A 59 01 8A 5C 19 02 C1 E3 02 DB 6D 08 8B 4A 08 80 7A 0B FE 77 61 2B A3 ?? ?? ?? ?? 89 E6 FF 93 ?? ?? ?? ?? 80 7A 0B FE 8B 52 10 72 09 0F BF C9 03 08 FF 11 EB 50 FF D1 EB 4C 04 00 00 00 08 00 00 00 0C 00 00 00 08 00 00 00 08 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D9 1E C3 DD 1E C3 DB 3E C3 DF 3E C3 D8 0D ?? ?? ?? ?? DF 3E C3 81 E1 FF FF FF 00 8D 34 08 FF 93 ?? ?? ?? ?? 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_15618_0 {
	meta:
		name = "GetVariantProp"
		size = 62
		refs = "0037 _NF__A7"
	strings:
		$1 = { 56 57 89 D7 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 04 80 7F 07 FE 77 11 72 0A 0F BF F6 03 30 FF 16 5F 5E C3 FF D6 5F 5E C3 81 E6 FF FF FF 00 8D 14 30 89 C8 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_15620_0 {
	meta:
		name = "GetMethodProp"
		size = 64
	strings:
		$1 = { 53 56 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 5E 04 80 7E 07 FE 77 11 72 0A 0F BF DB 03 18 FF 13 5E 5B C3 FF D3 5E 5B C3 81 E3 FF FF FF 00 01 D8 8B 10 8B 58 04 89 11 89 59 04 5E 5B C3 }
	condition:
		$1
}

rule function_15621_0 {
	meta:
		name = "SetMethodProp"
		size = 53
	strings:
		$1 = { 53 8B 5A 08 80 7A 0B FE 77 17 8B 52 10 FF 71 04 FF 31 72 09 0F BF DB 03 18 FF 13 5B C3 FF D3 5B C3 81 E3 FF FF FF 00 01 D8 8B 11 8B 59 04 89 10 89 58 04 5B C3 }
	condition:
		$1
}

rule function_15624_0 {
	meta:
		name = "_NF__6E"
		size = 24
	strings:
		$1 = { 55 00 52 00 4C 00 20 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 00 00 }
	condition:
		$1
}

rule function_15625_0 {
	meta:
		name = "_NF__70"
		size = 24
	strings:
		$1 = { 41 00 73 00 79 00 6E 00 63 00 43 00 61 00 6C 00 6C 00 65 00 65 00 00 00 }
	condition:
		$1
}

rule function_15669_0 {
	meta:
		name = "_NF__53"
		size = 172
		refs = "004a _NF__58 0054 TComObject.QueryInterface 005e TComObject._AddRef 0068 TComObject._Release 006c _NF__53"
	strings:
		$1 = { CC 83 44 24 04 E0 8B 44 24 04 8B 00 FF 60 18 83 44 24 04 E0 8B 44 24 04 8B 00 FF 60 14 83 44 24 04 E0 8B 44 24 04 8B 00 FF 60 10 83 44 24 04 E0 8B 44 24 04 8B 00 FF 60 1C 83 C0 E0 50 8B 00 8B 40 EC 87 04 24 C3 83 C0 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 A0 92 78 E0 2F F5 CF 11 BD 2F 00 20 AF 0E 5B 81 ?? ?? ?? ?? 20 00 00 00 }
	condition:
		$1
}

rule function_15670_0 {
	meta:
		name = "_NF__56"
		size = 60
		refs = "000d @ClassCreate 0022 TComObject.CreateFromFactory"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 89 46 24 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_15671_0 {
	meta:
		name = "_NF__57"
		size = 57
		refs = "0019 TObject.Free 0025 TComObject.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 24 85 C0 74 10 33 D2 89 50 1C 80 7E 28 00 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FE 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15672_0 {
	meta:
		name = "_NF__58"
		size = 5
	strings:
		$1 = { C6 40 28 01 C3 }
	condition:
		$1
}

rule function_15673_0 {
	meta:
		name = "_NF__59"
		size = 42
	strings:
		$1 = { 53 8B D8 83 7B 24 00 75 14 8B 43 10 8B 40 18 33 C9 B2 01 FF 50 24 89 43 24 C6 43 28 01 8B C3 83 C0 20 8B 53 24 89 42 1C 5B C3 }
	condition:
		$1
}

rule function_15674_0 {
	meta:
		name = "_NF__5A"
		size = 57
		refs = "0031 DispInvoke"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 4D 28 51 8B 4D 24 51 8B 4D 20 51 8B 4D 1C 51 66 8B 4D 18 51 8B 4D 0C 51 8B 50 10 8B 4A 58 51 8B 52 5C 8B 52 14 03 50 24 52 E8 ?? ?? ?? ?? 5D C2 24 00 }
	condition:
		$1
}

rule function_15675_0 {
	meta:
		name = "_NF__5B"
		size = 57
		refs = "0013 TComObject.ObjQueryInterface 0026 TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 0C 8B 5D 08 8B 45 10 50 57 53 E8 ?? ?? ?? ?? 8B F0 85 F6 74 13 8B 4D 10 8B D7 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 02 33 F6 8B C6 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_15676_0 {
	meta:
		name = "TComponentFactory.Create"
		size = 64
		refs = "000d @ClassCreate 0026 TAutoObjectFactory.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 10 50 8B 45 0C 50 8A 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_15677_0 {
	meta:
		name = "TComponentFactory.UpdateRegistry"
		size = 144
		refs = "0014 TComponentFactory.UpdateRegistry 002a TTypedComObjectFactory.UpdateRegistry 0042 GUIDToString 0054 @CallDynaClass 007e @LStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FF 00 74 0A 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 8B 08 FF 11 8B 45 F8 50 8D 55 F4 8D 46 1C E8 ?? ?? ?? ?? 8B 4D F4 8A 55 FF 8B 46 18 66 BB F6 FF E8 ?? ?? ?? ?? 80 7D FF 00 75 0A 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15679_0 {
	meta:
		name = "_NF__6C"
		size = 41
		refs = "0007 TObject.ClassType 000e ComClassManager 0015 TComClassManager.GetFactoryFromClass 001e _NV__54 0023 _NF__56"
	strings:
		$1 = { 53 8B D8 53 8B C3 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15680_0 {
	meta:
		name = "Finalization"
		size = 57
		refs = "0007 Finalization 0013 _NV__52 001a CreateVCLComObjectProc 0031 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 09 A1 ?? ?? ?? ?? 33 D2 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15681_0 {
	meta:
		name = "VCLCom"
		size = 21
		refs = "0002 _NV__52 000a CreateVCLComObjectProc 0010 _NF__6C"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15688_0 {
	meta:
		name = "TInterface.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 04 01 00 00 00 84 DB 74 0A 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15690_0 {
	meta:
		name = "TInterface.AddRef"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 40 04 8B 40 04 5D C2 04 00 }
	condition:
		$1
}

rule function_15691_0 {
	meta:
		name = "TInterface.Release"
		size = 33
	strings:
		$1 = { 55 8B EC 56 8B 45 08 FF 48 04 8B 50 04 8B F2 85 D2 75 07 B2 01 8B 08 FF 51 FC 8B C6 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_15692_0 {
	meta:
		name = "TInterface.GetVersion"
		size = 12
	strings:
		$1 = { 55 8B EC B8 03 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_15693_0 {
	meta:
		name = "ReleaseException"
		size = 20
		refs = "0004 ExceptObject 000e @LStrLAsg"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B 50 04 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17722_0 {
	meta:
		name = "MakeWord"
		size = 18
	strings:
		$1 = { 25 FF 00 00 00 81 E2 FF 00 00 00 C1 E2 08 66 0B C2 C3 }
	condition:
		$1
}

rule function_17723_0 {
	meta:
		name = "MakeLong"
		size = 12
	strings:
		$1 = { 0F B7 C0 0F B7 D2 C1 E2 10 0B C2 C3 }
	condition:
		$1
}

rule function_17724_0 {
	meta:
		name = "GetBValue"
		size = 4
		altNames = "GetMValue HiWord"
	strings:
		$1 = { C1 E8 10 C3 }
	condition:
		$1
}

rule function_17728_0 {
	meta:
		name = "SetSwapAreaSize"
		size = 4
	strings:
		$1 = { 0F B7 C0 C3 }
	condition:
		$1
}

rule function_17737_0 {
	meta:
		name = "FreeModule"
		size = 9
		refs = "0004 FreeLibrary"
	strings:
		$1 = { 8B 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17742_0 {
	meta:
		name = "GlobalDiscard"
		size = 11
		refs = "0006 GlobalReAlloc"
	strings:
		$1 = { 6A 02 6A 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17743_0 {
	meta:
		name = "LocalDiscard"
		size = 11
		refs = "0006 LocalReAlloc"
	strings:
		$1 = { 6A 02 6A 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17744_0 {
	meta:
		name = "GetFreeSpace"
		size = 6
	strings:
		$1 = { B8 00 00 10 00 C3 }
	condition:
		$1
}

rule function_17746_0 {
	meta:
		name = "GlobalAllocPtr"
		size = 14
		refs = "0003 GlobalAlloc 0009 GlobalLock"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17747_0 {
	meta:
		name = "GlobalReAllocPtr"
		size = 27
		refs = "0004 GlobalHandle 000b GlobalUnlock 0010 GlobalReAlloc 0016 GlobalLock"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? 50 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17748_0 {
	meta:
		name = "GlobalFreePtr"
		size = 19
		refs = "0002 GlobalHandle 0009 GlobalUnlock 000e GlobalFree"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 50 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17749_0 {
	meta:
		name = "Succeeded"
		size = 10
	strings:
		$1 = { 85 C0 0F 9D C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17750_0 {
	meta:
		name = "Failed"
		size = 10
	strings:
		$1 = { 85 C0 0F 9C C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17751_0 {
	meta:
		name = "IsError"
		size = 12
	strings:
		$1 = { C1 E8 1F 48 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17754_0 {
	meta:
		name = "HResultSeverity"
		size = 7
	strings:
		$1 = { C1 E8 1F 83 E0 01 C3 }
	condition:
		$1
}

rule function_17756_0 {
	meta:
		name = "HResultFromWin32"
		size = 20
	strings:
		$1 = { 85 C0 74 0F 25 FF FF 00 00 0D 00 00 07 00 0D 00 00 00 80 C3 }
	condition:
		$1
}

rule function_17758_0 {
	meta:
		name = "MakeROP4"
		size = 12
	strings:
		$1 = { C1 E2 08 81 E2 00 00 00 FF 0B C2 C3 }
	condition:
		$1
}

rule function_17760_0 {
	meta:
		name = "GetGValue"
		size = 4
		altNames = "GetYValue"
	strings:
		$1 = { C1 E8 08 C3 }
	condition:
		$1
}

rule function_17762_0 {
	meta:
		name = "GetCValue"
		size = 4
	strings:
		$1 = { C1 E8 18 C3 }
	condition:
		$1
}

rule function_17763_0 {
	meta:
		name = "CMYK"
		size = 48
	strings:
		$1 = { 55 8B EC 53 33 DB 8A 5D 08 81 E1 FF 00 00 00 C1 E1 08 0B D9 81 E2 FF 00 00 00 C1 E2 10 0B DA 25 FF 00 00 00 C1 E0 18 0B D8 8B C3 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17765_0 {
	meta:
		name = "PaletteRGB"
		size = 33
		refs = "0015 RGB"
	strings:
		$1 = { 53 51 88 4C 24 01 88 14 24 8B D8 8A 4C 24 01 8A 14 24 8B C3 E8 ?? ?? ?? ?? 0D 00 00 00 02 5A 5B C3 }
	condition:
		$1
}

rule function_17766_0 {
	meta:
		name = "PaletteIndex"
		size = 9
	strings:
		$1 = { 0F B7 C0 0D 00 00 00 01 C3 }
	condition:
		$1
}

rule function_17770_0 {
	meta:
		name = "SmallPointToPoint"
		size = 20
	strings:
		$1 = { 51 89 04 24 0F BF 04 24 89 02 0F BF 44 24 02 89 42 04 5A C3 }
	condition:
		$1
}

rule function_17771_0 {
	meta:
		name = "PointToSmallPoint"
		size = 22
	strings:
		$1 = { 51 66 8B 10 66 89 14 24 66 8B 40 04 66 89 44 24 02 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_17775_0 {
	meta:
		name = "ExitWindows"
		size = 10
		refs = "0005 ExitWindowsEx"
	strings:
		$1 = { 6A FF 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17776_0 {
	meta:
		name = "PostAppMessage"
		size = 21
		refs = "000c PostThreadMessageA"
		altNames = "PostAppMessageA"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17777_0 {
	meta:
		name = "PostAppMessageW"
		size = 21
		refs = "000c PostThreadMessageW"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17779_0 {
	meta:
		name = "CreateWindow"
		size = 51
		refs = "002a CreateWindowExA"
		altNames = "CreateWindowA"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 8B 5D 1C 53 8B 5D 20 53 8B 5D 24 53 51 52 50 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_17780_0 {
	meta:
		name = "CreateWindowW"
		size = 51
		refs = "002a CreateWindowExW"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 8B 5D 1C 53 8B 5D 20 53 8B 5D 24 53 51 52 50 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_17782_0 {
	meta:
		name = "CreateDialog"
		size = 23
		refs = "000e CreateDialogParamA"
		altNames = "CreateDialogA"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17787_0 {
	meta:
		name = "CreateDialogIndirect"
		size = 23
		refs = "000e CreateDialogIndirectParam"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17785_0 {
	meta:
		name = "CreateDialogIndirectA"
		size = 23
		refs = "000e CreateDialogIndirectParamA"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17786_0 {
	meta:
		name = "CreateDialogIndirectW"
		size = 23
		refs = "000e CreateDialogIndirectParamW"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17783_0 {
	meta:
		name = "CreateDialogW"
		size = 23
		refs = "000e CreateDialogParamW"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17790_0 {
	meta:
		name = "DialogBox"
		size = 23
		refs = "000e DialogBoxParam"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17788_0 {
	meta:
		name = "DialogBoxA"
		size = 23
		refs = "000e DialogBoxParamA"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17793_0 {
	meta:
		name = "DialogBoxIndirect"
		size = 23
		refs = "000e DialogBoxIndirectParam"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17791_0 {
	meta:
		name = "DialogBoxIndirectA"
		size = 23
		refs = "000e DialogBoxIndirectParamA"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17792_0 {
	meta:
		name = "DialogBoxIndirectW"
		size = 23
		refs = "000e DialogBoxIndirectParamW"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17789_0 {
	meta:
		name = "DialogBoxW"
		size = 23
		refs = "000e DialogBoxParamW"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17794_0 {
	meta:
		name = "EnumTaskWindows"
		size = 9
		refs = "0004 EnumThreadWindows"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17795_0 {
	meta:
		name = "GetWindowTask"
		size = 13
		refs = "0007 GetWindowThreadProcessId"
	strings:
		$1 = { 53 8B D8 6A 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17796_0 {
	meta:
		name = "DefHookProc"
		size = 19
		refs = "000b CallNextHookEx"
	strings:
		$1 = { 55 8B EC 51 52 50 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_17939_0 {
	meta:
		name = "IS_GOPHER_FILE"
		size = 13
	strings:
		$1 = { A9 71 F2 1F 00 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17940_0 {
	meta:
		name = "IS_GOPHER_DIRECTORY"
		size = 10
	strings:
		$1 = { A8 02 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17941_0 {
	meta:
		name = "IS_GOPHER_PHONE_SERVER"
		size = 10
	strings:
		$1 = { A8 04 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17942_0 {
	meta:
		name = "IS_GOPHER_ERROR"
		size = 10
	strings:
		$1 = { A8 08 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17943_0 {
	meta:
		name = "IS_GOPHER_INDEX_SERVER"
		size = 10
	strings:
		$1 = { A8 80 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17944_0 {
	meta:
		name = "IS_GOPHER_TELNET_SESSION"
		size = 11
	strings:
		$1 = { F6 C4 01 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17945_0 {
	meta:
		name = "IS_GOPHER_BACKUP_SERVER"
		size = 11
	strings:
		$1 = { F6 C4 04 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17946_0 {
	meta:
		name = "IS_GOPHER_TN3270_SESSION"
		size = 11
	strings:
		$1 = { F6 C4 08 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17947_0 {
	meta:
		name = "IS_GOPHER_ASK"
		size = 13
	strings:
		$1 = { A9 00 00 00 40 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17948_0 {
	meta:
		name = "IS_GOPHER_PLUS"
		size = 13
	strings:
		$1 = { A9 00 00 00 80 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17949_0 {
	meta:
		name = "IS_GOPHER_TYPE_KNOWN"
		size = 13
	strings:
		$1 = { A9 00 00 00 20 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_17958_0 {
	meta:
		name = "FD_CLR"
		size = 37
	strings:
		$1 = { 33 C9 EB 1C 3B 44 8A 04 75 15 EB 09 8B 44 8A 08 89 44 8A 04 41 8B 02 48 3B C8 7C F0 FF 0A C3 41 3B 0A 7C E0 C3 }
	condition:
		$1
}

rule function_17959_0 {
	meta:
		name = "FD_ISSET"
		size = 22
		refs = "0009 __WSAFDIsSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 53 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_17960_0 {
	meta:
		name = "FD_SET"
		size = 14
	strings:
		$1 = { 8B 0A 83 F9 40 7D 06 89 44 8A 04 FF 02 C3 }
	condition:
		$1
}

rule function_17961_0 {
	meta:
		name = "FD_ZERO"
		size = 5
	strings:
		$1 = { 33 D2 89 10 C3 }
	condition:
		$1
}
